-- Add up migration script here
CREATE TABLE "pilots" (
    "id" uuid NOT NULL, -- use the random-person-generator's id?
    "user_id" uuid NOT NULL,

    "full_name" text NOT NULL,
    "date_of_birth" timestamp NOT NULL,
    "gender" text NOT NULL,
    "nationality" text NOT NULL,
    "photo" text NOT NULL, -- base64 encoded image from RPG?

    -- Pilot also needs to keep track of career progress
    -- Flight lessons etc?

    -- current location, i think we can use lat/lon to infer an airport location
    "latitude_deg" numeric NOT NULL,
    "longitude_deg" numeric NOT NULL,
    
    CONSTRAINT "pilots_pkey" PRIMARY KEY ("id")
) WITH (oids = false);

-- Creating a new pilot from the following inputs:
-- Age (will determine year, but pick a random date) - depending if the RPG's API supports this
-- Gender
-- Nationality