/** @type {import('tailwindcss').Config} */
module.exports = {
  content: {
    files: ["*.scss", "*.html", "./src/**/*.rs"],
  },
  darkMode: ["class", '[data-theme="dark"]'],
  theme: {
    extend: {},
  },
  daisyui: {
    themes: ["default", "light", "dark"],
    base: true, // applies background color and foreground color for root element by default
    styled: true, // include daisyUI colors and design decisions for all components
    utils: true, // adds responsive and modifier utility classes

  },
  plugins: [require("@tailwindcss/typography"), require("daisyui")],
}