-- Add up migration script here
CREATE TABLE "airports" (
    "id" BIGSERIAL NOT NULL,
    "ident" TEXT NOT NULL,
    "airport_type" TEXT NOT NULL,
    "name" TEXT NOT NULL,
    "latitude_deg" NUMERIC NOT NULL,
    "longitude_deg" NUMERIC NOT NULL,
    "elevation_ft" NUMERIC NOT NULL DEFAULT 0,
    "iso_country" TEXT NOT NULL,
    "iso_region" TEXT NOT NULL,
    "municipality" TEXT,
    "scheduled_service" TEXT NOT NULL,
    "gps_code" TEXT,
    "iata_code" TEXT,
    "local_code" TEXT,
    "keywords" TEXT NOT NULL,
    CONSTRAINT "airports_pkey" PRIMARY KEY ("id")
);

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UHMI', 'small_airport', 'Mys Shmidta Airport', 68.86830139160156, -179.3730010986328, 20, 'RU', 'RU-CHU', 'Mys Shmidta', 'no', 'UHMI', '', '', ''),
	('PAPO', 'small_airport', 'Point Hope Airport', 68.348801, -166.798996, 12, 'US', 'US-AK', 'Point Hope', 'yes', 'PAPO', 'PHO', 'PHO', ''),
	('PALU', 'medium_airport', 'Cape Lisburne LRRS Airport', 68.875099, -166.110001, 16, 'US', 'US-AK', 'Cape Lisburne', 'yes', 'PALU', 'LUR', 'LUR', ''),
	('PAVL', 'small_airport', 'Kivalina Airport', 67.734565, -164.559917, 13, 'US', 'US-AK', 'Kivalina', 'yes', 'PAVL', 'KVL', 'KVL', ''),
	('PPIZ', 'medium_airport', 'Point Lay LRRS Airport', 69.732903, -163.005005, 22, 'US', 'US-AK', 'Point Lay', 'yes', 'PPIZ', 'PIZ', 'PIZ', ''),
	('PAWN', 'small_airport', 'Noatak Airport', 67.561241, -162.980461, 88, 'US', 'US-AK', 'Noatak', 'yes', 'PAWN', 'WTK', 'WTK', ''),
	('2AK8', 'small_airport', 'Icy Cape Air Force Station Airport', 70.293545, -161.907151, 48, 'US', 'US-AK', 'Icy Cape', 'no', '2AK8', '', '2AK8', ''),
	('Z53', 'N/A', 'N/A', 69.02394767850637, -163.8580571115017, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PADG', 'small_airport', 'Red Dog Airport', 68.032097, -162.899002, 969, 'US', 'US-AK', 'Red Dog', 'no', 'PADG', 'RDB', 'DGG', 'PARD, AED, 39AK'),
	('PAWT', 'small_airport', 'Wainwright Air Station', 70.613403, -159.860001, 35, 'US', 'US-AK', 'Wainwright', 'no', 'PAWT', '', 'AK03', ''),
	('PAWI', 'medium_airport', 'Wainwright Airport', 70.638, -159.994995, 41, 'US', 'US-AK', 'Wainwright', 'yes', 'PAWI', 'AIN', 'AWI', '5WW'),
	('0AK2', 'small_airport', 'Yentna Bend Strip', 61.725556, -150.678611, 81, 'US', 'US-AK', 'Willow', 'no', '0AK2', '', '0AK2', ''),
	('PABR', 'medium_airport', 'Wiley Post Will Rogers Memorial Airport', 71.285402, -156.766008, 44, 'US', 'US-AK', 'Utqiaġvik', 'yes', 'PABR', 'BRW', 'BRW', 'Barrow'),
	('PABO', 'N/A', 'N/A', 71.33915606886148, -156.63621336221695, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PATQ', 'medium_airport', 'Atqasuk Edward Burnell Sr Memorial Airport', 70.46704, -157.436013, 96, 'US', 'US-AK', 'Atqasuk', 'yes', 'PATQ', 'ATK', 'ATK', 'Z46'),
	('AK20', 'small_airport', 'CD-3 Airstrip', 70.420622, -150.886667, 7, 'US', 'US-AK', 'Nuiqsut', 'no', 'AK20', '', 'AK20', ''),
	('PALP', 'small_airport', 'Alpine Airstrip', 70.344299, -150.945007, 18, 'US', 'US-AK', 'Nuiqsut', 'no', 'PALP', '', 'AK15', 'Deadhorse'),
	('AK71', 'small_airport', 'Point Lonely Short Range Radar Site Airfield', 70.911118, -153.237766, 17, 'US', 'US-AK', 'Point Lonely', 'no', 'PALN', 'LNI', 'AK71', 'Lonely Air Station'),
	('4AK1', 'small_airport', 'Inigok Airport', 70.00379943847656, -153.0780029296875, 192, 'US', 'US-AK', 'Deadhorse', 'no', '4AK1', '', '4AK1', ''),
	('PAUM', 'small_airport', 'Umiat Airport', 69.371101, -152.136002, 267, 'US', 'US-AK', 'Umiat', 'no', 'PAUM', 'UMT', 'UMT', ''),
	('PAKP', 'medium_airport', 'Anaktuvuk Pass Airport', 68.133598, -151.742996, 2102, 'US', 'US-AK', 'Anaktuvuk Pass', 'yes', 'PAKP', 'AKP', 'AKP', ''),
	('PAQT', 'medium_airport', 'Nuiqsut Airport', 70.209999, -151.005998, 38, 'US', 'US-AK', 'Nuiqsut', 'yes', 'PAQT', 'NUI', 'AQT', '10AK'),
	('PADK', 'medium_airport', 'Adak Airport', 51.883564, -176.642783, 18, 'US', 'US-AK', 'Adak', 'yes', 'PADK', 'ADK', 'ADK', ''),
	('UHMD', 'medium_airport', 'Provideniya Bay Airport', 64.37809753417969, -173.2429962158203, 72, 'RU', 'RU-CHU', 'Chukotka', 'no', 'UHMD', 'PVS', '', 'Bukhta Provideniya Airport, Urelik Airport, Ureliki Airport, Аэропорт Бухта Провидения, Аэропорт Урелики'),
	('PAAK', 'small_airport', 'Atka Airport', 52.220299, -174.205994, 57, 'US', 'US-AK', 'Atka', 'yes', 'PAAK', 'AKB', 'AKA', '40A'),
	('PASA', 'medium_airport', 'Savoonga Airport', 63.686401, -170.492996, 53, 'US', 'US-AK', 'Savoonga', 'yes', 'PASA', 'SVA', 'SVA', ''),
	('PAGM', 'medium_airport', 'Gambell Airport', 63.767694, -171.733303, 27, 'US', 'US-AK', 'Gambell', 'yes', 'PAGM', 'GAM', 'GAM', ''),
	('PAPB', 'medium_airport', 'St George Airport', 56.577345, -169.663823, 125, 'US', 'US-AK', 'St George', 'yes', 'PAPB', 'STG', 'PBV', 'A8L'),
	('PASN', 'medium_airport', 'St Paul Island Airport', 57.166311, -170.222555, 63, 'US', 'US-AK', 'St Paul Island', 'yes', 'PASN', 'SNP', 'SNP', 'Pribilof'),
	('PAKO', 'small_airport', 'Nikolski Air Station', 52.941552, -168.849478, 77, 'US', 'US-AK', 'Nikolski', 'yes', 'PAKO', 'IKO', 'IKO', ''),
	('PASH', 'small_airport', 'Shishmaref Airport', 66.249604, -166.089112, 12, 'US', 'US-AK', 'Shishmaref', 'yes', 'PASH', 'SHH', 'SHH', 'K09'),
	('PFKT', 'small_airport', 'Brevig Mission Airport', 65.331826, -166.467848, 38, 'US', 'US-AK', 'Brevig Mission', 'yes', 'PFKT', 'KTS', 'KTS', ''),
	('PAPC', 'medium_airport', 'Port Clarence Coast Guard Station', 65.2537002563, -166.85899353, 10, 'US', 'US-AK', 'Port Clarence', 'no', 'PAPC', 'KPC', 'KPC', ''),
	('Z81', 'small_airport', 'Salmon Lake Airport', 64.9092025756836, -165.01300048828125, 490, 'US', 'US-AK', 'Salmon Lake', 'no', 'Z81', '', 'Z81', ''),
	('PATE', 'small_airport', 'Teller Airport', 65.2404022217, -166.339004517, 294, 'US', 'US-AK', 'Teller', 'yes', 'PATE', 'TLA', 'TER', ''),
	('3Z1', 'small_airport', 'Feather River Airport', 64.83170318603516, -166.1320037841797, 325, 'US', 'US-AK', 'Feather River', 'no', '3Z1', '', '3Z1', ''),
	('PAIW', 'small_airport', 'Wales Airport', 65.622593, -168.095, 22, 'US', 'US-AK', 'Wales', 'yes', 'PAIW', 'WAA', 'IWK', ''),
	('PATC', 'small_airport', 'Tin City Long Range Radar Station Airport', 65.563103, -167.921997, 271, 'US', 'US-AK', 'Tin City', 'yes', 'PATC', 'TNC', 'TNC', ''),
	('PAOM', 'medium_airport', 'Nome Airport', 64.51219940185547, -165.44500732421875, 37, 'US', 'US-AK', 'Nome', 'yes', 'PAOM', 'OME', 'OME', ''),
	('94Z', 'small_airport', 'Nome City Field', 64.5131, -165.395996, 59, 'US', 'US-AK', 'Nome', 'no', '94Z', '', '94Z', ''),
	('Z47', 'small_airport', 'Engstrom Field', 64.67909, -165.299205, 143, 'US', 'US-AK', 'Basin Creek', 'no', '', '', 'Z47', ''),
	('PACM', 'small_airport', 'Scammon Bay Airport', 61.84471, -165.575209, 14, 'US', 'US-AK', 'Scammon Bay', 'yes', 'PACM', 'SCM', 'SCM', ''),
	('PAVA', 'small_airport', 'Chevak Airport', 61.5409, -165.6005, 75, 'US', 'US-AK', 'Chevak', 'yes', 'PAVA', 'VAK', 'VAK', ''),
	('VAK', 'small_airport', 'Chevak Airport', 61.5409, -165.6005, 75, 'US', 'US-AK', 'Chevak', 'yes', 'PAVA', 'VAK', 'VAK', ''),
	('PAHP', 'small_airport', 'Hooper Bay Airport', 61.523899, -166.147003, 13, 'US', 'US-AK', 'Hooper Bay', 'yes', 'PAHP', 'HPB', 'HPB', ''),
	('PACZ', 'medium_airport', 'Cape Romanzof LRRS Airport', 61.78030014, -166.0390015, 464, 'US', 'US-AK', 'Cape Romanzof', 'no', 'PACZ', 'CZF', 'CZF', ''),
	('PAOO', 'small_airport', 'Toksook Bay Airport', 60.541401, -165.087006, 59, 'US', 'US-AK', 'Toksook Bay', 'yes', 'PAOO', 'OOK', 'OOK', ''),
	('4KA', 'small_airport', 'Tununak Airport', 60.569638, -165.246649, 14, 'US', 'US-AK', 'Tununak', 'yes', 'POKA', 'TNK', '4KA', ''),
	('POKA', 'N/A', 'N/A', 60.56952763348818, -165.24627774953842, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PAMY', 'medium_airport', 'Mekoryuk Airport', 60.372338, -166.269751, 48, 'US', 'US-AK', 'Mekoryuk', 'yes', 'PAMY', 'MYU', 'MYU', ''),
	('PADU', 'medium_airport', 'Tom Madsen (Dutch Harbor) Airport', 53.89881, -166.544996, 22, 'US', 'US-AK', 'Unalaska', 'yes', 'PADU', 'DUT', 'DUT', 'Dutch Harbor, Unalaska');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KQA', 'seaplane_base', 'Akutan Seaplane Base', 54.13377, -165.778896, 0, 'US', 'US-AK', 'Akutan', 'no', '', '', 'KQA', ''),
	('PAUT', 'small_airport', 'Akutan Airport', 54.14459, -165.604332, 133, 'US', 'US-AK', 'Akutan', 'yes', 'PAUT', 'KQA', '7AK', 'Akun Airport'),
	('PAAM', 'small_airport', 'Driftwood Bay Air Force Station Airport', 53.9729499817, -166.858459473, 24, 'US', 'US-AK', 'Dutch Harbor', 'no', 'PAAM', '', 'AK23', ''),
	('PAUA', 'N/A', 'N/A', 53.37697930634022, -167.89234444499016, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PAGZ', 'N/A', 'N/A', 65.40213335305452, -161.2814748287201, 388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PAOT', 'medium_airport', 'Ralph Wien Memorial Airport', 66.88469696, -162.598999, 14, 'US', 'US-AK', 'Kotzebue', 'yes', 'PAOT', 'OTZ', 'OTZ', ''),
	('MOS', 'small_airport', 'Moses Point Airport', 64.694116, -162.060699, 14, 'US', 'US-AK', 'Elim', 'no', '', 'MOS', 'MOS', ''),
	('AK49', 'small_airport', 'Taylor Airport', 65.6792984009, -164.798995972, 440, 'US', 'US-AK', 'Taylor', 'no', 'AK49', 'TWE', 'AK49', ''),
	('2AK9', 'small_airport', 'Independence Creek Airport', 65.673376, -162.46007, 250, 'US', 'US-AK', 'Independence Creek', 'no', '2AK9', '', '2AK9', ''),
	('K29', 'small_airport', 'Council Airport', 64.89790344240001, -163.70300293, 85, 'US', 'US-AK', 'Council', 'no', 'K29', 'CIL', 'K29', 'Melsing Creek'),
	('PAWM', 'small_airport', 'White Mountain Airport', 64.689201, -163.412994, 267, 'US', 'US-AK', 'White Mountain', 'yes', 'PAWM', 'WMO', 'WMO', ''),
	('5QC', 'small_airport', 'Quartz Creek /Kougarok/ Airport', 65.40589904785156, -164.656005859375, 416, 'US', 'US-AK', 'Quartz Creek', 'no', '5QC', '', '5QC', ''),
	('PADE', 'medium_airport', 'Deering Airport', 66.068901, -162.766914, 21, 'US', 'US-AK', 'Deering', 'yes', 'PADE', 'DRG', 'DEE', '0Z0'),
	('PAUK', 'small_airport', 'Alakanuk Airport', 62.682653, -164.722481, 10, 'US', 'US-AK', 'Alakanuk', 'yes', 'PAUK', 'AUK', 'AUK', ''),
	('PAMO', 'small_airport', 'Mountain Village Airport', 62.095401763916016, -163.6820068359375, 337, 'US', 'US-AK', 'Mountain Village', 'yes', 'PAMO', 'MOU', 'MOU', ''),
	('PASM', 'small_airport', 'St Mary''s Airport', 62.060501, -163.302002, 312, 'US', 'US-AK', 'St Mary''s', 'yes', 'PASM', 'KSM', 'KSM', ''),
	('PAMK', 'small_airport', 'St Michael Airport', 63.49010086, -162.1100006, 98, 'US', 'US-AK', 'St Michael', 'yes', 'PAMK', 'SMK', 'SMK', '5S8'),
	('PAEM', 'medium_airport', 'Emmonak Airport', 62.78609848, -164.4909973, 13, 'US', 'US-AK', 'Emmonak', 'yes', 'PAEM', 'EMK', 'ENM', ''),
	('PFEL', 'small_airport', 'Elim Airport', 64.6147, -162.272003, 162, 'US', 'US-AK', 'Elim', 'yes', 'PFEL', 'ELI', 'ELI', ''),
	('AUK', 'small_airport', 'Alakanuk Airport', 62.682653, -164.722481, 10, 'US', 'US-AK', 'Alakanuk', 'yes', 'PAUK', 'AUK', 'AUK', ''),
	('PFKO', 'small_airport', 'Kotlik Airport', 63.030602, -163.533005, 15, 'US', 'US-AK', 'Kotlik', 'yes', 'PFKO', 'KOT', '2A9', ''),
	('PAGL', 'small_airport', 'Golovin Airport', 64.550499, -163.007004, 59, 'US', 'US-AK', 'Golovin', 'yes', 'PAGL', 'GLV', 'GLV', 'Formerly N93'),
	('SXP', 'small_airport', 'Nunam Iqua Airport', 62.520599, -164.848006, 12, 'US', 'US-AK', 'Nunam Iqua', 'yes', '', 'SXP', 'SXP', 'Sheldon Point Airport'),
	('AK26', 'small_airport', 'Solomon State Field', 64.5605, -164.4457, 25, 'US', 'US-AK', 'Solomon', 'no', 'AK26', 'SOL', 'AK26', ''),
	('0AK', 'closed', 'Old Pilot Station Airport', 61.934601, -162.899994, 308, 'US', 'US-AK', 'Pilot Station', 'no', '', '', '', '0AK'),
	('KOT', 'N/A', 'N/A', 63.030431270599365, -163.5329581797123, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WBB', 'small_airport', 'Stebbins Airport', 63.515999, -162.278, 14, 'US', 'US-AK', 'Stebbins', 'yes', 'WBB', 'WBB', 'WBB', ''),
	('GLV', 'small_airport', 'Golovin Airport', 64.550499, -163.007004, 59, 'US', 'US-AK', 'Golovin', 'yes', 'PAGL', 'GLV', 'GLV', 'Formerly N93'),
	('PAEE', 'small_airport', 'Eek Airport', 60.213173, -162.044048, 12, 'US', 'US-AK', 'Eek', 'yes', 'PAEE', 'EEK', 'EEK', ''),
	('4A2', 'small_airport', 'Atmautluak Airport', 60.866699, -162.272996, 17, 'US', 'US-AK', 'Atmautluak', 'yes', '', 'ATT', '4A2', '08AK'),
	('PARS', 'small_airport', 'Russian Mission Airport', 61.775071, -161.319466, 51, 'US', 'US-AK', 'Russian Mission', 'yes', 'PARS', 'RSH', 'RSH', ''),
	('PAGG', 'small_airport', 'Kwigillingok Airport', 59.876499, -163.169005, 18, 'US', 'US-AK', 'Kwigillingok', 'yes', 'PAGG', 'KWK', 'GGV', 'A85'),
	('PAQH', 'small_airport', 'Quinhagak Airport', 59.7551, -161.845, 42, 'US', 'US-AK', 'Quinhagak', 'yes', 'PAQH', 'KWN', 'AQH', ''),
	('PABE', 'medium_airport', 'Bethel Airport', 60.77980042, -161.8379974, 126, 'US', 'US-AK', 'Bethel', 'yes', 'PABE', 'BET', 'BET', ''),
	('PFKA', 'small_airport', 'Kasigluk Airport', 60.872747, -162.5247, 48, 'US', 'US-AK', 'Kasigluk', 'yes', 'PFKA', 'KUK', 'Z09', ''),
	('PAKI', 'small_airport', 'Kipnuk Airport', 59.931796, -164.028196, 11, 'US', 'US-AK', 'Kipnuk', 'yes', 'PAKI', 'KPN', 'IIK', ''),
	('PACK', 'small_airport', 'Chefornak Airport', 60.136667, -164.279167, 49, 'US', 'US-AK', 'Chefornak', 'yes', 'PACK', 'CYF', 'CFK', 'Z74'),
	('A61', 'small_airport', 'Tuntutuliak Airport', 60.351243, -162.654476, 16, 'US', 'US-AK', 'Tuntutuliak', 'yes', 'A61', 'WTL', 'A61', ''),
	('PAEW', 'closed', 'Newtok Airport', 60.939098, -164.641006, 25, 'US', 'US-AK', 'Newtok', 'no', '', '', '', 'WWT, PAEW, EWU'),
	('PAPK', 'small_airport', 'Napaskiak Airport', 60.7029, -161.778, 24, 'US', 'US-AK', 'Napaskiak', 'yes', 'PAPK', 'PKA', 'PKA', ''),
	('PADM', 'small_airport', 'Marshall Don Hunter Sr Airport', 61.8643, -162.026001, 103, 'US', 'US-AK', 'Marshall', 'yes', 'PADM', 'MLL', 'MDM', '3A5'),
	('PFKW', 'small_airport', 'Kwethluk Airport', 60.790298, -161.444, 25, 'US', 'US-AK', 'Kwethluk', 'yes', 'PFKW', 'KWT', 'KWT', ''),
	('GNU', 'small_airport', 'Goodnews Airport', 59.117561, -161.575241, 15, 'US', 'US-AK', 'Goodnews', 'yes', 'GNU', 'GNU', 'GNU', ''),
	('Z13', 'small_airport', 'Akiachak Airport', 60.913809, -161.493329, 23, 'US', 'US-AK', 'Akiachak', 'yes', 'PFZK', 'KKI', 'Z13', ''),
	('PANA', 'small_airport', 'Napakiak Airport', 60.6903, -161.979004, 17, 'US', 'US-AK', 'Napakiak', 'yes', 'PANA', 'WNA', 'WNA', ''),
	('MLL', 'small_airport', 'Muller Airstrip', 32.25337, -115.17829, 0, 'MX', 'MX-BCN', 'Mexicali', 'no', '', '', 'MLL', 'Aerofumigaciones Muller'),
	('PPIT', 'N/A', 'N/A', 60.90600002557039, -162.44058340787888, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IGT', 'small_airport', 'Nightmute Airport', 60.469129, -164.70407, 4, 'US', 'US-AK', 'Nightmute', 'yes', 'PAGT', 'NME', 'IGT', 'AK08'),
	('PADY', 'small_airport', 'Kongiganak Airport', 59.9608, -162.880997, 30, 'US', 'US-AK', 'Kongiganak', 'yes', 'PADY', 'KKH', 'DUY', ''),
	('PAEH', 'medium_airport', 'Cape Newenham LRRS Airport', 58.646400451699996, -162.06300354, 541, 'US', 'US-AK', 'Cape Newenham', 'no', 'PAEH', 'EHM', 'EHM', ''),
	('PAPM', 'medium_airport', 'Platinum Airport', 59.017675, -161.827927, 15, 'US', 'US-AK', 'Platinum', 'yes', 'PAPM', 'PTU', 'PTU', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('6AK1', 'small_airport', 'Platinum Mine Airport', 58.91170120239258, -161.71400451660156, 100, 'US', 'US-AK', 'Platinum', 'no', '6AK1', '', '6AK1', ''),
	('PAKF', 'small_airport', 'False Pass Airport', 54.84751, -163.407168, 20, 'US', 'US-AK', 'False Pass', 'yes', 'PAKF', 'KFP', 'KFP', ''),
	('PAVC', 'small_airport', 'King Cove Airport', 55.116299, -162.266006, 155, 'US', 'US-AK', 'King Cove', 'yes', 'PAVC', 'KVC', 'KVC', ''),
	('PACD', 'medium_airport', 'Cold Bay Airport', 55.207871, -162.725029, 96, 'US', 'US-AK', 'Cold Bay', 'yes', 'PACD', 'CDB', 'CDB', ''),
	('PACS', 'small_airport', 'Cape Sarichef Airport', 54.583934, -164.905727, 291, 'US', 'US-AK', 'Cape Sarichef', 'no', 'PACS', 'WSF', '26AK', ''),
	('AK02', 'small_airport', 'Bear Creek 1 Airport', 65.53990173339844, -161.06199645996094, 575, 'US', 'US-AK', 'Bear Creek', 'no', 'AK02', '', 'AK02', ''),
	('8AK3', 'small_airport', 'Roland Norton Memorial Airstrip', 66.76599884033203, -160.1529998779297, 360, 'US', 'US-AK', 'Selawik', 'no', '8AK3', '', '8AK3', ''),
	('HAY', 'closed', 'Haycock Airport', 65.201002, -161.156655, 175, 'US', 'US-AK', 'Haycock', 'no', '', '', '', 'HAY'),
	('PAIK', 'medium_airport', 'Bob Baker Memorial Airport', 66.976128, -160.439014, 166, 'US', 'US-AK', 'Kiana', 'yes', 'PAIK', 'IAN', 'IAN', ''),
	('PANU', 'small_airport', 'Nulato Airport', 64.729301, -158.074005, 399, 'US', 'US-AK', 'Nulato', 'yes', 'PANU', 'NUL', 'NUL', ''),
	('PFNO', 'small_airport', 'Robert (Bob) Curtis Memorial Airport', 66.817902, -161.018997, 55, 'US', 'US-AK', 'Noorvik', 'yes', 'PFNO', 'ORV', 'D76', ''),
	('PAKK', 'small_airport', 'Koyuk Alfred Adams Airport', 64.939499, -161.154007, 154, 'US', 'US-AK', 'Koyuk', 'yes', 'PAKK', 'KKA', 'KKA', ''),
	('PABL', 'small_airport', 'Buckland Airport', 65.981598, -161.149002, 31, 'US', 'US-AK', 'Buckland', 'yes', 'PABL', 'BKC', 'BVK', '7K5'),
	('PFKU', 'small_airport', 'Koyukuk Airport', 64.876099, -157.727005, 149, 'US', 'US-AK', 'Koyukuk', 'yes', 'PFKU', 'KYU', 'KYU', ''),
	('PAFM', 'medium_airport', 'Ambler Airport', 67.105529, -157.855339, 334, 'US', 'US-AK', 'Ambler', 'yes', 'PAFM', 'ABL', 'AFM', 'Z60'),
	('PASK', 'small_airport', 'Selawik Airport', 66.600098, -159.985992, 17, 'US', 'US-AK', 'Selawik', 'yes', 'PASK', 'WLK', 'WLK', ''),
	('PAHC', 'medium_airport', 'Holy Cross Airport', 62.18830108642578, -159.77499389648438, 70, 'US', 'US-AK', 'Holy Cross', 'yes', 'PAHC', 'HCR', 'HCA', '4Z4'),
	('PAUN', 'medium_airport', 'Unalakleet Airport', 63.888401, -160.798996, 27, 'US', 'US-AK', 'Unalakleet', 'yes', 'PAUN', 'UNK', 'UNK', ''),
	('K40', 'seaplane_base', 'Anvik Seaplane Base', 62.65620040893555, -160.2050018310547, 52, 'US', 'US-AK', 'Anvik', 'no', 'K40', '', 'K40', ''),
	('FLT', 'small_airport', 'Flat Airport', 62.452598571799996, -157.988998413, 309, 'US', 'US-AK', 'Flat', 'no', 'FLT', 'FLT', 'FLT', ''),
	('PANV', 'medium_airport', 'Anvik Airport', 62.646702, -160.190994, 291, 'US', 'US-AK', 'Anvik', 'yes', 'PANV', 'ANV', 'ANV', ''),
	('PAKV', 'small_airport', 'Kaltag Airport', 64.31864, -158.74197, 181, 'US', 'US-AK', 'Kaltag', 'yes', 'PAKV', 'KAL', 'KAL', ''),
	('PFCR', 'small_airport', 'Donlin Creek Airport', 62.031757, -158.234251, 733, 'US', 'US-AK', 'Crooked Creek', 'no', 'PFCR', '', '01AA', ''),
	('PAGX', 'N/A', 'N/A', 62.89208594709635, -160.06639704108238, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PFSH', 'small_airport', 'Shaktoolik Airport', 64.371101, -161.223999, 24, 'US', 'US-AK', 'Shaktoolik', 'yes', 'PFSH', 'SKK', '2C7', ''),
	('PAHX', 'small_airport', 'Shageluk Airport', 62.692144, -159.569035, 79, 'US', 'US-AK', 'Shageluk', 'no', 'PAHX', 'SHX', 'SHX', ''),
	('CJX', 'small_airport', 'Crooked Creek Airport', 61.870315, -158.137636, 178, 'US', 'US-AK', 'Crooked Creek', 'yes', 'PACJ', 'CKD', 'CJX', ''),
	('PFAK', 'small_airport', 'Akiak Airport', 60.902646, -161.23106, 30, 'US', 'US-AK', 'Akiak', 'yes', 'PFAK', 'AKI', 'AKI', ''),
	('4AK7', 'small_airport', 'Aleknagik Mission Lodge Airport', 59.279999, -158.5971, 150, 'US', 'US-AK', 'Aleknagik', 'no', '4AK7', '', '4AK7', ''),
	('AK56', 'seaplane_base', 'Tikchik Lodge Seaplane Base', 59.9631996155, -158.477005005, 304, 'US', 'US-AK', 'Tikchik', 'no', 'AK56', 'KTH', 'AK56', ''),
	('PACH', 'N/A', 'N/A', 61.579055450856686, -159.21563878655434, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3Z8', 'seaplane_base', 'Golden Horn Lodge Seaplane Base', 59.7470016479, -158.875, 91, 'US', 'US-AK', 'Golden Horn Lodge', 'no', '3Z8', 'GDH', '3Z8', ''),
	('TLT', 'small_airport', 'Tuluksak Airport', 61.086973, -160.922842, 30, 'US', 'US-AK', 'Tuluksak', 'yes', 'PALT', 'TLT', 'TLT', ''),
	('5A8', 'medium_airport', 'Aleknagik / New Airport', 59.2826004028, -158.617996216, 66, 'US', 'US-AK', 'Aleknagik', 'yes', '5A8', 'WKK', '5A8', ''),
	('PANI', 'medium_airport', 'Aniak Airport', 61.581600189208984, -159.54299926757813, 88, 'US', 'US-AK', 'Aniak', 'yes', 'PANI', 'ANI', 'ANI', ''),
	('A63', 'small_airport', 'Twin Hills Airport', 59.074713, -160.274992, 82, 'US', 'US-AK', 'Twin Hills', 'yes', 'A63', 'TWA', 'A63', 'AK63'),
	('4AK8', 'small_airport', 'Napaimute Pioneer Airfield', 61.53630065917969, -158.73899841308594, 200, 'US', 'US-AK', 'Napaimute', 'no', '4AK8', '', '4AK8', ''),
	('ZNC', 'small_airport', 'Nyac Airport', 60.9807014465, -159.994003296, 460, 'US', 'US-AK', 'Nyac', 'no', 'ZNC', 'ZNC', 'ZNC', ''),
	('PALG', 'small_airport', 'Kalskag Airport', 61.53630065917969, -160.34100341796875, 55, 'US', 'US-AK', 'Kalskag', 'yes', 'PALG', 'KLG', 'KLG', ''),
	('PATG', 'small_airport', 'Togiak Airport', 59.052799, -160.397003, 21, 'US', 'US-AK', 'Togiak Village', 'yes', 'PATG', 'TOG', 'TOG', ''),
	('PAOC', 'small_airport', 'Portage Creek Airport', 58.9065, -157.714, 137, 'US', 'US-AK', 'Portage Creek', 'no', 'PAOC', 'PCA', 'A14', 'AK14'),
	('A79', 'small_airport', 'Chignik Lake Airport', 56.2550010681, -158.774993896, 50, 'US', 'US-AK', 'Chignik Lake', 'yes', 'A79', 'KCQ', 'A79', ''),
	('KCL', 'small_airport', 'Chignik Lagoon Airport', 56.310776, -158.534818, 25, 'US', 'US-AK', 'Chignik Flats', 'yes', 'KCL', 'KCL', 'KCL', ''),
	('KKU', 'small_airport', 'Ekuk Airport', 58.8111991882, -158.559005737, 30, 'US', 'US-AK', 'Ekuk', 'no', 'KKU', 'KKU', 'KKU', ''),
	('PAJC', 'small_airport', 'Chignik Airport', 56.311501, -158.373001, 18, 'US', 'US-AK', 'Chignik', 'yes', 'PAJC', 'KCG', 'AJC', 'Z79'),
	('PADL', 'medium_airport', 'Dillingham Airport', 59.04470062, -158.5050049, 81, 'US', 'US-AK', 'Dillingham', 'yes', 'PADL', 'DLG', 'DLG', ''),
	('0Z3', 'seaplane_base', 'Shannons Pond Seaplane Base', 59.049905, -158.581682, 80, 'US', 'US-AK', 'Dillingham', 'no', 'AA15', '', 'AA15', '0Z3'),
	('PAMB', 'small_airport', 'Manokotak Airport', 58.932056, -158.901886, 107, 'US', 'US-AK', 'Manokotak', 'yes', 'PAMB', 'KMO', 'MBA', '17Z'),
	('PAPH', 'medium_airport', 'Port Heiden Airport', 56.957893, -158.630219, 95, 'US', 'US-AK', 'Port Heiden', 'yes', 'PAPH', 'PTH', 'PTH', ''),
	('CLP', 'small_airport', 'Clarks Point Airport', 58.833698, -158.529007, 80, 'US', 'US-AK', 'Clarks Point', 'yes', 'PFCL', 'CLP', 'CLP', ''),
	('PAPN', 'small_airport', 'Pilot Point Airport', 57.580399, -157.572006, 57, 'US', 'US-AK', 'Pilot Point', 'yes', 'PAPN', 'PIP', 'PNP', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UGB', 'small_airport', 'Ugashik Bay Airport', 57.424052, -157.74479, 132, 'US', 'US-AK', 'Pilot Point', 'no', '', 'UGB', '', ''),
	('AA15', 'seaplane_base', 'Shannons Pond Seaplane Base', 59.049905, -158.581682, 80, 'US', 'US-AK', 'Dillingham', 'no', 'AA15', '', 'AA15', '0Z3'),
	('PFCL', 'small_airport', 'Clarks Point Airport', 58.833698, -158.529007, 80, 'US', 'US-AK', 'Clarks Point', 'yes', 'PFCL', 'CLP', 'CLP', ''),
	('KCG', 'closed', 'Chignik Fisheries Airport', 56.3178, -158.589818, 25, 'US', 'US-AK', 'Chignik', 'no', '', '', '', 'KCG, KCG'),
	('93AK', 'small_airport', 'The Queens Airport', 58.87200164794922, -158.4720001220703, 25, 'US', 'US-AK', 'Queens', 'no', '93AK', '', '93AK', ''),
	('17Z', 'N/A', 'N/A', 58.99023860692978, -159.04990285634995, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PASD', 'medium_airport', 'Sand Point Airport', 55.313908, -160.522099, 21, 'US', 'US-AK', 'Sand Point', 'yes', 'PASD', 'SDP', 'SDP', ''),
	('Z52', 'small_airport', 'Johnsons Landing Airport', 56.03670120239258, -160.26600646972656, 130, 'US', 'US-AK', 'Bear Lake', 'no', 'Z52', '', 'Z52', ''),
	('AK33', 'small_airport', 'Herendeen Bay Airport', 55.802346, -160.901346, 20, 'US', 'US-AK', 'Herendeen Bay', 'no', 'AK33', 'HED', 'AK33', ''),
	('36H', 'seaplane_base', 'Squaw Harbor Seaplane Base', 55.2332992554, -160.552001953, 0, 'US', 'US-AK', 'Squaw Harbor', 'no', '36H', '', '36H', ''),
	('PAAL', 'small_airport', 'Port Moller Airport', 56.006001, -160.561005, 20, 'US', 'US-AK', 'Cold Bay', 'yes', 'PAAL', 'PML', '1AK3', 'Moller Air Force Station'),
	('PAOU', 'small_airport', 'Nelson Lagoon Airport', 56.0075, -161.160004, 14, 'US', 'US-AK', 'Nelson Lagoon', 'yes', 'PAOU', 'NLG', 'OUL', ''),
	('PAPE', 'small_airport', 'Perryville Airport', 55.9065, -159.16091, 29, 'US', 'US-AK', 'Perryville', 'yes', 'PAPE', 'KPV', 'PEV', 'AK05'),
	('PARY', 'medium_airport', 'Ruby Airport', 64.727203, -155.470001, 658, 'US', 'US-AK', 'Ruby', 'yes', 'PARY', 'RBY', 'RBY', ''),
	('PAHS', 'N/A', 'N/A', 65.70276908576488, -156.37865245342255, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PAGH', 'small_airport', 'Shungnak Airport', 66.88809967041, -157.16200256348, 197, 'US', 'US-AK', 'Shungnak', 'yes', 'PAGH', 'SHG', 'SHG', ''),
	('DCK', 'small_airport', 'Dahl Creek Airport', 66.943298, -156.904999, 260, 'US', 'US-AK', 'Dahl Creek', 'no', 'PODC', 'DCK', 'DCK', ''),
	('PAOB', 'small_airport', 'Kobuk Airport', 66.9123, -156.897003, 137, 'US', 'US-AK', 'Kobuk', 'yes', 'PAOB', 'OBU', 'OBU', ''),
	('2AK6', 'small_airport', 'Hog River Airport', 66.176133, -155.684816, 534, 'US', 'US-AK', 'Hogatza', 'no', '2AK6', 'HGZ', '2AK6', ''),
	('PAGA', 'medium_airport', 'Edward G. Pitka Sr Airport', 64.736198, -156.936997, 153, 'US', 'US-AK', 'Galena', 'yes', 'PAGA', 'GAL', 'GAL', ''),
	('PAHL', 'medium_airport', 'Huslia Airport', 65.697899, -156.350998, 220, 'US', 'US-AK', 'Huslia', 'yes', 'PAHL', 'HSL', 'HLA', ''),
	('PAHU', 'small_airport', 'Hughes Airport', 66.04109955, -154.2630005, 299, 'US', 'US-AK', 'Hughes', 'yes', 'PAHU', 'HUS', 'HUS', ''),
	('PABW', 'N/A', 'N/A', 67.07670114934444, -156.94382160902023, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PPCT', 'N/A', 'N/A', 62.9929443821311, -156.02972209453583, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PAMC', 'medium_airport', 'McGrath Airport', 62.95289993, -155.6060028, 341, 'US', 'US-AK', 'McGrath', 'yes', 'PAMC', 'MCG', 'MCG', ''),
	('AK40', 'small_airport', 'Nixon Fork Mine Airport', 63.229198455799995, -154.759994507, 1510, 'US', 'US-AK', 'McGrath', 'no', 'AK40', '', 'AK40', ''),
	('1KC', 'small_airport', 'Kalakaket Creek AS Airport', 64.4166256967, -156.820392609, 1598, 'US', 'US-AK', 'Kalakaket Creek', 'no', '1KC', 'KKK', '1KC', ''),
	('99AK', 'small_airport', 'Moore Creek Airport', 62.5989990234375, -157.15199279785156, 980, 'US', 'US-AK', 'Moore Creek', 'no', '99AK', '', '99AK', ''),
	('TCT', 'small_airport', 'Takotna Airport', 62.993206, -156.029026, 825, 'US', 'US-AK', 'Takotna', 'yes', 'PPCT', 'TCT', 'TCT', ''),
	('KCR', 'small_airport', 'Colorado Creek Airport', 63.5676994324, -155.988998413, 860, 'US', 'US-AK', 'Colorado Creek', 'no', 'KCR', 'KCR', 'KCR', ''),
	('Z17', 'small_airport', 'Ophir Airport', 63.146, -156.529999, 575, 'US', 'US-AK', 'Ophir', 'no', 'Z17', '', 'Z17', ''),
	('PATL', 'medium_airport', 'Tatalina LRRS Airport', 62.894401550299996, -155.977005005, 964, 'US', 'US-AK', 'Takotna', 'no', 'PATL', 'TLJ', 'TLJ', ''),
	('PAFS', 'small_airport', 'Nikolai Airport', 63.017949, -154.360399, 441, 'US', 'US-AK', 'Nikolai', 'yes', 'PAFS', 'NIB', 'FSP', '5N1'),
	('0AA4', 'small_airport', 'Farewell Airport', 62.509327, -153.892279, 1535, 'US', 'US-AK', 'Farewell', 'no', '', 'FWL', '0AA4', 'PAFW, FWL'),
	('MDR', 'closed', 'Medfra Airport', 63.106022, -154.719424, 435, 'US', 'US-AK', 'Medfra', 'no', '', '', '', 'MDR'),
	('PFKK', 'small_airport', 'Kokhanok Airport', 59.433248, -154.80217, 115, 'US', 'US-AK', 'Kokhanok', 'yes', 'PFKK', 'KNK', '9K2', ''),
	('PAKX', 'N/A', 'N/A', 60.19848056137562, -154.32304993271828, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEK', 'small_airport', 'Ekwok Airport', 59.3568, -157.470993, 135, 'US', 'US-AK', 'Ekwok', 'yes', 'KEK', 'KEK', 'KEK', ''),
	('9Z8', 'small_airport', 'Levelock Airport', 59.12606, -156.860906, 39, 'US', 'US-AK', 'Levelock', 'yes', '', 'KLL', '9Z8', ''),
	('PANO', 'small_airport', 'Nondalton Airport', 59.980202, -154.839005, 314, 'US', 'US-AK', 'Nondalton', 'yes', 'PANO', 'NNL', '5NN', ''),
	('PAJZ', 'small_airport', 'Koliganek Airport', 59.726600647, -157.259002686, 269, 'US', 'US-AK', 'Koliganek', 'yes', 'PAJZ', 'KGK', 'JZZ', ''),
	('PANW', 'small_airport', 'New Stuyahok Airport', 59.451838, -157.373829, 364, 'US', 'US-AK', 'New Stuyahok', 'yes', 'PANW', 'KNW', 'KNW', ''),
	('PAIG', 'small_airport', 'Igiugig Airport', 59.324001, -155.901993, 90, 'US', 'US-AK', 'Igiugig', 'yes', 'PAIG', 'IGG', 'IGG', ''),
	('TPO', 'small_airport', 'Port Alsworth Airport', 60.201681, -154.325863, 280, 'US', 'US-AK', 'Port Alsworth', 'yes', 'PALJ', 'PTA', 'TPO', ''),
	('PAIL', 'medium_airport', 'Iliamna Airport', 59.754398, -154.910996, 192, 'US', 'US-AK', 'Iliamna', 'yes', 'PAIL', 'ILI', 'ILI', ''),
	('SRV', 'small_airport', 'Stony River 2 Airport', 61.7897, -156.589005, 230, 'US', 'US-AK', 'Stony River', 'yes', 'SRV', 'SRV', 'SRV', ''),
	('PASV', 'medium_airport', 'Sparrevohn LRRS Airport', 61.09740067, -155.5740051, 1585, 'US', 'US-AK', 'Sparrevohn', 'no', 'PASV', 'SVW', 'SVW', ''),
	('RDV', 'small_airport', 'Red Devil Airport', 61.788101, -157.350006, 174, 'US', 'US-AK', 'Red Devil', 'yes', 'RDV', 'RDV', 'RDV', ''),
	('PABM', 'small_airport', 'Big Mountain Airport', 59.362274, -155.260148, 663, 'US', 'US-AK', 'Big Mountain', 'no', 'PABM', 'BMX', '37AK', 'Big Mountain Air Force Station'),
	('KNW', 'small_airport', 'New Stuyahok Airport', 59.451838, -157.373829, 364, 'US', 'US-AK', 'New Stuyahok', 'yes', 'PANW', 'KNW', 'KNW', ''),
	('2AK', 'small_airport', 'Lime Village Airport', 61.3591003418, -155.440002441, 552, 'US', 'US-AK', 'Lime Village', 'no', '2AK', 'LVD', '2AK', '23AK');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KLL', 'N/A', 'N/A', 59.11771561950445, -156.8652431666851, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4K0', 'small_airport', 'Pedro Bay Airport', 59.796925, -154.129994, 45, 'US', 'US-AK', 'Pedro Bay', 'yes', '4K0', 'PDB', '4K0', ''),
	('PASL', 'small_airport', 'Sleetmute Airport', 61.7005, -157.166, 190, 'US', 'US-AK', 'Sleetmute', 'yes', 'PASL', 'SLQ', 'SLQ', ''),
	('9A8', 'small_airport', 'Ugashik Airport', 57.523476, -157.396344, 25, 'US', 'US-AK', 'Ugashik', 'no', '', 'UGS', '9A8', ''),
	('PAII', 'medium_airport', 'Egegik Airport', 58.184386, -157.374873, 92, 'US', 'US-AK', 'Egegik', 'yes', 'PAII', 'EGX', 'EII', ''),
	('4AK9', 'small_airport', 'Tibbetts Airport', 58.732899, -157.015975, 50, 'US', 'US-AK', 'Naknek', 'no', '4AK9', '', '4AK9', ''),
	('PAKY', 'small_airport', 'Karluk Airport', 57.565919, -154.453762, 137, 'US', 'US-AK', 'Karluk', 'yes', 'PAKY', 'KYK', 'KYK', ''),
	('AK96', 'small_airport', 'Bartletts Airport', 58.235664, -157.366397, 50, 'US', 'US-AK', 'Egegik', 'no', '', '', 'BSZ', ''),
	('AK60', 'small_airport', 'Fort Jensen Airport', 57.884684, -157.095036, 240, 'US', 'US-AK', 'Jensens', 'no', 'AK60', '', 'AK60', ''),
	('5NK', 'small_airport', 'Naknek Airport', 58.735633, -157.02216, 70, 'US', 'US-AK', 'Naknek', 'no', '', 'NNK', '5NK', ''),
	('5Z9', 'seaplane_base', 'Lake Brooks Seaplane Base', 58.554798, -155.776993, 36, 'US', 'US-AK', 'Katmai National Park', 'yes', '5Z9', 'BKF', '5Z9', ''),
	('PAKN', 'medium_airport', 'King Salmon Airport', 58.677845, -156.651965, 73, 'US', 'US-AK', 'King Salmon', 'yes', 'PAKN', 'AKN', 'AKN', 'Naknek Air Force Base'),
	('AK51', 'small_airport', 'Wilder/Natwick LLC Airport', 60.198567, -154.322789, 288, 'US', 'US-AK', 'Port Alsworth', 'no', 'PAKX', '', '05K', 'AK51'),
	('AK81', 'seaplane_base', 'Amook Bay Seaplane Base', 57.4715003967, -153.815002441, 0, 'US', 'US-AK', 'Amook Bay', 'yes', 'AK81', 'AOS', 'AK81', ''),
	('PAKH', 'small_airport', 'Akhiok Airport', 56.938702, -154.182999, 44, 'US', 'US-AK', 'Akhiok', 'yes', 'PAKH', 'AKK', 'AKK', ''),
	('PFWS', 'small_airport', 'South Naknek Number 2 Airport', 58.702362, -157.005444, 162, 'US', 'US-AK', 'South Naknek', 'yes', 'PFWS', 'WSN', 'WSN', ''),
	('PALB', 'small_airport', 'Larsen Bay Airport', 57.53516, -153.976455, 87, 'US', 'US-AK', 'Larsen Bay', 'yes', 'PALB', 'KLN', '2A3', '09AK'),
	('PAKL', 'small_airport', 'Kulik Lake Airport', 58.9821014404, -155.121002197, 717, 'US', 'US-AK', 'Kulik Lake', 'no', 'PAKL', 'LKK', 'LKK', ''),
	('AA05', 'small_airport', 'Shelby Strip', 61.507867, -149.078925, 40, 'US', 'US-AK', 'Palmer', 'no', 'AA25', '', 'AA25', 'AA05'),
	('PATA', 'small_airport', 'Ralph M Calhoun Memorial Airport', 65.1744, -152.108994, 236, 'US', 'US-AK', 'Tanana', 'yes', 'PATA', 'TAL', 'TAL', ''),
	('1AK1', 'small_airport', 'Crevice Creek Airport', 67.3729019165039, -152.01600646972656, 840, 'US', 'US-AK', 'Crevice Creek', 'no', '1AK1', '', '1AK1', ''),
	('PAIM', 'medium_airport', 'Indian Mountain LRRS Airport', 65.992798, -153.703995, 1273, 'US', 'US-AK', 'Utopia Creek', 'yes', 'PAIM', 'UTO', 'UTO', ''),
	('PAHE', 'small_airport', 'Healy Airport', 65.08896, -150.871934, 0, 'US', 'US-AK', '', 'no', 'PAHE', '', '', ''),
	('PFMP', 'N/A', 'N/A', 65.5078998953104, -150.14083340764046, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PFAL', 'small_airport', 'Allakaket Airport', 66.551804, -152.621994, 441, 'US', 'US-AK', 'Allakaket', 'yes', 'PFAL', 'AET', '6A8', ''),
	('PABT', 'small_airport', 'Bettles Airport', 66.913902, -151.529007, 647, 'US', 'US-AK', 'Bettles', 'yes', 'PABT', 'BTT', 'BTT', ''),
	('WSM', 'small_airport', 'Wiseman Airport', 67.4046020508, -150.123001099, 1180, 'US', 'US-AK', 'Wiseman', 'no', 'WSM', 'WSM', 'WSM', ''),
	('80A', 'small_airport', 'American Creek Airport', 65.1046, -151.176, 520, 'US', 'US-AK', 'American Creek', 'no', '', '', '80A', 'AK80'),
	('PAPR', 'small_airport', 'Prospect Creek Airport', 66.814102172852, -150.64399719238, 1095, 'US', 'US-AK', 'Prospect Creek', 'no', 'PAPR', 'PPC', 'PPC', ''),
	('PAML', 'small_airport', 'Manley Hot Springs Airport', 64.99188, -150.644102, 270, 'US', 'US-AK', 'Manley Hot Springs', 'yes', 'PAML', 'MLY', 'MLY', ''),
	('PACX', 'small_airport', 'Coldfoot Airport', 67.25219726559999, -150.203994751, 1042, 'US', 'US-AK', 'Coldfoot', 'no', 'PACX', 'CXF', 'CXF', ''),
	('33AK', 'small_airport', 'Nugget Bench Airport', 62.515689, -150.945804, 2010, 'US', 'US-AK', 'Nugget Bench', 'no', '33AK', '', '33AK', ''),
	('51AK', 'small_airport', 'Birch Creek Landing', 62.23883, -150.063849, 400, 'US', 'US-AK', 'Talkeetna', 'no', '51AK', '', '51AK', ''),
	('2K5', 'small_airport', 'Telida Airport', 63.393901824951, -153.26899719238, 650, 'US', 'US-AK', 'Telida', 'no', '2K5', 'TLF', '2K5', ''),
	('0AA5', 'small_airport', 'Rangeview Airstrip', 62.312778, -150.335833, 470, 'US', 'US-AK', 'Trapper Creek', 'no', '0AA5', '', '0AA5', ''),
	('27AK', 'closed', 'Pad-66 Heliport', 70.343002, -149.589008, 60, 'US', 'US-AK', 'Kuparuk', 'no', '', '', '', '27AK'),
	('PAMH', 'small_airport', 'Minchumina Airport', 63.886002, -152.302002, 678, 'US', 'US-AK', 'Minchumina', 'yes', 'PAMH', 'LMA', 'MHM', ''),
	('AK8', 'seaplane_base', 'Christiansen Lake Seaplane Base', 62.313414, -150.06935, 400, 'US', 'US-AK', 'Talkeetna', 'no', 'AK8', '', 'AK8', ''),
	('PAFL', 'small_airport', 'Tin Creek Airport', 62.532191, -153.612809, 1151, 'US', 'US-AK', 'Farewell Lake', 'no', 'PAFL', '', 'TNW', '2Z9'),
	('PASW', 'small_airport', 'Skwentna Airport', 61.9653015137, -151.190994263, 148, 'US', 'US-AK', 'Skwentna', 'no', 'PASW', 'SKW', 'SKW', ''),
	('5Z5', 'small_airport', 'Kantishna Airport', 63.541698, -150.994003, 1575, 'US', 'US-AK', 'Kantishna', 'no', '5Z5', '', '5Z5', ''),
	('21AK', 'small_airport', 'Montana Creek Airport', 62.082611, -150.066931, 250, 'US', 'US-AK', 'Talkeetna', 'no', '21AK', '', '21AK', ''),
	('45AA', 'small_airport', 'Davidson Strip Airport', 62.1628972, -150.5396083, 383, 'US', 'US-AK', 'Talkeetna', 'no', '45AA', '', '45AA', ''),
	('02AK', 'small_airport', 'Rustic Wilderness Airport', 61.876907, -150.097626, 190, 'US', 'US-AK', 'Willow', 'no', '02AK', '', '02AK', ''),
	('AK19', 'small_airport', 'Carl''s Landing Airport', 62.17390060424805, -150.06399536132813, 300, 'US', 'US-AK', 'Talkeetna', 'no', 'AK19', '', 'AK19', ''),
	('AK44', 'small_airport', 'Talkeetna Village Strip', 62.319441, -150.113475, 346, 'US', 'US-AK', 'Talkeetna', 'no', 'AK44', '', 'AK44', ''),
	('3AK9', 'closed', 'River John Airport', 61.940525, -151.036069, 170, 'US', 'US-AK', 'Skwentna', 'no', '', '', '', '3AK9'),
	('0AK3', 'small_airport', 'Parker Lake Airport', 62.0359001159668, -150.49400329589844, 250, 'US', 'US-AK', 'Montana Creek', 'no', '0AK3', '', '0AK3', ''),
	('8AK5', 'small_airport', 'Fort Crosby Airport', 62.513888, -150.265277, 650, 'US', 'US-AK', 'Trapper Creek', 'no', '8AK5', '', '8AK5', ''),
	('3AK3', 'small_airport', 'Songlo Vista Airport', 62.56380081176758, -150.2209930419922, 825, 'US', 'US-AK', 'Talkeetna', 'no', '3AK3', '', '3AK3', ''),
	('8KA', 'small_airport', 'Tatitna Airport', 62.29330062866211, -153.36199951171875, 1490, 'US', 'US-AK', 'Tatitna', 'no', '8KA', '', '8KA', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('PATK', 'medium_airport', 'Talkeetna Airport', 62.320499420166, -150.09399414062, 358, 'US', 'US-AK', 'Talkeetna', 'no', 'PATK', 'TKA', 'TKA', ''),
	('Z90', 'small_airport', 'Stampede Airport', 63.748699, -150.330002, 1850, 'US', 'US-AK', 'Kantishna', 'no', 'Z90', '', 'Z90', ''),
	('6AK', 'small_airport', 'Rainy Pass Lodge Airport', 62.08409881591797, -152.71800231933594, 1900, 'US', 'US-AK', 'Rainy Pass', 'no', '6AK', '', '6AK', ''),
	('81AK', 'small_airport', 'McKinley Country Airport', 62.577634, -150.23666, 600, 'US', 'US-AK', 'Trapper Creek', 'no', '81AK', '', '81AK', ''),
	('AK36', 'small_airport', 'Point Mac Airport', 61.43600082397461, -150.1219940185547, 300, 'US', 'US-AK', 'Point Mackenzie', 'no', 'AK36', '', 'AK36', ''),
	('75AK', 'small_airport', 'Henley Airport', 60.593067, -151.327956, 100, 'US', 'US-AK', 'Kenai', 'no', '75AK', '', '75AK', ''),
	('98AK', 'small_airport', 'Eastland Airport', 59.77621, -151.187882, 1190, 'US', 'US-AK', 'Homer', 'no', '98AK', '', '98AK', ''),
	('AK00', 'small_airport', 'Anchor River Airpark', 59.783144, -151.853156, 120, 'US', 'US-AK', 'Anchor Point', 'no', 'AK00', '', 'AK00', ''),
	('AK17', 'small_airport', 'Glacierview Strip', 59.76359939575195, -151.22300720214844, 1600, 'US', 'US-AK', 'Homer', 'no', 'AK17', '', 'AK17', ''),
	('AK14', 'small_airport', 'Turinsky Airstrip', 61.3512992859, -150.089004517, 100, 'US', 'US-AK', 'Point Mackenzie', 'no', 'AK14', '', 'AK14', ''),
	('PASO', 'small_airport', 'Seldovia Airport', 59.442981, -151.705227, 29, 'US', 'US-AK', 'Seldovia', 'yes', 'PASO', 'SOV', 'SOV', ''),
	('53AK', 'small_airport', 'Lakewood Airstrip', 60.533749, -150.856597, 110, 'US', 'US-AK', 'Sterling', 'no', '53AK', '', '53AK', ''),
	('1AK6', 'small_airport', 'Talachulitna River Airport', 61.856262, -151.397521, 282, 'US', 'US-AK', 'Sketna', 'no', '1AK6', '', '1AK6', ''),
	('2AK4', 'small_airport', 'Bootleggers Cove Airport', 59.470001, -151.51199, 45, 'US', 'US-AK', 'Homer', 'no', '2AK4', '', '2AK4', 'Oyster Cove'),
	('25AK', 'small_airport', 'Honeybee Lake Aero Park Airport', 61.712699, -150.066005, 200, 'US', 'US-AK', 'Willow', 'no', '25AK', '', '25AK', ''),
	('40AK', 'small_airport', 'Sterling Air Park', 60.557236, -150.836964, 90, 'US', 'US-AK', 'Sterling', 'no', '40AK', '', '40AK', ''),
	('50AK', 'small_airport', 'Robin''s Landing', 61.380461, -150.116163, 95, 'US', 'US-AK', 'Point Mackenzie', 'no', '50AK', '', '50AK', ''),
	('64AK', 'small_airport', 'Carpentiers Strip', 61.440132, -150.026829, 175, 'US', 'US-AK', 'Point Mackenzie', 'no', '64AK', '', '64AK', ''),
	('0AK9', 'small_airport', 'Falcon Lake Strip', 61.33259963989258, -150.0590057373047, 110, 'US', 'US-AK', 'Point Mackenzie', 'no', '0AK9', '', '0AK9', ''),
	('3AK4', 'small_airport', 'Johnson Airport', 60.632522, -151.337657, 102, 'US', 'US-AK', 'Kenai', 'no', '3AK4', '', '3AK4', ''),
	('AA16', 'small_airport', 'Treasure Chest Airport', 60.627657, -151.294679, 125, 'US', 'US-AK', 'Kenai', 'no', 'AA16', '', 'AA16', ''),
	('PABG', 'small_airport', 'Beluga Airport', 61.1721992493, -151.044006348, 130, 'US', 'US-AK', 'Beluga', 'no', 'PABG', 'BVU', 'BLG', ''),
	('PAEN', 'medium_airport', 'Kenai Municipal Airport', 60.570946, -151.245174, 99, 'US', 'US-AK', 'Kenai', 'yes', 'PAEN', 'ENA', 'ENA', ''),
	('PASX', 'medium_airport', 'Soldotna Airport', 60.474935, -151.038471, 113, 'US', 'US-AK', 'Soldotna', 'no', 'PASX', 'SXQ', 'SXQ', ''),
	('9AK3', 'small_airport', 'Nikolai Creek Airport', 61.01390075683594, -151.44900512695313, 30, 'US', 'US-AK', 'Tyonek', 'no', '9AK3', '', '9AK3', ''),
	('AK84', 'small_airport', 'Scooter''s Landing Strip', 60.52939987182617, -150.83099365234375, 259, 'US', 'US-AK', 'Sterling', 'no', 'AK84', '', 'AK84', ''),
	('70AK', 'small_airport', 'Bangerter Field', 60.518313, -150.952878, 250, 'US', 'US-AK', 'Soldotna', 'no', '70AK', '', '70AK', ''),
	('6Z1', 'small_airport', 'Arness Lake Airport', 60.645473, -151.304376, 125, 'US', 'US-AK', 'Kenai', 'no', '', '', '', '6Z1'),
	('4Z9', 'small_airport', 'Jakolof Bay Airport', 59.45199, -151.521313, 5, 'US', 'US-AK', 'Jakolof Bay', 'no', '', '', '4Z9', ''),
	('0AA7', 'small_airport', 'Kalifornsky Meadows Airport', 60.491537, -151.235253, 65, 'US', 'US-AK', 'Kenai', 'no', '0AA7', '', '0AA7', 'Kenai Airpark'),
	('AK68', 'small_airport', 'Minuteman Strip', 61.720298767089844, -150.0540008544922, 290, 'US', 'US-AK', 'Willow', 'no', 'AK68', '', 'AK68', ''),
	('AK18', 'small_airport', 'Camp Point Airport', 59.833068, -153.087156, 8, 'US', 'US-AK', 'Homer', 'no', 'AK18', '', 'AK18', ''),
	('KEB', 'small_airport', 'Nanwalek Airport', 59.3521, -151.925003, 27, 'US', 'US-AK', 'Nanwalek', 'yes', 'KEB', 'KEB', 'KEB', 'English Bay'),
	('7AK3', 'small_airport', 'Gaede Airport', 60.476933, -151.17136, 115, 'US', 'US-AK', 'Soldotna', 'no', '7AK3', '', '7AK3', ''),
	('5BL', 'seaplane_base', 'Homer-Beluga Lake Seaplane Base', 59.64469909667969, -151.5019989013672, 25, 'US', 'US-AK', 'Homer', 'no', '5BL', '', '5BL', ''),
	('AK48', 'closed', 'Valley Hospital, Wasilla Heliport', 61.585202, -149.425004, 340, 'US', 'US-AK', 'Wasilla', 'no', '', '', '', 'AK48'),
	('6AK5', 'small_airport', 'Fire Island Airport', 61.168742, -150.160532, 55, 'US', 'US-AK', 'Anchorage', 'no', '6AK5', '', '6AK5', ''),
	('2R3', 'seaplane_base', 'Island Lake Seaplane Base', 60.70439910888672, -151.31100463867188, 140, 'US', 'US-AK', 'Kenai', 'no', '2R3', '', '2R3', ''),
	('AK39', 'small_airport', 'South Gasline Airport', 60.699567, -150.176239, 381, 'US', 'US-AK', 'Sterling', 'no', 'AK39', '', 'AK39', ''),
	('PGM', 'small_airport', 'Port Graham Airport', 59.348355, -151.830025, 93, 'US', 'US-AK', 'Port Graham', 'yes', 'PGM', 'PGM', 'PGM', ''),
	('44AK', 'small_airport', 'West Papoose Lake Airpark', 61.53340148925781, -150.1020050048828, 230, 'US', 'US-AK', 'Wasilla', 'no', '44AK', '', '44AK', ''),
	('1AK8', 'small_airport', 'Talaheim Airport', 61.67689895629883, -151.38699340820313, 610, 'US', 'US-AK', 'Skwentna', 'no', '1AK8', '', '1AK8', ''),
	('36AK', 'small_airport', 'Flyway Farm Airstrip', 61.346437, -150.069781, 150, 'US', 'US-AK', 'Wasilla', 'no', '36AK', '', '36AK', ''),
	('41AK', 'small_airport', 'Settlers Bay Airstrip', 61.5009002686, -149.639694214, 75, 'US', 'US-AK', 'Wasilla', 'no', '41AK', '', '41AK', ''),
	('AK57', 'seaplane_base', 'Long Lake Seaplane Base', 61.7257003784, -150.091003418, 180, 'US', 'US-AK', 'Willow', 'no', 'AK57', '', 'AK57', ''),
	('AK05', 'small_airport', 'Breeden Airport', 60.54234, -150.598612, 365, 'US', 'US-AK', 'Sterling', 'no', 'AK05', '', 'AK05', ''),
	('AK72', 'small_airport', 'Jewell Airport', 61.7047004699707, -150.6009979248047, 113, 'US', 'US-AK', 'Willow', 'no', 'AK72', '', 'AK72', ''),
	('AK34', 'seaplane_base', 'Kashwitna Lake Seaplane Base', 61.8353004456, -150.080001831, 186, 'US', 'US-AK', 'Willow', 'no', 'AK34', '', 'AK34', ''),
	('46AK', 'small_airport', 'Bear Cove Farm Airport', 59.737844, -151.022186, 115, 'US', 'US-AK', 'Homer', 'no', '46AK', '', '46AK', ''),
	('AK10', 'small_airport', 'AK-10 Airstrip', 61.71721, -150.108992, 210, 'US', 'US-AK', 'Willow', 'no', 'AK10', '', 'AK10', 'Ernies Airstrip'),
	('0AK7', 'small_airport', 'Bradley Lake Hydroelectric Project Airstrip', 59.776005, -150.963285, 18, 'US', 'US-AK', 'Homer', 'no', '0AK7', '', '0AK7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('7AK6', 'small_airport', 'Dan France Airport', 60.475686, -150.929875, 260, 'US', 'US-AK', 'Soldotna', 'no', '7AK6', '', '7AK6', ''),
	('04AA', 'small_airport', 'Flying W Ranch Airport', 60.535833, -150.811387, 250, 'US', 'US-AK', 'Soldotna', 'no', '04AA', '', '04AA', 'Phil''s Airport'),
	('96AK', 'seaplane_base', 'Hackney Landing Seaplane Base', 60.28779983520508, -151.3459930419922, 208, 'US', 'US-AK', 'Clam Gulch', 'no', '96AK', '', '96AK', ''),
	('5KS', 'small_airport', 'Kasilof Airport', 60.35031, -151.262941, 125, 'US', 'US-AK', 'Kasilof', 'no', '5KS', '', '5KS', ''),
	('7AK5', 'small_airport', 'Dahler Homestead Airport', 60.50360107421875, -150.93600463867188, 300, 'US', 'US-AK', 'Soldotna', 'no', '7AK5', '', '7AK5', ''),
	('AK73', 'small_airport', 'McGahan Industrial Airpark', 60.723125, -151.306458, 150, 'US', 'US-AK', 'Nikiski', 'no', 'AK73', '', 'AK73', ''),
	('AK5', 'seaplane_base', 'Encelewski Lake Seaplane Base', 60.25559997558594, -151.30299377441406, 230, 'US', 'US-AK', 'Kasilof', 'no', 'AK5', '', 'AK5', ''),
	('30AK', 'small_airport', 'Doyle Estates Airport', 60.505807, -151.260023, 50, 'US', 'US-AK', 'Kenai', 'no', '30AK', '', '30AK', ''),
	('MFN', 'seaplane_base', 'Minuteman Lake Seaplane Base', 61.72129821777344, -150.0469970703125, 295, 'US', 'US-AK', 'Willow', 'no', 'MFN', '', 'MFN', ''),
	('AK01', 'small_airport', 'Alaska Airpark', 60.528983, -150.625133, 320, 'US', 'US-AK', 'Sterling', 'no', 'AK01', '', 'AK01', ''),
	('NIN', 'small_airport', 'Ninilchik Airport', 60.020199, -151.589005, 276, 'US', 'US-AK', 'Ninilchik', 'no', 'NIN', 'NIN', 'NIN', ''),
	('PAHO', 'medium_airport', 'Homer Airport', 59.644456, -151.479235, 84, 'US', 'US-AK', 'Homer', 'yes', 'PAHO', 'HOM', 'HOM', ''),
	('AK55', 'small_airport', 'Moose Run Airstrip', 60.489429, -150.801473, 290, 'US', 'US-AK', 'Soldotna', 'no', 'AK55', '', 'AK55', ''),
	('AK07', 'small_airport', 'Dog Fish Bay Airport', 59.246222, -151.875, 10, 'US', 'US-AK', 'Nanwalek', 'no', 'AK07', '', 'AK07', 'Koyuktolik Bay'),
	('8AK6', 'small_airport', 'Little Susitna Airport', 61.37189865112305, -150.26199340820313, 70, 'US', 'US-AK', 'Susitna Station', 'no', '8AK6', '', '8AK6', ''),
	('AK69', 'small_airport', 'Long Lake Airport', 61.72930145263672, -150.09800720214844, 200, 'US', 'US-AK', 'Willow', 'no', 'AK69', '', 'AK69', ''),
	('PAUO', 'small_airport', 'Willow Airport', 61.7542, -150.052002, 221, 'US', 'US-AK', 'Willow', 'no', 'PAUO', 'WOW', 'UUO', 'Z22'),
	('8AK2', 'small_airport', 'Carty''s Airstrip', 60.699779, -151.294699, 150, 'US', 'US-AK', 'Nikiski', 'no', '8AK2', '', '8AK2', ''),
	('AK90', 'small_airport', 'Shirley Lake Airport', 61.74470138549805, -150.11500549316406, 185, 'US', 'US-AK', 'Willow', 'no', 'AK90', '', 'AK90', ''),
	('AK08', 'small_airport', 'Thomas Strip', 61.78990173339844, -150.1060028076172, 190, 'US', 'US-AK', 'Willow', 'no', 'AK08', '', 'AK08', ''),
	('1AK4', 'small_airport', 'Kenai River Airpark', 60.5242, -150.751999, 200, 'US', 'US-AK', 'Soldotna', 'no', '1AK4', '', '1AK4', 'Rotor Air Airport'),
	('6AK3', 'small_airport', 'Butler Aviation Airport', 60.727784, -151.27779, 185, 'US', 'US-AK', 'Nikiski', 'no', '6AK3', '', '6AK3', ''),
	('00AK', 'small_airport', 'Lowell Field', 59.947733, -151.692524, 450, 'US', 'US-AK', 'Anchor Point', 'no', '00AK', '', '00AK', ''),
	('06AA', 'small_airport', 'Twisted Sisters Airport', 60.540256, -150.813827, 260, 'US', 'US-AK', 'Sterling', 'no', '06AA', '', '06AA', ''),
	('AK67', 'small_airport', 'Skid Marks Airport', 61.73860168457031, -150.072998046875, 64, 'US', 'US-AK', 'Willow', 'no', 'AK67', '', 'AK67', ''),
	('5AK0', 'small_airport', 'Trading Bay Production Airport', 60.816338, -151.799901, 200, 'US', 'US-AK', 'Trading Bay', 'no', '5AK0', '', '5AK0', ''),
	('9AK9', 'small_airport', 'Moose Meadows Airport', 60.55301, -150.641951, 253, 'US', 'US-AK', 'Sterling', 'no', '9AK9', '', '9AK9', 'Brian Lane Airport'),
	('3AK7', 'small_airport', 'Laub Airport', 61.76559829711914, -150.33900451660156, 100, 'US', 'US-AK', 'Willow', 'no', '3AK7', '', '3AK7', ''),
	('88AK', 'small_airport', 'Dutch Landing Strip', 60.539839, -150.869129, 300, 'US', 'US-AK', 'Sterling', 'no', '88AK', '', '88AK', ''),
	('6R7', 'small_airport', 'Old Harbor Airport', 57.218102, -153.270004, 55, 'US', 'US-AK', 'Old Harbor', 'yes', '', 'OLH', '6R7', ''),
	('PAKD', 'small_airport', 'Kodiak Municipal Airport', 57.806151, -152.373693, 139, 'US', 'US-AK', 'Kodiak', 'no', 'PAKD', 'KDK', 'KDK', ''),
	('4K5', 'small_airport', 'Ouzinkie Airport', 57.942094, -152.464314, 55, 'US', 'US-AK', 'Ouzinkie', 'yes', '', 'KOZ', '4K5', ''),
	('KZB', 'seaplane_base', 'Zachar Bay Seaplane Base', 57.553001, -153.746052, 0, 'US', 'US-AK', 'Zachar Bay', 'yes', '', 'KZB', 'KZB', ''),
	('PADQ', 'medium_airport', 'Kodiak Airport', 57.75, -152.4940033, 78, 'US', 'US-AK', 'Kodiak', 'yes', 'PADQ', 'ADQ', 'ADQ', ''),
	('9Z3', 'seaplane_base', 'Kodiak /Lilly Lake/ Seaplane Base', 57.8026008605957, -152.38299560546875, 130, 'US', 'US-AK', 'Kodiak', 'no', '9Z3', '', '9Z3', ''),
	('ORI', 'small_airport', 'Port Lions Airport', 57.884905, -152.847719, 52, 'US', 'US-AK', 'Port Lions', 'yes', '', 'ORI', 'ORI', ''),
	('SYB', 'seaplane_base', 'Seal Bay Seaplane Base', 58.373291, -152.201797, 0, 'US', 'US-AK', 'Seal Bay', 'yes', '', 'SYB', '', ''),
	('HI99', 'N/A', 'N/A', 28.38937997817993, -178.2969707250595, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PMDY', 'medium_airport', 'Henderson Field', 28.2017, -177.380997, 13, 'UM', 'UM-71', 'Sand Island', 'no', 'PMDY', 'MDY', 'MDY', ''),
	('PHHF', 'small_airport', 'French Frigate Shoals Airport', 23.869467, -166.284977, 6, 'US', 'US-HI', 'Tern Island', 'no', 'PHHF', '', 'HFS', ''),
	('PHFS', 'N/A', 'N/A', 23.869550675153732, -166.2849846482277, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PLPA', 'small_airport', 'Palmyra (Cooper) Airport', 5.888748, -162.077866, 5, 'UM', 'UM-95', 'Palmyra Island Atoll', 'no', 'PLPA', '', 'P16', ''),
	('PHNG', 'medium_airport', 'Kaneohe Bay MCAS (Marion E. Carl Field) Airport', 21.4505, -157.768005, 24, 'US', 'US-HI', 'Kaneohe', 'no', 'PHNG', 'NGF', 'NGF', ''),
	('HI03', 'small_airport', 'Hanamaulu Airstrip', 22.041896, -159.388746, 404, 'US', 'US-HI', 'Hanamaulu', 'no', 'HI03', '', 'HI03', ''),
	('HI46', 'small_airport', 'HI 23 (Puhi) Airstrip', 21.944914, -159.439831, 480, 'US', 'US-HI', 'Puhi', 'no', 'HI46', '', 'HI46', ''),
	('PHJR', 'medium_airport', 'Kalaeloa Airport', 21.3074, -158.070009, 30, 'US', 'US-HI', 'Kapolei', 'no', 'PHJR', 'JRF', 'JRF', 'NAX, Naval Air Station Barbers Point, John Rodgers Field'),
	('PHPA', 'small_airport', 'Port Allen Airport', 21.8969, -159.602997, 24, 'US', 'US-HI', 'Hanapepe', 'no', 'PHPA', 'PAK', 'PAK', ''),
	('PHLI', 'medium_airport', 'Lihue Airport', 21.976, -159.339005, 153, 'US', 'US-HI', 'Lihue', 'yes', 'PHLI', 'LIH', 'LIH', ''),
	('PHBK', 'medium_airport', 'Barking Sands Airport', 22.0228, -159.785004, 23, 'US', 'US-HI', 'Kekaha', 'no', 'PHBK', 'BKH', 'BKH', 'Pacific Missle Range Facility Barking Sands, Kauai'),
	('PHHI', 'small_airport', 'Wheeler Army Airfield', 21.481637, -158.037048, 837, 'US', 'US-HI', 'Wahiawa', 'no', 'PHHI', 'HHI', 'HHI', ''),
	('PHNL', 'large_airport', 'Daniel K Inouye International Airport', 21.32062, -157.924228, 13, 'US', 'US-HI', 'Honolulu', 'yes', 'PHNL', 'HNL', 'HNL', 'Hickam Air Force Base, HIK, PHIK, KHNL, Honolulu International');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HI01', 'small_airport', 'Princeville Airport', 22.209313, -159.44515, 344, 'US', 'US-HI', 'Hanalei', 'no', 'HI01', 'HPV', 'HI01', ''),
	('PHDH', 'small_airport', 'Kawaihapai Airfield', 21.5795, -158.197006, 14, 'US', 'US-HI', 'Mokuleia', 'no', 'PHDH', 'HDH', 'HDH', 'Dillingham'),
	('NPS', 'small_airport', 'Ford Island Naval Auxiliary Landing Field', 21.362946, -157.961784, 18, 'US', 'US-HI', 'Honolulu', 'no', 'PHNP', '', 'NPS', ''),
	('PHKE', 'N/A', 'N/A', 21.976759359240532, -159.74429994821548, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PLWN', 'small_airport', 'Washington Island Airstrip', 4.698359, -160.394376, 30, 'KI', 'KI-L', 'Teraina', 'no', 'PLWN', 'TNQ', '', ''),
	('PLFA', 'small_airport', 'Tabuaeran Island Airport', 3.89944, -159.389008, 0, 'KI', 'KI-L', 'Tabuaeran Island', 'no', 'PLFA', 'TNV', '', 'Fanning Island'),
	('PHSF', 'small_airport', 'Bradshaw Army Airfield', 19.760099, -155.554001, 6190, 'US', 'US-HI', 'Waimea (Kamuela)', 'no', 'PHSF', 'BSF', 'BSF', 'Pohakuloa'),
	('PHHN', 'medium_airport', 'Hana Airport', 20.795601, -156.014008, 78, 'US', 'US-HI', 'Hana', 'yes', 'PHHN', 'HNM', 'HNM', ''),
	('HI05', 'small_airport', 'Honokaa Airstrip', 20.083599, -155.501999, 1440, 'US', 'US-HI', 'Honokaa', 'no', 'HI05', '', 'HI05', ''),
	('HI49', 'small_airport', 'Panda Airport', 21.148991, -157.258432, 250, 'US', 'US-HI', 'Kaunakakai', 'no', 'HI49', '', 'HI49', ''),
	('PHMK', 'medium_airport', 'Molokai Airport', 21.152901, -157.095993, 454, 'US', 'US-HI', 'Kaunakakai', 'yes', 'PHMK', 'MKK', 'MKK', ''),
	('PHUP', 'small_airport', 'Upolu Airport', 20.265301, -155.860001, 96, 'US', 'US-HI', 'Hawi', 'no', 'PHUP', 'UPP', 'UPP', ''),
	('PHOG', 'large_airport', 'Kahului International Airport', 20.896263, -156.431837, 54, 'US', 'US-HI', 'Kahului', 'yes', 'PHOG', 'OGG', 'OGG', ''),
	('PHTO', 'medium_airport', 'Hilo International Airport', 19.721399, -155.048004, 38, 'US', 'US-HI', 'Hilo', 'yes', 'PHTO', 'ITO', 'ITO', ''),
	('18HI', 'small_airport', 'Brandt Field', 21.137026, -156.734498, 685, 'US', 'US-HI', 'Port Saint Joe', 'no', '18HI', '', '18HI', ''),
	('PHMU', 'medium_airport', 'Waimea Kohala Airport', 20.001301, -155.667999, 2671, 'US', 'US-HI', 'Waimea (Kamuela)', 'yes', 'PHMU', 'MUE', 'MUE', ''),
	('PHJH', 'medium_airport', 'Kapalua Airport', 20.9629, -156.673004, 256, 'US', 'US-HI', 'Lahaina', 'yes', 'PHJH', 'JHM', 'JHM', ''),
	('PHLU', 'small_airport', 'Kalaupapa Airport', 21.211, -156.973999, 24, 'US', 'US-HI', 'Kalaupapa', 'yes', 'PHLU', 'LUP', 'LUP', ''),
	('PHKO', 'medium_airport', 'Ellison Onizuka Kona International Airport at Keahole', 19.738783, -156.045603, 47, 'US', 'US-HI', 'Kailua-Kona', 'yes', 'PHKO', 'KOA', 'KOA', ''),
	('PHWA', 'N/A', 'N/A', 20.802686400711536, -156.58254951238632, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PHNY', 'medium_airport', 'Lanai Airport', 20.785675, -156.951324, 1308, 'US', 'US-HI', 'Lanai City', 'yes', 'PHNY', 'LNY', 'LNY', ''),
	('HI13', 'closed', 'Puu Waa Waa Ranch Airport', 19.792041, -155.848041, 2250, 'US', 'US-HI', 'Kailua-Kona', 'no', '', '', '', 'HI13, HI13, HI13'),
	('HI31', 'closed', 'Mauna Kea-Honolii Airport', 19.764024, -155.139525, 1400, 'US', 'US-HI', 'Papaikou', 'no', '', '', '', 'HI31, HI31, HI31'),
	('HI32', 'small_airport', 'Pepeekeo Airstrip', 19.846582, -155.106872, 675, 'US', 'US-HI', 'Pepeekeo', 'no', 'HI32', '', 'HI32', ''),
	('HI27', 'small_airport', 'Upper Paauilo Airstrip', 20.028196, -155.388162, 1520, 'US', 'US-HI', 'Paauilo', 'no', 'HI27', '', 'HI27', ''),
	('HI25', 'small_airport', 'Kaalaiki Airstrip', 19.122507, -155.578398, 1964, 'US', 'US-HI', 'Naalehu', 'no', 'HI25', '', 'HI25', ''),
	('HI28', 'small_airport', 'Pahala Airstrip', 19.215392, -155.468559, 1195, 'US', 'US-HI', 'Pahala', 'no', 'HI28', '', 'HI28', ''),
	('HI23', 'small_airport', 'Mountain View Airstrip', 19.546359, -155.108116, 1500, 'US', 'US-HI', 'Mountain View', 'no', 'HI23', '', 'HI23', ''),
	('PHHA', 'N/A', 'N/A', 19.516157135367393, -154.96267452836037, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HI29', 'closed', 'Upper Paauau Airport', 19.227478, -155.506234, 2600, 'US', 'US-HI', 'Pahala', 'no', '', '', '', 'HI29'),
	('PLCH', 'medium_airport', 'Cassidy International Airport', 1.986278, -157.350011, 5, 'KI', 'KI-L', 'Kiritimati', 'yes', 'PLCH', 'CXI', '', 'Christmas Island, Banana'),
	('PLBA', 'N/A', 'N/A', 1.7628252133727074, -157.19420850276947, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NLWF', 'small_airport', 'Pointe Vele Airport', -14.311565, -178.066492, 20, 'WF', 'WF-U-A', 'Futuna Island', 'yes', 'NLWF', 'FUT', '', ''),
	('NFNH', 'small_airport', 'Laucala Island Airport', -16.7481, -179.667007, 10, 'FJ', 'FJ-N', 'Laucala Island', 'no', 'NFNH', 'LUC', '', ''),
	('NFNM', 'small_airport', 'Matei Airport', -16.690599, -179.876999, 60, 'FJ', 'FJ-N', 'Matei', 'yes', 'NFNM', 'TVU', '', 'Taveuni'),
	('NFCI', 'small_airport', 'Cicia Airport', -17.7432994843, -179.341995239, 13, 'FJ', 'FJ-E', 'Cicia', 'yes', 'NFCI', 'ICI', '', ''),
	('NLAO', 'N/A', 'N/A', -17.525883615016937, -178.7151664495468, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NFGO', 'small_airport', 'Mago Island Airstrip', -17.438646, -179.163601, 315, 'FJ', 'FJ-E', 'Mago Island', 'no', 'NFGO', '', '', ''),
	('NFNK', 'small_airport', 'Lakeba Island Airport', -18.1991996765, -178.817001343, 280, 'FJ', 'FJ-E', 'Lakeba Island', 'yes', 'NFNK', 'LKB', '', ''),
	('NFKB', 'small_airport', 'Kaibu Island Airport', -17.254199981689453, -179.48899841308594, 0, 'FJ', 'FJ-N', 'Kaibu Island', 'no', 'NFKB', '', '', ''),
	('NFOL', 'small_airport', 'Ono-i-Lau Airport', -20.6589, -178.7411, 110, 'FJ', 'FJ-E', 'Ono-i-Lau', 'no', 'NFOL', 'ONU', '', ''),
	('NLWW', 'medium_airport', 'Hihifo Airport', -13.2383003235, -176.199005127, 79, 'WF', 'WF-U-A', 'Wallis Island', 'yes', 'NLWW', 'WLS', '', ''),
	('NSAU', 'small_airport', 'Asau Airport', -13.505132, -172.627888, 0, 'WS', 'WS-VS', 'Asau', 'yes', 'NSAU', 'AAU', '', ''),
	('NFTO', 'small_airport', 'Mata''aho Airport', -15.570603, -175.631283, 160, 'TO', 'TO-03', 'Angaha, Niuafo''ou Island', 'yes', 'NFTO', 'NFO', '', ''),
	('NFTP', 'small_airport', 'Kuini Lavenia Airport', -15.977297, -173.791089, 30, 'TO', 'TO-03', 'Niuatoputapu', 'yes', 'NFTP', 'NTT', '', ''),
	('NFTV', 'medium_airport', 'Vava''u International Airport', -18.58530044555664, -173.96200561523438, 236, 'TO', 'TO-05', 'Vava''u Island', 'yes', 'NFTV', 'VAV', '', 'Vavau, Lupepau''u'),
	('NFTE', 'small_airport', 'Kaufana Airport', -21.378299713100002, -174.957992554, 325, 'TO', 'TO-01', 'Eua Island', 'yes', 'NFTE', 'EUA', '', ''),
	('NFTL', 'medium_airport', 'Lifuka Island Airport', -19.777000427246094, -174.34100341796875, 31, 'TO', 'TO-02', 'Lifuka', 'yes', 'NFTL', 'HPA', '', 'Salote Pilolevu Airport, Haapai'),
	('NFTF', 'medium_airport', 'Fua''amotu International Airport', -21.241199493408203, -175.14999389648438, 126, 'TO', 'TO-04', 'Nuku''alofa', 'yes', 'NFTF', 'TBU', '', ''),
	('PCIS', 'medium_airport', 'Canton Island Airport', -2.7681200504300003, -171.710006714, 9, 'KI', 'KI-P', 'Abariringa', 'no', 'PCIS', 'CIS', '', 'Kanton Island'),
	('NSMA', 'small_airport', 'Maota Airport', -13.742300033569336, -172.25799560546875, 0, 'WS', 'WS-PA', 'Maota', 'yes', 'NSMA', 'MXS', '', 'Savaii Island');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NSFI', 'small_airport', 'Fagali''i Airport', -13.849167, -171.739866, 131, 'WS', 'WS-TU', 'Apia', 'no', 'NSFI', 'FGI', '', ''),
	('NSFA', 'medium_airport', 'Faleolo International Airport', -13.829999923706055, -172.00799560546875, 58, 'WS', 'WS-AA', 'Apia', 'yes', 'NSFA', 'APW', '', ''),
	('NSTU', 'medium_airport', 'Pago Pago International Airport', -14.331, -170.710007, 32, 'AS', 'AS-WT', 'Pago Pago', 'yes', 'NSTU', 'PPG', 'PPG', ''),
	('NSFQ', 'small_airport', 'Fitiuta Airport', -14.216131, -169.423771, 110, 'AS', 'AS-MA', 'Fitiuta Village', 'yes', 'NSFQ', 'FTI', 'FAQ', ''),
	('NSAS', 'small_airport', 'Ofu Airport', -14.1844, -169.669998, 9, 'AS', 'AS-MA', 'Ofu', 'yes', 'NSAS', 'OFU', 'Z08', ''),
	('NIUE', 'medium_airport', 'Niue International Airport', -19.079030990600586, -169.92559814453125, 209, 'NU', 'NU-U-A', 'Alofi', 'yes', 'NIUE', 'IUE', '', 'Hanan International Airport'),
	('NCPK', 'small_airport', 'Pukapuka Island Airport', -10.9145, -165.8393, 20, 'CK', 'CK-U-A', 'Pukapuka Atoll', 'no', 'NCPK', 'PZK', '', 'Wale, Te Ulu-o-Te-Watu'),
	('NCPY', 'small_airport', 'Tongareva Airport', -9.01436996459961, -158.03240966796875, 8, 'CK', 'CK-U-A', 'Penrhyn Island', 'yes', 'NCPY', 'PYE', '', ''),
	('NCMH', 'small_airport', 'Manihiki Island Airport', -10.376700401306152, -161.0019989013672, 0, 'CK', 'CK-U-A', 'Manihiki Island', 'yes', 'NCMH', 'MHX', '', 'Humphrey Island'),
	('NCAI', 'small_airport', 'Aitutaki Airport', -18.8309, -159.764008, 14, 'CK', 'CK-U-A', 'Aitutaki', 'yes', 'NCAI', 'AIT', '', ''),
	('NCAT', 'small_airport', 'Enua Airport', -19.96780014038086, -158.11900329589844, 36, 'CK', 'CK-U-A', 'Atiu Island', 'yes', 'NCAT', 'AIU', '', ''),
	('NCMR', 'small_airport', 'Mitiaro Island Airport', -19.842501, -157.703003, 25, 'CK', 'CK-U-A', 'Mitiaro Island', 'yes', 'NCMR', 'MOI', '', 'Nukuroa Airport'),
	('NCRG', 'medium_airport', 'Rarotonga International Airport', -21.2027, -159.806, 19, 'CK', 'CK-U-A', 'Avarua', 'yes', 'NCRG', 'RAR', '', ''),
	('NCMG', 'small_airport', 'Mangaia Island Airport', -21.895986557006836, -157.9066619873047, 45, 'CK', 'CK-U-A', 'Mangaia Island', 'yes', 'NCMG', 'MGS', '', ''),
	('NCMK', 'small_airport', 'Mauke Airport', -20.13610076904297, -157.34500122070313, 26, 'CK', 'CK-U-A', 'Mauke Island', 'yes', 'NCMK', 'MUK', '', 'Akatoka Manava Airport'),
	('NTTP', 'medium_airport', 'Maupiti Airport', -16.42650032043457, -152.24400329589844, 15, 'PF', 'PF-U-A', '', 'yes', 'NTTP', 'MAU', '', ''),
	('NTTR', 'medium_airport', 'Raiatea Airport', -16.7229, -151.466003, 3, 'PF', 'PF-U-A', 'Uturoa', 'yes', 'NTTR', 'RFP', '', ''),
	('NTTH', 'medium_airport', 'Huahine-Fare Airport', -16.687084, -151.021593, 7, 'PF', 'PF-U-A', 'Fare', 'yes', 'NTTH', 'HUH', '', ''),
	('NTTB', 'medium_airport', 'Bora Bora Airport', -16.444400787353516, -151.75100708007813, 10, 'PF', 'PF-U-A', 'Motu Mute', 'yes', 'NTTB', 'BOB', '', ''),
	('NTTU', 'small_airport', 'Tupai Airport', -16.2423, -151.8338, 32, 'PF', 'PF-U-A', 'Tupai Atoll', 'no', 'NTTU', 'TPX', '', 'Motu Iti'),
	('NTAR', 'medium_airport', 'Rurutu Airport', -22.434099197387695, -151.36099243164063, 18, 'PF', 'PF-U-A', '', 'yes', 'NTAR', 'RUR', '', ''),
	('NFRO', 'N/A', 'N/A', -29.24350965768099, -177.93732807040215, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZCI', 'medium_airport', 'Chatham Islands / Tuuta Airport', -43.81189, -176.46514, 43, 'NZ', 'NZ-WGN', 'Te One', 'yes', 'NZCI', 'CHT', '', 'Karewa'),
	('NZWI', 'N/A', 'N/A', -44.29310716688633, -176.20346680283546, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PAKU', 'small_airport', 'Ugnu-Kuparuk Airport', 70.33080291750001, -149.598007202, 67, 'US', 'US-AK', 'Kuparuk', 'no', 'PAKU', 'UUK', 'UBW', ''),
	('AK11', 'small_airport', 'Point Mcintyre Airport', 70.401389, -148.682562, 15, 'US', 'US-AK', 'Point Mcintyre', 'no', '', '', '', 'AK11'),
	('POLI', 'N/A', 'N/A', 70.49605093896389, -149.8833265900612, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RK1', 'small_airport', 'Kavik Strip', 69.676796, -146.900227, 668, 'US', 'US-AK', 'Kavik', 'no', '', '', 'RK1', ''),
	('PALR', 'small_airport', 'Chandalar Lake Airport', 67.5045013428, -148.483001709, 1920, 'US', 'US-AK', 'Chandalar Lake', 'no', 'PALR', 'WCR', 'WCR', ''),
	('PAPU', 'N/A', 'N/A', 70.25151629000902, -148.34666177630424, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PAAD', 'small_airport', 'Point Thomson Airstrip', 70.136, -146.290028, 56, 'US', 'US-AK', 'Deadhorse', 'no', 'PAAD', '', '37AA', ''),
	('PAGB', 'small_airport', 'Galbraith Lake Airport', 68.4796981812, -149.490005493, 2663, 'US', 'US-AK', 'Galbraith Lake', 'no', 'PAGB', 'GBH', 'GBH', ''),
	('PABU', 'small_airport', 'Bullen Point Short Range Radar Station Airport', 70.170999, -146.844897, 18, 'US', 'US-AK', 'Kaktovik', 'no', 'PABU', '', '8AK7', ''),
	('PASC', 'medium_airport', 'Deadhorse Airport', 70.19470215, -148.4649963, 65, 'US', 'US-AK', 'Deadhorse', 'yes', 'PASC', 'SCC', 'SCC', ''),
	('PABP', 'small_airport', 'Badami Airport', 70.13749694824219, -147.02999877929688, 26, 'US', 'US-AK', 'Deadhorse', 'no', 'PABP', '', 'AK78', ''),
	('PABA', 'medium_airport', 'Barter Island Long Range Radar Station Airport', 70.134003, -143.582001, 2, 'US', 'US-AK', 'Barter Island', 'yes', 'PABA', 'BTI', 'BTI', ''),
	('PARC', 'medium_airport', 'Arctic Village Airport', 68.1147, -145.578995, 2092, 'US', 'US-AK', 'Arctic Village', 'yes', 'PARC', 'ARC', 'ARC', ''),
	('FXM', 'small_airport', 'Flaxman Island Airstrip', 70.1895, -146.020904, 20, 'US', 'US-AK', 'Flaxman Island', 'no', '', '', '', 'FXM'),
	('CYDY', 'N/A', 'N/A', 69.59628917276859, -140.17375454306602, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYOC', 'small_airport', 'Old Crow Airport', 67.570602, -139.839005, 824, 'CA', 'CA-YT', 'Old Crow', 'yes', 'CYOC', 'YOC', '', ''),
	('CYFP', 'N/A', 'N/A', 69.33320939540863, -138.71850326657295, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYKD', 'small_airport', 'Aklavik/Freddie Carmichael Airport', 68.223297, -135.00599, 23, 'CA', 'CA-NT', 'Aklavik', 'yes', 'CYKD', 'LAK', '', 'YKD'),
	('CYFF', 'N/A', 'N/A', 68.92946217209101, -137.23396494984627, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYEV', 'medium_airport', 'Inuvik Mike Zubko Airport', 68.30419921880001, -133.483001709, 224, 'CA', 'CA-NT', 'Inuvik', 'yes', 'CYEV', 'YEV', '', ''),
	('CEE3', 'seaplane_base', 'Inuvik/Shell Lake Seaplane Base', 68.323293, -133.629441, 57, 'CA', 'CA-NT', '', 'no', 'CEE3', '', 'CEE3', 'EE3'),
	('CYUB', 'small_airport', 'Tuktoyaktuk / James Gruben Airport', 69.433296, -133.026001, 15, 'CA', 'CA-NT', 'Tuktoyaktuk', 'no', 'CYUB', 'YUB', '', ''),
	('78AA', 'small_airport', 'Lakewood Airport', 64.7717611, -147.2466917, 540, 'US', 'US-AK', 'North Pole', 'no', '78AA', '', '78AA', ''),
	('PAVE', 'small_airport', 'Venetie Airport', 67.008698, -146.365997, 574, 'US', 'US-AK', 'Venetie', 'yes', 'PAVE', 'VEE', 'VEE', ''),
	('5AK2', 'small_airport', 'Howards Airport', 64.73069763183594, -147.34800720214844, 490, 'US', 'US-AK', 'North Pole', 'no', '5AK2', '', '5AK2', ''),
	('AA76', 'small_airport', 'Timber Trails Airport', 64.78001, -147.32769, 480, 'US', 'US-AK', 'North Pole', 'no', 'AA76', '', 'AA76', ''),
	('PAFB', 'medium_airport', 'Ladd Army Airfield', 64.837502, -147.613998, 454, 'US', 'US-AK', 'Fairbanks', 'no', 'PAFB', 'FBK', 'FBK', 'Fort Wainwright');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('PAFA', 'medium_airport', 'Fairbanks International Airport', 64.815102, -147.856003, 439, 'US', 'US-AK', 'Fairbanks', 'yes', 'PAFA', 'FAI', 'FAI', ''),
	('AK52', 'small_airport', 'Moen''s Ranch Airport', 64.88890075683594, -147.53599548339844, 582, 'US', 'US-AK', 'Fairbanks', 'no', 'AK52', '', 'AK52', ''),
	('95Z', 'small_airport', 'Bradley Sky-Ranch Airport', 64.758904, -147.392235, 483, 'US', 'US-AK', 'North Pole', 'no', 'K95Z', '', '95Z', ''),
	('31AK', 'small_airport', 'Dalrymple''s Airport', 64.83453, -147.437024, 450, 'US', 'US-AK', 'Fairbanks', 'no', '31AK', '', '31AK', ''),
	('SVS', 'small_airport', 'Stevens Village Airport', 66.016727, -149.056835, 328, 'US', 'US-AK', 'Stevens Village', 'yes', 'PFSV', 'SVS', 'SVS', ''),
	('51Z', 'small_airport', 'Minto Al Wright Airport', 65.147991, -149.368658, 460, 'US', 'US-AK', 'Minto', 'yes', '', 'MNT', '51Z', ''),
	('FVM', 'N/A', 'N/A', 65.92731457203627, -149.8396848142147, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5AK3', 'small_airport', 'Airway Airport', 64.7732009888, -147.333999634, 480, 'US', 'US-AK', 'North Pole', 'no', '5AK3', '', '5AK3', ''),
	('83AK', 'small_airport', 'Tolovana Hot Springs Airport', 65.25650024414063, -148.8300018310547, 800, 'US', 'US-AK', 'Fairbanks', 'no', '83AK', '', '83AK', ''),
	('PAWB', 'small_airport', 'Beaver Airport', 66.362198, -147.406998, 359, 'US', 'US-AK', 'Beaver', 'yes', 'PAWB', 'WBQ', 'WBQ', ''),
	('32AK', 'small_airport', 'Hardrock Field', 64.909078, -147.908047, 664, 'US', 'US-AK', 'Fairbanks', 'no', '32AK', '', '32AK', ''),
	('AK28', 'small_airport', 'Chena Marina Airport', 64.81400299072266, -147.91900634765625, 427, 'US', 'US-AK', 'Fairbanks', 'no', 'AK28', '', 'AK28', ''),
	('25AA', 'small_airport', 'Skyflight Airport', 64.928467, -147.879778, 89, 'US', 'US-AK', 'Fairbanks', 'no', '25AA', '', '25AA', ''),
	('AK22', 'small_airport', 'Lakloey Air Park', 64.821984, -147.522891, 475, 'US', 'US-AK', 'Fairbanks', 'no', 'AK22', '', 'AK22', ''),
	('2Z5', 'seaplane_base', 'Chena River Seaplane Base', 64.83290100097656, -147.84800720214844, 440, 'US', 'US-AK', 'Fairbanks', 'no', '2Z5', '', '2Z5', ''),
	('MTF', 'small_airport', 'Metro Field', 64.80680084229999, -147.761993408, 432, 'US', 'US-AK', 'Fairbanks', 'no', 'MTF', 'MTX', 'MTF', ''),
	('PAIN', 'small_airport', 'Denali National Park Airport', 63.732465, -148.911266, 1720, 'US', 'US-AK', 'Denali Park', 'no', 'PAIN', 'MCL', 'INR', '5MK, McKinley National Park Airport'),
	('PAAN', 'small_airport', 'Gold King Creek Airport', 64.198328, -147.929492, 1720, 'US', 'US-AK', 'Fairbanks', 'no', 'PAAN', '', 'AK7', 'AK32'),
	('0Z2', 'closed', 'Road Commission Nr 1 Airport', 63.10709, -147.542347, 2525, 'US', 'US-AK', 'Denali', 'no', '', '', '', '0Z2'),
	('CLF', 'small_airport', 'Tischner Air Airport', 64.2545, -149.19207, 650, 'US', 'US-AK', 'Anderson', 'no', '', '', '2AN', 'CLF, Clear Sky Lodge'),
	('PACL', 'medium_airport', 'Clear Airport', 64.299738, -149.117432, 552, 'US', 'US-AK', 'Clear', 'no', 'PACL', '', 'Z84', ''),
	('Z55', 'small_airport', 'Lake Louise Airport', 62.293701, -146.578995, 2450, 'US', 'US-AK', 'Lake Louise', 'no', 'Z55', '', 'Z55', ''),
	('AK41', 'small_airport', 'Greg''n Sage Airport', 64.544038, -146.845551, 925, 'US', 'US-AK', 'North Pole', 'no', 'AK41', '', 'AK41', ''),
	('AK61', 'small_airport', 'Stephan Lake Lodge Airport', 62.69960021972656, -148.90699768066406, 1900, 'US', 'US-AK', 'Talkeetna', 'no', 'AK61', '', 'AK61', ''),
	('5AK', 'seaplane_base', 'Tazlina / Smokey Lake Seaplane Base', 62.0634, -146.449005, 2407, 'US', 'US-AK', 'Tazlina', 'no', '5AK', '', '5AK', ''),
	('AK06', 'small_airport', 'Denali Airport', 63.640088, -148.791618, 2050, 'US', 'US-AK', 'Denali Park', 'no', 'AK06', '', 'AK06', ''),
	('0AK0', 'small_airport', 'Scotts Airport', 64.39214, -146.861823, 800, 'US', 'US-AK', 'Salcha', 'no', '0AK0', '', '0AK0', ''),
	('11Z', 'N/A', 'N/A', 63.91057401895523, -149.02390256524086, 356, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2AK7', 'closed', 'Bald Mountain Airport', 62.3074, -149.751994, 3600, 'US', 'US-AK', 'Talkeetna', 'no', '', '', '', '2AK7'),
	('HNE', 'closed', 'Tahneta Pass Airport', 61.90059, -147.309022, 2960, 'US', 'US-AK', 'Tahneta Pass Lodge', 'no', '', '', '', 'PAHE, HNE'),
	('AA00', 'small_airport', 'Shump Airport', 62.51015, -149.926717, 1670, 'US', 'US-AK', 'Talkeetna', 'no', 'AA00', '', 'AA00', ''),
	('PANN', 'medium_airport', 'Nenana Municipal Airport', 64.548772, -149.074516, 362, 'US', 'US-AK', 'Nenana', 'no', 'PANN', 'ENN', 'ENN', ''),
	('PATW', 'small_airport', 'Cantwell Airport', 63.391201, -148.955995, 2190, 'US', 'US-AK', 'Cantwell', 'no', 'PATW', '', 'TTW', 'Z68'),
	('5AK4', 'heliport', 'Eagles Nest Heliport', 61.606098, -149.039006, 280, 'US', 'US-AK', 'Palmer', 'no', '', '', '', '5AK4'),
	('AA09', 'small_airport', 'Busch Creek Airport', 62.477547, -147.775972, 3984, 'US', 'US-AK', 'Talkeetna', 'no', 'AA09', '', 'AA09', ''),
	('2Z3', 'small_airport', 'Eva Creek Airport', 64.04199981689453, -148.86300659179688, 2817, 'US', 'US-AK', 'Eva Creek', 'no', '2Z3', '', '2Z3', ''),
	('2AK1', 'small_airport', 'Blair Lake Airport', 64.363443, -147.364855, 910, 'US', 'US-AK', 'Fort Wainwright', 'no', '2AK1', '', '2AK1', ''),
	('PAST', 'small_airport', 'Summit Airport', 63.331501, -149.126999, 2409, 'US', 'US-AK', 'Cantwell', 'no', 'PAST', 'UMM', 'UMM', ''),
	('Z14', 'small_airport', 'Tazlina Airport', 62.065943, -146.459505, 2450, 'US', 'US-AK', 'Tazlina', 'no', '', '', 'Z14', ''),
	('2AK2', 'small_airport', 'Clear Creek Airport', 64.454293, -147.56999, 660, 'US', 'US-AK', 'Fort Wainwright', 'no', '2AK2', '', '2AK2', ''),
	('15AK', 'small_airport', 'Golden North Airfield', 63.371995, -148.846915, 2250, 'US', 'US-AK', 'Cantwell', 'no', '15AK', '', '15AK', ''),
	('PAHV', 'small_airport', 'Healy River Airport', 63.86722, -148.969374, 1263, 'US', 'US-AK', 'Healy', 'yes', 'PAHV', '', 'HRR', ''),
	('PAEI', 'medium_airport', 'Eielson Air Force Base', 64.66570282, -147.102005, 547, 'US', 'US-AK', 'Fairbanks', 'no', 'PAEI', 'EIL', 'EIL', ''),
	('49AK', 'small_airport', 'Secluded Lake Airport', 62.025568, -149.979058, 300, 'US', 'US-AK', 'Talkeetna', 'no', '49AK', '', '49AK', ''),
	('57AK', 'closed', 'Lost Lake Seaplane Base', 61.334999, -149.996994, 120, 'US', 'US-AK', 'Wasilla', 'no', '', '', '', '57AK'),
	('A13', 'small_airport', 'Bold Airport', 61.34130096435547, -148.99899291992188, 900, 'US', 'US-AK', 'Anchorage', 'no', 'A13', '', 'A13', ''),
	('47AK', 'small_airport', 'Highland Airport', 61.29249954223633, -149.5330047607422, 650, 'US', 'US-AK', 'Eagle River', 'no', '47AK', '', '47AK', ''),
	('AA25', 'small_airport', 'Shelby Strip', 61.507867, -149.078925, 40, 'US', 'US-AK', 'Palmer', 'no', 'AA25', '', 'AA25', 'AA05'),
	('10AK', 'small_airport', 'Hunt Strip', 61.592052, -149.677598, 200, 'US', 'US-AK', 'Wasilla', 'no', '10AK', '', '10AK', ''),
	('PABV', 'medium_airport', 'Birchwood Airport', 61.4165, -149.507004, 83, 'US', 'US-AK', 'Birchwood', 'no', 'PABV', '', 'BCV', ''),
	('CSR', 'small_airport', 'Campbell Airstrip', 61.15869903564453, -149.781005859375, 286, 'US', 'US-AK', 'Anchorage', 'no', 'CSR', '', 'CSR', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AK65', 'small_airport', 'Green''s Strip', 61.598068, -149.350462, 300, 'US', 'US-AK', 'Wasilla', 'no', 'AK65', '', 'AK65', ''),
	('AK27', 'small_airport', 'Valley Flying Crown Airport', 61.642601013183594, -149.62399291992188, 400, 'US', 'US-AK', 'Wasilla', 'no', 'AK27', '', 'AK27', ''),
	('L95', 'seaplane_base', 'Jones Landing Seaplane Base', 61.5547981262207, -149.93899536132813, 180, 'US', 'US-AK', 'Big Lake', 'no', 'L95', '', 'L95', ''),
	('8AK8', 'small_airport', 'North Cubs Strip Airport', 61.6300010681, -149.682998657, 350, 'US', 'US-AK', 'Wasilla', 'no', '8AK8', '', '8AK8', ''),
	('AK25', 'small_airport', 'Piper Landing Airport', 61.61750030517578, -149.61500549316406, 350, 'US', 'US-AK', 'Wasilla', 'no', 'AK25', '', 'AK25', ''),
	('08AK', 'small_airport', 'Fisher Airport', 61.568743, -149.725757, 200, 'US', 'US-AK', 'Big Lake', 'no', '08AK', '', '08AK', ''),
	('86AK', 'seaplane_base', 'Hoppe''S Seaplane Base', 61.551431, -149.94575, 180, 'US', 'US-AK', 'Big Lake', 'no', '86AK', '', '86AK', ''),
	('62AK', 'seaplane_base', 'Wallis Lake Seaplane Base', 61.572898864746094, -149.5749969482422, 320, 'US', 'US-AK', 'Wasilla', 'no', '62AK', '', '62AK', ''),
	('3AK2', 'small_airport', 'Niklason Lake Estates Airport', 61.627498626708984, -149.28700256347656, 410, 'US', 'US-AK', 'Palmer', 'no', '3AK2', '', '3AK2', ''),
	('9Z9', 'small_airport', 'Lawing Airport', 60.41109848022461, -149.3699951171875, 475, 'US', 'US-AK', 'Lawing', 'no', '9Z9', '', '9Z9', ''),
	('52Z', 'seaplane_base', 'Summit Lake Seaplane Base', 60.6411018371582, -149.4969940185547, 1300, 'US', 'US-AK', 'Moose Pass', 'no', '52Z', '', '52Z', ''),
	('PAED', 'medium_airport', 'Elmendorf Air Force Base', 61.251709, -149.807097, 212, 'US', 'US-AK', 'Anchorage', 'no', 'PAED', 'EDF', 'EDF', ''),
	('A11', 'seaplane_base', 'Campbell Lake Seaplane Base', 61.133099, -149.942003, 20, 'US', 'US-AK', 'Anchorage', 'no', '', '', 'A11', '3C3, 33AA'),
	('14AK', 'small_airport', 'Four Corners Airport', 61.60150146484375, -149.2480010986328, 300, 'US', 'US-AK', 'Palmer', 'no', '14AK', '', '14AK', ''),
	('AK16', 'small_airport', 'Sunset Strip', 61.52339935, -149.7149963, 303, 'US', 'US-AK', 'Wasilla', 'no', 'AK16', '', 'AK16', ''),
	('PFCB', 'small_airport', 'Chenega Bay Airport', 60.077602, -147.99468, 72, 'US', 'US-AK', 'Chenega', 'yes', 'PFCB', 'NCN', 'C05', ''),
	('71AK', 'small_airport', 'Bluff Park Farm Airport', 61.527752, -149.496474, 110, 'US', 'US-AK', 'Wasilla', 'no', '71AK', '', '71AK', ''),
	('38AK', 'small_airport', 'Mels Airport', 61.5625, -149.66799926757813, 340, 'US', 'US-AK', 'Wasilla', 'no', '38AK', '', '38AK', ''),
	('4AK2', 'small_airport', 'St John Homestead Airport', 61.55799865722656, -149.4239959716797, 250, 'US', 'US-AK', 'Wasilla', 'no', '4AK2', '', '4AK2', ''),
	('AK66', 'small_airport', 'Hunter Creek Airport', 61.458296, -148.798227, 100, 'US', 'US-AK', 'Palmer', 'no', 'AK66', '', 'AK66', ''),
	('PAMR', 'medium_airport', 'Merrill Field', 61.212792, -149.843988, 137, 'US', 'US-AK', 'Anchorage', 'yes', 'PAMR', 'MRI', 'MRI', ''),
	('AK85', 'small_airport', 'Birchwater Airport', 61.482333, -149.763986, 110, 'US', 'US-AK', 'Wasilla', 'no', 'AK85', '', 'AK85', ''),
	('67AK', 'small_airport', 'South Hollywood Airport', 61.53459930419922, -149.6699981689453, 375, 'US', 'US-AK', 'Wasilla', 'no', '67AK', '', '67AK', ''),
	('97AK', 'small_airport', 'High Ridge Association Airport', 61.66400146484375, -149.25399780273438, 720, 'US', 'US-AK', 'Palmer', 'no', '97AK', '', '97AK', ''),
	('13AK', 'small_airport', 'Satterbergs Airport', 61.654701232910156, -149.89999389648438, 350, 'US', 'US-AK', 'Houston', 'no', '13AK', '', '13AK', ''),
	('PAWS', 'medium_airport', 'Wasilla Airport', 61.571701, -149.539993, 354, 'US', 'US-AK', 'Wasilla', 'no', 'PAWS', 'WWA', 'IYS', '4A1'),
	('9AK5', 'small_airport', 'Sky Harbor Airport', 61.11650085449219, -149.81900024414063, 340, 'US', 'US-AK', 'Anchorage', 'no', '9AK5', '', '9AK5', ''),
	('9AK8', 'small_airport', 'Wolf Track Airport', 61.624698638916016, -149.6820068359375, 90, 'US', 'US-AK', 'Wasilla', 'no', '9AK8', '', '9AK8', ''),
	('PAFR', 'small_airport', 'Bryant Army Airfield', 61.266399, -149.653, 378, 'US', 'US-AK', 'Fort Richardson', 'no', 'PAFR', 'FRN', 'FRN', 'Bryant Army Airfield'),
	('6AK9', 'small_airport', 'Cizek North Airport', 61.63349914550781, -149.6820068359375, 300, 'US', 'US-AK', 'Wasilla', 'no', '6AK9', '', '6AK9', ''),
	('89AK', 'small_airport', 'Lincoln Village Airpark', 61.55939865112305, -149.7050018310547, 250, 'US', 'US-AK', 'Wasilla', 'no', '89AK', '', '89AK', ''),
	('5AK9', 'small_airport', 'Grandview Subdivision Airport', 61.548500061035156, -149.19000244140625, 150, 'US', 'US-AK', 'Palmer', 'no', '5AK9', '', '5AK9', ''),
	('23AK', 'small_airport', 'Yuknis Airport', 61.59410095214844, -149.31100463867188, 340, 'US', 'US-AK', 'Wasilla', 'no', '23AK', '', '23AK', ''),
	('5L6', 'seaplane_base', 'Wasilla Lake Seaplane Base', 61.5863990784, -149.408004761, 330, 'US', 'US-AK', 'Wasilla', 'no', '5L6', '', '5L6', ''),
	('9AK7', 'small_airport', 'Cubdivision Airport', 61.58980178833008, -149.81700134277344, 250, 'US', 'US-AK', 'Big Lake', 'no', '9AK7', '', '9AK7', ''),
	('AK43', 'seaplane_base', 'Jacobsen Lake Seaplane Base', 61.5791015625, -149.539001465, 350, 'US', 'US-AK', 'Wasilla', 'no', 'AK43', '', 'AK43', ''),
	('AA33', 'small_airport', 'Gus Landing', 61.60415, -149.770119, 120, 'US', 'US-AK', 'Houston', 'no', 'AA33', '', 'AA33', ''),
	('3C3', 'seaplane_base', 'Campbell Lake Seaplane Base', 61.133099, -149.942003, 20, 'US', 'US-AK', 'Anchorage', 'no', '', '', 'A11', '3C3, 33AA'),
	('66AK', 'seaplane_base', 'June Lake Seaplane Base', 61.63, -149.569167, 406, 'US', 'US-AK', 'Wasilla', 'no', '66AK', '', '66AK', ''),
	('PANC', 'large_airport', 'Ted Stevens Anchorage International Airport', 61.179004, -149.992561, 152, 'US', 'US-AK', 'Anchorage', 'yes', 'PANC', 'ANC', 'ANC', ''),
	('3AK6', 'small_airport', 'B & B Boys Ranch Airport', 61.592949, -149.268939, 300, 'US', 'US-AK', 'Palmer', 'no', '3AK6', '', '3AK6', ''),
	('AA30', 'small_airport', 'Trio Estates Airport', 61.648189, -149.870831, 315, 'US', 'US-AK', 'Houston', 'no', 'AA30', '', 'AA30', ''),
	('AA85', 'seaplane_base', 'Walby Lake Seaplane Base', 61.616419, -149.221031, 114, 'US', 'US-AK', 'Palmer', 'no', 'AA85', '', 'AA85', ''),
	('AK93', 'small_airport', 'Grouse Ridge Airport', 61.65520095825195, -149.2729949951172, 535, 'US', 'US-AK', 'Palmer', 'no', 'AK93', '', 'AK93', ''),
	('AK24', 'small_airport', 'Hilltop Airport', 61.41820145, -149.4389954, 420, 'US', 'US-AK', 'Chugiak', 'no', 'AK24', '', 'AK24', ''),
	('80AK', 'seaplane_base', 'Morvro Lake Seaplane Base', 61.60200119018555, -149.78399658203125, 300, 'US', 'US-AK', 'Houston', 'no', '80AK', '', '80AK', 'Formerly 4K2'),
	('05AK', 'small_airport', 'Wasilla Creek Airpark', 61.66830063, -149.1880035, 620, 'US', 'US-AK', 'Palmer', 'yes', '05AK', '', '05AK', ''),
	('AA11', 'seaplane_base', 'Misty Lake Seaplane Base', 61.550739, -149.676131, 350, 'US', 'US-AK', 'Wasilla', 'no', 'AA11', '', 'AA11', ''),
	('5AK5', 'small_airport', 'Todds Strip', 61.657100677490234, -149.46200561523438, 400, 'US', 'US-AK', 'Wasilla', 'no', '5AK5', '', '5AK5', ''),
	('95AK', 'closed', 'Medivac - Wasilla Heliport', 61.585602, -149.425004, 340, 'US', 'US-AK', 'Wasilla', 'no', '', '', '', '95AK'),
	('PAWR', 'small_airport', 'Whittier Airport', 60.777225, -148.719606, 30, 'US', 'US-AK', 'Whittier', 'no', 'PAWR', '', 'IEM', 'AK66');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('06AK', 'small_airport', 'June Lake Airpark', 61.627619, -149.575331, 425, 'US', 'US-AK', 'Wasilla', 'no', '06AK', '', '06AK', ''),
	('0AK1', 'small_airport', 'Anderson Lake Airport', 61.616966, -149.320893, 463, 'US', 'US-AK', 'Wasilla', 'no', '0AK1', '', '0AK1', ''),
	('AK88', 'small_airport', 'Eagle Nest Airport', 61.604698181152344, -149.0399932861328, 416, 'US', 'US-AK', 'Palmer', 'no', 'AK88', '', 'AK88', ''),
	('6AK8', 'small_airport', 'Tulakes Airport', 61.618099212646484, -149.66900634765625, 350, 'US', 'US-AK', 'Wasilla', 'no', '6AK8', '', '6AK8', ''),
	('JLA', 'small_airport', 'Quartz Creek Airport', 60.484235, -149.722909, 450, 'US', 'US-AK', 'Cooper Landing', 'no', '', 'JLA', 'JLA', ''),
	('87AK', 'small_airport', 'Soloy Strip', 61.6515007019043, -149.28799438476563, 545, 'US', 'US-AK', 'Wasilla', 'no', '87AK', '', '87AK', ''),
	('7AK4', 'small_airport', 'Jack Fish Landing Airport', 61.541579, -149.459102, 150, 'US', 'US-AK', 'Wasilla', 'no', '7AK4', '', '7AK4', ''),
	('AK53', 'small_airport', 'Maud Road Strip Airport', 61.582298, -148.996994, 222, 'US', 'US-AK', 'Palmer', 'no', '74AK', '', '74AK', 'AK53, Downwind Landing'),
	('9AK6', 'small_airport', 'Leisurewood Airstrip Owners Assoc Airport', 61.62409973144531, -149.6479949951172, 366, 'US', 'US-AK', 'Wasilla', 'no', '9AK6', '', '9AK6', ''),
	('AK59', 'small_airport', 'King Ranch Airport', 61.790695, -148.352981, 1350, 'US', 'US-AK', 'Sutton', 'no', 'AK59', '', 'AK59', ''),
	('AK50', 'small_airport', 'Sky Ranch At Pioneer Peak Airport', 61.55459976196289, -149.1439971923828, 120, 'US', 'US-AK', 'Palmer', 'no', 'AK50', '', 'AK50', ''),
	('AK95', 'small_airport', 'Twin Lake Airport', 61.569968, -149.778671, 185, 'US', 'US-AK', 'Big Lake', 'no', 'AK95', '', 'AK95', ''),
	('PALH', 'seaplane_base', 'Lake Hood Seaplane Base', 61.18, -149.972003, 71, 'US', 'US-AK', 'Anchorage', 'no', 'PALH', '', 'LHD', 'Lake Hood Seaplane Base'),
	('39AK', 'small_airport', 'Kroenke Strip', 61.586021, -149.235996, 340, 'US', 'US-AK', 'Palmer', 'no', '39AK', '', '39AK', 'Gilmore Strip'),
	('PASP', 'small_airport', 'Sheep Mountain Airport', 61.812000274700004, -147.507003784, 2750, 'US', 'US-AK', 'Sheep Mountain', 'no', 'PASP', 'SMU', 'SMU', ''),
	('5AK8', 'small_airport', 'Memory Lake Airport', 61.63140106201172, -149.4320068359375, 420, 'US', 'US-AK', 'Wasilla', 'no', '5AK8', '', '5AK8', ''),
	('55AK', 'small_airport', 'Lawrence Airstrip', 61.49580001831055, -149.69900512695313, 200, 'US', 'US-AK', 'Wasilla', 'no', '55AK', '', '55AK', ''),
	('91AK', 'seaplane_base', 'Kucera Seaplane Base', 61.576389, -149.943333, 175, 'US', 'US-AK', 'Big Lake', 'no', '91AK', '', '91AK', ''),
	('59AK', 'small_airport', 'Penderosa Airport', 61.63180161, -149.3410034, 520, 'US', 'US-AK', 'Wasilla', 'no', '59AK', '', '59AK', ''),
	('AQY', 'small_airport', 'Girdwood-Alyeska Airport', 60.968774, -149.119792, 150, 'US', 'US-AK', 'Girdwood', 'no', '', 'AQY', 'AQY', ''),
	('02AA', 'small_airport', 'Barefoot Airport', 61.506147, -149.912825, 160, 'US', 'US-AK', 'Big Lake', 'no', '02AA', '', '02AA', 'H & H Field'),
	('9AK1', 'seaplane_base', 'Stormy Hill Seaplane Base', 61.63090133666992, -149.23199462890625, 500, 'US', 'US-AK', 'Palmer', 'no', '9AK1', '', '9AK1', ''),
	('AA10', 'small_airport', 'Eagles Roost Airport', 61.532891, -149.698768, 330, 'US', 'US-AK', 'Big Lake', 'no', 'AA10', '', 'AA10', ''),
	('1Z9', 'seaplane_base', 'Ellamar Seaplane Base', 60.893818, -146.704038, 0, 'US', 'US-AK', 'Ellamar', 'no', '', 'ELW', '1Z9', ''),
	('D71', 'seaplane_base', 'Beaver Lake Seaplane Base', 61.582901, -149.830994, 150, 'US', 'US-AK', 'Big Lake', 'no', 'D71', '', 'D71', ''),
	('PAGQ', 'small_airport', 'Big Lake Airport', 61.534658, -149.812936, 158, 'US', 'US-AK', 'Big Lake', 'no', 'PAGQ', 'BGQ', 'BGQ', ''),
	('AK83', 'small_airport', 'Gannon''s Landing Airport', 61.62730026245117, -149.60899353027344, 380, 'US', 'US-AK', 'Wasilla', 'no', 'AK83', '', 'AK83', ''),
	('AA01', 'seaplane_base', 'West Beaver Seaplane Base', 61.584961, -149.846531, 215, 'US', 'US-AK', 'Big Lake', 'no', 'AA01', '', 'AA01', ''),
	('20AK', 'small_airport', 'Owen Field', 61.504079, -149.895591, 150, 'US', 'US-AK', 'Big Lake', 'no', '20AK', '', '20AK', ''),
	('2D3', 'seaplane_base', 'Gooding Lake Seaplane Base', 61.62770080566406, -149.23899841308594, 500, 'US', 'US-AK', 'Palmer', 'no', '2D3', '', '2D3', ''),
	('7AK9', 'small_airport', 'Vinduska Airport', 61.64680099487305, -149.0489959716797, 700, 'US', 'US-AK', 'Palmer', 'no', '7AK9', '', '7AK9', ''),
	('16AK', 'small_airport', 'Gattis Strip', 61.596643, -149.339926, 320, 'US', 'US-AK', 'Wasilla', 'no', '16AK', '', '16AK', ''),
	('9AA1', 'small_airport', 'Elk Ranch Airport', 61.68203, -149.29073, 800, 'US', 'US-AK', 'Palmer', 'no', '9AA1', '', '9AA1', ''),
	('PAAQ', 'medium_airport', 'Warren "Bud" Woods Palmer Municipal Airport', 61.594898, -149.08901, 242, 'US', 'US-AK', 'Palmer', 'no', 'PAAQ', 'PAQ', 'PAQ', 'Palmer Muni, Palmer Buddy Woods Municipal'),
	('34AK', 'small_airport', 'Cardwell Strip', 61.625, -149.28900146484375, 425, 'US', 'US-AK', 'Palmer', 'no', '34AK', '', '34AK', ''),
	('52AK', 'closed', 'Basquo Airport', 60.505512, -151.248608, 63, 'US', 'US-AK', 'Kenai', 'no', '', '', '', '52AK'),
	('4AK6', 'small_airport', 'Wolf Lake Airport', 61.639311, -149.291105, 572, 'US', 'US-AK', 'Palmer', 'no', '4AK6', '', '4AK6', ''),
	('54AK', 'seaplane_base', 'Kalmbach Lake Seaplane Base', 61.60710144042969, -149.57400512695313, 400, 'US', 'US-AK', 'Wasilla', 'no', '54AK', '', '54AK', ''),
	('3AK8', 'small_airport', 'Boisselle''s Strip', 61.662498474121094, -149.39199829101563, 400, 'US', 'US-AK', 'Wasilla', 'no', '3AK8', '', '3AK8', ''),
	('A89', 'N/A', 'N/A', 61.50099277496338, -149.63944226503372, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('09AK', 'small_airport', 'West Beaver Airport', 61.589361, -149.847333, 228, 'US', 'US-AK', 'Big Lake', 'no', '09AK', '', '09AK', ''),
	('58AK', 'small_airport', 'Fairview East Airport', 61.5526008605957, -149.33999633789063, 100, 'US', 'US-AK', 'Wasilla', 'no', '58AK', '', '58AK', ''),
	('AK63', 'small_airport', 'Pat-Mar Strip', 61.588600158691406, -149.14300537109375, 246, 'US', 'US-AK', 'Palmer', 'no', 'AK63', '', 'AK63', ''),
	('D72', 'seaplane_base', 'D&C Fire Lake Flying Club Seaplane Base', 61.352500915527344, -149.54600524902344, 295, 'US', 'US-AK', 'Eagle River', 'no', 'D72', '', 'D72', ''),
	('AK92', 'small_airport', 'Martin Airport', 61.638, -149.029007, 820, 'US', 'US-AK', 'Palmer', 'no', 'AK92', '', 'AK92', ''),
	('4AK0', 'seaplane_base', 'Niklason Lake Seaplane Base', 61.6291999817, -149.270996094, 380, 'US', 'US-AK', 'Wasilla', 'no', '4AK0', '', '4AK0', ''),
	('4A3', 'seaplane_base', 'Lake Lucille Seaplane Base', 61.57460021972656, -149.47300720214844, 300, 'US', 'US-AK', 'Wasilla', 'no', '4A3', '', '4A3', ''),
	('69AK', 'seaplane_base', 'Memory Lake Seaplane Base', 61.62888717651367, -149.42361450195313, 463, 'US', 'US-AK', 'Wasilla', 'no', '69AK', '', '69AK', ''),
	('2AK0', 'small_airport', 'MacKenzie Country Airpark', 61.255901, -149.975006, 120, 'US', 'US-AK', 'Point Mackenzie', 'no', '2AK0', '', '2AK0', ''),
	('AK46', 'small_airport', 'Abi Airport', 61.62879943847656, -149.04299926757813, 750, 'US', 'US-AK', 'Palmer', 'no', 'AK46', '', 'AK46', ''),
	('79AK', 'small_airport', 'Huttunen Strip', 61.481839, -149.744019, 120, 'US', 'US-AK', 'Wasilla', 'no', '79AK', '', '79AK', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AA06', 'small_airport', 'Sixmile Lake Airport', 61.28867, -149.808884, 85, 'US', 'US-AK', 'Anchorage', 'no', 'AA06', '', 'AA06', ''),
	('07AA', 'small_airport', 'Pan Lake Strip Airport', 61.695964, -149.954903, 357, 'US', 'US-AK', 'Willow', 'no', '07AA', '', '07AA', 'Frying Pan Lake, Rappin Rappe'),
	('AK86', 'small_airport', 'Kramer Airport', 61.573539, -149.91135, 150, 'US', 'US-AK', 'Big Lake', 'no', 'AK86', '', 'AK86', ''),
	('65AK', 'small_airport', 'McDonald Ridge Airport', 61.560379, -149.367349, 285, 'US', 'US-AK', 'Wasilla', 'no', '65AK', '', '65AK', ''),
	('3H3', 'seaplane_base', 'Cottonwood Lake Seaplane Base', 61.5975990295, -149.315994263, 300, 'US', 'US-AK', 'Wasilla', 'no', '3H3', '', '3H3', ''),
	('Z40', 'small_airport', 'Goose Bay Airport', 61.394674, -149.84534, 78, 'US', 'US-AK', 'Goose Bay', 'no', '', '', 'Z40', ''),
	('3K9', 'seaplane_base', 'Upper Wasilla Lake Seaplane Base', 61.5886993408, -149.384994507, 330, 'US', 'US-AK', 'Wasilla', 'no', '3K9', '', '3K9', ''),
	('78Z', 'seaplane_base', 'Nancy Lake Seaplane Base', 61.685001373291016, -149.97999572753906, 218, 'US', 'US-AK', 'Nancy Lake', 'no', '78Z', '', '78Z', ''),
	('6AK7', 'small_airport', 'Rainbow Heights Estates Airstrip', 61.57385, -149.641492, 270, 'US', 'US-AK', 'Wasilla', 'no', '6AK7', '', '6AK7', ''),
	('AK29', 'small_airport', 'Reids Landing Airport', 61.61259841918945, -149.8520050048828, 246, 'US', 'US-AK', 'Houston', 'no', 'AK29', '', 'AK29', ''),
	('D75', 'seaplane_base', 'Blodget Lake Seaplane Base', 61.5760993958, -149.675994873, 242, 'US', 'US-AK', 'Wasilla', 'no', 'D75', '', 'D75', ''),
	('AK47', 'small_airport', 'Shawn Field', 61.58570098876953, -149.56300354003906, 300, 'US', 'US-AK', 'Wasilla', 'no', 'AK47', '', 'AK47', ''),
	('42AK', 'closed', 'Wicker Airport', 61.568505, -149.484491, 314, 'US', 'US-AK', 'Wasilla', 'no', '', '', '', '42AK'),
	('85AK', 'seaplane_base', 'Marion Seaplane Base', 61.509167, -149.908611, 150, 'US', 'US-AK', 'Big Lake', 'no', '85AK', '', '85AK', ''),
	('AK89', 'small_airport', 'Black Spruce Airport', 61.652322, -149.875059, 350, 'US', 'US-AK', 'Houston', 'no', 'AK89', '', 'AK89', ''),
	('AK1', 'small_airport', 'Butte Municipal Airport', 61.5303, -149.018005, 64, 'US', 'US-AK', 'Palmer', 'no', 'AK1', '', 'AK1', ''),
	('PAKA', 'N/A', 'N/A', 60.87238892912865, -146.69116660952568, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6A7', 'seaplane_base', 'Brocker Lake Seaplane Base', 61.4818000793, -149.772994995, 100, 'US', 'US-AK', 'Big Lake', 'no', '6A7', '', '6A7', ''),
	('28AK', 'small_airport', 'Gates Ranch Airport', 61.808899, -147.858993, 1875, 'US', 'US-AK', 'Glacier View', 'no', '28AK', '', '28AK', 'Farrars Airport, Sutton'),
	('PAJO', 'N/A', 'N/A', 60.48170004040003, -146.58399984240532, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('48AK', 'small_airport', 'Castle Mountain Airstrip', 61.7960412696, -148.494161367, 1010, 'US', 'US-AK', 'Sutton/Chickaloon', 'no', '48AK', '', '48AK', ''),
	('AA02', 'seaplane_base', 'Horseshoe Lake Seaplane Base', 61.571481, -149.924111, 140, 'US', 'US-AK', 'Big Lake', 'no', 'AA02', '', 'AA02', ''),
	('5AK6', 'small_airport', 'Colberg Airport', 61.55699920654297, -149.26800537109375, 125, 'US', 'US-AK', 'Palmer', 'no', '5AK6', '', '5AK6', ''),
	('77AK', 'small_airport', 'Tidewater Bluffs Airport', 61.502267, -149.594135, 80, 'US', 'US-AK', 'Wasilla', 'no', '77AK', '', '77AK', ''),
	('AK99', 'small_airport', 'Grand Home Airport', 61.446667, -149.761111, 85, 'US', 'US-AK', 'Wasilla', 'no', 'AK99', '', 'AK99', ''),
	('PAMD', 'small_airport', 'Middleton Island Airport', 59.4499015808, -146.307006836, 100, 'US', 'US-AK', 'Middleton Island', 'no', 'PAMD', 'MDO', 'MDO', ''),
	('6AK2', 'small_airport', 'Sleepers Strip Airport', 61.251579, -149.966125, 125, 'US', 'US-AK', 'Point Mackenzie', 'no', '6AK2', '', '6AK2', ''),
	('7AK8', 'small_airport', 'Hess Airport', 61.621299743652344, -149.61500549316406, 355, 'US', 'US-AK', 'Wasilla', 'no', '7AK8', '', '7AK8', ''),
	('0AK6', 'small_airport', 'Victory Airport', 61.80108, -147.945156, 1800, 'US', 'US-AK', 'Victory Bible Camp', 'no', '0AK6', '', '0AK6', ''),
	('99Z', 'seaplane_base', 'Finger Lake Seaplane Base', 61.60649871826172, -149.2779998779297, 337, 'US', 'US-AK', 'Palmer', 'no', '99Z', '', '99Z', ''),
	('AK12', 'small_airport', 'Flying Crown Airport', 61.10660171508789, -149.86399841308594, 47, 'US', 'US-AK', 'Anchorage', 'no', 'AK12', '', 'AK12', ''),
	('PAWD', 'medium_airport', 'Seward Airport', 60.130478, -149.418612, 22, 'US', 'US-AK', 'Seward', 'no', 'PAWD', 'SWD', 'SWD', ''),
	('5HO', 'small_airport', 'Hope Airport', 60.906736, -149.62312, 200, 'US', 'US-AK', 'Hope', 'no', '5HO', '', '5HO', ''),
	('29A', 'seaplane_base', 'Island Lake Seaplane Base', 61.6288986206, -149.617996216, 370, 'US', 'US-AK', 'Wasilla', 'no', '29A', '', '29A', ''),
	('1AK7', 'heliport', 'Valdez Hospital Heliport', 61.136600494384766, -146.34500122070313, 96, 'US', 'US-AK', 'Valdez', 'no', '1AK7', '', '1AK7', ''),
	('43AK', 'small_airport', 'Kalmbach Airport', 61.600799560546875, -149.57899475097656, 445, 'US', 'US-AK', 'Wasilla', 'no', '43AK', '', '43AK', ''),
	('PACR', 'small_airport', 'Circle City (New) Airport', 65.827673, -144.076195, 613, 'US', 'US-AK', 'Circle', 'yes', 'PACR', 'IRC', 'CRC', 'K03'),
	('Z91', 'small_airport', 'Birch Creek Airport', 66.2740020752, -145.824005127, 450, 'US', 'US-AK', 'Birch Creek', 'yes', 'Z91', 'KBC', 'Z91', ''),
	('PACI', 'small_airport', 'Chalkyitsik Airport', 66.644997, -143.740005, 544, 'US', 'US-AK', 'Chalkyitsik', 'yes', 'PACI', 'CIK', 'CIK', ''),
	('L20', 'small_airport', 'Coal Creek Airport', 65.3113021850586, -143.13499450683594, 850, 'US', 'US-AK', 'Yukon Charley Rivers', 'no', 'L20', '', 'L20', ''),
	('AK13', 'small_airport', 'Chena Hot Springs Airport', 65.0518035889, -146.04699707, 1195, 'US', 'US-AK', 'Chena Hot Springs', 'no', 'AK13', 'CEX', 'AK13', ''),
	('CHP', 'small_airport', 'Circle Hot Springs Airport', 65.485496521, -144.610992432, 956, 'US', 'US-AK', 'Circle Hot Springs', 'no', 'CHP', 'CHP', 'CHP', ''),
	('PACE', 'small_airport', 'Central Airport', 65.573815, -144.780707, 937, 'US', 'US-AK', 'Central', 'yes', 'PACE', 'CEM', 'CEM', ''),
	('PFYU', 'medium_airport', 'Fort Yukon Airport', 66.571651, -145.249987, 433, 'US', 'US-AK', 'Fort Yukon', 'yes', 'PFYU', 'FYU', 'FYU', ''),
	('TSG', 'small_airport', 'Tanacross Airport', 63.374401092499994, -143.335998535, 1549, 'US', 'US-AK', 'Tanacross', 'no', 'TSG', 'TSG', 'TSG', ''),
	('DDT', 'small_airport', 'Duffys Tavern Airport', 62.724602, -143.921005, 2420, 'US', 'US-AK', 'Slana', 'no', 'PADT', '', 'DDT', 'AK31'),
	('PADB', 'N/A', 'N/A', 62.60960977524519, -144.623664021492, 592, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3Z5', 'N/A', 'N/A', 62.06151410937309, -145.42552202939987, 357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4AK5', 'small_airport', 'Mankomen Lake Airport', 62.989898681640625, -144.47999572753906, 3050, 'US', 'US-AK', 'Mankomen Lake', 'no', '4AK5', '', '4AK5', ''),
	('HKB', 'small_airport', 'Healy Lake Airport', 63.9958, -144.6926, 1180, 'US', 'US-AK', 'Healy Lake', 'yes', '', 'HKB', '', ''),
	('76AK', 'small_airport', 'Pogo Mine Airstrip', 64.46749877929688, -144.92100524902344, 1350, 'US', 'US-AK', 'Delta Junction', 'no', '76AK', '', '76AK', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8AK9', 'small_airport', 'Tok 2 Airport', 63.308904791, -143.016929626, 1630, 'US', 'US-AK', 'Tok', 'no', '8AK9', '', '8AK9', ''),
	('5BK', 'small_airport', 'Black Rapids Airport', 63.535099029541016, -145.86099243164063, 2125, 'US', 'US-AK', 'Black Rapids', 'no', '5BK', '', '5BK', ''),
	('PATJ', 'closed', 'Tok Airport', 63.303333, -143.001111, 1670, 'US', 'US-AK', 'Tok', 'no', '', '', '', 'PATJ, PATJ, TKJ'),
	('1AK2', 'small_airport', 'Crosswind Lake Airport', 62.400901794433594, -146.01300048828125, 2125, 'US', 'US-AK', 'Crosswind Lake', 'no', '1AK2', '', '1AK2', ''),
	('PABI', 'medium_airport', 'Allen Army Airfield', 63.9944992065, -145.722000122, 1291, 'US', 'US-AK', 'Delta Junction Ft Greely', 'no', 'PABI', 'BIG', 'BIG', 'Big Delta Army Airfield'),
	('45AK', 'small_airport', 'Cherokee Airport', 63.954955, -145.448536, 1300, 'US', 'US-AK', 'Delta Junction', 'no', '45AK', '', '45AK', ''),
	('D66', 'small_airport', 'Delta Junction Airport', 64.049861, -145.722656, 1150, 'US', 'US-AK', 'Delta Junction', 'yes', 'D66', 'DJN', 'D66', ''),
	('AK77', 'small_airport', 'All West Airport', 63.946809, -145.424109, 1275, 'US', 'US-AK', 'Delta Junction', 'no', 'AK77', '', 'AK77', ''),
	('29AK', 'small_airport', 'Remington Field', 64.046814, -145.432667, 1250, 'US', 'US-AK', 'Delta Junction', 'no', '29AK', '', '29AK', ''),
	('8AK1', 'small_airport', 'Jacobus Field', 62.28030014038086, -145.36300659179688, 1670, 'US', 'US-AK', 'Gulkana', 'no', '8AK1', '', '8AK1', ''),
	('AK09', 'small_airport', 'Wingsong Estates Airport', 64.04959869384766, -145.5019989013672, 1100, 'US', 'US-AK', 'Delta Junction', 'no', 'AK09', '', 'AK09', ''),
	('PAGK', 'medium_airport', 'Gulkana Airport', 62.155859, -145.454662, 1586, 'US', 'US-AK', 'Gulkana', 'yes', 'PAGK', 'GKN', 'GKN', ''),
	('3T4', 'small_airport', 'Tetlin Airport', 63.124618, -142.518005, 1663, 'US', 'US-AK', 'Tetlin', 'no', '3T4', 'TEH', '3T4', ''),
	('IBN', 'small_airport', 'Devils Mountain Lodge Airport', 62.399731, -142.995365, 2880, 'US', 'US-AK', 'Nabesna', 'no', 'PABN', '', 'IBN', 'AK21'),
	('11AK', 'small_airport', 'Rocking T Ranch Airport', 64.001932, -145.501585, 1190, 'US', 'US-AK', 'Delta Junction', 'no', '11AK', '', '11AK', ''),
	('PFTO', 'small_airport', 'Tok Junction Airport', 63.32949829, -142.9539948, 1639, 'US', 'US-AK', 'Tok', 'yes', 'PFTO', 'TKJ', '6K8', ''),
	('AA22', 'small_airport', 'Delta Daves Airport', 64.130758, -145.805054, 1070, 'US', 'US-AK', 'Delta Junction', 'no', 'AA22', '', 'AA22', ''),
	('9AK4', 'small_airport', 'Arctic Angel Airport', 64.137685, -145.830889, 1009, 'US', 'US-AK', 'Delta Junction', 'no', '9AK4', '', '9AK4', ''),
	('Z93', 'small_airport', 'Copper Center 2 Airport', 61.943713, -145.299398, 1150, 'US', 'US-AK', 'Copper Center', 'no', '', 'CZC', 'Z93', ''),
	('CZO', 'small_airport', 'Chistochina Airport', 62.5634994507, -144.669006348, 1850, 'US', 'US-AK', 'Chistochina', 'no', 'CZO', 'CZO', 'CZO', ''),
	('PADA', 'closed', 'Sparky''s Field', 63.859866, -145.098812, 1286, 'US', 'US-AK', 'Deltana', 'no', '', '', '', 'PADA'),
	('0AK8', 'closed', 'Pollux Heliport', 64.895835, -147.497501, 515, 'US', 'US-AK', 'North Pole', 'no', '', '', '', '0AK8'),
	('CKU', 'small_airport', 'Cordova Municipal Airport', 60.5438995361, -145.727005005, 12, 'US', 'US-AK', 'Cordova', 'no', 'CKU', 'CKU', 'CKU', ''),
	('AK97', 'small_airport', 'Boswell Bay Airport', 60.4230995178, -146.145996094, 230, 'US', 'US-AK', 'Boswell Bay', 'no', 'AK97', 'BSW', 'AK97', ''),
	('PAMX', 'small_airport', 'Mc Carthy Airport', 61.4370994568, -142.904006958, 1531, 'US', 'US-AK', 'Mccarthy', 'no', 'PAMX', 'MXY', '15Z', ''),
	('AK0', 'small_airport', 'Jakes Bar Airport', 61.21870040893555, -142.88999938964844, 1052, 'US', 'US-AK', 'Mccarthy', 'no', 'AK0', '', 'AK0', ''),
	('PACO', 'closed', 'Tonsina-Upper Airport', 61.659981, -145.18188, 1510, 'US', 'US-AK', 'Cordova', 'no', '', '', '', 'PACO'),
	('AK30', 'small_airport', 'Strawberry Point Airport', 60.391153, -146.097464, 50, 'US', 'US-AK', 'Cordova', 'no', 'AK30', '', 'AK30', ''),
	('0AK5', 'small_airport', 'Young Creek Airport', 61.355352, -142.731832, 1580, 'US', 'US-AK', 'May Creek', 'no', '0AK5', '', '0AK5', ''),
	('PAVD', 'medium_airport', 'Valdez Pioneer Field', 61.132712, -146.246567, 121, 'US', 'US-AK', 'Valdez', 'yes', 'PAVD', 'VDZ', 'VDZ', 'Valdez Number 2'),
	('PACV', 'medium_airport', 'Merle K (Mudhole) Smith Airport', 60.491798, -145.477997, 54, 'US', 'US-AK', 'Cordova', 'yes', 'PACV', 'CDV', 'CDV', 'Cordova Mile 13'),
	('AK31', 'small_airport', 'Swift Creek Airport', 61.41120147705078, -143.00100708007813, 1225, 'US', 'US-AK', 'Mccarthy', 'no', 'AK31', '', 'AK31', ''),
	('CXC', 'small_airport', 'Chitina Airport', 61.582901, -144.427002, 556, 'US', 'US-AK', 'Chitina', 'no', 'CXC', 'CXC', 'CXC', ''),
	('K55', 'small_airport', 'Thompson Pass Airport', 61.177299, -145.688006, 2080, 'US', 'US-AK', 'Valdez', 'no', '', '', 'K55', 'AK55'),
	('CYDI', 'N/A', 'N/A', 66.80943913757801, -141.64388224482536, 645, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PAEG', 'small_airport', 'Eagle Airport', 64.778003, -141.150455, 908, 'US', 'US-AK', 'Eagle', 'yes', 'PAEG', 'EAA', 'EAA', ''),
	('BYA', 'small_airport', 'Boundary Airport', 64.077678, -141.122088, 2940, 'US', 'US-AK', 'Boundary', 'no', 'BYA', 'BYA', 'BYA', ''),
	('CKX', 'small_airport', 'Chicken Airport', 64.066495, -141.951342, 1640, 'US', 'US-AK', 'Chicken', 'yes', 'CKX', 'CKX', 'CKX', ''),
	('CYDT', 'N/A', 'N/A', 64.47609733790159, -140.7422661781311, 614, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PAOR', 'medium_airport', 'Northway Airport', 62.9613, -141.929001, 1715, 'US', 'US-AK', 'Northway', 'yes', 'PAOR', 'ORT', 'ORT', ''),
	('CZN', 'small_airport', 'Chisana Airport', 62.0712013245, -142.04800415, 3318, 'US', 'US-AK', 'Chisana', 'yes', 'CZN', 'CZN', 'CZN', 'Chisana Field'),
	('4Z5', 'small_airport', 'Horsfeld Airport', 62.007198333740234, -141.18099975585938, 3300, 'US', 'US-AK', 'Horsfeld', 'no', '4Z5', '', '4Z5', ''),
	('CYXQ', 'medium_airport', 'Beaver Creek Airport', 62.410301208496094, -140.86700439453125, 2131, 'CA', 'CA-YT', 'Beaver Creek', 'no', 'CYXQ', 'YXQ', '', ''),
	('CYDA', 'medium_airport', 'Dawson City Airport', 64.04309844970703, -139.1280059814453, 1215, 'CA', 'CA-YT', 'Dawson City', 'yes', 'CYDA', 'YDA', '', ''),
	('A68', 'small_airport', 'Situk Airport', 59.55160140991211, -139.50900268554688, 50, 'US', 'US-AK', 'Yakutat', 'no', 'A68', '', 'A68', ''),
	('19AK', 'small_airport', 'Icy Bay Airport', 59.966269, -141.660118, 50, 'US', 'US-AK', 'Icy Bay', 'no', '19AK', 'ICY', '19AK', ''),
	('A70', 'closed', 'Dangerous River Airport', 59.404301, -139.234028, 50, 'US', 'US-AK', 'Yakutat', 'no', '', '', '', 'A70'),
	('A67', 'small_airport', 'Harlequin Lake Airport', 59.414431, -139.033012, 100, 'US', 'US-AK', 'Yakutat', 'no', '', '', 'A67', ''),
	('0AA1', 'small_airport', 'Yakataga Airport', 60.080974, -142.494541, 12, 'US', 'US-AK', 'Yakataga', 'yes', 'PACY', 'CYT', '0AA1', 'Cape Yakataga'),
	('CEF9', 'seaplane_base', 'Tincup Lake Seaplane Base', 61.748904, -139.246004, 2686, 'CA', 'CA-YT', 'Tincup Lake', 'no', 'CEF9', '', 'CEF9', 'EF9'),
	('2Y3', 'seaplane_base', 'Yakutat Seaplane Base', 59.5625, -139.74099731445313, 0, 'US', 'US-AK', 'Yakutat', 'no', '2Y3', '', '2Y3', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('PAYA', 'medium_airport', 'Yakutat Airport', 59.508717, -139.660435, 33, 'US', 'US-AK', 'Yakutat', 'yes', 'PAYA', 'YAK', 'YAK', ''),
	('CYDB', 'medium_airport', 'Burwash Airport', 61.371101, -139.041, 2647, 'CA', 'CA-YT', 'Burwash Landing', 'no', 'CYDB', 'YDB', '', ''),
	('CYHQ', 'N/A', 'N/A', 62.10774265229702, -136.30395859479904, 526, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFQ6', 'small_airport', 'Pelly Crossing Airport', 62.837509, -136.528151, 1870, 'CA', 'CA-YT', 'Pelly Crossing', 'no', 'CFQ6', '', 'CFQ6', 'FQ6'),
	('CEX4', 'small_airport', 'Carmacks Airport', 62.11063, -136.179993, 1770, 'CA', 'CA-YT', 'Carmacks', 'no', 'CEX4', '', 'CEX4', 'EX4'),
	('PAGY', 'small_airport', 'Skagway Airport', 59.460343, -135.316651, 44, 'US', 'US-AK', 'Skagway', 'yes', 'PAGY', 'SGY', 'SGY', ''),
	('AK76', 'small_airport', 'East Alsek River Airport', 59.126338, -138.409216, 20, 'US', 'US-AK', 'Yakutat', 'no', 'AK76', '', 'AK76', ''),
	('CBS4', 'small_airport', 'Mule Creek Airport', 59.773819, -136.596161, 2900, 'CA', 'CA-BC', 'Mule Creek', 'no', 'CBS4', '', 'CBS4', 'BS4'),
	('CYHT', 'medium_airport', 'Haines Junction Airport', 60.7892, -137.546005, 2150, 'CA', 'CA-YT', 'Haines Junction', 'no', 'CYHT', 'YHT', '', ''),
	('CEK2', 'small_airport', 'Braeburn Airport', 61.48440170288086, -135.7760009765625, 2400, 'CA', 'CA-YT', 'Braeburn', 'no', 'CEK2', '', 'CEK2', 'EK2'),
	('A69', 'small_airport', 'Tanis Mesa Airport', 59.249712, -138.504853, 130, 'US', 'US-AK', 'Yakutat', 'no', '', '', 'A69', ''),
	('PAHN', 'medium_airport', 'Haines Airport', 59.243921, -135.523925, 15, 'US', 'US-AK', 'Haines', 'yes', 'PAHN', 'HNS', 'HNS', ''),
	('CYXY', 'medium_airport', 'Whitehorse / Erik Nielsen International Airport', 60.709599, -135.067001, 2317, 'CA', 'CA-YT', 'Whitehorse', 'yes', 'CYXY', 'YXY', '', ''),
	('3AK', 'small_airport', 'Dry Bay Airport', 59.164434, -138.489398, 43, 'US', 'US-AK', 'Yakutat', 'no', '', '', '3AK', ''),
	('CFQ5', 'small_airport', 'Silver City Airport', 61.030402, -138.404903, 2570, 'CA', 'CA-YT', 'Kluane Lake', 'no', 'CFQ5', '', 'CFQ5', 'FQ5'),
	('3Z9', 'seaplane_base', 'Haines Seaplane Base', 59.235001, -135.440994, 0, 'US', 'US-AK', 'Haines', 'no', '3Z9', '', '3Z9', ''),
	('CFP8', 'small_airport', 'Whitehorse / Cousins Airport', 60.8117343999, -135.182132721, 2200, 'CA', 'CA-YT', 'Whitehorse', 'no', 'CFP8', '', 'CFP8', 'FP8'),
	('A57', 'small_airport', 'Alsek River Airport', 59.1991802403, -138.447293043, 30, 'US', 'US-AK', 'Yakutat', 'no', 'A57', '', 'A57', ''),
	('PAOH', 'small_airport', 'Hoonah Airport', 58.0961, -135.410111, 19, 'US', 'US-AK', 'Hoonah', 'yes', 'PAOH', 'HNH', 'HNH', ''),
	('2Z6', 'seaplane_base', 'False Island Seaplane Base', 57.5321998596, -135.212997437, 0, 'US', 'US-AK', 'False Island', 'no', '2Z6', 'FAK', '2Z6', ''),
	('PASI', 'medium_airport', 'Sitka Rocky Gutierrez Airport', 57.04710006713867, -135.36199951171875, 21, 'US', 'US-AK', 'Sitka', 'yes', 'PASI', 'SIT', 'SIT', ''),
	('BQV', 'seaplane_base', 'Bartlett Cove Seaplane Base', 58.4552, -135.884995, 0, 'US', 'US-AK', 'Gustavus', 'no', 'BQV', 'BQV', 'BQV', ''),
	('PAGS', 'medium_airport', 'Gustavus Airport', 58.4253006, -135.7070007, 35, 'US', 'US-AK', 'Gustavus', 'yes', 'PAGS', 'GST', 'GST', ''),
	('AA12', 'seaplane_base', 'Dove Island Lodge Seaplane Base', 57.0408333, -135.2955556, 0, 'US', 'US-AK', 'Sitka', 'no', 'AA12', '', 'AA12', ''),
	('CZFA', 'medium_airport', 'Faro Airport', 62.20750045776367, -133.37600708007813, 2351, 'CA', 'CA-YT', 'Faro', 'no', 'CZFA', 'ZFA', '', ''),
	('CYSQ', 'small_airport', 'Atlin Airport', 59.57833, -133.668938, 2348, 'CA', 'CA-BC', 'Atlin', 'yes', 'CYSQ', '', '', 'YSQ, EY5'),
	('CFA4', 'small_airport', 'Carcross Airport', 60.173762, -134.697683, 2161, 'CA', 'CA-YT', 'Carcross', 'no', 'CFA4', '', 'CFA4', 'FA4'),
	('PAWG', 'medium_airport', 'Wrangell Airport', 56.48429871, -132.3699951, 49, 'US', 'US-AK', 'Wrangell', 'yes', 'PAWG', 'WRG', 'WRG', ''),
	('PAFE', 'medium_airport', 'Kake Airport', 56.961312, -133.910202, 172, 'US', 'US-AK', 'Kake', 'no', 'PAFE', '', 'AFE', 'K23'),
	('A23', 'seaplane_base', 'Saginaw Seaplane Base', 56.8862991333, -134.158004761, 0, 'US', 'US-AK', 'Saginaw Bay', 'no', 'A23', 'SGW', 'A23', ''),
	('19P', 'seaplane_base', 'Port Protection Seaplane Base', 56.328800201416, -133.61000061035, 0, 'US', 'US-AK', 'Port Protection', 'yes', '19P', 'PPV', '19P', ''),
	('BD7', 'N/A', 'N/A', 58.19529388099909, -132.32533648610115, 972, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7AK2', 'small_airport', 'Snettisham Airport', 58.134516, -133.729105, 14, 'US', 'US-AK', 'Snettisham', 'no', '7AK2', '', '7AK2', ''),
	('5Z1', 'seaplane_base', 'Juneau Harbor Seaplane Base', 58.29890060424805, -134.4080047607422, 0, 'US', 'US-AK', 'Juneau', 'no', '5Z1', '', '5Z1', ''),
	('KAE', 'seaplane_base', 'Kake Seaplane Base', 56.973, -133.945999, 0, 'US', 'US-AK', 'Kake', 'yes', '', 'KAE', 'KAE', ''),
	('PAPG', 'medium_airport', 'Petersburg James A Johnson Airport', 56.80170059, -132.9450073, 111, 'US', 'US-AK', 'Petersburg', 'yes', 'PAPG', 'PSG', 'PSG', ''),
	('PAJN', 'medium_airport', 'Juneau International Airport', 58.355, -134.576004, 21, 'US', 'US-AK', 'Juneau', 'yes', 'PAJN', 'JNU', 'JNU', ''),
	('63A', 'seaplane_base', 'Lloyd R. Roundtree Seaplane Facility Seaplane Base', 56.811298, -132.960007, 0, 'US', 'US-AK', 'Petersburg', 'no', '63A', '', '63A', ''),
	('PANR', 'seaplane_base', 'Funter Bay Seaplane Base', 58.2543983459, -134.897994995, 0, 'US', 'US-AK', 'Funter Bay', 'yes', 'PANR', 'FNR', 'FNR', ''),
	('05AA', 'seaplane_base', 'Chatham Seaplane Base', 57.5149, -134.945999, 0, 'US', 'US-AK', 'Chatham', 'yes', '05AA', 'CYM', '05AA', 'CYM'),
	('AGN', 'seaplane_base', 'Angoon Seaplane Base', 57.497097, -134.56722, 0, 'US', 'US-AK', 'Angoon', 'yes', 'PAGN', 'AGN', 'AGN', ''),
	('2Z1', 'seaplane_base', 'Entrance Island Seaplane Base', 57.412201, -133.43848, 0, 'US', 'US-AK', 'Entrance Island', 'no', '', 'HBH', '', '2Z1'),
	('A43', 'seaplane_base', 'Taku Harbor Seaplane Base', 58.0690994263, -134.01499939, 0, 'US', 'US-AK', 'Taku Harbor', 'no', 'A43', '', 'A43', ''),
	('PAKE', 'N/A', 'N/A', 56.21879518032074, -131.48504421114922, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9C0', 'seaplane_base', 'Peninsula Point Pullout Seaplane Base', 55.384700775146484, -131.73800659179688, 0, 'US', 'US-AK', 'Ketchikan', 'no', '9C0', '', '9C0', ''),
	('PAKW', 'medium_airport', 'Klawock Airport', 55.579201, -133.076004, 80, 'US', 'US-AK', 'Klawock', 'yes', 'PAKW', 'KLW', 'AKW', '9Z1'),
	('57A', 'seaplane_base', 'Tokeen Seaplane Base', 55.9370994568, -133.32699585, 0, 'US', 'US-AK', 'Tokeen', 'no', '57A', 'TKI', '57A', ''),
	('8K9', 'seaplane_base', 'Murphys Pullout Seaplane Base', 55.38959884643555, -131.73800659179688, 0, 'US', 'US-AK', 'Ketchikan', 'no', '8K9', '', '8K9', ''),
	('13Z', 'seaplane_base', 'Loring Seaplane Base', 55.601299, -131.636993, 0, 'US', 'US-AK', 'Loring', 'no', '13Z', 'WLR', '13Z', 'Naha Bay'),
	('PAKT', 'medium_airport', 'Ketchikan International Airport', 55.35559845, -131.7140045, 89, 'US', 'US-AK', 'Ketchikan', 'yes', 'PAKT', 'KTN', 'KTN', ''),
	('PANT', 'medium_airport', 'Annette Island Airport', 55.037663, -131.572609, 119, 'US', 'US-AK', 'Metlakatla', 'no', 'PANT', 'ANN', 'ANN', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('16K', 'seaplane_base', 'Port Alice Seaplane Base', 55.803, -133.597, 0, 'US', 'US-AK', 'Port Alice', 'no', '16K', 'PTC', '16K', ''),
	('CGA', 'seaplane_base', 'Craig Seaplane Base', 55.478802, -133.147995, 0, 'US', 'US-AK', 'Craig', 'yes', 'CGA', 'CGA', 'CGA', ''),
	('CZMT', 'medium_airport', 'Masset Airport', 54.0275, -132.125, 25, 'CA', 'CA-BC', 'Masset', 'yes', 'CZMT', 'ZMT', '', ''),
	('PAQC', 'closed', 'Klawock Seaplane Base', 55.554699, -133.102005, 0, 'US', 'US-AK', 'Klawock', 'no', '', '', '', 'PAQC, AQC, 9Z0'),
	('5C5', 'seaplane_base', 'El Capitan Lodge Seaplane Base', 55.95859909057617, -133.2530059814453, 0, 'US', 'US-AK', 'Craig', 'no', '5C5', '', '5C5', ''),
	('CYZP', 'medium_airport', 'Sandspit Airport', 53.25429916379999, -131.813995361, 21, 'CA', 'CA-BC', 'Sandspit', 'yes', 'CYZP', 'YZP', '', 'Queen Charlotte Islands, Haida Gwaii'),
	('CBE7', 'seaplane_base', 'Alliford Bay Seaplane Base', 53.214717, -131.992082, 0, 'CA', 'CA-BC', '', 'no', 'CBE7', '', 'CBE7', ''),
	('CYGH', 'small_airport', 'Fort Good Hope Airport', 66.240658, -128.647757, 268, 'CA', 'CA-NT', 'Fort Good Hope', 'yes', 'CYGH', 'YGH', '', ''),
	('CYQH', 'medium_airport', 'Watson Lake Airport', 60.116839, -128.821993, 2255, 'CA', 'CA-YT', 'Watson Lake', 'yes', 'CYQH', 'YQH', '', ''),
	('CFT3', 'small_airport', 'Finlayson Lake Airport', 61.6913986206, -130.774002075, 3094, 'CA', 'CA-YT', 'Finlayson Lake', 'no', 'CFT3', '', 'CFT3', 'FT3'),
	('CAB5', 'closed', 'Bronson Creek Airport', 56.681098938, -131.087005615, 396, 'CA', 'CA-BC', 'Bronson Creek', 'no', '', '', '', 'CAB5, AB5, Snip Gold Mine, YBM'),
	('CBU2', 'small_airport', 'Eddontenajon / Iskut Village Airport', 57.847994155, -129.983968735, 3100, 'CA', 'CA-BC', 'Eddontenajon', 'no', 'CBU2', '', 'CBU2', 'BU2'),
	('CBM5', 'closed', 'Telegraph Creek Airport', 57.914369, -131.125592, 1100, 'CA', 'CA-BC', 'Telegraph Creek', 'no', '', '', '', 'BM5, CBM5, YTX, CBM5'),
	('CBW4', 'small_airport', 'Bob Quinn Lake Airport', 56.966702, -130.25, 2000, 'CA', 'CA-BC', 'Bob Quinn Lake', 'no', 'CBW4', 'YBO', 'CBW4', ''),
	('CYDL', 'small_airport', 'Dease Lake Airport', 58.422199, -130.031998, 2600, 'CA', 'CA-BC', 'Dease Lake', 'yes', 'CYDL', 'YDL', '', 'YDL'),
	('CBW2', 'small_airport', 'Kitimat Airport', 54.167758, -128.578663, 250, 'CA', 'CA-BC', 'Kitimat', 'no', 'CBW2', '', 'CBW2', 'BW2'),
	('CBA3', 'seaplane_base', 'Kincolith Seaplane Base', 54.99, -129.96, 0, 'CA', 'CA-BC', '', 'no', 'CBA3', '', 'CBA3', ''),
	('CZSW', 'seaplane_base', 'Prince Rupert/Seal Cove Seaplane Base', 54.333302, -130.283005, 0, 'CA', 'CA-BC', 'Prince Rupert', 'no', 'CZSW', 'ZSW', '', ''),
	('CYSO', 'N/A', 'N/A', 55.19314058125019, -127.71266028285027, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYSS', 'N/A', 'N/A', 55.535862520337105, -127.86613404750824, 323, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYXT', 'medium_airport', 'Northwest Regional Airport Terrace-Kitimat', 54.468498, -128.576009, 713, 'CA', 'CA-BC', 'Terrace', 'yes', 'CYXT', 'YXT', '', ''),
	('CYPR', 'medium_airport', 'Prince Rupert Airport', 54.286098480199996, -130.445007324, 116, 'CA', 'CA-BC', 'Prince Rupert', 'yes', 'CYPR', 'YPR', '', ''),
	('CZST', 'medium_airport', 'Stewart Airport', 55.935410448, -129.982434511, 24, 'CA', 'CA-BC', 'Stewart', 'no', 'CZST', 'ZST', 'CZST', ''),
	('CAP7', 'seaplane_base', 'Kitkatla Seaplane Base', 53.7999992371, -130.432998657, 0, 'CA', 'CA-BC', 'Kitkatla', 'no', 'CAP7', 'YKK', 'CAP7', 'AP7'),
	('CYSI', 'N/A', 'N/A', 55.467050448060036, -127.70116791129112, 322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYTC', 'N/A', 'N/A', 55.291428454220295, -128.99589702486992, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CBBC', 'medium_airport', 'Bella Bella (Campbell Island) Airport', 52.185001, -128.156994, 141, 'CA', 'CA-BC', 'Bella Bella', 'yes', 'CBBC', 'ZEL', 'CBBC', 'BBC'),
	('CYJQ', 'small_airport', 'Denny Island Airport', 52.136474, -128.056182, 162, 'CA', 'CA-BC', 'Denny Island', 'no', 'CYJQ', '', '', 'YJQ'),
	('CAY4', 'seaplane_base', 'Hartley Bay Seaplane Base', 53.416698, -129.25, 0, 'CA', 'CA-BC', 'Hartley Bay', 'no', 'CAY4', 'YTB', 'CAY4', ''),
	('CAH2', 'seaplane_base', 'Ocean Falls Seaplane Base', 52.3666992188, -127.717002869, 0, 'CA', 'CA-BC', 'Ocean Falls', 'no', 'CAH2', 'ZOF', 'CAH2', ''),
	('CAQ3', 'seaplane_base', 'Coal Harbour Seaplane Base', 50.597378, -127.57865, 0, 'CA', 'CA-BC', 'Coal Harbour', 'no', 'CAQ3', '', 'CAQ3', 'AQ3'),
	('CZFN', 'small_airport', 'Tulita Airport', 64.909496, -125.570297, 332, 'CA', 'CA-NT', 'Tulita', 'yes', 'CZFN', 'ZFN', '', 'Fort Norman'),
	('CYVQ', 'medium_airport', 'Norman Wells Airport', 65.28160095214844, -126.7979965209961, 238, 'CA', 'CA-NT', 'Norman Wells', 'yes', 'CYVQ', 'YVQ', '', ''),
	('CEU8', 'seaplane_base', 'Norman Wells Seaplane Base', 65.25861, -126.691591, 200, 'CA', 'CA-NT', '', 'no', 'CEU8', '', 'CEU8', 'EU8'),
	('CFP6', 'small_airport', 'La Biche River Airport', 60.12919998168945, -124.04900360107422, 1356, 'CA', 'CA-YT', 'La Biche River', 'no', 'CFP6', '', 'CFP6', 'FP6'),
	('CBH4', 'small_airport', 'Prairie Creek Airport', 61.564701080322266, -124.81500244140625, 2950, 'CA', 'CA-NT', 'Prairie Creek', 'no', 'CBH4', '', 'CBH4', 'BH4'),
	('CBK7', 'small_airport', 'Mile 422 (Alaska Highway) Airport', 58.84939956665039, -125.23999786376953, 2400, 'CA', 'CA-BC', 'Toad River', 'no', 'CBK7', '', 'CBK7', 'BK7'),
	('CBN9', 'small_airport', 'Tsay Keh Airport', 56.906101, -124.964996, 2280, 'CA', 'CA-BC', 'Tsay Keh', 'yes', 'CBN9', '', 'CBN9', ''),
	('CBW3', 'small_airport', 'Fort Grahame Airport', 56.52138778769999, -124.470291138, 2230, 'CA', 'CA-BC', 'Fort Graham', 'no', 'CBW3', '', 'CBW3', 'BW3'),
	('CBT8', 'N/A', 'N/A', 56.72421019524336, -125.11634632945061, 695, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAP6', 'small_airport', 'Ingenika Airport', 56.790599823, -124.897003174, 2230, 'CA', 'CA-BC', 'Ingenika', 'no', 'CAP6', '', 'CAP6', 'WWU'),
	('CBF8', 'seaplane_base', 'Muncho Lake/Mile 462 Seaplane Base', 59.009, -125.775, 2681, 'CA', 'CA-BC', '', 'no', 'CBF8', '', 'CBF8', ''),
	('CBA9', 'small_airport', 'Ospika Airport', 56.271002, -124.063282, 2300, 'CA', 'CA-BC', 'Ospika', 'yes', 'CBA9', '', 'CBA9', 'BA9'),
	('CAJ9', 'small_airport', 'Fort Ware Airport', 57.427857, -125.648189, 2450, 'CA', 'CA-BC', 'Fort Ware', 'yes', 'CAJ9', '', 'CAJ9', 'AJ9'),
	('CYPZ', 'medium_airport', 'Burns Lake Airport', 54.3764, -125.950996, 2343, 'CA', 'CA-BC', 'Burns Lake', 'yes', 'CYPZ', 'YPZ', 'YPZ', 'YPZ'),
	('CLD3', 'seaplane_base', 'Burns Lake (LD Air) Water Aerodrome', 54.21, -125.756901, 2300, 'CA', 'CA-BC', 'Burns Lake', 'no', 'CLD3', '', 'CLD3', 'AJ6'),
	('CYYD', 'medium_airport', 'Smithers Airport', 54.82469940185547, -127.18299865722656, 1712, 'CA', 'CA-BC', 'Smithers', 'yes', 'CYYD', 'YYD', '', ''),
	('CBD5', 'closed', 'Takla Narrows Airport', 55.163549, -125.706124, 2380, 'CA', 'CA-BC', 'Takla Narrows', 'no', '', '', '', 'BD5, CBD5'),
	('CAM5', 'small_airport', 'Houston Airport', 54.440299, -126.780023, 2150, 'CA', 'CA-BC', 'Houston', 'no', 'CAM5', '', 'CAM5', 'AM5'),
	('CBZ9', 'small_airport', 'Fraser Lake Airport', 54.014454, -124.771354, 2690, 'CA', 'CA-BC', 'Fraser Lake', 'no', 'CBZ9', '', 'CBZ9', ''),
	('CBJ8', 'seaplane_base', 'Fraser Lake Seaplane Base', 54.0667, -124.883003, 2205, 'CA', 'CA-BC', '', 'no', 'CBJ8', '', 'CBJ8', 'BJ8');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CAU4', 'small_airport', 'Vanderhoof Airport', 54.051607, -124.010804, 2225, 'CA', 'CA-BC', 'Vanderhoof', 'no', 'CAU4', '', 'CAU4', 'AU4'),
	('CAZ3', 'seaplane_base', 'Takla Landing Seaplane Base', 55.484, -125.987, 2260, 'CA', 'CA-BC', 'Takla Landing', 'no', 'CAZ3', '', 'CAZ3', 'AZ3'),
	('CAH5', 'closed', 'Leo Creek Airport', 55.119853, -125.614054, 2360, 'CA', 'CA-BC', 'Leo Creek', 'no', '', '', '', 'AH5, CAH5'),
	('CYJM', 'small_airport', 'Fort St James Airport', 54.39720153808594, -124.26300048828125, 2364, 'CA', 'CA-BC', 'Fort St. James', 'no', 'CYJM', '', '', 'YJM'),
	('CBA7', 'small_airport', 'Butler Airfield', 42.916333, -82.206333, 650, 'CA', 'CA-ON', 'Petrolia', 'no', 'CBA7', '', 'CBA7', ''),
	('CAU8', 'seaplane_base', 'Rivers Inlet Seaplane Base', 51.683985, -127.264044, 0, 'CA', 'CA-BC', 'Rivers Inlet', 'no', 'CAU8', 'YRN', 'CAU8', 'AU8, Oweekeno'),
	('CAJ4', 'medium_airport', 'Anahim Lake Airport', 52.451501, -125.303776, 3635, 'CA', 'CA-BC', 'Anahim Lake', 'yes', 'CAJ4', 'YAA', 'CAJ4', 'AJ4'),
	('CBL9', 'small_airport', 'Elkin Creek Guest Ranch Airport', 51.510453, -123.806161, 4080, 'CA', 'CA-BC', 'Elkin Creek', 'no', 'CBL9', '', 'CBL9', 'BL9'),
	('CAE4', 'closed', 'Tsacha Lake Airport', 53.019365, -124.843891, 3450, 'CA', 'CA-BC', 'Tsacha Lake', 'no', '', '', '', 'AE4, CAE4'),
	('CBT3', 'small_airport', 'Tsetzi Lake (Pan Phillips) Airport', 52.970091, -125.028674, 3550, 'CA', 'CA-BC', 'Tsetzi Lake', 'no', 'CBT3', '', 'CBT3', ''),
	('CAG3', 'small_airport', 'Chilko Lake (Tsylos Park Lodge) Airport', 51.625797, -124.144478, 3850, 'CA', 'CA-BC', 'Chilko Lake', 'no', 'CAG3', 'CJH', 'CAG3', 'AG3'),
	('CAW5', 'seaplane_base', 'Port Hardy Seaplane Base', 50.716702, -127.483002, 0, 'CA', 'CA-BC', 'Port Hardy', 'no', 'CAW5', '', 'CAW5', ''),
	('CAA7', 'seaplane_base', 'Gilford Island/Echo Bay Seaplane Base', 50.766701, -126.483002, 0, 'CA', 'CA-BC', 'Gilford Island', 'yes', 'CAA7', '', 'CAA7', 'AA7'),
	('CAV5', 'seaplane_base', 'Sullivan Bay Seaplane Base', 50.885359, -126.831069, 0, 'CA', 'CA-BC', 'Sullivan Bay', 'yes', 'CAV5', 'YTG', 'CAV5', ''),
	('CAD7', 'seaplane_base', 'Gilford Island/Health Bay Seaplane Base', 50.7000007629, -126.599998474, 0, 'CA', 'CA-BC', 'Gilford Island', 'no', 'CAD7', '', 'CAD7', 'AD7'),
	('CBX3', 'small_airport', 'Kleena Kleene (Chilanko Lodge) Airport', 51.957371, -124.885969, 3032, 'CA', 'CA-BC', 'Kleena Kleene', 'no', 'CBX3', '', 'CBX3', 'BX3'),
	('YRN', 'N/A', 'N/A', 51.68360956013203, -127.18536078929901, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAG4', 'N/A', 'N/A', 51.56529027968645, -123.82488951086998, 1203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYZT', 'medium_airport', 'Port Hardy Airport', 50.680599212646484, -127.36699676513672, 71, 'CA', 'CA-BC', 'Port Hardy', 'yes', 'CYZT', 'YZT', '', ''),
	('CAS2', 'small_airport', 'Moose Lake Lodge Airport', 53.073803, -125.408358, 3500, 'CA', 'CA-BC', 'Anahim Lake', 'no', 'CAS2', '', 'CAS2', ''),
	('CBE8', 'seaplane_base', 'Moose Lake Lodge Seaplane Base', 53.075802, -125.401001, 0, 'CA', 'CA-BC', 'Anahim Lake', 'no', 'CBE8', '', 'CBE8', ''),
	('CYPU', 'small_airport', 'Puntzi Mountain Airport', 52.11280059814453, -124.1449966430664, 2985, 'CA', 'CA-BC', 'Puntzi Mountain', 'no', 'CYPU', '', '', 'YPU'),
	('CYBD', 'medium_airport', 'Bella Coola Airport', 52.387501, -126.596001, 117, 'CA', 'CA-BC', 'Bella Coola', 'yes', 'CYBD', 'QBC', '', 'YBD'),
	('CAF4', 'small_airport', 'Tsuniah Lake Lodge Airport', 51.526371, -124.163961, 4000, 'CA', 'CA-BC', 'Cariboo', 'no', 'CAF4', '', 'CAF4', 'AF4'),
	('YRD', 'small_airport', 'Dean River Airport', 52.82371, -126.964957, 62, 'CA', 'CA-BC', 'Kimsquit Valley', 'no', '', 'YRD', '', ''),
	('CAT4', 'medium_airport', 'Qualicum Beach Airport', 49.337456, -124.393086, 191, 'CA', 'CA-BC', 'Qualicum Beach', 'yes', 'CAT4', 'XQU', 'CAT4', 'AT4'),
	('CYUC', 'N/A', 'N/A', 48.820597529411316, -125.11925607919693, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAM8', 'seaplane_base', 'Port McNeill Seaplane Base', 50.592231, -127.088385, 0, 'CA', 'CA-BC', '', 'no', 'CAM8', '', 'CAM8', 'AM8'),
	('CYPW', 'medium_airport', 'Powell River Airport', 49.83420181274414, -124.5, 425, 'CA', 'CA-BC', 'Powell River', 'yes', 'CYPW', 'YPW', '', ''),
	('CAV7', 'seaplane_base', 'Mansons Landing Seaplane Base', 50.07137, -124.98362, 0, 'CA', 'CA-BC', '', 'no', 'CAV7', 'YMU', 'CAV7', ''),
	('CYAL', 'small_airport', 'Alert Bay Airport', 50.582199, -126.916, 240, 'CA', 'CA-BC', 'Alert Bay', 'yes', 'CYAL', 'YAL', '', ''),
	('CYBL', 'medium_airport', 'Campbell River Airport', 49.950802, -125.271004, 346, 'CA', 'CA-BC', 'Campbell River', 'yes', 'CYBL', 'YBL', 'YBL', ''),
	('CCS6', 'small_airport', 'Courtenay (Smit Field) Airport', 49.666938, -125.097654, 500, 'CA', 'CA-BC', 'Courtenay', 'no', 'CCS6', '', 'CCS6', 'CS6'),
	('CAE3', 'seaplane_base', 'Campbell River Seaplane Base', 50.049999, -125.25, 0, 'CA', 'CA-BC', 'Campbell River', 'yes', 'CAE3', 'YHH', 'CAE3', 'AE3, Campbell River Harbour Airport'),
	('CCI9', 'small_airport', 'Cortes Island (Hansen Airfield) Airport', 50.020301818847656, -124.98400115966797, 164, 'CA', 'CA-BC', 'Cortes Island', 'no', 'CCI9', '', 'CCI9', 'CI9'),
	('CAT5', 'small_airport', 'Port McNeill Airport', 50.57348, -127.027702, 225, 'CA', 'CA-BC', 'Port McNeill', 'yes', 'CAT5', 'YMP', 'CAT5', 'AT5'),
	('CAG6', 'seaplane_base', 'Blind Channel Seaplane Base', 50.416698, -125.5, 0, 'CA', 'CA-BC', '', 'no', 'CAG6', '', 'CAG6', 'AG6'),
	('CAG8', 'seaplane_base', 'Pender Harbour Seaplane Base', 49.623785, -124.024884, 0, 'CA', 'CA-BC', 'Sunshine Coast', 'no', 'CAG8', 'YPT', 'CAG8', 'AG8'),
	('CAK6', 'seaplane_base', 'Camp Cordero Seaplane Base', 50.446694, -125.453785, 0, 'CA', 'CA-BC', '', 'no', 'CAK6', '', 'CAK6', 'AK6'),
	('CYQQ', 'medium_airport', 'Comox Valley Airport / CFB Comox', 49.7108, -124.887001, 84, 'CA', 'CA-BC', 'Comox', 'yes', 'CYQQ', 'YQQ', '', 'CFB Comox'),
	('CAF6', 'seaplane_base', 'Big Bay Seaplane Base', 50.3923, -125.1372, 0, 'CA', 'CA-BC', 'Stuart Island', 'yes', 'CAF6', 'YIG', 'CAF6', 'AF6'),
	('CAK4', 'N/A', 'N/A', 50.21585885435343, -126.62061810493469, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAH3', 'small_airport', 'Courtenay Airpark', 49.679237, -124.98064, 26, 'CA', 'CA-BC', 'Courtenay', 'no', 'CAH3', 'YCA', 'CAH3', 'AH3'),
	('CAG9', 'seaplane_base', 'Surge Narrows Seaplane Base', 50.219679, -125.125596, 0, 'CA', 'CA-BC', 'Surge Narrows', 'no', 'CAG9', '', 'CAG9', 'AG9'),
	('CAA5', 'seaplane_base', 'Zeballos Seaplane Base', 49.9778, -126.8445, 0, 'CA', 'CA-BC', 'Zeballos', 'no', 'CAA5', '', 'CAA5', 'AA5'),
	('CBS8', 'small_airport', 'Alberni Valley Regional Airport', 49.321899, -124.931, 250, 'CA', 'CA-BC', 'Port Alberni', 'no', 'CBS8', 'YPB', 'CBS8', 'BS8'),
	('CAR7', 'seaplane_base', 'Kyuquot Seaplane Base', 50.02803, -127.374427, 0, 'CA', 'CA-BC', '', 'no', 'CAR7', '', 'CAR7', 'AR7'),
	('CAB4', 'seaplane_base', 'Tofino Harbour Seaplane Base', 49.155, -125.91, 0, 'CA', 'CA-BC', 'Tofino', 'yes', 'CAB4', 'YTP', 'CAB4', 'AB4'),
	('KUIL', 'small_airport', 'Quillayute Airport', 47.936599731445, -124.56300354004, 194, 'US', 'US-WA', 'Quillayute', 'no', 'KUIL', 'UIL', 'UIL', ''),
	('CYAZ', 'medium_airport', 'Tofino / Long Beach Airport', 49.079833, -125.775583, 80, 'CA', 'CA-BC', 'Tofino', 'yes', 'CYAZ', 'YAZ', '', ''),
	('CAE9', 'seaplane_base', 'Bamfield Seaplane Base', 48.835967, -125.137453, 0, 'CA', 'CA-BC', 'Bamfield', 'yes', 'CAE9', 'YBF', 'CAE9', 'AE9');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CAQ8', 'seaplane_base', 'Powell Lake Seaplane Base', 49.887335, -124.53372, 174, 'CA', 'CA-BC', 'Powell River', 'yes', 'CAQ8', 'WPL', 'CAQ8', ''),
	('CYCD', 'medium_airport', 'Nanaimo Airport', 49.05497, -123.869863, 92, 'CA', 'CA-BC', 'Nanaimo', 'yes', 'CYCD', 'YCD', '', ''),
	('CAN3', 'seaplane_base', 'Ucluelet Seaplane Base', 48.950003, -125.550005, 0, 'CA', 'CA-BC', 'Ucluelet', 'yes', 'CAN3', '', 'CAN3', 'AN3'),
	('CAL9', 'seaplane_base', 'Tahsis Seaplane Base', 49.916698455799995, -126.666999817, 0, 'CA', 'CA-BC', 'Tahsis', 'no', 'CAL9', 'ZTS', 'CAL9', ''),
	('11S', 'small_airport', 'Sekiu Airport', 48.266102, -124.314003, 355, 'US', 'US-WA', 'Sekiu', 'no', '11S', '', '11S', ''),
	('CYCM', 'N/A', 'N/A', 50.40934905409813, -125.13140380382538, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAT7', 'seaplane_base', 'Lasqueti Island/False Bay Seaplane Base', 49.5, -124.349998, 0, 'CA', 'CA-BC', '', 'no', 'CAT7', '', 'CAT7', ''),
	('CAC8', 'seaplane_base', 'Nanaimo Harbour Water Aerodrome', 49.169813, -123.933845, 0, 'CA', 'CA-BC', 'Nanaimo', 'yes', 'CAC8', 'ZNA', 'CAC8', 'AC8'),
	('S18', 'small_airport', 'Forks Airport', 47.937698, -124.396004, 299, 'US', 'US-WA', 'Forks', 'no', '', '', 'S18', ''),
	('CAX7', 'seaplane_base', 'Minstrel Island Seaplane Base', 50.608299, -126.306038, 0, 'CA', 'CA-BC', 'Minstrel Island/Lagoon Cove', 'yes', '', '', '', 'CAX7'),
	('CAU6', 'seaplane_base', 'Gold River Seaplane Base', 49.679217, -126.116203, 0, 'CA', 'CA-BC', 'Gold River', 'no', 'CAU6', '', 'CAU6', 'AU6'),
	('CYGB', 'small_airport', 'Texada Gillies Bay Airport', 49.694341, -124.518099, 326, 'CA', 'CA-BC', 'Texada', 'no', 'CYGB', 'YGB', '', ''),
	('94WA', 'small_airport', 'Wishkah River Ranch Airport', 47.084282, -123.773067, 36, 'US', 'US-WA', 'Aberdeen', 'no', '94WA', '', '94WA', ''),
	('KTMK', 'small_airport', 'Tillamook Airport', 45.4182014465, -123.814002991, 36, 'US', 'US-OR', 'Tillamook', 'no', 'KTMK', 'OTK', 'TMK', 'S47'),
	('KAST', 'medium_airport', 'Astoria Regional Airport', 46.158000946, -123.878997803, 15, 'US', 'US-OR', 'Astoria', 'no', 'KAST', 'AST', 'AST', ''),
	('3S7', 'small_airport', 'Nehalem Bay State Airport', 45.69820022583008, -123.93000030517578, 22, 'US', 'US-OR', 'Manzanita', 'no', '3S7', '', '3S7', ''),
	('56S', 'small_airport', 'Seaside Municipal Airport', 46.01649857, -123.9049988, 12, 'US', 'US-OR', 'Seaside', 'no', '56S', '', '56S', ''),
	('2S9', 'small_airport', 'Willapa Harbor Airport', 46.697601, -123.822998, 13, 'US', 'US-WA', 'South Bend/Raymond/', 'no', 'K2S9', '', '2S9', ''),
	('14S', 'small_airport', 'Westport Airport', 46.8969, -124.100998, 14, 'US', 'US-WA', 'Westport', 'no', '14S', '', '14S', ''),
	('WA01', 'small_airport', 'Wirkkala Airport', 46.356201171875, -123.81500244140625, 35, 'US', 'US-WA', 'Naselle', 'no', 'WA01', '', 'WA01', ''),
	('43IG', 'small_airport', 'Grayland Intergalactic Airport', 46.801528, -124.072944, 280, 'US', 'US-WA', 'Grayland', 'no', '43IG', '', '43IG', ''),
	('KHQM', 'medium_airport', 'Bowerman Airport', 46.971199035599994, -123.93699646, 18, 'US', 'US-WA', 'Hoquiam', 'no', 'KHQM', 'HQM', 'HQM', ''),
	('7W1', 'small_airport', 'Port of Ilwaco Airport', 46.31489944458008, -124.00399780273438, 13, 'US', 'US-WA', 'Ilwaco', 'no', '7W1', '', '7W1', ''),
	('5WA8', 'small_airport', 'Hogan''s Corner Airport', 47.04166, -124.145744, 50, 'US', 'US-WA', 'Hoquiam', 'no', '5WA8', '', '5WA8', ''),
	('KPFC', 'N/A', 'N/A', 45.199361220002174, -123.96189451217651, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('W04', 'small_airport', 'Ocean Shores Municipal Airport', 46.999324, -124.142418, 13, 'US', 'US-WA', 'Ocean Shores', 'no', '', '', 'W04', ''),
	('CYWJ', 'small_airport', 'Déline Airport', 65.211098, -123.435997, 703, 'CA', 'CA-NT', 'Déline', 'yes', 'CYWJ', 'YWJ', '', 'Délı̨nę, Fort Franklin'),
	('CYWY', 'medium_airport', 'Wrigley Airport', 63.20940017700195, -123.43699645996094, 489, 'CA', 'CA-NT', 'Wrigley', 'no', 'CYWY', 'YWY', '', ''),
	('CET4', 'small_airport', 'Fort Simpson Island Airport', 61.867265, -121.368524, 405, 'CA', 'CA-NT', 'Fort Simpson Island', 'no', 'CET4', '', 'CET4', 'ET4'),
	('CYFG', 'N/A', 'N/A', 61.34805824607611, -121.79984137415886, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYFS', 'medium_airport', 'Fort Simpson Airport', 61.76020050048828, -121.23699951171875, 555, 'CA', 'CA-NT', 'Fort Simpson', 'yes', 'CYFS', 'YFS', '', ''),
	('CBN6', 'N/A', 'N/A', 60.6600471585989, -123.58398512005806, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CBH2', 'small_airport', 'Helmet Airport', 59.4258, -120.797997, 1930, 'CA', 'CA-BC', 'Helmet', 'no', 'CBH2', '', 'CBH2', 'BH2, Helmut'),
	('CET9', 'small_airport', 'Jean Marie River Airport', 61.522449, -120.625334, 470, 'CA', 'CA-NT', 'Jean Marie River', 'no', 'CET9', '', 'CET9', 'ET9'),
	('CYFL', 'N/A', 'N/A', 61.44976157695055, -121.24662458896637, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CEU9', 'closed', 'Trout Lake Airport', 60.440216, -121.236198, 1635, 'CA', 'CA-NT', 'Sambaa K''e', 'no', '', '', '', 'EU9, CEU9'),
	('CBV6', 'N/A', 'N/A', 59.73945904523134, -121.86629891395569, 468, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYJF', 'medium_airport', 'Fort Liard Airport', 60.235801696799996, -123.46900177, 708, 'CA', 'CA-NT', 'Fort Liard', 'no', 'CYJF', 'YJF', '', 'YJF'),
	('CYYE', 'medium_airport', 'Fort Nelson Airport', 58.8363990784, -122.597000122, 1253, 'CA', 'CA-BC', 'Fort Nelson', 'yes', 'CYYE', 'YYE', '', ''),
	('CYFK', 'N/A', 'N/A', 58.04121170192957, -120.90882137417793, 484, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CBZ3', 'N/A', 'N/A', 56.300554275512695, -121.00886911153793, 788, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BL8', 'N/A', 'N/A', 58.924764543771744, -121.4719158411026, 590, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CBL3', 'small_airport', 'Gordon Field', 58.81669998168945, -122.78299713134766, 1625, 'CA', 'CA-BC', 'Fort Nelson', 'no', 'CBL3', '', 'CBL3', 'BL3'),
	('CBX2', 'N/A', 'N/A', 58.834203109145164, -121.39319211244583, 570, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CER9', 'seaplane_base', 'Fort Nelson (Parker Lake) Seaplane Base', 58.825217, -122.900345, 1255, 'CA', 'CA-BC', 'Fort Nelson', 'no', 'CER9', '', 'CER9', 'ER9'),
	('CYCQ', 'medium_airport', 'Chetwynd Airport', 55.687198638916016, -121.62699890136719, 2000, 'CA', 'CA-BC', 'Chetwynd', 'no', 'CYCQ', 'YCQ', '', ''),
	('CYXS', 'medium_airport', 'Prince George Airport', 53.884311, -122.666554, 2267, 'CA', 'CA-BC', 'Prince George', 'yes', 'CYXS', 'YXS', '', 'Prince George International'),
	('CBA8', 'small_airport', 'Beaverley Airport', 53.85559844970703, -122.90799713134766, 2420, 'CA', 'CA-BC', 'Beaverley', 'no', 'CBA8', '', 'CBA8', 'BA8'),
	('CBW8', 'small_airport', 'Baldwin West Aerodrome', 44.2764, -79.3746, 755, 'CA', 'CA-ON', 'Baldwin', 'no', 'CBW8', '', 'CBW8', ''),
	('CYDQ', 'medium_airport', 'Dawson Creek Airport', 55.741245, -120.183263, 2148, 'CA', 'CA-BC', 'Dawson Creek', 'no', 'CYDQ', 'YDQ', '', ''),
	('CBX7', 'small_airport', 'Tumbler Ridge Airport', 55.025001525879, -120.93499755859, 3075, 'CA', 'CA-BC', 'Tumbler Ridge', 'no', 'CBX7', 'TUX', 'CBX7', 'BX7');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CDC3', 'small_airport', 'Flying L Ranch Airport', 55.819489, -120.460281, 2680, 'CA', 'CA-BC', 'Dawson Creek', 'no', 'CDC3', '', 'CDC3', ''),
	('CYNH', 'small_airport', 'Hudson''s Hope Airport', 56.035142, -121.978326, 2220, 'CA', 'CA-BC', 'Hudson''s Hope', 'no', 'CYNH', 'YNH', '', 'YNH'),
	('CYXJ', 'medium_airport', 'Fort St John / North Peace Regional Airport', 56.238098, -120.739998, 2280, 'CA', 'CA-BC', 'Fort Saint John', 'yes', 'CYXJ', 'YXJ', '', 'BZ3'),
	('CYZY', 'medium_airport', 'Mackenzie Airport', 55.297786, -123.133907, 2264, 'CA', 'CA-BC', 'Mackenzie', 'yes', 'CYZY', '', '', 'YZY'),
	('CDC5', 'small_airport', 'Dougall Campbell Field', 52.010801, -121.2107, 3060, 'CA', 'CA-BC', 'Oie Lake', 'no', 'CDC5', '', 'CDC5', ''),
	('CYQZ', 'medium_airport', 'Quesnel Airport', 53.026100158691406, -122.51000213623047, 1789, 'CA', 'CA-BC', 'Quesnel', 'yes', 'CYQZ', 'YQZ', '', ''),
	('CAC5', 'closed', 'Williams Lake Seaplane Base', 52.116699, -122.099998, 1859, 'CA', 'CA-BC', 'Williams Lake', 'no', '', '', '', 'AC5, CAC5'),
	('CAX5', 'small_airport', 'Likely Airport', 52.61669921875, -121.5, 3225, 'CA', 'CA-BC', 'Likely', 'no', 'CAX5', '', 'CAX5', 'AX5'),
	('CAS3', 'closed', 'Barkerville Airport', 53.0881, -121.514999, 4060, 'CA', 'CA-BC', 'Barkerville', 'no', '', '', '', 'CAS3'),
	('CAQ4', 'small_airport', 'Springhouse Airpark', 51.954881, -122.140045, 3250, 'CA', 'CA-BC', 'Springhouse', 'no', 'CAQ4', '', 'CAQ4', 'AQ4'),
	('CYWL', 'medium_airport', 'Williams Lake Airport', 52.1831016541, -122.054000854, 3085, 'CA', 'CA-BC', 'Williams Lake', 'yes', 'CYWL', 'YWL', '', ''),
	('CAY2', 'closed', 'Gang Ranch Airport', 51.551862, -122.327932, 2150, 'CA', 'CA-BC', 'Gang Ranch', 'no', '', '', '', 'AY2, CAY2'),
	('CYGN', 'seaplane_base', 'Greenway Sound Seaplane Base', 50.839, -126.775, 0, 'CA', 'CA-BC', 'Broughton Island', 'yes', 'CYGN', 'YGN', 'CYGN', ''),
	('CZML', 'small_airport', 'South Cariboo Region / 108 Mile Airport', 51.736099243199995, -121.333000183, 3126, 'CA', 'CA-BC', '108 Mile', 'no', 'CZML', 'ZMH', '', 'ZML, South Cariboo Regional Airport'),
	('BF3', 'N/A', 'N/A', 51.95866774767637, -122.50887975096703, 911, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CBJ4', 'small_airport', 'Echo Valley Airport', 51.241707, -121.989785, 3650, 'CA', 'CA-BC', 'Clinton', 'no', 'CBJ4', '', 'CBJ4', ''),
	('CYWB', 'small_airport', 'Penfold Airstrip', 52.767722, -120.749134, 3642, 'CA', 'CA-BC', '', 'no', '', '', '', 'CYWB'),
	('CYLI', 'small_airport', 'Lillooet Airport', 50.674702, -121.893997, 1320, 'CA', 'CA-BC', 'Lillooet', 'no', 'CYLI', '', '', 'AR3, CAR3'),
	('CAV4', 'small_airport', 'McBride Airport/Charlie Leake Field', 53.314999, -120.170998, 2350, 'CA', 'CA-BC', 'McBride', 'no', 'CAV4', '', 'CAV4', 'AV4'),
	('CAZ5', 'medium_airport', 'Cache Creek-Ashcroft Regional Airport', 50.775258, -121.321314, 2034, 'CA', 'CA-BC', 'Cache Creek', 'yes', 'CAZ5', 'YZA', 'CAZ5', 'AZ5'),
	('CBK6', 'small_airport', 'Quesnel Lake Airport', 52.513952, -121.045938, 2500, 'CA', 'CA-BC', 'Horsefly', 'no', 'CBK6', '', 'CBK6', 'BK6'),
	('CYWI', 'N/A', 'N/A', 52.19769850373268, -121.95698127150536, 952, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYKA', 'medium_airport', 'Kamloops John Moose Fulton Field Regional Airport', 50.703038, -120.448641, 1133, 'CA', 'CA-BC', 'Kamloops', 'yes', 'CYKA', 'YKA', '', 'Fulton'),
	('CAW3', 'small_airport', 'Scum Lake Airport', 51.795375, -123.5816, 3950, 'CA', 'CA-BC', 'Scum Lake', 'no', '', '', '', 'AW3, CAW3'),
	('CYIN', 'small_airport', 'Clinton/Bleibler Ranch Aerodrome', 51.266802, -121.685772, 3695, 'CA', 'CA-BC', 'Clinton', 'no', 'CYIN', '', 'CYIN', 'BR4, CBR4'),
	('CBG2', 'small_airport', 'Green Lake Airport', 51.42940139770508, -121.20999908447266, 3550, 'CA', 'CA-BC', 'Green Lake', 'no', 'CBG2', '', 'CBG2', 'BG2'),
	('CAV3', 'small_airport', 'One Hundred Mile House Airport', 51.64250183105469, -121.30699920654297, 3055, 'CA', 'CA-BC', 'One Hundred Mile House', 'no', 'CAV3', '', 'CAV3', 'AV3'),
	('CSU6', 'seaplane_base', 'Spout Lake Seaplane Base', 52.0075, -121.445, 3560, 'CA', 'CA-BC', '', 'no', 'CSU6', '', 'CSU6', ''),
	('78WA', 'small_airport', 'Center Island Airport', 48.490046, -122.831612, 115, 'US', 'US-WA', 'Center Island', 'yes', '78WA', 'CWS', '78WA', ''),
	('WA12', 'small_airport', 'Acme Field', 48.71356, -122.195926, 301, 'US', 'US-WA', 'Acme', 'no', 'WA12', '', 'WA12', ''),
	('CYXX', 'medium_airport', 'Abbotsford International Airport', 49.025299, -122.361, 195, 'CA', 'CA-BC', 'Abbotsford', 'yes', 'CYXX', 'YXX', '', ''),
	('W12', 'small_airport', 'Lost River Airport', 48.649602, -120.501999, 2415, 'US', 'US-WA', 'Mazama', 'no', '', '', 'W12', 'Lost River Resort'),
	('CYWH', 'seaplane_base', 'Victoria Harbour Seaplane Base', 48.423782, -123.37198, 0, 'CA', 'CA-BC', 'Victoria', 'yes', 'CYWH', 'YWH', '', ''),
	('CYCV', 'closed', 'Cartierville Airport', 45.516701, -73.716698, 120, 'CA', 'CA-QC', 'Montreal', 'no', '', '', '', 'CYCV, YCV'),
	('CYCW', 'small_airport', 'Chilliwack Airport', 49.153157, -121.939309, 32, 'CA', 'CA-BC', 'Chilliwack', 'no', 'CYCW', 'YCW', '', 'YCW'),
	('KDAR', 'N/A', 'N/A', 48.30282021313906, -121.52847602963448, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1RL', 'small_airport', 'Point Roberts Airpark', 48.977316, -123.079294, 10, 'US', 'US-WA', 'Point Roberts', 'yes', 'K1RL', '', '1RL', ''),
	('W33', 'seaplane_base', 'Friday Harbor Seaplane Base', 48.5373, -123.010002, 0, 'US', 'US-WA', 'Friday Harbor', 'yes', 'W33', 'FBS', 'W33', ''),
	('13W', 'small_airport', 'Camano Island Airfield', 48.25699996948242, -122.43699645996094, 145, 'US', 'US-WA', 'Stanwood', 'no', '13W', '', '13W', ''),
	('CYYJ', 'medium_airport', 'Victoria International Airport', 48.647201, -123.427792, 63, 'CA', 'CA-BC', 'Victoria', 'yes', 'CYYJ', 'YYJ', '', ''),
	('KNRA', 'small_airport', 'Coupeville Nolf Airport', 48.18830108642578, -122.63200378417969, 199, 'US', 'US-WA', 'Coupeville', 'no', 'KNRA', '', 'NRA', ''),
	('CYHC', 'seaplane_base', 'Vancouver Harbour Water Aerodrome', 49.291265, -123.11717, 0, 'CA', 'CA-BC', 'Vancouver', 'yes', 'CYHC', 'CXH', '', 'Vancouver Coal Harbour Seaplane Base'),
	('KBLI', 'medium_airport', 'Bellingham International Airport', 48.79280090332031, -122.53800201416016, 170, 'US', 'US-WA', 'Bellingham', 'yes', 'KBLI', 'BLI', 'BLI', ''),
	('38W', 'small_airport', 'Lynden Airport', 48.95589828491211, -122.45800018310547, 106, 'US', 'US-WA', 'Lynden', 'no', '38W', '', '38W', ''),
	('21H', 'seaplane_base', 'Skyline Seaplane Base', 48.489077, -122.676773, 0, 'US', 'US-WA', 'Anacortes', 'no', '', '', '21H', ''),
	('1WA9', 'small_airport', 'Friday West Airport', 48.529911, -123.047357, 150, 'US', 'US-WA', 'Friday Harbor', 'no', '1WA9', '', '1WA9', ''),
	('7WA0', 'small_airport', 'Big Andy Airport', 48.0984001159668, -123.64299774169922, 830, 'US', 'US-WA', 'Port Angeles', 'no', '7WA0', '', '7WA0', ''),
	('WN53', 'small_airport', 'Frontier Airpark', 48.11079, -122.062958, 480, 'US', 'US-WA', 'Lake Stevens', 'no', 'WN53', '', 'WN53', ''),
	('27WA', 'small_airport', 'J C''s Airport', 48.32509994506836, -122.31600189208984, 236, 'US', 'US-WA', 'Conway', 'no', '27WA', '', '27WA', ''),
	('WA09', 'small_airport', 'Roche Harbor Airport', 48.612301, -123.139, 100, 'US', 'US-WA', 'Roche Harbor', 'yes', 'WA09', 'RCE', 'WA09', '9S1'),
	('CBB7', 'closed', 'Tipella Airport', 49.743099, -122.163002, 55, 'CA', 'CA-BC', 'Tipella', 'no', '', '', '', 'BB7, CBB7');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CAP3', 'small_airport', 'Sechelt-Gibsons Airport', 49.460601806599996, -123.71900177, 340, 'CA', 'CA-BC', 'Sechelt', 'no', 'CAP3', 'YHS', 'CAP3', 'AP3, Sechelt Aerodrome, Sunshine Coast Airfield'),
	('4WA5', 'N/A', 'N/A', 48.72336778789759, -122.69769340753555, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0S9', 'small_airport', 'Jefferson County International Airport', 48.0537986755, -122.810997009, 108, 'US', 'US-WA', 'Port Townsend', 'no', 'K0S9', 'TWD', '0S9', ''),
	('CAE5', 'seaplane_base', 'Whistler/Green Lake Water Aerodrome', 50.1436004639, -122.948997498, 2100, 'CA', 'CA-BC', 'Whistler', 'yes', 'CAE5', 'YWS', 'CAE5', 'AE5'),
	('CYSE', 'small_airport', 'Squamish Airport', 49.7817001343, -123.162002563, 171, 'CA', 'CA-BC', 'Squamish', 'no', 'CYSE', 'YSE', 'YSE', 'YSE'),
	('CAK3', 'small_airport', 'Delta Heritage Air Park', 49.0774, -122.941002, 10, 'CA', 'CA-BC', 'Delta', 'no', 'CAK3', '', 'CAK3', 'AK3'),
	('0WN0', 'small_airport', 'Rucilla''s Roost Airport', 48.137298583984375, -123.11299896240234, 15, 'US', 'US-WA', 'Sequim', 'no', '0WN0', '', '0WN0', ''),
	('CML2', 'small_airport', 'Quamichan Lake (Raven Field) Airport', 48.8119010925293, -123.6510009765625, 130, 'CA', 'CA-BC', 'Quamichan Lake', 'no', 'CML2', '', 'CML2', 'ML2'),
	('WA35', 'small_airport', 'Clam Harbor Airport', 48.62229919433594, -122.9469985961914, 220, 'US', 'US-WA', 'Eastsound', 'no', 'WA35', '', 'WA35', ''),
	('7WA3', 'small_airport', 'West Wind Airport', 48.88610076904297, -122.3290023803711, 160, 'US', 'US-WA', 'Everson', 'no', '7WA3', '', '7WA3', ''),
	('96WA', 'small_airport', 'Jim & Julie''s Airport', 47.898101806640625, -122.15599822998047, 15, 'US', 'US-WA', 'Everett', 'no', '96WA', '', '96WA', ''),
	('WS87', 'small_airport', 'Port Field', 48.331869, -120.058253, 1650, 'US', 'US-WA', 'Twisp', 'no', 'WS87', '', 'WS87', ''),
	('KBVS', 'small_airport', 'Skagit Regional Airport', 48.470901, -122.420998, 144, 'US', 'US-WA', 'Burlington', 'no', 'KBVS', 'MVW', 'BVS', '75S'),
	('80WA', 'closed', 'SFS Airpark', 48.034584, -122.774881, 120, 'US', 'US-WA', 'Hadlock', 'no', '', '', '', '80WA'),
	('6WA5', 'small_airport', 'Wilding Farm Airport', 48.575354, -122.943568, 60, 'US', 'US-WA', 'Shaw Island', 'no', '6WA5', '', '6WA5', ''),
	('61WA', 'small_airport', 'Burden Field-(Rabbit Run) Airport', 48.47200012207031, -123.01799774169922, 50, 'US', 'US-WA', 'Friday Harbor', 'no', '61WA', '', '61WA', ''),
	('CAD5', 'small_airport', 'Merritt Airport', 50.122504, -120.745368, 2080, 'CA', 'CA-BC', 'Merritt', 'no', 'CAD5', 'YMB', 'CAD5', 'AD5, Saunders Field'),
	('CYVR', 'large_airport', 'Vancouver International Airport', 49.193901062, -123.183998108, 14, 'CA', 'CA-BC', 'Vancouver', 'yes', 'CYVR', 'YVR', '', ''),
	('0W7', 'seaplane_base', 'Floathaven Seaplane Base', 48.72819900512695, -122.33599853515625, 307, 'US', 'US-WA', 'Bellingham', 'no', '0W7', '', '0W7', ''),
	('CYNJ', 'medium_airport', 'Langley Airport', 49.1008, -122.630997, 34, 'CA', 'CA-BC', 'Langley', 'no', 'CYNJ', 'YLY', '', 'YNJ'),
	('76WA', 'small_airport', 'Heineck Farm Airport', 48.00510025024414, -122.13400268554688, 10, 'US', 'US-WA', 'Everett', 'no', '76WA', '', '76WA', ''),
	('CBQ2', 'small_airport', 'Fort Langley Airport', 49.16749954223633, -122.55500030517578, 30, 'CA', 'CA-BC', 'Fort Langley', 'no', 'CBQ2', '', 'CBQ2', 'BQ2'),
	('W28', 'small_airport', 'Sequim Valley Airport', 48.098098754883, -123.18699645996, 144, 'US', 'US-WA', 'Sequim', 'no', 'W28', 'SQV', 'W28', ''),
	('CAY7', 'closed', 'Mission Seaplane Base', 49.127765, -122.301961, 10, 'CA', 'CA-BC', 'Mission', 'no', '', '', '', 'CAY7'),
	('WA25', 'small_airport', 'Green Valley Airfield', 48.095945, -122.015036, 300, 'US', 'US-WA', 'Granite Falls', 'no', 'WA25', '', 'WA25', ''),
	('89WA', 'small_airport', 'Williams Airpatch Airport', 48.27069854736328, -122.01899719238281, 130, 'US', 'US-WA', 'Arlington', 'no', '89WA', '', '89WA', ''),
	('WA93', 'small_airport', 'Eliza Island Airport', 48.652496, -122.585959, 8, 'US', 'US-WA', 'Eliza Island', 'no', 'WA93', '', 'WA93', 'WA58'),
	('14WA', 'small_airport', 'Lz Ranch Airport', 46.970699310302734, -122.73699951171875, 240, 'US', 'US-WA', 'Olympia', 'no', '14WA', '', '14WA', ''),
	('WN08', 'small_airport', 'Kendall Airstrip', 48.914798736572266, -122.11299896240234, 548, 'US', 'US-WA', 'Kendall', 'no', 'WN08', '', 'WN08', ''),
	('S52', 'small_airport', 'Methow Valley State Airport', 48.42490005493164, -120.14600372314453, 1706, 'US', 'US-WA', 'Winthrop', 'no', 'KS52', '', 'S52', ''),
	('WN23', 'small_airport', 'Grand View International Airport', 48.10179901123047, -123.18000030517578, 150, 'US', 'US-WA', 'Sequim', 'no', 'WN23', '', 'WN23', ''),
	('KAWO', 'medium_airport', 'Arlington Municipal Airport', 48.161448, -122.158442, 142, 'US', 'US-WA', 'Arlington', 'yes', 'KAWO', '', 'AWO', ''),
	('CZBB', 'medium_airport', 'Boundary Bay Airport', 49.0742, -123.012001, 6, 'CA', 'CA-BC', 'Delta', 'no', 'CZBB', 'YDT', '', 'ZBB'),
	('WA18', 'small_airport', 'Decatur /Jones/ Airport', 48.510101318359375, -122.8030014038086, 125, 'US', 'US-WA', 'Decatur Island', 'no', 'WA18', '', 'WA18', ''),
	('KNUW', 'medium_airport', 'Whidbey Island Naval Air Station (Ault Field)', 48.351799, -122.655998, 47, 'US', 'US-WA', 'Oak Harbor', 'no', 'KNUW', 'NUW', 'NUW', ''),
	('CLH3', 'small_airport', 'Long Harbour Airport', 48.858482, -123.47487, 50, 'CA', 'CA-BC', 'Long Harbour', 'no', '', '', 'CLH3', ''),
	('WA88', 'small_airport', 'Horse Fly Airport', 48.892437, -122.561277, 70, 'US', 'US-WA', 'Ferndale', 'no', 'WA88', '', 'WA88', ''),
	('KPAE', 'medium_airport', 'Seattle Paine Field International Airport', 47.9063, -122.281998, 606, 'US', 'US-WA', 'Everett', 'yes', 'KPAE', 'PAE', 'PAE', 'Snohomish County'),
	('7WA5', 'small_airport', 'Stuart Island Airpark', 48.673379, -123.175439, 10, 'US', 'US-WA', 'Friday Harbor', 'yes', '7WA5', 'SSW', '7WA5', ''),
	('CAE7', 'seaplane_base', 'Harrison Hot Springs Seaplane Base', 49.3048530057, -121.785936356, 34, 'CA', 'CA-BC', 'Harrison Hot Springs', 'no', 'CAE7', '', 'CAE7', 'AE7'),
	('CAV8', 'seaplane_base', 'Shawnigan Lake Seaplane Base', 48.633301, -123.633003, 380, 'CA', 'CA-BC', '', 'no', 'CAV8', '', 'CAV8', ''),
	('WA42', 'small_airport', 'Stacey''s Airport', 47.975592, -122.772861, 100, 'US', 'US-WA', 'Port Townsend', 'no', 'WA42', '', 'WA42', ''),
	('1S2', 'small_airport', 'Darrington Municipal Airport', 48.258598, -121.610001, 553, 'US', 'US-WA', 'Darrington', 'no', '1S2', '', '1S2', ''),
	('W49', 'seaplane_base', 'Rosario Seaplane Base', 48.645699, -122.867996, 0, 'US', 'US-WA', 'Rosario', 'yes', 'W49', 'RSJ', 'W49', ''),
	('CSK8', 'closed', 'King George Airpark', 49.093248, -122.822493, 5, 'CA', 'CA-BC', 'Surrey', 'no', '', '', '', 'CSK8'),
	('S31', 'small_airport', 'Lopez Island Airport', 48.4838981628418, -122.93800354003906, 209, 'US', 'US-WA', 'Lopez', 'yes', 'S31', 'LPS', 'S31', ''),
	('KCLM', 'medium_airport', 'William R Fairchild International Airport', 48.120201, -123.5, 291, 'US', 'US-WA', 'Port Angeles', 'no', 'KCLM', 'CLM', 'CLM', ''),
	('WA39', 'closed', 'Woodfield Airport', 46.1278, -119.017997, 445, 'US', 'US-WA', 'Kennewick', 'no', '', '', '', 'WA39'),
	('CAL3', 'small_airport', 'Douglas Lake Airport', 50.1654600485, -120.171273351, 2770, 'CA', 'CA-BC', 'Douglas Lake', 'no', 'CAL3', 'DGF', 'CAL3', 'AL3'),
	('KORS', 'medium_airport', 'Orcas Island Airport', 48.708199, -122.910004, 31, 'US', 'US-WA', 'Eastsound', 'yes', 'KORS', 'ESD', 'ORS', ''),
	('WA07', 'small_airport', 'Barker Airport', 48.37480163574219, -122.33899688720703, 5, 'US', 'US-WA', 'Mount Vernon', 'no', 'WA07', '', 'WA07', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CYDC', 'small_airport', 'Princeton Airport', 49.468102, -120.511002, 2298, 'CA', 'CA-BC', 'Town of Princeton', 'no', 'CYDC', '', '', 'YDC'),
	('WN49', 'small_airport', 'Blue Heron Field', 48.121799, -123.087997, 20, 'US', 'US-WA', 'Sequim', 'no', 'WN49', '', 'WN49', 'Flying S Airfield'),
	('4WA8', 'small_airport', 'Riverside Airport', 48.835924, -122.265294, 175, 'US', 'US-WA', 'Everson', 'no', '4WA8', '', '4WA8', ''),
	('WA56', 'closed', 'Israel''s Farm Airport', 48.507599, -122.092003, 65, 'US', 'US-WA', 'Sedro Woolley', 'no', '', '', '', 'WA56'),
	('WN51', 'small_airport', 'Bayview Farms Airport', 48.52090072631836, -122.46499633789063, 6, 'US', 'US-WA', 'Burlington', 'no', 'WN51', '', 'WN51', ''),
	('WN21', 'small_airport', 'Lawson Airpark', 48.08150100708008, -123.39800262451172, 650, 'US', 'US-WA', 'Port Angeles', 'no', 'WN21', '', 'WN21', ''),
	('WN40', 'small_airport', 'Coupeville Airpark', 48.190399169921875, -122.64299774169922, 200, 'US', 'US-WA', 'Coupeville', 'no', 'WN40', '', 'WN40', ''),
	('CYHE', 'small_airport', 'Hope Airport / FVRD Regional Airpark', 49.368865, -121.49495, 128, 'CA', 'CA-BC', 'Hope', 'no', 'CYHE', 'YHE', '', 'YHE'),
	('27W', 'small_airport', 'Lake Wenatchee State Airport', 47.819400787353516, -120.72000122070313, 1939, 'US', 'US-WA', 'Leavenworth', 'no', '27W', '', '27W', ''),
	('6S9', 'small_airport', 'Stehekin State Airport', 48.345699310302734, -120.72100067138672, 1230, 'US', 'US-WA', 'Stehekin', 'no', '6S9', '', '6S9', ''),
	('WA59', 'small_airport', 'Rake''s Glen Airport', 48.125571, -123.150269, 50, 'US', 'US-WA', 'Sequim', 'no', 'WA59', '', 'WA59', ''),
	('CYPS', 'small_airport', 'Pemberton Regional Airport', 50.302502, -122.737999, 670, 'CA', 'CA-BC', 'Pemberton', 'no', 'CYPS', '', '', 'AR5'),
	('CYLY', 'N/A', 'N/A', 50.243895314633846, -121.56942173838615, 281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('15WA', 'small_airport', 'Sunset Airport', 48.27230072, -122.3570023, 156, 'US', 'US-WA', 'Stanwood', 'no', '15WA', '', '15WA', ''),
	('2S0', 'small_airport', 'Twisp Municipal Airport', 48.350601, -120.094002, 1602, 'US', 'US-WA', 'Twisp', 'no', '2S0', '', '2S0', ''),
	('2WA1', 'small_airport', 'Diamond Point Airstrip', 48.092602, -122.929001, 262, 'US', 'US-WA', 'Sequim', 'no', '2WA1', '', '2WA1', ''),
	('CBT6', 'closed', 'Quilchena Airport', 50.162154, -120.506935, 2100, 'CA', 'CA-BC', 'Quilchena', 'no', '', '', '', 'BT6, CBT6'),
	('W66', 'seaplane_base', 'Port Angeles Seaplane Base', 48.118585, -123.419576, 1, 'US', 'US-WA', 'Port Angeles', 'no', '', '', 'W66', ''),
	('38WA', 'small_airport', 'Blakely Island Airport', 48.579162, -122.823844, 66, 'US', 'US-WA', 'Blakely Island', 'yes', '38WA', 'BYW', '38WA', ''),
	('WN07', 'small_airport', 'Decatur Shores Airport', 48.500171, -122.813973, 38, 'US', 'US-WA', 'Decatur', 'yes', 'WN07', 'DTR', 'WN07', ''),
	('CYKS', 'N/A', 'N/A', 50.59845384210348, -120.30918672680855, 873, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KNOW', 'small_airport', 'Port Angeles Cgas Airport', 48.141499, -123.414001, 13, 'US', 'US-WA', 'Port Angeles', 'no', 'KNOW', '', 'NOW', ''),
	('CAM3', 'small_airport', 'Duncan Airport', 48.754534, -123.709702, 300, 'CA', 'CA-BC', 'Duncan', 'no', 'CAM3', 'DUQ', 'CAM3', 'AM3'),
	('WA45', 'small_airport', 'Olympic Field', 47.99530029296875, -122.9000015258789, 500, 'US', 'US-WA', 'Discovery Bay/Maynard', 'no', 'WA45', '', 'WA45', ''),
	('3W5', 'small_airport', 'Mears Field Airport', 48.5298, -121.758003, 267, 'US', 'US-WA', 'Concrete', 'no', 'K3W5', '', '3W5', ''),
	('2WA3', 'small_airport', 'Stuart Island West Airport', 48.683991, -123.222849, 200, 'US', 'US-WA', 'Friday Harbor', 'yes', '2WA3', '', '2WA3', ''),
	('WN35', 'small_airport', 'Meadow Mist Airport', 48.90869903564453, -122.56500244140625, 55, 'US', 'US-WA', 'Ferndale', 'no', 'WN35', '', 'WN35', ''),
	('KOKH', 'small_airport', 'AJ Eisenberg Airport', 48.251499176, -122.674003601, 193, 'US', 'US-WA', 'Oak Harbor', 'no', 'KOKH', 'ODW', 'OKH', 'Formerly 76S, Wes Lupien'),
	('4WA4', 'small_airport', 'Windsock Airport', 48.541500091552734, -122.88700103759766, 30, 'US', 'US-WA', 'Lopez', 'no', '4WA4', '', '4WA4', ''),
	('4W6', 'closed', 'Blaine Municipal Airport', 48.990101, -122.732002, 75, 'US', 'US-WA', 'Blaine', 'no', '', '', '', 'BWS, 4W6'),
	('W16', 'small_airport', 'First Air Field', 47.871375, -121.995698, 50, 'US', 'US-WA', 'Monroe', 'no', '', '', 'W16', ''),
	('WN29', 'small_airport', 'Blue Ribbon Airport', 48.130401611328125, -123.20700073242188, 100, 'US', 'US-WA', 'Sequim', 'no', 'WN29', '', 'WN29', ''),
	('WN18', 'small_airport', 'Becker''s Landing Airport', 48.4567985534668, -122.53900146484375, 155, 'US', 'US-WA', 'Anacortes', 'no', 'WN18', '', 'WN18', ''),
	('KFHR', 'medium_airport', 'Friday Harbor Airport', 48.523654, -123.024645, 113, 'US', 'US-WA', 'Friday Harbor', 'yes', 'KFHR', 'FRD', 'FHR', ''),
	('S43', 'small_airport', 'Harvey Field', 47.908199, -122.105003, 22, 'US', 'US-WA', 'Snohomish', 'no', 'S43', '', 'S43', ''),
	('WN00', 'small_airport', 'Kimshan Ranch Airport', 47.8400993347168, -122.86000061035156, 80, 'US', 'US-WA', 'Quilcene', 'no', 'WN00', '', 'WN00', ''),
	('74S', 'small_airport', 'Anacortes Airport', 48.498513, -122.662513, 241, 'US', 'US-WA', 'Anacortes', 'yes', 'K74S', 'OTS', '74S', ''),
	('WA04', 'small_airport', 'Kyles Airport', 47.814902, -122.043915, 470, 'US', 'US-WA', 'Snohomish', 'no', 'WA04', '', 'WA04', ''),
	('W10', 'small_airport', 'Whidbey Air Park', 48.01750183105469, -122.43800354003906, 271, 'US', 'US-WA', 'Langley', 'no', 'W10', '', 'W10', ''),
	('CAB3', 'seaplane_base', 'Bedwell Harbour Seaplane Base', 48.75, -123.233001709, 0, 'CA', 'CA-BC', 'Bedwell Harbour', 'yes', 'CAB3', 'YBW', 'CAB3', 'AB3'),
	('CYPK', 'medium_airport', 'Pitt Meadows Airport', 49.216099, -122.709999, 11, 'CA', 'CA-BC', 'Pitt Meadows', 'yes', 'CYPK', '', '', 'YPK'),
	('90WA', 'small_airport', 'Waldron Airstrip', 48.71141, -123.018208, 140, 'US', 'US-WA', 'Eastsound', 'yes', '90WA', 'WDN', '90WA', 'Waldronaire'),
	('CKR', 'small_airport', 'Crane Island Airstrip', 48.5978, -122.9979, 108, 'US', 'US-WA', 'Crane Island', 'no', '', 'CKR', '', ''),
	('WA61', 'small_airport', 'Thompson Airport', 47.798301696777344, -122.52999877929688, 50, 'US', 'US-WA', 'Kingston', 'no', 'WA61', '', 'WA61', ''),
	('OR90', 'small_airport', 'Lafayette Airstrip', 45.244300842285156, -123.12899780273438, 160, 'US', 'US-OR', 'Lafayette', 'no', 'OR90', '', 'OR90', ''),
	('50WA', 'small_airport', 'Hartley Airport', 46.61980056762695, -122.96499633789063, 400, 'US', 'US-WA', 'Chehalis', 'no', '50WA', '', '50WA', ''),
	('KOLM', 'medium_airport', 'Olympia Regional Airport', 46.969399, -122.903, 209, 'US', 'US-WA', 'Olympia', 'yes', 'KOLM', 'OLM', 'OLM', ''),
	('WT44', 'small_airport', 'Michair Airport', 46.177333, -123.385, 13, 'US', 'US-WA', 'Cathlamet', 'no', 'WT44', '', 'WT44', ''),
	('8S2', 'small_airport', 'Cashmere-Dryden Airport', 47.51470184326172, -120.48500061035156, 858, 'US', 'US-WA', 'Cashmere', 'no', '8S2', '', '8S2', ''),
	('52OR', 'small_airport', 'Chinook Ultralight Airpark', 45.748233, -122.851304, 40, 'US', 'US-OR', 'Scappoose', 'no', '52OR', '', '52OR', ''),
	('7OR9', 'small_airport', 'Parson Landing Airport', 45.324298858599995, -122.472000122, 640, 'US', 'US-OR', 'Oregon City', 'no', '7OR9', '', '7OR9', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('44OR', 'small_airport', 'Compton Airport', 45.2223014831543, -122.72699737548828, 160, 'US', 'US-OR', 'Canby', 'no', '44OR', '', '44OR', ''),
	('69WT', 'seaplane_base', 'Quartermaster Harbor Seaplane Base', 47.3929, -122.46048, 0, 'US', 'US-WA', 'Vashon', 'no', '69WT', '', '69WT', ''),
	('WA84', 'small_airport', 'Auburn Academy Airport', 47.28070068359375, -122.1500015258789, 416, 'US', 'US-WA', 'Auburn', 'no', 'WA84', '', 'WA84', ''),
	('4S6', 'small_airport', 'Tieton State Airport', 46.63759994506836, -121.1240005493164, 2964, 'US', 'US-WA', 'Rimrock', 'no', '4S6', '', '4S6', ''),
	('KVUO', 'small_airport', 'Pearson Field', 45.620499, -122.655998, 25, 'US', 'US-WA', 'Vancouver', 'no', 'KVUO', '', 'VUO', '60S'),
	('OR38', 'small_airport', 'Western Helicopter Services Airport', 45.079309, -122.92594, 183, 'US', 'US-OR', 'Brooks', 'no', 'OR38', '', 'OR38', 'Harchenko Industrial'),
	('0WA2', 'small_airport', 'Curtis Airport', 46.589748, -123.105011, 254, 'US', 'US-WA', 'Chehalis', 'no', '0WA2', '', '0WA2', ''),
	('FA99', 'small_airport', 'Fantasy Field Airstrip', 46.587833, -122.865778, 300, 'US', 'US-WA', 'Chehalis', 'no', 'FA99', '', 'FA99', ''),
	('KMMV', 'medium_airport', 'Mc Minnville Municipal Airport', 45.19440079, -123.1360016, 163, 'US', 'US-OR', 'Mc Minnville', 'no', 'KMMV', '', 'MMV', ''),
	('OG29', 'small_airport', 'Mc Kinnon Airpark', 45.4306983948, -122.241996765, 658, 'US', 'US-OR', 'Sandy', 'no', 'OG29', '', 'OG29', ''),
	('KEAT', 'medium_airport', 'Pangborn Memorial Airport', 47.398899, -120.207001, 1249, 'US', 'US-WA', 'Wenatchee', 'yes', 'KEAT', 'EAT', 'EAT', ''),
	('OR66', 'small_airport', 'Beaver Oaks Airport', 45.317711, -122.363205, 400, 'US', 'US-OR', 'Estacada', 'no', 'OR66', '', 'OR66', ''),
	('WA26', 'small_airport', 'Harrah Airport', 46.411419, -120.634389, 845, 'US', 'US-WA', 'Brownstown', 'no', 'WA26', '', 'WA26', ''),
	('00WA', 'small_airport', 'Howell Airport', 47.17839813232422, -122.77200317382813, 150, 'US', 'US-WA', 'Longbranch', 'no', '00WA', '', '00WA', ''),
	('KLEN', 'N/A', 'N/A', 47.76542689651251, -120.79598352313042, 661, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR05', 'small_airport', 'Flying M Airport', 45.362098693847656, -123.35600280761719, 448, 'US', 'US-OR', 'Yamhill', 'no', 'OR05', '', 'OR05', ''),
	('OR61', 'small_airport', 'Apple Valley Airport', 45.678398, -123.185997, 247, 'US', 'US-OR', 'Buxton', 'no', 'OR61', '', 'OR61', ''),
	('2OR0', 'small_airport', 'Nielsen Airport', 45.34687, -122.52244, 510, 'US', 'US-OR', 'Oregon City', 'no', '2OR0', '', '2OR0', ''),
	('WA78', 'small_airport', 'Sky River Ranch Airport', 45.629005, -122.191013, 1239, 'US', 'US-WA', 'Washougal', 'no', 'WA78', '', 'WA78', ''),
	('S36', 'small_airport', 'Norman Grier Field', 47.337102, -122.103996, 472, 'US', 'US-WA', 'Kent', 'no', '', '', 'S36', 'Norman Grier Field, Crest Airpark'),
	('S50', 'small_airport', 'Auburn Municipal Airport', 47.327702, -122.226997, 63, 'US', 'US-WA', 'Auburn', 'no', 'KS50', '', 'S50', 'KABN, ABN, Dick Scobee Field'),
	('69OR', 'small_airport', 'Dick Fisher Airport', 45.413679, -123.136386, 300, 'US', 'US-OR', 'Gaston', 'no', '69OR', '', '69OR', ''),
	('35S', 'small_airport', 'Wasco State Airport', 45.58940124511719, -120.67400360107422, 1503, 'US', 'US-OR', 'Wasco', 'no', 'K35S', '', '35S', ''),
	('3B8', 'small_airport', 'Shady Acres Airport', 47.0704, -122.371002, 445, 'US', 'US-WA', 'Spanaway', 'no', '3B8', '', '3B8', ''),
	('6WA2', 'small_airport', 'Gower Field', 47.11149978637695, -122.82099914550781, 130, 'US', 'US-WA', 'Olympia', 'no', '6WA2', '', '6WA2', ''),
	('9WA7', 'small_airport', 'Albritton Airport', 47.217382, -122.133036, 530, 'US', 'US-WA', 'Buckley', 'no', '9WA7', '', '9WA7', ''),
	('6OR8', 'small_airport', 'Holce & Oblack Airport', 45.971500396729, -123.34999847412, 500, 'US', 'US-OR', 'Birkenfield', 'no', '', '', '6OR8', '6OR8'),
	('W55', 'seaplane_base', 'Kenmore Air Harbor Seaplane Base', 47.629002, -122.338997, 14, 'US', 'US-WA', 'Seattle', 'yes', 'W55', 'LKE', 'W55', 'WA57, Lake Union'),
	('KTCM', 'medium_airport', 'McChord Air Force Base', 47.137699, -122.475998, 322, 'US', 'US-WA', 'Tacoma', 'no', 'KTCM', 'TCM', 'TCM', ''),
	('WA32', 'closed', 'Stonehedge Heliport', 46.974998, -122.7897, 210, 'US', 'US-WA', 'Olympia', 'no', '', '', '', 'WA32'),
	('91OR', 'closed', 'Abba''s Airport', 45.1026, -123.418999, 215, 'US', 'US-OR', 'Sheridan', 'no', '', '', '', '91OR'),
	('OR87', 'small_airport', 'Blue Skies Farm Airport', 44.966111, -122.9225, 200, 'US', 'US-OR', 'Salem', 'no', 'OR87', '', 'OR87', ''),
	('WT77', 'small_airport', 'Rocky Bay Airport', 47.355222, -122.790278, 80, 'US', 'US-WA', 'Vaughn', 'no', 'WT77', '', 'WT77', ''),
	('KYAM', 'N/A', 'N/A', 45.293514132499695, -123.30280780792236, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCZK', 'N/A', 'N/A', 45.66638879477978, -121.88861131668091, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OG30', 'small_airport', 'Aeroacres Airport', 45.31650161743164, -122.6050033569336, 420, 'US', 'US-OR', 'Oregon City', 'no', 'OG30', '', 'OG30', ''),
	('7S3', 'small_airport', 'Stark''s Twin Oaks Airpark', 45.42850112915039, -122.94200134277344, 170, 'US', 'US-OR', 'Hillsboro', 'no', '7S3', '', '7S3', ''),
	('KWAP', 'N/A', 'N/A', 46.37920327484608, -120.5600756406784, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR95', 'small_airport', 'Vineyard Airport', 45.049800872802734, -123.23500061035156, 190, 'US', 'US-OR', 'Mc Coy', 'no', 'OR95', '', 'OR95', ''),
	('WN48', 'small_airport', 'Kimbrel Farm Airport', 46.790401458740234, -123.30999755859375, 139, 'US', 'US-WA', 'Oakville', 'no', 'WN48', '', 'WN48', ''),
	('WN59', 'small_airport', 'Nelsons Nitch Airport', 46.53760147, -122.7180023, 520, 'US', 'US-WA', 'Onalaska', 'no', 'WN59', '', 'WN59', ''),
	('KLEO', 'N/A', 'N/A', 47.77634717524052, -120.66413328051567, 577, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('68WA', 'small_airport', 'Mc Mahon Field', 46.393699646, -120.222000122, 850, 'US', 'US-WA', 'Zillah', 'no', '68WA', '', '68WA', ''),
	('19OR', 'small_airport', 'Nelson Ranch Airport', 45.10960006713867, -121.2239990234375, 2000, 'US', 'US-OR', 'Maupin', 'no', '19OR', '', '19OR', ''),
	('10WA', 'closed', 'Mullan Hill Airport', 47.5546, -117.413001, 2310, 'US', 'US-WA', 'Spokane', 'no', '', '', '', '10WA'),
	('KTIW', 'medium_airport', 'Tacoma Narrows Airport', 47.267407, -122.577295, 294, 'US', 'US-WA', 'Tacoma', 'yes', 'KTIW', 'TIW', 'TIW', ''),
	('67OG', 'small_airport', 'George Airport', 45.031389, -123.406111, 440, 'US', 'US-OR', 'Sheridan', 'no', '67OG', '', '67OG', ''),
	('OG23', 'small_airport', 'Poverty Hollow Airport', 45.157100677490234, -123.39099884033203, 330, 'US', 'US-OR', 'Sheridan', 'no', 'OG23', '', 'OG23', ''),
	('WA47', 'closed', 'Flying Rock Airpark', 47.151669, -120.633874, 2700, 'US', 'US-WA', 'Ellensburg', 'no', '', '', '', 'WA47'),
	('OR59', 'small_airport', 'Trivelpiece Airport', 45.33150100708008, -123.20700073242188, 165, 'US', 'US-OR', 'Yamhill', 'no', 'OR59', '', 'OR59', ''),
	('03S', 'small_airport', 'Sandy River Airport', 45.401629, -122.228771, 704, 'US', 'US-OR', 'Sandy', 'no', 'K03S', '', '03S', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('S44', 'closed', 'Spanaway Airport', 47.08663, -122.431537, 373, 'US', 'US-WA', 'Spanaway', 'no', '', '', '', 'S44'),
	('05S', 'small_airport', 'Vernonia Airfield', 45.85150146484375, -123.24199676513672, 647, 'US', 'US-OR', 'Vernonia', 'no', '05S', '', '05S', ''),
	('8WA0', 'small_airport', 'Flying B Airport', 46.877601623535156, -122.60099792480469, 445, 'US', 'US-WA', 'Rainier', 'no', '8WA0', '', '8WA0', ''),
	('96VE', 'small_airport', 'Beiter Airport', 46.907024, -120.43303, 1910, 'US', 'US-WA', 'Ellensburg', 'no', '96VE', '', '96VE', ''),
	('8W9', 'small_airport', 'R & K Skyranch Airport', 46.832698822021484, -123.09100341796875, 149, 'US', 'US-WA', 'Rochester', 'no', '8W9', '', '8W9', ''),
	('2OG3', 'seaplane_base', 'Wiley''s Seaplane Base', 45.430999755859375, -122.6500015258789, 12, 'US', 'US-OR', 'Lake Oswego', 'no', '2OG3', '', '2OG3', ''),
	('9OR1', 'small_airport', 'Shaniko Ranch Airport', 45.002899169921875, -120.73999786376953, 3300, 'US', 'US-OR', 'Shaniko', 'no', '9OR1', '', '9OR1', ''),
	('WA29', 'small_airport', 'La Center View-Air Airport', 45.894295, -122.594082, 811, 'US', 'US-WA', 'La Center', 'no', 'WA29', '', 'WA29', ''),
	('WN15', 'small_airport', 'Burnett Landing Airport', 47.12969970703125, -122.05599975585938, 800, 'US', 'US-WA', 'Wilkeson', 'no', 'WN15', '', 'WN15', ''),
	('KZ0C', 'N/A', 'N/A', 46.717214584350586, -120.33194795250893, 650, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1W1', 'small_airport', 'Grove Field', 45.62779998779297, -122.40399932861328, 429, 'US', 'US-WA', 'Camas', 'no', '1W1', '', '1W1', ''),
	('WN19', 'closed', 'Gig Harbor Seaplane Base', 47.339801, -122.589996, 0, 'US', 'US-WA', 'Gig Harbor', 'no', '', '', '', 'WN19'),
	('OR72', 'small_airport', 'Fly JLA Airport', 45.441893, -122.323619, 620, 'US', 'US-OR', 'Boring', 'no', 'OR72', '', 'OR72', 'Krueger'),
	('WN55', 'small_airport', 'Randle-Kiona Airpark', 46.51150131225586, -122.00599670410156, 934, 'US', 'US-WA', 'Randle', 'no', 'WN55', '', 'WN55', ''),
	('59AS', 'small_airport', 'Becker Field', 45.850669, -122.544514, 1720, 'US', 'US-WA', 'Battle Ground', 'no', '59AS', '', '59AS', ''),
	('4S9', 'small_airport', 'Portland Mulino Airport', 45.21630096435547, -122.58999633789063, 260, 'US', 'US-OR', 'Portland-Mulino', 'no', 'K4S9', '', '4S9', ''),
	('OR23', 'small_airport', 'Karpens Airport', 46.161399841308594, -123.63999938964844, 125, 'US', 'US-OR', 'Astoria', 'no', 'OR23', '', 'OR23', ''),
	('5OR2', 'closed', 'Bushnell Airport', 45.103197, -123.425003, 220, 'US', 'US-OR', 'Sheridan', 'no', '', '', '', '5OR2'),
	('OL05', 'small_airport', 'Skydive Oregon Airport', 45.145363, -122.618544, 360, 'US', 'US-OR', 'Molalla', 'no', 'OL05', '', 'OL05', '01S'),
	('KCLS', 'small_airport', 'Chehalis Centralia Airport', 46.676998, -122.983002, 176, 'US', 'US-WA', 'Chehalis', 'no', 'KCLS', 'CLS', 'CLS', ''),
	('OR81', 'small_airport', 'Olinger Airpark', 45.553261, -123.021075, 185, 'US', 'US-OR', 'Hillsboro', 'no', 'OR81', '', 'OR81', ''),
	('4W0', 'small_airport', 'Bandera State Airport', 47.39540100097656, -121.53600311279297, 1636, 'US', 'US-WA', 'Bandera', 'no', '4W0', '', '4W0', ''),
	('S60', 'seaplane_base', 'Kenmore Air Harbor LLC Seaplane Base', 47.754799, -122.259003, 14, 'US', 'US-WA', 'Kenmore', 'yes', 'S60', 'KEH', 'S60', ''),
	('OR27', 'small_airport', 'Chadwick Airport', 45.633201599121094, -123.16799926757813, 670, 'US', 'US-OR', 'Banks', 'no', 'OR27', '', 'OR27', ''),
	('WN47', 'small_airport', 'Bear Valley Skyranch Airport', 47.08169937133789, -123.2699966430664, 344, 'US', 'US-WA', 'Mc Cleary', 'no', 'WN47', '', 'WN47', ''),
	('OR50', 'small_airport', 'Lehman Field', 45.48569869995117, -122.23400115966797, 1003, 'US', 'US-OR', 'Corbett', 'no', 'OR50', '', 'OR50', ''),
	('KRNT', 'small_airport', 'Renton Municipal Airport', 47.4930992126, -122.216003418, 32, 'US', 'US-WA', 'Renton', 'no', 'KRNT', 'RNT', 'RNT', 'Scott Field'),
	('WA81', 'seaplane_base', 'Fishermans Bay Seaplane Base', 48.516499, -122.917999, 0, 'US', 'US-WA', 'Lopez', 'yes', '', '', '81W', 'WA81, Fishermans Bay/LPS Seaplane Base'),
	('84WA', 'small_airport', 'D and B Airpark', 46.969535, -123.386024, 55, 'US', 'US-WA', 'Elma', 'no', '84WA', '', '84WA', ''),
	('4S4', 'small_airport', 'Skyport Airport', 45.58259963989258, -123.0530014038086, 174, 'US', 'US-OR', 'Cornelius', 'no', '4S4', '', '4S4', ''),
	('4WA9', 'small_airport', 'Port Orchard Airport', 47.43230056762695, -122.66799926757813, 370, 'US', 'US-WA', 'Port Orchard', 'no', '4WA9', '', '4WA9', ''),
	('65WA', 'small_airport', 'Wissler''s Airport', 46.84040069580078, -122.91600036621094, 255, 'US', 'US-WA', 'Tenino', 'no', '65WA', '', '65WA', ''),
	('2S1', 'small_airport', 'Vashon Municipal Airport', 47.458599, -122.473999, 316, 'US', 'US-WA', 'Vashon', 'no', '2S1', '', '2S1', ''),
	('KSIL', 'N/A', 'N/A', 45.01904670149088, -122.80463755130768, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1OR5', 'closed', 'Reed Airport', 45.4874, -120.225998, 1550, 'US', 'US-OR', 'Arlington', 'no', '', '', '', '1OR5, Olex'),
	('2W3', 'small_airport', 'Swanson Airport', 46.87160110473633, -122.25700378417969, 843, 'US', 'US-WA', 'Eatonville', 'no', '2W3', '', '2W3', ''),
	('17S', 'small_airport', 'Chehalem Airpark', 45.323699951171875, -123.05400085449219, 190, 'US', 'US-OR', 'Newberg', 'no', '17S', '', '17S', ''),
	('OR31', 'closed', 'Newberg Community Hospital Heliport', 45.304298, -122.963996, 185, 'US', 'US-OR', 'Newberg', 'no', '', '', '', 'OR31'),
	('0W0', 'seaplane_base', 'Seattle Seaplanes Seaplane Base', 47.627601623535156, -122.33200073242188, 14, 'US', 'US-WA', 'Seattle', 'no', '0W0', '', '0W0', ''),
	('WN34', 'closed', 'Ethel International Airport', 46.530427, -122.686658, 580, 'US', 'US-WA', 'Ethel', 'no', '', '', '', 'WN34'),
	('WA77', 'small_airport', 'Enumclaw Airport', 47.195701599121094, -122.02200317382813, 738, 'US', 'US-WA', 'Enumclaw', 'no', 'WA77', '', 'WA77', ''),
	('Z99', 'small_airport', 'Mettie Airstrip', 46.714958, -120.328817, 2151, 'US', 'US-WA', 'Yakima', 'no', '', '', 'Z99', 'Selah Creek Landing Zone'),
	('WA87', 'small_airport', 'Parkside Airpark', 45.81589889526367, -122.5530014038086, 275, 'US', 'US-WA', 'Battle Ground', 'no', 'WA87', '', 'WA87', ''),
	('WA96', 'small_airport', 'Leisureland Airpark', 47.60749816894531, -122.77400207519531, 430, 'US', 'US-WA', 'Bremerton', 'no', 'WA96', '', 'WA96', ''),
	('3WA9', 'small_airport', 'Flying Carpet Airport', 46.964544, -122.799937, 255, 'US', 'US-WA', 'Lacey', 'no', '', '', '', '3WA9'),
	('5WA7', 'small_airport', 'Wild Hair Airport', 45.71842, -120.985246, 1620, 'US', 'US-WA', 'Centerville', 'no', '5WA7', '', '5WA7', 'Warwick Airport'),
	('OR53', 'small_airport', 'Wapinitia Airport', 45.14569854736328, -121.22899627685547, 1910, 'US', 'US-OR', 'Wapinitia', 'no', 'OR53', '', 'OR53', ''),
	('98OR', 'small_airport', 'Mach-O Acres Airport', 45.19900131225586, -123.37000274658203, 435, 'US', 'US-OR', 'Sheridan', 'no', '98OR', '', '98OR', ''),
	('49WA', 'small_airport', 'Cougar Mountain Airfield', 46.84700012207031, -122.52200317382813, 470, 'US', 'US-WA', 'Yelm', 'no', '49WA', '', '49WA', ''),
	('10OR', 'closed', 'Stevens Mountain Airport', 45.781241, -123.221612, 1000, 'US', 'US-OR', 'Vernonia', 'no', '', '', '', '10OR'),
	('OL04', 'closed', 'Decker Ranch Airport', 45.164874, -120.659354, 2621, 'US', 'US-OR', 'Kent', 'no', '', '', '', 'OL04');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('48WA', 'small_airport', 'West Valley Airport', 46.562193, -120.780311, 1900, 'US', 'US-WA', 'Yakima', 'no', '48WA', '', '48WA', 'Falcon Ridge Airpark'),
	('0WN1', 'small_airport', 'Shangri-La Airport', 46.75189971923828, -120.60199737548828, 1500, 'US', 'US-WA', 'Selah', 'no', '0WN1', '', '0WN1', ''),
	('KFOI', 'N/A', 'N/A', 45.05941964685917, -120.18471747636795, 958, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WA95', 'small_airport', 'Skyqueen Airport', 46.718601, -122.911003, 530, 'US', 'US-WA', 'Centralia', 'no', 'WA95', '', 'WA95', ''),
	('OR28', 'small_airport', 'Harvey''s Acres Airport', 45.439328, -122.890283, 250, 'US', 'US-OR', 'Beaverton', 'no', 'OR28', '', 'OR28', ''),
	('26OR', 'closed', 'Cub Port Airport', 45.437901, -122.527868, 640, 'US', 'US-OR', 'Happy Valley', 'no', '', '', '', '26OR'),
	('WN17', 'small_airport', 'Hoverhawk Ranch Airport', 47.33980178833008, -120.31600189208984, 2450, 'US', 'US-WA', 'Wenatchee', 'no', 'WN17', '', 'WN17', ''),
	('OG63', 'small_airport', 'Gilbert Airport', 45.648889, -123.039444, 211, 'US', 'US-OR', 'North Plains', 'no', 'OG63', '', 'OG63', ''),
	('13WA', 'closed', 'Fsa - Everett Heliport', 47.9365, -122.25, 500, 'US', 'US-WA', 'Everett', 'no', '', '', '', '13WA'),
	('OR65', 'small_airport', 'Eagle Nest Ranch Airport', 45.354759, -122.347068, 425, 'US', 'US-OR', 'Estacada', 'no', 'OR65', '', 'OR65', ''),
	('55S', 'small_airport', 'Packwood Airport', 46.604198, -121.678001, 1057, 'US', 'US-WA', 'Packwood', 'no', '55S', '', '55S', ''),
	('1OR3', 'small_airport', 'Sunset Air Strip', 45.591499, -123.010002, 207, 'US', 'US-OR', 'North Plains', 'no', '1OR3', '', '1OR3', ''),
	('WN45', 'small_airport', 'Take Five Airport', 46.780093, -120.445226, 1543, 'US', 'US-WA', 'Yakima', 'no', 'WN45', '', 'WN45', ''),
	('5WA5', 'small_airport', 'Ross Airport', 47.763199, -120.152, 920, 'US', 'US-WA', 'Orondo', 'no', '32WA', '', '32WA', '5WA5'),
	('1OR7', 'small_airport', 'Skyhill Airport', 45.287899017333984, -122.45600128173828, 735, 'US', 'US-OR', 'Oregon City', 'no', '1OR7', '', '1OR7', ''),
	('KPLU', 'small_airport', 'Pierce County-Thun Field', 47.103901, -122.287003, 538, 'US', 'US-WA', 'Puyallup', 'no', 'KPLU', '', 'PLU', '1S0'),
	('0OR9', 'small_airport', 'Hanel Field', 45.59260177612305, -121.54900360107422, 1626, 'US', 'US-OR', 'Mount Hood', 'no', '0OR9', '', '0OR9', ''),
	('18JY', 'small_airport', 'Skamokawa East Valley Airport', 46.284698486328125, -123.44300079345703, 19, 'US', 'US-WA', 'Skamokawa', 'no', '18JY', '', '18JY', ''),
	('2S6', 'small_airport', 'Sportsman Airpark', 45.29570007, -122.9550018, 181, 'US', 'US-OR', 'Newberg', 'no', '2S6', '', '2S6', ''),
	('KSHN', 'small_airport', 'Sanderson Field', 47.233600616455, -123.14800262451, 273, 'US', 'US-WA', 'Shelton', 'no', 'KSHN', 'SHN', 'SHN', ''),
	('64OR', 'small_airport', 'Plum Valley Airport', 45.03369903564453, -123.1719970703125, 230, 'US', 'US-OR', 'Amity', 'no', '64OR', '', '64OR', ''),
	('02OR', 'small_airport', 'Rowena Dell Airport', 45.68149948120117, -121.31600189208984, 705, 'US', 'US-OR', 'The Dalles', 'no', '02OR', '', '02OR', ''),
	('WN87', 'small_airport', 'Bryan Airport', 47.20859909057617, -122.09300231933594, 630, 'US', 'US-WA', 'Enumclaw', 'no', 'WN87', '', 'WN87', ''),
	('OR41', 'small_airport', 'Workman Airpark', 45.207153, -122.669435, 210, 'US', 'US-OR', 'Canby', 'no', 'OR41', '', 'OR41', ''),
	('WA66', 'small_airport', 'Spring Creek Ranch Airport', 45.808248, -121.494758, 475, 'US', 'US-WA', 'White Salmon', 'no', 'WA66', '', 'WA66', ''),
	('4WA2', 'small_airport', 'Cricket Field', 46.92720031738281, -122.96800231933594, 184, 'US', 'US-WA', 'Little Rock', 'no', '4WA2', '', '4WA2', ''),
	('KYKM', 'medium_airport', 'Yakima Air Terminal McAllister Field', 46.56819916, -120.5439987, 1099, 'US', 'US-WA', 'Yakima', 'yes', 'KYKM', 'YKM', 'YKM', ''),
	('95WA', 'small_airport', 'Black Diamond Airport', 47.31570053100586, -122.01000213623047, 595, 'US', 'US-WA', 'Black Diamond', 'no', '95WA', '', '95WA', ''),
	('WN05', 'small_airport', 'Harris Airport', 46.514801025390625, -122.79199981689453, 385, 'US', 'US-WA', 'Toledo', 'no', 'WN05', '', 'WN05', ''),
	('3WA0', 'small_airport', 'Taylor Airport', 46.89759826660156, -122.66999816894531, 470, 'US', 'US-WA', 'Rainier', 'no', '3WA0', '', '3WA0', ''),
	('WA46', 'small_airport', 'Daybreak Airport', 45.830299377441406, -122.63700103759766, 25, 'US', 'US-WA', 'La Center', 'no', 'WA46', '', 'WA46', ''),
	('7OR6', 'small_airport', 'Green Acres Air Park', 45.63679885864258, -121.59100341796875, 800, 'US', 'US-OR', 'Hood River', 'no', '7OR6', '', '7OR6', ''),
	('8OR6', 'small_airport', 'Grabhorn''s Airport', 45.78229904174805, -122.89399719238281, 255, 'US', 'US-OR', 'Scappoose', 'no', '8OR6', '', '8OR6', ''),
	('KHIO', 'medium_airport', 'Portland Hillsboro Airport', 45.540401, -122.949997, 208, 'US', 'US-OR', 'Portland', 'no', 'KHIO', 'HIO', 'HIO', ''),
	('3WA1', 'small_airport', 'Johnson''s Landing Ultralightport', 47.603599548339844, -120.66999816894531, 1260, 'US', 'US-WA', 'Leavenworth', 'no', '3WA1', '', '3WA1', ''),
	('KBFI', 'medium_airport', 'Boeing Field King County International Airport', 47.529999, -122.302002, 21, 'US', 'US-WA', 'Seattle', 'yes', 'KBFI', 'BFI', 'BFI', ''),
	('WN74', 'small_airport', 'Burnt Ridge Airstrip', 46.58539962768555, -122.6259994506836, 1070, 'US', 'US-WA', 'Onalaska', 'no', 'WN74', '', 'WN74', ''),
	('WA80', 'small_airport', 'McClellan Field', 45.893712, -122.548327, 840, 'US', 'US-WA', 'Amboy', 'no', 'WA80', '', 'WA80', ''),
	('08WA', 'closed', 'Manchester Laboratory Heliport', 47.574299, -122.547997, 2, 'US', 'US-WA', 'Manchester', 'no', '', '', '', '08WA'),
	('WN13', 'small_airport', 'Vaughan Ranch Airfield', 47.465022, -122.568262, 240, 'US', 'US-WA', 'Port Orchard', 'no', 'WN13', '', 'WN13', ''),
	('KKEI', 'N/A', 'N/A', 45.06812743842602, -123.00535529851913, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9WA4', 'small_airport', 'Piper Canyon Airport', 45.810391, -120.952851, 1610, 'US', 'US-WA', 'Goldendale', 'no', '9WA4', '', '9WA4', ''),
	('03WN', 'small_airport', 'Aerostone Ranch Airport', 45.875, -120.66999816894531, 2320, 'US', 'US-WA', 'Goldendale', 'no', '03WN', '', '03WN', ''),
	('18OR', 'small_airport', 'Red''s Field', 45.0918655396, -123.182350159, 190, 'US', 'US-OR', 'Amity', 'no', '18OR', '', '18OR', ''),
	('6OR2', 'small_airport', 'Chenoweth Airpark', 45.610661, -121.279282, 609, 'US', 'US-OR', 'The Dalles', 'no', '6OR2', '', '6OR2', ''),
	('OR46', 'small_airport', 'Ajax Airport', 45.381186, -120.46992, 2165, 'US', 'US-OR', 'Condon', 'no', 'OR46', '', 'OR46', ''),
	('W56', 'small_airport', 'Fly For Fun Airport', 45.687302, -122.522003, 297, 'US', 'US-WA', 'Vancouver', 'no', 'W56', '', 'W56', ''),
	('WA16', 'small_airport', 'Banas Field', 46.79970169067383, -123.54100036621094, 180, 'US', 'US-WA', 'Brooklyn', 'no', 'WA16', '', 'WA16', ''),
	('74OR', 'small_airport', 'Stan Jost Airport', 45.323699951171875, -123.01899719238281, 180, 'US', 'US-OR', 'Newberg', 'no', '74OR', '', '74OR', ''),
	('2OG5', 'closed', 'Mendenhall Airstrip', 45.117101, -123.505468, 350, 'US', 'US-OR', 'Willamina', 'no', '', '', '', '2OG5'),
	('WN64', 'small_airport', 'J K D Farms Airport', 46.974300384521484, -120.46199798583984, 1575, 'US', 'US-WA', 'Ellensburg', 'no', 'WN64', '', 'WN64', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KUAO', 'medium_airport', 'Aurora State Airport', 45.247100830078125, -122.7699966430664, 200, 'US', 'US-OR', 'Aurora', 'no', 'KUAO', '', 'UAO', ''),
	('S20', 'small_airport', 'Goldendale Airport', 45.83209991455078, -120.84500122070313, 1678, 'US', 'US-WA', 'Goldendale', 'no', 'KS20', '', 'S20', ''),
	('KESW', 'small_airport', 'Easton State Airport', 47.2541999817, -121.185997009, 2226, 'US', 'US-WA', 'Easton', 'no', 'KESW', 'ESW', 'ESW', ''),
	('S93', 'small_airport', 'Cle Elum Municipal Airport', 47.19430160522461, -120.88300323486328, 1944, 'US', 'US-WA', 'Cle Elum', 'no', 'S93', '', 'S93', ''),
	('4OR6', 'small_airport', 'Auberge Des Fleurs Airport', 45.449798583984375, -122.25399780273438, 510, 'US', 'US-OR', 'Sandy', 'no', '4OR6', '', '4OR6', ''),
	('KTDO', 'small_airport', 'Ed Carlson Memorial Field South Lewis County Airport', 46.4771995544, -122.805999756, 374, 'US', 'US-WA', 'Toledo', 'no', 'KTDO', 'TDO', 'TDO', 'Winlock Airport'),
	('83Q', 'seaplane_base', 'Port of Poulsbo Marina Moorage Seaplane Base', 47.734001159668, -122.64700317383, 0, 'US', 'US-WA', 'Poulsbo', 'no', '83Q', 'PUL', '83Q', ''),
	('WN76', 'small_airport', 'Bergseth Field', 47.243799, -121.924317, 1100, 'US', 'US-WA', 'Enumclaw', 'no', 'WN76', '', 'WN76', ''),
	('WA63', 'small_airport', 'Pleasant Farm Airport', 45.562342, -122.256089, 540, 'US', 'US-WA', 'Washougal', 'no', 'WA63', '', 'WA63', ''),
	('73OR', 'small_airport', 'Ribbon Ridge Airport', 45.370283, -123.0659, 490, 'US', 'US-OR', 'Newberg', 'no', '73OR', '', '73OR', ''),
	('OG26', 'closed', 'Roscoes Airport', 45.061901, -123.486, 250, 'US', 'US-OR', 'Willamina', 'no', '', '', '', 'OG26, OG26, OG26'),
	('OR48', 'closed', 'Snyder Ranch Airport', 45.194302, -120.217003, 2655, 'US', 'US-OR', 'Condon', 'no', '', '', '', 'OR48'),
	('8W5', 'small_airport', 'Apex Airpark', 47.656799, -122.733002, 525, 'US', 'US-WA', 'Silverdale', 'no', '', '', '8W5', 'WA05'),
	('7OR7', 'small_airport', 'Hollin Airport', 45.05400085449219, -122.90699768066406, 170, 'US', 'US-OR', 'Brooks', 'no', '7OR7', '', '7OR7', ''),
	('KDLS', 'medium_airport', 'Columbia Gorge Regional Airport', 45.620979, -121.170777, 247, 'US', 'US-OR', 'Dallesport / The Dalles', 'no', 'KDLS', 'DLS', 'DLS', 'The Dalles Municipal Airport'),
	('W58', 'small_airport', 'Cedars North Airpark', 45.764469, -122.515229, 275, 'US', 'US-WA', 'Battle Ground', 'no', '', '', 'W58', '9WA4'),
	('5S9', 'small_airport', 'Valley View Airport', 45.307671, -122.318133, 735, 'US', 'US-OR', 'Estacada', 'no', 'K5S9', '', '5S9', ''),
	('66WA', 'small_airport', 'Trout Lake Airport', 46.0023, -121.523003, 1914, 'US', 'US-WA', 'Trout Lake', 'no', '66WA', '', '66WA', ''),
	('OR40', 'small_airport', 'Dietz Airpark', 45.255699157714844, -122.6510009765625, 180, 'US', 'US-OR', 'Canby', 'no', 'OR40', '', 'OR40', ''),
	('KTTD', 'medium_airport', 'Portland Troutdale Airport', 45.54940032959, -122.40100097656, 39, 'US', 'US-OR', 'Portland', 'no', 'KTTD', 'TTD', 'TTD', ''),
	('63OR', 'small_airport', 'Mountaindale Airport', 45.61650085449219, -123.0459976196289, 180, 'US', 'US-OR', 'Mountaindale', 'no', '63OR', '', '63OR', ''),
	('2S5', 'small_airport', 'Waterville Airport', 47.655998, -120.056, 2645, 'US', 'US-WA', 'Waterville', 'no', '2S5', '', '2S5', ''),
	('32OR', 'small_airport', 'Pine Hollow Airport', 45.254799, -121.293999, 1820, 'US', 'US-OR', 'Tygh Valley', 'no', '32OR', '', '32OR', ''),
	('75WA', 'small_airport', 'Port Elsner Airport', 45.802101135253906, -121.4800033569336, 610, 'US', 'US-WA', 'White Salmon', 'no', '75WA', '', '75WA', ''),
	('51WA', 'small_airport', 'Evergreen Sky Ranch Airport', 47.2681999206543, -122.06800079345703, 580, 'US', 'US-WA', 'Black Diamond', 'no', '51WA', '', '51WA', ''),
	('OR35', 'small_airport', 'Flying K Bar J Ranch Airport', 45.442505, -122.320204, 635, 'US', 'US-OR', 'Boring', 'no', 'OR35', '', 'OR35', ''),
	('06WN', 'small_airport', 'Western Airpark', 46.92499923706055, -122.5530014038086, 394, 'US', 'US-WA', 'Yelm', 'no', '06WN', '', '06WN', 'Formerly 92W'),
	('1OR4', 'small_airport', 'North Plains Gliderport', 45.604000091552734, -123.0250015258789, 210, 'US', 'US-OR', 'North Plains', 'no', '1OR4', '', '1OR4', ''),
	('OG44', 'small_airport', 'Miss Kittys Strip Airport', 45.1534, -123.237, 155, 'US', 'US-OR', 'Amity', 'no', 'OG44', '', 'OG44', 'Watts Landing'),
	('70OR', 'small_airport', 'Goodin Creek Airport', 45.410056, -123.148773, 245, 'US', 'US-OR', 'Gaston', 'no', '70OR', '', '70OR', ''),
	('4WA1', 'small_airport', 'Brown''s Cape Horn Airport', 45.607191, -122.197815, 920, 'US', 'US-WA', 'Washougal', 'no', '4WA1', '', '4WA1', ''),
	('39P', 'small_airport', 'Strom Field', 46.5504, -122.266998, 941, 'US', 'US-WA', 'Morton', 'no', '', '', '39P', 'WA39'),
	('28OR', 'small_airport', 'Parrett Mountain Airport', 45.479000091552734, -122.23400115966797, 790, 'US', 'US-OR', 'Newberg', 'no', '28OR', '', '28OR', ''),
	('7S9', 'small_airport', 'Lenhardt Airpark', 45.18040084838867, -122.74299621582031, 165, 'US', 'US-OR', 'Hubbard', 'no', 'K7S9', '', '7S9', ''),
	('29OR', 'closed', 'Smith Private Airport', 45.031465, -122.956952, 180, 'US', 'US-OR', 'Brooks', 'no', '', '', '', '29OR'),
	('1WA6', 'small_airport', 'Fall City Airport', 47.55950164794922, -121.86399841308594, 140, 'US', 'US-WA', 'Fall City', 'no', '1WA6', '', '1WA6', ''),
	('WA97', 'small_airport', 'Buena Airport', 46.44286, -120.339896, 830, 'US', 'US-WA', 'Buena', 'no', 'WA97', '', 'WA97', ''),
	('WN65', 'small_airport', 'My Airport', 46.97523, -123.476737, 80, 'US', 'US-WA', 'Elma', 'no', 'WN65', '', 'WN65', ''),
	('55WA', 'small_airport', 'Wilkinson Ranch Airport', 46.53015, -120.74685, 1670, 'US', 'US-WA', 'Yakima', 'no', '55WA', '', '55WA', ''),
	('KPDX', 'large_airport', 'Portland International Airport', 45.588699, -122.598, 31, 'US', 'US-OR', 'Portland', 'yes', 'KPDX', 'PDX', 'PDX', ''),
	('WA37', 'small_airport', 'Chinook Farms Airport', 46.914371, -120.438609, 1880, 'US', 'US-WA', 'Ellensburg', 'no', 'WA37', '', 'WA37', ''),
	('KELN', 'small_airport', 'Bowers Field', 47.03300095, -120.5309982, 1764, 'US', 'US-WA', 'Ellensburg', 'no', 'KELN', 'ELN', 'ELN', 'Ellensburg Army Airfield'),
	('KSEA', 'large_airport', 'Seattle–Tacoma International Airport', 47.447943, -122.310276, 433, 'US', 'US-WA', 'Seattle', 'yes', 'KSEA', 'SEA', 'SEA', ''),
	('KZ10', 'small_airport', 'Fort Lewis Road / Pacemaker Landing Zone Airport', 47.021702, -122.445999, 397, 'US', 'US-WA', 'Spanaway', 'no', '', '', '', 'KZ10'),
	('2W1', 'small_airport', 'De Vere Field', 47.1776008605957, -120.85299682617188, 1800, 'US', 'US-WA', 'Cle Elum', 'no', '2W1', '', '2W1', ''),
	('KAHT', 'N/A', 'N/A', 46.3771403208375, -120.74818566441536, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WT01', 'small_airport', 'Hillcrest Farms Airport', 46.949167, -120.481111, 1490, 'US', 'US-WA', 'Ellensburg', 'no', 'WT01', '', 'WT01', ''),
	('68OR', 'closed', 'Lyda Ranch Airstrip', 45.3911, -121.276001, 2450, 'US', 'US-OR', 'Dufur', 'no', '', '', '', '68OR'),
	('S88', 'small_airport', 'Skykomish State Airport', 47.710899, -121.338997, 1002, 'US', 'US-WA', 'Skykomish', 'no', 'S88', '', 'S88', ''),
	('19WA', 'small_airport', 'Key Way Airport', 45.719600677490234, -121.88600158691406, 972, 'US', 'US-WA', 'Stevenson', 'no', '19WA', '', '19WA', ''),
	('6OR7', 'small_airport', 'Schmidt Airport', 45.452931, -122.31821, 650, 'US', 'US-OR', 'Boring', 'no', '6OR7', '', '6OR7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OG02', 'small_airport', 'Rieben Airport', 45.61029815673828, -123.08000183105469, 200, 'US', 'US-OR', 'Banks', 'no', 'OG02', '', 'OG02', ''),
	('4S2', 'small_airport', 'Ken Jernstedt Airfield', 45.67259979, -121.5360031, 631, 'US', 'US-OR', 'Hood River', 'no', 'K4S2', '', '4S2', ''),
	('WN42', 'small_airport', 'Flying H Ranch Airport', 47.183799743652344, -122.12000274658203, 587, 'US', 'US-WA', 'Buckley', 'no', 'WN42', '', 'WN42', ''),
	('W52', 'small_airport', 'Goheen Airport', 45.826801, -122.577003, 292, 'US', 'US-WA', 'Battle Ground', 'no', 'W52', '', 'W52', ''),
	('OR60', 'closed', 'Fargher Airport', 45.436424, -121.166543, 1440, 'US', 'US-OR', 'Dufur', 'no', '', '', '', 'OR60'),
	('KPWT', 'medium_airport', 'Bremerton National Airport', 47.490200042725, -122.76499938965, 444, 'US', 'US-WA', 'Bremerton', 'no', 'KPWT', 'PWT', 'PWT', ''),
	('5WA9', 'small_airport', 'Brush Prairie Aerodrome', 45.723899841308594, -122.54399871826172, 290, 'US', 'US-WA', 'Brush Prairie', 'no', '5WA9', '', '5WA9', ''),
	('21W', 'small_airport', 'Ranger Creek State Airport', 47.012901, -121.533997, 2650, 'US', 'US-WA', 'Greenwater', 'no', '', '', '21W', ''),
	('OR71', 'heliport', 'Columbia Aviation Heliport', 45.250599, -122.765999, 195, 'US', 'US-OR', 'Aurora', 'no', 'OR68', '', 'OR68', ''),
	('3S9', 'small_airport', 'Condon State Pauling Field', 45.24660110473633, -120.16600036621094, 2911, 'US', 'US-OR', 'Condon', 'no', 'K3S9', '', '3S9', ''),
	('S48', 'small_airport', 'Country Squire Airpark', 45.354400634765625, -122.26799774169922, 1175, 'US', 'US-OR', 'Sandy', 'no', 'KS48', '', 'S48', ''),
	('W27', 'small_airport', 'Woodland State Airport', 45.898799896240234, -122.73699951171875, 29, 'US', 'US-WA', 'Woodland', 'no', 'W27', '', 'W27', ''),
	('06OR', 'small_airport', 'Hayden Mountain Airport', 45.4650993347168, -123.08000183105469, 850, 'US', 'US-OR', 'Forest Grove', 'no', '06OR', '', '06OR', ''),
	('WN10', 'small_airport', 'Mount St Helens Aero Ranch Airport', 45.992882, -122.379992, 450, 'US', 'US-WA', 'Ariel', 'no', 'WN10', '', 'WN10', ''),
	('KSPB', 'small_airport', 'Scappoose Industrial Airpark', 45.771, -122.862, 58, 'US', 'US-OR', 'Scappoose', 'no', 'KSPB', '', 'SPB', ''),
	('2WN9', 'small_airport', 'Hillcrest Airport', 45.84510040283203, -120.70099639892578, 2405, 'US', 'US-WA', 'Goldendale', 'no', '2WN9', '', '2WN9', ''),
	('86WA', 'small_airport', 'Kapowsin Field', 47.003758, -122.234845, 720, 'US', 'US-WA', 'Graham', 'no', '86WA', '', '86WA', ''),
	('WA67', 'small_airport', 'Green Mountain STOLport', 45.66310119628906, -122.4729995727539, 270, 'US', 'US-WA', 'Vancouver', 'no', 'WA67', '', 'WA67', ''),
	('02WA', 'small_airport', 'Cawleys South Prairie Airport', 47.15230178833008, -122.09400177001953, 690, 'US', 'US-WA', 'South Prairie', 'no', '02WA', '', '02WA', ''),
	('44T', 'small_airport', 'Hoskins Field', 46.992438, -122.828003, 213, 'US', 'US-WA', 'Olympia', 'no', '', '', '44T', 'WA44'),
	('1S8', 'small_airport', 'Arlington Municipal Airport', 45.722683, -120.176418, 890, 'US', 'US-OR', 'Arlington', 'no', '', '', '1S8', ''),
	('0WA1', 'small_airport', 'Dwight Field', 46.61709976196289, -122.82599639892578, 350, 'US', 'US-WA', 'Chehalis', 'no', '0WA1', '', '0WA1', ''),
	('30OR', 'small_airport', 'Bero Field', 45.802601, -123.279999, 700, 'US', 'US-OR', 'Vernonia', 'no', '30OR', '', '30OR', ''),
	('67OR', 'small_airport', 'Mc Gee Airport', 45.2336997986, -122.856002808, 175, 'US', 'US-OR', 'Donald', 'no', '67OR', '', '67OR', ''),
	('36WA', 'small_airport', 'Bob''s Field', 45.959746, -121.486473, 1650, 'US', 'US-WA', 'Trout Lake', 'no', '36WA', '', '36WA', ''),
	('KKLS', 'medium_airport', 'Southwest Washington Regional Airport', 46.11800003049999, -122.898002625, 20, 'US', 'US-WA', 'Kelso', 'no', 'KKLS', 'KLS', 'KLS', 'Molt Taylor Field, Kelso-Longview Regional'),
	('1WA2', 'small_airport', 'Pilot''s Pastures Airport', 46.51919937133789, -122.88999938964844, 450, 'US', 'US-WA', 'Winlock', 'no', '1WA2', '', '1WA2', ''),
	('4W8', 'closed', 'Elma Municipal Airport', 46.99054, -123.429656, 35, 'US', 'US-WA', 'Elma', 'no', '', '', '', 'WA22, 4W8, 1WA7'),
	('OG20', 'small_airport', 'Fairways Airport', 45.321651, -122.55184, 525, 'US', 'US-OR', 'Oregon City', 'no', 'OG20', '', 'OG20', ''),
	('20WA', 'closed', 'Skatter Creek Airport', 46.824799, -123.035004, 174, 'US', 'US-WA', 'Rochester', 'no', '', '', '', '20WA'),
	('KGRF', 'medium_airport', 'Gray Army Air Field', 47.07920074, -122.5810013, 300, 'US', 'US-WA', 'Fort Lewis/Tacoma', 'no', 'KGRF', 'GRF', 'GRF', ''),
	('OG34', 'small_airport', 'Meyer Riverside Airpark', 45.39979934692383, -122.8290023803711, 252, 'US', 'US-OR', 'Tigard', 'no', 'OG34', '', 'OG34', ''),
	('OR00', 'small_airport', 'Flying K Ranch Airport', 45.433933, -122.873709, 350, 'US', 'US-OR', 'Beaverton', 'no', 'OR00', '', 'OR00', ''),
	('WA17', 'closed', 'Majerle Strip STOLport', 47.755316, -121.98235, 75, 'US', 'US-WA', 'Duvall', 'no', '', '', '', 'WA17'),
	('WA69', 'closed', 'Wax Orchards Airport', 47.400182, -122.499415, 389, 'US', 'US-WA', 'Vashon', 'no', '', '', '', 'WA69'),
	('1OR0', 'small_airport', 'Sunnyhill Airport', 43.48320007324219, -124.2030029296875, 320, 'US', 'US-OR', 'North Bend', 'no', '1OR0', '', '1OR0', ''),
	('R33', 'small_airport', 'Wakonda Beach State Airport', 44.38460159301758, -124.08499908447266, 41, 'US', 'US-OR', 'Waldport', 'no', 'R33', '', 'R33', ''),
	('5J2', 'closed', 'Siltcoos Lake Seaplane Base', 43.866501, -124.084999, 9, 'US', 'US-OR', 'Florence', 'no', '', '', '', '5J2'),
	('KONP', 'medium_airport', 'Newport Municipal Airport', 44.580399, -124.057999, 160, 'US', 'US-OR', 'Newport', 'no', 'KONP', 'ONP', 'ONP', ''),
	('OR74', 'small_airport', 'Winkle Bar Airport', 42.701677, -123.806412, 450, 'US', 'US-OR', 'Agness', 'no', 'OR74', '', 'OR74', ''),
	('5OR3', 'small_airport', 'Siletz Airport', 44.73040008544922, -123.91500091552734, 100, 'US', 'US-OR', 'Siletz', 'no', '5OR3', '', '5OR3', ''),
	('1O0', 'seaplane_base', 'Lake Woahink Seaplane Base', 43.90420150756836, -124.11499786376953, 39, 'US', 'US-OR', 'Florence', 'no', '1O0', '', '1O0', ''),
	('9S3', 'small_airport', 'Lakeside State Airport', 43.58319854736328, -124.18000030517578, 20, 'US', 'US-OR', 'Lakeside', 'no', '9S3', '', '9S3', ''),
	('5S4', 'small_airport', 'Toledo State Airport', 44.60100173950195, -123.94000244140625, 7, 'US', 'US-OR', 'Toledo', 'no', '5S4', '', '5S4', ''),
	('6S2', 'small_airport', 'Florence Municipal Airport', 43.98279953, -124.111000061, 51, 'US', 'US-OR', 'Florence', 'no', '', 'FMU', '6S2', ''),
	('OR42', 'closed', 'Norway Airport', 43.1026, -124.161003, 23, 'US', 'US-OR', 'Myrtle Point', 'no', '', '', '', 'OR42'),
	('6S6', 'small_airport', 'Powers Airport', 42.869598388671875, -124.05899810791016, 326, 'US', 'US-OR', 'Powers', 'no', '6S6', '', '6S6', ''),
	('S45', 'small_airport', 'Siletz Bay State Airport', 44.876899719238, -124.02899932861, 69, 'US', 'US-OR', 'Gleneden Beach', 'no', 'S45', '', 'S45', ''),
	('KOTH', 'medium_airport', 'Southwest Oregon Regional Airport', 43.41709899902344, -124.24600219726563, 17, 'US', 'US-OR', 'North Bend', 'yes', 'KOTH', 'OTH', 'OTH', ''),
	('S05', 'small_airport', 'Bandon State Airport', 43.08649826, -124.4079971, 122, 'US', 'US-OR', 'Bandon', 'no', 'S05', 'BDY', 'S05', ''),
	('4S1', 'small_airport', 'Gold Beach Municipal Airport', 42.41339874, -124.4240036, 20, 'US', 'US-OR', 'Gold Beach', 'no', 'K4S1', 'GOL', '4S1', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('5S6', 'small_airport', 'Cape Blanco State Airport', 42.857899, -124.517998, 214, 'US', 'US-OR', 'Sixes', 'no', '', '', '5S6', ''),
	('45OR', 'small_airport', 'Gederos Airport', 43.1548, -124.170998, 280, 'US', 'US-OR', 'Coquille', 'no', '45OR', '', '45OR', 'Benham Airport'),
	('0Q5', 'small_airport', 'Shelter Cove Airport', 40.028167, -124.074305, 73, 'US', 'US-CA', 'Shelter Cove', 'no', '', '', '0Q5', ''),
	('O16', 'small_airport', 'Garberville Airport', 40.08599853515625, -123.81400299072266, 546, 'US', 'US-CA', 'Garberville', 'no', 'KO16', '', 'O16', ''),
	('KACV', 'medium_airport', 'California Redwood Coast-Humboldt County Airport', 40.978101, -124.109, 221, 'US', 'US-CA', 'Arcata/Eureka', 'yes', 'KACV', 'ACV', 'ACV', 'Arcata Airport'),
	('O19', 'small_airport', 'Kneeland Airport', 40.718639, -123.927298, 2737, 'US', 'US-CA', 'Kneeland', 'no', '', 'NLN', 'O19', 'Arcata'),
	('O33', 'small_airport', 'Samoa Field Airport', 40.780998, -124.211998, 20, 'US', 'US-CA', 'Eureka', 'no', 'O33', '', 'O33', 'Eureka Municipal Airport'),
	('82CL', 'small_airport', 'Fort Bragg Airport', 39.472445, -123.795319, 71, 'US', 'US-CA', 'Fort Bragg', 'no', '82CL', 'FOB', '82CL', ''),
	('KFOT', 'small_airport', 'Rohnerville Airport', 40.55390167, -124.1330032, 393, 'US', 'US-CA', 'Fortuna', 'no', 'KFOT', '', 'FOT', ''),
	('S51', 'small_airport', 'Andy Mc Beth Airport', 41.51210021972656, -123.99600219726563, 42, 'US', 'US-CA', 'Klamath Glen', 'no', 'S51', '', 'S51', ''),
	('KEKA', 'medium_airport', 'Murray Field', 40.803398, -124.112999, 7, 'US', 'US-CA', 'Eureka', 'no', 'KEKA', 'EKA', 'EKA', ''),
	('0O9', 'small_airport', 'Ward Field', 41.845699310302734, -123.98500061035156, 356, 'US', 'US-CA', 'Gasquet', 'no', '0O9', '', '0O9', ''),
	('KBOK', 'N/A', 'N/A', 42.07394432276487, -124.28977757692337, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCEC', 'medium_airport', 'Jack Mc Namara Field Airport', 41.778929, -124.236403, 61, 'US', 'US-CA', 'Crescent City', 'yes', 'KCEC', 'CEC', 'CEC', 'Jack McNamara Field'),
	('KLLR', 'small_airport', 'Little River Airport', 39.262001037597656, -123.75399780273438, 572, 'US', 'US-CA', 'Little River', 'no', 'KLLR', '', 'LLR', 'Formerly O48'),
	('33OR', 'small_airport', 'Crow-Mag Airport', 44.06370162963867, -123.39099884033203, 450, 'US', 'US-OR', 'Elmira', 'no', '33OR', '', '33OR', ''),
	('OR34', 'small_airport', 'Whippet Field', 44.322703, -121.431506, 3040, 'US', 'US-OR', 'Sisters', 'no', 'OR34', '', 'OR34', ''),
	('OR78', 'small_airport', 'Daniels Field', 44.270521, -123.06208, 320, 'US', 'US-OR', 'Harrisburg', 'no', 'OR78', '', 'OR78', ''),
	('KLAI', 'N/A', 'N/A', 43.67438491433859, -121.59327641129494, 1300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OG49', 'small_airport', 'Coca Cola Airport', 44.42190170288086, -123.25900268554688, 300, 'US', 'US-OR', 'Corvalis', 'no', 'OG49', '', 'OG49', ''),
	('S30', 'small_airport', 'Lebanon State Airport', 44.52980041503906, -122.93000030517578, 344, 'US', 'US-OR', 'Lebanon', 'no', 'S30', '', 'S30', ''),
	('2OR4', 'small_airport', 'Heavens Gate Ranch Airport', 43.47480010986328, -123.34600067138672, 965, 'US', 'US-OR', 'Oakland', 'no', '2OR4', '', '2OR4', ''),
	('OR77', 'small_airport', 'Faust Field Airport', 44.80224, -123.155794, 175, 'US', 'US-OR', 'Independence', 'no', 'OR77', '', 'OR77', ''),
	('08OR', 'small_airport', 'Saxon Sycan Airport', 42.838, -121.11509, 4990, 'US', 'US-OR', 'Summer Lake', 'no', '08OR', '', '08OR', ''),
	('KBDN', 'small_airport', 'Bend Municipal Airport', 44.09479904, -121.2009964, 3460, 'US', 'US-OR', 'Bend', 'no', 'KBDN', '', 'BDN', 'KAEB, AEB, S07'),
	('OR45', 'small_airport', 'West Point Airport', 44.19710159301758, -123.05599975585938, 378, 'US', 'US-OR', 'Coburg', 'no', 'OR45', '', 'OR45', ''),
	('8OR3', 'small_airport', 'Riverview Ranch Airport', 42.93370056152344, -123.12100219726563, 840, 'US', 'US-OR', 'Days Creek', 'no', '8OR3', '', '8OR3', ''),
	('KCVO', 'medium_airport', 'Corvallis Municipal Airport', 44.49720001, -123.2900009, 250, 'US', 'US-OR', 'Corvallis', 'no', 'KCVO', 'CVO', 'CVO', 'Albany Oregon'),
	('00S', 'small_airport', 'McKenzie Bridge State Airport', 44.181466, -122.086, 1620, 'US', 'US-OR', 'Blue River', 'no', 'K00S', '', '00S', ''),
	('OG40', 'small_airport', 'Napier Ranch Airport', 43.237300872802734, -123.49299621582031, 485, 'US', 'US-OR', 'Roseburg', 'no', 'OG40', '', 'OG40', ''),
	('4OR0', 'small_airport', 'Springbrook Airport', 42.55509948730469, -123.2040023803711, 1560, 'US', 'US-OR', 'Rogue River', 'no', '4OR0', '', '4OR0', ''),
	('5S0', 'small_airport', 'Oakridge State Airport', 43.752601623535156, -122.50299835205078, 1393, 'US', 'US-OR', 'Oakridge', 'no', 'K5S0', '', '5S0', ''),
	('S39', 'small_airport', 'Prineville Airport', 44.286998748779, -120.90399932861, 3250, 'US', 'US-OR', 'Prineville', 'no', 'S39', 'PRZ', 'S39', ''),
	('6S4', 'small_airport', 'Davis Airport', 44.74570083618164, -122.4209976196289, 1026, 'US', 'US-OR', 'Gates', 'no', '6S4', '', '6S4', ''),
	('5S2', 'small_airport', 'Crescent Lake State Airport', 43.5326, -121.949997, 4810, 'US', 'US-OR', 'Crescent Lake', 'no', '', '', '5S2', ''),
	('OG31', 'small_airport', 'Shady Cove Airpark', 42.608674, -122.82951, 1504, 'US', 'US-OR', 'Eagle Point', 'no', 'OG31', '', 'OG31', ''),
	('OG06', 'small_airport', 'Table Rock Airport', 43.21149826049805, -120.84300231933594, 4305, 'US', 'US-OR', 'Christmas Valley', 'no', 'OG06', '', 'OG06', ''),
	('OR29', 'closed', 'Gopher Gulch Airport', 44.111747, -121.334648, 3480, 'US', 'US-OR', 'Bend', 'no', '', '', '', 'OR29'),
	('60OR', 'small_airport', 'Whitaker Airport', 43.42649841308594, -123.27999877929688, 625, 'US', 'US-OR', 'Oakland', 'no', '60OR', '', '60OR', ''),
	('OR85', 'closed', 'Wigrich Airport', 44.812302, -123.150002, 165, 'US', 'US-OR', 'Independence', 'no', '', '', '', 'OR85'),
	('22OG', 'small_airport', 'Withrotor Airport', 42.27539825439453, -120.39399719238281, 4920, 'US', 'US-OR', 'Lakeview', 'no', '22OG', '', '22OG', ''),
	('KDRR', 'N/A', 'N/A', 43.62202685326338, -123.57640027999878, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('13OR', 'small_airport', 'Aubrey Mountain Airstrip', 43.740699768066406, -122.4260025024414, 1680, 'US', 'US-OR', 'Oakridge', 'no', '13OR', '', '13OR', ''),
	('KCUU', 'N/A', 'N/A', 44.56302758306265, -121.24976813793182, 787, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('56OG', 'small_airport', 'Horn Airport', 44.771858, -122.727628, 950, 'US', 'US-OR', 'Stayton', 'no', '56OG', '', '56OG', ''),
	('8S3', 'small_airport', 'Santiam Junction State Airport', 44.434347, -121.942406, 3780, 'US', 'US-OR', 'Sisters', 'no', '', '', '8S3', ''),
	('OR47', 'small_airport', 'Strauch Field', 44.188434, -123.189916, 335, 'US', 'US-OR', 'Junction City', 'no', 'OR47', '', 'OR47', ''),
	('OR04', 'small_airport', 'Kennel Airstrip', 44.029598236083984, -121.16500091552734, 3595, 'US', 'US-OR', 'Bend', 'no', 'OR04', '', 'OR04', ''),
	('KSLE', 'medium_airport', 'Salem-Willamette Valley Airport/McNary Field', 44.9095, -123.002998, 214, 'US', 'US-OR', 'Salem', 'yes', 'KSLE', 'SLE', 'SLE', '4OR1'),
	('45S', 'small_airport', 'Silver Lake F S Strip', 43.111000061035156, -121.09400177001953, 4492, 'US', 'US-OR', 'Silver Lake', 'no', '45S', '', '45S', ''),
	('OG48', 'small_airport', 'Greer Airport', 44.195899963378906, -123.072998046875, 360, 'US', 'US-OR', 'Coburg', 'no', 'OG48', '', 'OG48', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OR57', 'small_airport', 'Walker Airport', 43.86869812011719, -123.03399658203125, 580, 'US', 'US-OR', 'Creswell', 'no', 'OR57', '', 'OR57', ''),
	('OR06', 'small_airport', 'Snider Creek Airport', 42.53900146484375, -122.9229965209961, 1430, 'US', 'US-OR', 'Medford', 'no', 'OR06', '', 'OR06', ''),
	('2OR7', 'closed', 'Sweet Home Airport', 44.399736, -122.683566, 645, 'US', 'US-OR', 'Sweet Home', 'no', '', '', '', '2OR7, Langmack Airfield, SH Aircraft Painting'),
	('OG36', 'small_airport', 'Munson Airport', 44.25040054321289, -123.22799682617188, 302, 'US', 'US-OR', 'Junction City', 'no', 'OG36', '', 'OG36', ''),
	('OG15', 'small_airport', 'Sage Ranch Airport', 44.23320007324219, -121.39099884033203, 3170, 'US', 'US-OR', 'Sisters', 'no', 'OG15', '', 'OG15', ''),
	('OR22', 'small_airport', 'Roppair Airport', 44.619300842285156, -123.03199768066406, 247, 'US', 'US-OR', 'Albany', 'no', 'OR22', '', 'OR22', ''),
	('89OR', 'small_airport', 'Mucky Flat Airport', 42.597900390625, -122.71299743652344, 2000, 'US', 'US-OR', 'Eagle Point', 'no', '89OR', '', '89OR', ''),
	('2OR3', 'small_airport', 'Davidson Field', 44.79460144042969, -123.0979995727539, 188, 'US', 'US-OR', 'Jefferson', 'no', '2OR3', '', '2OR3', ''),
	('KEUG', 'medium_airport', 'Mahlon Sweet Field', 44.12459945678711, -123.21199798583984, 374, 'US', 'US-OR', 'Eugene', 'yes', 'KEUG', 'EUG', 'EUG', ''),
	('OG00', 'small_airport', '3 Rivers Recreation Area Airport', 44.556757, -121.405696, 2695, 'US', 'US-OR', 'Culver', 'no', 'OG00', '', 'OG00', ''),
	('OG12', 'small_airport', 'Wilson Ranch Airport', 44.21220016479492, -120.52400207519531, 4220, 'US', 'US-OR', 'Prineville', 'no', 'OG12', '', 'OG12', ''),
	('85OR', 'small_airport', 'Allen''s Airstrip', 42.404598236083984, -121.04900360107422, 4410, 'US', 'US-OR', 'Bly', 'no', '85OR', '', '85OR', ''),
	('8OR5', 'small_airport', 'Pilot Butte Airport', 44.047298431396484, -121.2760009765625, 3675, 'US', 'US-OR', 'Bend', 'no', '8OR5', '', '8OR5', ''),
	('OG28', 'small_airport', 'The Green Trees Ranch Airport', 44.68320083618164, -122.78299713134766, 1139, 'US', 'US-OR', 'Scio', 'no', 'OG28', '', 'OG28', ''),
	('KCUV', 'N/A', 'N/A', 44.52568084001541, -121.16655170917511, 816, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0OR8', 'small_airport', 'Sutton on Rogue Airport', 42.484798431396484, -122.86599731445313, 1260, 'US', 'US-OR', 'White City', 'no', '0OR8', '', '0OR8', ''),
	('58OR', 'small_airport', 'Umpqua Airport', 43.30970001220703, -123.12699890136719, 700, 'US', 'US-OR', 'Roseburg', 'no', '58OR', '', '58OR', ''),
	('3S6', 'small_airport', 'Toketee State Airport', 43.2234992980957, -122.4209976196289, 3361, 'US', 'US-OR', 'Clearwater', 'no', '3S6', '', '3S6', ''),
	('7S5', 'small_airport', 'Independence State Airport', 44.867000579833984, -123.197998046875, 180, 'US', 'US-OR', 'Independence', 'no', 'K7S5', '', '7S5', ''),
	('KFOS', 'N/A', 'N/A', 44.583656787872314, -120.17116069793701, 892, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMFR', 'medium_airport', 'Rogue Valley International Medford Airport', 42.37419891357422, -122.87300109863281, 1335, 'US', 'US-OR', 'Medford', 'yes', 'KMFR', 'MFR', 'MFR', ''),
	('4OR8', 'small_airport', 'Wagoner Airport', 44.8484992980957, -123.04100036621094, 700, 'US', 'US-OR', 'Salem', 'no', '4OR8', '', '4OR8', ''),
	('80OR', 'small_airport', 'Wilderness Airport', 42.36429977416992, -120.96600341796875, 4540, 'US', 'US-OR', 'Bly', 'no', '80OR', '', '80OR', ''),
	('KLEA', 'N/A', 'N/A', 44.64207597076893, -122.90379658341408, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('88OR', 'small_airport', 'Tallman Airport', 44.56829833984375, -122.97100067138672, 303, 'US', 'US-OR', 'Lebanon', 'no', '88OR', '', '88OR', ''),
	('OR86', 'small_airport', 'Gilmour Ag Air Airport', 44.75549, -123.045631, 244, 'US', 'US-OR', 'Jefferson', 'no', 'OR86', '', 'OR86', ''),
	('S33', 'small_airport', 'Madras Municipal Airport', 44.67020035, -121.1549988, 2437, 'US', 'US-OR', 'Madras', 'no', 'KS33', 'MDJ', 'S33', 'City-County Airport'),
	('OG52', 'small_airport', 'Jpm Airport', 44.83919906616211, -123.25900268554688, 260, 'US', 'US-OR', 'Monmouth', 'no', 'OG52', '', 'OG52', ''),
	('1JY2', 'small_airport', 'Mahogany Mtn. Airport', 43.067100524902344, -121.0530014038086, 4620, 'US', 'US-OR', 'Silver Lake', 'no', '1JY2', '', '1JY2', ''),
	('77S', 'small_airport', 'Hobby Field', 43.93080139160156, -123.00700378417969, 538, 'US', 'US-OR', 'Creswell', 'no', 'K77S', '', '77S', ''),
	('2OR1', 'small_airport', 'Big Muddy Ranch Airport', 44.828668, -120.495311, 1641, 'US', 'US-OR', 'Fossil', 'no', '2OR1', '', '2OR1', 'Rajneeshpuram'),
	('OR20', 'small_airport', 'Hemmingson Airport', 44.658199310302734, -123.14299774169922, 250, 'US', 'US-OR', 'Albany', 'no', 'OR20', '', 'OR20', ''),
	('61S', 'small_airport', 'Cottage Grove State Airport', 43.799800872802734, -123.02899932861328, 641, 'US', 'US-OR', 'Cottage Grove', 'no', 'K61S', '', '61S', ''),
	('OR94', 'small_airport', 'Showa Airport', 44.391700744628906, -123.02999877929688, 298, 'US', 'US-OR', 'Brownsville', 'no', 'OR94', '', 'OR94', ''),
	('OG41', 'small_airport', 'Nace Family Airstrip', 42.77119827270508, -123.31500244140625, 1550, 'US', 'US-OR', 'Glendale', 'no', 'OG41', '', 'OG41', ''),
	('43OR', 'small_airport', 'Inspiration Airport', 44.622655, -122.753742, 3400, 'US', 'US-OR', 'Bend', 'no', '43OR', '', '43OR', ''),
	('5S1', 'small_airport', 'George Felt Airport', 43.22480010986328, -123.39700317382813, 428, 'US', 'US-OR', 'Roseburg', 'no', '5S1', '', '5S1', ''),
	('4OR3', 'small_airport', 'Lambert Field', 44.73040008544922, -123.07599639892578, 195, 'US', 'US-OR', 'Albany', 'no', '4OR3', '', '4OR3', ''),
	('5OR4', 'small_airport', 'Flying T Ranch Airport', 42.434693, -121.350861, 4340, 'US', 'US-OR', 'Sprague River', 'no', '5OR4', '', '5OR4', ''),
	('5OR8', 'small_airport', 'Hatch Airport', 44.77320098876953, -122.8499984741211, 380, 'US', 'US-OR', 'Stayton', 'no', '5OR8', '', '5OR8', ''),
	('KPRE', 'N/A', 'N/A', 43.818794041872025, -120.61224013566971, 1404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2S2', 'small_airport', 'Beaver Marsh State Airport', 43.12900161743164, -121.81800079345703, 4638, 'US', 'US-OR', 'Beaver Marsh', 'no', '2S2', '', '2S2', ''),
	('6K5', 'small_airport', 'Sisters Eagle Air Airport', 44.30459976196289, -121.53900146484375, 3168, 'US', 'US-OR', 'Sisters', 'no', 'K6K5', '', '6K5', ''),
	('OR96', 'small_airport', 'Beagle Sky Ranch Airport', 42.53900146484375, -122.90399932861328, 1436, 'US', 'US-OR', 'Medford', 'no', 'OR96', '', 'OR96', ''),
	('4OR5', 'small_airport', 'Fly ''N'' W Airport', 44.967899322509766, -122.94100189208984, 206, 'US', 'US-OR', 'Salem', 'no', '4OR5', '', '4OR5', ''),
	('42OR', 'small_airport', 'Shotgun Ranch Airstrip', 44.134082, -120.324883, 3430, 'US', 'US-OR', 'Post', 'no', '42OR', '', '42OR', ''),
	('OR54', 'small_airport', 'Winn Airport', 44.5984992980957, -123.20700073242188, 205, 'US', 'US-OR', 'Corvallis', 'no', 'OR54', '', 'OR54', ''),
	('26OG', 'small_airport', 'Oakridge Ranch Airport', 42.463021, -122.734744, 1560, 'US', 'US-OR', 'Eagle Point', 'no', '26OG', '', '26OG', ''),
	('64S', 'small_airport', 'Prospect State Airport', 42.74319839477539, -122.48799896240234, 2578, 'US', 'US-OR', 'Prospect', 'no', 'K64S', '', '64S', ''),
	('0OR7', 'small_airport', 'Marr Field', 44.854000091552734, -123.26399993896484, 275, 'US', 'US-OR', 'Monmouth', 'no', '0OR7', '', '0OR7', ''),
	('KRBG', 'small_airport', 'Roseburg Regional Airport', 43.238800048799995, -123.356002808, 529, 'US', 'US-OR', 'Roseburg', 'no', 'KRBG', 'RBG', 'RBG', 'Major General Marion E. Carl Memorial Field');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('61OR', 'small_airport', 'The Citadel Airport', 44.33497, -121.37197, 3077, 'US', 'US-OR', 'Sisters', 'no', '', '', '61OR', ''),
	('8OR2', 'small_airport', 'Kingston Airpark', 44.778499603271484, -122.7300033569336, 871, 'US', 'US-OR', 'Stayton', 'no', '8OR2', '', '8OR2', ''),
	('OG01', 'small_airport', 'Dunning Vineyards Airport', 44.61464, -123.234839, 240, 'US', 'US-OR', 'Corvallis', 'no', 'OG01', '', 'OG01', ''),
	('3OR8', 'small_airport', 'Cline Falls Air Park', 44.283199310302734, -121.26899719238281, 2920, 'US', 'US-OR', 'Redmond', 'no', '3OR8', '', '3OR8', ''),
	('OG19', 'small_airport', 'Bombay Farms Airport', 44.65010070800781, -121.23799896240234, 2385, 'US', 'US-OR', 'Madras', 'no', 'OG19', '', 'OG19', ''),
	('94OR', 'small_airport', 'Umpqua RV Park Fly In Airport', 43.530701, -123.549004, 230, 'US', 'US-OR', 'Elkton', 'no', '94OR', '', '94OR', 'Umpqua RV Park Fly In Airport, Farm Yard Field, 94OR'),
	('22S', 'small_airport', 'Paisley Airport', 42.717899322509766, -120.56300354003906, 4395, 'US', 'US-OR', 'Paisley', 'no', 'K22S', '', '22S', ''),
	('5S5', 'small_airport', 'Lake Billy Chinook Airport', 44.519805, -121.3196, 2695, 'US', 'US-OR', 'Culver', 'no', '', '', '5S5', ''),
	('4OR4', 'small_airport', 'Schrock Airport', 44.443599700927734, -123.23799896240234, 245, 'US', 'US-OR', 'Corvallis', 'no', '4OR4', '', '4OR4', ''),
	('OR25', 'small_airport', 'Flying E Airport', 44.84479904174805, -122.9010009765625, 325, 'US', 'US-OR', 'Aumsville', 'no', 'OR25', '', 'OR25', ''),
	('KTUA', 'N/A', 'N/A', 42.48150363564491, -121.06010377407074, 1344, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR51', 'small_airport', 'Gillette Field', 44.719600677490234, -122.69999694824219, 735, 'US', 'US-OR', 'Scio', 'no', 'OR51', '', 'OR51', ''),
	('OG21', 'small_airport', 'Dry Creek Airpark', 44.195098876953125, -120.822998046875, 3625, 'US', 'US-OR', 'Prineville', 'no', 'OG21', '', 'OG21', ''),
	('OR89', 'small_airport', 'Kinzua Airport', 44.999900817871094, -120.0530014038086, 3966, 'US', 'US-OR', 'Kinzua', 'no', 'OR89', '', 'OR89', ''),
	('35OR', 'closed', 'Freight Wagon Field', 44.1926, -121.179001, 3195, 'US', 'US-OR', 'Bend', 'no', '', '', '', '35OR'),
	('50OR', 'small_airport', 'Goering Ranches / Chocheta Estates Airport', 44.095813, -120.946823, 3450, 'US', 'US-OR', 'Bend', 'no', '50OR', '', '50OR', ''),
	('KRDM', 'medium_airport', 'Roberts Field', 44.254101, -121.150002, 3080, 'US', 'US-OR', 'Redmond', 'yes', 'KRDM', 'RDM', 'RDM', ''),
	('OR97', 'closed', 'Burrill Airport', 42.438702, -122.863998, 1310, 'US', 'US-OR', 'Medford', 'no', '', '', '', 'OR97'),
	('62S', 'small_airport', 'Christmas Valley Airport', 43.23623, -120.665059, 4317, 'US', 'US-OR', 'Christmas Valley', 'no', '', '', '62S', ''),
	('OG05', 'small_airport', 'Sundance Meadows Airport', 43.9900016784668, -121.20600128173828, 3850, 'US', 'US-OR', 'Bend', 'no', 'OG05', '', 'OG05', ''),
	('8OR7', 'small_airport', 'Gates Airport', 44.6271019, -123.2249985, 220, 'US', 'US-OR', 'Corvallis', 'no', '8OR7', '', '8OR7', ''),
	('S21', 'small_airport', 'Sunriver Airport', 43.876301, -121.453003, 4164, 'US', 'US-OR', 'Sunriver', 'no', 'KS21', 'SUO', 'S21', ''),
	('98TE', 'small_airport', 'Hilltop Airport', 43.32210159301758, -123.177001953125, 1320, 'US', 'US-OR', 'Glide', 'no', '98TE', '', '98TE', ''),
	('4OR7', 'small_airport', 'Lusardi Field', 44.98540115, -122.9459991, 205, 'US', 'US-OR', 'Salem', 'no', '4OR7', '', '4OR7', ''),
	('3OR1', 'closed', 'Cubehole Airport', 44.364601, -122.958, 355, 'US', 'US-OR', 'Brownsville', 'no', '', '', '', '3OR1, 3OR1, 3OR1'),
	('OR76', 'closed', 'Waynes Air Service Airport', 44.363201, -123.139999, 285, 'US', 'US-OR', 'Halsey', 'no', '', '', '', 'OR76'),
	('6OR4', 'small_airport', 'Tailwheel Airport', 44.2731825, -120.794741944, 3130, 'US', 'US-OR', 'Prineville', 'no', '6OR4', '', '6OR4', ''),
	('55OR', 'small_airport', 'Muddy Creek Airport', 44.43600082397461, -123.30799865722656, 253, 'US', 'US-OR', 'Corvallis', 'no', '55OR', '', '55OR', ''),
	('OG13', 'small_airport', 'Fly By Night Airport', 42.246678, -123.070731, 1660, 'US', 'US-OR', 'Jacksonville', 'no', 'OG13', '', 'OG13', ''),
	('72OR', 'small_airport', 'Ochs Private Airport', 44.7843017578125, -120.95500183105469, 1790, 'US', 'US-OR', 'Madras', 'no', '72OR', '', '72OR', ''),
	('9OR8', 'small_airport', 'Wooldridge Agstrip Airport', 44.732601165771484, -123.05599975585938, 205, 'US', 'US-OR', 'Albany', 'no', '9OR8', '', '9OR8', ''),
	('9OR0', 'small_airport', 'Lafferty Field', 44.315101623535156, -123.0250015258789, 360, 'US', 'US-OR', 'Brownsville', 'no', '9OR0', '', '9OR0', ''),
	('22OR', 'small_airport', 'Iron Crown Airport', 44.94179916381836, -122.76300048828125, 790, 'US', 'US-OR', 'Silverton', 'no', '22OR', '', '22OR', ''),
	('5OR0', 'small_airport', 'Backachers Ranch Airport', 42.285099029541016, -123.53299713134766, 1460, 'US', 'US-OR', 'Selma', 'no', '5OR0', '', '5OR0', ''),
	('OR73', 'small_airport', 'Calvert Peak Airport', 42.778765, -123.734557, 3808, 'US', 'US-OR', 'Glendale', 'no', 'OR73', '', 'OR73', ''),
	('OR56', 'closed', 'Holiday Airport', 44.569801, -123.170998, 225, 'US', 'US-OR', 'Corvallis', 'no', '', '', '', 'OR56'),
	('OR30', 'small_airport', 'D M Stevenson Ranch Airport', 44.00320053100586, -121.27200317382813, 3800, 'US', 'US-OR', 'Bend', 'no', 'OR30', '', 'OR30', ''),
	('04OR', 'small_airport', 'Collins Landing Strip', 44.7499008179, -120.200996399, 1500, 'US', 'US-OR', 'Mitchell', 'no', '04OR', '', '04OR', ''),
	('KTHH', 'N/A', 'N/A', 43.803078308701515, -121.57094031572342, 1295, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('S03', 'small_airport', 'Ashland Municipal Airport Sumner Parker Field', 42.190265, -122.660648, 1885, 'US', 'US-OR', 'Ashland', 'no', '', 'AHM', 'S03', ''),
	('S12', 'small_airport', 'Albany Municipal Airport', 44.637798309326, -123.05899810791, 226, 'US', 'US-OR', 'Albany', 'no', 'S12', '', 'S12', ''),
	('OG54', 'small_airport', 'Shaniko Cattle Airport', 44.96009826660156, -120.88500213623047, 3300, 'US', 'US-OR', 'Shaniko', 'no', 'OG54', '', 'OG54', ''),
	('5OR5', 'small_airport', 'Juniper Air Park', 44.03459930419922, -121.11799621582031, 3490, 'US', 'US-OR', 'Bend', 'no', '5OR5', '', '5OR5', ''),
	('OR67', 'closed', 'McGill Airport', 45.336569, -122.398356, 370, 'US', 'US-OR', 'Estacada', 'no', '', '', '', 'OR67'),
	('3S8', 'small_airport', 'Grants Pass Airport', 42.510101, -123.388, 1126, 'US', 'US-OR', 'Grants Pass', 'no', '', 'GTP', '3S8', 'Merlin'),
	('2S7', 'small_airport', 'Chiloquin State Airport', 42.57944, -121.879063, 4217, 'US', 'US-OR', 'Chiloquin', 'no', 'K2S7', 'CHZ', '2S7', ''),
	('OG16', 'small_airport', 'Jim''s Airstrip', 44.382598876953125, -123.21299743652344, 275, 'US', 'US-OR', 'Halsey', 'no', 'OG16', '', 'OG16', ''),
	('OG10', 'small_airport', 'Mt Hope Airport', 44.557405, -122.82717, 400, 'US', 'US-OR', 'Lebanon', 'no', 'OG10', '', 'OG10', ''),
	('OR19', 'closed', 'Propst Airport', 44.638699, -123.023003, 239, 'US', 'US-OR', 'Albany', 'no', '', '', '', 'OR19'),
	('OR82', 'closed', 'United Telephone System Heliport', 45.713027, -121.532269, 100, 'US', 'US-OR', 'Hood River', 'no', '', '', '', 'OR82'),
	('17OR', 'small_airport', 'Glide Aero Airport', 43.264198303222656, -123.11000061035156, 980, 'US', 'US-OR', 'Glide', 'no', '17OR', '', '17OR', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('6OR0', 'closed', 'Grells Airport', 44.529701, -123.091003, 253, 'US', 'US-OR', 'Tangent', 'no', '', '', '', '6OR0'),
	('OR39', 'small_airport', 'Flying Tom Airport', 44.65760040283203, -123.21199798583984, 300, 'US', 'US-OR', 'Corvallis', 'no', 'OR39', '', 'OR39', ''),
	('KTEE', 'N/A', 'N/A', 44.43667072802782, -121.04261264204979, 998, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR52', 'small_airport', 'Venell Airport', 44.4734992980957, -123.3030014038086, 246, 'US', 'US-OR', 'Corvallis', 'no', 'OR52', '', 'OR52', ''),
	('OR21', 'small_airport', 'Miller Airstrip', 44.59320068359375, -122.98999786376953, 279, 'US', 'US-OR', 'Albany', 'no', 'OR21', '', 'OR21', ''),
	('OG51', 'small_airport', 'Six Springs Ranch Airport', 44.48350143432617, -120.91600036621094, 3780, 'US', 'US-OR', 'Madras', 'no', 'OG51', '', 'OG51', ''),
	('36OR', 'small_airport', 'Jasper Ridge Airstrip', 44.003619, -122.880642, 1125, 'US', 'US-OR', 'Jasper', 'no', '36OR', '', '36OR', ''),
	('48OR', 'small_airport', 'Lookingglass Airport', 43.1593017578125, -123.50199890136719, 580, 'US', 'US-OR', 'Roseburg', 'no', '48OR', '', '48OR', ''),
	('95OR', 'small_airport', 'Flournoy Valley Airport', 43.20759963989258, -123.53299713134766, 790, 'US', 'US-OR', 'Roseburg', 'no', '95OR', '', '95OR', ''),
	('21OG', 'small_airport', 'Ames Airport', 44.771806, -122.970743, 720, 'US', 'US-OR', 'Jefferson', 'no', '21OG', '', '21OG', ''),
	('5OR9', 'small_airport', 'Lone Oaks Ranch Airport', 44.776798248291016, -122.76000213623047, 630, 'US', 'US-OR', 'Stayton', 'no', '5OR9', '', '5OR9', ''),
	('16S', 'small_airport', 'Myrtle Creek Municipal Airport', 42.997157, -123.315412, 619, 'US', 'US-OR', 'Myrtle Creek', 'no', 'K16S', '', '16S', 'Tri-City'),
	('D63', 'small_airport', 'Dinsmore Airport', 40.492018, -123.59813, 2375, 'US', 'US-CA', 'Dinsmore', 'no', 'KD63', '', 'D63', ''),
	('6OG3', 'small_airport', 'Sky Wagon Ranch Airport', 42.130283, -121.531633, 4150, 'US', 'US-OR', 'Klamath Falls', 'no', '6OG3', '', '6OG3', ''),
	('F62', 'small_airport', 'Hayfork Airport', 40.547100067139, -123.18199920654, 2321, 'US', 'US-CA', 'Hayfork', 'no', 'F62', '', 'F62', 'Q72'),
	('CA04', 'small_airport', 'Flying N Ranch Airport', 40.34629821777344, -122.33899688720703, 530, 'US', 'US-CA', 'Cottonwood', 'no', 'CA04', '', 'CA04', ''),
	('2CL1', 'closed', 'Canyon Creek Heliport', 37.108073, -121.79835, 695, 'US', 'US-CA', 'Morgan Hill', 'no', '', '', '', '2CL1'),
	('52CN', 'small_airport', 'Ponderosa Sky Ranch Airport', 40.343903, -121.772611, 3454, 'US', 'US-CA', 'Paynes Creek', 'no', '52CN', '', '52CN', ''),
	('KSUV', 'N/A', 'N/A', 40.5710818246007, -120.84472417831421, 1568, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOVE', 'small_airport', 'Oroville Municipal Airport', 39.487800598145, -121.62200164795, 192, 'US', 'US-CA', 'Oroville', 'no', 'KOVE', 'OVE', 'OVE', 'Oroville AAF'),
	('A26', 'small_airport', 'Adin Airport', 41.18600082397461, -120.9520034790039, 4229, 'US', 'US-CA', 'Adin', 'no', 'A26', '', 'A26', ''),
	('1O6', 'small_airport', 'Dunsmuir Muni-Mott Airport', 41.263199, -122.272003, 3258, 'US', 'US-CA', 'Dunsmuir', 'no', 'K1O6', 'MHS', '1O6', ''),
	('45CL', 'small_airport', 'Hell''er High Water Airport', 40.141878, -123.399124, 2493, 'US', 'US-CA', 'Zenia', 'no', '45CL', '', '45CL', ''),
	('68CA', 'small_airport', 'Lake California Air Park', 40.36109924316406, -122.21600341796875, 615, 'US', 'US-CA', 'Cottonwood', 'no', '68CA', '', '68CA', ''),
	('36S', 'small_airport', 'Happy Camp Airport', 41.79069900512695, -123.38899993896484, 1209, 'US', 'US-CA', 'Happy Camp', 'no', 'K36S', '', '36S', ''),
	('0O4', 'small_airport', 'Corning Municipal Airport', 39.943599700927734, -122.1709976196289, 292, 'US', 'US-CA', 'Corning', 'no', '0O4', '', '0O4', ''),
	('KREN', 'N/A', 'N/A', 40.49929451197386, -122.37591728568077, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0Q6', 'closed', 'Shingletown Airport', 40.521955, -121.81705, 3880, 'US', 'US-CA', 'Shingletown', 'no', '', '', '', '0Q6'),
	('O81', 'small_airport', 'Tulelake Municipal Airport', 41.88740158081055, -121.35900115966797, 4044, 'US', 'US-CA', 'Tulelake', 'no', 'KO81', '', 'O81', ''),
	('97CL', 'small_airport', 'Siller Bros Inc Airport', 39.460201263427734, -121.58100128173828, 235, 'US', 'US-CA', 'Oroville', 'no', '97CL', '', '97CL', ''),
	('O37', 'small_airport', 'Haigh Field', 39.72119903564453, -122.14700317382813, 215, 'US', 'US-CA', 'Orland', 'no', 'KO37', '', 'O37', ''),
	('3S4', 'small_airport', 'Illinois Valley Airport', 42.1036987305, -123.681999207, 1394, 'US', 'US-OR', 'Cave Junction', 'no', '3S4', '', '3S4', 'Siskiyou Smokejumper Base'),
	('KAAT', 'small_airport', 'Alturas Municipal Airport', 41.482736, -120.565671, 4378, 'US', 'US-CA', 'Alturas', 'no', 'KAAT', '', 'AAT', ''),
	('KCIC', 'small_airport', 'Chico Regional Airport', 39.795595, -121.857716, 240, 'US', 'US-CA', 'Chico', 'no', 'KCIC', 'CIC', 'CIC', ''),
	('KLKV', 'small_airport', 'Lake County Airport', 42.161098480199996, -120.399002075, 4733, 'US', 'US-OR', 'Lakeview', 'no', 'KLKV', 'LKV', 'LKV', ''),
	('KSVE', 'small_airport', 'Susanville Municipal Airport', 40.375702, -120.572998, 4149, 'US', 'US-CA', 'Susanville', 'no', 'KSVE', 'SVE', 'SVE', ''),
	('9CL3', 'small_airport', 'Likely Airport', 41.239489, -120.526121, 4420, 'US', 'US-CA', 'Likely', 'no', '9CL3', '', '9CL3', ''),
	('CL88', 'closed', 'Wesinger Ranch Airport', 41.447102, -120.584, 4300, 'US', 'US-CA', 'Alturas', 'no', '', '', '', 'CL88'),
	('KRBL', 'medium_airport', 'Red Bluff Municipal Airport', 40.1506996155, -122.251998901, 352, 'US', 'US-CA', 'Red Bluff', 'no', 'KRBL', 'RBL', 'RBL', ''),
	('O54', 'small_airport', 'Lonnie Pool Field Weaverville Airport', 40.74570083618164, -122.9219970703125, 2350, 'US', 'US-CA', 'Weaverville', 'no', 'KO54', '', 'O54', ''),
	('4CA7', 'small_airport', 'Johnsen Airport', 39.67070007324219, -121.88600158691406, 190, 'US', 'US-CA', 'Chico', 'no', '4CA7', '', '4CA7', ''),
	('OR26', 'closed', 'Farr Airport', 42.127701, -120.484001, 4775, 'US', 'US-OR', 'Lakeview', 'no', '', '', '', 'OR26'),
	('O89', 'small_airport', 'Fall River Mills Airport', 41.018798828125, -121.43299865722656, 3323, 'US', 'US-CA', 'Fall River Mills', 'no', 'KO89', '', 'O89', ''),
	('3CL2', 'closed', 'Meadow Airstrip', 40.156399, -122.302002, 345, 'US', 'US-CA', 'Red Bluff', 'no', '', '', '', '3CL2'),
	('1Q5', 'small_airport', 'Gravelly Valley Airport', 39.449902, -122.955002, 1900, 'US', 'US-CA', 'Potter Valley', 'no', '', '', '1Q5', ''),
	('1O5', 'small_airport', 'Montague-Yreka Rohrer Field', 41.7304000854, -122.54599762, 2527, 'US', 'US-CA', 'Montague', 'no', 'K1O5', 'ROF', '1O5', 'Mount Shasta'),
	('CA10', 'closed', 'Coonrod Ranch Airport', 41.6171, -122.319, 3010, 'US', 'US-CA', 'Montague', 'no', '', '', '', 'CA10'),
	('CL90', 'closed', 'Butte Creek Hog Ranch Airport', 39.688801, -121.783997, 200, 'US', 'US-CA', 'Chico', 'no', '', '', '', 'CL90'),
	('0OR3', 'small_airport', 'Long Ranch Airport', 42.01900100708008, -121.7040023803711, 4090, 'US', 'US-OR', 'Merrill', 'no', '0OR3', '', '0OR3', ''),
	('23CA', 'closed', 'Lefko Airport', 41.62901, -122.75876, 2860, 'US', 'US-CA', 'Fort Jones', 'no', '', '', '', '23CA'),
	('49CN', 'small_airport', 'Rancho Tehama Airport', 40.01599884033203, -122.38999938964844, 550, 'US', 'US-CA', 'Red Bluff', 'no', '49CN', '', '49CN', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('O05', 'small_airport', 'Rogers Field', 40.28239822387695, -121.24099731445313, 4528, 'US', 'US-CA', 'Chester', 'no', 'KO05', '', 'O05', ''),
	('T42', 'small_airport', 'Ruth Airport', 40.2113, -123.297997, 2781, 'US', 'US-CA', 'Mad River', 'no', '', '', 'T42', 'Q95'),
	('O59', 'small_airport', 'Cedarville Airport', 41.55270004272461, -120.16600036621094, 4623, 'US', 'US-CA', 'Cedarville', 'no', 'KO59', '', 'O59', ''),
	('KCOV', 'N/A', 'N/A', 39.629574827849865, -123.18549916148186, 705, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMOO', 'N/A', 'N/A', 41.62787586450577, -122.41138145327568, 799, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('O46', 'small_airport', 'Weed Airport', 41.480786, -122.454791, 2938, 'US', 'US-CA', 'Weed', 'no', 'KO46', '', 'O46', ''),
	('A24', 'small_airport', 'California Pines Airport', 41.412399291992, -120.68399810791, 4398, 'US', 'US-CA', 'Alturas', 'no', 'A24', '', 'A24', 'CA02'),
	('A32', 'small_airport', 'Butte Valley Airport', 41.887199401855, -121.9759979248, 4243, 'US', 'US-CA', 'Dorris', 'no', 'A32', '', 'A32', 'CA03'),
	('KWES', 'N/A', 'N/A', 40.30614595860243, -121.03671669960022, 1555, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('O02', 'small_airport', 'Nervino Airport', 39.818501, -120.352997, 4900, 'US', 'US-CA', 'Beckwourth', 'no', '', 'NVN', 'O02', ''),
	('H47', 'small_airport', 'Hyampom Airport', 40.627601623535156, -123.47100067138672, 1250, 'US', 'US-CA', 'Hyampom', 'no', 'H47', '', 'H47', ''),
	('O09', 'small_airport', 'Round Valley Airport', 39.790199, -123.265999, 1434, 'US', 'US-CA', 'Covelo', 'no', 'KO09', '', 'O09', ''),
	('CA38', 'small_airport', 'Totem Pole Ranch Airport', 39.652182, -120.439873, 4986, 'US', 'US-CA', 'Calpine', 'no', 'CA38', '', 'CA38', ''),
	('CL56', 'small_airport', 'Ranchaero Airport', 39.719601, -121.871002, 173, 'US', 'US-CA', 'Chico', 'no', 'CL56', '', 'CL56', 'Formerly O23'),
	('O21', 'small_airport', 'Hoopa Airport', 41.04290008544922, -123.66799926757813, 356, 'US', 'US-CA', 'Hoopa', 'no', 'O21', '', 'O21', ''),
	('CA06', 'small_airport', 'Bates Field', 41.421373, -120.568657, 4400, 'US', 'US-CA', 'Alturas', 'no', 'CA06', '', 'CA06', ''),
	('24S', 'small_airport', 'Pinehurst State Airport', 42.110198974609375, -122.38300323486328, 3638, 'US', 'US-OR', 'Pinehurst', 'no', '24S', '', '24S', ''),
	('O86', 'small_airport', 'Trinity Center Airport', 40.98320007324219, -122.69400024414063, 2390, 'US', 'US-CA', 'Trinity Center', 'no', 'KO86', '', 'O86', ''),
	('2O1', 'small_airport', 'Gansner Field', 39.943902, -120.945, 3415, 'US', 'US-CA', 'Quincy', 'no', '', 'GNF', '2O1', ''),
	('KALU', 'N/A', 'N/A', 41.33203458040953, -120.53358614444733, 1335, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KWIL', 'N/A', 'N/A', 39.63225468993187, -122.21598610281944, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KALL', 'N/A', 'N/A', 41.433324851095676, -120.86792707443237, 1309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3OG3', 'small_airport', 'Dillon Field Airport', 42.122222, -121.791667, 4092, 'US', 'US-OR', 'Klamath Falls', 'no', '3OG3', '', '3OG3', ''),
	('KWLW', 'small_airport', 'Willows Glenn County Airport', 39.51639938, -122.2180023, 141, 'US', 'US-CA', 'Willows', 'no', 'KWLW', 'WLW', 'WLW', ''),
	('O85', 'small_airport', 'Benton Field', 40.5749015808, -122.407997131, 719, 'US', 'US-CA', 'Redding', 'no', 'O85', 'BZF', 'O85', ''),
	('1Q2', 'small_airport', 'Spalding Airport', 40.650169, -120.768524, 5116, 'US', 'US-CA', 'Susanville', 'no', 'K1Q2', '', '1Q2', 'Spaulding'),
	('41CA', 'small_airport', 'Silver Creek Ranch Airport', 40.3176, -123.253998, 2511, 'US', 'US-CA', 'Silver Flat', 'no', '41CA', '', '41CA', ''),
	('KRDD', 'medium_airport', 'Redding Municipal Airport', 40.50899887, -122.2929993, 505, 'US', 'US-CA', 'Redding', 'yes', 'KRDD', 'RDD', 'RDD', ''),
	('KSIY', 'small_airport', 'Siskiyou County Airport', 41.781399, -122.468002, 2648, 'US', 'US-CA', 'Montague', 'no', 'KSIY', 'SIY', 'SIY', ''),
	('4S7', 'small_airport', 'Malin Airport', 42.000999450683594, -121.39600372314453, 4052, 'US', 'US-OR', 'Malin', 'no', '4S7', '', '4S7', ''),
	('KALT', 'N/A', 'N/A', 41.5215940028429, -120.66508769989014, 1522, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('A28', 'small_airport', 'Fort Bidwell Airport', 41.87630081176758, -120.14700317382813, 4602, 'US', 'US-CA', 'Fort Bidwell', 'no', 'A28', '', 'A28', ''),
	('6CA1', 'small_airport', 'Triple R Ranch Airport', 41.742698669433594, -121.87799835205078, 4380, 'US', 'US-CA', 'Macdoel', 'no', '6CA1', '', '6CA1', ''),
	('90CL', 'small_airport', 'Diamond M Ranch Airport', 39.571225, -122.607513, 1296, 'US', 'US-CA', 'Elk Creek', 'no', '90CL', '', '90CL', ''),
	('CA11', 'small_airport', 'Mc Cloud Airstrip', 41.2732009888, -122.122001648, 3540, 'US', 'US-CA', 'Mc Cloud', 'no', 'CA11', '', 'CA11', ''),
	('CA09', 'small_airport', 'Round Mountain Ranch Airport', 41.885277, -122.843256, 3500, 'US', 'US-CA', 'Klamath River', 'no', 'CA09', '', 'CA09', ''),
	('2CL3', 'small_airport', 'Longbell Ranch Airport', 41.642101, -121.889999, 4607, 'US', 'US-CA', 'Macdoel', 'no', '2CL3', '', '2CL3', ''),
	('CN42', 'small_airport', 'Double Creek Ranch Airport', 40.445702, -121.882004, 2030, 'US', 'US-CA', 'Manton', 'no', 'CN42', '', 'CN42', ''),
	('CA53', 'small_airport', 'Tews Field', 40.67250061035156, -122.34200286865234, 740, 'US', 'US-CA', 'Redding', 'no', 'CA53', '', 'CA53', ''),
	('CA60', 'small_airport', 'Deer Creek Ranch Airport', 39.94990158081055, -121.99700164794922, 280, 'US', 'US-CA', 'Vina', 'no', 'CA60', '', 'CA60', ''),
	('H37', 'small_airport', 'Herlong Airport', 40.138801574707, -120.17900085449, 4055, 'US', 'US-CA', 'Herlong', 'no', 'H37', '', 'H37', ''),
	('O55', 'small_airport', 'Southard Field', 41.139599, -121.124001, 4158, 'US', 'US-CA', 'Bieber', 'no', 'O55', '', 'O55', ''),
	('CL23', 'small_airport', 'Jones/Ag-Viation Airport', 39.459598541259766, -121.69599914550781, 109, 'US', 'US-CA', 'Biggs', 'no', 'CL23', '', 'CL23', ''),
	('CA92', 'small_airport', 'Paradise Skypark Airport', 39.71029, -121.616528, 1300, 'US', 'US-CA', 'Paradise', 'no', 'CA92', 'PYS', 'CA92', 'Formerly L24'),
	('00CL', 'small_airport', 'Williams Ag Airport', 39.427188, -121.763427, 87, 'US', 'US-CA', 'Biggs', 'no', '00CL', '', '00CL', ''),
	('KTUE', 'N/A', 'N/A', 42.175813280045986, -121.44164934754372, 1257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('07CL', 'small_airport', 'Richvale Airport', 39.49769973754883, -121.77100372314453, 100, 'US', 'US-CA', 'Richvale', 'no', '07CL', '', '07CL', ''),
	('O79', 'small_airport', 'Sierraville Dearwater Airport', 39.581001, -120.353996, 4984, 'US', 'US-CA', 'Sierraville', 'no', 'KO79', '', 'O79', ''),
	('A30', 'small_airport', 'Scott Valley Airport', 41.558201, -122.855003, 2728, 'US', 'US-CA', 'Etna', 'no', '', '', 'A30', 'CA06'),
	('KLMT', 'medium_airport', 'Crater Lake-Klamath Regional Airport', 42.156101, -121.733002, 4095, 'US', 'US-OR', 'Klamath Falls', 'no', 'KLMT', 'LMT', 'LMT', 'Klamath Falls Airport'),
	('O39', 'small_airport', 'Ravendale Airport', 40.803593, -120.366193, 5299, 'US', 'US-CA', 'Ravendale', 'no', 'KO39', '', 'O39', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KAHC', 'small_airport', 'Amedee Army Air Field', 40.26620102, -120.1529999, 4012, 'US', 'US-CA', 'Herlong', 'no', 'KAHC', 'AHC', 'AHC', ''),
	('O28', 'small_airport', 'Ells Field Willits Municipal Airport', 39.451322, -123.372356, 2063, 'US', 'US-CA', 'Willits', 'no', '', '', 'O28', ''),
	('55CL', 'closed', 'Costerisan Farms Airport', 35.263302, -119.045998, 346, 'US', 'US-CA', 'Bakersfield', 'no', '', '', '', 'Akers, Pumpkin Center Airpark, 55CL'),
	('32CL', 'small_airport', 'Bob''s Flying Service Inc Airport', 38.83319854736328, -121.71800231933594, 40, 'US', 'US-CA', 'Knights Landing', 'no', '32CL', '', '32CL', ''),
	('9CL7', 'small_airport', 'Old Aerodrome', 39.320825, -121.362807, 700, 'US', 'US-CA', 'Browns Valley', 'no', '9CL7', '', '9CL7', ''),
	('KBAB', 'medium_airport', 'Beale Air Force Base', 39.136101, -121.436996, 113, 'US', 'US-CA', 'Beale Air Force Base', 'no', 'KBAB', 'BAB', 'BAB', 'Marysville'),
	('48CN', 'closed', 'Sallaberry Ranch Strip', 37.057201, -120.143997, 263, 'US', 'US-CA', 'Madera', 'no', '', '', '', '48CN'),
	('KREW', 'N/A', 'N/A', 39.285763911902905, -123.08876842260361, 282, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KAUN', 'small_airport', 'Auburn Municipal Airport', 38.95479965, -121.0820007, 1539, 'US', 'US-CA', 'Auburn', 'no', 'KAUN', 'AUN', 'AUN', ''),
	('73CA', 'small_airport', 'Bear Valley Airport', 38.457706, -120.041991, 7073, 'US', 'US-CA', 'Bear Valley', 'no', '73CA', '', '73CA', 'Bear Valley STOLport'),
	('KVCB', 'small_airport', 'Nut Tree Airport', 38.376801, -121.961998, 117, 'US', 'US-CA', 'Vacaville', 'no', 'KVCB', '', 'VCB', ''),
	('4CA8', 'closed', 'Yandell Ranch Airport', 37.640624, -121.163285, 40, 'US', 'US-CA', 'Modesto', 'no', '', '', '', '4CA8'),
	('M90', 'small_airport', 'William Robert Johnston Municipal Airport', 36.7585983276, -120.371002197, 162, 'US', 'US-CA', 'Mendota', 'no', 'M90', '', 'M90', 'Q84'),
	('2O3', 'small_airport', 'Angwin Airport-Parrett Field', 38.578499, -122.434998, 1875, 'US', 'US-CA', 'Angwin', 'no', '', '', '2O3', ''),
	('CA18', 'small_airport', 'Sunrise Dusters Airport', 38.874987, -121.710172, 24, 'US', 'US-CA', 'Robbins', 'no', 'CA18', '', 'CA18', 'Wagner Aviation Airport'),
	('3CA5', 'closed', 'Haws Airport', 36.9416, -120.242995, 192, 'US', 'US-CA', 'Madera', 'no', '', '', '', '3CA5'),
	('KBLU', 'small_airport', 'Blue Canyon Nyack Airport', 39.2750015259, -120.709999084, 5284, 'US', 'US-CA', 'Emigrant Gap', 'no', 'KBLU', 'BLU', 'BLU', ''),
	('KSAC', 'medium_airport', 'Sacramento Executive Airport', 38.5125007629, -121.492996216, 24, 'US', 'US-CA', 'Sacramento', 'no', 'KSAC', 'SAC', 'SAC', 'Sutterville Aerodrome, Sacramento Municipal'),
	('CN12', 'small_airport', 'Williams Gliderport', 39.16350173950195, -122.13200378417969, 68, 'US', 'US-CA', 'Williams', 'no', 'CN12', '', 'CN12', ''),
	('C83', 'small_airport', 'Byron Airport', 37.82647, -121.621699, 79, 'US', 'US-CA', 'Byron', 'no', '', '', 'C83', ''),
	('63CL', 'small_airport', 'G3 Ranch Airport', 38.71659851074219, -122.13899993896484, 360, 'US', 'US-CA', 'Capay', 'no', '63CL', '', '63CL', ''),
	('92CL', 'small_airport', 'Moronis Airport', 39.10319900512695, -121.8499984741211, 35, 'US', 'US-CA', 'Meridian', 'no', '92CL', '', '92CL', ''),
	('60CL', 'small_airport', 'California Highway Patrol Academy Airport', 38.594499, -121.568188, 20, 'US', 'US-CA', 'West Sacramento', 'no', '60CL', '', '60CL', ''),
	('15CL', 'closed', 'Hunt Farms Airport', 37.342701, -120.403999, 223, 'US', 'US-CA', 'Merced', 'no', '', '', '', '15CL, Rancho Zanjon'),
	('1O2', 'small_airport', 'Lampson Field', 38.9906005859, -122.901000977, 1379, 'US', 'US-CA', 'Lakeport', 'no', '1O2', 'CKE', '1O2', ''),
	('80CA', 'small_airport', 'Bacchi Valley Industries Airport', 38.817133, -120.922541, 760, 'US', 'US-CA', 'Lotus', 'no', '80CA', '', '80CA', ''),
	('76CL', 'closed', 'Emmett Field', 37.083646, -120.500951, 135, 'US', 'US-CA', 'Dos Palos', 'no', '', '', '', '76CL'),
	('28CA', 'small_airport', 'Dos Palos Airport', 36.964044, -120.62994, 118, 'US', 'US-CA', 'Dos Palos', 'no', '28CA', '', '28CA', ''),
	('CL77', 'small_airport', 'Bonny Doon Village Airport', 37.070499420166016, -122.12699890136719, 2020, 'US', 'US-CA', 'Santa Cruz', 'no', 'CL77', '', 'CL77', ''),
	('O15', 'small_airport', 'Turlock Municipal Airport', 37.48740005493164, -120.6969985961914, 159, 'US', 'US-CA', 'Turlock', 'no', 'KO15', '', 'O15', ''),
	('CN38', 'small_airport', 'Flying B Ranch Airport', 38.34130096435547, -121.43699645996094, 19, 'US', 'US-CA', 'Franklin', 'no', 'CN38', '', 'CN38', ''),
	('O69', 'small_airport', 'Petaluma Municipal Airport', 38.25780106, -122.6060028, 90, 'US', 'US-CA', 'Petaluma', 'no', 'O69', '', 'O69', ''),
	('34CN', 'small_airport', 'Bonanza Hills Airport', 37.52349853515625, -120.39800262451172, 295, 'US', 'US-CA', 'Snelling', 'no', '34CN', '', '34CN', ''),
	('67CA', 'small_airport', 'Chapman Farms Airport', 37.072491, -120.376215, 175, 'US', 'US-CA', 'Chowchilla', 'no', '67CA', '', '67CA', ''),
	('KMAX', 'N/A', 'N/A', 39.26962673664093, -122.4812887609005, 385, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRC', 'closed', 'NASA Crows Landing Airport', 37.408000946045, -121.10900115967, 166, 'US', 'US-CA', 'Crows Landing', 'no', '', '', '', 'NALF Crows Landing, KNRC, NRC, NRC'),
	('O88', 'small_airport', 'Rio Vista Municipal Airport', 38.19340133666992, -121.7040023803711, 20, 'US', 'US-CA', 'Rio Vista', 'no', 'KO88', '', 'O88', ''),
	('9CL2', 'small_airport', 'Christensen Ranch Airport', 36.87160110473633, -121.33699798583984, 380, 'US', 'US-CA', 'Hollister', 'no', '9CL2', '', '9CL2', ''),
	('KSNS', 'medium_airport', 'Salinas Municipal Airport', 36.662799835205, -121.60600280762, 85, 'US', 'US-CA', 'Salinas', 'no', 'KSNS', 'SNS', 'SNS', ''),
	('CL01', 'small_airport', 'Eagle Field', 36.899899, -120.667999, 153, 'US', 'US-CA', 'Dos Palos', 'no', 'CL01', '', 'CL01', ''),
	('CA20', 'small_airport', 'Eagle''s Nest Airport', 38.43258, -121.016507, 220, 'US', 'US-CA', 'Ione', 'no', 'CA20', '', 'CA20', ''),
	('KSUU', 'medium_airport', 'Travis Air Force Base', 38.262699, -121.927002, 62, 'US', 'US-CA', 'Fairfield', 'no', 'KSUU', 'SUU', 'SUU', ''),
	('CN95', 'small_airport', 'Heritage Field Airport', 37.9933056, -121.4922903, -24, 'US', 'US-CA', 'Stockton', 'no', 'CN95', '', 'CN95', ''),
	('KSTS', 'medium_airport', 'Charles M. Schulz Sonoma County Airport', 38.50899887, -122.8130035, 128, 'US', 'US-CA', 'Santa Rosa', 'yes', 'KSTS', 'STS', 'STS', ''),
	('64CN', 'closed', 'Sunrise Dusters Airport', 38.818745, -121.714171, 25, 'US', 'US-CA', 'Knights Landing', 'no', '', '', '', '64CN'),
	('63CN', 'small_airport', 'Meadowlark Field', 37.66130065917969, -121.69400024414063, 730, 'US', 'US-CA', 'Livermore', 'no', '63CN', '', '63CN', ''),
	('08CL', 'small_airport', 'Kistler Ranch Airport', 37.858272, -120.552079, 1025, 'US', 'US-CA', 'Jamestown', 'no', '08CL', '', '08CL', ''),
	('CA07', 'small_airport', 'Scheidel Ranch Airport', 38.8401985168457, -121.56199645996094, 28, 'US', 'US-CA', 'Pleasant Grove', 'no', 'CA07', '', 'CA07', ''),
	('T38', 'small_airport', 'Bar V K Airport', 33.3764, -97.243416, 765, 'US', 'US-TX', 'Bolivar', 'no', '', '', 'T38', 'TX32'),
	('KTRK', 'medium_airport', 'Truckee Tahoe Airport', 39.318628, -120.140562, 5900, 'US', 'US-CA', 'Truckee', 'yes', 'KTRK', 'TKF', 'TRK', ''),
	('KGOO', 'small_airport', 'Nevada County Airport', 39.223998, -121.002997, 3152, 'US', 'US-CA', 'Grass Valley', 'no', 'KGOO', '', 'GOO', 'O17, Nevada County Air Park, Loma Rica Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KREE', 'N/A', 'N/A', 39.27740782499313, -123.07742044329643, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E36', 'small_airport', 'Georgetown Airport', 38.921100616455, -120.86499786377, 2623, 'US', 'US-CA', 'Georgetown', 'no', 'E36', '', 'E36', 'Q61'),
	('KSQL', 'medium_airport', 'San Carlos Airport', 37.51313, -122.250838, 5, 'US', 'US-CA', 'San Carlos', 'yes', 'KSQL', 'SQL', 'SQL', 'San Carlos-Belmont Airport, San Mateo Country Airport'),
	('KBEL', 'N/A', 'N/A', 39.18855797499418, -121.42009779810905, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMCC', 'medium_airport', 'McClellan Airfield', 38.667599, -121.401001, 77, 'US', 'US-CA', 'Sacramento', 'no', 'KMCC', 'MCC', 'MCC', 'McClellan AFB'),
	('KCCR', 'medium_airport', 'Buchanan Field', 37.9897, -122.056999, 26, 'US', 'US-CA', 'Concord', 'yes', 'KCCR', 'CCR', 'CCR', ''),
	('KLHM', 'small_airport', 'Lincoln Regional Karl Harder Field', 38.909199, -121.350998, 121, 'US', 'US-CA', 'Lincoln', 'no', 'KLHM', '', 'LHM', 'O51'),
	('27CL', 'small_airport', 'Sopwith Farm Airport', 38.747100830078125, -121.572998046875, 20, 'US', 'US-CA', 'Pleasant Grove', 'no', '27CL', '', '27CL', ''),
	('4CA2', 'small_airport', 'Funny Farm Airport', 37.9468994140625, -121.64700317382813, 29, 'US', 'US-CA', 'Brentwood', 'no', '4CA2', '', '4CA2', ''),
	('KMOD', 'medium_airport', 'Modesto City Co-Harry Sham Field', 37.625801, -120.954002, 97, 'US', 'US-CA', 'Modesto', 'no', 'KMOD', 'MOD', 'MOD', ''),
	('69CL', 'small_airport', 'Medlock Field', 38.615501403808594, -121.74700164794922, 48, 'US', 'US-CA', 'Davis', 'no', '69CL', '', '69CL', ''),
	('CA74', 'heliport', 'Hemet Valley Hospital Helistop', 33.751828, -116.960794, 1250, 'US', 'US-CA', 'Hemet', 'no', '', '', '', 'CA74'),
	('KYOU', 'N/A', 'N/A', 38.462055176496506, -122.19436123967171, 269, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('45CN', 'small_airport', 'Hermitage Airport', 37.880691, -120.194936, 2700, 'US', 'US-CA', 'Groveland', 'no', '45CN', '', '45CN', ''),
	('3CN7', 'small_airport', 'Alta Mesa Airpark', 38.379143, -121.221728, 125, 'US', 'US-CA', 'Wilton', 'no', '3CN7', '', '3CN7', ''),
	('CL11', 'small_airport', 'Ferdun Ranch Airport', 38.13460159301758, -121.22000122070313, 64, 'US', 'US-CA', 'Lodi', 'no', 'CL11', '', 'CL11', ''),
	('67CL', 'small_airport', 'Davis Airport', 39.20100021362305, -122.04900360107422, 45, 'US', 'US-CA', 'Colusa', 'no', '67CL', '', '67CL', ''),
	('D83', 'small_airport', 'Boonville Airport', 39.012699127197, -123.38300323486, 371, 'US', 'US-CA', 'Boonville', 'no', 'D83', '', 'D83', 'Q17'),
	('9CL0', 'small_airport', 'Turlock Airpark', 37.47079849243164, -120.84400177001953, 100, 'US', 'US-CA', 'Turlock', 'no', '9CL0', '', '9CL0', ''),
	('59CN', 'small_airport', 'James Brothers Airport', 38.83489990234375, -121.52999877929688, 25, 'US', 'US-CA', 'Pleasant Grove', 'no', '59CN', '', '59CN', ''),
	('CN44', 'small_airport', 'Flying Bull Airport', 37.620231, -121.165331, 40, 'US', 'US-CA', 'Modesto', 'no', 'CN44', '', 'CN44', ''),
	('CA35', 'small_airport', 'San Rafael Airport', 38.01689910888672, -122.52100372314453, 5, 'US', 'US-CA', 'San Rafael', 'no', 'CA35', '', 'CA35', ''),
	('38CL', 'small_airport', 'Riego Flight Strip', 38.75410079956055, -121.56300354003906, 21, 'US', 'US-CA', 'Verona', 'no', '38CL', '', '38CL', ''),
	('40CL', 'heliport', 'Joby Aero, Inc Heliport', 37.024194, -122.156749, 632, 'US', 'US-CA', 'Santa Cruz', 'no', '40CL', '', '40CL', ''),
	('E55', 'small_airport', 'Ocean Ridge Airport', 38.801300048828, -123.5299987793, 940, 'US', 'US-CA', 'Gualala', 'no', 'E55', '', 'E55', 'Q69'),
	('KMRY', 'medium_airport', 'Monterey Peninsula Airport', 36.58700180053711, -121.84300231933594, 257, 'US', 'US-CA', 'Monterey', 'yes', 'KMRY', 'MRY', 'MRY', ''),
	('71CL', 'small_airport', 'Gunnersfield Ranch Airport', 39.352699279785156, -122.09400177001953, 62, 'US', 'US-CA', 'Delevan', 'no', '71CL', '', '71CL', ''),
	('90CA', 'small_airport', 'Fowler''s Airport', 38.003501892089844, -121.11900329589844, 77, 'US', 'US-CA', 'Linden', 'no', '90CA', '', '90CA', ''),
	('E27', 'closed', 'Elk Grove Airport', 38.392399, -121.331001, 54, 'US', 'US-CA', 'Elk Grove', 'no', '', '', '', 'E27'),
	('0Q3', 'small_airport', 'Sonoma Valley Airport', 38.223499, -122.449997, 10, 'US', 'US-CA', 'Schellville/Sonoma', 'no', '0Q3', '', '0Q3', ''),
	('49CL', 'small_airport', 'El Peco Ranch Airport', 36.90549850463867, -120.177001953125, 213, 'US', 'US-CA', 'Madera', 'no', '49CL', '', '49CL', ''),
	('CN20', 'seaplane_base', 'Ferndale Resort Seaplane Base', 39.00299835205078, -122.7969970703125, 1326, 'US', 'US-CA', 'Kelseyville', 'no', 'CN20', '', 'CN20', ''),
	('CA57', 'small_airport', 'Blake Sky Park Airport', 38.458321, -122.050046, 310, 'US', 'US-CA', 'Vacaville', 'no', 'CA57', '', 'CA57', ''),
	('CA03', 'small_airport', 'Flying M Airport', 37.36167, -120.284479, 280, 'US', 'US-CA', 'Planada', 'no', 'CA03', '', 'CA03', 'John Myers'),
	('KLSN', 'small_airport', 'Los Banos Municipal Airport', 37.06290054, -120.8690033, 121, 'US', 'US-CA', 'Los Banos', 'no', 'KLSN', 'LSN', 'LSN', ''),
	('CL04', 'small_airport', 'Sky Way Estates Airport', 38.410701751708984, -121.23500061035156, 92, 'US', 'US-CA', 'Elk Grove', 'no', 'CL04', '', 'CL04', ''),
	('KJAQ', 'N/A', 'N/A', 38.37680283933878, -120.79391106963158, 514, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOAK', 'large_airport', 'San Francisco Bay Oakland International Airport', 37.720085, -122.221184, 9, 'US', 'US-CA', 'Oakland', 'yes', 'KOAK', 'OAK', 'OAK', 'Metro Oakland International'),
	('54CN', 'small_airport', 'Akin Airport', 38.754101, -120.899002, 1595, 'US', 'US-CA', 'Placerville', 'no', '54CN', '', '54CN', '60Q'),
	('KHWD', 'small_airport', 'Hayward Executive Airport', 37.659198761, -122.122001648, 52, 'US', 'US-CA', 'Hayward', 'no', 'KHWD', 'HWD', 'HWD', 'Hayward Air Terminal'),
	('3O1', 'small_airport', 'Gustine Airport', 37.262699127197266, -120.96299743652344, 75, 'US', 'US-CA', 'Gustine', 'no', 'K3O1', '', '3O1', ''),
	('KDWA', 'small_airport', 'Yolo County Davis Woodland Winters Airport', 38.57910156, -121.8570023, 100, 'US', 'US-CA', 'Davis/Woodland/Winters', 'no', 'KDWA', '', 'DWA', 'Formerly 2Q3'),
	('CN19', 'small_airport', 'Las Serpientes Airport', 37.933101654052734, -121.61299896240234, 10, 'US', 'US-CA', 'Knightsen', 'no', 'CN19', '', 'CN19', ''),
	('38CN', 'small_airport', 'Sanborn Airport', 39.10929870605469, -121.88400268554688, 36, 'US', 'US-CA', 'Meridian', 'no', '38CN', '', '38CN', ''),
	('4CL3', 'small_airport', 'Antelope Valley Ranch Airport', 39.14605, -122.356716, 530, 'US', 'US-CA', 'Williams', 'no', '4CL3', '', '4CL3', ''),
	('1C9', 'small_airport', 'Frazier Lake Airpark', 36.95330047607422, -121.46499633789063, 151, 'US', 'US-CA', 'Hollister', 'no', '1C9', '', '1C9', ''),
	('0Q9', 'small_airport', 'Sonoma Skypark Airport', 38.257702, -122.433998, 20, 'US', 'US-CA', 'Sonoma', 'no', '0Q9', '', '0Q9', ''),
	('CA39', 'small_airport', 'Belos Cavalos Airport', 38.434595, -122.563524, 450, 'US', 'US-CA', 'Santa Rosa', 'no', 'CA39', '', 'CA39', 'Graywood Ranch'),
	('CA21', 'small_airport', 'Limberlost Ranch Airport', 39.22046, -121.213896, 1650, 'US', 'US-CA', 'Penn Valley', 'no', 'CA21', '', 'CA21', ''),
	('KTUO', 'N/A', 'N/A', 37.67770282924175, -120.27425765991211, 397, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KVAA', 'N/A', 'N/A', 38.234030194580555, -120.83655908703804, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('O22', 'small_airport', 'Columbia Airport', 38.030399322499996, -120.415000916, 2118, 'US', 'US-CA', 'Columbia', 'no', 'O22', 'COA', 'O22', ''),
	('KMAE', 'small_airport', 'Madera Municipal Airport', 36.9886016846, -120.111999512, 255, 'US', 'US-CA', 'Madera', 'no', 'KMAE', 'MAE', 'MAE', ''),
	('KPAO', 'medium_airport', 'Palo Alto Airport', 37.461102, -122.114998, 4, 'US', 'US-CA', 'Palo Alto', 'no', 'KPAO', 'PAO', 'PAO', 'Santa Clara County'),
	('2O6', 'small_airport', 'Chowchilla Airport', 37.11240005493164, -120.24700164794922, 242, 'US', 'US-CA', 'Chowchilla', 'no', 'K2O6', '', '2O6', ''),
	('KMYV', 'medium_airport', 'Yuba County Airport', 39.09780121, -121.5699997, 64, 'US', 'US-CA', 'Marysville', 'no', 'KMYV', 'MYV', 'MYV', 'Marysville AAF'),
	('F72', 'small_airport', 'Franklin Field', 38.304901123047, -121.43000030518, 21, 'US', 'US-CA', 'Franklin', 'no', 'F72', '', 'F72', 'Q53'),
	('CN22', 'closed', 'Northrop Anaheim Heliport', 33.865002, -117.917, 160, 'US', 'US-CA', 'Anaheim', 'no', '', '', '', 'CN22'),
	('KMPI', 'small_airport', 'Mariposa Yosemite Airport', 37.5108985901, -120.040000916, 2254, 'US', 'US-CA', 'Mariposa', 'no', 'KMPI', 'RMY', 'MPI', ''),
	('CA32', 'small_airport', 'San Joaquin Airport', 36.606525, -120.219499, 165, 'US', 'US-CA', 'San Joaquin', 'no', 'CA32', '', 'CA32', ''),
	('13CL', 'small_airport', 'Maine Prairie Airport', 38.38130187988281, -121.8239974975586, 40, 'US', 'US-CA', 'Dixon', 'no', '13CL', '', '13CL', ''),
	('2CL2', 'closed', 'McCabe Ranch Airport', 39.010948, -122.097995, 65, 'US', 'US-CA', 'Arbuckle', 'no', '', '', '', '2CL2, 2CL2, 2CL2'),
	('CL84', 'small_airport', 'Ahlem Farms Airport', 37.388301849365234, -120.927001953125, 73, 'US', 'US-CA', 'Hilmar', 'no', 'CL84', '', 'CL84', ''),
	('0CN2', 'small_airport', 'Sutter Butte Dusters Airport', 39.228622, -121.688265, 67, 'US', 'US-CA', 'Live Oak', 'no', '0CN2', '', '0CN2', ''),
	('1O3', 'small_airport', 'Lodi Airport', 38.20240021, -121.2679977, 60, 'US', 'US-CA', 'Lodi', 'no', 'K1O3', '', '1O3', ''),
	('20CL', 'small_airport', 'Mysterious Valley Airport', 38.749298, -122.366997, 1410, 'US', 'US-CA', 'Pope Valley', 'no', '20CL', '', '20CL', ''),
	('KSJC', 'large_airport', 'Norman Y. Mineta San Jose International Airport', 37.362452, -121.929188, 62, 'US', 'US-CA', 'San Jose', 'yes', 'KSJC', 'SJC', 'SJC', ''),
	('CA22', 'small_airport', 'Lauppes Strip', 38.759300231933594, -121.58499908447266, 23, 'US', 'US-CA', 'Sacramento', 'no', 'CA22', '', 'CA22', ''),
	('CA45', 'closed', 'Stevinson Strip', 37.323827, -120.86287, 79, 'US', 'US-CA', 'Stevinson', 'no', '', '', '', 'CA45'),
	('KOAR', 'small_airport', 'Marina Municipal Airport', 36.68190002, -121.762001, 137, 'US', 'US-CA', 'Marina', 'no', 'KOAR', 'OAR', 'OAR', 'Fritzsche AAF'),
	('8CL6', 'small_airport', 'Moller Airport', 39.28850173950195, -122.18900299072266, 85, 'US', 'US-CA', 'Maxwell', 'no', '8CL6', '', '8CL6', ''),
	('KMCE', 'medium_airport', 'Merced Regional Macready Field', 37.284698, -120.514, 155, 'US', 'US-CA', 'Merced', 'yes', 'KMCE', 'MCE', 'MCE', ''),
	('O61', 'small_airport', 'Cameron Park Airport', 38.683998, -120.987999, 1286, 'US', 'US-CA', 'Cameron Park', 'no', '', '', 'O61', 'Cameron Airpark'),
	('CN13', 'small_airport', 'Borges - Clarksburg Airport', 38.443199, -121.509003, 16, 'US', 'US-CA', 'Clarksburg', 'no', 'CN13', '', 'CN13', ''),
	('CA71', 'small_airport', 'Horse Shoe A Ranch Airport', 38.439775, -120.887933, 750, 'US', 'US-CA', 'Drytown', 'no', 'CA71', '', 'CA71', ''),
	('CN99', 'small_airport', 'Del Mar Farms Airport', 37.5464444, -121.1585778, 65, 'US', 'US-CA', 'Patterson', 'no', 'CN99', '', 'CN99', ''),
	('CN24', 'closed', 'Flying R Airport', 38.283001, -121.254997, 70, 'US', 'US-CA', 'Galt', 'no', '', '', '', '9Q2, CN24'),
	('CA16', 'small_airport', 'Holtsmans Airport', 38.72909927368164, -121.38899993896484, 120, 'US', 'US-CA', 'Rio Linda', 'no', 'CA16', '', 'CA16', ''),
	('7CL9', 'small_airport', 'Perryman Airport', 38.696463, -120.732858, 2600, 'US', 'US-CA', 'Placerville', 'no', '7CL9', '', '7CL9', '64Q'),
	('KDVO', 'small_airport', 'Marin County Airport - Gnoss Field', 38.143600463867, -122.55599975586, 2, 'US', 'US-CA', 'Novato', 'no', 'KDVO', 'NOT', 'DVO', 'O56'),
	('44CL', 'closed', 'Cortopassi Airport', 38.013802, -121.125999, 80, 'US', 'US-CA', 'Linden', 'no', '', '', '', '44CL'),
	('E45', 'small_airport', 'Pine Mountain Lake Airport', 37.861528, -120.178176, 2930, 'US', 'US-CA', 'Groveland', 'no', '', '', 'E45', 'Q68'),
	('L53', 'small_airport', 'Lodi Airpark', 38.08409881591797, -121.31600189208984, 25, 'US', 'US-CA', 'Lodi', 'no', 'L53', '', 'L53', ''),
	('1Q4', 'small_airport', 'New Jerusalem Airport', 37.6791, -121.300003, 62, 'US', 'US-CA', 'Tracy', 'no', 'K1Q4', '', '1Q4', ''),
	('53CL', 'small_airport', 'Lofty Redwoods Airport', 38.85960006713867, -123.59100341796875, 1317, 'US', 'US-CA', 'Anchor Bay', 'no', '53CL', '', '53CL', ''),
	('05CL', 'small_airport', 'Pope Valley Airport', 38.6106987, -122.39099884, 618, 'US', 'US-CA', 'Pope Valley', 'no', '05CL', '', '05CL', ''),
	('KRHV', 'small_airport', 'Reid-Hillview Airport of Santa Clara County', 37.332901001, -121.819000244, 135, 'US', 'US-CA', 'San Jose', 'no', 'KRHV', 'RHV', 'RHV', ''),
	('KTCY', 'small_airport', 'Tracy Municipal Airport', 37.68899917602539, -121.44200134277344, 193, 'US', 'US-CA', 'Tracy', 'no', 'KTCY', '', 'TCY', ''),
	('09CL', 'small_airport', 'Alta Sierra Airport', 39.113800048828125, -121.05699920654297, 2275, 'US', 'US-CA', 'Grass Valley', 'no', '09CL', '', '09CL', ''),
	('5CA8', 'small_airport', 'Howard Private Airport', 38.256536, -120.931845, 480, 'US', 'US-CA', 'Ione', 'no', '5CA8', '', '5CA8', ''),
	('KSCK', 'medium_airport', 'Stockton Metropolitan Airport', 37.893279, -121.238079, 33, 'US', 'US-CA', 'Stockton', 'yes', 'KSCK', 'SCK', 'SCK', ''),
	('6CL9', 'closed', 'Peoria Airport', 37.9217, -120.514999, 830, 'US', 'US-CA', 'Jamestown', 'no', '', '', '', '6CL9'),
	('KCLB', 'N/A', 'N/A', 38.935040943324566, -122.62393534183502, 421, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KUKI', 'medium_airport', 'Ukiah Municipal Airport', 39.125999, -123.200996, 614, 'US', 'US-CA', 'Ukiah', 'no', 'KUKI', 'UKI', 'UKI', ''),
	('34CA', 'closed', 'Fiddyment Field', 38.79209899902344, -121.37300109863281, 98, 'US', 'US-CA', 'Roseville', 'no', '', '', '', '34CA, 34CA, 34CA'),
	('CA73', 'small_airport', 'Vanderford Ranch Company Airport', 39.095699310302734, -121.71600341796875, 42, 'US', 'US-CA', 'Yuba City', 'no', 'CA73', '', 'CA73', ''),
	('74CA', 'closed', 'R.I. San Bernardino G/L Helistop', 34.074501, -117.268997, 1030, 'US', 'US-CA', 'San Bernardino', 'no', '', '', '', '74CA'),
	('O52', 'small_airport', 'Sutter County Airport', 39.12369918823242, -121.6050033569336, 58, 'US', 'US-CA', 'Yuba City', 'no', 'KO52', '', 'O52', ''),
	('Q79', 'N/A', 'N/A', 38.87147393077612, -122.67731621861458, 631, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHES', 'N/A', 'N/A', 38.65285847336054, -122.89864182472229, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPVF', 'small_airport', 'Placerville Airport', 38.724201202393, -120.75299835205, 2585, 'US', 'US-CA', 'Placerville', 'no', 'KPVF', 'PVF', 'PVF', ''),
	('KSMF', 'large_airport', 'Sacramento International Airport', 38.6954, -121.591003, 27, 'US', 'US-CA', 'Sacramento', 'yes', 'KSMF', 'SMF', 'SMF', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('5CA9', 'seaplane_base', 'Konocti  - Clear Lake Seaplane Base', 38.977699, -122.718002, 1326, 'US', 'US-CA', 'Kelseyville', 'no', '5CA9', '', '5CA9', ''),
	('CA59', 'small_airport', 'Vestal Strip', 38.79159927368164, -121.58399963378906, 23, 'US', 'US-CA', 'Verona', 'no', 'CA59', '', 'CA59', ''),
	('57CN', 'small_airport', 'Van Vleck Airport', 38.46910095214844, -121.07499694824219, 175, 'US', 'US-CA', 'Rancho Murieta', 'no', '57CN', '', '57CN', ''),
	('CA54', 'closed', '33 Strip', 37.670259, -121.327933, 81, 'US', 'US-CA', 'Tracy', 'no', '', '', '', 'CA54'),
	('KTAC', 'N/A', 'N/A', 36.58480793237686, -120.35707756876945, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCVH', 'N/A', 'N/A', 36.89334712922573, -121.41027510166168, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEDU', 'small_airport', 'University Airport', 38.531502, -121.786489, 69, 'US', 'US-CA', 'Davis', 'no', 'KEDU', '', 'EDU', '0O5'),
	('8CA8', 'small_airport', 'Wallom Field', 38.06740188598633, -121.20800018310547, 56, 'US', 'US-CA', 'Lodi', 'no', '8CA8', '', '8CA8', ''),
	('KMEC', 'N/A', 'N/A', 37.17628229409456, -120.48921167850494, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('O08', 'small_airport', 'Colusa County Airport', 39.17900085, -121.9929962, 50, 'US', 'US-CA', 'Colusa', 'no', 'KO08', '', 'O08', ''),
	('O41', 'small_airport', 'Watts Woodland Airport', 38.673901, -121.872002, 125, 'US', 'US-CA', 'Woodland', 'no', '', '', 'O41', ''),
	('0O0', 'seaplane_base', 'San Luis Reservoir Seaplane Base', 37.05830001831055, -121.1259994506836, 544, 'US', 'US-CA', 'Los Banos', 'no', '0O0', '', '0O0', ''),
	('C39', 'seaplane_base', 'Folsom Lake Seaplane Base', 38.70719909667969, -121.13300323486328, 466, 'US', 'US-CA', 'Folsom', 'no', 'C39', '', 'C39', ''),
	('KCPU', 'small_airport', 'Calaveras Co Maury Rasmussen Field', 38.14609909057617, -120.64800262451172, 1325, 'US', 'US-CA', 'San Andreas', 'no', 'KCPU', '', 'CPU', ''),
	('KMER', 'medium_airport', 'Castle Airport', 37.38050079, -120.5680008, 191, 'US', 'US-CA', 'Merced', 'no', 'KMER', 'MER', 'MER', ''),
	('KSFO', 'large_airport', 'San Francisco International Airport', 37.619806, -122.374821, 13, 'US', 'US-CA', 'San Francisco', 'yes', 'KSFO', 'SFO', 'SFO', 'QSF, QBA'),
	('KESS', 'N/A', 'N/A', 37.84577239304781, -120.96598371863365, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('O20', 'small_airport', 'Kingdon Airpark', 38.091599, -121.359001, 15, 'US', 'US-CA', 'Lodi', 'no', 'KO20', '', 'O20', ''),
	('E16', 'small_airport', 'San Martin Airport', 37.08160019, -121.5970001, 281, 'US', 'US-CA', 'San Martin', 'no', 'E16', '', 'E16', 'Q99, South County Airport of Santa Clara County'),
	('KNAA', 'N/A', 'N/A', 38.26129283756018, -122.2851911187172, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KWVI', 'small_airport', 'Watsonville Municipal Airport', 36.9356994629, -121.790000916, 163, 'US', 'US-CA', 'Watsonville', 'no', 'KWVI', 'WVI', 'WVI', ''),
	('CA51', 'small_airport', 'The Sea Ranch Airport', 38.7046012878418, -123.43299865722656, 360, 'US', 'US-CA', 'The Sea Ranch', 'no', 'CA51', '', 'CA51', ''),
	('6CA6', 'small_airport', 'Eagle Ridge Ranch Airport', 38.327701568603516, -120.47699737548828, 2870, 'US', 'US-CA', 'Railroad Flat', 'no', '6CA6', '', '6CA6', ''),
	('22CA', 'seaplane_base', 'Commodore Center Seaplane Base', 37.878893, -122.512697, 0, 'US', 'US-CA', 'Mill Valley', 'no', '22CA', '', '22CA', ''),
	('KNUQ', 'medium_airport', 'Moffett Federal Airfield', 37.4161, -122.049004, 32, 'US', 'US-CA', 'Mountain View', 'no', 'KNUQ', 'NUQ', 'NUQ', ''),
	('CN29', 'small_airport', 'J-B Airport', 37.93519973754883, -121.01499938964844, 103, 'US', 'US-CA', 'Farmington', 'no', 'CN29', '', 'CN29', ''),
	('CA19', 'small_airport', 'Camanche Skypark Airport', 38.263511, -120.924006, 520, 'US', 'US-CA', 'Ione', 'no', 'CA19', '', 'CA19', '05Q'),
	('2CL9', 'small_airport', 'Mustang Airport', 38.33440017700195, -121.30400085449219, 45, 'US', 'US-CA', 'Galt', 'no', '2CL9', '', '2CL9', ''),
	('L36', 'small_airport', 'Rio Linda Airport', 38.674999, -121.445, 45, 'US', 'US-CA', 'Rio Linda', 'no', 'L36', '', 'L36', ''),
	('8Q0', 'closed', 'Travis Air Force Base Aero Club', 38.269688, -121.972081, 51, 'US', 'US-CA', 'Fairfield', 'no', '', '', '', '8Q0'),
	('9CL9', 'small_airport', 'Spezia Airport', 38.21659851074219, -121.53399658203125, 0, 'US', 'US-CA', 'Walnut Grove', 'no', '9CL9', '', '9CL9', ''),
	('9CL1', 'closed', 'Johnson Ranch Airport', 37.191101, -120.276001, 240, 'US', 'US-CA', 'Le Grand', 'no', '', '', '', '9CL1'),
	('KRIU', 'small_airport', 'Rancho Murieta Airport', 38.48680114746094, -121.10299682617188, 141, 'US', 'US-CA', 'Rancho Murieta', 'no', 'KRIU', '', 'RIU', ''),
	('5CL3', 'small_airport', 'Mapes Ranch Airport', 37.667999267578125, -121.1989974975586, 34, 'US', 'US-CA', 'Modesto', 'no', '5CL3', '', '5CL3', ''),
	('0CN1', 'small_airport', 'Fiorini Ranch Airport', 37.452178, -120.764758, 140, 'US', 'US-CA', 'Delhi', 'no', '0CN1', '', '0CN1', ''),
	('KAPC', 'small_airport', 'Napa County Airport', 38.2132, -122.280998, 35, 'US', 'US-CA', 'Napa', 'no', 'KAPC', 'APC', 'APC', ''),
	('KGRV', 'N/A', 'N/A', 38.172625713050365, -122.12298095226288, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMHR', 'medium_airport', 'Sacramento Mather Airport', 38.554744, -121.297989, 98, 'US', 'US-CA', 'Sacramento', 'no', 'KMHR', 'MHR', 'MHR', ''),
	('65CN', 'small_airport', 'Bottimore Ranch Airport', 38.303434, -121.250868, 70, 'US', 'US-CA', 'Galt', 'no', '65CN', '', '65CN', '03Q'),
	('F34', 'small_airport', 'Firebaugh Airport', 36.860000610352, -120.46399688721, 157, 'US', 'US-CA', 'Firebaugh', 'no', 'F34', '', 'F34', 'Q49'),
	('25CL', 'small_airport', 'Van Dyke Strip', 38.867218, -121.489429, 48, 'US', 'US-CA', 'Pleasant Grove', 'no', '25CL', '', '25CL', '66Q'),
	('12CN', 'small_airport', 'Richter Airport', 39.268306, -122.116689, 57, 'US', 'US-CA', 'Maxwell', 'no', '12CN', '', '12CN', ''),
	('O27', 'small_airport', 'Oakdale Airport', 37.75630188, -120.8000031, 237, 'US', 'US-CA', 'Oakdale', 'no', 'O27', 'ODC', 'O27', ''),
	('O60', 'small_airport', 'Cloverdale Municipal Airport', 38.77600098, -122.9929962, 277, 'US', 'US-CA', 'Cloverdale', 'no', 'O60', '', 'O60', ''),
	('26CA', 'small_airport', 'Boeckmann Ranch Airport', 38.42689895629883, -121.1719970703125, 100, 'US', 'US-CA', 'Wilton', 'no', '26CA', '', '26CA', ''),
	('6CL8', 'small_airport', 'Harley Airport', 37.950801849365234, -121.24299621582031, 20, 'US', 'US-CA', 'Stockton', 'no', '6CL8', '', '6CL8', ''),
	('NGZ', 'N/A', 'N/A', 37.78898399323225, -122.32068657875061, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CA67', 'small_airport', 'Westley Airport', 37.54800033569336, -121.20500183105469, 96, 'US', 'US-CA', 'Westley', 'no', 'CA67', '', 'CA67', ''),
	('18CL', 'small_airport', 'Bowles Airport', 39.2859992980957, -121.69400024414063, 75, 'US', 'US-CA', 'Live Oak', 'no', '18CL', '', '18CL', ''),
	('KLVK', 'small_airport', 'Livermore Municipal Airport', 37.6934013367, -121.819999695, 400, 'US', 'US-CA', 'Livermore', 'no', 'KLVK', 'LVK', 'LVK', ''),
	('CA34', 'closed', 'Flea Port Heliport', 37.3736, -121.879997, 76, 'US', 'US-CA', 'San Jose', 'no', '', '', '', 'CA34');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('51CL', 'small_airport', 'Vetters Sky Ranch Airport', 38.230499267578125, -121.22200012207031, 80, 'US', 'US-CA', 'Galt', 'no', '51CL', '', '51CL', ''),
	('53CN', 'small_airport', 'Thayer Aviation Airport', 39.074902, -121.917999, 54, 'US', 'US-CA', 'Grimes', 'no', '53CN', '', '53CN', '00Q'),
	('17CL', 'small_airport', 'Las Trancas Airport', 37.088545, -122.273691, 125, 'US', 'US-CA', 'Davenport', 'no', '17CL', '', '17CL', '6Q6'),
	('CA66', 'small_airport', 'Monterey Bay Academy Airport', 36.90610122680664, -121.84300231933594, 70, 'US', 'US-CA', 'Watsonville', 'no', 'CA66', '', 'CA66', ''),
	('KHAF', 'small_airport', 'Half Moon Bay Airport', 37.513401031499995, -122.500999451, 66, 'US', 'US-CA', 'Half Moon Bay', 'no', 'KHAF', 'HAF', 'HAF', ''),
	('01CL', 'small_airport', 'Swansboro Country Airport', 38.7999, -120.734001, 2594, 'US', 'US-CA', 'Placerville', 'no', '01CL', '', '01CL', ''),
	('KWOO', 'N/A', 'N/A', 38.79922661930323, -121.83066979050636, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7CA6', 'closed', 'West Side Field Station Airport', 36.338799, -120.110001, 280, 'US', 'US-CA', 'Five Points', 'no', '', '', '', '7CA6'),
	('0CA4', 'small_airport', 'Shepherd Farm Airport', 34.6222, -120.065002, 660, 'US', 'US-CA', 'Santa Ynez', 'no', '0CA4', '', '0CA4', 'Shepherd Ranch'),
	('KVBG', 'medium_airport', 'Vandenberg Space Force Base', 34.737301, -120.584, 369, 'US', 'US-CA', 'Lompoc', 'no', 'KVBG', 'VBG', 'VBG', ''),
	('KTAA', 'N/A', 'N/A', 35.76156388968229, -120.6870125234127, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('O23', 'closed', 'Pinnacles Ranch Airport', 36.510201, -121.135002, 1200, 'US', 'US-CA', 'Paicines', 'no', '', '', '', 'O23, CL56'),
	('KBUE', 'N/A', 'N/A', 34.03718378394842, -120.34926027059555, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCOA', 'N/A', 'N/A', 36.1599725112319, -120.36047011613846, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSYL', 'N/A', 'N/A', 35.814245492219925, -120.74346989393234, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('33CL', 'small_airport', 'Oak Country Ranch Airport', 35.56829833984375, -120.7969970703125, 1200, 'US', 'US-CA', 'Paso Robles', 'no', '33CL', '', '33CL', ''),
	('66CA', 'small_airport', 'Rancho San Simeon Airport', 35.60770034790039, -121.11000061035156, 320, 'US', 'US-CA', 'Cambria', 'no', '66CA', '', '66CA', ''),
	('KCAL', 'N/A', 'N/A', 36.40954501926899, -121.72916159033775, 694, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5CA7', 'small_airport', 'Agro-West Airport', 36.334538, -120.247532, 335, 'US', 'US-CA', 'Five Points', 'no', '5CA7', '', '5CA7', 'Harris-Agro West'),
	('KSBP', 'medium_airport', 'San Luis County Regional Airport', 35.236801147499996, -120.641998291, 212, 'US', 'US-CA', 'San Luis Obispo', 'yes', 'KSBP', 'SBP', 'SBP', 'SLO Airport'),
	('KSAM', 'N/A', 'N/A', 35.400278717279434, -120.61592996120453, 301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KKIC', 'small_airport', 'Mesa Del Rey Airport', 36.2280006409, -121.122001648, 370, 'US', 'US-CA', 'King City', 'no', 'KKIC', 'KIC', 'KIC', ''),
	('3CA7', 'small_airport', 'Metz Airport', 36.32830047607422, -121.18699645996094, 240, 'US', 'US-CA', 'Greenfield', 'no', '3CA7', '', '3CA7', ''),
	('74CN', 'small_airport', 'Camatta Ranch Airstrip', 35.47585, -120.30864, 1358, 'US', 'US-CA', 'Santa Margarita', 'no', '74CN', '', '74CN', ''),
	('36CN', 'closed', 'Blackwell Land Company Airport', 35.63618, -120.009035, 760, 'US', 'US-CA', 'Lost Hills', 'no', '', '', '', '36CN'),
	('CA62', 'small_airport', 'McMillan Assault Strip', 35.719101, -120.767998, 920, 'US', 'US-CA', 'Camp Roberts', 'no', 'CA62', '', 'CA62', ''),
	('KPRB', 'medium_airport', 'Paso Robles Municipal Airport', 35.67290115, -120.6269989, 840, 'US', 'US-CA', 'Paso Robles', 'no', 'KPRB', 'PRB', 'PRB', ''),
	('0CA3', 'small_airport', 'Crawford Airport', 34.587501525878906, -120.01300048828125, 570, 'US', 'US-CA', 'Santa Ynez', 'no', '0CA3', '', '0CA3', ''),
	('CA88', 'small_airport', 'San Ardo Field', 36.026074, -120.908382, 441, 'US', 'US-CA', 'San Ardo', 'no', 'CA88', '', 'CA88', ''),
	('Q89', 'N/A', 'N/A', 35.645159371197224, -120.84885478019714, 446, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KKII', 'N/A', 'N/A', 35.94150457531214, -121.0686805844307, 306, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3O8', 'small_airport', 'Harris Ranch Airport', 36.247813, -120.238323, 470, 'US', 'US-CA', 'Coalinga', 'no', 'K3O8', '', '3O8', ''),
	('3CA4', 'N/A', 'N/A', 36.20132144540548, -120.08605420589447, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLPC', 'small_airport', 'Lompoc Airport', 34.665599823, -120.468002319, 88, 'US', 'US-CA', 'Lompoc', 'no', 'KLPC', 'LPC', 'LPC', ''),
	('KISS', 'N/A', 'N/A', 33.9961976185441, -120.0455367565155, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0CA9', 'small_airport', 'Blech Ranch Airport', 35.592797, -120.338058, 1140, 'US', 'US-CA', 'Shandon', 'no', '0CA9', '', '0CA9', ''),
	('KLOP', 'N/A', 'N/A', 34.04328916221857, -120.41187554597855, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CA69', 'small_airport', 'Avenal Gliderport', 36.00303, -120.142194, 790, 'US', 'US-CA', 'Avenal', 'no', 'CA69', '', 'CA69', 'AVE'),
	('KSMX', 'medium_airport', 'Santa Maria Public Airport Captain G Allan Hancock Field', 34.898899, -120.457001, 261, 'US', 'US-CA', 'Santa Maria', 'yes', 'KSMX', 'SMX', 'SMX', ''),
	('O62', 'closed', 'Carmel Valley Vintage Airfield', 36.481484, -121.729116, 450, 'US', 'US-CA', 'Carmel Valley', 'no', '', '', '', 'O62'),
	('C80', 'small_airport', 'New Coalinga Municipal Airport', 36.16310119628906, -120.29399871826172, 622, 'US', 'US-CA', 'Coalinga', 'no', '', 'CLG', 'C80', ''),
	('CN66', 'small_airport', 'Hearst San Simeon Airstrip', 35.663764, -121.198944, 190, 'US', 'US-CA', 'San Simeon', 'no', 'CN66', '', 'CN66', 'Hearst Ranch, Hearst Castle Airport'),
	('5CL1', 'small_airport', 'Hart Ranch Airport', 35.40470123, -120.5250015, 1380, 'US', 'US-CA', 'Santa Margarita', 'no', '5CL1', '', '5CL1', ''),
	('KIZA', 'small_airport', 'Santa Ynez Airport', 34.60680008, -120.0759964, 674, 'US', 'US-CA', 'Santa Ynez', 'no', 'KIZA', 'SQA', 'IZA', ''),
	('0CA1', 'closed', 'Northside Airpark', 34.9883003235, -120.458000183, 190, 'US', 'US-CA', 'Santa Maria', 'no', '', '', '', '0CA1'),
	('3CA9', 'small_airport', 'Clark Ranch Airport', 36.36330032348633, -121.30999755859375, 276, 'US', 'US-CA', 'Soledad', 'no', '3CA9', '', '3CA9', ''),
	('KLOS', 'N/A', 'N/A', 35.31446110457182, -120.00195398926735, 599, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('95CA', 'small_airport', 'Bonel Airport', 35.669256, -120.547936, 1030, 'US', 'US-CA', 'Paso Robles', 'no', '95CA', '', '95CA', ''),
	('L52', 'small_airport', 'Oceano County Airport', 35.10139846801758, -120.62200164794922, 14, 'US', 'US-CA', 'Oceano', 'no', 'L52', '', 'L52', ''),
	('NTGV', 'medium_airport', 'Mataiva Airport', -14.8681001663208, -148.7169952392578, 11, 'PF', 'PF-U-A', '', 'yes', 'NTGV', 'MVT', '', ''),
	('NTGU', 'medium_airport', 'Arutua Airport', -15.248299598693848, -146.61700439453125, 9, 'PF', 'PF-U-A', '', 'yes', 'NTGU', 'AXR', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NTKN', 'small_airport', 'Naiu Airport', -16.119296, -146.368768, 50, 'PF', 'PF-U-A', 'Naiu Atoll', 'yes', 'NTKN', 'NIU', '', 'Tupana'),
	('NTGD', 'small_airport', 'Apataki Airport', -15.5736, -146.414993, 8, 'PF', 'PF-U-A', 'Apataki', 'yes', 'NTGD', 'APK', '', ''),
	('NTGC', 'medium_airport', 'Tikehau Airport', -15.119600296020508, -148.2310028076172, 6, 'PF', 'PF-U-A', '', 'yes', 'NTGC', 'TIH', '', ''),
	('NTHE', 'medium_airport', 'Ahe Airport', -14.428099632263184, -146.2570037841797, 11, 'PF', 'PF-U-A', 'Ahe Atoll', 'yes', 'NTHE', 'AHE', '', 'Tenukupara'),
	('NTTG', 'medium_airport', 'Rangiroa Airport', -14.954299926757813, -147.66099548339844, 10, 'PF', 'PF-U-A', '', 'yes', 'NTTG', 'RGI', '', ''),
	('NTGK', 'medium_airport', 'Kaukura Airport', -15.6633, -146.884995, 11, 'PF', 'PF-U-A', 'Raitahiti', 'yes', 'NTGK', 'KKR', '', ''),
	('NTAA', 'large_airport', 'Faa''a International Airport', -17.553699, -149.606995, 5, 'PF', 'PF-U-A', 'Papeete', 'yes', 'NTAA', 'PPT', '', ''),
	('NTTM', 'medium_airport', 'Moorea Temae Airport', -17.48979, -149.761777, 9, 'PF', 'PF-U-A', 'Moorea-Maiao', 'yes', 'NTTM', 'MOZ', '', 'Temae Airport, Moorea Temae Airport'),
	('NTTE', 'small_airport', 'Tetiaroa Airport', -17.015095, -149.589372, 7, 'PF', 'PF-U-A', 'Tetiaroa', 'no', 'NTTE', 'TTI', '', ''),
	('NTKF', 'small_airport', 'Faaite Airport', -16.68657, -145.329394, 7, 'PF', 'PF-U-A', 'Faaite', 'no', 'NTKF', 'FAC', '', ''),
	('NTGT', 'medium_airport', 'Takapoto Airport', -14.709500312805176, -145.24600219726563, 12, 'PF', 'PF-U-A', '', 'yes', 'NTGT', 'TKP', '', ''),
	('NTKA', 'small_airport', 'Kauehi Airport', -15.780622, -145.128443, 13, 'PF', 'PF-U-A', 'Kauehi', 'yes', 'NTKA', 'KHZ', '', ''),
	('NTGM', 'medium_airport', 'Makemo Airport', -16.5839, -143.658005, 3, 'PF', 'PF-U-A', 'Makemo', 'yes', 'NTGM', 'MKP', '', ''),
	('NTGR', 'small_airport', 'Aratika-Perles Airport', -15.622861, -145.496578, 7, 'PF', 'PF-U-A', 'Aratika Atoll', 'no', 'NTGR', '', '', ''),
	('NTGI', 'medium_airport', 'Manihi Airport', -14.436800003051758, -146.07000732421875, 14, 'PF', 'PF-U-A', '', 'yes', 'NTGI', 'XMH', '', ''),
	('NTGF', 'medium_airport', 'Fakarava Airport', -16.054100036621094, -145.65699768066406, 13, 'PF', 'PF-U-A', '', 'yes', 'NTGF', 'FAV', '', ''),
	('NTKR', 'medium_airport', 'Takaroa Airport', -14.45580005645752, -145.02499389648438, 13, 'PF', 'PF-U-A', '', 'yes', 'NTKR', 'TKX', '', ''),
	('NTKK', 'small_airport', 'Aratika Nord Airport', -15.485673, -145.464778, 10, 'PF', 'PF-U-A', '', 'no', 'NTKK', 'RKA', '', ''),
	('NTKT', 'small_airport', 'Katiu Airport', -16.339681, -144.407966, 7, 'PF', 'PF-U-A', 'Katiu', 'no', 'NTKT', 'KXU', '', 'Taungataki'),
	('NTGH', 'small_airport', 'Hikueru Airport', -17.548297, -142.612037, 12, 'PF', 'PF-U-A', 'Hikueru', 'yes', 'NTGH', 'HHZ', '', ''),
	('NTGA', 'medium_airport', 'Anaa Airport', -17.3526, -145.509995, 10, 'PF', 'PF-U-A', 'Anaa', 'yes', 'NTGA', 'AAA', '', ''),
	('NTMU', 'small_airport', 'Ua Huka Airport', -8.936228, -139.554062, 160, 'PF', 'PF-U-A', 'Ua Huka', 'yes', 'NTMU', 'UAH', '', ''),
	('NTMD', 'medium_airport', 'Nuku Hiva Airport', -8.7956, -140.229004, 220, 'PF', 'PF-U-A', 'Nuku Hiva', 'yes', 'NTMD', 'NHV', '', ''),
	('NTMN', 'medium_airport', 'Hiva Oa-Atuona Airport', -9.76879024506, -139.011001587, 1481, 'PF', 'PF-U-A', 'Hiva Oa Island', 'yes', 'NTMN', 'AUQ', '', 'HIX'),
	('NTMP', 'small_airport', 'Ua Pou Airport', -9.35167, -140.078003, 16, 'PF', 'PF-U-A', 'Ua Pou', 'yes', 'NTMP', 'UAP', '', ''),
	('NTKH', 'small_airport', 'Fakahina Airport', -15.992259, -140.164246, 3, 'PF', 'PF-U-A', 'Fakahina', 'yes', 'NTKH', 'FHZ', '', ''),
	('NTKM', 'small_airport', 'Takume Airport', -15.857434, -142.266469, 7, 'PF', 'PF-U-A', 'Takume', 'no', 'NTKM', 'TJN', '', 'Ohomo'),
	('NTGP', 'small_airport', 'Puka Puka Airport', -14.80955, -138.812621, 5, 'PF', 'PF-U-A', '', 'yes', 'NTGP', 'PKP', '', ''),
	('NTKO', 'small_airport', 'Raroia Airport', -16.050485, -142.476568, 18, 'PF', 'PF-U-A', 'Raroia', 'yes', 'NTKO', 'RRR', '', ''),
	('NTGB', 'medium_airport', 'Fangatau Airport', -15.820044, -140.888071, 9, 'PF', 'PF-U-A', 'Fangatau', 'yes', 'NTGB', 'FGU', '', ''),
	('NTGN', 'small_airport', 'Napuka Island Airport', -14.177397, -141.266112, 7, 'PF', 'PF-U-A', 'Napuka Island', 'yes', 'NTGN', 'NAU', '', ''),
	('NTUV', 'small_airport', 'Vahitahi Airport', -18.780697, -138.85568, 9, 'PF', 'PF-U-A', 'Vahitahi', 'no', 'NTUV', 'VHZ', '', ''),
	('NTTO', 'medium_airport', 'Hao Airport', -18.0748, -140.945999, 10, 'PF', 'PF-U-A', 'Otepa', 'yes', 'NTTO', 'HOI', '', ''),
	('NTGW', 'small_airport', 'Nukutavake Airport', -19.284613, -138.768367, 17, 'PF', 'PF-U-A', 'Nukutavake', 'no', 'NTGW', 'NUK', '', ''),
	('NTTX', 'small_airport', 'Moruroa Airport', -21.80978, -138.813385, 7, 'PF', 'PF-U-A', 'Moruroa Atoll', 'no', 'NTTX', 'UOA', '', ''),
	('NTGQ', 'small_airport', 'Pukaruha Airport', -18.295726, -137.016291, 5, 'PF', 'PF-U-A', 'Pukaruha', 'no', 'NTGQ', 'PUK', '', ''),
	('NTGO', 'small_airport', 'Tatakoto Airport', -17.355226, -138.44734, 12, 'PF', 'PF-U-A', 'Tatakoto', 'yes', 'NTGO', 'TKV', '', ''),
	('NTGS', 'small_airport', 'Marutea Airport', -21.482194900512695, -135.63705444335938, 10, 'PF', 'PF-U-A', 'Auorotini', 'no', 'NTGS', '', '', ''),
	('NTGY', 'small_airport', 'Tureia Airport', -20.784262, -138.56796, 12, 'PF', 'PF-U-A', 'Tureia', 'no', 'NTGY', 'ZTA', '', ''),
	('NTAT', 'medium_airport', 'Tubuai Airport', -23.365400314331055, -149.5240020751953, 7, 'PF', 'PF-U-A', '', 'yes', 'NTAT', 'TUB', '', ''),
	('NTAV', 'small_airport', 'Raivavae Airport', -23.885201, -147.662003, 7, 'PF', 'PF-U-A', '', 'yes', 'NTAV', 'RVV', '', ''),
	('NTGJ', 'medium_airport', 'Totegegie Airport', -23.07990074157715, -134.88999938964844, 7, 'PF', 'PF-U-A', '', 'yes', 'NTGJ', 'GMR', '', ''),
	('CYCB', 'medium_airport', 'Cambridge Bay Airport', 69.1081008911, -105.138000488, 90, 'CA', 'CA-NU', 'Cambridge Bay', 'yes', 'CYCB', 'YCB', '', ''),
	('CYRB', 'medium_airport', 'Resolute Bay Airport', 74.7169036865, -94.9693984985, 215, 'CA', 'CA-NU', 'Resolute Bay', 'yes', 'CYRB', 'YRB', '', ''),
	('CYUS', 'N/A', 'N/A', 68.79594717174768, -93.41907307505608, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFF4', 'small_airport', 'Great Bear Lake Airport', 66.703053, -119.716816, 562, 'CA', 'CA-NT', 'Great Bear Lake', 'no', 'CFF4', 'DAS', 'CFF4', 'FF4'),
	('CEM3', 'small_airport', 'Whatì Airport', 63.13169860839844, -117.24600219726563, 882, 'CA', 'CA-NT', 'Whatì', 'yes', 'CEM3', 'YLE', 'CEM3', 'EM3'),
	('CYRA', 'small_airport', 'Rae Lakes Airport', 64.116096, -117.309998, 723, 'CA', 'CA-NT', 'Gamètì', 'yes', 'CYRA', 'YRA', '', ''),
	('CFV3', 'small_airport', 'Mobil Bistcho Airport', 59.4747326918, -119.006137848, 2000, 'CA', 'CA-AB', 'Mobil Bistcho', 'no', 'CFV3', '', 'CFV3', 'FV3'),
	('CPB8', 'small_airport', 'Paramount Bistcho Airport', 59.6381, -118.333, 1969, 'CA', 'CA-AB', 'Paramount Bistcho', 'no', 'CPB8', '', 'CPB8', ''),
	('CYJP', 'small_airport', 'Fort Providence Airport', 61.319400787353516, -117.60600280761719, 524, 'CA', 'CA-NT', 'Fort Providence', 'no', 'CYJP', '', '', 'YJP');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CFT9', 'closed', 'Zama Lake Airport', 59.0639, -118.889999, 1242, 'CA', 'CA-AB', 'Zama Lake', 'no', '', '', '', 'FT9, CFT9'),
	('CFB7', 'small_airport', 'Steen River Airport', 59.633301, -117.167, 996, 'CA', 'CA-AB', 'Steen River', 'no', 'CFB7', '', 'CFB7', 'FB7'),
	('CFG7', 'closed', 'Steen Tower Airport', 59.633301, -117.782997, 2320, 'CA', 'CA-AB', 'Steen Tower', 'no', '', '', '', 'FV5, CFG7'),
	('FX5', 'N/A', 'N/A', 59.94393523782492, -118.07858794927597, 642, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFL8', 'N/A', 'N/A', 59.89697344601154, -116.35406658053398, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CEX5', 'closed', 'Zama Airport', 59.1519012451, -118.707000732, 1296, 'CA', 'CA-AB', 'Zama', 'no', '', '', '', 'EX5, CEX5, CEX5'),
	('CFK3', 'closed', 'Fontas Airport', 57.795974, -119.456692, 2950, 'CA', 'CA-AB', 'Fontas', 'no', '', '', '', 'FK3, CFK3, CFK3'),
	('CFX4', 'small_airport', 'Manning Municipal Airport', 56.950802, -117.643997, 1612, 'CA', 'CA-AB', 'Manning', 'no', 'CFX4', '', 'CFX4', 'FX4'),
	('CFN5', 'small_airport', 'La Crete Airport', 58.172875198199996, -116.337919235, 1046, 'CA', 'CA-AB', 'La Crete', 'no', 'CFN5', '', 'CFN5', 'FN5'),
	('CFH3', 'N/A', 'N/A', 57.73892506957054, -117.61976659297943, 402, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYHP', 'N/A', 'N/A', 58.27185720205307, -116.4514473080635, 294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFM5', 'closed', 'Hamburg Airport', 57.355285, -119.76531, 2540, 'CA', 'CA-AB', 'Manning', 'no', '', '', '', 'FM5, CFM5, Apache/Hamburg, Shell/Hamburg, Apache'),
	('CED2', 'closed', 'Chinchaga Airport', 57.5428009033, -119.130996704, 2280, 'CA', 'CA-AB', 'Chinchaga', 'no', '', '', '', 'ED2, CED2, CED2'),
	('CEJ5', 'closed', 'Cadotte Airport', 56.457558, -116.353841, 1900, 'CA', 'CA-AB', 'Cadotte Lake', 'no', '', '', '', 'EJ5, CEJ5'),
	('CFE5', 'N/A', 'N/A', 56.396102607250214, -116.88173085451126, 610, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYOJ', 'medium_airport', 'High Level Airport', 58.62139892578125, -117.16500091552734, 1110, 'CA', 'CA-AB', 'High Level', 'yes', 'CYOJ', 'YOJ', '', ''),
	('CFX3', 'small_airport', 'Doig Airport', 56.956315, -119.514886, 3500, 'CA', 'CA-AB', 'Doig', 'no', 'CFX3', '', 'CFX3', 'FX3'),
	('cln4', 'small_airport', 'Beaverlodge / Clanachan Field', 55.234493, -119.841591, 2694, 'CA', 'CA-AB', '', 'no', 'CLN4', '', 'CLN4', ''),
	('CFM4', 'small_airport', 'Donnelly Airport', 55.7094, -117.094002, 1949, 'CA', 'CA-AB', 'Donnelly', 'no', 'CFM4', 'YOE', 'CFM4', 'FM4'),
	('CEQ5', 'closed', 'Grande Cache Airport', 53.916901, -118.874001, 4117, 'CA', 'CA-AB', 'Grande Cache', 'no', '', '', '', 'EQ5, CEQ5, YGC, CEQ5'),
	('CYQU', 'medium_airport', 'Grande Prairie Airport', 55.1796989441, -118.885002136, 2195, 'CA', 'CA-AB', 'Grande Prairie', 'yes', 'CYQU', 'YQU', '', ''),
	('CED4', 'small_airport', 'Fox Creek Airport', 54.380001068115234, -116.76599884033203, 2842, 'CA', 'CA-AB', 'Fox Creek', 'no', 'CED4', '', 'CED4', 'ED4'),
	('CEU2', 'small_airport', 'Beaverlodge Airport', 55.184200286865234, -119.447998046875, 2289, 'CA', 'CA-AB', 'Beaverlodge', 'no', 'CEU2', '', 'CEU2', 'EU2'),
	('EX2', 'N/A', 'N/A', 55.80937273800373, -117.89241537451744, 562, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CEB5', 'small_airport', 'Fairview Airport', 56.081401825, -118.434997559, 2166, 'CA', 'CA-AB', 'Fairview', 'no', 'CEB5', 'ZFW', 'CEB5', 'EB5'),
	('CFD5', 'small_airport', 'Grimshaw Airport', 56.19611, -117.625278, 2050, 'CA', 'CA-AB', 'Grimshaw', 'no', 'CFD5', '', 'CFD5', 'FD5'),
	('CYET', 'medium_airport', 'Edson Airport', 53.578899383499994, -116.464996338, 3043, 'CA', 'CA-AB', 'Edson', 'no', 'CYET', 'YET', '', ''),
	('CNP6', 'small_airport', 'Nampa / Hockey', 55.914901, -117.136155, 2050, 'CA', 'CA-AB', '', 'no', 'CNP6', '', '', 'np6'),
	('CEL5', 'small_airport', 'Valleyview Airport', 55.032941, -117.294545, 2435, 'CA', 'CA-AB', 'Valleyview', 'no', 'CEL5', '', 'CEL5', 'EL5'),
	('CFG4', 'small_airport', 'Debolt Airport', 55.235238, -118.040028, 2120, 'CA', 'CA-AB', 'Debolt', 'no', 'CFG4', '', 'CFG4', 'FG4'),
	('CGL4', 'small_airport', 'Eaglesham (South) Airport', 55.67110061645508, -117.93599700927734, 1920, 'CA', 'CA-AB', 'Eaglesham', 'no', 'CGL4', '', 'CGL4', 'GL4'),
	('CYPE', 'medium_airport', 'Peace River Airport', 56.226898, -117.446999, 1873, 'CA', 'CA-AB', 'Peace River', 'yes', 'CYPE', 'YPE', '', ''),
	('CZHP', 'small_airport', 'High Prairie Airport', 55.3936, -116.474998, 1974, 'CA', 'CA-AB', 'High Prairie', 'no', 'CZHP', 'ZHP', '', 'ZHP'),
	('CFK7', 'N/A', 'N/A', 54.286849312484264, -119.84338358044624, 1120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFA6', 'N/A', 'N/A', 54.42125212401152, -118.9809487760067, 1222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYDS', 'N/A', 'N/A', 56.24785892665386, -119.79898363351822, 645, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CEE4', 'small_airport', 'Hinton / Entrance Airport', 53.381401062, -117.700996399, 3450, 'CA', 'CA-AB', 'Hinton', 'no', 'CEE4', '', 'CEE4', 'EE4'),
	('CRC3', 'small_airport', 'Ross Creek Airport', 50.965502, -119.2254, 1257, 'CA', 'CA-BC', 'Magna Bay', 'no', 'CRC3', '', 'CRC3', ''),
	('CYJA', 'small_airport', 'Jasper Airport', 52.996418, -118.060233, 3350, 'CA', 'CA-AB', 'Jasper', 'no', 'CYJA', 'YJA', '', ''),
	('CYCP', 'medium_airport', 'Blue River Airport', 52.11669921875, -119.28299713134766, 2240, 'CA', 'CA-BC', 'Blue River', 'no', 'CYCP', '', '', 'YCP'),
	('CEC4', 'small_airport', 'Jasper-Hinton Airport', 53.319199, -117.752998, 4006, 'CA', 'CA-AB', 'Hinton', 'no', 'CEC4', 'YJP', 'CEC4', 'EC4'),
	('FT7', 'N/A', 'N/A', 52.83685114234686, -116.71053797006607, 1399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CSQ2', 'N/A', 'N/A', 50.87926972657442, -119.59068238735199, 355, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYCI', 'N/A', 'N/A', 50.65945867449045, -119.79352220892906, 658, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CZAM', 'medium_airport', 'Shuswap Regional Airport', 50.682802, -119.228996, 1751, 'CA', 'CA-BC', 'Salmon Arm', 'no', 'CZAM', 'YSN', '', 'AM4, Shuswap Regional Airport, Salmon Arm Airport'),
	('CAH4', 'small_airport', 'Valemount Airport', 52.852736, -119.336266, 2615, 'CA', 'CA-BC', 'Valemount', 'no', 'CAH4', '', 'CAH4', 'AH4'),
	('CYGE', 'medium_airport', 'Golden Airport', 51.299196, -116.982002, 2575, 'CA', 'CA-BC', 'Golden', 'no', 'CYGE', '', '', 'AL4'),
	('CYRV', 'medium_airport', 'Revelstoke Airport', 50.962245, -118.184258, 1459, 'CA', 'CA-BC', 'Revelstoke', 'no', 'CYRV', 'YRV', '', 'YRV'),
	('CYCF', 'N/A', 'N/A', 50.64842473715544, -119.90109220147133, 352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0S7', 'small_airport', 'Dorothy Scott Airport', 48.959, -119.412003, 1064, 'US', 'US-WA', 'Oroville', 'no', 'K0S7', '', '0S7', ''),
	('73WA', 'small_airport', 'Seven Bays Airport', 47.849029, -118.333442, 1580, 'US', 'US-WA', 'Seven Bays', 'no', '73WA', '', '73WA', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ID24', 'small_airport', 'Timber Basin Airpark Inc Airport', 48.2234992980957, -116.43900299072266, 2220, 'US', 'US-ID', 'Sagle', 'no', 'ID24', '', 'ID24', ''),
	('51WT', 'small_airport', 'Whiterik Field', 48.008665, -118.36245, 1895, 'US', 'US-WA', 'Fruitland', 'no', '51WT', '', '51WT', ''),
	('KREP', 'N/A', 'N/A', 48.6232141032815, -118.72710585594177, 681, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CBM6', 'small_airport', 'Midway Airport', 49.0099983215332, -118.79000091552734, 1896, 'CA', 'CA-BC', 'Midway', 'no', 'CBM6', '', 'CBM6', 'BM6'),
	('WA72', 'small_airport', 'Zema Private Airport', 48.64469909667969, -117.93800354003906, 1854, 'US', 'US-WA', 'Colville', 'no', 'WA72', '', 'WA72', ''),
	('96ID', 'small_airport', 'Flying H Ranch Airport', 48.235098, -116.875634, 2230, 'US', 'US-ID', 'Priest River', 'no', '96ID', '', '96ID', ''),
	('63WA', 'small_airport', 'Boyle R & D Airport', 47.833209, -117.273645, 2350, 'US', 'US-WA', 'Colbert', 'no', '63WA', '', '63WA', ''),
	('KFAI', 'N/A', 'N/A', 47.81390178948641, -117.82052725553513, 535, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('C72', 'small_airport', 'Cross Winds Airport', 47.978058, -117.526975, 2150, 'US', 'US-WA', 'Clayton', 'no', '', '', 'C72', 'WN09'),
	('CAU3', 'small_airport', 'Oliver Airport', 49.173301696777344, -119.5510025024414, 1015, 'CA', 'CA-BC', 'Oliver', 'no', 'CAU3', '', 'CAU3', 'AU3'),
	('KOMK', 'small_airport', 'Omak Airport', 48.4644012451, -119.517997742, 1305, 'US', 'US-WA', 'Omak', 'no', 'KOMK', 'OMK', 'OMK', ''),
	('WA23', 'small_airport', 'Pine Bluff Airport', 48.020999908447266, -117.73899841308594, 2021, 'US', 'US-WA', 'Springdale', 'no', 'WA23', '', 'WA23', ''),
	('1ID3', 'small_airport', 'Beaux Ranch Field', 48.167965, -116.725331, 2079, 'US', 'US-ID', 'Sandpoint', 'no', '1ID3', '', '1ID3', ''),
	('63S', 'small_airport', 'Colville Municipal Airport', 48.54389953613281, -117.88400268554688, 1882, 'US', 'US-WA', 'Colville', 'no', '63S', '', '63S', ''),
	('67WA', 'small_airport', 'Page Airport', 46.016842, -118.368383, 800, 'US', 'US-WA', 'Walla Walla', 'no', 'WA10', '', 'WA10', '67WA, 9W2'),
	('W01', 'small_airport', 'Tonasket Municipal Airport', 48.7248683333, -119.465634722, 1311, 'US', 'US-WA', 'Tonasket', 'no', 'KW01', '', 'W01', ''),
	('67S', 'small_airport', 'Priest Lake Usfs Airport', 48.574902, -116.963997, 2611, 'US', 'US-ID', 'Nordman', 'no', '67S', '', '67S', ''),
	('WT37', 'small_airport', 'Lockwood Dry Coulee Airport', 48.368734, -119.616582, 1312, 'US', 'US-WA', 'Okanogan', 'no', 'WT37', '', 'WT37', ''),
	('ID05', 'small_airport', 'Hackney Airpark', 47.9567985534668, -116.677001953125, 2445, 'US', 'US-ID', 'Athol', 'no', 'ID05', '', 'ID05', ''),
	('22WA', 'small_airport', 'Gollehon Airport', 47.8202018737793, -118.68699645996094, 2360, 'US', 'US-WA', 'Wilbur', 'no', '22WA', '', '22WA', ''),
	('CYYF', 'medium_airport', 'Penticton Airport', 49.46310043334961, -119.60199737548828, 1129, 'CA', 'CA-BC', 'Penticton', 'yes', 'CYYF', 'YYF', '', ''),
	('S77', 'small_airport', 'Magee Airport', 47.84146, -116.25222, 3002, 'US', 'US-ID', 'Cataldo', 'no', 'KS77', '', 'S77', ''),
	('16WA', 'small_airport', 'Tightcliff Airport', 47.8447, -117.694, 1855, 'US', 'US-WA', 'Nine Mile Falls', 'no', '16WA', '', '16WA', ''),
	('02WN', 'small_airport', 'Fowler Field', 48.74580001831055, -119.31900024414063, 2150, 'US', 'US-WA', 'Tonasket', 'no', '02WN', '', '02WN', ''),
	('WA21', 'small_airport', 'Elk Heights Airport', 47.99987, -117.263577, 2050, 'US', 'US-WA', 'Elk', 'no', 'WN04', '', 'WN04', 'WA21'),
	('WT21', 'small_airport', 'Radial Flyer Airport', 47.894449, -117.440007, 2060, 'US', 'US-WA', 'Deer Park', 'no', 'WT21', '', '', ''),
	('ID34', 'closed', 'Granite Airport', 47.9846, -116.682999, 2260, 'US', 'US-ID', 'Athol', 'no', '', '', '', 'ID34'),
	('25WA', 'small_airport', 'Hart Ranch Airport', 48.576394, -119.064524, 2608, 'US', 'US-WA', 'Tonasket', 'no', '25WA', '', '25WA', ''),
	('WN04', 'closed', 'Erickson Ranch Airport', 48.39314, -118.09803, 2924, 'US', 'US-WA', 'Rice', 'no', '', '', '', 'WN04'),
	('45ID', 'small_airport', 'Fox Creek Airport', 48.330153, -116.826237, 2434, 'US', 'US-ID', 'Priest River', 'no', '45ID', '', '45ID', ''),
	('WN14', 'closed', 'Pete''s Airport', 47.841599, -117.446999, 2160, 'US', 'US-WA', 'Deer Park', 'no', '', '', '', 'WN14'),
	('S10', 'small_airport', 'Lake Chelan Airport', 47.866001, -119.943001, 1263, 'US', 'US-WA', 'Chelan', 'no', 'KS10', '', 'S10', ''),
	('2WA6', 'small_airport', 'Rice Ranch Airport', 47.997906, -119.087355, 2434, 'US', 'US-WA', 'Grand Coulee', 'no', '2WA6', '', '2WA6', ''),
	('S35', 'small_airport', 'Okanogan Legion Airport', 48.3619, -119.568001, 1042, 'US', 'US-WA', 'Okanogan', 'no', 'S35', '', 'S35', ''),
	('CAD4', 'small_airport', 'Trail Regional Airport', 49.055599, -117.609001, 1427, 'CA', 'CA-BC', 'Trail', 'yes', 'CAD4', 'YZZ', 'CAD4', 'AD4'),
	('S23', 'small_airport', 'Ione Municipal Airport', 48.708099, -117.413002, 2108, 'US', 'US-WA', 'Ione', 'no', 'S23', '', 'S23', ''),
	('05WN', 'small_airport', 'Flat Creek Field', 48.702222, -118.0475, 1570, 'US', 'US-WA', 'Kettle Falls', 'no', '05WN', '', '05WN', ''),
	('WN89', 'closed', 'Lee''s Airport', 47.887699, -117.344002, 1890, 'US', 'US-WA', 'Chattaroy', 'no', '', '', '', 'WN89'),
	('KSZT', 'small_airport', 'Sandpoint Airport', 48.299499511719, -116.55999755859, 2131, 'US', 'US-ID', 'Sandpoint', 'no', 'KSZT', '', 'SZT', 'S86'),
	('69S', 'small_airport', 'Avey Field State/Laurier Airport', 48.998264, -118.222605, 1655, 'US', 'US-WA', 'Laurier', 'no', '', '', '69S', 'Avey Field State Airport'),
	('CAQ5', 'small_airport', 'Nakusp Airport', 50.26639938354492, -117.81300354003906, 1689, 'CA', 'CA-BC', 'Nakusp', 'no', 'CAQ5', '', 'CAQ5', 'AQ5'),
	('66S', 'small_airport', 'Cavanaugh Bay Airport', 48.518168, -116.822047, 2484, 'US', 'US-ID', 'Coolin', 'no', '', '', '66S', ''),
	('82WN', 'small_airport', 'Magee Creek Aerodrome', 48.361371, -118.140814, 1945, 'US', 'US-WA', 'Rice', 'no', '82WN', '', '82WN', ''),
	('91WT', 'small_airport', 'River View Airpark', 47.8997, -119.8962, 1210, 'US', 'US-WA', 'Chelan', 'no', '', '', '91WT', '9WA, WT03'),
	('1WN0', 'small_airport', 'Schmidt Ranch Airport', 48.933293, -117.745845, 1335, 'US', 'US-WA', 'Northport', 'no', '1WN0', '', '1WN0', ''),
	('CZGF', 'medium_airport', 'Grand Forks Airport', 49.015598, -118.431, 1720, 'CA', 'CA-BC', 'Grand Forks', 'no', 'CZGF', 'ZGF', '', ''),
	('CBF9', 'small_airport', 'Mabel Lake Airport', 50.6088981628418, -118.73100280761719, 1410, 'CA', 'CA-BC', 'Mabel Lake', 'no', 'CBF9', '', 'CBF9', 'BF9'),
	('S97', 'small_airport', 'Anderson Field', 48.1049, -119.721001, 914, 'US', 'US-WA', 'Brewster', 'no', 'KS97', '', 'S97', ''),
	('09S', 'small_airport', 'Sullivan Lake State Airport', 48.84090042114258, -117.28399658203125, 2614, 'US', 'US-WA', 'Metaline Falls', 'no', '09S', '', '09S', ''),
	('CYVK', 'medium_airport', 'Vernon Regional Airport', 50.246163, -119.330963, 1140, 'CA', 'CA-BC', 'Vernon', 'no', 'CYVK', 'YVE', '', 'YVK'),
	('2ID4', 'closed', 'Silverwood Airport', 47.908199, -116.709, 2350, 'US', 'US-ID', 'Athol', 'no', '', '', '', 'S62, 2ID4');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1S6', 'small_airport', 'Priest River Municipal Airport', 48.190614, -116.909895, 2187, 'US', 'US-ID', 'Priest River', 'no', 'K1S6', '', '1S6', ''),
	('ID22', 'small_airport', 'Treeport Airport', 47.97800064086914, -116.79299926757813, 2500, 'US', 'US-ID', 'Spirit Lake', 'no', 'ID22', '', 'ID22', ''),
	('CBR2', 'small_airport', 'Kaslo Airport', 49.90359878540039, -116.93499755859375, 2354, 'CA', 'CA-BC', 'Kaslo', 'no', 'CBR2', '', 'CBR2', 'BR2'),
	('3W7', 'small_airport', 'Grand Coulee Dam Airport', 47.922000885, -119.083000183, 1588, 'US', 'US-WA', 'Electric City', 'no', '3W7', 'GCD', '3W7', ''),
	('9WA3', 'closed', 'River Bend Airport', 48.469601, -117.290001, 2040, 'US', 'US-WA', 'Cusick', 'no', '', '', '', '9WA3'),
	('65S', 'small_airport', 'Boundary County Airport', 48.7258, -116.294998, 2337, 'US', 'US-ID', 'Bonners Ferry', 'no', '', '', '65S', ''),
	('ID48', 'small_airport', 'Western Spur Airport', 47.92879867553711, -116.71099853515625, 2350, 'US', 'US-ID', 'Athol', 'no', 'ID48', '', 'ID48', ''),
	('ID61', 'small_airport', 'Valenov Ranch Airport', 48.296228, -117.016382, 2425, 'US', 'US-ID', 'Priest River', 'no', 'ID61', '', 'ID61', ''),
	('5WA0', 'small_airport', 'Sourdough Airport', 48.596393, -119.100423, 2640, 'US', 'US-WA', 'Tonasket', 'no', '5WA0', '', '5WA0', ''),
	('42WA', 'small_airport', 'Sheffels Ranch Airport', 47.81719970703125, -118.8010025024414, 2222, 'US', 'US-WA', 'Wilbur', 'no', '42WA', '', '42WA', ''),
	('39WA', 'small_airport', 'Tailskid Ranch Airport', 47.851898193359375, -117.78199768066406, 1910, 'US', 'US-WA', 'Tum Tum', 'no', '39WA', '', '39WA', ''),
	('ID25', 'small_airport', 'Olmstead Sky Ranch Airport', 48.350799560546875, -116.55400085449219, 2140, 'US', 'US-ID', 'Sandpoint', 'no', 'ID25', '', 'ID25', ''),
	('D28', 'seaplane_base', 'Tanglefoot Seaplane Base', 48.538898, -116.832001, 2438, 'US', 'US-ID', 'Cavanaugh Bay', 'no', 'D28', '', 'D28', ''),
	('KNET', 'N/A', 'N/A', 48.32850739359856, -117.2986949980259, 622, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYLW', 'medium_airport', 'Kelowna International Airport', 49.9561, -119.377998, 1421, 'CA', 'CA-BC', 'Kelowna', 'yes', 'CYLW', 'YLW', '', 'Kelowna, Okanagan'),
	('26ID', 'small_airport', 'Moose Lodge Airport', 48.363889, -116.403611, 2081, 'US', 'US-ID', 'Sandpoint', 'no', '26ID', '', '26ID', 'Seven Shamrock Airport'),
	('1S1', 'small_airport', 'Eckhart International Airport', 48.990189, -116.502113, 1756, 'US', 'US-ID', 'Bonners Ferry', 'no', 'K1S1', '', '1S1', 'Porthill'),
	('7WA4', 'small_airport', 'Humbert Airport', 47.85749816894531, -117.77999877929688, 1890, 'US', 'US-WA', 'Ford', 'no', '7WA4', '', '7WA4', ''),
	('CYCG', 'medium_airport', 'Castlegar/West Kootenay Regional Airport', 49.296398, -117.632004, 1624, 'CA', 'CA-BC', 'Castlegar', 'yes', 'CYCG', 'YCG', '', ''),
	('WA73', 'small_airport', 'Smith Airport', 48.525001525878906, -117.85299682617188, 2240, 'US', 'US-WA', 'Colville', 'no', 'WA73', '', 'WA73', ''),
	('CAJ3', 'small_airport', 'Creston Valley Regional Airport - Art Sutcliffe Field', 49.03689956665, -116.49800109863, 2070, 'CA', 'CA-BC', 'Creston', 'no', 'CAJ3', 'CFQ', 'CAJ3', 'AJ3'),
	('55ID', 'small_airport', 'Spear Valley Airport', 48.37956, -116.484781, 2220, 'US', 'US-ID', 'Sandpoint', 'no', '55ID', '', '55ID', ''),
	('57WA', 'closed', 'Kent Farms Airport', 46.873501, -119.129997, 1155, 'US', 'US-WA', 'Othello', 'no', '', '', '', '57WA'),
	('75WT', 'small_airport', 'Dickson Field', 48.984167, -119.298333, 3214, 'US', 'US-WA', 'Oroville', 'no', '75WT', '', '75WT', ''),
	('CZNL', 'small_airport', 'Nelson Airport', 49.4942016602, -117.301002502, 1755, 'CA', 'CA-BC', 'Nelson', 'no', 'CZNL', '', '', 'ZNL'),
	('07ID', 'closed', 'Interstate Airport', 42.274991, -113.301229, 4580, 'US', 'US-ID', 'Malta', 'no', '', '', '', '07ID'),
	('1S9', 'small_airport', 'Chewelah Municipal  Airport', 48.314098, -117.742995, 2084, 'US', 'US-WA', 'Chewelah', 'no', '', '', '1S9', 'Sand Canyon Airport'),
	('WA52', 'small_airport', 'Deer Flat Airport', 47.956425, -117.600671, 2200, 'US', 'US-WA', 'Deer Park', 'no', 'WA52', '', 'WA52', ''),
	('R49', 'small_airport', 'Ferry County Airport', 48.71819, -118.656491, 2522, 'US', 'US-WA', 'Republic', 'no', 'KR49', '', 'R49', ''),
	('61ID', 'small_airport', 'Flying W Ranch Airport', 48.189255, -116.98899, 2356, 'US', 'US-ID', 'Priest River', 'no', '61ID', '', '61ID', ''),
	('CBB9', 'small_airport', 'Osoyoos Airport', 49.0372009277, -119.488998413, 1100, 'CA', 'CA-BC', 'Osoyoos', 'no', 'CBB9', '', 'CBB9', 'BB9'),
	('KDEW', 'small_airport', 'Deer Park Airport', 47.966599, -117.427002, 2211, 'US', 'US-WA', 'Deer Park', 'no', 'KDEW', '', 'DEW', ''),
	('ID19', 'small_airport', 'Bird Number Two  Airport', 48.236288, -116.383467, 2192, 'US', 'US-ID', 'Sagle', 'no', 'ID19', '', 'ID19', ''),
	('2S8', 'small_airport', 'Wilbur Airport', 47.75419998168945, -118.74299621582031, 2182, 'US', 'US-WA', 'Wilbur', 'no', 'K2S8', '', '2S8', ''),
	('68S', 'small_airport', 'Davenport Municipal Airport', 47.652058, -118.173792, 2421, 'US', 'US-WA', 'Davenport', 'no', 'K68S', '', '68S', ''),
	('KLAB', 'N/A', 'N/A', 46.60609535872936, -116.77549436688423, 793, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEPP', 'N/A', 'N/A', 47.514056637883186, -119.7382378578186, 468, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9S9', 'small_airport', 'Lexington Airport', 45.454102, -119.690001, 1634, 'US', 'US-OR', 'Lexington', 'no', '', '', '9S9', ''),
	('32WA', 'closed', 'Whitestone Airport', 48.722778, -119.467222, 1310, 'US', 'US-WA', 'Tonasket', 'no', '', '', '', '32WA'),
	('97WA', 'small_airport', 'Basin City Airfield', 46.585335, -119.153711, 722, 'US', 'US-WA', 'Mesa', 'no', '97WA', '', '97WA', ''),
	('3WA2', 'small_airport', 'Hanes Airport', 47.500997, -118.233619, 2209, 'US', 'US-WA', 'Harrington', 'no', '3WA2', '', '3WA2', ''),
	('83OR', 'small_airport', 'Tamarack Springs Ranch Airport', 45.50130081176758, -117.47200012207031, 3445, 'US', 'US-OR', 'Lostine', 'no', '83OR', '', '83OR', ''),
	('WT88', 'small_airport', 'Hill Airport', 46.83974, -117.06131, 2700, 'US', 'US-WA', 'Palouse', 'no', 'WT88', '', 'WT88', ''),
	('S94', 'small_airport', 'Port of Whitman Business Air Center Airport', 46.8587, -117.414001, 2181, 'US', 'US-WA', 'Colfax', 'no', 'S94', '', 'S94', ''),
	('79WA', 'closed', 'Grigg Farm Airport', 47.173504, -119.747002, 1220, 'US', 'US-WA', 'Quincy', 'no', '', '', '', '79WA'),
	('ID42', 'closed', 'Shoshone BLM Heliport', 42.931901, -114.413001, 3980, 'US', 'US-ID', 'Shoshone', 'no', '', '', '', 'ID42'),
	('72S', 'small_airport', 'Rosalia Municipal Airport', 47.236602, -117.421424, 2169, 'US', 'US-WA', 'Rosalia', 'no', 'K72S', '', '72S', ''),
	('ID45', 'closed', 'Magic Valley Regional Medical Center Heliport', 42.564602, -114.495003, 3675, 'US', 'US-ID', 'Twin Falls', 'no', '', '', '', 'ID45'),
	('53WA', 'closed', 'Columbia Agricultural Airport', 46.2924, -118.983002, 535, 'US', 'US-WA', 'Pasco', 'no', '', '', '', '53WA'),
	('8WA7', 'small_airport', 'Gossard Field', 47.11520004272461, -117.5739974975586, 1973, 'US', 'US-WA', 'St John', 'no', '8WA7', '', '8WA7', ''),
	('8W3', 'small_airport', 'Mansfield Airport', 47.809244, -119.637191, 2272, 'US', 'US-WA', 'Mansfield', 'no', 'K8W3', '', '8W3', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('2WA2', 'closed', 'Quartermaster Harbor Seaplane Base', 47.379398, -122.445851, 0, 'US', 'US-WA', 'Dockton', 'no', '', '', '', '2WA2'),
	('WA00', 'small_airport', 'Mercer Ranch Airport', 45.898488, -119.915638, 780, 'US', 'US-WA', 'Alderdale', 'no', 'WA00', '', 'WA00', ''),
	('6WA4', 'small_airport', 'Ochoa Field', 46.862659, -119.142937, 1149, 'US', 'US-WA', 'Othello', 'no', '6WA4', '', '6WA4', ''),
	('91WA', 'small_airport', 'Christensen Bros Wahluke Strip', 46.70819854736328, -119.8010025024414, 840, 'US', 'US-WA', 'Mattawa', 'no', '91WA', '', '91WA', ''),
	('ID27', 'small_airport', 'Hawk Haven Airport', 47.75550079, -116.8590012, 2333, 'US', 'US-ID', 'Coeur d Alene', 'no', 'ID27', '', 'ID27', ''),
	('70S', 'small_airport', 'Mead Flying Service Airport', 47.787200927734375, -117.35800170898438, 1905, 'US', 'US-WA', 'Mead', 'no', '70S', '', '70S', ''),
	('WN41', 'small_airport', 'Redfern Aerodrome', 47.304401, -117.961998, 2050, 'US', 'US-WA', 'Sprague', 'no', 'WN41', '', 'WN41', ''),
	('WA49', 'small_airport', 'Flying R Ranch Airport', 47.50279998779297, -117.64800262451172, 2450, 'US', 'US-WA', 'Cheney', 'no', 'WA49', '', 'WA49', ''),
	('03WA', 'small_airport', 'Spangle Field', 47.408199310302734, -117.37200164794922, 2440, 'US', 'US-WA', 'Spangle', 'no', '03WA', '', '03WA', ''),
	('KPUL', 'N/A', 'N/A', 46.65809769183397, -117.16709777712822, 773, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3WA4', 'small_airport', 'Watson Airport', 46.71649932861328, -118.61799621582031, 1349, 'US', 'US-WA', 'Kahlotus', 'no', '3WA4', '', '3WA4', ''),
	('WN31', 'small_airport', 'Slinkard Airfield', 46.603059, -119.062589, 890, 'US', 'US-WA', 'Mesa', 'no', 'WN31', '', 'WN31', ''),
	('6ID1', 'small_airport', 'Regan Ranch Airport', 47.643278, -116.700461, 2720, 'US', 'US-ID', 'Coeur d''Alene', 'no', '6ID1', '', '6ID1', ''),
	('7OR0', 'small_airport', 'Minam Lodge Airport', 45.35820007324219, -117.63400268554688, 3589, 'US', 'US-OR', 'Cove', 'no', '7OR0', '', '7OR0', ''),
	('1W0', 'closed', 'J-Z Airport', 47.722099, -118.943001, 1950, 'US', 'US-WA', 'Almira', 'no', '', '', '', '1W0'),
	('WA76', 'closed', 'Columbia Crest Winery Airport', 45.955386, -119.622381, 640, 'US', 'US-WA', 'Paterson', 'no', '', '', '', 'WA76'),
	('11WA', 'small_airport', 'Homeport Airport', 47.523693, -117.469554, 2320, 'US', 'US-WA', 'Cheney', 'no', '11WA', '', '11WA', ''),
	('M50', 'small_airport', 'Boardman Airport', 45.8148, -119.820999, 396, 'US', 'US-OR', 'Boardman', 'no', '', '', 'M50', 'OR33'),
	('33S', 'small_airport', 'Pru Field', 47.123199462890625, -118.38999938964844, 1801, 'US', 'US-WA', 'Ritzville', 'no', 'K33S', '', '33S', ''),
	('ID07', 'small_airport', 'Nichols Ranch Airport', 47.6781005859375, -117.0250015258789, 2430, 'US', 'US-ID', 'Post Falls', 'no', 'ID07', '', 'ID07', ''),
	('KRLD', 'small_airport', 'Richland Airport', 46.305599, -119.304001, 394, 'US', 'US-WA', 'Richland', 'no', 'KRLD', 'RLD', 'RLD', ''),
	('KSKA', 'medium_airport', 'Fairchild Air Force Base', 47.615101, -117.655998, 2461, 'US', 'US-WA', 'Spokane', 'no', 'KSKA', 'SKA', 'SKA', ''),
	('ID21', 'small_airport', 'Smith Ranch Airport', 47.75630187988281, -117.02400207519531, 2370, 'US', 'US-ID', 'Hauser Lake', 'no', 'ID21', '', 'ID21', ''),
	('WA68', 'small_airport', 'Sky Valley Airstrip', 48.076944, -122.840661, 140, 'US', 'US-WA', 'Port Townsend', 'no', 'WA68', '', 'WA68', ''),
	('52WT', 'small_airport', 'Galt''s Gulch Airport', 46.022811, -118.543843, 580, 'US', 'US-WA', 'Touchet', 'no', '52WT', '', '52WT', ''),
	('8WA6', 'small_airport', 'Christensen Field', 46.92070007324219, -119.58999633789063, 1150, 'US', 'US-WA', 'Royal City', 'no', '8WA6', '', '8WA6', ''),
	('12WA', 'small_airport', 'Fowlers Northwest 40 Airport', 47.520577, -117.462827, 2313, 'US', 'US-WA', 'Spokane', 'no', '12WA', '', '12WA', ''),
	('58WA', 'small_airport', 'Dye Seed Ranch Airport', 46.505548, -117.453338, 2500, 'US', 'US-WA', 'Pomeroy', 'no', '58WA', '', '58WA', ''),
	('04WN', 'small_airport', 'Stillwater Creek Airport', 46.95835, -119.63864, 1510, 'US', 'US-WA', 'Royal City', 'no', '04WN', '', '04WN', ''),
	('6WA6', 'small_airport', 'Carr Airport', 46.278181, -118.958417, 625, 'US', 'US-WA', 'Pasco', 'no', '6WA6', '', '6WA6', ''),
	('9W2', 'N/A', 'N/A', 46.01688243448734, -118.36867913603783, 246, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3WA3', 'small_airport', 'Angel Park Airport', 46.64849853515625, -118.58300018310547, 884, 'US', 'US-WA', 'Kahlotus', 'no', '3WA3', '', '3WA3', ''),
	('16W', 'small_airport', 'Little Goose State Airport', 46.583931, -118.003972, 681, 'US', 'US-WA', 'LaCrosse', 'no', 'K16W', '', '16W', 'Little Goose Lock and Dam Airport'),
	('KJSY', 'N/A', 'N/A', 45.35955011844635, -117.25383907556534, 1248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('S68', 'small_airport', 'Orofino Municipal Airport', 46.49129867553711, -116.2770004272461, 1005, 'US', 'US-ID', 'Orofino', 'no', 'S68', '', 'S68', ''),
	('ID94', 'small_airport', 'White Pine Flats Ranch LLC Airport', 46.776667, -116.691389, 2860, 'US', 'US-ID', 'Troy', 'no', 'ID94', '', 'ID94', 'Friendly Persuasion Farm'),
	('80T', 'small_airport', 'Quincy Municipal Airport', 47.211601, -119.839996, 1271, 'US', 'US-WA', 'Quincy', 'no', '', '', '80T', '80WA'),
	('2WA8', 'small_airport', 'Kramer Ranch Airport', 47.383764, -118.29812, 2181, 'US', 'US-WA', 'Harrington', 'no', '2WA8', '', '2WA8', ''),
	('IDB', 'N/A', 'N/A', 47.484741769731045, -117.02739179134369, 802, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WA30', 'small_airport', 'LaCrosse Municipal Airport', 46.791917, -117.920686, 1491, 'US', 'US-WA', 'LaCrosse', 'no', 'WA30', '', 'WA30', ''),
	('KPUW', 'medium_airport', 'Pullman-Moscow Regional Airport', 46.741601, -117.11163, 2556, 'US', 'US-WA', 'Pullman', 'yes', 'KPUW', 'PUW', 'PUW', ''),
	('WT24', 'small_airport', 'Reed Airport', 47.523012, -117.537982, 2696, 'US', 'US-WA', 'Cheney', 'no', 'WT24', '', 'WT24', ''),
	('96OR', 'small_airport', 'Cable Creek Ranch Airport', 45.10060119628906, -118.81700134277344, 4060, 'US', 'US-OR', 'Ukiah', 'no', '96OR', '', '96OR', ''),
	('37WA', 'small_airport', 'Baumann Farm Inc. Airport', 46.8317985534668, -118.46199798583984, 1600, 'US', 'US-WA', 'Washtucna', 'no', '37WA', '', '37WA', ''),
	('WA15', 'small_airport', 'Coulee City Airport', 47.61348, -119.248968, 1800, 'US', 'US-WA', 'Coulee City', 'no', 'WA15', '', 'WA15', ''),
	('WT04', 'small_airport', 'Silverbird Airport', 47.516998, -117.534742, 2418, 'US', 'US-WA', 'Cheney', 'no', 'WT04', '', 'WT04', ''),
	('9OR4', 'small_airport', 'King''s Airport', 45.93370056152344, -118.447998046875, 950, 'US', 'US-OR', 'Milton/Freewater', 'no', '9OR4', '', '9OR4', ''),
	('37OR', 'small_airport', 'Vey Sheep Ranch Airport', 45.09320068359375, -118.39900207519531, 4158, 'US', 'US-OR', 'Starkey', 'no', '37OR', '', '37OR', ''),
	('KPSC', 'medium_airport', 'Tri Cities Airport', 46.264702, -119.119003, 410, 'US', 'US-WA', 'Pasco', 'yes', 'KPSC', 'PSC', 'PSC', ''),
	('I45', 'small_airport', 'Wapshilla Airport', 45.941616, -116.763597, 1410, 'US', 'US-ID', 'Winchester', 'no', '', '', 'I45', 'ID50'),
	('WA20', 'closed', 'Gray Ranch Airport', 46.83995, -118.176531, 1625, 'US', 'US-WA', 'Benge', 'no', '', '', '', 'WA20');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('S70', 'small_airport', 'Othello Municipal Airport', 46.79489899, -119.0790024, 1139, 'US', 'US-WA', 'Othello', 'no', 'KS70', '', 'S70', ''),
	('ID17', 'small_airport', 'Seven Devils Airport', 45.01100158691406, -116.68900299072266, 4487, 'US', 'US-ID', 'Council', 'no', 'ID17', '', 'ID17', ''),
	('WT33', 'seaplane_base', 'Skid Row Seaplane Base', 46.422447, -117.080953, 750, 'US', 'US-WA', 'Clarkston', 'no', 'WT33', '', 'WT33', ''),
	('52WA', 'small_airport', 'Honn Farm Airport', 46.93137, -117.97834, 1620, 'US', 'US-WA', 'Benge', 'no', '52WA', '', '52WA', ''),
	('KLWS', 'medium_airport', 'Lewiston Nez Perce County Airport', 46.3745002746582, -117.01499938964844, 1442, 'US', 'US-ID', 'Lewiston', 'yes', 'KLWS', 'LWS', 'LWS', ''),
	('1S5', 'small_airport', 'Sunnyside Municipal Airport', 46.32709885, -119.9700012, 768, 'US', 'US-WA', 'Sunnyside', 'no', 'K1S5', '', '1S5', ''),
	('ID57', 'closed', 'University of Idaho Heliport', 46.7271, -117.023792, 2604, 'US', 'US-ID', 'Moscow', 'no', '', '', '', 'ID57'),
	('7WA7', 'small_airport', 'Mc Whorter Ranch Airport', 46.313653, -119.615042, 1356, 'US', 'US-WA', 'Prosser', 'no', '', '', '', '7WA7'),
	('KALW', 'medium_airport', 'Walla Walla Regional Airport', 46.09489822, -118.288002, 1194, 'US', 'US-WA', 'Walla Walla', 'yes', 'KALW', 'ALW', 'ALW', ''),
	('OG07', 'small_airport', 'Cove Side Ranch Port Airport', 45.33359909057617, -117.81999969482422, 2770, 'US', 'US-OR', 'Cove', 'no', 'OG07', '', 'OG07', ''),
	('W20', 'small_airport', 'Moses Lake Municipal Airport', 47.141998, -119.237999, 1203, 'US', 'US-WA', 'Moses Lake', 'no', 'W20', '', 'W20', ''),
	('S72', 'small_airport', 'Jack A Buell Airport', 47.325735, -116.576457, 2127, 'US', 'US-ID', 'St Maries', 'no', 'KS72', '', 'S72', 'St Maries Municipal, Benewah County'),
	('4WA0', 'small_airport', 'B & G Farms Airport', 46.928056, -119.739166, 1120, 'US', 'US-WA', 'Royal City', 'no', '4WA0', '', '4WA0', ''),
	('3OR2', 'small_airport', 'Maxwell Private Airport', 45.312400817871094, -117.95899963378906, 2710, 'US', 'US-OR', 'La Grande', 'no', '3OR2', '', '3OR2', ''),
	('WAA', 'small_airport', 'Wasua Airport', -8.2836, 142.8697, 45, 'PG', 'PG-WPD', 'Wasua', 'no', 'AYIW', 'WSA', 'WAA', ''),
	('8WA4', 'heliport', 'Providence St Peters Hospital Helipad', 47.052073, -122.847313, 252, 'US', 'US-WA', 'Olympia', 'no', '8WA4', '', '8WA4', ''),
	('95ID', 'small_airport', 'Deer Creek Airport', 46.000458, -116.691186, 1169, 'US', 'US-ID', 'Cottonwood', 'no', '95ID', '', '95ID', ''),
	('ID23', 'small_airport', 'Rock Creek Farm Airport', 47.392398834228516, -116.87300109863281, 2500, 'US', 'US-ID', 'Worley', 'no', 'ID23', '', 'ID23', ''),
	('KPDT', 'medium_airport', 'Eastern Oregon Regional Airport at Pendleton', 45.695099, -118.841003, 1497, 'US', 'US-OR', 'Pendleton', 'yes', 'KPDT', 'PDT', 'PDT', ''),
	('OR8', 'small_airport', 'Dug Bar Airport', 45.805833, -116.6886889, 1022, 'US', 'US-OR', 'Imnaha', 'no', '', '', 'OR8', ''),
	('8AN6', 'small_airport', 'Isaacson Airport', 47.65919876098633, -117.68199920654297, 2410, 'US', 'US-WA', 'Medical Lake', 'no', '8AN6', '', '8AN6', ''),
	('8S4', 'small_airport', 'Enterprise Municipal Airport', 45.42490005493164, -117.26499938964844, 3957, 'US', 'US-OR', 'Enterprise', 'no', '8S4', '', '8S4', ''),
	('45OG', 'small_airport', 'Rugg Ranches Airport', 45.476389, -118.791667, 1890, 'US', 'US-OR', 'Pilot Rock', 'no', '45OG', '', '45OG', ''),
	('ID43', 'small_airport', 'Carlin Bay Airport', 47.551300048828125, -116.76399993896484, 2702, 'US', 'US-ID', 'Coeur D''Alene', 'no', 'ID43', '', 'ID43', ''),
	('S76', 'seaplane_base', 'Brooks Seaplane Base', 47.6721, -116.786003, 2125, 'US', 'US-ID', 'Coeur D''Alene', 'no', 'S76', '', 'S76', ''),
	('KENN', 'N/A', 'N/A', 45.55106319487095, -117.5274208188057, 986, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4WA6', 'closed', 'Hille-Kimp Airstrip', 46.6185, -118.595001, 1500, 'US', 'US-WA', 'Pasco', 'no', '', '', '', '4WA6'),
	('5WA1', 'small_airport', 'Dorman Field', 46.521422, -119.177189, 700, 'US', 'US-WA', 'Mesa', 'no', '5WA1', '', '5WA1', ''),
	('04WA', 'small_airport', 'Ox Meadows Airport', 47.581795, -117.437131, 2345, 'US', 'US-WA', 'Spokane', 'no', '04WA', '', '04WA', ''),
	('S98', 'N/A', 'N/A', 46.218578182160854, -119.21003267168999, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0S0', 'small_airport', 'Lind Airport', 46.976799, -118.586998, 1507, 'US', 'US-WA', 'Lind', 'no', '', '', '0S0', ''),
	('85WA', 'closed', 'Scott Seed Farm Airport', 46.527221, -117.764672, 1866, 'US', 'US-WA', 'Pomeroy', 'no', '', '', '', '85WA'),
	('ID11', 'closed', 'Wood Brothers Ranch Airport', 46.382094, -116.513001, 3400, 'US', 'US-ID', 'Reubens', 'no', '', '', '', 'ID11'),
	('35WA', 'small_airport', 'Fisher Ranch Airport', 46.747883, -118.419139, 1521, 'US', 'US-WA', 'Washtucna', 'no', '35WA', '', '35WA', ''),
	('S95', 'small_airport', 'Martin Field', 46.046902, -118.417, 746, 'US', 'US-WA', 'College Place', 'no', 'KS95', '', 'S95', ''),
	('KLGD', 'small_airport', 'La Grande/Union County Airport', 45.2901992798, -118.007003784, 2717, 'US', 'US-OR', 'La Grande', 'no', 'KLGD', 'LGD', 'LGD', ''),
	('WN30', 'closed', 'Clinesmith Ranch Airport', 46.91962, -118.091598, 1600, 'US', 'US-WA', 'Benge', 'no', '', '', '', 'WN30'),
	('6WA3', 'small_airport', 'Green Acres Airport', 46.608482, -119.290471, 1000, 'US', 'US-WA', 'Basin City', 'no', '6WA3', '', '6WA3', ''),
	('30WA', 'small_airport', 'Weller Canyon Airport', 46.31489944458008, -118.1780014038086, 1300, 'US', 'US-WA', 'Waitsburg', 'no', '30WA', '', '30WA', ''),
	('WA14', 'small_airport', 'Connell City Airport', 46.661219, -118.830858, 925, 'US', 'US-WA', 'Connell', 'no', 'WA14', '', 'WA14', ''),
	('KMWH', 'medium_airport', 'Grant County International Airport', 47.20769882, -119.3199997, 1189, 'US', 'US-WA', 'Moses Lake', 'no', 'KMWH', 'MWH', 'MWH', 'LRN, Larson AFB, Moses Lake AFB, Moses Lake AAB'),
	('WA74', 'small_airport', 'Quincy Flying Service Airport', 47.226728, -119.908932, 1276, 'US', 'US-WA', 'Quincy', 'no', 'WA74', '', 'WA74', ''),
	('KGEG', 'medium_airport', 'Spokane International Airport', 47.6199, -117.533997, 2376, 'US', 'US-WA', 'Spokane', 'yes', 'KGEG', 'GEG', 'GEG', ''),
	('25U', 'small_airport', 'Memaloose Airport', 45.42770004272461, -116.69400024414063, 6708, 'US', 'US-OR', 'Imnaha', 'no', '25U', '', '25U', ''),
	('KGRL', 'N/A', 'N/A', 45.669201761484146, -116.6192427277565, 1691, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('43D', 'small_airport', 'Odessa Municipal Airport', 47.347599029541016, -118.677001953125, 1737, 'US', 'US-WA', 'Odessa', 'no', 'K43D', '', '43D', ''),
	('5W1', 'small_airport', 'Wilson Creek Airport', 47.418469, -119.109265, 1440, 'US', 'US-WA', 'Wilson Creek', 'no', 'K5W1', '', '5W1', ''),
	('75DC', 'small_airport', 'Oakesdale Airport', 47.1416015625, -117.23600006103516, 2680, 'US', 'US-WA', 'Oakesdale', 'no', '75DC', '', '75DC', ''),
	('12WT', 'closed', 'Walker Airport', 46.910988, -117.218644, 2450, 'US', 'US-WA', 'Palouse', 'no', '', '', '', '12WT'),
	('OR62', 'closed', 'Rainier Heliport', 46.103199, -122.987999, 15, 'US', 'US-OR', 'Rainier', 'no', '', '', '', 'OR62'),
	('WN92', 'small_airport', 'Sky Meadows Airpark', 47.608637, -117.180455, 2350, 'US', 'US-WA', 'Spokane', 'no', 'WN92', '', 'WN92', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1DA', 'small_airport', 'Big Bar Airport', 45.534577, -116.530917, 1236, 'US', 'US-ID', 'Lucile', 'no', '', '', '1DA', 'ID42'),
	('D69', 'small_airport', 'Rogersburg Airport', 46.074401, -116.966003, 869, 'US', 'US-WA', 'Anatone', 'no', '', '', 'D69', '00D, Lewiston'),
	('S40', 'small_airport', 'Prosser Airport', 46.21340179, -119.7910004, 697, 'US', 'US-WA', 'Prosser', 'no', 'KS40', '', 'S40', ''),
	('99OR', 'small_airport', 'Lazy F Ranch Airport', 45.6506996155, -117.669998169, 3710, 'US', 'US-OR', 'Wallowa', 'no', '99OR', '', '99OR', ''),
	('74WA', 'small_airport', 'Mattawa Air Strip', 46.733168, -119.711163, 750, 'US', 'US-WA', 'Mattawa', 'no', '74WA', '', '74WA', ''),
	('ID13', 'small_airport', 'Sky Island Ranch Airport', 47.322102, -116.639999, 2880, 'US', 'US-ID', 'St Maries', 'no', 'ID13', '', 'ID13', ''),
	('2WA9', 'small_airport', 'Touchet Valley Airport', 46.28919982910156, -118.10099792480469, 1350, 'US', 'US-WA', 'Huntsville', 'no', '2WA9', '', '2WA9', ''),
	('KSFF', 'medium_airport', 'Felts Field', 47.682899, -117.321925, 1953, 'US', 'US-WA', 'Spokane', 'no', 'KSFF', 'SFF', 'SFF', 'Parkwater Airstrip'),
	('KWAD', 'N/A', 'N/A', 47.12596680969, -118.86109694838524, 457, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('03OR', 'small_airport', 'Powwatka Ridge Airport', 45.85540008544922, -117.48400115966797, 3340, 'US', 'US-OR', 'Troy', 'no', '03OR', '', '03OR', ''),
	('KCOE', 'medium_airport', 'Coeur D''Alene Airport - Pappy Boyington Field', 47.7743, -116.82, 2320, 'US', 'US-ID', 'Coeur d''Alene', 'no', 'KCOE', 'COE', 'COE', 'Coeur d''Alene Air Terminal'),
	('OL02', 'small_airport', 'West Buttercreek Airport', 45.66529846191406, -119.38600158691406, 917, 'US', 'US-OR', 'Echo', 'no', 'OL02', '', 'OL02', ''),
	('WA62', 'small_airport', 'Paradise Air Ranch Airport', 47.470893, -117.419515, 2352, 'US', 'US-WA', 'Cheney', 'no', 'WA62', '', 'WA62', ''),
	('00W', 'small_airport', 'Lower Granite State Airport', 46.672884, -117.441933, 719, 'US', 'US-WA', 'Colfax', 'no', 'K00W', '', '00W', '0WA0'),
	('WN33', 'small_airport', 'Columbia Ag 2 Airport', 46.380401611299995, -118.987998962, 715, 'US', 'US-WA', 'Pasco', 'no', 'WN33', '', 'WN33', ''),
	('S84', 'small_airport', 'Cottonwood Municipal Airport', 46.03879928588867, -116.33200073242188, 3474, 'US', 'US-ID', 'Cottonwood', 'no', 'KS84', '', 'S84', ''),
	('OR12', 'small_airport', 'Oxbow Airport', 45.00429916381836, -116.8489990234375, 1806, 'US', 'US-OR', 'Homestead', 'no', 'OR12', '', 'OR12', ''),
	('M94', 'small_airport', 'Desert Aire Regional Airport', 46.687401, -119.920998, 586, 'US', 'US-WA', 'Mattawa', 'no', '', '', 'M94', ''),
	('OR24', 'small_airport', 'Barrett Field', 45.821201324463, -118.49800109863, 1738, 'US', 'US-OR', 'Athena', 'no', '', '', 'OR24', 'OR24'),
	('WN26', 'small_airport', 'Schoepflin Airport', 46.883374, -117.080011, 2607, 'US', 'US-WA', 'Palouse', 'no', 'WN26', '', 'WN26', 'Dale''s Flying Service'),
	('KHRI', 'small_airport', 'Hermiston Municipal Airport', 45.828223, -119.259024, 644, 'US', 'US-OR', 'Hermiston', 'no', 'KHRI', 'HES', 'HRI', ''),
	('OG33', 'small_airport', 'Oregon Sky Ranch Airport', 45.87900161743164, -118.40499877929688, 1357, 'US', 'US-OR', 'Milton/Freewater', 'no', 'OG33', '', 'OG33', ''),
	('68D', 'small_airport', 'Reds Wallowa Horse Ranch Airport', 45.344952, -117.627096, 3600, 'US', 'US-OR', 'Enterprise', 'no', '', '', '68D', '6OR9'),
	('73S', 'small_airport', 'Willard Field', 47.23550033569336, -117.04399871826172, 2520, 'US', 'US-WA', 'Tekoa', 'no', '73S', '', '73S', ''),
	('KCOG', 'N/A', 'N/A', 46.86683490872383, -118.74379277229309, 461, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('S89', 'small_airport', 'Craigmont Municipal Airport', 46.247100830078125, -116.4800033569336, 3805, 'US', 'US-ID', 'Craigmont', 'no', 'S89', '', 'S89', ''),
	('05OR', 'small_airport', 'Peacock Ranch Airport', 45.44428, -117.34722, 3500, 'US', 'US-OR', 'Enterprise', 'no', '05OR', '', '05OR', ''),
	('0WN2', 'small_airport', 'Coopers Landing Airport', 46.127573, -119.014273, 435, 'US', 'US-WA', 'Kennewick', 'no', '0WN2', '', '0WN2', ''),
	('KHEP', 'N/A', 'N/A', 45.03896780312061, -119.56923186779022, 1337, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('34ID', 'small_airport', 'Freeman Creek Airport', 46.570333, -116.343611, 3100, 'US', 'US-ID', 'Cavendish', 'no', '34ID', '', '34ID', ''),
	('WA24', 'small_airport', 'Pfister''s Airport', 46.396900177, -119.021003723, 625, 'US', 'US-WA', 'Pasco', 'no', 'WA24', '', 'WA24', ''),
	('WN72', 'small_airport', 'Kinch Farms Airport', 46.864898681640625, -118.32499694824219, 1650, 'US', 'US-WA', 'Washtucna', 'no', 'WN72', '', 'WN72', ''),
	('ID60', 'small_airport', 'Fountains Airport', 46.713199615478516, -116.99700164794922, 2550, 'US', 'US-ID', 'Moscow', 'no', 'ID60', '', 'ID60', ''),
	('OG42', 'small_airport', 'Quail Field', 45.6549, -118.589996, 1610, 'US', 'US-OR', 'Pendleton', 'no', 'OG42', '', 'OG42', ''),
	('ID65', 'small_airport', 'Driftwood Air Ranch Airport', 47.581244, -116.771997, 2775, 'US', 'US-ID', 'Coeur D''Alene', 'no', 'ID65', '', 'ID65', 'Pisch''s Place'),
	('1S7', 'small_airport', 'Slate Creek Airport', 45.671744, -116.305647, 1660, 'US', 'US-ID', 'White Bird', 'no', '', '', '1S7', ''),
	('KEPH', 'small_airport', 'Ephrata Municipal Airport', 47.307598, -119.515999, 1276, 'US', 'US-WA', 'Ephrata', 'no', 'KEPH', 'EPH', 'EPH', ''),
	('WN54', 'small_airport', 'Ellerport Airport', 47.736263, -117.070913, 2146, 'US', 'US-WA', 'Newman Lake', 'no', 'WN54', '', 'WN54', ''),
	('W09', 'small_airport', 'Lower Monumental State Airport', 46.55039978027344, -118.53600311279297, 813, 'US', 'US-WA', 'Kahlotus', 'no', 'W09', '', 'W09', ''),
	('73WT', 'small_airport', 'McGregor Airport', 46.717011, -118.097509, 1800, 'US', 'US-WA', 'Port Orchard', 'no', '73WT', '', '73WT', ''),
	('2S4', 'small_airport', 'Warden Airport', 46.9654006958, -119.066001892, 1276, 'US', 'US-WA', 'Warden', 'no', 'K2S4', '', '2S4', ''),
	('CRE2', 'small_airport', 'Edzo Airport', 62.766701, -116.084, 587, 'CA', 'CA-NT', 'Rae-Edzo', 'no', 'CRE2', '', 'CRE2', 'RE2'),
	('CYWE', 'N/A', 'N/A', 64.19080015271902, -114.0769998729229, 368, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYZF', 'medium_airport', 'Yellowknife International Airport', 62.462799, -114.440002, 675, 'CA', 'CA-NT', 'Yellowknife', 'yes', 'CYZF', 'YZF', '', ''),
	('CTH2', 'small_airport', 'Thor Lake Airport', 62.1007902302, -112.624111176, 809, 'CA', 'CA-NT', '', 'no', 'CTH2', '', 'CTH2', ''),
	('CYHY', 'medium_airport', 'Hay River / Merlyn Carter Airport', 60.8396987915, -115.782997131, 541, 'CA', 'CA-NT', 'Hay River', 'yes', 'CYHY', 'YHY', '', ''),
	('cls3', 'small_airport', 'Fort McMurray / South Liege Airfield', 56.832353, -113.098841, 1707, 'CA', 'CA-AB', '', 'no', 'CLS3', '', '', ''),
	('FU5', 'N/A', 'N/A', 56.69495366513729, -115.94206675887108, 765, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFB4', 'small_airport', 'Trout Lake Airport', 56.498952, -114.547735, 2290, 'CA', 'CA-AB', 'Trout Lake', 'no', 'CFB4', '', 'CFB4', 'FB4, Graham Lake'),
	('CNL2', 'small_airport', 'Fort McMurray / North Liege Airfield', 57.1361, -113.290071, 2236, 'CA', 'CA-AB', '', 'no', 'CNL2', '', '', ''),
	('CLG7', 'small_airport', 'Fort McMurray / Legend Airfield', 57.196944, -112.895556, 2061, 'CA', 'CA-AB', 'Fort McMurray', 'no', 'CLG7', '', 'CLG7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CFV6', 'small_airport', 'Margaret Lake Airport', 58.9458023034, -115.256538391, 2750, 'CA', 'CA-AB', 'Margaret Lake', 'no', 'CFV6', '', 'CFV6', 'FV6'),
	('FT6', 'N/A', 'N/A', 57.203747257590294, -114.65901151299477, 548, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFB5', 'small_airport', 'Namur Lake Airport', 57.38330078125, -112.80000305175781, 2560, 'CA', 'CA-AB', 'Namur Lake', 'no', 'CFB5', '', 'CFB5', 'FB5'),
	('CFF6', 'N/A', 'N/A', 57.33720425516367, -115.60840666294098, 758, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CLG3', 'small_airport', 'Liege / CNRL Airport', 57.0018997192, -113.194000244, 1728, 'CA', 'CA-AB', 'Liege', 'no', 'CLG3', '', 'CLG3', 'LG3'),
	('CEG5', 'small_airport', 'Chipewyan Lake Airport', 56.951336, -113.498259, 1800, 'CA', 'CA-AB', 'Chipewyan Lake', 'no', 'CEG5', '', 'CEG5', 'EG5'),
	('CFM6', 'small_airport', 'Teepee Airport', 56.45940017700195, -114.11900329589844, 2565, 'CA', 'CA-AB', 'Teepee', 'no', 'CFM6', '', 'CFM6', 'FM6'),
	('CEH5', 'small_airport', 'Red Earth Creek Airport', 56.546142, -115.27575, 1790, 'CA', 'CA-AB', 'Red Earth Creek', 'no', 'CEH5', '', 'CEH5', 'EH5'),
	('CFS6', 'small_airport', 'Loon River Airport', 57.14189910888672, -115.07499694824219, 1550, 'CA', 'CA-AB', 'Loon River', 'no', 'CFS6', '', 'CFS6', 'FS6'),
	('CEV2', 'small_airport', 'Edra Airport', 57.849998474121094, -113.25, 2625, 'CA', 'CA-AB', 'Edra', 'no', 'CEV2', '', 'CEV2', 'EV2'),
	('EF5', 'N/A', 'N/A', 56.797784864902496, -114.41366046667099, 788, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFF3', 'small_airport', 'Jean Lake Airport', 57.483299255371094, -113.88300323486328, 2370, 'CA', 'CA-AB', 'Jean Lake', 'no', 'CFF3', '', 'CFF3', 'FF3'),
	('CEC3', 'small_airport', 'Fox Lake Airport', 58.47364, -114.54932, 850, 'CA', 'CA-AB', 'Fox Lake', 'no', 'CEC3', '', 'CEC3', 'EC3'),
	('CFU4', 'small_airport', 'Garden River Airport', 58.71390151977539, -113.8759994506836, 790, 'CA', 'CA-AB', 'Garden River', 'no', 'CFU4', '', 'CFU4', 'FU4'),
	('CFG5', 'small_airport', 'John D''Or Prairie Airport', 58.49140167236328, -115.13800048828125, 950, 'CA', 'CA-AB', 'John D''Or Prairie', 'no', 'CFG5', '', 'CFG5', 'FG5'),
	('CEZ4', 'small_airport', 'Fort Vermilion Airport', 58.40420150756836, -115.95099639892578, 836, 'CA', 'CA-AB', 'Fort Vermilion', 'no', 'CEZ4', '', 'CEZ4', 'EZ4'),
	('CEE5', 'small_airport', 'Wabasca Airport', 55.961445, -113.81866, 1827, 'CA', 'CA-AB', 'Wabasca-Desmarais', 'no', 'CEE5', '', 'CEE5', 'EE5'),
	('CYZU', 'medium_airport', 'Whitecourt Airport', 54.143902, -115.787003, 2567, 'CA', 'CA-AB', 'Whitecourt', 'yes', 'CYZU', 'YZU', '', ''),
	('CCF6', 'small_airport', 'Edmonton/Morinville (Currie Field) Aerodrome', 53.819638, -113.760837, 2374, 'CA', 'CA-AB', 'Morinville', 'no', 'CCF6', '', 'CCF6', ''),
	('CFU3', 'small_airport', 'Chipman Airport', 53.718754, -112.63586, 2195, 'CA', 'CA-AB', 'Chipman', 'no', 'CFU3', '', 'CFU3', 'FU3'),
	('CRF3', 'small_airport', 'Edmonton / Villeneuve (Rose Field) Aerodrome', 53.645664, -113.80275, 2190, 'CA', 'CA-AB', 'Villeneuve', 'no', 'CRF3', '', 'CRF3', ''),
	('CFM7', 'small_airport', 'Boyle Airport', 54.574036, -112.820494, 2154, 'CA', 'CA-AB', 'Boyle', 'no', 'CFM7', '', 'CFM7', 'FM7'),
	('FL6', 'N/A', 'N/A', 54.91646971553564, -114.78307753801346, 733, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CSP3', 'small_airport', 'Stony Plain (Stony Field) Airport', 53.537498, -114.068001, 2415, 'CA', 'CA-AB', 'Stony Plain', 'no', 'CSP3', '', 'CSP3', 'CSP3'),
	('FE3', 'N/A', 'N/A', 55.86256328970194, -115.77285557985306, 666, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CEE6', 'small_airport', 'Edmonton / Twin Island Airpark', 53.471087, -113.155665, 2435, 'CA', 'CA-AB', 'Sherwood Park', 'no', 'CEE6', '', 'CEE6', 'EE6'),
	('CZVL', 'small_airport', 'Edmonton / Villeneuve Airport', 53.6674995422, -113.853996277, 2256, 'CA', 'CA-AB', 'Edmonton', 'no', 'CZVL', '', '', 'ZVL'),
	('CHF3', 'small_airport', 'Hnatko Farms Airport', 54.1996, -114.123502, 2053, 'CA', 'CA-AB', 'Westlock', 'no', 'CHF3', '', 'CHF3', ''),
	('CEM5', 'small_airport', 'Swan Hills Airport', 54.670799255371094, -115.41500091552734, 3473, 'CA', 'CA-AB', 'Swan Hills', 'no', 'CEM5', '', 'CEM5', 'EM5'),
	('CGF2', 'small_airport', 'Edmonton / Lechelt Field', 53.576289, -112.982025, 2400, 'CA', 'CA-AB', 'Ardrossan', 'no', 'CGF2', '', 'CGF2', 'Goyer Field'),
	('CPL6', 'small_airport', 'Parkland Airport', 53.474102, -113.824282, 2324, 'CA', 'CA-AB', 'Spruce Grove', 'no', 'CPL6', '', '', ''),
	('CFB6', 'small_airport', 'Edmonton / Josephburg Airport', 53.727998032, -113.086566925, 2069, 'CA', 'CA-AB', 'Edmonton', 'no', 'CFB6', '', 'CFB6', 'FB6, Josephburg, Warren Thomas'),
	('CYZH', 'medium_airport', 'Slave Lake Airport', 55.292945, -114.777276, 1912, 'CA', 'CA-AB', 'Slave Lake', 'no', 'CYZH', 'YZH', '', 'YZH'),
	('CES4', 'small_airport', 'Westlock Airport', 54.141733, -113.74044, 2214, 'CA', 'CA-AB', 'Clyde', 'no', 'CES4', '', 'CES4', 'ES4'),
	('cjj3', 'small_airport', 'Wildwood / Loche Mist Farms Airstrip', 53.546531, -115.260657, 2880, 'CA', 'CA-AB', 'Wildwood', 'no', 'CJJ3', '', 'CJJ3', ''),
	('CEP3', 'small_airport', 'Barrhead Airport', 54.096874, -114.438868, 2121, 'CA', 'CA-AB', 'Barrhead', 'no', 'CEP3', '', 'CEP3', 'EP3'),
	('CYWM', 'small_airport', 'Athabasca Airport', 54.743099212646484, -113.20500183105469, 1971, 'CA', 'CA-AB', 'Athabasca', 'no', 'CYWM', '', '', 'YWM'),
	('CFK4', 'small_airport', 'Calling Lake Airport', 55.31669998168945, -113.25, 2092, 'CA', 'CA-AB', 'Calling Lake', 'no', 'CFK4', '', 'CFK4', 'FK4'),
	('CFT8', 'small_airport', 'Pelican Airport', 56.16080093383789, -113.4739990234375, 2059, 'CA', 'CA-AB', 'Pelican', 'no', 'CFT8', '', 'CFT8', 'FT8'),
	('CMN6', 'small_airport', 'Edmonton/Morinville (Mike''s Field) Aerodrome', 53.836944, -113.563333, 2302, 'CA', 'CA-AB', 'Morinville', 'no', 'CMN6', '', '', ''),
	('CEK5', 'N/A', 'N/A', 56.05656646192074, -115.3235587477684, 642, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CEV5', 'small_airport', 'Mayerthorpe Airport', 53.9375, -115.17900085449219, 2432, 'CA', 'CA-AB', 'Mayerthorpe', 'no', 'CEV5', '', 'CEV5', 'EV5'),
	('CSF5', 'small_airport', 'Safron Farms Airport', 52.199, -114.237301, 3005, 'CA', 'CA-AB', 'Markerville', 'no', 'CSF5', '', 'CSF5', ''),
	('CRF4', 'small_airport', 'Calgary / Okotoks (Rowland Field)', 50.764722, -113.958056, 3800, 'CA', 'CA-AB', 'Calgary', 'no', 'CRF4', '', 'CRF4', 'RF4'),
	('CEH4', 'small_airport', 'De Winton South Calgary Airport', 50.8218994140625, -113.8239974975586, 3355, 'CA', 'CA-AB', 'De Winton', 'no', 'CEH4', '', 'CEH4', 'EH4'),
	('CEC7', 'N/A', 'N/A', 51.6321587562561, -114.10981804132462, 1052, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFZ5', 'small_airport', 'Sundre / Goodwins Farm Airport', 51.739805714700005, -114.662600756, 3700, 'CA', 'CA-AB', 'Sundre', 'no', 'CFZ5', '', 'CFZ5', 'FZ5'),
	('CKY8', 'small_airport', 'Arkayla Springs Airport', 51.203569, -114.776329, 4000, 'CA', 'CA-AB', 'Cochrane', 'no', 'CKY8', '', 'CKY8', ''),
	('CYTK', 'N/A', 'N/A', 51.5944043174386, -113.48022133111954, 896, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYLE', 'N/A', 'N/A', 52.08683542907238, -115.85629686713219, 1625, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFX2', 'small_airport', 'Calgary / Okotoks Air Park', 50.7352981567, -113.934997559, 3601, 'CA', 'CA-AB', 'Calgary', 'no', 'CFX2', '', 'CFX2', 'FX2');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CDM2', 'small_airport', 'Didsbury/Minty Field', 51.6535, -114.353, 3480, 'CA', 'CA-AB', 'Didsbury', 'no', '', '', 'CDM2', ''),
	('CEV7', 'small_airport', 'Tofield Airport', 53.3713, -112.696731, 2311, 'CA', 'CA-AB', 'Tofield', 'no', 'CEV7', '', 'CEV7', ''),
	('CFV2', 'small_airport', 'Beiseker Airport', 51.3932991027832, -113.47200012207031, 3036, 'CA', 'CA-AB', 'Beiseker', 'no', 'CFV2', '', 'CFV2', 'FV2'),
	('CAM4', 'small_airport', 'Alhambra / Ahlstrom Airport', 52.346194, -114.667525, 3212, 'CA', 'CA-AB', 'Alhambra', 'no', 'CAM4', '', 'CAM4', ''),
	('CER3', 'small_airport', 'Drayton Valley Industrial Airport', 53.265800476074, -114.95999908447, 2776, 'CA', 'CA-AB', 'Drayton Valley', 'no', 'CER3', 'YDC', 'CER3', 'ER3'),
	('CYQF', 'medium_airport', 'Red Deer Regional Airport', 52.182201, -113.893997, 2968, 'CA', 'CA-AB', 'Springbrook', 'no', 'CYQF', 'YQF', '', ''),
	('CFX8', 'small_airport', 'Chestermere (Kirkby Field) Airport', 51.04205, -113.754531, 3339, 'CA', 'CA-AB', 'Chestermere', 'no', 'CFX8', '', 'CFX8', 'FX8'),
	('CEJ3', 'small_airport', 'Stettler Airport', 52.310001373291016, -112.75399780273438, 2686, 'CA', 'CA-AB', 'Stettler', 'no', 'CEJ3', '', 'CEJ3', 'EJ3'),
	('CEF4', 'small_airport', 'Airdrie Aerodrome', 51.263901, -113.933998, 3648, 'CA', 'CA-AB', 'Airdrie', 'no', 'CEF4', '', 'CEF4', 'EF4'),
	('CFQ4', 'small_airport', 'Cheadle Airport', 51.057498931885, -113.62400054932, 3300, 'CA', 'CA-AB', 'Cheadle', 'no', 'CFQ4', 'TIL', 'CFQ4', 'FQ4, Inverlake'),
	('CEB4', 'small_airport', 'Rockyford/Early Bird Air Airport', 51.1777, -113.2791, 2876, 'CA', 'CA-AB', 'Rockyford', 'no', 'CEB4', '', 'CEB4', ''),
	('CFH8', 'small_airport', 'Warburg / Zajes Airport', 53.2177775261, -114.336605072, 2530, 'CA', 'CA-AB', 'Warburg', 'no', 'CFH8', '', 'CFH8', 'FH8'),
	('CFC6', 'small_airport', 'Rockyford Airport', 51.266700744628906, -113.11699676513672, 2860, 'CA', 'CA-AB', 'Rockyford', 'no', 'CFC6', '', 'CFC6', 'FC6'),
	('CBL6', 'small_airport', 'Radium Hot Springs Airport', 50.627155, -116.094981, 2650, 'CA', 'CA-BC', 'Radium Hot Springs', 'no', 'CBL6', '', 'CBL6', 'BL6'),
	('CFR2', 'small_airport', 'Bawlf (Blackwells) Airport', 52.900001525878906, -112.55000305175781, 2325, 'CA', 'CA-AB', 'Bawlf', 'no', 'CFR2', '', 'CFR2', 'FR2'),
	('CFQ7', 'small_airport', 'Edmonton / Gartner Airport', 53.280966, -113.455868, 2390, 'CA', 'CA-AB', 'Leduc', 'no', 'CFQ7', '', 'CFQ7', 'FQ7'),
	('CEH2', 'small_airport', 'Cu Nim Airport', 50.722868, -114.180716, 3700, 'CA', 'CA-AB', 'Black Diamond', 'no', 'CEH2', '', 'CEH2', 'EH2, Thompson''s Ranch'),
	('CFN7', 'small_airport', 'Sundre Airport', 51.774200439453125, -114.677001953125, 3656, 'CA', 'CA-AB', 'Sundre', 'no', 'CFN7', '', 'CFN7', 'FN7'),
	('CGB2', 'small_airport', 'Bishell''s Airport', 51.582801818847656, -114.052001953125, 3400, 'CA', 'CA-AB', 'Carstairs', 'no', 'CGB2', '', 'CGB2', 'GB2'),
	('CAP9', 'small_airport', 'Appleton Field', 50.9904, -113.3703, 3080, 'CA', 'CA-AB', 'Strathmore', 'no', 'CAP9', '', 'CAP9', ''),
	('CBH7', 'small_airport', 'Hillmans Farm Airport', 52.228, -114.256202, 2995, 'CA', 'CA-AB', 'Benalto', 'no', 'CBH7', '', 'CBH7', ''),
	('CFE6', 'closed', 'St. Francis Airport', 53.2756004333, -114.449996948, 2649, 'CA', 'CA-AB', 'St. Francis', 'no', '', '', '', 'FE6, CFE6, CFE6'),
	('CMF2', 'small_airport', 'Edmonton / Calmar (Maplelane Farm)', 53.184654, -113.738236, 2520, 'CA', 'CA-AB', 'Edmonton', 'no', 'CMF2', '', 'CMF2', ''),
	('CWL3', 'small_airport', 'Calmar/Wizard Lake Airport', 53.115969, -113.769039, 2600, 'CA', 'CA-AB', 'Calmar', 'no', 'CWL3', '', 'CWL3', ''),
	('CRS3', 'small_airport', 'Calgary / Christiansen Field', 50.79948, -114.051261, 3820, 'CA', 'CA-AB', 'Calgary', 'no', 'CRS3', '', 'CRS3', ''),
	('CEH3', 'small_airport', 'Ponoka Industrial (Labrie Field) Airport', 52.651699, -113.606003, 2669, 'CA', 'CA-AB', 'Ponoka Industrial', 'no', 'CEH3', '', 'CEH3', 'EH3'),
	('CDJ5', 'small_airport', 'Strathmore (D.J. Murray) Airport', 51.133146, -113.55996, 3150, 'CA', 'CA-AB', 'Lyalta', 'no', 'CDJ5', '', 'CDJ5', 'DJ5'),
	('CEA3', 'small_airport', 'Olds-Didsbury Airport', 51.7118988037, -114.107002258, 3360, 'CA', 'CA-AB', 'Olds-Didsbury', 'no', 'CEA3', '', 'CEA3', 'EA3'),
	('CBR9', 'small_airport', 'Anchor 9 Ranch Airport', 51.4125, -114.580201, 4266, 'CA', 'CA-AB', 'Bottrel', 'no', 'CBR9', '', 'CBR9', ''),
	('CEG4', 'small_airport', 'Drumheller Municipal Airport', 51.49639892578125, -112.7490005493164, 2597, 'CA', 'CA-AB', 'Drumheller', 'no', 'CEG4', '', 'CEG4', 'EG4'),
	('CFR7', 'small_airport', 'Red Deer Forestry Airport', 51.651402, -115.238998, 4646, 'CA', 'CA-AB', 'Clearwater', 'no', 'CFR7', '', 'CFR7', 'FR7'),
	('CGF5', 'N/A', 'N/A', 53.34535840898752, -114.15571376681328, 728, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CEM4', 'small_airport', 'Big Bend Airport', 52.078602, -114.027, 3017, 'CA', 'CA-AB', 'Innisfail', 'no', 'CEM4', '', 'CEM4', 'EM4'),
	('CEN3', 'small_airport', 'Three Hills Airport', 51.69670104980469, -113.20899963378906, 2975, 'CA', 'CA-AB', 'Three Hills', 'no', 'CEN3', '', 'CEN3', 'EN3'),
	('CRD6', 'small_airport', 'Truant South Airport', 52.2782, -113.9151, 3122, 'CA', 'CA-AB', 'Red Deer', 'no', 'CRD6', '', 'CRD6', ''),
	('CFC7', 'small_airport', 'Rimbey Airport', 52.681561, -114.236518, 2963, 'CA', 'CA-AB', 'Rimbey', 'no', 'CFC7', '', 'CFC7', 'FC7'),
	('CFS8', 'small_airport', 'Clearwater River Airport', 51.988098, -115.227997, 4100, 'CA', 'CA-AB', 'Caroline', 'no', 'CFS8', '', 'CFS8', 'FS8'),
	('CFB3', 'small_airport', 'Hespero Airport', 52.29999923706055, -114.46399688720703, 3175, 'CA', 'CA-AB', 'Hespero', 'no', 'CFB3', '', 'CFB3', 'FB3'),
	('CEG3', 'small_airport', 'Lacombe Airport', 52.48830032348633, -113.71199798583984, 2783, 'CA', 'CA-AB', 'Lacombe', 'no', 'CEG3', '', 'CEG3', 'EG3'),
	('CYYC', 'large_airport', 'Calgary International Airport', 51.118822, -114.009933, 3557, 'CA', 'CA-AB', 'Calgary', 'yes', 'CYYC', 'YYC', '', 'McCall Field'),
	('CYEG', 'large_airport', 'Edmonton International Airport', 53.3097, -113.580002, 2373, 'CA', 'CA-AB', 'Edmonton', 'yes', 'CYEG', 'YEG', 'CYEG', ''),
	('CRD4', 'closed', 'Red Deer / South 40 Airstrip', 52.261944, -113.951389, 3040, 'CA', 'CA-AB', '', 'no', '', '', '', 'CRD4, CRD4, CRD4'),
	('CYBW', 'medium_airport', 'Calgary / Springbank Airport', 51.1031, -114.374001, 3940, 'CA', 'CA-AB', 'Calgary', 'no', 'CYBW', '', '', 'YBW'),
	('CED6', 'small_airport', 'Highwood Airport', 50.80189895629883, -113.88899993896484, 3450, 'CA', 'CA-AB', 'De Winton', 'no', 'CED6', '', 'CED6', 'ED6'),
	('FY6', 'N/A', 'N/A', 50.65431252121925, -114.34404775500298, 1259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CEZ3', 'small_airport', 'Edmonton / Cooking Lake Airport', 53.427502, -113.115997, 2437, 'CA', 'CA-AB', 'Sherwood Park', 'no', 'CEZ3', '', 'CEZ3', 'EZ3'),
	('CEG2', 'closed', 'Acme Airport', 51.456402, -113.514999, 3035, 'CA', 'CA-AB', 'Acme', 'no', '', '', '', 'EG2, CEG2'),
	('CYRM', 'small_airport', 'Rocky Mountain House Airport', 52.4296989441, -114.903999329, 3244, 'CA', 'CA-AB', 'Rocky Mountain House', 'no', 'CYRM', 'YRM', '', 'YRM'),
	('CFF9', 'small_airport', 'Marek Farms Airport', 53.03139877319336, -112.77799987792969, 2449, 'CA', 'CA-AB', 'Marek Farms', 'no', 'CFF9', '', 'CFF9', 'FF9'),
	('CEX3', 'small_airport', 'Wetaskiwin Regional Airport', 52.965000152600005, -113.411003113, 2509, 'CA', 'CA-AB', 'Wetaskiwin', 'no', 'CEX3', '', 'CEX3', 'EX3'),
	('CFK2', 'small_airport', 'Bashaw Airport', 52.557889, -112.964071, 2610, 'CA', 'CA-AB', 'Bashaw', 'no', 'CFK2', '', 'CFK2', 'FK2');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CRD5', 'small_airport', 'Red Deer / Truant Airfield', 52.287043, -113.913181, 3100, 'CA', 'CA-AB', 'Red Deer', 'no', 'CRD5', '', '', ''),
	('FZ6', 'N/A', 'N/A', 51.01530231535435, -113.62929359078407, 1002, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFK6', 'small_airport', 'Olds (Netook) Airport', 51.849998474121094, -114.06700134277344, 3330, 'CA', 'CA-AB', 'Olds', 'no', 'CFK6', '', 'CFK6', 'FK6'),
	('CRK2', 'small_airport', 'Millet/Creekview Airport', 53.0778, -113.506601, 2535, 'CA', 'CA-AB', 'Millet', 'no', 'CRK2', '', 'CRK2', ''),
	('CDO2', 'small_airport', 'Ostergard''s Airport', 51.295015, -112.610207, 2900, 'CA', 'CA-AB', 'Dalum', 'no', 'CDO2', '', 'CDO2', ''),
	('CBD8', 'small_airport', 'Black Diamond/Flying R Ranch Airport', 50.645, -114.203, 4060, 'CA', 'CA-AB', '', 'no', 'CBD8', '', 'CBD8', ''),
	('FU7', 'N/A', 'N/A', 53.21641456335783, -116.08452558517456, 1054, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFY4', 'small_airport', 'Winters Aire Park Airport', 50.904819014699996, -113.796215057, 3370, 'CA', 'CA-AB', 'Indus', 'no', 'CFY4', '', 'CFY4', 'FY4'),
	('CEQ3', 'small_airport', 'Camrose Airport', 53.04029846191406, -112.81600189208984, 2426, 'CA', 'CA-AB', 'Camrose', 'no', 'CEQ3', '', 'CEQ3', 'EQ3'),
	('CYQL', 'medium_airport', 'Lethbridge County Airport', 49.6302986145, -112.800003052, 3048, 'CA', 'CA-AB', 'Lethbridge', 'yes', 'CYQL', 'YQL', '', 'Kenyon Field'),
	('0MT6', 'small_airport', 'Hanson Airport', 48.037607, -114.674478, 3900, 'US', 'US-MT', 'Marion', 'no', '0MT6', '', '0MT6', ''),
	('CYXC', 'medium_airport', 'Cranbrook/Canadian Rockies International Airport', 49.610801696777, -115.78199768066, 3082, 'CA', 'CA-BC', 'Cranbrook', 'yes', 'CYXC', 'YXC', '', ''),
	('CAA8', 'small_airport', 'Invermere Airport', 50.521502, -116.005775, 2820, 'CA', 'CA-BC', 'Invermere', 'no', 'CAA8', '', 'CAA8', 'AA8'),
	('CEX9', 'small_airport', 'Brant (Dixon Farm) Airport', 50.41939926147461, -113.54100036621094, 3342, 'CA', 'CA-AB', 'Brant', 'no', 'CEX9', '', 'CEX9', 'EX9'),
	('2MT1', 'small_airport', 'Ryan Field', 48.483182, -113.960853, 3660, 'US', 'US-MT', 'West Glacier', 'no', '2MT1', '', '2MT1', ''),
	('CFC8', 'small_airport', 'Flamboro Centre Airport', 43.371599, -79.93238, 810, 'CA', 'CA-ON', 'Millgrove', 'no', 'CFC8', '', 'CFC8', 'Charlie''s Field'),
	('2MT2', 'small_airport', 'Braidwater Farm Airport', 48.198535, -114.257834, 2910, 'US', 'US-MT', 'Kalispell', 'no', '2MT2', '', '2MT2', ''),
	('ID32', 'small_airport', 'Tuka STOLport', 48.105499267578125, -116.13700103759766, 2086, 'US', 'US-ID', 'Clark Fork', 'no', 'ID32', '', 'ID32', ''),
	('0MT9', 'small_airport', 'Lone Hawk Airport', 48.481172, -114.481659, 3284, 'US', 'US-MT', 'White Fish', 'no', '0MT9', '', '0MT9', ''),
	('01MT', 'small_airport', 'Crystal Lakes Resort Airport', 48.789100646972656, -114.87999725341797, 3141, 'US', 'US-MT', 'Fortine', 'no', '01MT', '', '01MT', ''),
	('CFM8', 'small_airport', 'Fort Macleod (Alcock Farm) Airport', 49.583302, -113.300001, 3340, 'CA', 'CA-AB', 'Fort Macleod', 'no', 'CFM8', '', 'CFM8', ''),
	('57S', 'small_airport', 'Troy Airport', 48.480202, -115.903999, 2017, 'US', 'US-MT', 'Troy', 'no', 'K57S', '', '57S', ''),
	('CHS3', 'small_airport', 'Beck Farm Airport', 49.3366, -113.5733, 3695, 'CA', 'CA-AB', 'Hillspring', 'no', 'CHS3', '', 'CHS3', ''),
	('S59', 'small_airport', 'Libby Airport', 48.28379821777344, -115.48999786376953, 2601, 'US', 'US-MT', 'Libby', 'no', 'KS59', '', 'S59', ''),
	('MT97', 'small_airport', 'Frampton Airport', 47.977475, -115.766401, 2400, 'US', 'US-MT', 'Noxon', 'no', 'MT97', '', 'MT97', ''),
	('8U4', 'small_airport', 'Spotted Bear USFS Airport', 47.961995, -113.559322, 3670, 'US', 'US-MT', 'Hungry Horse', 'no', '', '', '8U4', ''),
	('ID78', 'small_airport', 'CX Ranch Number 2 Airport', 48.141602, -116.181999, 2070, 'US', 'US-ID', 'Clark Fork', 'no', 'ID78', '', 'ID78', ''),
	('FZ4', 'N/A', 'N/A', 50.37646248936653, -113.67925778031349, 1025, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MT53', 'small_airport', 'Carson Field', 48.09469985961914, -114.85199737548828, 3550, 'US', 'US-MT', 'Kalispell', 'no', 'MT53', '', 'MT53', ''),
	('S27', 'small_airport', 'Kalispell City Airport', 48.1786, -114.304001, 2932, 'US', 'US-MT', 'Kalispell', 'no', 'KS27', '', 'S27', ''),
	('ID01', 'small_airport', 'CX Ranch Number 1 Airport', 48.137957, -116.196681, 2071, 'US', 'US-ID', 'Clark Fork', 'no', 'ID01', '', 'ID01', ''),
	('MT18', 'small_airport', 'Torres Airport', 48.287534, -114.183698, 3078, 'US', 'US-MT', 'Columbia Falls', 'no', 'MT18', '', 'MT18', 'Hoerner'),
	('CZPC', 'medium_airport', 'Pincher Creek Airport', 49.520429, -113.997002, 3903, 'CA', 'CA-AB', 'Pincher Creek', 'no', 'CZPC', 'WPC', '', 'ZPC'),
	('CRD2', 'small_airport', 'Rednek Air Airport', 49.821603, -112.5308, 2812, 'CA', 'CA-AB', 'Coaldale', 'no', '', '', 'CRD2', ''),
	('CYYM', 'small_airport', 'Cowley Airport', 49.636398315399994, -114.09400177, 3876, 'CA', 'CA-AB', 'Cowley', 'no', 'CYYM', 'YYM', 'YYM', 'YYM'),
	('53U', 'small_airport', 'Ferndale Airfield', 48.061045, -114.001377, 3060, 'US', 'US-MT', 'Bigfork', 'no', '', '', '53U', ''),
	('2MT0', 'small_airport', 'Bates Airstrip', 48.299972, -114.414543, 3110, 'US', 'US-MT', 'Kalispell', 'no', '2MT0', '', '2MT0', ''),
	('MT60', 'small_airport', 'Langton Airstrip', 48.81439971923828, -114.35399627685547, 3900, 'US', 'US-MT', 'Polebridge', 'no', 'MT60', '', 'MT60', ''),
	('MT03', 'small_airport', 'Lakeside Airport', 47.993408, -114.224306, 3440, 'US', 'US-MT', 'Lakeside', 'no', 'MT03', '', 'MT03', ''),
	('CEY3', 'small_airport', 'Fort Macleod Airport', 49.70000076293945, -113.41699981689453, 3138, 'CA', 'CA-AB', 'Fort Macleod', 'no', 'CEY3', '', 'CEY3', 'EY3'),
	('ID75', 'small_airport', 'Riverlake Airport', 48.125999450683594, -116.16500091552734, 2076, 'US', 'US-ID', 'Clark Fork', 'no', 'ID75', '', 'ID75', ''),
	('6MT4', 'seaplane_base', 'Brown Cabin Seaplane Base', 48.038069, -115.091325, 3340, 'US', 'US-MT', 'Libby', 'no', '6MT4', '', '6MT4', ''),
	('8U2', 'small_airport', 'Schafer USFS Airport', 48.07963, -113.243294, 4855, 'US', 'US-MT', 'Hungry Horse', 'no', '', '', '8U2', ''),
	('CEN4', 'small_airport', 'High River Airport', 50.534162, -113.843396, 3431, 'CA', 'CA-AB', 'High River', 'no', 'CEN4', '', 'CEN4', 'EN4'),
	('MT54', 'small_airport', 'Weaver Airport', 48.243900299072266, -114.24400329589844, 2929, 'US', 'US-MT', 'Kalispell', 'no', 'MT54', '', 'MT54', ''),
	('CEJ4', 'small_airport', 'Claresholm Industrial Airport', 50.00469970703125, -113.62999725341797, 3325, 'CA', 'CA-AB', 'Claresholm', 'no', 'CEJ4', '', 'CEJ4', 'EJ4, RCAF Station Claresholm'),
	('8S0', 'small_airport', 'Starr Browning Airstrip', 48.60139846801758, -113.11499786376953, 4655, 'US', 'US-MT', 'Browning', 'no', 'K8S0', '', '8S0', ''),
	('MT95', 'small_airport', 'Sky Ranch Airport', 48.116901, -114.186079, 2905, 'US', 'US-MT', 'Kalispell', 'no', 'MT95', '', 'MT95', 'Flathead Lake'),
	('97MT', 'small_airport', 'Cabin Creek Landing Airport', 48.074036, -114.677782, 3999, 'US', 'US-MT', 'Marion', 'no', '97MT', '', '97MT', ''),
	('CBE2', 'small_airport', 'Lionel P. Demers Memorial Airpark', 49.285798, -115.156923, 2850, 'CA', 'CA-BC', 'Elko', 'no', 'CBE2', '', 'CBE2', 'BE2'),
	('17MT', 'small_airport', 'Abel Ranch Airport', 48.10710144042969, -114.177001953125, 2900, 'US', 'US-MT', 'Kalispell', 'no', '17MT', '', '17MT', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CAJ7', 'small_airport', 'Cayley A J Flying Ranch Airport', 50.453887, -113.747191, 3450, 'CA', 'CA-AB', 'Cayley', 'no', 'CAJ7', '', 'CAJ7', 'AJ7'),
	('H28', 'small_airport', 'Whetstone International Airport', 48.998198, -112.789222, 4336, 'US', 'US-MT', 'Port of Del Bonita', 'no', '', '', 'H28', ''),
	('CMF3', 'small_airport', 'Lethbridge (Mercer Field)', 49.554811, -112.561541, 3085, 'CA', 'CA-AB', '', 'no', 'CMF3', '', 'MF3', ''),
	('MT37', 'small_airport', 'Sanders Airport', 48.12435, -114.240711, 2910, 'US', 'US-MT', 'Kalispell', 'no', 'MT37', '', 'MT37', ''),
	('CYSW', 'small_airport', 'Sparwood Elk Valley Airport', 49.834273, -114.878653, 3800, 'CA', 'CA-BC', 'Sparwood', 'no', 'CYSW', '', '', 'YSW'),
	('MT61', 'closed', 'Red Mountain Heliport', 46.516602, -112.200996, 5550, 'US', 'US-MT', 'Helena', 'no', '', '', '', ''),
	('88M', 'small_airport', 'Eureka Airport', 48.968332, -115.07947, 2668, 'US', 'US-MT', 'Eureka', 'no', '', '', '88M', ''),
	('0S1', 'small_airport', 'Meadow Creek USFS Airport', 47.847956, -113.416758, 3984, 'US', 'US-MT', 'Hungry Horse', 'no', '', '', '0S1', ''),
	('22MT', 'small_airport', 'Wounded Buck Ranch Airport', 48.128342, -114.16975, 2905, 'US', 'US-MT', 'Kalispell', 'no', '22MT', '', '22MT', ''),
	('CGW2', 'N/A', 'N/A', 49.354516714811325, -113.4956556558609, 1099, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CGN3', 'small_airport', 'Gunnlaugson Airport', 49.636701, -112.6916, 3058, 'CA', 'CA-AB', 'Lethbridge', 'no', 'CGN3', '', 'CGN3', ''),
	('clj3', 'small_airport', 'Lethbridge / J3 Airfield', 49.741621, -112.73833, 2910, 'CA', 'CA-AB', 'Lethbridge', 'no', 'CLJ3', '', '', ''),
	('86MT', 'small_airport', 'Moose City Airport', 48.99637, -114.47399, 3980, 'US', 'US-MT', 'Polebridge', 'no', '', '', '86MT', ''),
	('58S', 'small_airport', 'Whitefish Airport', 48.40800094604492, -114.30000305175781, 3066, 'US', 'US-MT', 'Whitefish', 'no', '58S', '', '58S', ''),
	('41MT', 'small_airport', 'R & R Field', 48.08715, -116.046267, 2274, 'US', 'US-MT', 'Heron', 'no', '41MT', '', '41MT', ''),
	('KGPI', 'medium_airport', 'Glacier Park International Airport', 48.31050109863281, -114.25599670410156, 2977, 'US', 'US-MT', 'Kalispell', 'yes', 'KGPI', 'FCA', 'GPI', 'Formerly KFCA'),
	('CEA6', 'small_airport', 'Cardston Airport', 49.163631, -113.241888, 3887, 'CA', 'CA-AB', 'Cardston', 'no', 'CEA6', '', 'CEA6', 'EA6'),
	('CYCZ', 'small_airport', 'Fairmont Hot Springs Airport', 50.331052, -115.873739, 2661, 'CA', 'CA-BC', 'Fairmont Hot Springs', 'no', 'CYCZ', 'YCZ', '', 'YCZ'),
	('CVL2', 'small_airport', 'Vulcan / Kirkcaldy Airport', 50.331944, -113.357778, 3418, 'CA', 'CA-AB', 'Vulcan', 'no', 'CVL2', '', 'CVL2', 'RCAF Station Vulcan, BCATP Vulcan'),
	('00ID', 'small_airport', 'Delta Shores Airport', 48.145301818847656, -116.21399688720703, 2064, 'US', 'US-ID', 'Clark Fork', 'no', '00ID', '', '00ID', ''),
	('CTF6', 'N/A', 'N/A', 49.716094583272934, -112.75055542588234, 906, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MT88', 'small_airport', 'Campbell Ranch Airport', 48.004398345947266, -114.9990005493164, 3360, 'US', 'US-MT', 'Marion', 'no', 'MT88', '', 'MT88', ''),
	('27MT', 'small_airport', 'Rahn Airport', 48.324413, -114.326501, 3090, 'US', 'US-MT', 'Kalispell', 'no', '27MT', '', '27MT', ''),
	('CFT2', 'small_airport', 'Wilderman Farm Airport', 50.552434748, -113.583183289, 3350, 'CA', 'CA-AB', 'Blackie', 'no', 'CFT2', '', 'CFT2', 'FT2'),
	('CFX6', 'small_airport', 'Vulcan Airport', 50.40447, -113.285223, 3437, 'CA', 'CA-AB', 'Vulcan', 'no', 'CFX6', '', 'CFX6', 'FX6'),
	('A05', 'small_airport', 'Dixie US Forest Service Airport', 45.520699, -115.517997, 5148, 'US', 'US-ID', 'Dixie', 'no', '', '', 'A05', 'ID05'),
	('02T', 'small_airport', 'Wise River Airport', 45.769100189208984, -112.98200225830078, 5830, 'US', 'US-MT', 'Wise River', 'no', '02T', '', '02T', ''),
	('92MT', 'N/A', 'N/A', 45.934863835573196, -114.1230833530426, 1280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MT69', 'small_airport', 'Littlebear Airport', 47.727724, -115.464614, 2579, 'US', 'US-MT', 'Thompson Falls', 'no', 'MT69', '', 'MT69', ''),
	('U79', 'small_airport', 'Chamberlain USFS Airport', 45.373253, -115.198157, 5765, 'US', 'US-ID', 'Warren', 'no', 'KU79', '', 'U79', ''),
	('S04', 'small_airport', 'Condon USFS Airport', 47.538799, -113.720001, 3686, 'US', 'US-MT', 'Condon', 'no', '', '', 'S04', ''),
	('ID85', 'small_airport', 'Elk River Airport', 46.78739929199219, -116.16799926757813, 2827, 'US', 'US-ID', 'Elk River', 'no', 'ID85', '', 'ID85', ''),
	('S34', 'small_airport', 'Plains Airport', 47.473475, -114.907122, 2467, 'US', 'US-MT', 'Plains', 'no', 'KS34', '', 'S34', ''),
	('29MT', 'small_airport', 'Craik Airport', 47.738112, -115.504332, 2500, 'US', 'US-MT', 'Trout Creek', 'no', '29MT', '', '29MT', ''),
	('3U7', 'small_airport', 'Benchmark Airport', 47.480951, -112.870907, 5434, 'US', 'US-MT', 'Augusta', 'no', '', '', '3U7', ''),
	('C48', 'small_airport', 'Wilson Bar US Forest Service Airport', 45.396994, -115.485306, 2250, 'US', 'US-ID', 'Dixie', 'no', '', '', 'C48', 'ID76'),
	('98MT', 'small_airport', 'Rosemont Airport', 46.44279861450195, -114.00299835205078, 4172, 'US', 'US-MT', 'Stevensville', 'no', '98MT', '', '98MT', ''),
	('85U', 'small_airport', 'Soldier Bar US Forest Service Airport', 45.104486, -114.799404, 4190, 'US', 'US-ID', 'Soldier Bar', 'no', '', '', '85U', ''),
	('2MT9', 'small_airport', 'Gold Creek Airport', 46.523083, -112.9897, 4956, 'US', 'US-MT', 'Drummond', 'no', '2MT9', '', '2MT9', ''),
	('S73', 'small_airport', 'Kamiah Municipal Airport', 46.21929931640625, -116.01300048828125, 1194, 'US', 'US-ID', 'Kamiah', 'no', 'KS73', '', 'S73', ''),
	('4MT9', 'small_airport', 'Boulanger Field Airport', 46.030276, -114.184994, 3891, 'US', 'US-MT', 'Darby', 'no', '4MT9', '', '4MT9', ''),
	('S92', 'small_airport', 'Fish Lake US Forest Service Airport', 46.32998, -115.063033, 5646, 'US', 'US-ID', 'Kooskia', 'no', 'KS92', '', 'S92', ''),
	('3U1', 'small_airport', 'Warren USFS Airport', 45.267767, -115.683106, 5896, 'US', 'US-ID', 'Warren', 'no', 'K3U1', '', '3U1', ''),
	('U05', 'small_airport', 'Riddick Field', 46.319400787353516, -113.30500030517578, 5212, 'US', 'US-MT', 'Philipsburg', 'no', 'KU05', '', 'U05', ''),
	('3U3', 'small_airport', 'Bowman Field', 46.153099, -112.867996, 5034, 'US', 'US-MT', 'Anaconda', 'no', 'K3U3', '', '3U3', ''),
	('ID29', 'small_airport', 'Big Island Airport', 46.6973991394043, -115.98400115966797, 2249, 'US', 'US-ID', 'Orofino', 'no', 'ID29', '', 'ID29', ''),
	('MT39', 'small_airport', 'Black Canyon Ranch Airport', 47.102717, -113.311803, 4260, 'US', 'US-MT', 'Seeley Lake', 'no', 'MT39', '', 'MT39', ''),
	('9ID6', 'small_airport', 'Mallard Creek Ranch Airport', 45.613302, -115.324779, 5200, 'US', 'US-ID', 'Elk City', 'no', '9ID6', '', '9ID6', ''),
	('MT72', 'small_airport', 'Hedditch Airport', 46.346001, -114.176003, 3663, 'US', 'US-MT', 'Victor', 'no', 'MT72', '', 'MT72', ''),
	('KTAK', 'N/A', 'N/A', 45.43783910572529, -113.43573644757271, 1969, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KGRJ', 'N/A', 'N/A', 45.48701874911785, -115.3303062915802, 781, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ID28', 'small_airport', 'Mackay Bar Airport', 45.3798, -115.505924, 2172, 'US', 'US-ID', 'Dixie', 'no', 'ID28', '', 'ID28', ''),
	('ID33', 'small_airport', 'Stocking Meadows Airport', 46.93600082397461, -115.86499786376953, 3850, 'US', 'US-ID', 'Clarkia', 'no', 'ID33', '', 'ID33', ''),
	('MT11', 'closed', 'Etchart Field', 48.3167, -106.834, 2157, 'US', 'US-MT', 'Tampico', 'no', '', '', '', 'MT11'),
	('09ID', 'small_airport', 'Taylor Ranch Landing Area Airport', 45.10390090942383, -114.8550033569336, 3835, 'US', 'US-ID', 'Moscow', 'no', '09ID', '', '09ID', ''),
	('KGIC', 'N/A', 'N/A', 45.942666716873646, -116.12302780151367, 1005, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('U60', 'small_airport', 'Big Creek Airport', 45.133202, -115.321999, 5743, 'US', 'US-ID', 'Big Creek', 'no', 'U60', '', 'U60', ''),
	('S69', 'small_airport', 'Lincoln Airport', 46.954399, -112.650002, 4603, 'US', 'US-MT', 'Lincoln', 'no', 'KS69', '', 'S69', ''),
	('23S', 'small_airport', 'Seeley Lake Airport', 47.179100036621094, -113.44499969482422, 4235, 'US', 'US-MT', 'Seeley Lake', 'no', '23S', '', '23S', ''),
	('0MT4', 'small_airport', 'Kimp Airport', 46.27859878540039, -114.14099884033203, 3510, 'US', 'US-MT', 'Hamilton', 'no', '0MT4', '', '0MT4', ''),
	('7S4', 'small_airport', 'Wisdom Airport', 45.587416, -113.45767, 6133, 'US', 'US-MT', 'Wisdom', 'no', '', '', '7S4', ''),
	('3MT9', 'small_airport', 'Willow Airport', 46.471562, -113.492461, 5536, 'US', 'US-MT', 'Philipsburg', 'no', '3MT9', '', '3MT9', ''),
	('KMCG', 'N/A', 'N/A', 45.0843695551157, -115.12583434581757, 1592, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3ID2', 'small_airport', 'The Last Resort Airport', 46.350675, -115.977, 3155, 'US', 'US-ID', 'Weippe', 'no', '3ID2', '', '3ID2', ''),
	('32S', 'small_airport', 'Stevensville Airport', 46.525101, -114.053001, 3610, 'US', 'US-MT', 'Stevensville', 'no', 'K32S', '', '32S', ''),
	('S90', 'small_airport', 'Elk City Airport', 45.820702, -115.439332, 4097, 'US', 'US-ID', 'Elk City', 'no', '', '', 'S90', ''),
	('18MT', 'small_airport', 'Fish Ranch Airport', 45.215999603271484, -113.4990005493164, 7200, 'US', 'US-MT', 'Jackson', 'no', '18MT', '', '18MT', ''),
	('ID51', 'heliport', 'Welburn Heliport', 47.783199310303, -116.68399810791, 2250, 'US', 'US-ID', 'Hayden Lake', 'no', '', '', 'ID51', 'ID51'),
	('0MT7', 'small_airport', 'Pinehurst Ranch Airport', 47.66080093383789, -115.40399932861328, 2460, 'US', 'US-MT', 'Thompson Falls', 'no', '0MT7', '', '0MT7', ''),
	('0S5', 'small_airport', 'Nezperce Municipal Airport', 46.238574, -116.23857, 3201, 'US', 'US-ID', 'Nezperce', 'no', '0S5', '', '0S5', 'Kuther Air Service, Nez Perce'),
	('9S4', 'small_airport', 'Mineral County Airport', 47.168301, -114.853996, 2787, 'US', 'US-MT', 'Superior', 'no', 'K9S4', '', '9S4', ''),
	('U81', 'small_airport', 'Cold Meadows US Forest Service Airport', 45.294834, -114.945573, 7030, 'US', 'US-ID', 'Warren', 'no', 'KU81', '', 'U81', 'USFS'),
	('KGRH', 'N/A', 'N/A', 45.71639087051153, -115.36396488547325, 1312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8S1', 'small_airport', 'Polson Airport', 47.6954, -114.184998, 2941, 'US', 'US-MT', 'Polson', 'no', 'K8S1', '', '8S1', ''),
	('MT19', 'small_airport', 'Hoversland Airport', 47.591, -114.052002, 3330, 'US', 'US-MT', 'Ronan', 'no', 'MT19', '', 'MT19', 'Olson Airport'),
	('75C', 'small_airport', 'Orogrande Airport', 45.730202, -115.528, 4405, 'US', 'US-ID', 'Orogrande', 'no', '75C', '', '75C', ''),
	('KTHM', 'small_airport', 'Thompson Falls Airport', 47.573501586914, -115.28099822998, 2467, 'US', 'US-MT', 'Thompson Falls', 'no', 'KTHM', 'THM', 'THM', ''),
	('M26', 'small_airport', 'Drummond Airport', 46.621599, -113.201751, 4245, 'US', 'US-MT', 'Drummond', 'no', '', 'DRU', 'M26', ''),
	('4MT8', 'small_airport', 'Brier Patch Airport', 46.473889, -114.054667, 3740, 'US', 'US-MT', 'Stevensville', 'no', '4MT8', '', '4MT8', ''),
	('38S', 'small_airport', 'Deer Lodge City County Airport', 46.38819885, -112.7659988, 4693, 'US', 'US-MT', 'Deer Lodge', 'no', 'K38S', '', '38S', ''),
	('RC0', 'small_airport', 'Rock Creek Airport', 46.7271, -113.657997, 3547, 'US', 'US-MT', 'Clinton', 'no', '', '', 'RC0', '0MT0, Elliot Field'),
	('I08', 'small_airport', 'Cabin Creek US Forest Service Airport', 45.143501, -114.929001, 4289, 'US', 'US-ID', 'Big Creek Ranger Station', 'no', 'I08', '', 'I08', ''),
	('57MT', 'small_airport', 'Flying K Field', 46.201911, -114.083029, 4085, 'US', 'US-MT', 'Hamilton', 'no', '57MT', '', '57MT', ''),
	('C64', 'small_airport', 'Cayuse Creek /US Forest Service Airport', 46.666599, -115.072998, 3500, 'US', 'US-ID', 'Cayuse Creek', 'no', 'KC64', '', 'C64', '2ID7, S74'),
	('37ID', 'small_airport', 'Hungry Ridge Ranch Airport', 45.782417, -115.938, 4599, 'US', 'US-ID', 'Grangeville', 'no', '37ID', '', '37ID', ''),
	('28MT', 'small_airport', 'Cain Ranch Airport', 46.952372, -112.747078, 4480, 'US', 'US-MT', 'Lincoln', 'no', '28MT', '', '28MT', ''),
	('MT21', 'closed', 'Flying Arrow Ranch Airport', 45.9016, -112.549004, 5950, 'US', 'US-MT', 'Butte', 'no', '', '', '', 'MT21'),
	('1MT6', 'small_airport', 'Bobcat Field', 46.35689926147461, -113.51000213623047, 4824, 'US', 'US-MT', 'Philipsburg', 'no', '1MT6', '', '1MT6', ''),
	('52S', 'small_airport', 'St Ignatius Airport', 47.325007, -114.08098, 3006, 'US', 'US-MT', 'St Ignatius', 'no', 'K52S', '', '52S', ''),
	('66ID', 'small_airport', 'Wind Ridge Airport', 45.87633, -116.17888, 4050, 'US', 'US-ID', 'Grangeville', 'no', '', '', '66ID', ''),
	('4U7', 'small_airport', 'West Fork Lodge Airport', 45.860599517822266, -114.22000122070313, 4247, 'US', 'US-MT', 'Conner', 'no', '4U7', '', '4U7', ''),
	('ID84', 'small_airport', 'Cptpa Headquarters Airport', 46.61709976196289, -115.80000305175781, 3314, 'US', 'US-ID', 'Headquarters', 'no', 'ID84', '', 'ID84', ''),
	('6S5', 'N/A', 'N/A', 46.25151168555021, -114.12555456161499, 1103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDLN', 'small_airport', 'Dillon Airport', 45.255401611299995, -112.553001404, 5241, 'US', 'US-MT', 'Dillon', 'no', 'KDLN', 'DLN', 'DLN', ''),
	('MT30', 'small_airport', 'Trapper Creek Strip', 45.939855, -114.136899, 4040, 'US', 'US-MT', 'Darby', 'no', 'MT30', '', 'MT30', ''),
	('MT52', 'small_airport', 'Nine Mile Airport', 47.077701568603516, -114.41300201416016, 3364, 'US', 'US-MT', 'Huson', 'no', 'MT52', '', 'MT52', ''),
	('S82', 'small_airport', 'Kooskia Municipal Airport', 46.1327018737793, -115.97899627685547, 1263, 'US', 'US-ID', 'Kooskia', 'no', 'S82', '', 'S82', ''),
	('KMSO', 'medium_airport', 'Missoula International Airport', 46.91630173, -114.0910034, 3206, 'US', 'US-MT', 'Missoula', 'yes', 'KMSO', 'MSO', 'MSO', ''),
	('KSMN', 'medium_airport', 'Lemhi County Airport', 45.122233, -113.88196, 4043, 'US', 'US-ID', 'Salmon', 'yes', 'KSMN', 'SMN', 'SMN', ''),
	('2U5', 'small_airport', 'Shearer US Forest Service Airport', 45.9916, -114.841003, 2634, 'US', 'US-ID', 'Kooskia', 'no', '', '', '2U5', ''),
	('MT93', 'small_airport', 'Larner Field', 46.28710174560547, -112.75800323486328, 4710, 'US', 'US-MT', 'Deer Lodge', 'no', 'MT93', '', 'MT93', ''),
	('79ID', 'small_airport', 'Kooskia (Clear Creek Int) Airport', 46.0488642914, -115.869691372, 1800, 'US', 'US-ID', '', 'no', '79ID', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KGRC', 'N/A', 'N/A', 45.5851661413908, -115.68136587738991, 2328, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('05ID', 'small_airport', 'Running Creek Ranch Airport', 45.914101, -114.835999, 2969, 'US', 'US-ID', 'Elk City', 'no', '05ID', '', '05ID', '72U'),
	('0ID8', 'small_airport', 'Pinnacle Airport', 45.775705, -116.180463, 3800, 'US', 'US-ID', 'Grangeville', 'no', '0ID8', '', '0ID8', ''),
	('1U1', 'small_airport', 'Moose Creek US Forest Service Airport', 46.124294, -114.923515, 2454, 'US', 'US-ID', 'Kooskia', 'no', 'K1U1', '', '1U1', ''),
	('8ID8', 'small_airport', 'Lewis and Clark Airstrip', 45.354071, -113.864472, 4530, 'US', 'US-ID', 'Salmon', 'no', '8ID8', '', '8ID8', ''),
	('7S0', 'small_airport', 'Ronan Airport', 47.56719970703125, -114.10099792480469, 3086, 'US', 'US-MT', 'Ronan', 'no', 'K7S0', '', '7S0', ''),
	('S09', 'small_airport', 'Hot Springs Airport', 47.614148, -114.612679, 2763, 'US', 'US-MT', 'Hot Springs', 'no', 'KS09', '', 'S09', ''),
	('I98D', 'N/A', 'N/A', 45.13231907039881, -114.99947056174278, 1263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('S83', 'small_airport', 'Shoshone County Airport', 47.547277, -116.188745, 2223, 'US', 'US-ID', 'Smelterville', 'no', 'KS83', '', 'S83', ''),
	('KCHL', 'N/A', 'N/A', 45.3127271309495, -115.02566367387772, 1704, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYLK', 'small_airport', 'Lutselk''e Airport', 62.417823, -110.682793, 596, 'CA', 'CA-NT', 'Lutselk''e', 'yes', 'CYLK', 'YSG', '', 'YLK, EL3, Snowdrift Airport'),
	('CTM7', 'small_airport', 'Tundra Mine/Salamita Mine Aerodrome', 64.0725, -111.158, 1445, 'CA', 'CA-NT', 'Tundra and Salamita Mines', 'no', 'CTM7', '', 'CTM7', ''),
	('CJN8', 'seaplane_base', 'Fort Reliance Seaplane Base', 62.7, -109.167, 514, 'CA', 'CA-NT', 'Fort Reliance', 'no', 'CJN8', 'YFL', 'CJN8', ''),
	('CDK2', 'small_airport', 'Diavik Airport', 64.5113983154, -110.289001465, 1413, 'CA', 'CA-NT', 'Diavik', 'no', 'CDK2', 'DVK', 'CDK2', 'DK2'),
	('CYSM', 'medium_airport', 'Fort Smith Airport', 60.020302, -111.961998, 671, 'CA', 'CA-NT', 'Fort Smith', 'yes', 'CYSM', 'YSM', '', ''),
	('CJP9', 'small_airport', 'Charlot River Airport', 59.60169982910156, -109.13700103759766, 700, 'CA', 'CA-SK', 'Charlot River', 'no', 'CJP9', '', 'CJP9', 'JP9'),
	('CJP6', 'small_airport', 'Camsell Portage Airport', 59.61000061035156, -109.26699829101563, 750, 'CA', 'CA-SK', 'Camsell Portage', 'no', 'CJP6', '', 'CJP6', 'JP6'),
	('CFW5', 'small_airport', 'Taltson River Airport', 60.394243, -111.347638, 875, 'CA', 'CA-NT', 'Taltson River', 'no', 'CFW5', '', 'CFW5', 'FW5'),
	('CYFI', 'small_airport', 'Fort Mackay / Firebag', 57.275833, -110.976666, 1762, 'CA', 'CA-AB', 'Suncor Energy Site', 'no', 'CYFI', 'YFI', 'CYFI', 'CFG6, Wood Buffalo'),
	('CYPY', 'medium_airport', 'Fort Chipewyan Airport', 58.7672004699707, -111.11699676513672, 761, 'CA', 'CA-AB', 'Fort Chipewyan', 'yes', 'CYPY', 'YPY', '', ''),
	('CJL4', 'small_airport', 'La Loche Airport', 56.47330093383789, -109.40399932861328, 1501, 'CA', 'CA-SK', 'La Loche', 'no', 'CJL4', '', 'CJL4', 'JL4'),
	('CYMM', 'medium_airport', 'Fort McMurray Airport', 56.653301239, -111.222000122, 1211, 'CA', 'CA-AB', 'Fort McMurray', 'yes', 'CYMM', 'YMM', '', ''),
	('CYNR', 'small_airport', 'Fort Mackay / Horizon Airport', 57.3816986084, -111.700996399, 916, 'CA', 'CA-AB', 'Fort Mackay', 'no', 'CYNR', 'HZP', 'CYNR', 'YNR'),
	('CFW4', 'small_airport', 'Muskeg Tower Airport', 57.13750076293945, -110.89299774169922, 2020, 'CA', 'CA-AB', 'Muskeg Tower', 'no', 'CFW4', '', 'CFW4', 'FW4'),
	('CFA5', 'small_airport', 'Grande Airport', 56.29999923706055, -112.23300170898438, 1750, 'CA', 'CA-AB', 'Grande', 'no', 'CFA5', '', 'CFA5', 'FA5'),
	('CAL4', 'small_airport', 'Fort MacKay/Albian Aerodrome', 57.223899841299996, -111.418998718, 1048, 'CA', 'CA-AB', 'Albian Village', 'no', 'CAL4', 'JHL', 'CAL4', 'Shell Canada, Jackpine Mine'),
	('CFW2', 'small_airport', 'Gordon Lake Airport', 56.61669921875, -110.5, 1600, 'CA', 'CA-AB', 'Gordon Lake', 'no', 'CFW2', '', 'CFW2', 'FW2'),
	('CFN4', 'closed', 'Embarras Airport', 58.2047490455, -111.383900642, 778, 'CA', 'CA-AB', 'Embarras', 'no', '', '', '', 'FN4, CFN4, CFN4'),
	('CFL9', 'small_airport', 'Johnson Lake Airport', 57.56669998168945, -110.31700134277344, 2000, 'CA', 'CA-AB', 'Johnson Lake', 'no', 'CFL9', '', 'CFL9', 'FL9'),
	('CFM2', 'small_airport', 'Birch Mountain Airport', 57.70000076293945, -111.83300018310547, 2600, 'CA', 'CA-AB', 'Birch Mountain', 'no', 'CFM2', '', 'CFM2', 'FM2'),
	('CAX2', 'small_airport', 'Axe Lake Aerodrome', 57.269165, -109.847504, 1758, 'CA', 'CA-SK', 'Axe Lake', 'no', 'CAX2', '', 'CAX2', ''),
	('CJS3', 'small_airport', 'Cluff Lake Airport', 58.3911018372, -109.51599884, 1112, 'CA', 'CA-SK', 'Cluff Lake', 'no', 'CJS3', 'XCL', 'CJS3', 'JS3'),
	('CES7', 'seaplane_base', 'Fort McMurray Seaplane Base', 56.733297, -111.366997, 795, 'CA', 'CA-AB', '', 'no', 'CES7', '', 'CES7', 'ES7'),
	('CYLB', 'small_airport', 'Lac La Biche Airport', 54.7703018188, -112.031997681, 1884, 'CA', 'CA-AB', 'Lac La Biche', 'no', 'CYLB', 'YLB', '', 'YLB'),
	('CRL4', 'small_airport', 'Kirby Lake Airport', 55.355598, -110.637001, 2260, 'CA', 'CA-AB', 'Kirby Lake', 'no', 'CRL4', 'KFM', 'CRL4', ''),
	('CKF4', 'small_airport', 'Goodsoil Airport', 54.41669845581055, -109.23300170898438, 1750, 'CA', 'CA-SK', 'Goodsoil', 'no', 'CKF4', '', 'CKF4', 'KF4'),
	('CET2', 'small_airport', 'Conklin (Leismer) Airport', 55.695301, -111.278999, 1930, 'CA', 'CA-AB', 'Conklin', 'no', 'CET2', 'CFM', 'CET2', 'ET2'),
	('CFF2', 'small_airport', 'Christina Basin Airport', 55.59000015258789, -111.822998046875, 2365, 'CA', 'CA-AB', 'Christina Basin', 'no', 'CFF2', '', 'CFF2', 'FF2'),
	('CEN5', 'small_airport', 'Cold Lake Regional Airport', 54.477500915527344, -110.26899719238281, 1786, 'CA', 'CA-AB', 'Cold Lake', 'no', 'CEN5', '', 'CEN5', 'EN5'),
	('CTF5', 'small_airport', 'Pierceland (Turchyn Field)', 54.300305, -109.9269, 1790, 'CA', 'CA-SK', 'Pierceland', 'no', 'CTF5', '', 'CTF5', ''),
	('CJW3', 'small_airport', 'Loon Lake Airport', 54.0182991027832, -109.13500213623047, 1790, 'CA', 'CA-SK', 'Loon Lake', 'no', 'CJW3', '', 'CJW3', 'JW3'),
	('CEJ6', 'small_airport', 'Elk Point Airport', 53.892946, -110.772017, 1981, 'CA', 'CA-AB', 'Elk Point', 'no', 'CEJ6', '', 'CEJ6', 'EJ6'),
	('CEL6', 'small_airport', 'Two Hills Airport', 53.709759, -111.788162, 2010, 'CA', 'CA-AB', 'Two Hills', 'no', 'CEL6', '', 'CEL6', 'EL6'),
	('CYBF', 'medium_airport', 'Bonnyville Airport', 54.304199, -110.744003, 1836, 'CA', 'CA-AB', 'Bonnyville', 'yes', 'CYBF', 'YBY', '', 'YBF'),
	('CFM3', 'N/A', 'N/A', 55.95589678734541, -110.49754410982132, 530, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CER5', 'closed', 'Conklin Airport', 55.6347007751, -111.087997437, 1850, 'CA', 'CA-AB', 'Conklin', 'no', '', '', '', 'ER5, CER5, CER5'),
	('CFN6', 'small_airport', 'Primrose Airport', 55.390002, -111.1198, 2307, 'CA', 'CA-AB', 'Primrose', 'no', 'CFN6', 'PFM', 'CFN6', 'FN6'),
	('CEP5', 'small_airport', 'Janvier Airport', 55.900001525878906, -110.73300170898438, 1575, 'CA', 'CA-AB', 'Janvier', 'no', 'CEP5', '', 'CEP5', 'EP5'),
	('CYOD', 'medium_airport', 'CFB Cold Lake', 54.404998779296875, -110.27899932861328, 1775, 'CA', 'CA-AB', 'Cold Lake', 'no', 'CYOD', 'YOD', '', ''),
	('CEW3', 'small_airport', 'St. Paul Airport', 53.993695, -111.377993, 2147, 'CA', 'CA-AB', 'St. Paul', 'no', 'CEW3', 'ZSP', 'CEW3', 'EW3, Saint Paul'),
	('CFP5', 'small_airport', 'Glendon Airport', 54.270802, -111.067002, 1835, 'CA', 'CA-AB', 'Glendon', 'no', 'CFP5', '', 'CFP5', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CEV3', 'small_airport', 'Vegreville Airport', 53.514400482177734, -112.0270004272461, 2072, 'CA', 'CA-AB', 'Vegreville', 'no', 'CEV3', '', 'CEV3', 'EV3'),
	('CJE6', 'closed', 'Paradise Hill Airport', 53.535389, -109.436273, 1927, 'CA', 'CA-SK', 'Paradise Hill', 'no', '', '', '', 'JE6, CJE6'),
	('CYFU', 'N/A', 'N/A', 56.122076734900475, -111.77996098995209, 761, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CCL3', 'small_airport', 'Christina Lake Airport', 55.628385, -110.751114, 1905, 'CA', 'CA-AB', 'Christina Lake', 'no', 'CCL3', '', 'CCL3', ''),
	('CFX7', 'N/A', 'N/A', 55.298387445509434, -111.98500156402588, 684, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFY2', 'small_airport', 'Grist Lake Airport', 55.400001525878906, -110.48300170898438, 2000, 'CA', 'CA-AB', 'Grist Lake', 'no', 'CFY2', '', 'CFY2', 'FY2'),
	('CYVG', 'small_airport', 'Vermilion Airport', 53.357714, -110.827388, 2025, 'CA', 'CA-AB', 'Vermilion', 'no', 'CYVG', 'YVG', 'YVG', 'YVG'),
	('CEH6', 'small_airport', 'Provost Airport', 52.33810043334961, -110.27899932861328, 2197, 'CA', 'CA-AB', 'Provost', 'no', 'CEH6', '', 'CEH6', 'EH6'),
	('CEK6', 'small_airport', 'Killam-Sedgewick Airport', 52.795446, -111.76037, 2182, 'CA', 'CA-AB', 'Killam', 'no', 'CEK6', '', 'CEK6', 'EK6'),
	('CYEA', 'small_airport', 'Empress Airport', 50.93330001831055, -110.01300048828125, 2211, 'CA', 'CA-AB', 'Empress', 'no', 'CYEA', '', '', 'YEA'),
	('CJH3', 'small_airport', 'Maidstone Airport', 53.097922, -109.328815, 1975, 'CA', 'CA-SK', 'Maidstone', 'no', 'CJH3', '', 'CJH3', 'JH3'),
	('CVS2', 'small_airport', 'Viking (South) Airport', 53.0256, -111.948997, 2242, 'CA', 'CA-AB', 'Viking', 'no', 'CVS2', '', 'CVS2', ''),
	('CEA5', 'small_airport', 'Hardisty Airport', 52.64690017700195, -111.38400268554688, 2326, 'CA', 'CA-AB', 'Hardisty', 'no', 'CEA5', '', 'CEA5', 'EA5'),
	('CFU8', 'small_airport', 'Irma Airport', 52.912200927734375, -111.17400360107422, 2230, 'CA', 'CA-AB', 'Irma', 'no', 'CFU8', '', 'CFU8', 'FU8'),
	('CER2', 'small_airport', 'Castor Airport', 52.2209249248, -111.926887035, 2704, 'CA', 'CA-AB', 'Castor', 'no', 'CER2', '', 'CER2', 'ER2'),
	('CEF6', 'closed', 'S.I.R.Bernard Forestburg Airpark', 52.573786, -112.083664, 2334, 'CA', 'CA-AB', 'Forestburg', 'no', '', '', '', 'EF6, Bernard Airpark, Forestburg Airpark, CEF6'),
	('CKU4', 'small_airport', 'Cut Knife Airport', 52.7401, -109.014415, 2100, 'CA', 'CA-SK', 'Cut Knife', 'no', 'CKU4', '', 'CKU4', 'KU4'),
	('CJR4', 'small_airport', 'Eston Airport', 51.14419937133789, -108.76300048828125, 2225, 'CA', 'CA-SK', 'Eston', 'no', 'CJR4', '', 'CJR4', 'JR4'),
	('CJR2', 'small_airport', 'Luseland Airport', 52.069453, -109.375052, 2300, 'CA', 'CA-SK', 'Luseland', 'no', 'CJR2', '', 'CJR2', 'JR2'),
	('CJV2', 'small_airport', 'Neilburg Airport', 52.83140182495117, -109.63999938964844, 2222, 'CA', 'CA-SK', 'Neilburg', 'no', 'CJV2', '', 'CJV2', 'JV2'),
	('CYLL', 'medium_airport', 'Lloydminster Airport', 53.3092, -110.072998, 2193, 'CA', 'CA-AB', 'Lloydminster', 'yes', 'CYLL', 'YLL', '', ''),
	('CYKY', 'medium_airport', 'Kindersley Airport', 51.5175018311, -109.180999756, 2277, 'CA', 'CA-SK', 'Kindersley', 'no', 'CYKY', 'YKY', 'YKY', 'YKY'),
	('CJG2', 'small_airport', 'Eatonia (Elvie Smith) Municipal Airport', 51.219456, -109.392879, 2365, 'CA', 'CA-SK', 'Eatonia', 'no', 'CJG2', '', 'CJG2', 'JG2'),
	('CFG3', 'small_airport', 'Consort Airport', 52.023788, -110.748762, 2499, 'CA', 'CA-AB', 'Consort', 'no', 'CFG3', '', 'CFG3', 'FG3'),
	('CYCT', 'small_airport', 'Coronation Airport', 52.0750007629, -111.444999695, 2595, 'CA', 'CA-AB', 'Coronation', 'no', 'CYCT', 'YCT', '', 'YCT'),
	('CYWV', 'small_airport', 'Wainwright Airport', 52.796404, -110.858445, 2230, 'CA', 'CA-AB', 'Wainwright', 'no', 'CYWV', '', '', 'YWV'),
	('CEN2', 'small_airport', 'Bassano Airport', 50.804107, -112.464065, 2613, 'CA', 'CA-AB', 'Bassano', 'no', 'CEN2', '', 'CEN2', 'EN2'),
	('CJU7', 'small_airport', 'Edam Airport', 53.185001373291016, -108.78900146484375, 1790, 'CA', 'CA-SK', 'Edam', 'no', 'CJU7', '', 'CJU7', 'JU7'),
	('CEE8', 'small_airport', 'Viking Airport', 53.1089685346, -111.864938736, 2260, 'CA', 'CA-AB', 'Viking', 'no', 'CEE8', '', 'CEE8', 'EE8'),
	('CYBP', 'small_airport', 'Brooks Regional Airport', 50.633598, -111.926003, 2490, 'CA', 'CA-AB', 'Brooks', 'no', 'CYBP', '', 'CYBP', 'YBP'),
	('CJJ8', 'small_airport', 'Macklin Airport', 52.343616, -109.920215, 2280, 'CA', 'CA-SK', 'Macklin', 'no', 'CJJ8', '', 'CJJ8', 'JJ8'),
	('CED3', 'small_airport', 'Oyen Municipal Airport', 51.33420181274414, -110.49099731445313, 2498, 'CA', 'CA-AB', 'Oyen', 'no', 'CED3', '', 'CED3', 'ED3'),
	('CJD5', 'small_airport', 'Leader Airport', 50.877883, -109.501977, 2201, 'CA', 'CA-SK', 'Leader', 'no', 'CJD5', '', 'CJD5', 'JD5'),
	('CEL4', 'small_airport', 'Hanna Airport', 51.632158, -111.904651, 2738, 'CA', 'CA-AB', 'Hanna', 'no', 'CEL4', '', 'CEL4', 'EL4'),
	('CFL2', 'small_airport', 'Empress McNeill Spectra Energy Airport', 50.681831, -110.043182, 2395, 'CA', 'CA-AB', 'Hilda', 'no', 'CFL2', '', 'CFL2', 'FL2'),
	('CYWN', 'N/A', 'N/A', 52.83055566251278, -111.10055565834045, 687, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJP2', 'small_airport', 'Kerrobert Airport', 51.92689895629883, -109.12899780273438, 2208, 'CA', 'CA-SK', 'Kerrobert', 'no', 'CJP2', '', 'CJP2', 'JP2'),
	('CKE8', 'small_airport', 'Unity Airport', 52.44580078125, -109.18499755859375, 2090, 'CA', 'CA-SK', 'Unity', 'no', 'CKE8', '', 'CKE8', 'KE8'),
	('CEN6', 'small_airport', 'Vauxhall Airport', 50.03329849243164, -112.08300018310547, 2579, 'CA', 'CA-AB', 'Vauxhall', 'no', 'CEN6', '', 'CEN6', 'EN6'),
	('CJQ4', 'small_airport', 'Maple Creek Airport', 49.89580154418945, -109.4749984741211, 2517, 'CA', 'CA-SK', 'Maple Creek', 'no', 'CJQ4', '', 'CJQ4', 'JQ4'),
	('06MT', 'small_airport', 'Torgerson Airport', 48.558696, -112.117095, 3541, 'US', 'US-MT', 'Ethridge', 'no', '06MT', '', '06MT', ''),
	('B70', 'small_airport', 'Tiber Dam Airport', 48.313703, -111.108126, 3023, 'US', 'US-MT', 'Chester', 'no', '', '', 'B70', ''),
	('79S', 'small_airport', 'Fort Benton Airport', 47.84510040283203, -110.63600158691406, 2869, 'US', 'US-MT', 'Fort Benton', 'no', 'K79S', '', '79S', ''),
	('12MT', 'small_airport', 'Lincolns Field', 48.774200439453125, -110.44200134277344, 2931, 'US', 'US-MT', 'Hingham', 'no', '12MT', '', '12MT', ''),
	('CFD4', 'small_airport', 'Foremost Airport', 49.48310089111328, -111.49400329589844, 2909, 'CA', 'CA-AB', 'Foremost', 'no', 'CFD4', '', 'CFD4', 'FD4'),
	('KHVR', 'medium_airport', 'Havre City County Airport', 48.541387, -109.762859, 2591, 'US', 'US-MT', 'Havre', 'yes', 'KHVR', 'HVR', 'HVR', ''),
	('MT02', 'small_airport', 'Hellinger Airport', 48.538299560546875, -111.49700164794922, 3215, 'US', 'US-MT', 'Devon', 'no', 'MT02', '', 'MT02', ''),
	('S71', 'small_airport', 'Edgar G Obie Airport', 48.592098236083984, -109.2509994506836, 2416, 'US', 'US-MT', 'Chinook', 'no', 'KS71', '', 'S71', ''),
	('26MT', 'small_airport', 'Hutchinson Airport', 48.835601806640625, -110.44200134277344, 2900, 'US', 'US-MT', 'Hingham', 'no', '26MT', '', '26MT', ''),
	('CKK5', 'closed', 'Eastend Airport', 49.54974, -108.797312, 3040, 'CA', 'CA-SK', 'Eastend', 'no', '', '', '', 'KK5, CKK5, CKK5'),
	('48S', 'small_airport', 'Harlem Airport', 48.566101, -108.773003, 2643, 'US', 'US-MT', 'Harlem', 'no', 'K48S', '', '48S', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('U09', 'N/A', 'N/A', 48.48216578364372, -108.77291947603226, 720, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLTY', 'small_airport', 'Liberty County Airport', 48.510702, -110.990997, 3160, 'US', 'US-MT', 'Chester', 'no', 'KLTY', '', 'LTY', '4U3'),
	('7S8', 'small_airport', 'Ross International Airport', 48.9986, -111.977997, 3552, 'US', 'US-MT', 'Sweetgrass', 'no', '7S8', '', '7S8', ''),
	('KCII', 'small_airport', 'Choteau Airport', 47.8283, -112.167999, 3947, 'US', 'US-MT', 'Choteau', 'no', 'KCII', '', 'CII', ''),
	('CED5', 'small_airport', 'Taber Airport', 49.826698303222656, -112.18499755859375, 2648, 'CA', 'CA-AB', 'Taber', 'no', 'CED5', '', 'CED5', 'ED5'),
	('45MT', 'small_airport', 'Pester Airport', 48.628333, -110.469667, 3055, 'US', 'US-MT', 'Hingham', 'no', '45MT', '', '45MT', ''),
	('CEW5', 'small_airport', 'Milk River Airport', 49.13330078125, -112.05000305175781, 3449, 'CA', 'CA-AB', 'Milk River', 'no', 'CEW5', '', 'CEW5', 'EW5'),
	('LC0', 'small_airport', 'Left Coulee Airport', 47.885427, -109.022698, 3150, 'US', 'US-MT', 'Winifred', 'no', '', '', 'LC0', ''),
	('BW8', 'small_airport', 'Bullwhacker Airport', 47.847639, -109.098972, 3147, 'US', 'US-MT', 'Winifred', 'no', '', '', 'BW8', ''),
	('8U5', 'closed', 'Sunburst Airport', 48.886701, -111.921996, 3406, 'US', 'US-MT', 'Sunburst', 'no', '', '', '', '8U5'),
	('5U1', 'small_airport', 'Dutton Airport', 47.847198486328125, -111.697998046875, 3699, 'US', 'US-MT', 'Dutton', 'no', 'K5U1', '', '5U1', ''),
	('13MT', 'small_airport', 'Sorenson Airport', 48.52080154418945, -110.11299896240234, 2873, 'US', 'US-MT', 'Kremlin', 'no', '13MT', '', '13MT', ''),
	('4U4', 'small_airport', 'Maddox Ranch Co Airport', 48.513426, -109.065333, 2589, 'US', 'US-MT', 'Chinook', 'no', '3MT4', '', '3MT4', '4U4, Hebbelman Airport'),
	('CYXH', 'medium_airport', 'Medicine Hat Regional Airport', 50.018902, -110.721001, 2352, 'CA', 'CA-AB', 'Medicine Hat', 'yes', 'CYXH', 'YXH', '', ''),
	('CEP6', 'small_airport', 'Warner Airport', 49.29330062866211, -112.18900299072266, 3319, 'CA', 'CA-AB', 'Warner', 'no', 'CEP6', '', 'CEP6', 'EP6'),
	('7S7', 'small_airport', 'Valier Airport', 48.299375, -112.249214, 3820, 'US', 'US-MT', 'Valier', 'no', 'K7S7', '', '7S7', ''),
	('S01', 'small_airport', 'Conrad Airport', 48.16859817504883, -111.97599792480469, 3545, 'US', 'US-MT', 'Conrad', 'no', 'KS01', '', 'S01', ''),
	('CW0', 'small_airport', 'Cow Creek Airport', 47.9475, -109.008611111, 3298, 'US', 'US-MT', 'Winifred', 'no', '', '', 'CW0', ''),
	('CEF3', 'small_airport', 'Bow Island Airport', 49.88330078125, -111.33300018310547, 2634, 'CA', 'CA-AB', 'Bow Island', 'no', 'CEF3', '', 'CEF3', 'EF3'),
	('KCTB', 'medium_airport', 'Cut Bank International Airport', 48.608657, -112.378183, 3854, 'US', 'US-MT', 'Cut Bank', 'no', 'KCTB', 'CTB', 'CTB', ''),
	('KSBX', 'small_airport', 'Shelby Airport', 48.5406990051, -111.871002197, 3443, 'US', 'US-MT', 'Shelby', 'no', 'KSBX', 'SBX', 'SBX', ''),
	('3U8', 'small_airport', 'Big Sandy Airport', 48.163204, -110.115709, 2700, 'US', 'US-MT', 'Big Sandy', 'no', 'K3U8', '', '3U8', ''),
	('CFD6', 'N/A', 'N/A', 49.69093680381775, -111.87185347080231, 869, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BB0', 'small_airport', 'Black Butte North Airport', 47.84542, -109.18656, 3230, 'US', 'US-MT', 'Lloyd', 'no', '', '', 'BB0', ''),
	('CFZ3', 'small_airport', 'Schlenker Airport', 49.971671, -110.72439, 2365, 'CA', 'CA-AB', 'Medicine Hat', 'no', 'CFZ3', '', 'CFZ3', 'FZ3'),
	('14MT', 'small_airport', 'Sandy Rock Airport', 48.615321, -110.324932, 2890, 'US', 'US-MT', 'Gildford', 'no', '14MT', '', '14MT', ''),
	('3MT4', 'small_airport', 'Maddox Ranch Co Airport', 48.513426, -109.065333, 2589, 'US', 'US-MT', 'Chinook', 'no', '3MT4', '', '3MT4', '4U4, Hebbelman Airport'),
	('S64', 'small_airport', 'Stanford Airport/Biggerstaff Field', 47.147202, -110.230003, 4327, 'US', 'US-MT', 'Stanford', 'no', '', '', 'S64', ''),
	('5U0', 'small_airport', 'Denton Airport', 47.320801, -109.942001, 3592, 'US', 'US-MT', 'Denton', 'no', '5U0', '', '5U0', ''),
	('0MT5', 'small_airport', 'Cottonwood Airport', 45.633771, -108.848248, 3350, 'US', 'US-MT', 'Laurel', 'no', '0MT5', '', '0MT5', ''),
	('KLET', 'N/A', 'N/A', 47.177193984389305, -109.30633753538132, 1348, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MT48', 'small_airport', 'Flying Y Ranch Airport', 45.42629, -110.656532, 4857, 'US', 'US-MT', 'Livingston', 'no', 'MT48', '', 'MT48', ''),
	('8U0', 'small_airport', 'Ryegate Airport', 46.290501, -109.248001, 3689, 'US', 'US-MT', 'Ryegate', 'no', '', '', '8U0', ''),
	('KBZN', 'medium_airport', 'Bozeman Yellowstone International Airport', 45.7775, -111.153, 4473, 'US', 'US-MT', 'Bozeman', 'yes', 'KBZN', 'BZN', 'BZN', 'Gallatin Field'),
	('1MT3', 'small_airport', 'Wood Strip', 46.557668, -112.414399, 5100, 'US', 'US-MT', 'Elliston', 'no', '1MT3', '', '1MT3', ''),
	('4MT1', 'small_airport', 'Kreikemeier Airport', 45.820701599121094, -111.1449966430664, 4360, 'US', 'US-MT', 'Belgrade', 'no', '4MT1', '', '4MT1', ''),
	('MT71', 'small_airport', 'Edsall Field', 45.724098205566406, -111.04299926757813, 4659, 'US', 'US-MT', 'Bozeman', 'no', 'MT71', '', 'MT71', ''),
	('8MT4', 'small_airport', 'Elk Meadows Ranch Airport', 46.53577, -111.498901, 4066, 'US', 'US-MT', 'Townsend', 'no', '8MT4', '', '8MT4', ''),
	('6S0', 'small_airport', 'Big Timber Airport', 45.806681, -109.979153, 4492, 'US', 'US-MT', 'Big Timber', 'no', 'K6S0', '', '6S0', ''),
	('80S', 'small_airport', 'Lavina Airport', 46.307201, -108.956001, 3490, 'US', 'US-MT', 'Lavina', 'no', '80S', '', '80S', ''),
	('MT86', 'small_airport', 'Bar E Airport', 47.164355, -112.113197, 3875, 'US', 'US-MT', 'Helena', 'no', 'MT86', '', 'MT86', ''),
	('50MT', 'N/A', 'N/A', 45.62861122190952, -108.8283334672451, 1016, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MT42', 'small_airport', 'Hasskamp STOLport', 45.910499572753906, -111.51399993896484, 4052, 'US', 'US-MT', 'Three Forks', 'no', 'MT42', '', 'MT42', ''),
	('MT3', 'small_airport', 'Knox Ridge Airport', 47.61666, -108.84805, 2950, 'US', 'US-MT', 'Winifred', 'no', '', '', 'MT3', ''),
	('9MT9', 'small_airport', 'Pierces Airport', 45.79041, -111.124735, 4450, 'US', 'US-MT', 'Belgrade', 'no', '9MT9', '', '9MT9', 'McKenna'),
	('5M7', 'closed', 'Mountain Lakes Field', 46.630798, -111.806999, 4250, 'US', 'US-MT', 'Helena', 'no', '', '', '', '5M7'),
	('KEKS', 'small_airport', 'Ennis Big Sky Airport', 45.271801, -111.649002, 5423, 'US', 'US-MT', 'Ennis', 'no', 'KEKS', '', 'EKS', '5U3'),
	('MT36', 'closed', 'Cottontail Ranch Airport', 46.132198, -110.046997, 5340, 'US', 'US-MT', 'Melville', 'no', '', '', '', 'MT36'),
	('40MT', 'small_airport', 'Silver Creek Airport', 46.706601, -112.06909, 3860, 'US', 'US-MT', 'Helena', 'no', '40MT', '', '40MT', 'https://web.archive.org/web/20150924110614/http://www.airnav.com/airport/40MT'),
	('KRED', 'small_airport', 'Red Lodge Airport', 45.184579, -109.257746, 5763, 'US', 'US-MT', 'Red Lodge', 'no', 'KRED', '', 'RED', ''),
	('MT89', 'closed', 'Foster Ranches Airport', 45.802402, -110.536317, 4680, 'US', 'US-MT', 'Livingston', 'no', '', '', '', 'MT89');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('55MT', 'N/A', 'N/A', 47.06064194440842, -111.97168439626694, 1055, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7S6', 'small_airport', 'White Sulphur Springs Airport', 46.50410079956055, -110.91300201416016, 5061, 'US', 'US-MT', 'White Sulphur Springs', 'no', 'K7S6', '', '7S6', ''),
	('24MT', 'small_airport', 'Haggerty Airport', 45.61940002441406, -111.09200286865234, 5170, 'US', 'US-MT', 'Bozeman', 'no', '24MT', '', '24MT', ''),
	('L51', 'N/A', 'N/A', 47.72633336484432, -108.87504145503044, 702, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6S1', 'small_airport', 'Bridger Municipal Airport', 45.291675038, -108.921632767, 3720, 'US', 'US-MT', 'Bridger', 'no', 'K6S1', '', '6S1', ''),
	('05MT', 'small_airport', 'Jones Landing Airport', 45.815368, -111.152163, 4364, 'US', 'US-MT', 'Belgrade', 'no', '05MT', '', '05MT', ''),
	('5U5', 'small_airport', 'Fairfield Airport', 47.629101, -111.980003, 3989, 'US', 'US-MT', 'Fairfield', 'no', 'K5U5', '', '5U5', ''),
	('3MT3', 'small_airport', 'Three Cross Ranch Airport', 46.125556, -109.365, 3930, 'US', 'US-MT', 'Ryegate', 'no', '3MT3', '', '3MT3', ''),
	('KLVM', 'medium_airport', 'Mission Field', 45.6994018555, -110.447998047, 4660, 'US', 'US-MT', 'Livingston', 'no', 'KLVM', 'LVM', 'LVM', ''),
	('9U1', 'small_airport', 'Wilsall Airport', 46.04970169067383, -110.68499755859375, 5134, 'US', 'US-MT', 'Wilsall', 'no', '9U1', '', '9U1', ''),
	('9S5', 'small_airport', 'Three Forks Airport', 45.878101, -111.569, 4089, 'US', 'US-MT', 'Three Forks', 'no', 'K9S5', '', '9S5', ''),
	('36MT', 'small_airport', '16 Ranch Airport', 46.800765, -108.811458, 3960, 'US', 'US-MT', 'Grass Range', 'no', '36MT', '', '36MT', ''),
	('KHWQ', 'small_airport', 'Wheatland County At Harlowton Airport', 46.448601, -109.852997, 4311, 'US', 'US-MT', 'Harlowton', 'no', 'KHWQ', '', 'HWQ', ''),
	('49MT', 'small_airport', 'Firebuster Airport', 45.605715, -109.121281, 3901, 'US', 'US-MT', 'Columbus', 'no', '49MT', '', '49MT', ''),
	('2MT5', 'small_airport', 'Briar Creek Airport', 45.59410095214844, -111.1520004272461, 5175, 'US', 'US-MT', 'Bozeman', 'no', '2MT5', '', '2MT5', ''),
	('2MT8', 'small_airport', 'South Boulder Airport', 45.8151, -111.9259, 4560, 'US', 'US-MT', 'Cardwell', 'no', '2MT8', '', '2MT8', ''),
	('08MT', 'small_airport', 'Matovich Airport', 47.065679, -108.809624, 3450, 'US', 'US-MT', 'Grass Range', 'no', '08MT', '', '08MT', 'Clark Airport'),
	('3U5', 'small_airport', 'Augusta Airport', 47.46329879760742, -112.37999725341797, 4145, 'US', 'US-MT', 'Augusta', 'no', '3U5', '', '3U5', ''),
	('58MT', 'small_airport', 'Galt Ranch Airport', 46.544277, -111.069988, 5156, 'US', 'US-MT', 'White Sulphur Springs', 'no', '58MT', '', '58MT', ''),
	('M42', 'small_airport', 'Russian Flat Airport', 46.7243111, -110.4178278, 6336, 'US', 'US-MT', 'Russian Flat', 'no', '', '', 'M42', ''),
	('16MT', 'small_airport', 'Bangart Field', 45.40520095825195, -109.12999725341797, 4320, 'US', 'US-MT', 'Roberts', 'no', '16MT', '', '16MT', ''),
	('MT65', 'small_airport', 'Smithfield Airport', 47.116515, -109.382105, 4370, 'US', 'US-MT', 'Lewistown', 'no', 'MT65', '', 'MT65', ''),
	('23MT', 'small_airport', 'Waterfall Airport', 45.65719985961914, -111.04000091552734, 4950, 'US', 'US-MT', 'Bozeman', 'no', '23MT', '', '23MT', ''),
	('MT75', 'small_airport', 'Buchanan Ranch Airport', 47.430198669433594, -111.45999908447266, 3345, 'US', 'US-MT', 'Great Falls', 'no', 'MT75', '', 'MT75', ''),
	('KBTM', 'medium_airport', 'Bert Mooney Airport', 45.95479965209961, -112.49700164794922, 5550, 'US', 'US-MT', 'Butte', 'yes', 'KBTM', 'BTM', 'BTM', ''),
	('MT41', 'small_airport', 'Jefco Skypark Airport', 45.878299713134766, -112.11699676513672, 4510, 'US', 'US-MT', 'Whitehall', 'no', 'MT41', '', 'MT41', ''),
	('1MT0', 'small_airport', 'Nine Quarter Circle Ranch Airport', 45.06740188598633, -111.2969970703125, 6974, 'US', 'US-MT', 'Gallatin Gateway', 'no', '1MT0', '', '1MT0', ''),
	('1MT7', 'small_airport', 'Prill Field', 47.42110061645508, -111.15899658203125, 3420, 'US', 'US-MT', 'Sand Coulee', 'no', '1MT7', '', '1MT7', ''),
	('4MT3', 'N/A', 'N/A', 45.69134674966335, -111.77747994661331, 1525, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MT33', 'small_airport', 'Bair Airport', 47.409400939941406, -111.48699951171875, 3340, 'US', 'US-MT', 'Ulm', 'no', 'MT33', '', 'MT33', ''),
	('MT43', 'small_airport', 'Klies Air Strip', 46.34629821777344, -112.34400177001953, 6300, 'US', 'US-MT', 'Basin', 'no', 'MT43', '', 'MT43', ''),
	('0MT1', 'small_airport', 'Williams Field', 47.497501373291016, -112.39099884033203, 4070, 'US', 'US-MT', 'Augusta', 'no', '0MT1', '', '0MT1', ''),
	('MT22', 'closed', 'Tezak''s-Colterville-Spur Airport', 45.399899, -112.167, 5000, 'US', 'US-MT', 'Sheridan', 'no', '', '', '', 'MT22'),
	('21MT', 'small_airport', 'Harris Runway Airport', 45.747841, -111.072664, 4582, 'US', 'US-MT', 'Bozeman', 'no', '21MT', '', '21MT', ''),
	('8U8', 'small_airport', 'Townsend Airport', 46.331199645996094, -111.48300170898438, 3893, 'US', 'US-MT', 'Townsend', 'no', 'K8U8', '', '8U8', ''),
	('9S7', 'small_airport', 'Winifred Airport', 47.555395, -109.38602, 3311, 'US', 'US-MT', 'Winifred', 'no', 'K9S7', '', '9S7', ''),
	('KWHE', 'N/A', 'N/A', 46.26784063875675, -110.78967288136482, 1623, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1MT4', 'closed', 'Lonewood Meadows Airport', 46.688499, -111.871002, 3780, 'US', 'US-MT', 'Helena', 'no', '', '', '', '1MT4, Davis Airport'),
	('MT15', 'small_airport', 'Fort Harrison Army Airfield', 46.624651, -112.110927, 4050, 'US', 'US-MT', 'Helena', 'no', 'MT15', '', 'MT15', ''),
	('30MT', 'small_airport', 'Nistler Helena Airport', 46.571072, -112.237895, 4753, 'US', 'US-MT', 'Helena', 'no', '30MT', '', '30MT', ''),
	('KLAY', 'N/A', 'N/A', 45.54103273898363, -108.95180940628052, 1252, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('44MT', 'N/A', 'N/A', 45.64018327742815, -109.31214988231659, 1104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3U9', 'small_airport', 'Boulder Airport', 46.211601, -112.106003, 4968, 'US', 'US-MT', 'Boulder', 'no', '3U9', '', '3U9', ''),
	('8U9', 'small_airport', 'Canyon Ferry Airport', 46.418800354003906, -111.5770034790039, 3840, 'US', 'US-MT', 'Townsend', 'no', '8U9', '', '8U9', ''),
	('6S8', 'small_airport', 'Laurel Municipal Airport', 45.703098, -108.761002, 3517, 'US', 'US-MT', 'Laurel', 'no', 'K6S8', '', '6S8', ''),
	('5U8', 'small_airport', 'Geraldine Airport', 47.596484, -110.266195, 3173, 'US', 'US-MT', 'Geraldine', 'no', 'K5U8', '', '5U8', ''),
	('KLWT', 'medium_airport', 'Lewistown Municipal Airport', 47.048429, -109.466143, 4170, 'US', 'US-MT', 'Lewistown', 'no', 'KLWT', 'LWT', 'LWT', ''),
	('29S', 'small_airport', 'Gardiner Airport', 45.0499, -110.747002, 5286, 'US', 'US-MT', 'Gardiner', 'no', 'K29S', '', '29S', ''),
	('31MT', 'small_airport', 'Reverse 5 Bar M Airport', 47.236454, -111.302315, 4260, 'US', 'US-MT', 'Great Falls', 'no', '31MT', '', '31MT', ''),
	('6S3', 'small_airport', 'Woltermann Memorial Airport', 45.630501, -109.238998, 3575, 'US', 'US-MT', 'Columbus', 'no', 'K6S3', '', '6S3', ''),
	('KHLN', 'medium_airport', 'Helena Regional Airport', 46.6068, -111.983002, 3877, 'US', 'US-MT', 'Helena', 'yes', 'KHLN', 'HLN', 'HLN', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('3MT6', 'small_airport', 'Nistler Airport', 45.634272, -111.11433, 5035, 'US', 'US-MT', 'Bozeman', 'no', '3MT6', '', '3MT6', ''),
	('11MT', 'small_airport', 'Lammers Airport', 46.462777, -109.490555, 4098, 'US', 'US-MT', 'Shawmut', 'no', '11MT', '', '11MT', ''),
	('3MT7', 'small_airport', 'Cascade Field', 47.267327, -111.71748, 3580, 'US', 'US-MT', 'Cascade', 'no', '3MT7', '', '3MT7', '03MT'),
	('MT82', 'closed', 'Baxter Strip', 46.3083, -109.872002, 4520, 'US', 'US-MT', 'Harlowton', 'no', '', '', '', 'MT82'),
	('WH0', 'small_airport', 'Woodhawk Airport', 47.779561, -109.078574, 3100, 'US', 'US-MT', 'Winifred', 'no', '', '', 'WH0', ''),
	('MT01', 'small_airport', 'Owen Bros Airport', 47.61800003051758, -110.09200286865234, 3106, 'US', 'US-MT', 'Geraldine', 'no', 'MT01', '', 'MT01', ''),
	('KGTF', 'medium_airport', 'Great Falls International Airport', 47.48199844, -111.3710022, 3680, 'US', 'US-MT', 'Great Falls', 'yes', 'KGTF', 'GTF', 'GTF', ''),
	('MT77', 'small_airport', 'Peterson Ranch Airport', 47.608701, -110.906535, 3340, 'US', 'US-MT', 'Highwood', 'no', 'MT77', '', 'MT77', ''),
	('MNT8', 'N/A', 'N/A', 45.895399153232574, -110.48623144626617, 1657, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KWHI', 'N/A', 'N/A', 45.61125498265028, -112.32798457145691, 1396, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MT24', 'closed', 'Beacon Star Antique Airfield', 46.972198, -109.613998, 4320, 'US', 'US-MT', 'Moore', 'no', '', '', '', 'MT24'),
	('MT06', 'small_airport', 'Duncan Airport', 46.570461, -112.175274, 4260, 'US', 'US-MT', 'Helena', 'no', 'MT06', '', 'MT06', ''),
	('KRVF', 'N/A', 'N/A', 45.53541652858257, -112.30227783322334, 1449, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MT83', 'small_airport', 'Ten Mile Airport', 46.571153, -112.180072, 4294, 'US', 'US-MT', 'Helena', 'no', 'MT83', '', 'MT83', ''),
	('CYKE', 'N/A', 'N/A', 66.83682281523943, -108.01094457507133, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYSF', 'medium_airport', 'Stony Rapids Airport', 59.250301361083984, -105.84100341796875, 805, 'CA', 'CA-SK', 'Stony Rapids', 'yes', 'CYSF', 'YSF', '', ''),
	('CJZ6', 'seaplane_base', 'Black Lake Seaplane Base', 59.150002, -105.550003, 909, 'CA', 'CA-SK', '', 'no', 'CJZ6', '', 'CJZ6', ''),
	('CZFD', 'small_airport', 'Fond-du-Lac Airport', 59.3344, -107.181999, 814, 'CA', 'CA-SK', 'Fond-du-Lac', 'yes', 'CZFD', 'ZFD', '', ''),
	('CKG6', 'seaplane_base', 'Uranium City Seaplane Base', 59.564809, -108.599869, 820, 'CA', 'CA-SK', 'Uranium City', 'no', 'CKG6', '', 'CKG6', 'KG6'),
	('CYBE', 'small_airport', 'Uranium City Airport', 59.561401, -108.481003, 1044, 'CA', 'CA-SK', 'Uranium City', 'yes', 'CYBE', 'YBE', '', ''),
	('CS24', 'N/A', 'N/A', 57.362639643251896, -107.14296117424965, 497, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CKS8', 'small_airport', 'Cree Lake (Crystal Lodge) Airport', 57.464199, -106.748001, 1615, 'CA', 'CA-SK', 'Cree Lake', 'no', 'CKS8', '', 'CKS8', 'KS8, YFN'),
	('CYKJ', 'medium_airport', 'Key Lake Airport', 57.256099700927734, -105.61799621582031, 1679, 'CA', 'CA-SK', 'Key Lake', 'no', 'CYKJ', 'YKJ', '', ''),
	('CKQ8', 'small_airport', 'McArthur River Airport', 57.76750183105469, -105.02400207519531, 1718, 'CA', 'CA-SK', 'Mcarthur River', 'no', 'CKQ8', '', 'CKQ8', 'KQ8'),
	('CS21', 'N/A', 'N/A', 56.93767514079809, -106.12348794937134, 566, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CS23', 'N/A', 'N/A', 57.571848928928375, -108.72359052300453, 497, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJZ9', 'seaplane_base', 'La Ronge Seaplane Base', 55.099998, -105.282997, 1193, 'CA', 'CA-SK', '', 'no', 'CJZ9', '', 'CJZ9', 'JZ9'),
	('CYVT', 'small_airport', 'Buffalo Narrows Airport', 55.8418998718, -108.417999268, 1423, 'CA', 'CA-SK', 'Buffalo Narrows', 'no', 'CYVT', 'YVT', '', 'YVT'),
	('CKB2', 'small_airport', 'Patuanak Airport', 55.900001525878906, -107.72100067138672, 1426, 'CA', 'CA-SK', 'Patuanak', 'no', 'CKB2', '', 'CKB2', 'KB2'),
	('CJT9', 'small_airport', 'Leoville Airport', 53.620601654052734, -107.60900115966797, 1960, 'CA', 'CA-SK', 'Leoville', 'no', 'CJT9', '', 'CJT9', 'JT9'),
	('CJE2', 'small_airport', 'Dore Lake Airport', 54.61669921875, -107.38300323486328, 1565, 'CA', 'CA-SK', 'Dore Lake', 'no', 'CJE2', '', 'CJE2', 'JE2'),
	('CJK3', 'small_airport', 'Beauval Airport', 55.11029815673828, -107.71600341796875, 1436, 'CA', 'CA-SK', 'Beauval', 'no', 'CJK3', '', 'CJK3', 'JK3'),
	('CJF3', 'small_airport', 'Île-à-la-Crosse Airport', 55.48970031738281, -107.93000030517578, 1394, 'CA', 'CA-SK', 'Île-à-la-Crosse', 'no', 'CJF3', '', 'CJF3', 'JF3'),
	('CKH3', 'small_airport', 'Debden Airport', 53.531898498535156, -106.88400268554688, 1700, 'CA', 'CA-SK', 'Debden', 'no', 'CKH3', '', 'CKH3', 'KH3'),
	('CYLJ', 'medium_airport', 'Meadow Lake Airport', 54.125301361083984, -108.52300262451172, 1576, 'CA', 'CA-SK', 'Meadow Lake', 'no', 'CYLJ', 'YLJ', '', ''),
	('CKX8', 'small_airport', 'Big River Airport', 53.83610153198242, -107.00900268554688, 1592, 'CA', 'CA-SK', 'Big River', 'no', 'CKX8', '', 'CKX8', 'KX8'),
	('CS26', 'N/A', 'N/A', 55.29950089752674, -106.09700381755829, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CZPO', 'small_airport', 'Pinehouse Lake Airport', 55.5280990601, -106.582000732, 1278, 'CA', 'CA-SK', 'Pinehouse Lake', 'no', 'CZPO', 'ZPO', '', 'ZPO'),
	('CYVC', 'medium_airport', 'La Ronge Airport', 55.151401519800004, -105.262001038, 1242, 'CA', 'CA-SK', 'La Ronge', 'yes', 'CYVC', 'YVC', '', ''),
	('CS25', 'N/A', 'N/A', 55.208020471036434, -108.34243699908257, 437, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJF8', 'small_airport', 'Biggar Airport', 52.05110168457031, -107.98799896240234, 2130, 'CA', 'CA-SK', 'Biggar', 'no', 'CJF8', '', 'CJF8', 'JF8'),
	('CJC2', 'small_airport', 'Craik Airport', 51.05609893798828, -105.83799743652344, 1950, 'CA', 'CA-SK', 'Craik', 'no', 'CJC2', '', 'CJC2', 'JC2'),
	('CJC6', 'small_airport', 'Hafford Airport', 52.732528, -107.374956, 1935, 'CA', 'CA-SK', 'Hafford', 'no', 'CJC6', '', 'CJC6', 'JC6'),
	('CJD2', 'small_airport', 'Cudworth Municipal Airport', 52.483299255371094, -105.71700286865234, 1878, 'CA', 'CA-SK', 'Cudworth', 'no', 'CJD2', '', 'CJD2', 'JD2'),
	('CJC3', 'small_airport', 'Davidson Municipal Airport', 51.247823, -105.976982, 2025, 'CA', 'CA-SK', 'Davidson', 'no', 'CJC3', '', 'CJC3', 'JC3'),
	('CRF5', 'small_airport', 'Saskatoon/Richter Field Airport', 52.280342, -106.684242, 1700, 'CA', 'CA-SK', 'Martensville', 'no', 'CRF5', '', 'CRF5', ''),
	('CJG5', 'N/A', 'N/A', 51.19784574955702, -108.01405146718025, 623, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CKR9', 'closed', 'Outlook Airport', 51.482498, -107.037003, 1771, 'CA', 'CA-SK', 'Outlook', 'no', '', '', '', 'CKR9, JH9'),
	('CJD3', 'small_airport', 'Birch Hills Airport', 52.99079895019531, -105.44499969482422, 1500, 'CA', 'CA-SK', 'Birch Hills', 'no', 'CJD3', '', 'CJD3', 'JD3'),
	('CJX4', 'small_airport', 'Rosetown Airport', 51.564462, -107.916649, 1920, 'CA', 'CA-SK', 'Rosetown', 'no', 'CJX4', '', 'CJX4', 'JX4'),
	('CYOU', 'N/A', 'N/A', 51.13438468426466, -106.58552795648575, 594, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CS31', 'N/A', 'N/A', 52.00180035084486, -106.43651604652405, 514, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CS32', 'N/A', 'N/A', 51.18861023336649, -106.96411997079849, 624, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJH8', 'small_airport', 'Leask Airport', 53.016700744628906, -106.75, 1715, 'CA', 'CA-SK', 'Leask', 'no', 'CJH8', '', 'CJH8', 'JH8'),
	('CHM2', 'small_airport', 'Spiritwood / H & M Fast Farms', 53.275, -107.570278, 2250, 'CA', 'CA-SK', '', 'no', 'CHM2', '', 'CHM2', 'HM2'),
	('CDS2', 'small_airport', 'Disley Airport', 50.637459, -105.036194, 0, 'CA', 'CA-SK', 'Disley', 'no', 'CDS2', '', 'CDS2', ''),
	('CYXE', 'medium_airport', 'Saskatoon John G. Diefenbaker International Airport', 52.170799255371094, -106.69999694824219, 1653, 'CA', 'CA-SK', 'Saskatoon', 'yes', 'CYXE', 'YXE', '', ''),
	('CKH7', 'small_airport', 'Spiritwood Airport', 53.36330032348633, -107.5479965209961, 1915, 'CA', 'CA-SK', 'Spiritwood', 'no', 'CKH7', '', 'CKH7', 'KH7'),
	('CYQW', 'medium_airport', 'North Battleford Airport', 52.769409, -108.243742, 1799, 'CA', 'CA-SK', 'North Battleford', 'no', 'CYQW', 'YQW', '', ''),
	('CKU7', 'small_airport', 'Watrous Airport', 51.68713736, -105.362319946, 1700, 'CA', 'CA-SK', 'Watrous', 'no', 'CKU7', '', 'CKU7', 'KU7'),
	('CKQ5', 'small_airport', 'Lucky Lake Airport', 50.994095, -107.129846, 2084, 'CA', 'CA-SK', 'Lucky Lake', 'no', 'CKQ5', '', 'CKQ5', 'KQ5'),
	('CKX5', 'small_airport', 'Dinsmore Airport', 51.33060073852539, -107.43800354003906, 1900, 'CA', 'CA-SK', 'Dinsmore', 'no', 'CKX5', '', 'CKX5', 'KX5'),
	('CYPA', 'medium_airport', 'Prince Albert Glass Field', 53.214199066199996, -105.672996521, 1405, 'CA', 'CA-SK', 'Prince Albert', 'yes', 'CYPA', 'YPA', '', ''),
	('JD4', 'N/A', 'N/A', 52.87813100963831, -108.29061403870583, 537, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CKJ4', 'small_airport', 'Hanley Airport', 51.62419891357422, -106.44200134277344, 1925, 'CA', 'CA-SK', 'Hanley', 'no', 'CKJ4', '', 'CKJ4', 'KJ4'),
	('CJL9', 'small_airport', 'Radisson Airport', 52.46310043334961, -107.37699890136719, 1675, 'CA', 'CA-SK', 'Radisson', 'no', 'CJL9', '', 'CJL9', 'JL9'),
	('CKT7', 'small_airport', 'Wakaw Airport', 52.6490522523, -105.763063431, 1660, 'CA', 'CA-SK', 'Wakaw', 'no', 'CKT7', '', 'CKT7', 'KT7'),
	('CJZ4', 'small_airport', 'Shellbrook Airport', 53.22829818725586, -106.36299896240234, 1640, 'CA', 'CA-SK', 'Shellbrook', 'no', 'CJZ4', '', 'CJZ4', 'JZ4'),
	('CJU4', 'small_airport', 'Humboldt Airport', 52.17610168457031, -105.12699890136719, 1865, 'CA', 'CA-SK', 'Humboldt', 'no', 'CJU4', '', 'CJU4', 'JU4'),
	('CJN5', 'small_airport', 'Corman Air Park', 52.000579, -106.462752, 1690, 'CA', 'CA-SK', 'Saskatoon', 'no', 'CJN5', '', 'CJN5', 'JN5'),
	('CJC4', 'small_airport', 'Central Butte Airport', 50.799715, -106.495712, 2030, 'CA', 'CA-SK', 'Central Butte', 'no', 'CJC4', '', 'CJC4', 'JC4'),
	('CJE5', 'small_airport', 'Glaslyn Airport', 53.377201080322266, -108.34200286865234, 2250, 'CA', 'CA-SK', 'Glaslyn', 'no', 'CJE5', '', 'CJE5', 'JE5'),
	('CJB8', 'small_airport', 'Kyle Airport', 50.833548, -108.069713, 2175, 'CA', 'CA-SK', 'Kyle', 'no', 'CJB8', '', 'CJB8', 'JB8'),
	('CPV9', 'small_airport', 'Poverty Valley Airport', 50.038078, -107.254872, 2589, 'CA', 'CA-SK', 'Poverty Valley', 'no', 'CPV9', '', 'CPV9', ''),
	('S00', 'small_airport', 'Opheim Airport', 48.86669921875, -106.41699981689453, 3264, 'US', 'US-MT', 'Opheim', 'no', 'S00', '', 'S00', ''),
	('9S2', 'small_airport', 'Scobey Airport', 48.807565, -105.439253, 2432, 'US', 'US-MT', 'Scobey', 'no', '9S2', '', '9S2', ''),
	('MT38', 'small_airport', 'Swank Airport', 48.40340042114258, -105.15699768066406, 2205, 'US', 'US-MT', 'Poplar', 'no', 'MT38', '', 'MT38', ''),
	('CBS7', 'small_airport', 'Briercrest South Airport', 50.066509, -105.29962, 2120, 'CA', 'CA-SK', 'Briercrest South', 'no', 'CBS7', '', 'CBS7', ''),
	('KOLF', 'medium_airport', 'L M Clayton Airport', 48.094501, -105.574997, 1986, 'US', 'US-MT', 'Wolf Point', 'yes', 'KOLF', 'OLF', 'OLF', ''),
	('CJJ5', 'small_airport', 'Cabri Airport', 50.619355, -108.470221, 2175, 'CA', 'CA-SK', 'Cabri', 'no', 'CJJ5', '', 'CJJ5', 'JJ5'),
	('CJS4', 'small_airport', 'Moose Jaw Municipal Airport', 50.43466, -105.387744, 1896, 'CA', 'CA-SK', 'Moose Jaw', 'no', 'CJS4', '', 'CJS4', 'JS4'),
	('5MT5', 'small_airport', 'Unrau Airport', 48.448504, -105.830899, 2900, 'US', 'US-MT', 'Wolf Point', 'no', '5MT5', '', '5MT5', ''),
	('CYMJ', 'medium_airport', 'Moose Jaw Air Vice Marshal C. M. McEwen Airport', 50.330299377441406, -105.55899810791016, 1892, 'CA', 'CA-SK', 'Moose Jaw', 'no', 'CYMJ', 'YMJ', '', 'CFB Moose Jaw'),
	('MT51', 'small_airport', 'Zerbe Airport', 48.277000427246094, -105.96199798583984, 2720, 'US', 'US-MT', 'Frazer', 'no', 'MT51', '', 'MT51', ''),
	('42S', 'N/A', 'N/A', 48.115797489881516, -105.18064320087433, 610, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('M75', 'small_airport', 'Malta Airport', 48.366901, -107.918999, 2254, 'US', 'US-MT', 'Malta', 'no', 'KM75', 'MLK', 'M75', ''),
	('25MT', 'small_airport', 'Blatter Airport', 48.42219924926758, -106.25299835205078, 2800, 'US', 'US-MT', 'Glasgow', 'no', '25MT', '', '25MT', ''),
	('6U5', 'small_airport', 'Hinsdale Airport', 48.387646, -107.083264, 2220, 'US', 'US-MT', 'Hinsdale', 'no', '6U5', '', '6U5', ''),
	('CYMS', 'N/A', 'N/A', 50.235504023730755, -105.5441178381443, 599, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8U3', 'small_airport', 'Scobey Border Station /East Poplar International/ Airport', 48.999493, -105.398994, 2501, 'US', 'US-MT', 'Scobey', 'no', '8U3', '', '8U3', ''),
	('MT08', 'small_airport', 'Zortman Airport', 47.91669845581055, -108.48300170898438, 3900, 'US', 'US-MT', 'Zortman', 'no', 'MT08', '', 'MT08', ''),
	('CJM4', 'small_airport', 'Gravelbourg Airport', 49.866207122802734, -106.57107543945313, 2296, 'CA', 'CA-SK', 'Gravelbourg', 'no', 'CJM4', '', 'CJM4', 'JM4'),
	('CKP2', 'small_airport', 'Spring Valley (North) Airport', 50.05692, -105.403061, 2200, 'CA', 'CA-SK', 'Spring Valley', 'no', 'CKP2', '', 'CKP2', 'KP2'),
	('6U6', 'small_airport', 'Hogeland Airport', 48.858996, -108.659543, 3138, 'US', 'US-MT', 'Hogeland', 'no', 'K6U6', '', '6U6', ''),
	('7U4', 'closed', 'Morgan Airport', 48.999718, -107.825986, 2813, 'US', 'US-MT', 'Morgan', 'no', '', '', '', '7U4'),
	('CKZ2', 'closed', 'Willow Bunch Airport', 49.400002, -105.667, 2427, 'CA', 'CA-SK', 'Willow Bunch', 'no', '', '', '', 'KZ2, CKZ2'),
	('MT90', 'closed', 'J B Airport', 48.387798, -105.334999, 2710, 'US', 'US-MT', 'Wolf Point', 'no', '', '', '', 'MT90'),
	('KGGW', 'medium_airport', 'Glasgow Valley County Airport Wokal Field', 48.212502, -106.614998, 2296, 'US', 'US-MT', 'Glasgow', 'yes', 'KGGW', 'GGW', 'GGW', 'Glascow / Valley County, Glasgow Army Airfield, Wokal Field Glasgow International, Glasgow Satellite Airfield,'),
	('CJN4', 'small_airport', 'Assiniboia Airport', 49.73469924926758, -105.9469985961914, 2370, 'CA', 'CA-SK', 'Assiniboia', 'no', 'CJN4', '', 'CJN4', 'JN4'),
	('CJM5', 'small_airport', 'Frontier Airport', 49.172523, -108.574636, 2960, 'CA', 'CA-SK', 'Frontier', 'no', 'CJM5', '', 'CJM5', 'JM5'),
	('15MT', 'small_airport', 'Saubak Airport', 48.50040054321289, -105.91000366210938, 2701, 'US', 'US-MT', 'Lustre', 'no', '15MT', '', '15MT', ''),
	('CJK5', 'small_airport', 'Gull Lake Airport', 50.05780029296875, -108.48999786376953, 2665, 'CA', 'CA-SK', 'Gull Lake', 'no', 'CJK5', '', 'CJK5', 'JK5');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('9U0', 'small_airport', 'Turner Airport', 48.854198, -108.408997, 3049, 'US', 'US-MT', 'Turner', 'no', 'K9U0', '', '9U0', ''),
	('MT87', 'small_airport', 'Oglesby Farms Inc Airport', 48.66669845581055, -105.93399810791016, 2850, 'US', 'US-MT', 'Peerless', 'no', 'MT87', '', 'MT87', ''),
	('37S', 'small_airport', 'Fort Peck Airport', 48.005001068115234, -106.48200225830078, 2290, 'US', 'US-MT', 'Fort Peck', 'no', '37S', '', '37S', ''),
	('07MT', 'small_airport', 'Glasgow Industrial Airport', 48.421101, -106.528, 2762, 'US', 'US-MT', 'Glasgow', 'no', '07MT', '', '07MT', 'Glasgow Air Force Base'),
	('MT04', 'small_airport', 'Olfert Airport', 48.40420150756836, -106.00900268554688, 2750, 'US', 'US-MT', 'Lustre', 'no', 'MT04', '', 'MT04', ''),
	('MT80', 'small_airport', 'Vine Airport', 48.042336, -105.607195, 2075, 'US', 'US-MT', 'Wolf Point', 'no', 'MT80', '', 'MT80', ''),
	('CYYN', 'medium_airport', 'Swift Current Airport', 50.291900634799994, -107.691001892, 2680, 'CA', 'CA-SK', 'Swift Current', 'no', 'CYYN', 'YYN', '', 'YYN'),
	('MT85', 'small_airport', 'Redfield Ag Strip', 48.75889968869999, -106.364997864, 3100, 'US', 'US-MT', 'Opheim', 'no', 'MT85', '', 'MT85', ''),
	('CJF5', 'closed', 'West Poplar Airport', 49.003101, -106.387001, 2885, 'CA', 'CA-SK', 'West Poplar', 'no', '', '', '', 'JF5, CJF5'),
	('CJH4', 'small_airport', 'Ferland Airport', 49.44499969482422, -106.93199920654297, 2550, 'CA', 'CA-SK', 'Ferland', 'no', 'CJH4', '', 'CJH4', 'JH4'),
	('CJC5', 'small_airport', 'Shaunavon Airport', 49.658766, -108.406091, 3028, 'CA', 'CA-SK', 'Shaunavon', 'no', 'CJC5', '', 'CJC5', 'JC5'),
	('PO1', 'small_airport', 'Poplar Muni Airport', 48.132945, -105.165003, 2036, 'US', 'US-MT', 'Poplar', 'no', '', '', 'PO1', ''),
	('MT09', 'closed', 'Floyd Ranch Airport', 48.850049, -106.596209, 2948, 'US', 'US-MT', 'Opheim', 'no', '', '', '', 'MT09'),
	('00F', 'small_airport', 'Broadus Airport', 45.470462, -105.457145, 3280, 'US', 'US-MT', 'Broadus', 'no', 'K00F', 'BDX', '00F', ''),
	('MT79', 'small_airport', 'Sand Creek Wildlife Station Airport', 47.58420181274414, -108.70899963378906, 2940, 'US', 'US-MT', 'Roy', 'no', 'MT79', '', 'MT79', ''),
	('KJDN', 'small_airport', 'Jordan Airport', 47.3288, -106.953003, 2662, 'US', 'US-MT', 'Jordan', 'no', 'KJDN', 'JDN', 'JDN', ''),
	('63MT', 'small_airport', 'Billings Flying Service Airport', 45.715083, -108.575392, 3200, 'US', 'US-MT', 'Billings', 'no', '63MT', '', '63MT', ''),
	('MT57', 'closed', 'Libby Heliport', 48.392799, -115.544998, 2072, 'US', 'US-MT', 'Libby', 'no', '', '', '', 'MT57'),
	('KMLS', 'medium_airport', 'Miles City Airport - Frank Wiley Field', 46.427268, -105.885372, 2630, 'US', 'US-MT', 'Miles City', 'no', 'KMLS', 'MLS', 'MLS', ''),
	('MT29', 'small_airport', 'Sunday Creek Airpark', 46.47890090942383, -105.85800170898438, 2490, 'US', 'US-MT', 'Miles City', 'no', 'MT29', '', 'MT29', ''),
	('KBIL', 'medium_airport', 'Billings Logan International Airport', 45.807701, -108.542999, 3652, 'US', 'US-MT', 'Billings', 'yes', 'KBIL', 'BIL', 'BIL', ''),
	('MT58', 'small_airport', 'Nelson Airport', 47.766700744628906, -106.18800354003906, 2425, 'US', 'US-MT', 'Haxby / Fort Peck', 'no', 'MT58', '', 'MT58', ''),
	('04MT', 'small_airport', 'Pluhar Airport', 47.13749777779999, -106.488095, 2715, 'US', 'US-MT', 'Cohagen', 'no', '04MT', '', '04MT', ''),
	('8U1', 'small_airport', 'Sand Springs Strip', 47.10419845581055, -107.50299835205078, 3180, 'US', 'US-MT', 'Sand Springs', 'no', '8U1', '', '8U1', ''),
	('3V7', 'N/A', 'N/A', 45.12766107916832, -105.09327203035355, 1104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MT13', 'closed', 'White Sulphur Springs Ranger Station Heliport', 46.54274, -110.90577, 5160, 'US', 'US-MT', 'White Sulphur Springs', 'no', '', '', '', 'MT13'),
	('KRPX', 'small_airport', 'Roundup Airport', 46.475095, -108.541497, 3500, 'US', 'US-MT', 'Roundup', 'no', 'KRPX', 'RPX', 'RPX', ''),
	('F02', 'small_airport', 'Mertarvik Quarry Road Landing Strip', 60.818385, -164.519013, 70, 'US', 'US-AK', 'Mertarvik', 'no', 'PFME', '', 'F02', ''),
	('M46', 'small_airport', 'Colstrip Airport', 45.852901458740234, -106.70899963378906, 3426, 'US', 'US-MT', 'Colstrip', 'no', 'KM46', '', 'M46', ''),
	('35MT', 'small_airport', 'Haynes Ranch Airport', 45.861717, -108.646765, 3620, 'US', 'US-MT', 'Billings', 'no', '35MT', '', '35MT', ''),
	('96MT', 'small_airport', 'Powers Propair Service Airport', 45.6655, -108.717333, 3265, 'US', 'US-MT', 'Laurel', 'no', '96MT', '', '96MT', ''),
	('9MT0', 'small_airport', 'Pale Morning Dun Ranch Airport', 45.402953, -107.774616, 3220, 'US', 'US-MT', 'Fort Smith', 'no', '9MT0', '', '9MT0', ''),
	('4U6', 'small_airport', 'Circle Town County Airport', 47.41859817504883, -105.56199645996094, 2426, 'US', 'US-MT', 'Circle', 'no', 'K4U6', '', '4U6', ''),
	('MT34', 'closed', 'Ruff Airport', 46.133319, -107.550631, 2740, 'US', 'US-MT', 'Custer', 'no', '', '', '', 'MT34'),
	('3U4', 'small_airport', 'Saint Labre Mission Airport', 45.606617, -106.27445, 2909, 'US', 'US-MT', 'Ashland', 'no', 'K3U4', '', '3U4', ''),
	('1S3', 'small_airport', 'Tillitt Field', 46.271099, -106.624001, 2727, 'US', 'US-MT', 'Forsyth', 'no', 'K1S3', '', '1S3', ''),
	('1MT9', 'small_airport', 'Wilcox Airport', 45.789217, -108.689266, 3390, 'US', 'US-MT', 'Billings', 'no', '1MT9', '', '1MT9', ''),
	('6U7', 'small_airport', 'Hysham Airport', 46.293483, -107.193649, 2624, 'US', 'US-MT', 'Hysham', 'no', 'K6U7', '', '6U7', ''),
	('KBDX', 'closed', 'Broadus Airport', 45.4333000183, -105.416999817, 3031, 'US', 'US-MT', '', 'no', '', '', '', 'KBDX, KBDX, BDX'),
	('00U', 'small_airport', 'Big Horn County Airport', 45.744416, -107.660472, 3025, 'US', 'US-MT', 'Hardin', 'no', 'K00U', '', '00U', 'Hardin'),
	('7U8', 'small_airport', 'Richey Airport', 47.62647, -105.079569, 2493, 'US', 'US-MT', 'Richey', 'no', '7U8', '', '7U8', ''),
	('1MT2', 'small_airport', 'Skyrider Ultralightport', 45.94309997558594, -108.54900360107422, 3540, 'US', 'US-MT', 'Billings', 'no', '1MT2', '', '1MT2', ''),
	('5U7', 'small_airport', 'Fort Smith Landing Strip', 45.319806, -107.93149, 3242, 'US', 'US-MT', 'Fort Smith', 'no', '', '', '5U7', 'Yellowtail Dam'),
	('7S2', 'small_airport', 'Winnett Airport', 46.978723, -108.365831, 2989, 'US', 'US-MT', 'Winnett', 'no', '', '', '7S2', ''),
	('1M6', 'small_airport', 'Stevens Ranch Airport', 45.288043, -106.145296, 3300, 'US', 'US-MT', 'Ashland', 'no', '', '', '1M6', ''),
	('MT40', 'small_airport', 'Horner Field', 47.593655, -111.270213, 3430, 'US', 'US-MT', 'Great Falls', 'no', '', '', 'MT49', 'MT40'),
	('8U6', 'small_airport', 'Terry Airport', 46.777141, -105.313069, 2283, 'US', 'US-MT', 'Terry', 'no', '8U6', '', '8U6', 'Patterson Airport'),
	('CZWL', 'small_airport', 'Wollaston Lake Airport', 58.106899, -103.171997, 1360, 'CA', 'CA-SK', 'Wollaston Lake', 'yes', 'CZWL', 'ZWL', '', ''),
	('CJS2', 'small_airport', 'Malcolm Island Airport', 56.94940185546875, -102.23899841308594, 1120, 'CA', 'CA-SK', 'Malcolm Island', 'no', 'CJS2', '', 'CJS2', 'JS2'),
	('CYNL', 'medium_airport', 'Points North Landing Airport', 58.27669906616211, -104.08200073242188, 1605, 'CA', 'CA-SK', 'Points North Landing', 'yes', 'CYNL', 'YNL', '', ''),
	('CJL2', 'small_airport', 'Hatchet Lake Airport', 58.662498474121, -103.53800201416, 1362, 'CA', 'CA-SK', 'Hatchet Lake', 'no', 'CJL2', 'YDJ', 'CJL2', 'JL2');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CYKC', 'small_airport', 'Collins Bay Airport', 58.236099243199995, -103.678001404, 1341, 'CA', 'CA-SK', 'Collins Bay', 'no', 'CYKC', 'YKC', '', 'YKC'),
	('CRL7', 'small_airport', 'Reindeer Lake / Lindbergh Lodge Airstrip', 57.288056, -102.525, 1128, 'CA', 'CA-SK', '', 'no', 'CRL7', '', '', ''),
	('CKN8', 'small_airport', 'Nekweaga Bay Airport', 57.74250030517578, -103.94499969482422, 1320, 'CA', 'CA-SK', 'Nekweaga Bay', 'no', 'CKN8', '', 'CKN8', 'KN8'),
	('CKW6', 'small_airport', 'Davin Lake Airport', 56.88330078125, -103.58300018310547, 1200, 'CA', 'CA-SK', 'Davin Lake', 'no', 'CKW6', '', 'CKW6', 'KW6'),
	('CZWH', 'small_airport', 'Lac Brochet Airport', 58.614279, -101.468954, 1211, 'CA', 'CA-MB', 'Lac Brochet', 'yes', 'CZWH', 'XLB', 'ZWH', ''),
	('CKJ3', 'seaplane_base', 'Mcgavock Lake Seaplane Base', 56.5667, -101.5, 1100, 'CA', 'CA-MB', '', 'no', 'CKJ3', '', 'CKJ3', ''),
	('CKL4', 'closed', 'Hidden Bay Airport', 58.127899169921875, -103.77976989746094, 1444, 'CA', 'CA-SK', 'Hidden Bay', 'no', '', '', '', 'KL4, CKL4, CKL4'),
	('CYBT', 'small_airport', 'Brochet Airport', 57.8894, -101.679001, 1136, 'CA', 'CA-MB', 'Brochet', 'yes', 'CYBT', 'YBT', '', ''),
	('CKA9', 'small_airport', 'Southend Airport / Hans Ulricksen Field', 56.3372, -103.292999, 1120, 'CA', 'CA-SK', 'Southend', 'no', 'CKA9', '', 'CKA9', 'KA9'),
	('CKM4', 'small_airport', 'Jan Lake Airport', 54.8307991027832, -102.78900146484375, 1135, 'CA', 'CA-SK', 'Jan Lake', 'no', 'CKM4', '', 'CKM4', 'KM4'),
	('CJV4', 'small_airport', 'Otter Lake Airport', 55.5811004639, -104.785003662, 1300, 'CA', 'CA-SK', 'Otter Lake', 'no', 'CJV4', '', 'CJV4', 'JV4'),
	('CZFG', 'small_airport', 'Pukatawagan Airport', 55.749199, -101.265999, 958, 'CA', 'CA-MB', 'Pukatawagan', 'yes', 'CZFG', 'XPK', 'ZFG', ''),
	('CJK8', 'seaplane_base', 'Flin Flon/Channing Seaplane Base', 54.746415, -101.828, 957, 'CA', 'CA-MB', 'Flin Flon', 'no', 'CJK8', '', 'CJK8', 'JK8'),
	('CKE4', 'seaplane_base', 'Pelican Narrows Seaplane Base', 55.166698, -102.932999, 1030, 'CA', 'CA-SK', '', 'no', 'CKE4', '', 'CKE4', ''),
	('CKQ2', 'small_airport', 'Squaw Rapids Airport', 53.6786003112793, -103.3499984741211, 1040, 'CA', 'CA-SK', 'Squaw Rapids', 'no', 'CKQ2', '', 'CKQ2', 'KQ2'),
	('CYFO', 'small_airport', 'Flin Flon Airport', 54.678101, -101.681999, 997, 'CA', 'CA-MB', 'Flin Flon', 'yes', 'CYFO', 'YFO', '', ''),
	('CJW4', 'small_airport', 'Pelican Narrows Airport', 55.28689956665039, -102.75, 1242, 'CA', 'CA-SK', 'Pelican Narrows', 'no', 'CJW4', '', 'CJW4', 'JW4'),
	('CJT4', 'small_airport', 'Cumberland House Airport', 53.95610046386719, -102.2979965209961, 877, 'CA', 'CA-SK', 'Cumberland House', 'no', 'CJT4', '', 'CJT4', 'JT4'),
	('CKL6', 'small_airport', 'Little Bear Lake Airport', 54.291900634765625, -104.6709976196289, 2100, 'CA', 'CA-SK', 'Little Bear Lake', 'no', 'CKL6', '', 'CKL6', 'KL6'),
	('CJC8', 'small_airport', 'Laurie River Airport', 56.2486000061, -101.304000854, 1200, 'CA', 'CA-MB', 'Laurie River', 'no', 'CJC8', 'LRQ', 'CJC8', 'JC8'),
	('CJM6', 'small_airport', 'Arborfield Airport', 53.1077995300293, -103.6510009765625, 1183, 'CA', 'CA-SK', 'Arborfield', 'no', 'CJM6', '', 'CJM6', 'JM6'),
	('CKH8', 'small_airport', 'Lumsden (Colhoun) Airport', 50.66749954223633, -104.78900146484375, 1900, 'CA', 'CA-SK', 'Lumsden', 'no', 'CKH8', '', 'CKH8', 'KH8'),
	('CJV9', 'small_airport', 'Melville Municipal Airport', 50.94139862060547, -102.73799896240234, 1800, 'CA', 'CA-SK', 'Melville', 'no', 'CJV9', '', 'CJV9', 'JV9'),
	('CKE2', 'small_airport', 'Quill Lake Airport', 52.06669998168945, -104.26699829101563, 1750, 'CA', 'CA-SK', 'Quill Lake', 'no', 'CKE2', '', 'CKE2', 'KE2'),
	('CKD2', 'small_airport', 'Porcupine Plain Airport', 52.61970138549805, -103.24800109863281, 1635, 'CA', 'CA-SK', 'Porcupine Plain', 'no', 'CKD2', '', 'CKD2', 'KD2'),
	('CJK4', 'small_airport', 'Esterhazy Airport', 50.642799377441406, -102.0999984741211, 1700, 'CA', 'CA-SK', 'Esterhazy', 'no', 'CJK4', '', 'CJK4', 'JK4'),
	('CJN2', 'small_airport', 'Kamsack Airport', 51.55970001220703, -101.87899780273438, 1510, 'CA', 'CA-SK', 'Kamsack', 'no', 'CJN2', '', 'CJN2', 'JN2'),
	('CJQ7', 'N/A', 'N/A', 50.93316603451967, -102.0440362393856, 525, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJR9', 'small_airport', 'Naicam Airport', 52.411399841308594, -104.48400115966797, 1780, 'CA', 'CA-SK', 'Naicam', 'no', 'CJR9', '', 'CJR9', 'JR9'),
	('CJY3', 'small_airport', 'Tisdale Airport', 52.836700439453, -104.06700134277, 1525, 'CA', 'CA-SK', 'Tisdale', 'no', 'CJY3', 'YTT', 'CJY3', 'JY3'),
	('CKS7', 'small_airport', 'Wadena Airport', 51.92944807589999, -103.833761215, 1740, 'CA', 'CA-SK', 'Wadena', 'no', 'CKS7', '', 'CKS7', 'KS7'),
	('CKB7', 'small_airport', 'Roblin Airport', 51.23440170288086, -101.39299774169922, 1821, 'CA', 'CA-MB', 'Roblin', 'no', 'CKB7', '', 'CKB7', 'KB7'),
	('CLC4', 'small_airport', 'Loon Creek Airfield', 50.8434, -104.323, 1816, 'CA', 'CA-SK', '', 'no', 'CLC4', '', 'CLC4', ''),
	('CKL9', 'small_airport', 'Regina Beach Airport', 50.75279998779297, -104.97899627685547, 1850, 'CA', 'CA-SK', 'Regina Beach', 'no', 'CKL9', '', 'CKL9', 'KL9'),
	('CJZ3', 'small_airport', 'Melfort Airport', 52.86669921875, -104.69999694824219, 1495, 'CA', 'CA-SK', 'Melfort', 'no', 'CJZ3', '', 'CJZ3', 'JZ3'),
	('CYHB', 'small_airport', 'Hudson Bay Airport', 52.8166999817, -102.310997009, 1175, 'CA', 'CA-SK', 'Hudson Bay', 'no', 'CYHB', 'YHB', '', 'YHB'),
	('CKJ9', 'small_airport', 'Lemberg Airport', 50.708900451660156, -103.1969985961914, 2050, 'CA', 'CA-SK', 'Lemberg', 'no', 'CKJ9', '', 'CKJ9', 'KJ9'),
	('CJM2', 'small_airport', 'Ituna Airport', 51.14609909057617, -103.4260025024414, 2200, 'CA', 'CA-SK', 'Ituna', 'no', 'CJM2', '', 'CJM2', 'JM2'),
	('CKK2', 'small_airport', 'St. Brieux Airport', 52.650001525878906, -104.86699676513672, 1780, 'CA', 'CA-SK', 'St. Brieux', 'no', 'CKK2', '', 'CKK2', 'KK2'),
	('CYYO', 'small_airport', 'Wynyard / W.B. Needham Field', 51.8098883726, -104.169788361, 1740, 'CA', 'CA-SK', 'Wynyard', 'no', 'CYYO', '', '', 'YYO'),
	('CYQV', 'medium_airport', 'Yorkton Municipal Airport', 51.26470184326172, -102.46199798583984, 1635, 'CA', 'CA-SK', 'Yorkton', 'no', 'CYQV', 'YQV', '', ''),
	('CKV6', 'small_airport', 'Churchbridge Airport', 51.016700744628906, -101.81700134277344, 1745, 'CA', 'CA-SK', 'Churchbridge', 'no', 'CKV6', '', 'CKV6', 'KV6'),
	('CJR7', 'small_airport', 'Canora Airport', 51.62889862060547, -102.44999694824219, 1603, 'CA', 'CA-SK', 'Canora', 'no', 'CJR7', '', 'CJR7', 'JR7'),
	('CJW5', 'small_airport', 'Russell Airport', 50.7658, -101.294998, 1825, 'CA', 'CA-MB', 'Russell', 'no', 'CJW5', '', 'CJW5', 'JW5'),
	('CKU3', 'seaplane_base', 'Nipawin Seaplane Base', 53.400001525878906, -104.01699829101563, 1029, 'CA', 'CA-SK', '', 'no', 'CKU3', '', 'CKU3', ''),
	('CYBU', 'medium_airport', 'Nipawin Airport', 53.33250045776367, -104.00800323486328, 1220, 'CA', 'CA-SK', 'Nipawin', 'no', 'CYBU', '', '', 'YBU'),
	('CKC6', 'small_airport', 'Lanigan Airport', 51.845298767089844, -104.99199676513672, 1750, 'CA', 'CA-SK', 'Lanigan', 'no', 'CKC6', '', 'CKC6', 'KC6'),
	('CYQR', 'medium_airport', 'Regina International Airport', 50.43190002441406, -104.66600036621094, 1894, 'CA', 'CA-SK', 'Regina', 'yes', 'CYQR', 'YQR', '', 'YQR, Roland J. Groome International'),
	('CKD5', 'small_airport', 'Kipling Airport', 50.09920120239258, -102.60700225830078, 2157, 'CA', 'CA-SK', 'Kipling', 'no', 'CKD5', '', 'CKD5', 'KD5'),
	('KXWA', 'N/A', 'N/A', 48.25978349894285, -103.7505555152893, 711, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('D60', 'small_airport', 'Tioga Municipal Airport', 48.38050079, -102.8980026, 2271, 'US', 'US-ND', 'Tioga', 'no', 'D60', 'VEX', 'D60', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CKA7', 'N/A', 'N/A', 49.58192780613899, -101.67876988649368, 584, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJQ3', 'small_airport', 'Carlyle Airport', 49.64440155029297, -102.28700256347656, 2074, 'CA', 'CA-SK', 'Carlyle', 'no', 'CJQ3', '', 'CJQ3', 'JQ3'),
	('12ND', 'small_airport', 'Pietschtree Airstrip', 48.2952995300293, -101.427001953125, 1566, 'US', 'US-ND', 'Burlington', 'no', '12ND', '', '12ND', ''),
	('CBS2', 'small_airport', 'Blue Sky Airport', 49.2939, -103.0197, 1921, 'CA', 'CA-SK', 'Estevan', 'no', 'CBS2', '', 'CBS2', ''),
	('KMOL', 'N/A', 'N/A', 48.9838632568717, -101.62610113620758, 498, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Y99', 'small_airport', 'Trulson Field', 48.030601501464844, -101.9530029296875, 2105, 'US', 'US-ND', 'Plaza', 'no', 'Y99', '', 'Y99', ''),
	('CKY2', 'small_airport', 'Whitewood Airport', 50.3347783814, -102.274475098, 2000, 'CA', 'CA-SK', 'Whitewood', 'no', 'CKY2', '', 'CKY2', 'KY2'),
	('KBOB', 'N/A', 'N/A', 48.78914259374142, -102.33736485242844, 595, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('27ND', 'small_airport', 'Overland-Lohse Field', 48.578602, -103.466003, 2124, 'US', 'US-ND', 'Alamo', 'no', '27ND', '', '27ND', 'NA92, Roy Lohse'),
	('4NA6', 'small_airport', 'Nicks Landing Airport', 48.45500183105469, -103.87999725341797, 2440, 'US', 'US-ND', 'Grenora', 'no', '4NA6', '', '4NA6', ''),
	('9NA4', 'small_airport', 'Bodmer Airport', 48.666099548339844, -101.89099884033203, 1885, 'US', 'US-ND', 'Kenmare', 'no', '9NA4', '', '9NA4', ''),
	('CKK4', 'small_airport', 'Estevan (South) Airport', 49.03889846801758, -102.97599792480469, 1900, 'CA', 'CA-SK', 'Estevan', 'no', 'CKK4', '', 'CKK4', 'KK4'),
	('4NA3', 'small_airport', 'Peterson Airstrip', 48.857200622558594, -101.302001953125, 1545, 'US', 'US-ND', 'Antler', 'no', '4NA3', '', '4NA3', ''),
	('CSL7', 'small_airport', 'Odessa / Strawberry Lakes Airstrip', 50.364518, -103.740807, 2160, 'CA', 'CA-SK', 'Qu''Appelle', 'no', 'CSL7', '', 'CSL7', 'SL7'),
	('ND26', 'small_airport', 'Gajewski Field', 47.900002, -103.658997, 2100, 'US', 'US-ND', 'Alexander', 'no', 'ND26', '', 'ND26', '18U'),
	('CKU6', 'small_airport', 'Grenfell Airport', 50.4192008972168, -102.93499755859375, 1964, 'CA', 'CA-SK', 'Grenfell', 'no', 'CKU6', '', 'CKU6', 'KU6'),
	('5B4', 'small_airport', 'Bowbells Municipal Airport', 48.80970001220703, -102.24500274658203, 1955, 'US', 'US-ND', 'Bowbells', 'no', '5B4', '', '5B4', ''),
	('5U6', 'small_airport', 'Fairview Airport', 47.86109924316406, -104.072998046875, 2152, 'US', 'US-MT', 'Fairview', 'no', '5U6', '', '5U6', ''),
	('CKC9', 'small_airport', 'Pangman Airport', 49.646400451660156, -104.66600036621094, 2300, 'CA', 'CA-SK', 'Pangman', 'no', 'CKC9', '', 'CKC9', 'KC9'),
	('CJW2', 'small_airport', 'Oxbow Airport', 49.233299255371094, -102.1500015258789, 1850, 'CA', 'CA-SK', 'Oxbow', 'no', 'CJW2', '', 'CJW2', 'JW2'),
	('NA39', 'small_airport', 'Dorbrinski Airport', 47.89780044555664, -101.8550033569336, 2133, 'US', 'US-ND', 'Makoti', 'no', 'NA39', '', 'NA39', ''),
	('2ND8', 'small_airport', 'Fiebiger Airport', 46.671372, -98.658068, 1491, 'US', 'US-ND', 'Montplier', 'no', '2ND8', '', '2ND8', ''),
	('ND39', 'N/A', 'N/A', 47.9577711224556, -101.80167585611343, 634, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJA7', 'small_airport', 'Arcola Airport', 49.626755, -102.485747, 1985, 'CA', 'CA-SK', 'Arcola', 'no', 'CJA7', '', 'CJA7', 'JA7'),
	('KMOH', 'N/A', 'N/A', 48.614669255912304, -101.38278007507324, 488, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA80', 'N/A', 'N/A', 48.80446471273899, -102.13728234171867, 586, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KNEA', 'N/A', 'N/A', 47.84558471292257, -101.9645020365715, 640, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CKH2', 'small_airport', 'Rocanville Airport', 50.464698791503906, -101.55400085449219, 1585, 'CA', 'CA-SK', 'Rocanville', 'no', 'CKH2', '', 'CKH2', 'KH2'),
	('S85', 'small_airport', 'Big Sky Field', 48.15330123901367, -104.50399780273438, 1954, 'US', 'US-MT', 'Culbertson', 'no', 'KS85', '', 'S85', ''),
	('NA18', 'small_airport', 'Hought Airstrip', 48.41339874267578, -103.83599853515625, 2400, 'US', 'US-ND', 'Williston', 'no', 'NA18', '', 'NA18', ''),
	('NA63', 'small_airport', 'Storseth Airstrip', 48.66669845581055, -103.85600280761719, 2200, 'US', 'US-ND', 'Grenora', 'no', 'NA63', '', 'NA63', ''),
	('CWC1', 'small_airport', 'White City (Radomsky) Airport', 50.439701, -104.306, 2020, 'CA', 'CA-SK', 'White City', 'no', '', '', '', 'CWC1'),
	('4NA2', 'N/A', 'N/A', 47.96325892210007, -103.73634427785873, 690, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7NA2', 'small_airport', 'Undlin Airstrip', 48.687801361083984, -101.3499984741211, 1575, 'US', 'US-ND', 'Lansford', 'no', '7NA2', '', '7NA2', ''),
	('NA85', 'N/A', 'N/A', 48.00058990716934, -102.936280220747, 723, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND43', 'small_airport', 'Flying S Ranch Airport', 48.20000076293945, -101.40399932861328, 1840, 'US', 'US-ND', 'Minot', 'no', 'ND43', '', 'ND43', ''),
	('5NA7', 'N/A', 'N/A', 48.46971932798624, -101.68260499835014, 550, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA45', 'N/A', 'N/A', 47.862299233675, -102.6161228120327, 646, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHBC', 'small_airport', 'Mohall Municipal Airport', 48.76839828491211, -101.53700256347656, 1649, 'US', 'US-ND', 'Mohall', 'no', 'KHBC', '', 'HBC', ''),
	('Y74', 'small_airport', 'Parshall Hankins Airport', 47.936401, -102.141998, 2031, 'US', 'US-ND', 'Parshall', 'no', 'KY74', '', 'Y74', ''),
	('08D', 'small_airport', 'Stanley Municipal Airport', 48.3008, -102.405998, 2245, 'US', 'US-ND', 'Stanley', 'no', '', '', '08D', ''),
	('6NA0', 'small_airport', 'Strom Private Airport', 48.993099212646484, -102.73799896240234, 1930, 'US', 'US-ND', 'Columbus', 'no', '6NA0', '', '6NA0', ''),
	('96ND', 'N/A', 'N/A', 48.388833962380886, -102.22043573856354, 682, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJQ8', 'small_airport', 'Maryfield Aerodrome', 49.846387, -101.514167, 1885, 'CA', 'CA-SK', 'Maryfield', 'no', 'CJQ8', '', 'CJQ8', ''),
	('4NA0', 'small_airport', 'Lindvig Airstrip', 48.008399963378906, -103.59100341796875, 2180, 'US', 'US-ND', 'Williston', 'no', '4NA0', '', '4NA0', ''),
	('7K5', 'small_airport', 'Kenmare Municipal Airport', 48.667599, -102.047997, 1962, 'US', 'US-ND', 'Kenmare', 'no', 'K7K5', '', '7K5', ''),
	('KMIB', 'medium_airport', 'Minot Air Force Base', 48.4156, -101.358002, 1667, 'US', 'US-ND', 'Minot', 'no', 'KMIB', 'MIB', 'MIB', '5th Bomb Wing, 91st Space Wing'),
	('D50', 'small_airport', 'Crosby Municipal Airport', 48.928501, -103.296997, 1950, 'US', 'US-ND', 'Crosby', 'no', 'KD50', '', 'D50', ''),
	('D49', 'small_airport', 'Columbus Municipal Airport', 48.898602, -102.792, 1930, 'US', 'US-ND', 'Columbus', 'no', 'D49', '', 'D49', ''),
	('4NA5', 'small_airport', 'Berg Strip', 48.288299560546875, -101.8280029296875, 2250, 'US', 'US-ND', 'Berthold', 'no', '4NA5', '', '4NA5', ''),
	('CYRE', 'N/A', 'N/A', 50.59714458882809, -104.59930345416069, 605, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CPB5', 'small_airport', 'Pilot Butte Airport', 50.46110153198242, -104.43099975585938, 2000, 'CA', 'CA-SK', 'Pilot Butte', 'no', 'CPB5', '', 'CPB5', 'PB5'),
	('CKN5', 'small_airport', 'Fillmore Airport', 49.868900299072266, -103.44499969482422, 2000, 'CA', 'CA-SK', 'Fillmore', 'no', 'CKN5', '', 'CKN5', 'KN5'),
	('KMOT', 'medium_airport', 'Minot International Airport', 48.2593994140625, -101.27999877929688, 1716, 'US', 'US-ND', 'Minot', 'yes', 'KMOT', 'MOT', 'MOT', ''),
	('7N6', 'small_airport', 'Grenora Centennial Airport', 48.625599, -103.93, 2145, 'US', 'US-ND', 'Grenora', 'no', '7N6', '', '7N6', ''),
	('NA30', 'closed', 'Behrens Airstrip', 48.270577, -101.39788, 1742, 'US', 'US-ND', 'Burlington', 'no', '', '', '', 'NA30'),
	('NA28', 'N/A', 'N/A', 48.30972421914339, -101.72218769788742, 632, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6ND9', 'small_airport', 'Skinningsrud Airport', 48.392799377441406, -101.76399993896484, 2010, 'US', 'US-ND', 'Berthold', 'no', '6ND9', '', '6ND9', ''),
	('CJQ2', 'small_airport', 'Lampman Airport', 49.36669921875, -102.76699829101563, 1950, 'CA', 'CA-SK', 'Lampman', 'no', 'CJQ2', '', 'CJQ2', 'JQ2'),
	('CJP4', 'heliport', 'Jim Pattison Children'' Hospital Helipad', 52.13203, -106.6424, 1758, 'CA', 'CA-SK', 'Saskatoon', 'no', 'CJP4', '', 'CJP4', ''),
	('CKF2', 'small_airport', 'Radville Airport', 49.460601806640625, -104.27200317382813, 2067, 'CA', 'CA-SK', 'Radville', 'no', 'CKF2', '', 'CKF2', 'KF2'),
	('02MT', 'closed', 'Barrett Field', 47.234035, -111.750592, 3350, 'US', 'US-MT', 'Cascade', 'no', '', '', '', '02MT'),
	('05D', 'small_airport', 'New Town Municipal Airport', 47.966996, -102.477997, 1925, 'US', 'US-ND', 'New Town', 'no', '', '', '05D', ''),
	('CJB5', 'small_airport', 'Moosomin Airport', 50.16859817504883, -101.64399719238281, 1853, 'CA', 'CA-SK', 'Moosomin', 'no', 'CJB5', '', 'CJB5', 'JB5'),
	('CJE3', 'small_airport', 'Weyburn Airport', 49.6974983215332, -103.8010025024414, 1934, 'CA', 'CA-SK', 'Weyburn', 'no', 'CJE3', '', 'CJE3', 'JE3'),
	('CYEN', 'medium_airport', 'Estevan Airport', 49.2103004456, -102.966003418, 1905, 'CA', 'CA-SK', 'Estevan', 'no', 'CYEN', 'YEN', '', 'YEN'),
	('4NA1', 'small_airport', 'Ring Rock Ranch Airport', 48.25469970703125, -103.6729965209961, 2256, 'US', 'US-ND', 'Williston', 'no', '4NA1', '', '4NA1', ''),
	('3NA8', 'N/A', 'N/A', 47.85838656127453, -102.56763562560081, 622, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2NA1', 'N/A', 'N/A', 48.5349053889513, -101.43573895096779, 508, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CKS6', 'small_airport', 'Bryant Airport', 49.40999984741211, -103.14399719238281, 1970, 'CA', 'CA-SK', 'Estevan', 'no', 'CKS6', '', 'CKS6', 'KS6'),
	('CCF7', 'small_airport', 'Alida/Cowan Farm Private Aerodrome', 49.395901, -101.8249, 1869, 'CA', 'CA-SK', 'Alida', 'no', 'CCF7', '', 'CCF7', ''),
	('CYWU', 'N/A', 'N/A', 49.984365440905094, -104.1128258407116, 577, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CSF8', 'closed', 'Lac Kaiagamac Seaplane Base', 46.651699, -73.894995, 1190, 'CA', 'CA-QC', '', 'no', '', '', '', 'SF8, SF8'),
	('KPWD', 'small_airport', 'Sher-Wood Airport', 48.790298461914, -104.53399658203, 2250, 'US', 'US-MT', 'Plentywood', 'no', 'KPWD', 'PWD', 'PWD', ''),
	('ND86', 'small_airport', 'Peterson Airport', 48.563899993896484, -103.96299743652344, 2190, 'US', 'US-ND', 'Grendra', 'no', 'ND86', '', 'ND86', ''),
	('2ND9', 'small_airport', 'Brekhus Field', 48.81669998168945, -101.91699981689453, 1850, 'US', 'US-ND', 'Norma', 'no', '2ND9', '', '2ND9', ''),
	('ND29', 'small_airport', 'Swenson Airport', 46.66669845581055, -103.23400115966797, 2900, 'US', 'US-ND', 'Belfield', 'no', 'ND29', '', 'ND29', ''),
	('75ND', 'small_airport', 'Jurgens Airstrip', 46.907501220703125, -102.49099731445313, 2370, 'US', 'US-ND', 'Taylor', 'no', '75ND', '', '75ND', ''),
	('1SD0', 'small_airport', 'Dorsey Ranch Airport', 45.323001861572266, -101.74199676513672, 2350, 'US', 'US-SD', 'Glad Valley', 'no', '1SD0', '', '1SD0', ''),
	('KBIA', 'N/A', 'N/A', 45.431476570665836, -102.13126078248024, 769, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3NA3', 'N/A', 'N/A', 47.20218915492296, -101.25226378440857, 599, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MT45', 'small_airport', 'Castleberry Airport', 45.90890121459961, -104.57599639892578, 3373, 'US', 'US-MT', 'Ekalaka', 'no', 'MT45', '', 'MT45', ''),
	('20U', 'small_airport', 'Beach Airport', 46.925201, -103.982002, 2756, 'US', 'US-ND', 'Beach', 'no', 'K20U', '', '20U', ''),
	('KDUP', 'N/A', 'N/A', 45.00469822436571, -101.42698869109154, 740, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA77', 'closed', 'McGee Strip', 45.986416, -103.846039, 3014, 'US', 'US-ND', 'Rhame', 'no', '', '', '', 'NA77'),
	('5ND1', 'N/A', 'N/A', 46.698978915810585, -103.88976350426674, 838, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBEU', 'N/A', 'N/A', 47.128910198807716, -102.13610753417015, 583, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8D6', 'small_airport', 'McIntosh Municipal Airport', 45.910833, -101.342927, 2251, 'US', 'US-SD', 'McIntosh', 'no', '8D6', '', '8D6', ''),
	('8OA5', 'small_airport', 'Camp Crook Municipal Airport', 45.55514, -103.979931, 3140, 'US', 'US-SD', 'Camp Crook', 'no', '8OA5', '', '8OA5', ''),
	('KBHK', 'small_airport', 'Baker Municipal Airport', 46.347599, -104.259002, 2975, 'US', 'US-MT', 'Baker', 'no', 'KBHK', '', 'BHK', '3U6'),
	('D05', 'small_airport', 'Garrison Municipal Airport', 47.65589904785156, -101.43699645996094, 1935, 'US', 'US-ND', 'Garrison', 'no', 'KD05', '', 'D05', ''),
	('D07', 'small_airport', 'Faith Municipal Airport', 45.03609848022461, -102.0199966430664, 2582, 'US', 'US-SD', 'Faith', 'no', 'KD07', '', 'D07', ''),
	('07ND', 'N/A', 'N/A', 47.15613596141338, -102.0652274787426, 569, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6NA5', 'small_airport', 'Chase Airstrip', 46.91387, -102.010002, 2140, 'US', 'US-ND', 'Hebron', 'no', '6NA5', '', '6NA5', ''),
	('1NA4', 'N/A', 'N/A', 46.59982603043318, -103.51975232362747, 740, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1ND1', 'N/A', 'N/A', 46.177518256008625, -102.54406526684761, 769, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('11ND', 'N/A', 'N/A', 47.42678325623274, -102.38732859492302, 696, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND16', 'small_airport', 'Frei Private Airport', 47.44169998168945, -102.24199676513672, 2100, 'US', 'US-ND', 'Halliday', 'no', 'ND16', '', 'ND16', ''),
	('MT20', 'small_airport', 'Hollstein Ranch Airport', 46.858299255371094, -104.0989990234375, 2778, 'US', 'US-MT', 'Wibaux', 'no', 'MT20', '', 'MT20', ''),
	('10ND', 'small_airport', 'Smith Strip', 47.1875, -102.36199951171875, 2200, 'US', 'US-ND', 'Halliday', 'no', '10ND', '', '10ND', ''),
	('37N', 'small_airport', 'Garrison Dam Recreational Airpark', 47.48310089111328, -101.40899658203125, 1723, 'US', 'US-ND', 'Riverdale', 'no', '37N', '', '37N', ''),
	('7ND1', 'small_airport', 'Wolberg''s Private Airport', 47.03609848022461, -102.77799987792969, 2540, 'US', 'US-ND', 'Dickinson', 'no', '7ND1', '', '7ND1', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('S25', 'small_airport', 'Watford City Municipal Airport', 47.79570007, -103.2539978, 2111, 'US', 'US-ND', 'Watford City', 'no', 'KS25', '', 'S25', ''),
	('97M', 'small_airport', 'Ekalaka Airport', 45.8778, -104.537003, 3503, 'US', 'US-MT', 'Ekalaka', 'no', 'K97M', '', '97M', ''),
	('KBWW', 'small_airport', 'Bowman Regional Airport', 46.165519, -103.30075, 2965, 'US', 'US-ND', 'Bowman', 'no', 'KBWW', 'BWM', 'BWW', ''),
	('1ND0', 'N/A', 'N/A', 46.19409766048193, -102.5272960960865, 786, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA61', 'small_airport', 'Tachenko Strip', 47.29560089111328, -103.18900299072266, 2686, 'US', 'US-ND', 'Grassy Butte', 'no', 'NA61', '', 'NA61', ''),
	('14ND', 'small_airport', 'Hagen Private Airport', 46.207801818847656, -102.90799713134766, 2810, 'US', 'US-ND', 'Reeder', 'no', '14ND', '', '14ND', ''),
	('95D', 'small_airport', 'Beulah Airport', 47.25080108642578, -101.81400299072266, 1791, 'US', 'US-ND', 'Beulah', 'no', 'K95D', '', '95D', ''),
	('KGDV', 'medium_airport', 'Dawson Community Airport', 47.137658, -104.80691, 2458, 'US', 'US-MT', 'Glendive', 'yes', 'KGDV', 'GDV', 'GDV', ''),
	('9Y1', 'small_airport', 'Weydahl Field', 47.392799377441406, -102.77100372314453, 2256, 'US', 'US-ND', 'Killdeer', 'no', 'K9Y1', '', '9Y1', ''),
	('3P3', 'small_airport', 'Mott Municipal Airport', 46.35969924926758, -102.322998046875, 2411, 'US', 'US-ND', 'Mott', 'no', 'K3P3', '', '3P3', ''),
	('69MT', 'small_airport', 'Flying H Airport', 47.780733, -104.527115, 2465, 'US', 'US-MT', 'Lambert', 'no', '69MT', '', '69MT', ''),
	('KSDY', 'medium_airport', 'Sidney - Richland Regional Airport', 47.705141, -104.194422, 1985, 'US', 'US-MT', 'Sidney', 'yes', 'KSDY', 'SDY', 'SDY', ''),
	('KMOC', 'N/A', 'N/A', 46.414677165448666, -102.55289420485497, 756, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5NA0', 'small_airport', 'Semchenko Airport', 47.77360153198242, -101.27899932861328, 2065, 'US', 'US-ND', 'Max', 'no', '5NA0', '', '5NA0', ''),
	('1NA9', 'small_airport', 'Myran Airstrip', 47.03329849243164, -102.49600219726563, 2120, 'US', 'US-ND', 'Taylor', 'no', '1NA9', '', '1NA9', ''),
	('4E8', 'small_airport', 'Richardton Airport', 46.89580154418945, -102.3550033569336, 2492, 'US', 'US-ND', 'Richardton', 'no', '4E8', '', '4E8', ''),
	('KBPP', 'closed', 'Bowman Municipal Airport', 46.187, -103.428001, 2958, 'US', 'US-ND', 'Bowman', 'no', '', '', '', 'KBPP, BWM, BPP'),
	('8NA8', 'N/A', 'N/A', 47.70681660622358, -101.57654330134392, 615, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KAMI', 'N/A', 'N/A', 46.44669268280268, -103.28024357557297, 909, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('26ND', 'small_airport', 'Chitwood Airstrip', 47.709702, -103.643997, 2180, 'US', 'US-ND', 'Alexander', 'no', '', '', '', '26ND'),
	('Y71', 'small_airport', 'Elgin Municipal Airport', 46.3828010559082, -101.84500122070313, 2355, 'US', 'US-ND', 'Elgin', 'no', 'Y71', '', 'Y71', ''),
	('KHEA', 'N/A', 'N/A', 46.128308437764645, -102.71041318774223, 834, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0NA9', 'small_airport', 'Boyd''s Turf Airport', 46.75, -103.801003, 2750, 'US', 'US-ND', 'Golva', 'no', '0NA9', '', '0NA9', ''),
	('D57', 'small_airport', 'Glen Ullin Regional Airport', 46.812801361083984, -101.86000061035156, 2089, 'US', 'US-ND', 'Glen Ullin', 'no', 'KD57', '', 'D57', ''),
	('9D2', 'small_airport', 'Harding County Airport', 45.58060073852539, -103.52999877929688, 2889, 'US', 'US-SD', 'Buffalo', 'no', 'K9D2', '', '9D2', ''),
	('20MT', 'small_airport', 'Prevost Airport', 47.69646, -104.60156, 2348, 'US', 'US-MT', 'Lambert', 'no', '20MT', '', '20MT', ''),
	('ND67', 'N/A', 'N/A', 46.35695870965719, -101.62821471691132, 718, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND62', 'small_airport', 'Brands Airport', 46.84830093383789, -102.45800018310547, 2423, 'US', 'US-ND', 'Taylor', 'no', 'ND62', '', 'ND62', ''),
	('ND51', 'N/A', 'N/A', 46.104679852724075, -102.94988930225372, 854, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('37ND', 'small_airport', 'Sunset Strip', 47.231998443603516, -102.50900268554688, 2360, 'US', 'US-ND', 'Dunn Center', 'no', '37ND', '', '37ND', ''),
	('1NA7', 'N/A', 'N/A', 46.570080667734146, -101.52598053216934, 600, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBIN', 'N/A', 'N/A', 45.45589406043291, -102.94771358370781, 859, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHEC', 'N/A', 'N/A', 46.22442036867142, -102.56570309400558, 807, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SD88', 'closed', 'Dunn Airport', 45.389141, -102.00265, 2467, 'US', 'US-SD', 'Bison', 'no', '', '', '', 'SD88'),
	('MT74', 'small_airport', 'Sikorski Ranch Airport', 46.10689926147461, -104.41500091552734, 3330, 'US', 'US-MT', 'Ekalaka', 'no', 'MT74', '', 'MT74', ''),
	('7ND7', 'closed', 'Haugen''s Airport', 47.682499, -103.727997, 2330, 'US', 'US-ND', 'Alexander', 'no', '', '', '', '7ND7'),
	('06ND', 'small_airport', 'Fitterer''s Strip', 46.7489013671875, -101.66899871826172, 2180, 'US', 'US-ND', 'Glen Ullin', 'no', '06ND', '', '06ND', ''),
	('KHER', 'N/A', 'N/A', 46.15190785378218, -102.74675533175468, 860, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBIB', 'N/A', 'N/A', 45.462049059569836, -102.1630185842514, 808, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND10', 'closed', 'Flying-N-Ranch Airport', 46.548901, -96.786498, 930, 'US', 'US-ND', 'Christine', 'no', '', '', '', 'ND10'),
	('NA68', 'N/A', 'N/A', 46.186583787202835, -102.94411137700081, 899, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLEM', 'small_airport', 'Lemmon Municipal Airport', 45.9187011719, -102.106002808, 2571, 'US', 'US-SD', 'Lemmon', 'no', 'KLEM', 'LEM', 'LEM', 'Ray Kolb Field'),
	('3Y7', 'small_airport', 'Isabel Municipal Airport', 45.389806, -101.437656, 2398, 'US', 'US-SD', 'Isabel', 'no', '3Y7', '', '3Y7', 'SD26'),
	('6V5', 'small_airport', 'Bison Municipal Airport', 45.518322, -102.467889, 2785, 'US', 'US-SD', 'Bison', 'no', '6V5', '', '6V5', 'SD07'),
	('SD41', 'small_airport', 'Shambo Ranch Airport', 45.53329849243164, -101.83399963378906, 2500, 'US', 'US-SD', 'Lemmon', 'no', 'SD41', '', 'SD41', ''),
	('78ND', 'closed', 'Folske Ranch Airport', 46.294998, -103.431999, 2900, 'US', 'US-ND', 'Bowman', 'no', '', '', '', '78ND'),
	('6ND4', 'N/A', 'N/A', 47.5051885843277, -103.20178136229515, 784, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDIK', 'medium_airport', 'Dickinson Theodore Roosevelt Regional Airport', 46.797533, -102.801905, 2592, 'US', 'US-ND', 'Dickinson', 'yes', 'KDIK', 'DIK', 'DIK', ''),
	('82ND', 'N/A', 'N/A', 46.98449570685625, -102.0928806066513, 683, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHEI', 'small_airport', 'Hettinger Municipal Airport', 46.0149, -102.655998, 2705, 'US', 'US-ND', 'Hettinger', 'no', 'KHEI', '', 'HEI', ''),
	('9ND3', 'N/A', 'N/A', 46.9156913459301, -103.30256849527359, 839, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MT05', 'small_airport', 'Laird Ranch Airport', 45.66809844970703, -104.7030029296875, 3462, 'US', 'US-MT', 'Ekalaka', 'no', 'MT05', '', 'MT05', ''),
	('08ND', 'small_airport', 'Brecht Strip', 47.32310104370117, -102.0979995727539, 1990, 'US', 'US-ND', 'Golden Valley', 'no', '08ND', '', '08ND', ''),
	('NA98', 'small_airport', 'Dilse Private Airstrip', 46.302388, -103.170119, 2878, 'US', 'US-ND', 'Scranton', 'no', 'NA98', '', 'NA98', ''),
	('KHZE', 'small_airport', 'Mercer County Regional Airport', 47.28990173, -101.5810013, 1814, 'US', 'US-ND', 'Hazen', 'no', 'KHZE', '', 'HZE', ''),
	('KHED', 'N/A', 'N/A', 46.19281355291605, -102.73115023970604, 827, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA22', 'small_airport', 'Vernon Miller Private Airport', 46.01250076293945, -103.7959976196289, 3102, 'US', 'US-ND', 'Rhame', 'no', 'NA22', '', 'NA22', ''),
	('ND22', 'small_airport', 'Fischer Private Airport', 47.68330001831055, -101.5999984741211, 2065, 'US', 'US-ND', 'Garrison', 'no', 'ND22', '', 'ND22', ''),
	('44ND', 'small_airport', 'Fredericks Ranch Airport', 47.527801513671875, -102.24099731445313, 2225, 'US', 'US-ND', 'Halliday', 'no', '44ND', '', '44ND', ''),
	('3NA4', 'N/A', 'N/A', 47.059236131608486, -102.77788951992989, 790, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('55ND', 'small_airport', 'Pete''s Port Airport', 47.35559844970703, -102.71099853515625, 2260, 'US', 'US-ND', 'Killdeer', 'no', '55ND', '', '55ND', ''),
	('0SD3', 'small_airport', 'Bledsoe Ranch Airport', 45.26940155029297, -103.21700286865234, 2872, 'US', 'US-SD', 'Hoover', 'no', '0SD3', '', '0SD3', ''),
	('CNL9', 'small_airport', 'Nueltin Lake Airport', 59.708099365234375, -100.12699890136719, 971, 'CA', 'CA-MB', 'Nueltin Lake', 'no', 'CNL9', '', 'CNL9', 'NL9'),
	('CKD3', 'seaplane_base', 'Lynn Lake (Eldon Lake) Seaplane Base', 56.8172, -101.018997, 1100, 'CA', 'CA-MB', '', 'no', 'CKD3', '', 'CKD3', ''),
	('CYLR', 'medium_airport', 'Leaf Rapids Airport', 56.513301849365234, -99.98529815673828, 959, 'CA', 'CA-MB', 'Leaf Rapids', 'no', 'CYLR', 'YLR', '', ''),
	('CEG8', 'small_airport', 'North Seal River Airport', 58.969398, -99.974998, 980, 'CA', 'CA-MB', 'North Seal River', 'no', 'CEG8', '', 'CEG8', ''),
	('CYYL', 'medium_airport', 'Lynn Lake Airport', 56.86389923095703, -101.07599639892578, 1170, 'CA', 'CA-MB', 'Lynn Lake', 'yes', 'CYYL', 'YYL', '', ''),
	('CYBQ', 'small_airport', 'Tadoule Lake Airport', 58.706308, -98.511057, 923, 'CA', 'CA-MB', 'Tadoule Lake', 'yes', 'CYBQ', 'XTL', '', 'YBQ'),
	('CKA3', 'seaplane_base', 'Leaf Rapids Seaplane Base', 56.549999, -99.933296, 849, 'CA', 'CA-MB', '', 'no', 'CKA3', '', 'CKA3', ''),
	('CZSN', 'small_airport', 'South Indian Lake Airport', 56.792801, -98.907204, 951, 'CA', 'CA-MB', 'South Indian Lake', 'yes', 'CZSN', 'XSI', 'ZSN', ''),
	('CKD6', 'seaplane_base', 'Thompson Seaplane Base', 55.75, -97.833298, 596, 'CA', 'CA-MB', '', 'no', 'CKD6', '', 'CKD6', ''),
	('CKK6', 'seaplane_base', 'Wabowden Seaplane Base', 54.91669845581055, -98.61669921875, 744, 'CA', 'CA-MB', '', 'no', 'CKK6', '', 'CKK6', ''),
	('CJE4', 'small_airport', 'Snow Lake Airport', 54.89720153808594, -99.81890106201172, 993, 'CA', 'CA-MB', 'Snow Lake', 'no', 'CJE4', '', 'CJE4', 'JE4'),
	('CZLQ', 'medium_airport', 'Thicket Portage Airport', 55.31890106201172, -97.70780181884766, 678, 'CA', 'CA-MB', 'Thicket Portage', 'no', 'CZLQ', 'YTD', '', 'ZLQ'),
	('CYTH', 'medium_airport', 'Thompson Airport', 55.80110168457031, -97.86419677734375, 729, 'CA', 'CA-MB', 'Thompson', 'yes', 'CYTH', 'YTH', '', ''),
	('CKM5', 'seaplane_base', 'Snow Lake Seaplane Base', 54.883301, -100.032997, 890, 'CA', 'CA-MB', '', 'no', 'CKM5', '', 'CKM5', 'KM5'),
	('CJR3', 'small_airport', 'The Pas / Grace Lake Airport', 53.8264007568, -101.205001831, 873, 'CA', 'CA-MB', 'The Pas', 'no', 'CJR3', '', 'CJR3', 'JR3'),
	('CYCR', 'small_airport', 'Cross Lake (Charlie Sinclair Memorial) Airport', 54.609758, -97.762442, 709, 'CA', 'CA-MB', 'Cross Lake', 'yes', 'CYCR', 'YCR', '', ''),
	('CYNE', 'small_airport', 'Norway House Airport', 53.958302, -97.8442, 734, 'CA', 'CA-MB', 'Norway House', 'yes', 'CYNE', 'YNE', '', ''),
	('CZJG', 'medium_airport', 'Jenpeg Airport', 54.51890182495117, -98.04609680175781, 729, 'CA', 'CA-MB', 'Jenpeg', 'no', 'CZJG', 'ZJG', '', ''),
	('CJR8', 'small_airport', 'Mccreary Airport', 50.76470184326172, -99.49669647216797, 1000, 'CA', 'CA-MB', 'Mccreary', 'no', 'CJR8', '', 'CJR8', 'JR8'),
	('CKR4', 'small_airport', 'Lundar Airport', 50.70330047607422, -98.05670166015625, 830, 'CA', 'CA-MB', 'Lundar', 'no', 'CKR4', '', 'CKR4', 'KR4'),
	('CJE7', 'small_airport', 'Ashern Airport', 51.158599853515625, -98.33190155029297, 976, 'CA', 'CA-MB', 'Ashern', 'no', 'CJE7', '', 'CJE7', 'JE7'),
	('CKM6', 'small_airport', 'Easterville Airport', 53.11669921875, -99.80000305175781, 850, 'CA', 'CA-MB', 'Easterville', 'no', 'CKM6', '', 'CKM6', 'KM6'),
	('CYDN', 'medium_airport', 'Dauphin Barker Airport', 51.1008, -100.052002, 999, 'CA', 'CA-MB', 'Dauphin', 'yes', 'CYDN', 'YDN', '', ''),
	('CJV8', 'small_airport', 'Grand Rapids Airport', 53.17250061035156, -99.3230972290039, 860, 'CA', 'CA-MB', 'Grand Rapids', 'no', 'CJV8', '', 'CJV8', 'JV8'),
	('CZJN', 'medium_airport', 'Swan River Airport', 52.120602, -101.236, 1100, 'CA', 'CA-MB', 'Swan River', 'no', 'CZJN', 'ZJN', '', ''),
	('CJH2', 'small_airport', 'Gilbert Plains Airport', 51.13330078125, -100.5, 1310, 'CA', 'CA-MB', 'Gilbert Plains', 'no', 'CJH2', '', 'CJH2', 'JH2'),
	('CKR3', 'closed', 'Ste. Rose du Lac Airport', 51.040798, -99.494784, 900, 'CA', 'CA-MB', 'Ste. Rose du Lac', 'no', '', '', '', 'CKR3'),
	('41ND', 'small_airport', 'Hill Airport', 48.140511, -101.147367, 1533, 'US', 'US-ND', 'Minot', 'no', '41ND', '', '41ND', ''),
	('D61', 'small_airport', 'Towner Municipal Airport', 48.358299255371094, -100.39199829101563, 1484, 'US', 'US-ND', 'Towner', 'no', 'D61', '', 'D61', ''),
	('CJS7', 'small_airport', 'Carman (South) Airport', 49.48030090332031, -98.01499938964844, 870, 'CA', 'CA-MB', 'Carman', 'no', 'CJS7', '', 'CJS7', 'JS7'),
	('8ND0', 'small_airport', 'Amble-Tiger North Farms Airport', 48.90140151977539, -99.01679992675781, 1590, 'US', 'US-ND', 'Sarles', 'no', '8ND0', '', '8ND0', ''),
	('88ND', 'small_airport', 'Goodman Strip', 48.709166, -97.995577, 1560, 'US', 'US-ND', 'Milton', 'no', '88ND', '', '88ND', ''),
	('CYVD', 'medium_airport', 'Virden / RJ (Bob) Andrew Field Regional Aerodrome', 49.8783, -100.917999, 1454, 'CA', 'CA-MB', 'Virden', 'no', 'CYVD', '', 'YVD', ''),
	('3ND8', 'N/A', 'N/A', 48.66668600589037, -100.82620471715927, 442, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('97ND', 'small_airport', 'Walser Strip', 48.43080139160156, -97.70809936523438, 960, 'US', 'US-ND', 'Park River', 'no', '97ND', '', '97ND', ''),
	('KPAK', 'N/A', 'N/A', 48.40238884091377, -98.08060616254807, 477, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJJ4', 'small_airport', 'Deloraine Airport', 49.15060043334961, -100.5009994506836, 1680, 'CA', 'CA-MB', 'Deloraine', 'no', 'CJJ4', '', 'CJJ4', 'JJ4'),
	('CKC8', 'small_airport', 'Somerset Airport', 49.400299072265625, -98.69249725341797, 1563, 'CA', 'CA-MB', 'Somerset', 'no', 'CKC8', '', 'CKC8', 'KC8'),
	('CJY5', 'small_airport', 'Strathclair Airport', 50.39609909057617, -100.42500305175781, 1875, 'CA', 'CA-MB', 'Strathclair', 'no', 'CJY5', '', 'CJY5', 'JY5'),
	('96D', 'small_airport', 'Walhalla Municipal Airport', 48.94060134887695, -97.90280151367188, 953, 'US', 'US-ND', 'Walhalla', 'no', 'K96D', '', '96D', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CJV5', 'small_airport', 'Neepawa Airport', 50.2327995300293, -99.5105972290039, 1277, 'CA', 'CA-MB', 'Neepawa', 'no', 'CJV5', '', 'CJV5', 'JV5'),
	('NA27', 'N/A', 'N/A', 47.91041035205126, -101.14547029137611, 633, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJR5', 'small_airport', 'Gladstone Airport', 50.16360092163086, -98.94249725341797, 900, 'CA', 'CA-MB', 'Gladstone', 'no', 'CJR5', '', 'CJR5', 'JR5'),
	('CKL5', 'small_airport', 'Shoal Lake Airport', 50.457003, -100.609267, 1836, 'CA', 'CA-MB', 'Shoal Lake', 'no', 'CKL5', '', 'CKL5', ''),
	('D64', 'small_airport', 'Westhope Municipal Airport', 48.91339874267578, -101.03299713134766, 1494, 'US', 'US-ND', 'Westhope', 'no', 'KD64', '', 'D64', ''),
	('ND95', 'N/A', 'N/A', 48.652204759418964, -98.75307977199554, 485, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2L1', 'small_airport', 'Larimore Municipal Airport', 47.906898498535156, -97.6406021118164, 1130, 'US', 'US-ND', 'Larimore', 'no', '2L1', '', '2L1', ''),
	('CKF6', 'small_airport', 'Macgregor Airport', 49.96670150756836, -98.75, 950, 'CA', 'CA-MB', 'Macgregor', 'no', 'CKF6', '', 'CKF6', 'KF6'),
	('22ND', 'N/A', 'N/A', 48.58900252729654, -100.93481183052063, 448, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYPG', 'medium_airport', 'Portage-la-Prairie / Southport Airport', 49.903099, -98.273817, 885, 'CA', 'CA-MB', 'Portage la Prairie', 'no', 'CYPG', 'YPG', '', ''),
	('5L0', 'small_airport', 'Lakota Municipal Airport', 48.02939987182617, -98.32530212402344, 1512, 'US', 'US-ND', 'Lakota', 'no', 'K5L0', '', '5L0', ''),
	('KDVL', 'medium_airport', 'Devils Lake Regional Airport', 48.115454, -98.908796, 1456, 'US', 'US-ND', 'Devils Lake', 'yes', 'KDVL', 'DVL', 'DVL', ''),
	('CJT5', 'small_airport', 'Melita Airport', 49.26169967651367, -101.01399993896484, 1475, 'CA', 'CA-MB', 'Melita', 'no', 'CJT5', '', 'CJT5', 'JT5'),
	('NA33', 'small_airport', 'Ripplinger Strip', 48.0010986328125, -99.9260025024414, 1600, 'US', 'US-ND', 'Esmond', 'no', 'NA33', '', 'NA33', ''),
	('D09', 'small_airport', 'Bottineau Municipal Airport', 48.830399, -100.417, 1681, 'US', 'US-ND', 'Bottineau', 'no', 'KD09', '', 'D09', ''),
	('KDAC', 'N/A', 'N/A', 48.63447066396475, -99.3794797360897, 489, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7ND8', 'small_airport', 'Forest Airport', 48.85219955444336, -98.74819946289063, 1570, 'US', 'US-ND', 'Langdon', 'no', '7ND8', '', '7ND8', ''),
	('81ND', 'small_airport', 'Millers Airstrip', 48.38859939575195, -101.04499816894531, 1545, 'US', 'US-ND', 'Deering', 'no', '81ND', '', '81ND', ''),
	('0ND0', 'small_airport', 'Gilbertson Field', 47.92919921875, -99.40039825439453, 1550, 'US', 'US-ND', 'Flora', 'no', '0ND0', '', '0ND0', ''),
	('ND79', 'N/A', 'N/A', 48.84560711681843, -97.67487689852715, 271, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND02', 'small_airport', 'Ricketyback Field', 47.811100006103516, -97.96009826660156, 1510, 'US', 'US-ND', 'Aneta', 'no', 'ND02', '', 'ND02', ''),
	('77ND', 'N/A', 'N/A', 47.93082766234875, -100.38059949874878, 508, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA38', 'small_airport', 'Sabbe Brothers Landing Strip', 47.950599670410156, -99.42960357666016, 1572, 'US', 'US-ND', 'Maddock', 'no', 'NA38', '', 'NA38', ''),
	('CJA4', 'N/A', 'N/A', 49.249990694224834, -100.06519675254822, 503, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6NA7', 'small_airport', 'Kersten Brothers Airport', 48.73030090332031, -100.9219970703125, 1473, 'US', 'US-ND', 'Newburg', 'no', '6NA7', '', '6NA7', ''),
	('NA10', 'small_airport', 'Anderson Private Airport', 48.38059997558594, -99.03369903564453, 1460, 'US', 'US-ND', 'Starkweather', 'no', 'NA10', '', 'NA10', ''),
	('CKG5', 'small_airport', 'Manitou Airport', 49.25, -98.5333023071289, 1592, 'CA', 'CA-MB', 'Manitou', 'no', 'CKG5', '', 'CKG5', 'KG5'),
	('9D7', 'small_airport', 'Cando Municipal Airport', 48.48, -99.235901, 1481, 'US', 'US-ND', 'Cando', 'no', 'K9D7', '', '9D7', ''),
	('85ND', 'N/A', 'N/A', 48.01625333726406, -97.56062284111977, 303, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA49', 'small_airport', 'Paul Airstrip', 48.41780090332031, -100.05500030517578, 1530, 'US', 'US-ND', 'Rugby', 'no', 'NA49', '', 'NA49', ''),
	('CKZ6', 'small_airport', 'Louise Municipal Airport', 49.14720153808594, -98.88079833984375, 1525, 'CA', 'CA-MB', 'Crystal City-Pilot Mound', 'no', 'CKZ6', '', 'CKZ6', 'KZ6'),
	('CKZ7', 'small_airport', 'Winkler Airport', 49.166900634765625, -97.92030334472656, 850, 'CA', 'CA-MB', 'Winkler', 'no', 'CKZ7', '', 'CKZ7', 'KZ7'),
	('7NA9', 'small_airport', 'Sjule Private Airstrip', 48.92829895019531, -100.5780029296875, 1680, 'US', 'US-ND', 'Souris', 'no', '7NA9', '', '7NA9', ''),
	('8NA2', 'N/A', 'N/A', 48.54853235185146, -99.72683295607567, 498, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('98ND', 'small_airport', 'Sobolik Airport', 48.263301849365234, -97.62229919433594, 920, 'US', 'US-ND', 'Pisek', 'no', '98ND', '', '98ND', ''),
	('CJZ5', 'closed', 'Virden (West) Airport', 49.8833007812, -101.067001343, 1510, 'CA', 'CA-MB', 'Virden', 'no', '', '', '', 'JZ5, CJZ5, CJZ5'),
	('CYBR', 'medium_airport', 'Brandon Municipal Airport', 49.91, -99.951897, 1343, 'CA', 'CA-MB', 'Brandon', 'yes', 'CYBR', 'YBR', '', ''),
	('CJL6', 'small_airport', 'Altona Municipal Airport', 49.093069, -97.52926, 806, 'CA', 'CA-MB', 'Altona', 'no', 'CJL6', '', 'CJL6', 'JL6'),
	('ND18', 'small_airport', 'Judy Strip', 48.50640106201172, -101.21700286865234, 1570, 'US', 'US-ND', 'Glenburn', 'no', 'ND18', '', 'ND18', ''),
	('03ND', 'small_airport', 'Olafson Brothers Airport', 48.626399993896484, -97.8290023803711, 1045, 'US', 'US-ND', 'Edinburg', 'no', '03ND', '', '03ND', ''),
	('9ND8', 'small_airport', 'Hinkle Airport', 48.785499572753906, -97.67230224609375, 908, 'US', 'US-ND', 'Cavalier', 'no', '9ND8', '', '9ND8', ''),
	('D55', 'small_airport', 'Robertson Field', 48.752998, -98.393303, 1608, 'US', 'US-ND', 'Langdon', 'no', 'KD55', '', 'D55', ''),
	('CKA8', 'small_airport', 'St. François Xavier Airport', 49.924400329589844, -97.54889678955078, 798, 'CA', 'CA-MB', 'St. François Xavier', 'no', 'CKA8', '', 'CKA8', 'KA8'),
	('CTN6', 'small_airport', 'Treherne (South Norfolk Airpark) Airport', 49.659698486328125, -98.66529846191406, 1190, 'CA', 'CA-MB', 'Treherne', 'no', 'CTN6', '', 'CTN6', 'TN6'),
	('28ND', 'N/A', 'N/A', 48.56684312224388, -99.44701999425888, 482, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('61ND', 'small_airport', 'Bakke Airport', 47.9474983215332, -97.66200256347656, 1125, 'US', 'US-ND', 'Larimore', 'no', '61ND', '', '61ND', ''),
	('06D', 'small_airport', 'Rolla Municipal Airport', 48.8843, -99.620903, 1823, 'US', 'US-ND', 'Rolla', 'no', 'K06D', '', '06D', ''),
	('2NA7', 'small_airport', 'Slater Farm Airport', 48.02830123901367, -99.61650085449219, 1600, 'US', 'US-ND', 'Esmond', 'no', '2NA7', '', '2NA7', ''),
	('ND42', 'small_airport', 'Warren Pietsch Airport', 48.10309982299805, -101.0780029296875, 1550, 'US', 'US-ND', 'Sawyer', 'no', 'ND42', '', 'ND42', ''),
	('S28', 'small_airport', 'International Peace Garden Airport', 48.997799, -100.042999, 2314, 'US', 'US-ND', 'Dunseith', 'no', 'S28', '', 'S28', ''),
	('94ND', 'small_airport', 'Michael Zurcher Farm Strip', 48.66590118408203, -100.91799926757813, 1470, 'US', 'US-ND', 'Newburg', 'no', '94ND', '', '94ND', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('D31', 'small_airport', 'Leeds Municipal Airport', 48.28499984741211, -99.40350341796875, 1508, 'US', 'US-ND', 'Leeds', 'no', 'KD31', '', 'D31', ''),
	('NA13', 'small_airport', 'Linrud Airstrip', 48.12220001220703, -100.93699645996094, 1605, 'US', 'US-ND', 'Velva', 'no', 'NA13', '', 'NA13', ''),
	('CJU3', 'small_airport', 'Macdonald Airport', 50.09640121459961, -98.50080108642578, 840, 'CA', 'CA-MB', 'Macdonald', 'no', 'CJU3', '', 'CJU3', 'JU3'),
	('6NA6', 'small_airport', 'Marsh Brothers Airstrip', 48.61920166015625, -100.97799682617188, 1481, 'US', 'US-ND', 'Newburg', 'no', '6NA6', '', '6NA6', ''),
	('4ND3', 'N/A', 'N/A', 48.607747815549374, -100.7169958949089, 437, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('02ND', 'N/A', 'N/A', 48.808449134230614, -98.52372363209724, 479, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA65', 'small_airport', 'Anderson Strip', 48.53139877319336, -97.62809753417969, 890, 'US', 'US-ND', 'Hoople', 'no', 'NA65', '', 'NA65', ''),
	('ND84', 'N/A', 'N/A', 48.480044826865196, -97.84457981586456, 379, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('69ND', 'small_airport', 'Tengesdal Airport', 48.743099212646484, -101.04199981689453, 1495, 'US', 'US-ND', 'Maxbass', 'no', '69ND', '', '69ND', ''),
	('CJZ2', 'small_airport', 'Portage La Prairie (North) Airport', 49.99250030517578, -98.3031005859375, 860, 'CA', 'CA-MB', 'Portage La Prairie', 'no', 'CJZ2', '', 'CJZ2', 'JZ2'),
	('8NA1', 'seaplane_base', 'Deep River Seaplane Base', 48.622798919677734, -100.78299713134766, 1420, 'US', 'US-ND', 'Upham', 'no', '8NA1', '', '8NA1', ''),
	('NA07', 'small_airport', 'Kornkven Airstrip', 48.88639831542969, -100.69499969482422, 1505, 'US', 'US-ND', 'Souris', 'no', 'NA07', '', 'NA07', ''),
	('1NA0', 'small_airport', 'Bohn Airstrip', 48.732200622558594, -97.8895034790039, 1142, 'US', 'US-ND', 'Mountain', 'no', '1NA0', '', '1NA0', ''),
	('ND24', 'small_airport', 'Inkster Airport', 48.14030075073242, -97.67259979248047, 1092, 'US', 'US-ND', 'Inkster', 'no', 'ND24', '', 'ND24', ''),
	('21ND', 'small_airport', 'Rosenau Airport', 48.58219909667969, -100.8550033569336, 1450, 'US', 'US-ND', 'Upham', 'no', '21ND', '', '21ND', ''),
	('6D3', 'small_airport', 'Maddock Municipal Airport', 47.97779846191406, -99.527099609375, 1600, 'US', 'US-ND', 'Maddock', 'no', '6D3', '', '6D3', ''),
	('KDAI', 'N/A', 'N/A', 48.69138780981302, -97.69643023610115, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0NA5', 'small_airport', 'Sorlie Airport', 48.0010986328125, -99.56289672851563, 1580, 'US', 'US-ND', 'Maddock', 'no', '0NA5', '', '0NA5', ''),
	('4ND4', 'small_airport', 'Pfau Private Airport', 48.563899993896484, -100.87999725341797, 1455, 'US', 'US-ND', 'Upham', 'no', '4ND4', '', '4ND4', ''),
	('ND57', 'N/A', 'N/A', 48.98459315299988, -98.88987243175507, 472, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJB2', 'small_airport', 'Friendship Field', 49.491443, -98.018189, 882, 'CA', 'CA-MB', 'Carman', 'no', 'CJB2', '', 'CJB2', 'JB2'),
	('NA09', 'N/A', 'N/A', 48.41921702027321, -98.79736393690109, 455, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('89ND', 'small_airport', 'Poleschook Airport', 47.911399841308594, -101.2490005493164, 2245, 'US', 'US-ND', 'Minot', 'no', '89ND', '', '89ND', ''),
	('KSHE', 'N/A', 'N/A', 48.79969239234924, -100.06057262420654, 511, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND38', 'small_airport', 'Rices Airpark', 47.95830154418945, -99.5364990234375, 1575, 'US', 'US-ND', 'Maddock', 'no', 'ND38', '', 'ND38', ''),
	('2H9', 'small_airport', 'Rolette Airport', 48.665298, -99.853203, 1620, 'US', 'US-ND', 'Rolette', 'no', '', '', '2H9', 'ND55'),
	('CJU5', 'small_airport', 'Minnedosa Airport', 50.27190017700195, -99.76309967041016, 1840, 'CA', 'CA-MB', 'Minnedosa', 'no', 'CJU5', '', 'CJU5', 'JU5'),
	('CKD7', 'small_airport', 'Roland (Graham Field) Airport', 49.40829849243164, -97.9906005859375, 865, 'CA', 'CA-MB', 'Roland', 'no', 'CKD7', '', 'CKD7', 'KD7'),
	('NA73', 'small_airport', 'Welstad Farms Airstrip', 48.563899993896484, -101, 1480, 'US', 'US-ND', 'Upham', 'no', 'NA73', '', 'NA73', ''),
	('Y37', 'small_airport', 'Park River W C Skjerven Field', 48.39400101, -97.78079987, 1104, 'US', 'US-ND', 'Park River', 'no', 'KY37', '', 'Y37', ''),
	('CKJ7', 'small_airport', 'Starbuck Airport', 49.706132, -97.677926, 785, 'CA', 'CA-MB', 'Starbuck', 'no', 'CKJ7', '', 'CKJ7', 'KJ7'),
	('ND36', 'closed', 'Don''s Airport', 48.638, -97.484802, 840, 'US', 'US-ND', 'St Thomas', 'no', '', '', '', 'ND36'),
	('ND82', 'small_airport', 'Y-Rock Airport', 48.311303, -103.148025, 2229, 'US', 'US-ND', 'Ray', 'no', 'ND82', '', 'ND82', ''),
	('0NA8', 'N/A', 'N/A', 47.8739695250988, -101.14705368876457, 654, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJA3', 'small_airport', 'Morden Regional Airport', 49.208626, -98.063536, 950, 'CA', 'CA-MB', 'Morden', 'no', 'CJA3', '', 'CJA3', 'JA3'),
	('84ND', 'small_airport', 'Kyllo Airport', 48.00080108642578, -97.75700378417969, 1150, 'US', 'US-ND', 'Mc Canna', 'no', '84ND', '', '84ND', ''),
	('ND14', 'small_airport', 'Fordville Airport', 48.23469924926758, -97.80180358886719, 1154, 'US', 'US-ND', 'Fordville', 'no', 'ND14', '', 'ND14', ''),
	('2C8', 'small_airport', 'Cavalier Municipal Airport', 48.783798, -97.631897, 892, 'US', 'US-ND', 'Cavalier', 'no', 'K2C8', '', '2C8', ''),
	('CJS5', 'small_airport', 'Killarney Municipal Airport', 49.15169906616211, -99.69029998779297, 1680, 'CA', 'CA-MB', 'Killarney', 'no', 'CJS5', '', 'CJS5', 'JS5'),
	('CKU2', 'small_airport', 'Treherne Airport', 49.631099700927734, -98.66639709472656, 1200, 'CA', 'CA-MB', 'Treherne', 'no', 'CKU2', '', 'CKU2', 'KU2'),
	('KRUG', 'small_airport', 'Rugby Municipal Airport', 48.3904, -100.024002, 1548, 'US', 'US-ND', 'Rugby', 'no', 'KRUG', '', 'RUG', ''),
	('NA03', 'small_airport', 'Boll Brothers Airstrip', 48.67250061035156, -100.85800170898438, 1453, 'US', 'US-ND', 'Russell', 'no', 'NA03', '', 'NA03', ''),
	('CJT8', 'small_airport', 'Homewood Airport', 49.50920104980469, -97.85060119628906, 815, 'CA', 'CA-MB', 'Homewood', 'no', 'CJT8', '', 'CJT8', 'JT8'),
	('NA06', 'small_airport', 'Bouret Ranch Airport', 47.86280059814453, -98.97260284423828, 1505, 'US', 'US-ND', 'Sheyenne', 'no', 'NA06', '', 'NA06', ''),
	('CKX2', 'closed', 'Warren / Woodlands Airport', 50.159401, -97.591104, 817, 'CA', 'CA-MB', 'Warren', 'no', '', '', '', 'KX2, CKX2'),
	('5NA6', 'N/A', 'N/A', 48.533594124019146, -100.31935125589371, 453, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND08', 'seaplane_base', 'Gator Seaplane Base', 47.767136, -100.310061, 1588, 'US', 'US-ND', 'Anamoose', 'no', 'ND08', '', 'ND08', ''),
	('CKR7', 'small_airport', 'Virden (Gabrielle Farm) Airport', 49.784698486328125, -100.95600128173828, 1440, 'CA', 'CA-MB', 'Virden', 'no', 'CKR7', '', 'CKR7', 'KR7'),
	('CRM2', 'small_airport', 'Riding Mountain Airport', 50.57360076904297, -99.36139678955078, 1016, 'CA', 'CA-MB', 'Riding Mountain', 'no', 'CRM2', '', 'CRM2', 'RM2'),
	('CKQ6', 'small_airport', 'Erickson Municipal Airport', 50.4994010925293, -99.89779663085938, 2114, 'CA', 'CA-MB', 'Erickson', 'no', 'CKQ6', '', 'CKQ6', 'KQ6'),
	('KVEV', 'N/A', 'N/A', 48.044618368148804, -100.87081387639046, 491, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('76ND', 'N/A', 'N/A', 47.98976853489876, -100.90324983000755, 508, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA25', 'closed', 'Holen Aerial Spray Airstrip', 48.4986, -100.653, 1460, 'US', 'US-ND', 'Bantry', 'no', '', '', '', 'NA25'),
	('8NA3', 'N/A', 'N/A', 48.365307971835136, -99.5405624806881, 488, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMAS', 'N/A', 'N/A', 48.76402672380209, -98.49054470658302, 482, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5NA4', 'N/A', 'N/A', 48.81673984229565, -99.3999995291233, 515, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA53', 'N/A', 'N/A', 48.491312116384506, -100.87691769003868, 447, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5N4', 'small_airport', 'Sky Haven Airport', 46.626272, -97.620684, 1147, 'US', 'US-ND', 'Enderlin', 'no', '', '', '5N4', ''),
	('6L5', 'small_airport', 'Wishek Municipal Airport', 46.24639892578125, -99.53790283203125, 2035, 'US', 'US-ND', 'Wishek', 'no', 'K6L5', '', '6L5', ''),
	('ND75', 'small_airport', 'Pete''s Tractor Salvage Airport', 47.720001220703125, -100.26899719238281, 1655, 'US', 'US-ND', 'Anamoose', 'no', 'ND75', '', 'ND75', ''),
	('5K9', 'small_airport', 'Pruetz Municipal Airport', 46.28889846801758, -98.94210052490234, 1982, 'US', 'US-ND', 'Kulm', 'no', '5K9', '', '5K9', ''),
	('6ND2', 'small_airport', 'Larson Airport', 46.2588996887207, -98.38790130615234, 1442, 'US', 'US-ND', 'Fullerton', 'no', '6ND2', '', '6ND2', ''),
	('9G9', 'small_airport', 'Gackle Municipal Airport', 46.616600036621094, -99.16709899902344, 1904, 'US', 'US-ND', 'Gackle', 'no', '9G9', '', '9G9', ''),
	('63ND', 'small_airport', 'Moellenkamp Airport', 46.36520004272461, -97.72820281982422, 1240, 'US', 'US-ND', 'Lisbon', 'no', '63ND', '', '63ND', ''),
	('80SD', 'small_airport', 'Comstock Field', 45.772675, -98.352894, 1332, 'US', 'US-SD', 'Columbia', 'no', '80SD', '', '80SD', ''),
	('16ND', 'small_airport', 'Kalberer Airport', 46.696775, -100.596789, 1828, 'US', 'US-ND', 'Bismarck', 'no', '16ND', '', '16ND', ''),
	('NA71', 'small_airport', 'M. Bodvig Airstrip', 46.99580001831055, -99.67120361328125, 1750, 'US', 'US-ND', 'Tappen', 'no', 'NA71', '', 'NA71', ''),
	('64ND', 'small_airport', 'Z. P. Field', 46.850799560546875, -101.07499694824219, 1840, 'US', 'US-ND', 'Mandan', 'no', '64ND', '', '64ND', ''),
	('KSTD', 'N/A', 'N/A', 46.85768220573664, -99.97732624411583, 572, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND54', 'small_airport', 'Whitman Field', 47.12919998168945, -99.73040008544922, 1783, 'US', 'US-ND', 'Robinson', 'no', 'ND54', '', 'ND54', ''),
	('ND35', 'small_airport', 'Lindemann Airport', 46.70000076293945, -97.70040130615234, 1199, 'US', 'US-ND', 'Lucca', 'no', 'ND35', '', 'ND35', ''),
	('13ND', 'N/A', 'N/A', 47.487432695925236, -97.6237253844738, 340, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8ND7', 'small_airport', 'Sprague Airport', 47.120664, -98.657833, 1555, 'US', 'US-ND', 'Courtenay', 'no', '8ND7', '', '8ND7', ''),
	('5H4', 'small_airport', 'Harvey Municipal Airport', 47.791199, -99.931702, 1607, 'US', 'US-ND', 'Harvey', 'no', '', '', '5H4', 'ND17'),
	('1D7', 'small_airport', 'The Sigurd Anderson Airport', 45.292611, -97.511359, 1854, 'US', 'US-SD', 'Webster', 'no', 'K1D7', '', '1D7', ''),
	('ND19', 'small_airport', 'Stokka Airport', 47.433589, -98.417904, 1450, 'US', 'US-ND', 'Sutton', 'no', 'ND19', '', 'ND19', ''),
	('4V4', 'small_airport', 'Northwood Municipal Airpiort - Vince Field', 47.724876, -97.590115, 1117, 'US', 'US-ND', 'Northwood', 'no', 'K4V4', '', '4V4', ''),
	('1ND6', 'N/A', 'N/A', 45.968739464879036, -98.18149968981743, 401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1NA8', 'small_airport', 'Preszler Airstrip', 46.69049835205078, -100.09500122070313, 1795, 'US', 'US-ND', 'Braddock', 'no', '1NA8', '', '1NA8', ''),
	('S32', 'small_airport', 'Cooperstown Municipal Airport', 47.422798, -98.105904, 1424, 'US', 'US-ND', 'Cooperstown', 'no', 'KS32', '', 'S32', ''),
	('ND47', 'small_airport', 'Geske Airfield', 46.64080047607422, -97.55110168457031, 1103, 'US', 'US-ND', 'Enderlin', 'no', 'ND47', '', 'ND47', ''),
	('NA52', 'N/A', 'N/A', 47.607630863785744, -100.92198953032494, 569, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3W8', 'small_airport', 'Eureka Municipal Airport', 45.800523, -99.643968, 1935, 'US', 'US-SD', 'Eureka', 'no', '3W8', '', '3W8', 'SD16'),
	('KASS', 'N/A', 'N/A', 45.86011033505201, -99.63001772761345, 575, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND59', 'small_airport', 'Grieve Airport', 46.98749923706055, -97.52950286865234, 1208, 'US', 'US-ND', 'Buffalo', 'no', 'ND59', '', 'ND59', ''),
	('2ND1', 'small_airport', 'Westerlind Airport', 47.49250030517578, -100.69999694824219, 1910, 'US', 'US-ND', 'Mercer', 'no', '2ND1', '', '2ND1', ''),
	('NA36', 'N/A', 'N/A', 46.49989329278469, -97.91449382901192, 411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0NA4', 'N/A', 'N/A', 46.80465057492256, -97.90291607379913, 443, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4NA4', 'N/A', 'N/A', 47.06445537507534, -100.74098736047745, 618, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8NA5', 'small_airport', 'Liechty Farm Airport', 46.66299819946289, -98.63040161132813, 1505, 'US', 'US-ND', 'Montpelier', 'no', '8NA5', '', '8NA5', ''),
	('5C8', 'small_airport', 'Washburn Municipal Airport', 47.3511667, -101.0258889, 1908, 'US', 'US-ND', 'Washburn', 'no', '', '', '5C8', 'ND66'),
	('0ND7', 'small_airport', 'Saville Private Airport', 46.465301513671875, -100.1050033569336, 1961, 'US', 'US-ND', 'Hazelton', 'no', '0ND7', '', '0ND7', ''),
	('KELH', 'N/A', 'N/A', 46.332729645073414, -98.65604147315025, 469, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4F9', 'small_airport', 'La Moure Rott Municipal Airport', 46.34659957885742, -98.28369903564453, 1310, 'US', 'US-ND', 'La Moure', 'no', 'K4F9', '', '4F9', ''),
	('7ND5', 'small_airport', 'Buchmiller Airport', 47.35969924926758, -99.62259674072266, 1850, 'US', 'US-ND', 'Bowdon', 'no', '7ND5', '', '7ND5', ''),
	('ND12', 'small_airport', 'Snyders Airport', 46.586525, -100.472222, 2017, 'US', 'US-ND', 'Hazelton', 'no', 'ND12', '', 'ND12', ''),
	('SD79', 'closed', 'Monty Harer Airstrip', 45.201401, -99.836197, 1860, 'US', 'US-SD', 'Hoven', 'no', '', '', '', 'SD79'),
	('7G2', 'small_airport', 'Mc Clusky Municipal Airport', 47.4622, -100.487, 1900, 'US', 'US-ND', 'Mc Clusky', 'no', 'K7G2', '', '7G2', ''),
	('2ND5', 'small_airport', 'Cloud 9 Airport', 47.641991, -100.821241, 1904, 'US', 'US-ND', 'Turtle Lake', 'no', '2ND5', '', '2ND5', ''),
	('ND32', 'closed', 'Kalainov Private Airport', 46.915501, -99.894501, 1845, 'US', 'US-ND', 'Steele', 'no', '', '', '', 'ND32'),
	('8ND1', 'N/A', 'N/A', 47.4672993645072, -100.9729416668415, 601, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4E7', 'small_airport', 'Ellendale Municipal Airport', 46.015978, -98.515319, 1455, 'US', 'US-ND', 'Ellendale', 'no', 'K4E7', '', '4E7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('3NA6', 'small_airport', 'Risovi Ranch Strip', 47.770599365234375, -99.46179962158203, 1560, 'US', 'US-ND', 'Hamberg', 'no', '3NA6', '', '3NA6', ''),
	('NA86', 'small_airport', 'Johnson Private Airstrip', 47.33330154418945, -97.9009017944336, 1492, 'US', 'US-ND', 'Luverne', 'no', 'NA86', '', 'NA86', ''),
	('D58', 'small_airport', 'Timber Lake Municipal Airport', 45.415001, -101.083, 2193, 'US', 'US-SD', 'Timber Lake', 'no', 'D58', '', 'D58', 'Air Kraft Spraying'),
	('KBIS', 'medium_airport', 'Bismarck Municipal Airport', 46.772701263427734, -100.74600219726563, 1661, 'US', 'US-ND', 'Bismarck', 'yes', 'KBIS', 'BIS', 'BIS', ''),
	('5SD3', 'small_airport', 'Bowdle Municipal Airport', 45.4394, -99.675102, 1967, 'US', 'US-SD', 'Bowdle', 'no', '5SD3', '', '5SD3', '5P3, SD08'),
	('ND90', 'small_airport', 'Dahl Private Airport', 45.96659851074219, -97.73370361328125, 1285, 'US', 'US-ND', 'Cogswell/Brampton/', 'no', 'ND90', '', 'ND90', ''),
	('SD25', 'closed', 'Rappe Field', 45.45228, -99.01128, 1521, 'US', 'US-SD', 'Ipswich', 'no', '', '', '', 'SD25, Bloemendaal-Taylor Airfield'),
	('5ND7', 'N/A', 'N/A', 46.91789511591196, -100.84528908133507, 547, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5T4', 'small_airport', 'Herreid Municipal Airport', 45.848297, -100.074025, 1725, 'US', 'US-SD', 'Herreid', 'no', '', '', '5T4', 'SD23'),
	('8M6', 'small_airport', 'McVille Municipal Airport', 47.770474, -98.184855, 1473, 'US', 'US-ND', 'McVille', 'no', 'K8M6', '', '8M6', ''),
	('8J7', 'small_airport', 'Tomlinson Field', 47.6963996887207, -99.1312026977539, 1533, 'US', 'US-ND', 'New Rockford', 'no', 'K8J7', '', '8J7', ''),
	('62ND', 'small_airport', 'Morten Airport', 47.77920150756836, -97.7594985961914, 1340, 'US', 'US-ND', 'Larimore', 'no', '62ND', '', '62ND', ''),
	('90ND', 'N/A', 'N/A', 46.66599042713642, -98.68305802345276, 454, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KABR', 'medium_airport', 'Aberdeen Regional Airport', 45.449100494384766, -98.42179870605469, 1302, 'US', 'US-SD', 'Aberdeen', 'yes', 'KABR', 'ABR', 'ABR', ''),
	('9SD7', 'small_airport', 'Beaman Airport', 45.474998, -100.035004, 1960, 'US', 'US-SD', 'Selby', 'no', '9SD7', '', '9SD7', 'Rabenberg Airport'),
	('ND55', 'small_airport', 'Sperr Airport', 46.788111, -98.536965, 1465, 'US', 'US-ND', 'Ypsilanti', 'no', 'ND55', '', 'ND55', ''),
	('KSEB', 'N/A', 'N/A', 45.590971782803535, -100.05915060639381, 527, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOAE', 'N/A', 'N/A', 46.09909079968929, -98.14837351441383, 407, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2ND2', 'small_airport', 'Makeeff Airport', 47.566898345947266, -100.72100067138672, 1910, 'US', 'US-ND', 'Mercer', 'no', '2ND2', '', '2ND2', ''),
	('18ND', 'small_airport', 'Bearpaw Airport', 46.779094, -100.514856, 1744, 'US', 'US-ND', 'Menoken', 'no', '18ND', '', '18ND', ''),
	('NA70', 'small_airport', 'Smith Airstrip', 47.77389907836914, -98.9884033203125, 1535, 'US', 'US-ND', 'Sheyenne', 'no', 'NA70', '', 'NA70', ''),
	('KJMS', 'medium_airport', 'Jamestown Regional Airport', 46.92969894, -98.67819977, 1500, 'US', 'US-ND', 'Jamestown', 'yes', 'KJMS', 'JMS', 'JMS', ''),
	('SD36', 'small_airport', 'Booth Ranch Airport', 45.12919998168945, -100.75599670410156, 2250, 'US', 'US-SD', 'Ridgeview', 'no', 'SD36', '', 'SD36', ''),
	('1ND9', 'N/A', 'N/A', 46.944201216101646, -100.94060897827148, 501, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6H8', 'small_airport', 'Hazelton Municipal Airport', 46.48189926147461, -100.2699966430664, 2003, 'US', 'US-ND', 'Hazelton', 'no', '6H8', '', '6H8', ''),
	('NA42', 'N/A', 'N/A', 46.651077680289745, -100.44342577457428, 580, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND61', 'N/A', 'N/A', 46.83357786387205, -100.29317110776901, 578, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA50', 'N/A', 'N/A', 46.656677797436714, -99.3801797926426, 585, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KVEE', 'N/A', 'N/A', 47.751308754086494, -100.95065116882324, 631, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMCU', 'N/A', 'N/A', 47.56956059485674, -100.1690661907196, 567, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBAC', 'N/A', 'N/A', 46.94120552390814, -98.0180136859417, 423, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND53', 'small_airport', 'Pueppke Airport', 47.046388, -97.388055, 1099, 'US', 'US-ND', 'Ayr', 'no', 'ND53', '', 'ND53', ''),
	('51D', 'small_airport', 'Edgeley Municipal Airport', 46.351198, -98.737165, 1601, 'US', 'US-ND', 'Edgeley', 'no', '51D', '', '51D', ''),
	('NA79', 'small_airport', 'Philbrick Private Airstrip', 47.40420150756836, -100.88200378417969, 1915, 'US', 'US-ND', 'Turtle Lake', 'no', 'NA79', '', 'NA79', ''),
	('NA44', 'small_airport', 'Georgeson Farm Strip', 47.65420150756836, -99.15959930419922, 1535, 'US', 'US-ND', 'New Rockford', 'no', 'NA44', '', 'NA44', ''),
	('KMBG', 'medium_airport', 'Mobridge Municipal Airport', 45.54650116, -100.4079971, 1716, 'US', 'US-SD', 'Mobridge', 'no', 'KMBG', 'MBG', 'MBG', ''),
	('7NA3', 'closed', 'Hiam Private Airport', 46.349998, -97.694298, 1251, 'US', 'US-ND', 'Lisbon', 'no', '', '', '', '7NA3'),
	('Y19', 'small_airport', 'Mandan Municipal Airport', 46.7681999206543, -100.89399719238281, 1944, 'US', 'US-ND', 'Mandan', 'no', 'KY19', '', 'Y19', ''),
	('SD32', 'small_airport', 'Braun Airport', 45.434722, -98.444305, 1305, 'US', 'US-SD', 'Aberdeen', 'no', 'SD32', '', 'SD32', ''),
	('ND40', 'small_airport', 'Rau Field', 46.81669998168945, -99.25039672851563, 1855, 'US', 'US-ND', 'Medina', 'no', 'ND40', '', 'ND40', ''),
	('NA75', 'small_airport', 'Lill Strip', 47.67639923095703, -99.3904037475586, 1560, 'US', 'US-ND', 'Bremen', 'no', 'NA75', '', 'NA75', ''),
	('ND96', 'small_airport', 'Sauter Airport', 46.801700592041016, -100.67900085449219, 1730, 'US', 'US-ND', 'Bismark', 'no', 'ND96', '', 'ND96', ''),
	('23ND', 'small_airport', 'Minnkota Private Airport', 47.08219909667969, -101.26699829101563, 2110, 'US', 'US-ND', 'Center', 'no', '23ND', '', '23ND', ''),
	('KASY', 'small_airport', 'Ashley Municipal Airport', 46.0238990784, -99.3526000977, 2032, 'US', 'US-ND', 'Ashley', 'no', 'KASY', 'ASY', 'ASY', ''),
	('KLIA', 'N/A', 'N/A', 46.533655263483524, -100.11672958731651, 586, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND41', 'small_airport', 'Voller Airport', 46.134700775146484, -100.11299896240234, 1900, 'US', 'US-ND', 'Strasburg', 'no', 'ND41', '', 'ND41', ''),
	('25ND', 'small_airport', 'Landeis Airstrip', 46.866254, -100.986881, 1853, 'US', 'US-ND', 'Mandan', 'no', '25ND', '', '25ND', ''),
	('KGWR', 'small_airport', 'Gwinner Roger Melroe Field', 46.2187, -97.643204, 1266, 'US', 'US-ND', 'Gwinner', 'no', 'KGWR', '', 'GWR', ''),
	('KMCS', 'N/A', 'N/A', 47.22435425966978, -100.2981148660183, 609, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SD59', 'closed', 'Carr Airport', 45.533171, -102.814968, 2886, 'US', 'US-SD', 'Prairie City', 'no', '', '', '', 'SD59'),
	('2NA0', 'small_airport', 'Soderquist Airport', 47.25669860839844, -100.7959976196289, 1880, 'US', 'US-ND', 'Wilton', 'no', '2NA0', '', '2NA0', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SD74', 'small_airport', 'Vander Wal Private Airport', 45.99549865722656, -100.3759994506836, 1955, 'US', 'US-SD', 'Pollock', 'no', 'SD74', '', 'SD74', ''),
	('KLIS', 'N/A', 'N/A', 46.3791761174798, -97.90873065590858, 407, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('67ND', 'small_airport', 'Waldie Farms Airport', 46.54330062866211, -98.3823013305664, 1456, 'US', 'US-ND', 'Marion', 'no', '67ND', '', '67ND', ''),
	('3NA2', 'small_airport', 'Lorentzen Airport', 47.302799224853516, -101.06700134277344, 1790, 'US', 'US-ND', 'Washburn', 'no', '3NA2', '', '3NA2', ''),
	('D03', 'small_airport', 'Kulm Municipal Airport', 46.306764, -98.938833, 1959, 'US', 'US-ND', 'Kulm', 'no', '', '', 'D03', ''),
	('87ND', 'N/A', 'N/A', 47.578613720834255, -98.53220924735069, 461, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('19ND', 'small_airport', 'Breckheimer Airport', 47.733299255371094, -98.48870086669922, 1458, 'US', 'US-ND', 'Tolna', 'no', '19ND', '', '19ND', ''),
	('9F8', 'small_airport', 'Hoven Municipal Airport', 45.257599, -99.797798, 1884, 'US', 'US-SD', 'Hoven', 'no', '', '', '9F8', 'SD22'),
	('SD05', 'small_airport', 'Thorson Airfield', 45.36853, -98.471888, 1300, 'US', 'US-SD', 'Warner', 'no', 'SD05', '', 'SD05', ''),
	('30SD', 'small_airport', 'Barber Field', 45.504811, -98.595539, 1380, 'US', 'US-SD', 'Aberdeen', 'no', '30SD', '', '30SD', ''),
	('5NA1', 'N/A', 'N/A', 46.65299814194441, -98.7484659254551, 458, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOAS', 'N/A', 'N/A', 46.36516995728016, -98.11811193823814, 428, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2SD9', 'small_airport', 'TC Field', 45.451663, -99.010241, 1515, 'US', 'US-SD', 'Ipswich', 'no', '2SD9', '', '2SD9', 'Mehlhaff'),
	('3NA0', 'small_airport', 'Erickson Airport', 47.41669845581055, -97.5114974975586, 1095, 'US', 'US-ND', 'Clifford', 'no', '3NA0', '', '3NA0', ''),
	('3ND4', 'N/A', 'N/A', 46.055571623146534, -98.02241161465645, 401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3FU', 'small_airport', 'Faulkton Municipal Airport', 45.030343, -99.112592, 1569, 'US', 'US-SD', 'Faulkton', 'no', '3FU', '', '3FU', ''),
	('NA90', 'small_airport', 'Circle Z Landing Strip', 47.46670150756836, -101.2229995727539, 2000, 'US', 'US-ND', 'Underwood', 'no', 'NA90', '', 'NA90', ''),
	('72ND', 'small_airport', 'Berg Field', 47.66109848022461, -97.59200286865234, 1111, 'US', 'US-ND', 'Northwood', 'no', '72ND', '', '72ND', ''),
	('3ND1', 'N/A', 'N/A', 46.60505600273609, -98.78333240747452, 466, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1NA5', 'small_airport', 'Gienger/Box Bar Ranch Airport', 46.625, -99.45040130615234, 1950, 'US', 'US-ND', 'Streeter', 'no', '1NA5', '', '1NA5', ''),
	('8NA0', 'small_airport', 'Tappen Airstrip', 46.881099700927734, -99.63089752197266, 1780, 'US', 'US-ND', 'Tappen', 'no', '8NA0', '', '8NA0', ''),
	('ND89', 'small_airport', 'Mutschler Field', 47.05580139160156, -98.50700378417969, 1490, 'US', 'US-ND', 'Clementsville', 'no', 'ND89', '', 'ND89', ''),
	('2E6', 'small_airport', 'Groton Municipal Airport', 45.534017, -98.094003, 1305, 'US', 'US-SD', 'Groton', 'no', 'K2E6', '', '2E6', 'SD20'),
	('6L3', 'small_airport', 'Lisbon Municipal Airport', 46.446603, -97.727302, 1232, 'US', 'US-ND', 'Lisbon', 'no', '', '', '6L3', 'ND34'),
	('NA84', 'small_airport', 'L. Seckerson Airstrip', 46.800498962402344, -99.00509643554688, 1740, 'US', 'US-ND', 'Eldridge', 'no', 'NA84', '', 'NA84', ''),
	('D24', 'small_airport', 'Fessenden Municipal Airport', 47.659698486328125, -99.66100311279297, 1619, 'US', 'US-ND', 'Fessenden', 'no', 'D24', '', 'D24', ''),
	('KBTN', 'small_airport', 'Britton Municipal Airport', 45.815200805664, -97.743103027344, 1318, 'US', 'US-SD', 'Britton', 'no', 'KBTN', 'TTO', 'BTN', ''),
	('ND72', 'small_airport', 'Lonetree Airstrip', 47.68439865112305, -100.08499908447266, 1647, 'US', 'US-ND', 'Harvey', 'no', 'ND72', '', 'ND72', ''),
	('4NA7', 'N/A', 'N/A', 47.28901594877243, -98.2468418776989, 438, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3ND5', 'small_airport', 'Gage Flying Farmer Airport', 47.061100006103516, -97.77120208740234, 1235, 'US', 'US-ND', 'Oriska', 'no', '3ND5', '', '3ND5', ''),
	('20ND', 'small_airport', 'Crooked Lake Airstrip', 47.653900146484375, -100.89099884033203, 1900, 'US', 'US-ND', 'Turtle Lake', 'no', '20ND', '', '20ND', ''),
	('Y27', 'small_airport', 'Standing Rock Airport', 46.06639862060547, -100.63500213623047, 1633, 'US', 'US-ND', 'Fort Yates', 'no', 'KY27', '', 'Y27', ''),
	('ND98', 'small_airport', 'Cloud Nine Airport', 46.760799407958984, -100.65499877929688, 1830, 'US', 'US-ND', 'Lincoln', 'no', 'ND98', '', 'ND98', ''),
	('ND69', 'N/A', 'N/A', 47.16353248804808, -98.46758857369423, 453, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA32', 'small_airport', 'Johnson Airstrip', 46.89860153198242, -98.85870361328125, 1548, 'US', 'US-ND', 'Eldridge', 'no', 'NA32', '', 'NA32', ''),
	('30ND', 'N/A', 'N/A', 47.655648440122604, -101.07529252767563, 581, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('29ND', 'N/A', 'N/A', 47.10151579231024, -98.88359785079956, 474, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3ND3', 'N/A', 'N/A', 46.78425706923008, -100.50617069005966, 531, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5ND5', 'N/A', 'N/A', 46.532454304397106, -98.15038874745369, 439, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('50ND', 'N/A', 'N/A', 47.390361204743385, -97.59532168507576, 343, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8ND9', 'N/A', 'N/A', 47.225870713591576, -98.12171325087547, 433, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7L2', 'small_airport', 'Linton Municipal Airport', 46.21829987, -100.2450027, 1779, 'US', 'US-ND', 'Linton', 'no', 'K7L2', '', '7L2', ''),
	('2D5', 'small_airport', 'Oakes Municipal Airport', 46.173778, -98.079507, 1335, 'US', 'US-ND', 'Oakes', 'no', 'K2D5', '', '2D5', ''),
	('6NA3', 'N/A', 'N/A', 46.444828882813454, -101.1791181564331, 586, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0ND6', 'small_airport', 'Schumacher Strip', 46.05500030517578, -99.91709899902344, 2020, 'US', 'US-ND', 'Hague', 'no', '0ND6', '', '0ND6', ''),
	('79ND', 'closed', 'Reimers Airport', 47.323298, -99.001198, 1590, 'US', 'US-ND', 'Carrington', 'no', '', '', '', '79ND'),
	('8NA9', 'small_airport', 'Hashbarger Farm Airstrip', 47.327999114990234, -97.67900085449219, 1195, 'US', 'US-ND', 'Hope', 'no', '8NA9', '', '8NA9', ''),
	('NA12', 'small_airport', 'Johnson Private Airport', 47.43170166015625, -100.84200286865234, 1920, 'US', 'US-ND', 'Turtle Lake', 'no', 'NA12', '', 'NA12', ''),
	('ND44', 'small_airport', 'Underwood Airport', 47.46670151, -101.1340027, 2035, 'US', 'US-ND', 'Underwood', 'no', 'ND44', '', 'ND44', ''),
	('ND09', 'small_airport', 'Bryn Airport', 47.19110107421875, -98.16899871826172, 1431, 'US', 'US-ND', 'Dazey', 'no', 'ND09', '', 'ND09', ''),
	('5P2', 'small_airport', 'Mc Laughlin Municipal Airport', 45.796799, -100.783997, 2006, 'US', 'US-SD', 'Mc Laughlin', 'no', '', '', '5P2', 'SD28');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('91N', 'small_airport', 'Turtle Lake Municipal Airport', 47.5093994140625, -100.91600036621094, 1910, 'US', 'US-ND', 'Turtle Lake', 'no', '91N', '', '91N', ''),
	('46D', 'small_airport', 'Carrington Municipal Airport', 47.451099, -99.1511, 1607, 'US', 'US-ND', 'Carrington', 'no', 'K46D', '', '46D', ''),
	('5B5', 'small_airport', 'Napoleon Municipal Airport', 46.4944, -99.760101, 1983, 'US', 'US-ND', 'Napoleon', 'no', '', '', '5B5', ''),
	('ND85', 'small_airport', 'Humann Private Airstrip', 46.493099212646484, -100.17900085449219, 1980, 'US', 'US-ND', 'Hazelton', 'no', 'ND85', '', 'ND85', ''),
	('CJN7', 'small_airport', 'Little Churchill River / Dunlop''s Fly-In Lodge Airport', 56.5800018311, -96.24749755859999, 700, 'CA', 'CA-MB', 'Little Churchill River', 'no', 'CJN7', '', 'CJN7', 'JN7'),
	('CYGX', 'small_airport', 'Gillam Airport', 56.35712, -94.711504, 476, 'CA', 'CA-MB', 'Gillam', 'yes', 'CYGX', 'YGX', '', ''),
	('CYYQ', 'medium_airport', 'Churchill Airport', 58.739200592041016, -94.06500244140625, 94, 'CA', 'CA-MB', 'Churchill', 'yes', 'CYYQ', 'YYQ', '', ''),
	('CYOH', 'small_airport', 'Oxford House Airport', 54.9333, -95.2789, 663, 'CA', 'CA-MB', 'Oxford House', 'yes', 'CYOH', 'YOH', '', ''),
	('CJK2', 'small_airport', 'Gunisao Lake Airport', 53.52000045776367, -96.37110137939453, 886, 'CA', 'CA-MB', 'Gunisao Lake', 'no', 'CJK2', '', 'CJK2', 'JK2'),
	('CZMN', 'medium_airport', 'Pikwitonei Airport', 55.58890151977539, -97.16419982910156, 630, 'CA', 'CA-MB', 'Pikwitonei', 'no', 'CZMN', 'PIW', '', 'ZMN'),
	('CKZ3', 'small_airport', 'Elk Island Airport', 54.6713981628418, -94.14530181884766, 625, 'CA', 'CA-MB', 'Elk Island', 'no', 'CKZ3', '', 'CKZ3', 'KZ3'),
	('CYST', 'small_airport', 'St. Theresa Point Airport', 53.845261, -94.851966, 773, 'CA', 'CA-MB', 'St. Theresa Point', 'yes', 'CYST', 'YST', '', ''),
	('CZBD', 'small_airport', 'Ilford Airport', 56.051622, -95.61882, 642, 'CA', 'CA-MB', 'Ilford', 'yes', 'CZBD', 'ILF', '', 'ZBD'),
	('CYTP', 'N/A', 'N/A', 54.22078784555197, -95.76666310429573, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CZAC', 'small_airport', 'York Landing Airport', 56.089401, -96.089203, 621, 'CA', 'CA-MB', 'York Landing', 'yes', 'CZAC', 'ZAC', '', ''),
	('CZEE', 'medium_airport', 'Kelsey Airport', 56.0374984741, -96.50969696039999, 600, 'CA', 'CA-MB', 'Kelsey', 'no', 'CZEE', 'KES', 'ZEE', ''),
	('CKJ8', 'small_airport', 'Molson Lake Airport', 54.25809860229492, -97.01110076904297, 750, 'CA', 'CA-MB', 'Molson Lake', 'no', 'CKJ8', '', 'CKJ8', 'KJ8'),
	('CYGO', 'small_airport', 'Gods Lake Narrows Airport', 54.55768, -94.490061, 617, 'CA', 'CA-MB', 'Gods Lake Narrows', 'yes', 'CYGO', 'YGO', '', ''),
	('CZGI', 'small_airport', 'Gods River Airport', 54.839699, -94.078598, 627, 'CA', 'CA-MB', 'Gods River', 'yes', 'CZGI', 'ZGI', '', ''),
	('CJW8', 'seaplane_base', 'Gunisao Lake Seaplane Base', 53.516701, -96.366699, 866, 'CA', 'CA-MB', '', 'no', 'CJW8', '', 'CJW8', ''),
	('CYIV', 'medium_airport', 'Island Lake Airport', 53.857200622558594, -94.65360260009766, 770, 'CA', 'CA-MB', 'Island Lake', 'yes', 'CYIV', 'YIV', '', ''),
	('CYPM', 'small_airport', 'Pikangikum Airport', 51.819698, -93.973297, 1114, 'CA', 'CA-ON', 'Pikangikum', 'yes', 'CYPM', 'YPM', '', ''),
	('CYRL', 'medium_airport', 'Red Lake Airport', 51.066898345947266, -93.79309844970703, 1265, 'CA', 'CA-ON', 'Red Lake', 'yes', 'CYRL', 'YRL', '', ''),
	('CYGI', 'N/A', 'N/A', 52.615702003240585, -96.185182929039, 262, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYVZ', 'small_airport', 'Deer Lake Airport', 52.655613, -94.061208, 1092, 'CA', 'CA-ON', 'Deer Lake', 'yes', 'CYVZ', 'YVZ', '', ''),
	('CYGM', 'medium_airport', 'Gimli Industrial Park Airport', 50.62810134887695, -97.04329681396484, 753, 'CA', 'CA-MB', 'Gimli', 'no', 'CYGM', 'YGM', '', ''),
	('CPV7', 'small_airport', 'Poplar Hill Airport', 52.1133, -94.2556, 1095, 'CA', 'CA-ON', 'Poplar Hill', 'yes', 'CYHP', 'YHP', 'CPV7', ''),
	('CKQ9', 'small_airport', 'Pine Dock Airport', 51.619998931884766, -96.81079864501953, 750, 'CA', 'CA-MB', 'Pine Dock', 'no', 'CKQ9', '', 'CKQ9', 'KQ9'),
	('CJU6', 'small_airport', 'Arborg Airport', 50.91279983520508, -97.30439758300781, 765, 'CA', 'CA-MB', 'Arborg', 'no', 'CJU6', '', 'CJU6', 'JU6'),
	('CZTA', 'small_airport', 'Bloodvein River Airport', 51.784568, -96.692305, 721, 'CA', 'CA-MB', 'Bloodvein River', 'yes', 'CZTA', 'YDV', 'ZTA', 'ZTA'),
	('CYBV', 'small_airport', 'Berens River Airport', 52.358898, -97.018303, 728, 'CA', 'CA-MB', 'Berens River', 'yes', 'CYBV', 'YBV', '', ''),
	('CJY6', 'seaplane_base', 'Bissett Seaplane Base', 51.016701, -95.683296, 824, 'CA', 'CA-MB', '', 'no', 'CJY6', '', 'CJY6', 'JY6'),
	('CJT2', 'small_airport', 'Matheson Island Airport', 51.732200622558594, -96.93440246582031, 725, 'CA', 'CA-MB', 'Matheson Island', 'no', 'CJT2', '', 'CJT2', 'JT2'),
	('CZGR', 'small_airport', 'Little Grand Rapids Airport', 52.045417, -95.46617, 1005, 'CA', 'CA-MB', 'Little Grand Rapids', 'yes', 'CZGR', 'ZGR', '', ''),
	('CKX4', 'small_airport', 'Fisher Branch Airport', 51.07863, -97.46976, 825, 'CA', 'CA-MB', 'Fisher Branch', 'no', 'CKX4', '', 'CKX4', 'KX4'),
	('CZNG', 'small_airport', 'Poplar River Airport', 52.996526, -97.274194, 728, 'CA', 'CA-MB', 'Poplar River', 'yes', 'CZNG', 'XPP', '', 'ZNG'),
	('ND60', 'small_airport', 'Douglas Portage Airport', 47.956616, -97.481738, 953, 'US', 'US-ND', 'Arvilla', 'no', 'ND60', '', 'ND60', 'Frokjer'),
	('KRRT', 'small_airport', 'Warroad International Memorial Airport', 48.94139862, -95.3483963, 1076, 'US', 'US-MN', 'Warroad', 'no', 'KRRT', 'RRT', 'RRT', 'RAD, KRAD, Swede Carlson Field'),
	('23D', 'small_airport', 'Karlstad Municipal Airport', 48.57737, -96.541348, 1025, 'US', 'US-MN', 'Karlstad', 'no', '23D', '', '23D', ''),
	('CJL5', 'small_airport', 'Winnipeg / Lyncrest Airport', 49.852501, -96.973602, 775, 'CA', 'CA-MB', 'Winnipeg', 'no', 'CJL5', '', 'CJL5', 'JL5'),
	('59MN', 'small_airport', 'Cox-Coyour Memorial Field', 48.599189, -95.186463, 1304, 'US', 'US-MN', 'Roosevelt', 'no', '59MN', '', '59MN', ''),
	('KHCO', 'small_airport', 'Hallock Municipal Airport', 48.752701, -96.943001, 819, 'US', 'US-MN', 'Hallock', 'no', 'KHCO', '', 'HCO', '03Y'),
	('16MN', 'closed', 'Baudette Flying Service Seaplane Base', 48.831902, -94.704399, 1060, 'US', 'US-MN', 'Baudette', 'no', '', '', '', '16MN'),
	('79MN', 'small_airport', 'Paul Field', 48.37770080566406, -95.75440216064453, 1165, 'US', 'US-MN', 'Gatzke', 'no', '79MN', '', '79MN', ''),
	('2ND3', 'small_airport', 'Casslindan Airport', 48.000842, -97.121934, 832, 'US', 'US-ND', 'Grand Forks', 'no', '2ND3', '', '2ND3', ''),
	('CJP7', 'small_airport', 'Bird River (Lac Du Bonnet) Airport', 50.39670181274414, -95.73500061035156, 950, 'CA', 'CA-MB', 'Bird River', 'no', 'CJP7', '', 'CJP7', 'JP7'),
	('52MN', 'small_airport', 'Anderson Field', 48.643001556396484, -96.80729675292969, 800, 'US', 'US-MN', 'Kennedy', 'no', '52MN', '', '52MN', ''),
	('CYAX', 'medium_airport', 'Lac Du Bonnet Airport', 50.294399, -96.010002, 850, 'CA', 'CA-MB', 'Lac Du Bonnet', 'yes', 'CYAX', '', '', 'YAX'),
	('D29', 'small_airport', 'Drayton Municipal Airport', 48.61859893798828, -97.1759033203125, 798, 'US', 'US-ND', 'Drayton', 'no', 'D29', '', 'D29', ''),
	('MN81', 'small_airport', 'J J and T Airport', 47.98889923095703, -97.03119659423828, 828, 'US', 'US-MN', 'East Grand Forks', 'no', 'MN81', '', 'MN81', ''),
	('KROX', 'small_airport', 'Roseau Municipal Rudy Billberg Field', 48.855999, -95.696999, 1060, 'US', 'US-MN', 'Roseau', 'no', 'KROX', 'ROX', 'ROX', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('27MN', 'small_airport', 'Lake Bronson Airport', 48.73749923706055, -96.65450286865234, 960, 'US', 'US-MN', 'Lake Bronson', 'no', '27MN', '', '27MN', ''),
	('D81', 'small_airport', 'Red Lake Falls Municipal Airport', 47.82500076293945, -96.25779724121094, 1061, 'US', 'US-MN', 'Red Lake Falls', 'no', 'D81', '', 'D81', ''),
	('CJB3', 'small_airport', 'Steinbach Airport', 49.549400329589844, -96.67939758300781, 850, 'CA', 'CA-MB', 'Steinbach', 'no', 'CJB3', '', 'CJB3', 'JB3'),
	('9ND1', 'small_airport', 'Elliott Farms Airport', 48.64799880981445, -97.26840209960938, 808, 'US', 'US-ND', 'Drayton', 'no', '9ND1', '', '9ND1', ''),
	('MN06', 'small_airport', 'Pulkrabek Landing Field', 48.053773, -96.788167, 850, 'US', 'US-MN', 'Angus', 'no', 'MN06', '', 'MN06', ''),
	('2NA5', 'N/A', 'N/A', 48.629964888095856, -97.22890511155128, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CKB8', 'small_airport', 'Silver Falls Airport', 50.5, -96.09809875488281, 775, 'CA', 'CA-MB', 'Silver Falls', 'no', 'CKB8', '', 'CKB8', 'KB8'),
	('MY59', 'small_airport', 'Gasper Airport', 47.9015998840332, -96.61229705810547, 910, 'US', 'US-MN', 'Euclid', 'no', 'MY59', '', 'MY59', ''),
	('CJA6', 'small_airport', 'Minaki Airport', 49.971305, -94.700979, 1095, 'CA', 'CA-ON', 'Minaki', 'no', '', '', 'CJA6', 'JA6'),
	('D37', 'small_airport', 'Warren Municipal Airport', 48.191541, -96.711912, 886, 'US', 'US-MN', 'Warren', 'no', 'D37', '', 'D37', ''),
	('D06', 'small_airport', 'Minto Municipal Airport', 48.292493, -97.393997, 820, 'US', 'US-ND', 'Minto', 'no', 'KD06', '', 'D06', ''),
	('D41', 'small_airport', 'Stephen Municipal Airport', 48.45830154418945, -96.86280059814453, 830, 'US', 'US-MN', 'Stephen', 'no', 'D41', '', 'D41', ''),
	('KPMB', 'small_airport', 'Pembina Municipal Airport', 48.9425010681, -97.2407989502, 795, 'US', 'US-ND', 'Pembina', 'no', 'KPMB', 'PMB', 'PMB', ''),
	('CKM2', 'small_airport', 'Sioux Narrows Airport', 49.38999938964844, -93.99530029296875, 1100, 'CA', 'CA-ON', 'Sioux Narrows', 'no', 'CKM2', '', 'CKM2', 'KM2'),
	('KTVF', 'medium_airport', 'Thief River Falls Regional Airport', 48.065701, -96.184998, 1119, 'US', 'US-MN', 'Thief River Falls', 'yes', 'KTVF', 'TVF', 'TVF', ''),
	('CKP3', 'seaplane_base', 'Minaki/Pistol Lake Seaplane Base', 49.983299, -94.716698, 1037, 'CA', 'CA-ON', '', 'no', 'CKP3', '', 'CKP3', ''),
	('48Y', 'small_airport', 'Piney Pinecreek Border Airport', 48.99959945678711, -95.98259735107422, 1078, 'US', 'US-MN', 'Pinecreek', 'no', '48Y', '', '48Y', ''),
	('CKK7', 'small_airport', 'Steinbach (South) Airport', 49.493900299072266, -96.69889831542969, 888, 'CA', 'CA-MB', 'Steinbach', 'no', 'CKK7', '', 'CKK7', 'KK7'),
	('45MN', 'small_airport', 'Kaml Airstrip', 47.92610168457031, -96.61419677734375, 898, 'US', 'US-MN', 'Euclid', 'no', '45MN', '', '45MN', ''),
	('KBDE', 'medium_airport', 'Baudette International Airport', 48.7284011841, -94.612197876, 1086, 'US', 'US-MN', 'Baudette', 'no', 'KBDE', 'BDE', 'BDE', ''),
	('KGFK', 'medium_airport', 'Grand Forks International Airport', 47.949299, -97.176102, 845, 'US', 'US-ND', 'Grand Forks', 'yes', 'KGFK', 'GFK', 'GFK', ''),
	('2MN0', 'small_airport', 'Pribbs Field', 48.08209991455078, -97.01629638671875, 818, 'US', 'US-MN', 'East Grand Forks', 'no', '2MN0', '', '2MN0', ''),
	('CKA4', 'small_airport', 'Zhoda Airport', 49.280799865722656, -96.5010986328125, 950, 'CA', 'CA-MB', 'Zhoda', 'no', 'CKA4', '', 'CKA4', 'KA4'),
	('MY42', 'closed', 'Mathis Airport', 47.863331, -95.526764, 1170, 'US', 'US-MN', 'Gonvick', 'no', '', '', '', 'MY42'),
	('04MN', 'small_airport', 'Helblad Airport', 47.985801696777344, -94.68689727783203, 1195, 'US', 'US-MN', 'Kelliher', 'no', '04MN', '', '04MN', ''),
	('CPJ6', 'small_airport', 'St-Pierre-Jolys (Carl''s Field)', 49.436, -96.927002, 828, 'CA', 'CA-MB', 'St-Pierre-Jolys', 'no', 'CPJ6', '', 'CPJ6', ''),
	('KGAF', 'small_airport', 'Hutson Field', 48.404701232910156, -97.37090301513672, 824, 'US', 'US-ND', 'Grafton', 'no', 'KGAF', '', 'GAF', ''),
	('KVWU', 'small_airport', 'Waskish Municipal Airport', 48.15409851074219, -94.51689910888672, 1181, 'US', 'US-MN', 'Waskish', 'no', 'KVWU', '', 'VWU', ''),
	('KL2', 'N/A', 'N/A', 50.17265919595957, -96.87107652425766, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MY01', 'small_airport', 'Roan Airport', 48.14580154418945, -96.75260162353516, 860, 'US', 'US-MN', 'Warren', 'no', 'MY01', '', 'MY01', ''),
	('CAV6', 'small_airport', 'Beausejour/Av-Ranch Airpark', 50.041111, -96.585833, 800, 'CA', 'CA-MB', 'Beausejour', 'no', 'CAV6', '', 'CAV6', ''),
	('5MN9', 'small_airport', 'Chanlin Field', 48.42359924316406, -96.12889862060547, 1147, 'US', 'US-MN', 'Middle River', 'no', '5MN9', '', '5MN9', ''),
	('MY17', 'closed', 'Swanson Private Airport', 48.088902, -95.774696, 1170, 'US', 'US-MN', 'Goodridge', 'no', '', '', '', ''),
	('CYWG', 'large_airport', 'Winnipeg / James Armstrong Richardson International Airport', 49.909999847399995, -97.2398986816, 783, 'CA', 'CA-MB', 'Winnipeg', 'yes', 'CYWG', 'YWG', 'YWG', 'CFB Winnipeg'),
	('CYMR', 'N/A', 'N/A', 49.33459058403969, -97.30834499001503, 238, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('43Y', 'small_airport', 'Northome Municipal Airport', 47.889453, -94.260103, 1427, 'US', 'US-MN', 'Northome', 'no', '43Y', '', '43Y', ''),
	('77MN', 'small_airport', 'Klamar Field', 48.37139892578125, -95.78810119628906, 1160, 'US', 'US-MN', 'Gatzke', 'no', '77MN', '', '77MN', ''),
	('7Y9', 'small_airport', 'Big Falls Municipal Airport', 48.19580078125, -93.76679992675781, 1232, 'US', 'US-MN', 'Big Falls', 'no', '7Y9', '', '7Y9', ''),
	('CKJ2', 'small_airport', 'Rosenort Airport', 49.45309829711914, -97.42250061035156, 779, 'CA', 'CA-MB', 'Rosenort', 'no', 'CKJ2', '', 'CKJ2', 'KJ2'),
	('CJC7', 'seaplane_base', 'Burditt Lake Seaplane Base', 48.919399, -93.8022, 1150, 'CA', 'CA-ON', '', 'no', 'CJC7', '', 'CJC7', ''),
	('CYQK', 'medium_airport', 'Kenora Airport', 49.788299560546875, -94.36309814453125, 1332, 'CA', 'CA-ON', 'Kenora', 'yes', 'CYQK', 'YQK', '', ''),
	('KRDR', 'medium_airport', 'Grand Forks Air Force Base', 47.961101532, -97.4011993408, 913, 'US', 'US-ND', 'Grand Forks', 'no', 'KRDR', 'RDR', 'RDR', ''),
	('58MN', 'small_airport', 'Northwest Angle Airport', 49.349954, -95.077057, 1071, 'US', 'US-MN', 'Warroad', 'no', '', '', '', '58MN'),
	('CJM9', 'seaplane_base', 'Kenora Seaplane Base', 49.767424, -94.49274, 1060, 'CA', 'CA-ON', '', 'no', 'CJM9', '', 'CJM9', 'JM9'),
	('7MN6', 'small_airport', 'Johnson Airport', 48.34280014038086, -96.88089752197266, 820, 'US', 'US-MN', 'Argyle', 'no', '7MN6', '', '7MN6', ''),
	('7MN8', 'small_airport', 'Willis Airport', 48.06952, -96.27944, 1135, 'US', 'US-MN', 'Thief River Falls', 'no', '7MN8', '', '7MN8', ''),
	('87MN', 'small_airport', 'Erickson Airport', 48.810298919677734, -95.20159912109375, 1155, 'US', 'US-MN', 'Roosevelt', 'no', '87MN', '', '87MN', ''),
	('KGRQ', 'N/A', 'N/A', 48.0791749432683, -97.45660498738289, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('78MN', 'small_airport', 'Hagens Private Airport', 48.37889862060547, -95.81169891357422, 1155, 'US', 'US-MN', 'Gatzke', 'no', '78MN', '', '78MN', ''),
	('3G2', 'small_airport', 'Grygla Municipal Airport - Mel Wilkens Field', 48.293379, -95.626145, 1177, 'US', 'US-MN', 'Grygla', 'no', '3G2', '', '3G2', ''),
	('KCKN', 'small_airport', 'Crookston Municipal Kirkwood Field', 47.8417015076, -96.62159729, 899, 'US', 'US-MN', 'Crookston', 'no', 'KCKN', 'CKN', 'CKN', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('5ND3', 'small_airport', 'Craig Private Airport', 48.855499267578125, -97.3219985961914, 800, 'US', 'US-ND', 'Bathgate', 'no', '5ND3', '', '5ND3', ''),
	('CYAV', 'medium_airport', 'Winnipeg / St. Andrews Airport', 50.0564, -97.032501, 760, 'CA', 'CA-MB', 'Winnipeg/Saint Andrews', 'yes', 'CYAV', '', '', 'YAV'),
	('4S5', 'small_airport', 'St Thomas Municipal Airport', 48.6264, -97.439201, 837, 'US', 'US-ND', 'St Thomas', 'no', '4S5', '', '4S5', ''),
	('02Y', 'N/A', 'N/A', 48.68619371205568, -96.1908446252346, 326, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8ND4', 'small_airport', 'Heyde Airport', 48.07360076904297, -97.18620300292969, 820, 'US', 'US-ND', 'Manvel', 'no', '8ND4', '', '8ND4', ''),
	('MN50', 'small_airport', 'Arthur Field', 48.370201110839844, -95.80690002441406, 1150, 'US', 'US-MN', 'Gatzke', 'no', 'MN50', '', 'MN50', ''),
	('CAV9', 'small_airport', 'Oak Hammock Air Park', 50.142053, -97.061148, 755, 'CA', 'CA-MB', 'Saint Andrews', 'no', 'CAV9', '', 'CAV9', 'AV9'),
	('CJA5', 'small_airport', 'Nestor Falls Airport', 49.14030075073242, -93.91690063476563, 1195, 'CA', 'CA-ON', 'Nestor Falls', 'no', 'CJA5', '', 'CJA5', 'JA5'),
	('0NA1', 'small_airport', 'Goerger Airport', 46.245356, -97.038174, 1045, 'US', 'US-ND', 'Barney', 'no', '0NA1', '', '0NA1', ''),
	('4N4', 'small_airport', 'Lidgerwood Municipal Airport', 46.089544, -97.16614, 1081, 'US', 'US-ND', 'Lidgerwood', 'no', '4N4', '', '4N4', ''),
	('4ND8', 'small_airport', 'Sanden Airport', 46.348809, -97.108351, 1065, 'US', 'US-ND', 'Wyndmere', 'no', '4ND8', '', '4ND8', ''),
	('6MN5', 'seaplane_base', 'Gale''s Seaplane Base', 45.207698822021484, -94.1624984741211, 1011, 'US', 'US-MN', 'French Lake', 'no', '6MN5', '', '6MN5', ''),
	('00MN', 'small_airport', 'Battle Lake Municipal Airport', 46.29999923706055, -95.70030212402344, 1365, 'US', 'US-MN', 'Battle Lake', 'no', '00MN', '', '00MN', ''),
	('NA21', 'small_airport', 'Thompson Private Airport', 46.228115, -97.236796, 1075, 'US', 'US-ND', 'Wyndmere', 'no', 'NA21', '', 'NA21', ''),
	('NA34', 'N/A', 'N/A', 45.94328697770834, -96.71665728092194, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MN17', 'small_airport', 'Jackson Field', 46.27220154, -94.23940277, 1225, 'US', 'US-MN', 'Brainerd', 'no', 'MN17', '', 'MN17', ''),
	('33MN', 'closed', 'Swift Private Airport', 46.09, -96.097, 1100, 'US', 'US-MN', 'Wendell', 'no', '', '', '', '33MN'),
	('5MN8', 'closed', 'Rick Mathias Private Airport', 45.719398, -96.310302, 1050, 'US', 'US-MN', 'Dumont', 'no', '', '', '', '5MN8'),
	('4MN9', 'heliport', 'Red Lake Hospital Helipad', 47.877544, -95.029178, 1334, 'US', 'US-MN', 'Red Lake', 'no', '4MN9', '', '4MN9', ''),
	('4MN2', 'closed', 'Coot Landing Airport', 46.663671, -96.241801, 1325, 'US', 'US-MN', 'Barnsville', 'no', '', '', '', '4MN2'),
	('0MN4', 'seaplane_base', 'Paul''s Seaplane Base', 46.47719955444336, -94.3031005859375, 1200, 'US', 'US-MN', 'Nisswa', 'no', '0MN4', '', '0MN4', ''),
	('65MN', 'small_airport', 'Ricks Field', 45.9640998840332, -96.1498031616211, 1100, 'US', 'US-MN', 'Wendell', 'no', '65MN', '', '65MN', ''),
	('1A2', 'small_airport', 'Arthur Airport', 47.111099, -97.207298, 973, 'US', 'US-ND', 'Arthur', 'no', '1A2', '', '1A2', ''),
	('KVVV', 'small_airport', 'Ortonville Municipal Airport/Martinson Field', 45.305698, -96.4244, 1100, 'US', 'US-MN', 'Ortonville', 'no', 'KVVV', '', 'VVV', ''),
	('KAXN', 'medium_airport', 'Chandler Field', 45.866299, -95.394699, 1425, 'US', 'US-MN', 'Alexandria', 'no', 'KAXN', 'AXN', 'AXN', ''),
	('2ND0', 'small_airport', 'Kraft Airport', 46.813218, -97.050791, 910, 'US', 'US-ND', 'Mapleton', 'no', '2ND0', '', '2ND0', ''),
	('KBRD', 'medium_airport', 'Brainerd Lakes Regional Airport', 46.402861, -94.129727, 1232, 'US', 'US-MN', 'Brainerd', 'yes', 'KBRD', 'BRD', 'BRD', 'Crow Wing County Airport'),
	('ND74', 'small_airport', 'Smith Private Airport', 47.0166015625, -97.16290283203125, 940, 'US', 'US-ND', 'Amenia', 'no', 'ND74', '', 'ND74', ''),
	('KSTC', 'medium_airport', 'Saint Cloud Regional Airport', 45.5466, -94.059898, 1031, 'US', 'US-MN', 'Saint Cloud', 'yes', 'KSTC', 'STC', 'STC', ''),
	('7NA0', 'small_airport', 'Downs Farm Private Airport', 47.35749816894531, -97.0280990600586, 900, 'US', 'US-ND', 'Hillsboro', 'no', '7NA0', '', '7NA0', ''),
	('ND20', 'small_airport', 'Gensrich Airport', 47.704200744628906, -97.35009765625, 1021, 'US', 'US-ND', 'Hatton', 'no', 'ND20', '', 'ND20', ''),
	('MY88', 'small_airport', 'Cary Airport', 46.85749816894531, -94.98310089111328, 1413, 'US', 'US-MN', 'Park Rapids', 'no', 'MY88', '', 'MY88', ''),
	('4MN5', 'small_airport', 'Kapaun-Wilson Field', 45.550498962402, -96.451400756836, 1122, 'US', 'US-MN', 'Graceville', 'no', '4MN5', '', '4MN5', '00Y'),
	('2NA9', 'N/A', 'N/A', 46.894112303853035, -96.97010681033134, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KGHW', 'small_airport', 'Glenwood Municipal Airport', 45.64390182495117, -95.32039642333984, 1393, 'US', 'US-MN', 'Glenwood', 'no', 'KGHW', '', 'GHW', ''),
	('38MN', 'closed', 'Chandler Personal Use Airport', 47.411098, -94.772499, 1380, 'US', 'US-MN', 'Bemidji', 'no', '', '', '', '38MN'),
	('8Y6', 'small_airport', 'Leaders Clear Lake Airport', 45.443693, -93.970343, 990, 'US', 'US-MN', 'Clear Lake', 'no', 'K8Y6', '', '8Y6', ''),
	('04Y', 'small_airport', 'Hawley Municipal Airport', 46.883801, -96.350304, 1208, 'US', 'US-MN', 'Hawley', 'no', '', '', '04Y', ''),
	('96M', 'seaplane_base', 'Moberg Air Base Seaplane Base', 47.498265, -94.947405, 1370, 'US', 'US-MN', 'Bemidji', 'no', 'MY63', '', 'MY63', '96M'),
	('ND99', 'small_airport', 'Ellig Field', 46.7202, -96.809502, 910, 'US', 'US-ND', 'Hickson', 'no', 'ND99', '', 'ND99', ''),
	('18MN', 'small_airport', 'Hines Farm Airport', 46.23720169067383, -94.59310150146484, 1283, 'US', 'US-MN', 'Motley', 'no', '18MN', '', '18MN', ''),
	('KFAR', 'medium_airport', 'Hector International Airport', 46.92070007324219, -96.81580352783203, 902, 'US', 'US-ND', 'Fargo', 'yes', 'KFAR', 'FAR', 'FAR', '119th Wing, Happy Hooligans'),
	('KCFE', 'small_airport', 'Buffalo Municipal Airport', 45.159, -93.8433, 967, 'US', 'US-MN', 'Buffalo', 'no', 'KCFE', '', 'CFE', ''),
	('6MN2', 'closed', 'Brown''s Private Airport', 45.551383, -95.779753, 1175, 'US', 'US-MN', 'Hancock', 'no', '', '', '', '6MN2'),
	('MY57', 'small_airport', 'Fedor Airport', 45.763301849365234, -94.4574966430664, 1175, 'US', 'US-MN', 'Holdingford', 'no', 'MY57', '', 'MY57', ''),
	('2NA4', 'N/A', 'N/A', 46.33378006517887, -96.95153698325157, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('20Y', 'N/A', 'N/A', 45.317935310304165, -93.7774483859539, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('94MN', 'small_airport', 'Ag Spray Inc Airport', 46.57659912109375, -96.51200103759766, 960, 'US', 'US-MN', 'Barnesville', 'no', '94MN', '', '94MN', ''),
	('22Y', 'closed', 'Morey''s Airport', 46.323601, -94.638601, 1225, 'US', 'US-MN', 'Motley', 'no', '', '', '', '22Y'),
	('15MN', 'small_airport', 'Tyler Farms Airport', 45.26219940185547, -94.51069641113281, 1185, 'US', 'US-MN', 'Watkins', 'no', '15MN', '', '15MN', ''),
	('0ND2', 'N/A', 'N/A', 47.1720552071929, -96.84116408228874, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('10MN', 'seaplane_base', 'Lookout Lake Seaplane Base', 46.4375, -93.95610046386719, 1200, 'US', 'US-MN', 'Ironton', 'no', '10MN', '', '10MN', ''),
	('4M6', 'N/A', 'N/A', 47.60418053716421, -94.27203565835953, 409, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KFFM', 'small_airport', 'Fergus Falls Municipal Airport - Einar Mickelson Field', 46.28440094, -96.15670013, 1183, 'US', 'US-MN', 'Fergus Falls', 'no', 'KFFM', 'FFM', 'FFM', ''),
	('MN42', 'small_airport', 'Oak Lake Air Strip', 47.661201, -95.94551, 1204, 'US', 'US-MN', 'Erskine', 'no', 'MN42', '', 'MN42', ''),
	('1ND7', 'small_airport', 'Dittmer Airport', 46.8291015625, -97.26699829101563, 943, 'US', 'US-ND', 'Lynchburg', 'no', '1ND7', '', '1ND7', ''),
	('8MN3', 'small_airport', 'Breezy Point Airport', 46.59579849243164, -94.22000122070313, 1255, 'US', 'US-MN', 'Pequot Lakes', 'no', '8MN3', '', '8MN3', ''),
	('84MN', 'small_airport', 'Nielsville Airport', 47.53329849243164, -96.83090209960938, 869, 'US', 'US-MN', 'Nielsville', 'no', '84MN', '', '84MN', ''),
	('4ND1', 'small_airport', 'Knutson Airport', 47.79280090332031, -97.15370178222656, 880, 'US', 'US-ND', 'Thompson', 'no', '4ND1', '', '4ND1', ''),
	('NA99', 'small_airport', 'Bakko Airstrip', 46.551493, -97.03217, 1040, 'US', 'US-ND', 'Walcott', 'no', 'NA99', '', 'NA99', ''),
	('MN00', 'small_airport', 'Webb Lake Airport', 46.95980072, -94.42469788, 1359, 'US', 'US-MN', 'Hackensack', 'no', 'MN00', '', 'MN00', ''),
	('ND73', 'small_airport', 'Peterson Airport', 47.048301696777344, -97.25559997558594, 999, 'US', 'US-ND', 'Amenia', 'no', 'ND73', '', 'ND73', ''),
	('47Y', 'small_airport', 'Pelican Rapids Muni-Lyon''s Field', 46.641602, -96.1045, 1389, 'US', 'US-MN', 'Pelican Rapids', 'no', 'K47Y', '', '47Y', ''),
	('MY68', 'small_airport', 'Johnsons Aero Repair Airport', 45.777198791503906, -96.39140319824219, 1028, 'US', 'US-MN', 'Wheaton', 'no', 'MY68', '', 'MY68', ''),
	('5NA2', 'small_airport', 'Largo Base Airport', 47.5378, -97.3637, 1002, 'US', 'US-ND', 'Portland', 'no', '5NA2', '', '5NA2', 'Haugen Farm Airstrip'),
	('MN77', 'small_airport', 'Jerger''s Field', 46.92348, -96.716123, 900, 'US', 'US-MN', 'Moorhead', 'no', 'MN77', '', 'MN77', ''),
	('3MN0', 'seaplane_base', 'Shadduck Seaplane Base', 45.292198181152344, -94.0947036743164, 991, 'US', 'US-MN', 'Annandale', 'no', '3MN0', '', '3MN0', ''),
	('1MN0', 'small_airport', 'Wetherbee Farm Airport', 46.04359817504883, -96.54620361328125, 980, 'US', 'US-MN', 'Tenney', 'no', '1MN0', '', '1MN0', ''),
	('M16', 'seaplane_base', 'Steam Boat Bay Seaplane Base', 46.397432, -94.370505, 1197, 'US', 'US-MN', 'East Gull Lake', 'no', '', '', 'M16', ''),
	('KCRO', 'small_airport', 'Corcoran Airport', 36.102502, -119.595001, 197, 'US', 'US-CA', 'Corcoran', 'no', '', 'CRO', '43CN', 'KRCO'),
	('ND68', 'small_airport', 'Vining Airport', 46.9557991027832, -97.30120086669922, 980, 'US', 'US-ND', 'Wheatland', 'no', 'ND68', '', 'ND68', ''),
	('9Y0', 'small_airport', 'Bowstring Airport', 47.54990005493164, -93.86689758300781, 1372, 'US', 'US-MN', 'Bowstring', 'no', '9Y0', '', '9Y0', ''),
	('NA05', 'small_airport', 'Kraig Farms Airport', 46.61220169067383, -97.43560028076172, 1060, 'US', 'US-ND', 'Sheldon', 'no', 'NA05', '', 'NA05', ''),
	('46ND', 'N/A', 'N/A', 46.98107186704874, -96.92158699035645, 271, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9MN5', 'small_airport', 'Janssen Airport', 46.70974, -96.352541, 1100, 'US', 'US-MN', 'Barnesville', 'no', '9MN5', '', '9MN5', ''),
	('D14', 'small_airport', 'Fertile Municipal Airport', 47.551899, -96.291901, 1135, 'US', 'US-MN', 'Fertile', 'no', 'KD14', '', 'D14', ''),
	('5N8', 'small_airport', 'Casselton Robert Miller Regional Airport', 46.854, -97.208702, 933, 'US', 'US-ND', 'Casselton', 'no', 'K5N8', '', '5N8', ''),
	('NA81', 'small_airport', 'Central Valley Aviation Airport', 47.628299713134766, -97.08650207519531, 920, 'US', 'US-ND', 'Buxton', 'no', 'NA81', '', 'NA81', ''),
	('ND01', 'small_airport', 'Nelson Airport', 47.045799255371094, -97.1865005493164, 950, 'US', 'US-ND', 'Amenia', 'no', 'ND01', '', 'ND01', ''),
	('MY60', 'small_airport', 'Hagen Airport', 46.50270080566406, -95.61979675292969, 1370, 'US', 'US-MN', 'Richville', 'no', 'MY60', '', 'MY60', ''),
	('8Y5', 'small_airport', 'Clarissa Municipal Airport', 46.112999, -94.9067, 1308, 'US', 'US-MN', 'Browerville', 'no', 'K8Y5', '', '8Y5', ''),
	('0MN3', 'seaplane_base', 'Lower Hay Lake Seaplane Base', 46.677799224853516, -94.2925033569336, 1230, 'US', 'US-MN', 'Jenkins', 'no', '0MN3', '', '0MN3', ''),
	('57ND', 'small_airport', 'Odegaard Airport', 46.610507, -97.060487, 1020, 'US', 'US-ND', 'Kindred', 'no', '57ND', '', '57ND', ''),
	('1MN2', 'small_airport', 'Hay Acres Airport', 45.938201904296875, -94.76069641113281, 1430, 'US', 'US-MN', 'Akiey', 'no', '1MN2', '', '1MN2', ''),
	('5ND9', 'small_airport', 'Deck Airport', 47.48469924926758, -97.07479858398438, 916, 'US', 'US-ND', 'Hillsboro', 'no', '5ND9', '', '5ND9', ''),
	('NA56', 'small_airport', 'Moffet Airstrip', 46.302545, -96.990928, 1028, 'US', 'US-ND', 'Barney', 'no', 'NA56', '', 'NA56', ''),
	('72MN', 'closed', 'Bardwell Airstrip', 47.752699, -95.334967, 1260, 'US', 'US-MN', 'Clearbrook', 'no', '', '', '', '72MN, 72MN'),
	('5MN4', 'closed', 'Seven Hills Airport', 45.412498, -94.076698, 1010, 'US', 'US-MN', 'Clearwater', 'no', '', '', '', '5MN4, 5MN4, 5MN4'),
	('1MY1', 'small_airport', 'Carlson Agricultural Airport', 45.98529815673828, -96.19439697265625, 1033, 'US', 'US-MN', 'Wendell', 'no', '1MY1', '', '1MY1', ''),
	('KMOX', 'small_airport', 'Morris Municipal Airport Charlie Schmidt Field', 45.566002, -95.967201, 1138, 'US', 'US-MN', 'Morris', 'no', 'KMOX', 'MOX', 'MOX', ''),
	('68MN', 'closed', 'Mathew Private Field', 46.671299, -96.450897, 965, 'US', 'US-MN', 'Barnesville', 'no', '', '', '', '68MN'),
	('MN11', 'small_airport', 'Lorenz Airport', 45.29999923706055, -95.54499816894531, 1050, 'US', 'US-MN', 'Benson', 'no', 'MN11', '', 'MN11', ''),
	('67MN', 'small_airport', 'Pagel''s Field', 45.201900482177734, -94.80110168457031, 1170, 'US', 'US-MN', 'Atwater', 'no', '67MN', '', '67MN', ''),
	('1ND3', 'closed', 'Andvik Airport', 46.647701, -97.1306, 980, 'US', 'US-ND', 'Kindred', 'no', '', '', '', '1ND3, Y18'),
	('D32', 'small_airport', 'Starbuck Municipal Airport', 45.598876, -95.535994, 1141, 'US', 'US-MN', 'Starbuck', 'no', 'D32', '', 'D32', ''),
	('32MN', 'small_airport', 'Don''s Landing Field', 45.36750030517578, -94.39939880371094, 1140, 'US', 'US-MN', 'Watkins', 'no', '32MN', '', '32MN', ''),
	('ND07', 'small_airport', 'Punton Private Airport', 47.00279998779297, -97.4072036743164, 1105, 'US', 'US-ND', 'Absaraka', 'no', 'ND07', '', 'ND07', ''),
	('14Y', 'small_airport', 'Todd Field', 45.898602, -94.873901, 1333, 'US', 'US-MN', 'Long Prairie', 'no', 'K14Y', '', '14Y', ''),
	('25MN', 'seaplane_base', 'Shirt Lake Seaplane Base', 46.430599212646484, -93.83309936523438, 1272, 'US', 'US-MN', 'Deerwood', 'no', '25MN', '', '25MN', ''),
	('MY25', 'closed', 'Knapp Personal Use Airport', 46.279986, -96.330865, 1018, 'US', 'US-MN', 'Foxhome', 'no', '', '', '', 'MY25'),
	('MN86', 'small_airport', 'Sky Manor Aero Estates Airport', 47.042991, -95.115826, 1492, 'US', 'US-MN', 'Park Rapids', 'no', 'MN86', '', 'MN86', ''),
	('4MN0', 'closed', 'Skalicky Airstrip', 45.6619, -94.5756, 1266, 'US', 'US-MN', 'Albany', 'no', '', '', '', '4MN0');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8MN4', 'closed', 'Sethney Personal Airport', 46.3797, -93.813599, 1289, 'US', 'US-MN', 'Deerwood', 'no', '', '', '', '8MN4, Sethney Personal STOLport'),
	('4MN1', 'small_airport', 'Hintzman Private Airport', 46.65098, -95.354874, 1465, 'US', 'US-MN', 'New York Mills', 'no', '4MN1', '', '4MN1', ''),
	('7Y3', 'small_airport', 'Backus Municipal Airport', 46.826900482177734, -94.5072021484375, 1355, 'US', 'US-MN', 'Backus', 'no', '7Y3', '', '7Y3', ''),
	('2NA3', 'N/A', 'N/A', 46.4514160528779, -96.99466198682785, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSAZ', 'small_airport', 'Staples Municipal Airport', 46.380901, -94.806602, 1287, 'US', 'US-MN', 'Staples', 'no', 'KSAZ', '', 'SAZ', ''),
	('64G', 'small_airport', 'Page Regional Airport', 47.169701, -97.4804, 1215, 'US', 'US-ND', 'Page', 'no', '', '', '64G', '9NA3'),
	('8MN2', 'small_airport', 'Aslesen Airport', 47.335586, -96.748933, 879, 'US', 'US-MN', 'Halstad', 'no', '8MN2', '', '8MN2', ''),
	('KBJI', 'medium_airport', 'Bemidji Regional Airport', 47.50939941, -94.93370056, 1391, 'US', 'US-MN', 'Bemidji', 'no', 'KBJI', 'BJI', 'BJI', ''),
	('38ND', 'small_airport', 'Schroeder Private Airport', 47.097999572753906, -97.40119934082031, 1140, 'US', 'US-ND', 'Erie', 'no', '38ND', '', '38ND', ''),
	('9Y2', 'small_airport', 'East Gull Lake Airport', 46.383767, -94.374361, 1236, 'US', 'US-MN', 'East Gull Lake', 'no', '', '', '9Y2', ''),
	('KBDH', 'N/A', 'N/A', 45.117027796804905, -95.12933313846588, 343, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('26MN', 'small_airport', 'Christianson Field', 47.33000183105469, -96.78369903564453, 874, 'US', 'US-MN', 'Halstad', 'no', '26MN', '', '26MN', ''),
	('3H4', 'small_airport', 'Hillsboro Municipal Airport', 47.359402, -97.060402, 905, 'US', 'US-ND', 'Hillsboro', 'no', 'K3H4', '', '3H4', ''),
	('50MN', 'closed', 'Zimmerman Airport', 45.793598, -96.300102, 1045, 'US', 'US-MN', 'Herman', 'no', '', '', '', '50MN'),
	('69MN', 'small_airport', 'Yaggie Private Airport', 46.278068, -96.427174, 982, 'US', 'US-MN', 'Breckenridge', 'no', '69MN', '', '69MN', ''),
	('41MN', 'closed', 'Shannon Field', 45.426899, -96.5895, 1000, 'US', 'US-MN', 'Clinton', 'no', '', '', '', '41MN'),
	('MN13', 'small_airport', 'Moberg Air Base', 47.49610137939453, -94.95279693603516, 1373, 'US', 'US-MN', 'Bemidji', 'no', 'MN13', '', 'MN13', ''),
	('8ND6', 'small_airport', 'J Vining Airport', 46.7127, -97.3909, 1025, 'US', 'US-ND', 'Chaffee', 'no', '8ND6', '', '8ND6', ''),
	('KLJF', 'small_airport', 'Litchfield Municipal Airport', 45.097099, -94.507301, 1140, 'US', 'US-MN', 'Litchfield', 'no', 'KLJF', '', 'LJF', ''),
	('23Y', 'closed', 'Murdock Municipal Airport', 45.222198, -95.4011, 1082, 'US', 'US-MN', 'Murdock', 'no', '', '', '', '23Y'),
	('05Y', 'small_airport', 'Henning Municipal Airport', 46.303799, -95.439499, 1455, 'US', 'US-MN', 'Henning', 'no', '05Y', '', '05Y', ''),
	('12MN', 'closed', 'Eastman Seaplane Base', 46.480499, -94.281097, 1200, 'US', 'US-MN', 'Lake Hubert', 'no', '', '', '', '12MN'),
	('2MN1', 'small_airport', 'Winter Strip', 45.04610061645508, -95.4645004272461, 1040, 'US', 'US-MN', 'Gluek', 'no', '2MN1', '', '2MN1', ''),
	('7Y4', 'small_airport', 'Bagley Municipal Airport', 47.525001525878906, -95.36080169677734, 1500, 'US', 'US-MN', 'Bagley', 'no', 'K7Y4', '', '7Y4', ''),
	('ND52', 'small_airport', 'True North Airpark', 46.802799224853516, -97.01219940185547, 913, 'US', 'US-ND', 'West Fargo', 'no', 'ND52', '', 'ND52', ''),
	('1MN4', 'closed', 'Krueger Loon Lake Seaplane Base', 46.622202, -95.836404, 1370, 'US', 'US-MN', 'Vergas', 'no', '', '', '', '1MN4'),
	('KBWP', 'small_airport', 'Harry Stern Airport', 46.2440986633, -96.6073989868, 968, 'US', 'US-ND', 'Wahpeton', 'no', 'KBWP', 'WAH', 'BWP', ''),
	('1SD8', 'small_airport', 'Tribitt Airport', 45.047698974609375, -96.55259704589844, 1175, 'US', 'US-SD', 'Albee', 'no', '1SD8', '', '1SD8', ''),
	('NA01', 'small_airport', 'Jenson Airport', 47.66830062866211, -97.00540161132813, 867, 'US', 'US-ND', 'Reynolds', 'no', 'NA01', '', 'NA01', ''),
	('5MN2', 'small_airport', 'Hoiland Field', 47.39580154418945, -95.36750030517578, 1535, 'US', 'US-MN', 'Bagley', 'no', '5MN2', '', '5MN2', ''),
	('52ND', 'small_airport', 'Richtsmeier Airport', 47.18939971923828, -97.28949737548828, 1047, 'US', 'US-ND', 'Hunter', 'no', '52ND', '', '52ND', ''),
	('D00', 'small_airport', 'Norman County Ada/Twin Valley Airport', 47.260502, -96.400299, 954, 'US', 'US-MN', 'Twin Valley', 'no', '', '', 'D00', ''),
	('98MN', 'small_airport', 'Up Yonder Airport', 47.29349899, -94.87490082, 1446, 'US', 'US-MN', 'Bemidji', 'no', '98MN', '', '98MN', ''),
	('29MN', 'small_airport', 'Wetenkamp Airport', 46.02830123901367, -96.36280059814453, 990, 'US', 'US-MN', 'Tintah', 'no', '29MN', '', '29MN', ''),
	('3MN8', 'closed', 'Aysta Field', 45.522701, -94.122803, 1024, 'US', 'US-MN', 'Saint Cloud', 'no', '', '', '', '3MN8, 3MN8, 3MN8'),
	('2MN9', 'small_airport', 'F. Dillenburg Airport', 45.82440185546875, -93.99530029296875, 1295, 'US', 'US-MN', 'Foley', 'no', '2MN9', '', '2MN9', ''),
	('KMGG', 'small_airport', 'Maple Lake Municipal Airport', 45.236, -93.985603, 1028, 'US', 'US-MN', 'Maple Lake', 'no', 'KMGG', '', 'MGG', ''),
	('NA02', 'small_airport', 'Saure Airport', 47.704715, -97.054703, 870, 'US', 'US-ND', 'Americus', 'no', 'NA02', '', 'NA02', ''),
	('NA17', 'small_airport', 'Jacob Gust Airport', 46.94269943237305, -96.92900085449219, 895, 'US', 'US-ND', 'West Fargo', 'no', 'NA17', '', 'NA17', ''),
	('MY24', 'small_airport', 'Falk Private Airport', 46.86220169067383, -95.05220031738281, 1443, 'US', 'US-MN', 'Park Rapids', 'no', 'MY24', '', 'MY24', ''),
	('NA20', 'closed', 'Hudson''s Strip', 46.248001, -97.257301, 1080, 'US', 'US-ND', 'Wyndmere', 'no', '', '', '', 'NA20'),
	('1ND4', 'small_airport', 'Walkinshaw Airport', 47.05830001831055, -97.01699829101563, 900, 'US', 'US-ND', 'Argusville', 'no', '1ND4', '', '1ND4', ''),
	('MN31', 'small_airport', 'L & M Aerodrome', 45.062198638916016, -94.5792007446289, 1205, 'US', 'US-MN', 'Litchfield', 'no', 'MN31', '', 'MN31', ''),
	('MY64', 'small_airport', 'Schjeldrup Airport', 47.03110122680664, -96.60230255126953, 903, 'US', 'US-MN', 'Felton', 'no', 'MY64', '', 'MY64', ''),
	('KADC', 'small_airport', 'Wadena Municipal Airport', 46.450298, -95.210999, 1369, 'US', 'US-MN', 'Wadena', 'no', 'KADC', '', 'ADC', ''),
	('83MN', 'seaplane_base', 'Ponderosa Seaplane Base', 46.863098, -93.989403, 1316, 'US', 'US-MN', 'Outing', 'no', '', '', '', '83MN'),
	('5MN7', 'small_airport', 'Lindey''s Landing Airport', 46.38719940185547, -93.93190002441406, 1295, 'US', 'US-MN', 'Deerwood', 'no', '5MN7', '', '5MN7', ''),
	('34ND', 'small_airport', 'Plath Farms Airport', 46.705694, -97.157035, 928, 'US', 'US-ND', 'Davenport', 'no', '34ND', '', '34ND', ''),
	('NA55', 'small_airport', 'Hager Strip', 46.265924, -97.01584, 1037, 'US', 'US-ND', 'Barney', 'no', 'NA55', '', 'NA55', ''),
	('KBBB', 'small_airport', 'Benson Municipal Airport', 45.331902, -95.650597, 1039, 'US', 'US-MN', 'Benson', 'no', 'KBBB', 'BBB', 'BBB', ''),
	('K74', 'small_airport', 'Hamry Field', 46.648623, -96.998734, 947, 'US', 'US-ND', 'Kindred', 'no', 'KK74', '', 'K74', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('6D1', 'small_airport', 'Brooten Municipal Airport', 45.5, -95.11280059814453, 1305, 'US', 'US-MN', 'Brooten', 'no', 'K6D1', '', '6D1', ''),
	('KXVG', 'small_airport', 'Longville Municipal Airport', 46.9902, -94.204002, 1334, 'US', 'US-MN', 'Longville', 'no', 'KXVG', '', 'XVG', ''),
	('KHIL', 'N/A', 'N/A', 47.17002645134926, -97.02671974897385, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MY71', 'closed', 'Mueller Airport', 47.126809, -96.780293, 880, 'US', 'US-MN', 'Georgetown', 'no', '', '', '', 'Thompson, MY71'),
	('NA60', 'small_airport', 'Dakota Airport', 47.23500061035156, -97.03839874267578, 903, 'US', 'US-ND', 'Grandin', 'no', 'NA60', '', 'NA60', ''),
	('ND76', 'closed', 'Turner Field', 47.0597, -97.156799, 942, 'US', 'US-ND', 'Arthur', 'no', '', '', '', 'ND76'),
	('D56', 'small_airport', 'Mayville Municipal Airport', 47.476298, -97.328111, 975, 'US', 'US-ND', 'Mayville', 'no', 'D56', '', 'D56', ''),
	('8ND5', 'small_airport', 'Ausk Strip', 46.76390075683594, -97.40540313720703, 1020, 'US', 'US-ND', 'Chaffee', 'no', '8ND5', '', '8ND5', ''),
	('90Y', 'N/A', 'N/A', 46.65519017726183, -97.25193411111832, 319, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4MN8', 'closed', 'Myers Field', 46.627499, -94.339401, 1300, 'US', 'US-MN', 'Pequot Lakes', 'no', '', '', '', '4MN8'),
	('MN79', 'closed', 'Schroeder Airport', 45.4314, -93.857697, 970, 'US', 'US-MN', 'Becker', 'no', '', '', '', 'MN79'),
	('MY66', 'small_airport', 'North Star Ranch Airport', 46.070499420166016, -93.84719848632813, 1330, 'US', 'US-MN', 'Onamia', 'no', 'MY66', '', 'MY66', ''),
	('3N8', 'small_airport', 'Mahnomen County Airport', 47.261412, -95.930057, 1244, 'US', 'US-MN', 'Waubun', 'no', '', '', '3N8', ''),
	('MY93', 'seaplane_base', 'Johnston Seaplane Base', 46.610833, -95.704444, 1370, 'US', 'US-MN', 'Perham', 'no', 'MY93', '', 'MY93', 'North Air'),
	('06Y', 'small_airport', 'Herman Municipal Airport', 45.83000183105469, -96.16059875488281, 1068, 'US', 'US-MN', 'Herman', 'no', '06Y', '', '06Y', ''),
	('2MY4', 'small_airport', 'Miller Airport', 45.434174, -93.950336, 987, 'US', 'US-MN', 'Clear Lake', 'no', '2MY4', '', '2MY4', ''),
	('KAQP', 'small_airport', 'Appleton Municipal Airport', 45.228239, -96.005856, 1020, 'US', 'US-MN', 'Appleton', 'no', 'KAQP', '', 'AQP', ''),
	('KPKD', 'small_airport', 'Park Rapids Municipal Airport Konshok Field', 46.9006, -95.073095, 1445, 'US', 'US-MN', 'Park Rapids', 'no', 'KPKD', 'PKD', 'PKD', ''),
	('6MN0', 'small_airport', 'Sky Blue Airfield', 47.055599, -95.423103, 1620, 'US', 'US-MN', 'Ponsford', 'no', '6MN0', '', '6MN0', 'Rooney Airfield'),
	('KLXL', 'small_airport', 'Little Falls-Morrison County-Lindbergh field', 45.949699, -94.347397, 1123, 'US', 'US-MN', 'Little Falls', 'no', 'KLXL', '', 'LXL', ''),
	('2MN5', 'closed', 'Pelican Lake Seaplane Base', 48.057999, -92.856003, 1288, 'US', 'US-MN', 'Orr', 'no', '', '', '', '2MN5'),
	('KDTL', 'small_airport', 'Detroit Lakes Airport', 46.824301, -95.883322, 1397, 'US', 'US-MN', 'Detroit Lakes', 'no', 'KDTL', 'DTL', 'DTL', 'Becker County, Wething Field'),
	('MY19', 'small_airport', 'Schwenk Airport', 45.170799255371094, -95.39250183105469, 1082, 'US', 'US-MN', 'Murdock', 'no', 'MY19', '', 'MY19', ''),
	('MN12', 'small_airport', 'Robco Airport', 47.199617, -94.7499, 1380, 'US', 'US-MN', 'Laporte', 'no', 'MN12', '', 'MN12', ''),
	('D54', 'small_airport', 'West Fargo Municipal Airport', 46.90079879760742, -96.918701171875, 896, 'US', 'US-ND', 'Fargo', 'no', 'KD54', '', 'D54', ''),
	('55MN', 'small_airport', 'Conley Field', 45.835201263427734, -93.33550262451172, 1004, 'US', 'US-MN', 'Mora', 'no', '55MN', '', '55MN', ''),
	('KPWC', 'small_airport', 'Pine River Regional Airport', 46.72480010986328, -94.38169860839844, 1295, 'US', 'US-MN', 'Pine River', 'no', 'KPWC', '', 'PWC', ''),
	('MY99', 'small_airport', 'Johnston Airport', 46.85749816894531, -96.23519897460938, 1360, 'US', 'US-MN', 'Hawley', 'no', 'MY99', '', 'MY99', ''),
	('16D', 'small_airport', 'Perham Municipal Airport', 46.610828, -95.60586, 1371, 'US', 'US-MN', 'Perham', 'no', 'K16D', '', '16D', ''),
	('9MN3', 'small_airport', 'Barnesville Municipal Airport', 46.665199279785156, -96.44120025634766, 980, 'US', 'US-MN', 'Barnesville', 'no', '9MN3', '', '9MN3', ''),
	('ND49', 'small_airport', 'Krause Private Airport', 46.224375, -97.130516, 1060, 'US', 'US-ND', 'Wyndmere', 'no', 'ND49', '', 'ND49', ''),
	('9MN8', 'closed', 'Whiskey Lake Seaplane Base', 45.973098, -95.576104, 1354, 'US', 'US-MN', 'Brandon', 'no', '', '', '', '9MN8'),
	('5C3', 'N/A', 'N/A', 47.375424318015575, -94.79881435632706, 417, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7MN4', 'small_airport', 'Mille Lacs Lake Resort Airport', 46.319400787353516, -93.83080291748047, 1261, 'US', 'US-MN', 'Garrison', 'no', '7MN4', '', '7MN4', ''),
	('76MN', 'small_airport', 'Hemmingsen Private Airport', 47.596401, -96.021698, 1246, 'US', 'US-MN', 'Erskine', 'no', '76MN', '', '76MN', ''),
	('MY07', 'small_airport', 'Nord Field', 46.58330154418945, -96.60649871826172, 948, 'US', 'US-MN', 'Wolverton', 'no', 'MY07', '', 'MY07', ''),
	('KFSE', 'small_airport', 'Fosston Municipal Airport-Anderson Field', 47.5928, -95.773499, 1277, 'US', 'US-MN', 'Fosston', 'no', 'KFSE', '', 'FSE', ''),
	('61MN', 'closed', 'Traverse Air Airport', 45.9536, -96.400902, 1002, 'US', 'US-MN', 'Wheaton', 'no', '', '', '', '61MN'),
	('Y63', 'small_airport', 'Elbow Lake Municipal - Pride of the Prairie Airport', 45.984678, -95.991712, 1205, 'US', 'US-MN', 'Elbow Lake', 'no', 'Y63', '', 'Y63', ''),
	('M49', 'seaplane_base', 'Jolly Fisherman Seaplane Base', 47.143002, -95.5289, 1499, 'US', 'US-MN', 'Waubun', 'no', 'M49', '', 'M49', ''),
	('MN01', 'small_airport', 'Hammars Farm Airport', 47.277814, -96.614012, 886, 'US', 'US-MN', 'Ada', 'no', 'MN01', '', 'MN01', ''),
	('4R6', 'small_airport', 'Milnor Municipal Airport', 46.260159, -97.439325, 1091, 'US', 'US-ND', 'Milnor', 'no', '4R6', '', '4R6', ''),
	('92MN', 'small_airport', 'Brutlag Farms Airport', 46.014400482177734, -96.10169982910156, 1127, 'US', 'US-MN', 'Wendell', 'no', '92MN', '', '92MN', ''),
	('1D1', 'small_airport', 'Milbank Municipal Airport', 45.23049927, -96.56600189, 1118, 'US', 'US-SD', 'Milbank', 'no', 'K1D1', '', '1D1', ''),
	('KPAV', 'N/A', 'N/A', 46.96087818592787, -94.8173077404499, 448, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0NA3', 'N/A', 'N/A', 46.905316561460495, -97.10057437419891, 278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MN18', 'small_airport', 'Barrett Airport', 46.178199768066406, -94.0886001586914, 1275, 'US', 'US-MN', 'Brainerd', 'no', 'MN18', '', 'MN18', ''),
	('MY29', 'small_airport', 'Kaiser''s Airstrip', 46.79690170288086, -96.09960174560547, 1400, 'US', 'US-MN', 'Lake Park', 'no', 'MY29', '', 'MY29', ''),
	('3MN7', 'small_airport', 'Blue Sky Airport', 46.800676, -96.594629, 927, 'US', 'US-MN', 'Sabin', 'no', '3MN7', '', '3MN7', ''),
	('MY62', 'small_airport', 'Ultraflyte, Inc Ultralightport', 46.665199279785156, -94.34329986572266, 1270, 'US', 'US-MN', 'Jenkins', 'no', 'MY62', '', 'MY62', ''),
	('MN44', 'small_airport', 'Angen Field', 45.9364013671875, -95.52619934082031, 1450, 'US', 'US-MN', 'Garfield', 'no', 'MN44', '', 'MN44', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('D39', 'small_airport', 'Sauk Centre Municipal Airport', 45.706600189208984, -94.93340301513672, 1244, 'US', 'US-MN', 'Sauk Centre', 'no', 'KD39', '', 'D39', ''),
	('6MN3', 'closed', 'Hopkins Police Heliport', 44.916599, -93.416901, 918, 'US', 'US-MN', 'Hopkins', 'no', '', '', '', '6MN3'),
	('MY98', 'small_airport', 'Pake Airport', 47.045501708984375, -96.66560363769531, 898, 'US', 'US-MN', 'Felton', 'no', 'MY98', '', 'MY98', ''),
	('8D3', 'small_airport', 'Sisseton Municipal Airport', 45.669925, -96.994215, 1161, 'US', 'US-SD', 'Sisseton', 'no', 'K8D3', '', '8D3', ''),
	('7NA4', 'small_airport', 'Ingebretson Airspray Airport', 47.5172004699707, -97.33370208740234, 982, 'US', 'US-ND', 'Mayville', 'no', '7NA4', '', '7NA4', ''),
	('KJKJ', 'small_airport', 'Moorhead Municipal Airport', 46.83917, -96.663703, 918, 'US', 'US-MN', 'Moorhead', 'no', 'KJKJ', '', 'JKJ', ''),
	('Y49', 'small_airport', 'Walker Municipal Airport', 47.15829849243164, -94.64610290527344, 1364, 'US', 'US-MN', 'Walker', 'no', 'Y49', '', 'Y49', ''),
	('1MN1', 'closed', 'Beyer Airport', 45.9733, -96.564201, 1000, 'US', 'US-MN', 'Tenney', 'no', '', '', '', '1MN1'),
	('MN19', 'small_airport', 'Brandt Airport', 45.047298431396484, -93.8364028930664, 930, 'US', 'US-MN', 'Delano', 'no', 'MN19', '', 'MN19', ''),
	('MY15', 'small_airport', 'Kastanek Airport', 45.9557991027832, -93.9894027709961, 1320, 'US', 'US-MN', 'Pierz', 'no', 'MY15', '', 'MY15', ''),
	('KETH', 'small_airport', 'Wheaton Municipal Airport', 45.782058, -96.543627, 1025, 'US', 'US-MN', 'Lake Valley Township', 'no', 'KETH', '', 'ETH', ''),
	('KPEX', 'small_airport', 'Paynesville Municipal Airport', 45.372061, -94.744742, 1180, 'US', 'US-MN', 'Paynesville', 'no', 'KPEX', '', 'PEX', ''),
	('6ND3', 'small_airport', 'Lisburg Airport', 47.069698333740234, -96.94059753417969, 885, 'US', 'US-ND', 'Argusville', 'no', '6ND3', '', '6ND3', ''),
	('NA82', 'N/A', 'N/A', 46.474394872784615, -97.10731476545334, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOSK', 'N/A', 'N/A', 45.90043265372515, -95.25686144828796, 420, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRYM', 'small_airport', 'Ray S Miller Army Air Field', 46.091202, -94.360497, 1150, 'US', 'US-MN', 'Fort Ripley', 'no', 'KRYM', '', 'RYM', ''),
	('MY54', 'small_airport', 'Cloverleaf-East Bemidji Airport', 47.438301, -94.812202, 1445, 'US', 'US-MN', 'Bemidji', 'no', 'MY54', '', 'MY54', ''),
	('2MN7', 'small_airport', 'Fussy Airport', 45.79159927368164, -94.3407974243164, 1100, 'US', 'US-MN', 'North Prairie', 'no', '2MN7', '', '2MN7', ''),
	('52Y', 'small_airport', 'Remer Municipal Airport', 47.06800079345703, -93.91410064697266, 1350, 'US', 'US-MN', 'Remer', 'no', '52Y', '', '52Y', ''),
	('5ND4', 'closed', 'Tesch Strip', 46.1436, -97.243103, 1114, 'US', 'US-ND', 'Lidgerwood', 'no', '', '', '', '5ND4'),
	('CYRT', 'medium_airport', 'Rankin Inlet Airport', 62.8114013672, -92.1157989502, 94, 'CA', 'CA-NU', 'Rankin Inlet', 'yes', 'CYRT', 'YRT', '', ''),
	('CYRN', 'N/A', 'N/A', 57.041409239172935, -90.11258572340012, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYRS', 'small_airport', 'Red Sucker Lake Airport', 54.167198, -93.557198, 729, 'CA', 'CA-MB', 'Red Sucker Lake', 'yes', 'CYRS', 'YRS', '', ''),
	('CZTM', 'small_airport', 'Shamattawa Airport', 55.86356, -92.081137, 289, 'CA', 'CA-MB', 'Shamattawa', 'yes', 'CZTM', 'ZTM', '', ''),
	('CJS6', 'seaplane_base', 'Big Hook Wilderness Camp Seaplane Base', 53.5667, -92.949997, 860, 'CA', 'CA-ON', '', 'no', 'CJS6', '', 'CJS6', ''),
	('CZMD', 'small_airport', 'Muskrat Dam Airport', 53.441399, -91.762802, 911, 'CA', 'CA-ON', 'Muskrat Dam', 'yes', 'CZMD', 'MSA', '', 'ZMD'),
	('CZPB', 'small_airport', 'Sachigo Lake Airport', 53.890885, -92.195935, 876, 'CA', 'CA-ON', 'Sachigo Lake', 'yes', 'CZPB', 'ZPB', '', ''),
	('CJB6', 'small_airport', 'Gods Lake Airport', 54.780469, -93.718228, 605, 'CA', 'CA-MB', 'Gods Lake', 'yes', 'CJB6', '', 'CJB6', 'JB6'),
	('CZSJ', 'medium_airport', 'Sandy Lake Airport', 53.06420135498047, -93.34439849853516, 951, 'CA', 'CA-ON', 'Sandy Lake', 'yes', 'CZSJ', 'ZSJ', '', ''),
	('CPV8', 'small_airport', 'Keewaywin Airport', 52.9911, -92.836403, 988, 'CA', 'CA-ON', 'Keewaywin', 'yes', 'CPV8', 'KEW', 'CPV8', ''),
	('CJL7', 'seaplane_base', 'Confederation Lake Seaplane Base', 51.049999, -92.833298, 1323, 'CA', 'CA-ON', '', 'no', 'CJL7', '', 'CJL7', ''),
	('CYPL', 'medium_airport', 'Pickle Lake Airport', 51.4463996887207, -90.21420288085938, 1267, 'CA', 'CA-ON', 'Pickle Lake', 'yes', 'CYPL', 'YPL', '', ''),
	('CXX2', 'small_airport', 'Wiebenville Airport', 52.21702, -90.464859, 1228, 'CA', 'CA-ON', 'Kenora District', 'no', 'CXX2', '', 'CXX2', ''),
	('CYMY', 'small_airport', 'Ear Falls Airport', 50.71780014038086, -93.38359832763672, 1269, 'CA', 'CA-ON', 'Ear Falls', 'no', 'CYMY', '', '', 'YMY'),
	('CKQ3', 'small_airport', 'North Spirit Lake Airport', 52.4900016784668, -92.97109985351563, 1082, 'CA', 'CA-ON', 'North Spirit Lake', 'yes', 'CKQ3', 'YNO', 'CKQ3', 'KQ3'),
	('CZRJ', 'small_airport', 'Round Lake (Weagamow Lake) Airport', 52.9436, -91.312798, 974, 'CA', 'CA-ON', 'Round Lake', 'yes', 'CZRJ', 'ZRJ', '', ''),
	('CKM8', 'small_airport', 'Opapimiskan Lake Airport', 52.6067008972, -90.3768997192, 1023, 'CA', 'CA-ON', 'Opapimiskan Lake', 'no', 'CKM8', 'YBS', 'CKM8', 'KM8, Musselwhite Airport'),
	('KELO', 'medium_airport', 'Ely Municipal Airport', 47.82450104, -91.83070374, 1456, 'US', 'US-MN', 'Ely', 'no', 'KELO', 'LYU', 'ELO', ''),
	('KCKC', 'small_airport', 'Grand Marais Cook County Airport', 47.8382987976, -90.38289642330001, 1799, 'US', 'US-MN', 'Grand Marais', 'no', 'KCKC', 'GRM', 'CKC', ''),
	('CYAI', 'N/A', 'N/A', 48.725676499307156, -91.25945180654526, 457, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJA9', 'seaplane_base', 'Hudson Seaplane Base', 50.099998, -92.166702, 1171, 'CA', 'CA-ON', '', 'no', 'CJA9', '', 'CJA9', 'JA9'),
	('CYAG', 'medium_airport', 'Fort Frances Municipal Airport', 48.655749, -93.44349, 1125, 'CA', 'CA-ON', 'Fort Frances', 'yes', 'CYAG', 'YAG', '', ''),
	('0G5', 'seaplane_base', 'Grand Marais/Cook County Seaplane Base', 47.8263, -90.3835, 1635, 'US', 'US-MN', 'Grand Marais', 'no', '0G5', '', '0G5', 'Devil Track Resort'),
	('CYXL', 'medium_airport', 'Sioux Lookout Airport', 50.11389923095703, -91.9052963256836, 1258, 'CA', 'CA-ON', 'Sioux Lookout', 'yes', 'CYXL', 'YXL', '', ''),
	('12D', 'small_airport', 'Tower Municipal Airport', 47.818154, -92.286099, 1369, 'US', 'US-MN', 'Tower', 'no', 'K12D', '', '12D', ''),
	('57MN', 'seaplane_base', 'Namakan Seaplane Base', 48.40679931640625, -92.66680145263672, 1119, 'US', 'US-MN', 'Ray', 'no', '57MN', '', '57MN', ''),
	('KMOQ', 'N/A', 'N/A', 48.105398900806904, -92.61939078569412, 407, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MY76', 'seaplane_base', 'Johnson''s Sea Landing Seaplane Base', 47.856094, -92.391675, 1300, 'US', 'US-MN', 'Tower', 'no', 'MY76', '', 'MY76', ''),
	('7MN2', 'seaplane_base', 'Eagles Nest Seaplane Base', 47.82849884033203, -92.09970092773438, 1490, 'US', 'US-MN', 'Tower', 'no', '7MN2', '', '7MN2', ''),
	('CJD8', 'seaplane_base', 'Dryden Seaplane Base', 49.762876, -92.830315, 1208, 'CA', 'CA-ON', 'Dryden', 'no', 'CJD8', '', 'CJD8', 'JD8'),
	('CKQ7', 'small_airport', 'Vermilion Bay Airport', 49.87969970703125, -93.4364013671875, 1284, 'CA', 'CA-ON', 'Vermilion Bay', 'no', 'CKQ7', '', 'CKQ7', 'KQ7');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CYHD', 'medium_airport', 'Dryden Regional Airport', 49.831699, -92.744202, 1354, 'CA', 'CA-ON', 'Dryden', 'yes', 'CYHD', 'YHD', '', ''),
	('CJE8', 'seaplane_base', 'Ear Falls Seaplane Base', 50.583302, -93.166702, 1171, 'CA', 'CA-ON', '', 'no', 'CJE8', '', 'CJE8', ''),
	('09I', 'seaplane_base', 'International Falls Seaplane Base', 48.60580062866211, -93.37079620361328, 1110, 'US', 'US-MN', 'International Falls', 'no', '09I', '', '09I', ''),
	('CJD6', 'seaplane_base', 'Sand Point Lake Seaplane Base', 48.333302, -92.449997, 1119, 'CA', 'CA-ON', '', 'no', 'CJD6', '', 'CJD6', ''),
	('13Y', 'small_airport', 'Littlefork Muni/Hanover Airport', 48.41659927, -93.58630371, 1145, 'US', 'US-MN', 'Littlefork', 'no', '13Y', '', '13Y', ''),
	('CKV5', 'seaplane_base', 'Stewart Lake Seaplane Base', 49.8167, -93.716698, 1200, 'CA', 'CA-ON', '', 'no', 'CKV5', '', 'CKV5', 'KV5'),
	('01MN', 'seaplane_base', 'Barnes Seaplane Base', 47.899600982666016, -92.55740356445313, 1358, 'US', 'US-MN', 'Cook', 'no', '01MN', '', '01MN', ''),
	('CYIB', 'medium_airport', 'Atikokan Municipal Airport', 48.7738990784, -91.6386032104, 1408, 'CA', 'CA-ON', 'Atikokan', 'no', 'CYIB', 'YIB', '', ''),
	('CZUC', 'medium_airport', 'Ignace Municipal Airport', 49.428204, -91.720418, 1435, 'CA', 'CA-ON', 'Ignace', 'no', 'CZUC', 'ZUC', '', ''),
	('CJU9', 'seaplane_base', 'Lac La Croix Seaplane Base', 48.349998, -92.199997, 1184, 'CA', 'CA-ON', '', 'no', 'CJU9', '', 'CJU9', ''),
	('CKF5', 'seaplane_base', 'Kashabowie/Upper Shebandowan Lake Seaplane Base', 48.650002, -90.400002, 1474, 'CA', 'CA-ON', '', 'no', 'CKF5', '', 'CKF5', ''),
	('KORB', 'small_airport', 'Orr Regional Airport', 48.0159, -92.856102, 1311, 'US', 'US-MN', 'Orr', 'no', 'KORB', '', 'ORB', ''),
	('KINL', 'medium_airport', 'Falls International Airport', 48.566200256347656, -93.4030990600586, 1185, 'US', 'US-MN', 'International Falls', 'yes', 'KINL', 'INL', 'INL', ''),
	('KCQM', 'small_airport', 'Cook Municipal Airport', 47.821899, -92.6894, 1327, 'US', 'US-MN', 'Cook', 'no', 'KCQM', '', 'CQM', ''),
	('CJT7', 'seaplane_base', 'Cushing Lake Seaplane Base', 48.94419860839844, -90.50859832763672, 1500, 'CA', 'CA-ON', '', 'no', 'CJT7', '', 'CJT7', ''),
	('MN54', 'closed', 'Gunflint Seaplane Base', 48.091599, -90.708397, 1543, 'US', 'US-MN', 'Grand Marais', 'no', '', '', '', 'MN54'),
	('MY21', 'seaplane_base', 'Kollar''s Shoreview Marine Seaplane Base', 45.03329849243164, -93.12519836425781, 886, 'US', 'US-MN', 'Shoreview', 'no', 'MY21', '', 'MY21', ''),
	('MN85', 'small_airport', 'Swiderski Field', 46.03329849243164, -93.6613998413086, 1250, 'US', 'US-MN', 'Onamia', 'no', 'MN85', '', 'MN85', ''),
	('9Y7', 'small_airport', 'Barron Municipal Airport', 45.407501, -91.834297, 1113, 'US', 'US-WI', 'Barron', 'no', '9Y7', '', '9Y7', ''),
	('MY90', 'small_airport', 'Al''s Due North Airport', 45.481845, -92.988545, 915, 'US', 'US-MN', 'North Branch', 'no', 'MY90', '', 'MY90', 'Scott''s Due North'),
	('WI10', 'small_airport', 'Cedar Island Airport', 46.44822, -91.613051, 1229, 'US', 'US-WI', 'Brule', 'no', 'WI10', '', 'WI10', ''),
	('1WN3', 'small_airport', 'Danielson Field Airport', 45.211399, -92.534267, 1000, 'US', 'US-WI', 'Star Prairie', 'no', '1WN3', '', '1WN3', ''),
	('9WN2', 'small_airport', 'Voyager Village Airstrip', 45.96659851074219, -92.14600372314453, 1020, 'US', 'US-WI', 'Webster', 'no', '9WN2', '', '9WN2', ''),
	('KHZX', 'small_airport', 'Isedor Iverson Airport', 46.61880111694336, -93.30979919433594, 1228, 'US', 'US-MN', 'Mc Gregor', 'no', 'KHZX', '', 'HZX', ''),
	('MN40', 'small_airport', 'Meadowvale Airport', 45.36249923706055, -93.5886001586914, 950, 'US', 'US-MN', 'Elk River', 'no', 'MN40', '', 'MN40', ''),
	('WN86', 'small_airport', 'St Croix Valley Airport', 45.26390075683594, -92.62159729003906, 1085, 'US', 'US-WI', 'Osceola', 'no', 'WN86', '', 'WN86', ''),
	('WS06', 'small_airport', 'Springstead Airport', 45.987701416015625, -90.16349792480469, 1600, 'US', 'US-WI', 'Park Falls', 'no', 'WS06', '', 'WS06', ''),
	('KHIB', 'medium_airport', 'Range Regional Airport', 47.384831, -92.836905, 1354, 'US', 'US-MN', 'Hibbing', 'yes', 'KHIB', 'HIB', 'HIB', 'Chisholm Hibbing Airport'),
	('4R5', 'small_airport', 'Major Gilbert Field Airport', 46.7887, -90.758698, 649, 'US', 'US-WI', 'La Pointe', 'no', '4R5', '', '4R5', 'Madeline Island Airport'),
	('2WS2', 'small_airport', 'Connor''s Lake Landing', 45.91275, -92.293239, 1000, 'US', 'US-WI', 'Webster', 'no', '2WS2', '', '2WS2', ''),
	('KPKF', 'small_airport', 'Park Falls Municipal Airport', 45.955001831055, -90.42440032959, 1500, 'US', 'US-WI', 'Park Falls', 'no', 'KPKF', 'PKF', 'PKF', ''),
	('KPBH', 'small_airport', 'Price County Airport', 45.709, -90.402496, 1497, 'US', 'US-WI', 'Phillips', 'no', 'KPBH', '', 'PBH', ''),
	('KFOZ', 'small_airport', 'Bigfork Municipal Airport', 47.783865, -93.65098, 1348, 'US', 'US-MN', 'Bigfork', 'no', 'KFOZ', '', 'FOZ', ''),
	('1H9', 'small_airport', 'Nest of Eagles Airport', 45.83549880981445, -91.80269622802734, 1120, 'US', 'US-WI', 'Spooner', 'no', '1H9', '', '1H9', 'Formerly 9WI7'),
	('24WI', 'small_airport', 'Irlbeck Airport', 45.09550094604492, -92.67379760742188, 990, 'US', 'US-WI', 'Somerset', 'no', '24WI', '', '24WI', ''),
	('9M0', 'closed', 'North Country Seaplane Base', 47.0149, -92.168198, 1370, 'US', 'US-MN', 'Duluth', 'no', '', '', '', '9M0'),
	('KEVM', 'small_airport', 'Eveleth–Virginia Municipal Airport', 47.42458, -92.499204, 1379, 'US', 'US-MN', 'Eveleth', 'no', 'KEVM', 'EVM', 'EVM', ''),
	('31MN', 'closed', 'Peterson Seaplane Base', 45, -93.419674, 820, 'US', 'US-MN', 'Minneapolis', 'no', '', '', '', '31MN'),
	('KMZH', 'small_airport', 'Moose Lake Carlton County Airport', 46.418800354003906, -92.80470275878906, 1076, 'US', 'US-MN', 'Moose Lake', 'no', 'KMZH', '', 'MZH', ''),
	('7WI1', 'seaplane_base', 'Little Clam Lake Seaplane Base', 46.158599853515625, -90.8843002319336, 1456, 'US', 'US-WI', 'Clam Lake', 'no', '7WI1', '', '7WI1', ''),
	('KCBG', 'small_airport', 'Cambridge Municipal Airport', 45.557499, -93.264198, 945, 'US', 'US-MN', 'Cambridge', 'no', 'KCBG', '', 'CBG', ''),
	('MN30', 'seaplane_base', 'Busch''s Fish Lake Seaplane Base', 45.09410095214844, -93.46520233154297, 870, 'US', 'US-MN', 'Maple Grove', 'no', 'MN30', '', 'MN30', ''),
	('KROS', 'small_airport', 'Rush City Regional Airport', 45.698002, -92.953003, 926, 'US', 'US-MN', 'Rush City', 'no', 'KROS', '', 'ROS', ''),
	('MY92', 'small_airport', 'Grohnke Field', 45.728599548339844, -93.28829956054688, 960, 'US', 'US-MN', 'Braham', 'no', 'MY92', '', 'MY92', ''),
	('MN87', 'small_airport', 'Cooks Landing Airport', 45.24359893798828, -93.2217025756836, 895, 'US', 'US-MN', 'Ham Lake', 'no', 'MN87', '', 'MN87', ''),
	('KJMR', 'small_airport', 'Mora Municipal Airport', 45.886101, -93.271796, 1012, 'US', 'US-MN', 'Mora', 'no', 'KJMR', '', 'JMR', '19D'),
	('MY56', 'small_airport', 'Robertson Field', 47.25239944458008, -92.8593978881836, 1290, 'US', 'US-MN', 'Hibbing', 'no', 'MY56', '', 'MY56', ''),
	('MN51', 'closed', 'Bowers Airport', 45.453602, -92.974701, 909, 'US', 'US-MN', 'Stacy', 'no', '', '', '', 'MN51'),
	('Y77', 'small_airport', 'Bayfield County Airport', 46.577329, -91.455603, 1143, 'US', 'US-WI', 'Iron River', 'no', 'KY77', '', 'Y77', ''),
	('WI23', 'small_airport', 'Cornucopia Field', 46.866192, -91.083677, 760, 'US', 'US-WI', 'Cornucopia', 'no', '', '', '23W', 'WI23'),
	('73WI', 'small_airport', 'Vetterkind Strip', 45.239715, -91.507296, 1080, 'US', 'US-WI', 'New Auburn', 'no', '73WI', '', '73WI', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MN03', 'closed', 'Bolduc Seaplane Base', 47.597698, -93.410797, 1325, 'US', 'US-MN', 'Bigfork', 'no', '', '', '', 'MN03'),
	('42MN', 'small_airport', 'Kral''s Personal Use Landing Field', 45.08409881591797, -93.56439971923828, 990, 'US', 'US-MN', 'Corcoran', 'no', '42MN', '', '42MN', ''),
	('62MN', 'small_airport', 'Taylors Falls Airport', 45.38140106201172, -92.68240356445313, 920, 'US', 'US-MN', 'Taylors Falls', 'no', '62MN', '', '62MN', ''),
	('3CU', 'small_airport', 'Cable Union Airport', 46.194199, -91.246399, 1360, 'US', 'US-WI', 'Cable', 'no', 'K3CU', '', '3CU', ''),
	('MY82', 'closed', 'Du Fresne Airport', 45.213001, -93.074699, 900, 'US', 'US-MN', 'Forest Lake', 'no', '', '', '', 'MY82'),
	('KUBE', 'small_airport', 'Cumberland Municipal Airport', 45.505969, -91.98012, 1241, 'US', 'US-WI', 'Cumberland', 'no', 'KUBE', '', 'UBE', ''),
	('MY49', 'closed', 'Anderson Airport', 47.787399, -93.060501, 1310, 'US', 'US-MN', 'Bear River', 'no', '', '', '', 'MY49'),
	('WS19', 'small_airport', 'Petit Cache Airport', 46.89350128173828, -90.8207015991211, 760, 'US', 'US-WI', 'Bayfield', 'no', 'WS19', '', 'WS19', ''),
	('MY22', 'seaplane_base', 'Hazelglade Resort Seaplane Base', 46.1416015625, -93.52110290527344, 1250, 'US', 'US-MN', 'Wahkon', 'no', 'MY22', '', 'MY22', ''),
	('WI18', 'small_airport', 'Gateway Airport', 45.13330078125, -91.45020294189453, 1021, 'US', 'US-WI', 'Bloomer', 'no', 'WI18', '', 'WI18', ''),
	('9Y5', 'seaplane_base', 'Sky Harbor Seaplane Base', 47.459598541259766, -92.47660064697266, 1376, 'US', 'US-MN', 'Eveleth', 'no', '9Y5', '', '9Y5', ''),
	('14WS', 'small_airport', 'Lakewood Lodge Airport', 45.77799987792969, -91.55850219726563, 1365, 'US', 'US-WI', 'Stone Lake', 'no', '14WS', '', '14WS', ''),
	('KHYR', 'medium_airport', 'Sawyer County Airport', 46.025199890100005, -91.44429779050002, 1216, 'US', 'US-WI', 'Hayward', 'no', 'KHYR', 'HYR', 'HYR', ''),
	('WS30', 'small_airport', 'Hexum Flight Park Ultralightport', 45.1890983581543, -92.54830169677734, 930, 'US', 'US-WI', 'Star Prairie', 'no', 'WS30', '', 'WS30', ''),
	('71MN', 'closed', 'Mattison''s Seaplane Base', 45.281799, -92.966599, 902, 'US', 'US-MN', 'Forest Lake', 'no', '', '', '', '71MN'),
	('3MN1', 'closed', 'Stahlberg-Mohr Airport', 47.43102, -92.64484, 1380, 'US', 'US-MN', 'Iron Junction', 'no', '', '', '', '3MN1'),
	('WS13', 'small_airport', 'Cloud Dancer Private Airport', 45.3119010925293, -91.5896987915039, 1050, 'US', 'US-WI', 'Chetek', 'no', 'WS13', '', 'WS13', ''),
	('0MN8', 'closed', 'Keller Airport', 45.135799, -92.859398, 990, 'US', 'US-MN', 'Stillwater', 'no', '', '', '', '0MN8'),
	('8MN8', 'closed', 'Porter Airport', 47.012699, -93.393799, 1125, 'US', 'US-MN', 'Jacobson', 'no', '', '', '', '8MN8'),
	('3WN2', 'small_airport', 'Old Dairy Airport', 46.69160079956055, -90.87069702148438, 725, 'US', 'US-WI', 'Washburn', 'no', '3WN2', '', '3WN2', ''),
	('6WI3', 'closed', 'Will-Be-Gone Airport', 45.6772, -91.5625, 1290, 'US', 'US-WI', 'Birchwood', 'no', '', '', '', '6WI3'),
	('02MN', 'closed', 'Greenbush Municipal Airport', 48.686527, -96.191976, 1070, 'US', 'US-MN', 'Greenbush', 'no', '', '', '', '02MN, 02Y'),
	('2MN2', 'small_airport', 'Dreamcatcher Airport', 46.940399169921875, -93.29789733886719, 1250, 'US', 'US-MN', 'Jacobson', 'no', '2MN2', '', '2MN2', ''),
	('6WI4', 'small_airport', 'Saxon Airport', 46.514579, -90.448965, 950, 'US', 'US-WI', 'Saxon', 'no', '6WI4', '', '6WI4', ''),
	('WI37', 'small_airport', 'Rainbow Airport', 45.80830001831055, -91.09629821777344, 1321, 'US', 'US-WI', 'Ojibwa', 'no', 'WI37', '', 'WI37', ''),
	('43WI', 'small_airport', 'Eagle Ridge Ultralightport', 45.031106, -91.73124, 1067, 'US', 'US-WI', 'Colfax', 'no', '43WI', '', '43WI', ''),
	('4WI9', 'closed', 'Mar-O-Dae Farm Airport', 45.006901, -92.191803, 1164, 'US', 'US-WI', 'Glenwood City', 'no', '', '', '', '4WI9'),
	('WS71', 'small_airport', 'Flying J Airport', 45.43050003051758, -92.6155014038086, 1205, 'US', 'US-WI', 'St Croix Falls', 'no', 'WS71', '', 'WS71', ''),
	('KDYT', 'small_airport', 'Sky Harbor Airport', 46.721901, -92.043404, 610, 'US', 'US-MN', 'Duluth', 'no', 'KDYT', '', 'DYT', ''),
	('MN24', 'small_airport', 'Surfside Airport', 45.150001525878906, -93.11689758300781, 890, 'US', 'US-MN', 'Circle Pines', 'no', 'MN24', '', 'MN24', ''),
	('KAHH', 'small_airport', 'Amery Municipal Airport', 45.2811012268, -92.37539672850001, 1088, 'US', 'US-WI', 'Amery', 'no', 'KAHH', 'AHH', 'AHH', ''),
	('5N2', 'small_airport', 'Prentice Airport', 45.538313, -90.275978, 1578, 'US', 'US-WI', 'Prentice', 'no', '', 'PRW', '5N2', 'WI40'),
	('57Y', 'N/A', 'N/A', 46.114655658602715, -92.8856711089611, 332, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8MN5', 'closed', 'Vieira Airport', 45.208302, -93.133598, 900, 'US', 'US-MN', 'Lino Lakes', 'no', '', '', '', '8MN5'),
	('KANE', 'small_airport', 'Anoka County-Blaine (Janes Field) Airport', 45.145, -93.211401, 912, 'US', 'US-MN', 'Minneapolis', 'no', 'KANE', '', 'ANE', ''),
	('KOEO', 'small_airport', 'L O Simenstad Municipal Airport', 45.310001373291, -92.691902160645, 903, 'US', 'US-WI', 'Osceola', 'no', 'KOEO', 'OEO', 'OEO', ''),
	('MN68', 'closed', 'Pangerl Airport', 45.700802, -93.371597, 990, 'US', 'US-MN', 'Braham', 'no', '', '', '', 'MN68'),
	('KMDZ', 'small_airport', 'Taylor County Airport', 45.10100174, -90.30329895, 1478, 'US', 'US-WI', 'Medford', 'no', 'KMDZ', 'MDF', 'MDZ', ''),
	('2H3', 'small_airport', 'Cornell Municipal Airport', 45.16513, -91.105621, 1154, 'US', 'US-WI', 'Cornell', 'no', '4WI9', '', '4WI9', '2H3'),
	('18Y', 'small_airport', 'Milaca Municipal Airport', 45.772499, -93.632202, 1100, 'US', 'US-MN', 'Milaca', 'no', '18Y', '', '18Y', ''),
	('MN52', 'small_airport', 'Gospel Ranch Airport', 47.22845, -93.091965, 1360, 'US', 'US-MN', 'Hibbing', 'no', 'MN52', '', 'MN52', ''),
	('08MN', 'seaplane_base', 'Christenson Point Seaplane Base', 47.66939926147461, -93.05439758300781, 1372, 'US', 'US-MN', 'Chisholm/Hibbing', 'no', '08MN', '', '08MN', ''),
	('9WI9', 'small_airport', 'Carlson Airport', 46.62080001831055, -92.08190155029297, 680, 'US', 'US-WI', 'Superior', 'no', '9WI9', '', '9WI9', ''),
	('9MN2', 'seaplane_base', 'Wabana Seaplane Base', 47.41859817504883, -93.518798828125, 1319, 'US', 'US-MN', 'Grand Rapids', 'no', '9MN2', '', '9MN2', ''),
	('KGRZ', 'N/A', 'N/A', 47.006198801100254, -93.5848993062973, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRZN', 'small_airport', 'Burnett County Airport', 45.822701, -92.372498, 989, 'US', 'US-WI', 'Siren', 'no', 'KRZN', '', 'RZN', ''),
	('KOLG', 'small_airport', 'Solon Springs Municipal Airport', 46.3148, -91.816399, 1102, 'US', 'US-WI', 'Solon Springs', 'no', 'KOLG', '', 'OLG', ''),
	('52WI', 'small_airport', 'John''s Field', 45.159644, -90.057389, 1450, 'US', 'US-WI', 'Athens', 'no', '52WI', '', '52WI', ''),
	('KSUW', 'small_airport', 'Richard I Bong Memorial Airport', 46.688612, -92.095041, 674, 'US', 'US-WI', 'Superior', 'no', 'KSUW', 'SUW', 'SUW', ''),
	('63MN', 'small_airport', 'Weideman International Airport', 47.094398498535156, -91.6001968383789, 930, 'US', 'US-MN', 'Two Harbors', 'no', '63MN', '', '63MN', ''),
	('WS77', 'small_airport', 'Circle T Airport', 45.683998107910156, -92.68710327148438, 895, 'US', 'US-WI', 'Grantsburg', 'no', 'WS77', '', 'WS77', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('45WI', 'small_airport', 'Windsong Farm Airport', 45, -92.28350067138672, 1250, 'US', 'US-WI', 'Woodville', 'no', '45WI', '', '45WI', ''),
	('KHUR', 'N/A', 'N/A', 46.45249664783478, -90.52404910326004, 338, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBFW', 'closed', 'Silver Bay Municipal Airport', 47.249001, -91.415604, 1089, 'US', 'US-MN', 'Silver Bay', 'no', '', '', '', 'KBFW, BFW, Wayne Johnson Silver Bay Municipal Airport'),
	('KAIT', 'small_airport', 'Aitkin Municipal Airport Steve Kurtz Field', 46.548401, -93.676804, 1205, 'US', 'US-MN', 'Aitkin', 'no', 'KAIT', '', 'AIT', ''),
	('WI31', 'small_airport', 'Minnesuing Airport', 46.410753, -91.653787, 1207, 'US', 'US-WI', 'Lake Nebagamon', 'no', 'WI31', '', 'WI31', ''),
	('Y23', 'small_airport', 'Chetek Municipal Southworth Airport', 45.306198, -91.6362, 1055, 'US', 'US-WI', 'Chetek', 'no', 'KY23', '', 'Y23', ''),
	('MY72', 'small_airport', 'Isle Private Airport', 46.159698, -93.461304, 1271, 'US', 'US-MN', 'Isle', 'no', 'MY72', '', 'MY72', ''),
	('MN98', 'closed', 'Aero-Plain Airport', 45.410947, -93.384937, 931, 'US', 'US-MN', 'Saint Francis', 'no', '', '', '', 'MN98'),
	('MN66', 'small_airport', 'Ingleside Airport', 45.0630989074707, -93.65229797363281, 1021, 'US', 'US-MN', 'Loretto', 'no', 'MN66', '', 'MN66', ''),
	('8Y4', 'seaplane_base', 'Surfside Seaplane Base', 45.150001525878906, -93.11689758300781, 880, 'US', 'US-MN', 'Lino Lakes', 'no', '8Y4', '', '8Y4', ''),
	('0WI1', 'small_airport', 'Mort''s Landing Airport', 45.507198333699996, -92.1418991089, 1255, 'US', 'US-WI', 'Comstock', 'no', '0WI1', '', '0WI1', ''),
	('WS41', 'small_airport', 'Rusmar Farms Airport', 45.01219940185547, -92.55130004882813, 1050, 'US', 'US-WI', 'Roberts', 'no', 'WS41', '', 'WS41', ''),
	('02WI', 'small_airport', 'Beer Airport', 45.031898498535156, -92.65579986572266, 920, 'US', 'US-WI', 'Hudson', 'no', '02WI', '', '02WI', ''),
	('3T3', 'small_airport', 'Boyceville Municipal Airport', 45.043999, -92.020401, 967, 'US', 'US-WI', 'Boyceville', 'no', '3T3', '', '3T3', ''),
	('KRCX', 'small_airport', 'Rusk County Airport', 45.496799, -91.000504, 1238, 'US', 'US-WI', 'Ladysmith', 'no', 'KRCX', '', 'RCX', ''),
	('KRPD', 'small_airport', 'Rice Lake Regional Airport - Carl''s Field', 45.423024, -91.773127, 1109, 'US', 'US-WI', 'Rice Lake', 'no', 'KRPD', 'RIE', 'RPD', ''),
	('WN98', 'small_airport', 'Florida North Airport', 45.659400939941406, -91.52249908447266, 1272, 'US', 'US-WI', 'Birchwood', 'no', 'WN98', '', 'WN98', ''),
	('5G4', 'small_airport', 'Eau Claire Lakes Airport', 46.348853, -91.496587, 1214, 'US', 'US-WI', 'Barnes', 'no', 'K5G4', '', '5G4', ''),
	('4WN5', 'small_airport', 'David Randall Airport', 45.457, -92.378306, 1155, 'US', 'US-WI', 'Balsam Lake', 'no', '4WN5', '', '4WN5', 'Romeo Airstrip'),
	('KIWD', 'small_airport', 'Gogebic Iron County Airport', 46.525298, -90.131578, 1230, 'US', 'US-MI', 'Ironwood', 'yes', 'KIWD', 'IWD', 'IWD', ''),
	('KASX', 'small_airport', 'John F Kennedy Memorial Airport', 46.54850006, -90.91899872, 827, 'US', 'US-WI', 'Ashland', 'no', 'KASX', 'ASX', 'ASX', ''),
	('KGTG', 'small_airport', 'Grantsburg Municipal Airport', 45.7980995178, -92.6643981934, 927, 'US', 'US-WI', 'Grantsburg', 'no', 'KGTG', 'GTG', 'GTG', ''),
	('MN69', 'small_airport', 'Maple Airport', 45.00270080566406, -93.6718978881836, 1026, 'US', 'US-MN', 'Maple Plain', 'no', 'MN69', '', 'MN69', ''),
	('MY74', 'heliport', 'Fairview Northland Regional Hospital Heliport', 45.558866, -93.59158, 984, 'US', 'US-MN', 'Princeton', 'no', 'MY74', '', 'MY74', ''),
	('KTWM', 'small_airport', 'Richard B Helgeson Airport', 47.04919815, -91.74510193, 1073, 'US', 'US-MN', 'Two Harbors', 'no', 'KTWM', '', 'TWM', ''),
	('25D', 'small_airport', 'Forest Lake Airport', 45.24769973754883, -92.99440002441406, 925, 'US', 'US-MN', 'Forest Lake', 'no', 'K25D', '', '25D', ''),
	('KSSQ', 'small_airport', 'Shell Lake Municipal Airport', 45.7314, -91.9207, 1233, 'US', 'US-WI', 'Shell Lake', 'no', 'KSSQ', '', 'SSQ', ''),
	('54WI', 'small_airport', 'Flyplassen Airport', 44.96382, -92.29523, 1300, 'US', 'US-WI', 'Woodville', 'no', '54WI', '', '54WI', ''),
	('85WI', 'small_airport', 'Cub Bear Airport', 45.04439926147461, -92.29280090332031, 1240, 'US', 'US-WI', 'Emerald', 'no', '85WI', '', '85WI', ''),
	('WS67', 'small_airport', 'Vietmeier Airport', 46.79990005493164, -91.20850372314453, 795, 'US', 'US-WI', 'Herbster', 'no', 'WS67', '', 'WS67', ''),
	('9MN1', 'small_airport', 'Troll Farm Airport', 45.61159896850586, -93.19740295410156, 960, 'US', 'US-MN', 'Cambridge', 'no', '9MN1', '', '9MN1', ''),
	('8MN6', 'small_airport', 'Minske Field', 45.583604, -93.741275, 1006, 'US', 'US-MN', 'Princeton', 'no', '8MN6', '', '8MN6', ''),
	('WS05', 'closed', 'Lonely Pines Airport', 45.4772, -90.625098, 1365, 'US', 'US-WI', 'Kennan', 'no', '', '', '', 'WS05'),
	('MY94', 'small_airport', 'Country Haven Airport', 46.752498626708984, -92.41919708251953, 1309, 'US', 'US-MN', 'Cloquet', 'no', 'MY94', '', 'MY94', ''),
	('MY78', 'closed', 'Sunrise Airport', 45.4291, -92.986298, 910, 'US', 'US-MN', 'Stacy', 'no', '', '', '', 'MY78'),
	('07Y', 'small_airport', 'Hill City-Quadna Mountain Airport', 46.955501556396484, -93.5969009399414, 1289, 'US', 'US-MN', 'Hill City', 'no', '07Y', '', '07Y', ''),
	('MN47', 'small_airport', 'Cameron''s Airport', 45.54970169, -93.46980286, 930, 'US', 'US-MN', 'Princeton', 'no', 'MN47', '', 'MN47', ''),
	('11MN', 'closed', 'Sixberry''s Landing Seaplane Base', 47.6777, -93.048203, 1372, 'US', 'US-MN', 'Chisholm', 'no', '', '', '', '11MN'),
	('MY43', 'closed', 'Becker Personal Airport', 45.402699, -93.389397, 920, 'US', 'US-MN', 'Saint Francis', 'no', '', '', '', 'MY43'),
	('81WI', 'closed', 'Gunner Field', 45.0786041, -90.176498, 1465, 'US', 'US-WI', 'Athens', 'no', '', '', '', '81WI'),
	('WI33', 'small_airport', 'Ben Sutherland Airport', 46.103599548339844, -91.90239715576172, 1056, 'US', 'US-WI', 'Minong', 'no', 'WI33', '', 'WI33', ''),
	('04W', 'small_airport', 'Field of Dreams Airport', 46.0228, -92.895401, 1021, 'US', 'US-MN', 'Hinckley', 'no', 'K04W', '', '04W', ''),
	('3WN6', 'small_airport', 'Knutson Farms Airport', 45.23899841308594, -91.71189880371094, 1035, 'US', 'US-WI', 'Chetek', 'no', '3WN6', '', '3WN6', ''),
	('KMIC', 'small_airport', 'Crystal Airport', 45.062, -93.353897, 869, 'US', 'US-MN', 'Minneapolis', 'no', 'KMIC', 'MIC', 'MIC', ''),
	('KRNH', 'medium_airport', 'New Richmond Regional Airport', 45.1483, -92.538101, 998, 'US', 'US-WI', 'New Richmond', 'no', 'KRNH', 'RNH', 'RNH', ''),
	('06MN', 'seaplane_base', 'Cutfoot Sioux Seaplane Base', 47.516522, -94.086439, 1297, 'US', 'US-MN', 'Deer River', 'no', '06MN', '', '06MN', ''),
	('26WI', 'small_airport', 'Kitty-Wompus Airport', 45.699100494384766, -91.30349731445313, 1336, 'US', 'US-WI', 'Exeland', 'no', '26WI', '', '26WI', ''),
	('22MN', 'closed', 'Eastmans Medicine Lake Seaplane Base', 44.995006, -93.42591, 820, 'US', 'US-MN', 'Plymouth', 'no', '', '', '', '22MN'),
	('WS81', 'small_airport', 'Alpha Hotel Airport', 45.948001861572266, -92.1084976196289, 1000, 'US', 'US-WI', 'Webster', 'no', 'WS81', '', 'WS81', ''),
	('KPNM', 'small_airport', 'Princeton Municipal Airport', 45.559898, -93.6082, 980, 'US', 'US-MN', 'Princeton', 'no', 'KPNM', '', 'PNM', ''),
	('MY86', 'seaplane_base', 'Johnson Seaplane Base', 45.15079879760742, -93.73999786376953, 970, 'US', 'US-MN', 'Rockford', 'no', 'MY86', '', 'MY86', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('5WI1', 'small_airport', 'Springbrook Airport', 45.902228, -91.677159, 1110, 'US', 'US-WI', 'Springbrook', 'no', '5WI1', '', '5WI1', ''),
	('6MN9', 'small_airport', 'Benson Airport', 45.116600036621094, -92.99600219726563, 942, 'US', 'US-MN', 'White Bear Township', 'no', '6MN9', '', '6MN9', ''),
	('6WI0', 'small_airport', 'Cub Acres Airport', 45.18050003051758, -91.98770141601563, 1000, 'US', 'US-WI', 'Prairie Farm', 'no', '6WI0', '', '6WI0', ''),
	('WS44', 'closed', 'Diderrich Ranch Airport', 45.536598, -90.704903, 1403, 'US', 'US-WI', 'Hawkins', 'no', '', '', '', 'WS44'),
	('MY95', 'small_airport', 'Swanson Field', 45.4463996887207, -93.38279724121094, 935, 'US', 'US-MN', 'Crown', 'no', 'MY95', '', 'MY95', ''),
	('5MN5', 'small_airport', 'Barnes Airport', 45.4364013671875, -92.83489990234375, 945, 'US', 'US-MN', 'Lindstrom', 'no', '5MN5', '', '5MN5', ''),
	('0MN2', 'seaplane_base', 'Grindstone Lake Seaplane Base', 46.13330078125, -93.00299835205078, 1025, 'US', 'US-MN', 'Sandstone', 'no', '0MN2', '', '0MN2', ''),
	('KDLH', 'medium_airport', 'Duluth International Airport', 46.842098, -92.193604, 1428, 'US', 'US-MN', 'Duluth', 'yes', 'KDLH', 'DLH', 'DLH', 'LKI, Duluth Air National Guard Base, Lakeside AFB'),
	('19MN', 'seaplane_base', 'Greseth Seaplane Base', 45.174765, -93.765091, 970, 'US', 'US-MN', 'Buffalo', 'no', '19MN', '', '19MN', ''),
	('6MN4', 'seaplane_base', 'North Center Lake Seaplane Base', 45.39720153808594, -92.83159637451172, 900, 'US', 'US-MN', 'Lindstrom', 'no', '6MN4', '', '6MN4', ''),
	('KPAX', 'N/A', 'N/A', 46.12290948629379, -90.5564832687378, 467, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KGPZ', 'small_airport', 'Grand Rapids Itasca Co-Gordon Newstrom field', 47.21110153, -93.50980377, 1355, 'US', 'US-MN', 'Grand Rapids', 'no', 'KGPZ', 'GPZ', 'GPZ', ''),
	('KCOQ', 'small_airport', 'Cloquet Carlton County Airport', 46.701099, -92.503601, 1279, 'US', 'US-MN', 'Cloquet', 'no', 'KCOQ', '', 'COQ', ''),
	('39MN', 'closed', 'Anthony Private Airport', 47.03764, -91.728439, 1000, 'US', 'US-MN', 'Two Harbors', 'no', '', '', '', '39MN'),
	('MY18', 'small_airport', 'Lino Air Park', 45.187198638916016, -93.13050079345703, 907, 'US', 'US-MN', 'Lino Lakes', 'no', 'MY18', '', 'MY18', ''),
	('MY89', 'small_airport', 'Pavek Personal Airport', 45.90829849243164, -92.90579986572266, 980, 'US', 'US-MN', 'Pine City', 'no', 'MY89', '', 'MY89', ''),
	('MY13', 'closed', 'Swan Field', 46.869301, -92.4571, 1345, 'US', 'US-MN', 'Saginaw', 'no', '', '', '', 'MY13'),
	('2WI5', 'small_airport', 'Blair Lake Airport', 46.097401, -90.1632, 1625, 'US', 'US-WI', 'Mercer', 'no', '2WI5', '', '2WI5', ''),
	('KNAL', 'N/A', 'N/A', 45.467706844210625, -91.14563673734665, 354, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OG27', 'small_airport', 'Muddy Creek Airport', 44.940101623535156, -118.01200103759766, 3500, 'US', 'US-OR', 'Haines', 'no', 'OG27', '', 'OG27', ''),
	('OG53', 'small_airport', 'Wildhorse Valley Airport', 42.487669, -118.608484, 4225, 'US', 'US-OR', 'Princeton', 'no', 'OG53', '', 'OG53', ''),
	('S78', 'small_airport', 'Emmett Municipal Airport', 43.84989929199219, -116.54299926757813, 2350, 'US', 'US-ID', 'Emmett', 'no', 'KS78', '', 'S78', ''),
	('KHOM', 'N/A', 'N/A', 43.228428438305855, -117.49664425849915, 826, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0ID7', 'small_airport', 'Z X Ranch Airport', 43.230308, -116.763192, 3820, 'US', 'US-ID', 'Murphy', 'no', '0ID7', '', '0ID7', ''),
	('0U9', 'small_airport', 'Lee Williams Memorial Airport', 44.461257, -116.757964, 2617, 'US', 'US-ID', 'Midvale', 'no', 'K0U9', '', '0U9', ''),
	('03ID', 'small_airport', 'Flying Y Ranch Airport', 44.793965, -116.531543, 3180, 'US', 'US-ID', 'Council', 'no', '03ID', '', '03ID', ''),
	('OG14', 'small_airport', 'Silvies Valley Ranch Airport', 44.022441, -118.93115, 4584, 'US', 'US-OR', 'Seneca', 'no', 'OG14', '', 'OG14', 'Ponderosa Ranch'),
	('50S', 'small_airport', 'Parma Airport', 43.777478, -116.936288, 2228, 'US', 'US-ID', 'Parma', 'no', '50S', '', '50S', ''),
	('2ID3', 'small_airport', 'Josephine Ranch Airport', 42.749198, -116.674089, 5100, 'US', 'US-ID', 'Murphy', 'no', '2ID3', '', '2ID3', ''),
	('S87', 'small_airport', 'Weiser Municipal Airport', 44.20679855, -116.961998, 2120, 'US', 'US-ID', 'Weiser', 'no', 'KS87', '', 'S87', ''),
	('KONO', 'medium_airport', 'Ontario Municipal Airport', 44.0198, -117.013289, 2193, 'US', 'US-OR', 'Oregon', 'no', 'KONO', 'ONO', 'ONO', ''),
	('KBNO', 'medium_airport', 'Burns Municipal Airport', 43.590463, -118.955154, 4148, 'US', 'US-OR', 'Burns', 'no', 'KBNO', 'BNO', 'BNO', ''),
	('OR16', 'closed', 'Umpleby Ranch Airport', 45.057311, -117.968002, 3412, 'US', 'US-OR', 'North Powder', 'no', '', '', '', 'OR16'),
	('11OG', 'small_airport', 'Unity Airport', 44.451255, -118.186419, 3975, 'US', 'US-OR', 'Unity', 'no', '11OG', '', '11OG', ''),
	('06ID', 'small_airport', 'Larkin Airport', 43.46269989013672, -116.35900115966797, 2750, 'US', 'US-ID', 'Kuna', 'no', '06ID', '', '06ID', ''),
	('OR13', 'small_airport', 'Wiley Creek Airport', 44.502474, -119.371133, 4130, 'US', 'US-OR', 'Dayville', 'no', 'OR13', '', 'OR13', 'Formerly 0OR1'),
	('ID92', 'small_airport', 'Foster Field - Dzone Skydiving Airport', 43.728802, -116.523003, 2550, 'US', 'US-ID', 'Star', 'no', 'ID92', '', 'ID92', 'Snake River Skydiving'),
	('S49', 'small_airport', 'Miller Memorial Airpark', 43.96379852294922, -117.25900268554688, 2249, 'US', 'US-OR', 'Vale', 'no', 'S49', '', 'S49', ''),
	('49OR', 'small_airport', 'Land''s Inn Ranch Airport', 44.593065, -119.563694, 3880, 'US', 'US-OR', 'Dayville', 'no', '49OR', '', '49OR', ''),
	('ID97', 'closed', 'Hangman Creek Ranch Airport', 47.107101, -116.810997, 2635, 'US', 'US-ID', 'Tensed', 'no', '', '', '', 'ID97, Gopher Gultch Field'),
	('KBKE', 'medium_airport', 'Baker City Municipal Airport', 44.837299346900004, -117.808998108, 3373, 'US', 'US-OR', 'Baker City', 'no', 'KBKE', 'BKE', 'BKE', ''),
	('KHIN', 'N/A', 'N/A', 43.334999307990074, -119.16437208652496, 1262, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('12OR', 'small_airport', 'Skinner Ranch Airport', 42.951302, -117.281998, 4273, 'US', 'US-OR', 'Jordan Valley', 'no', '12OR', '', '12OR', ''),
	('28U', 'small_airport', 'Owyhee Reservoir State Airport', 43.42462, -117.345483, 2680, 'US', 'US-OR', 'Owyhee', 'no', 'K28U', '', '28U', ''),
	('41ID', 'small_airport', 'Black''S Airfield', 43.471383, -116.326417, 2788, 'US', 'US-ID', 'Kuna', 'no', '41ID', '', '41ID', ''),
	('ID40', 'small_airport', 'Sunrise Skypark Airport', 43.41780090332031, -116.70600128173828, 2240, 'US', 'US-ID', 'Marsing', 'no', 'ID40', '', 'ID40', ''),
	('3ID7', 'small_airport', 'Indian Creek Ranch Airport', 43.47600173950195, -116.40399932861328, 2674, 'US', 'US-ID', 'Kuna', 'no', '3ID7', '', '3ID7', ''),
	('1U3', 'small_airport', 'Murphy Airport', 43.215999603271484, -116.54900360107422, 2855, 'US', 'US-ID', 'Murphy', 'no', '1U3', '', '1U3', ''),
	('OR14', 'small_airport', 'Juntura Airport', 43.737248, -118.070458, 3034, 'US', 'US-OR', 'Juntura', 'no', 'OR14', '', 'OR14', ''),
	('OR08', 'small_airport', 'Barton Lake Ranch Airport', 43.128492, -118.67701, 4159, 'US', 'US-OR', 'Diamond', 'no', 'OR08', '', 'OR08', ''),
	('S75', 'small_airport', 'Payette Municipal Airport', 44.091598510699995, -116.901000977, 2228, 'US', 'US-ID', 'Payette', 'no', 'S75', '', 'S75', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OR07', 'small_airport', 'Weddle Field', 44.762402, -119.101878, 3823, 'US', 'US-OR', 'Long Creek', 'no', 'OR07', '', 'OR07', 'Volny Long Creek, Miranda''s Skyranch'),
	('3OR9', 'small_airport', 'Murphy Ranch Airport', 43.957401275634766, -118.13200378417969, 3465, 'US', 'US-OR', 'Juntura', 'no', '3OR9', '', '3OR9', ''),
	('08ID', 'small_airport', 'Symms Airport', 43.56930160522461, -116.7770004272461, 2680, 'US', 'US-ID', 'Marsing', 'no', '08ID', '', '08ID', ''),
	('7OR8', 'small_airport', 'Inshallah International Airport', 44.09040069580078, -119.29000091552734, 4560, 'US', 'US-OR', 'Seneca', 'no', '7OR8', '', '7OR8', ''),
	('OG50', 'small_airport', 'Cottonwood Creek Ranch Airport', 43.847388, -117.574267, 2555, 'US', 'US-OR', 'Harper', 'no', 'OG50', '', 'OG50', ''),
	('S66', 'small_airport', 'Homedale Municipal Airport', 43.614898681640625, -116.9219970703125, 2210, 'US', 'US-ID', 'Homedale', 'no', 'S66', '', 'S66', ''),
	('78OR', 'small_airport', 'Crowley Ranch Airstrip', 43.307899475097656, -117.89399719238281, 4128, 'US', 'US-OR', 'Crowley', 'no', '78OR', '', '78OR', ''),
	('1U4', 'small_airport', 'New Meadows Airport', 44.97909927368164, -116.28399658203125, 3908, 'US', 'US-ID', 'New Meadows', 'no', '1U4', '', '1U4', ''),
	('ID67', 'small_airport', 'Lower Loon Creek Airport', 44.808437, -114.808824, 4200, 'US', 'US-ID', 'Challis', 'no', 'KC53', '', 'C53', 'ID67'),
	('R03', 'small_airport', 'Alkali Lake State Airport', 43.087399, -119.975995, 4312, 'US', 'US-OR', 'Alkali Lake', 'no', '', '', 'R03', ''),
	('OR32', 'closed', 'Simtag Farms Airport', 45.752561, -119.944717, 550, 'US', 'US-OR', 'Boardman', 'no', '', '', '', 'OR32'),
	('OR98', 'closed', 'Seneca Emergency Airstrip', 44.138055, -118.959446, 4666, 'US', 'US-OR', 'Seneca', 'no', '', '', '', 'OR98'),
	('ID79', 'small_airport', 'Sky Ranch South Airport', 43.5083007812, -116.667999268, 2750, 'US', 'US-ID', 'Nampa', 'no', 'ID79', '', 'ID79', ''),
	('KMAN', 'N/A', 'N/A', 43.58134176582098, -116.52306407690048, 772, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('17ID', 'small_airport', 'Coyote Ridge Airport', 44.41421, -116.599123, 3365, 'US', 'US-ID', 'Midvale', 'no', '17ID', '', '17ID', ''),
	('81OR', 'small_airport', 'Wagontire Airport', 43.249900817871094, -119.875, 4725, 'US', 'US-OR', 'Burns', 'no', '81OR', '', '81OR', ''),
	('77ID', 'small_airport', 'Ashley Airport', 43.524278, -116.406997, 2713, 'US', 'US-ID', 'Meridian', 'no', '77ID', '', '77ID', ''),
	('OG39', 'small_airport', 'Longview Ranch Airport', 44.661104, -119.65255, 2080, 'US', 'US-OR', 'Kimberly', 'no', 'OG39', '', 'OG39', ''),
	('KCOH', 'N/A', 'N/A', 44.944105446338654, -116.68223395943642, 1409, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('04ID', 'small_airport', 'Lanham Field', 43.877015, -116.538365, 2343, 'US', 'US-ID', 'Emmett', 'no', '04ID', '', '04ID', 'U85'),
	('ID68', 'small_airport', 'Green Acres Airport', 43.48460006713867, -116.45899963378906, 2865, 'US', 'US-ID', 'Kuna', 'no', 'ID68', '', 'ID68', ''),
	('U82', 'small_airport', 'Council Municipal Airport', 44.750286, -116.445145, 2963, 'US', 'US-ID', 'Council', 'no', '', '', 'U82', ''),
	('ID63', 'closed', 'Richards Airport', 43.671193, -117.023607, 2290, 'US', 'US-ID', 'Homedale', 'no', '', '', '', 'ID63'),
	('97OR', 'small_airport', 'Hi Country No 2 Airport', 44.43519973754883, -118.66200256347656, 3840, 'US', 'US-OR', 'Prairie City', 'no', '97OR', '', '97OR', ''),
	('OR70', 'small_airport', 'Pine Valley Airport', 44.8596, -117.087997, 2577, 'US', 'US-OR', 'Halfway', 'no', 'OR70', '', 'OR70', ''),
	('KREO', 'small_airport', 'Rome State Airport', 42.5777015686, -117.885002136, 4053, 'US', 'US-OR', 'Rome', 'no', 'KREO', 'REO', 'REO', ''),
	('38ID', 'small_airport', 'Sky Ranch North Airport', 43.5094444444, -116.667916667, 2750, 'US', 'US-ID', 'Nampa', 'no', '38ID', '', '38ID', ''),
	('OR17', 'small_airport', 'Oxbow Ranch Airport', 44.41067, -118.691225, 3972, 'US', 'US-OR', 'Prairie City', 'no', 'OR17', '', 'OR17', ''),
	('KEUL', 'small_airport', 'Caldwell Executive Airport', 43.641899, -116.636002, 2432, 'US', 'US-ID', 'Caldwell', 'no', 'KEUL', '', 'EUL', 'Caldwell Industrial, Treasure Valley Executive'),
	('ID77', 'small_airport', 'Cuddy Meadows Airport', 44.705299377441406, -116.80699920654297, 4580, 'US', 'US-ID', 'Cambridge', 'no', 'ID77', '', 'ID77', ''),
	('64OG', 'small_airport', 'Antone Ranch Airport', 44.493436, -119.843686, 3908, 'US', 'US-OR', 'Mitchell', 'no', '64OG', '', '64OG', ''),
	('2ID6', 'small_airport', 'Lemons Field', 43.927336, -116.946475, 2280, 'US', 'US-ID', 'Fruitland', 'no', '2ID6', '', '2ID6', ''),
	('2OR6', 'small_airport', 'Lockhart Airport', 44.181255, -118.216166, 4615, 'US', 'US-OR', 'Ironside', 'no', '2OR6', '', '2OR6', 'Lockhart-Cape Ranch'),
	('OG45', 'small_airport', 'Bald Mountain Airport', 44.61690139770508, -117.87200164794922, 4640, 'US', 'US-OR', 'Baker City', 'no', 'OG45', '', 'OG45', ''),
	('ID00', 'small_airport', 'Hubler Field', 43.695701599121094, -116.63800048828125, 2385, 'US', 'US-ID', 'Caldwell', 'no', 'ID00', '', 'ID00', ''),
	('OR09', 'small_airport', 'Whitehorse Ranch Airport', 42.335601806640625, -118.25800323486328, 4447, 'US', 'US-OR', 'Fields', 'no', 'OR09', '', 'OR09', ''),
	('ID04', 'closed', 'J-Lazy-M Ranch Airport', 42.028926, -111.41289, 6190, 'US', 'US-ID', 'Fish Haven', 'no', '', '', '', 'ID04'),
	('OR10', 'small_airport', 'Roaring Springs Ranch Airport', 42.646272, -118.992748, 4576, 'US', 'US-OR', 'Frenchglen', 'no', 'OR10', '', 'OR10', ''),
	('0OR6', 'small_airport', 'Rome Service Airport', 42.834, -117.628998, 3387, 'US', 'US-OR', 'Jordan Valley', 'no', '0OR6', '', '0OR6', ''),
	('2OG4', 'small_airport', 'El Rancho Airport', 42.331487, -118.650614, 4130, 'US', 'US-OR', 'Fields', 'no', '2OG4', '', '2OG4', ''),
	('97OG', 'small_airport', 'Bybee Field', 43.897934, -116.990433, 2150, 'US', 'US-OR', 'Nyssa', 'no', '97OG', '', '97OG', 'Bybee Air Service'),
	('ID59', 'small_airport', 'Flying A Ranch Airport', 44.81760025024414, -116.06800079345703, 4918, 'US', 'US-ID', 'Lake Fork', 'no', 'ID59', '', 'ID59', ''),
	('KGCD', 'small_airport', 'Grant County Regional Airport / Ogilvie Field', 44.404202, -118.962997, 3703, 'US', 'US-OR', 'John Day', 'no', 'KGCD', 'JDA', 'GCD', '5J0'),
	('ID10', 'closed', 'Anderson-Plummer Airport', 46.924301, -116.958, 2580, 'US', 'US-ID', 'Potlatch', 'no', '', '', '', 'ID10'),
	('12S', 'small_airport', 'Monument Municipal Airport', 44.8317985534668, -119.43000030517578, 2323, 'US', 'US-OR', 'Monument', 'no', '12S', '', '12S', ''),
	('NV09', 'small_airport', 'H Bar H Airport', 39.72439956665039, -119.89900207519531, 5220, 'US', 'US-NV', 'Reno', 'no', 'NV09', '', 'NV09', ''),
	('KTMT', 'N/A', 'N/A', 39.46794457733631, -117.1974527835846, 1746, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NV47', 'closed', 'Palomino Airport', 39.832519, -119.682648, 4240, 'US', 'US-NV', 'Sparks', 'no', '', '', '', 'NV47'),
	('N58', 'small_airport', 'Tiger Field', 39.559600830078125, -119.24099731445313, 4346, 'US', 'US-NV', 'Fernley', 'no', 'KN58', '', 'N58', ''),
	('KRNO', 'large_airport', 'Reno Tahoe International Airport', 39.4991, -119.767998, 4415, 'US', 'US-NV', 'Reno', 'yes', 'KRNO', 'RNO', 'RNO', ''),
	('02NV', 'small_airport', 'Paiute Meadows Airport', 41.299551, -118.926709, 4443, 'US', 'US-NV', 'Winnemucca', 'no', '02NV', '', '02NV', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('E85', 'small_airport', 'Denio Junction Airport', 41.9541015625, -118.63099670410156, 4202, 'US', 'US-NV', 'Denio', 'no', 'E85', '', 'E85', ''),
	('KRTS', 'N/A', 'N/A', 39.66817785054445, -119.87643867731094, 1534, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('26NV', 'small_airport', 'Darrow Field', 39.453426222299996, -118.866330385, 3965, 'US', 'US-NV', 'Fallon', 'no', '26NV', '', '26NV', ''),
	('KSPN', 'N/A', 'N/A', 39.71394773572683, -119.56118658185005, 1511, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLOV', 'N/A', 'N/A', 39.634449407458305, -118.11084687709808, 1070, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('26U', 'small_airport', 'McDermitt State Airport', 42.00953, -117.727261, 4478, 'US', 'US-OR', 'McDermitt', 'no', '', '', '26U', ''),
	('N86', 'small_airport', 'Spanish Springs Airport', 39.66659927368164, -119.7229995727539, 4600, 'US', 'US-NV', 'Reno', 'no', 'N86', '', 'N86', ''),
	('U74', 'small_airport', 'Crescent Valley Airport', 40.41590118408203, -116.56300354003906, 4787, 'US', 'US-NV', 'Crescent Valley', 'no', 'U74', '', 'U74', ''),
	('KBAT', 'N/A', 'N/A', 39.85566928982735, -117.04790890216827, 1794, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('18NV', 'small_airport', 'Empire Airport', 40.580025, -119.35087, 3990, 'US', 'US-NV', 'Empire', 'no', '18NV', '', '18NV', '1A8'),
	('KLOE', 'N/A', 'N/A', 40.190801583230495, -118.4515991806984, 1216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSPZ', 'small_airport', 'Silver Springs Airport', 39.40299987792969, -119.2509994506836, 4269, 'US', 'US-NV', 'Silver Springs', 'no', 'KSPZ', '', 'SPZ', 'Formerly B08'),
	('KFLX', 'small_airport', 'Fallon Municipal Airport', 39.4990997314, -118.749000549, 3963, 'US', 'US-NV', 'Fallon', 'no', 'KFLX', 'FLX', 'FLX', ''),
	('NV05', 'small_airport', 'Soldier Meadow Number 2 Airport', 41.123501, -119.139, 4150, 'US', 'US-NV', 'Gerlach', 'no', 'NV05', '', 'NV05', 'Parman Landing Strip'),
	('NV41', 'small_airport', 'Sulphur Airport', 40.869108, -118.729189, 4068, 'US', 'US-NV', 'Gerlach', 'no', '', '', '', 'NV41'),
	('1NV1', 'small_airport', 'Fallon Southwest Airpark', 39.41529846191406, -118.83699798583984, 3950, 'US', 'US-NV', 'Fallon', 'no', '1NV1', '', '1NV1', ''),
	('KLAK', 'N/A', 'N/A', 41.8568791821599, -119.5934222638607, 1861, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NV68', 'closed', 'Pine Grove Airport', 41.5635, -117.80961, 4250, 'US', 'US-NV', 'Orovada', 'no', '', '', '', 'NV68'),
	('KNFL', 'medium_airport', 'Fallon Naval Air Station', 39.41659927, -118.7009964, 3934, 'US', 'US-NV', 'Fallon', 'no', 'KNFL', 'NFL', 'NFL', 'Van Voorhis Field, Fallon NAS'),
	('KWIE', 'N/A', 'N/A', 41.5509095415473, -119.04760211706161, 1800, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NV16', 'closed', 'Lackerman Ranch Airport', 40.999298, -119.936996, 4706, 'US', 'US-NV', 'Gerlach', 'no', '', '', '', 'NV16'),
	('KLOL', 'medium_airport', 'Derby Field', 40.0663986206, -118.565002441, 3904, 'US', 'US-NV', 'Lovelock', 'no', 'KLOL', 'LOL', 'LOL', ''),
	('NV35', 'small_airport', 'Hudson Airport', 39.54439926147461, -117.7509994506836, 5180, 'US', 'US-NV', 'Austin', 'no', 'NV35', '', 'NV35', ''),
	('77NV', 'small_airport', 'Flying Eagle Airport', 39.84355, -119.6865, 4222, 'US', 'US-NV', 'Reno', 'no', '77NV', '', '77NV', ''),
	('KBAM', 'small_airport', 'Battle Mountain Airport', 40.598999023400005, -116.874000549, 4532, 'US', 'US-NV', 'Battle Mountain', 'no', 'KBAM', 'BAM', 'BAM', 'Lander County Airport'),
	('NV23', 'small_airport', 'Air Sailing Gliderport', 39.86906, -119.703026, 4300, 'US', 'US-NV', 'Sparks', 'no', 'NV23', '', 'NV23', ''),
	('NV12', 'small_airport', 'I-L Ranch Airport', 41.56261, -116.409545, 5368, 'US', 'US-NV', 'Tuscarora', 'no', 'NV12', '', 'NV12', ''),
	('NV96', 'small_airport', 'Rolling Thunder Airport', 39.823563, -119.658331, 4240, 'US', 'US-NV', 'Sparks', 'no', 'NV96', '', 'NV96', ''),
	('88NV', 'small_airport', 'Black Rock City Airport', 40.757303, -119.212861, 3912, 'US', 'US-NV', 'Gerlach', 'no', '88NV', '', '88NV', 'BRC'),
	('47OR', 'small_airport', 'MC Ranch Airport', 42.164902, -119.904999, 4555, 'US', 'US-OR', 'Adel', 'no', '47OR', '', '47OR', ''),
	('NV30', 'small_airport', 'Dixie Valley Airport', 39.964672, -117.827371, 3443, 'US', 'US-NV', 'Fallon', 'no', 'NV30', '', 'NV30', 'Oxbow Geothermal'),
	('NV06', 'small_airport', 'Soldier Meadow Number 1 Airport', 41.382702, -119.168999, 4494, 'US', 'US-NV', 'Gerlach', 'no', 'NV06', '', 'NV06', ''),
	('2NV2', 'small_airport', 'Gibb Ranch Airport', 39.835629, -119.675904, 4242, 'US', 'US-NV', 'Sparks', 'no', '2NV2', '', '2NV2', ''),
	('KWMC', 'medium_airport', 'Winnemucca Municipal Airport', 40.8965988159, -117.805999756, 4308, 'US', 'US-NV', 'Winnemucca', 'no', 'KWMC', 'WMC', 'WMC', ''),
	('NV44', 'closed', 'Justover Field', 39.754584, -119.598167, 4480, 'US', 'US-NV', 'Sparks', 'no', '', '', '', 'NV44'),
	('NV72', 'small_airport', 'Sweetwater (USMC) Airport', 38.509799957300004, -119.217002869, 6837, 'US', 'US-NV', 'Wellington', 'no', 'NV72', '', 'NV72', ''),
	('O80', 'N/A', 'N/A', 37.67728306353092, -118.38928386569023, 1414, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2O7', 'small_airport', 'Independence Airport', 36.815383, -118.204463, 3908, 'US', 'US-CA', 'Independence', 'no', 'K2O7', '', '2O7', ''),
	('KLOO', 'N/A', 'N/A', 36.80724889039993, -117.78177872300148, 416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5CL0', 'small_airport', 'Grupe Ranch Airport', 37.339615, -119.857463, 1625, 'US', 'US-CA', 'Mariposa', 'no', '5CL0', '', '5CL0', ''),
	('42CN', 'small_airport', 'Peg Field', 36.70909881591797, -119.40499877929688, 460, 'US', 'US-CA', 'Reedley', 'no', '42CN', '', '42CN', ''),
	('O26', 'small_airport', 'Lone Pine/Death Valley Airport', 36.588299, -118.052002, 3680, 'US', 'US-CA', 'Lone Pine', 'no', '', '', 'O26', ''),
	('NV50', 'N/A', 'N/A', 37.722058184444904, -117.23636671900749, 1705, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NV33', 'small_airport', 'Farias Wheel Airport', 38.833199, -119.396004, 4848, 'US', 'US-NV', 'Wellington', 'no', 'NV33', '', 'NV33', ''),
	('KGOL', 'N/A', 'N/A', 37.28343453258276, -117.04355299472809, 1227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3Q0', 'small_airport', 'Mina Airport', 38.383301, -118.100998, 4552, 'US', 'US-NV', 'Mina', 'no', '3Q0', '', '3Q0', ''),
	('A34', 'small_airport', 'Dayton Valley Airpark', 39.238581, -119.555023, 4414, 'US', 'US-NV', 'Dayton/Carson City', 'no', '', '', 'A34', 'NV11'),
	('KGOD', 'N/A', 'N/A', 37.68284730613232, -116.62630587816238, 1644, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('O56', 'N/A', 'N/A', 37.925553023815155, -118.40886265039444, 1897, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTPH', 'medium_airport', 'Tonopah Airport', 38.06019974, -117.086998, 5430, 'US', 'US-NV', 'Tonopah', 'no', 'KTPH', 'TPH', 'TPH', ''),
	('0CL0', 'small_airport', 'Yosemite Hidden Lake Ranch Airport', 37.11800003049999, -119.913002014, 500, 'US', 'US-CA', 'Raymond', 'no', '0CL0', '', '0CL0', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('L23', 'small_airport', 'Pahute Mesa Airstrip', 37.102109, -116.312835, 5068, 'US', 'US-NV', 'Mercury', 'no', '', '', 'L23', ''),
	('KFCH', 'small_airport', 'Fresno Chandler Executive Airport', 36.732399, -119.82, 279, 'US', 'US-CA', 'Fresno', 'no', 'KFCH', 'FCH', 'FCH', ''),
	('2Q9', 'small_airport', 'Dyer Airport', 37.60969924926758, -118.00599670410156, 4899, 'US', 'US-NV', 'Dyer', 'no', '2Q9', '', '2Q9', ''),
	('0Q4', 'small_airport', 'Selma Airport', 36.581600189208984, -119.65799713134766, 305, 'US', 'US-CA', 'Selma', 'no', '0Q4', '', '0Q4', ''),
	('KBET', 'N/A', 'N/A', 36.9394801184535, -116.72502413392067, 1048, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NV27', 'small_airport', 'Circle L Ranch Airport', 37.71659851074219, -118.08399963378906, 4835, 'US', 'US-NV', 'Dyer', 'no', 'NV27', '', 'NV27', ''),
	('NV55', 'small_airport', 'Pinenut Airport', 38.89889907836914, -119.64900207519531, 5260, 'US', 'US-NV', 'Gardnerville', 'no', 'NV55', '', 'NV55', ''),
	('O43', 'small_airport', 'Yerington Municipal Airport', 39.0041007996, -119.157997131, 4378, 'US', 'US-NV', 'Yerington', 'no', 'O43', 'EYR', 'O43', ''),
	('NV02', 'small_airport', 'O''Toole Ranch Airport', 39.0669, -117.420312, 6520, 'US', 'US-NV', 'Austin', 'no', 'NV02', '', 'NV02', ''),
	('KFAT', 'medium_airport', 'Fresno Yosemite International Airport', 36.776199, -119.718002, 336, 'US', 'US-CA', 'Fresno', 'yes', 'KFAT', 'FAT', 'FAT', ''),
	('KMEV', 'small_airport', 'Minden-Tahoe Airport', 39.00030136, -119.7509995, 4722, 'US', 'US-NV', 'Minden', 'no', 'KMEV', 'MEV', 'MEV', ''),
	('KGAB', 'N/A', 'N/A', 38.922263905406, -117.9585613310337, 1422, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBTY', 'small_airport', 'Beatty Airport', 36.8610992432, -116.787002563, 3170, 'US', 'US-NV', 'Beatty', 'no', 'KBTY', 'BTY', 'BTY', ''),
	('11CA', 'small_airport', 'Turner Field', 36.673301696777344, -119.72200012207031, 300, 'US', 'US-CA', 'Fowler', 'no', '11CA', '', '11CA', ''),
	('O67', 'N/A', 'N/A', 36.737086325883865, -118.14506694674492, 1167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHTH', 'small_airport', 'Hawthorne Industrial Airport', 38.544399, -118.634002, 4215, 'US', 'US-NV', 'Hawthorne', 'no', 'KHTH', 'HTH', 'HTH', ''),
	('77CA', 'small_airport', 'Daulton Airport', 37.12080001831055, -119.98799896240234, 425, 'US', 'US-CA', 'Madera', 'no', '77CA', '', '77CA', ''),
	('O57', 'small_airport', 'Bryant Field', 38.26386, -119.222775, 6468, 'US', 'US-CA', 'Bridgeport', 'no', '', '', 'O57', 'KBAN'),
	('0CA0', 'closed', 'Drew Medical Center Heliport', 33.923302, -118.241997, 180, 'US', 'US-CA', 'Los Angeles', 'no', '', '', '', '0CA0'),
	('25NV', 'small_airport', 'Parker Carson Airport', 39.201583, -119.683444, 4939, 'US', 'US-NV', 'Carson City', 'no', '', '', '25NV', '2Q5, Parker Carson STOLport'),
	('N59', 'small_airport', 'Rosaschi Air Park', 38.839401, -119.337997, 4809, 'US', 'US-NV', 'Smith', 'no', '', '', 'N59', ''),
	('2Q6', 'N/A', 'N/A', 38.02657674998045, -117.8875569999218, 1414, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('O32', 'small_airport', 'Reedley Municipal Airport', 36.66630172729492, -119.44999694824219, 383, 'US', 'US-CA', 'Reedley', 'no', 'KO32', '', 'O32', ''),
	('KMMH', 'small_airport', 'Mammoth Yosemite Airport', 37.625381, -118.84306, 7135, 'US', 'US-CA', 'Mammoth Lakes', 'yes', 'KMMH', 'MMH', 'MMH', ''),
	('M45', 'small_airport', 'Alpine County Airport', 38.734699249268, -119.76699829102, 5867, 'US', 'US-CA', 'Markleeville', 'no', 'M45', '', 'M45', 'Q82'),
	('0L4', 'small_airport', 'Lida Junction Airport', 37.485801696777344, -117.19100189208984, 4684, 'US', 'US-NV', 'Goldfield', 'no', '0L4', '', '0L4', ''),
	('77CL', 'small_airport', 'Baker & Hall Airport', 36.71770095825195, -119.13700103759766, 2150, 'US', 'US-CA', 'Dunlap', 'no', '77CL', '', '77CL', ''),
	('N15', 'small_airport', 'Kingston Airport', 39.202407, -117.072585, 5950, 'US', 'US-NV', 'Kingston', 'no', 'N15', '', 'N15', ''),
	('NV31', 'small_airport', 'Barker Creek Ranch Airstrip', 38.806067, -117.031503, 6620, 'US', 'US-NV', 'Round Mountain', 'no', 'NV31', '', 'NV31', ''),
	('9CA7', 'small_airport', 'Harris River Ranch Airport', 36.7672004699707, -119.43599700927734, 450, 'US', 'US-CA', 'Sanger', 'no', '9CA7', '', '9CA7', ''),
	('CA13', 'small_airport', 'Reedley College Airport', 36.606871, -119.463526, 350, 'US', 'US-CA', 'Reedley', 'no', 'CA13', '', 'CA13', 'Kings River Community College Airport'),
	('KBIH', 'medium_airport', 'Eastern Sierra Regional Airport', 37.3731, -118.363998, 4124, 'US', 'US-CA', 'Bishop', 'yes', 'KBIH', 'BIH', 'BIH', ''),
	('CA41', 'small_airport', 'Quinn Airport', 36.58330154418945, -119.63999938964844, 310, 'US', 'US-CA', 'Selma', 'no', 'CA41', '', 'CA41', ''),
	('CL24', 'small_airport', 'Kindsvater Ranch Airport', 36.84989929199219, -119.51000213623047, 529, 'US', 'US-CA', 'Clovis', 'no', 'CL24', '', 'CL24', ''),
	('KTHR', 'N/A', 'N/A', 36.643295511603355, -119.00989294052124, 945, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTVL', 'medium_airport', 'Lake Tahoe Airport', 38.89390182495117, -119.99500274658203, 6264, 'US', 'US-CA', 'South Lake Tahoe', 'no', 'KTVL', 'TVL', 'TVL', ''),
	('NV13', 'small_airport', 'Bailey Ranch Airport', 39.282798767089844, -119.8280029296875, 5060, 'US', 'US-NV', 'Carson City', 'no', 'NV13', '', 'NV13', ''),
	('NV83', 'small_airport', 'Hadley Airport', 38.694098, -117.146752, 5744, 'US', 'US-NV', 'Round Mountain', 'no', 'NV83', '', 'NV83', ''),
	('KTOO', 'N/A', 'N/A', 38.133560344576836, -116.61167085170746, 1721, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('U75', 'N/A', 'N/A', 36.63432016968727, -116.41357228159904, 799, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHAA', 'N/A', 'N/A', 38.61434631049633, -119.0028740465641, 1514, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTNX', 'small_airport', 'Tonopah Test Range Airport', 37.7988014221, -116.78099823, 5549, 'US', 'US-NV', 'Tonopah', 'no', 'KTNX', 'XSD', 'TNX', ''),
	('9CA6', 'closed', 'North Valley Airport', 37.869099, -118.095001, 4960, 'US', 'US-NV', 'Dyer', 'no', '', '', '', '9CA6, Bishop'),
	('01NV', 'small_airport', 'Lantana Ranch Airport', 38.76390075683594, -119.0270004272461, 4600, 'US', 'US-NV', 'Yerington', 'no', '01NV', '', '01NV', ''),
	('37CN', 'small_airport', 'Arnold Ranch Airport', 36.914398, -119.786003, 382, 'US', 'US-CA', 'Fresno', 'no', '', '', '', '37CN'),
	('NV56', 'closed', 'Wine Glass Ranch Airport', 38.78619, -117.173342, 5568, 'US', 'US-NV', 'Round Mountain', 'no', '', '', '', 'NV56, Crowell Field'),
	('NV97', 'small_airport', 'Desert Creek Airport', 38.684200286865234, -119.3219985961914, 5358, 'US', 'US-NV', 'Wellington', 'no', 'NV97', '', 'NV97', ''),
	('KCXP', 'small_airport', 'Carson Airport', 39.1922, -119.734001, 4697, 'US', 'US-NV', 'Carson City', 'no', 'KCXP', 'CSN', 'CXP', 'O04, Carson City Airport'),
	('O77', 'N/A', 'N/A', 38.93486391752958, -118.80559980869293, 1273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5CL9', 'small_airport', 'Table Mountain Field', 37.1413, -119.508003, 1280, 'US', 'US-CA', 'Auberry', 'no', '5CL9', '', '5CL9', 'Johnston Field'),
	('43NV', 'small_airport', 'Topaz Ranch Airport', 38.72871, -119.466067, 5066, 'US', 'US-NV', 'Wellington', 'no', '43NV', '', '43NV', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('O24', 'small_airport', 'Lee Vining Airport', 37.9583015442, -119.107002258, 6802, 'US', 'US-CA', 'Lee Vining', 'no', 'O24', '', 'O24', ''),
	('L09', 'small_airport', 'Stovepipe Wells Airport', 36.604099, -117.158997, 25, 'US', 'US-CA', 'Death Valley', 'no', 'KL09', '', 'L09', ''),
	('6CL4', 'small_airport', 'Manzanita Airport', 37.457828, -119.741921, 3020, 'US', 'US-CA', 'Mariposa', 'no', '6CL4', '', '6CL4', ''),
	('O99', 'small_airport', 'Grant Airpark (Olancha Airstrip)', 36.256092, -117.997112, 0, 'US', 'US-CA', 'Olancha', 'no', '', '', 'O99', 'olancha, grant'),
	('KOXR', 'medium_airport', 'Oxnard Airport', 34.200801849365, -119.20700073242, 45, 'US', 'US-CA', 'Oxnard', 'no', 'KOXR', 'OXR', 'OXR', ''),
	('99CL', 'small_airport', 'El Mirage Field Adelanto Airport', 34.62438, -117.600702, 2865, 'US', 'US-CA', 'El Mirage', 'no', '99CL', '', '99CL', ''),
	('CN63', 'small_airport', 'Exeter Airport', 36.243, -119.150002, 340, 'US', 'US-CA', 'Exeter', 'no', 'CN63', '', 'CN63', 'O63'),
	('44CA', 'closed', 'W R Byron Airport', 33.679199, -114.643997, 400, 'US', 'US-CA', 'Blythe', 'no', '', '', '', '44CA'),
	('1Q1', 'small_airport', 'Eckert Field', 36.162498, -119.050003, 426, 'US', 'US-CA', 'Strathmore', 'no', '1Q1', '', '1Q1', ''),
	('02CL', 'small_airport', 'Conover Air Lodge Airport', 34.761101, -119.058998, 5160, 'US', 'US-CA', 'Frazier Park', 'no', '02CL', '', '02CL', '04L'),
	('6CA8', 'small_airport', 'Depue Airport', 34.856232, -117.137303, 2313, 'US', 'US-CA', 'Barstow', 'no', '6CA8', '', '6CA8', 'Lenwood'),
	('KPOC', 'small_airport', 'Brackett Field', 34.091598510742, -117.78199768066, 1011, 'US', 'US-CA', 'La Verne', 'no', 'KPOC', 'POC', 'POC', ''),
	('KCMA', 'large_airport', 'Camarillo International Airport', 34.213699, -119.094002, 77, 'US', 'US-CA', 'Camarillo', 'no', 'KCMA', '', 'CMA', ''),
	('D86', 'small_airport', 'Sequoia Field', 36.448600769043, -119.31900024414, 313, 'US', 'US-CA', 'Visalia', 'no', 'D86', '', 'D86', 'Q31'),
	('KEAL', 'N/A', 'N/A', 35.90861398726702, -119.25359308719635, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('P27', 'small_airport', 'Pixley Airport', 35.960499, -119.307999, 256, 'US', 'US-CA', 'Pixley', 'no', 'P27', '', 'P27', ''),
	('L05', 'small_airport', 'Kern Valley Airport', 35.72829818725586, -118.41999816894531, 2614, 'US', 'US-CA', 'Kernville', 'no', 'KL05', '', 'L05', ''),
	('KMAD', 'N/A', 'N/A', 35.05373362451792, -119.41124260425568, 296, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('24CL', 'small_airport', 'Boswell Airport', 36.088444, -119.541392, 205, 'US', 'US-CA', 'Corcoran', 'no', '24CL', '', '24CL', 'Salyer Farms'),
	('KONT', 'large_airport', 'Ontario International Airport', 34.056, -117.600998, 944, 'US', 'US-CA', 'Ontario', 'yes', 'KONT', 'ONT', 'ONT', ''),
	('L62', 'small_airport', 'Elk Hills Buttonwillow Airport', 35.352699279785156, -119.47899627685547, 326, 'US', 'US-CA', 'Buttonwillow', 'no', 'KL62', '', 'L62', ''),
	('L94', 'small_airport', 'Mountain Valley Airport', 35.101101, -118.422997, 4220, 'US', 'US-CA', 'Tehachapi', 'no', 'KL94', '', 'L94', ''),
	('KSMO', 'medium_airport', 'Santa Monica Municipal Airport', 34.0158, -118.450996, 170, 'US', 'US-CA', 'Santa Monica', 'no', 'KSMO', 'SMO', 'SMO', 'Clover Field'),
	('2CN8', 'small_airport', 'Lake Arrowhead Airport', 34.304167, -117.151389, 4610, 'US', 'US-CA', 'Lake Arrowhead', 'no', '2CN8', '', '2CN8', ''),
	('KMHV', 'small_airport', 'Mojave Airport', 35.05939865, -118.1520004, 2801, 'US', 'US-CA', 'Mojave', 'no', 'KMHV', 'MHV', 'MHV', ''),
	('KWJF', 'medium_airport', 'General William J Fox Airfield', 34.7411, -118.219002, 2351, 'US', 'US-CA', 'Lancaster', 'no', 'KWJF', 'WJF', 'WJF', ''),
	('KSEL', 'N/A', 'N/A', 36.338210329413414, -117.46772333979607, 592, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KNID', 'medium_airport', 'China Lake Naws (Armitage Field) Airport', 35.6853981, -117.6920013, 2283, 'US', 'US-CA', 'China Lake', 'no', 'KNID', '', 'NID', ''),
	('KTSP', 'small_airport', 'Tehachapi Municipal Airport', 35.134998321533, -118.43900299072, 4001, 'US', 'US-CA', 'Tehachapi', 'no', 'KTSP', 'TSP', 'TSP', ''),
	('KHHR', 'medium_airport', 'Jack Northrop Field Hawthorne Municipal Airport', 33.922798, -118.334999, 66, 'US', 'US-CA', 'Hawthorne', 'yes', 'KHHR', 'HHR', 'HHR', ''),
	('KWAS', 'N/A', 'N/A', 35.59008255600929, -119.48551967740059, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('28CL', 'closed', 'Borax Heliport', 35.030498, -117.708, 2400, 'US', 'US-CA', 'Boron', 'no', '', '', '', '28CL, US Borax Airstrip'),
	('51CA', 'small_airport', 'Kelly Airport', 34.42359924316406, -116.61699676513672, 2806, 'US', 'US-CA', 'Lucerne Valley', 'no', '51CA', '', '51CA', ''),
	('6CA7', 'closed', 'J & J Crop Dusters Inc Airport', 35.180093, -118.855967, 388, 'US', 'US-CA', 'Arvin', 'no', '', '', '', '6CA7'),
	('65CL', 'small_airport', 'Al Divine Airport', 36.514400482177734, -119.76399993896484, 252, 'US', 'US-CA', 'Caruthers', 'no', '65CL', '', '65CL', ''),
	('KBYS', 'medium_airport', 'Bicycle Lake Army Air Field', 35.2804985046, -116.629997253, 2350, 'US', 'US-CA', 'Fort Irwin/Barstow', 'no', 'KBYS', 'BYS', 'BYS', ''),
	('27CA', 'small_airport', 'Holiday Ranch Airport', 34.561100006103516, -117.08100128173828, 3260, 'US', 'US-CA', 'Apple Valley', 'no', '27CA', '', '27CA', ''),
	('KVNY', 'medium_airport', 'Van Nuys Airport', 34.209800720215, -118.48999786377, 802, 'US', 'US-CA', 'Van Nuys', 'no', 'KVNY', 'VNY', 'VNY', ''),
	('5CL8', 'small_airport', 'Creekside Airport', 35.17610168457031, -118.9229965209961, 335, 'US', 'US-CA', 'Arvin', 'no', '5CL8', '', '5CL8', ''),
	('L80', 'closed', 'Roy Williams Airport', 34.154202, -116.251999, 2464, 'US', 'US-CA', 'Joshua Tree', 'no', '', '', '', 'Hi Desert, K Field, L80'),
	('CN15', 'small_airport', 'Vineyard Oaks Farm Airport', 36.36920166015625, -119.78600311279297, 210, 'US', 'US-CA', 'Lemore', 'no', 'CN15', '', 'CN15', ''),
	('0CL6', 'small_airport', 'Bohunk''s Airpark', 34.694584, -118.277106, 2410, 'US', 'US-CA', 'Lancaster', 'no', '0CL6', '', '0CL6', ''),
	('87CA', 'closed', 'Swanson Ranch Nr 1 Airport', 36.399899, -119.617995, 248, 'US', 'US-CA', 'Hanford', 'no', '', '', '', '87CA'),
	('KNLC', 'medium_airport', 'Lemoore Naval Air Station (Reeves Field) Airport', 36.33300018, -119.9520035, 232, 'US', 'US-CA', 'Lemoore', 'no', 'KNLC', 'NLC', 'NLC', ''),
	('KPSP', 'medium_airport', 'Palm Springs International Airport', 33.8297, -116.507004, 477, 'US', 'US-CA', 'Palm Springs', 'yes', 'KPSP', 'PSP', 'PSP', 'Palm Springs Air Base'),
	('KCCB', 'small_airport', 'Cable Airport', 34.1115989685, -117.68800354, 1444, 'US', 'US-CA', 'Upland', 'no', 'KCCB', 'CCB', 'CCB', ''),
	('L67', 'N/A', 'N/A', 34.1294564679265, -117.40116253495216, 438, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('L35', 'small_airport', 'Big Bear City Airport', 34.263802, -116.856003, 6752, 'US', 'US-CA', 'Big Bear', 'no', 'KL35', 'RBF', 'L35', ''),
	('91CL', 'closed', 'Sacatar Meadows Airport', 35.989899, -118.080002, 6427, 'US', 'US-CA', 'Inyokern', 'no', '', '', '', '91CL'),
	('KBFL', 'medium_airport', 'Meadows Field', 35.433601, -119.056999, 510, 'US', 'US-CA', 'Bakersfield', 'yes', 'KBFL', 'BFL', 'BFL', ''),
	('CL13', 'small_airport', 'Brian Ranch Airport', 34.51530075073242, -117.76200103759766, 3230, 'US', 'US-CA', 'Palmdale', 'no', 'CL13', '', 'CL13', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KDAG', 'medium_airport', 'Barstow Daggett Airport', 34.85369873, -116.7870026, 1930, 'US', 'US-CA', 'Daggett', 'no', 'KDAG', 'DAG', 'DAG', ''),
	('KCNO', 'small_airport', 'Chino Airport', 33.97470093, -117.637001, 650, 'US', 'US-CA', 'Chino', 'no', 'KCNO', 'CNO', 'CNO', ''),
	('CL25', 'small_airport', '7R Ranch Airport', 34.935552, -119.451901, 3176, 'US', 'US-CA', 'New Cuyama', 'no', 'CL25', '', 'CL25', ''),
	('L88', 'small_airport', 'New Cuyama Airport', 34.9375, -119.68800354003906, 2203, 'US', 'US-CA', 'New Cuyama', 'no', 'KL88', '', 'L88', ''),
	('KEDW', 'medium_airport', 'Edwards Air Force Base', 34.905399, -117.884003, 2312, 'US', 'US-CA', 'Edwards', 'no', 'KEDW', 'EDW', 'EDW', ''),
	('5CN4', 'small_airport', 'Vosburgh Airfield', 34.9225, -119.57118, 2349, 'US', 'US-CA', 'New Cuyama', 'no', '5CN4', '', '5CN4', ''),
	('1CL2', 'small_airport', 'Pontious Airport', 34.942501068115234, -118.16999816894531, 2610, 'US', 'US-CA', 'Mojave', 'no', '1CL2', '', '1CL2', ''),
	('KLGB', 'medium_airport', 'Long Beach Airport (Daugherty Field)', 33.816523, -118.149891, 60, 'US', 'US-CA', 'Long Beach', 'yes', 'KLGB', 'LGB', 'LGB', 'Daugherty Field'),
	('L26', 'small_airport', 'Hesperia Airport', 34.377201, -117.316002, 3390, 'US', 'US-CA', 'Hesperia', 'no', 'KL26', '', 'L26', ''),
	('12CL', 'small_airport', 'Newton Field', 36.156898498535156, -119.8499984741211, 194, 'US', 'US-CA', 'Stratford', 'no', '12CL', '', '12CL', ''),
	('57CL', 'small_airport', 'Boron Airstrip', 35.00360107421875, -117.60700225830078, 2499, 'US', 'US-CA', 'Boron', 'no', '57CL', '', '57CL', ''),
	('O42', 'small_airport', 'Woodlake Airport', 36.398799896240234, -119.10700225830078, 425, 'US', 'US-CA', 'Woodlake', 'no', 'KO42', '', 'O42', ''),
	('L71', 'small_airport', 'California City Municipal Airport', 35.15119934082031, -118.01699829101563, 2454, 'US', 'US-CA', 'California City', 'no', 'KL71', '', 'L71', ''),
	('L22', 'small_airport', 'Yucca Valley Airport', 34.129659, -116.407411, 3224, 'US', 'US-CA', 'Yucca Valley', 'no', 'KL22', '', 'L22', ''),
	('L17', 'small_airport', 'Taft Kern County Airport', 35.14147, -119.438624, 875, 'US', 'US-CA', 'Taft', 'no', 'KL17', '', 'L17', ''),
	('68CL', 'closed', 'El Rico Airport', 36.042542, -119.64622, 181, 'US', 'US-CA', 'Corcoran', 'no', '', '', '', '68CL'),
	('CA05', 'small_airport', 'Machado Dusters Airport', 36.16019821166992, -119.81300354003906, 192, 'US', 'US-CA', 'Stratford', 'no', 'CA05', '', 'CA05', ''),
	('KIYK', 'small_airport', 'Inyokern Airport', 35.65879822, -117.8300018, 2457, 'US', 'US-CA', 'Inyokern', 'no', 'KIYK', 'IYK', 'IYK', ''),
	('L06', 'small_airport', 'Furnace Creek Airport', 36.463799, -116.880997, -210, 'US', 'US-CA', 'Death Valley', 'no', '', 'DTH', 'L06', ''),
	('CA40', 'small_airport', 'Central Valley Aviation Inc Airport', 36.52130126953125, -119.66999816894531, 276, 'US', 'US-CA', 'Selma', 'no', 'CA40', '', 'CA40', ''),
	('KMIT', 'small_airport', 'Shafter Airport - Minter Field', 35.507401, -119.192002, 424, 'US', 'US-CA', 'Shafter', 'no', 'KMIT', 'MIT', 'MIT', 'Lerdo Field, Minter Field AAF'),
	('L19', 'small_airport', 'Wasco Kern County Airport', 35.61970138549805, -119.35399627685547, 313, 'US', 'US-CA', 'Wasco', 'no', 'KL19', '', 'L19', ''),
	('7CA1', 'small_airport', 'Abraham Ranch Airport', 34.41469955444336, -116.62300109863281, 2850, 'US', 'US-CA', 'Lucerne Valley', 'no', '7CA1', '', '7CA1', ''),
	('92CA', 'small_airport', 'Westlake Farms Airport', 36.12080001831055, -119.88800048828125, 192, 'US', 'US-CA', 'Stratford', 'no', '92CA', '', '92CA', ''),
	('81CA', 'closed', '7-M Ranch Airport', 38.731602, -122.563004, 1153, 'US', 'US-CA', 'Middletown', 'no', '', '', '', '81CA'),
	('CN23', 'small_airport', 'Harvard Airport', 34.961700439453125, -116.67500305175781, 1825, 'US', 'US-CA', 'Yermo', 'no', 'CN23', '', 'CN23', ''),
	('CA70', 'small_airport', 'Sun Hill Ranch Airport', 34.757999420166016, -117.49700164794922, 2984, 'US', 'US-CA', 'Helendale', 'no', 'CA70', '', 'CA70', ''),
	('KMAB', 'N/A', 'N/A', 35.06519269198179, -119.40786391496658, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPTV', 'small_airport', 'Porterville Municipal Airport', 36.029598236084, -119.06300354004, 442, 'US', 'US-CA', 'Porterville', 'no', 'KPTV', 'PTV', 'PTV', 'Porterville AAF'),
	('KWOD', 'N/A', 'N/A', 36.152425445616245, -119.24598723649979, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('L70', 'small_airport', 'Agua Dulce Airpark', 34.503616, -118.312926, 2660, 'US', 'US-CA', 'Agua Dulce', 'no', '', '', 'L70', ''),
	('19CL', 'closed', 'Palisades Ranch Airport', 34.7122, -117.350999, 2510, 'US', 'US-CA', 'Helendale', 'no', '', '', '', '19CL'),
	('6CA5', 'small_airport', 'Valley Vista Airport', 34.33720016479492, -116.58000183105469, 3370, 'US', 'US-CA', 'Yucca Valley', 'no', '6CA5', '', '6CA5', ''),
	('8CA0', 'small_airport', 'Osborne Airport', 34.583793, -117.266693, 2900, 'US', 'US-CA', 'Victorville', 'no', '8CA0', '', '8CA0', ''),
	('KBUR', 'medium_airport', 'Hollywood Burbank Airport', 34.197703, -118.356378, 778, 'US', 'US-CA', 'Burbank', 'yes', 'KBUR', 'BUR', 'BUR', 'Bob Hope'),
	('11CL', 'small_airport', 'Hansen Airport', 34.630001068115234, -117.65299987792969, 2885, 'US', 'US-CA', 'Adelanto', 'no', '11CL', '', '11CL', ''),
	('1CA1', 'small_airport', 'Belridge Strip', 35.467905, -119.72203, 575, 'US', 'US-CA', 'McKittrick', 'no', '', '', '', '1CA1'),
	('CL46', 'small_airport', 'Quail Lake Sky Park Airport', 34.767799377441406, -118.73200225830078, 3370, 'US', 'US-CA', 'Gorman/Lancaster', 'no', 'CL46', '', 'CL46', ''),
	('KAPV', 'small_airport', 'Apple Valley Airport', 34.575298309299995, -117.185997009, 3062, 'US', 'US-CA', 'Apple Valley', 'no', 'KAPV', 'APV', 'APV', ''),
	('KNTD', 'medium_airport', 'Point Mugu Naval Air Station (Naval Base Ventura Co)', 34.120300293, -119.121002197, 13, 'US', 'US-CA', 'Point Mugu', 'no', 'KNTD', 'NTD', 'NTD', ''),
	('KTOA', 'small_airport', 'Zamperini Field', 33.803398132324, -118.33999633789, 103, 'US', 'US-CA', 'Torrance', 'no', 'KTOA', 'TOA', 'TOA', ''),
	('KAJO', 'small_airport', 'Corona Municipal Airport', 33.897701, -117.601997, 533, 'US', 'US-CA', 'Corona', 'no', 'KAJO', '', 'AJO', 'L66'),
	('46CN', 'small_airport', 'Crystal Airport', 34.484781, -117.825898, 3420, 'US', 'US-CA', 'Llano', 'no', '46CN', '', '46CN', ''),
	('KCAI', 'N/A', 'N/A', 34.177253767848015, -119.03459742665291, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLAX', 'large_airport', 'Los Angeles International Airport', 33.942501, -118.407997, 125, 'US', 'US-CA', 'Los Angeles', 'yes', 'KLAX', 'LAX', 'LAX', 'Tom Bradley'),
	('KRAL', 'medium_airport', 'Riverside Municipal Airport', 33.9519, -117.445, 819, 'US', 'US-CA', 'Riverside', 'no', 'KRAL', 'RAL', 'RAL', 'Riverside Arlington'),
	('0CL1', 'small_airport', 'Krey Field Airport', 34.5694007874, -117.555999756, 3042, 'US', 'US-CA', 'Adelanto', 'no', '0CL1', '', '0CL1', ''),
	('9L2', 'small_airport', 'Edwards Af Aux North Base Airport', 34.99079895019531, -117.86299896240234, 2299, 'US', 'US-CA', 'Edwards', 'no', 'K9L2', '', '9L2', ''),
	('L72', 'small_airport', 'Trona Airport', 35.8125, -117.327003479, 1716, 'US', 'US-CA', 'Trona', 'no', 'L72', 'TRH', 'L72', ''),
	('70CL', 'small_airport', 'Amargosa Airport', 36.295799255371094, -116.4260025024414, 2037, 'US', 'US-CA', 'Death Valley Junction', 'no', '70CL', '', '70CL', ''),
	('CA97', 'small_airport', 'Christy Airstrip', 34.01888, -119.851625, 250, 'US', 'US-CA', 'Santa Cruz Island', 'no', 'CA97', '', 'CA97', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('L45', 'medium_airport', 'Bakersfield International Airport', 35.324799, -118.996002, 378, 'US', 'US-CA', 'Bakersfield', 'no', '', '', 'L45', ''),
	('KHJO', 'small_airport', 'Hanford Municipal Airport', 36.31669998, -119.6279984, 240, 'US', 'US-CA', 'Hanford', 'no', 'KHJO', '', 'HJO', ''),
	('KDLO', 'small_airport', 'Delano Municipal Airport', 35.745601654052734, -119.23699951171875, 314, 'US', 'US-CA', 'Delano', 'no', 'KDLO', '', 'DLO', ''),
	('6CL0', 'closed', 'Majors Airport', 35.5261, -119.101997, 640, 'US', 'US-CA', 'Bakersfield', 'no', '', '', '', '6CL0'),
	('KMAP', 'N/A', 'N/A', 35.09095799177885, -119.35342848300934, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLAT', 'N/A', 'N/A', 34.715404473245144, -118.10196563601494, 717, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('00CA', 'small_airport', 'Goldstone (GTS) Airport', 35.35474, -116.885329, 3038, 'US', 'US-CA', 'Barstow', 'no', '00CA', '', '00CA', ''),
	('KSBA', 'medium_airport', 'Santa Barbara Municipal Airport', 34.426201, -119.839996, 13, 'US', 'US-CA', 'Santa Barbara', 'yes', 'KSBA', 'SBA', 'SBA', ''),
	('KHOO', 'N/A', 'N/A', 36.26686591655016, -119.54335883259773, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBNG', 'small_airport', 'Banning Municipal Airport', 33.922548, -116.850672, 2219, 'US', 'US-CA', 'Banning', 'no', 'KBNG', 'BNG', 'BNG', 'banning'),
	('43CN', 'closed', 'Mazza Airport', 38.1852, -122.601997, 20, 'US', 'US-CA', 'Petaluma', 'no', '', '', '', '43CN'),
	('KFUL', 'small_airport', 'Fullerton Municipal Airport', 33.8720016479, -117.980003357, 96, 'US', 'US-CA', 'Fullerton', 'no', 'KFUL', 'FUL', 'FUL', ''),
	('CA44', 'small_airport', 'Sequoia Ranch Airport', 36.149898529052734, -118.802001953125, 1153, 'US', 'US-CA', 'Springville', 'no', 'CA44', '', 'CA44', ''),
	('2CN4', 'small_airport', 'Wonderful Pistachios & Almonds Airport', 35.664623, -119.893518, 617, 'US', 'US-CA', 'Lost Hills', 'no', '2CN4', '', '2CN4', '7CA0, Paramount Farms'),
	('KSBD', 'medium_airport', 'San Bernardino International Airport', 34.095402, -117.235001, 1159, 'US', 'US-CA', 'San Bernardino', 'yes', 'KSBD', 'SBD', 'SBD', 'Norton AFB, San Bernardino Air Depot'),
	('KVCV', 'small_airport', 'Southern California Logistics Airport', 34.597499847399995, -117.383003235, 2885, 'US', 'US-CA', 'Victorville', 'no', 'KVCV', 'VCV', 'VCV', 'George AFB, Victorville Airport'),
	('CL74', 'small_airport', 'Skyotee Ranch Airport', 34.83190155029297, -118.4010009765625, 2600, 'US', 'US-CA', 'Rosamond', 'no', 'CL74', '', 'CL74', ''),
	('2CA8', 'small_airport', 'B & E Ranch Airport', 34.42060089111328, -116.61100006103516, 2793, 'US', 'US-CA', 'Yucca Valley', 'no', '2CA8', '', '2CA8', ''),
	('KPAR', 'N/A', 'N/A', 36.35826084762812, -116.29555016756058, 671, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KREI', 'small_airport', 'Redlands Municipal Airport', 34.08530044555664, -117.14600372314453, 1571, 'US', 'US-CA', 'Redlands', 'no', 'KREI', '', 'REI', 'Formerly L12'),
	('9CL5', 'closed', 'Blair Strip', 36.27619, -119.641789, 231, 'US', 'US-CA', 'Hanford', 'no', '', '', '', '9CL5'),
	('KKIN', 'N/A', 'N/A', 36.47820923477411, -119.5195198059082, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTLR', 'small_airport', 'Mefford Field', 36.15629959, -119.3259964, 265, 'US', 'US-CA', 'Tulare', 'no', 'KTLR', 'TLR', 'TLR', ''),
	('1CL1', 'small_airport', 'Little Buttes Antique Airfield', 34.79410171508789, -118.27799987792969, 2433, 'US', 'US-CA', 'Lancaster', 'no', '1CL1', '', '1CL1', ''),
	('0CL8', 'small_airport', 'Tera Ultralightport', 35.591104, -117.631323, 2510, 'US', 'US-CA', 'Ridgecrest', 'no', '0CL8', '', '0CL8', ''),
	('CN37', 'small_airport', 'Kelso Valley Airport', 35.38130188, -118.2310028, 4047, 'US', 'US-CA', 'Mojave', 'no', 'CN37', '', 'CN37', ''),
	('KRIR', 'small_airport', 'Flabob Airport', 33.9897, -117.411003, 764, 'US', 'US-CA', 'Riverside', 'no', 'KRIR', 'RIR', 'RIR', ''),
	('32CA', 'small_airport', 'Stone Airstrip', 36.331538, -119.825177, 220, 'US', 'US-CA', 'Lemoore', 'no', '32CA', '', '32CA', ''),
	('KPMD', 'medium_airport', 'Palmdale Regional Airport / USAF Plant 42 Airport', 34.629398, -118.084999, 2543, 'US', 'US-CA', 'Palmdale', 'no', 'KPMD', 'PMD', 'PMD', ''),
	('L84', 'N/A', 'N/A', 35.62484331429005, -119.6860733628273, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('97CA', 'closed', 'Tejon Agricultural Airport', 34.989101, -118.915001, 1065, 'US', 'US-CA', 'Lebec', 'no', '', '', '', '97CA'),
	('L65', 'small_airport', 'Perris Valley Airport', 33.760899, -117.218002, 1413, 'US', 'US-CA', 'Perris', 'no', 'KL65', '', 'L65', ''),
	('CA49', 'small_airport', 'Jones Farms Airport', 36.2041015625, -119.84100341796875, 199, 'US', 'US-CA', 'Stratford', 'no', 'CA49', '', 'CA49', ''),
	('KELC', 'N/A', 'N/A', 33.78067273646593, -117.46985524892807, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTEH', 'N/A', 'N/A', 34.961467646062374, -118.48794311285019, 1265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('04CA', 'small_airport', 'Gray Butte Field', 34.566631, -117.670666, 3020, 'US', 'US-CA', 'Palmdale', 'no', '04CA', '', '04CA', 'KGXA, GXA'),
	('KBUO', 'N/A', 'N/A', 35.43202165514231, -119.48606818914413, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('52CL', 'small_airport', 'Adelanto Airport', 34.537498474121, -117.46099853516, 3075, 'US', 'US-CA', 'Adelanto', 'no', '52CL', '', '52CL', '2L9'),
	('8CL0', 'small_airport', 'Nichols Farms Airport', 34.58890151977539, -117.82599639892578, 2700, 'US', 'US-CA', 'Palmdale', 'no', '8CL0', '', '8CL0', ''),
	('33CA', 'closed', 'Lloyd''s Landing Airport', 34.905499, -118.302002, 2690, 'US', 'US-CA', 'Rosamond', 'no', '', '', '', '33CA'),
	('KVIS', 'medium_airport', 'Visalia Municipal Airport', 36.318699, -119.392998, 295, 'US', 'US-CA', 'Visalia', 'no', 'KVIS', 'VIS', 'VIS', ''),
	('KRIH', 'N/A', 'N/A', 35.73631055653095, -119.11650225520134, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEMT', 'small_airport', 'San Gabriel Valley Airport', 34.086102, -118.035004, 296, 'US', 'US-CA', 'El Monte', 'no', 'KEMT', 'EMT', 'EMT', 'El Monte Airport'),
	('KSLI', 'medium_airport', 'Los Alamitos Army Air Field', 33.79000092, -118.052002, 32, 'US', 'US-CA', 'Los Alamitos', 'no', 'KSLI', '', 'SLI', ''),
	('62CL', 'small_airport', 'Flying Pear Ranch Airport', 35.407172, -118.501072, 3485, 'US', 'US-CA', 'Caliente', 'no', '62CL', '', '62CL', 'Flying S'),
	('KWHP', 'small_airport', 'Whiteman Airport', 34.2593, -118.413002, 1003, 'US', 'US-CA', 'Pacoima', 'no', 'KWHP', 'WHP', 'WHP', ''),
	('36CA', 'small_airport', 'Stone Land County Airport', 36.131900787353516, -119.98600006103516, 265, 'US', 'US-CA', 'Stratford', 'no', '36CA', '', '36CA', ''),
	('7CA2', 'small_airport', 'Paradise Lakes Airport', 35.176700592041016, -118.927001953125, 340, 'US', 'US-CA', 'Bakersfield', 'no', '7CA2', '', '7CA2', ''),
	('L73', 'small_airport', 'Poso Kern County Airport', 35.59659957885742, -119.12799835205078, 635, 'US', 'US-CA', 'Famoso', 'no', 'KL73', '', 'L73', ''),
	('KCPM', 'small_airport', 'Compton Woodley Airport', 33.8899993896, -118.244003296, 97, 'US', 'US-CA', 'Compton', 'no', 'KCPM', 'CPM', 'CPM', ''),
	('KMAG', 'N/A', 'N/A', 35.10668311268091, -119.3070387840271, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KBAR', 'N/A', 'N/A', 35.28488773852587, -117.10135012865067, 935, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('L00', 'small_airport', 'Rosamond Skypark Airport', 34.8708, -118.209, 2415, 'US', 'US-CA', 'Rosamond', 'no', 'KL00', '', 'L00', ''),
	('KSZP', 'N/A', 'N/A', 34.34701681137085, -119.06161665916443, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRIV', 'medium_airport', 'March Air Reserve Base', 33.880699, -117.259003, 1536, 'US', 'US-CA', 'Riverside', 'no', 'KRIV', 'RIV', 'RIV', ''),
	('O64', 'heliport', 'Port of Catoosa Heliport', 36.230841, -95.73968, 601, 'US', 'US-OK', 'Catoosa', 'no', 'O64', '', 'O64', ''),
	('L61', 'small_airport', 'Shoshone Airport', 35.968601, -116.268997, 1568, 'US', 'US-CA', 'Shoshone', 'no', 'L61', '', 'L61', ''),
	('KJUL', 'N/A', 'N/A', 33.00017807632685, -116.47463500499725, 722, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CA76', 'small_airport', 'Flying T Ranch Airport', 33.0703010559082, -116.75199890136719, 2500, 'US', 'US-CA', 'Ramona', 'no', 'CA76', '', 'CA76', ''),
	('KPII', 'N/A', 'N/A', 32.88988195359707, -116.27683237195015, 465, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSAN', 'large_airport', 'San Diego International Airport', 32.7336006165, -117.190002441, 17, 'US', 'US-CA', 'San Diego', 'yes', 'KSAN', 'SAN', 'SAN', 'Lindbergh Field'),
	('KCRQ', 'medium_airport', 'McClellan-Palomar Airport', 33.1283, -117.279999, 331, 'US', 'US-CA', 'Carlsbad', 'yes', 'KCRQ', 'CLD', 'CRQ', ''),
	('37CA', 'small_airport', 'Billy Joe Airport', 33.50699996948242, -117.07099914550781, 1350, 'US', 'US-CA', 'Temecula', 'no', '37CA', '', '37CA', ''),
	('F70', 'small_airport', 'French Valley Airport', 33.5742, -117.127998, 1350, 'US', 'US-CA', 'Murrieta', 'no', 'KF70', 'RBK', 'F70', ''),
	('86CL', 'small_airport', 'Ernst Field', 33.597198486328125, -116.88300323486328, 2860, 'US', 'US-CA', 'Hemet', 'no', '86CL', '', '86CL', ''),
	('KNRS', 'small_airport', 'Naval Outlying Field Imperial Beach (Ream Field)', 32.5667, -117.116997, 24, 'US', 'US-CA', 'Imperial Beach', 'no', 'KNRS', 'NRS', 'NRS', 'NAAS Imperial Beach, NAS Imperial Beach'),
	('0CL3', 'small_airport', 'John Nichols Field Airport', 32.633457, -116.890565, 490, 'US', 'US-CA', 'Jamul', 'no', '0CL3', '', '0CL3', ''),
	('KNUC', 'small_airport', 'San Clemente Island Naval Auxiliary Landing Field', 33.02270126, -118.5879974, 184, 'US', 'US-CA', 'San Clemente Island', 'no', 'KNUC', '', 'NUC', ''),
	('KNZY', 'medium_airport', 'North Island Naval Air Station-Halsey Field', 32.69919968, -117.2149963, 26, 'US', 'US-CA', 'San Diego', 'no', 'KNZY', 'NZY', 'NZY', ''),
	('2CA4', 'small_airport', 'Blackinton Airport', 33.2588996887207, -117.09200286865234, 1156, 'US', 'US-CA', 'Valley Center', 'no', '2CA4', '', '2CA4', ''),
	('CA75', 'small_airport', 'Reider Ranch Airport', 32.638646, -116.640866, 2655, 'US', 'US-CA', 'Potrero', 'no', '', '', '', 'CA75'),
	('0CA8', 'closed', 'Ward Ranch Airport', 33.413347, -116.843255, 2500, 'US', 'US-CA', 'Aguanga', 'no', '', '', '', '0CA8'),
	('KRNM', 'small_airport', 'Ramona Airport', 33.0392, -116.915001, 1395, 'US', 'US-CA', 'Ramona', 'no', 'KRNM', '', 'RNM', 'L39'),
	('KSEE', 'small_airport', 'Gillespie Field', 32.826198577881, -116.97200012207, 388, 'US', 'US-CA', 'San Diego/El Cajon', 'no', 'KSEE', 'SEE', 'SEE', ''),
	('MXSC', 'N/A', 'N/A', 31.58158790320158, -116.65116280317307, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CA42', 'small_airport', 'McConville Airstrip', 33.644146, -117.429457, 2600, 'US', 'US-CA', 'Lake Elsinore', 'no', 'CA42', '', 'CA42', ''),
	('KNFG', 'medium_airport', 'Camp Pendleton MCAS (Munn Field) Airport', 33.30130005, -117.3550034, 78, 'US', 'US-CA', 'Oceanside', 'no', 'KNFG', '', 'NFG', 'Camp Pendleton MCAS'),
	('KOKB', 'small_airport', 'Oceanside Municipal Airport', 33.217947, -117.351683, 28, 'US', 'US-CA', 'Oceanside', 'no', 'KOKB', 'OCN', 'OKB', 'Bob Maxwell Field'),
	('54CL', 'small_airport', 'Lake Riverside Estates Airport', 33.52090072631836, -116.7969970703125, 3410, 'US', 'US-CA', 'Anza', 'no', '54CL', '', '54CL', ''),
	('MMTJ', 'large_airport', 'Aeropuerto Internacional Gral. Abelardo Rodriguez', 32.545963, -116.975856, 489, 'MX', 'MX-BCN', 'Ciudad de Tijuana', 'yes', 'MMTJ', 'TIJ', '', ''),
	('8CA5', 'closed', 'Pines Airpark', 33.645599, -117.109333, 1420, 'US', 'US-CA', 'Winchester', 'no', '', '', '', '8CA5'),
	('KMUE', 'N/A', 'N/A', 33.564617447555065, -117.23924070596695, 344, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('04CL', 'small_airport', 'Hunt''s Sky Ranch Airport', 33.08169937133789, -116.44100189208984, 2310, 'US', 'US-CA', 'Julian', 'no', '04CL', '', '04CL', ''),
	('MMES', 'small_airport', 'Aeropuerto Internacional de Ensenada', 31.795175, -116.60265, 66, 'MX', 'MX-BCN', 'Ensenada', 'yes', 'MMES', 'ESE', 'ENS', '"El Ciprés" Military Airbase Number 3, Gral. Alberto L. Salinas Carranza'),
	('KNSI', 'small_airport', 'San Nicolas Island Nolf Airport', 33.23979949951172, -119.45800018310547, 506, 'US', 'US-CA', 'San Nicolas Island', 'no', 'KNSI', '', 'NSI', ''),
	('58CL', 'small_airport', 'Borrego Air Ranch Airport', 33.1917, -116.276001, 575, 'US', 'US-CA', 'Borrego Springs', 'no', '58CL', '', '58CL', ''),
	('MXDL', 'N/A', 'N/A', 32.69684236496687, -116.26892566680908, 1100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2CN3', 'small_airport', 'Tenaja Valley Airport', 33.511111, -117.328611, 2350, 'US', 'US-CA', 'Murrieta', 'no', '2CN3', '', '2CN3', ''),
	('KMYF', 'small_airport', 'Montgomery-Gibbs Executive Airport', 32.8157, -117.139999, 427, 'US', 'US-CA', 'San Diego', 'no', 'KMYF', 'MYF', 'MYF', 'Montgomery Field'),
	('KNXF', 'N/A', 'N/A', 33.285664692521095, -117.45648846030235, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('L18', 'small_airport', 'Fallbrook Community Airpark', 33.35419845581055, -117.2509994506836, 708, 'US', 'US-CA', 'Fallbrook', 'no', 'L18', '', 'L18', ''),
	('25CA', 'small_airport', 'Loma Madera Ranch Airport', 33.17919921875, -116.79299926757813, 3375, 'US', 'US-CA', 'Santa Ysabel', 'no', '25CA', '', '25CA', ''),
	('0CA5', 'small_airport', 'Hoffman Private Airport', 33.14310073852539, -116.74500274658203, 3100, 'US', 'US-CA', 'Santa Ysabel', 'no', '0CA5', '', '0CA5', ''),
	('CA89', 'small_airport', 'Skylark Airport', 33.632272, -117.300868, 1253, 'US', 'US-CA', 'Lake Elsinore', 'no', 'CA89', '', 'CA89', 'Skylark Field'),
	('46CA', 'closed', 'Rancho Vallecito Airport', 32.970901, -116.408997, 1680, 'US', 'US-CA', 'Julian', 'no', '', '', '', '46CA'),
	('KUDD', 'small_airport', 'Bermuda Dunes Airport', 33.748492, -116.275027, 73, 'US', 'US-CA', 'Bermuda Dunes', 'no', 'KUDD', 'UDD', 'UDD', ''),
	('KSDM', 'medium_airport', 'Brown Field Municipal Airport', 32.572639, -116.980019, 526, 'US', 'US-CA', 'San Diego', 'no', 'KSDM', 'SDM', 'SDM', ''),
	('8CL1', 'small_airport', 'Lake Wohlford Resort Airport', 33.175891, -117.001868, 1643, 'US', 'US-CA', 'Escondido', 'no', '8CL1', '', '8CL1', ''),
	('MMLX', 'N/A', 'N/A', 31.28691002726555, -116.38988971710205, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHMT', 'small_airport', 'Hemet Ryan Airport', 33.7340011597, -117.023002625, 1512, 'US', 'US-CA', 'Hemet', 'no', 'KHMT', 'HMT', 'HMT', ''),
	('KNKX', 'medium_airport', 'Miramar Marine Corps Air Station - Mitscher Field', 32.86840057, -117.1429977, 477, 'US', 'US-CA', 'San Diego', 'no', 'KNKX', 'NKX', 'NKX', 'Miramar MCAS'),
	('CL33', 'small_airport', 'Pauma Valley Air Park', 33.31060028076172, -116.99800109863281, 756, 'US', 'US-CA', 'Pauma Valley', 'no', 'CL33', '', 'CL33', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1CA6', 'small_airport', 'On the Rocks Airport', 32.765098571777344, -116.7229995727539, 2650, 'US', 'US-CA', 'Alpine', 'no', '1CA6', '', '1CA6', ''),
	('MMYZ', 'N/A', 'N/A', 31.6991363838315, -116.62440955638885, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KAVX', 'small_airport', 'Catalina Airport', 33.4049, -118.416, 1602, 'US', 'US-CA', 'Avalon', 'no', 'KAVX', 'AVX', 'AVX', 'CIB, Airport in the Sky'),
	('L54', 'small_airport', 'Agua Caliente Airport', 32.95009994506836, -116.29299926757813, 1220, 'US', 'US-CA', 'Agua Caliente Springs', 'no', 'L54', '', 'L54', ''),
	('CL35', 'small_airport', 'Warner Springs Gliderport Airport', 33.2845, -116.675003, 2885, 'US', 'US-CA', 'Warner Springs', 'no', 'CL35', '', 'CL35', ''),
	('KFAA', 'N/A', 'N/A', 33.455130346119404, -117.3151333630085, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('L08', 'small_airport', 'Borrego Valley Airport', 33.2589988708, -116.320999146, 520, 'US', 'US-CA', 'Borrego Springs', 'no', 'L08', 'BXS', 'L08', ''),
	('37CL', 'small_airport', 'Lyall-Roberts Airport', 33.324501, -116.989998, 925, 'US', 'US-CA', 'Pauma Valley', 'no', '37CL', '', '37CL', '00L'),
	('KSNA', 'large_airport', 'John Wayne Orange County International Airport', 33.675701, -117.867996, 56, 'US', 'US-CA', 'Santa Ana', 'yes', 'KSNA', 'SNA', 'SNA', 'Disney, Disneyland, Orange County'),
	('MMGD', 'small_airport', 'Aeródromo Isla Guadalupe', 29.024146, -118.271964, 0, 'MX', 'MX-BCN', 'Ensenada (Isla Guadalupe)', 'no', 'MMGD', '', '', ''),
	('U62', 'small_airport', 'Mackay Airport', 43.90409851, -113.6009979, 5892, 'US', 'US-ID', 'Mackay', 'no', 'KU62', '', 'U62', ''),
	('1U2', 'small_airport', 'Mud Lake/West Jefferson County/ Airport', 43.848201751699996, -112.499000549, 4787, 'US', 'US-ID', 'Mud Lake', 'no', 'K1U2', '', '1U2', ''),
	('12ID', 'small_airport', 'Flying B Ranch Landing Strip', 44.96799850463867, -114.73300170898438, 3647, 'US', 'US-ID', 'Salmon', 'no', '12ID', '', '12ID', ''),
	('KAOC', 'small_airport', 'Arco Butte County Airport', 43.6035, -113.334, 5332, 'US', 'US-ID', 'Arco', 'no', 'KAOC', '', 'AOC', 'Pope Field'),
	('0U1', 'small_airport', 'Warm Springs Creek Airport', 44.1421012878418, -115.31400299072266, 4831, 'US', 'US-ID', 'Lowman', 'no', '0U1', '', '0U1', ''),
	('0ID1', 'small_airport', 'Ziggy''s Airport', 42.64120101928711, -114.6050033569336, 3225, 'US', 'US-ID', 'Filer', 'no', '0ID1', '', '0ID1', ''),
	('KCAS', 'N/A', 'N/A', 44.64740116149187, -116.08726188540459, 1473, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('44ID', 'small_airport', 'Boulder Creek Airstrip', 44.736942, -116.074158, 4950, 'US', 'US-ID', 'Donnelly', 'no', '44ID', '', '44ID', ''),
	('ID88', 'small_airport', 'Tracy Ranch Airport', 43.286469, -115.08073, 5071, 'US', 'US-ID', 'Hill City', 'no', 'ID88', '', 'ID88', 'U95'),
	('KPAL', 'N/A', 'N/A', 42.671096585690975, -113.77350255846977, 1281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('U86', 'small_airport', 'Camas County Airport', 43.341839, -114.798186, 5058, 'US', 'US-ID', 'Fairfield', 'no', '', '', 'U86', ''),
	('22ID', 'small_airport', 'Treasure Gulch Airport', 43.944698333740234, -115.94100189208984, 4350, 'US', 'US-ID', 'Placerville', 'no', '22ID', '', '22ID', ''),
	('40ID', 'small_airport', 'Camas Creek Ranch Airport', 43.314031, -114.905598, 5075, 'US', 'US-ID', 'Fairfield', 'no', '40ID', '', '40ID', ''),
	('ID39', 'closed', 'Owen Ranches Inc Airport', 42.7957, -115.734001, 2620, 'US', 'US-ID', 'Bruneau', 'no', '', '', '', 'ID39'),
	('U46', 'small_airport', 'Big Southern Butte Airport', 43.432508, -113.055583, 5073, 'US', 'US-ID', 'Blackfoot', 'no', 'U46', '', 'U46', ''),
	('U36', 'small_airport', 'Aberdeen Municipal Airport', 42.921001, -112.880997, 4470, 'US', 'US-ID', 'Aberdeen', 'no', '', '', 'U36', ''),
	('10ID', 'small_airport', 'Flat Top Airstrip', 43.49440002441406, -113.9219970703125, 5841, 'US', 'US-ID', 'Muldoon', 'no', '10ID', '', '10ID', ''),
	('ID36', 'small_airport', 'King Mountain Glider Park', 43.762908, -113.344722, 5500, 'US', 'US-ID', 'Moore', 'no', 'ID36', '', 'ID36', ''),
	('U00', 'small_airport', 'Leadore Airport', 44.67380142211914, -113.35299682617188, 6018, 'US', 'US-ID', 'Leadore', 'no', 'KU00', '', 'U00', ''),
	('KCHI', 'N/A', 'N/A', 44.69846237450838, -114.76600080728531, 1465, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ID95', 'small_airport', 'Summit Ridge Ranch Airstrip', 43.859219, -116.239953, 4180, 'US', 'US-ID', 'Horseshoe Bend', 'no', 'ID95', '', 'ID95', 'Loomis'),
	('U84', 'small_airport', 'Donald D. Coski Memorial Airport', 44.72545623779297, -116.09123992919922, 4860, 'US', 'US-ID', 'Donnelly', 'no', 'U84', '', 'U84', ''),
	('0U2', 'small_airport', 'Copper Basin Airport', 43.80179977416992, -113.83100128173828, 7920, 'US', 'US-ID', 'Mackay', 'no', '0U2', '', '0U2', ''),
	('0U3', 'small_airport', 'Mahoney Creek US Forest Service Airport', 44.744598, -114.920998, 4618, 'US', 'US-ID', 'Challis', 'no', '', '', '0U3', ''),
	('23ID', 'small_airport', 'Southfork Airport', 43.648265, -114.9046972, 5612, 'US', 'US-ID', 'Feathervlle', 'no', '23ID', '', '23ID', ''),
	('U91', 'small_airport', 'Grasmere Airport', 42.373295, -115.879525, 5134, 'US', 'US-ID', 'Grasmere', 'no', 'KU91', '', 'U91', ''),
	('KARC', 'N/A', 'N/A', 43.42676103115082, -113.16865548491478, 1586, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMYL', 'medium_airport', 'McCall Municipal Airport', 44.888837, -116.101112, 5024, 'US', 'US-ID', 'McCall', 'yes', 'KMYL', 'MYL', 'MYL', ''),
	('0U8', 'small_airport', 'May Airport', 44.610198974609375, -113.89600372314453, 5324, 'US', 'US-ID', 'May', 'no', '0U8', '', '0U8', ''),
	('2ID2', 'small_airport', 'Linda''s Roost Airport', 43.95439910888672, -113.64700317382813, 6250, 'US', 'US-ID', 'Mackay', 'no', '2ID2', '', '2ID2', ''),
	('U61', 'small_airport', 'Twin Bridges Airport', 43.943544, -114.110356, 6893, 'US', 'US-ID', 'Ketchum', 'no', '', '', 'U61', ''),
	('KMOA', 'N/A', 'N/A', 42.95657280832529, -115.8162434399128, 828, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('U54', 'small_airport', 'Bernard US Forest Service Airport', 44.979598999, -114.73500061, 3626, 'US', 'US-ID', 'Bernard', 'no', 'U54', '', 'U54', ''),
	('2U0', 'small_airport', 'Smith Prairie Airport', 43.49850082397461, -115.5479965209961, 4958, 'US', 'US-ID', 'Prairie', 'no', '2U0', '', '2U0', ''),
	('3U2', 'small_airport', 'Johnson Creek Airport', 44.912215, -115.485433, 4933, 'US', 'US-ID', 'Yellow Pine', 'no', '3U2', '', '3U2', ''),
	('0ID3', 'small_airport', 'Coyote Run Airport', 43.075801849365234, -115.6729965209961, 3150, 'US', 'US-ID', 'Mountain Home', 'no', '0ID3', '', '0ID3', ''),
	('24K', 'small_airport', 'Krassel US Forest Service Airport', 44.9743003845, -115.730003357, 3982, 'US', 'US-ID', 'Mc Call', 'no', '24K', '', '24K', ''),
	('33ID', 'small_airport', 'Ozzy''s Airport', 43.379362, -114.769444, 5128, 'US', 'US-ID', 'Fairfield', 'no', '33ID', '', '33ID', ''),
	('1ID7', 'small_airport', 'Fairbanks Airfield', 42.587909, -114.33071, 3830, 'US', 'US-ID', 'Eden', 'no', '1ID7', '', '1ID7', ''),
	('ID74', 'small_airport', 'Sulphur Creek Ranch Airport', 44.537881, -115.367282, 5835, 'US', 'US-ID', 'Cascade', 'no', 'ID74', '', 'ID74', ''),
	('KTWF', 'medium_airport', 'Joslin Field Magic Valley Regional Airport', 42.4818, -114.487999, 4154, 'US', 'US-ID', 'Twin Falls', 'yes', 'KTWF', 'TWF', 'TWF', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KGNG', 'small_airport', 'Gooding Municipal Airport', 42.91719818, -114.7649994, 3732, 'US', 'US-ID', 'Gooding', 'no', 'KGNG', 'GNG', 'GNG', ''),
	('ID41', 'small_airport', 'Stibnite Airport', 44.899898529052734, -115.33300018310547, 6539, 'US', 'US-ID', 'Yellow Pine', 'no', 'ID41', '', 'ID41', ''),
	('KGLN', 'N/A', 'N/A', 42.865652963519096, -115.37224486470222, 954, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('52U', 'small_airport', 'Weatherby US Forest Service Airport', 43.8249015808, -115.332000732, 4494, 'US', 'US-ID', 'Atlanta', 'no', '52U', '', '52U', ''),
	('U72', 'small_airport', 'Upper Loon Creek US Forest Service Airport', 44.591231, -114.82481, 5500, 'US', 'US-ID', 'Challis', 'no', 'U72', '', 'U72', ''),
	('U01', 'small_airport', 'American Falls Airport', 42.797298431396484, -112.82499694824219, 4419, 'US', 'US-ID', 'American Falls', 'no', 'KU01', '', 'U01', ''),
	('ID82', 'small_airport', 'Picabo Airport', 43.308201, -114.063003, 4828, 'US', 'US-ID', 'Picabo', 'no', 'ID82', '', 'ID82', '1U8'),
	('ID44', 'small_airport', 'Hidden Lakes Airport', 44.225297, -116.179508, 4845, 'US', 'US-ID', 'Cascade', 'no', 'ID44', '', 'ID44', 'High Valley Hills Airport'),
	('39ID', 'closed', 'Albion Municipal Airport', 42.4007, -113.5603, 4777, 'US', 'US-ID', 'Albion', 'no', '', '', '', 'U40, 39ID, 39ID'),
	('ID8', 'small_airport', 'Marble Creek Airstrip', 44.773472, -114.985278, 4685, 'US', 'US-ID', 'Challis', 'no', '', '', 'ID8', 'Mitchell Ranch IDFG'),
	('KMCA', 'N/A', 'N/A', 44.9297184124589, -116.17362141609192, 1553, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('02ID', 'small_airport', 'Morgan Ranch Airport', 44.55550003051758, -115.30500030517578, 5634, 'US', 'US-ID', 'Cascade', 'no', '02ID', '', '02ID', ''),
	('U37', 'small_airport', 'Midway Airport', 43.45586, -112.805081, 5017, 'US', 'US-ID', 'Atomic City', 'no', 'KU37', '', 'U37', 'Blackfoot'),
	('ID09', 'closed', 'Otterson Ranch Airport', 47.7402, -116.998001, 2150, 'US', 'US-ID', 'Post Falls', 'no', '', '', '', 'ID09'),
	('U88', 'small_airport', 'Garden Valley Airport', 44.066863, -115.930903, 3177, 'US', 'US-ID', 'Garden Valley', 'no', 'U88', '', 'U88', ''),
	('ID56', 'small_airport', 'Star S Ranch Airport', 43.981899, -114.043999, 6660, 'US', 'US-ID', 'Mackay', 'no', 'ID56', '', 'ID56', ''),
	('1U0', 'small_airport', 'Bear Trap Airport', 42.97489929199219, -113.35099792480469, 4716, 'US', 'US-ID', 'Minidoka', 'no', '1U0', '', '1U0', ''),
	('U87', 'small_airport', 'Smiley Creek Airport', 43.912209, -114.79622, 7160, 'US', 'US-ID', 'Ketchum', 'no', 'KU87', '', 'U87', ''),
	('KAME', 'N/A', 'N/A', 42.80609551817179, -113.03138583898544, 1384, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('U65', 'small_airport', 'Carey Airport', 43.30820083618164, -113.93399810791016, 4783, 'US', 'US-ID', 'Carey', 'no', 'U65', '', 'U65', ''),
	('ID96', 'small_airport', 'Bear Air Airport', 44.78519821166992, -116.06700134277344, 4904, 'US', 'US-ID', 'Donnelly', 'no', 'ID96', '', 'ID96', ''),
	('KMOI', 'N/A', 'N/A', 43.320008777081966, -115.45116573572159, 1442, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPIH', 'medium_airport', 'Pocatello Regional Airport', 42.9098014831543, -112.59600067138672, 4452, 'US', 'US-ID', 'Pocatello', 'yes', 'KPIH', 'PIH', 'PIH', ''),
	('U93', 'small_airport', 'Magic Reservoir Airport', 43.28239822387695, -114.3949966430664, 4844, 'US', 'US-ID', 'Hailey', 'no', 'U93', '', 'U93', ''),
	('U48', 'small_airport', 'Coxs Well Airport', 43.217669, -113.227557, 5034, 'US', 'US-ID', 'Atomic City', 'no', 'KU48', '', 'U48', 'Blackfoot'),
	('55H', 'small_airport', 'Atlanta Airport', 43.810418, -115.134144, 5500, 'US', 'US-ID', 'Atlanta', 'no', '', '', '55H', ''),
	('U92', 'small_airport', 'Antelope Valley Airport', 43.677068, -113.602962, 6180, 'US', 'US-ID', 'Grouse', 'no', 'KU92', '', 'U92', ''),
	('KBOI', 'medium_airport', 'Boise Air Terminal/Gowen Field', 43.5644, -116.223, 2871, 'US', 'US-ID', 'Boise', 'yes', 'KBOI', 'BOI', 'BOI', 'Boise Air Terminal, Gowen Field'),
	('U89', 'small_airport', 'Glenns Ferry Municipal Airport', 42.943776, -115.330193, 2536, 'US', 'US-ID', 'Glenns Ferry', 'no', '', '', 'U89', ''),
	('U45', 'small_airport', 'Graham US Forest Service Airport', 43.9552001953, -115.273002625, 5726, 'US', 'US-ID', 'Atlanta', 'no', 'U45', '', 'U45', ''),
	('ID86', 'small_airport', 'Deadwood Dam Airstrip', 44.29779815673828, -115.64099884033203, 5489, 'US', 'US-ID', 'Cascade', 'no', 'ID86', '', 'ID86', ''),
	('KBYI', 'medium_airport', 'Burley Municipal Airport', 42.542598724399994, -113.772003174, 4150, 'US', 'US-ID', 'Burley', 'no', 'KBYI', 'BYI', 'BYI', 'J R Jack Simplot Airport'),
	('U97', 'small_airport', 'Howe Airport', 43.851378, -113.057893, 4930, 'US', 'US-ID', 'Howe', 'no', 'KU97', '', 'U97', ''),
	('13ID', 'small_airport', 'Silva Ranch Airport', 44.2666015625, -115.0009994506836, 6400, 'US', 'US-ID', 'Stanley', 'no', '13ID', '', '13ID', ''),
	('U99', 'small_airport', 'Laidlaw Corrals Airport', 43.037027, -113.733737, 4427, 'US', 'US-ID', 'Paul', 'no', 'KU99', '', 'U99', ''),
	('20ID', 'small_airport', 'Harrington Airport', 43.720439, -116.005667, 4200, 'US', 'US-ID', 'Idaho City', 'no', '20ID', '', '20ID', ''),
	('D47', 'small_airport', 'Cougar Ranch Airport', 44.741389, -114.918472, 4276, 'US', 'US-ID', 'Challis', 'no', '', '', 'D47', 'ID45'),
	('ID35', 'small_airport', 'High Valley Airport', 44.239327, -116.144629, 4883, 'US', 'US-ID', 'Cascade', 'no', 'ID35', '', 'ID35', 'High Valley Swanson Airport'),
	('C53', 'small_airport', 'Lower Loon Creek Airport', 44.808437, -114.808824, 4200, 'US', 'US-ID', 'Challis', 'no', 'KC53', '', 'C53', 'ID67'),
	('U94', 'small_airport', 'Hazelton Municipal Airport', 42.576312, -114.135557, 4172, 'US', 'US-ID', 'Hazelton', 'no', 'KU94', '', 'U94', ''),
	('0U7', 'small_airport', 'Hollow Top Airport', 43.32490158081055, -113.58799743652344, 5359, 'US', 'US-ID', 'Martin', 'no', '0U7', '', '0U7', ''),
	('KJER', 'small_airport', 'Jerome County Airport', 42.72669982910156, -114.45700073242188, 4053, 'US', 'US-ID', 'Jerome', 'no', 'KJER', '', 'JER', ''),
	('KLLJ', 'small_airport', 'Challis Airport', 44.522999, -114.218002, 5072, 'US', 'US-ID', 'Challis', 'no', 'KLLJ', 'CHL', 'LLJ', 'U15'),
	('KCHB', 'N/A', 'N/A', 44.65556848794222, -114.64397192001343, 1691, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('U98', 'small_airport', 'Idaho City US Forest Service Airport', 43.823676, -115.844573, 3920, 'US', 'US-ID', 'Idaho City', 'no', 'U98', '', 'U98', ''),
	('1U6', 'small_airport', 'Oakley Municipal Airport', 42.234100341796875, -113.87799835205078, 4650, 'US', 'US-ID', 'Oakley', 'no', '1U6', '', '1U6', ''),
	('ID16', 'small_airport', 'Sluder Airstrip', 43.403499603271484, -114.27300262451172, 5017, 'US', 'US-ID', 'Bellevue', 'no', 'ID16', '', 'ID16', ''),
	('1U9', 'small_airport', 'Pine Airport', 43.466057, -115.310057, 4232, 'US', 'US-ID', 'Pine', 'no', '1U9', '', '1U9', ''),
	('2U7', 'small_airport', 'Stanley Airport', 44.2085, -114.934998, 6403, 'US', 'US-ID', 'Stanley', 'yes', '', '', '2U7', ''),
	('0ID4', 'small_airport', 'Black Butte Ranch Airport', 43.047698974609375, -114.47000122070313, 4020, 'US', 'US-ID', 'Shoshone', 'no', '0ID4', '', '0ID4', ''),
	('KSUN', 'medium_airport', 'Friedman Memorial Airport', 43.50439835, -114.2959976, 5318, 'US', 'US-ID', 'Hailey', 'yes', 'KSUN', 'SUN', 'SUN', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KTAI', 'N/A', 'N/A', 44.92676965892315, -113.27240154147148, 1969, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('U63', 'small_airport', 'Bruce Meadows Airport', 44.41550064086914, -115.31700134277344, 6370, 'US', 'US-ID', 'Stanley', 'no', 'KU63', '', 'U63', ''),
	('ID26', 'small_airport', 'P and R Field', 43.233474, -115.939673, 3125, 'US', 'US-ID', 'Mayfield', 'no', 'ID26', '', 'ID26', ''),
	('1ID4', 'small_airport', 'Red Baron Airpark', 43.3105555556, -115.9025, 3259, 'US', 'US-ID', 'Oasis', 'no', '1ID4', '', '1ID4', ''),
	('U70', 'small_airport', 'Cascade Airport', 44.4938011169, -116.01599884, 4742, 'US', 'US-ID', 'Cascade', 'no', 'KU70', 'ICS', 'U70', ''),
	('KMUO', 'medium_airport', 'Mountain Home Air Force Base', 43.043598, -115.872002, 2996, 'US', 'US-ID', 'Mountain Home', 'no', 'KMUO', 'MUO', 'MUO', ''),
	('I92', 'small_airport', 'Reed Ranch Airport', 44.894298553467, -115.71299743652, 4153, 'US', 'US-ID', 'Yellow Pine', 'no', 'I92', '', 'I92', '87U, ID93'),
	('0U0', 'small_airport', 'Landmark US Forest Service Airport', 44.6423988342, -115.532997131, 6662, 'US', 'US-ID', 'Landmark', 'no', '0U0', '', '0U0', ''),
	('U76', 'small_airport', 'Mountain Home Municipal Airport', 43.13130188, -115.7300034, 3167, 'US', 'US-ID', 'Mountain Home', 'no', 'KU76', '', 'U76', ''),
	('2U4', 'small_airport', 'Rockford Municipal Airport', 43.19020080566406, -112.53199768066406, 4465, 'US', 'US-ID', 'Rockford', 'no', '2U4', '', '2U4', ''),
	('KBUL', 'N/A', 'N/A', 42.47494697570801, -113.86130064725876, 1300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('14ID', 'small_airport', 'Peaceful Cove Airport', 43.680999755859375, -116.2030029296875, 2920, 'US', 'US-ID', 'Boise', 'no', '14ID', '', '14ID', ''),
	('0ID2', 'small_airport', 'Flying Joseph Ranch Airport', 44.442901611299995, -113.773002625, 5600, 'US', 'US-ID', 'May', 'no', '0ID2', '', '0ID2', ''),
	('ID70', 'closed', 'Gulch Trust Heliport', 43.704601, -114.377998, 5915, 'US', 'US-ID', 'Ketchum', 'no', '', '', '', 'ID70'),
	('2ID5', 'small_airport', 'Splan Airport', 44.807467, -116.049483, 4987, 'US', 'US-ID', 'McCall', 'no', '2ID5', '', '2ID5', ''),
	('2U8', 'small_airport', 'Thomas Creek Airport', 44.72629928588867, -115.00299835205078, 4400, 'US', 'US-ID', 'Stanley', 'no', '2U8', '', '2U8', ''),
	('S81', 'small_airport', 'Indian Creek US Forest Service Airport', 44.761299, -115.107002, 4701, 'US', 'US-ID', 'Indian Creek', 'no', 'S81', '', 'S81', ''),
	('4U9', 'small_airport', 'Dell Flight Strip', 44.735699, -112.720001, 6007, 'US', 'US-MT', 'Dell', 'no', 'K4U9', '', '4U9', ''),
	('0ID0', 'small_airport', 'South Fork Ranch Airport', 43.60639953613281, -115.10700225830078, 4861, 'US', 'US-ID', 'Featherville', 'no', '0ID0', '', '0ID0', ''),
	('U03', 'small_airport', 'Buhl Municipal Airport', 42.59159851074219, -114.7969970703125, 3660, 'US', 'US-ID', 'Buhl', 'no', 'KU03', '', 'U03', ''),
	('KELG', 'N/A', 'N/A', 41.73972800374031, -115.97814425826073, 1799, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NV07', 'small_airport', 'Sunnyside / Kirch Wildlife Management Area Airport', 38.4147, -115.037003, 5288, 'US', 'US-NV', 'Lund', 'no', 'NV07', '', 'NV07', ''),
	('03NV', 'small_airport', 'Llama Ranch Airport', 40.58440017700195, -115.2979965209961, 6120, 'US', 'US-NV', 'Ruby Valley', 'no', '03NV', '', '03NV', ''),
	('KEUR', 'N/A', 'N/A', 39.93174847215414, -115.63786491751671, 1974, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NV14', 'small_airport', 'Juniper Airport', 41.355499, -114.230003, 5400, 'US', 'US-NV', 'Montello', 'no', 'NV14', '', 'NV14', ''),
	('KELB', 'N/A', 'N/A', 41.43384385854006, -116.0973148047924, 1779, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('02UT', 'small_airport', 'Lucin Airport', 41.369336, -113.841019, 4412, 'US', 'US-UT', 'Lucin', 'no', '02UT', '', '02UT', ''),
	('2UT3', 'small_airport', 'Fort Ranch Airport', 41.4921989440918, -112.59100341796875, 4440, 'US', 'US-UT', 'Brigham City', 'no', '2UT3', '', '2UT3', ''),
	('KEKO', 'medium_airport', 'Elko Regional Airport', 40.82490158081055, -115.79199981689453, 5140, 'US', 'US-NV', 'Elko', 'yes', 'KEKO', 'EKO', 'EKO', ''),
	('KWEW', 'N/A', 'N/A', 41.378154158592224, -114.17888671159744, 1498, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NV04', 'small_airport', 'Marys River Ranch Airport', 41.317737, -115.249608, 5600, 'US', 'US-NV', 'Deeth', 'no', 'NV04', '', 'NV04', ''),
	('KLWL', 'small_airport', 'Wells Municipal Airport/Harriet Field', 41.117099762, -114.92199707, 5772, 'US', 'US-NV', 'Wells', 'no', 'KLWL', 'LWL', 'LWL', ''),
	('NV08', 'small_airport', 'Petan Ranch Airport', 41.737998962402344, -116.21600341796875, 5616, 'US', 'US-NV', 'Mountain City', 'no', 'NV08', '', 'NV08', ''),
	('KELF', 'N/A', 'N/A', 41.6214519739151, -115.83911597728729, 1929, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDPG', 'small_airport', 'Michael AAF (Dugway Proving Ground) Airport', 40.197396, -112.935094, 4349, 'US', 'US-UT', 'Dugway Proving Ground', 'no', 'KDPG', 'DPG', 'DPG', ''),
	('3U0', 'small_airport', 'Murphy Hot Springs Airport', 42.02069854736328, -115.33799743652344, 5829, 'US', 'US-ID', 'Three Creek', 'no', '3U0', '', '3U0', ''),
	('06U', 'small_airport', 'Jackpot Airport/Hayden Field', 41.97600173949999, -114.657997131, 5213, 'US', 'US-NV', 'Jackpot', 'no', '06U', 'KPT', '06U', ''),
	('08U', 'small_airport', 'Stevens-Crosby Airport', 41.515701, -115.860001, 6397, 'US', 'US-NV', 'Elko', 'no', 'K08U', '', '08U', ''),
	('KDTA', 'small_airport', 'Delta Municipal Airport', 39.3805999756, -112.508003235, 4759, 'US', 'US-UT', 'Delta', 'no', 'KDTA', 'DTA', 'DTA', ''),
	('KENV', 'medium_airport', 'Wendover Airport', 40.7187004089, -114.03099823, 4237, 'US', 'US-UT', 'Wendover', 'no', 'KENV', 'ENV', 'ENV', 'Wendover AFB'),
	('05U', 'small_airport', 'Eureka Airport', 39.604198455799995, -116.004997253, 5954, 'US', 'US-NV', 'Eureka', 'no', '05U', 'EUE', '05U', 'Booth Bailey Field'),
	('UT65', 'small_airport', 'Goshute Airport', 39.99800109863281, -113.97699737548828, 5460, 'US', 'US-UT', 'Ibapah', 'no', 'UT65', '', 'UT65', ''),
	('10U', 'small_airport', 'Owyhee Airport', 41.953604, -116.182155, 5374, 'US', 'US-NV', 'Owyhee', 'no', 'K10U', '', '10U', ''),
	('1L8', 'small_airport', 'General Dick Stout Field', 37.138901, -113.306, 3347, 'US', 'US-UT', 'Hurricane', 'no', 'K1L8', '', '1L8', ''),
	('U52', 'small_airport', 'Beaver Municipal Airport', 38.230701, -112.675003, 5863, 'US', 'US-UT', 'Beaver', 'no', 'KU52', '', 'U52', ''),
	('L92', 'small_airport', 'Alamo Landing Field', 37.36249923706055, -115.19400024414063, 3719, 'US', 'US-NV', 'Alamo', 'no', 'L92', '', 'L92', ''),
	('UT57', 'closed', 'Sulphurdale Airport', 38.572498, -112.592003, 6060, 'US', 'US-UT', 'Beaver', 'no', '', '', '', 'UT57'),
	('00UT', 'closed', 'Clear Creek Ranch Airport', 37.24777, -112.822981, 6138, 'US', 'US-UT', 'Kanab', 'no', '', '', '', '00UT, U21'),
	('KELE', 'N/A', 'N/A', 39.366917833685875, -115.31369224190712, 1985, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7NV8', 'small_airport', 'Geyser Ranch Airport', 38.664101, -114.632004, 5977, 'US', 'US-NV', 'Pioche', 'no', '7NV8', '', '7NV8', '7CL8'),
	('06NV', 'small_airport', 'Silver Creek Airport', 39.098333, -114.150277, 5556, 'US', 'US-NV', 'Baker', 'no', '06NV', '', '06NV', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UT28', 'small_airport', 'Sun Valley Estates Airport', 37.974998474121094, -113.46299743652344, 5110, 'US', 'US-UT', 'Lund', 'no', 'UT28', '', 'UT28', ''),
	('9U7', 'small_airport', 'Currant Ranch Airport', 38.736000061035156, -115.4800033569336, 5181, 'US', 'US-NV', 'Currant', 'no', 'K9U7', '', '9U7', ''),
	('1L9', 'small_airport', 'Parowan Airport', 37.85969924926758, -112.81600189208984, 5930, 'US', 'US-UT', 'Parowan', 'no', 'K1L9', '', '1L9', ''),
	('UT43', 'small_airport', 'Citabriair Airport', 37.63610076904297, -113.24700164794922, 5600, 'US', 'US-UT', 'Kanarraville', 'no', 'UT43', '', 'UT43', ''),
	('KAZC', 'small_airport', 'Colorado City Municipal Airport', 36.95919, -113.013166, 4874, 'US', 'US-AZ', 'Colorado City', 'no', 'KAZC', '', 'AZC', 'L36'),
	('67L', 'medium_airport', 'Mesquite International Airport', 36.833105, -114.055928, 1978, 'US', 'US-NV', 'Mesquite', 'no', '', 'MFH', '67L', ''),
	('UT00', 'small_airport', 'Swains Creek Airport', 37.472198486328125, -112.62200164794922, 7780, 'US', 'US-UT', 'Alton', 'no', 'UT00', '', 'UT00', ''),
	('UT82', 'small_airport', 'Beryl Junction Airport', 37.709999084472656, -113.64600372314453, 5181, 'US', 'US-UT', 'Beryl', 'no', 'UT82', '', 'UT82', ''),
	('1L1', 'small_airport', 'Lincoln County Airport', 37.787122, -114.420044, 4828, 'US', 'US-NV', 'Panaca', 'no', 'K1L1', '', '1L1', ''),
	('KINS', 'small_airport', 'Creech Air Force Base', 36.587200164799995, -115.672996521, 3133, 'US', 'US-NV', 'Indian Springs', 'no', 'KINS', 'INS', 'INS', ''),
	('KXTA', 'medium_airport', 'Homey (Area 51) Airport', 37.23500061035156, -115.81099700927734, 4462, 'US', 'US-NV', 'Groom Lake', 'no', 'KXTA', '', '', 'Dreamland, Paradise Ranch, Home Base, Watertown Strip'),
	('KSGU', 'medium_airport', 'St George Regional Airport', 37.036389, -113.510306, 2941, 'US', 'US-UT', 'St George', 'yes', 'KSGU', 'SGU', 'SGU', 'DXZ'),
	('KKNB', 'small_airport', 'Kanab Municipal Airport', 37.011101, -112.530998, 4868, 'US', 'US-UT', 'Kanab', 'no', 'KKNB', 'KNB', 'KNB', ''),
	('UT54', 'small_airport', 'Crystal Springs Ranch Airport', 37.253299713134766, -113.33399963378906, 3671, 'US', 'US-UT', 'Leeds', 'no', 'UT54', '', 'UT54', ''),
	('05NV', 'small_airport', 'Baker Ranches Airport', 39.0311, -114.088219, 5180, 'US', 'US-NV', 'Baker', 'no', '05NV', '', '05NV', ''),
	('KCDC', 'medium_airport', 'Cedar City Regional Airport', 37.70100021362305, -113.0989990234375, 5622, 'US', 'US-UT', 'Cedar City', 'yes', 'KCDC', 'CDC', 'CDC', ''),
	('UT47', 'small_airport', 'Grassy Meadows/Sky Ranch Landowners Assn Airport', 37.1018981934, -113.314002991, 3350, 'US', 'US-UT', 'Hurricane', 'no', 'UT47', '', 'UT47', ''),
	('01U', 'small_airport', 'Duckwater Airport', 38.849785, -115.634987, 5124, 'US', 'US-NV', 'Duckwater', 'no', 'K01U', '', '01U', ''),
	('NV65', 'medium_airport', 'Desert Rock Airport', 36.6194, -116.032997, 3314, 'US', 'US-NV', 'Mercury', 'no', 'KDRA', 'DRA', 'NV65', 'Formerly DRA'),
	('KMLF', 'small_airport', 'Milford Municipal-Ben and Judy Briscoe Field', 38.426601, -113.012001, 5039, 'US', 'US-UT', 'Milford', 'no', 'KMLF', 'MLF', 'MLF', ''),
	('KELY', 'medium_airport', 'Ely Airport Yelland Field', 39.29970169, -114.8420029, 6259, 'US', 'US-NV', 'Ely', 'no', 'KELY', 'ELY', 'ELY', ''),
	('NV99', 'closed', 'Maverick Heliport', 35.934399, -115.181998, 2550, 'US', 'US-NV', 'Las Vegas', 'no', '', '', '', 'NV99'),
	('KPIO', 'N/A', 'N/A', 38.25299911201, -114.46772128343582, 1974, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('U08', 'small_airport', 'Perkins Field', 36.56800079345703, -114.44300079345703, 1358, 'US', 'US-NV', 'Overton', 'no', 'KU08', '', 'U08', ''),
	('UT70', 'closed', 'Garrison Airport', 38.964901, -114.037003, 5225, 'US', 'US-UT', 'Garrison', 'no', '', '', '', 'UT70'),
	('NV11', 'small_airport', 'Yucca Airstrip', 36.934661, -116.00596, 3919, 'US', 'US-NV', 'Mercury', 'no', '', 'UCC', '', 'NV11'),
	('KMES', 'N/A', 'N/A', 33.85123495012522, -114.79798436164856, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('P23', 'small_airport', 'Seligman Airport', 35.334999, -112.887001, 5235, 'US', 'US-AZ', 'Seligman', 'no', '', '', 'P23', ''),
	('A09', 'small_airport', 'Eagle Airpark', 34.887533, -114.616638, 485, 'US', 'US-AZ', 'Bullhead City', 'no', 'KA09', '', 'A09', 'AZ02, bullhead city, eagle'),
	('KBII', 'N/A', 'N/A', 34.183408096432686, -114.57489117980003, 278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBAH', 'N/A', 'N/A', 34.69319578260183, -113.57240527868271, 637, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('26AZ', 'small_airport', 'Flying Dare''s Ranch Airport', 34.012001037597656, -113.2030029296875, 2192, 'US', 'US-AZ', 'Aguila', 'no', '26AZ', '', '26AZ', ''),
	('KBAE', 'N/A', 'N/A', 34.98316738754511, -113.04273158311844, 1754, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('L50', 'N/A', 'N/A', 36.30260366946459, -113.06739315390587, 1423, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AZ40', 'small_airport', 'Sheepy Hollow Ranch Airfield', 33.785711, -113.636742, 1930, 'US', 'US-AZ', 'Salome', 'no', 'AZ40', '', 'AZ40', 'salome, sheepy hollow ranch'),
	('0O2', 'small_airport', 'Baker Airport', 35.287128, -116.081657, 922, 'US', 'US-CA', 'Baker', 'no', '', '', '0O2', ''),
	('23AZ', 'small_airport', 'Moreton Airpark', 34.019500732421875, -112.82599639892578, 2455, 'US', 'US-AZ', 'Wickenburg', 'no', '23AZ', '', '23AZ', ''),
	('E25', 'small_airport', 'Wickenburg Municipal Airport', 33.970172, -112.796043, 2377, 'US', 'US-AZ', 'Wickenburg', 'no', 'KE25', '', 'E25', ''),
	('KNII', 'N/A', 'N/A', 33.80088251084089, -115.45075803995132, 296, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1L4', 'small_airport', 'Kidwell Airport', 35.305547, -114.88236, 2605, 'US', 'US-NV', 'Cal Nev Ari', 'no', 'K1L4', '', '1L4', ''),
	('AZ57', 'small_airport', 'Pilots Rest Airport', 34.931576, -112.515364, 4482, 'US', 'US-AZ', 'Paulden', 'no', 'AZ57', '', 'AZ57', 'paulden, pilots rest'),
	('AZ64', 'small_airport', 'Rio Vista Hills Airport', 33.952301025390625, -112.68699645996094, 2225, 'US', 'US-AZ', 'Wickenburg', 'no', 'AZ64', '', 'AZ64', ''),
	('KHND', 'small_airport', 'Henderson Executive Airport', 35.9728012085, -115.134002686, 2492, 'US', 'US-NV', 'Las Vegas', 'no', 'KHND', 'HSH', 'HND', 'L15, Sky Harbor Airport'),
	('12AZ', 'small_airport', 'Ranta Strip', 33.853901, -112.653001, 1840, 'US', 'US-AZ', 'Morristown', 'no', '12AZ', '', '12AZ', '05E'),
	('9CL4', 'small_airport', 'Hart Mine Airport', 35.287181, -115.19439, 4620, 'US', 'US-CA', 'Ivanpah', 'no', '9CL4', '', '9CL4', ''),
	('E51', 'small_airport', 'Bagdad Airport', 34.592796, -113.171993, 4183, 'US', 'US-AZ', 'Bagdad', 'no', '', 'BGT', 'E51', ''),
	('L57', 'closed', 'Hidden Hills Airport', 36.006401, -115.862999, 2808, 'US', 'US-NV', 'Pahrump', 'no', '', '', '', 'L57'),
	('41CL', 'N/A', 'N/A', 35.09701877832413, -115.22135093808174, 1246, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('52AZ', 'small_airport', 'X Bar 1 Ranch Upper Headquarters Airport', 35.380774, -113.301042, 5585, 'US', 'US-AZ', 'Seligman', 'no', '52AZ', '', '52AZ', ''),
	('KLAJ', 'N/A', 'N/A', 35.459405332803726, -114.6329614520073, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NV98', 'small_airport', 'Caas Airport', 36.150299072265625, -115.9000015258789, 2800, 'US', 'US-NV', 'Pahrump', 'no', 'NV98', '', 'NV98', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KNXP', 'medium_airport', 'Twentynine Palms Strategic Expeditionary Landing Field', 34.2962, -116.162003, 2051, 'US', 'US-CA', 'Twentynine Palms', 'no', 'KNXP', '', 'NXP', ''),
	('U30', 'small_airport', 'Temple Bar Airport', 36.02050018310547, -114.33499908447266, 1549, 'US', 'US-AZ', 'Temple Bar', 'no', 'KU30', '', 'U30', ''),
	('16AZ', 'small_airport', 'Yav''pe Ma''ta Airport', 34.5088996887207, -112.68000030517578, 4366, 'US', 'US-AZ', 'Skull Valley', 'no', '16AZ', '', '16AZ', ''),
	('L25', 'small_airport', 'Pearce Ferry Airport', 36.093601, -114.045998, 2941, 'US', 'US-AZ', 'Meadview', 'no', 'L25', '', 'L25', ''),
	('43CL', 'small_airport', 'Dick Dale Skyranch Airport', 34.2061, -115.998001, 1793, 'US', 'US-CA', 'Twentynine Palms', 'no', '43CL', '', '43CL', ''),
	('3L2', 'small_airport', 'Sky Ranch Airport', 35.7952995300293, -115.62699890136719, 2599, 'US', 'US-NV', 'Sandy Valley', 'no', 'K3L2', '', '3L2', ''),
	('1AZ8', 'small_airport', 'Willow Springs Ranch Airport', 35.295799255371094, -114.37300109863281, 3750, 'US', 'US-AZ', 'Bullhead City', 'no', '1AZ8', '', '1AZ8', ''),
	('62AZ', 'closed', 'Mesa Lutheran Hospital Heliport', 33.4342, -111.842002, 1248, 'US', 'US-AZ', 'Mesa', 'no', '', '', '', '62AZ'),
	('1CA4', 'closed', 'Aha Quin Airport', 33.86732, -114.527152, 300, 'US', 'US-CA', 'Blythe', 'no', '', '', '', '1CA4, 1CA4, 1CA4'),
	('CL18', 'closed', 'Danby Airstrip', 34.555, -115.356003, 1400, 'US', 'US-CA', 'Danby', 'no', '', '', '', 'CL18'),
	('AZ97', 'small_airport', 'X Bar 1 Ranch Lower Airport', 35.350132, -113.689522, 3710, 'US', 'US-AZ', 'Kingman', 'no', 'AZ97', '', 'AZ97', ''),
	('AZ46', 'small_airport', 'Morgan Ranch Airstrip', 34.764835, -112.546451, 5025, 'US', 'US-AZ', 'Prescott', 'no', 'AZ46', '', 'AZ46', 'H&H Ranch, Chino Valley'),
	('AZ32', 'small_airport', 'Roesner Ranch Airport', 33.84749984741211, -112.58799743652344, 2060, 'US', 'US-AZ', 'Morristown', 'no', 'AZ32', '', 'AZ32', ''),
	('AZ09', 'closed', 'Sergio Private Airport', 34.804483, -114.113166, 1900, 'US', 'US-AZ', 'Yucca', 'no', '', '', '', 'AZ09, sergio, yucca'),
	('P20', 'small_airport', 'Avi Suquilla Airport', 34.14891, -114.268362, 452, 'US', 'US-AZ', 'Parker', 'no', '', '', 'P20', 'Parker Municipal Airport'),
	('1G4', 'small_airport', 'Grand Canyon West Airport', 35.985787, -113.817072, 4825, 'US', 'US-AZ', 'Peach Springs', 'no', 'K1G4', 'GCW', '1G4', ''),
	('KCOJ', 'N/A', 'N/A', 34.21242658048868, -113.06324020028114, 846, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NV42', 'closed', 'Heritage Airport', 35.775799, -115.631394, 2575, 'US', 'US-NV', 'Jean', 'no', '', '', '', 'NV42'),
	('CA90', 'small_airport', 'Cadiz Airstrip', 34.514054, -115.518343, 780, 'US', 'US-CA', 'Cadiz', 'no', 'CA90', '', 'CA90', ''),
	('33AZ', 'small_airport', 'Yolo Ranch Airport', 34.793156, -112.974472, 5950, 'US', 'US-AZ', 'Camp Wood', 'no', '33AZ', '', '33AZ', ''),
	('KHII', 'medium_airport', 'Lake Havasu City International Airport', 34.571098, -114.358002, 783, 'US', 'US-AZ', 'Lake Havasu City', 'no', 'KHII', 'HII', 'HII', ''),
	('KHEN', 'N/A', 'N/A', 35.79289611428976, -115.01120299100876, 553, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBAG', 'N/A', 'N/A', 34.87102556973696, -113.58708500862122, 878, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('73AZ', 'small_airport', 'Dunton Ranch Airport', 35.201657, -113.361804, 5115, 'US', 'US-AZ', 'Kingman', 'no', '73AZ', '', '73AZ', 'transwestern pipeline airfield 1'),
	('KTNP', 'small_airport', 'Twentynine Palms Airport', 34.133901, -115.947347, 1888, 'US', 'US-CA', 'Twentynine Palms', 'no', 'KTNP', 'TNP', 'TNP', ''),
	('1Z1', 'small_airport', 'Grand Canyon Bar Ten Airstrip', 36.258614, -113.231159, 4100, 'US', 'US-AZ', 'Littlefield', 'no', '', 'GCT', '1Z1', 'Webbs Ranch'),
	('04NV', 'small_airport', 'Kingston Ranch Airport', 35.7555007935, -115.665000916, 2620, 'US', 'US-NV', 'Sandy Valley', 'no', '04NV', '', '04NV', ''),
	('KVGT', 'medium_airport', 'North Las Vegas Metropolitan International Airport', 36.210701, -115.194, 2205, 'US', 'US-NV', 'Las Vegas', 'no', 'KVGT', 'VGT', 'VGT', 'Northtown Airport, Las Vegas North Air Terminal'),
	('AZ50', 'small_airport', 'Triangle Airpark', 35.715472, -114.47844, 2419, 'US', 'US-AZ', 'White Hills', 'no', 'AZ50', '', 'AZ50', 'white hills, triangle'),
	('0AZ5', 'small_airport', 'Castle Well Airport', 33.865944, -112.603265, 2080, 'US', 'US-AZ', 'Morristown', 'no', '0AZ5', '', '0AZ5', 'morristown, castle well'),
	('5CA4', 'small_airport', 'Ludlow Airport', 34.728705, -116.158705, 1700, 'US', 'US-CA', 'Barstow', 'no', '5CA4', '', '5CA4', '1C0'),
	('68AZ', 'small_airport', 'Music Mountain Air Ranch Airport', 35.475101470947266, -113.76899719238281, 3450, 'US', 'US-AZ', 'Hackberry', 'no', '68AZ', '', '68AZ', ''),
	('74P', 'small_airport', 'Calvada Meadows Airport', 36.271099, -115.995003, 2726, 'US', 'US-NV', 'Pahrump', 'no', '', '', '74P', 'NV74'),
	('AZ01', 'small_airport', 'Outback Ranch Airstrip', 33.847732, -113.57106, 1980, 'US', 'US-AZ', 'Wenden', 'no', 'AZ01', '', 'AZ01', ''),
	('KMEE', 'N/A', 'N/A', 35.78901529312134, -114.13213357329369, 878, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KIGM', 'medium_airport', 'Kingman Airport', 35.259499, -113.938004, 3449, 'US', 'US-AZ', 'Kingman', 'no', 'KIGM', 'IGM', 'IGM', ''),
	('72CL', 'small_airport', 'Iron Mountain Pumping Plant Airport', 34.13420104980469, -115.11900329589844, 890, 'US', 'US-CA', 'Desert Center', 'no', '72CL', '', '72CL', ''),
	('KLAH', 'N/A', 'N/A', 34.462340734899044, -114.35753926634789, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KFOW', 'N/A', 'N/A', 35.14857821166515, -116.10387101769447, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2CA3', 'small_airport', 'Crosswinds Airport', 34.161001, -115.995648, 1835, 'US', 'US-CA', 'Twentynine Palms', 'no', '2CA3', '', '2CA3', ''),
	('2CA2', 'small_airport', 'Cones Field', 34.16279983520508, -116.0479965209961, 1800, 'US', 'US-CA', 'Twentynine Palms', 'no', '2CA2', '', '2CA2', ''),
	('KDOO', 'N/A', 'N/A', 35.5704890191555, -114.29794281721115, 969, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0L7', 'small_airport', 'Jean Airport', 35.7682991027832, -115.33000183105469, 2832, 'US', 'US-NV', 'Jean', 'no', 'K0L7', '', '0L7', ''),
	('4AZ6', 'small_airport', 'Parsons Field', 34.99810028076172, -113.46199798583984, 3760, 'US', 'US-AZ', 'Kingman', 'no', '4AZ6', '', '4AZ6', ''),
	('AZ28', 'small_airport', 'Thunder Ridge Airpark', 33.821499, -112.572998, 1915, 'US', 'US-AZ', 'Morristown', 'no', 'AZ28', '', 'AZ28', 'morristown, thunder ridge'),
	('KIFP', 'medium_airport', 'Laughlin Bullhead International Airport', 35.157398, -114.559998, 701, 'US', 'US-AZ', 'Bullhead City', 'no', 'KIFP', 'IFP', 'IFP', ''),
	('15AZ', 'closed', 'Quail Mesa Ranch Airport', 33.76168, -114.4596, 290, 'US', 'US-AZ', 'Parker', 'no', '', '', '', '15AZ, 15AZ, 15AZ'),
	('49X', 'small_airport', 'Chemehuevi Valley Airport', 34.528805, -114.431999, 631, 'US', 'US-CA', 'Havasu Lake', 'no', 'K49X', '', '49X', ''),
	('0AZ2', 'small_airport', 'Western Sky Airport', 33.778166, -113.640625, 1930, 'US', 'US-AZ', 'Salome', 'no', '0AZ2', '', '0AZ2', 'salome, western sky'),
	('KCIS', 'N/A', 'N/A', 33.92928421497345, -114.00025382637978, 295, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2AZ1', 'small_airport', 'Indian Hills Airpark', 33.760346, -113.614748, 1866, 'US', 'US-AZ', 'Salome', 'no', '2AZ1', '', '2AZ1', 'salome, indian hills');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KLAG', 'N/A', 'N/A', 35.485481433570385, -114.66623783111572, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NV54', 'small_airport', 'Flying S Ranch Ultralightport', 36.30699920654297, -115.98899841308594, 2800, 'US', 'US-NV', 'Pahrump', 'no', 'NV54', '', 'NV54', ''),
	('1L3', 'small_airport', 'Searchlight Airport', 35.444400787353516, -114.90899658203125, 3410, 'US', 'US-NV', 'Searchlight', 'no', 'K1L3', '', '1L3', ''),
	('AZ34', 'small_airport', 'Massey Farm Airport', 34.691428, -114.097739, 1630, 'US', 'US-AZ', 'Yucca', 'no', 'AZ34', '', 'AZ34', ''),
	('KLSV', 'medium_airport', 'Nellis Air Force Base', 36.2361984253, -115.033996582, 1870, 'US', 'US-NV', 'Las Vegas', 'no', 'KLSV', 'LSV', 'LSV', 'McCarran Field, Las Vegas AAF, Las Vegas AFB'),
	('3AZ5', 'small_airport', 'Hualapai Airport', 35.572201, -113.292, 5317, 'US', 'US-AZ', 'Peach Springs', 'no', '3AZ5', '', '3AZ5', ''),
	('KBVU', 'N/A', 'N/A', 35.94730820506811, -114.86108332872391, 651, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('L37', 'small_airport', 'Grand Canyon Caverns Airport', 35.528301, -113.247002, 5386, 'US', 'US-AZ', 'Peach Springs', 'no', 'L37', 'PGS', 'L37', ''),
	('28AZ', 'small_airport', 'Sampley''s Airport', 33.922798156738, -113.18099975586, 2208, 'US', 'US-AZ', 'Aguila', 'no', '28AZ', '', '28AZ', 'E21'),
	('KEED', 'medium_airport', 'Needles Airport', 34.7663002014, -114.623001099, 983, 'US', 'US-CA', 'Needles', 'no', 'KEED', 'EED', 'EED', 'Needles AAF'),
	('A20', 'small_airport', 'Sun Valley Airport', 35.00876, -114.566052, 725, 'US', 'US-AZ', 'Bullhead City', 'no', '', '', 'A20', ''),
	('KLAS', 'large_airport', 'Harry Reid International Airport', 36.083361, -115.151817, 2181, 'US', 'US-NV', 'Las Vegas', 'yes', 'KLAS', 'LAS', 'LAS', 'McCarran International Airport'),
	('0L9', 'small_airport', 'Echo Bay Airport', 36.3111, -114.463997, 1535, 'US', 'US-NV', 'Overton', 'no', 'K0L9', '', '0L9', ''),
	('AZ27', 'small_airport', 'Big Springs Ranch Airport', 34.909848, -112.532723, 4421, 'US', 'US-AZ', 'Paulden', 'no', 'AZ27', '', 'AZ27', 'paulden, big springs, big springs ranch, big springs airpark'),
	('5CL7', 'small_airport', 'Gene Wash Reservoir Airport', 34.308101654052734, -114.18699645996094, 860, 'US', 'US-CA', 'Parker Dam', 'no', '5CL7', '', '5CL7', ''),
	('44E', 'N/A', 'N/A', 33.95490534603596, -112.99096494913101, 738, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9AZ2', 'small_airport', 'Sagebrush Trails Estates Airport', 34.582698, -114.027786, 0, 'US', 'US-AZ', 'Lake Havasu City', 'no', '', '', '9AZ2', ''),
	('27AZ', 'small_airport', 'Eagle Roost Airpark', 33.919276, -113.167795, 2206, 'US', 'US-AZ', 'Aguila', 'no', '27AZ', '', '27AZ', 'aguila, eagle roost, valley of the eagles'),
	('KTAF', 'N/A', 'N/A', 33.8015228882432, -113.18455472588539, 658, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CL29', 'small_airport', 'Camino Airstrip', 34.834999084472656, -114.95700073242188, 2079, 'US', 'US-CA', 'Goffs', 'no', 'CL29', '', 'CL29', ''),
	('MXTC', 'N/A', 'N/A', 31.881996989250183, -112.81204417347908, 426, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KWEO', 'N/A', 'N/A', 32.69368540495634, -113.9612464606762, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEO', 'N/A', 'N/A', 32.49927889555693, -115.14593973755836, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKZ', 'N/A', 'N/A', 32.12039642035961, -115.16979798674583, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('29AZ', 'small_airport', 'Paloma Ranch Airport', 32.905602, -112.900002, 737, 'US', 'US-AZ', 'Paloma', 'no', '29AZ', '', '29AZ', 'Davis Field, Gila River Ranch'),
	('MMHV', 'N/A', 'N/A', 32.276746071875095, -114.96565997600555, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('L78', 'small_airport', 'Jacumba Airport', 32.616001, -116.165001, 2844, 'US', 'US-CA', 'Jacumba', 'no', 'L78', '', 'L78', ''),
	('MMEM', 'N/A', 'N/A', 30.975345633924007, -115.73779374361038, 652, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KIPL', 'medium_airport', 'Imperial County Airport', 32.83539, -115.574026, -54, 'US', 'US-CA', 'Imperial', 'yes', 'KIPL', 'IPL', 'IPL', ''),
	('23CN', 'closed', 'Douthitt Strip', 32.789013, -115.528535, 45, 'US', 'US-CA', 'El Centro', 'no', '', '', '', '23CN'),
	('MMKP', 'N/A', 'N/A', 32.42038909345865, -115.16039684414864, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBLH', 'medium_airport', 'Blythe Airport', 33.6192016602, -114.717002869, 399, 'US', 'US-CA', 'Blythe', 'no', 'KBLH', 'BLH', 'BLH', ''),
	('10AZ', 'small_airport', 'Pierce Airport', 33.36640167236328, -112.61799621582031, 860, 'US', 'US-AZ', 'Buckeye', 'no', '10AZ', '', '10AZ', ''),
	('KWEB', 'N/A', 'N/A', 32.70182691514492, -113.92956152558327, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CN98', 'small_airport', 'Walters Camp Airport', 33.245556, -114.710278, 309, 'US', 'US-CA', 'Palo Verde', 'no', 'CN98', '', 'CN98', ''),
	('MXFD', 'N/A', 'N/A', 32.61397384107113, -115.08205488324165, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('63CA', 'small_airport', 'Desert Air Sky Ranch Airport', 33.48109817504883, -115.8740005493164, 0, 'US', 'US-CA', 'North Shore', 'no', '63CA', '', '63CA', ''),
	('KNJK', 'medium_airport', 'El Centro NAF Airport (Vraciu Field)', 32.829201, -115.671996, -42, 'US', 'US-CA', 'El Centro', 'no', 'KNJK', 'NJK', 'NJK', 'Naval Air Facility El Centro, MCAS El Centro'),
	('E63', 'small_airport', 'Gila Bend Municipal Airport', 32.95809937, -112.6780014, 789, 'US', 'US-AZ', 'Gila Bend', 'no', 'E63', '', 'E63', ''),
	('KFOO', 'N/A', 'N/A', 32.54646431654692, -114.50859144330025, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('L77', 'small_airport', 'Chiriaco Summit Airport', 33.664729, -115.710819, 1713, 'US', 'US-CA', 'Chiriaco Summit', 'no', 'KL77', '', 'L77', 'chiriaco summit, shavers summit'),
	('KNYL', 'medium_airport', 'Yuma International Airport / Marine Corps Air Station Yuma', 32.650938, -114.609375, 213, 'US', 'US-AZ', 'Yuma', 'yes', 'KNYL', 'YUM', 'NYL', 'Yuma MCAS, Yuma Marine Corps Air Station, Formerly KYUM'),
	('MM89', 'N/A', 'N/A', 31.16822563111782, -112.80597254633904, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBXK', 'small_airport', 'Buckeye Municipal Airport', 33.422397, -112.686317, 1033, 'US', 'US-AZ', 'Buckeye', 'no', 'KBXK', 'BXK', 'BXK', 'buckeye, buckeye municipal'),
	('MMDT', 'N/A', 'N/A', 32.25287206470966, -115.17833143472672, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('L04', 'small_airport', 'Holtville Airport', 32.840302, -115.266998, 59, 'US', 'US-CA', 'Holtville', 'no', 'KL04', '', 'L04', ''),
	('MMKV', 'N/A', 'N/A', 32.53235254436731, -115.15689611434937, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEH', 'N/A', 'N/A', 32.62523476034403, -114.88510608673096, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('73CL', 'small_airport', 'Julian Hinds Pump Plant Airstrip', 33.698066, -115.638185, 1335, 'US', 'US-CA', 'Hayfield', 'no', '73CL', '', '73CL', ''),
	('L90', 'small_airport', 'Ocotillo Airport', 33.150002, -116.133003, 160, 'US', 'US-CA', 'Ocotillo Wells', 'no', 'L90', '', 'L90', ''),
	('56AZ', 'small_airport', 'Mauldin Airstrip', 33.482422, -113.001729, 1193, 'US', 'US-AZ', 'Tonopah', 'no', '56AZ', '', '56AZ', 'tonopah, mauldin');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('INZ', 'small_airport', 'Pista Iñiguez II', 32.536358, -115.081251, 33, 'MX', 'MX-BCN', 'Mexicali', 'no', '', '', 'INZ', ''),
	('MMFA', 'N/A', 'N/A', 31.881632208824158, -116.19501829147339, 751, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMML', 'medium_airport', 'Aeropuerto Internacional Gral. Rodolfo Sánchez Taboada', 32.630629, -115.242805, 74, 'MX', 'MX-BCN', 'Mexicali', 'yes', 'MMML', 'MXL', 'M1L', 'Mexicali Airport'),
	('13AZ', 'small_airport', 'Waltenberry Field Ultralightport', 33.535, -112.853472222, 1213, 'US', 'US-AZ', 'Tonopah', 'no', '13AZ', '', '13AZ', ''),
	('AZ06', 'closed', 'Dateland Airfield', 32.8172, -113.527, 450, 'US', 'US-AZ', 'Dateland', 'no', '', '', '', 'AZ06, Dateland Air Force Auxiliary Field'),
	('44A', 'small_airport', 'Rolle Airfield', 32.518398, -114.697998, 163, 'US', 'US-AZ', 'San Luis', 'no', '44A', '', '44A', ''),
	('MMQE', 'N/A', 'N/A', 32.410165183246136, -115.04917591810226, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AZ00', 'small_airport', 'Morton Field Ultralight Flightpark', 32.80679, -113.503876, 475, 'US', 'US-AZ', 'Dateland', 'no', 'AZ00', '', 'AZ00', ''),
	('MMFK', 'N/A', 'N/A', 32.301855236291885, -114.97595652937889, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('54AZ', 'small_airport', 'Somerton Airport', 32.60247, -114.667482, 177, 'US', 'US-AZ', 'Somerton', 'no', '54AZ', '', '54AZ', ''),
	('MM76', 'N/A', 'N/A', 32.445621304214, -114.79795038700104, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDD', 'small_airport', 'Bermuda Dunes Airport', 33.748492, -116.275027, 73, 'US', 'US-CA', 'Bermuda Dunes', 'no', 'KUDD', 'UDD', 'UDD', ''),
	('99AZ', 'small_airport', 'ADC Airport', 33.395646, -113.222888, 1224, 'US', 'US-AZ', 'Tonopah', 'no', '0AZ1', '', '0AZ1', '99AZ, Eagletail Ranch'),
	('KLGF', 'small_airport', 'Laguna Army Airfield', 32.86000061, -114.3970032, 433, 'US', 'US-AZ', 'Yuma Proving Ground(Yuma)', 'no', 'KLGF', 'LGF', 'LGF', 'Yuma Proving Ground'),
	('MRP', 'small_airport', 'Maran Airport', 32.538278, -115.423278, 26, 'MX', 'MX-BCN', 'Mexicali', 'no', '', '', 'MRP', ''),
	('KCLR', 'small_airport', 'Cliff Hatfield Memorial Airport', 33.131500244099996, -115.521003723, -182, 'US', 'US-CA', 'Calipatria', 'no', 'KCLR', 'CLR', 'CLR', ''),
	('MMZL', 'N/A', 'N/A', 32.59220838546753, -115.00602319836617, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCXL', 'small_airport', 'Calexico International Airport', 32.6694984436, -115.513000488, 4, 'US', 'US-CA', 'Calexico', 'no', 'KCXL', 'CXL', 'CXL', ''),
	('MMEA', 'N/A', 'N/A', 32.543589659035206, -114.92890387773514, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHM', 'N/A', 'N/A', 31.708586141467094, -114.52447727322578, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSAS', 'N/A', 'N/A', 33.24119433760643, -115.95258325338364, -26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBWC', 'small_airport', 'Brawley Municipal Airport', 32.99290085, -115.5169983, -128, 'US', 'US-CA', 'Brawley', 'no', 'KBWC', 'BWC', 'BWC', ''),
	('CN64', 'small_airport', 'Desert Center Airport', 33.747609, -115.325117, 559, 'US', 'US-CA', 'Desert Center', 'no', 'CN64', '', 'CN64', 'L64, desert center'),
	('KTAH', 'N/A', 'N/A', 33.580985963344574, -113.58901217579842, 411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWX', 'N/A', 'N/A', 31.63664024323225, -112.81279608607292, 520, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('56CL', 'small_airport', 'Morris Ag Air SW Airport', 33.591726, -114.605663, 263, 'US', 'US-CA', 'Blythe', 'no', '56CL', '', '56CL', 'cyr aviation, morris ag air'),
	('61CL', 'small_airport', 'Johnson Brothers Airport', 32.672743, -115.561896, -1, 'US', 'US-CA', 'Calexico', 'no', '61CL', '', '61CL', ''),
	('30AZ', 'closed', 'Gila Compressor Station Airport', 33.25, -112.813004, 838, 'US', 'US-AZ', 'Arlington', 'no', '', '', '', '30AZ, 30AZ, 30AZ'),
	('MMPE', 'closed', 'Aeródromo de Puerto Peñasco', 31.352721, -113.518767, 30, 'MX', 'MX-SON', 'Puerto Peñasco', 'no', '', '', '', 'PPE, MMPE'),
	('P01', 'small_airport', 'Eric Marcus Municipal Airport', 32.452924, -112.861519, 1458, 'US', 'US-AZ', 'Ajo', 'no', 'KP01', '', 'P01', 'Ajo Muni, Ajo AAF'),
	('MMLB', 'N/A', 'N/A', 30.95818318426609, -116.24078214168549, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AZ05', 'small_airport', 'Lakeside Airpark', 33.112536, -112.662735, 763, 'US', 'US-AZ', 'Gila Bend', 'no', 'AZ05', '', 'AZ05', 'gila bend, buckeye, lakeside'),
	('AZ85', 'small_airport', 'Tonopah Airport', 33.533561, -112.960192, 1248, 'US', 'US-AZ', 'Tonopah', 'no', 'AZ85', '', 'AZ85', 'tonopah'),
	('MMDR', 'N/A', 'N/A', 32.16320279985666, -115.27329728007317, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KGXF', 'N/A', 'N/A', 32.887847162783146, -112.71961122751236, 260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTRM', 'medium_airport', 'Jacqueline Cochran Regional Airport', 33.62670135498, -116.16000366211, -115, 'US', 'US-CA', 'Palm Springs', 'no', 'KTRM', 'TRM', 'TRM', 'Thermal Airport, Desert Resorts Regional Airport, Thermal AAF'),
	('MM08', 'N/A', 'N/A', 32.49093856662512, -115.1841701567173, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTE', 'N/A', 'N/A', 32.531745694577694, -114.98967155814171, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZT', 'N/A', 'N/A', 32.55492936819792, -114.99644592404366, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KGAX', 'small_airport', 'Williams Auxiliary Air Field 6', 32.884669, -112.816544, 0, 'US', 'US-AZ', 'Gila Bend', 'no', 'KGAX', '', 'GAX', ''),
	('MMIL', 'N/A', 'N/A', 32.5618826597929, -115.25905787944794, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0CA6', 'small_airport', 'Emory Ranch Airport', 32.7494444, -116.0161111, 480, 'US', 'US-CA', 'Ocotillo', 'no', '0CA6', '', '0CA6', ''),
	('MMSS', 'N/A', 'N/A', 28.921543657779694, -114.15163457393646, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSE', 'N/A', 'N/A', 29.792797565460205, -114.40580695867538, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSN', 'N/A', 'N/A', 29.80402998626232, -114.39695119857788, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSI', 'N/A', 'N/A', 29.735497869551182, -114.31237667798996, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSU', 'N/A', 'N/A', 28.41369118541479, -112.86072090268135, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRZ', 'N/A', 'N/A', 30.489467829465866, -115.97794577479362, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPT', 'N/A', 'N/A', 30.848119407892227, -112.91665837168694, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSJ', 'N/A', 'N/A', 30.35343289375305, -114.63940501213074, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNQ', 'small_airport', 'San Quintín Military Airstrip', 30.5288, -115.9462, 68, 'MX', 'MX-BCN', 'San Quintín', 'no', '', 'SNQ', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMPU', 'N/A', 'N/A', 30.577990449965, -112.94863298535347, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BHL', 'small_airport', 'Bahía de los Ángeles Airport', 28.9786, -113.560997, 34, 'MX', 'MX-BCN', 'Ensenada', 'no', '', 'BHL', 'BAX', ''),
	('MMLR', 'N/A', 'N/A', 30.409975200891495, -115.9194727241993, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM32', 'small_airport', 'Puerto Libertad North Airport', 29.9296, -112.655998, 148, 'MX', 'MX-SON', 'Pitiquito', 'no', 'MM32', '', 'MM32', ''),
	('MMOE', 'N/A', 'N/A', 30.41455004364252, -115.86920142173767, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVJ', 'N/A', 'N/A', 30.57192698121071, -115.92127427458763, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSF', 'large_airport', 'Aeropuerto Internacional San Felipe', 30.931996, -114.80847, 148, 'MX', 'MX-BCN', 'Mexicali', 'no', 'MMSF', 'SFH', 'SFE', ''),
	('MMOB', 'N/A', 'N/A', 30.32026804983616, -115.82120060920715, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRD', 'small_airport', 'Paredones Airport', 29.949722, -114.511389, 98, 'MX', 'MX-BCN', 'San Felipe', 'no', '', '', 'PRD', ''),
	('MMVF', 'N/A', 'N/A', 29.906897731125355, -114.44724574685097, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMYQ', 'N/A', 'N/A', 29.910425171256065, -114.4687668979168, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMLU', 'N/A', 'N/A', 29.619381353259087, -115.50289437174797, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFG', 'N/A', 'N/A', 30.506552159786224, -115.88705644011497, 120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVT', 'N/A', 'N/A', 28.306921161711216, -112.88602977991104, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BLM', 'small_airport', 'Muñoz Landing Airstrip', 28.891952, -113.528724, 33, 'MX', 'MX-BCN', 'San Quintín', 'no', '', '', 'BLM', 'Bahia de Los Angeles South'),
	('MM23', 'small_airport', 'Rancho Santa Ynés Airport', 29.726614, -114.699997, 1865, 'MX', 'MX-BCN', 'San Quintín', 'no', '', '', 'SIN', 'MM23'),
	('MMQB', 'N/A', 'N/A', 30.850735567510128, -112.81474962830544, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFI', 'N/A', 'N/A', 30.636001601815224, -115.95985293388367, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEI', 'N/A', 'N/A', 27.515969574451447, -113.32968905568123, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEL', 'N/A', 'N/A', 26.848427429795265, -113.14079537987709, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMU', 'N/A', 'N/A', 26.370977461338043, -112.51379147171974, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYD', 'small_airport', 'Ejidal de San Ignacio Airstrip', 27.2906, -112.8851, 575, 'MX', 'MX-BCS', 'Mulegé', 'no', '', '', 'SNG', ''),
	('MMBI', 'N/A', 'N/A', 27.705289274454117, -114.91121247410774, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBS', 'N/A', 'N/A', 27.85749390721321, -115.16530439257622, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AJS', 'small_airport', 'Punta Abreojos Airport', 26.7272, -113.558998, 26, 'MX', 'MX-BCS', 'Mulegé', 'no', '', 'AJS', 'AJS', 'MX86'),
	('MMEE', 'N/A', 'N/A', 27.463938407599926, -113.28912690281868, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBH', 'N/A', 'N/A', 27.183492332696915, -114.27730321884155, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM26', 'N/A', 'N/A', 27.297047674655914, -112.93868020176888, 215, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM10', 'small_airport', 'Isla Cedros Airport', 28.039031, -115.189419, 98, 'MX', 'MX-BCN', 'Cedros Island', 'yes', 'MMCD', '', 'ICD', 'MM10'),
	('MMGR', 'small_airport', 'Guerrero Negro Airport', 28.0261, -114.024002, 59, 'MX', 'MX-BCN', 'San Quintín', 'yes', 'MMGR', 'GUB', 'GRN', 'MM58'),
	('KBPI', 'medium_airport', 'Miley Memorial Field', 42.58509827, -110.1110001, 6990, 'US', 'US-WY', 'Big Piney', 'no', 'KBPI', 'BPI', 'BPI', 'Big Piney-Marbleton Airport'),
	('MT47', 'small_airport', 'Metzel Creek Airport', 44.6869010925293, -111.89399719238281, 6691, 'US', 'US-MT', 'Lakeview', 'no', 'MT47', '', 'MT47', ''),
	('WY30', 'small_airport', 'Kinky Creek Divide Airport', 43.3754997253418, -110.11000061035156, 8803, 'US', 'US-WY', 'Dubois', 'no', 'WY30', '', 'WY30', ''),
	('KRXE', 'small_airport', 'Rexburg Madison County Airport', 43.8339, -111.805002, 4858, 'US', 'US-ID', 'Rexburg', 'no', 'KRXE', 'RXE', 'RXE', 'U11'),
	('WY06', 'small_airport', 'Luckinbill Airstrip', 44.838333, -109.623236, 6600, 'US', 'US-WY', 'Cody', 'no', 'WY06', '', 'WY06', ''),
	('ID87', 'small_airport', 'Rainbow Ranch Airport', 43.406898498535156, -111.9739990234375, 4750, 'US', 'US-ID', 'Idaho Falls', 'no', 'ID87', '', 'ID87', ''),
	('U56', 'small_airport', 'Rigby Jefferson County Airport', 43.642039, -111.929526, 4845, 'US', 'US-ID', 'Rigby', 'no', 'KU56', '', 'U56', ''),
	('0WY0', 'small_airport', 'Freedom Air Ranch Airport', 43.039722, -111.038056, 5698, 'US', 'US-WY', 'Freedom', 'no', '0WY0', '', '0WY0', ''),
	('KDUB', 'N/A', 'N/A', 43.548652678728104, -109.69082772731781, 2216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KAFO', 'small_airport', 'Afton Municipal Airport', 42.7112007141, -110.942001343, 6221, 'US', 'US-WY', 'Afton', 'no', 'KAFO', 'AFO', 'AFO', ''),
	('ID62', 'small_airport', 'Simpson Airport', 42.608299255371094, -111.72899627685547, 5598, 'US', 'US-ID', 'Grace', 'no', 'ID62', '', 'ID62', ''),
	('U53', 'small_airport', 'Henry''s Lake Airport', 44.634376, -111.345261, 6596, 'US', 'US-ID', 'Island Park', 'no', '', '', 'U53', ''),
	('U02', 'small_airport', 'Mccarley Field', 43.209233, -112.34956, 4488, 'US', 'US-ID', 'Blackfoot', 'no', 'KU02', '', 'U02', ''),
	('U51', 'small_airport', 'Bancroft Municipal Airport', 42.72079849243164, -111.86699676513672, 5435, 'US', 'US-ID', 'Bancroft', 'no', 'U51', '', 'U51', ''),
	('U58', 'small_airport', 'Downey/Hyde Memorial Airport', 42.42630005, -112.1090012, 4906, 'US', 'US-ID', 'Downey', 'no', 'KU58', '', 'U58', ''),
	('KPNA', 'medium_airport', 'Ralph Wenz Field', 42.79550171, -109.8069992, 7102, 'US', 'US-WY', 'Pinedale', 'no', 'KPNA', 'PWY', 'PNA', ''),
	('2WY3', 'small_airport', 'Haas Airport', 43.007198333740234, -110.31700134277344, 7980, 'US', 'US-WY', 'Merna', 'no', '2WY3', '', '2WY3', ''),
	('U78', 'small_airport', 'Allen H Tigert Airport', 42.6416015625, -111.58000183105469, 5839, 'US', 'US-ID', 'Soda Springs', 'no', 'KU78', '', 'U78', ''),
	('KWYS', 'medium_airport', 'Yellowstone Airport', 44.6884, -111.117996, 6649, 'US', 'US-MT', 'West Yellowstone', 'yes', 'KWYS', 'WYS', 'WYS', ''),
	('U12', 'small_airport', 'Stanford Field', 43.945701599121094, -111.68399810791016, 4966, 'US', 'US-ID', 'St Anthony', 'no', 'KU12', '', 'U12', ''),
	('WY60', 'small_airport', 'Heiner Airport', 42.862061, -110.898958, 6440, 'US', 'US-WY', 'Bedford', 'no', 'WY60', '', 'WY60', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KCOD', 'medium_airport', 'Yellowstone Regional Airport', 44.520199, -109.024002, 5102, 'US', 'US-WY', 'Cody', 'yes', 'KCOD', 'COD', 'COD', ''),
	('KPOY', 'small_airport', 'Powell Municipal Airport', 44.867198944092, -108.79299926758, 5092, 'US', 'US-WY', 'Powell', 'no', 'KPOY', 'POY', 'POY', ''),
	('ID50', 'closed', 'QB One Airport', 43.601299, -112.242996, 4875, 'US', 'US-ID', 'Idaho Falls', 'no', '', '', '', 'ID50'),
	('1U7', 'small_airport', 'Bear Lake County Airport', 42.2472, -111.337997, 5928, 'US', 'US-ID', 'Paris', 'no', 'K1U7', '', '1U7', ''),
	('ID72', 'small_airport', 'Huskey Airport', 43.41740036010742, -111.28500366210938, 5200, 'US', 'US-ID', 'Irwin', 'no', 'ID72', '', 'ID72', ''),
	('2WY8', 'small_airport', 'Bar Flying E Airport', 44.40439987182617, -109.28199768066406, 5550, 'US', 'US-WY', 'Cody', 'no', '2WY8', '', '2WY8', ''),
	('01ID', 'small_airport', 'Lava Hot Springs Airport', 42.6082, -112.031998, 5268, 'US', 'US-ID', 'Lava Hot Springs', 'no', '01ID', '', '01ID', 'Formerly 00E, ID26'),
	('U41', 'small_airport', 'Dubois Municipal Airport', 44.162057, -112.220581, 5123, 'US', 'US-ID', 'Dubois', 'no', 'KU41', 'DBS', 'U41', ''),
	('1ID9', 'small_airport', 'Skyline STOLport', 42.780601501464844, -112.1709976196289, 6150, 'US', 'US-ID', 'Inkom', 'no', '1ID9', '', '1ID9', ''),
	('KDIJ', 'small_airport', 'Driggs/Reed Memorial Airport', 43.742667, -111.096829, 6229, 'US', 'US-ID', 'Driggs', 'no', 'KDIJ', '', 'DIJ', 'U59'),
	('WY31', 'small_airport', 'Melody Ranch Airport', 43.40959930419922, -110.77300262451172, 6075, 'US', 'US-WY', 'Jackson', 'no', 'WY31', '', 'WY31', ''),
	('WY64', 'small_airport', 'Lone Pine Flying Ranch Airport', 42.957401275634766, -110.98300170898438, 6000, 'US', 'US-WY', 'Thayne', 'no', 'WY64', '', 'WY64', ''),
	('32WY', 'small_airport', 'Double L Ranch Airport', 43.080301, -111.031936, 5732, 'US', 'US-WY', 'Etna', 'no', '32WY', '', '32WY', ''),
	('ID12', 'small_airport', 'Russell W Anderson Strip', 43.184399, -112.466003, 4450, 'US', 'US-ID', 'Riverside', 'no', 'ID12', '', 'ID12', ''),
	('0ID', 'small_airport', 'W E Ranch Airport', 42.448186, -111.777543, 5075, 'US', 'US-ID', 'Thatcher', 'no', '', '', '0ID', ''),
	('WY39', 'small_airport', 'Star Valley Ranch Airport', 42.969398498535156, -110.96600341796875, 6210, 'US', 'US-WY', 'Thayne', 'no', 'WY39', '', 'WY39', ''),
	('WY33', 'small_airport', 'Antelope Run Ranch Airport', 42.816898345947266, -110.27799987792969, 7470, 'US', 'US-WY', 'Daniel', 'no', 'WY33', '', 'WY33', ''),
	('KIDA', 'medium_airport', 'Idaho Falls Regional Airport', 43.514599, -112.070999, 4744, 'US', 'US-ID', 'Idaho Falls', 'yes', 'KIDA', 'IDA', 'IDA', 'Fanning Field'),
	('8M3', 'seaplane_base', 'Yellowstone Seaplane Base', 44.830001, -111.2875, 6534, 'US', 'US-MT', 'West Yellowstone', 'no', '', '', '8M3', ''),
	('KSOO', 'N/A', 'N/A', 42.44556941092014, -111.77804589271545, 1543, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('46U', 'small_airport', 'Alpine Airport', 43.181876, -111.038657, 5634, 'US', 'US-WY', 'Alpine', 'no', '46U', '', '46U', ''),
	('KJAC', 'medium_airport', 'Jackson Hole Airport', 43.6072998046875, -110.73799896240234, 6451, 'US', 'US-WY', 'Jackson', 'yes', 'KJAC', 'JAC', 'JAC', ''),
	('MT46', 'closed', 'Lakeview Airport', 44.619432, -111.798163, 6630, 'US', 'US-MT', 'Lima', 'no', '', '', '', 'MT46'),
	('KHCR', 'N/A', 'N/A', 40.48180550336838, -111.42880573868752, 1710, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT83', 'small_airport', 'Thunder Ridge Airpark', 40.263806, -110.865183, 7050, 'US', 'US-UT', 'Fruitland', 'no', 'UT83', '', 'UT83', ''),
	('KPUC', 'small_airport', 'Carbon County Regional Airport / Buck Davis Field', 39.613899, -110.751, 5957, 'US', 'US-UT', 'Price', 'no', 'KPUC', 'PUC', 'PUC', ''),
	('UT90', 'small_airport', 'CAVOK Ranch Airport', 41.585369, -111.9037, 5155, 'US', 'US-UT', 'Wellsville', 'no', 'UT90', '', 'UT90', ''),
	('KEVW', 'medium_airport', 'Evanston-Uinta County Airport-Burns Field', 41.27479935, -111.0350037, 7143, 'US', 'US-WY', 'Evanston', 'no', 'KEVW', 'EVW', 'EVW', ''),
	('40U', 'small_airport', 'Manila Airport', 40.98609924316406, -109.6780014038086, 6175, 'US', 'US-UT', 'Manila', 'no', 'K40U', '', '40U', ''),
	('UT9', 'small_airport', 'West Desert Airpark', 40.243268, -112.092018, 4890, 'US', 'US-UT', 'Fairfield', 'no', 'KUT9', '', 'UT9', 'UT99, Cedar Valley'),
	('KVEL', 'medium_airport', 'Vernal Regional Airport', 40.436214, -109.511661, 5278, 'US', 'US-UT', 'Vernal', 'yes', 'KVEL', 'VEL', 'VEL', ''),
	('U06', 'small_airport', 'Cokeville Municipal Airport', 42.045799255371094, -110.96600341796875, 6270, 'US', 'US-WY', 'Cokeville', 'no', 'KU06', '', 'U06', ''),
	('11UT', 'small_airport', 'Flying R Airport', 41.2538528, -111.7110611, 5060, 'US', 'US-UT', 'Huntsville', 'no', '11UT', '', '11UT', 'KFYN, FYN'),
	('U69', 'small_airport', 'Duchesne Municipal Airport', 40.191898, -110.380997, 5826, 'US', 'US-UT', 'Duchesne', 'no', 'KU69', '', 'U69', ''),
	('KRAG', 'N/A', 'N/A', 40.09209897369146, -109.18969362974167, 1637, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT69', 'small_airport', 'Pelican Lake Airport', 40.181400299072266, -109.6719970703125, 4815, 'US', 'US-UT', 'Randlett', 'no', 'UT69', '', 'UT69', ''),
	('WY32', 'small_airport', 'Circle B Airport', 42.094206, -110.871545, 6524, 'US', 'US-WY', 'Cokeville', 'no', 'WY32', '', 'WY32', ''),
	('99UT', 'small_airport', 'Sundog Airport', 40.35060119628906, -109.4010009765625, 4900, 'US', 'US-UT', 'Jensen', 'no', '99UT', '', '99UT', ''),
	('UT01', 'closed', 'FHP Hospital Heliport', 40.716702, -111.889, 4250, 'US', 'US-UT', 'Salt Lake City', 'no', '', '', '', 'UT01'),
	('KHIF', 'medium_airport', 'Hill Air Force Base', 41.12403, -111.973086, 4789, 'US', 'US-UT', 'Ogden', 'no', 'KHIF', 'HIF', 'HIF', 'Hill Field'),
	('U10', 'small_airport', 'Preston Airport', 42.10689926147461, -111.91300201416016, 4728, 'US', 'US-ID', 'Preston', 'no', 'KU10', '', 'U10', ''),
	('KOGD', 'medium_airport', 'Ogden Hinckley Airport', 41.195899963379, -112.0120010376, 4473, 'US', 'US-UT', 'Ogden', 'yes', 'KOGD', 'OGD', 'OGD', ''),
	('UT67', 'small_airport', 'Paradise Air Park', 40.44110107421875, -109.84700012207031, 5700, 'US', 'US-UT', 'Tridell', 'no', 'UT67', '', 'UT67', ''),
	('KBTF', 'small_airport', 'Skypark Airport', 40.8694000244, -111.927001953, 4234, 'US', 'US-UT', 'Bountiful', 'no', 'KBTF', 'BTF', 'BTF', ''),
	('15UT', 'N/A', 'N/A', 40.972141809761524, -111.70443624258041, 1730, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KFBR', 'small_airport', 'Fort Bridger Airport', 41.3918991089, -110.406997681, 7034, 'US', 'US-WY', 'Fort Bridger', 'no', 'KFBR', 'FBR', 'FBR', ''),
	('KPVU', 'medium_airport', 'Provo-Utah Lake International Airport', 40.2192, -111.723, 4497, 'US', 'US-UT', 'Provo', 'yes', 'KPVU', 'PVU', 'PVU', ''),
	('UT08', 'closed', 'Camp Williams Airfield', 40.4319, -111.931, 4860, 'US', 'US-UT', 'Saratoga Springs', 'no', '', '', '', 'UT08'),
	('33U', 'small_airport', 'Dutch John Airport', 40.917701721191406, -109.39099884033203, 6561, 'US', 'US-UT', 'Dutch John', 'no', 'K33U', '', '33U', ''),
	('KBMC', 'small_airport', 'Brigham City Regional Airport', 41.552399, -112.061996, 4229, 'US', 'US-UT', 'Brigham City', 'no', 'KBMC', 'BMC', 'BMC', 'Brigham City Airport'),
	('WY41', 'small_airport', 'Red Creek Ranch Airport', 41.06669998168945, -109.08899688720703, 7050, 'US', 'US-WY', 'Rock Springs', 'no', 'WY41', '', 'WY41', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SAND', 'small_airport', 'Sandwash Backcountry Strip', 39.830814, -109.928892, 5400, 'US', 'US-UT', 'Myton', 'no', '', '', '', ''),
	('UT10', 'small_airport', 'Cedar Valley Airport', 40.357201, -112.017997, 5000, 'US', 'US-UT', 'Eagle Mountain', 'no', 'UT10', '', 'UT10', 'Cedar Fort'),
	('KEMM', 'small_airport', 'Kemmerer Municipal Airport', 41.82410049439999, -110.556999207, 7285, 'US', 'US-WY', 'Kemmerer', 'no', 'KEMM', 'EMM', 'EMM', ''),
	('KRKS', 'medium_airport', 'Southwest Wyoming Regional Airport', 41.5942, -109.065001, 6764, 'US', 'US-WY', 'Rock Springs', 'yes', 'KRKS', 'RKS', 'RKS', 'Rock Springs Sweetwater County'),
	('KSPK', 'N/A', 'N/A', 40.14502767473459, -111.66769444942474, 1380, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLGU', 'medium_airport', 'Logan-Cache Airport', 41.7911987305, -111.851997375, 4457, 'US', 'US-UT', 'Logan', 'no', 'KLGU', 'LGU', 'LGU', ''),
	('U14', 'small_airport', 'J. Randy McKnight Nephi Municipal Airport', 39.73681, -111.870063, 5022, 'US', 'US-UT', 'Nephi', 'no', 'KU14', 'NPH', 'U14', ''),
	('43U', 'N/A', 'N/A', 39.52636778354645, -111.47636845707893, 1775, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('48U', 'small_airport', 'Greater Green River Intergalactic Spaceport', 41.458, -109.489998, 7182, 'US', 'US-WY', 'Green River', 'no', 'K48U', '', '48U', ''),
	('U42', 'medium_airport', 'South Valley Regional Airport', 40.619499, -111.992996, 4607, 'US', 'US-UT', 'Salt Lake City', 'no', '', '', 'U42', ''),
	('4V0', 'small_airport', 'Rangely Airport', 40.09400177, -108.763000488, 5275, 'US', 'US-CO', 'Rangely', 'no', '4V0', '', '4V0', ''),
	('UT27', 'closed', 'Hurricane Mesa Airport', 37.251099, -113.209, 5105, 'US', 'US-UT', 'Hurricane', 'no', '', '', '', 'UT27'),
	('KTVY', 'small_airport', 'Bolinder Field Tooele Valley Airport', 40.612301, -112.350998, 4322, 'US', 'US-UT', 'Tooele', 'no', 'KTVY', '', 'TVY', ''),
	('17U', 'small_airport', 'Jake Garn Airport', 40.263699, -112.021004, 4845, 'US', 'US-UT', 'Eagle Mountain', 'no', '17U', '', '17U', ''),
	('KSLC', 'large_airport', 'Salt Lake City International Airport', 40.78886, -111.979866, 4227, 'US', 'US-UT', 'Salt Lake City', 'yes', 'KSLC', 'SLC', 'SLC', ''),
	('42U', 'small_airport', 'Morgan County Airport', 41.1488, -111.766998, 5020, 'US', 'US-UT', 'Morgan', 'no', 'K42U', '', '42U', ''),
	('UT41', 'small_airport', 'Glenmar Ranch Airport', 40.33940124511719, -111.9990005493164, 5030, 'US', 'US-UT', 'Cedar Fort', 'no', 'UT41', '', 'UT41', ''),
	('UT79', 'small_airport', '3-I Rocker Ranch Airport', 40.41559982299805, -109.34400177001953, 4865, 'US', 'US-UT', 'Jensen', 'no', 'UT79', '', 'UT79', ''),
	('74V', 'small_airport', 'Roosevelt Municipal Airport', 40.278301, -110.051003, 5172, 'US', 'US-UT', 'Roosevelt', 'no', '', 'ROL', '74V', ''),
	('38UT', 'small_airport', 'Hoytsville Airport', 40.877415, -111.376076, 5800, 'US', 'US-UT', 'Coalville', 'no', '38UT', '', '38UT', ''),
	('07UT', 'small_airport', 'E Northrop Grumman Airport', 41.716667, -112.447222, 4480, 'US', 'US-UT', 'Howell', 'no', '07UT', '', '07UT', 'UT23, Air Force Plant 78 Airfield, ATK/Thiokol Airport'),
	('KMLD', 'small_airport', 'Malad City Airport', 42.166599, -112.296997, 4503, 'US', 'US-ID', 'Malad City', 'no', 'KMLD', 'MLD', 'MLD', ''),
	('UT97', 'small_airport', 'Happy Canyon Airport', 38.15719985961914, -110.29199981689453, 4934, 'US', 'US-UT', 'Happy Canyon', 'no', 'UT97', '', 'UT97', ''),
	('UT06', 'closed', 'Rogers Roost Airport', 38.966266, -109.719847, 5100, 'US', 'US-UT', 'Thompson Springs', 'no', '', '', '', 'UT06'),
	('U64', 'small_airport', 'Monticello Airport', 37.93243, -109.341225, 6966, 'US', 'US-UT', 'Monticello', 'no', '', 'MXC', 'U64', ''),
	('01UT', 'small_airport', 'La Sal Junction Airport', 38.30830001831055, -109.39600372314453, 6000, 'US', 'US-UT', 'La Sal', 'no', '01UT', '', '01UT', ''),
	('UT30', 'small_airport', 'Deer Springs Ranch Airport', 37.342498779296875, -112.2239990234375, 6485, 'US', 'US-UT', 'Kanab', 'no', 'UT30', '', 'UT30', ''),
	('8V6', 'small_airport', 'Dove Creek Airport', 37.76390075683594, -108.88899993896484, 6975, 'US', 'US-CO', 'Dove Creek', 'no', '8V6', '', '8V6', ''),
	('10CO', 'closed', 'Silkman Farms Inc. Airport', 39.4547, -102.212997, 4000, 'US', 'US-CO', 'Burlington', 'no', '', '', '', '10CO'),
	('63CO', 'small_airport', 'Hendricks Field At West Creek Ranch Airport', 38.705501556396484, -108.93699645996094, 4820, 'US', 'US-CO', 'Gateway', 'no', '63CO', '', '63CO', ''),
	('UT17', 'small_airport', 'Pfeiler Ranch Airport', 37.93220138549805, -112.33200073242188, 7040, 'US', 'US-UT', 'Panguitch', 'no', 'UT17', '', 'UT17', ''),
	('KCNY', 'medium_airport', 'Canyonlands Regional Airport', 38.755001, -109.754997, 4557, 'US', 'US-UT', 'Moab', 'yes', 'KCNY', 'CNY', 'CNY', ''),
	('KSHI', 'N/A', 'N/A', 36.91113822162151, -109.06600669026375, 1651, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT03', 'small_airport', 'Hite Airport', 37.894702, -110.379124, 3840, 'US', 'US-UT', 'Hite', 'no', 'UT03', '', 'UT03', ''),
	('KPAG', 'N/A', 'N/A', 37.566523253917694, -112.45334878563881, 2189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRIF', 'small_airport', 'Richfield Municipal Airport', 38.734068, -112.101603, 5301, 'US', 'US-UT', 'Richfield', 'no', 'KRIF', 'RIF', 'RIF', ''),
	('U07', 'small_airport', 'Bullfrog Basin Airport', 37.547827, -110.712898, 4167, 'US', 'US-UT', 'Bullfrog', 'no', 'KU07', 'BFG', 'U07', ''),
	('38U', 'small_airport', 'Wayne Wonderland Airport', 38.36249923706055, -111.59600067138672, 7023, 'US', 'US-UT', 'Loa', 'no', 'K38U', '', '38U', ''),
	('41U', 'small_airport', 'Manti-Ephraim Airport', 39.32910156, -111.6149979, 5500, 'US', 'US-UT', 'Manti', 'no', '41U', 'NTJ', '41U', ''),
	('44AZ', 'small_airport', 'Sandhill Ranch Airport', 36.93190002441406, -111.97000122070313, 5868, 'US', 'US-AZ', 'Page', 'no', '44AZ', '', '44AZ', ''),
	('AZ03', 'small_airport', 'Cliff Dwellers Lodge Airport', 36.734095, -111.753053, 4217, 'US', 'US-AZ', 'Marble Canyon', 'no', 'AZ03', '', 'AZ03', ''),
	('KPGA', 'medium_airport', 'Page Municipal Airport', 36.924234, -111.447716, 4316, 'US', 'US-AZ', 'Page', 'yes', 'KPGA', 'PGA', 'PGA', ''),
	('UT25', 'small_airport', 'Monument Valley Airport', 37.015868, -110.202031, 5192, 'US', 'US-UT', 'Oljato-Monument Valley', 'no', 'UT25', 'GMV', 'UT25', '71V, Tsé Biiʼ Ndzisgaii'),
	('KLOA', 'N/A', 'N/A', 37.88534805178642, -111.46410316228867, 2071, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('03UT', 'small_airport', 'AZ Minerals Corporation Airport', 37.114384, -109.99014, 5315, 'US', 'US-UT', 'Mexican Hat', 'no', '03UT', '', '03UT', 'U23'),
	('44U', 'small_airport', 'Salina Gunnison Airport', 39.029098510699995, -111.837997437, 5159, 'US', 'US-UT', 'Salina', 'no', '44U', 'SBO', '44U', ''),
	('53AZ', 'small_airport', 'Shonto Airport', 36.58810043334961, -110.65499877929688, 6449, 'US', 'US-AZ', 'Shonto', 'no', '53AZ', '', '53AZ', ''),
	('U34', 'small_airport', 'Green River Municipal Airport', 38.9613990784, -110.226997375, 4225, 'US', 'US-UT', 'Green River', 'no', 'KU34', 'RVR', 'U34', ''),
	('L41', 'small_airport', 'Marble Canyon Airport', 36.8125, -111.647003, 3603, 'US', 'US-AZ', 'Marble Canyon', 'no', 'KL41', 'MYH', 'L41', ''),
	('9CO3', 'small_airport', 'Hubbard Airport', 38.675444, -108.988101, 4670, 'US', 'US-CO', 'Gateway', 'no', '9CO3', '', '9CO3', '10V'),
	('04UT', 'small_airport', 'Navajo Mountain Airport', 37.006689, -110.794701, 6160, 'US', 'US-UT', 'Navajo Mountain', 'no', '04UT', '', '04UT', 'Naatsisʼáán');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('0V7', 'small_airport', 'Kayenta Airport', 36.716444, -110.228444, 5688, 'US', 'US-AZ', 'Kayenta', 'no', '', 'MVM', '0V7', ''),
	('1L7', 'small_airport', 'Escalante Municipal Airport', 37.74530029296875, -111.56999969482422, 5733, 'US', 'US-UT', 'Escalante', 'no', 'K1L7', '', '1L7', ''),
	('49AZ', 'small_airport', 'Rock Point Airport', 36.73325, -109.61716, 4999, 'US', 'US-AZ', 'Rock Point', 'no', '49AZ', '', '49AZ', 'Tsé Nitsaa Deezʼáhí'),
	('05UT', 'closed', 'Oljato Airport', 37.033626, -110.315778, 4838, 'US', 'US-UT', 'Oljato-Monument Valley', 'no', '', '', '', 'Ooljééʼtó, 05UT, 05UT'),
	('U13', 'small_airport', 'Junction Airport', 38.251656, -112.223332, 6069, 'US', 'US-UT', 'Junction', 'no', 'KU13', '', 'U13', ''),
	('KFOM', 'small_airport', 'Fillmore Municipal Airport', 38.95830154, -112.362999, 4985, 'US', 'US-UT', 'Fillmore', 'no', 'KFOM', 'FIL', 'FOM', ''),
	('KBDG', 'small_airport', 'Blanding Municipal Airport', 37.58330154, -109.4830017, 5868, 'US', 'US-UT', 'Blanding', 'no', 'KBDG', 'BDG', 'BDG', ''),
	('22UT', 'small_airport', 'Larkspur Airstrip', 37.025837, -111.629156, 0, 'US', 'US-UT', 'Big Water', 'no', '22UT', '', '22UT', '22ut, big water, larkspur'),
	('69V', 'small_airport', 'Huntington Municipal Airport', 39.361198, -110.917, 5915, 'US', 'US-UT', 'Huntington', 'no', '', '', '69V', ''),
	('KHVE', 'small_airport', 'Hanksville Airport', 38.417999267599996, -110.70400238, 4444, 'US', 'US-UT', 'Hanksville', 'no', 'KHVE', 'HVE', 'HVE', ''),
	('66V', 'small_airport', 'Bluff Airport', 37.254986, -109.633035, 4476, 'US', 'US-UT', 'Bluff', 'no', '', '', '66V', ''),
	('UT59', 'closed', 'Needles Outpost Airport', 38.170575, -109.733634, 4950, 'US', 'US-UT', 'Monticello', 'no', '', '', '', 'UT59'),
	('U55', 'small_airport', 'Panguitch Municipal Airport', 37.84519958, -112.3919983, 6763, 'US', 'US-UT', 'Panguitch', 'no', 'U55', 'PNU', 'U55', ''),
	('KBCE', 'medium_airport', 'Bryce Canyon Airport', 37.706401825, -112.144996643, 7590, 'US', 'US-UT', 'Bryce Canyon', 'no', 'KBCE', 'BCE', 'BCE', ''),
	('UT42', 'small_airport', 'Westwater Airport', 39.14670181274414, -109.1449966430664, 4660, 'US', 'US-UT', 'Cisco', 'no', 'UT42', '', 'UT42', ''),
	('KFEE', 'N/A', 'N/A', 38.24159771203995, -110.6599760055542, 1463, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT53', 'small_airport', 'Sky Ranch Airport', 38.493843, -109.446567, 4875, 'US', 'US-UT', 'Moab', 'no', 'UT53', '', 'UT53', ''),
	('UT74', 'small_airport', 'Fry Canyon Field', 37.6483, -110.167, 5372, 'US', 'US-UT', 'Hite', 'no', 'UT74', '', 'UT74', ''),
	('UT75', 'small_airport', 'Mineral Canyon Strip', 38.531583177899996, -109.995889664, 3900, 'US', 'US-UT', 'Moab', 'no', 'UT75', '', 'UT75', ''),
	('UT68', 'closed', 'Caveman Ranch Airport', 38.472801, -109.660004, 3940, 'US', 'US-UT', 'Moab', 'no', '', '', '', 'Tangri-La, UT68, UT68'),
	('U96', 'small_airport', 'Cal Black Memorial Airport', 37.435169, -110.564373, 4388, 'US', 'US-UT', 'Halls Crossing', 'no', 'KU96', '', 'U96', ''),
	('00AZ', 'small_airport', 'Cordes Airport', 34.305599212646484, -112.16500091552734, 3810, 'US', 'US-AZ', 'Cordes', 'no', '00AZ', '', '00AZ', ''),
	('KGAC', 'N/A', 'N/A', 35.568014681339264, -109.37826007604599, 2257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('59AZ', 'small_airport', 'Robin STOLport', 34.74449920654297, -112.44499969482422, 4772, 'US', 'US-AZ', 'Chino Valley', 'no', '59AZ', '', '59AZ', ''),
	('AZ86', 'small_airport', 'A C Goodwin Memorial Field Gliderport', 34.6842, -112.292, 4978, 'US', 'US-AZ', 'Prescott Valley', 'no', 'AZ86', '', 'AZ86', 'Coyote Run Gliderport'),
	('61AZ', 'small_airport', 'White Mountain Ultralightport', 34.36970138549805, -109.6969985961914, 6546, 'US', 'US-AZ', 'Show Low', 'no', '61AZ', '', '61AZ', ''),
	('48AZ', 'small_airport', 'Rimrock Airport', 34.650668, -111.788313, 3575, 'US', 'US-AZ', 'Rimrock', 'no', '48AZ', '', '48AZ', ''),
	('KFLG', 'medium_airport', 'Flagstaff Pulliam International Airport', 35.1385, -111.670998, 7014, 'US', 'US-AZ', 'Flagstaff', 'yes', 'KFLG', 'FLG', 'FLG', ''),
	('KFLS', 'N/A', 'N/A', 35.14841862022877, -111.26775294542313, 1797, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('39AZ', 'closed', 'Lukachukai Airport', 36.400595, -109.258218, 6433, 'US', 'US-AZ', 'Lukachukai', 'no', '', '', '', '39AZ, 39AZ, 39AZ'),
	('KZUN', 'closed', 'Black Rock Airport', 35.083199, -108.792, 6454, 'US', 'US-NM', 'Zuni Pueblo', 'no', '', '', '', 'KZUN, ZUN, ZUN'),
	('NM27', 'small_airport', 'Sanostee Airport', 36.422501, -108.861, 5950, 'US', 'US-NM', 'Gallup', 'no', 'NM27', '', 'NM27', 'Tséʼałnáoztʼiʼí'),
	('KGRY', 'N/A', 'N/A', 35.856233797967434, -112.08593264222145, 1946, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('85V', 'small_airport', 'Ganado Airport', 35.700941, -109.517384, 6662, 'US', 'US-AZ', 'Ganado', 'no', 'K85V', '', '85V', ''),
	('KGCN', 'medium_airport', 'Grand Canyon National Park Airport', 35.9524, -112.147003, 6609, 'US', 'US-AZ', 'Grand Canyon - Tusayan', 'yes', 'KGCN', 'GCN', 'GCN', ''),
	('E91', 'small_airport', 'Chinle Municipal Airport', 36.110900878906, -109.57499694824, 5547, 'US', 'US-AZ', 'Chinle', 'no', 'E91', '', 'E91', ''),
	('KINW', 'medium_airport', 'Winslow Lindbergh Regional Airport', 35.021900177, -110.722999573, 4941, 'US', 'US-AZ', 'Winslow', 'no', 'KINW', 'INW', 'INW', ''),
	('KSOW', 'medium_airport', 'Show Low Regional Airport', 34.264062, -110.007091, 6415, 'US', 'US-AZ', 'Show Low', 'yes', 'KSOW', 'SOW', 'SOW', ''),
	('38AZ', 'closed', 'Peabody Bedard Field', 36.471699, -110.417999, 6564, 'US', 'US-AZ', 'Kayenta', 'no', '', '', '', '38AZ'),
	('KSJN', 'small_airport', 'St Johns Industrial Air Park', 34.51860046, -109.3789978, 5737, 'US', 'US-AZ', 'St Johns', 'no', 'KSJN', 'SJN', 'SJN', ''),
	('58AZ', 'small_airport', 'Chapman Ranch Airstrip', 34.093611, -110.932778, 5115, 'US', 'US-AZ', 'Young', 'no', '58AZ', '', '58AZ', ''),
	('50AZ', 'small_airport', 'Rocky Ridge Airport', 36.05970001220703, -110.58799743652344, 5946, 'US', 'US-AZ', 'Rocky Ridge', 'no', '50AZ', '', '50AZ', ''),
	('KSEZ', 'small_airport', 'Sedona Airport', 34.848598480225, -111.78800201416, 4830, 'US', 'US-AZ', 'Sedona', 'no', 'KSEZ', 'SDX', 'SEZ', ''),
	('P10', 'small_airport', 'Polacca Airport', 35.7916984558, -110.422996521, 5573, 'US', 'US-AZ', 'Polacca', 'no', 'P10', 'PXL', 'P10', '06AZ'),
	('KSNO', 'N/A', 'N/A', 34.54784117639065, -110.106390863657, 1760, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E24', 'small_airport', 'Whiteriver Airport', 33.810175, -109.986555, 5153, 'US', 'US-AZ', 'Whiteriver', 'no', '', 'WTR', 'E24', ''),
	('Z95', 'small_airport', 'Cibecue Airport', 34.001681, -110.455115, 5037, 'US', 'US-AZ', 'Cibecue', 'no', '', '', 'Z95', ''),
	('KTAM', 'N/A', 'N/A', 34.62350260466337, -109.66165781021118, 1651, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KGUP', 'medium_airport', 'Gallup Municipal Airport', 35.511653, -108.788166, 6472, 'US', 'US-NM', 'Gallup', 'yes', 'KGUP', 'GUP', 'GUP', ''),
	('AZ77', 'closed', 'Sunrise Ranch Airport', 35.238546, -111.935708, 6958, 'US', 'US-AZ', 'Williams', 'no', '', '', '', 'AZ77'),
	('P52', 'small_airport', 'Cottonwood Airport', 34.73, -112.035004, 3550, 'US', 'US-AZ', 'Cottonwood', 'no', '', 'CTW', 'P52', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KRQE', 'small_airport', 'Window Rock Airport', 35.652099609375, -109.06700134277344, 6742, 'US', 'US-AZ', 'Window Rock', 'no', 'KRQE', '', 'RQE', ''),
	('KLEF', 'N/A', 'N/A', 35.02900466322899, -110.98462790250778, 1659, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLEI', 'N/A', 'N/A', 35.29294677078724, -111.00001886487007, 1446, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPAN', 'small_airport', 'Payson Airport', 34.256801605225, -111.33899688721, 5157, 'US', 'US-AZ', 'Payson', 'no', 'KPAN', 'PJB', 'PAN', 'E69'),
	('P14', 'small_airport', 'Holbrook Municipal Airport', 34.940700531, -110.138000488, 5262, 'US', 'US-AZ', 'Holbrook', 'no', 'P14', 'HBK', 'P14', ''),
	('46AZ', 'small_airport', 'Piñon Airport', 36.09261, -110.22954, 6314, 'US', 'US-AZ', 'Piñon', 'no', '46AZ', '', '46AZ', 'Beʼekʼid Baa Ahoodzání'),
	('KGRM', 'closed', 'Devil''s Track Airport', 47.827, -90.38, 1662, 'US', 'US-MN', 'Grand Marias', 'no', '', '', '', 'KGRM, KGRM, GRM'),
	('KPRC', 'medium_airport', 'Prescott International Airport - Ernest A. Love Field', 34.654499, -112.419998, 5045, 'US', 'US-AZ', 'Prescott', 'yes', 'KPRC', 'PRC', 'PRC', ''),
	('24AZ', 'small_airport', 'Pleasant Valley Airstrip', 34.15810012817383, -110.93499755859375, 5688, 'US', 'US-AZ', 'Young', 'no', '24AZ', '', '24AZ', ''),
	('KJTC', 'N/A', 'N/A', 34.129416570067406, -109.31086108088493, 2144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLEG', 'N/A', 'N/A', 35.30310966074467, -110.85366681218147, 1451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('T03', 'small_airport', 'Tuba City Airport', 36.091146, -111.38286, 4513, 'US', 'US-AZ', 'Tuba City', 'no', '', 'TBC', 'T03', 'Tó Naneesdizí'),
	('KGAN', 'N/A', 'N/A', 35.52086781710386, -109.87009987235069, 1832, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('40G', 'small_airport', 'Valle Airport', 35.65060043335, -112.14800262451, 5999, 'US', 'US-AZ', 'Grand Canyon', 'no', '40G', 'VLE', '40G', ''),
	('42AZ', 'closed', 'Orme School Airport', 34.429566, -112.062693, 3934, 'US', 'US-AZ', 'Mayer', 'no', '', '', '', '42AZ, 42AZ, 42AZ'),
	('AZ82', 'small_airport', 'Mogollon Airpark', 34.399297, -110.529553, 6657, 'US', 'US-AZ', 'Overgaard', 'no', 'AZ82', '', 'AZ82', 'overgaard, mogollon'),
	('KTUC', 'N/A', 'N/A', 36.13434802740812, -111.23470097780228, 1506, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KXNI', 'small_airport', 'Andrew Othole Memorial Airport', 35.060675, -108.9376, 6370, 'US', 'US-NM', 'Zuni', 'no', 'KXNI', '', 'XNI', 'Zuni Pueblo - Replacement'),
	('18AZ', 'small_airport', 'Sky Ranch At Carefree Airport', 33.818536, -111.898327, 2568, 'US', 'US-AZ', 'Carefree', 'no', '18AZ', '', '18AZ', 'carefree, skyranch'),
	('KFLA', 'N/A', 'N/A', 35.4220961406827, -111.24986261129379, 1512, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTUB', 'N/A', 'N/A', 35.89420046657324, -111.38267397880554, 1282, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('P48', 'closed', 'Pleasant Valley Airport', 33.800468, -112.249803, 1580, 'US', 'US-AZ', 'Peoria', 'no', '', '', '', 'AZ05, P48'),
	('KGAA', 'N/A', 'N/A', 35.924870520830154, -109.47591617703438, 1881, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCAQ', 'N/A', 'N/A', 34.54341217875481, -111.83469280600548, 950, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLEH', 'N/A', 'N/A', 34.684673734009266, -111.01447060704231, 1948, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('04AZ', 'closed', 'Chinle Airport', 36.147197, -109.560771, 5515, 'US', 'US-AZ', 'Chinle', 'no', '', '', '', '04AZ, Q32, 04AZ'),
	('NM91', 'small_airport', 'High Lonesome Airport', 34.62229919, -108.7900009, 7474, 'US', 'US-NM', 'Fence Lake', 'no', 'NM91', '', 'NM91', ''),
	('21AZ', 'small_airport', 'White Mountain Lake Airport', 34.350877, -109.964046, 6066, 'US', 'US-AZ', 'Show Low', 'no', '21AZ', '', '21AZ', ''),
	('KTYL', 'small_airport', 'Taylor Airport', 34.45280075, -110.1149979, 5823, 'US', 'US-AZ', 'Taylor', 'no', 'KTYL', 'TYZ', 'TYL', ''),
	('19AZ', 'small_airport', 'Montezuma Airport', 34.604493, -111.864795, 3370, 'US', 'US-AZ', 'Camp Verde', 'no', '19AZ', '', '19AZ', ''),
	('KPIN', 'N/A', 'N/A', 34.160125851631165, -111.7266346514225, 703, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRIO', 'N/A', 'N/A', 31.472455859184265, -111.00720003247261, 1049, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KAVQ', 'small_airport', 'Marana Regional Airport', 32.409065, -111.216199, 2031, 'US', 'US-AZ', 'Marana', 'no', 'KAVQ', 'AVW', 'AVQ', 'Avra Valley, Marana Auxiliary Army Airfield No. 2, Marana Field, Marana Northwest Regional, Rillito Field'),
	('KDUG', 'medium_airport', 'Bisbee Douglas International Airport', 31.4689998627, -109.603996277, 4154, 'US', 'US-AZ', 'Douglas Bisbee', 'no', 'KDUG', 'DUG', 'DUG', ''),
	('KCAU', 'N/A', 'N/A', 32.497224658727646, -110.89056685566902, 923, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1AZ9', 'N/A', 'N/A', 32.58956205099821, -110.85488811135292, 1189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNG', 'small_airport', 'Nogales International Airport', 31.225756, -110.976934, 3990, 'MX', 'MX-SON', 'Nogales', 'no', 'MMNG', 'NOG', '', ''),
	('P19', 'small_airport', 'Stellar Airpark', 33.298829, -111.915795, 1177, 'US', 'US-AZ', 'Chandler', 'no', 'P19', '', 'P19', 'SLJ'),
	('AZ04', 'closed', 'Hillair Dirt Strip', 33.916869, -113.189049, 2210, 'US', 'US-AZ', 'Aguila', 'no', '', '', '', 'AZ04'),
	('KDGL', 'small_airport', 'Douglas Municipal Airport', 31.3425998688, -109.505996704, 4173, 'US', 'US-AZ', 'Douglas', 'no', 'KDGL', 'DGL', 'DGL', ''),
	('KCAH', 'N/A', 'N/A', 32.90130950510502, -111.76036790013313, 423, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRYN', 'small_airport', 'Ryan Field', 32.1422004699707, -111.17500305175781, 2417, 'US', 'US-AZ', 'Tucson', 'no', 'KRYN', '', 'RYN', ''),
	('KOLS', 'medium_airport', 'Nogales International Airport', 31.4177, -110.848, 3955, 'US', 'US-AZ', 'Nogales', 'no', 'KOLS', 'OLS', 'OLS', ''),
	('MMXC', 'N/A', 'N/A', 31.32253646850586, -110.59031993150711, 1415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('37AZ', 'small_airport', 'Sarita Airport', 32.93560028076172, -111.48500061035156, 1464, 'US', 'US-AZ', 'Coolidge', 'no', '37AZ', '', '37AZ', ''),
	('NM70', 'small_airport', 'Rodeo Airport', 31.948484, -109.046173, 4157, 'US', 'US-NM', 'Rodeo', 'no', 'NM70', '', 'NM70', ''),
	('AZ74', 'heliport', 'Mayo Clinic Arizona Heliport', 33.658768, -111.957722, 1567, 'US', 'US-AZ', 'Phoenix', 'no', 'AZ74', '', 'AZ74', ''),
	('E60', 'small_airport', 'Eloy Municipal Airport', 32.806999, -111.586998, 1513, 'US', 'US-AZ', 'Eloy', 'no', 'E60', '', 'E60', ''),
	('5AZ9', 'small_airport', 'Regeneration Airport', 33.032898, -109.986505, 2750, 'US', 'US-AZ', 'Fort Thomas', 'no', '5AZ9', '', '5AZ9', ''),
	('03AZ', 'small_airport', 'Thompson International Aviation Airport', 31.430971, -110.088087, 4275, 'US', 'US-AZ', 'Hereford', 'no', '03AZ', '', '03AZ', ''),
	('KCFT', 'small_airport', 'Greenlee County Airport', 32.957039, -109.211397, 3798, 'US', 'US-AZ', 'Clifton', 'no', 'KCFT', 'CFT', 'CFT', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KSDL', 'small_airport', 'Scottsdale Airport', 33.622898101807, -111.91100311279, 1510, 'US', 'US-AZ', 'Scottsdale', 'no', 'KSDL', 'SCF', 'SDL', 'Thunderbird Field #2'),
	('36AZ', 'closed', 'Valley Farms Airport', 32.993698, -111.450996, 1478, 'US', 'US-AZ', 'Coolidge', 'no', '', '', '', '36AZ'),
	('AN01', 'small_airport', 'Av Ranch Airport', 32.81669998168945, -110.31700134277344, 3500, 'US', 'US-AZ', 'Klondyke', 'no', 'AN01', '', 'AN01', ''),
	('7AZ4', 'small_airport', 'Rancho Relaxo Airport', 31.938611, -109.588333, 4475, 'US', 'US-AZ', 'Pearce', 'no', '7AZ4', '', '7AZ4', ''),
	('40AZ', 'small_airport', 'Boulais Ranch Airport', 33.07889938354492, -112.12899780273438, 1240, 'US', 'US-AZ', 'Maricopa', 'no', '40AZ', '', '40AZ', ''),
	('MM75', 'small_airport', 'Agua Prieta Southwest Airport', 31.242901, -109.625, 4000, 'MX', 'MX-SON', 'Agua Prieta', 'no', 'MM75', '', 'MM75', ''),
	('P13', 'small_airport', 'San Carlos Apache Airport', 33.3531, -110.667, 3261, 'US', 'US-AZ', 'Globe', 'no', '', 'GLB', 'P13', ''),
	('AZ45', 'small_airport', 'China Peak Observatory Airport', 32.72919845581055, -110.2959976196289, 4800, 'US', 'US-AZ', 'Klondyke', 'no', 'AZ45', '', 'AZ45', ''),
	('2AZ9', 'small_airport', 'Ethnos Air Airport', 31.606119, -109.654263, 4200, 'US', 'US-AZ', 'Mcneal', 'no', '2AZ9', '', '2AZ9', 'Tribal Air Airport'),
	('5AZ3', 'small_airport', 'Pegasus Airpark', 33.208666, -111.617221, 1450, 'US', 'US-AZ', 'Queen Creek', 'no', '5AZ3', '', '5AZ3', 'Pegasus-Queen Creek-Phoenix Airpark'),
	('E37', 'small_airport', 'Flying J Ranch Airport', 32.846316, -109.87946, 3114, 'US', 'US-AZ', 'Pima', 'no', '', '', 'E37', 'AN91'),
	('8AZ5', 'small_airport', 'Lizzy Lizard Airport', 31.892427, -109.05407, 4200, 'US', 'US-AZ', 'Portal', 'no', '8AZ5', '', '8AZ5', ''),
	('AZ25', 'small_airport', 'Tri-Rotor Ag Services Airport', 32.55705, -114.678947, 126, 'US', 'US-AZ', 'Somerton', 'no', 'AZ25', '', 'AZ25', 'az25, tri-motor, trimotor, tri motor, somerton'),
	('KFFZ', 'small_airport', 'Falcon Field', 33.4608001709, -111.727996826, 1394, 'US', 'US-AZ', 'Mesa', 'no', 'KFFZ', 'MSC', 'FFZ', ''),
	('P08', 'small_airport', 'Coolidge Municipal Airport', 32.935902, -111.427002, 1574, 'US', 'US-AZ', 'Coolidge', 'no', 'KP08', '', 'P08', ''),
	('MMCA', 'small_airport', 'Cananea National Airport', 31.06615, -110.097878, 4921, 'MX', 'MX-SON', 'Cananea', 'no', 'MMCA', 'CNA', 'CNA', ''),
	('KPIV', 'N/A', 'N/A', 31.355261765420437, -109.7346693277359, 1292, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AZ60', 'closed', 'Coyner Airstrip', 33.505001, -112.474566, 1170, 'US', 'US-AZ', 'Litchfield Park', 'no', '', '', '', 'AZ60'),
	('AZ14', 'small_airport', 'Ammon Airport', 32.02470016, -109.9570007, 4520, 'US', 'US-AZ', 'Willcox', 'no', 'AZ14', '', 'AZ14', ''),
	('E54', 'N/A', 'N/A', 32.33591224998236, -109.47349548339844, 1138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM65', 'small_airport', 'La Calera Airport', 31.2523, -109.608002, 4213, 'MX', 'MX-SON', 'Agua Prieta', 'no', '', '', 'LKE', 'MM65, Agua Prieta South'),
	('KARZ', 'N/A', 'N/A', 32.571278773248196, -111.72804996371269, 486, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('05A', 'N/A', 'N/A', 32.300667352974415, -110.36439746618271, 1019, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('35AZ', 'closed', 'Continental Airport', 31.8437, -110.976997, 2869, 'US', 'US-AZ', 'Continental', 'no', '', '', '', '35AZ'),
	('KMZJ', 'small_airport', 'Pinal Airpark', 32.5106010437, -111.32800293, 1893, 'US', 'US-AZ', 'Marana', 'no', 'KMZJ', 'MZJ', 'MZJ', ''),
	('E81', 'small_airport', 'Superior Municipal Airport', 33.28139, -111.128941, 2646, 'US', 'US-AZ', 'Superior', 'no', 'KE81', '', 'E81', ''),
	('6AZ5', 'closed', 'Ash Creek Airport', 31.857967, -109.535515, 4680, 'US', 'US-AZ', 'Pearce', 'no', '', '', '', '6AZ5'),
	('11AZ', 'small_airport', 'Whetstone Airport', 31.683588, -110.290053, 4250, 'US', 'US-AZ', 'Huachuca City', 'no', '11AZ', '', '11AZ', 'whetstone, huachuca city'),
	('AZ67', 'small_airport', 'El Tiro Gliderport', 32.426998, -111.389999, 2100, 'US', 'US-AZ', 'Tucson', 'no', 'AZ67', '', 'AZ67', ''),
	('KCAJ', 'N/A', 'N/A', 32.88419432938099, -111.8573471903801, 409, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NM55', 'small_airport', 'Whitewater Mesa Ranch Airport', 33.363584, -108.86186, 5460, 'US', 'US-NM', 'Glenwood', 'no', 'NM55', '', 'NM55', ''),
	('2AZ7', 'closed', 'McGill Ultralight Field', 33.683283, -112.165883, 1360, 'US', 'US-AZ', 'Glendale', 'no', '', '', '', '2AZ7, 2AZ7, 2AZ7'),
	('31AZ', 'closed', 'Benson Airport', 31.963699, -110.260002, 3628, 'US', 'US-AZ', 'Benson', 'no', '', '', '', 'benson, 31az, 31AZ, 31AZ'),
	('09AZ', 'small_airport', 'Stronghold Airport', 31.924848, -110.040007, 4970, 'US', 'US-AZ', 'St David', 'no', '09AZ', '', '09AZ', ''),
	('KGOA', 'N/A', 'N/A', 33.259619772434235, -111.32814109325409, 580, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4AZ7', 'closed', 'San Carlos Airport', 33.37897, -110.464168, 2896, 'US', 'US-AZ', 'San Carlos', 'no', '', '', '', '4AZ7, 24E'),
	('P03', 'small_airport', 'Cochise College Airport', 31.371099, -109.690002, 4124, 'US', 'US-AZ', 'Douglas', 'no', 'KP03', '', 'P03', ''),
	('E77', 'small_airport', 'San Manuel Airport', 32.636501, -110.647003, 3274, 'US', 'US-AZ', 'San Manuel', 'no', 'E77', '', 'E77', ''),
	('MXTD', 'N/A', 'N/A', 31.12893797457218, -110.64880326390266, 1303, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDVT', 'small_airport', 'Phoenix Deer Valley Airport', 33.6883010864, -112.083000183, 1478, 'US', 'US-AZ', 'Phoenix', 'no', 'KDVT', 'DVT', 'DVT', ''),
	('KGOC', 'N/A', 'N/A', 33.25441092252731, -111.34665191173553, 570, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AZ78', 'small_airport', 'Arizona Bay Airport', 33.003823, -112.276239, 1420, 'US', 'US-AZ', 'Maricopa', 'no', 'AZ78', '', 'AZ78', 'Mel''s Ranch, Moose Valley'),
	('1AZ0', 'small_airport', 'Bishop Airfield', 33.1119, -112.268997, 1261, 'US', 'US-AZ', 'Mobile', 'no', '1AZ0', '', '1AZ0', 'Mobile Airport'),
	('55AZ', 'small_airport', 'Potters Field', 32.874019, -111.959395, 1309, 'US', 'US-AZ', 'Stanfield', 'no', '55AZ', '', '55AZ', 'stanfield, potters'),
	('KLAV', 'N/A', 'N/A', 33.169328570365906, -112.28428289294243, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPHX', 'large_airport', 'Phoenix Sky Harbor International Airport', 33.435302, -112.005905, 1135, 'US', 'US-AZ', 'Phoenix', 'yes', 'KPHX', 'PHX', 'PHX', ''),
	('E67', 'small_airport', 'Kearny Airport', 33.04759979248, -110.90899658203, 1833, 'US', 'US-AZ', 'Kearny', 'no', 'E67', '', 'E67', ''),
	('KCGZ', 'small_airport', 'Casa Grande Municipal Airport', 32.954899, -111.766998, 1464, 'US', 'US-AZ', 'Casa Grande', 'no', 'KCGZ', 'CGZ', 'CGZ', ''),
	('KFHU', 'medium_airport', 'Sierra Vista Municipal Airport / Libby Army Air Field', 31.587383, -110.348225, 4719, 'US', 'US-AZ', 'Fort Huachuca / Sierra Vista', 'no', 'KFHU', 'FHU', 'FHU', 'fort huachuca, sierra vista, libby'),
	('57AZ', 'small_airport', 'La Cholla Airpark', 32.446633, -111.002898, 2940, 'US', 'US-AZ', 'Oro Valley', 'no', '57AZ', '', '57AZ', 'tucson, la cholla'),
	('4AZ9', 'small_airport', 'Leroy Airport', 32.11309814453125, -109.76200103759766, 4197, 'US', 'US-AZ', 'Willcox', 'no', '4AZ9', '', '4AZ9', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KORI', 'N/A', 'N/A', 32.70803924649954, -110.87126523256302, 1117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFV', 'N/A', 'N/A', 30.95179181545973, -109.75385829806328, 1408, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AZ90', 'small_airport', 'Hangar Haciendas Airpark', 33.34989, -112.122946, 1225, 'US', 'US-AZ', 'Laveen', 'no', 'AZ90', '', 'AZ90', 'laveen, hangar haciendas'),
	('P29', 'small_airport', 'Tombstone Municipal Airport', 31.671061, -110.022039, 4743, 'US', 'US-AZ', 'Tombstone', 'no', 'KP29', '', 'P29', ''),
	('3AZ8', 'small_airport', 'High Mesa Airpark', 32.76685, -109.653254, 3080, 'US', 'US-AZ', 'Solomon', 'no', '3AZ8', '', '3AZ8', 'solomon, high mesa'),
	('KSAD', 'small_airport', 'Safford Regional Airport', 32.85480118, -109.6350021, 3179, 'US', 'US-AZ', 'Safford', 'no', 'KSAD', 'SAD', 'SAD', ''),
	('KIWA', 'medium_airport', 'Phoenix–Mesa Gateway Airport', 33.3078, -111.654999, 1382, 'US', 'US-AZ', 'Mesa', 'yes', 'KIWA', 'AZA', 'IWA', 'Higley Field, CHD, Williams Air Force Base, Williams Gateway Airport'),
	('AZ66', 'heliport', 'Mesa Hospital Medical Center Heliport', 33.42448, -111.820827, 1243, 'US', 'US-AZ', 'Mesa', 'no', '', '', '', 'AZ66'),
	('NM64', 'small_airport', 'Diamond A Ranch Airport', 31.459365, -108.858383, 5155, 'US', 'US-NM', 'Animas', 'no', 'NM64', '', 'NM64', 'Gray Ranch'),
	('AZ31', 'small_airport', 'Serene Field', 32.996700286865234, -112.27200317382813, 1456, 'US', 'US-AZ', 'Maricopa', 'no', 'AZ31', '', 'AZ31', ''),
	('MMAP', 'N/A', 'N/A', 31.027654744684696, -109.20403093099594, 1061, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E95', 'small_airport', 'Benson Municipal Airport/Paul Kerchum Field', 31.999396, -110.358224, 3829, 'US', 'US-AZ', 'Benson', 'no', 'KE95', '', 'E95', ''),
	('20AZ', 'closed', 'Ed''s Field', 32.684378, -111.50202, 1644, 'US', 'US-AZ', 'Picacho', 'no', '', '', '', 'E71, 20AZ'),
	('25AZ', 'small_airport', 'Mystery Well Ranch Airport', 31.809897, -109.058619, 4173, 'US', 'US-AZ', 'Portal', 'no', '25AZ', '', '25AZ', ''),
	('AZ21', 'small_airport', 'Four Pillars Airport', 31.744592, -110.247889, 4100, 'US', 'US-AZ', 'Huachuca City', 'no', 'AZ21', '', 'AZ21', 'huachuca city, four pillars'),
	('KGYR', 'small_airport', 'Phoenix Goodyear Airport', 33.4225006104, -112.375999451, 968, 'US', 'US-AZ', 'Goodyear', 'no', 'KGYR', 'GYR', 'GYR', 'NAS Litchfield Park'),
	('3AZ2', 'closed', 'University of Arizona Maricopa Agricultural Center Airport', 33.080299, -111.983002, 1181, 'US', 'US-AZ', 'Maricopa', 'no', '', '', '', '3AZ2, 3AZ2, 3AZ2'),
	('E68', 'small_airport', 'Estrella Sailport Gliderport', 33.0853, -112.161003, 1273, 'US', 'US-AZ', 'Maricopa', 'no', 'KE68', '', 'E68', ''),
	('4AZ8', 'small_airport', 'The Ultralight Strip Ultralightport', 32.294225, -111.344837, 2120, 'US', 'US-AZ', 'Marana', 'no', '4AZ8', '', '4AZ8', ''),
	('NM12', 'closed', 'Chowning Heliport', 35.187801, -106.522003, 5750, 'US', 'US-NM', 'Albuquerque', 'no', '', '', '', 'NM12'),
	('E94', 'small_airport', 'Glenwood Airport', 33.353219, -108.867197, 5428, 'US', 'US-NM', 'Glenwood', 'no', '', '', 'E94', 'Catron County'),
	('74AZ', 'small_airport', 'Rancho San Marcos Airport', 31.619611, -110.047361, 4353, 'US', 'US-AZ', 'Tombstone', 'no', '74AZ', '', '74AZ', ''),
	('KTUS', 'medium_airport', 'Tucson International Airport / Morris Air National Guard Base', 32.115004, -110.938053, 2643, 'US', 'US-AZ', 'Tucson', 'yes', 'KTUS', 'TUS', 'TUS', 'tucson, tucson international, morris angb'),
	('0AZ4', 'small_airport', 'Flying Bucket Ranch Airport', 32.9823, -112.287003, 1505, 'US', 'US-AZ', 'Maricopa', 'no', '0AZ4', '', '0AZ4', ''),
	('AZ49', 'closed', 'Walter Ranch Airport', 32.895599, -112.253998, 1615, 'US', 'US-AZ', 'Stanfield', 'no', '', '', '', 'AZ49'),
	('KLUF', 'medium_airport', 'Luke Air Force Base', 33.535, -112.383003, 1085, 'US', 'US-AZ', 'Glendale', 'no', 'KLUF', 'LUF', 'LUF', ''),
	('6AZ8', 'small_airport', 'Flying Diamond Airport', 31.937751, -111.118952, 3800, 'US', 'US-AZ', 'Sahuarita', 'no', '6AZ8', '', '6AZ8', 'sahuarita, flying diamond'),
	('NM90', 'small_airport', 'Amigos Del Cielo Airport', 31.902736, -109.024479, 4107, 'US', 'US-NM', 'Rodeo', 'no', 'NM90', '', 'NM90', 'rodeo, amigos del cielo'),
	('A39', 'small_airport', 'Ak-Chin Regional Airport', 32.990806, -111.918528, 1300, 'US', 'US-AZ', 'Maricopa', 'no', 'A39', '', 'A39', 'Phoenix Regional Airport'),
	('93AZ', 'small_airport', 'Inde Motorsports Ranch Airport', 32.224683, -110.007391, 4463, 'US', 'US-AZ', 'Willcox', 'no', '93AZ', '', '93AZ', 'willcox, inde motorsports'),
	('41AZ', 'small_airport', 'Ak Chin Community Airfield', 32.991601, -112.02364, 1210, 'US', 'US-AZ', 'Maricopa', 'no', '41AZ', '', '41AZ', ''),
	('KCHD', 'small_airport', 'Chandler Municipal Airport', 33.2691, -111.810997, 1243, 'US', 'US-AZ', 'Chandler', 'no', 'KCHD', '', 'CHD', 'P10'),
	('P04', 'small_airport', 'Bisbee Municipal Airport', 31.3640003204, -109.883003235, 4780, 'US', 'US-AZ', 'Bisbee', 'no', 'P04', 'BSQ', 'P04', ''),
	('KDMA', 'medium_airport', 'Davis Monthan Air Force Base', 32.1665000916, -110.883003235, 2704, 'US', 'US-AZ', 'Tucson', 'no', 'KDMA', 'DMA', 'DMA', ''),
	('2AZ4', 'small_airport', 'Millar Airport', 33.0536994934082, -112.14600372314453, 1215, 'US', 'US-AZ', 'Maricopa', 'no', '2AZ4', '', '2AZ4', ''),
	('KGEU', 'small_airport', 'Glendale Municipal Airport', 33.52690124511719, -112.29499816894531, 1071, 'US', 'US-AZ', 'Glendale', 'no', 'KGEU', '', 'GEU', ''),
	('5AZ6', 'small_airport', 'Motown Airport', 32.925, -112.259444, 80, 'US', 'US-AZ', 'Mobile', 'no', '5AZ6', '', '5AZ6', ''),
	('5AZ7', 'small_airport', 'Carranza Farm Airstrip', 32.847181, -111.950791, 1300, 'US', 'US-AZ', 'Stanfield', 'no', '5AZ7', '', '5AZ7', 'stanfield, carranza farm'),
	('14AZ', 'small_airport', 'Ruby Star Airpark', 31.909494, -111.120293, 4025, 'US', 'US-AZ', 'Sahuarita', 'no', '14AZ', '', '14AZ', 'sahuarita, ruby star'),
	('34AZ', 'closed', 'Gila River Memorial Airport', 33.243401, -111.913002, 1185, 'US', 'US-AZ', 'Chandler', 'no', '', '', '', '34AZ, 34AZ, 34AZ'),
	('88AZ', 'small_airport', 'Grapevine Airstrip', 33.640908, -111.056917, 2329, 'US', 'US-AZ', 'Roosevelt', 'no', '88AZ', '', '88AZ', 'E75'),
	('P33', 'small_airport', 'Cochise County Airport', 32.245399, -109.894997, 4187, 'US', 'US-AZ', 'Willcox', 'no', 'KP33', 'CWX', 'P33', ''),
	('KGLO', 'N/A', 'N/A', 33.43453802168369, -110.72299093008041, 1186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCLF', 'N/A', 'N/A', 32.69390769302845, -109.12956029176712, 1177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('T16', 'small_airport', 'Reserve Airport', 33.69419860839844, -108.8489990234375, 6360, 'US', 'US-NM', 'Reserve', 'no', 'KT16', '', 'T16', ''),
	('AZ61', 'small_airport', 'G M Ranch Airport', 32.901699, -112.237999, 1616, 'US', 'US-AZ', 'Stanfield', 'no', 'AZ61', '', 'AZ61', ''),
	('AZ63', 'small_airport', 'Twin Hawks Airpark', 32.528027, -111.195974, 2290, 'US', 'US-AZ', 'Redrock', 'no', 'AZ63', '', 'AZ63', 'redrock, twin hawks'),
	('AZ17', 'small_airport', 'Circle H Ranch Airport', 31.502199172973633, -109.39099884033203, 4680, 'US', 'US-AZ', 'Douglas', 'no', 'AZ17', '', 'AZ17', ''),
	('KARI', 'N/A', 'N/A', 32.46508978307247, -111.74873560667038, 520, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AZ26', 'small_airport', 'Evelyn Field', 31.368882, -110.127468, 4242, 'US', 'US-AZ', 'Palominas', 'no', 'AZ26', '', 'AZ26', ''),
	('MMAT', 'N/A', 'N/A', 31.150904931128025, -111.974518597126, 603, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AZ19', 'closed', 'C & L Ranch Ultralightport', 31.738206, -110.625862, 4600, 'US', 'US-AZ', 'Sonoita', 'no', '', '', '', 'AZ19'),
	('AZ43', 'small_airport', 'Hidden Valley Airport', 33.053965, -112.173543, 1245, 'US', 'US-AZ', 'Maricopa', 'no', 'AZ43', '', 'AZ43', ''),
	('AZ13', 'small_airport', 'Schu Ranch Airport', 33.017246, -112.279415, 1410, 'US', 'US-AZ', 'Maricopa', 'no', 'AZ13', '', 'AZ13', ''),
	('0AZ1', 'closed', 'Taylor Field', 32.302114, -111.32412, 2130, 'US', 'US-AZ', 'Marana', 'no', '', '', '', '0AZ1'),
	('AZ88', 'heliport', 'Granite Reef Heliport', 33.70309829711914, -112.06999969482422, 1507, 'US', 'US-AZ', 'Phoenix', 'no', 'AZ88', '', 'AZ88', ''),
	('E78', 'small_airport', 'Sells Airport', 31.932899, -111.893997, 2409, 'US', 'US-AZ', 'Sells', 'no', 'E78', '', 'E78', ''),
	('KPIC', 'N/A', 'N/A', 31.382732950150967, -109.61562484502792, 1214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKU', 'N/A', 'N/A', 30.727410949766636, -109.05761316418648, 892, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUQ', 'N/A', 'N/A', 28.725785315036774, -109.8175822198391, 551, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKH', 'N/A', 'N/A', 30.652853585779667, -108.79036501049995, 1549, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXTB', 'N/A', 'N/A', 29.680831767618656, -108.98219391703606, 824, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXS', 'N/A', 'N/A', 28.8071746006608, -108.92861947417259, 1223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSH', 'N/A', 'N/A', 29.031641632318497, -109.25037637352943, 520, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKI', 'N/A', 'N/A', 30.86399506777525, -108.7505753338337, 1439, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRO', 'N/A', 'N/A', 28.354356363415718, -108.9250847697258, 1538, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXNB', 'N/A', 'N/A', 29.859656654298306, -109.32223856449127, 583, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBA', 'N/A', 'N/A', 28.86023674160242, -111.97692543268204, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM86', 'N/A', 'N/A', 29.00634102523327, -111.0618044435978, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM90', 'N/A', 'N/A', 30.60557059943676, -111.40218615531921, 610, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMYN', 'N/A', 'N/A', 30.20701479166746, -108.95070567727089, 1124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXNC', 'N/A', 'N/A', 29.82125211507082, -109.14209827780724, 715, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXCA', 'N/A', 'N/A', 29.016745314002037, -112.20081746578217, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBJ', 'N/A', 'N/A', 29.825037717819214, -111.24450221657753, 722, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZN', 'N/A', 'N/A', 28.95244237035513, -111.25439822673798, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM80', 'small_airport', 'Rancho La Milpita Airport', 30.4809, -109.643997, 4707, 'MX', 'MX-SON', 'Nacozari de García', 'no', 'MM80', '', 'LCI', 'Aeródromo La Caridad'),
	('MMHE', 'N/A', 'N/A', 30.664374008774757, -112.28885561227798, 226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM69', 'small_airport', 'Tasícuri-Magdalena de Kino / Rodolfo Soto Bartell Airport', 30.674254, -110.932171, 2542, 'MX', 'MX-SON', 'Magdalena de Kino', 'no', 'MM69', '', 'TSI', ''),
	('MMHO', 'medium_airport', 'General Ignacio P. Garcia International Airport', 29.093527, -111.049891, 627, 'MX', 'MX-SON', 'Hermosillo', 'yes', 'MMHO', 'HMO', '', ''),
	('MMEC', 'N/A', 'N/A', 29.282262548804283, -110.80764591693878, 297, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHR', 'N/A', 'N/A', 30.701072327792645, -112.2291125357151, 261, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXSB', 'N/A', 'N/A', 25.73615826666355, -108.92817690968513, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMF', 'N/A', 'N/A', 26.14856466650963, -112.10739076137543, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMER', 'N/A', 'N/A', 26.976073756814003, -109.53886047005653, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM45', 'N/A', 'N/A', 27.03899536281824, -108.94897297024727, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFZ', 'N/A', 'N/A', 27.370377592742443, -109.9080665409565, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXFE', 'N/A', 'N/A', 27.407223768532276, -109.92746517062187, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWS', 'N/A', 'N/A', 26.89632698893547, -109.52496215701103, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMLT', 'medium_airport', 'Loreto International Airport', 25.989200592041016, -111.3479995727539, 34, 'MX', 'MX-BCS', 'Loreto', 'yes', 'MMLT', 'LTO', '', ''),
	('MMMG', 'small_airport', 'Mulege Airport', 26.905347, -111.970725, 66, 'MX', 'MX-BCS', 'Mulege', 'no', 'MMMG', 'MUG', '', ''),
	('MXQB', 'N/A', 'N/A', 27.351921312510967, -109.9659115076065, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAM', 'N/A', 'N/A', 25.933902449905872, -109.2106805741787, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJJ', 'N/A', 'N/A', 25.776967406272888, -108.85013222694397, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVV', 'N/A', 'N/A', 27.40671582520008, -110.23387312889099, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMB', 'N/A', 'N/A', 26.177667640149593, -112.11433321237564, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXOC', 'N/A', 'N/A', 26.990979127585888, -109.41600009799004, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHN', 'N/A', 'N/A', 25.910865291953087, -108.91829878091812, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFX', 'N/A', 'N/A', 27.455267496407032, -110.02023071050644, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGB', 'N/A', 'N/A', 27.420502044260502, -110.10016456246376, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMLM', 'medium_airport', 'Valle del Fuerte International Airport', 25.685447, -109.081055, 16, 'MX', 'MX-SIN', 'Los Mochis', 'yes', 'MMLM', 'LMM', '', ''),
	('MMHI', 'N/A', 'N/A', 27.987785898149014, -111.03895917534828, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PBY', 'small_airport', 'Pueblo Yaqui Airport', 27.313179, -110.018683, 66, 'MX', 'MX-SON', 'Cajeme', 'no', '', '', 'PBY', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MXND', 'N/A', 'N/A', 27.072405628859997, -111.96885332465172, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXDI', 'N/A', 'N/A', 27.405459880828857, -109.9630406498909, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSO', 'N/A', 'N/A', 27.393925040960312, -112.30526804924011, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBN', 'N/A', 'N/A', 25.95634952187538, -108.88473987579346, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMST', 'N/A', 'N/A', 27.187704741954803, -112.0699667930603, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SRL', 'small_airport', 'Palo Verde Airport', 27.0927, -112.0985, 127, 'MX', 'MX-BCS', 'Mulegé', 'yes', '', 'SRL', 'CIB', 'CIB, PVP, Chivato Bay, San Bruno'),
	('MMHZ', 'N/A', 'N/A', 27.476707734167576, -109.97852638363838, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXDM', 'N/A', 'N/A', 25.993108190596104, -112.19257816672325, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NSR', 'small_airport', 'Nuevo Santa Rosa Airport', 25.805825, -108.934456, 56, 'MX', 'MX-SIN', 'Ahome', 'no', '', '', 'NSR', ''),
	('MMGM', 'medium_airport', 'General José María Yáñez International Airport', 27.9689998626709, -110.92500305175781, 59, 'MX', 'MX-SON', 'Guaymas', 'yes', 'MMGM', 'GYM', '', ''),
	('MMSR', 'N/A', 'N/A', 27.208533100783825, -112.21807077527046, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXDD', 'N/A', 'N/A', 25.88659230619669, -108.88869434595108, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXNG', 'N/A', 'N/A', 26.817717477679253, -111.88368245959282, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXNF', 'N/A', 'N/A', 26.893247812986374, -112.05289140343666, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCN', 'medium_airport', 'Ciudad Obregón International Airport', 27.39259910583496, -109.83300018310547, 243, 'MX', 'MX-SON', 'Ciudad Obregón', 'yes', 'MMCN', 'CEN', '', ''),
	('MXME', 'N/A', 'N/A', 28.01083043217659, -110.65957903862, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHK', 'N/A', 'N/A', 27.369373440742493, -109.93866249918938, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXFA', 'N/A', 'N/A', 27.37477272748947, -109.93789315223694, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXMJ', 'N/A', 'N/A', 28.066735044121742, -110.62338709831238, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRQ', 'N/A', 'N/A', 26.894803158938885, -111.9559420645237, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXSA', 'N/A', 'N/A', 25.74253622442484, -108.95735308527946, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCJ', 'N/A', 'N/A', 27.446997575461864, -110.01970455050468, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAW', 'N/A', 'N/A', 27.309089452028275, -109.88195970654488, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFL', 'N/A', 'N/A', 25.84659118205309, -108.97070109844208, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDA', 'small_airport', 'Ciudad Constitución National Airport', 25.053801, -111.614998, 213, 'MX', 'MX-BCS', 'Comondú', 'yes', 'MMDA', 'CUA', 'CCB', 'MM71, Cap. Jaime Emilio Real Cossio'),
	('MMPL', 'small_airport', 'Punta Colorada Airport', 23.575011, -109.535826, 55, 'MX', 'MX-BCS', 'La Ribera', 'no', 'MMPL', 'PCO', 'PCL', ''),
	('MM24', 'N/A', 'N/A', 23.803380578756332, -109.70735907554626, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMLZ', 'N/A', 'N/A', 24.027701430022717, -109.83775734901428, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIP', 'N/A', 'N/A', 25.22341076284647, -111.75952926278114, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXMK', 'N/A', 'N/A', 23.36684301495552, -109.43231865763664, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVI', 'N/A', 'N/A', 24.47531182318926, -111.82599574327469, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMME', 'N/A', 'N/A', 23.666906766593456, -110.44219762086868, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCI', 'N/A', 'N/A', 25.19692864269018, -112.11310252547264, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTD', 'N/A', 'N/A', 23.498495221138, -110.20257264375687, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSL', 'medium_airport', 'Cabo San Lucas International Airport', 22.948211, -109.938155, 459, 'MX', 'MX-BCS', 'Cabo San Lucas', 'yes', 'MMSL', '', 'CSL', 'MM15'),
	('MMLS', 'N/A', 'N/A', 23.511009737849236, -109.48288679122925, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMLA', 'N/A', 'N/A', 24.20694038271904, -110.08456662297249, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSD', 'large_airport', 'Aeropuerto Internacional de Los Cabos', 23.151919, -109.720731, 374, 'MX', 'MX-BCS', 'San José del Cabo', 'yes', 'MMSD', 'SJD', '', ''),
	('MMLP', 'medium_airport', 'Manuel Márquez de León International Airport', 24.072700500499998, -110.361999512, 69, 'MX', 'MX-BCS', 'La Paz', 'yes', 'MMLP', 'LAP', '', ''),
	('WY07', 'small_airport', 'Hardy Ranch Airport', 43.325199127197266, -105.6760025024414, 5077, 'US', 'US-WY', 'Douglas', 'no', 'WY07', '', 'WY07', ''),
	('WA10', 'closed', 'Gosney Airport', 43.722197, -106.667, 4830, 'US', 'US-WY', 'Kaycee', 'no', '', '', '', 'WA10'),
	('WY65', 'small_airport', 'Madsen Airport', 44.348899841308594, -105.33699798583984, 4500, 'US', 'US-WY', 'Gillette', 'no', 'WY65', '', 'WY65', ''),
	('WY12', 'small_airport', 'Ohman Ranch Airport', 43.92639923095703, -105.65299987792969, 4905, 'US', 'US-WY', 'Gillette', 'no', 'WY12', '', 'WY12', ''),
	('WY42', 'small_airport', 'Yu Ranch Airport', 44.307498931884766, -108.73699951171875, 5170, 'US', 'US-WY', 'Meeteetse', 'no', 'WY42', '', 'WY42', ''),
	('KLND', 'medium_airport', 'Hunt Field', 42.815201, -108.730003, 5586, 'US', 'US-WY', 'Lander', 'no', 'KLND', 'LND', 'LND', ''),
	('KDGW', 'small_airport', 'Converse County Airport', 42.79719925, -105.3860016, 4933, 'US', 'US-WY', 'Douglas', 'no', 'KDGW', 'DGW', 'DGW', ''),
	('KGEY', 'small_airport', 'South Big Horn County Airport', 44.51679993, -108.0830002, 3939, 'US', 'US-WY', 'Greybull', 'no', 'KGEY', 'GEY', 'GEY', ''),
	('WY13', 'small_airport', 'Little Buffalo Ranch Airport', 43.78609848022461, -105.66400146484375, 4919, 'US', 'US-WY', 'Gillette', 'no', 'WY13', '', 'WY13', ''),
	('KSLL', 'N/A', 'N/A', 44.27745748311281, -105.4214559495449, 1383, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTHP', 'closed', 'Hot Springs County Thermopolis Municipal Airport', 43.663055, -108.209703, 4592, 'US', 'US-WY', 'Thermopolis', 'no', '', '', '', 'THP, KTHP, Hot Springs Co'),
	('04WY', 'N/A', 'N/A', 44.83657903969288, -105.35142973065376, 1069, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WY58', 'small_airport', 'Hilty Private Strip', 42.072014, -104.986708, 4752, 'US', 'US-WY', 'Wheatland', 'no', 'WY58', '', 'WY58', ''),
	('KHAD', 'N/A', 'N/A', 42.92440842837095, -106.30946964025497, 1637, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('03WY', 'N/A', 'N/A', 43.87405727058649, -107.33947366476059, 1422, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('U68', 'small_airport', 'North Big Horn County Airport', 44.912021, -108.443498, 4090, 'US', 'US-WY', 'Cowley', 'no', '', '', 'U68', ''),
	('KSHR', 'medium_airport', 'Sheridan County Airport', 44.76919937133789, -106.9800033569336, 4021, 'US', 'US-WY', 'Sheridan', 'yes', 'KSHR', 'SHR', 'SHR', ''),
	('10WY', 'small_airport', 'Willow Creek Ranch Airport', 43.423333, -106.823611, 5521, 'US', 'US-WY', 'Kaycee', 'no', '10WY', '', '10WY', ''),
	('WY15', 'small_airport', 'Bunch Grass Intergalactic Airport', 44.689724, -108.678539, 4408, 'US', 'US-WY', 'Powell', 'no', 'WY15', '', 'WY15', ''),
	('KBYG', 'small_airport', 'Johnson County Airport', 44.3811, -106.722, 4968, 'US', 'US-WY', 'Buffalo', 'no', 'KBYG', 'BYG', 'BYG', ''),
	('84WY', 'small_airport', 'Moore Ranch Airport', 43.446111, -105.743055, 5027, 'US', 'US-WY', 'Douglas', 'no', '84WY', '', '84WY', ''),
	('8WY6', 'small_airport', 'Lazy T Ranch Airport', 43.925417, -107.294583, 4857, 'US', 'US-WY', 'Ten Sleep', 'no', '8WY6', '', '8WY6', ''),
	('49U', 'small_airport', 'Shoshoni Municipal Airport', 43.251301, -108.121002, 4817, 'US', 'US-WY', 'Shoshoni', 'no', 'KTBX', '', '49U', ''),
	('KWRL', 'medium_airport', 'Worland Municipal Airport', 43.965698, -107.950996, 4227, 'US', 'US-WY', 'Worland', 'no', 'KWRL', 'WRL', 'WRL', ''),
	('WY16', 'small_airport', 'Robbins Airport', 42.259998, -105.859001, 7240, 'US', 'US-WY', 'Medicine Bow', 'no', 'WY16', '', 'WY16', ''),
	('KRIW', 'medium_airport', 'Central Wyoming Regional Airport', 43.064201, -108.459999, 5525, 'US', 'US-WY', 'Riverton', 'yes', 'KRIW', 'RIW', 'RIW', ''),
	('22WY', 'small_airport', 'Kissack/Reynolds Airport', 44.338056, -105.162117, 4380, 'US', 'US-WY', 'Rozet', 'no', '22WY', '', '22WY', ''),
	('76V', 'small_airport', 'Thomas Memorial Airport', 42.519727, -105.020068, 4665, 'US', 'US-WY', 'Glendo', 'no', 'K76V', '', '76V', ''),
	('WY34', 'small_airport', 'Bridger Creek Airport', 43.34049987792969, -107.68699645996094, 5350, 'US', 'US-WY', 'Lysite', 'no', 'WY34', '', 'WY34', ''),
	('WY00', 'small_airport', 'Red Reflet Ranch Airport', 43.967719, -107.379654, 4619, 'US', 'US-WY', 'Ten Sleep', 'no', 'WY00', '', 'WY00', ''),
	('WY38', 'small_airport', 'Orchard Ranch Airport', 43.623600006103516, -107.40799713134766, 5277, 'US', 'US-WY', 'Ten Sleep', 'no', 'WY38', '', 'WY38', ''),
	('WY23', 'small_airport', 'Iberlin Strip', 44.073299407958984, -106.26599884033203, 4331, 'US', 'US-WY', 'Sussex', 'no', 'WY23', '', 'WY23', ''),
	('0WY1', 'small_airport', 'Dorsey Creek Ranch Airport', 44.411111, -108.163333, 4017, 'US', 'US-WY', 'Basin', 'no', '0WY1', '', '0WY1', ''),
	('07WY', 'small_airport', 'Stallions Airport', 44.960084, -106.105925, 4074, 'US', 'US-WY', 'Sheridan', 'no', '07WY', '', '07WY', ''),
	('99WY', 'small_airport', 'Xingu Airstrip', 44.845798, -107.277, 4340, 'US', 'US-WY', 'Wolf', 'no', '99WY', '', '99WY', ''),
	('WY01', 'small_airport', 'Dilts Ranch Airport', 43.394779, -105.550088, 4800, 'US', 'US-WY', 'Douglas', 'no', 'WY01', '', 'WY01', ''),
	('44WY', 'small_airport', 'Underwood Airport', 42.851822, -105.499378, 4863, 'US', 'US-WY', 'Douglas', 'no', '44WY', '', '44WY', ''),
	('WY18', 'small_airport', 'Iberlin Ranch Number 2 Airport', 43.560055, -106.00987, 5020, 'US', 'US-WY', 'Linch', 'no', 'WY18', '', 'WY18', ''),
	('KGCC', 'medium_airport', 'Northeast Wyoming Regional Airport', 44.3489, -105.539001, 4365, 'US', 'US-WY', 'Gillette', 'yes', 'KGCC', 'GCC', 'GCC', 'Gillette Campbell County Airport'),
	('KHSG', 'small_airport', 'Hot Springs County Airport', 43.713602, -108.389687, 4895, 'US', 'US-WY', 'Thermopolis', 'no', 'KHSG', 'THP', 'HSG', ''),
	('KCPR', 'medium_airport', 'Casper-Natrona County International Airport', 42.908001, -106.463997, 5350, 'US', 'US-WY', 'Casper', 'yes', 'KCPR', 'CPR', 'CPR', ''),
	('WY27', 'small_airport', 'Wagonhound Airport', 42.586700439453125, -105.53800201416016, 5470, 'US', 'US-WY', 'Douglas', 'no', 'WY27', '', 'WY27', ''),
	('WY37', 'closed', 'Symons Airport', 44.840799, -106.823003, 3681, 'US', 'US-WY', 'Sheridan', 'no', '', '', '', 'WY37'),
	('12WY', 'small_airport', 'Black Diamond Airport', 44.45, -108.384667, 4400, 'US', 'US-WY', 'Burlington', 'no', '12WY', '', '12WY', ''),
	('0CO8', 'small_airport', 'Cartwheel Airport', 40.2083015442, -105.013000488, 5010, 'US', 'US-CO', 'Mead', 'no', '0CO8', '', '0CO8', ''),
	('CO86', 'closed', 'Granby Sports Park Ultralightport', 40.048599, -105.938004, 8110, 'US', 'US-CO', 'Granby', 'no', '', '', '', 'CO86'),
	('1CD4', 'small_airport', 'Eagle Soaring Airport', 40.509300231933594, -106.94300079345703, 6600, 'US', 'US-CO', 'Steam Boat Springs', 'no', '1CD4', '', '1CD4', ''),
	('KFRA', 'N/A', 'N/A', 39.99662775546312, -105.86364895105362, 2574, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6CO4', 'small_airport', 'Hat-Field STOLport', 40.51029968261719, -105.0009994506836, 4885, 'US', 'US-CO', 'Fort Collins', 'no', '6CO4', '', '6CO4', ''),
	('KSAA', 'small_airport', 'Shively Field', 41.444901, -106.823997, 7012, 'US', 'US-WY', 'Saratoga', 'no', 'KSAA', 'SAA', 'SAA', ''),
	('2CD9', 'small_airport', 'Kellogg Airstrip', 40.6814, -105.13855, 5180, 'US', 'US-CO', 'Fort Collins', 'no', '2CD9', '', '2CD9', 'Laporte'),
	('KBJC', 'medium_airport', 'Rocky Mountain Metropolitan Airport', 39.908798, -105.116997, 5673, 'US', 'US-CO', 'Denver', 'yes', 'KBJC', 'BJC', 'BJC', 'Jefferson County Airport, Jeffco Airport'),
	('81CO', 'small_airport', 'Mesa 1 Airport', 40.40610122680664, -106.82099914550781, 7000, 'US', 'US-CO', 'Steamboat Springs', 'no', '81CO', '', '81CO', ''),
	('CO55', 'small_airport', 'Christman Field', 40.597198486328125, -105.14399719238281, 5160, 'US', 'US-CO', 'Fort Collins', 'no', 'CO55', '', 'CO55', ''),
	('CD99', 'small_airport', 'Lucky L Ranch Airport', 40.358299255371094, -106.83000183105469, 7000, 'US', 'US-CO', 'Steamboat Springs', 'no', 'CD99', '', 'CD99', ''),
	('96WY', 'small_airport', 'Cedar Creek Ranch Airport', 41.408939, -106.593488, 7760, 'US', 'US-WY', 'Saratoga', 'no', '96WY', '', '96WY', ''),
	('CO10', 'small_airport', 'Lemons Private Strip', 39.99470138549805, -105.2239990234375, 5230, 'US', 'US-CO', 'Boulder', 'no', 'CO10', '', 'CO10', ''),
	('16CO', 'small_airport', 'Dry Pen Airport', 39.40227, -108.07602, 5331, 'US', 'US-CO', 'Parachute', 'no', '16CO', '', '16CO', ''),
	('KSBS', 'small_airport', 'Steamboat Springs Bob Adams Field', 40.5163002, -106.8659973, 6882, 'US', 'US-CO', 'Steamboat Springs', 'no', 'KSBS', 'SBS', 'SBS', ''),
	('WY17', 'small_airport', 'Ellis Ranch Airport', 42.021912, -106.42653, 6530, 'US', 'US-WY', 'Medicine Bow', 'no', 'WY17', '', 'WY17', ''),
	('41CO', 'small_airport', 'Flying Dog Ranch Airstrip', 39.971195, -107.611082, 7020, 'US', 'US-CO', 'Buford', 'no', '41CO', '', '41CO', ''),
	('WY51', 'closed', 'Platt Ranch Airport', 41.16281, -106.60462, 7545, 'US', 'US-WY', 'Encampment', 'no', '', '', '', 'WY51'),
	('WY61', 'closed', 'Gas Hills Airstrip', 42.868099, -107.489505, 6990, 'US', 'US-WY', 'Waltman', 'no', '', '', '', 'WY61');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WY59', 'small_airport', 'Two Bar Ranch Airport', 41.933365, -105.090824, 5110, 'US', 'US-WY', 'Wheatland', 'no', 'WY59', '', 'WY59', ''),
	('CD39', 'small_airport', 'Pond''s Field', 40.26499938964844, -105.13700103759766, 5050, 'US', 'US-CO', 'Berthoud', 'no', 'CD39', '', 'CD39', ''),
	('CD02', 'small_airport', 'Skyote Airport', 40.757999420166016, -106.97200012207031, 8200, 'US', 'US-CO', 'Steamboat Springs', 'no', 'CD02', '', 'CD02', ''),
	('2CD4', 'small_airport', 'West Divide Airport', 39.430788, -107.623111, 6352, 'US', 'US-CO', 'Silt', 'no', '2CD4', '', '2CD4', ''),
	('7CO0', 'small_airport', 'Parkland Airport', 40.07170104980469, -105.03399658203125, 5050, 'US', 'US-CO', 'Erie', 'no', '7CO0', '', '7CO0', ''),
	('CD28', 'small_airport', 'Tall Timber Airport', 39.64390182495117, -105.26799774169922, 7360, 'US', 'US-CO', 'Indian Hills', 'no', 'CD28', '', 'CD28', ''),
	('CD20', 'small_airport', 'Sprague Airport', 40.474998474121094, -105.22000122070313, 5603, 'US', 'US-CO', 'Loveland', 'no', 'CD20', '', 'CD20', ''),
	('33V', 'small_airport', 'Walden Jackson County Airport', 40.750401, -106.271004, 8153, 'US', 'US-CO', 'Walden', 'no', 'K33V', '', '33V', ''),
	('KRIL', 'medium_airport', 'Garfield County Regional Airport', 39.526299, -107.726997, 5548, 'US', 'US-CO', 'Rifle', 'no', 'KRIL', 'RIL', 'RIL', 'Rifle Airport'),
	('KEGE', 'medium_airport', 'Eagle County Regional Airport', 39.64260101, -106.9179993, 6548, 'US', 'US-CO', 'Eagle', 'yes', 'KEGE', 'EGE', 'EGE', ''),
	('0CD7', 'small_airport', 'Fox Hole Airport', 40.003917, -105.07185, 5135, 'US', 'US-CO', 'Lafayette', 'no', '0CD7', '', '0CD7', ''),
	('13R', 'seaplane_base', 'Kenney Reservoir Seaplane Base', 40.115319, -108.708119, 5329, 'US', 'US-CO', 'Rangley', 'no', '', '', '13R', ''),
	('25CO', 'small_airport', 'Crystal Lakes Airport', 40.851600646972656, -105.63300323486328, 8440, 'US', 'US-CO', 'Red Feather Lakes', 'no', '25CO', '', '25CO', ''),
	('20V', 'small_airport', 'McElroy Airfield', 40.05341, -106.369078, 7411, 'US', 'US-CO', 'Kremmling', 'no', 'K20V', '', '20V', ''),
	('KBDU', 'small_airport', 'Boulder Municipal Airport', 40.039101, -105.226025, 5288, 'US', 'US-CO', 'Boulder', 'no', 'KBDU', 'WBU', 'BDU', '1V5'),
	('34CD', 'small_airport', 'Elk Park Ranch Airport', 40.262683, -105.448011, 7900, 'US', 'US-CO', 'Allenspark', 'no', '34CD', '', '34CD', ''),
	('KDWX', 'N/A', 'N/A', 41.03744152933359, -107.49252766370773, 1985, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0CO1', 'small_airport', 'Dave''s Airport', 40.0332984924, -105.124000549, 5170, 'US', 'US-CO', 'Louisville', 'no', '0CO1', '', '0CO1', ''),
	('80V', 'small_airport', 'Medicine Bow Airport', 41.88363, -106.18239, 6646, 'US', 'US-WY', 'Medicine Bow', 'no', 'K80V', '', '80V', ''),
	('5CO7', 'closed', 'Mesa View Ranch Airport', 40.775002, -107.533997, 6978, 'US', 'US-CO', 'Craig', 'no', '', '', '', '5CO7'),
	('WY11', 'small_airport', 'A Bar A Ranch Airstrip', 41.15557, -106.555966, 7880, 'US', 'US-WY', 'Encampment', 'no', 'WY11', '', 'WY11', 'A Bar A'),
	('4CO0', 'small_airport', 'Glen-Aspen Airport', 39.389609, -107.163722, 6835, 'US', 'US-CO', 'Carbondale', 'no', '4CO0', '', '4CO0', ''),
	('KLMO', 'small_airport', 'Vance Brand Airport', 40.1637, -105.163002, 5055, 'US', 'US-CO', 'Longmont', 'no', 'KLMO', '', 'LMO', 'AMR, 2V2'),
	('KRAE', 'N/A', 'N/A', 39.947844073176384, -108.43781277537346, 1989, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEEO', 'small_airport', 'Meeker Airport', 40.04880142211914, -107.88600158691406, 6421, 'US', 'US-CO', 'Meeker', 'no', 'KEEO', '', 'EEO', ''),
	('5CO8', 'small_airport', 'Pleasant Valley Airport', 40.341400146484375, -106.8489990234375, 7120, 'US', 'US-CO', 'Oak Creek', 'no', '5CO8', '', '5CO8', ''),
	('KFNL', 'medium_airport', 'Northern Colorado Regional Airport', 40.44969, -105.011272, 5016, 'US', 'US-CO', 'Loveland', 'no', 'KFNL', 'FNL', 'FNL', 'Fort Collins Loveland Municipal'),
	('86CO', 'small_airport', 'Lazy W Airport', 40.3135986328125, -105.1449966430664, 5200, 'US', 'US-CO', 'Berthoud', 'no', '86CO', '', '86CO', ''),
	('KLAR', 'medium_airport', 'Laramie Regional Airport', 41.31209945678711, -105.67500305175781, 7284, 'US', 'US-WY', 'Laramie', 'yes', 'KLAR', 'LAR', 'LAR', ''),
	('CO07', 'small_airport', 'Athanasiou Valley Airport', 39.85419845581055, -105.47100067138672, 8900, 'US', 'US-CO', 'Blackhawk', 'no', 'CO07', '', 'CO07', ''),
	('KRWL', 'medium_airport', 'Rawlins Municipal Airport/Harvey Field', 41.80559921, -107.1999969, 6813, 'US', 'US-WY', 'Rawlins', 'no', 'KRWL', 'RWL', 'RWL', ''),
	('KGNB', 'small_airport', 'Granby Grand County Airport', 40.089698791503906, -105.91699981689453, 8203, 'US', 'US-CO', 'Granby', 'no', 'KGNB', '', 'GNB', ''),
	('KHDN', 'medium_airport', 'Yampa Valley Airport', 40.481201, -107.218002, 6606, 'US', 'US-CO', 'Hayden', 'yes', 'KHDN', 'HDN', 'HDN', ''),
	('8CO7', 'small_airport', 'Colorado Antique Field', 40.122501373291016, -105.1719970703125, 5069, 'US', 'US-CO', 'Niwot', 'no', '8CO7', '', '8CO7', ''),
	('KCAG', 'small_airport', 'Craig Moffat Airport', 40.4952011108, -107.522003174, 6193, 'US', 'US-CO', 'Craig', 'no', 'KCAG', 'CIG', 'CAG', ''),
	('KGWS', 'small_airport', 'Glenwood Springs Municipal Airport', 39.5083007812, -107.310997009, 5916, 'US', 'US-CO', 'Glenwood Springs', 'no', 'KGWS', 'GWS', 'GWS', ''),
	('KEIK', 'small_airport', 'Erie Municipal Airport', 40.010200500488, -105.047996521, 5130, 'US', 'US-CO', 'Erie', 'no', 'KEIK', '', 'EIK', '48V'),
	('CO47', 'small_airport', 'Goldys Field', 39.599998, -106.973999, 6720, 'US', 'US-CO', 'Gypsum', 'no', 'CO47', '', 'CO47', 'Gypsum Creek Ranch'),
	('3V5', 'N/A', 'N/A', 40.588323064148426, -105.0416587293148, 1503, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7CO2', 'closed', 'Hawkins Ranch Airport', 38.841538, -107.877213, 6200, 'US', 'US-CO', 'Hotchkiss', 'no', '', '', '', '7CO2'),
	('KWOL', 'N/A', 'N/A', 39.0573238581419, -105.4626752436161, 2690, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NM39', 'closed', 'Davenport Airport', 36.632801, -108.310997, 5720, 'US', 'US-NM', 'Farmington', 'no', '', '', '', 'NM39'),
	('CO95', 'small_airport', 'True Grit South Airport', 38.052378, -107.984871, 9580, 'US', 'US-CO', 'Telluride', 'no', 'CO95', '', 'CO95', 'Wilson Ranch'),
	('93CO', 'small_airport', 'Antelope Airpark', 39.025294, -105.609763, 8700, 'US', 'US-CO', 'Lake George', 'no', '93CO', '', '93CO', ''),
	('CO92', 'small_airport', 'Frasier Ranch Airport', 39.644451, -103.641672, 5000, 'US', 'US-CO', 'Last Chance', 'no', '', '', '', 'CO92'),
	('KGUC', 'medium_airport', 'Gunnison Crested Butte Regional Airport', 38.534672, -106.934566, 7680, 'US', 'US-CO', 'Gunnison', 'yes', 'KGUC', 'GUC', 'GUC', ''),
	('0CO2', 'small_airport', 'Crested Butte Airpark', 38.851918, -106.928341, 8980, 'US', 'US-CO', 'Crested Butte', 'no', '0CO2', 'CSE', '0CO2', 'Buckhorn Ranch'),
	('CD82', 'small_airport', 'Val Air Airport', 37.337799072265625, -107.85199737548828, 6548, 'US', 'US-CO', 'Durango', 'no', 'CD82', '', 'CD82', ''),
	('CO27', 'small_airport', 'Tanner Field', 37.46780014038086, -108.66500091552734, 6640, 'US', 'US-CO', 'Cortez', 'no', 'CO27', '', 'CO27', ''),
	('CD97', 'small_airport', 'Montemadeira Ii Airport', 38.805599212646484, -107.77400207519531, 5750, 'US', 'US-CO', 'Hotchkiss', 'no', 'CD97', '', 'CD97', ''),
	('KASE', 'medium_airport', 'Aspen-Pitkin County Airport (Sardy Field)', 39.223202, -106.869003, 7820, 'US', 'US-CO', 'Aspen', 'yes', 'KASE', 'ASE', 'ASE', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('C08', 'small_airport', 'Silver West Airport', 38.013182, -105.374279, 8290, 'US', 'US-CO', 'Westcliffe', 'no', '', '', 'C08', ''),
	('3CO0', 'small_airport', 'Sky Island Ranch Airport', 38.738329, -108.000614, 5300, 'US', 'US-CO', 'Delta', 'no', '3CO0', '', '3CO0', ''),
	('CO03', 'small_airport', 'Aspen Gliderport', 39.2599983215332, -106.91200256347656, 8440, 'US', 'US-CO', 'Aspen', 'no', 'CO03', '', 'CO03', ''),
	('CD69', 'small_airport', 'Morning Shadows Ranch Airport', 37.740299224853516, -106.5260009765625, 8300, 'US', 'US-CO', 'South Fork', 'no', 'CD69', '', 'CD69', ''),
	('2CO5', 'small_airport', 'Edenway Airport', 38.347198486328125, -104.63200378417969, 4970, 'US', 'US-CO', 'Pueblo', 'no', '2CO5', '', '2CO5', ''),
	('CD32', 'small_airport', 'Castle Lakes Airport', 37.90919876098633, -107.3499984741211, 9300, 'US', 'US-CO', 'Lake City', 'no', 'CD32', '', 'CD32', ''),
	('6CO0', 'small_airport', 'Doctors Mesa Airport', 38.852236, -108.017833, 5680, 'US', 'US-CO', 'Eckert', 'no', '6CO0', '', '6CO0', ''),
	('1CO2', 'small_airport', 'Williams Ranch Airport', 38.162498, -108.339996, 6842, 'US', 'US-CO', 'Norwood', 'no', '1CO2', '', '1CO2', ''),
	('0CO9', 'small_airport', 'Van Treese Airport', 37.6582984924, -106.033996582, 7613, 'US', 'US-CO', 'Monte Vista', 'no', '0CO9', '', '0CO9', ''),
	('KFMN', 'medium_airport', 'Four Corners Regional Airport', 36.741199, -108.230003, 5506, 'US', 'US-NM', 'Farmington', 'no', 'KFMN', 'FMN', 'FMN', ''),
	('N24', 'small_airport', 'Questa Municipal Nr 2 Airport', 36.80030059814453, -105.5979995727539, 7700, 'US', 'US-NM', 'Questa', 'no', 'KN24', '', 'N24', ''),
	('KGJT', 'medium_airport', 'Grand Junction Regional Airport', 39.126663, -108.529387, 4858, 'US', 'US-CO', 'Grand Junction', 'yes', 'KGJT', 'GJT', 'GJT', ''),
	('CO11', 'small_airport', 'Granite Mountain Lodge Airport', 38.416099548339844, -106.05799865722656, 9000, 'US', 'US-CO', 'Salida', 'no', 'CO11', '', 'CO11', ''),
	('KRCV', 'N/A', 'N/A', 37.713783234357834, -106.35201930999756, 2416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2CO2', 'closed', 'CMRS Airdrome', 38.540298, -106.105003, 7872, 'US', 'US-CO', 'Poncha Springs', 'no', '', '', '', '2CO2'),
	('CD01', 'small_airport', 'Lowe Airstrip', 38.39830017089844, -105.62000274658203, 6200, 'US', 'US-CO', 'Cotopaxi', 'no', 'CD01', '', 'CD01', ''),
	('KAJZ', 'small_airport', 'Blake Field', 38.7864, -108.064003, 5193, 'US', 'US-CO', 'Delta', 'no', 'KAJZ', '', 'AJZ', ''),
	('CO43', 'small_airport', 'Pinyon Airport', 39.00279998779297, -108.70999908447266, 6980, 'US', 'US-CO', 'Glade Park', 'no', 'CO43', '', 'CO43', ''),
	('6CO2', 'small_airport', 'Mesawood Airpark', 38.960694, -107.958418, 7200, 'US', 'US-CO', 'Cedaredge', 'no', '6CO2', '', '6CO2', ''),
	('24N', 'small_airport', 'Jicarilla Apache Nation Airport', 36.82849884033203, -106.88400268554688, 7618, 'US', 'US-NM', 'Dulce', 'no', 'K24N', '', '24N', ''),
	('KMVI', 'small_airport', 'Monte Vista Municipal Airport', 37.52730178833008, -106.0479965209961, 7611, 'US', 'US-CO', 'Monte Vista', 'no', 'KMVI', '', 'MVI', ''),
	('CO61', 'closed', 'Golden Field (Yellow Hat) Airport', 37.842602, -105.213997, 7710, 'US', 'US-CO', 'Gardner', 'no', '', '', '', 'CO61'),
	('99V', 'small_airport', 'Crawford Airport', 38.703736, -107.646983, 6470, 'US', 'US-CO', 'Crawford', 'no', '', '', '99V', 'French Field'),
	('KMTJ', 'medium_airport', 'Montrose Regional Airport', 38.5098, -107.893997, 5759, 'US', 'US-CO', 'Montrose', 'yes', 'KMTJ', 'MTJ', 'MTJ', ''),
	('N19', 'small_airport', 'Aztec Municipal Airport', 36.836951, -108.028914, 5877, 'US', 'US-NM', 'Aztec', 'no', '', '', 'N19', ''),
	('1V8', 'small_airport', 'Leach Airport', 37.785399, -106.047632, 7598, 'US', 'US-CO', 'Center', 'no', '1V8', '', '1V8', ''),
	('12CO', 'small_airport', 'Omega 1 Airport', 38.835499, -107.815184, 6409, 'US', 'US-CO', 'Hotchkiss', 'no', '12CO', '', '12CO', ''),
	('CO89', 'small_airport', 'Barber Field', 38.77280044555664, -108.04399871826172, 5050, 'US', 'US-CO', 'Delta', 'no', 'CO89', '', 'CO89', ''),
	('C24', 'small_airport', 'Mineral County Memorial Airport', 37.8208007812, -106.930999756, 8680, 'US', 'US-CO', 'Creede', 'no', 'C24', '', 'C24', 'Q39'),
	('KTEX', 'medium_airport', 'Telluride Regional Airport', 37.9538, -107.907997, 9070, 'US', 'US-CO', 'Telluride', 'yes', 'KTEX', 'TEX', 'TEX', ''),
	('04V', 'small_airport', 'Saguache Municipal Airport', 38.0990833, -106.1743889, 7826, 'US', 'US-CO', 'Saguache', 'no', '04V', '', '04V', ''),
	('3CO1', 'small_airport', 'Cridler Field', 38.849516, -107.832739, 6460, 'US', 'US-CO', 'Hotchkiss', 'no', '3CO1', '', '3CO1', ''),
	('05V', 'small_airport', 'Blanca Airport', 37.41109848022461, -105.552001953125, 7720, 'US', 'US-CO', 'Blanca', 'no', '05V', '', '05V', ''),
	('CO76', 'small_airport', 'Eden Ranch Airport', 38.835708, -107.867003, 6150, 'US', 'US-CO', 'Hotchkiss', 'no', 'CO76', '', 'CO76', ''),
	('KPSO', 'small_airport', 'Stevens Field', 37.28630066, -107.0559998, 7664, 'US', 'US-CO', 'Pagosa Springs', 'no', 'KPSO', 'PGO', 'PSO', '2V1'),
	('NM03', 'closed', 'K-D Field', 33.275101, -104.369003, 3465, 'US', 'US-NM', 'Dexter', 'no', '', '', '', 'NM03'),
	('CO20', 'small_airport', 'Flying W Ranch Airport', 38.86249923706055, -107.82099914550781, 6885, 'US', 'US-CO', 'Cedaredge', 'no', 'CO20', '', 'CO20', ''),
	('KTII', 'N/A', 'N/A', 36.62893161177635, -106.71418100595474, 2199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMOV', 'N/A', 'N/A', 37.581465505063534, -106.20342135429382, 2359, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NM24', 'small_airport', 'Eastside Airport', 36.922244, -106.560173, 8030, 'US', 'US-NM', 'Chama', 'no', 'NM24', '', 'NM24', ''),
	('CO83', 'closed', 'Bulk Mail Center Heliport', 39.800301, -104.901001, 5290, 'US', 'US-CO', 'Commerce City', 'no', '', '', '', 'CO83'),
	('5CO6', 'closed', 'Meyer Ranch Airport', 39.550805, -105.281392, 8000, 'US', 'US-CO', 'Conifer', 'no', '', '', '', '5CO6'),
	('17CO', 'small_airport', 'Skylane Ranch Airport', 40.272258, -105.032625, 5000, 'US', 'US-CO', 'Berthoud', 'no', '17CO', '', '17CO', ''),
	('7V2', 'small_airport', 'North Fork Valley Airport', 38.8316993713, -107.646003723, 5798, 'US', 'US-CO', 'Paonia', 'no', 'K7V2', 'WPO', '7V2', ''),
	('KCEZ', 'medium_airport', 'Cortez Municipal Airport', 37.303001, -108.627998, 5918, 'US', 'US-CO', 'Cortez', 'yes', 'KCEZ', 'CEZ', 'CEZ', ''),
	('KDRO', 'medium_airport', 'Durango La Plata County Airport', 37.151501, -107.753998, 6685, 'US', 'US-CO', 'Durango', 'yes', 'KDRO', 'DRO', 'DRO', ''),
	('CO65', 'small_airport', 'Geary Ranch Airport', 38.045799255371094, -105.47100067138672, 8300, 'US', 'US-CO', 'Westcliffe', 'no', 'CO65', '', 'CO65', ''),
	('KLXV', 'small_airport', 'Lake County Airport', 39.220298767100005, -106.317001343, 9927, 'US', 'US-CO', 'Leadville', 'no', 'KLXV', 'LXV', 'LXV', ''),
	('30CO', 'small_airport', 'Coyote Creek Ranch Airport', 38.67250061035156, -105.33599853515625, 8030, 'US', 'US-CO', 'Guffey', 'no', '30CO', '', '30CO', ''),
	('39CO', 'small_airport', 'Flying M Ranch Airport', 38.50354, -107.72149, 7200, 'US', 'US-CO', 'Montrose', 'no', '39CO', '', '39CO', ''),
	('D17', 'small_airport', 'Westwinds Airport', 38.75749969482422, -108.14800262451172, 5000, 'US', 'US-CO', 'Delta', 'no', 'KD17', '', 'D17', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CD10', 'small_airport', 'Chapman Field', 37.67499923706055, -106.55599975585938, 8100, 'US', 'US-CO', 'South Fork', 'no', 'CD10', '', 'CD10', ''),
	('51CO', 'small_airport', 'Flying W No.2 Airport', 38.885601043701, -107.80400085449, 7105, 'US', 'US-CO', 'Hotchkiss', 'no', '', '', '51CO', '51CO'),
	('02CO', 'small_airport', 'Mc Cullough Airport', 37.64329910279999, -106.04699707, 7615, 'US', 'US-CO', 'Monte Vista', 'no', '02CO', '', '02CO', ''),
	('KALS', 'medium_airport', 'San Luis Valley Regional Airport/Bergman Field', 37.434898, -105.866997, 7539, 'US', 'US-CO', 'Alamosa', 'yes', 'KALS', 'ALS', 'ALS', ''),
	('8CO5', 'small_airport', 'Widner Airport', 38.833618, -107.892838, 6020, 'US', 'US-CO', 'Hotchkiss', 'no', '8CO5', '', '8CO5', ''),
	('25CD', 'small_airport', 'Lux Field', 39.152333, -105.720167, 9300, 'US', 'US-CO', 'Hartsel', 'no', '25CD', '', '25CD', ''),
	('KTAR', 'N/A', 'N/A', 37.19214890152216, -105.46440616250038, 2424, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0CO6', 'small_airport', 'Flying M & M Ranch Airport', 38.2193984985, -108.212997437, 8000, 'US', 'US-CO', 'Norwood', 'no', '0CO6', '', '0CO6', ''),
	('1V6', 'small_airport', 'Fremont County Airport', 38.429739, -105.108562, 5439, 'US', 'US-CO', 'Penrose', 'no', 'K1V6', 'CNE', '1V6', ''),
	('1V0', 'small_airport', 'Navajo Lake Airport', 36.808168, -107.653077, 6475, 'US', 'US-NM', 'Navajo Dam', 'no', '', '', '1V0', ''),
	('KANK', 'small_airport', 'Salida Airport - Harriet Alexander Field', 38.5383, -106.049004, 7523, 'US', 'US-CO', 'Salida', 'no', 'KANK', 'SLT', 'ANK', ''),
	('33CO', 'small_airport', 'Melby Ranch Airstrip', 37.064998626708984, -105.46399688720703, 8820, 'US', 'US-CO', 'San Luis', 'no', '33CO', '', '33CO', ''),
	('KANL', 'N/A', 'N/A', 36.5720684453845, -105.25089785456657, 2609, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3CO4', 'small_airport', 'Tercio Ranch Airstrip', 37.070899963378906, -105.01899719238281, 7957, 'US', 'US-CO', 'Stonewall', 'no', '3CO4', '', '3CO4', ''),
	('07V', 'small_airport', 'Cuchara Valley At La Veta Airport', 37.5238, -105.009002, 7153, 'US', 'US-CO', 'La Veta', 'no', 'K07V', '', '07V', ''),
	('1CO4', 'small_airport', 'Clifford Field', 38.57500076293945, -107.95899963378906, 5560, 'US', 'US-CO', 'Olathe', 'no', '1CO4', '', '1CO4', ''),
	('NM48', 'small_airport', 'Ensenada Airport', 36.728808, -106.493897, 7640, 'US', 'US-NM', 'Tierra Amarilla', 'no', 'NM48', '', 'NM48', ''),
	('00C', 'small_airport', 'Animas Air Park', 37.203201, -107.869003, 6684, 'US', 'US-CO', 'Durango', 'no', 'K00C', 'AMK', '00C', ''),
	('KAIB', 'small_airport', 'Hopkins Field', 38.239025, -108.563354, 5940, 'US', 'US-CO', 'Nucla', 'no', 'KAIB', '', 'AIB', '6V6, Naturita'),
	('KAEJ', 'small_airport', 'Central Colorado Regional Airport', 38.812906, -106.120062, 7946, 'US', 'US-CO', 'Buena Vista', 'no', 'KAEJ', '', 'AEJ', ''),
	('5V5', 'small_airport', 'Shiprock Airstrip', 36.6978, -108.700996, 5270, 'US', 'US-NM', 'Shiprock', 'no', 'K5V5', '', '5V5', 'Naatʼáanii Nééz, Tsé Bitʼaʼí'),
	('32CO', 'small_airport', 'Braun Airport', 38.45472, -105.081899, 5543, 'US', 'US-CO', 'Penrose', 'no', '32CO', '', '32CO', ''),
	('44CO', 'small_airport', 'Redlands Airport', 38.839885, -107.792802, 6100, 'US', 'US-CO', 'Hotchkiss', 'no', '44CO', '', '44CO', ''),
	('NM88', 'small_airport', 'Skywagon Farm Airport', 34.54330063, -106.7600021, 4770, 'US', 'US-NM', 'Bosque', 'no', 'NM88', '', 'NM88', ''),
	('KGNT', 'small_airport', 'Grants-Milan Municipal Airport', 35.167301178, -107.902000427, 6537, 'US', 'US-NM', 'Grants', 'no', 'KGNT', 'GNT', 'GNT', ''),
	('NM63', 'small_airport', 'Big Sky Airport', 35.16579818725586, -106.01200103759766, 6200, 'US', 'US-NM', 'Stanley', 'no', 'NM63', '', 'NM63', ''),
	('NM89', 'small_airport', 'Manzano-Mountain Air Ranch Airport', 34.7796, -106.5159, 5630, 'US', 'US-NM', 'Los Lunas', 'no', 'NM89', '', 'NM89', 'Valencia Community Air Ranch'),
	('E90', 'N/A', 'N/A', 35.9682073071599, -107.64692947268486, 1977, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('13Q', 'small_airport', 'Jewett Mesa Airport', 34.004229, -108.67992, 7681, 'US', 'US-NM', 'Quemado', 'no', '', '', '13Q', ''),
	('E92', 'small_airport', 'Estancia Municipal Airport', 34.76340103149414, -106.04100036621094, 6100, 'US', 'US-NM', 'Estancia', 'no', 'E92', '', 'E92', ''),
	('KONM', 'small_airport', 'Socorro Municipal Airport', 34.022499, -106.903, 4875, 'US', 'US-NM', 'Socorro', 'no', 'KONM', 'ONM', 'ONM', ''),
	('E98', 'small_airport', 'Mid Valley Airpark', 34.759799957275, -106.74500274658, 4830, 'US', 'US-NM', 'Los Lunas', 'no', 'E98', '', 'E98', ''),
	('0E8', 'small_airport', 'Crownpoint Airport', 35.71770095825195, -108.2020034790039, 6696, 'US', 'US-NM', 'Crownpoint', 'no', '', '', '0E8', ''),
	('NM49', 'small_airport', 'J & M Farms Airport', 34.58150100708008, -106.07499694824219, 6135, 'US', 'US-NM', 'Willard', 'no', 'NM49', '', 'NM49', ''),
	('2NM9', 'small_airport', 'High Desert Ranch Airport', 34.198763, -105.165108, 5575, 'US', 'US-NM', 'Corona', 'no', '2NM9', '', '2NM9', ''),
	('KABQ', 'large_airport', 'Albuquerque International Sunport', 35.039976, -106.608925, 5355, 'US', 'US-NM', 'Albuquerque', 'yes', 'KABQ', 'ABQ', 'ABQ', ''),
	('KAXX', 'small_airport', 'Angel Fire Airport', 36.422001, -105.290001, 8380, 'US', 'US-NM', 'Angel Fire', 'no', 'KAXX', 'AXX', 'AXX', ''),
	('NM31', 'closed', 'Elk Valley Airstrip', 34.495876, -108.027925, 7600, 'US', 'US-NM', 'Pie Town', 'no', '', '', '', 'NM31'),
	('NM01', 'small_airport', 'Rancho Magdalena Airport', 34.098283, -107.297466, 6676, 'US', 'US-NM', 'Magdalena', 'no', 'NM01', '', 'NM01', ''),
	('NM41', 'small_airport', 'Happy Mountain Airport', 34.06119918823242, -108.09600067138672, 7250, 'US', 'US-NM', 'Pie Town', 'no', 'NM41', '', 'NM41', ''),
	('NM2', 'small_airport', 'Cuba Airport', 35.951712, -106.957841, 0, 'US', 'US-NM', 'Cuba', 'no', '', '', 'NM2', ''),
	('KSAF', 'medium_airport', 'Santa Fe Municipal Airport', 35.6171, -106.088997, 6348, 'US', 'US-NM', 'Santa Fe', 'yes', 'KSAF', 'SAF', 'SAF', ''),
	('N17', 'small_airport', 'Vaughn Municipal Airport', 34.60458, -105.191822, 5928, 'US', 'US-NM', 'Vaughn', 'no', '', '', 'N17', ''),
	('4AC', 'N/A', 'N/A', 35.19518427550793, -106.572967171669, 1601, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLVS', 'medium_airport', 'Las Vegas Municipal Airport', 35.654202, -105.141998, 6877, 'US', 'US-NM', 'Las Vegas', 'no', 'KLVS', 'LVS', 'LVS', ''),
	('KLAM', 'small_airport', 'Los Alamos Airport', 35.8797988892, -106.268997192, 7171, 'US', 'US-NM', 'Los Alamos', 'no', 'KLAM', 'LAM', 'LAM', ''),
	('NM80', 'small_airport', 'Quemado Airport', 34.340301513671875, -108.51499938964844, 6917, 'US', 'US-NM', 'Quemado', 'no', 'NM80', '', 'NM80', ''),
	('NM56', 'small_airport', 'Mystic Bluffs Airport', 35.1652984619, -108.458999634, 6980, 'US', 'US-NM', 'Ramah', 'no', 'NM56', '', 'NM56', ''),
	('E80', 'N/A', 'N/A', 34.64596811681986, -106.83668777346611, 1579, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E14', 'small_airport', 'Ohkay Owingeh Airport', 36.026133, -106.045443, 5790, 'US', 'US-NM', 'Espanola', 'no', 'E14', 'ESO', 'E14', 'Q14, Española'),
	('84NM', 'small_airport', 'Nalda Ranch Airport', 34.35340118408203, -108.16200256347656, 7531, 'US', 'US-NM', 'Pie Town', 'no', '84NM', '', '84NM', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KSKX', 'medium_airport', 'Taos Regional Airport', 36.452494, -105.67749, 7095, 'US', 'US-NM', 'Taos', 'yes', 'KSKX', 'TSM', 'SKX', ''),
	('KLAZ', 'N/A', 'N/A', 35.018883012235165, -107.41666629910469, 1812, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KESA', 'N/A', 'N/A', 34.32029228657484, -106.26695439219475, 2083, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NM74', 'small_airport', 'Cubero Airport', 35.087501525878906, -107.56300354003906, 6192, 'US', 'US-NM', 'Cubero', 'no', 'NM74', '', 'NM74', ''),
	('E32', 'small_airport', 'Lindrith Airpark', 36.29140090942383, -107.05599975585938, 7202, 'US', 'US-NM', 'Lindrith', 'no', 'E32', '', 'E32', ''),
	('55NM', 'small_airport', 'Burris Ranch #1 Airport', 34.48735, -106.619225, 5218, 'US', 'US-NM', 'Belen', 'no', '55NM', '', '55NM', ''),
	('KRES', 'N/A', 'N/A', 33.95551051944494, -108.52336183190346, 2207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTHO', 'N/A', 'N/A', 35.404425747692585, -108.24670046567917, 2185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KESI', 'N/A', 'N/A', 34.374553710222244, -105.66964119672775, 1958, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('M10', 'small_airport', 'Mountainair Municipal Airport', 34.53329849243164, -106.2239990234375, 6492, 'US', 'US-NM', 'Mountainair', 'no', 'M10', '', 'M10', ''),
	('NM59', 'closed', 'Price''s Dairy Airport', 34.98569, -106.6708, 4921, 'US', 'US-NM', 'Albuquerque', 'no', '', '', '', 'NM59'),
	('1N1', 'small_airport', 'Sandia Airpark Estates East Airport', 35.094501, -106.167, 6550, 'US', 'US-NM', 'Edgewood', 'no', '1N1', '', '1N1', ''),
	('NM92', 'small_airport', 'Tierra de Dios Airport', 35.295478, -105.614405, 7050, 'US', 'US-NM', 'Rowe', 'no', 'NM92', '', 'NM92', ''),
	('NM61', 'closed', 'New Mexico Soaring Ranch Airport', 35.127213, -106.143613, 6530, 'US', 'US-NM', 'Edgewood', 'no', '', '', '', 'NM61, NM61, NM61'),
	('NM21', 'closed', 'Patterson Ranch Airport', 35.174999, -105.870003, 6696, 'US', 'US-NM', 'Stanley', 'no', '', '', '', 'NM21'),
	('NM36', 'small_airport', 'Candy Kitchen Ranch Airport', 34.902801513672, -108.51499938965, 7220, 'US', 'US-NM', 'Ramah', 'no', '', '', 'NM36', 'NM36'),
	('KAEG', 'small_airport', 'Double Eagle II Airport', 35.145198822021484, -106.79499816894531, 5837, 'US', 'US-NM', 'Albuquerque', 'no', 'KAEG', '', 'AEG', ''),
	('95E', 'small_airport', 'Stallion Army Air Field', 33.814598, -106.643715, 4925, 'US', 'US-NM', 'Socorro', 'no', '', '', '95E', ''),
	('N29', 'small_airport', 'Magdalena Airport', 34.094298, -107.297051, 6727, 'US', 'US-NM', 'Magdalena', 'no', '', '', 'N29', ''),
	('NM99', 'small_airport', 'Murrow Field on the Divide Airport', 36.427132, -107.000824, 7550, 'US', 'US-NM', 'Gavilan', 'no', '', '', 'NM99', ''),
	('KCAW', 'N/A', 'N/A', 33.92353925853968, -105.33740445971489, 1782, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NM25', 'small_airport', 'Lincoln Station Airport', 34.12139, -105.6777, 6655, 'US', 'US-NM', 'Corona', 'no', 'NM25', '', 'NM25', ''),
	('KMOE', 'N/A', 'N/A', 34.779027476906776, -106.63561418652534, 1547, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('57NM', 'small_airport', 'Monte Prieto Ranch Airport', 34.08869934082031, -106.11900329589844, 6164, 'US', 'US-NM', 'Claunch', 'no', '57NM', '', '57NM', ''),
	('NM66', 'small_airport', 'Poco Loco Airport', 34.415199279785156, -108.0770034790039, 7420, 'US', 'US-NM', 'Pie Town', 'no', 'NM66', '', 'NM66', ''),
	('NM68', 'closed', 'Rael Ranch Horse Pasture Airport', 33.803356, -108.346554, 6950, 'US', 'US-NM', 'Quemado', 'no', '', '', '', 'NM68, NM68, NM68'),
	('83NM', 'small_airport', 'King Ranch Airport', 34.648101806640625, -108.00599670410156, 7143, 'US', 'US-NM', 'Pie Town', 'no', '83NM', '', '83NM', ''),
	('25NM', 'small_airport', 'Dream Catcher Ranch Airport', 34.476944, -108.031111, 7253, 'US', 'US-NM', 'Pie Town', 'no', '25NM', '', '25NM', ''),
	('KJEM', 'N/A', 'N/A', 35.78877221792936, -107.24225923418999, 1940, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSVC', 'medium_airport', 'Grant County Airport', 32.636701, -108.154736, 5446, 'US', 'US-NM', 'Silver City', 'yes', 'KSVC', 'SVC', 'SVC', ''),
	('KDNA', 'N/A', 'N/A', 31.880444325506687, -106.70325011014938, 1253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KALM', 'medium_airport', 'Alamogordo White Sands Regional Airport', 32.837818, -105.993149, 4200, 'US', 'US-NM', 'Alamogordo', 'no', 'KALM', 'ALM', 'ALM', ''),
	('KWSD', 'closed', 'Condron Army Air Field', 32.337081, -106.40253, 3934, 'US', 'US-NM', 'White Sands', 'no', '', '', '', 'WSD, KWSD'),
	('82NM', 'small_airport', 'Skeen Ranch Airport', 33.16879, -105.133201, 5524, 'US', 'US-NM', 'Hondo', 'no', '82NM', '', '82NM', ''),
	('NM69', 'small_airport', 'Casas Adobes Airpark', 32.81420135498047, -107.94000244140625, 5800, 'US', 'US-NM', 'Mimbres', 'no', 'NM69', '', 'NM69', ''),
	('NM16', 'closed', 'Chama Land and Cattle Company Airport', 36.88026, -106.571388, 8025, 'US', 'US-NM', 'Chama', 'no', '', '', '', 'NM16'),
	('94E', 'small_airport', 'Whiskey Creek Airport', 32.759404, -108.209624, 6126, 'US', 'US-NM', 'Silver City', 'no', 'K94E', '', '94E', ''),
	('NM51', 'small_airport', 'Chloride Airport', 33.328399658203125, -107.66200256347656, 6202, 'US', 'US-NM', 'Chloride', 'no', 'NM51', '', 'NM51', ''),
	('NM79', 'closed', 'Shoestring Ranch Airport', 32.445572, -106.678233, 4440, 'US', 'US-NM', 'Organ', 'no', '', '', '', 'NM79, NM79'),
	('KTCS', 'medium_airport', 'Truth or Consequences Municipal Airport', 33.2369, -107.272003, 4853, 'US', 'US-NM', 'Truth or Consequences', 'no', 'KTCS', 'TCS', 'TCS', ''),
	('NM86', 'small_airport', 'Playas Air Strip', 31.936800003051758, -108.53700256347656, 4519, 'US', 'US-NM', 'Playas', 'no', 'NM86', '', 'NM86', ''),
	('68NM', 'small_airport', 'Flying H Ranch Airport', 33.028964, -105.126393, 5162, 'US', 'US-NM', 'Mayhill', 'no', '68NM', '', '68NM', ''),
	('2E5', 'small_airport', 'Dell City Municipal Airport', 31.947599, -105.192001, 3701, 'US', 'US-TX', 'Dell City', 'no', 'KGDP', '', '2E5', ''),
	('0NM0', 'small_airport', 'Columbus Airport', 31.823898, -107.629924, 4024, 'US', 'US-NM', 'Columbus', 'no', '0NM0', 'CUS', '0NM0', ''),
	('MMAQ', 'N/A', 'N/A', 31.037152111530304, -107.52965167164803, 1199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('81NM', 'small_airport', 'Diamond A Ranch Airport', 33.345453, -105.173096, 5056, 'US', 'US-NM', 'Picacho', 'no', '81NM', '', '81NM', ''),
	('KBIF', 'medium_airport', 'Biggs Army Air Field (Fort Bliss)', 31.84950066, -106.3799973, 3946, 'US', 'US-TX', 'Fort Bliss/El Paso', 'no', 'KBIF', 'BIF', 'BIF', 'Fort Bliss'),
	('KLSB', 'small_airport', 'Lordsburg Municipal Airport', 32.3334999084, -108.692001343, 4289, 'US', 'US-NM', 'Lordsburg', 'no', 'KLSB', 'LSB', 'LSB', ''),
	('F37', 'small_airport', 'Carrizozo Municipal Airport', 33.648899, -105.896004, 5371, 'US', 'US-NM', 'Carrizozo', 'no', 'KF37', '', 'F37', ''),
	('KLRU', 'medium_airport', 'Las Cruces International Airport', 32.289398, -106.921997, 4456, 'US', 'US-NM', 'Las Cruces', 'yes', 'KLRU', 'LRU', 'LRU', ''),
	('NM54', 'closed', 'District 5 Headquarters Heliport', 35.108495, -106.605282, 5180, 'US', 'US-NM', 'Albuquerque', 'no', '', '', '', 'NM54, "Sheraton Inn"');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NM28', 'closed', 'Beckett Farm Airport', 33.056999, -106.025002, 4430, 'US', 'US-NM', 'Tularosa', 'no', '', '', '', 'NM28'),
	('KHOS', 'N/A', 'N/A', 31.900854595005512, -105.48087313771248, 1390, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E02', 'small_airport', 'Timberon Airport', 32.6339, -105.687361, 6940, 'US', 'US-NM', 'Alamogordo', 'no', '', '', 'E02', '52NM, 52E'),
	('KSRR', 'medium_airport', 'Sierra Blanca Regional Airport', 33.462799, -105.535004, 6814, 'US', 'US-NM', 'Alto', 'no', 'KSRR', 'RUI', 'SRR', 'Ruidoso'),
	('7NM1', 'small_airport', 'Mesa Verde Ranch Strip Airport', 32.935278, -106.045278, 4237, 'US', 'US-NM', 'Alamogordo', 'no', '7NM1', '', '7NM1', ''),
	('KDMN', 'medium_airport', 'Deming Municipal Airport', 32.262298584, -107.721000671, 4314, 'US', 'US-NM', 'Deming', 'no', 'KDMN', 'DMN', 'DMN', ''),
	('72NM', 'small_airport', 'Otero Mill Airport', 32.95840072631836, -105.96299743652344, 4603, 'US', 'US-NM', 'La Luz', 'no', '72NM', '', '72NM', ''),
	('65TX', 'small_airport', 'Flying Eagle Ranch Airport', 31.775133, -105.431317, 4300, 'US', 'US-TX', 'Salt Flat', 'no', '65TX', '', '65TX', ''),
	('NM08', 'small_airport', 'Solo Ranch Airport', 32.262532, -107.393332, 4200, 'US', 'US-NM', 'Deming', 'no', 'NM08', '', 'NM08', ''),
	('E05', 'small_airport', 'Hatch Municipal Airport', 32.661098, -107.197998, 4080, 'US', 'US-NM', 'Hatch', 'no', 'E05', '', 'E05', ''),
	('NM40', 'closed', 'Gorby Ranch Airport', 32.963402, -105.999, 4400, 'US', 'US-NM', 'Alamogordo', 'no', '', '', '', 'NM40'),
	('80E', 'closed', 'Oscura Army Air Field Auxilary Airport', 33.490732, -106.18372, 4500, 'US', 'US-NM', 'Oscuro', 'no', '', '', '', '80E, 80E'),
	('9NM9', 'small_airport', 'Spaceport America', 32.990278, -106.969722, 4595, 'US', 'US-NM', 'Truth or Consequences', 'no', '', '', '9NM9', '90NM'),
	('KHMN', 'medium_airport', 'Holloman Air Force Base', 32.852501, -106.107002, 4093, 'US', 'US-NM', 'Alamogordo', 'no', 'KHMN', 'HMN', 'HMN', 'Alamogordo AAF'),
	('NM71', 'small_airport', 'Three Rivers Ranch Airport', 33.332859, -106.028323, 4807, 'US', 'US-NM', 'Tularosa', 'no', 'NM71', '', 'NM71', ''),
	('NM72', 'closed', 'Turner Ridgeport Airport', 32.741976, -108.288004, 6037, 'US', 'US-NM', 'Silver City', 'no', '', '', '', 'NM72'),
	('TA62', 'closed', 'Emergency-1 Houston Center Heliport', 29.756599, -95.362397, 680, 'US', 'US-TX', 'Houston', 'no', '', '', '', 'TA62'),
	('13NM', 'small_airport', 'Beaverhead Airstrip', 33.419437, -108.142216, 7378, 'US', 'US-NM', 'Magdalena', 'no', '13NM', '', '13NM', ''),
	('NM14', 'closed', 'Burris E Ranch Airport', 32.310198, -107.295885, 4400, 'US', 'US-NM', 'Deming', 'no', '', '', '', 'NM14, deming, burris e'),
	('NM05', 'closed', 'Williams Airport', 36.744523, -108.149092, 5500, 'US', 'US-NM', 'Farmington', 'no', '', '', '', 'NM05'),
	('1NM0', 'small_airport', 'Me-Own Airport', 33.21200180053711, -108.0260009765625, 7554, 'US', 'US-NM', 'Silver City', 'no', '1NM0', '', '1NM0', ''),
	('RBLA', 'small_airport', 'Mile High Community Airport', 31.257899, -105.297046, 4554, 'US', 'US-TX', 'Sierra Blanca', 'no', '', '', '6E2', ''),
	('4AZ2', 'small_airport', 'Block Ranch Airport', 33.702, -105.384003, 5966, 'US', 'US-NM', 'Capitan', 'no', '4AZ2', '', '4AZ2', ''),
	('NM84', 'small_airport', 'G Bar F Ranch Airport', 33.544498443603516, -105.3759994506836, 6505, 'US', 'US-NM', 'Capitan', 'no', 'NM84', '', 'NM84', ''),
	('NM26', 'small_airport', 'Luna Landing Airport', 32.100101470947266, -107.822998046875, 4250, 'US', 'US-NM', 'Deming', 'no', 'NM26', '', 'NM26', ''),
	('MMCS', 'medium_airport', 'Abraham González International Airport', 31.63610076904297, -106.42900085449219, 3904, 'MX', 'MX-CHH', 'Ciudad Juárez', 'yes', 'MMCS', 'CJS', '', ''),
	('KELP', 'medium_airport', 'El Paso International Airport', 31.807199, -106.377998, 3959, 'US', 'US-TX', 'El Paso', 'yes', 'KELP', 'ELP', 'ELP', ''),
	('KHOL', 'N/A', 'N/A', 32.94384766370058, -106.41933470964432, 1192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NM37', 'small_airport', 'Adobe Ranch Private Airport', 33.5765, -107.900002, 7354, 'US', 'US-NM', 'Magdalena', 'no', 'NM37', '', 'NM37', ''),
	('NM09', 'small_airport', 'First Aero Squadron Airpark', 31.867300033569336, -107.63600158691406, 4140, 'US', 'US-NM', 'Columbus', 'no', 'NM09', '', 'NM09', ''),
	('NM78', 'small_airport', 'Hacienda Sur Luna Airport', 31.877899169921875, -107.64600372314453, 4150, 'US', 'US-NM', 'Columbus', 'no', 'NM78', '', 'NM78', ''),
	('0NM7', 'small_airport', 'Negrito Airstrip', 33.527901, -108.541001, 8143, 'US', 'US-NM', 'Reserve', 'no', '0NM7', '', '0NM7', ''),
	('0NM2', 'N/A', 'N/A', 32.50118862837553, -106.6868269443512, 1332, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E35', 'small_airport', 'Fabens Airport', 31.517176, -106.146984, 3679, 'US', 'US-TX', 'Fabens', 'no', '', '', 'E35', ''),
	('MMKT', 'N/A', 'N/A', 30.775899589061737, -108.69012236595154, 1465, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXDG', 'N/A', 'N/A', 28.265844471752644, -105.53251504898071, 1147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXBF', 'N/A', 'N/A', 29.14260696619749, -107.10356667637825, 2010, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXMC', 'N/A', 'N/A', 29.441553577780724, -107.91213288903236, 2165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVG', 'N/A', 'N/A', 28.75393308699131, -105.67815899848938, 1197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKC', 'N/A', 'N/A', 30.132333040237427, -106.40796348452568, 1435, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFF', 'N/A', 'N/A', 29.510352239012718, -106.12885504961014, 1401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PTP', 'small_airport', 'Melchor Ocampo Airport', 28.189101, -108.382767, 6798, 'MX', 'MX-CHH', 'Ocampo', 'no', '', '', 'PTP', ''),
	('MMAH', 'N/A', 'N/A', 28.65584436804056, -106.90293073654175, 1989, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAZ', 'N/A', 'N/A', 28.567548729479313, -107.46664524078369, 2055, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFD', 'N/A', 'N/A', 30.294878594577312, -106.7514355480671, 1285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCU', 'medium_airport', 'General Roberto Fierro Villalobos International Airport', 28.702899932900003, -105.964996338, 4462, 'MX', 'MX-CHH', 'Chihuahua', 'yes', 'MMCU', 'CUU', '', ''),
	('MMKD', 'N/A', 'N/A', 28.775409869849682, -107.08761066198349, 2012, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMYX', 'N/A', 'N/A', 29.7024342790246, -105.0884909927845, 1273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOU', 'N/A', 'N/A', 30.305545069277287, -106.47960662841797, 1334, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSII', 'N/A', 'N/A', 30.692495964467525, -105.50415962934494, 1541, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMJ', 'N/A', 'N/A', 30.51260758191347, -106.4332540333271, 1257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMNI', 'N/A', 'N/A', 28.85840579867363, -105.87244749069214, 1256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMK', 'N/A', 'N/A', 30.928575284779072, -106.42975062131882, 1260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCG', 'small_airport', 'Aeropuerto Municipal de Nuevo Casas Grandes', 30.3974, -107.875, 4850, 'MX', 'MX-CHH', 'Nuevo Casas Grandes', 'no', 'MMCG', 'NCG', 'NCG', ''),
	('MMOW', 'N/A', 'N/A', 29.673172049224377, -105.280572026968, 1528, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAX', 'N/A', 'N/A', 28.797897845506668, -107.05054879188538, 2012, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEN', 'N/A', 'N/A', 29.628752321004868, -106.93969935178757, 2110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXDE', 'N/A', 'N/A', 28.247369080781937, -108.27313899993896, 2087, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJM', 'N/A', 'N/A', 29.067829325795174, -105.12600839138031, 983, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBP', 'N/A', 'N/A', 28.73880509287119, -106.92823514342308, 2018, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXFC', 'N/A', 'N/A', 29.6792009845376, -108.25147971510887, 2220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNK', 'N/A', 'N/A', 30.474083684384823, -106.51412084698677, 1239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM84', 'small_airport', 'Parral Airport', 26.9221, -105.781998, 6020, 'MX', 'MX-CHH', 'Hidalgo Del Parral', 'no', 'MM84', '', 'FCO', 'Campo De Aviacion Parral'),
	('MMQW', 'N/A', 'N/A', 25.711545646190643, -108.30642342567444, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM79', 'small_airport', 'El Fuerte Airport', 26.398199, -108.612, 246, 'MX', 'MX-SIN', 'El Fuerte', 'no', 'MM79', '', 'FTE', ''),
	('MMGY', 'N/A', 'N/A', 26.43369521945715, -107.27092757821083, 1997, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAU', 'N/A', 'N/A', 26.46404642611742, -107.79677823185921, 1698, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWW', 'N/A', 'N/A', 26.18272192776203, -106.59516602754593, 2670, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKK', 'N/A', 'N/A', 26.456153690814972, -107.37738713622093, 2306, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJS', 'N/A', 'N/A', 25.760825537145138, -107.0574800670147, 1884, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNY', 'N/A', 'N/A', 26.841709166765213, -107.09701627492905, 2408, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKJ', 'N/A', 'N/A', 26.445512361824512, -107.44064077734947, 1773, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGF', 'N/A', 'N/A', 27.261632457375526, -108.29316481947899, 1528, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBZ', 'N/A', 'N/A', 25.675511844456196, -107.64584451913834, 630, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBW', 'N/A', 'N/A', 25.557618029415607, -107.36682012677193, 976, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM04', 'N/A', 'N/A', 25.46501811593771, -108.33213105797768, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGH', 'N/A', 'N/A', 27.600959725677967, -107.1230573952198, 2037, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBQ', 'N/A', 'N/A', 26.32643334567547, -107.91093796491623, 1516, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOF', 'N/A', 'N/A', 26.842445097863674, -107.06137150526047, 2436, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGU', 'N/A', 'N/A', 25.82421451807022, -107.23290055990219, 1224, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJL', 'small_airport', 'San José del Llano Airport', 25.775815, -107.33419, 2139, 'MX', 'MX-SIN', 'Badiraguato', 'no', '', '', 'SJL', ''),
	('MMWT', 'N/A', 'N/A', 26.44453100860119, -105.49993023276329, 1748, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPJ', 'small_airport', 'Petit Jean Park Airport', 35.138901, -92.909202, 923, 'US', 'US-AR', 'Morrilton', 'no', 'KMPJ', 'MPJ', 'MPJ', ''),
	('MMYY', 'N/A', 'N/A', 25.744581073522568, -108.48053947091103, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBD', 'N/A', 'N/A', 25.453917123377323, -106.92119121551514, 2387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGG', 'N/A', 'N/A', 27.72595938295126, -107.65438288450241, 2479, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGI', 'N/A', 'N/A', 27.27693948894739, -107.15023040771484, 2133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQU', 'N/A', 'N/A', 27.538783438503742, -108.6811812222004, 1549, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOZ', 'N/A', 'N/A', 25.757193490862846, -106.79781943559647, 2360, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBR', 'N/A', 'N/A', 25.346221067011356, -107.1030467748642, 609, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKR', 'N/A', 'N/A', 27.979487478733063, -107.59497821331024, 2411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBC', 'N/A', 'N/A', 26.358727477490902, -107.80050650238991, 1391, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIG', 'N/A', 'N/A', 27.91776616126299, -107.04310342669487, 2075, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXMD', 'N/A', 'N/A', 25.411307215690613, -106.63479879498482, 1355, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKE', 'N/A', 'N/A', 27.52369835972786, -105.34909218549728, 1326, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGX', 'N/A', 'N/A', 26.054752394557, -106.97086617350578, 2543, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHG', 'N/A', 'N/A', 26.813528537750244, -105.61988711357117, 1729, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM39', 'small_airport', 'Guamúchil Regional Airport', 25.4387, -108.092003, 80, 'MX', 'MX-SIN', 'Salvador Alvarado', 'no', '', '', 'GCH', 'MM39'),
	('MLF', 'small_airport', 'Milford Municipal-Ben and Judy Briscoe Field', 38.426601, -113.012001, 5039, 'US', 'US-UT', 'Milford', 'no', 'KMLF', 'MLF', 'MLF', ''),
	('MMEB', 'N/A', 'N/A', 25.579271502792835, -108.41306313872337, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQY', 'N/A', 'N/A', 27.773564904928207, -106.0151244699955, 1554, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXM', 'N/A', 'N/A', 26.96741558611393, -105.42567819356918, 1661, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMKB', 'N/A', 'N/A', 25.48537105321884, -108.24801117181778, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXHA', 'N/A', 'N/A', 26.223111301660538, -107.2286206483841, 2167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOT', 'N/A', 'N/A', 27.09895011037588, -105.07868707180023, 1438, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHY', 'N/A', 'N/A', 25.840848237276077, -107.32245862483978, 838, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBK', 'N/A', 'N/A', 25.665002949535847, -107.49956801533699, 893, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIJ', 'N/A', 'N/A', 26.57155506312847, -107.93371483683586, 1196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXBC', 'N/A', 'N/A', 25.721001103520393, -108.71886000037193, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXMB', 'N/A', 'N/A', 25.485843792557716, -106.61675825715065, 1563, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJT', 'N/A', 'N/A', 26.184858307242393, -107.27988570928574, 1067, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPN', 'small_airport', 'Los Pinitos Airport', 25.66475, -108.513233, 344, 'MX', 'MX-SIN', 'Guasave', 'no', '', '', 'LPN', ''),
	('PDG', 'small_airport', 'Portugués de Gálvez Airport', 25.729221, -108.40991, 164, 'MX', 'MX-SIN', 'Guasave', 'no', '', '', 'PDG', ''),
	('MMKO', 'N/A', 'N/A', 27.777300216257572, -107.49133050441742, 2176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOH', 'N/A', 'N/A', 25.48017293214798, -107.93229013681412, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWH', 'N/A', 'N/A', 27.678742446005344, -106.84308886528015, 2113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBG', 'N/A', 'N/A', 25.355935357511044, -107.55640625953674, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM52', 'small_airport', 'Camaguey-Campo Cuatro Milpas Airport', 25.652200698853, -108.53800201416, 92, 'MX', 'MX-SIN', 'Guasave', 'yes', '', '', 'CMG', 'MM52'),
	('MM12', 'small_airport', 'Bacubirito Airport', 25.815701, -107.907997, 591, 'MX', 'MX-SIN', 'Sinaloa de Leyva', 'no', 'MM12', '', 'BCU', ''),
	('MOR', 'heliport', 'Moriusaq Heliport', 76.753492, -69.845055, 44, 'GL', 'GL-AV', 'Moriusaq', 'yes', 'BGMO', '', 'MOR', ''),
	('MM13', 'small_airport', 'Camargo Airport', 27.5989, -105.103996, 4265, 'MX', 'MX-CHH', 'Santa Rosalia de Camargo', 'no', '', '', 'CCA', 'MM13, Ciudad Camargo Southeast Airport'),
	('MX15', 'N/A', 'N/A', 26.841655857861042, -107.8404951095581, 444, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXO', 'N/A', 'N/A', 25.339011289179325, -105.73927044868469, 1833, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MML', 'small_airport', 'Southwest Minnesota Regional Airport - Marshall/Ryan Field', 44.45050049, -95.82189941, 1183, 'US', 'US-MN', 'Marshall', 'no', 'KMML', 'MML', 'MML', ''),
	('MMSG', 'small_airport', 'Air Base No. 11 Santa Gertrudis', 27.784117, -105.702471, 4659, 'MX', 'MX-CHH', 'Saucillo', 'no', 'MMSG', '', '', 'Teniente Coronel Juan Pablo Aldasoro Suárez'),
	('MM97', 'N/A', 'N/A', 26.419150605797768, -107.61657983064651, 2130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMII', 'N/A', 'N/A', 25.947881788015366, -107.36846566200256, 753, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDF', 'N/A', 'N/A', 25.546069778501987, -108.62343594431877, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJI', 'N/A', 'N/A', 25.440688468515873, -108.38879093527794, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKL', 'N/A', 'N/A', 25.354347489774227, -108.21863830089569, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWJ', 'N/A', 'N/A', 25.204487442970276, -106.77601352334023, 894, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWV', 'N/A', 'N/A', 24.234421961009502, -105.82037329673767, 1778, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQZ', 'N/A', 'N/A', 24.7198236733675, -107.53994777798653, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMON', 'N/A', 'N/A', 23.935444839298725, -106.87294766306877, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMYM', 'N/A', 'N/A', 24.922256357967854, -107.25645527243614, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVP', 'N/A', 'N/A', 25.23751012980938, -106.83735966682434, 1008, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGC', 'N/A', 'N/A', 24.77023746818304, -106.7706772685051, 534, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIU', 'N/A', 'N/A', 24.833243563771248, -106.54815942049026, 918, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWU', 'N/A', 'N/A', 25.168117694556713, -107.1186751127243, 1183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTK', 'N/A', 'N/A', 24.71256460994482, -105.86240664124489, 2398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXR', 'N/A', 'N/A', 24.89463061094284, -106.11932158470154, 1532, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQM', 'N/A', 'N/A', 25.19687231630087, -108.06872338056564, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWY', 'N/A', 'N/A', 24.69984859228134, -105.99965259432793, 1706, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM50', 'small_airport', 'Cosalá Airport', 24.420098, -106.698923, 1289, 'MX', 'MX-SIN', 'Cosalá', 'no', 'MM50', '', 'CZP', 'MM50'),
	('MMJF', 'N/A', 'N/A', 24.721854776144028, -107.78500646352768, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM03', 'N/A', 'N/A', 24.15034878998995, -106.15634858608246, 1281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMZ', 'large_airport', 'General Rafael Buelna International Airport', 23.161474, -106.264572, 38, 'MX', 'MX-SIN', 'Mazatlàn', 'yes', 'MMMZ', 'MZT', '', ''),
	('MXBG', 'N/A', 'N/A', 24.962196461856365, -107.64200091362, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXDJ', 'N/A', 'N/A', 24.932687804102898, -106.62774994969368, 2257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIR', 'N/A', 'N/A', 24.84081745147705, -106.3946869969368, 1060, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMYR', 'N/A', 'N/A', 24.730625599622726, -107.5447404384613, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMYV', 'N/A', 'N/A', 24.568670131266117, -105.88999807834625, 1733, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCL', 'medium_airport', 'Bachigualato Federal International Airport', 24.76504, -107.475228, 108, 'MX', 'MX-SIN', 'Culiacán', 'yes', 'MMCL', 'CUL', '', 'Federal de Bachigualato International Airport, Culiacán International Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMGE', 'N/A', 'N/A', 24.831782765686512, -107.66880333423615, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHW', 'N/A', 'N/A', 24.821913242340088, -107.58004009723663, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNX', 'N/A', 'N/A', 24.759627990424633, -107.74924367666245, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJY', 'N/A', 'N/A', 25.2763894200325, -107.1802331507206, 523, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJN', 'N/A', 'N/A', 24.964859895408154, -107.75469437241554, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNT', 'N/A', 'N/A', 24.795032814145088, -107.7230903506279, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM30', 'small_airport', 'El Tapacal Airport', 24.658501, -107.552002, 33, 'MX', 'MX-SIN', 'Licenciado Benito Juárez', 'no', '', '', 'TPK', 'MM30, Campo Gobierno'),
	('MMXQ', 'N/A', 'N/A', 25.065878927707672, -106.32796570658684, 2484, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMI', 'N/A', 'N/A', 24.477768391370773, -107.40828797221184, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPH', 'N/A', 'N/A', 25.10144803673029, -107.92153850197792, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHA', 'N/A', 'N/A', 22.784870713949203, -105.10082870721817, 1495, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXMI', 'N/A', 'N/A', 24.93913784623146, -107.33945712447166, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFY', 'N/A', 'N/A', 24.905444607138634, -107.28149324655533, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXTA', 'N/A', 'N/A', 25.192011147737503, -106.79111570119858, 806, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXWA', 'N/A', 'N/A', 24.629347398877144, -107.48030304908752, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQG', 'N/A', 'N/A', 23.385165184736252, -105.14447540044785, 2035, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFM', 'N/A', 'N/A', 23.77328921109438, -105.32628044486046, 2587, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWF', 'N/A', 'N/A', 24.96705997735262, -106.95653557777405, 256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWC', 'N/A', 'N/A', 24.10992119461298, -105.92238038778305, 595, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIZ', 'N/A', 'N/A', 24.84157081693411, -106.44259795546532, 533, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIQ', 'N/A', 'N/A', 24.900925755500793, -106.38511463999748, 1062, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXN', 'N/A', 'N/A', 23.940888717770576, -106.43701046705246, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXFB', 'N/A', 'N/A', 24.32145930826664, -107.39873573184013, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJO', 'N/A', 'N/A', 24.740675501525402, -106.16678863763809, 2425, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVH', 'N/A', 'N/A', 25.151206701993942, -106.97890251874924, 643, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFU', 'N/A', 'N/A', 24.74835902452469, -106.31809964776039, 828, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGS', 'small_airport', 'Los Mangos Airport', 24.684567, -107.546934, 52, 'MX', 'MX-SIN', 'Licenciado Benito Juárez', 'no', '', '', 'MGS', ''),
	('MMWZ', 'N/A', 'N/A', 25.235904157161713, -106.76923915743828, 839, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHX', 'N/A', 'N/A', 24.714361019432545, -107.41585716605186, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJE', 'N/A', 'N/A', 24.939135164022446, -107.86382362246513, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCK', 'N/A', 'N/A', 24.74644996225834, -106.22097685933113, 2430, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXDK', 'N/A', 'N/A', 24.863727875053883, -106.60349652171135, 2158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWD', 'N/A', 'N/A', 25.210669599473476, -106.56951606273651, 1747, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXW', 'N/A', 'N/A', 24.948391802608967, -107.46932163834572, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRC', 'N/A', 'N/A', 24.872298873960972, -107.48778015375137, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIX', 'N/A', 'N/A', 24.798636697232723, -106.46751701831818, 438, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUP', 'N/A', 'N/A', 25.261963829398155, -106.80160224437714, 892, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIH', 'N/A', 'N/A', 24.66748807579279, -107.40186229348183, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXG', 'N/A', 'N/A', 24.608327597379684, -107.44978934526443, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIF', 'N/A', 'N/A', 24.730586372315884, -106.60578489303589, 850, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGJ', 'N/A', 'N/A', 22.98955176025629, -105.86934730410576, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWK', 'N/A', 'N/A', 25.15112690627575, -106.80245786905289, 715, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWI', 'N/A', 'N/A', 25.193147733807564, -106.86005428433418, 837, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXP', 'N/A', 'N/A', 25.086452811956406, -105.43549463152885, 1731, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIY', 'N/A', 'N/A', 24.799670353531837, -106.35398492217064, 543, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJD', 'N/A', 'N/A', 24.94371335953474, -107.75117084383965, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZW', 'N/A', 'N/A', 24.89198762923479, -107.58437365293503, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIV', 'N/A', 'N/A', 24.83121983706951, -106.51833683252335, 502, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKS', 'N/A', 'N/A', 23.739132955670357, -106.83011770248413, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMYJ', 'N/A', 'N/A', 24.729062877595425, -107.68043830990791, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCQ', 'N/A', 'N/A', 24.92373090237379, -106.40996932983398, 686, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMWE', 'N/A', 'N/A', 25.128255374729633, -106.55264273285866, 1295, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXKA', 'N/A', 'N/A', 25.00511046499014, -107.72463977336884, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIE', 'N/A', 'N/A', 24.75675869733095, -107.65204802155495, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWL', 'N/A', 'N/A', 22.536818347871304, -105.7170581817627, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKG', 'N/A', 'N/A', 24.887236766517162, -107.64615699648857, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKQ', 'N/A', 'N/A', 25.29565304517746, -107.54785135388374, 330, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIW', 'N/A', 'N/A', 24.954457953572273, -106.41946077346802, 679, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEFC', 'small_airport', 'Belle Fourche Municipal Airport', 44.73419952, -103.8619995, 3191, 'US', 'US-SD', 'Belle Fourche', 'no', 'KEFC', '', 'EFC', ''),
	('0SD6', 'closed', 'Oasis Ranch Airport', 44.292993, -101.830014, 2580, 'US', 'US-SD', 'Philip', 'no', '', '', '', '0SD6'),
	('WY14', 'small_airport', 'Ipy Ranch Airport', 44.63750076293945, -104.68900299072266, 3960, 'US', 'US-WY', 'Hulett', 'no', 'WY14', '', 'WY14', ''),
	('KRAI', 'N/A', 'N/A', 44.10826105624437, -103.27356174588203, 1059, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SD71', 'small_airport', 'Bogner Field', 43.116600036621094, -103.36699676513672, 3660, 'US', 'US-SD', 'Oelrichs', 'no', 'SD71', '', 'SD71', ''),
	('KPHP', 'small_airport', 'Philip Airport', 44.048527, -101.600933, 2207, 'US', 'US-SD', 'Philip', 'no', 'KPHP', 'PHP', 'PHP', ''),
	('3SD3', 'small_airport', 'Brown Field', 43.811798095703125, -102.72000122070313, 2780, 'US', 'US-SD', 'Scenic', 'no', '3SD3', '', '3SD3', ''),
	('2SD0', 'small_airport', 'Paradise Valley Airport', 44.16360092163086, -103.47899627685547, 4500, 'US', 'US-SD', 'Nemo', 'no', '2SD0', '', '2SD0', ''),
	('83V', 'small_airport', 'Upton Municipal Airport', 44.09049987792969, -104.64099884033203, 4290, 'US', 'US-WY', 'Upton', 'no', '83V', '', '83V', ''),
	('01WY', 'small_airport', 'Keyhole Airport', 44.348312, -104.8106, 4250, 'US', 'US-WY', 'Pine Haven', 'no', '01WY', '', '01WY', ''),
	('W43', 'small_airport', 'Hulett Municipal Airport', 44.662899017333984, -104.56800079345703, 4264, 'US', 'US-WY', 'Hulett', 'no', 'KW43', '', 'W43', ''),
	('0NE1', 'small_airport', 'Runner Landing Area Airport', 42.40719985961914, -101.93199920654297, 3760, 'US', 'US-NE', 'Ashby', 'no', '0NE1', '', '0NE1', ''),
	('11WY', 'small_airport', 'Thompson Creek Oilfield Airport', 44.958605, -104.868655, 3814, 'US', 'US-WY', 'Hulett', 'no', '', '', '11WY', ''),
	('KECS', 'small_airport', 'Mondell Field', 43.88379, -104.314156, 4174, 'US', 'US-WY', 'Newcastle', 'no', 'KECS', 'ECS', 'ECS', ''),
	('KPHI', 'N/A', 'N/A', 43.923559449613094, -102.24349871277809, 883, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0SD7', 'small_airport', 'Porch Ranch Airport', 43.52432, -101.734714, 2775, 'US', 'US-SD', 'Wanblee', 'no', '0SD7', '', '0SD7', ''),
	('3SD2', 'N/A', 'N/A', 44.10910561680794, -102.95751392841339, 914, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KIEN', 'small_airport', 'Pine Ridge Airport', 43.020902, -102.506089, 3333, 'US', 'US-SD', 'Pine Ridge', 'no', 'KIEN', 'XPR', 'IEN', '6V2'),
	('24NE', 'small_airport', 'Orr Airport', 42.3838996887207, -102.43900299072266, 3827, 'US', 'US-NE', 'Lakeside', 'no', '24NE', '', '24NE', ''),
	('KBOX', 'N/A', 'N/A', 44.679144099354744, -102.48506113886833, 833, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SD24', 'small_airport', 'Eden Valley Airport', 44.446955, -103.398086, 3070, 'US', 'US-SD', 'Sturgis', 'no', '', '', 'SD24', 'Bruch Ranch'),
	('1SD6', 'small_airport', 'Bogner Number II Airport', 43.110298, -103.230003, 3500, 'US', 'US-SD', 'Oelrichs', 'no', '1SD6', '', '1SD6', ''),
	('SD27', 'small_airport', 'Black Hills Flyway Airport', 43.367481, -103.551764, 3997, 'US', 'US-SD', 'Hot Springs', 'no', 'SD27', '', 'SD27', ''),
	('KHOR', 'N/A', 'N/A', 43.17635804414749, -103.84689152240753, 1140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6V4', 'small_airport', 'Wall Municipal Airport', 43.999344, -102.254477, 2813, 'US', 'US-SD', 'Wall', 'no', '6V4', '', '6V4', ''),
	('5V8', 'small_airport', 'Kadoka Municipal Airport', 43.83330154418945, -101.49700164794922, 2460, 'US', 'US-SD', 'Kadoka', 'no', '5V8', '', '5V8', ''),
	('KPHJ', 'N/A', 'N/A', 44.23017080873251, -101.2574078142643, 659, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3SD6', 'closed', 'Running Colors Airport', 44.202202, -103.079002, 2920, 'US', 'US-SD', 'Rapid City', 'no', '', '', '', '3SD6'),
	('KPHB', 'N/A', 'N/A', 44.115562699735165, -102.07610830664635, 805, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLSK', 'small_airport', 'Lusk Municipal Airport', 42.753799438499996, -104.404998779, 4964, 'US', 'US-WY', 'Lusk', 'no', 'KLSK', 'LSK', 'LSK', ''),
	('6V0', 'small_airport', 'Edgemont Municipal Airport', 43.29520034789999, -103.84400177, 3605, 'US', 'US-SD', 'Edgemont', 'no', '6V0', '', '6V0', ''),
	('SD68', 'small_airport', 'Flying T Airport', 43.384700775146484, -103.43099975585938, 3675, 'US', 'US-SD', 'Hot Springs', 'no', 'SD68', '', 'SD68', ''),
	('KBIO', 'N/A', 'N/A', 44.95347809046507, -102.69008696079254, 838, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KGUR', 'N/A', 'N/A', 42.25974999368191, -104.72830563783646, 1332, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9V3', 'small_airport', 'Harrison Skyranch Airport', 42.69580078125, -103.875, 4863, 'US', 'US-NE', 'Harrison', 'no', '9V3', '', '9V3', ''),
	('KRCA', 'medium_airport', 'Ellsworth Air Force Base', 44.14500046, -103.1039963, 3276, 'US', 'US-SD', 'Rapid City', 'no', 'KRCA', 'RCA', 'RCA', '28th Bomb Wing'),
	('WY09', 'small_airport', 'Sherwin Field Number 1 Airport', 43.507019, -104.881755, 4190, 'US', 'US-WY', 'Newcastle', 'no', 'WY09', '', 'WY09', ''),
	('33NE', 'small_airport', 'Orr Ranch Airport', 42.382895, -102.574239, 3880, 'US', 'US-NE', 'Hay Springs', 'no', '33NE', '', '33NE', ''),
	('SD98', 'small_airport', 'Barber Airport', 44.462501525878906, -102.552001953125, 2655, 'US', 'US-SD', 'Enning', 'no', 'SD98', '', 'SD98', ''),
	('3V0', 'small_airport', 'Custer State Park Airport', 43.724998, -103.349998, 3980, 'US', 'US-SD', 'Crazy Horse', 'no', '3V0', '', '3V0', ''),
	('2NE4', 'small_airport', 'Spring Lake Airport', 42.449998, -102.147918, 3815, 'US', 'US-NE', 'Gordon', 'no', '2NE4', '', '2NE4', ''),
	('KGRN', 'small_airport', 'Gordon Municipal Airport', 42.8059997559, -102.175003052, 3562, 'US', 'US-NE', 'Gordon', 'no', 'KGRN', 'GRN', 'GRN', ''),
	('4SD4', 'small_airport', 'Dan''s Airport', 44.04169845581055, -103.0459976196289, 3166, 'US', 'US-SD', 'Rapid City', 'no', '4SD4', '', '4SD4', ''),
	('4V6', 'small_airport', 'Hay Springs Municipal Airport', 42.682201, -102.700996, 3831, 'US', 'US-NE', 'Hay Springs', 'no', 'K4V6', '', '4V6', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WY55', 'small_airport', 'Taylor Field', 44.41859817504883, -104.59400177001953, 4950, 'US', 'US-WY', 'Sundance', 'no', 'WY55', '', 'WY55', ''),
	('1SD4', 'small_airport', 'Vig Limousin Airport', 44.86669921875, -102.41699981689453, 2552, 'US', 'US-SD', 'Faith', 'no', '1SD4', '', '1SD4', ''),
	('KSPF', 'small_airport', 'Black Hills Airport-Clyde Ice Field', 44.48030090332, -103.78299713135, 3931, 'US', 'US-SD', 'Spearfish', 'no', 'KSPF', 'SPF', 'SPF', ''),
	('KKAD', 'N/A', 'N/A', 43.741856552660465, -101.8200945854187, 725, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPHA', 'N/A', 'N/A', 44.0608037263155, -102.12181806564331, 815, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('84D', 'small_airport', 'Cheyenne Eagle Butte Airport', 44.984402, -101.251, 2448, 'US', 'US-SD', 'Eagle Butte', 'no', '84D', '', '84D', 'SD19'),
	('WY44', 'small_airport', 'Robbers Roost Ranch Airport', 43.42658, -104.236194, 3725, 'US', 'US-WY', 'Lusk', 'no', 'WY44', '', 'WY44', 'Mule Creek Junction'),
	('SD90', 'small_airport', 'Mitchell''s Strip', 44.467544, -103.787042, 3920, 'US', 'US-SD', 'Spearfish', 'no', 'SD90', '', 'SD90', ''),
	('49B', 'small_airport', 'Sturgis Municipal Airport', 44.417999, -103.375, 3243, 'US', 'US-SD', 'Sturgis', 'no', 'K49B', '', '49B', ''),
	('9V5', 'small_airport', 'Modisett Airport', 42.736485, -102.444291, 3751, 'US', 'US-NE', 'Rushville', 'no', '', '', '9V5', ''),
	('KCUT', 'small_airport', 'Custer County Airport', 43.733299, -103.617996, 5602, 'US', 'US-SD', 'Custer', 'no', 'KCUT', '', 'CUT', 'SD01'),
	('SD35', 'small_airport', 'Bruch Airfield', 44.494267, -103.395689, 2980, 'US', 'US-SD', 'Sturgis', 'no', 'SD35', '', 'SD35', ''),
	('KBEO', 'N/A', 'N/A', 44.683250561356544, -103.86720567941666, 923, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9V6', 'small_airport', 'Martin Municipal Airport', 43.165625, -101.71273, 3293, 'US', 'US-SD', 'Martin', 'no', '9V6', '', '9V6', ''),
	('KCOX', 'N/A', 'N/A', 43.92015606164932, -103.41934606432915, 1450, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRAP', 'medium_airport', 'Rapid City Regional Airport', 44.0452995300293, -103.05699920654297, 3204, 'US', 'US-SD', 'Rapid City', 'yes', 'KRAP', 'RAP', 'RAP', ''),
	('SUC', 'N/A', 'N/A', 44.39142186194658, -104.41017642617226, 1498, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPHE', 'N/A', 'N/A', 44.492666870355606, -101.81579679250717, 706, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('11NE', 'closed', 'Kaan Airport', 42.442501, -103.916, 4650, 'US', 'US-NE', 'Harrison', 'no', '', '', '', '11NE'),
	('9NE3', 'small_airport', 'Davis Ranch Airport', 42.189736, -101.786013, 3768, 'US', 'US-NE', 'Hyannis', 'no', '9NE3', '', '9NE3', ''),
	('3NE2', 'small_airport', 'Phillips Private Airport', 42.326349, -103.194795, 4370, 'US', 'US-NE', 'Hemingford', 'no', '3NE2', '', '3NE2', ''),
	('57NE', 'small_airport', 'Cole Memorial Airport', 42.924293, -101.693657, 3259, 'US', 'US-NE', 'Merriman', 'no', '57NE', '', '57NE', ''),
	('KHSR', 'small_airport', 'Hot Springs Municipal Airport', 43.366615, -103.390545, 3150, 'US', 'US-SD', 'Hot Springs', 'no', 'KHSR', '', 'HSR', ''),
	('KCDR', 'medium_airport', 'Chadron Municipal Airport', 42.837601, -103.095001, 3297, 'US', 'US-NE', 'Chadron', 'yes', 'KCDR', 'CDR', 'CDR', ''),
	('CD09', 'small_airport', 'Yoder Airstrip', 39.819698333740234, -104.40899658203125, 5345, 'US', 'US-CO', 'Bennett', 'no', 'CD09', '', 'CD09', ''),
	('2V5', 'small_airport', 'Wray Municipal Airport', 40.10029984, -102.2409973, 3667, 'US', 'US-CO', 'Wray', 'no', 'K2V5', '', '2V5', ''),
	('62CO', 'small_airport', 'The Farm Airport', 40.09830093383789, -104.42500305175781, 4820, 'US', 'US-CO', 'Keenesburg', 'no', '62CO', '', '62CO', ''),
	('26V', 'N/A', 'N/A', 40.180575996637344, -102.92195945978165, 1312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0NE2', 'closed', 'Merry Airport', 41.8666, -101.917, 3791, 'US', 'US-NE', 'Ashby', 'no', '', '', '', '0NE2'),
	('7V8', 'small_airport', 'Julesburg Municipal Airport', 40.970798, -102.315002, 3495, 'US', 'US-CO', 'Julesburg', 'no', '7V8', '', '7V8', ''),
	('KHEQ', 'small_airport', 'Holyoke Airport', 40.569400787353516, -102.27300262451172, 3730, 'US', 'US-CO', 'Holyoke', 'no', 'KHEQ', '', 'HEQ', ''),
	('KWRA', 'N/A', 'N/A', 39.913808181881905, -102.37848311662674, 1190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CO17', 'small_airport', 'Sky Haven Airport', 39.713600158691406, -104.19400024414063, 5215, 'US', 'US-CO', 'Byers', 'no', 'CO17', '', 'CO17', ''),
	('8CO2', 'small_airport', 'William Leon Schawo Airport', 40.670799255371094, -104.20800018310547, 4950, 'US', 'US-CO', 'Briggsdale', 'no', '8CO2', '', '8CO2', ''),
	('CO84', 'small_airport', 'Idlers Field', 39.608299255371094, -102.54100036621094, 4159, 'US', 'US-CO', 'Kirk', 'no', 'CO84', '', 'CO84', ''),
	('KBEN', 'N/A', 'N/A', 39.88535329699516, -101.34497120976448, 1017, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('17V', 'small_airport', 'Haxtun Municipal Airport', 40.627519, -102.600911, 4035, 'US', 'US-CO', 'Haxtun', 'no', 'K17V', '', '17V', ''),
	('CD05', 'small_airport', 'Jackson Airfield', 40.194401, -102.697998, 4075, 'US', 'US-CO', 'Yuma', 'no', 'CD05', '', 'CD05', ''),
	('9CO7', 'small_airport', 'Beaugh Airport', 40.340599060059, -104.57299804688, 4770, 'US', 'US-CO', 'Kersey', 'no', '', '', '9CO7', '9CO7'),
	('4KS8', 'small_airport', 'Bursch Private Airport', 39.592874, -101.5927, 3650, 'US', 'US-KS', 'Bird City', 'no', '4KS8', '', '4KS8', ''),
	('74CO', 'small_airport', 'Westberg-Rosling Farms Airport', 40.04719924926758, -104.20899963378906, 4857, 'US', 'US-CO', 'Roggen', 'no', '74CO', '', '74CO', ''),
	('KBRI', 'N/A', 'N/A', 40.01063894480467, -104.788828343153, 1534, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('42V', 'small_airport', 'Jones Airport', 40.057999, -101.546997, 3126, 'US', 'US-NE', 'Benkelman', 'no', '42V', '', '42V', ''),
	('CO67', 'closed', 'Schwartzwalder Heliport', 39.847197, -105.281998, 6580, 'US', 'US-CO', 'Golden', 'no', '', '', '', 'CO67'),
	('NE73', 'closed', 'Stinking Water Creek Airport', 40.723301, -101.457001, 3165, 'US', 'US-NE', 'Elsie', 'no', '', '', '', 'NE73'),
	('72CO', 'small_airport', 'Idler Bro''s Airport', 39.67940139770508, -102.59100341796875, 4200, 'US', 'US-CO', 'Kirk', 'no', '72CO', '', '72CO', ''),
	('4NE9', 'small_airport', 'Holzfaster''s Airport', 40.99919891357422, -101.4469985961914, 3305, 'US', 'US-NE', 'Paxton', 'no', '4NE9', '', '4NE9', ''),
	('2NE6', 'small_airport', 'Coppersmith Airport', 40.920799255371094, -101.2969970703125, 3240, 'US', 'US-NE', 'Grainton', 'no', '2NE6', '', '2NE6', ''),
	('48CO', 'small_airport', 'Shaull Farm Airstrip', 40.72159957885742, -104.77799987792969, 5235, 'US', 'US-CO', 'Nunn', 'no', '48CO', '', '48CO', ''),
	('25NE', 'small_airport', 'Corr Airport', 41.724098205566406, -103.51100158691406, 4000, 'US', 'US-NE', 'Melbeta', 'no', '25NE', '', '25NE', ''),
	('7NE5', 'small_airport', 'Lierley Farms Airport', 41.06669998168945, -101.36799621582031, 3220, 'US', 'US-NE', 'Paxton', 'no', '7NE5', '', '7NE5', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('3NE7', 'small_airport', 'Pawlet Ranch Airport', 41.8291015625, -102.34300231933594, 3850, 'US', 'US-NE', 'Lakeside', 'no', '3NE7', '', '3NE7', ''),
	('KTOR', 'small_airport', 'Torrington Municipal Airport', 42.0644989, -104.1529999, 4207, 'US', 'US-WY', 'Torrington', 'no', 'KTOR', 'TOR', 'TOR', ''),
	('68CO', 'small_airport', 'Singleton Ranch Airport', 39.870245, -104.141246, 4940, 'US', 'US-CO', 'Byers', 'no', '68CO', '', '68CO', ''),
	('NE99', 'small_airport', 'Hawkins Ranch Airport', 41.57500076293945, -101.81800079345703, 3680, 'US', 'US-NE', 'Arthur', 'no', 'NE99', '', 'NE99', ''),
	('WY05', 'small_airport', 'Skyview Airpark', 41.217201232910156, -104.58399963378906, 5838, 'US', 'US-WY', 'Cheyenne', 'no', 'WY05', '', 'WY05', ''),
	('0CO3', 'closed', 'Greggs Nr 1 Airport', 39.8894, -104.544997, 5373, 'US', 'US-CO', 'Bennett', 'no', '', '', '', '0CO3'),
	('4CO2', 'small_airport', 'Owl Canyon Gliderport', 40.8046989440918, -104.98500061035156, 5545, 'US', 'US-CO', 'Wellington', 'no', '4CO2', '', '4CO2', ''),
	('5CO4', 'small_airport', 'Spickard Farm Airport', 39.699158, -104.256443, 5320, 'US', 'US-CO', 'Byers', 'no', '5CO4', '', '5CO4', ''),
	('KCFO', 'N/A', 'N/A', 39.78419445455074, -104.53763902187347, 1671, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('18V', 'small_airport', 'Platte Valley Airpark', 40.0999984741, -104.700996399, 4965, 'US', 'US-CO', 'Hudson', 'no', '18V', '', '18V', ''),
	('KSYF', 'small_airport', 'Cheyenne County Municipal Airport', 39.76110077, -101.7959976, 3413, 'US', 'US-KS', 'St Francis', 'no', 'KSYF', '', 'SYF', ''),
	('7V5', 'small_airport', 'Brush Municipal Airport', 40.26434, -103.575867, 4280, 'US', 'US-CO', 'Brush', 'no', 'K7V5', '', '7V5', ''),
	('KDEN', 'large_airport', 'Denver International Airport', 39.861698150635, -104.672996521, 5431, 'US', 'US-CO', 'Denver', 'yes', 'KDEN', 'DEN', 'DEN', 'DVX, KVDX'),
	('2CD6', 'small_airport', 'Safer Airport', 39.39485, -104.547033, 6510, 'US', 'US-CO', 'Elizabeth', 'no', '2CD6', '', '2CD6', ''),
	('49CO', 'small_airport', 'Air Dusters Inc Airport', 40.093299865722656, -104.375, 4780, 'US', 'US-CO', 'Roggen', 'no', '49CO', '', '49CO', ''),
	('0NE5', 'small_airport', 'Newman Airport', 41.02109909057617, -102.01799774169922, 3525, 'US', 'US-NE', 'Big Springs', 'no', '0NE5', '', '0NE5', ''),
	('38V', 'small_airport', 'Arthur Municipal Airport', 41.562546, -101.711929, 3646, 'US', 'US-NE', 'Arthur', 'no', '', '', 'NE33', '38V'),
	('01V', 'N/A', 'N/A', 39.73277349025011, -104.65466603636742, 1725, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBKF', 'medium_airport', 'Buckley Space Force Base', 39.701698, -104.751999, 5662, 'US', 'US-CO', 'Aurora', 'no', 'KBKF', 'BFK', 'BKF', 'Buckley AFB, Buckley ANGB, Denver NAS, Buckley Field, Demolition Bombing Range–Lowry Auxiliary Field'),
	('3NE9', 'closed', 'Phelps Airport', 41.042009, -103.068956, 4400, 'US', 'US-NE', 'Lorenzo', 'no', '', '', '', '3NE9'),
	('CO82', 'small_airport', 'Land Airport', 40.09579849243164, -104.58899688720703, 5000, 'US', 'US-CO', 'Keenesburg', 'no', 'CO82', '', 'CO82', ''),
	('NE08', 'small_airport', 'Larrabee Farm Airport', 40.547877, -101.978284, 3518, 'US', 'US-NE', 'Lamar', 'no', 'NE08', '', 'NE08', ''),
	('KBFF', 'medium_airport', 'Western Neb. Rgnl/William B. Heilig Airport', 41.87400055, -103.5960007, 3967, 'US', 'US-NE', 'Scottsbluff', 'yes', 'KBFF', 'BFF', 'BFF', 'William B. Heilig Field'),
	('05CO', 'small_airport', 'Rancho de Aereo Airport', 40.214984, -104.984423, 4978, 'US', 'US-CO', 'Mead', 'no', '05CO', '', '05CO', ''),
	('CO97', 'small_airport', 'Comanche Springs Ranch Airport', 39.72079849243164, -104.322998046875, 5435, 'US', 'US-CO', 'Strasburg', 'no', 'CO97', '', 'CO97', ''),
	('03CO', 'closed', 'Kugel-Strong Airport', 40.211608, -104.744781, 4950, 'US', 'US-CO', 'Platteville', 'no', '', '', '', '03CO'),
	('CO26', 'closed', 'Cirino Heliport', 39.890301, -105.087997, 5380, 'US', 'US-CO', 'Broomfield', 'no', '', '', '', 'CO26, CO26, CO26'),
	('NE19', 'closed', 'Ag Air Airport', 41.595798, -102.817001, 3651, 'US', 'US-NE', 'Broadwater', 'no', '', '', '', 'NE19'),
	('KBEK', 'N/A', 'N/A', 39.90608040243387, -101.4245094358921, 1035, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('67CO', 'small_airport', 'Highline Farm Airstrip', 40.46998, -104.813792, 4745, 'US', 'US-CO', 'Bracewell', 'no', '67CO', '', '67CO', ''),
	('4NE0', 'small_airport', 'Regier Brothers Airport', 40.916099548339844, -101.55999755859375, 3363, 'US', 'US-NE', 'Madrid', 'no', '4NE0', '', '4NE0', ''),
	('1CO3', 'small_airport', 'Bellmore Farms Airport', 40.7041015625, -104.7979965209961, 5225, 'US', 'US-CO', 'Nunn', 'no', '1CO3', '', '1CO3', ''),
	('00IG', 'small_airport', 'Goltl Airport', 39.724028, -101.395994, 3359, 'US', 'US-KS', 'McDonald', 'no', '00IG', '', '00IG', ''),
	('SN02', 'small_airport', 'Wright International Airport', 39.40829849243164, -102.02100372314453, 3883, 'US', 'US-KS', 'Kanorado', 'no', 'SN02', '', 'SN02', ''),
	('1CO8', 'small_airport', 'Everitt Airport', 39.52920150756836, -104.65799713134766, 6295, 'US', 'US-CO', 'Parker', 'no', '1CO8', '', '1CO8', ''),
	('CD14', 'small_airport', 'J & S Airport', 39.82889938354492, -104.43699645996094, 5320, 'US', 'US-CO', 'Bennett', 'no', 'CD14', '', 'CD14', ''),
	('WY48', 'N/A', 'N/A', 41.22590258717537, -104.98137474060059, 2019, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('82V', 'small_airport', 'Pine Bluffs Municipal Airport', 41.153301239, -104.129997253, 5152, 'US', 'US-WY', 'Pine Bluffs', 'no', '82V', '', '82V', ''),
	('1NE6', 'small_airport', 'Miller Airstrip', 41.34080123901367, -102.77799987792969, 4100, 'US', 'US-NE', 'Dalton', 'no', '1NE6', '', '1NE6', ''),
	('KKER', 'N/A', 'N/A', 40.520417243242264, -104.45863276720047, 1440, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('12NE', 'small_airport', 'Reisig Brothers Airport', 41.90660095214844, -103.69999694824219, 3985, 'US', 'US-NE', 'Scottsbluff', 'no', '12NE', '', '12NE', ''),
	('CO18', 'small_airport', 'Chaparral Airport', 39.464001, -104.258003, 5930, 'US', 'US-CO', 'Deer Trail', 'no', 'CO18', '', 'CO18', ''),
	('KATD', 'N/A', 'N/A', 39.89067446440458, -101.28889605402946, 999, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KAIA', 'medium_airport', 'Alliance Municipal Airport', 42.052543, -102.803965, 3931, 'US', 'US-NE', 'Alliance', 'yes', 'KAIA', 'AIA', 'AIA', ''),
	('KSTT', 'N/A', 'N/A', 39.63791348040104, -104.37096744775772, 1699, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CO38', 'small_airport', 'Comanche Airfield Llc Airport', 39.74720001220703, -104.31300354003906, 5350, 'US', 'US-CO', 'Strasburg', 'no', 'CO38', '', 'CO38', ''),
	('1V2', 'small_airport', 'Grant County Airport', 42.010036, -101.77007, 3710, 'US', 'US-NE', 'Hyannis', 'no', '1V2', '', '1V2', ''),
	('CO94', 'closed', 'Decker Farms Airport', 39.706902, -103.351997, 5050, 'US', 'US-CO', 'Lindon', 'no', '', '', '', 'CO94'),
	('65CO', 'small_airport', 'WKR Airport', 40.52076, -104.966707, 4840, 'US', 'US-CO', 'Fort Collins', 'no', '65CO', '', '65CO', 'Walker'),
	('96CO', 'small_airport', 'Logan Airport', 39.8564, -104.396004, 5300, 'US', 'US-CO', 'Bennett', 'no', '96CO', '', '96CO', ''),
	('2V6', 'small_airport', 'Yuma Municipal Airport', 40.104198, -102.712997, 4136, 'US', 'US-CO', 'Yuma', 'no', '2V6', '', '2V6', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('27NE', 'small_airport', 'Hendricks Field', 40.722801208496094, -101.7959976196289, 3450, 'US', 'US-NE', 'Grant', 'no', '27NE', '', '27NE', ''),
	('8NE3', 'small_airport', 'Smith Field', 40.482041, -101.807197, 3380, 'US', 'US-NE', 'Champion', 'no', '8NE3', '', '8NE3', ''),
	('1CD1', 'small_airport', 'Reed International Airport', 40.688277, -104.862271, 5350, 'US', 'US-CO', 'Nunn', 'no', '1CD1', '', '1CD1', ''),
	('CO08', 'closed', 'Public Service of Colorado Arvada Heliport', 39.8092, -105.047997, 5290, 'US', 'US-CO', 'Arvada', 'no', '', '', '', 'CO08'),
	('KTAW', 'N/A', 'N/A', 39.68124657869339, -102.17207729816437, 1158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CO60', 'small_airport', 'Horseshoe Landings Airport', 40.105344, -104.429712, 4800, 'US', 'US-CO', 'Keenesburg', 'no', 'CO60', '', 'CO60', ''),
	('59CO', 'closed', 'Comanche Livestock Airport', 39.83486, -104.325802, 5230, 'US', 'US-CO', 'Strasburg', 'no', '', '', '', '59CO, 59CO, 59CO'),
	('KGGF', 'small_airport', 'Grant Municipal Airport', 40.869499, -101.733002, 3425, 'US', 'US-NE', 'Grant', 'no', 'KGGF', '', 'GGF', ''),
	('22CO', 'small_airport', 'Flying E Airport', 39.958057403599994, -104.485557556, 5100, 'US', 'US-CO', 'Brighton', 'no', '22CO', '', '22CO', ''),
	('60CO', 'closed', 'Stevens Airport', 39.9676, -104.651873, 5180, 'US', 'US-CO', 'Brighton', 'no', '', '', '', '60CO'),
	('CO56', 'small_airport', 'Jjs Airport', 39.9640998840332, -104.46299743652344, 5075, 'US', 'US-CO', 'Keenesburg', 'no', 'CO56', '', 'CO56', ''),
	('KOGA', 'small_airport', 'Ogallala Municipal Airport Searle Field', 41.119499, -101.769997, 3279, 'US', 'US-NE', 'Ogallala', 'no', 'KOGA', 'OGA', 'OGA', ''),
	('KTAX', 'N/A', 'N/A', 39.684198684990406, -101.60420581698418, 1068, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2NE7', 'small_airport', 'Kumor Airport', 40.85139846801758, -101.94300079345703, 3520, 'US', 'US-NE', 'Grant', 'no', '2NE7', '', '2NE7', ''),
	('KCNP', 'small_airport', 'Billy G Ray Field', 41.07749938964844, -102.46399688720703, 3682, 'US', 'US-NE', 'Chappell', 'no', 'KCNP', '', 'CNP', ''),
	('KFMM', 'small_airport', 'Fort Morgan Municipal Airport', 40.335758, -103.804371, 4569, 'US', 'US-CO', 'Fort Morgan', 'no', 'KFMM', '', 'FMM', '3V4'),
	('76CO', 'small_airport', 'Hoy Airstrip', 39.83580017089844, -104.4219970703125, 5310, 'US', 'US-CO', 'Bennett', 'no', '76CO', '', '76CO', ''),
	('CD17', 'small_airport', 'Bijou Basin Airport', 39.905912, -104.122023, 4885, 'US', 'US-CO', 'Byers', 'no', 'CD17', '', 'CD17', ''),
	('KGXY', 'small_airport', 'Greeley–Weld County Airport', 40.4374008179, -104.633003235, 4697, 'US', 'US-CO', 'Greeley', 'no', 'KGXY', 'GXY', 'GXY', 'Crosier Field'),
	('KSNY', 'medium_airport', 'Sidney Municipal Airport Lloyd W Carr Field', 41.101299, -102.985001, 4313, 'US', 'US-NE', 'Sidney', 'no', 'KSNY', 'SNY', 'SNY', ''),
	('KWRY', 'N/A', 'N/A', 39.89980570971966, -102.411278039217, 1204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0NE0', 'small_airport', 'Merrihew Airport', 41.849998474121094, -101.94999694824219, 3815, 'US', 'US-NE', 'Ashby', 'no', '0NE0', '', '0NE0', ''),
	('4NE4', 'N/A', 'N/A', 41.02950889617205, -101.62811324000359, 1030, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KIBM', 'small_airport', 'Kimball Municipal Robert E Arraj Field', 41.1880989074707, -103.677001953125, 4926, 'US', 'US-NE', 'Kimball', 'no', 'KIBM', '', 'IBM', ''),
	('9CO2', 'small_airport', 'Van Slyke Field', 39.69609833, -104.4759979, 5400, 'US', 'US-CO', 'Watkins', 'no', '9CO2', '', '9CO2', ''),
	('66NE', 'small_airport', 'Cornelius Farm Airport', 40.92915, -101.603794, 3415, 'US', 'US-NE', 'Madrid', 'no', '66NE', '', '66NE', ''),
	('0CO5', 'closed', 'Chenoweth Airport', 39.830995, -103.592463, 4697, 'US', 'US-CO', 'Last Chance', 'no', '', '', '', ''),
	('CO53', 'small_airport', 'Yankee Field', 40.634700775146484, -104.99099731445313, 5050, 'US', 'US-CO', 'Fort Collins', 'no', 'CO53', '', 'CO53', ''),
	('6CO1', 'small_airport', 'Burnham Field', 40.78139877319336, -104.91699981689453, 5615, 'US', 'US-CO', 'Wellington', 'no', '6CO1', '', '6CO1', ''),
	('5NE9', 'closed', 'Dodson Brothers Airport', 40.730317, -102.032251, 3575, 'US', 'US-NE', 'Venango', 'no', '', '', '', '5NE9'),
	('5V6', 'closed', 'Gebauer Airport', 40.244401, -103.094002, 4509, 'US', 'US-CO', 'Akron', 'no', '', '', '', '5V6'),
	('8CO0', 'small_airport', 'Kent Airport', 40.249152, -103.994473, 4480, 'US', 'US-CO', 'Wiggins', 'no', '8CO0', '', '8CO0', ''),
	('CO06', 'small_airport', 'Wirth Field', 40.51359939575195, -103.91200256347656, 4881, 'US', 'US-CO', 'New Raymer', 'no', 'CO06', '', 'CO06', ''),
	('KIML', 'small_airport', 'Imperial Municipal Airport', 40.50930023, -101.6210022, 3275, 'US', 'US-NE', 'Imperial', 'no', 'KIML', 'IML', 'IML', ''),
	('9NE1', 'small_airport', 'El-Co Airport', 41.143293, -101.92651, 3650, 'US', 'US-NE', 'Brule', 'no', '9NE1', '', '9NE1', ''),
	('34CO', 'small_airport', 'Simons Airport', 39.716400146484375, -104.73200225830078, 5525, 'US', 'US-CO', 'Aurora', 'no', '34CO', '', '34CO', ''),
	('KAPA', 'medium_airport', 'Centennial Airport', 39.57009888, -104.848999, 5885, 'US', 'US-CO', 'Denver', 'no', 'KAPA', 'APA', 'APA', 'Arapahoe County Airport'),
	('CO12', 'small_airport', 'Brighton Van-Aire Estates Airport', 39.98352, -104.70464, 5055, 'US', 'US-CO', 'Brighton', 'no', 'CO12', '', 'CO12', ''),
	('KEAN', 'small_airport', 'Phifer Airfield', 42.0555, -104.929001, 4776, 'US', 'US-WY', 'Wheatland', 'no', 'KEAN', 'EAN', 'EAN', ''),
	('WY45', 'closed', 'Sloan Airport', 41.156898, -104.708, 6085, 'US', 'US-WY', 'Cheyenne', 'no', '', '', '', 'WY45'),
	('11V', 'small_airport', 'Easton/Valley View Airport', 40.328815, -104.614563, 4820, 'US', 'US-CO', 'Greeley', 'no', 'K11V', '', '11V', ''),
	('1CD2', 'small_airport', 'Tonga Airport', 40.167377, -104.798575, 4925, 'US', 'US-CO', 'Platteville', 'no', '1CD2', '', '1CD2', 'Reck'),
	('00CO', 'closed', 'Cass Field', 40.622202, -104.344002, 4830, 'US', 'US-CO', 'Briggsdale', 'no', '', '', '', '00CO'),
	('WY19', 'closed', 'Butler Airport', 41.105801, -104.207001, 5295, 'US', 'US-WY', 'Pine Bluffs', 'no', '', '', '', 'WY19'),
	('47CO', 'small_airport', 'Mile Hi Airport', 40.900001525878906, -104.83399963378906, 5270, 'US', 'US-CO', 'New Raymer', 'no', '47CO', '', '47CO', ''),
	('CO48', 'small_airport', 'Crop Air Inc Airport', 40.512201, -104.651256, 4800, 'US', 'US-CO', 'Eaton', 'no', 'CO48', '', 'CO48', ''),
	('CO66', 'closed', 'Morton Heliport', 39.7103, -105.245003, 7360, 'US', 'US-CO', 'Golden', 'no', '', '', '', 'CO66'),
	('KAKO', 'small_airport', 'Colorado Plains Regional Airport', 40.1755981445, -103.222000122, 4714, 'US', 'US-CO', 'Akron', 'no', 'KAKO', 'AKO', 'AKO', ''),
	('CO81', 'closed', 'Hill Airport', 39.6208, -102.74325, 4345, 'US', 'US-CO', 'Joes', 'no', '', '', '', 'CO81'),
	('CD13', 'small_airport', 'Morris Airport', 39.83509826660156, -103.73600006103516, 4750, 'US', 'US-CO', 'Deer Trail', 'no', 'CD13', '', 'CD13', ''),
	('KCYS', 'medium_airport', 'Cheyenne Regional Jerry Olson Field', 41.155701, -104.811997, 6159, 'US', 'US-WY', 'Cheyenne', 'yes', 'KCYS', 'CYS', 'CYS', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('46NE', 'small_airport', 'Jantzen Airport', 40.893842, -101.50076, 3375, 'US', 'US-NE', 'Madrid', 'no', '46NE', '', '46NE', ''),
	('KSTK', 'small_airport', 'Sterling Municipal Airport', 40.613497, -103.263833, 4040, 'US', 'US-CO', 'Sterling', 'no', 'KSTK', 'STK', 'STK', 'Crosson Field'),
	('8CO8', 'small_airport', 'Koenig Airport', 40.108299255371094, -102.72799682617188, 4150, 'US', 'US-CO', 'Yuma', 'no', '8CO8', '', '8CO8', ''),
	('WY29', 'small_airport', 'Vowers Ranch Airport', 41.619276, -104.785517, 5550, 'US', 'US-WY', 'Chugwater', 'no', 'WY29', '', 'WY29', ''),
	('6NE8', 'small_airport', 'Hoppy''s Airport', 40.08689880371094, -101.56900024414063, 3227, 'US', 'US-NE', 'Benkelman', 'no', '6NE8', '', '6NE8', ''),
	('3CO2', 'small_airport', 'Mertens Airport', 40.616391, -103.332436, 4192, 'US', 'US-CO', 'Sterling', 'no', '3CO2', '', '3CO2', ''),
	('KLIM', 'N/A', 'N/A', 39.43434454500675, -103.56346026062965, 1669, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CO02', 'small_airport', 'Harrington Ranch Airport', 39.62969970703125, -104.51899719238281, 5975, 'US', 'US-CO', 'Bennet', 'no', 'CO02', '', 'CO02', ''),
	('42NE', 'closed', 'Packard Ranch Airport', 41.43745, -101.678681, 3524, 'US', 'US-NE', 'Arthur', 'no', '', '', '', '42NE'),
	('CO25', 'small_airport', 'Metrogro Farm Airport', 39.494857, -103.727361, 5240, 'US', 'US-CO', 'Agate', 'no', 'CO25', '', 'CO25', ''),
	('04NE', 'small_airport', 'Mc Connell Field Airport', 41.159999847399995, -101.299003601, 3035, 'US', 'US-NE', 'Sarben', 'no', '04NE', '', '04NE', ''),
	('5KS8', 'small_airport', 'Jack Poore Airport', 39.818151, -101.349342, 3330, 'US', 'US-KS', 'McDonald', 'no', '5KS8', '', '5KS8', ''),
	('KOKS', 'small_airport', 'Garden County Airport/King Rhiley Field', 41.401001, -102.355003, 3394, 'US', 'US-NE', 'Oshkosh', 'no', 'KOKS', 'OKS', 'OKS', ''),
	('2NE9', 'N/A', 'N/A', 40.187718719244, -101.9699178636074, 1068, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2CO3', 'small_airport', 'Jackrabbit Strip', 40.375, -104.87300109863281, 5000, 'US', 'US-CO', 'Milliken', 'no', '2CO3', '', '2CO3', ''),
	('5K0', 'small_airport', 'Bressler Field', 39.74250030517578, -101.55599975585938, 3489, 'US', 'US-KS', 'Bird City', 'no', '5K0', '', '5K0', ''),
	('87CO', 'small_airport', 'Young''s Strip', 39.69110107421875, -104.41600036621094, 5650, 'US', 'US-CO', 'Bennett', 'no', '87CO', '', '87CO', ''),
	('4V1', 'small_airport', 'Spanish Peaks Airfield', 37.696602, -104.783997, 6047, 'US', 'US-CO', 'Walsenburg', 'no', 'K4V1', '', '4V1', ''),
	('43CO', 'closed', 'Kostroski Airport', 39.364978, -104.677091, 6700, 'US', 'US-CO', 'Franktown', 'no', '', '', '', '43CO'),
	('87CD', 'small_airport', 'The Flying Z Airport', 37.98994, -104.760845, 5440, 'US', 'US-CO', 'Pueblo', 'no', '87CD', '', '87CD', ''),
	('CO22', 'small_airport', 'Hildebrandt Airport', 39.279623, -102.47474, 4300, 'US', 'US-CO', 'Bethune', 'no', 'CO22', '', 'CO22', ''),
	('23CD', 'small_airport', 'Aviation Acres Airport', 39.297425, -102.321222, 4210, 'US', 'US-CO', 'Burlington', 'no', '23CD', '', '23CD', ''),
	('CD03', 'small_airport', 'Tinnes Airport', 38.198226, -102.5669, 3850, 'US', 'US-CO', 'Lamar', 'no', 'CD03', '', 'CD03', ''),
	('KMAH', 'N/A', 'N/A', 37.756272777915, -102.73793086409569, 1315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('97CO', 'small_airport', 'Peakview Airport', 38.92499923706055, -104.15899658203125, 6370, 'US', 'US-CO', 'Yoder', 'no', '97CO', '', '97CO', ''),
	('KEHA', 'small_airport', 'Elkhart Morton County Airport', 37.000702, -101.879997, 3622, 'US', 'US-KS', 'Elkhart', 'no', 'KEHA', '', 'EHA', ''),
	('KAFF', 'small_airport', 'USAF Academy Airfield', 38.972497, -104.821125, 6572, 'US', 'US-CO', 'Colorado Springs', 'no', 'KAFF', 'AFF', 'AFF', ''),
	('KTAD', 'small_airport', 'Perry Stokes Airport', 37.2593994141, -104.341003418, 5762, 'US', 'US-CO', 'Trinidad', 'no', 'KTAD', 'TAD', 'TAD', ''),
	('8KS0', 'small_airport', 'Morgan Farms Airport', 37.813242, -101.465043, 3190, 'US', 'US-KS', 'Ulysses', 'no', '8KS0', '', '8KS0', ''),
	('KLAA', 'medium_airport', 'Southeast Colorado Regional Airport', 38.066407, -102.691373, 3706, 'US', 'US-CO', 'Lamar', 'no', 'KLAA', 'LAA', 'LAA', 'Lamar Municipal'),
	('KGUY', 'medium_airport', 'Guymon Municipal Airport', 36.6851005554, -101.508003235, 3123, 'US', 'US-OK', 'Guymon', 'no', 'KGUY', 'GUY', 'GUY', ''),
	('CO4', 'small_airport', 'Colorado Springs East Airport', 38.874401, -104.410004, 6145, 'US', 'US-CO', 'Ellicott', 'no', '', '', 'CO4', 'A50, CO49'),
	('KGLD', 'medium_airport', 'Goodland Municipal Airport', 39.370701, -101.699753, 3656, 'US', 'US-KS', 'Goodland', 'no', 'KGLD', 'GLD', 'GLD', 'Renner Field'),
	('KFCS', 'medium_airport', 'Butts AAF (Fort Carson) Air Field', 38.67839813, -104.7570038, 5838, 'US', 'US-CO', 'Fort Carson', 'no', 'KFCS', 'FCS', 'FCS', ''),
	('KCHE', 'N/A', 'N/A', 38.49664930254221, -102.14319482445717, 1220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1CO5', 'small_airport', 'Melon Field', 38.016229, -103.69464, 4260, 'US', 'US-CO', 'Rocky Ford', 'no', '1CO5', '', '1CO5', ''),
	('3K3', 'small_airport', 'Syracuse Hamilton County Municipal Airport', 37.997113, -101.748218, 3322, 'US', 'US-KS', 'Syracuse', 'no', 'K3K3', '', '3K3', ''),
	('73CO', 'closed', 'Woods STOLport', 38.388901, -107.822998, 6120, 'US', 'US-CO', 'Montrose', 'no', '', '', '', '73CO'),
	('88CO', 'small_airport', 'Tranquila Airport', 38.88610076904297, -104.2490005493164, 6320, 'US', 'US-CO', 'Yoder', 'no', '88CO', '', '88CO', ''),
	('CO96', 'small_airport', 'Reed Hollow Ranch Airport', 39.371700286865234, -104.74299621582031, 6200, 'US', 'US-CO', 'Franktown', 'no', 'CO96', '', 'CO96', ''),
	('17K', 'small_airport', 'Boise City Airport', 36.7743, -102.510002, 4178, 'US', 'US-OK', 'Boise City', 'no', 'K17K', '', '17K', ''),
	('46CO', 'small_airport', 'Huerfano Agricultural Airport', 38.099998474121094, -104.4260025024414, 4790, 'US', 'US-CO', 'Pueblo', 'no', '46CO', '', '46CO', ''),
	('CO93', 'small_airport', 'Perry Park Airport', 39.25, -104.89099884033203, 6700, 'US', 'US-CO', 'Larkspur', 'no', 'CO93', '', 'CO93', ''),
	('KLHX', 'small_airport', 'La Junta Municipal Airport', 38.049702, -103.509003, 4229, 'US', 'US-CO', 'La Junta', 'no', 'KLHX', '', 'LHX', ''),
	('06CO', 'small_airport', 'Jecan Airport', 37.385754, -103.691482, 5100, 'US', 'US-CO', 'Branson', 'no', '06CO', '', '06CO', ''),
	('5V4', 'small_airport', 'Calhan Airport', 39.04779815673828, -104.29199981689453, 6450, 'US', 'US-CO', 'Calhan', 'no', '5V4', '', '5V4', ''),
	('14CO', 'small_airport', 'Good Pasture Airport', 38.097198486328125, -104.91000366210938, 6000, 'US', 'US-CO', 'Beulah', 'no', '14CO', '', '14CO', ''),
	('KCOY', 'N/A', 'N/A', 39.06709883362055, -101.25285968184471, 1016, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KJOO', 'N/A', 'N/A', 37.623587250709534, -101.82087332010269, 1029, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2CD3', 'small_airport', 'Bijou Springs Ranch Airport', 39.119472, -104.431806, 6600, 'US', 'US-CO', 'Peyton', 'no', '2CD3', '', '2CD3', ''),
	('KGUU', 'N/A', 'N/A', 36.87458474189043, -101.44453749060631, 956, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KJHN', 'N/A', 'N/A', 37.58538890630007, -101.73230543732643, 1013, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9CO6', 'small_airport', 'D Bar D Airport', 39.28129959106445, -104.572998046875, 6752, 'US', 'US-CO', 'Elizabeth', 'no', '9CO6', '', '9CO6', ''),
	('CO42', 'small_airport', 'Circle 8 Ranch Airport', 39.33470153808594, -104.5459976196289, 6650, 'US', 'US-CO', 'Elizabeth', 'no', 'CO42', '', 'CO42', ''),
	('07CO', 'small_airport', 'Comanche Creek Airport', 39.26359939575195, -104.427001953125, 6620, 'US', 'US-CO', 'Kiowa', 'no', '07CO', '', '07CO', ''),
	('27KS', 'small_airport', 'Bellamy Farm Airport', 39.13006, -101.713829, 3650, 'US', 'US-KS', 'Goodland', 'no', '27KS', '', '27KS', ''),
	('53CO', 'small_airport', 'Rons Field', 37.5531005859375, -102.39199829101563, 4096, 'US', 'US-CO', 'Two Buttes', 'no', '53CO', '', '53CO', ''),
	('KCLA', 'N/A', 'N/A', 36.97940982878208, -103.20037499070168, 1395, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3CO7', 'small_airport', 'Dietrichs Airport', 39.33250045776367, -104.56600189208984, 6780, 'US', 'US-CO', 'Elizabeth', 'no', '3CO7', '', '3CO7', ''),
	('KTRB', 'N/A', 'N/A', 38.46243906766176, -101.67334020137787, 1078, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4CO8', 'small_airport', 'Kelgun Airport', 39.30690002441406, -104.81600189208984, 6800, 'US', 'US-CO', 'Castle Rock', 'no', '4CO8', '', '4CO8', ''),
	('CO15', 'small_airport', 'Kelly Air Park', 39.2247009277, -104.63999939, 7040, 'US', 'US-CO', 'Elbert', 'no', 'CO15', '', 'CO15', ''),
	('9V7', 'small_airport', 'Eads Municipal Airport', 38.478479, -102.810869, 4245, 'US', 'US-CO', 'Eads', 'no', '', '', '9V7', ''),
	('KSPL', 'N/A', 'N/A', 37.52874668687582, -103.01365077495575, 1464, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2CO1', 'small_airport', 'Cherokee Trail Ranch Airport', 39.11050033569336, -104.58399963378906, 7240, 'US', 'US-CO', 'Peyton', 'no', '2CO1', '', '2CO1', ''),
	('KPUB', 'medium_airport', 'Pueblo Memorial Airport', 38.289101, -104.497002, 4726, 'US', 'US-CO', 'Pueblo', 'yes', 'KPUB', 'PUB', 'PUB', ''),
	('0CD5', 'small_airport', 'Piñon Canyon Airport', 37.490501, -104.143997, 5686, 'US', 'US-CO', 'Model', 'no', '0CD5', '', '0CD5', 'Piñon Canyon Maneuver Site'),
	('CO80', 'small_airport', 'Fowler Airport', 38.0724983215332, -104.0459976196289, 4428, 'US', 'US-CO', 'Fowler', 'no', 'CO80', '', 'CO80', ''),
	('KCOS', 'medium_airport', 'City of Colorado Springs Municipal Airport', 38.805801, -104.700996, 6187, 'US', 'US-CO', 'Colorado Springs', 'yes', 'KCOS', 'COS', 'COS', ''),
	('CO90', 'small_airport', 'Usaf Academy Bullseye Aux Airstrip', 38.75830078125, -104.30699920654297, 6036, 'US', 'US-CO', 'Ellicott', 'no', 'CO90', '', 'CO90', ''),
	('23CO', 'small_airport', 'High Mesa Airport', 38.84389877319336, -103.98999786376953, 6000, 'US', 'US-CO', 'Rush', 'no', '23CO', '', '23CO', ''),
	('5KS2', 'closed', 'Fortmeyer Airport', 39.339609, -101.660614, 3650, 'US', 'US-KS', 'Goodland', 'no', '', '', '', '5KS2'),
	('3K7', 'small_airport', 'Mark Hoard Memorial Airport', 38.457001, -101.352997, 3303, 'US', 'US-KS', 'Leoti', 'no', '', '', '3K7', ''),
	('7CO8', 'small_airport', 'West Pueblo Airport', 38.36330032348633, -104.73799896240234, 5135, 'US', 'US-CO', 'Pueblo West', 'no', '7CO8', '', '7CO8', ''),
	('36K', 'small_airport', 'Kearny County Airport', 37.969501, -101.254997, 3077, 'US', 'US-KS', 'Lakin', 'no', '', '', '36K', 'Lakin Airport'),
	('36CO', 'small_airport', 'Fat Chance Airport', 39.10609817504883, -104.54399871826172, 7100, 'US', 'US-CO', 'Peyton', 'no', '36CO', '', '36CO', ''),
	('52CO', 'small_airport', 'Mountain View Ranch Airport', 39.10969924926758, -104.65399932861328, 7500, 'US', 'US-CO', 'Monument', 'no', '52CO', '', '52CO', ''),
	('35CO', 'small_airport', 'Lone Tree Ranch Airport', 38.886555, -103.812561, 5525, 'US', 'US-CO', 'Punkin Center', 'no', '35CO', '', '35CO', ''),
	('KCLO', 'N/A', 'N/A', 36.74050983041525, -103.55199471116066, 1768, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5KS6', 'closed', 'Mollenkamp Field', 38.766701, -101.257004, 3295, 'US', 'US-KS', 'Leoti', 'no', '', '', '', '5KS6'),
	('4CO3', 'small_airport', 'Griffin Field', 37.392936, -102.283058, 3964, 'US', 'US-CO', 'Walsh', 'no', '4CO3', '', '4CO3', 'Custom Applicators'),
	('KHQG', 'small_airport', 'Hugoton Municipal Airport', 37.163101, -101.371002, 3134, 'US', 'US-KS', 'Hugoton', 'no', 'KHQG', '', 'HQG', ''),
	('CO00', 'small_airport', 'Flagler Aerial Spraying Inc Airport', 39.279998779296875, -103.06700134277344, 4945, 'US', 'US-CO', 'Flagler', 'no', 'CO00', '', 'CO00', ''),
	('CD15', 'small_airport', 'Schantz Airstrip', 39.295794, -104.12178, 5870, 'US', 'US-CO', 'Simla', 'no', 'CD15', '', 'CD15', ''),
	('95CO', 'small_airport', 'Mann Ranch Airport', 37.868499755859375, -104.83599853515625, 6000, 'US', 'US-CO', 'Rye', 'no', '95CO', '', '95CO', ''),
	('CD45', 'small_airport', 'Flyin'' B Ranch Airport', 39.323299407958984, -104.572998046875, 6720, 'US', 'US-CO', 'Elizabeth', 'no', 'CD45', '', 'CD45', ''),
	('6KS4', 'small_airport', 'Bussen Airport', 38.907264, -101.785326, 3475, 'US', 'US-KS', 'Sharon Springs', 'no', '6KS4', '', '6KS4', ''),
	('8V7', 'small_airport', 'Springfield Municipal Airport', 37.458698, -102.617996, 4390, 'US', 'US-CO', 'Springfield', 'no', '', '', '8V7', 'KSPD'),
	('09CO', 'small_airport', 'Cottonwood Field', 38.055275, -103.650769, 4180, 'US', 'US-CO', 'Rocky Ford', 'no', '09CO', '', '09CO', ''),
	('5K2', 'small_airport', 'Tribune Municipal Airport', 38.450901, -101.750135, 3620, 'US', 'US-KS', 'Tribune', 'no', '5K2', '', '5K2', 'Tribune Greeley County'),
	('KULS', 'small_airport', 'Ulysses Airport', 37.60400009, -101.3740005, 3071, 'US', 'US-KS', 'Ulysses', 'no', 'KULS', '', 'ULS', ''),
	('7CO6', 'small_airport', 'Vantage View Airport', 38.760278, -104.101389, 5780, 'US', 'US-CO', 'Rush', 'no', '7CO6', '', '7CO6', ''),
	('8CO9', 'small_airport', 'Pine View Airport', 39.344398498535, -104.58100128174, 6572, 'US', 'US-CO', 'Elizabeth', 'no', '8CO9', '', '8CO9', '02V'),
	('CD23', 'small_airport', 'Aero Bear Field', 39.198299407958984, -104.3290023803711, 6300, 'US', 'US-CO', 'Calhan', 'no', 'CD23', '', 'CD23', ''),
	('K08', 'small_airport', 'Holly Airport', 38.035179, -102.11673, 3390, 'US', 'US-CO', 'Holly', 'no', 'KK08', '', 'K08', ''),
	('80CO', 'small_airport', 'Simonson Field', 38.15169906616211, -104.70600128173828, 5130, 'US', 'US-CO', 'Pueblo', 'no', '80CO', '', '80CO', ''),
	('7CO4', 'closed', 'Williams Ranch Airport', 40.604198, -103.939003, 4860, 'US', 'US-CO', 'New Raymer', 'no', '', '', '', '7CO4'),
	('KRTN', 'small_airport', 'Raton Municipal Airport / Crews Field', 36.741501, -104.501999, 6352, 'US', 'US-NM', 'Raton', 'no', 'KRTN', 'RTN', 'RTN', ''),
	('KITR', 'small_airport', 'Kit Carson County Airport', 39.2425, -102.285004, 4219, 'US', 'US-CO', 'Burlington', 'no', 'KITR', '', 'ITR', ''),
	('7V9', 'small_airport', 'City of Las Animas Bent County Airport', 38.053903, -103.238698, 3915, 'US', 'US-CO', 'Las Animas', 'no', 'K7V9', '', '7V9', ''),
	('KTRU', 'N/A', 'N/A', 38.65625984966755, -101.85397267341614, 1135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3KS4', 'small_airport', 'Eveleigh Farms Airport', 37.767848, -101.434579, 3207, 'US', 'US-KS', 'Ulysses', 'no', '3KS4', '', '3KS4', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('31CD', 'small_airport', 'Diamond Star Ranch Airport', 37.870856, -104.789057, 6010, 'US', 'US-CO', 'Colorado City', 'no', '31CD', '', '31CD', ''),
	('KHUG', 'N/A', 'N/A', 39.15150694549084, -103.48705261945724, 1564, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSYY', 'N/A', 'N/A', 38.16776521503925, -101.8675647675991, 1126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KORW', 'N/A', 'N/A', 38.20661500096321, -103.75994950532913, 1308, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9CO8', 'small_airport', 'Bijou Bottom Strip', 39.276683, -104.342093, 6000, 'US', 'US-CO', 'Kiowa', 'no', '9CO8', '', '9CO8', 'Herrick Airport'),
	('CO73', 'small_airport', 'Air Sprayers Number 2 Airport', 38.11172, -102.21524, 3610, 'US', 'US-CO', 'Hartman', 'no', 'CO73', '', 'CO73', ''),
	('KLIC', 'small_airport', 'Limon Municipal Airport', 39.274799346900004, -103.666000366, 5374, 'US', 'US-CO', 'Limon', 'no', 'KLIC', 'LIC', 'LIC', ''),
	('6CO6', 'small_airport', 'Skywagon Ranch Airport', 40.311886, -105.145833, 5187, 'US', 'US-CO', 'Berthoud', 'no', '6CO6', '', '6CO6', ''),
	('5CO0', 'small_airport', 'Windy Plains Airport', 38.829496, -102.30064, 4184, 'US', 'US-CO', 'Cheyenne Wells', 'no', '5CO0', '', '5CO0', 'Cheyenne Wells Municipal Airport, Koch Ag Service Inc'),
	('CO1', 'seaplane_base', 'Lake Meredith Seaplane Base', 38.196313, -103.693761, 4254, 'US', 'US-CO', 'Ordway', 'no', '', '', 'CO1', '11CO'),
	('NM67', 'small_airport', 'La Mesa Park Airport', 36.856998443603516, -104.447998046875, 6578, 'US', 'US-NM', 'Raton', 'no', 'NM67', '', 'NM67', ''),
	('KFLY', 'N/A', 'N/A', 38.94276939332485, -104.5699055492878, 2075, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('00AA', 'small_airport', 'Aero B Ranch Airport', 38.704022, -101.473911, 3435, 'US', 'US-KS', 'Leoti', 'no', '00AA', '', '00AA', ''),
	('KCOZ', 'N/A', 'N/A', 39.357254169881344, -101.36416777968407, 1034, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('99CO', 'small_airport', 'Rock Creek Airport', 38.136546, -104.815112, 5660, 'US', 'US-CO', 'Pueblo', 'no', '99CO', '', '99CO', ''),
	('4CO7', 'small_airport', 'Ambrosich Field', 39.220351, -104.680738, 7028, 'US', 'US-CO', 'Elbert', 'no', '4CO7', '', '4CO7', ''),
	('08CO', 'small_airport', 'Terra Firma Airport', 38.73249816894531, -104.04100036621094, 5600, 'US', 'US-CO', 'Rush', 'no', '08CO', '', '08CO', ''),
	('30XS', 'closed', 'Farwell Spraying Service Inc Airport', 34.382301, -103.017998, 4115, 'US', 'US-TX', 'Farwell', 'no', '', '', '', '30X'),
	('E52', 'small_airport', 'Oldham County Airport', 35.230653, -102.398672, 3995, 'US', 'US-TX', 'Vega', 'no', 'KE52', '', 'E52', ''),
	('6TE7', 'small_airport', 'Mc Neill Ranch Airport', 34.837600708, -101.57900238, 3413, 'US', 'US-TX', 'Wayside', 'no', '6TE7', '', '6TE7', ''),
	('NM32', 'small_airport', 'Bell Ranch Waggoner Airport', 35.70191, -104.06211, 4725, 'US', 'US-NM', 'Bell Ranch', 'no', 'NM32', '', 'NM32', ''),
	('KCAY', 'N/A', 'N/A', 34.98959697782993, -101.96905821561813, 1099, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NM44', 'closed', 'Bojax Ranch Airport', 34.016242, -104.115994, 3920, 'US', 'US-NM', 'Elida', 'no', '', '', '', 'NM44, NM44, NM44'),
	('1E7', 'small_airport', 'Buffalo Airport', 35.064999, -101.878998, 3640, 'US', 'US-TX', 'Amarillo', 'no', '1E7', '', '1E7', ''),
	('TE70', 'closed', 'Palmer Field', 33.197688, -97.316201, 800, 'US', 'US-TX', 'Ponder', 'no', '', '', '', 'TE70'),
	('I06', 'small_airport', 'City of Tulia-Swisher County Municipal Airport', 34.56679916, -101.7809982, 3503, 'US', 'US-TX', 'Tulia', 'no', 'KI06', '', 'I06', ''),
	('KTCC', 'medium_airport', 'Tucumcari Municipal Airport', 35.182800293, -103.602996826, 4065, 'US', 'US-NM', 'Tucumcari', 'no', 'KTCC', 'TCC', 'TCC', ''),
	('NM29', 'small_airport', 'Rosebud Airport', 35.83393, -103.43241, 4820, 'US', 'US-NM', 'Amistad', 'no', 'NM29', '', 'NM29', ''),
	('KPVW', 'small_airport', 'Hale County Airport', 34.168098, -101.717003, 3374, 'US', 'US-TX', 'Plainview', 'no', 'KPVW', 'PVW', 'PVW', ''),
	('1E9', 'closed', 'Maples Field', 35.0652, -101.954477, 3677, 'US', 'US-TX', 'Canyon', 'no', '', '', '', '1E9'),
	('KBGD', 'small_airport', 'Hutchinson County Airport', 35.700901031499995, -101.393997192, 3055, 'US', 'US-TX', 'Borger', 'no', 'KBGD', 'BGD', 'BGD', ''),
	('5TA4', 'small_airport', 'Reed Airport', 34.90010070800781, -101.31700134277344, 3369, 'US', 'US-TX', 'Claude', 'no', '5TA4', '', '5TA4', ''),
	('9TX3', 'small_airport', 'Horan Airport', 34.175167, -101.638126, 3339, 'US', 'US-TX', 'Plainview', 'no', '9TX3', '', '9TX3', ''),
	('29F', 'small_airport', 'Joe Vaughn Spraying Airport', 34.392251, -101.759918, 3500, 'US', 'US-TX', 'Kress', 'no', 'K29F', '', '29F', ''),
	('KSUR', 'N/A', 'N/A', 36.079310439527035, -101.78110376000404, 1059, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTDW', 'small_airport', 'Tradewind Airport', 35.1698989868, -101.825996399, 3649, 'US', 'US-TX', 'Amarillo', 'no', 'KTDW', 'TDW', 'TDW', ''),
	('30TE', 'small_airport', 'Cone Airport', 33.811199, -101.396003, 3144, 'US', 'US-TX', 'Lorenzo', 'no', '30TE', '', '30TE', '3F1'),
	('6TX4', 'small_airport', 'Whitfield Airport', 34.342711, -101.542228, 3330, 'US', 'US-TX', 'Kress', 'no', '6TX4', '', '6TX4', ''),
	('7TS8', 'small_airport', 'Ott Farms Airport', 34.40380096435547, -102.4540023803711, 3817, 'US', 'US-TX', 'Dimmitt', 'no', '7TS8', '', '7TS8', ''),
	('59NM', 'closed', 'Lockmiller & Sons Airport', 34.547923, -103.464346, 4559, 'US', 'US-NM', 'Clovis', 'no', '', '', '', ''),
	('NM76', 'closed', 'Park Springs Airport', 35.260881, -104.918393, 5115, 'US', 'US-NM', 'Anton Chico', 'no', '', '', '', 'NM76'),
	('H81', 'small_airport', 'River Falls Airport', 35.0825, -101.7541, 3588, 'US', 'US-TX', 'Amarillo', 'no', 'H81', '', 'H81', '81XA'),
	('NM53', 'small_airport', 'San Miguel Ranch Airport', 35.5099983215332, -104.58399963378906, 6300, 'US', 'US-NM', 'Las Vegas', 'no', 'NM53', '', 'NM53', ''),
	('79XS', 'small_airport', 'Silverton Municipal Airport', 34.467908, -101.295706, 3267, 'US', 'US-TX', 'Silverton', 'no', '79XS', '', '79XS', ''),
	('KDHT', 'medium_airport', 'Dalhart Municipal Airport', 36.0225982666, -102.54699707, 3991, 'US', 'US-TX', 'Dalhart', 'no', 'KDHT', 'DHT', 'DHT', ''),
	('NM42', 'small_airport', 'Aero Tech Inc Airport', 34.415372, -103.134595, 4250, 'US', 'US-NM', 'Clovis', 'no', 'NM42', '', 'NM42', ''),
	('S42', 'small_airport', 'Springer Municipal Airport', 36.331075, -104.618339, 5891, 'US', 'US-NM', 'Springer', 'no', 'KS42', '', 'S42', ''),
	('5TS7', 'closed', 'R D Williams Airport', 31.7766, -94.485497, 360, 'US', 'US-TX', 'Garrison', 'no', '', '', '', '5TS7'),
	('1E4', 'small_airport', 'Palo Duro Airport', 35.141998291015625, -101.83799743652344, 3639, 'US', 'US-TX', 'Amarillo', 'no', '1E4', '', '1E4', ''),
	('NM52', 'small_airport', 'Camco Ranch Airport', 35.574822, -103.281956, 4255, 'US', 'US-NM', 'Nara Visa', 'no', 'NM52', '', 'NM52', ''),
	('1TX8', 'small_airport', 'Hart Aerial Airport', 34.36949920654297, -102.08399963378906, 3655, 'US', 'US-TX', 'Hart', 'no', '1TX8', '', '1TX8', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('3E7', 'small_airport', 'Pronger Bros Ranch Airport', 36.219501, -102.103996, 3722, 'US', 'US-TX', 'Stratford', 'no', '3E7', '', '3E7', ''),
	('T55', 'small_airport', 'Dimmitt Municipal Airport', 34.5667, -102.322998, 3883, 'US', 'US-TX', 'Dimmitt', 'no', '', '', 'T55', 'Q55'),
	('KCLY', 'N/A', 'N/A', 35.90009730309248, -103.10361117124557, 1334, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDAH', 'N/A', 'N/A', 35.736600905656815, -102.92195543646812, 1245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NM38', 'small_airport', 'Double V Ranch Airport', 34.1172981262207, -104.427001953125, 4114, 'US', 'US-NM', 'Fort Sumner', 'no', 'NM38', '', 'NM38', ''),
	('H70', 'small_airport', 'Stratford Field', 36.34560012817383, -102.04900360107422, 3668, 'US', 'US-TX', 'Stratford', 'no', 'KH70', '', 'H70', ''),
	('K49', 'small_airport', 'Texhoma Municipal Airport', 36.5056, -101.814003, 3462, 'US', 'US-OK', 'Texhoma', 'no', '', '', 'K49', ''),
	('TS42', 'closed', 'Del-Tex Airport', 34.196499, -102.127997, 3600, 'US', 'US-TX', 'Olton', 'no', '', '', '', 'TS42'),
	('2E3', 'small_airport', 'Cluck Ranch Airport', 36.1772, -101.694, 3423, 'US', 'US-TX', 'Gruver', 'no', 'K2E3', '', '2E3', ''),
	('KCVS', 'medium_airport', 'Cannon Air Force Base', 34.382801, -103.321999, 4295, 'US', 'US-NM', 'Clovis', 'no', 'KCVS', 'CVS', 'CVS', ''),
	('0TA2', 'small_airport', 'Smith Farms Airport', 34.213702, -101.923342, 3487, 'US', 'US-TX', 'Halfway', 'no', '0TA2', '', '0TA2', ''),
	('6TS0', 'small_airport', 'True Airport', 34.089612, -101.740115, 3385, 'US', 'US-TX', 'Hale Center', 'no', '6TS0', '', '6TS0', ''),
	('1TE6', 'closed', 'Moore Airport', 35.118099, -102.184998, 3850, 'US', 'US-TX', 'Wildorado', 'no', '', '', '', '1TE6'),
	('XS76', 'small_airport', 'Texas Menhaden Strip', 29.72410011291504, -93.87039947509766, 6, 'US', 'US-TX', 'Sabine Pass', 'no', 'XS76', '', 'XS76', ''),
	('E97', 'N/A', 'N/A', 35.35631261765957, -103.43706429004669, 1159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XA05', 'small_airport', 'Fairview Field', 34.10156, -102.627074, 3819, 'US', 'US-TX', 'Sudan', 'no', 'XA05', '', 'XA05', ''),
	('97XS', 'small_airport', 'Tilghman Airport', 33.432833, -96.479467, 741, 'US', 'US-TX', 'Van Alstyne', 'no', '97XS', '', '97XS', ''),
	('25TS', 'small_airport', 'Miller Airfield', 36.094331, -102.417469, 3961, 'US', 'US-TX', 'Dalhart', 'no', '25TS', '', '25TS', ''),
	('KTAS', 'N/A', 'N/A', 34.981548339128494, -104.74963992834091, 1552, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KAMA', 'medium_airport', 'Rick Husband Amarillo International Airport', 35.219398, -101.706001, 3607, 'US', 'US-TX', 'Amarillo', 'yes', 'KAMA', 'AMA', 'AMA', ''),
	('E19', 'small_airport', 'Gruver Municipal Airport', 36.233699798584, -101.43199920654, 3205, 'US', 'US-TX', 'Gruver', 'no', 'E19', '', 'E19', ''),
	('TS39', 'small_airport', 'Sherman Airport', 34.3120002746582, -101.41200256347656, 3285, 'US', 'US-TX', 'Lockney', 'no', 'TS39', '', 'TS39', ''),
	('NM75', 'small_airport', 'Doolittle Ranch Airport', 35.823358, -104.946785, 6549, 'US', 'US-NM', 'Watrous', 'no', 'NM75', '', 'NM75', ''),
	('2T1', 'small_airport', 'Muleshoe Municipal Airport', 34.18510055541992, -102.64099884033203, 3779, 'US', 'US-TX', 'Muleshoe', 'no', 'K2T1', '', '2T1', ''),
	('1TE0', 'small_airport', 'Locker Brothers Airport', 34.269500732421875, -102.71700286865234, 3802, 'US', 'US-TX', 'Muleshoe', 'no', '1TE0', '', '1TE0', ''),
	('X54', 'N/A', 'N/A', 34.65423334389925, -102.69188046455383, 1220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('98NM', 'small_airport', 'S & S Ranch Airport', 36.076698303222656, -104.71800231933594, 6310, 'US', 'US-NM', 'Wagon Mound', 'no', '98NM', '', '98NM', ''),
	('KSXU', 'N/A', 'N/A', 34.9356721714139, -104.64256390929222, 1457, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1TA2', 'small_airport', 'Vigo Park Airport', 34.65010070800781, -101.5, 3383, 'US', 'US-TX', 'Tulia', 'no', '1TA2', '', '1TA2', ''),
	('65NM', 'small_airport', 'Curtis and Curtis Airport', 34.728528, -103.604679, 4691, 'US', 'US-NM', 'Melrose', 'no', '65NM', '', '65NM', ''),
	('NM17', 'small_airport', 'Ray Ranch Airport', 35.929797, -104.180488, 5850, 'US', 'US-NM', 'Roy', 'no', 'NM17', '', 'NM17', 'Stinebaugh Drilling Inc Airport'),
	('7TX8', 'small_airport', 'Flying K Airport', 35.107601165771484, -102.03800201416016, 3560, 'US', 'US-TX', 'Amarillo', 'no', '7TX8', '', '7TX8', ''),
	('7TS9', 'closed', 'Ag Aviation Airport', 29.0541, -95.962502, 50, 'US', 'US-TX', 'Bay City', 'no', '', '', '', '7TS9'),
	('KSPE', 'N/A', 'N/A', 35.82532066851854, -104.53490808606148, 1746, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('T45', 'small_airport', 'Panhandle Carson County Airport', 35.361698150634766, -101.36499786376953, 3454, 'US', 'US-TX', 'Panhandle', 'no', 'KT45', '', 'T45', ''),
	('41F', 'small_airport', 'Floydada Municipal Airport', 34.00230026, -101.3300018, 3187, 'US', 'US-TX', 'Floydada', 'no', 'K41F', '', '41F', ''),
	('KFSU', 'small_airport', 'Fort Sumner Municipal Airport', 34.4833984375, -104.217002869, 4165, 'US', 'US-NM', 'Fort Sumner', 'no', 'KFSU', 'FSU', 'FSU', 'Fort Sumner Army Airfield'),
	('KLIU', 'small_airport', 'Littlefield Municipal Airport', 33.923901, -102.387001, 3616, 'US', 'US-TX', 'Littlefield', 'no', 'KLIU', '', 'LIU', 'Q00'),
	('F83', 'N/A', 'N/A', 33.84439833462238, -101.76281288266182, 1014, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5TE4', 'small_airport', 'Perkins Prothro Cimarron Ranch Airport', 36.508399963378906, -102.39199829101563, 3995, 'US', 'US-TX', 'Kerrick', 'no', '5TE4', '', '5TE4', ''),
	('3TE5', 'small_airport', 'Stamps Field', 35.33060073852539, -101.38500213623047, 3445, 'US', 'US-TX', 'Panhandle', 'no', '3TE5', '', '3TE5', ''),
	('KDUX', 'small_airport', 'Moore County Airport', 35.857899, -102.013, 3705, 'US', 'US-TX', 'Dumas', 'no', 'KDUX', '', 'DUX', ''),
	('KPRZ', 'small_airport', 'Portales Municipal Airport', 34.1455, -103.410004, 4078, 'US', 'US-NM', 'Portales', 'no', 'KPRZ', '', 'PRZ', ''),
	('5XS7', 'small_airport', 'Outback Airport', 34.229698181152344, -101.46399688720703, 3286, 'US', 'US-TX', 'Lockney', 'no', '5XS7', '', '5XS7', ''),
	('NM10', 'small_airport', 'Tequesquite Ranch Airport', 35.87919998168945, -103.81300354003906, 4500, 'US', 'US-NM', 'Albert', 'no', 'NM10', '', 'NM10', ''),
	('9XS6', 'small_airport', 'Sudan Airport', 34.0531005859375, -102.52200317382813, 3769, 'US', 'US-TX', 'Sudan', 'no', '9XS6', '', '9XS6', ''),
	('7TA3', 'small_airport', 'Quarterway Airport', 34.18090057373047, -101.83699798583984, 3470, 'US', 'US-TX', 'Plainview', 'no', '7TA3', '', '7TA3', ''),
	('KCAO', 'small_airport', 'Clayton Municipal Airpark', 36.4462013245, -103.166999817, 4965, 'US', 'US-NM', 'Clayton', 'no', 'KCAO', 'CAO', 'CAO', ''),
	('2TX0', 'small_airport', 'Blue Sky Airfield', 35.062604, -101.850421, 3615, 'US', 'US-TX', 'Amarillo', 'no', '2TX0', '', '2TX0', ''),
	('1TX5', 'small_airport', 'Laney Farm Airport', 34.126017, -101.908751, 3483, 'US', 'US-TX', 'Hale Center', 'no', '1TX5', '', '1TX5', ''),
	('NM73', 'small_airport', 'Akin and Akin Airport', 34.77734, -103.855448, 4858, 'US', 'US-NM', 'Mc Alister', 'no', 'NM73', '', 'NM73', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KOLL', 'N/A', 'N/A', 34.1228773444891, -102.17129811644554, 1093, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCVN', 'medium_airport', 'Clovis Municipal Airport', 34.426594, -103.078794, 4216, 'US', 'US-NM', 'Clovis', 'yes', 'KCVN', 'CVN', 'CVN', ''),
	('KCAZ', 'N/A', 'N/A', 34.91768125444651, -101.91501885652542, 1095, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('X43', 'small_airport', 'Sunray Airport', 36.029202, -101.829002, 3507, 'US', 'US-TX', 'Sunray', 'no', '', '', 'X43', ''),
	('KHRX', 'small_airport', 'Hereford Municipal Airport', 34.85779953, -102.3259964, 3788, 'US', 'US-TX', 'Hereford', 'no', 'KHRX', '', 'HRX', ''),
	('E89', 'small_airport', 'Conchas Lake Airport', 35.367866, -104.180881, 4230, 'US', 'US-NM', 'Conchas Dam', 'no', '', '', 'E89', ''),
	('55T', 'small_airport', 'Eagles Aerodrome', 35.21421, -101.410847, 3475, 'US', 'US-TX', 'Panhandle', 'no', '55T', '', '55T', 'Formerly 55TS, Conway'),
	('KCIO', 'N/A', 'N/A', 36.47542543709278, -104.80051070451736, 1882, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TA67', 'small_airport', 'Biggin Hill Airpark', 33.748429, -102.066313, 3330, 'US', 'US-TX', 'Shallowater', 'no', 'TA67', '', 'TA67', ''),
	('KMAF', 'medium_airport', 'Midland International Air and Space Port', 31.942499, -102.202003, 2871, 'US', 'US-TX', 'Midland', 'yes', 'KMAF', 'MAF', 'MAF', ''),
	('8XS8', 'small_airport', 'Reese Airpark', 33.590301513672, -102.03700256348, 3338, 'US', 'US-TX', 'Lubbock', 'no', '8XS8', 'REE', '8XS8', ''),
	('7TX5', 'small_airport', 'Mabee Ranch Airport', 32.217098236083984, -102.16000366210938, 2862, 'US', 'US-TX', 'Midland', 'no', '7TX5', '', '7TX5', ''),
	('TS84', 'closed', 'Texoma Medical Center Heliport', 33.766028, -96.550316, 765, 'US', 'US-TX', 'Denison', 'no', '', '', '', 'TS84'),
	('KLBB', 'medium_airport', 'Lubbock Preston Smith International Airport', 33.663601, -101.822998, 3282, 'US', 'US-TX', 'Lubbock', 'yes', 'KLBB', 'LBB', 'LBB', ''),
	('KBFE', 'small_airport', 'Terry County Airport', 33.173099517822266, -102.19300079345703, 3264, 'US', 'US-TX', 'Brownfield', 'no', 'KBFE', '', 'BFE', ''),
	('8TE2', 'small_airport', 'J-Bar Ranch Airport', 31.52790069580078, -102.52799987792969, 2667, 'US', 'US-TX', 'Crane', 'no', '8TE2', '', '8TE2', ''),
	('F49', 'small_airport', 'Slaton Municipal Airport', 33.484798431396484, -101.66100311279297, 3123, 'US', 'US-TX', 'Slaton', 'no', 'KF49', '', 'F49', ''),
	('00XS', 'closed', 'L P Askew Farms Airport', 33.033401, -101.933998, 3110, 'US', 'US-TX', 'O''Donnell', 'no', '', '', '', '00XS'),
	('NM20', 'closed', 'Benedict Airpark', 33.251241, -104.442027, 3556, 'US', 'US-NM', 'Roswell', 'no', '', '', '', 'NM20'),
	('E11', 'small_airport', 'Andrews County Airport', 32.331100463867, -102.5299987793, 3174, 'US', 'US-TX', 'Andrews', 'no', 'E11', '', 'E11', ''),
	('TS13', 'closed', 'Station 30 Heliport', 29.294701, -96.308899, 115, 'US', 'US-TX', 'El Campo', 'no', '', '', '', 'TS13'),
	('TE33', 'closed', 'Eagles Nest Gliderport', 31.67053, -102.20115, 2985, 'US', 'US-TX', 'Odessa', 'no', '', '', '', 'TE33'),
	('KODO', 'small_airport', 'Odessa Schlemeyer Field', 31.920601, -102.387001, 3004, 'US', 'US-TX', 'Odessa', 'no', 'KODO', 'ODT', 'ODO', 'E02, Ector County'),
	('E06', 'small_airport', 'Lea County-Zip Franklin Memorial Airport', 32.95254, -103.40993, 3979, 'US', 'US-NM', 'Lovington', 'no', 'KE06', '', 'E06', ''),
	('63F', 'small_airport', 'Stanton Municipal Airport', 32.17359924316406, -101.8219985961914, 2731, 'US', 'US-TX', 'Stanton', 'no', 'K63F', '', '63F', ''),
	('75TA', 'small_airport', 'Coleman Cattle Company Nr 1 Airport', 32.5343017578125, -101.7249984741211, 2820, 'US', 'US-TX', 'Ackerly', 'no', '75TA', '', '75TA', ''),
	('82TE', 'closed', 'Tarry Bank Airport', 29.691602, -98.707498, 1380, 'US', 'US-TX', 'Leon Springs', 'no', '', '', '', '82TE'),
	('E26', 'small_airport', 'Lea County-Jal Airport', 32.131099700928, -103.1549987793, 3118, 'US', 'US-NM', 'Jal', 'no', 'E26', '', 'E26', ''),
	('58TE', 'closed', 'Mc Nabb Farm Airport', 33.406502, -102.077003, 3315, 'US', 'US-TX', 'Ropesville', 'no', '', '', '', '58TE'),
	('F82', 'small_airport', 'Town & Country Airpark', 33.48559952, -101.8130035, 3200, 'US', 'US-TX', 'Lubbock', 'no', 'KF82', '', 'F82', ''),
	('1TA5', 'small_airport', 'Two Leggs Airport', 32.94179916381836, -103, 3625, 'US', 'US-TX', 'Denver City', 'no', '1TA5', '', '1TA5', ''),
	('5F1', 'small_airport', 'Post Garza County Municipal Airport', 33.201853, -101.337118, 2545, 'US', 'US-TX', 'Post', 'no', 'K5F1', '', '5F1', ''),
	('F97', 'N/A', 'N/A', 32.95458722859621, -102.54018053412437, 1022, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('F98', 'small_airport', 'Yoakum County Airport', 33.21730042, -102.8300018, 3704, 'US', 'US-TX', 'Plains', 'no', 'KF98', '', 'F98', ''),
	('96XA', 'small_airport', 'Gnaws Farm Airport', 31.284444, -103.643889, 2717, 'US', 'US-TX', 'Pecos', 'no', '96XA', '', '96XA', ''),
	('18T', 'small_airport', 'Tatum Airport', 33.2611999512, -103.277000427, 3986, 'US', 'US-NM', 'Tatum', 'no', '18T', '', '18T', 'NM18, E07'),
	('62NM', 'small_airport', 'Seven Rivers Airport', 32.597746, -104.426766, 3360, 'US', 'US-NM', 'Carlsbad', 'no', '62NM', '', '62NM', ''),
	('XS44', 'small_airport', 'Rancho del Cielo Airport', 31.015301, -104.211998, 4408, 'US', 'US-TX', 'Fort Davis', 'no', 'XS44', '', 'XS44', ''),
	('KHOB', 'medium_airport', 'Lea County Regional Airport', 32.6875, -103.217003, 3661, 'US', 'US-NM', 'Hobbs', 'yes', 'KHOB', 'HOB', 'HOB', ''),
	('E01', 'small_airport', 'Roy Hurd Memorial Airport', 31.582500457764, -102.90899658203, 2615, 'US', 'US-TX', 'Monahans', 'no', 'E01', 'MIF', 'E01', ''),
	('NM87', 'small_airport', 'Jenkins Airport', 33.239231, -104.474158, 3600, 'US', 'US-NM', 'Roswell', 'no', 'NM87', '', 'NM87', ''),
	('KLLN', 'small_airport', 'Levelland Municipal Airport', 33.5525016784668, -102.37200164794922, 3514, 'US', 'US-TX', 'Levelland', 'no', 'KLLN', '', 'LLN', ''),
	('49F', 'small_airport', 'Rankin Airport', 31.2274, -101.953003, 2543, 'US', 'US-TX', 'Rankin', 'no', '49F', '', '49F', ''),
	('2TA3', 'small_airport', 'Triangle Ranch Private Airport', 31.718201, -104.598, 4400, 'US', 'US-TX', 'Salt Flat', 'no', '2TA3', '', '2TA3', ''),
	('5TA0', 'small_airport', 'Hamilton Aircraft, Inc Airport', 32.731998443603516, -102.94400024414063, 3520, 'US', 'US-TX', 'Seminole', 'no', '5TA0', '', '5TA0', ''),
	('12XA', 'small_airport', 'Wood Farm Airfield', 32.0393333, -102.3485833, 2950, 'US', 'US-TX', 'Gardendale', 'no', '12XA', '', '12XA', ''),
	('TX31', 'small_airport', 'Edwards Lucian Wells Ranch Airport', 32.074522, -101.565804, 2505, 'US', 'US-TX', 'Big Spring', 'no', 'TX31', '', 'TX31', ''),
	('39TE', 'small_airport', 'Seminole Spraying Service Airport', 32.718200683599996, -102.737998962, 3372, 'US', 'US-TX', 'Seminole', 'no', '39TE', '', '39TE', ''),
	('KCAX', 'N/A', 'N/A', 32.17558588832617, -104.35868829488754, 1095, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('T96', 'small_airport', 'Southwest Lubbock Airport', 33.395581, -102.009458, 3265, 'US', 'US-TX', 'Wolfforth', 'no', '', '', 'T96', '96TS'),
	('E48', 'small_airport', 'Upton County Airport', 31.125099, -102.224998, 2433, 'US', 'US-TX', 'McCamey', 'no', '', '', 'E48', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('E04', 'N/A', 'N/A', 32.456980124115944, -103.23992013931274, 1088, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLUV', 'N/A', 'N/A', 32.75630559772253, -101.92022234201431, 911, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XA77', 'small_airport', 'Benny White Flying Airport', 32.751188, -101.780391, 2943, 'US', 'US-TX', 'Lamesa', 'no', 'XA77', '', 'XA77', ''),
	('3XS8', 'small_airport', 'Ken Ada Ranch Airport', 30.137034, -95.917643, 250, 'US', 'US-TX', 'Waller', 'no', '3XS8', '', '3XS8', ''),
	('01NM', 'small_airport', 'Champion Ranch Airport', 33.008611, -104.540278, 3630, 'US', 'US-NM', 'Lake Arthur', 'no', '01NM', '', '01NM', ''),
	('TX01', 'closed', 'New Home Airport', 33.308399, -101.910004, 3234, 'US', 'US-TX', 'New Home', 'no', '', '', '', 'TX01'),
	('96TS', 'small_airport', 'Southwest Lubbock Airport', 33.395581, -102.009458, 3265, 'US', 'US-TX', 'Wolfforth', 'no', '', '', 'T96', '96TS'),
	('47XS', 'small_airport', 'Bartos Farm Airport', 33.47249984741211, -101.78500366210938, 3153, 'US', 'US-TX', 'Lubbock', 'no', '47XS', '', '47XS', ''),
	('88TA', 'small_airport', 'Figure 2 Ranch Airport', 31.455999, -104.844002, 3700, 'US', 'US-TX', 'Van Horn', 'no', '88TA', '', '88TA', ''),
	('91NM', 'N/A', 'N/A', 33.70628334581852, -104.55164685845375, 1165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KROW', 'medium_airport', 'Roswell Air Center Airport', 33.301601, -104.530998, 3671, 'US', 'US-NM', 'Roswell', 'yes', 'KROW', 'ROW', 'ROW', 'Roswell Army Air Field, Walker Air Force Base'),
	('F85', 'small_airport', 'Cochran County Airport', 33.72930145263672, -102.73400115966797, 3746, 'US', 'US-TX', 'Morton', 'no', 'KF85', '', 'F85', ''),
	('E13', 'small_airport', 'Crane County Airport', 31.415100097699998, -102.362998962, 2552, 'US', 'US-TX', 'Crane', 'no', 'E13', 'CCG', 'E13', ''),
	('KPEQ', 'small_airport', 'Pecos Municipal Airport', 31.382400512695, -103.51100158691, 2613, 'US', 'US-TX', 'Pecos', 'no', 'KPEQ', 'PEQ', 'PEQ', 'Pecos AAF'),
	('2F4', 'small_airport', 'T Bar Airport', 33.176998138427734, -101.81999969482422, 3126, 'US', 'US-TX', 'Tahoka', 'no', 'K2F4', '', '2F4', ''),
	('KMDD', 'small_airport', 'Midland Airpark', 32.0364990234, -102.100997925, 2803, 'US', 'US-TX', 'Midland', 'no', 'KMDD', 'MDD', 'MDD', ''),
	('KGNC', 'small_airport', 'Gaines County Airport', 32.676807, -102.649927, 3315, 'US', 'US-TX', 'Seminole', 'no', 'KGNC', '', 'GNC', '31F'),
	('2TX6', 'small_airport', 'Everitt Airport', 33.681800842285156, -101.66799926757813, 3200, 'US', 'US-TX', 'Idalou', 'no', '2TX6', '', '2TX6', ''),
	('KCNM', 'medium_airport', 'Cavern City Air Terminal', 32.337501525878906, -104.26300048828125, 3295, 'US', 'US-NM', 'Carlsbad', 'yes', 'KCNM', 'CNM', 'CNM', ''),
	('E41', 'small_airport', 'Reagan County Airport', 31.198900222800003, -101.472999573, 2706, 'US', 'US-TX', 'Big Lake', 'no', 'E41', '', 'E41', ''),
	('9XS3', 'closed', 'Macy Ranch Airport', 33.103401, -101.464996, 2870, 'US', 'US-TX', 'Post', 'no', '', '', '', '9XS3, 9XS3, 9XS3'),
	('KBPG', 'small_airport', 'Big Spring Mc Mahon-Wrinkle Airport', 32.212601, -101.522003, 2573, 'US', 'US-TX', 'Big Spring', 'no', 'KBPG', 'HCA', 'BPG', '21XS, T49, Webb AFB, BGS'),
	('E57', 'small_airport', 'Denver City Airport', 32.976466, -102.84231, 3575, 'US', 'US-TX', 'Denver City', 'no', 'KE57', '', 'E57', ''),
	('NM83', 'small_airport', 'Industrial Airpark', 32.7668, -103.209, 3707, 'US', 'US-NM', 'Hobbs', 'no', 'NM83', 'HBB', 'NM83', 'Hobbs Army Airfield, Hobbs Municipal Airport, Crossroads Intercontinental Airport'),
	('KATS', 'small_airport', 'Artesia Municipal Airport', 32.8525009155, -104.468002319, 3541, 'US', 'US-NM', 'Artesia', 'no', 'KATS', 'ATS', 'ATS', ''),
	('KINK', 'medium_airport', 'Winkler County Airport', 31.779600143399996, -103.200996399, 2822, 'US', 'US-TX', 'Wink', 'no', 'KINK', 'INK', 'INK', ''),
	('7T7', 'small_airport', 'Skywest Inc Airport', 31.85849952697754, -102.0739974975586, 2800, 'US', 'US-TX', 'Midland', 'no', 'K7T7', '', '7T7', ''),
	('71TA', 'small_airport', 'Bates Field', 31.8319, -102.2478, 2820, 'US', 'US-TX', 'Odessa', 'no', '71TA', '', '71TA', ''),
	('NM47', 'small_airport', '2x4 Ranch Airport', 32.779012, -104.38028, 3360, 'US', 'US-NM', 'Artesia', 'no', 'NM47', '', 'NM47', '2 x 4'),
	('KVHN', 'small_airport', 'Culberson County Airport', 31.057800292969, -104.78399658203, 3957, 'US', 'US-TX', 'Van Horn', 'no', 'KVHN', 'VHN', 'VHN', ''),
	('7TX7', 'small_airport', 'Ryan Aerodrome', 32.06891, -102.02557, 2740, 'US', 'US-TX', 'Midland', 'no', '7TX7', '', '7TX7', ''),
	('XA49', 'closed', 'Oso Canyon Airport', 29.897575, -101.579628, 1820, 'US', 'US-TX', 'Langtry', 'no', '', '', '', 'XA49'),
	('KSAO', 'N/A', 'N/A', 29.173584133386612, -102.58521437644958, 1241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSAB', 'N/A', 'N/A', 29.639194160699844, -101.89614593982697, 559, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHQ', 'N/A', 'N/A', 29.017814844846725, -102.01343715190887, 1284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCIG', 'N/A', 'N/A', 29.654239676892757, -101.46715566515923, 401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TA64', 'small_airport', 'Persimmon Gap Ranch Airport', 29.700917, -103.15, 2680, 'US', 'US-TX', 'Marathon', 'no', 'TA64', '', 'TA64', ''),
	('21TE', 'small_airport', 'Seaberg Ranch Airport', 30.012699, -94.924103, 68, 'US', 'US-TX', 'Dayton', 'no', '', '', '', '21TE'),
	('48TE', 'small_airport', '4M Ranch Airfield', 30.021, -101.573056, 1824, 'US', 'US-TX', 'Langtry', 'no', '48TE', '', '48TE', ''),
	('T89', 'small_airport', 'Lajitas International Airport', 29.278, -103.686997, 2630, 'US', 'US-TX', 'Lajitas', 'yes', '', '', 'T89', '89TE'),
	('MMNJ', 'N/A', 'N/A', 28.683581091463566, -101.78037241101265, 859, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQQ', 'N/A', 'N/A', 28.193431198596954, -101.55496180057526, 512, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5TE1', 'small_airport', 'Rawls Ranch Airport', 29.65019989013672, -103.94999694824219, 4520, 'US', 'US-TX', 'Marfa', 'no', '5TE1', '', '5TE1', ''),
	('MMHD', 'N/A', 'N/A', 28.342356495559216, -104.51501414179802, 1514, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQH', 'N/A', 'N/A', 28.31071112304926, -102.40258544683456, 1459, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('09TS', 'small_airport', 'Pitcock Rosillos Mountain Ranch Airport', 29.48240089416504, -103.16500091552734, 3100, 'US', 'US-TX', 'Marathon', 'no', '09TS', '', '09TS', ''),
	('3T9', 'small_airport', 'Big Bend Ranch State Park Airport', 29.471037, -103.936899, 4250, 'US', 'US-TX', 'Redford', 'no', '3T9', '', '3T9', '3TE3, 3E3'),
	('KSAG', 'N/A', 'N/A', 28.84777519851923, -102.63581156730652, 1221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCIE', 'N/A', 'N/A', 29.50114119797945, -101.66728153824806, 536, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0TA7', 'small_airport', 'Alta Vista Ranch Airport', 30.153167, -103.89978, 4702, 'US', 'US-TX', 'Marfa', 'no', '0TA7', '', '0TA7', ''),
	('MMOY', 'N/A', 'N/A', 28.34815677255392, -101.67319983243942, 583, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MXNA', 'N/A', 'N/A', 28.56097999960184, -101.67990535497665, 716, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3TA1', 'closed', 'Hunt Ranch Airport', 30.036273, -98.697874, 1600, 'US', 'US-TX', 'Comfort', 'no', '', '', '', '3TA1, Diamond K Ranch'),
	('MMZV', 'N/A', 'N/A', 28.538554050028324, -102.39715307950974, 1311, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TS15', 'small_airport', 'Cibolo Creek Ranch Airport', 29.893564, -104.261207, 4400, 'US', 'US-TX', 'Marfa', 'no', 'TS15', '', 'TS15', ''),
	('6TX9', 'small_airport', 'Stovall Ranch Number 4 Airport', 29.859104, -102.790603, 3010, 'US', 'US-TX', 'Marathon', 'no', '6TX9', '', '6TX9', ''),
	('MMZG', 'N/A', 'N/A', 28.78122691065073, -101.30076885223389, 455, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4TE4', 'small_airport', 'Taurus Mesa Airport', 29.62316, -103.684646, 3576, 'US', 'US-TX', 'Alpine', 'no', '4TE4', '', '4TE4', ''),
	('1XS7', 'closed', 'Heath Canyon Airport', 29.450697, -102.833447, 1857, 'US', 'US-TX', 'Terlingua', 'no', '', '', '', '1XS7'),
	('48XS', 'small_airport', 'Maravillas Gap Ranch Airport', 29.926599502563477, -103.29499816894531, 3325, 'US', 'US-TX', 'Marathon', 'no', '48XS', '', '48XS', ''),
	('2TE8', 'closed', 'Wagner-Braxdale Airport', 28.678992, -99.800234, 570, 'US', 'US-TX', 'Crystal City', 'no', '', '', '', '2TE8, 2TE8, 2TE8'),
	('3TE8', 'small_airport', 'Terlingua Airport', 29.319401, -103.584, 2717, 'US', 'US-TX', 'Terlingua', 'no', '3TE8', '', '3TE8', ''),
	('KFOV', 'N/A', 'N/A', 30.890801064670086, -103.73059451580048, 1110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMH', 'N/A', 'N/A', 28.555253483355045, -102.05838426947594, 816, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPRS', 'small_airport', 'Presidio Lely International Airport', 29.634212, -104.361493, 0, 'US', 'US-TX', 'Presidio', 'no', 'KPRS', '', 'PRS', ''),
	('XA95', 'small_airport', 'Candelaria Airport', 30.14940071105957, -104.68299865722656, 2913, 'US', 'US-TX', 'Candelaria', 'no', 'XA95', '', 'XA95', ''),
	('KFST', 'medium_airport', 'Fort Stockton Pecos County Airport', 30.9157009125, -102.916000366, 3011, 'US', 'US-TX', 'Fort Stockton', 'no', 'KFST', 'FST', 'FST', 'Gibbs Field, Fort Stockton Field'),
	('3TE4', 'small_airport', 'Hot Springs Airport', 30.008801, -104.665001, 3071, 'US', 'US-TX', 'Presidio', 'no', '3TE4', '', '3TE4', ''),
	('KSAH', 'N/A', 'N/A', 29.177951775491238, -102.91125744581223, 601, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSAJ', 'N/A', 'N/A', 28.942273780703545, -102.39300012588501, 1320, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZR', 'N/A', 'N/A', 28.858582489192486, -101.87416702508926, 1024, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSAE', 'N/A', 'N/A', 29.025978483259678, -102.39680305123329, 1170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMYT', 'N/A', 'N/A', 28.614341877400875, -102.09255829453468, 850, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPRR', 'N/A', 'N/A', 29.11806844174862, -103.9136615395546, 1097, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCIA', 'N/A', 'N/A', 29.638873301446438, -101.47082582116127, 412, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRG', 'N/A', 'N/A', 28.21604423224926, -101.87652289867401, 751, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6R6', 'small_airport', 'Terrell County Airport', 30.046, -102.212997, 2322, 'US', 'US-TX', 'Dryden', 'no', 'K6R6', '', '6R6', ''),
	('2F0', 'small_airport', 'Iraan Municipal Airport', 30.9057006836, -101.891998291, 2200, 'US', 'US-TX', 'Iraan', 'no', '', 'IRB', '2F0', ''),
	('46TE', 'closed', '02 Ranch Airport', 29.873373, -103.702656, 3799, 'US', 'US-TX', 'Alpine', 'no', '', '', '', 'E46, 46TE'),
	('KFOB', 'N/A', 'N/A', 30.876152515411377, -103.75151708722115, 1190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSAI', 'N/A', 'N/A', 29.70363389700651, -102.13800609111786, 521, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZB', 'N/A', 'N/A', 28.565454930067062, -101.25025749206543, 494, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('09TX', 'small_airport', 'Smokey Mountain Ranch Airport', 30.737626, -102.02332, 2522, 'US', 'US-TX', 'Sheffield', 'no', '09TX', '', '09TX', ''),
	('MMMR', 'N/A', 'N/A', 28.635614477097988, -102.22311437129974, 954, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5TE5', 'small_airport', 'Iron Mountain Ranch Airport', 30.266235, -103.23349, 4313, 'US', 'US-TX', 'Marathon', 'no', '5TE5', '', '5TE5', ''),
	('9TX9', 'small_airport', 'Canon Ranch Airport', 30.748199462890625, -101.96499633789063, 2380, 'US', 'US-TX', 'Sheffield', 'no', '9TX9', '', '9TX9', ''),
	('MMFP', 'N/A', 'N/A', 29.41441498696804, -101.39766097068787, 407, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6TE2', 'closed', 'Zimmerle Airport', 32.270401, -99.5979, 2057, 'US', 'US-TX', 'Abilene', 'no', '', '', '', '6F2, 6TE2'),
	('MMYF', 'N/A', 'N/A', 28.93951077014208, -104.64409679174423, 1203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCIT', 'N/A', 'N/A', 29.84874475747347, -101.29049196839333, 475, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMRF', 'small_airport', 'Marfa Municipal Airport', 30.369593, -104.015893, 4849, 'US', 'US-TX', 'Marfa', 'no', 'KMRF', 'MRF', 'MRF', ''),
	('KSAK', 'N/A', 'N/A', 29.639253839850426, -101.7590819299221, 485, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('32TX', 'small_airport', 'Hinson Airport', 30.0580997467041, -96.35919952392578, 365, 'US', 'US-TX', 'Kenney', 'no', '32TX', '', '32TX', ''),
	('0TA3', 'closed', 'Tate Ranch Airport', 30.303817, -102.137403, 2650, 'US', 'US-TX', 'Dryden', 'no', '', '', '', '0TA3'),
	('MMRA', 'N/A', 'N/A', 28.231053203344345, -102.56778314709663, 1256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E38', 'small_airport', 'Alpine Casparis Municipal Airport', 30.384199, -103.683998, 4515, 'US', 'US-TX', 'Alpine', 'no', 'KE38', 'ALE', 'E38', ''),
	('MMZA', 'N/A', 'N/A', 28.59076425433159, -101.61301329731941, 738, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRH', 'N/A', 'N/A', 28.837834931910038, -101.99590846896172, 1090, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQV', 'N/A', 'N/A', 28.409674242138863, -102.61429399251938, 1298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1E2', 'small_airport', 'Terlingua Ranch Airport', 29.451289, -103.397754, 3769, 'US', 'US-TX', 'Alpine', 'no', 'K1E2', '', '1E2', ''),
	('92TE', 'small_airport', 'Chaney San Francisco Ranch Airport', 29.967377, -102.942183, 3250, 'US', 'US-TX', 'Marathon', 'no', '92TE', '', '92TE', ''),
	('16TA', 'small_airport', 'Seven Springs Airport', 30.919701, -103.782997, 3500, 'US', 'US-TX', 'Balmorhea', 'no', '16TA', '', '16TA', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMRK', 'N/A', 'N/A', 28.764404766261578, -101.93476840853691, 966, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('93TE', 'small_airport', 'Mayhew Ranch Number 1 Airport', 29.809601, -102.907997, 2783, 'US', 'US-TX', 'Marathon', 'no', '93TE', '', '93TE', ''),
	('MMMO', 'N/A', 'N/A', 28.101291954517365, -102.19667091965675, 1136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM82', 'small_airport', 'Laguna Del Rey Airport', 27.0238, -103.375, 3450, 'MX', 'MX-COA', '', 'no', '', '', 'LRY', 'MM82'),
	('MMRD', 'N/A', 'N/A', 25.758121199905872, -104.43376645445824, 1833, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM37', 'small_airport', 'San Lorenzo Airport', 25.506038, -102.202003, 4498, 'MX', 'MX-COA', 'Parras de La Fuente', 'no', '', '', 'PAS', 'MM37, Casa Madero'),
	('MM42', 'small_airport', 'Múzquiz Airport', 27.8563, -101.526001, 1722, 'MX', 'MX-COA', 'Múzquiz', 'no', 'MM42', '', 'MUZ', 'Aeródromo de Múzquiz'),
	('MM83', 'N/A', 'N/A', 25.766876935958862, -104.66696664690971, 1861, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMV', 'medium_airport', 'Monclova International Airport', 26.9557, -101.470001, 1864, 'MX', 'MX-COA', 'Monclova', 'no', 'MMMV', 'LOV', 'MOV', ''),
	('MMXI', 'N/A', 'N/A', 26.045963130891323, -104.86598521471024, 1950, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRY', 'N/A', 'N/A', 25.792695209383965, -104.33052375912666, 1788, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRM', 'N/A', 'N/A', 27.95619148761034, -102.06656634807587, 1052, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQD', 'N/A', 'N/A', 26.262767426669598, -102.1227478981018, 1522, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMW', 'N/A', 'N/A', 27.98217471688986, -102.0944894850254, 1007, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NMX', 'small_airport', 'Nuevo Mexico Airport', 26.533098, -104.226952, 3281, 'MX', 'MX-DUR', 'Mapimí', 'no', '', '', 'NMX', ''),
	('MMQI', 'N/A', 'N/A', 25.561061315238476, -104.28436562418938, 1659, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHL', 'N/A', 'N/A', 27.516084238886833, -104.1577810049057, 1431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM64', 'small_airport', 'Aeródromo de Cuatro Ciénegas', 26.9904, -102.032997, 2450, 'MX', 'MX-COA', 'Cuatro Cienegas de Carranza', 'no', 'MM64', '', 'CUC', 'Cuatro Cienegas New Airport'),
	('VRO', 'small_airport', 'Valle del Rosario Airport', 26.335639, -101.545, 4180, 'MX', 'MX-COA', 'Cuatro Cienegas', 'no', '', '', 'VRO', ''),
	('MMUY', 'N/A', 'N/A', 25.776991210877895, -102.95664846897125, 1101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZE', 'N/A', 'N/A', 27.125576063990593, -104.9539889395237, 1388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM68', 'small_airport', 'Mina Hercules Airport', 28.0366, -103.771004, 4635, 'MX', 'MX-COA', 'Sierra Mojada', 'no', 'MM68', '', 'HRC', ''),
	('MMZK', 'N/A', 'N/A', 28.008032888174057, -102.17766165733337, 1227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZU', 'N/A', 'N/A', 25.89914806187153, -103.98921489715576, 1356, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOC', 'N/A', 'N/A', 27.380486838519573, -104.88007485866547, 1309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z22T', 'N/A', 'N/A', 27.4922638759017, -104.70009237527847, 1418, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKX', 'N/A', 'N/A', 26.39492154121399, -101.78630322217941, 1220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFC', 'N/A', 'N/A', 25.468238443136215, -103.34766626358032, 1130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM16', 'small_airport', 'General Jesús Agustín Castro Airport', 25.526501, -103.517997, 3720, 'MX', 'MX-DUR', 'Ciudad Lerdo', 'no', 'MM16', '', 'LDD', ''),
	('MMJW', 'N/A', 'N/A', 25.530363768339157, -103.29577580094337, 1118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTC', 'medium_airport', 'Francisco Sarabia Tinoco International Airport', 25.5683, -103.411003, 3688, 'MX', 'MX-COA', 'Torreón', 'yes', 'MMTC', 'TRC', '', ''),
	('MMVQ', 'N/A', 'N/A', 22.694185227155685, -104.62100699543953, 985, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDP', 'N/A', 'N/A', 24.635342471301556, -101.79655864834785, 1693, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWA', 'N/A', 'N/A', 24.5633452758193, -103.03206324577332, 1724, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXT', 'N/A', 'N/A', 23.92810631543398, -104.58047837018967, 1889, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDC', 'N/A', 'N/A', 24.686133451759815, -101.4248737692833, 1877, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHJ', 'N/A', 'N/A', 23.00002746284008, -104.29397106170654, 2715, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z23F', 'N/A', 'N/A', 23.083237297832966, -104.5452806353569, 1948, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM96', 'N/A', 'N/A', 23.350616320967674, -104.24341946840286, 2511, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVD', 'N/A', 'N/A', 23.824533484876156, -101.78729966282845, 2089, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM11', 'small_airport', 'El Durangueño Airport', 24.418301, -104.886001, 8202, 'MX', 'MX-DUR', 'Canatlan', 'no', '', '', 'DAG', 'MM11, Rancho El Durangueno Airport'),
	('MMWN', 'N/A', 'N/A', 22.525936625897884, -104.49773982167244, 607, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZC', 'medium_airport', 'Aeropuerto Internacional General Leobardo C. Ruiz', 22.8971, -102.686996, 7141, 'MX', 'MX-ZAC', 'Zacatecas', 'yes', 'MMZC', 'ZCL', '', 'Zacatecas International Airport'),
	('MMRT', 'N/A', 'N/A', 25.197913348674774, -104.57792535424232, 1368, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDO', 'large_airport', 'Aeropuerto Internacional General Guadalupe Victoria', 24.125908, -104.533904, 6104, 'MX', 'MX-DUR', 'Ciudad de Durango', 'yes', 'MMDO', 'DGO', '', ''),
	('MMDV', 'N/A', 'N/A', 23.808342665433884, -101.40963166952133, 2152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9D1', 'small_airport', 'Gregory Municipal Airport - Flynn Field', 43.22169876, -99.40329742, 2168, 'US', 'US-SD', 'Gregory', 'no', '9D1', '', '9D1', ''),
	('9D0', 'small_airport', 'Highmore Municipal Airport', 44.540589, -99.450807, 1854, 'US', 'US-SD', 'Highmore', 'no', '9D0', '', '9D0', ''),
	('8F6', 'small_airport', 'Murdo Municipal Airport', 43.8517, -100.711998, 2263, 'US', 'US-SD', 'Murdo', 'no', '', '', '8F6', 'SD32'),
	('6K3', 'small_airport', 'Creighton Municipal Airport', 42.471346, -97.884295, 1654, 'US', 'US-NE', 'Creighton', 'no', '6K3', '', '6K3', ''),
	('KGES', 'N/A', 'N/A', 44.95172526687384, -99.70080524682999, 594, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8V2', 'small_airport', 'Stuart Atkinson Municipal Airport', 42.561742, -99.038444, 2130, 'US', 'US-NE', 'Atkinson', 'no', '8V2', '', '8V2', ''),
	('KEAE', 'N/A', 'N/A', 44.65961325913668, -101.14067316055298, 635, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBUT', 'N/A', 'N/A', 42.75870859622955, -98.59862118959427, 512, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SD56', 'closed', 'Ralph Myers Airport', 44.8666, -99.617104, 1900, 'US', 'US-SD', 'Onida', 'no', '', '', '', 'SD56'),
	('SD01', 'small_airport', 'MJ Aviation I Airport', 43.89971, -98.11102, 1305, 'US', 'US-SD', 'Letcher', 'no', 'SD01', '', 'SD01', ''),
	('KKEC', 'N/A', 'N/A', 43.91430113464594, -99.77051138877869, 533, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6A6', 'small_airport', 'Kimball Municipal Airport', 43.756356, -98.979821, 1755, 'US', 'US-SD', 'Kimball', 'no', '', '', '6A6', 'SD27'),
	('KANW', 'small_airport', 'Ainsworth Regional Airport', 42.579201, -99.992995, 2589, 'US', 'US-NE', 'Ainsworth', 'no', 'KANW', 'ANW', 'ANW', 'Ainsworth Municipal'),
	('2SD4', 'small_airport', 'Nicolaisen Airport', 43.68253, -98.26607, 1440, 'US', 'US-SD', 'Mount Vernon', 'no', '2SD4', '', '2SD4', ''),
	('KVTN', 'medium_airport', 'Miller Field', 42.856211, -100.549192, 2596, 'US', 'US-NE', 'Valentine', 'no', 'KVTN', 'VTN', 'VTN', 'Valentine Municipal Airport'),
	('D65', 'small_airport', 'Corsica Municipal Airport', 43.43344, -98.39879, 1579, 'US', 'US-SD', 'Corsica', 'no', 'D65', '', 'D65', ''),
	('SD75', 'closed', 'Livingston Airport', 43.590691, -98.451626, 1641, 'US', 'US-SD', 'Stickney', 'no', '', '', '', 'SD75'),
	('KSUO', 'small_airport', 'Rosebud Sioux Tribal Airport', 43.2585, -100.85952, 2724, 'US', 'US-SD', 'Rosebud', 'no', 'KSUO', '', 'SUO', ''),
	('9V1', 'small_airport', 'Springview Municipal Airport', 42.828802, -99.739846, 2446, 'US', 'US-NE', 'Springview', 'no', '9V1', '', '9V1', ''),
	('SD97', 'small_airport', 'Oller Airport', 43.87779998779297, -100.36199951171875, 2100, 'US', 'US-SD', 'Vivian', 'no', 'SD97', '', 'SD97', ''),
	('3NE6', 'closed', 'Burkinshaw Field', 42.969311, -99.268346, 2200, 'US', 'US-NE', 'Jamison', 'no', '', '', '', '3NE6'),
	('18SD', 'small_airport', 'Lost Creek Airport', 44.702429, -99.070351, 1550, 'US', 'US-SD', 'Miller', 'no', '18SD', '', '18SD', ''),
	('KHON', 'medium_airport', 'Huron Regional Airport', 44.385201, -98.2285, 1289, 'US', 'US-SD', 'Huron', 'no', 'KHON', 'HON', 'HON', ''),
	('8D8', 'small_airport', 'Lake Andes Municipal Airport', 43.14799880981445, -98.54039764404297, 1475, 'US', 'US-SD', 'Lake Andes', 'no', '8D8', '', '8D8', ''),
	('SD14', 'small_airport', 'Valburg Ranch Airport', 43.733299255371094, -100.39800262451172, 1688, 'US', 'US-SD', 'Draper', 'no', 'SD14', '', 'SD14', ''),
	('84Y', 'small_airport', 'Bloomfield Municipal Airport', 42.57878, -97.672739, 1673, 'US', 'US-NE', 'Bloomfield', 'no', '84Y', '', '84Y', ''),
	('KPIR', 'medium_airport', 'Pierre Regional Airport', 44.38270187, -100.2860031, 1744, 'US', 'US-SD', 'Pierre', 'yes', 'KPIR', 'PIR', 'PIR', ''),
	('8D9', 'small_airport', 'Howard Municipal Airport', 44.02909851074219, -97.53780364990234, 1582, 'US', 'US-SD', 'Howard', 'no', '8D9', '', '8D9', ''),
	('SD93', 'small_airport', 'Gary Myers Airport', 44.864200592041016, -99.60639953613281, 1930, 'US', 'US-SD', 'Gettysburg', 'no', 'SD93', '', 'SD93', ''),
	('KONL', 'small_airport', 'O''Neill Municipal Airport–John L Baker Field', 42.468916, -98.686989, 2031, 'US', 'US-NE', 'O''Neill', 'no', 'KONL', 'ONL', 'ONL', ''),
	('31NE', 'small_airport', 'Grimm Farm Airport', 42.755001068115234, -97.7051010131836, 1670, 'US', 'US-NE', 'Crofton', 'no', '31NE', '', '31NE', ''),
	('SD61', 'small_airport', 'Plihal Farms Airport', 43.01019, -97.866235, 1435, 'US', 'US-SD', 'Tyndall', 'no', 'SD61', '', 'SD61', ''),
	('SD13', 'small_airport', 'Hofer Private Airport', 44.86712, -98.07396, 1368, 'US', 'US-SD', 'Doland', 'no', 'SD13', '', 'SD13', ''),
	('SD44', 'small_airport', 'Cook Field', 43.783553, -99.255295, 1678, 'US', 'US-SD', 'Chamberlain', 'no', '', '', 'SD44', ''),
	('KICR', 'small_airport', 'Winner Regional Airport', 43.390202, -99.842102, 2033, 'US', 'US-SD', 'Winner', 'no', 'KICR', '', 'ICR', 'Formerly KSFD, Formerly Bob Wiley Field'),
	('KGET', 'N/A', 'N/A', 44.909496903419495, -99.71942961215973, 569, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMHE', 'small_airport', 'Mitchell Municipal Airport', 43.774799346900004, -98.03859710690001, 1304, 'US', 'US-SD', 'Mitchell', 'no', 'KMHE', 'MHE', 'MHE', 'Mitchell AAF'),
	('36NE', 'small_airport', 'Frevert Airstrip', 42.51412, -97.581071, 1800, 'US', 'US-NE', 'Wausa', 'no', '36NE', '', '36NE', ''),
	('KAGZ', 'small_airport', 'Wagner Municipal Airport', 43.064913, -98.296654, 1475, 'US', 'US-SD', 'Wagner', 'no', 'KAGZ', '', 'AGZ', ''),
	('SD21', 'small_airport', 'Hayes Emergency Airstrip', 44.374891, -101.01425, 1986, 'US', 'US-SD', 'Hayes', 'no', 'SD21', '', 'SD21', 'Sherer Spray Service'),
	('SD83', 'small_airport', 'Lee Airport', 44.215599060058594, -97.60749816894531, 1555, 'US', 'US-SD', 'De Smet', 'no', 'SD83', '', 'SD83', ''),
	('6E5', 'small_airport', 'Wilder Airport', 44.433033, -97.558207, 1729, 'US', 'US-SD', 'Desmet', 'no', '6E5', '', '6E5', 'SD12'),
	('SD57', 'small_airport', 'W L Thompson Airport', 44.56660079956055, -100.75, 2113, 'US', 'US-SD', 'Pierre', 'no', 'SD57', '', 'SD57', ''),
	('SD81', 'small_airport', 'Vivian Airport', 43.931400299072266, -100.31500244140625, 1920, 'US', 'US-SD', 'Vivian', 'no', 'SD81', '', 'SD81', ''),
	('98D', 'small_airport', 'Onida Municipal Airport', 44.700802, -100.100998, 1874, 'US', 'US-SD', 'Onida', 'no', '98D', '', '98D', ''),
	('SD50', 'small_airport', 'Harrold Municipal Airport', 44.530899, -99.747498, 1787, 'US', 'US-SD', 'Harrold', 'no', 'SD50', '', 'SD50', ''),
	('NE51', 'closed', 'Kohles Airport', 40.657203, -96.757797, 1320, 'US', 'US-NE', 'Martell', 'no', '', '', '', 'NE51'),
	('KPLL', 'N/A', 'N/A', 43.5478101298213, -98.86343255639076, 492, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCHR', 'N/A', 'N/A', 43.959996588528156, -99.11214128136635, 479, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1SD5', 'small_airport', 'Drake Farm Airport', 43.76860046386719, -98.79869842529297, 1659, 'US', 'US-SD', 'White Lake', 'no', '1SD5', '', '1SD5', ''),
	('SD55', 'small_airport', 'Winter Airfield', 44.315845, -98.279141, 1323, 'US', 'US-SD', 'Huron', 'no', 'SD55', '', 'SD55', ''),
	('0V6', 'N/A', 'N/A', 43.307235427200794, -100.62915667891502, 790, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1D8', 'small_airport', 'Redfield Municipal Airport', 44.856176, -98.531284, 1307, 'US', 'US-SD', 'Redfield', 'no', '1D8', '', '1D8', ''),
	('SD42', 'closed', 'Waltner & Richards Airport', 43.566469, -97.538107, 1403, 'US', 'US-SD', 'Bridgewater', 'no', '', '', '', 'SD42'),
	('KFOP', 'N/A', 'N/A', 44.61615040898323, -100.79370483756065, 631, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('88Y', 'N/A', 'N/A', 42.20032799988985, -98.73801156878471, 647, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8D7', 'small_airport', 'Clark County Airport', 44.895515, -97.712273, 1792, 'US', 'US-SD', 'Clark', 'no', 'K8D7', '', '8D7', ''),
	('5P5', 'small_airport', 'Presho Municipal Airport', 43.906016, -100.03686, 1760, 'US', 'US-SD', 'Presho', 'no', '5P5', '', '5P5', 'SD34'),
	('KWIR', 'N/A', 'N/A', 43.59347775578499, -99.88455533981323, 555, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPLA', 'N/A', 'N/A', 43.7164992839098, -98.58823165297508, 483, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9V9', 'small_airport', 'Chamberlain Municipal Airport', 43.7661018371582, -99.32129669189453, 1695, 'US', 'US-SD', 'Chamberlain', 'no', 'K9V9', '', '9V9', ''),
	('83NE', 'closed', 'Abbott Airport', 42.322943, -99.755845, 2560, 'US', 'US-NE', 'Long Pine', 'no', '', '', '', '83NE'),
	('KKEB', 'N/A', 'N/A', 43.788313418626785, -100.01736581325531, 559, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NE81', 'small_airport', 'Huffy''s Airport', 42.881487, -98.655762, 1690, 'US', 'US-NE', 'Spencer', 'no', 'NE81', '', 'NE81', ''),
	('KFOH', 'N/A', 'N/A', 44.06903374940157, -99.46436136960983, 449, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NE06', 'small_airport', 'Woolf Brothers Airport', 42.826639, -98.422323, 1395, 'US', 'US-NE', 'Lynch', 'no', 'NE06', '', 'NE06', ''),
	('KEAB', 'N/A', 'N/A', 44.71197500824928, -100.8311516046524, 608, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCHC', 'closed', 'Wauseon Airport', 41.53860092163086, -84.13310241699219, 751, 'US', 'US-OH', 'Wauseon', 'no', '', '', '', 'KCHC, KCHC, CHC'),
	('SD89', 'N/A', 'N/A', 43.7710751965642, -99.20831009745598, 495, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRBE', 'small_airport', 'Rock County Airport', 42.569698, -99.568398, 2349, 'US', 'US-NE', 'Bassett', 'no', 'KRBE', '', 'RBE', ''),
	('8V3', 'small_airport', 'Parkston Municipal Airport', 43.377579, -97.989848, 1415, 'US', 'US-SD', 'Parkston', 'no', '8V3', '', '8V3', 'SD33'),
	('7Q7', 'small_airport', 'White River Municipal Airport', 43.560802, -100.743642, 2151, 'US', 'US-SD', 'White River', 'no', 'K7Q7', '', '7Q7', ''),
	('1NE0', 'small_airport', 'Higgins Bros Airport', 42.31669998168945, -100.41699981689453, 2860, 'US', 'US-NE', 'Brownlee', 'no', '1NE0', '', '1NE0', ''),
	('KMKA', 'small_airport', 'Miller Municipal Airport', 44.5252, -98.958099, 1569, 'US', 'US-SD', 'Miller', 'no', 'KMKA', 'MKA', 'MKA', ''),
	('4X4', 'small_airport', 'Wessington Springs Airport', 44.061881, -98.532193, 1546, 'US', 'US-SD', 'Wessington Springs', 'no', '4X4', '', '4X4', ''),
	('KVAL', 'N/A', 'N/A', 43.050040416419506, -100.14688298106194, 737, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1D3', 'small_airport', 'Platte Municipal Airport', 43.404665, -98.830453, 1618, 'US', 'US-SD', 'Platte', 'no', '1D3', '', '1D3', ''),
	('SD78', 'small_airport', 'Anderson Aerial Spraying Airport', 43.9015007019043, -99.87889862060547, 1750, 'US', 'US-SD', 'Kennebec', 'no', 'SD78', '', 'SD78', ''),
	('95NE', 'closed', 'W Meeks Ranch Airport', 41.992802, -99.455399, 2335, 'US', 'US-NE', 'Taylor', 'no', '', '', '', '95NE'),
	('1SD1', 'small_airport', 'Burke Field', 43.165401458740234, -97.73090362548828, 1352, 'US', 'US-SD', 'Scotland', 'no', '1SD1', '', '1SD1', ''),
	('0D8', 'small_airport', 'Gettysburg Municipal Airport', 44.986698, -99.952797, 2062, 'US', 'US-SD', 'Gettysburg', 'no', 'K0D8', '', '0D8', ''),
	('2SD2', 'small_airport', 'Pepper Port Airport', 43.105801, -98.930397, 1965, 'US', 'US-SD', 'Bonesteel', 'no', '2SD2', '', '2SD2', ''),
	('Y03', 'small_airport', 'Springfield Municipal Airport', 42.881353, -97.901044, 1324, 'US', 'US-SD', 'Springfield', 'no', 'Y03', '', 'Y03', ''),
	('37V', 'small_airport', 'Arapahoe Municipal Airport', 40.341576, -99.907839, 2270, 'US', 'US-NE', 'Arapahoe', 'no', '', 'AHF', '37V', ''),
	('KHLC', 'small_airport', 'Hill City Municipal Airport', 39.37879944, -99.83149719, 2238, 'US', 'US-KS', 'Hill City', 'no', 'KHLC', 'HLC', 'HLC', ''),
	('KTIF', 'small_airport', 'Thomas County Airport', 41.962682, -100.57038, 2925, 'US', 'US-NE', 'Thedford', 'no', 'KTIF', '', 'TIF', ''),
	('KTKO', 'small_airport', 'Mankato Airport', 39.804953, -98.220606, 1859, 'US', 'US-KS', 'Mankato', 'no', 'KTKO', '', 'TKO', 'Mankato Regional'),
	('5NE3', 'small_airport', 'Diamond Bar Jones Airport', 41.488296, -100.487523, 2900, 'US', 'US-NE', 'Stapleton', 'no', '5NE3', '', '5NE3', ''),
	('4NE1', 'small_airport', 'McMillan Ranch Airport', 41.752298, -99.755487, 2500, 'US', 'US-NE', 'Milburn', 'no', '4NE1', '', '4NE1', ''),
	('6KS2', 'small_airport', 'Stevenson Private Airport', 39.44173, -100.62736, 2940, 'US', 'US-KS', 'Selden', 'no', '6KS2', '', '6KS2', ''),
	('8K6', 'N/A', 'N/A', 39.50268421322107, -98.44506874680519, 451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NE21', 'small_airport', 'Clyde Airfield', 40.286401, -99.593554, 2250, 'US', 'US-NE', 'Oxford', 'no', 'NE21', '', 'NE21', ''),
	('KMCK', 'medium_airport', 'McCook Ben Nelson Regional Airport', 40.207787, -100.592794, 2583, 'US', 'US-NE', 'McCook', 'yes', 'KMCK', 'MCK', 'MCK', ''),
	('0NE6', 'small_airport', 'Frager Field', 40.43330001831055, -98.07060241699219, 1765, 'US', 'US-NE', 'Fairfield', 'no', '0NE6', '', '0NE6', ''),
	('SN49', 'closed', 'Mc Collough Airfield', 39.68528, -97.970881, 1465, 'US', 'US-KS', 'Randall', 'no', '', '', '', 'SN49'),
	('9NE8', 'small_airport', 'Brosius Field', 41.400055, -100.478296, 3010, 'US', 'US-NE', 'Stapleton', 'no', '9NE8', '', '9NE8', ''),
	('KSMM', 'N/A', 'N/A', 39.7890492528677, -99.04128938913345, 551, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('11K', 'small_airport', 'Squadron Field', 37.4611, -95.242088, 947, 'US', 'US-KS', 'Erie', 'no', '', '', '11K', '11KS'),
	('KEAR', 'medium_airport', 'Kearney Regional Airport', 40.727001, -99.006798, 2131, 'US', 'US-NE', 'Kearney', 'yes', 'KEAR', 'EAR', 'EAR', ''),
	('85NE', 'small_airport', 'Meyers Freedom Flight Hardy Airport', 40.02080154418945, -97.94200134277344, 1624, 'US', 'US-NE', 'Hardy', 'no', '85NE', '', '85NE', ''),
	('KNRN', 'small_airport', 'Norton Municipal Airport', 39.850399017333984, -99.89469909667969, 2383, 'US', 'US-KS', 'Norton', 'no', 'KNRN', '', 'NRN', ''),
	('8NE9', 'small_airport', 'C A M P Airport', 41.39030075073242, -97.9645004272461, 1675, 'US', 'US-NE', 'Fullerton', 'no', '8NE9', '', '8NE9', ''),
	('19NE', 'small_airport', 'Hoyt Airport', 40.108299255371094, -100.80899810791016, 2707, 'US', 'US-NE', 'Mc Cook/Culbertson', 'no', '19NE', '', '19NE', ''),
	('63NE', 'N/A', 'N/A', 40.615969598293304, -99.63927626609802, 755, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0P1', 'small_airport', 'Van Pak Airport', 39.83213, -99.568784, 2213, 'US', 'US-KS', 'Prairie View', 'no', '0P1', '', '0P1', ''),
	('43NE', 'small_airport', 'Onion Crest Airpark', 40.76593, -99.154783, 2205, 'US', 'US-NE', 'Kearney', 'no', '43NE', '', '43NE', ''),
	('30NE', 'small_airport', 'Nebraskaland Aviation Airport', 40.355803, -98.685817, 2000, 'US', 'US-NE', 'Campbell', 'no', '30NE', '', '30NE', 'Rs Ag-Land Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('71NE', 'small_airport', 'Neben Airport', 41.03559875488281, -99.82980346679688, 2615, 'US', 'US-NE', 'Oconto', 'no', '71NE', '', '71NE', ''),
	('47V', 'small_airport', 'Curtis Municipal Airport', 40.639987, -100.474547, 2678, 'US', 'US-NE', 'Curtis', 'no', '47V', '', '47V', ''),
	('SN51', 'closed', 'Meitl Airport', 39.589699, -100.428001, 2725, 'US', 'US-KS', 'Dresden', 'no', '', '', '', 'SN51'),
	('29NE', 'closed', 'Bartmess Airport', 40.760347, -101.179371, 3150, 'US', 'US-NE', 'Wallace', 'no', '', '', '', '29NE'),
	('KBEB', 'N/A', 'N/A', 39.822376035153866, -97.52278715372086, 492, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NE29', 'small_airport', 'Cavanaugh Airport', 40.51390075683594, -99.01200103759766, 2175, 'US', 'US-NE', 'Minden', 'no', 'NE29', '', 'NE29', ''),
	('NE04', 'small_airport', 'Ely Airport', 40.092322, -98.347662, 1743, 'US', 'US-NE', 'Guide Rock', 'no', 'NE04', '', 'NE04', ''),
	('32NE', 'small_airport', 'Mc Ginn Ranch Airport', 41.7210998535, -100.087997437, 2758, 'US', 'US-NE', 'Dunning', 'no', '32NE', '', '32NE', ''),
	('56NE', 'small_airport', 'Noble Field', 41.032798767089844, -98.81199645996094, 1967, 'US', 'US-NE', 'Ravenna', 'no', '56NE', '', '56NE', ''),
	('KHJH', 'small_airport', 'Hebron Municipal Airport', 40.151884, -97.583953, 1466, 'US', 'US-NE', 'Hebron', 'no', 'KHJH', '', 'HJH', ''),
	('NE86', 'small_airport', 'Traudt Airport', 40.66559982299805, -97.86979675292969, 1725, 'US', 'US-NE', 'Sutton', 'no', 'NE86', '', 'NE86', ''),
	('9KS4', 'small_airport', 'Rose Port Inc Airport', 39.636395, -98.359802, 1500, 'US', 'US-KS', 'Ionia', 'no', '9KS4', '', '9KS4', 'Rose Pork Inc Airport'),
	('KBVN', 'small_airport', 'Albion Municipal Airport', 41.7286, -98.055801, 1806, 'US', 'US-NE', 'Albion', 'no', 'KBVN', '', 'BVN', ''),
	('7NE6', 'small_airport', 'Merchant Homestead Airport', 41.01110076904297, -97.8114013671875, 1700, 'US', 'US-NE', 'Polk', 'no', '7NE6', '', '7NE6', ''),
	('KAUH', 'small_airport', 'Aurora Municipal Al Potter Field', 40.8941, -97.994598, 1803, 'US', 'US-NE', 'Aurora', 'no', 'KAUH', '', 'AUH', ''),
	('64V', 'small_airport', 'Wallace Municipal Airport', 40.831947, -101.164512, 3101, 'US', 'US-NE', 'Wallace', 'no', 'K64V', '', '64V', ''),
	('6NE7', 'small_airport', 'Lee Field', 40.24440002441406, -100.33799743652344, 2450, 'US', 'US-NE', 'Bartley', 'no', '6NE7', '', '6NE7', ''),
	('21NE', 'closed', 'Byron Airport', 40.0042, -97.773102, 1670, 'US', 'US-NE', 'Byron', 'no', '', '', '', '21NE'),
	('9NE4', 'small_airport', 'Johnston Field', 41.70330047607422, -97.74449920654297, 1800, 'US', 'US-NE', 'Lindsay', 'no', '9NE4', '', '9NE4', ''),
	('KADT', 'small_airport', 'Atwood-Rawlins City-County Airport', 39.841209, -101.043248, 2991, 'US', 'US-KS', 'Atwood', 'no', 'KADT', '', 'ADT', ''),
	('7KS8', 'closed', 'Shaw Aerial Spraying Airport', 39.830601, -100.581001, 2700, 'US', 'US-KS', 'Oberlin', 'no', '', '', '', '7KS8'),
	('KCBK', 'small_airport', 'Shalz Field', 39.42750168, -101.0469971, 3187, 'US', 'US-KS', 'Colby', 'no', 'KCBK', 'CBK', 'CBK', 'Colby Municipal Airport'),
	('4V9', 'small_airport', 'Antelope County Airport', 42.112202, -98.038696, 1774, 'US', 'US-NE', 'Neligh', 'no', '4V9', '', '4V9', ''),
	('8NE6', 'small_airport', 'Franklin''s Plainview Airport', 40.12080001831055, -98.92539978027344, 2000, 'US', 'US-NE', 'Franklin', 'no', '8NE6', '', '8NE6', ''),
	('KLBF', 'medium_airport', 'North Platte Regional Airport Lee Bird Field', 41.12620163, -100.6839981, 2777, 'US', 'US-NE', 'North Platte', 'yes', 'KLBF', 'LBF', 'LBF', ''),
	('SN03', 'small_airport', 'Lenora Municipal Airport', 39.629398345947266, -100.01499938964844, 2373, 'US', 'US-KS', 'Lenora', 'no', 'SN03', '', 'SN03', ''),
	('8NE7', 'small_airport', 'Smith Airport', 40.099872, -99.004326, 1948, 'US', 'US-NE', 'Franklin', 'no', '8NE7', '', '8NE7', ''),
	('NE85', 'small_airport', 'Glaser Airport', 41.687198638916016, -98.30259704589844, 2035, 'US', 'US-NE', 'Spalding', 'no', 'NE85', '', 'NE85', ''),
	('NE87', 'small_airport', 'Rempe Private Airport', 40.097198486328125, -98.0647964477539, 1760, 'US', 'US-NE', 'Superior', 'no', 'NE87', '', 'NE87', ''),
	('87NE', 'small_airport', 'Knox Landing Airport', 40.809200286865234, -97.58779907226563, 1638, 'US', 'US-NE', 'York', 'no', '87NE', '', '87NE', ''),
	('NE44', 'small_airport', 'Koinzan Airport', 41.990848, -98.08005, 1919, 'US', 'US-NE', 'Elgin', 'no', 'NE44', '', 'NE44', ''),
	('03NE', 'small_airport', 'Hyde Ranch Airport', 41.5463981628418, -99.3311996459961, 2430, 'US', 'US-NE', 'Comstock', 'no', '03NE', '', '03NE', ''),
	('NE38', 'small_airport', 'Aknux Airport', 40.709518, -98.559545, 2025, 'US', 'US-NE', 'Prosser', 'no', 'NE38', '', 'NE38', ''),
	('9NE7', 'closed', 'Bay Field', 41.4333, -100.484001, 3000, 'US', 'US-NE', 'Stapleton', 'no', '', '', '', '9NE7'),
	('KLXN', 'small_airport', 'Jim Kelly Field', 40.791, -99.777298, 2413, 'US', 'US-NE', 'Lexington', 'no', 'KLXN', 'LXN', 'LXN', 'Lexington Municipal Airport'),
	('81NE', 'small_airport', 'Bunger Field', 40.27360153198242, -99.00789642333984, 2170, 'US', 'US-NE', 'Hildreth', 'no', '81NE', '', '81NE', ''),
	('0F4', 'small_airport', 'Loup City Municipal Airport', 41.286449, -98.989745, 2071, 'US', 'US-NE', 'Loup City', 'no', '', '', '0F4', 'NE03'),
	('07SN', 'closed', 'Churchill Airport', 39.7728, -99.3601, 1965, 'US', 'US-KS', 'Phillipsburg', 'no', '', '', '', '07SN'),
	('5NE1', 'closed', 'Trumbull Ranch Airport', 41.549999, -100.834, 3260, 'US', 'US-NE', 'Ringgold', 'no', '', '', '', '5NE1'),
	('KCNK', 'small_airport', 'Blosser Municipal Airport', 39.549301147499996, -97.6522979736, 1486, 'US', 'US-KS', 'Concordia', 'no', 'KCNK', 'CNK', 'CNK', ''),
	('08K', 'small_airport', 'Harvard State Airport', 40.651402, -98.079803, 1815, 'US', 'US-NE', 'Harvard', 'no', '', '', '08K', 'Harvard AAF'),
	('NE17', 'small_airport', 'Walts Aerial Service Airport', 41.2486000061, -98.4559020996, 1795, 'US', 'US-NE', 'St. Paul', 'no', 'NE17', '', 'NE17', ''),
	('9NE2', 'small_airport', 'Folkerts Airport', 40.29169845581055, -97.72250366210938, 1610, 'US', 'US-NE', 'Carleton', 'no', '9NE2', '', '9NE2', ''),
	('97Y', 'small_airport', 'Genoa Municipal Airport', 41.40420150756836, -97.70870208740234, 1570, 'US', 'US-NE', 'Genoa', 'no', '97Y', '', '97Y', ''),
	('KHAV', 'N/A', 'N/A', 40.73559746146202, -98.15454170107841, 559, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('41NE', 'closed', 'Vandersnick Airport', 42.16528, -98.49051, 1990, 'US', 'US-NE', 'Ewing', 'no', '', '', '', 'Vandersnickers, 41NE'),
	('8NE5', 'small_airport', 'X1 Ranch Airport', 41.790559, -98.727867, 2070, 'US', 'US-NE', 'Ericson', 'no', '8NE5', '', '8NE5', ''),
	('KGRI', 'medium_airport', 'Central Nebraska Regional Airport', 40.967498779296875, -98.30960083007813, 1847, 'US', 'US-NE', 'Grand Island', 'yes', 'KGRI', 'GRI', 'GRI', ''),
	('KGTE', 'small_airport', 'Gothenburg Municipal Airport', 40.9263, -100.148003, 2559, 'US', 'US-NE', 'Gothenburg', 'no', 'KGTE', '', 'GTE', 'Quinn Field'),
	('KODX', 'small_airport', 'Evelyn Sharp Field', 41.62419891357422, -98.95240020751953, 2070, 'US', 'US-NE', 'Ord', 'no', 'KODX', '', 'ODX', ''),
	('38NE', 'small_airport', 'Boardman Aerial Airport', 40.75360107421875, -97.85140228271484, 1720, 'US', 'US-NE', 'Henderson', 'no', '38NE', '', '38NE', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NE45', 'closed', 'Stewart Field', 40.694401, -96.577795, 1380, 'US', 'US-NE', 'Bennet', 'no', '', '', '', 'NE45'),
	('K75', 'small_airport', 'Osborne Municipal Airport', 39.433558, -98.679521, 1565, 'US', 'US-KS', 'Osborne', 'no', 'K75', '', 'K75', ''),
	('22NE', 'closed', 'Grone Airport', 40.297001, -97.798103, 1643, 'US', 'US-NE', 'Davenport', 'no', '', '', '', '22NE'),
	('NE30', 'small_airport', 'Olson Field', 40.57360076904297, -99.42040252685547, 2330, 'US', 'US-NE', 'Holdrege', 'no', 'NE30', '', 'NE30', ''),
	('18NE', 'small_airport', 'Doc''s Airport', 40.51390075683594, -97.61060333251953, 1640, 'US', 'US-NE', 'Geneva', 'no', '18NE', '', '18NE', ''),
	('49NE', 'closed', 'Harden Airstrip', 41.05572, -100.733454, 3006, 'US', 'US-NE', 'North Platte', 'no', '', '', '', '49NE'),
	('KMAT', 'N/A', 'N/A', 39.66394800692797, -98.1473457813263, 471, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('39NE', 'N/A', 'N/A', 41.537005975842476, -97.90137514472008, 556, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('10K', 'N/A', 'N/A', 41.469408608973026, -98.73625427484512, 589, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('K61', 'small_airport', 'Moritz Memorial Airport', 39.471199, -98.128799, 1416, 'US', 'US-KS', 'Beloit', 'no', 'KK61', '', 'K61', ''),
	('09K', 'small_airport', 'Sargent Municipal Airport', 41.634903, -99.342161, 2313, 'US', 'US-NE', 'Sargent', 'no', '', '', '09K', ''),
	('KCSB', 'small_airport', 'Cambridge Municipal Airport', 40.306599, -100.162003, 2414, 'US', 'US-NE', 'Cambridge', 'no', 'KCSB', '', 'CSB', ''),
	('40NE', 'small_airport', 'Landgren Ranch Airport', 41.975636, -98.515287, 2100, 'US', 'US-NE', 'Bartlett', 'no', '40NE', '', '40NE', ''),
	('5NE5', 'closed', 'Trego Airport', 41.20853, -101.14504, 2957, 'US', 'US-NE', 'Sutherland', 'no', '', '', '', '5NE5'),
	('4D9', 'small_airport', 'Alma Municipal Airport', 40.112149, -99.346361, 2070, 'US', 'US-NE', 'Alma', 'no', '4D9', '', '4D9', ''),
	('NE01', 'small_airport', 'Schutte Airport', 40.194698333740234, -98.35199737548828, 1876, 'US', 'US-NE', 'Guide Rock', 'no', 'NE01', '', 'NE01', ''),
	('KBUB', 'small_airport', 'Cram Field', 41.776699066199996, -99.14969635010002, 2182, 'US', 'US-NE', 'Burwell', 'no', 'KBUB', 'BUB', 'BUB', ''),
	('1NE2', 'small_airport', 'Witthuhn Airport', 41.32500076293945, -99.91709899902344, 2700, 'US', 'US-NE', 'Callaway', 'no', '1NE2', '', '1NE2', ''),
	('5NE6', 'closed', 'Bakers Acres Airport', 40.246735, -101.090915, 2950, 'US', 'US-NE', 'Trenton', 'no', '', '', '', '5NE6'),
	('9V2', 'small_airport', 'Trenton Municipal Airport', 40.187955, -101.025767, 2796, 'US', 'US-NE', 'Trenton', 'no', '9V2', '', '9V2', ''),
	('KHDE', 'small_airport', 'Brewster Field', 40.452099, -99.336502, 2313, 'US', 'US-NE', 'Holdrege', 'no', 'KHDE', 'HDE', 'HDE', ''),
	('KOIN', 'small_airport', 'Oberlin Municipal Airport', 39.833900451660156, -100.53900146484375, 2703, 'US', 'US-KS', 'Oberlin', 'no', 'KOIN', '', 'OIN', ''),
	('5NE4', 'small_airport', 'Snyder Ranch Airport', 41.571258, -101.173046, 3330, 'US', 'US-NE', 'Sutherland', 'no', '5NE4', '', '5NE4', ''),
	('NE15', 'closed', 'Starns Auxiliary Airport', 41.049999, -96.382797, 1080, 'US', 'US-NE', 'Ashland', 'no', '', '', '', 'NE15'),
	('2NE0', 'small_airport', 'Johnson Lake Airport', 40.696701, -99.834297, 2625, 'US', 'US-NE', 'Johnson Lake', 'no', '2NE0', '', '2NE0', 'Johnson Lake Flying Services'),
	('KPHG', 'small_airport', 'Phillipsburg Municipal Airport', 39.735802, -99.317101, 1907, 'US', 'US-KS', 'Phillipsburg', 'no', 'KPHG', '', 'PHG', ''),
	('KTHE', 'N/A', 'N/A', 41.86385527253151, -100.56319177150726, 895, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('34NE', 'small_airport', 'Evans Ranch Airport', 41.2239, -100.934998, 2895, 'US', 'US-NE', 'North Platte', 'no', '34NE', '', '34NE', ''),
	('NE35', 'small_airport', 'Sutton Airport', 40.05830001831055, -97.54119873046875, 1583, 'US', 'US-NE', 'Chester', 'no', 'NE35', '', 'NE35', ''),
	('84NE', 'small_airport', 'Hooker County Airport', 42.042155, -101.059113, 3260, 'US', 'US-NE', 'Mullen', 'no', '', 'MHN', '84NE', 'KMHN'),
	('6NE9', 'closed', 'Hoesel Airport', 41.268101, -99.887901, 2600, 'US', 'US-NE', 'Callaway', 'no', '', '', '', '6NE9'),
	('NE31', 'closed', 'B.C. Air Airport', 42.0145, -97.582167, 1600, 'US', 'US-NE', 'Battle Creek', 'no', '', '', '', 'NE31'),
	('98NE', 'small_airport', 'Munsterman Airport', 40.454200744628906, -98.30449676513672, 1860, 'US', 'US-NE', 'Glenvil', 'no', '98NE', '', '98NE', ''),
	('KHSI', 'small_airport', 'Hastings Municipal Airport', 40.6053009033, -98.42790222170001, 1961, 'US', 'US-NE', 'Hastings', 'no', 'KHSI', 'HSI', 'HSI', ''),
	('K82', 'small_airport', 'Smith Center Municipal Airport', 39.76236, -98.794493, 1800, 'US', 'US-KS', 'Smith Center', 'no', 'KK82', '', 'K82', ''),
	('3NE3', 'small_airport', 'Wells Airport', 40.506868, -99.316464, 2275, 'US', 'US-NE', 'Holdrege', 'no', '3NE3', '', '3NE3', ''),
	('15NE', 'small_airport', 'Sindt Airport', 40.287886, -98.8282, 1990, 'US', 'US-NE', 'Upland', 'no', '15NE', '', '15NE', ''),
	('14NE', 'closed', 'Aaron''s Field', 40.862499, -98.064201, 1825, 'US', 'US-NE', 'Aurora', 'no', '', '', '', '14NE, 81Y'),
	('KBBW', 'small_airport', 'Broken Bow Municipal Airport', 41.4365005493, -99.6421966553, 2547, 'US', 'US-NE', 'Broken Bow', 'no', 'KBBW', 'BBW', 'BBW', ''),
	('12K', 'small_airport', 'Superior Municipal Airport', 40.0463981628418, -98.06009674072266, 1691, 'US', 'US-NE', 'Superior', 'no', 'K12K', '', '12K', ''),
	('NE46', 'heliport', 'Gemini Heliport', 41.25419998168945, -96.06700134277344, 1150, 'US', 'US-NE', 'Omaha', 'no', 'NE46', '', 'NE46', ''),
	('65KS', 'small_airport', 'Griffith Field', 39.507833, -98.586167, 1500, 'US', 'US-KS', 'Downs', 'no', '65KS', '', '65KS', ''),
	('KRPB', 'small_airport', 'Belleville Municipal Airport', 39.817902, -97.659599, 1537, 'US', 'US-KS', 'Belleville', 'no', 'KRPB', '', 'RPB', ''),
	('2NE5', 'small_airport', 'Fiese Airstrip', 40.89898, -100.09148, 2535, 'US', 'US-NE', 'Gothenburg', 'no', '2NE5', '', '2NE5', ''),
	('96NE', 'small_airport', 'Riverbend Airport', 41.400586, -99.097527, 2144, 'US', 'US-NE', 'Arcadia', 'no', '96NE', '', '96NE', ''),
	('7V7', 'small_airport', 'Red Cloud Municipal Airport', 40.082121, -98.541387, 1744, 'US', 'US-NE', 'Red Cloud', 'no', 'K7V7', '', '7V7', ''),
	('07K', 'small_airport', 'Central City Municipal - Larry Reineke Field', 41.1125984192, -98.0516967773, 1717, 'US', 'US-NE', 'Central City', 'no', '07K', '', '07K', ''),
	('01NE', 'closed', 'Detour Airport', 40.843619, -100.651503, 3000, 'US', 'US-NE', 'Wellfleet', 'no', '', '', '', '01NE'),
	('0V3', 'small_airport', 'Pioneer Village Field', 40.515527, -98.946216, 2160, 'US', 'US-NE', 'Minden', 'no', '0V3', '', '0V3', ''),
	('1NE1', 'small_airport', 'Paul Ridder Ranch Airport', 41.28329849, -100.0500031, 2780, 'US', 'US-NE', 'Callaway', 'no', '1NE1', '', '1NE1', ''),
	('NE36', 'small_airport', 'Werner Ranch Airfield', 41.54925, -100.048966, 2838, 'US', 'US-NE', 'Anselmo', 'no', '', '', 'NE36', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KCZD', 'small_airport', 'Cozad Municipal Airport', 40.86909866, -100.0039978, 2503, 'US', 'US-NE', 'Cozad', 'no', 'KCZD', '', 'CZD', ''),
	('NE83', 'closed', 'Moab Heliport', 41.120603, -97.431395, 1640, 'US', 'US-NE', 'Shelby', 'no', '', '', '', 'NE83'),
	('KFMZ', 'small_airport', 'Fairmont State Airport', 40.586102, -97.573097, 1636, 'US', 'US-NE', 'Fairmont', 'no', 'KFMZ', '', 'FMZ', ''),
	('59NE', 'closed', 'Nelson Airport', 41.0811, -98.629501, 1982, 'US', 'US-NE', 'Boelus', 'no', '', '', '', '59NE'),
	('7NE8', 'small_airport', 'NE Hitchcock Airport', 40.327906, -100.790951, 2805, 'US', 'US-NE', 'Culbertson', 'no', '7NE8', '', '7NE8', ''),
	('NE12', 'small_airport', 'Sullivan Airstrip', 41.23889923095703, -98.22810363769531, 1745, 'US', 'US-NE', 'Palmer', 'no', 'NE12', '', 'NE12', ''),
	('KJYR', 'small_airport', 'York Municipal Airport', 40.896801, -97.622803, 1670, 'US', 'US-NE', 'York', 'no', 'KJYR', '', 'JYR', ''),
	('6NE0', 'small_airport', 'Van Boening Airport', 40.787182, -101.165873, 3102, 'US', 'US-NE', 'Wallace', 'no', '6NE0', '', '6NE0', ''),
	('05NE', 'small_airport', 'Mc Kay Airport', 41.7221984863, -98.3089981079, 2010, 'US', 'US-NE', 'Spalding', 'no', '05NE', '', '05NE', ''),
	('6KS7', 'closed', 'Shute Airport', 39.984501, -98.5103, 1960, 'US', 'US-KS', 'Lebanon', 'no', '', '', '', '6KS7'),
	('KELW', 'N/A', 'N/A', 38.304218240082264, -98.49386304616928, 533, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4KS9', 'small_airport', 'Dinkel Airport', 38.83395, -99.062875, 1900, 'US', 'US-KS', 'Victoria', 'no', '4KS9', '', '4KS9', ''),
	('SN00', 'small_airport', 'J Roesner Airport', 38.846900939941406, -97.55030059814453, 1211, 'US', 'US-KS', 'Salina', 'no', 'SN00', '', 'SN00', ''),
	('KBEV', 'N/A', 'N/A', 36.844256334006786, -100.69982662796974, 786, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMEJ', 'small_airport', 'Meade Municipal Airport', 37.27690124511719, -100.35600280761719, 2529, 'US', 'US-KS', 'Meade', 'no', 'KMEJ', '', 'MEJ', ''),
	('4O5', 'small_airport', 'Cherokee Municipal Airport', 36.787998, -98.358498, 1177, 'US', 'US-OK', 'Cherokee', 'no', '', '', '4O5', 'OK60'),
	('0KS7', 'small_airport', 'Mono Aircraft Airport', 37.69279861450195, -97.88639831542969, 1450, 'US', 'US-KS', 'Cheney', 'no', '0KS7', '', '0KS7', ''),
	('SN29', 'small_airport', 'Rucker Airport', 38.185477, -99.536105, 2151, 'US', 'US-KS', 'Burdett', 'no', '', '', 'SN29', 'Rucker Burdett Airport'),
	('K77', 'small_airport', 'Freedom Municipal Airport', 36.758433, -99.102369, 1517, 'US', 'US-OK', 'Freedom', 'no', 'KK77', '', 'K77', ''),
	('KLQR', 'small_airport', 'Larned Pawnee County Airport', 38.20859909, -99.08599854, 2012, 'US', 'US-KS', 'Larned', 'no', 'KLQR', '', 'LQR', ''),
	('08KS', 'small_airport', 'Alderson Airport', 39.034698486328125, -97.58000183105469, 1250, 'US', 'US-KS', 'Bennington', 'no', '08KS', '', '08KS', ''),
	('18K', 'small_airport', 'Fowler Airport', 37.38420104980469, -100.18599700927734, 2483, 'US', 'US-KS', 'Fowler', 'no', '18K', '', '18K', ''),
	('KDDC', 'medium_airport', 'Dodge City Regional Airport', 37.76340103149414, -99.9655990600586, 2594, 'US', 'US-KS', 'Dodge City', 'yes', 'KDDC', 'DDC', 'DDC', ''),
	('6KS6', 'closed', 'Kiowa Airport', 37.015301, -98.495903, 1333, 'US', 'US-KS', 'Kiowa', 'no', '', '', '', '6KS6'),
	('KKIE', 'N/A', 'N/A', 37.82050263136625, -99.35011804103851, 671, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMPR', 'small_airport', 'Mc Pherson Airport', 38.352402, -97.691299, 1498, 'US', 'US-KS', 'Mc Pherson', 'no', 'KMPR', 'MPR', 'MPR', ''),
	('6KS1', 'closed', 'Quinter Air Strip', 39.063851, -100.243721, 2681, 'US', 'US-KS', 'Quinter', 'no', '', '', '', '6KS1'),
	('0R9', 'closed', 'Plainville Airpark', 39.1945, -99.303398, 2182, 'US', 'US-KS', 'Plainville', 'no', '', '', '', '0R9, KS04'),
	('SN08', 'small_airport', 'Fisher Airport', 37.99169921875, -97.65640258789063, 1430, 'US', 'US-KS', 'Burrton', 'no', 'SN08', '', 'SN08', ''),
	('02OK', 'closed', 'Canon Heliport', 35.458401, -97.525297, 1191, 'US', 'US-OK', 'Oklahoma City', 'no', '', '', '', '02OK, 02OK'),
	('SN48', 'closed', 'Moore Field', 37.788243, -98.849514, 1992, 'US', 'US-KS', 'Iuka', 'no', '', '', '', 'SN48, Byers'),
	('O51', 'N/A', 'N/A', 36.74466121941805, -99.9088704586029, 645, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('58KS', 'small_airport', 'Burger''s Valley Airport', 38.92219924926758, -97.70860290527344, 1325, 'US', 'US-KS', 'Salina', 'no', '58KS', '', '58KS', ''),
	('SN76', 'small_airport', 'Sunflower Aerodrome Gliderport', 37.926399, -97.906665, 1582, 'US', 'US-KS', 'Hutchinson', 'no', '', '', 'SN76', 'NAS Hutchinson'),
	('KHOA', 'N/A', 'N/A', 37.92590070515871, -101.10272347927094, 903, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KKIS', 'N/A', 'N/A', 37.958791963756084, -99.23018082976341, 648, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3K8', 'small_airport', 'Comanche County Airport', 37.22809982299805, -99.33090209960938, 2085, 'US', 'US-KS', 'Coldwater', 'no', 'K3K8', '', '3K8', ''),
	('SN67', 'closed', 'Button Airport', 38.36882, -98.82014, 1845, 'US', 'US-KS', 'Great Bend', 'no', '', '', '', 'SN67'),
	('75KS', 'closed', 'Esplund Farm Airport', 37.3867, -99.865303, 2555, 'US', 'US-KS', 'Minneola', 'no', '', '', '', '75KS'),
	('SN13', 'small_airport', 'Albers Airport', 37.65829849243164, -97.77449798583984, 1380, 'US', 'US-KS', 'Cheney', 'no', 'SN13', '', 'SN13', ''),
	('KLEK', 'N/A', 'N/A', 38.6310450732708, -101.19657352566719, 980, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SN95', 'small_airport', 'Roberts Air Field', 37.979138, -98.399965, 1765, 'US', 'US-KS', 'Sylvia', 'no', '', '', 'SN95', ''),
	('49K', 'small_airport', 'Norwich Airport', 37.453263, -97.835054, 1494, 'US', 'US-KS', 'Norwich', 'no', '49K', '', '49K', ''),
	('9K8', 'small_airport', 'Kingman Airport Clyde Cessna Field', 37.66899872, -98.12390137, 1607, 'US', 'US-KS', 'Kingman', 'no', 'K9K8', '', '9K8', ''),
	('30KS', 'closed', 'Tyler Airport', 37.132301, -97.073402, 1200, 'US', 'US-KS', 'Arkansas City', 'no', '', '', '', '30KS'),
	('SN61', 'small_airport', 'Yoder Airpark', 37.659698486328125, -97.62950134277344, 1475, 'US', 'US-KS', 'Goddard', 'no', 'SN61', '', 'SN61', ''),
	('2KS5', 'small_airport', 'Plains Municipal Airport', 37.27090072631836, -100.58799743652344, 2762, 'US', 'US-KS', 'Plains', 'no', '2KS5', '', '2KS5', ''),
	('K51', 'small_airport', 'Medicine Lodge Airport', 37.266, -98.548052, 1543, 'US', 'US-KS', 'Medicine Lodge', 'no', 'KK51', '', 'K51', ''),
	('96OK', 'small_airport', 'Millers Place Airport', 36.847124, -99.457392, 1787, 'US', 'US-OK', 'Buffalo', 'no', '96OK', '', '96OK', 'Mike''s Place'),
	('KSUB', 'N/A', 'N/A', 37.68279869109392, -100.87974697351456, 886, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SN97', 'small_airport', 'G+ Ag Airport', 37.325892, -101.194639, 3056, 'US', 'US-KS', 'Moscow', 'no', 'SN97', '', 'SN97', 'Brollier Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KANT', 'N/A', 'N/A', 37.190058790147305, -97.88905709981918, 404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1K6', 'small_airport', 'Ellinwood Municipal Airport', 38.37329864501953, -98.59510040283203, 1797, 'US', 'US-KS', 'Ellinwood', 'no', '1K6', '', '1K6', ''),
	('94KS', 'small_airport', 'Smith Field', 37.974998474121094, -98.9656982421875, 2023, 'US', 'US-KS', 'Macksville', 'no', '94KS', '', '94KS', ''),
	('OK64', 'closed', 'Weedpatch International Airport', 36.813901, -97.986504, 1113, 'US', 'US-OK', 'Wakita', 'no', '', '', '', 'OK64'),
	('2KS3', 'closed', 'Wilson Airport', 38.8381, -98.485603, 1727, 'US', 'US-KS', 'Wilson', 'no', '', '', '', '2KS3'),
	('00AR', 'closed', 'Newport Hospital & Clinic Heliport', 35.6087, -91.254898, 237, 'US', 'US-AR', 'Newport', 'no', '', '', '', '00AR'),
	('3OK6', 'closed', 'Mauney Heliport', 36.0784, -95.859398, 680, 'US', 'US-OK', 'Tulsa', 'no', '', '', '', '3OK6'),
	('KBFK', 'small_airport', 'Buffalo Municipal Airport', 36.863300323486, -99.618698120117, 1822, 'US', 'US-OK', 'Buffalo', 'no', 'KBFK', '', 'BFK', 'OK57'),
	('O66', 'closed', 'Homestead Farms Airport', 36.6917, -97.7267, 1030, 'US', 'US-OK', 'Pond Creek', 'no', '', '', '', 'O66'),
	('7KS9', 'small_airport', 'Eagle Field', 37.849197, -97.510239, 1379, 'US', 'US-KS', 'Sedgwick', 'no', '7KS9', '', '7KS9', ''),
	('KHAG', 'N/A', 'N/A', 37.36999813467264, -97.90912047028542, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KVIC', 'N/A', 'N/A', 38.89262918382883, -99.09781783819199, 599, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('K79', 'small_airport', 'Jetmore Municipal Airport', 37.984501, -99.894302, 2466, 'US', 'US-KS', 'Jetmore', 'no', 'KK79', '', 'K79', ''),
	('KWAK', 'N/A', 'N/A', 39.08433001488447, -99.86094430088997, 690, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8K8', 'small_airport', 'Cimarron Municipal Airport', 37.830601, -100.349998, 2752, 'US', 'US-KS', 'Cimarron', 'no', '8K8', '', '8K8', ''),
	('KLEJ', 'N/A', 'N/A', 38.68175357580185, -101.1700876057148, 971, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1QK', 'small_airport', 'Gove County Airport', 39.038609, -100.233881, 2637, 'US', 'US-KS', 'Quinter', 'no', '', '', '1QK', ''),
	('96KS', 'small_airport', 'Palmer Field', 39.368598, -97.788116, 1404, 'US', 'US-KS', 'Glasco', 'no', '96KS', '', '96KS', ''),
	('K94', 'small_airport', 'Rush County Airport', 38.546823, -99.289827, 2070, 'US', 'US-KS', 'La Crosse', 'no', 'K94', '', 'K94', ''),
	('SN55', 'small_airport', 'R J C Farms Inc Airport', 38.215301513671875, -101.00299835205078, 2900, 'US', 'US-KS', 'Friend', 'no', 'SN55', '', 'SN55', ''),
	('SN65', 'small_airport', 'Lake Waltanna Airport', 37.5939, -97.615457, 1440, 'US', 'US-KS', 'Goddard', 'no', 'SN65', '', 'SN65', ''),
	('23JY', 'heliport', 'The Plant Place Heliport', 39.657901763916, -75.070098876953, 99, 'US', 'US-NJ', 'Clayton', 'no', '', '', '23JY', '23JY'),
	('KTQK', 'small_airport', 'Scott City Municipal Airport', 38.474300384521484, -100.88500213623047, 2963, 'US', 'US-KS', 'Scott City', 'no', 'KTQK', '', 'TQK', ''),
	('1KS0', 'closed', 'Huey Airport', 38.163122, -97.969723, 1700, 'US', 'US-KS', 'Hutchinson', 'no', '', '', '', '1KS0'),
	('8K2', 'small_airport', 'Harper Municipal Airport', 37.278319, -98.043243, 1427, 'US', 'US-KS', 'Harper', 'no', 'K8K2', '', '8K2', ''),
	('SN39', 'closed', 'Baldock Farm Airport', 39.25, -97.650299, 1350, 'US', 'US-KS', 'Delphos', 'no', '', '', '', 'SN39'),
	('KELS', 'N/A', 'N/A', 38.66322923451662, -98.00983339548111, 447, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('32KS', 'small_airport', 'Wilkens Airport', 38.593101501464844, -100.61299896240234, 2856, 'US', 'US-KS', 'Healy', 'no', '32KS', '', '32KS', ''),
	('87KS', 'closed', 'Holyrood Municipal Airport', 38.587502, -98.4048, 1805, 'US', 'US-KS', 'Holyrood', 'no', '', '', '', '87KS'),
	('KGAT', 'N/A', 'N/A', 38.00668381154537, -100.7739982008934, 887, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1K5', 'small_airport', 'Waynoka Municipal Airport', 36.56669998168945, -98.85230255126953, 1543, 'US', 'US-OK', 'Waynoka', 'no', '1K5', '', '1K5', ''),
	('KRCP', 'small_airport', 'Rooks County Regional Airport', 39.346592, -99.304649, 1998, 'US', 'US-KS', 'Stockton', 'no', 'KRCP', '', 'RCP', ''),
	('35OL', 'small_airport', 'Henderson Farm Airport', 36.63309860229492, -99.15119934082031, 1750, 'US', 'US-OK', 'Mooreland', 'no', '35OL', '', '35OL', ''),
	('31KS', 'small_airport', 'Mills Field', 37.99580001831055, -97.92949676513672, 1520, 'US', 'US-KS', 'South Hutchinson', 'no', '31KS', '', '31KS', ''),
	('2K8', 'small_airport', 'Argonia Municipal Airport', 37.275297, -97.758739, 1275, 'US', 'US-KS', 'Argonia', 'no', 'K2K8', '', '2K8', ''),
	('KHAC', 'N/A', 'N/A', 37.23229184746742, -98.21568176150322, 440, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('K65', 'small_airport', 'Dighton Airport', 38.48970031738281, -100.4800033569336, 2778, 'US', 'US-KS', 'Dighton', 'no', 'K65', '', 'K65', ''),
	('KSLN', 'medium_airport', 'Salina Municipal Airport', 38.79100036621094, -97.6521987915039, 1288, 'US', 'US-KS', 'Salina', 'yes', 'KSLN', 'SLN', 'SLN', ''),
	('2KS8', 'small_airport', 'Vonada Airport', 39.11371, -98.40338, 1629, 'US', 'US-KS', 'Sylvan Grove', 'no', '2KS8', '', '2KS8', ''),
	('24KS', 'closed', 'Blocker Field', 37.858299, -97.817802, 1523, 'US', 'US-KS', 'Haven', 'no', '', '', '', '24KS'),
	('KKIL', 'N/A', 'N/A', 37.92805418372154, -99.24788162112236, 654, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCKA', 'small_airport', 'Kegelman AF Aux Field', 36.734348, -98.123531, 1202, 'US', 'US-OK', 'Cherokee', 'no', 'KCKA', 'CKA', 'CKA', ''),
	('KOEL', 'small_airport', 'Oakley Municipal Airport', 39.109901428222656, -100.81600189208984, 3045, 'US', 'US-KS', 'Oakley', 'no', 'KOEL', '', 'OEL', ''),
	('SN28', 'closed', 'Belcher Airport', 38.870848, -97.942101, 1420, 'US', 'US-KS', 'Brookville', 'no', '', '', '', 'SN28'),
	('SN62', 'small_airport', 'Roberts Field', 37.874632, -97.513711, 1384, 'US', 'US-KS', 'Bentley', 'no', '', '', 'SN62', ''),
	('K17', 'small_airport', 'Montezuma Municipal Airport', 37.583407, -100.469885, 2780, 'US', 'US-KS', 'Montezuma', 'no', 'K17', '', 'K17', ''),
	('KDOC', 'N/A', 'N/A', 37.21825182437897, -97.76994824409485, 382, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1KS6', 'small_airport', 'Silers Plane Valley Airport', 38.86669921875, -97.5363998413086, 1204, 'US', 'US-KS', 'Salina', 'no', '1KS6', '', '1KS6', ''),
	('SN71', 'closed', 'Bob Park Airport', 37.302799, -97.964203, 1396, 'US', 'US-KS', 'Harper', 'no', '', '', '', 'SN71'),
	('SN05', 'small_airport', 'Halstead Airport', 38.03139877319336, -97.50920104980469, 1412, 'US', 'US-KS', 'Halstead', 'no', 'SN05', '', 'SN05', ''),
	('K71', 'small_airport', 'Lincoln Municipal Airport', 39.058102, -98.167, 1412, 'US', 'US-KS', 'Lincoln', 'no', 'K71', '', 'K71', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('4KS', 'small_airport', 'Walz Airport', 37.045164, -98.570181, 1387, 'US', 'US-KS', 'Kiowa', 'no', '', '', '4KS', ''),
	('0H1', 'small_airport', 'Trego WaKeeney Airport', 39.004501, -99.892899, 2435, 'US', 'US-KS', 'WaKeeney', 'no', '', '', '0H1', '7KS1'),
	('48K', 'small_airport', 'Ness City Municipal Airport', 38.473324, -99.909324, 2308, 'US', 'US-KS', 'Ness City', 'no', '48K', '', '48K', ''),
	('55KS', 'small_airport', 'Ringneck Ranch Airport', 39.300435, -98.45835, 1586, 'US', 'US-KS', 'Tipton', 'no', '55KS', '', '55KS', ''),
	('42KS', 'small_airport', 'Farney Field Airport', 37.01069, -98.454528, 1345, 'US', 'US-KS', 'Kiowa', 'no', '42KS', '', '42KS', ''),
	('KKIY', 'N/A', 'N/A', 38.22976380586624, -99.46249052882195, 643, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SN12', 'small_airport', 'Jenkinson Airport', 37.36389923095703, -100.47100067138672, 2737, 'US', 'US-KS', 'Meade', 'no', 'SN12', '', 'SN12', ''),
	('OK54', 'small_airport', 'May Ranch Airport', 36.996700286865234, -99.00479888916016, 1833, 'US', 'US-OK', 'Alva', 'no', 'OK54', '', 'OK54', ''),
	('OK46', 'small_airport', 'McCrays Airport', 36.95905, -98.07554, 1260, 'US', 'US-OK', 'Manchester', 'no', 'OK46', '', 'OK46', ''),
	('19S', 'small_airport', 'Sublette Municipal Airport', 37.497018, -100.834343, 2908, 'US', 'US-KS', 'Sublette', 'no', '', '', '19S', '65K, Sublette Flying Club'),
	('KSTN', 'N/A', 'N/A', 38.26470460742712, -98.15564051270485, 500, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SN96', 'heliport', 'Fazenda Lavrinha Heliport', -16.290881, -47.748733, 2795, 'BR', 'BR-GO', 'Luziânia', 'no', 'SN96', '', 'GO0386', ''),
	('1F5', 'small_airport', 'Hoxie-Sheridan County Airport', 39.367176, -100.441338, 2733, 'US', 'US-KS', 'Hoxie', 'no', '1F5', '', '1F5', 'KS01, Hoxie Sprayers'),
	('KGOE', 'N/A', 'N/A', 38.86885777115822, -100.43144389986992, 793, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHYS', 'medium_airport', 'Hays Regional Airport', 38.844521, -99.273148, 1999, 'US', 'US-KS', 'Hays', 'yes', 'KHYS', 'HYS', 'HYS', ''),
	('45K', 'small_airport', 'Minneapolis City County Airport', 39.09469985961914, -97.72059631347656, 1245, 'US', 'US-KS', 'Minneapolis', 'no', 'K45K', '', '45K', ''),
	('SN36', 'small_airport', 'Wamsley Field', 37.427317, -97.637833, 1335, 'US', 'US-KS', 'Conway Springs', 'no', '', '', 'SN36', ''),
	('KLBL', 'medium_airport', 'Liberal Mid-America Regional Airport', 37.0442009, -100.9599991, 2885, 'US', 'US-KS', 'Liberal', 'yes', 'KLBL', 'LBL', 'LBL', ''),
	('01K', 'small_airport', 'Caldwell Municipal Airport', 37.036132, -97.58533, 1157, 'US', 'US-KS', 'Caldwell', 'no', 'K01K', '', '01K', ''),
	('KANY', 'small_airport', 'Anthony Municipal Airport', 37.158501, -98.079597, 1340, 'US', 'US-KS', 'Anthony', 'no', 'KANY', 'ANY', 'ANY', ''),
	('KRSL', 'medium_airport', 'Russell Municipal Airport', 38.872100830078, -98.811798095703, 1862, 'US', 'US-KS', 'Russell', 'no', 'KRSL', 'RSL', 'RSL', ''),
	('K44', 'small_airport', 'Beaver Municipal Airport', 36.798901, -100.529999, 2491, 'US', 'US-OK', 'Beaver', 'no', 'KK44', '', 'K44', ''),
	('KOSS', 'N/A', 'N/A', 39.354090839624405, -98.4805628657341, 495, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('38K', 'small_airport', 'Lucas Airport', 39.061572, -98.526277, 1485, 'US', 'US-KS', 'Lucas', 'no', '38K', '', '38K', ''),
	('KGBD', 'small_airport', 'Great Bend Municipal Airport', 38.344299, -98.8592, 1887, 'US', 'US-KS', 'Great Bend', 'no', 'KGBD', 'GBD', 'GBD', ''),
	('SN98', 'small_airport', 'Anton Flying UV Airport', 37.420767, -100.942879, 2954, 'US', 'US-KS', 'Satanta', 'no', 'SN98', '', 'SN98', ''),
	('O45', 'small_airport', 'Hooker Municipal Airport', 36.857101, -101.226997, 2998, 'US', 'US-OK', 'Hooker', 'no', 'O45', '', 'O45', ''),
	('5KS3', 'closed', 'Deweze Airport', 37.279499, -98.018097, 1414, 'US', 'US-KS', 'Harper', 'no', '', '', '', '5KS3'),
	('KNES', 'N/A', 'N/A', 38.466195836663246, -100.00026449561119, 704, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8KS', 'small_airport', 'Maxwell Aviation Airport', 38.278694, -98.07805, 1677, 'US', 'US-KS', 'Lyons', 'no', '', '', '8KS', '87KS'),
	('64KS', 'small_airport', 'Minnow Creek Airport', 38.976543, -98.47143, 1493, 'US', 'US-KS', 'Sylvan Grove', 'no', '64KS', '', '64KS', ''),
	('1KS8', 'small_airport', 'Buehler Airport', 38.51530075073242, -100.99500274658203, 3038, 'US', 'US-KS', 'Scott City', 'no', '1KS8', '', '1KS8', ''),
	('1K9', 'small_airport', 'Satanta Municipal Airport', 37.456667, -100.984664, 2976, 'US', 'US-KS', 'Satanta', 'no', 'K1K9', '', '1K9', ''),
	('8KS4', 'small_airport', 'Rans Airport', 38.904998779296875, -99.35089874267578, 2100, 'US', 'US-KS', 'Hays', 'no', '8KS4', '', '8KS4', ''),
	('OK39', 'small_airport', 'Judy Ranch Airport', 36.96670150756836, -100.31700134277344, 2240, 'US', 'US-OK', 'Forgan', 'no', 'OK39', '', 'OK39', ''),
	('KGAR', 'N/A', 'N/A', 38.11634626239538, -100.88240280747414, 871, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SN94', 'small_airport', 'Amy Airport', 37.468698, -100.00348, 2560, 'US', 'US-KS', 'Minneola', 'no', '', '', 'SN94', ''),
	('47K', 'small_airport', 'Moundridge Municipal Airport', 38.20909881591797, -97.50270080566406, 1489, 'US', 'US-KS', 'Moundridge', 'no', 'K47K', '', '47K', ''),
	('KSTG', 'N/A', 'N/A', 38.25694866478443, -98.27092364430428, 511, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('30K', 'small_airport', 'Ingalls Municipal Airport', 37.907001, -100.530998, 2814, 'US', 'US-KS', 'Ingalls', 'no', '30K', '', '30K', ''),
	('8OK7', 'closed', 'CC & M Airport', 36.797298, -97.718399, 1085, 'US', 'US-OK', 'Medford', 'no', '', '', '', '8OK7'),
	('23KS', 'small_airport', 'Ney Ultralight Flightpark', 39.070121, -94.948987, 963, 'US', 'US-KS', 'Bonner Springs', 'no', '', '', '5KS9', '23KS, Ney Airport'),
	('SN63', 'small_airport', 'Gail Ballard Airport', 37.608758, -99.115518, 2165, 'US', 'US-KS', 'Haviland', 'no', '', '', 'SN63', ''),
	('3KS9', 'small_airport', 'Tri Rotor Airport', 37.726869, -101.195288, 3091, 'US', 'US-KS', 'Ulysses', 'no', '3KS9', '', '3KS9', ''),
	('SN70', 'small_airport', 'Kaypod Airport', 37.251399993896484, -97.95449829101563, 1379, 'US', 'US-KS', 'Harper', 'no', 'SN70', '', 'SN70', ''),
	('SN87', 'closed', 'Supreme Feeders Airport', 37.259998, -100.906998, 2830, 'US', 'US-KS', 'Kismet', 'no', '', '', '', 'Cobalt Cattle, SN87'),
	('76KS', 'closed', 'Prima Airport', 38.2584, -100.879997, 2915, 'US', 'US-KS', 'Scott City', 'no', '', '', '', '76KS'),
	('K58', 'small_airport', 'Harold Krier Field', 37.167122, -99.77254, 1951, 'US', 'US-KS', 'Ashland', 'no', 'K58', '', 'K58', ''),
	('9KS6', 'small_airport', 'Lundgren Hereford Ranch Airport', 38.808549, -100.570478, 2600, 'US', 'US-KS', 'Gove', 'no', '9KS6', '', '9KS6', ''),
	('8K0', 'small_airport', 'Bucklin Airport', 37.5458984375, -99.64179992675781, 2418, 'US', 'US-KS', 'Bucklin', 'no', '8K0', '', '8K0', ''),
	('O53', 'small_airport', 'Medford Municipal Airport', 36.7906, -97.749001, 1092, 'US', 'US-OK', 'Medford', 'no', 'KO53', '', 'O53', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('9K7', 'small_airport', 'Ellsworth Municipal Airport', 38.75232, -98.228817, 1615, 'US', 'US-KS', 'Ellsworth', 'no', 'K9K7', '', '9K7', ''),
	('98KS', 'small_airport', 'Rexford Airport', 37.445899963378906, -100.49199676513672, 2775, 'US', 'US-KS', 'Montezuma', 'no', '98KS', '', '98KS', ''),
	('7K6', 'closed', 'Wilcox Field', 37.083401, -97.964203, 1263, 'US', 'US-KS', 'Anthony', 'no', '', '', '', '7K6'),
	('KSTO', 'N/A', 'N/A', 38.05837266147137, -98.47785696387291, 545, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHAP', 'N/A', 'N/A', 37.24827378988266, -98.2341518998146, 447, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('33K', 'small_airport', 'Kinsley Municipal Airport', 37.909, -99.403099, 2171, 'US', 'US-KS', 'Kinsley', 'no', '33K', '', '33K', ''),
	('KDOD', 'N/A', 'N/A', 37.83486217260361, -99.74401921033859, 742, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3TA', 'small_airport', 'Stafford Municipal Airport', 37.959481, -98.6478, 1886, 'US', 'US-KS', 'Stafford', 'no', '3TA', '', '3TA', ''),
	('7KS7', 'closed', 'Evans Airport', 38.958302, -100.800003, 2950, 'US', 'US-KS', 'Oakley', 'no', '', '', '', '7KS7'),
	('KKIA', 'N/A', 'N/A', 38.242154605686665, -99.53514128923416, 647, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9K3', 'N/A', 'N/A', 38.85366640985012, -98.56654912233353, 529, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDOG', 'N/A', 'N/A', 37.77339097112417, -99.83049809932709, 756, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHUT', 'medium_airport', 'Hutchinson Municipal Airport', 38.0654983521, -97.86060333250002, 1543, 'US', 'US-KS', 'Hutchinson', 'no', 'KHUT', 'HUT', 'HUT', ''),
	('KPTT', 'small_airport', 'Pratt Regional Airport', 37.70159912, -98.74690247, 1953, 'US', 'US-KS', 'Pratt', 'no', 'KPTT', 'PTT', 'PTT', 'Pratt Industrial Airport, Pratt AAF'),
	('KLYO', 'small_airport', 'Lyons-Rice County Municipal Airport', 38.339481, -98.228702, 1691, 'US', 'US-KS', 'Lyons', 'no', 'KLYO', 'LYO', 'LYO', ''),
	('2K1', 'small_airport', 'Pond Creek Municipal Airport', 36.662498474121094, -97.80870056152344, 1061, 'US', 'US-OK', 'Pond Creek', 'no', '2K1', '', '2K1', ''),
	('KGCK', 'medium_airport', 'Garden City Regional Airport', 37.9275016785, -100.723999023, 2891, 'US', 'US-KS', 'Garden City', 'yes', 'KGCK', 'GCK', 'GCK', ''),
	('KAVK', 'small_airport', 'Alva Regional Airport', 36.773201, -98.669899, 1474, 'US', 'US-OK', 'Alva', 'no', 'KAVK', '', 'AVK', ''),
	('OK14', 'small_airport', 'Woodlake Airport', 36.8491, -98.65806, 1420, 'US', 'US-OK', 'Alva', 'no', 'OK14', '', 'OK14', ''),
	('SN09', 'small_airport', 'Solomon Valley Airpark', 39.11389923095703, -97.68309783935547, 1205, 'US', 'US-KS', 'Minneapolis', 'no', 'SN09', '', 'SN09', ''),
	('67KS', 'small_airport', 'Montezuma Coöp Airport', 37.587355, -100.434089, 2780, 'US', 'US-KS', 'Montezuma', 'no', '67KS', '', '67KS', ''),
	('99KS', 'small_airport', 'Elm Creek Farms Airport', 37.410995, -98.649306, 1600, 'US', 'US-KS', 'Medicine Lodge', 'no', '99KS', '', '99KS', ''),
	('KOAA', 'N/A', 'N/A', 39.09819636493921, -101.1639516055584, 990, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SN64', 'small_airport', 'Eck Field', 37.696438, -97.543951, 1330, 'US', 'US-KS', 'Goddard', 'no', '', '', 'SN64', ''),
	('TS78', 'small_airport', 'Loesch Ranch Airport', 36.391700744628906, -100.46900177001953, 2804, 'US', 'US-TX', 'Booker', 'no', 'TS78', '', 'TS78', ''),
	('KHEH', 'N/A', 'N/A', 36.05012163519859, -98.03310066461563, 342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OK08', 'small_airport', 'Hill Top Private Airport', 34.527021, -98.348464, 1100, 'US', 'US-OK', 'Lawton', 'no', 'OK08', '', 'OK08', ''),
	('KCDS', 'medium_airport', 'Childress Municipal Airport', 34.4337997437, -100.288002014, 1954, 'US', 'US-TX', 'Childress', 'no', 'KCDS', 'CDS', 'CDS', ''),
	('92F', 'small_airport', 'Chattanooga Sky Harbor Airport', 34.368698, -98.682098, 1135, 'US', 'US-OK', 'Chattanooga', 'no', '', '', '92F', ''),
	('8OK1', 'small_airport', 'Warbonnet Airport', 35.16830062866211, -97.71080017089844, 1335, 'US', 'US-OK', 'Blanchard', 'no', '8OK1', '', '8OK1', ''),
	('KDAD', 'N/A', 'N/A', 34.636332616209984, -98.7514092028141, 417, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4XA5', 'small_airport', 'Dave Eby Field', 34.03775, -98.496, 1004, 'US', 'US-TX', 'Burkburnett', 'no', '4XA5', '', '4XA5', '4-Shipp Airport'),
	('08OL', 'small_airport', 'Broken B Airport', 35.408087, -98.605477, 1518, 'US', 'US-OK', 'Hydro', 'no', '08OL', '', '08OL', ''),
	('OK60', 'small_airport', 'Drifting G Ranch Airport', 34.987416, -97.8107833, 1045, 'US', 'US-OK', 'Chickasha', 'no', 'OK60', '', 'OK60', ''),
	('1K2', 'small_airport', 'Lindsay Municipal Airport', 34.849300384521484, -97.58529663085938, 968, 'US', 'US-OK', 'Lindsay', 'no', 'K1K2', '', '1K2', ''),
	('KPYX', 'small_airport', 'Perryton Ochiltree County Airport', 36.412899017333984, -100.75199890136719, 2918, 'US', 'US-TX', 'Perryton', 'no', 'KPYX', '', 'PYX', ''),
	('OK61', 'closed', 'Major Heliport', 36.1034, -96.003602, 630, 'US', 'US-OK', 'Tulsa', 'no', '', '', '', 'OK61'),
	('OK48', 'closed', 'Grass Roots Airport', 36.875, -97.096199, 1113, 'US', 'US-OK', 'Newkirk', 'no', '', '', '', 'OK48'),
	('7OK2', 'small_airport', 'Scott Airport', 34.976866, -99.501261, 1650, 'US', 'US-OK', 'Mangum', 'no', '7OK2', '', '7OK2', ''),
	('28TX', 'small_airport', 'Lehman Airport', 34.085899353027344, -99.4551010131836, 1275, 'US', 'US-TX', 'Vernon', 'no', '28TX', '', '28TX', ''),
	('1O8', 'small_airport', 'Tipton Municipal Airport', 34.45859909057617, -99.17130279541016, 1248, 'US', 'US-OK', 'Tipton', 'no', 'K1O8', '', '1O8', ''),
	('F05', 'small_airport', 'Wilbarger County Airport', 34.2257003784, -99.2837982178, 1265, 'US', 'US-TX', 'Vernon', 'no', 'F05', 'WIB', 'F05', ''),
	('KFSI', 'medium_airport', 'Henry Post Army Air Field', 34.649799, -98.402199, 1189, 'US', 'US-OK', 'Fort Sill', 'no', 'KFSI', 'FSI', 'FSI', ''),
	('KDAE', 'N/A', 'N/A', 35.09097710251808, -98.71215954422951, 416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OL29', 'small_airport', 'Echo Mountain Airfield', 34.762553, -98.446657, 1312, 'US', 'US-OK', 'Elgin', 'no', 'OL29', '', 'OL29', ''),
	('63TA', 'closed', 'Barnett Airport', 34.269501, -99.514297, 1385, 'US', 'US-TX', 'Chillicothe', 'no', '', '', '', '63TA, 63TA, 63TA'),
	('KHEJ', 'N/A', 'N/A', 36.033760495483875, -98.01434621214867, 330, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6OK8', 'small_airport', 'Lasley Private Airport', 35.359500885009766, -98.57119750976563, 1630, 'US', 'US-OK', 'Eakly', 'no', '6OK8', '', '6OK8', ''),
	('07OK', 'small_airport', 'Pleasant Valley Airport', 34.633399963378906, -99.03369903564453, 1322, 'US', 'US-OK', 'Snyder', 'no', '07OK', '', '07OK', ''),
	('O65', 'small_airport', 'Christman Airfield', 36.112499, -98.308701, 1205, 'US', 'US-OK', 'Okeene', 'no', '', '', 'O65', 'OK71, Okeene Municipal Airport'),
	('99F', 'closed', 'El Reno Airport', 35.518499, -97.97689, 1395, 'US', 'US-OK', 'El Reno', 'no', '', '', '', '99F');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1S4', 'small_airport', 'Seiling Airport', 36.154999, -98.933701, 1746, 'US', 'US-OK', 'Seiling', 'no', '', '', '1S4', 'OK73'),
	('32OK', 'closed', 'Flying A Ranch Airport', 34.831797, -95.517502, 670, 'US', 'US-OK', 'Hartshorne', 'no', '', '', '', '32OK'),
	('8OK4', 'closed', 'Brandley Airport', 35.5042, -98.040604, 1400, 'US', 'US-OK', 'El Reno', 'no', '', '', '', '8OK4'),
	('OL28', 'small_airport', 'Cedar & Sky  Fly in Ranch Airport', 35.583878, -98.304101, 1588, 'US', 'US-OK', 'Geary', 'no', '', '', 'OL28', 'OL28'),
	('1OK', 'small_airport', 'Fairmont Field Airport', 36.3647, -97.667801, 1168, 'US', 'US-OK', 'Fairmont', 'no', '', '', '1OK', 'OK16'),
	('KDUC', 'small_airport', 'Halliburton Field', 34.47090149, -97.9598999, 1114, 'US', 'US-OK', 'Duncan', 'no', 'KDUC', 'DUC', 'DUC', ''),
	('55OL', 'small_airport', 'Higley Field', 35.780431, -97.568392, 1080, 'US', 'US-OK', 'Guthrie', 'no', '55OL', '', '55OL', ''),
	('OK07', 'small_airport', 'DJS Airport', 34.5182, -98.3256, 1115, 'US', 'US-OK', 'Lawton', 'no', 'OK07', '', 'OK07', 'Jerry-Wright'),
	('O14', 'small_airport', 'Neil''s Sky Ranch Airport', 34.89080047607422, -97.99829864501953, 1200, 'US', 'US-OK', 'Ninnekah', 'no', 'O14', '', 'O14', ''),
	('TE10', 'small_airport', 'Pierce Airport', 33.815741, -98.229074, 885, 'US', 'US-TX', 'Henrietta', 'no', 'TE10', '', 'TE10', ''),
	('6OK2', 'small_airport', 'Redhills Airport', 35.062801361083984, -97.89530181884766, 1175, 'US', 'US-OK', 'Chickasha', 'no', '6OK2', '', '6OK2', ''),
	('1X1', 'small_airport', 'Higgins-Lipscomb County Airport', 36.1059, -100.0257, 2566, 'US', 'US-TX', 'Higgins', 'no', '1X1', '', '1X1', 'K1X1'),
	('KCLK', 'small_airport', 'Clinton Regional Airport', 35.5383, -98.932701, 1616, 'US', 'US-OK', 'Clinton', 'no', 'KCLK', 'CLK', 'CLK', ''),
	('KHBR', 'medium_airport', 'Hobart Regional Airport', 34.991317, -99.051313, 1563, 'US', 'US-OK', 'Hobart', 'no', 'KHBR', 'HBR', 'HBR', ''),
	('2TS5', 'closed', 'Hedley Airport', 34.8937, -100.610001, 2510, 'US', 'US-TX', 'Hedley', 'no', '', '', '', '2TS5'),
	('KOKC', 'large_airport', 'Will Rogers World Airport', 35.393388, -97.598248, 1295, 'US', 'US-OK', 'Oklahoma City', 'yes', 'KOKC', 'OKC', 'OKC', ''),
	('1OK6', 'small_airport', 'HSH Airstrip', 35.721944, -97.204722, 1020, 'US', 'US-OK', 'Luther', 'no', '5OK9', '', '5OK9', '1OK6, Stamper Ranch'),
	('3O4', 'small_airport', 'Sayre Municipal Airport', 35.167598724365234, -99.65789794921875, 1937, 'US', 'US-OK', 'Sayre', 'no', 'K3O4', '', '3O4', ''),
	('OK67', 'small_airport', 'Ramsak Airport', 34.547095, -97.909616, 1228, 'US', 'US-OK', 'Duncan', 'no', 'OK67', '', 'OK67', ''),
	('TX38', 'small_airport', 'Duke Ranch Airport', 36.37950134277344, -100.34300231933594, 2705, 'US', 'US-TX', 'Darrouzett', 'no', 'TX38', '', 'TX38', ''),
	('F92', 'small_airport', 'Kingfisher Airport', 35.876497, -97.95293, 1067, 'US', 'US-OK', 'Kingfisher', 'no', 'KF92', '', 'F92', ''),
	('KLTS', 'medium_airport', 'Altus Air Force Base', 34.667099, -99.266701, 1382, 'US', 'US-OK', 'Altus', 'no', 'KLTS', 'LTS', 'LTS', ''),
	('KELI', 'N/A', 'N/A', 34.74866654723883, -98.34340140223503, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5O1', 'small_airport', 'Vici Municipal Airport', 36.141701, -99.303201, 2268, 'US', 'US-OK', 'Vici', 'no', '', '', '5O1', 'OK77'),
	('KPAF', 'N/A', 'N/A', 34.0297094732523, -100.0689509510994, 534, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OK79', 'small_airport', 'Temple Airport Inc Airport', 34.25680160522461, -98.24120330810547, 1005, 'US', 'US-OK', 'Temple', 'no', 'OK79', '', 'OK79', ''),
	('5TE8', 'small_airport', 'Willis N Clark Airport', 35.761199951171875, -100.75199890136719, 3086, 'US', 'US-TX', 'Miami', 'no', '5TE8', '', '5TE8', ''),
	('OL25', 'small_airport', 'Eagle Chief Airport', 36.401963, -98.452982, 1199, 'US', 'US-OK', 'Cleo Springs', 'no', 'OL25', '', 'OL25', ''),
	('5OK8', 'closed', 'Alford A. Bratcher Airport', 34.675098, -97.855904, 1100, 'US', 'US-OK', 'Marlow', 'no', '', '', '', '5OK8'),
	('KMAQ', 'N/A', 'N/A', 34.70632016658783, -98.43484461307526, 363, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCLN', 'N/A', 'N/A', 35.463573820888996, -98.85054543614388, 485, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2OK3', 'closed', 'Moore Airpark', 35.354198, -97.483902, 1285, 'US', 'US-OK', 'Moore', 'no', '', '', '', '2OK3'),
	('KAPP', 'N/A', 'N/A', 34.792423099279404, -98.48750308156013, 437, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4OK4', 'small_airport', 'Low Pass Airport', 35.287601470947266, -97.66419982910156, 1320, 'US', 'US-OK', 'Tuttle', 'no', '4OK4', '', '4OK4', ''),
	('1OK8', 'small_airport', '5B Ranch Airport', 35.729801177978516, -97.54139709472656, 1085, 'US', 'US-OK', 'Edmond', 'no', '1OK8', '', '1OK8', ''),
	('3OK1', 'small_airport', 'Okarche Airport', 35.72999954223633, -97.96700286865234, 1239, 'US', 'US-OK', 'Okarche', 'no', '3OK1', '', '3OK1', ''),
	('7TX0', 'small_airport', 'Tom Danaher Airport', 33.82820129394531, -98.57270050048828, 986, 'US', 'US-TX', 'Wichita Falls', 'no', '7TX0', '', '7TX0', ''),
	('TX13', 'small_airport', 'Mesa Vista Ranch Airport', 35.889278, -101.030139, 2772, 'US', 'US-TX', 'Pampa', 'no', 'TX13', '', 'TX13', 'Formerly BPC'),
	('OL10', 'small_airport', 'Waters Boone Airport', 35.654524, -98.605793, 1676, 'US', 'US-OK', 'Hydro', 'no', 'OL10', '', 'OL10', ''),
	('OK91', 'closed', 'Stidham Private Airport', 34.983398, -97.933701, 1177, 'US', 'US-OK', 'Chickasha', 'no', '', '', '', 'OK91'),
	('3F6', 'small_airport', 'Dan E Richards Municipal Airport', 34.027599, -100.281998, 1860, 'US', 'US-TX', 'Paducah', 'no', '', '', '3F6', ''),
	('OK63', 'small_airport', 'Raab Field Airport', 34.629834, -97.815, 1283, 'US', 'US-OK', 'Bray', 'no', 'OK63', '', 'OK63', ''),
	('93F', 'small_airport', 'Mignon Laird Municipal Airport', 35.60749816894531, -99.70469665527344, 2084, 'US', 'US-OK', 'Cheyenne', 'no', 'K93F', '', '93F', ''),
	('18XS', 'small_airport', 'Gardner Farm Airport', 33.797991, -101.026554, 3000, 'US', 'US-TX', 'Mc Adoo', 'no', '18XS', '', '18XS', ''),
	('KRQO', 'small_airport', 'El Reno Regional Airport', 35.472698, -98.005798, 1420, 'US', 'US-OK', 'El Reno', 'no', 'KRQO', 'RQO', 'RQO', 'F28 KF28'),
	('80OK', 'closed', 'Flying S Ranch Airport', 35.576698, -99.8862, 2440, 'US', 'US-OK', 'Reydon', 'no', '', '', '', '80OK'),
	('KHHF', 'small_airport', 'Hemphill County Airport', 35.89530182, -100.4039993, 2396, 'US', 'US-TX', 'Canadian', 'no', 'KHHF', '', 'HHF', ''),
	('91OK', 'small_airport', 'The Flying Cowboy Airport', 34.641998, -99.371201, 1365, 'US', 'US-OK', 'Altus', 'no', '91OK', '', '91OK', 'Stewart Airport'),
	('O13', 'small_airport', 'Haddock Field', 35.20050048828125, -99.89769744873047, 2097, 'US', 'US-OK', 'Erick', 'no', 'O13', '', 'O13', ''),
	('KPAP', 'N/A', 'N/A', 35.454382225871086, -100.99421873688698, 987, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3O5', 'small_airport', 'Walters Municipal Airport', 34.369052, -98.406315, 1058, 'US', 'US-OK', 'Walters', 'no', '', '', '3O5', 'Walters Turnpike');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KPWA', 'small_airport', 'Wiley Post Airport', 35.53419876, -97.64710236, 1300, 'US', 'US-OK', 'Oklahoma City', 'no', 'KPWA', 'PWA', 'PWA', ''),
	('F01', 'small_airport', 'Quanah Municipal Airport', 34.277101, -99.7593, 1602, 'US', 'US-TX', 'Quanah', 'no', '', '', 'F01', ''),
	('35OK', 'closed', 'Schumacher Field', 35.5, -99.035598, 1595, 'US', 'US-OK', 'Clinton', 'no', '', '', '', '35OK'),
	('KPPA', 'small_airport', 'Perry Lefors Field', 35.612998962402, -100.99600219727, 3245, 'US', 'US-TX', 'Pampa', 'no', 'KPPA', 'PPA', 'PPA', ''),
	('76OK', 'small_airport', 'Odom''s Roost Airport', 35.282739, -97.61982, 1240, 'US', 'US-OK', 'Newcastle', 'no', '76OK', '', '76OK', ''),
	('4O1', 'small_airport', 'Snyder Airport', 34.627601623535156, -99.01399993896484, 1325, 'US', 'US-OK', 'Snyder', 'no', '4O1', '', '4O1', ''),
	('53OK', 'small_airport', 'Thompson Private Airport', 35.24284, -97.76384, 1280, 'US', 'US-OK', 'Tuttle', 'no', '53OK', '', '53OK', ''),
	('KGAG', 'small_airport', 'Gage Heibeck Airport', 36.295502, -99.776398, 2223, 'US', 'US-OK', 'Gage', 'no', 'KGAG', 'GAG', 'GAG', ''),
	('TE04', 'small_airport', 'Split B Ranch Airport', 35.70249938964844, -100.28500366210938, 2580, 'US', 'US-TX', 'Canadian', 'no', 'TE04', '', 'TE04', ''),
	('2OK7', 'small_airport', 'Cole Landing Area Airport', 35.258399963378906, -97.66280364990234, 1353, 'US', 'US-OK', 'Newcastle', 'no', '2OK7', '', '2OK7', ''),
	('52XA', 'small_airport', 'Klinkerman Airport', 34.048544, -98.426994, 1040, 'US', 'US-TX', 'Wichita Falls', 'no', '52XA', '', '52XA', ''),
	('1OK2', 'closed', 'Wyatt Airport', 35.098701, -97.469803, 1163, 'US', 'US-OK', 'Goldsby', 'no', '', '', '', '1OK2'),
	('KOJA', 'small_airport', 'Thomas P Stafford Airport', 35.5448, -98.668503, 1605, 'US', 'US-OK', 'Weatherford', 'no', 'KOJA', '', 'OJA', 'F91'),
	('OK71', 'small_airport', 'TLC Airport', 36.503744, -98.008838, 1367, 'US', 'US-OK', 'Carrier', 'no', 'OK71', '', 'OK71', ''),
	('29OK', 'closed', 'Ditch Witch Airport', 36.300346, -97.318526, 1120, 'US', 'US-OK', 'Perry', 'no', '', '', '', '29OK'),
	('9OK8', 'closed', 'Central Park Helistop', 35.533383, -97.500604, 1110, 'US', 'US-OK', 'Oklahoma City', 'no', '', '', '', '9OK8'),
	('KENI', 'N/A', 'N/A', 36.45260218530893, -97.8640365600586, 386, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('34OK', 'closed', 'Double Bar S Ranches Airport', 35.900101, -96.5503, 950, 'US', 'US-OK', 'Shamrock', 'no', '', '', '', '34OK'),
	('4O7', 'small_airport', 'Decker Field', 36.372100830078125, -98.17839813232422, 1330, 'US', 'US-OK', 'Meno', 'no', '4O7', '', '4O7', ''),
	('6OK0', 'small_airport', 'White Airport', 35.89139938354492, -97.95890045166016, 1110, 'US', 'US-OK', 'Kingfisher', 'no', '6OK0', '', '6OK0', ''),
	('1OK5', 'small_airport', 'Hohman Airport', 34.982941, -99.228816, 1563, 'US', 'US-OK', 'Lone Wolf', 'no', '1OK5', '', '1OK5', ''),
	('OK40', 'closed', 'Eden Ranch Airport', 36.7584, -99.033699, 1641, 'US', 'US-OK', 'Freedom', 'no', '', '', '', 'OK40'),
	('OK82', 'small_airport', 'Scottys Field', 34.69169998168945, -99.34480285644531, 1425, 'US', 'US-OK', 'Altus', 'no', 'OK82', '', 'OK82', ''),
	('KHEL', 'N/A', 'N/A', 36.44528578966856, -98.1040433049202, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMAK', 'N/A', 'N/A', 34.666955061256886, -98.29475462436676, 380, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3E0', 'small_airport', 'Miami Roberts County Airport', 35.71390151977539, -100.60299682617188, 2720, 'US', 'US-TX', 'Miami', 'no', 'K3E0', '', '3E0', ''),
	('2F1', 'small_airport', 'Shamrock Municipal Airport', 35.233913, -100.185442, 2369, 'US', 'US-TX', 'Shamrock', 'no', '', '', '2F1', ''),
	('25OK', 'closed', 'Fin & Feather Resort Heliport', 35.608398, -95.050201, 900, 'US', 'US-OK', 'Gore', 'no', '', '', '', '25OK'),
	('OK72', 'small_airport', 'Trust Landing Airport', 36.212716, -98.903291, 1730, 'US', 'US-OK', 'Chester', 'no', 'OK72', '', 'OK72', ''),
	('F09', 'small_airport', 'Olustee Municipal Airport', 34.51259994506836, -99.42949676513672, 1346, 'US', 'US-OK', 'Olustee', 'no', 'F09', '', 'F09', ''),
	('KWAO', 'N/A', 'N/A', 36.23925693333149, -98.0287192761898, 369, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('46OK', 'closed', 'Steinert Lakes Airport', 36.220746, -97.843609, 1120, 'US', 'US-OK', 'Bison', 'no', '', '', '', '46OK'),
	('26TX', 'small_airport', 'Lowrance Ranch Airport', 33.764801025390625, -100.01799774169922, 1692, 'US', 'US-TX', 'Truscott', 'no', '26TX', '', '26TX', ''),
	('6K4', 'small_airport', 'Fairview Municipal Airport', 36.2901, -98.4758, 1272, 'US', 'US-OK', 'Fairview', 'no', 'K6K4', '', '6K4', ''),
	('2E7', 'small_airport', 'McLean Gray County Airport', 35.246157, -100.546875, 2835, 'US', 'US-TX', 'McLean', 'no', '2E7', '', '2E7', ''),
	('3TE6', 'small_airport', 'Skellytown Airport', 35.56999969482422, -101.16899871826172, 3280, 'US', 'US-TX', 'Skellytown', 'no', '3TE6', '', '3TE6', ''),
	('OK56', 'closed', 'PTNO Airport', 36.068102, -97.849713, 1173, 'US', 'US-OK', 'Hennessey', 'no', '', '', '', 'OK56'),
	('KHIT', 'N/A', 'N/A', 35.44901479035616, -98.35603550076485, 500, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('60OK', 'closed', 'Carlin Lawrence Airport', 35.121278, -98.529897, 1340, 'US', 'US-OK', 'Carnegie', 'no', '', '', '', '60OK'),
	('OL09', 'small_airport', 'Jennings Ranch Airport', 34.887924, -98.755347, 1620, 'US', 'US-OK', 'Mountain View', 'no', 'OL09', '', 'OL09', ''),
	('1OK3', 'small_airport', 'Wolfe Field Airport', 34.5760993958, -97.8141021729, 1194, 'US', 'US-OK', 'Bray', 'no', '1OK3', '', '1OK3', ''),
	('8TE0', 'closed', 'Gillingham Airport', 29.139099, -98.113297, 450, 'US', 'US-TX', 'Floresville', 'no', '', '', '', '8TE0'),
	('OL18', 'small_airport', 'Flying D Airport', 35.788998, -98.597, 1689, 'US', 'US-OK', 'Watonga', 'no', 'OL18', '', 'OL18', ''),
	('61OK', 'closed', 'The Highlands Airport', 35.799999, -97.608704, 1160, 'US', 'US-OK', 'Cashion', 'no', '', '', '', '61OK'),
	('OK11', 'small_airport', 'Ksa Orchards Airport', 34.313904, -98.009261, 1080, 'US', 'US-OK', 'Comanche', 'no', 'OK11', '', 'OK11', 'Shelby'),
	('3TS5', 'closed', 'Purdy-Nielsen Memorial Airpark', 29.4711, -95.886299, 105, 'US', 'US-TX', 'Beasley', 'no', '', '', '', '3TS5'),
	('81OK', 'small_airport', 'Twin Lakes Ranch Airport', 35.02640151977539, -99.33940124511719, 1630, 'US', 'US-OK', 'Granite', 'no', '81OK', '', '81OK', ''),
	('47OK', 'small_airport', 'Harman Airport', 35.58369827270508, -98.04010009765625, 1345, 'US', 'US-OK', 'Calumet', 'no', '47OK', '', '47OK', ''),
	('4OK0', 'closed', 'Zevely Climbing ZZ Ranch Airport', 35.225101, -96.722802, 980, 'US', 'US-OK', 'Seminole', 'no', '', '', '', '4OK0'),
	('05OK', 'closed', 'Hawk Haven Airport', 35.8534, -97.567497, 1075, 'US', 'US-OK', 'Crescent', 'no', '', '', '', '05OK'),
	('2O8', 'small_airport', 'Hinton Municipal Airport', 35.50590134, -98.3423996, 1587, 'US', 'US-OK', 'Hinton', 'no', 'K2O8', '', '2O8', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('E34', 'small_airport', 'Smiley Johnson Municipal Airport Bass Field', 34.911499, -100.869003, 2833, 'US', 'US-TX', 'Clarendon', 'no', 'KE34', '', 'E34', ''),
	('OK43', 'small_airport', 'Logsdon Ranch Airport', 36.530601501464844, -98.63670349121094, 1475, 'US', 'US-OK', 'Alva', 'no', 'OK43', '', 'OK43', ''),
	('OK99', 'closed', 'Unity Health Center Heliport', 35.362864, -96.93665, 1073, 'US', 'US-OK', 'Shawnee', 'no', '', '', '', 'OK99'),
	('8OK2', 'small_airport', 'Baker Airstrip', 35.475101470947266, -97.92890167236328, 1370, 'US', 'US-OK', 'El Reno', 'no', '8OK2', '', '8OK2', ''),
	('T59', 'small_airport', 'Wheeler Municipal Airport', 35.45109939575195, -100.19999694824219, 2470, 'US', 'US-TX', 'Wheeler', 'no', 'KT59', '', 'T59', ''),
	('TS79', 'closed', 'Air Logistics Heliport', 28.439699, -96.419702, 5, 'US', 'US-TX', 'Port O''Connor', 'no', '', '', '', 'TS79'),
	('OK98', 'closed', 'King Airport', 35.37401, -98.48033, 1535, 'US', 'US-OK', 'Lookeba', 'no', '', '', '', 'OK98'),
	('3OK5', 'small_airport', 'Bearden Private Airport', 34.728599548300004, -97.605796814, 1180, 'US', 'US-OK', 'Lindsay', 'no', '3OK5', '', '3OK5', ''),
	('OK70', 'N/A', 'N/A', 35.430572256445885, -98.25768068432808, 491, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KWWR', 'medium_airport', 'West Woodward Airport', 36.438, -99.5226667, 2189, 'US', 'US-OK', 'Woodward', 'no', 'KWWR', 'WWR', 'WWR', ''),
	('OK12', 'small_airport', 'Jones Farm Field', 34.399167, -98.266389, 1042, 'US', 'US-OK', 'Walters', 'no', 'OK12', '', 'OK12', ''),
	('F06', 'small_airport', 'Marian Airpark', 34.844033, -100.192838, 2008, 'US', 'US-TX', 'Wellington', 'no', '', '', 'F06', ''),
	('KWAU', 'N/A', 'N/A', 34.23505134880543, -98.02600935101509, 308, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2XA0', 'small_airport', 'Foard County Airport', 33.9793014526, -99.7128982544, 1479, 'US', 'US-TX', 'Crowell', 'no', '2XA0', '', '2XA0', '8F4'),
	('KAXS', 'small_airport', 'Altus Quartz Mountain Regional Airport', 34.697952, -99.3385, 1433, 'US', 'US-OK', 'Altus', 'no', 'KAXS', 'AXS', 'AXS', ''),
	('KELK', 'small_airport', 'Elk City Regional Business Airport', 35.43080139, -99.39430237, 2013, 'US', 'US-OK', 'Elk City', 'no', 'KELK', 'ELK', 'ELK', ''),
	('E42', 'small_airport', 'Spearman Municipal Airport', 36.221001, -101.195, 3090, 'US', 'US-TX', 'Spearman', 'no', 'E42', '', 'E42', ''),
	('O35', 'small_airport', 'Hollis Municipal Airport', 34.705293, -99.908566, 1658, 'US', 'US-OK', 'Hollis', 'no', 'KO35', '', 'O35', ''),
	('71OK', 'small_airport', 'Neuwirth Airstrip', 34.57619857788086, -98.48300170898438, 1185, 'US', 'US-OK', 'Lawton', 'no', '71OK', '', '71OK', ''),
	('F21', 'small_airport', 'Memphis Municipal Airport', 34.739601, -100.529999, 2102, 'US', 'US-TX', 'Memphis', 'no', 'KF21', '', 'F21', ''),
	('OK66', 'closed', 'F.W. Zaloudek Airport', 36.556702, -97.836371, 1118, 'US', 'US-OK', 'Kremlin', 'no', '', '', '', 'OK66'),
	('2OK9', 'closed', 'Pata Skyhaven Airport', 35.1959, -97.308403, 1136, 'US', 'US-OK', 'Norman', 'no', '', '', '', '2OK9'),
	('2K4', 'small_airport', 'Scott Field', 34.892601, -99.528198, 1643, 'US', 'US-OK', 'Mangum', 'no', 'K2K4', '', '2K4', ''),
	('KEND', 'medium_airport', 'Vance Air Force Base', 36.339199, -97.916496, 1307, 'US', 'US-OK', 'Enid', 'no', 'KEND', 'END', 'END', ''),
	('8OK0', 'small_airport', 'Lamle Airport', 36.06829833984375, -98.28919982910156, 1212, 'US', 'US-OK', 'Okeene', 'no', '8OK0', '', '8OK0', ''),
	('0TE3', 'closed', 'Buzz Field', 33.931752, -100.845681, 2614, 'US', 'US-TX', 'Roaring Springs', 'no', '', '', '', '0TE3'),
	('KFDR', 'small_airport', 'Frederick Regional Airport', 34.35200119, -98.98390198, 1258, 'US', 'US-OK', 'Frederick', 'no', 'KFDR', 'FDR', 'FDR', 'Frederick Army Airfield'),
	('KCSM', 'small_airport', 'Clinton Sherman Airport', 35.3398017883, -99.20050048830001, 1922, 'US', 'US-OK', 'Clinton', 'no', 'KCSM', 'CSM', 'CSM', ''),
	('0TS9', 'closed', 'Jim Roach Field', 30.015499, -97.737197, 600, 'US', 'US-TX', 'Niederwald', 'no', '', '', '', '0TS9'),
	('KHEK', 'N/A', 'N/A', 36.13561000674963, -97.9947455227375, 374, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TX12', 'closed', 'Kidd-Private Airport', 33.808399, -96.608597, 705, 'US', 'US-TX', 'Denison', 'no', '', '', '', 'TX12'),
	('2DT', 'N/A', 'N/A', 35.44851455837488, -97.533048838377, 360, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSPS', 'medium_airport', 'Wichita Falls Municipal Airport / Sheppard Air Force Base', 33.9888, -98.491898, 1019, 'US', 'US-TX', 'Wichita Falls', 'yes', 'KSPS', 'SPS', 'SPS', 'Sheppard Air Force Base'),
	('4OK7', 'closed', 'Flying A Ranch Airport', 35.091202, -97.5009, 1165, 'US', 'US-OK', 'Washington', 'no', '', '', '', '4OK7'),
	('1O1', 'small_airport', 'Grandfield Municipal Airport', 34.23759841918945, -98.74199676513672, 1128, 'US', 'US-OK', 'Grandfield', 'no', 'K1O1', '', '1O1', ''),
	('00AS', 'small_airport', 'Fulton Airport', 34.9428028, -97.8180194, 1100, 'US', 'US-OK', 'Alex', 'no', '00AS', '', '00AS', ''),
	('F14', 'small_airport', 'Wichita Valley Airport', 33.947701, -98.616699, 1005, 'US', 'US-TX', 'Wichita Falls', 'no', '', '', 'F14', ''),
	('0OK8', 'closed', 'Cade''s Airport', 36.2925, -97.593102, 1140, 'US', 'US-OK', 'Covington', 'no', '', '', '', '0OK8'),
	('OK83', 'closed', 'Sheffield-Smith Airstrip', 34.575769, -99.35127, 1355, 'US', 'US-OK', 'Altus', 'no', '', '', '', 'OK83'),
	('8TS2', 'small_airport', 'Henrietta Airport', 33.78340148925781, -98.21700286865234, 932, 'US', 'US-TX', 'Henrietta', 'no', '8TS2', '', '8TS2', ''),
	('T93', 'small_airport', 'Follett Lipscomb County Airport', 36.440799713134766, -100.1240005493164, 2601, 'US', 'US-TX', 'Follett', 'no', 'KT93', '', 'T93', ''),
	('OK51', 'small_airport', 'Enix Boys Airport', 36.10419845581055, -97.93699645996094, 1100, 'US', 'US-OK', 'Hennessey', 'no', 'OK51', '', 'OK51', ''),
	('6OK3', 'closed', 'Pinson''s Cottonpatch Airport', 34.4748, -99.1315, 1297, 'US', 'US-OK', 'Tipton', 'no', '', '', '', '6OK3'),
	('0OK3', 'small_airport', 'McKinley Ranch Airport', 35.614465, -98.534403, 1420, 'US', 'US-OK', 'Geary', 'no', '0OK3', '', '0OK3', 'Groendyke Ranch'),
	('9TA2', 'closed', 'Urschel Ranch Airport', 35.927661, -100.307597, 2340, 'US', 'US-TX', 'Canadian', 'no', '', '', '', '9TA2'),
	('36XS', 'small_airport', 'Mill Iron Ranch South Airport', 34.897, -100.11789, 2097, 'US', 'US-TX', 'Wellington', 'no', '36XS', '', '36XS', ''),
	('17OK', 'closed', 'J-B Airstrip', 36.525002, -97.758698, 1142, 'US', 'US-OK', 'Kremlin', 'no', '', '', '', '17OK'),
	('OK97', 'small_airport', 'Ketchum Ranch Airport', 34.53340148925781, -97.76699829101563, 1100, 'US', 'US-OK', 'Duncan', 'no', 'OK97', '', 'OK97', ''),
	('OK03', 'closed', 'Downtown Airpark', 35.449183, -97.532989, 1180, 'US', 'US-OK', 'Oklahoma City', 'no', '', '', '', 'OK03, 2DT, DWN'),
	('1OK1', 'small_airport', 'Dave''s Place Airport', 35.82500076293945, -97.80590057373047, 1160, 'US', 'US-OK', 'Kingfisher', 'no', '1OK1', '', '1OK1', ''),
	('KWDG', 'small_airport', 'Enid Woodring Regional Airport', 36.3791999817, -97.7910995483, 1167, 'US', 'US-OK', 'Enid', 'no', 'KWDG', 'WDG', 'WDG', 'Woodring Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KRCE', 'N/A', 'N/A', 35.48808317631483, -97.82355576753616, 410, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCHK', 'small_airport', 'Chickasha Municipal Airport', 35.09740067, -97.96769714, 1152, 'US', 'US-OK', 'Chickasha', 'no', 'KCHK', 'CHK', 'CHK', ''),
	('28OK', 'small_airport', 'Pellar Farm Airport', 35.511128, -98.036757, 1400, 'US', 'US-OK', 'Union City', 'no', '28OK', '', '28OK', ''),
	('1O4', 'small_airport', 'Thomas Municipal Airport', 35.733455, -98.730575, 1731, 'US', 'US-OK', 'Thomas', 'no', 'K1O4', '', '1O4', ''),
	('29TX', 'small_airport', 'Lockett Airport', 34.094807, -99.365108, 1282, 'US', 'US-TX', 'Vernon', 'no', '29TX', '', '29TX', ''),
	('F48', 'N/A', 'N/A', 33.774102330207825, -97.73837998509407, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('86F', 'small_airport', 'Carnegie Municipal Airport', 35.123600006103516, -98.57520294189453, 1354, 'US', 'US-OK', 'Carnegie', 'no', 'K86F', '', '86F', ''),
	('KMDF', 'small_airport', 'Mooreland Municipal Airport', 36.484798, -99.194199, 1970, 'US', 'US-OK', 'Mooreland', 'no', 'KMDF', '', 'MDF', ''),
	('KJWG', 'small_airport', 'Watonga Regional Airport', 35.8647, -98.420799, 1550, 'US', 'US-OK', 'Watonga', 'no', 'KJWG', '', 'JWG', ''),
	('F68', 'small_airport', 'Anadarko Municipal Airport', 35.05220031738281, -98.26429748535156, 1286, 'US', 'US-OK', 'Anadarko', 'no', 'KF68', '', 'F68', ''),
	('KHSD', 'small_airport', 'Sundance Airpark', 35.601799, -97.7062, 1193, 'US', 'US-OK', 'Oklahoma City', 'no', 'KHSD', '', 'HSD', ''),
	('KLAW', 'medium_airport', 'Lawton Fort Sill Regional Airport', 34.567699, -98.416603, 1110, 'US', 'US-OK', 'Lawton', 'yes', 'KLAW', 'LAW', 'LAW', ''),
	('KCWC', 'small_airport', 'Kickapoo Downtown Airport', 33.85779953, -98.49040222, 1003, 'US', 'US-TX', 'Wichita Falls', 'no', 'KCWC', 'KIP', 'CWC', 'KT47, T47, JKP'),
	('F36', 'small_airport', 'Cordell Municipal Airport', 35.29759979248047, -98.96739959716797, 1589, 'US', 'US-OK', 'Cordell', 'no', 'KF36', '', 'F36', ''),
	('KGOT', 'N/A', 'N/A', 31.48196529597044, -98.57200965285301, 482, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('60F', 'small_airport', 'Seymour Municipal Airport', 33.64870071411133, -99.2605972290039, 1344, 'US', 'US-TX', 'Seymour', 'no', 'K60F', '', '60F', ''),
	('94TA', 'small_airport', 'Reece Field', 31.307851, -100.463705, 1960, 'US', 'US-TX', 'San Angelo', 'no', '94TA', '', '94TA', ''),
	('1TX2', 'small_airport', 'J Y Ranch-R B Masterson III Estate Airport', 33.716294, -100.155195, 1808, 'US', 'US-TX', 'Guthrie', 'no', '1TX2', '', '1TX2', ''),
	('KSNK', 'small_airport', 'Winston Field', 32.690212, -100.948918, 2430, 'US', 'US-TX', 'Snyder', 'no', 'KSNK', 'SNK', 'SNK', ''),
	('T23', 'small_airport', 'Albany Municipal Airport', 32.71900177002, -99.267601013184, 1425, 'US', 'US-TX', 'Albany', 'no', 'T23', '', 'T23', ''),
	('TS65', 'small_airport', 'Ducote Airpark', 31.35849952697754, -100.61299896240234, 1974, 'US', 'US-TX', 'San Angelo', 'no', 'TS65', '', 'TS65', ''),
	('84TE', 'small_airport', 'W4 Ranch Airport', 31.988067, -97.543181, 833, 'US', 'US-TX', 'Morgan', 'no', '84TE', '', '84TE', ''),
	('10XS', 'small_airport', 'Flying S Air Ranch Airport', 31.779499053955078, -98.9093017578125, 1447, 'US', 'US-TX', 'Brownwood', 'no', '10XS', '', '10XS', ''),
	('XA99', 'small_airport', 'Flat Bush Airport', 33.1343994140625, -97.60700225830078, 862, 'US', 'US-TX', 'Decatur', 'no', 'XA99', '', 'XA99', ''),
	('54F', 'small_airport', 'Robert Lee Airport', 31.881799697875977, -100.54000091552734, 1922, 'US', 'US-TX', 'Robert Lee', 'no', 'K54F', '', '54F', ''),
	('96TX', 'small_airport', 'Brown Field', 31.1653995513916, -100.47599792480469, 2125, 'US', 'US-TX', 'Christoval', 'no', '96TX', '', '96TX', ''),
	('94TX', 'small_airport', 'River Bend Ranch Airport', 31.437700271606445, -99.31559753417969, 1500, 'US', 'US-TX', 'Brady', 'no', '94TX', '', '94TX', ''),
	('61TE', 'small_airport', 'Kezer Air Ranch Airport', 32.98680114746094, -97.61969757080078, 830, 'US', 'US-TX', 'Springtown', 'no', '61TE', '', '61TE', ''),
	('37F', 'small_airport', 'Munday Municipal Airport', 33.468029, -99.586121, 1473, 'US', 'US-TX', 'Munday', 'no', '', '', '37F', ''),
	('41TA', 'small_airport', 'Circle P Ranch Airport', 32.23731, -97.8707, 800, 'US', 'US-TX', 'Bluff Dale', 'no', '41TA', '', '41TA', ''),
	('9F0', 'small_airport', 'Dublin Municipal Airport', 32.068049, -98.325774, 1495, 'US', 'US-TX', 'Dublin', 'no', '', '', '9F0', ''),
	('6TE6', 'small_airport', '6666 Ranch Airport', 33.6412010193, -100.347999573, 1775, 'US', 'US-TX', 'Guthrie', 'no', '6TE6', '', '6TE6', ''),
	('KRPH', 'small_airport', 'Graham Municipal Airport', 33.110198974609, -98.555297851562, 1123, 'US', 'US-TX', 'Graham', 'no', 'KRPH', '', 'RPH', 'E15'),
	('2TX5', 'small_airport', 'Berry Airport', 31.453500747680664, -97.75140380859375, 757, 'US', 'US-TX', 'Gatesville', 'no', '2TX5', '', '2TX5', ''),
	('TE08', 'small_airport', 'Flying W Airport', 32.149563, -100.159762, 2200, 'US', 'US-TX', 'Wingate', 'no', 'TE08', '', 'TE08', ''),
	('72F', 'small_airport', 'Throckmorton Municipal Airport', 33.180052, -99.149798, 1273, 'US', 'US-TX', 'Throckmorton', 'no', '72F', '', '72F', ''),
	('4TA3', 'small_airport', 'Costello Island Inc Airport', 32.896562, -98.461018, 1020, 'US', 'US-TX', 'Graford', 'no', '4TA3', '', '4TA3', ''),
	('8TA7', 'small_airport', 'Stark Field', 32.569599151611, -97.75309753418, 900, 'US', 'US-TX', 'Granbury', 'no', '', '', '8TA7', '8TA7'),
	('KBRB', 'N/A', 'N/A', 31.39434691518545, -99.48183596134186, 434, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('48XA', 'small_airport', 'Spring Ranch Airport', 32.319357, -98.98797, 1652, 'US', 'US-TX', 'Cisco', 'no', '48XA', '', '48XA', ''),
	('7TE5', 'small_airport', 'Carlisle Airport', 31.67919921875, -98.6635971069336, 1790, 'US', 'US-TX', 'Mullin', 'no', '7TE5', '', '7TE5', ''),
	('10TT', 'small_airport', 'Rosser Ranch Airport', 33.0154, -98.626, 1112, 'US', 'US-TX', 'Graham', 'no', '10TT', '', '10TT', '10F'),
	('12TE', 'closed', 'Curtis Ranch Field', 31.312844, -99.24048, 1740, 'US', 'US-TX', 'Rochelle', 'no', '', '', '', '10R, 12TE'),
	('KDYS', 'medium_airport', 'Dyess Air Force Base', 32.420799, -99.854599, 1789, 'US', 'US-TX', 'Abilene', 'no', 'KDYS', 'DYS', 'DYS', ''),
	('03XS', 'small_airport', 'Creekside Airport', 31.318099975585938, -100.75399780273438, 2100, 'US', 'US-TX', 'Mertzon', 'no', '03XS', '', '03XS', ''),
	('KGRK', 'medium_airport', 'Killeen Regional Airport', 31.0672, -97.828903, 1015, 'US', 'US-TX', 'Fort Cavazos', 'yes', 'KGRK', 'GRK', 'GRK', 'Robert Gray Army Airfield, Killeen/Fort Hood Regional'),
	('F78', 'small_airport', 'Horseshoe Bend Airport', 32.572899, -97.872498, 715, 'US', 'US-TX', 'Weatherford', 'no', 'F78', '', 'F78', ''),
	('KSPR', 'N/A', 'N/A', 32.929398603737354, -97.71389365196228, 341, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KGZN', 'small_airport', 'Gregory M. Simmons Memorial Airport', 32.367348, -99.023642, 1711, 'US', 'US-TX', 'Cisco', 'no', 'KGZN', '', 'GZN', ''),
	('KBRA', 'N/A', 'N/A', 31.30599830299616, -99.49294254183769, 485, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0F2', 'small_airport', 'Bowie Municipal Airport', 33.6017, -97.775597, 1101, 'US', 'US-TX', 'Bowie', 'no', '', '', '0F2', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8TS7', 'small_airport', 'Wyatt 3-Rivers Airport', 32.2449, -97.726097, 615, 'US', 'US-TX', 'Glen Rose', 'no', '8TS7', '', '8TS7', ''),
	('19TX', 'closed', 'Woody McClellan Ranch Airport', 31.238883, -97.514726, 690, 'US', 'US-TX', 'Temple', 'no', '', '', '', '19TX'),
	('KLUD', 'small_airport', 'Decatur Municipal Airport', 33.254601, -97.580597, 1047, 'US', 'US-TX', 'Decatur', 'no', 'KLUD', '', 'LUD', '8F7'),
	('4TX7', 'closed', 'Oliver Airport', 33.422474, -99.865794, 1500, 'US', 'US-TX', 'Knox City', 'no', '', '', '', '4TX7'),
	('TX28', 'closed', 'Dewberry Heliport', 29.733299, -95.8638, 140, 'US', 'US-TX', 'Katy', 'no', '', '', '', ''),
	('3XA8', 'small_airport', 'Chicken Strip', 32.514162, -97.594803, 1055, 'US', 'US-TX', 'Cresson', 'no', '3XA8', '', '3XA8', ''),
	('4TE6', 'small_airport', 'Jamison Airstrip', 30.063077, -94.948654, 85, 'US', 'US-TX', 'Dayton', 'no', '4TE6', '', '4TE6', ''),
	('43TA', 'closed', 'Diamond Seven Ranch Airport', 32.025151, -97.624411, 797, 'US', 'US-TX', 'Morgan', 'no', '', '', '', '43TA, 43TA, 43TA'),
	('TS62', 'small_airport', 'Norris Field', 33.201864, -100.523631, 1987, 'US', 'US-TX', 'Jayton', 'no', 'TS62', '', 'TS62', ''),
	('1XA1', 'small_airport', 'Sky Acres Airport', 33.647701263427734, -97.8290023803711, 1070, 'US', 'US-TX', 'Bowie', 'no', '1XA1', '', '1XA1', ''),
	('5TS4', 'small_airport', 'Mc Entire Airport', 33.1445999146, -97.6016998291, 790, 'US', 'US-TX', 'Decatur', 'no', '5TS4', '', '5TS4', ''),
	('TS03', 'small_airport', 'Bryant''s Landing Airport', 32.061500549316406, -97.73780059814453, 914, 'US', 'US-TX', 'Walnut Springs', 'no', 'TS03', '', 'TS03', ''),
	('22XS', 'small_airport', 'Longhorn Auxiliary Landing Strip', 31.373693, -97.666654, 720, 'US', 'US-TX', 'Fort Hood', 'no', '22XS', '', '22XS', ''),
	('TS14', 'small_airport', 'Smith Flying Service Airport', 32.108699798583984, -98.48799896240234, 1275, 'US', 'US-TX', 'De Leon', 'no', 'TS14', '', 'TS14', ''),
	('2TX2', 'small_airport', 'Ray Smith Farm Airport', 32.0265007019043, -98.01000213623047, 1050, 'US', 'US-TX', 'Hico', 'no', '2TX2', '', '2TX2', ''),
	('F75', 'small_airport', 'Harrison Field of Knox City Airport', 33.436933, -99.815842, 1500, 'US', 'US-TX', 'Knox City', 'no', 'KF75', '', 'F75', ''),
	('TX02', 'closed', 'Portlock Airfield', 32.526501, -99.6129, 1780, 'US', 'US-TX', 'Abilene', 'no', '', '', '', 'TX02, TX02, TX02'),
	('1TX0', 'closed', 'Lytle Airpark', 29.253334, -98.861115, 780, 'US', 'US-TX', 'Lytle', 'no', '', '', '', '1TX0'),
	('T88', 'small_airport', 'Colorado City Airport', 32.468399, -100.920998, 2214, 'US', 'US-TX', 'Colorado City', 'no', '', '', 'T88', ''),
	('73XS', 'closed', 'Dearing Ranch Airport', 32.445999, -98.371201, 1055, 'US', 'US-TX', 'Gordon', 'no', '', '', '', '73XS'),
	('KMNZ', 'small_airport', 'Hamilton Municipal Airport', 31.665899, -98.148598, 1299, 'US', 'US-TX', 'Hamilton', 'no', 'KMNZ', '', 'MNZ', ''),
	('TA65', 'small_airport', 'Sportsman''s World Airport', 32.8212013245, -98.47869873050001, 1142, 'US', 'US-TX', 'Palo Pinto', 'no', 'TA65', '', 'TA65', ''),
	('KMKN', 'small_airport', 'Comanche County City Airport', 31.9168, -98.600304, 1385, 'US', 'US-TX', 'Comanche', 'no', 'KMKN', '', 'MKN', ''),
	('8XA7', 'N/A', 'N/A', 31.69365294277668, -98.10587480664253, 369, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1TS8', 'small_airport', 'Landers Ranch Airport', 32.287982, -100.717897, 2275, 'US', 'US-TX', 'Colorado City', 'no', '1TS8', '', '1TS8', ''),
	('5XA0', 'small_airport', 'Hunter''s Creek Airport', 31.255762, -100.647603, 2050, 'US', 'US-TX', 'Kinckerboker', 'no', '5XA0', '', '5XA0', ''),
	('13TX', 'closed', 'Allison Ranch Airport', 30.533561, -100.451882, 2350, 'US', 'US-TX', 'Sonora', 'no', '', '', '', '13TX'),
	('15F', 'small_airport', 'Haskell Municipal Airport', 33.19150161743164, -99.71790313720703, 1625, 'US', 'US-TX', 'Haskell', 'no', 'K15F', '', '15F', ''),
	('KABI', 'medium_airport', 'Abilene Regional Airport', 32.4113006592, -99.68190002440001, 1791, 'US', 'US-TX', 'Abilene', 'yes', 'KABI', 'ABI', 'ABI', ''),
	('TX34', 'small_airport', 'Windy Tales Airport', 32.848415374800005, -97.9843063354, 980, 'US', 'US-TX', 'Mineral Wells', 'no', 'TX34', '', 'TX34', ''),
	('TX48', 'small_airport', 'Talley Airport', 31.832222, -97.718889, 880, 'US', 'US-TX', 'Clifton', 'no', 'TX48', '', 'TX48', ''),
	('K37F', 'small_airport', 'Munday Municipal Airport', 33.468029, -99.586121, 1473, 'US', 'US-TX', 'Munday', 'no', '', '', '37F', ''),
	('TS95', 'closed', 'Aviasud Airpark', 29.486401, -95.930801, 100, 'US', 'US-TX', 'Beasley', 'no', '', '', '', 'TS95'),
	('KETN', 'small_airport', 'Eastland Municipal Airport', 32.4135017395, -98.80979919430001, 1464, 'US', 'US-TX', 'Eastland', 'no', 'KETN', 'ETN', 'ETN', ''),
	('3F2', 'small_airport', 'Cisco Municipal Airport', 32.415038, -98.996944, 1612, 'US', 'US-TX', 'Cisco', 'no', '', '', '3F2', ''),
	('TA54', 'closed', 'Clear Fork Ranch Heliport', 32.733299, -97.646698, 850, 'US', 'US-TX', 'Weatherford', 'no', '', '', '', 'TA54'),
	('TE40', 'closed', 'Caselman Ranch Airport', 32.674801, -98.826202, 1387, 'US', 'US-TX', 'Breckenridge', 'no', '', '', '', 'TE40, TE40, TE40'),
	('81TS', 'closed', 'Dibrell Airport', 31.443304, -95.276191, 385, 'US', 'US-TX', 'Crockett', 'no', '', '', '', '81TS'),
	('3TA4', 'small_airport', 'Tin Top Ranch Airport', 31.48579978942871, -98.9760971069336, 1300, 'US', 'US-TX', 'Brownwood', 'no', '3TA4', '', '3TA4', ''),
	('TX21', 'small_airport', 'Hornady Ranch Airport', 33.477845, -98.54619, 1165, 'US', 'US-TX', 'Archer City', 'no', 'TX21', '', 'TX21', ''),
	('35TT', 'small_airport', 'Hawkins Field', 32.473926, -97.501645, 978, 'US', 'US-TX', 'Godley', 'no', '35TT', '', '35TT', 'TX98, Hawkins Private Airport'),
	('04XA', 'small_airport', 'Pecan Field', 33.283933, -98.402861, 1130, 'US', 'US-TX', 'Jermyn', 'no', '04XA', '', '04XA', ''),
	('F23', 'small_airport', 'Ranger Municipal Airport', 32.4525985718, -98.682800293, 1470, 'US', 'US-TX', 'Ranger', 'no', 'F23', 'RGR', 'F23', ''),
	('F35', 'small_airport', 'Possum Kingdom Airport', 32.923199, -98.436401, 1008, 'US', 'US-TX', 'Graford', 'no', 'KF35', '', 'F35', ''),
	('KMWL', 'small_airport', 'Mineral Wells Regional Airport', 32.781601, -98.060204, 974, 'US', 'US-TX', 'Mineral Wells', 'no', 'KMWL', 'MWL', 'MWL', 'CWO, Fort Wolters AAF.'),
	('XA09', 'small_airport', 'Menard Airport', 33.58190155029297, -98.06109619140625, 1055, 'US', 'US-TX', 'Bellevue', 'no', 'XA09', '', 'XA09', ''),
	('74TE', 'small_airport', 'Flat Top Ranch Airport', 32.05989838, -97.79470062, 960, 'US', 'US-TX', 'Walnut Springs', 'no', '74TE', '', '74TE', ''),
	('KBKD', 'small_airport', 'Stephens County Airport', 32.71900177, -98.89099884030001, 1284, 'US', 'US-TX', 'Breckenridge', 'no', 'KBKD', 'BKD', 'BKD', ''),
	('77TA', 'closed', 'Blue Skies Airport', 32.874001, -97.6614, 960, 'US', 'US-TX', 'Azle', 'no', '', '', '', '77TA'),
	('KWET', 'N/A', 'N/A', 32.85032406449318, -97.8622841835022, 376, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7F7', 'small_airport', 'Clifton Municipal Isenhower Field', 31.817316, -97.569698, 760, 'US', 'US-TX', 'Clifton', 'no', '', '', '7F7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TS20', 'closed', 'C Lazy T Ranch Airport', 33.532771, -99.193809, 1365, 'US', 'US-TX', 'Seymour', 'no', '', '', '', 'TS20'),
	('KSWW', 'small_airport', 'Avenger Field', 32.467399597168, -100.46700286865, 2380, 'US', 'US-TX', 'Sweetwater', 'no', 'KSWW', 'SWW', 'SWW', 'Sweetwater AFS'),
	('KILE', 'small_airport', 'Skylark Field', 31.0858001709, -97.6865005493, 848, 'US', 'US-TX', 'Killeen', 'no', 'KILE', 'ILE', 'ILE', ''),
	('0XA0', 'heliport', 'Parkland Hospital Nr 2 Heliport', 32.811537, -96.838976, 548, 'US', 'US-TX', 'Dallas', 'no', '', '', '', '0XA0'),
	('1TX1', 'closed', 'Yoakum Airport', 31.8557, -98.4142, 1130, 'US', 'US-TX', 'Gustine', 'no', '', '', '', '1TX1'),
	('1TX3', 'small_airport', 'Beggs Ranch Airport', 33.42509841918945, -100.54199981689453, 1870, 'US', 'US-TX', 'Guthrie', 'no', '1TX3', '', '1TX3', ''),
	('04F', 'closed', 'De Leon Municipal Airport', 32.098801, -98.525325, 1293, 'US', 'US-TX', 'De Leon', 'no', '', '', '', '04F'),
	('TS02', 'small_airport', 'One Sixty Four Place Airport', 33.119598388671875, -98.23059844970703, 1200, 'US', 'US-TX', 'Jacksboro', 'no', 'TS02', '', 'TS02', ''),
	('0TE6', 'small_airport', 'Gorman Airport', 32.20429992675781, -98.66560363769531, 1452, 'US', 'US-TX', 'Gorman', 'no', '0TE6', '', '0TE6', ''),
	('KSJT', 'medium_airport', 'San Angelo Regional Mathis Field', 31.35770034790039, -100.49600219726563, 1919, 'US', 'US-TX', 'San Angelo', 'yes', 'KSJT', 'SJT', 'SJT', ''),
	('4XA3', 'small_airport', 'Owen Field', 32.253436, -99.498823, 1971, 'US', 'US-TX', 'Clyde', 'no', '4XA3', '', '4XA3', ''),
	('09TE', 'small_airport', 'Running M Ranch Airport', 32.262923, -97.863764, 787, 'US', 'US-TX', 'Glen Rose', 'no', '09TE', '', '09TE', ''),
	('49XS', 'small_airport', 'McCasland Ranch Airport', 31.448333, -98.321111, 1370, 'US', 'US-TX', 'Star', 'no', '49XS', '', '49XS', ''),
	('73TE', 'small_airport', 'Moore Private Airport', 32.92658, -97.55957, 670, 'US', 'US-TX', 'Azle', 'no', '73TE', '', '73TE', ''),
	('TT21', 'small_airport', 'Grant Ranch Airport', 33.289077, -97.671086, 843, 'US', 'US-TX', 'Alvord', 'no', 'TT21', '', 'TT21', ''),
	('41TX', 'small_airport', 'Henington Airport', 33.37480163574219, -96.08219909667969, 645, 'US', 'US-TX', 'Wolfe City', 'no', '41TX', '', '41TX', ''),
	('TX00', 'small_airport', 'Abilene Executive Airpark', 32.44889831542969, -99.62000274658203, 1822, 'US', 'US-TX', 'Abilene', 'no', 'TX00', '', 'TX00', ''),
	('64XA', 'small_airport', 'Bird Dog Landing', 33.581456, -97.549265, 960, 'US', 'US-TX', 'Forestburg', 'no', '64XA', '', '64XA', ''),
	('20T', 'small_airport', 'Aresti Aerodrome', 32.470699, -97.560303, 985, 'US', 'US-TX', 'Godley', 'no', '', '', '20T', 'TE02'),
	('15TX', 'closed', 'Ed Shadle Airport', 32.299414, -98.325601, 1550, 'US', 'US-TX', 'Stephenville', 'no', '', '', '', '15TX'),
	('35TX', 'small_airport', 'Flying B Ranch Airstrip', 32.483972, -99.825912, 1750, 'US', 'US-TX', 'Abilene', 'no', '35TX', '', '35TX', ''),
	('TA25', 'small_airport', 'Cook Canyon Ranch Airport', 32.431734, -98.594762, 1476, 'US', 'US-TX', 'Ranger', 'no', 'TA25', '', 'TA25', ''),
	('TS89', 'small_airport', 'Parker Airport', 32.36715, -97.81647, 925, 'US', 'US-TX', 'Granbury', 'no', 'TS89', '', 'TS89', ''),
	('TA19', 'small_airport', 'Post Oak Airfield', 32.674598693847656, -97.78359985351563, 1020, 'US', 'US-TX', 'Weatherford', 'no', 'TA19', '', 'TA19', ''),
	('E30', 'small_airport', 'Bruce Field', 31.6745, -99.976997, 1738, 'US', 'US-TX', 'Ballinger', 'no', 'E30', '', 'E30', ''),
	('77F', 'small_airport', 'Winters Municipal Airport', 31.947200775146484, -99.98580169677734, 1871, 'US', 'US-TX', 'Winters', 'no', 'K77F', '', '77F', ''),
	('TS21', 'small_airport', 'Roy Ranch Airport', 33.084833, -101.114833, 2366, 'US', 'US-TX', 'Justiceburg', 'no', 'TS21', '', 'TS21', ''),
	('22TS', 'heliport', 'Gray Steel Heliport', 29.791041, -95.438761, 100, 'US', 'US-TX', 'Houston', 'no', '22TS', '', '22TS', ''),
	('KWEA', 'N/A', 'N/A', 32.7462862059474, -97.68245279788971, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KONY', 'small_airport', 'Olney Municipal Airport', 33.350899, -98.819199, 1275, 'US', 'US-TX', 'Olney', 'no', 'KONY', 'ONY', 'ONY', ''),
	('4XS2', 'small_airport', 'Teate Field', 33.1696, -97.731664, 795, 'US', 'US-TX', 'Paradise', 'no', '4XS2', '', '4XS2', ''),
	('81R', 'small_airport', 'San Saba County Municipal Airport', 31.235200881958008, -98.71700286865234, 1249, 'US', 'US-TX', 'San Saba', 'no', 'K81R', '', '81R', ''),
	('KBBD', 'medium_airport', 'Curtis Field', 31.178931, -99.324732, 1827, 'US', 'US-TX', 'Brady', 'no', 'KBBD', 'BBD', 'BBD', ''),
	('KLZZ', 'small_airport', 'Lampasas Airport', 31.106199, -98.1959, 1215, 'US', 'US-TX', 'Lampasas', 'no', 'KLZZ', '', 'LZZ', 'T28'),
	('06TS', 'closed', 'Roscoe Mc Connico Airport', 32.120701, -96.179101, 350, 'US', 'US-TX', 'Kerens', 'no', '', '', '', '06TS'),
	('69XA', 'small_airport', 'Richey Airfield', 33.349769, -97.776797, 950, 'US', 'US-TX', 'Chico', 'no', '69XA', '', '69XA', ''),
	('TX52', 'small_airport', 'Parrish Airstrip', 31.794599533081055, -97.7739028930664, 917, 'US', 'US-TX', 'Cranfills Gap', 'no', 'TX52', '', 'TX52', ''),
	('17XS', 'small_airport', 'Quahadi Ranch Airport', 32.177799224853516, -98.43499755859375, 1422, 'US', 'US-TX', 'Dublin', 'no', '17XS', '', '17XS', ''),
	('7XS1', 'closed', 'Flying E Ranch Airport', 32.993301, -97.676903, 850, 'US', 'US-TX', 'Springtown', 'no', '', '', '', '7XS1'),
	('TE76', 'small_airport', 'Vance Field', 33.36830139160156, -97.68219757080078, 925, 'US', 'US-TX', 'Alvord', 'no', 'TE76', '', 'TE76', ''),
	('0TX0', 'small_airport', 'Nassau Bay Airport', 32.41960144042969, -97.71279907226563, 714, 'US', 'US-TX', 'Granbury', 'no', '0TX0', '', '0TX0', ''),
	('99XS', 'closed', 'Sam Little International Airport', 32.683498, -97.805602, 900, 'US', 'US-TX', 'Weatherford', 'no', '', '', '', '99XS'),
	('KCOM', 'small_airport', 'Coleman Municipal Airport', 31.841100692699996, -99.4036026001, 1697, 'US', 'US-TX', 'Coleman', 'no', 'KCOM', 'COM', 'COM', ''),
	('79TX', 'closed', 'Ag-Air Inc. Airport', 26.073099, -97.537498, 30, 'US', 'US-TX', 'Brownsville', 'no', '', '', '', '79TX, OLD79TX'),
	('1TX7', 'small_airport', 'Killion Ranch Airport', 32.80569839477539, -100.18399810791016, 1845, 'US', 'US-TX', 'Hamlin', 'no', '1TX7', '', '1TX7', ''),
	('TA59', 'small_airport', 'Flamingo Airfield', 33.099300384521484, -98.28949737548828, 1160, 'US', 'US-TX', 'Jacksboro', 'no', 'TA59', '', 'TA59', ''),
	('KSAQ', 'N/A', 'N/A', 31.600482054054737, -99.41603645682335, 490, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6TE8', 'small_airport', 'Douglas Flying Service Private Airport', 33.17042, -100.217092, 1743, 'US', 'US-TX', 'Aspermont', 'no', '6TE8', '', '6TE8', ''),
	('KHLR', 'heliport', 'Hood Army Air Field', 31.1387, -97.7145, 924, 'US', 'US-TX', 'Fort Cavazos (Killeen)', 'no', 'KHLR', 'HLR', 'HLR', 'Yoakum-Defrenn Army Heliport'),
	('TX20', 'small_airport', 'Steen Airport', 32.7932014465332, -99.87789916992188, 1670, 'US', 'US-TX', 'Anson', 'no', 'TX20', '', 'TX20', ''),
	('TE55', 'small_airport', 'Flyin Armadillo Airport', 33.4217, -98.190598, 995, 'US', 'US-TX', 'Jacksboro', 'no', '', '', '55E', 'TE55');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('62XS', 'small_airport', 'J F Ranch Airport', 32.0224, -98.133698, 1220, 'US', 'US-TX', 'Clairette', 'no', '62XS', '', '62XS', ''),
	('12TS', 'small_airport', 'Blo Airport', 32.908501, -97.977303, 1050, 'US', 'US-TX', 'Mineral Wells', 'no', '12TS', '', '12TS', 'Bronco Stagefield Army Heliport'),
	('58XS', 'small_airport', 'Mc Entire''s Lazy V Ranch Airport', 31.8306999207, -101.055999756, 2360, 'US', 'US-TX', 'Sterling City', 'no', '58XS', '', '58XS', ''),
	('60XS', 'closed', 'Young Brothers Heliport', 31.552401, -97.0914, 412, 'US', 'US-TX', 'Waco', 'no', '', '', '', '60XS'),
	('XS92', 'closed', 'Jackson /Bill/ Airport', 33.146, -97.712502, 800, 'US', 'US-TX', 'Paradise', 'no', '', '', '', 'XS92'),
	('58TX', 'small_airport', 'Tailspin Estates Airport', 32.65119934082031, -97.93360137939453, 830, 'US', 'US-TX', 'Weatherford', 'no', '58TX', '', '58TX', ''),
	('21F', 'small_airport', 'Jacksboro Municipal Airport', 33.228699, -98.146698, 1055, 'US', 'US-TX', 'Jacksboro', 'no', 'K21F', '', '21F', ''),
	('67TE', 'small_airport', 'Fisher Ranch Airport', 30.9496, -97.7967, 870, 'US', 'US-TX', 'Killeen', 'no', '67TE', '', '67TE', ''),
	('KXBP', 'small_airport', 'Bridgeport Municipal Airport', 33.175301, -97.8284, 852, 'US', 'US-TX', 'Bridgeport', 'no', 'KXBP', '', 'XBP', '1F9'),
	('KGOP', 'small_airport', 'Gatesville Municipal Airport', 31.421301, -97.796996, 905, 'US', 'US-TX', 'Gatesville', 'no', 'KGOP', '', 'GOP', '05F, City-County Airport'),
	('13XA', 'small_airport', 'Flying 5B Ranch Airport', 31.951789, -97.834888, 1010, 'US', 'US-TX', 'Iredell', 'no', '13XA', '', '13XA', ''),
	('76TA', 'small_airport', 'Canadian River Ranch Airport', 35.402675, -102.807605, 3839, 'US', 'US-TX', 'Adrian', 'no', '46XS', '', '46XS', '76TA, Coleman Cattle Company Nr 2'),
	('95TS', 'small_airport', 'Rob Airport', 33.23080062866211, -98.48970031738281, 1310, 'US', 'US-TX', 'Loving', 'no', '95TS', '', '95TS', ''),
	('KBWD', 'small_airport', 'Brownwood Regional Airport', 31.793600082399998, -98.9564971924, 1387, 'US', 'US-TX', 'Brownwood', 'no', 'KBWD', 'BWD', 'BWD', ''),
	('2TE7', 'small_airport', 'Beach Ranch Airport', 33.227201, -101.133249, 2303, 'US', 'US-TX', 'Post', 'no', '2TE7', '', '2TE7', ''),
	('KGRP', 'N/A', 'N/A', 31.58569637686014, -100.55932939052582, 609, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('83TS', 'small_airport', 'Moore Ranch Airport', 32.426896, -98.418374, 1200, 'US', 'US-TX', 'Gordon', 'no', '83TS', '', '83TS', ''),
	('82TS', 'small_airport', 'Elmdale Airpark', 32.450872, -99.648785, 1775, 'US', 'US-TX', 'Abilene', 'no', '82TS', '', '82TS', '6F4'),
	('T37', 'small_airport', 'Goldthwaite Municipal Airport', 31.429283, -98.608337, 1457, 'US', 'US-TX', 'Goldthwaite', 'no', '', '', 'T37', ''),
	('TX11', 'small_airport', 'Ross Planes Airport', 32.13999938964844, -99.15869903564453, 1765, 'US', 'US-TX', 'Cross Plains', 'no', 'TX11', '', 'TX11', ''),
	('35X', 'small_airport', 'Triple-Ace Field', 33.25212, -97.553326, 1010, 'US', 'US-TX', 'Decatur', 'no', '', '', '35X', ''),
	('TA24', 'small_airport', 'Smoky Bend Ranch Airport', 31.472514, -98.702014, 1320, 'US', 'US-TX', 'Mullin', 'no', 'TA24', '', 'TA24', ''),
	('10F', 'small_airport', 'Rosser Ranch Airport', 33.0154, -98.626, 1112, 'US', 'US-TX', 'Graham', 'no', '10TT', '', '10TT', '10F'),
	('TX15', 'closed', 'Beggs Ranch (Aledo) Airport', 32.751499, -97.612801, 1060, 'US', 'US-TX', 'Aledo', 'no', '', '', '', 'TX15, TX15, TX15'),
	('23XS', 'small_airport', 'Shorthorn Auxiliary Landing Strip', 31.360727, -97.672871, 720, 'US', 'US-TX', 'Fort Hood', 'no', '23XS', '', '23XS', ''),
	('XA07', 'small_airport', 'Spectre Airport', 33.275001525878906, -97.7166976928711, 835, 'US', 'US-TX', 'Chico', 'no', 'XA07', '', 'XA07', ''),
	('86XS', 'small_airport', 'Gesin Ranches Airport', 32.40010070800781, -100.36699676513672, 2200, 'US', 'US-TX', 'Sweetwater', 'no', '86XS', '', '86XS', ''),
	('3TA7', 'small_airport', 'Jim Sears Airport', 33.140104, -97.804184, 900, 'US', 'US-TX', 'Paradise', 'no', '3TA7', '', '3TA7', ''),
	('TX97', 'small_airport', 'Cade Field', 31.76490020751953, -97.79640197753906, 1160, 'US', 'US-TX', 'Cranfills Gap', 'no', 'TX97', '', 'TX97', ''),
	('27XA', 'small_airport', 'Arnett Landing Airport', 32.979389, -97.889917, 1180, 'US', 'US-TX', 'Poolville', 'no', '27XA', '', '27XA', ''),
	('8F3', 'small_airport', 'Crosbyton Municipal Airport', 33.623798, -101.240997, 3018, 'US', 'US-TX', 'Crosbyton', 'no', '', '', '8F3', ''),
	('5TA6', 'closed', 'Knot 2 Shabby Airport', 31.935327, -99.89558, 1820, 'US', 'US-TX', 'Winters', 'no', '', '', '', '5TA6'),
	('T60', 'small_airport', 'Stonewall County Airport', 33.169828, -100.197308, 1744, 'US', 'US-TX', 'Aspermont', 'no', 'KT60', '', 'T60', ''),
	('KSEP', 'small_airport', 'Stephenville Clark Regional Airport', 32.215302, -98.177696, 1321, 'US', 'US-TX', 'Stephenville', 'no', 'KSEP', 'SEP', 'SEP', 'Clark Field'),
	('KGDJ', 'small_airport', 'Granbury Regional Airport', 32.442222, -97.824444, 835, 'US', 'US-TX', 'Granbury', 'no', 'KGDJ', '', 'GDJ', 'F55'),
	('1TX6', 'small_airport', 'Muxworthy Airport', 31.69849967956543, -98.09639739990234, 1210, 'US', 'US-TX', 'Hamilton', 'no', '1TX6', '', '1TX6', ''),
	('TA78', 'small_airport', 'Putty Ranch Airport', 31.971359, -98.063372, 1143, 'US', 'US-TX', 'Hico', 'no', 'TA78', '', 'TA78', ''),
	('TA87', 'small_airport', 'Carter-Norman Airport', 33.105599, -97.545258, 737, 'US', 'US-TX', 'Boyd', 'no', 'TA87', '', 'TA87', ''),
	('0TX1', 'small_airport', 'Pecan Plantation Airport', 32.353325, -97.676225, 710, 'US', 'US-TX', 'Granbury', 'no', '0TX1', '', '0TX1', ''),
	('8TX6', 'closed', 'Harper Airport', 32.427499, -96.717131, 510, 'US', 'US-TX', 'Palmer', 'no', '', '', '', '8TX6'),
	('T39', 'small_airport', 'Archer City Municipal Airport', 33.582298, -98.618698, 1065, 'US', 'US-TX', 'Archer City', 'no', 'KT39', '', 'T39', '10XS'),
	('6TS1', 'small_airport', 'Worrell Airport', 31.177900314331055, -98.0730972290039, 960, 'US', 'US-TX', 'Kempner', 'no', '6TS1', '', '6TS1', ''),
	('TE52', 'small_airport', 'Chigger Field', 32.5359992980957, -97.5886001586914, 950, 'US', 'US-TX', 'Cresson', 'no', 'TE52', '', 'TE52', ''),
	('TX37', 'small_airport', 'Flying S Ranch Airport', 33.131802, -97.7686, 850, 'US', 'US-TX', 'Paradise', 'no', 'TX37', '', 'TX37', ''),
	('8TX3', 'closed', 'Edwards Airport', 31.344642, -98.615272, 1300, 'US', 'US-TX', 'Goldthwaite', 'no', '', '', '', '8TX3, 8TX3, 8TX3'),
	('6F5', 'N/A', 'N/A', 32.74235710501671, -99.29787084460258, 447, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TA51', 'small_airport', 'Eagle Airport', 32.680274, -97.934725, 885, 'US', 'US-TX', 'Weatherford', 'no', 'TA51', '', 'TA51', ''),
	('17TX', 'small_airport', 'Kimzey Airport', 32.443395, -98.255024, 1100, 'US', 'US-TX', 'Stephenville', 'no', '17TX', '', '17TX', 'Mize Ranch'),
	('2TE2', 'small_airport', 'Flying Oaks Airport', 32.829065, -97.53489, 720, 'US', 'US-TX', 'Azle', 'no', '2TE2', '', '2TE2', ''),
	('TX71', 'closed', 'JMK International Inc Heliport', 32.715333, -97.413665, 680, 'US', 'US-TX', 'Fort Worth', 'no', '', '', '', 'TX71'),
	('XA86', 'small_airport', 'Driftwood Ranch Airport', 32.56700134277344, -97.80480194091797, 710, 'US', 'US-TX', 'Weatherford', 'no', 'XA86', '', 'XA86', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('16TX', 'closed', 'Ratliff Airport', 32.263002, -98.110609, 1300, 'US', 'US-TX', 'Stephenville', 'no', '', '', '', '16TX'),
	('XA04', 'small_airport', 'Circle Eight Ranch Airport', 32.238323, -97.898775, 800, 'US', 'US-TX', 'Bluff Dale', 'no', 'XA04', '', 'XA04', ''),
	('TE34', 'small_airport', 'Reb Folbre''s Place Airport', 32.76259994506836, -97.9728012084961, 940, 'US', 'US-TX', 'Millsap', 'no', 'TE34', '', 'TE34', ''),
	('TX36', 'closed', 'Green Ranch Airport', 32.8335, -99.042, 1190, 'US', 'US-TX', 'Breckenridge', 'no', '', '', '', 'TX36'),
	('TA16', 'small_airport', 'Travis Field Airport', 33.447161, -100.859014, 2317, 'US', 'US-TX', 'Spur', 'no', 'TA16', '', 'TA16', ''),
	('F56', 'small_airport', 'Arledge Field', 32.9091, -99.736, 1561, 'US', 'US-TX', 'Stamford', 'no', 'KF56', '', 'F56', ''),
	('KTAY', 'N/A', 'N/A', 31.54981043189764, -100.2842129766941, 547, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('50F', 'small_airport', 'Bourland Field', 32.581799, -97.590797, 873, 'US', 'US-TX', 'Cresson', 'no', '50F', '', '50F', ''),
	('0TS7', 'small_airport', 'Flying U Airport', 32.834578, -98.125677, 978, 'US', 'US-TX', 'Mineral Wells', 'no', '0TS7', '', '0TS7', ''),
	('8XS2', 'closed', 'Rachal Airport', 27.929701, -99.851196, 600, 'US', 'US-TX', 'Laredo', 'no', '', '', '', '8XS2'),
	('57XS', 'closed', 'Hoopes Ranch Airport', 30.696899, -97.560097, 800, 'US', 'US-TX', 'Weir', 'no', '', '', '', '57XS'),
	('6XS7', 'small_airport', 'Eugene''s Dream Airport', 33.0452995300293, -97.67479705810547, 905, 'US', 'US-TX', 'Springtown', 'no', '6XS7', '', '6XS7', ''),
	('37TX', 'small_airport', 'Yates Field', 31.32159996032715, -98.8656005859375, 1400, 'US', 'US-TX', 'San Saba', 'no', '37TX', '', '37TX', ''),
	('9TX6', 'small_airport', 'Beggs Ranch Airport', 33.17509841918945, -101.02400207519531, 2355, 'US', 'US-TX', 'Post', 'no', '9TX6', '', '9TX6', ''),
	('XS61', 'small_airport', 'Deep Creek Ranch Airport', 31.114900588989258, -99.00340270996094, 1388, 'US', 'US-TX', 'Richland Springs', 'no', 'XS61', '', 'XS61', ''),
	('XA44', 'small_airport', 'Birchfield Ranch Airport', 31.26609992980957, -98.42389678955078, 1550, 'US', 'US-TX', 'Lometa', 'no', 'XA44', '', 'XA44', ''),
	('93XA', 'small_airport', 'Scott Ranch Airport', 33.509594, -98.120211, 1069, 'US', 'US-TX', 'Bellevue', 'no', '93XA', '', '93XA', ''),
	('56F', 'small_airport', 'Fisher County Airport', 32.825699, -100.415001, 1941, 'US', 'US-TX', 'Rotan', 'no', '', '', '56F', ''),
	('TA00', 'small_airport', 'Rafter P Airport', 32.38420104980469, -100.27899932861328, 2190, 'US', 'US-TX', 'Sweetwater', 'no', 'TA00', '', 'TA00', ''),
	('08TX', 'small_airport', 'Cross Wind Airport', 32.85789, -97.744303, 1040, 'US', 'US-TX', 'Weatherford', 'no', '08TX', '', '08TX', ''),
	('KSTH', 'N/A', 'N/A', 32.26344734430313, -98.10633972287178, 379, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('96TE', 'small_airport', 'Bodine Airport', 31.9030278, -100.8716111, 2623, 'US', 'US-TX', 'Sterling City', 'no', '96TE', '', '96TE', ''),
	('66TE', 'small_airport', 'The Landings Airport', 32.365267, -97.644989, 684, 'US', 'US-TX', 'Granbury', 'no', '66TE', '', '66TE', ''),
	('22F', 'small_airport', 'Kent County Airport', 33.2293014526, -100.569000244, 2006, 'US', 'US-TX', 'Jayton', 'no', 'K22F', '', '22F', 'JYC'),
	('T50', 'small_airport', 'Menard County Airport', 30.931949, -99.808843, 1930, 'US', 'US-TX', 'Menard', 'no', 'KT50', '', 'T50', ''),
	('87XS', 'small_airport', 'Cinco B Ranch Airport', 29.791121, -99.263964, 1457, 'US', 'US-TX', 'Medina', 'no', '87XS', '', '87XS', ''),
	('74TX', 'small_airport', 'Fort Clark Springs Airport', 29.28660011291504, -100.43399810791016, 1106, 'US', 'US-TX', 'Brackettville', 'no', '74TX', '', '74TX', ''),
	('5XS8', 'small_airport', 'L Davis Ranch Airport', 29.50394, -100.295906, 1390, 'US', 'US-TX', 'Brackettville', 'no', '5XS8', '', '5XS8', ''),
	('07TS', 'small_airport', 'Cross-Country Estates Airport', 30.625381, -97.571425, 690, 'US', 'US-TX', 'Hutto', 'no', '07TS', '', '07TS', ''),
	('MMVN', 'N/A', 'N/A', 28.222774900496006, -100.58690160512924, 318, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('53T', 'N/A', 'N/A', 29.21607233583927, -98.54946121573448, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XS20', 'small_airport', 'Dos Arroyos Ranch Airport', 30.15410041809082, -99.29779815673828, 2058, 'US', 'US-TX', 'Mountain Home', 'no', 'XS20', '', 'XS20', ''),
	('74R', 'small_airport', 'Horizon Airport', 29.2836, -98.500298, 550, 'US', 'US-TX', 'San Antonio', 'no', '74R', '', '74R', ''),
	('0TX6', 'small_airport', 'Elm Creek Airpark', 29.505199432373047, -97.99690246582031, 550, 'US', 'US-TX', 'Seguin', 'no', '0TX6', '', '0TX6', ''),
	('TE15', 'small_airport', 'M & M Land Company Airport', 30.889962, -99.632628, 1800, 'US', 'US-TX', 'Menard', 'no', 'TE15', '', 'TE15', ''),
	('TS18', 'small_airport', 'Kingsland Estates Airport', 30.654956, -98.484928, 873, 'US', 'US-TX', 'Kingsland', 'no', 'TS18', '', 'TS18', ''),
	('XS05', 'closed', 'H M Ranch Airport', 29.598801, -98.171097, 751, 'US', 'US-TX', 'Marion', 'no', '', '', '', 'XS05'),
	('KCOT', 'small_airport', 'Cotulla-La Salle County Airport', 28.45669937, -99.22029877, 474, 'US', 'US-TX', 'Cotulla', 'no', 'KCOT', 'COT', 'COT', ''),
	('T92', 'small_airport', 'Mason County Airport', 30.732201, -99.184303, 1502, 'US', 'US-TX', 'Mason', 'no', 'KT92', '', 'T92', ''),
	('TA66', 'small_airport', 'Freedom Springs Ranch Airport', 29.715421, -98.858834, 1400, 'US', 'US-TX', 'Pipe Creek', 'no', 'TA66', '', 'TA66', ''),
	('23TS', 'small_airport', 'Bertani Ranch Airport', 29.422700881958008, -100.73899841308594, 1110, 'US', 'US-TX', 'Del Rio', 'no', '23TS', '', '23TS', ''),
	('2TE6', 'small_airport', 'Burris Ranch Airport', 28.883771, -98.049221, 448, 'US', 'US-TX', 'Karnes City', 'no', '2TE6', '', '2TE6', ''),
	('26XS', 'small_airport', 'Tatum Ranch Airport', 30.114099502563477, -98.4614028930664, 1420, 'US', 'US-TX', 'Blanco', 'no', '26XS', '', '26XS', ''),
	('XS75', 'small_airport', 'West Ranch Airport', 30.454399, -98.489197, 1470, 'US', 'US-TX', 'Round Mountain', 'no', 'XS75', '', 'XS75', ''),
	('91TX', 'small_airport', 'Paisano Ranch Airport', 28.396900177001953, -98.36280059814453, 235, 'US', 'US-TX', 'Calliham', 'no', '91TX', '', '91TX', ''),
	('5XS4', 'small_airport', 'Gary''s Airport', 29.586299896240234, -98.11969757080078, 655, 'US', 'US-TX', 'Marion', 'no', '5XS4', '', '5XS4', ''),
	('XA88', 'small_airport', 'DM Ranch Airport', 28.978673, -99.56214, 750, 'US', 'US-TX', 'Batesville', 'no', 'XA88', '', 'XA88', ''),
	('6XS9', 'small_airport', 'Harmony Field', 29.296100616455078, -98.37950134277344, 570, 'US', 'US-TX', 'Elmendorf', 'no', '6XS9', '', '6XS9', ''),
	('1TE7', 'small_airport', 'Ray Farm Airport', 29.116503, -98.367035, 560, 'US', 'US-TX', 'Floresville', 'no', '1TE7', '', '1TE7', ''),
	('8TA0', 'small_airport', 'John B Connally Ranch Airport', 29.135799407958984, -98.27639770507813, 530, 'US', 'US-TX', 'Floresville', 'no', '8TA0', '', '8TA0', ''),
	('XS15', 'small_airport', 'Womack Ranch Airport', 30.779108, -99.894421, 2200, 'US', 'US-TX', 'Menard', 'no', 'XS15', '', 'XS15', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('5TX9', 'closed', 'Utopia on the River Airport', 29.583599, -99.526199, 1320, 'US', 'US-TX', 'Utopia', 'no', '', '', '', '5TX9'),
	('63XS', 'small_airport', 'Byram Ranch Airport', 30.22410011291504, -98.2885971069336, 1120, 'US', 'US-TX', 'Henly', 'no', '63XS', '', '63XS', ''),
	('31XA', 'N/A', 'N/A', 30.88508326560259, -98.59558895230293, 455, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('71TX', 'small_airport', 'Grier Airport', 29.872699737548828, -98.7322006225586, 1450, 'US', 'US-TX', 'Boerne', 'no', '71TX', '', '71TX', ''),
	('T94', 'small_airport', 'Twin-Oaks Airport', 29.57299995, -98.46309662, 873, 'US', 'US-TX', 'San Antonio', 'no', 'T94', '', 'T94', ''),
	('1TS6', 'small_airport', 'Dentonio Ranch Airport', 28.269399642944336, -99.93450164794922, 825, 'US', 'US-TX', 'Carrizo Springs', 'no', '1TS6', '', '1TS6', ''),
	('KGTU', 'small_airport', 'Georgetown Executive Airport at Johnny Gantt Field', 30.677543, -97.678524, 790, 'US', 'US-TX', 'Georgetown', 'no', 'KGTU', '', 'GTU', 'Georgetown Municipal'),
	('20R', 'small_airport', 'Crystal City Municipal Airport', 28.697799682617188, -99.81780242919922, 608, 'US', 'US-TX', 'Crystal City', 'no', 'K20R', '', '20R', ''),
	('TS22', 'closed', 'Joye Ranch Airport', 29.241398, -97.62856, 280, 'US', 'US-TX', 'Smiley', 'no', '', '', '', 'TS22'),
	('64TE', 'small_airport', 'Apache Springs Airport', 30.159034, -99.337209, 2016, 'US', 'US-TX', 'Mountain Home', 'no', '64TE', '', '64TE', '64T, Brinkman Ranch / Mountain Home Airport, Cedar Lake Landing Strip'),
	('70XS', 'small_airport', 'Restoration Ranch Airport', 29.992146, -98.044863, 840, 'US', 'US-TX', 'Wimberley', 'no', '70XS', '', '70XS', ''),
	('XS53', 'closed', 'Price Ranch Airport', 28.5961, -99.571404, 532, 'US', 'US-TX', 'Big Wells', 'no', '', '', '', 'XS53'),
	('KNGT', 'N/A', 'N/A', 28.611608371138573, -97.61256963014603, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TE26', 'small_airport', 'Arrow ''S'' Ranch Airport', 28.7836, -98.349998, 275, 'US', 'US-TX', 'Campbellton', 'no', 'TE26', '', 'TE26', ''),
	('05TE', 'small_airport', 'Hilde-Griff Field', 30.72209930419922, -97.79139709472656, 950, 'US', 'US-TX', 'Georgetown', 'no', '05TE', '', '05TE', ''),
	('60TE', 'small_airport', 'Tierra Linda Ranch Airport', 30.141323, -99.15042, 1990, 'US', 'US-TX', 'Kerrville', 'no', '60TE', '', '60TE', '65T'),
	('T91', 'closed', 'The Carter Memorial Airport', 29.728663, -97.66099, 475, 'US', 'US-TX', 'Luling', 'no', '', '', '', 'luling, carter memorial, T91'),
	('45XS', 'small_airport', 'Ghost Apache Airport', 28.131058, -98.906091, 330, 'US', 'US-TX', 'Cotulla', 'no', '45XS', '', '45XS', ''),
	('KSOA', 'medium_airport', 'Sonora Municipal Airport', 30.585699081421, -100.6490020752, 2140, 'US', 'US-TX', 'Sonora', 'no', 'KSOA', '', 'SOA', 'E29'),
	('TE51', 'small_airport', 'Lackorn Airport', 29.539100646972656, -97.83499908447266, 420, 'US', 'US-TX', 'Seguin', 'no', 'TE51', '', 'TE51', ''),
	('95TA', 'small_airport', 'Thunder Creek Airport', 29.634899139404297, -99.4822998046875, 1500, 'US', 'US-TX', 'Utopia', 'no', '95TA', '', '95TA', ''),
	('TA31', 'small_airport', 'Tularosa Airport', 29.430500030517578, -100.25800323486328, 1397, 'US', 'US-TX', 'Brackettville', 'no', 'TA31', '', 'TA31', ''),
	('TE58', 'small_airport', 'Terminal D Ranch Airport', 28.4451, -98.0394, 260, 'US', 'US-TX', 'Beeville', 'no', 'TE58', '', 'TE58', ''),
	('7XS7', 'small_airport', 'Indian Springs Ranch Airport', 30.114700317382813, -98.93109893798828, 2030, 'US', 'US-TX', 'Fredericksburg', 'no', '7XS7', '', '7XS7', ''),
	('TA73', 'small_airport', 'Barclay''s Roost Airport', 29.974700927734375, -99.16840362548828, 1680, 'US', 'US-TX', 'Kerrville', 'no', 'TA73', '', 'TA73', ''),
	('TS67', 'small_airport', 'Kitty Hawk Flying Field', 29.623348, -98.278155, 860, 'US', 'US-TX', 'Garden Ridge', 'no', 'TS67', '', 'TS67', ''),
	('KEDC', 'small_airport', 'Austin Executive Airport', 30.398049, -97.566909, 620, 'US', 'US-TX', 'Pflugerville', 'no', 'KEDC', '', 'EDC', '6R4, Bird''s Nest'),
	('66TX', 'small_airport', 'Loma de Cometa Airport', 28.674972, -100.023234, 615, 'US', 'US-TX', 'Crystal City', 'no', '66TX', '', '66TX', 'Rockin Ranch'),
	('3TA5', 'small_airport', 'Blanco Landing Airport', 30.122467, -98.374783, 1460, 'US', 'US-TX', 'Blanco', 'no', '3TA5', '', '3TA5', ''),
	('2XS5', 'small_airport', 'Cross Triangle Ranch Airport', 30.0104999542, -98.4253005981, 1420, 'US', 'US-TX', 'Twin Sisters', 'no', '2XS5', '', '2XS5', ''),
	('88R', 'small_airport', 'Austin Air Ranch Airport', 30.47363, -98.121497, 830, 'US', 'US-TX', 'Spicewood', 'no', '', '', '88R', 'Spicewood'),
	('MMZZ', 'N/A', 'N/A', 28.575619496405125, -100.93563258647919, 353, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4TE7', 'small_airport', 'Devil''s River Ranch Airport', 29.740800857543945, -100.96499633789063, 1680, 'US', 'US-TX', 'Del Rio', 'no', '4TE7', '', '4TE7', ''),
	('0XS8', 'small_airport', 'Dunbar Ranch Airport', 29.07695, -100.371609, 958, 'US', 'US-TX', 'Brackettville', 'no', '0XS8', '', '0XS8', ''),
	('1TS9', 'small_airport', 'Four Winds Airport / Cavanaugh Ranch Airport', 33.368384, -96.754639, 775, 'US', 'US-TX', 'Celina', 'no', '', '', '9S1', '1TS9'),
	('15XA', 'small_airport', 'Hauptrief Aero Airport', 30.400427, -98.580434, 1753, 'US', 'US-TX', 'Johnson City', 'no', '15XA', '', '15XA', ''),
	('23R', 'small_airport', 'Devine Municipal Airport', 29.138399124145508, -98.94190216064453, 703, 'US', 'US-TX', 'Devine', 'no', 'K23R', '', '23R', ''),
	('XA08', 'small_airport', 'Los Cuernos Ranch Airport', 28.157362, -99.095463, 340, 'US', 'US-TX', 'Cotulla', 'no', 'XA08', '', 'XA08', ''),
	('3TX5', 'closed', 'Mc Creless Farm Airport', 29.371099, -98.231697, 600, 'US', 'US-TX', 'Adkins', 'no', '', '', '', '3TX5'),
	('MMKY', 'N/A', 'N/A', 28.37101388722658, -100.91316908597946, 393, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4TS8', 'small_airport', 'Glasscock Field', 29.375, -99.34200286865234, 1089, 'US', 'US-TX', 'D''Hanis', 'no', '4TS8', '', '4TS8', ''),
	('TE63', 'small_airport', 'Arrowhead Ranch Airport', 28.246706, -98.553457, 296, 'US', 'US-TX', 'Tilden', 'no', 'TE63', '', 'TE63', ''),
	('55XS', 'small_airport', 'Frontier Airport', 29.1663, -100.417999, 1001, 'US', 'US-TX', 'Brackettville', 'no', '55XS', '', '55XS', ''),
	('4XA2', 'small_airport', 'Card Airfield', 28.789167, -97.763389, 320, 'US', 'US-TX', 'Kenedy', 'no', '4XA2', '', '4XA2', ''),
	('TX2', 'small_airport', 'Chase Field Industrial Airport', 28.362444, -97.661917, 190, 'US', 'US-TX', 'Beeville', 'no', '', 'NIR', 'TX2', '1XA2, Naval Air Station Chase Field, Beeville Municipal Airport'),
	('3XS5', 'small_airport', 'Star Smith Field', 29.29800033569336, -98.67669677734375, 662, 'US', 'US-TX', 'Von Ormy', 'no', '3XS5', '', '3XS5', ''),
	('TE13', 'small_airport', 'Weiblen Airport', 29.40019989013672, -98.88749694824219, 830, 'US', 'US-TX', 'Castroville', 'no', 'TE13', '', 'TE13', ''),
	('50TX', 'small_airport', 'Kennedy Ranch Airport', 30.137037, -98.524017, 1598, 'US', 'US-TX', 'Blanco', 'no', '50TX', '', '50TX', ''),
	('XS90', 'small_airport', 'Fentress Airpark', 29.769042, -97.775037, 460, 'US', 'US-TX', 'Fentress', 'no', 'XS90', '', 'XS90', ''),
	('2XS8', 'small_airport', 'Benson Airstrip', 29.229400634765625, -99.82389831542969, 929, 'US', 'US-TX', 'Uvalde', 'no', '2XS8', '', '2XS8', ''),
	('86T', 'N/A', 'N/A', 30.530500262975693, -98.52427259087563, 327, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('3TS1', 'small_airport', 'White Wings Airport', 30.01140022277832, -98.04049682617188, 1083, 'US', 'US-TX', 'Wimberley', 'no', '3TS1', '', '3TS1', ''),
	('1XS9', 'closed', 'Beefmaster''s Best Airport', 28.395599, -98.220802, 250, 'US', 'US-TX', 'Three Rivers', 'no', '', '', '', '1XS9'),
	('2XS1', 'small_airport', 'Harris Ranch Airport', 30.21969985961914, -98.30259704589844, 1188, 'US', 'US-TX', 'Johnson City', 'no', '2XS1', '', '2XS1', ''),
	('TS25', 'closed', 'Mynatt Field', 33.269798, -96.022499, 557, 'US', 'US-TX', 'South Sulphur', 'no', '', '', '', 'TS25'),
	('18XA', 'small_airport', 'Lantana Ridge Airport', 28.6591, -97.5987472, 250, 'US', 'US-TX', 'Goliad', 'no', '18XA', '', '18XA', ''),
	('XS71', 'small_airport', 'San Christoval Ranch Airport', 28.74810028076172, -98.04499816894531, 385, 'US', 'US-TX', 'Pawnee', 'no', 'XS71', '', 'XS71', ''),
	('77TS', 'small_airport', 'Flying R Ranch Airport', 29.799400329589844, -98.08499908447266, 850, 'US', 'US-TX', 'New Braunfels', 'no', '77TS', '', '77TS', ''),
	('2XA1', 'small_airport', 'Great Horizon Ranch Airport', 28.140322, -98.935994, 317, 'US', 'US-TX', 'Cotulla', 'no', '2XA1', '', '2XA1', 'El Caballero Airport'),
	('0XS2', 'small_airport', 'John Fields Ranch Airport', 30.555675, -100.53084, 2342, 'US', 'US-TX', 'Sonora', 'no', '0XS2', '', '0XS2', ''),
	('97TX', 'small_airport', 'San Pedro Ranch Airport', 28.283599853515625, -100.06700134277344, 710, 'US', 'US-TX', 'Carrizo Springs', 'no', '97TX', '', '97TX', ''),
	('TS47', 'small_airport', 'Rock Creek Ranch Airport', 32.9687, -98.0119, 1130, 'US', 'US-TX', 'Whitt', 'no', '', '', '5TX', 'TS47'),
	('KOZA', 'small_airport', 'Ozona Municipal Airport', 30.735300064087, -101.20300292969, 2381, 'US', 'US-TX', 'Ozona', 'no', 'KOZA', 'OZA', 'OZA', ''),
	('5TS8', 'small_airport', 'Bear Creek Ranch Airport', 29.8085994720459, -98.27249908447266, 1360, 'US', 'US-TX', 'New Braunfels', 'no', '5TS8', '', '5TS8', ''),
	('KDLF', 'medium_airport', 'Laughlin Air Force Base', 29.359501, -100.778002, 1082, 'US', 'US-TX', 'Del Rio', 'no', 'KDLF', 'DLF', 'DLF', 'Laughlin AFB, Laughlin Field, DLF Airport'),
	('5TE0', 'small_airport', 'Comanche Ranch Airport', 28.627301, -100.161403, 730, 'US', 'US-TX', 'Eagle Pass', 'no', '5TE0', '', '5TE0', ''),
	('34TS', 'small_airport', 'Canyon Lake Airport', 29.915800094604492, -98.24749755859375, 940, 'US', 'US-TX', 'Canyon Lake', 'no', '34TS', '', '34TS', ''),
	('6TA4', 'closed', 'Winn Exploration Co Inc Airport', 28.718904, -100.409544, 881, 'US', 'US-TX', 'Eagle Pass', 'no', '', '', '', '6TA4'),
	('59TS', 'small_airport', 'Rossler Ranch Airport', 28.14310073852539, -98.1583023071289, 250, 'US', 'US-TX', 'George West', 'no', '59TS', '', '59TS', ''),
	('52TS', 'small_airport', 'Fall Creek Air Ranch STOLport', 30.418500900268555, -98.16280364990234, 915, 'US', 'US-TX', 'Spicewood', 'no', '52TS', '', '52TS', ''),
	('KHYI', 'medium_airport', 'San Marcos Regional Airport', 29.8927, -97.862999, 597, 'US', 'US-TX', 'San Marcos', 'no', 'KHYI', '', 'HYI', 'San Marcos Municipal'),
	('KMAJ', 'N/A', 'N/A', 28.893597051501274, -99.8526057600975, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0TE7', 'small_airport', 'LBJ Ranch Airport', 30.251801, -98.622498, 1515, 'US', 'US-TX', 'Stonewall', 'no', '0TE7', 'JCY', '0TE7', ''),
	('7XS5', 'closed', 'Christian Ranch Airport', 30.8603, -100.567, 2425, 'US', 'US-TX', 'Eldorado', 'no', '', '', '', '7XS5'),
	('TA68', 'closed', 'HHI Sabine Heliport', 29.713172, -93.910288, 6, 'US', 'US-TX', 'Sabine Pass', 'no', '', '', '', 'TA68, TA68, TA68'),
	('TE27', 'small_airport', 'Harrison Piloncillo Ranch Airport', 28.2544002532959, -99.59919738769531, 520, 'US', 'US-TX', 'Catarina', 'no', 'TE27', '', 'TE27', ''),
	('TE57', 'small_airport', 'Haass Field', 29.444799423217773, -99.122802734375, 945, 'US', 'US-TX', 'Hondo', 'no', 'TE57', '', 'TE57', ''),
	('18TA', 'small_airport', 'West Kerr Ranch Airport', 30.13629913330078, -99.74369812011719, 2330, 'US', 'US-TX', 'Junction', 'no', '18TA', '', '18TA', ''),
	('KERV', 'small_airport', 'Kerrville / Kerr County Airport at Louis Schreiner Field', 29.9767, -99.085701, 1617, 'US', 'US-TX', 'Kerrville', 'no', 'KERV', 'ERV', 'ERV', 'Kerrville Municipal Airport'),
	('1XS8', 'small_airport', 'Pinon Ranch Airport', 29.63383, -100.375729, 1640, 'US', 'US-TX', 'Brackettville', 'no', '1XS8', '', '1XS8', ''),
	('83R', 'closed', 'Glen Beicker Ranch Airport', 29.529399871826, -97.788299560547, 465, 'US', 'US-TX', 'Seguin', 'no', '', '', '', '83R, 83R, 83R'),
	('87TA', 'small_airport', 'Cielo Grande Ranch Airport', 30.18910026550293, -99.2697982788086, 2180, 'US', 'US-TX', 'Mountain Home', 'no', '87TA', '', '87TA', ''),
	('50XS', 'small_airport', 'Hughes Ranch Airport', 29.04330062866211, -100.58499908447266, 905, 'US', 'US-TX', 'Quemado', 'no', '50XS', '', '50XS', ''),
	('75TX', 'small_airport', 'Leona Ranch Airport', 29.509683, -100.37324, 1720, 'US', 'US-TX', 'Brackettville', 'no', '75TX', '', '75TX', ''),
	('84XS', 'small_airport', 'Lang Ranch Airport', 30.255, -99.398889, 2200, 'US', 'US-TX', 'Mountain Home', 'no', '84XS', '', '84XS', ''),
	('14TX', 'small_airport', 'Keyes Ranch Airport', 30.2894, -98.173897, 1150, 'US', 'US-TX', 'Dripping Springs', 'no', '14TX', '', '14TX', ''),
	('99TX', 'small_airport', 'Briggs Ranch Airport', 28.30030059814453, -99.56700134277344, 520, 'US', 'US-TX', 'Catarina', 'no', '99TX', '', '99TX', ''),
	('KCZT', 'small_airport', 'Dimmit County Airport', 28.522199630699998, -99.823600769, 599, 'US', 'US-TX', 'Carrizo Springs', 'no', 'KCZT', 'CZT', 'CZT', ''),
	('40TE', 'small_airport', 'Sybert Farm Airport', 30.789100646972656, -97.65499877929688, 841, 'US', 'US-TX', 'Jarrell', 'no', '40TE', '', '40TE', ''),
	('KBMQ', 'small_airport', 'Burnet Municipal Airport/Kate Craddock Field', 30.738899, -98.238602, 1284, 'US', 'US-TX', 'Burnet', 'no', 'KBMQ', '', 'BMQ', ''),
	('2TX3', 'small_airport', 'La Fonda Ranch Airport', 29.216899871826172, -100.61699676513672, 1020, 'US', 'US-TX', 'Brackettville', 'no', '2TX3', '', '2TX3', ''),
	('8T6', 'small_airport', 'Live Oak County Airport', 28.362801, -98.116501, 129, 'US', 'US-TX', 'George West', 'no', 'K8T6', '', '8T6', ''),
	('8TS8', 'small_airport', 'RNK Ranch Airport', 29.9174, -100.913002, 1945, 'US', 'US-TX', 'Del Rio', 'no', '8TS8', '', '8TS8', ''),
	('28TE', 'small_airport', 'Midlake Airport', 29.268299102783203, -98.33699798583984, 535, 'US', 'US-TX', 'Elmendorf', 'no', '28TE', '', '28TE', ''),
	('5C1', 'small_airport', 'Boerne Stage Field', 29.7239, -98.694603, 1385, 'US', 'US-TX', 'Boerne', 'no', 'K5C1', '', '5C1', 'San Antonio'),
	('62TX', 'closed', 'Barge Ranch Airport', 31.091801, -97.460297, 590, 'US', 'US-TX', 'Belton', 'no', '', '', '', '62TX'),
	('TA84', 'small_airport', 'Miller Ranch Airport', 28.354999542236328, -99.93319702148438, 750, 'US', 'US-TX', 'Carrizo Springs', 'no', 'TA84', '', 'TA84', ''),
	('30TS', 'closed', 'Hall Airport', 32.829653, -94.71743, 350, 'US', 'US-TX', 'Ore City', 'no', '', '', '', '30TS'),
	('9TA1', 'small_airport', 'Hilltop Ranch Airport', 29.659882, -98.139153, 762, 'US', 'US-TX', 'New Braunfels', 'no', '9TA1', '', '9TA1', ''),
	('8T8', 'small_airport', 'San Geronimo Airpark', 29.510499954223633, -98.79840087890625, 1040, 'US', 'US-TX', 'San Antonio', 'no', 'K8T8', '', '8T8', ''),
	('6TX2', 'closed', 'Circle M Ranch Airport', 29.834999, -96.514397, 340, 'US', 'US-TX', 'Frelsburg', 'no', '', '', '', '6TX2'),
	('0TA8', 'closed', 'Womack Plantation Airport', 33.848701, -95.407204, 410, 'US', 'US-TX', 'Paris', 'no', '', '', '', '0TA8');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('XS00', 'small_airport', 'Flying D Airport', 30.63719940185547, -98.74829864501953, 1460, 'US', 'US-TX', 'Llano', 'no', 'XS00', '', 'XS00', ''),
	('78TA', 'small_airport', 'Ranch-Aero Airport', 29.061399459838867, -98.80030059814453, 560, 'US', 'US-TX', 'Bigfoot', 'no', '78TA', '', '78TA', ''),
	('3XA7', 'small_airport', 'Eagle Rock Ranch Airport', 30.890974, -99.006557, 1540, 'US', 'US-TX', 'Pontotoc', 'no', '3XA7', '', '3XA7', ''),
	('XS43', 'small_airport', 'Medina River Ranch Airport', 29.66114, -98.956561, 1216, 'US', 'US-TX', 'Pipe Creek', 'no', 'XS43', '', 'XS43', ''),
	('KBAZ', 'medium_airport', 'New Braunfels Municipal Airport', 29.7045, -98.042198, 651, 'US', 'US-TX', 'New Braunfels', 'no', 'KBAZ', '', 'BAZ', '3R5, Clear Springs AFB'),
	('TT05', 'small_airport', 'Patton Air Park', 29.191361, -98.255124, 451, 'US', 'US-TX', 'Floresville', 'no', 'TT05', '', 'TT05', ''),
	('XA12', 'small_airport', 'McFarlin Ranch Airport', 30.6947, -98.032799, 1200, 'US', 'US-TX', 'Bertram', 'no', 'XA12', '', 'XA12', ''),
	('TE97', 'small_airport', 'Cameron Ranch Airport', 30.18446, -98.959005, 1760, 'US', 'US-TX', 'Fredericksburg', 'no', 'TE97', '', 'TE97', ''),
	('72TE', 'small_airport', 'Chaparrosa Ranch Airport', 28.8794002532959, -99.9906005859375, 680, 'US', 'US-TX', 'La Pryor', 'no', '72TE', '', '72TE', ''),
	('KSKF', 'medium_airport', 'Lackland Air Force Base', 29.38419914, -98.58110046, 691, 'US', 'US-TX', 'San Antonio', 'no', 'KSKF', 'SKF', 'SKF', 'Kelly Field Annex, Lackland AFB'),
	('KRYW', 'small_airport', 'Lago Vista Texas Rusty Allen Airport', 30.4986, -97.969498, 1231, 'US', 'US-TX', 'Lago Vista', 'no', 'KRYW', '', 'RYW', 'Formerly 5R3'),
	('2TS8', 'small_airport', 'Bailey Airport', 29.220500946044922, -97.87169647216797, 452, 'US', 'US-TX', 'Stockdale', 'no', '2TS8', '', '2TS8', ''),
	('KECU', 'small_airport', 'Edwards County Airport', 29.9468994140625, -100.17400360107422, 2372, 'US', 'US-TX', 'Rocksprings', 'no', 'KECU', '', 'ECU', ''),
	('TE95', 'closed', 'Deiterich Ranch Airport', 30.753754, -98.146334, 1385, 'US', 'US-TX', 'Bertram', 'no', '', '', '', 'TE95'),
	('XA89', 'small_airport', 'Faith Ranch Airport', 28.20870018, -100.0189972, 773, 'US', 'US-TX', 'Carrizo Springs', 'no', 'XA89', '', 'XA89', ''),
	('43TS', 'closed', 'Fraser Farm Airport', 32.5649, -95.465398, 570, 'US', 'US-TX', 'Lindale', 'no', '', '', '', '43TS'),
	('2XS2', 'small_airport', 'Indio-Faith Airport', 28.262800216699997, -100.162002563, 750, 'US', 'US-TX', 'Carrizo Springs', 'no', '2XS2', '', '2XS2', ''),
	('0XS6', 'small_airport', 'Lakeside Beach Airport', 30.500841, -98.147448, 800, 'US', 'US-TX', 'Spicewood', 'no', '0XS6', '', '0XS6', ''),
	('TA49', 'small_airport', 'Keno Field', 30.75510025024414, -97.79989624023438, 1000, 'US', 'US-TX', 'Andice', 'no', 'TA49', '', 'TA49', ''),
	('6TA0', 'small_airport', 'Rocking R Ranch Airport', 30.79898, -100.33455, 2250, 'US', 'US-TX', 'Eldorado', 'no', '6TA0', '', '6TA0', ''),
	('2TX', 'small_airport', 'Salado Airport', 30.920684, -97.540455, 670, 'US', 'US-TX', 'Salado', 'no', '', '', '2TX', '73TA'),
	('XS11', 'small_airport', 'Idlewild Airport', 29.777899, -99.361407, 1660, 'US', 'US-TX', 'Medina', 'no', 'XS11', '', 'XS11', ''),
	('TE67', 'small_airport', 'Cibolo Sea-Willo Airpark', 29.429100036621094, -98.13169860839844, 517, 'US', 'US-TX', 'New Berlin', 'no', 'TE67', '', 'TE67', ''),
	('7TS3', 'closed', 'Wyatt Airport', 29.9599, -97.985298, 800, 'US', 'US-TX', 'San Marcos', 'no', '', '', '', '7TS3'),
	('TX23', 'small_airport', 'FLF Gliderport', 30.8563, -97.9459, 1150, 'US', 'US-TX', 'Briggs', 'no', 'TX23', '', 'TX23', 'Fault Line Flyers'),
	('T82', 'small_airport', 'Gillespie County Airport', 30.2432, -98.909203, 1695, 'US', 'US-TX', 'Fredericksburg', 'no', 'KT82', '', 'T82', ''),
	('XA64', 'closed', 'Nash Ranch Airport', 28.9617, -99.3853, 780, 'US', 'US-TX', 'Batesville', 'no', '', '', '', 'XA64'),
	('0XS0', 'small_airport', 'Diamond H Ranch Airport', 28.400299072265625, -99.55870056152344, 511, 'US', 'US-TX', 'Catarina', 'no', '0XS0', '', '0XS0', ''),
	('MMID', 'N/A', 'N/A', 29.22419272363186, -101.24370127916336, 430, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XS08', 'small_airport', 'Polk Ranch Airport', 30.876800537109375, -99.19950103759766, 1840, 'US', 'US-TX', 'Mason', 'no', 'XS08', '', 'XS08', ''),
	('1TE4', 'small_airport', 'Zuehl Airport', 29.495092, -98.158787, 592, 'US', 'US-TX', 'Marion', 'no', '1TE4', '', '1TE4', ''),
	('82XS', 'small_airport', 'Circle P Ranch Airport', 29.102699279785156, -98.2166976928711, 500, 'US', 'US-TX', 'Floresville', 'no', '82XS', '', '82XS', ''),
	('TS36', 'small_airport', 'Silver Wings Airport', 30.219600677490234, -99.14080047607422, 2110, 'US', 'US-TX', 'Fredricksburg', 'no', 'TS36', '', 'TS36', ''),
	('MM99', 'N/A', 'N/A', 28.912607543170452, -101.16646081209183, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('44XS', 'closed', 'Prudential Heliport', 29.708599, -95.461304, 140, 'US', 'US-TX', 'Bellaire', 'no', '', '', '', '44XS'),
	('08TE', 'closed', 'B J McCombs Sisterdale Airport', 29.975331, -98.742451, 1447, 'US', 'US-TX', 'Comfort', 'no', '', '', '', '08TE'),
	('02TS', 'closed', 'FWOMC Heliport', 32.747601, -97.370003, 684, 'US', 'US-TX', 'Fort Worth', 'no', '', '', '', '02TS'),
	('2KL', 'small_airport', 'Sunrise Beach Airport', 30.598801, -98.4086, 854, 'US', 'US-TX', 'Sunrise Beach Village', 'no', 'K2KL', '', '2KL', ''),
	('95TX', 'small_airport', 'Chupadera Ranch Airport', 28.1924991607666, -100.0719985961914, 651, 'US', 'US-TX', 'Carrizo Springs', 'no', '95TX', '', '95TX', ''),
	('9TX4', 'small_airport', 'Flying H Ranch Airport', 30.65959930419922, -97.91110229492188, 1000, 'US', 'US-TX', 'Liberty Hill', 'no', '9TX4', '', '9TX4', ''),
	('01TX', 'closed', 'Mims Farm Ultralightport', 32.388115, -96.877398, 610, 'US', 'US-TX', 'Waxahachie', 'no', '', '', '', '01TX'),
	('TX07', 'small_airport', 'Nix River Ranch Strip', 29.953365, -101.243022, 1820, 'US', 'US-TX', 'Comstock', 'no', 'TX07', '', 'TX07', 'Lazy Two Ranch, Monarch Ranch'),
	('XA43', 'small_airport', 'Fall Creek Ranch Airport', 29.908100128173828, -99.20690155029297, 2030, 'US', 'US-TX', 'Kerrville', 'no', 'XA43', '', 'XA43', ''),
	('1TE1', 'small_airport', 'Briscoes Catarina Ranch Airport', 28.25029945373535, -99.81700134277344, 650, 'US', 'US-TX', 'Catarina', 'no', '1TE1', '', '1TE1', ''),
	('4TS5', 'small_airport', 'Goebel Field', 30.221900939941406, -99.49839782714844, 2189, 'US', 'US-TX', 'Mountain Home', 'no', '4TS5', '', '4TS5', ''),
	('TS76', 'small_airport', 'Redstone Ranch Airport', 30.250200271606445, -98.5947036743164, 1460, 'US', 'US-TX', 'Stonewall', 'no', 'TS76', '', 'TS76', ''),
	('85TE', 'small_airport', 'Old Kingsbury Aerodrome', 29.634199142456055, -97.81169891357422, 560, 'US', 'US-TX', 'Kingsbury', 'no', '85TE', '', '85TE', ''),
	('02XS', 'closed', 'Seidel Ranch Airport', 30.100941, -97.672607, 510, 'US', 'US-TX', 'Austin', 'no', '', '', '', '02XS, 02XS, 02XS'),
	('46TA', 'small_airport', 'Gould Strip', 28.129929, -98.859289, 287, 'US', 'US-TX', 'Cotulla', 'no', '46TA', '', '46TA', ''),
	('KDRT', 'medium_airport', 'Del Rio International Airport', 29.3742008209, -100.927001953, 1002, 'US', 'US-TX', 'Del Rio', 'no', 'KDRT', 'DRT', 'DRT', ''),
	('49R', 'small_airport', 'Real County Airport', 29.745500564575195, -99.76090240478516, 1640, 'US', 'US-TX', 'Leakey', 'no', 'K49R', '', '49R', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('40XS', 'small_airport', 'Hank Sasser Airport at Breakaway', 30.51768, -97.780865, 897, 'US', 'US-TX', 'Cedar Park', 'no', '40XS', '', '40XS', ''),
	('20TT', 'small_airport', 'Gone With the Wind Airport', 30.753859, -97.961767, 1061, 'US', 'US-TX', 'Liberty Hill', 'no', '20TT', '', '20TT', ''),
	('3R9', 'small_airport', 'Lakeway Airpark', 30.3575, -97.994499, 909, 'US', 'US-TX', 'Austin', 'no', 'K3R9', '', '3R9', 'Airfield Ranch'),
	('71TE', 'small_airport', 'Moursund Ranch Airport', 30.378065, -98.376414, 1471, 'US', 'US-TX', 'Round Mountain', 'no', '71TE', '', '71TE', 'A W Ranch Landing Strip'),
	('5T9', 'small_airport', 'Maverick County Memorial International Airport', 28.859766, -100.516682, 887, 'US', 'US-TX', 'Eagle Pass', 'no', '', 'EGP', '5T9', ''),
	('TE21', 'small_airport', 'Lobo Mountain Ranch Airport', 29.6513, -99.086403, 1540, 'US', 'US-TX', 'Bandera', 'no', 'TE21', '', 'TE21', 'Dove Mountain Ranch'),
	('8TA3', 'small_airport', 'Flying X River Ranch Airport', 30.51689910888672, -98.17420196533203, 820, 'US', 'US-TX', 'Spicewood', 'no', '8TA3', '', '8TA3', ''),
	('MMFO', 'N/A', 'N/A', 29.30839765816927, -101.09037101268768, 333, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('44TS', 'small_airport', 'Mc David Ranch Airport', 30.5776996613, -98.8337020874, 1407, 'US', 'US-TX', 'Llano', 'no', '44TS', '', '44TS', ''),
	('7TE9', 'small_airport', 'Boening Brothers Airport', 29.02720069885254, -98.28669738769531, 407, 'US', 'US-TX', 'Floresville', 'no', '7TE9', '', '7TE9', ''),
	('0XA5', 'small_airport', '74 Ranch Airport', 28.684900283813477, -98.38279724121094, 320, 'US', 'US-TX', 'Campbellton', 'no', '0XA5', '', '0XA5', ''),
	('3TA0', 'small_airport', 'Four Square Ranch Airport', 30.096900939941406, -100.40499877929688, 2250, 'US', 'US-TX', 'Rocksprings', 'no', '3TA0', '', '3TA0', ''),
	('XS78', 'small_airport', 'Santiago Cattle Company Airport', 31.388051, -99.099905, 1387, 'US', 'US-TX', 'Brady', 'no', 'XS78', '', 'XS78', 'Las Culebras Airport'),
	('XA02', 'small_airport', 'Danz Ranch Airport', 30.279957, -98.426097, 1230, 'US', 'US-TX', 'Johnson City', 'no', 'XA02', '', 'XA02', ''),
	('KROO', 'N/A', 'N/A', 28.199295848608017, -100.23354604840279, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCVB', 'small_airport', 'Castroville Municipal Airport', 29.3419, -98.850899, 771, 'US', 'US-TX', 'Castroville', 'no', 'KCVB', '', 'CVB', 'Formerly T89'),
	('XS22', 'closed', 'Y O Ranch Airport', 30.203326, -99.67682, 2136, 'US', 'US-TX', 'Mountain Home', 'no', '', '', '', 'XS22'),
	('51TT', 'small_airport', 'Hoes Ranch Airport', 30.149441, -97.734553, 572, 'US', 'US-TX', 'Austin', 'no', '51TT', '', '51TT', ''),
	('1TA8', 'small_airport', 'Rio Pinto Ranch Airport', 29.237167, -100.684083, 935, 'US', 'US-TX', 'Bracketville', 'no', '1TA8', '', '1TA8', ''),
	('8TS9', 'small_airport', 'Strait Ranch Airport', 28.140694, -99.566584, 620, 'US', 'US-TX', 'Encinal', 'no', '8TS9', '', '8TS9', ''),
	('KJCT', 'medium_airport', 'Kimble County Airport', 30.5112991333, -99.7634963989, 1749, 'US', 'US-TX', 'Junction', 'no', 'KJCT', 'JCT', 'JCT', ''),
	('3TA8', 'small_airport', 'Picosa Ranch Airport', 28.71969985961914, -100.05500030517578, 600, 'US', 'US-TX', 'Crystal City', 'no', '3TA8', '', '3TA8', ''),
	('50R', 'small_airport', 'Lockhart Municipal Airport', 29.850299835205078, -97.67240142822266, 532, 'US', 'US-TX', 'Lockhart', 'no', 'K50R', '', '50R', ''),
	('7TE4', 'small_airport', 'Flying J Ranch Airport', 29.599505, -99.846325, 1620, 'US', 'US-TX', 'Leakey', 'no', '7TE4', '', '7TE4', '74T'),
	('TX41', 'small_airport', 'Pippen-York Ranch Airport', 30.091299057006836, -98.36470031738281, 1340, 'US', 'US-TX', 'Blanco', 'no', 'TX41', '', 'TX41', ''),
	('6TA9', 'small_airport', 'Los Ebanos Ranch Airport', 28.117000579833984, -98.0447006225586, 225, 'US', 'US-TX', 'Mathis', 'no', '6TA9', '', '6TA9', ''),
	('14TE', 'small_airport', 'Smith I-Ranch Airport', 30.917624, -99.475771, 1793, 'US', 'US-TX', 'Menard', 'no', '14TE', '', '14TE', ''),
	('5TS1', 'closed', 'Uno Mas Ranch Airport', 28.200978, -99.145934, 380, 'US', 'US-TX', 'Cotulla', 'no', '', '', '', '5TS1'),
	('6XA0', 'small_airport', 'Circle Ranch Airport', 30.351164, -99.173056, 2124, 'US', 'US-TX', 'Fredericksburg', 'no', '6XA0', '', '6XA0', ''),
	('0XA7', 'small_airport', 'Bar 3 Ranch Airport', 30.662345, -97.62276, 744, 'US', 'US-TX', 'Georgetown', 'no', '0XA7', '', '0XA7', ''),
	('44TE', 'small_airport', 'Shirley Williams Airport', 30.683500289916992, -98.41699981689453, 880, 'US', 'US-TX', 'Kingsland', 'no', '44TE', '', '44TE', ''),
	('9TX5', 'small_airport', 'Camp Bullis ALS Airport', 29.744699, -98.537201, 1158, 'US', 'US-TX', 'San Antonio', 'no', '9TX5', '', '9TX5', 'Camp Bullis Auxiliary Landing Strip'),
	('2TX1', 'small_airport', 'Russell Paradise Airport', 29.22865, -98.384046, 535, 'US', 'US-TX', 'Elmendorf', 'no', '2TX1', '', '2TX1', ''),
	('TT31', 'small_airport', 'Y Bar Ranch Airport', 28.539281, -98.800697, 367, 'US', 'US-TX', 'Fowlerton', 'no', 'TT31', '', 'TT31', ''),
	('KDZB', 'small_airport', 'Horseshoe Bay Resort Airpark', 30.52709961, -98.35870361, 1093, 'US', 'US-TX', 'Horseshoe Bay', 'no', 'KDZB', '', 'DZB', '4XS7'),
	('XA93', 'small_airport', 'Tortuga Ranch Airport', 28.618546, -99.653755, 550, 'US', 'US-TX', 'Brundage', 'no', 'XA93', '', 'XA93', ''),
	('KHDO', 'small_airport', 'South Texas Regional Airport at Hondo', 29.35950088501, -99.176696777344, 930, 'US', 'US-TX', 'Hondo', 'no', 'KHDO', '', 'HDO', 'Hondo Municipal Airport'),
	('57TE', 'small_airport', 'Prade Ranch Airport', 29.938955, -99.783153, 2296, 'US', 'US-TX', 'Leakey', 'no', '57TE', '', '57TE', ''),
	('10TE', 'closed', 'Gottwald Field', 29.647738, -97.505635, 440, 'US', 'US-TX', 'Harwood', 'no', '', '', '', '10TE'),
	('XS12', 'small_airport', 'Liberty Hill Air Ranch Airport', 30.678058, -98.017294, 1161, 'US', 'US-TX', 'Liberty Hill', 'no', 'XS12', '', 'XS12', ''),
	('MMPG', 'medium_airport', 'Piedras Negras International Airport', 28.627873, -100.53524, 901, 'MX', 'MX-COA', 'Piedras Negras', 'yes', 'MMPG', 'PDS', 'PNG', ''),
	('83TE', 'small_airport', 'K Bar Ranch Airport', 29.49690055847168, -99.493896484375, 1208, 'US', 'US-TX', 'Sabinal', 'no', '83TE', '', '83TE', ''),
	('TE37', 'small_airport', 'Canyon Ranch Airport', 30.301354, -100.471987, 2306, 'US', 'US-TX', 'Sonora', 'no', 'TE37', '', 'TE37', ''),
	('6TA8', 'heliport', 'Bell Helicopters Auxiliary Heliport', 32.79899978637695, -97.15059661865234, 472, 'US', 'US-TX', 'Hurst', 'no', '6TA8', '', '6TA8', ''),
	('TX05', 'small_airport', 'Bud Dryden Airport', 30.2605, -97.625298, 500, 'US', 'US-TX', 'Austin', 'no', 'TX05', '', 'TX05', ''),
	('24R', 'small_airport', 'Dilley Airpark', 28.68549919128418, -99.18920135498047, 542, 'US', 'US-TX', 'Dilley', 'no', 'K24R', '', '24R', ''),
	('99XA', 'small_airport', 'Skotz Airfield', 30.863976, -98.003712, 1200, 'US', 'US-TX', 'Briggs', 'no', '99XA', '', '', ''),
	('7TE8', 'closed', 'Trulock Ranch Field', 32.421001, -100.810997, 2168, 'US', 'US-TX', 'Colorado City', 'no', '', '', '', '7TE8'),
	('35TE', 'closed', 'NE Police Station Nr 2 Heliport', 29.813299, -95.336304, 53, 'US', 'US-TX', 'Houston', 'no', '', '', '', '35TE'),
	('4TE2', 'small_airport', 'Lewis Private Airport', 29.544099807739258, -100.6729965209961, 1379, 'US', 'US-TX', 'Del Rio', 'no', '4TE2', '', '4TE2', ''),
	('69TE', 'small_airport', 'Deer Pasture Airport', 30.92357, -98.231153, 1422, 'US', 'US-TX', 'Lampasas', 'no', '69TE', '', '69TE', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8TE4', 'small_airport', 'H & F Properties Airport', 28.815606, -99.761317, 640, 'US', 'US-TX', 'Crystal City', 'no', '8TE4', '', '8TE4', ''),
	('T30', 'small_airport', 'Mc Kinley Field', 28.8223, -99.109001, 586, 'US', 'US-TX', 'Pearsall', 'no', 'KT30', '', 'T30', ''),
	('E70', 'small_airport', 'Huber Airpark', 29.602274, -97.990572, 556, 'US', 'US-TX', 'Seguin', 'no', '', '', 'E70', 'Huber Airpark Civic Club LLC Airport'),
	('24XA', 'small_airport', 'Cross-B Airport', 29.320969, -98.370294, 530, 'US', 'US-TX', 'San Antonio', 'no', '24XA', '', '24XA', ''),
	('TE86', 'small_airport', 'Heritage Airfield', 29.444400787353516, -98.11280059814453, 555, 'US', 'US-TX', 'New Berlin', 'no', 'TE86', '', 'TE86', ''),
	('TS04', 'small_airport', 'Rio Vista Ranch Airport', 29.835800170898438, -100.97799682617188, 1774, 'US', 'US-TX', 'Del Rio', 'no', 'TS04', '', 'TS04', ''),
	('4TA6', 'small_airport', 'Comanche Caves Ranch Airport', 30.023318, -99.383032, 2000, 'US', 'US-TX', 'Hunt', 'no', '4TA6', '', '4TA6', ''),
	('1T8', 'small_airport', 'Bulverde Airpark', 29.7391, -98.451258, 1080, 'US', 'US-TX', 'Bulverde', 'no', '1TT8', '', '1TT8', '1T8'),
	('KSEQ', 'small_airport', 'Randolph Air Force Base Auxiliary Airport', 29.564499, -97.902517, 525, 'US', 'US-TX', 'Seguin', 'no', 'KSEQ', '', 'SEQ', ''),
	('KSSF', 'medium_airport', 'Stinson Municipal Airport', 29.336999893188, -98.471099853516, 577, 'US', 'US-TX', 'San Antonio', 'no', 'KSSF', 'SSF', 'SSF', ''),
	('XS40', 'small_airport', 'Jay Kay Ranch Airport', 28.80030059814453, -99.00029754638672, 666, 'US', 'US-TX', 'Pearsall', 'no', 'XS40', '', 'XS40', ''),
	('TE90', 'small_airport', 'Flying L Airport', 29.758899688720703, -99.15249633789063, 1380, 'US', 'US-TX', 'Bandera', 'no', 'TE90', '', 'TE90', ''),
	('48TS', 'small_airport', 'Fox Airport', 29.6677, -98.198898, 650, 'US', 'US-TX', 'New Braunfels', 'no', '48TS', '', '48TS', ''),
	('XS23', 'small_airport', 'Priour Ranch Airport', 30.12660026550293, -99.47119903564453, 2200, 'US', 'US-TX', 'Mountain Home', 'no', 'XS23', '', 'XS23', ''),
	('MMIC', 'N/A', 'N/A', 29.097351729869843, -101.18843659758568, 409, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRND', 'medium_airport', 'Randolph Air Force Base', 29.529699, -98.2789, 761, 'US', 'US-TX', 'Universal City', 'no', 'KRND', 'RND', 'RND', ''),
	('14TA', 'closed', 'Dean Ranch Airport', 29.894347, -98.403866, 1180, 'US', 'US-TX', 'Spring Branch', 'no', '', '', '', '14TA'),
	('7TS2', 'small_airport', 'Alison Air Park', 29.831300735473633, -97.88919830322266, 630, 'US', 'US-TX', 'San Marcos', 'no', '7TS2', '', '7TS2', ''),
	('2XA5', 'small_airport', 'Someday Ranch Airport', 29.803699493408203, -97.69120025634766, 466, 'US', 'US-TX', 'Lockhart', 'no', '2XA5', '', '2XA5', ''),
	('54XS', 'small_airport', 'Bar C Ranch Airport', 29.944988, -100.686307, 1856, 'US', 'US-TX', 'Del Rio', 'no', '54XS', '', '54XS', ''),
	('1XS3', 'heliport', 'John Peter Smith Health Network Heliport', 32.7275, -97.326111, 756, 'US', 'US-TX', 'Fort Worth', 'no', '1XS3', '', '1XS3', ''),
	('TA63', 'closed', 'Flattop Ridge Airport', 30.824081, -98.116485, 1340, 'US', 'US-TX', 'Burnet', 'no', '', '', '', 'TA63'),
	('TE83', 'small_airport', 'Westwind Ranch Airport', 28.920799255371094, -99.756103515625, 686, 'US', 'US-TX', 'La Pryor', 'no', 'TE83', '', 'TE83', ''),
	('KPEZ', 'small_airport', 'Pleasanton Municipal Airport', 28.954200744628906, -98.5199966430664, 430, 'US', 'US-TX', 'Pleasanton', 'no', 'KPEZ', '', 'PEZ', ''),
	('65TS', 'closed', 'Becker Airport', 33.402301, -97.670898, 940, 'US', 'US-TX', 'Alvord', 'no', '', '', '', '65TS'),
	('5TX1', 'closed', 'Harley White Field', 31.8613, -98.259499, 1120, 'US', 'US-TX', 'Lamkin', 'no', '', '', '', '5TX1'),
	('TS55', 'small_airport', 'Bat Cave Field', 29.671899795532227, -98.30449676513672, 850, 'US', 'US-TX', 'Garden Ridge', 'no', 'TS55', '', 'TS55', ''),
	('0XS7', 'small_airport', 'Anacacho Ranch Airport', 29.193679, -100.280027, 1067, 'US', 'US-TX', 'Brackettville', 'no', '0XS7', '', '0XS7', ''),
	('3TA9', 'small_airport', 'Chacon Creek Ranch Airport', 28.708599090576172, -100.00700378417969, 595, 'US', 'US-TX', 'Crystal City', 'no', '3TA9', '', '3TA9', ''),
	('75XS', 'closed', 'Triple R Airport', 29.248497, -98.475807, 510, 'US', 'US-TX', 'San Antonio', 'no', '', '', '', '75XS'),
	('XS86', 'small_airport', 'T-Ranch Airport', 29.266123, -98.923859, 880, 'US', 'US-TX', 'Devine', 'no', 'XS86', '', 'XS86', ''),
	('XS01', 'small_airport', 'Tschirhart Ranch Airport', 30.450199127197266, -98.88619995117188, 2060, 'US', 'US-TX', 'Fredericksburg', 'no', 'XS01', '', 'XS01', ''),
	('1XA0', 'closed', 'Rab Ranch Airport', 30.793799, -97.901545, 1095, 'US', 'US-TX', 'Florence', 'no', '', '', '', '1XA0'),
	('27R', 'small_airport', 'Eldorado Airport', 30.8622, -100.611, 2448, 'US', 'US-TX', 'Eldorado', 'no', 'K27R', '', '27R', 'Schleicher County Airport'),
	('5XA6', 'small_airport', 'Comanche Ridge Ranch Airport', 30.7713, -99.51577, 1888, 'US', 'US-TX', 'London', 'no', '', '', '5XA6', 'Mason'),
	('TS40', 'closed', 'Celina Field', 33.312801, -96.763901, 770, 'US', 'US-TX', 'Celina', 'no', '', '', '', 'TS40, celina field, TS40'),
	('XS03', 'small_airport', 'Herbert Ranch Airport', 30.486573, -98.284951, 1140, 'US', 'US-TX', 'Marble Falls', 'no', 'XS03', '', 'XS03', ''),
	('XS13', 'small_airport', 'T-4 Ranch Airport', 29.816600799560547, -99.19670104980469, 1595, 'US', 'US-TX', 'Medina', 'no', 'XS13', '', 'XS13', ''),
	('2R9', 'small_airport', 'Kenedy Regional Airport', 28.825001, -97.865601, 289, 'US', 'US-TX', 'Kenedy', 'no', '', '', '2R9', 'Karnes County'),
	('TA81', 'small_airport', 'Morning Star Ranch Airport', 29.792017, -100.876851, 1500, 'US', 'US-TX', 'Del Rio', 'no', 'TA81', '', 'TA81', ''),
	('44TX', 'small_airport', 'White Oak Airport', 30.210500717163086, -99.09480285644531, 1875, 'US', 'US-TX', 'Fredericksburg', 'no', '44TX', '', '44TX', ''),
	('3TA6', 'small_airport', 'Spring Ranch Airport', 29.541900634765625, -100.25299835205078, 1440, 'US', 'US-TX', 'Brackettville', 'no', '3TA6', '', '3TA6', ''),
	('1T7', 'small_airport', 'Kestrel Airpark', 29.811536, -98.425777, 1250, 'US', 'US-TX', 'Spring Branch', 'no', '', '', '1T7', ''),
	('8TX2', 'small_airport', 'Freeman Ranch Airport', 29.978500366210938, -100.2020034790039, 2380, 'US', 'US-TX', 'Rocksprings', 'no', '8TX2', '', '8TX2', ''),
	('KBEA', 'small_airport', 'Beeville Municipal Airport', 28.361900329589844, -97.79100036621094, 268, 'US', 'US-TX', 'Beeville', 'no', 'KBEA', '', 'BEA', 'Formerly 3R0'),
	('08TT', 'small_airport', 'LZ Tango Charlie Airport', 30.308803, -99.022228, 2054, 'US', 'US-TX', 'Fredericksburg', 'no', '08TT', '', '08TT', ''),
	('17TE', 'small_airport', 'Comfort Airpark', 29.929100036621094, -98.94029998779297, 1470, 'US', 'US-TX', 'Comfort', 'no', '17TE', '', '17TE', ''),
	('XS47', 'small_airport', 'Maurice Dauwe Farm Airport', 29.000200271606445, -98.57109832763672, 447, 'US', 'US-TX', 'Poteet', 'no', 'XS47', '', 'XS47', ''),
	('9TE2', 'small_airport', 'JL Bar Ranch', 30.568731, -100.444462, 2344, 'US', 'US-TX', 'Sonora', 'no', '9TE2', '', '9TE2', ''),
	('KSAT', 'large_airport', 'San Antonio International Airport', 29.533701, -98.469803, 809, 'US', 'US-TX', 'San Antonio', 'yes', 'KSAT', 'SAT', 'SAT', ''),
	('XS89', 'closed', 'Yates Airport', 29.620138, -98.448843, 971, 'US', 'US-TX', 'San Antonio', 'no', '', '', '', 'XS89, XS89, XS89');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1XS4', 'closed', 'Barton Field', 30.453501, -97.255501, 530, 'US', 'US-TX', 'Taylor', 'no', '', '', '', '1XS4, 1XS4, 1XS4'),
	('20TS', 'small_airport', 'Bains Private Airport', 29.809900283813477, -99.06809997558594, 1420, 'US', 'US-TX', 'Bandera', 'no', '20TS', '', '20TS', ''),
	('XA41', 'small_airport', 'Lone Star Flying Service Airport', 30.354999542236328, -99.24749755859375, 2220, 'US', 'US-TX', 'Harper', 'no', 'XA41', '', 'XA41', ''),
	('89TX', 'closed', 'Aero-Bee Ranch Airstrip', 30.870309, -98.418322, 1242, 'US', 'US-TX', 'Burnet', 'no', '', '', '', '89TX'),
	('KAUS', 'large_airport', 'Austin Bergstrom International Airport', 30.197535, -97.662015, 542, 'US', 'US-TX', 'Austin', 'yes', 'KAUS', 'AUS', 'AUS', 'BSM, KBSM, Bergstrom AFB'),
	('5TE2', 'small_airport', 'Bleakley Ranch Airport', 30.225200653076172, -98.14199829101563, 1384, 'US', 'US-TX', 'Dripping Springs', 'no', '5TE2', '', '5TE2', ''),
	('TA34', 'small_airport', 'Flying G Airport', 28.767302, -100.081329, 675, 'US', 'US-TX', 'Crystal City', 'no', 'TA34', '', 'TA34', ''),
	('8XS9', 'small_airport', 'Rust Field', 29.957731, -98.790569, 1331, 'US', 'US-TX', 'Waring', 'no', '8XS9', '', '8XS9', ''),
	('2G5', 'small_airport', 'Granite Shoals Bob Sylvester Airpark', 30.589399, -98.3703, 860, 'US', 'US-TX', 'Granite Shoals', 'no', '', '', '2G5', '32TE, 32R'),
	('XS42', 'closed', 'Agricultural Supplies Airport', 28.929399, -99.080299, 651, 'US', 'US-TX', 'Pearsall', 'no', '', '', '', 'XS42'),
	('2TA9', 'closed', 'AMIGO For Christ Airport', 32.6604, -97.842003, 840, 'US', 'US-TX', 'Weatherford', 'no', '', '', '', '2TA9, 2TA9, 2TA9'),
	('MMCC', 'small_airport', 'Ciudad Acuña New International Airport', 29.333662, -101.100555, 1410, 'MX', 'MX-COA', 'Ciudad Acuña', 'no', 'MMCC', 'ACN', 'EFN', ''),
	('30TA', 'small_airport', 'Tri-Modal Air Park', 30.585468, -97.717552, 812, 'US', 'US-TX', 'Georgetown', 'no', '30TA', '', '30TA', ''),
	('45XA', 'small_airport', 'Beulah Airport', 29.4958, -98.0569, 587, 'US', 'US-TX', 'Seguin', 'no', '45XA', '', '', ''),
	('04TT', 'small_airport', '4D Ranch Airport', 29.713072, -99.545642, 1550, 'US', 'US-TX', 'Utopia', 'no', '04TT', '', '04TT', ''),
	('85TX', 'small_airport', 'Rutherford Ranch Airport', 30.077699661254883, -97.9655990600586, 983, 'US', 'US-TX', 'Buda', 'no', '85TX', '', '85TX', ''),
	('79TA', 'small_airport', 'Morris Ranch Airport', 28.169700622558594, -98.88999938964844, 346, 'US', 'US-TX', 'Cotulla', 'no', '79TA', '', '79TA', ''),
	('7TA6', 'closed', 'PHI Heliport', 28.439699, -96.434998, 4, 'US', 'US-TX', 'Port O''Connor', 'no', '', '', '', '7TA6'),
	('86TA', 'closed', 'Slaughter Ranch Airport', 30.622043, -98.281735, 890, 'US', 'US-TX', 'Marble Falls', 'no', '', '', '', '86TA, 86TA, 86TA'),
	('XA92', 'small_airport', 'Herd Ranch Airport', 30.868402, -100.103002, 2185, 'US', 'US-TX', 'Menard', 'no', 'XA92', '', 'XA92', ''),
	('TT45', 'small_airport', 'Nighthawks Nest Airport', 29.497349, -98.154255, 592, 'US', 'US-TX', 'Marion', 'no', 'TT45', '', 'TT45', ''),
	('54TX', 'small_airport', 'Flying H Ranch Airport', 30.677400588989258, -98.52529907226563, 1000, 'US', 'US-TX', 'Kingsland', 'no', '54TX', '', '54TX', ''),
	('T70', 'N/A', 'N/A', 29.118427857756615, -100.47224164009094, 299, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XS62', 'closed', 'Casey Three Ranch Airport', 29.633301, -99.728699, 1586, 'US', 'US-TX', 'Rio Frio', 'no', '', '', '', 'XS62'),
	('KAQO', 'small_airport', 'Llano Municipal Airport', 30.783700942993, -98.662002563477, 1102, 'US', 'US-TX', 'Llano', 'no', 'KAQO', '', 'AQO', '6R9'),
	('TA27', 'closed', 'Flying ''K'' Airport', 30.837983, -97.950346, 1132, 'US', 'US-TX', 'Briggs', 'no', '', '', '', 'TA27'),
	('TA58', 'small_airport', 'Rancho Encantado Airport', 28.3214, -99.449997, 550, 'US', 'US-TX', 'Cotulla', 'no', 'TA58', '', 'TA58', ''),
	('TE78', 'small_airport', 'Fossil Creek Ranch Airport', 29.568700790405273, -99.97450256347656, 1325, 'US', 'US-TX', 'Camp Wood', 'no', 'TE78', '', 'TE78', ''),
	('KUVA', 'small_airport', 'Garner Field', 29.2112998962, -99.743598938, 942, 'US', 'US-TX', 'Uvalde', 'no', 'KUVA', 'UVA', 'UVA', ''),
	('4TE9', 'small_airport', 'Squirrel Creek Ranch Airport', 29.26409912109375, -99.35060119628906, 970, 'US', 'US-TX', 'D''Hanis', 'no', '4TE9', '', '4TE9', ''),
	('25XA', 'small_airport', 'Headwaters Airport', 30.092863, -98.701258, 1974, 'US', 'US-TX', 'Stonewall', 'no', '25XA', '', '25XA', ''),
	('8XS0', 'closed', 'Tivydale Ranch Airport', 30.2544, -99.099701, 1910, 'US', 'US-TX', 'Fredericksburg', 'no', '', '', '', '8XS0'),
	('87TX', 'closed', 'Porter Ranch Airport', 28.690001, -97.7603, 418, 'US', 'US-TX', 'Burnell', 'no', '', '', '', '87TX'),
	('12TX', 'small_airport', 'Griffin Airport', 30.821253, -98.081024, 1235, 'US', 'US-TX', 'Bertram', 'no', '12TX', '', '12TX', ''),
	('91TE', 'small_airport', 'Britts Crosswind Airport', 30.724700927734375, -97.86199951171875, 1000, 'US', 'US-TX', 'Liberty Hill', 'no', '91TE', '', '91TE', ''),
	('74TA', 'closed', 'Glass Ranch Airport', 28.445138, -100.156431, 800, 'US', 'US-TX', 'Carrizo Springs', 'no', '', '', '', '74TA'),
	('8TE7', 'small_airport', 'Carter Ranch Airport', 30.31935, -98.914391, 1840, 'US', 'US-TX', 'Fredericksburg', 'no', '8TE7', '', '8TE7', ''),
	('TA56', 'closed', 'Blue Mountain Airport', 30.5473, -104.0649, 5502, 'US', 'US-TX', 'Fort Davis', 'no', '', '', '', 'TA56'),
	('MM38', 'closed', 'Aeródromo de la Presa Falcón', 26.521713, -99.148382, 150, 'MX', 'MX-TAM', 'Ciudad Mier', 'no', '', '', '', 'MM38'),
	('KRBO', 'small_airport', 'Nueces County Airport', 27.778103, -97.690098, 79, 'US', 'US-TX', 'Robstown', 'no', 'KRBO', '', 'RBO', ''),
	('7TE2', 'small_airport', 'Cage Ranch Airport', 27.105899810791016, -98.20580291748047, 148, 'US', 'US-TX', 'Falfurrias', 'no', '7TE2', '', '7TE2', ''),
	('MMNL', 'medium_airport', 'Quetzalcóatl International Airport', 27.443899, -99.570503, 484, 'MX', 'MX-TAM', 'Nuevo Laredo', 'yes', 'MMNL', 'NLD', '', ''),
	('KMFE', 'medium_airport', 'McAllen Miller International Airport', 26.176141, -98.237965, 107, 'US', 'US-TX', 'McAllen', 'yes', 'KMFE', 'MFE', 'MFE', ''),
	('T69', 'small_airport', 'Alfred C ''Bubba'' Thomas Airport', 28.0392, -97.542397, 48, 'US', 'US-TX', 'Sinton', 'no', '', '', 'T69', 'San Patricio County'),
	('67R', 'small_airport', 'Rio Grande City Municipal Airport', 26.424299240112305, -98.84609985351563, 290, 'US', 'US-TX', 'Rio Grande City', 'no', 'K67R', '', '67R', ''),
	('0XA4', 'small_airport', 'Seven Cs Ranch Airport', 27.996901, -98.882202, 331, 'US', 'US-TX', 'Encinal', 'no', '0XA4', '', '0XA4', ''),
	('MMIB', 'N/A', 'N/A', 27.52085890620947, -100.80011665821075, 275, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KALI', 'medium_airport', 'Alice International Airport', 27.7409, -98.026901, 178, 'US', 'US-TX', 'Alice', 'no', 'KALI', 'ALI', 'ALI', ''),
	('KEBG', 'small_airport', 'South Texas International at Edinburg Airport', 26.4417, -98.1222, 75, 'US', 'US-TX', 'Edinburg', 'no', 'KEBG', '', 'EBG', '25R, Edinburg International'),
	('MXMA', 'N/A', 'N/A', 27.35532369464636, -100.68450406193733, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRR', 'N/A', 'N/A', 25.972521901130676, -98.11920315027237, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TS69', 'small_airport', 'Barronena East Airport', 27.482691, -98.659915, 576, 'US', 'US-TX', 'Hebbronville', 'no', 'TS69', '', 'TS69', ''),
	('30TX', 'small_airport', 'Burg Lake Aero Airport', 30.232361, -98.654972, 1463, 'US', 'US-TX', 'Stonewall', 'no', '30TX', '', '30TX', ''),
	('TA44', 'small_airport', 'Puesta del Sol Airport', 27.076169, -98.601476, 448, 'US', 'US-TX', 'Hebbronville', 'no', 'TA44', '', 'TA44', 'Kaffie Ranch'),
	('MXOD', 'N/A', 'N/A', 26.585563234984875, -99.13983151316643, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('47TX', 'small_airport', 'Armstrong Ranch Airport', 26.933900833129883, -97.76249694824219, 27, 'US', 'US-TX', 'Armstrong', 'no', '47TX', '', '47TX', ''),
	('MMRE', 'N/A', 'N/A', 27.20518972724676, -100.59996664524078, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMLG', 'N/A', 'N/A', 25.342538729310036, -97.73330926895142, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCAA', 'N/A', 'N/A', 28.061164431273937, -100.16415238380432, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('40TS', 'closed', 'Square K Airport', 31.7724, -97.132201, 590, 'US', 'US-TX', 'West', 'no', '', '', '', '40TS'),
	('MMMY', 'large_airport', 'Monterrey International Airport', 25.778521, -100.106989, 1278, 'MX', 'MX-NLE', 'Monterrey', 'yes', 'MMMY', 'MTY', '', 'General Mariano Escobedo, Apodaca'),
	('13TS', 'small_airport', 'Van Es Ranch Airport', 27.455299377441406, -98.92639923095703, 830, 'US', 'US-TX', 'Oilton', 'no', '13TS', '', '13TS', ''),
	('MM88', 'N/A', 'N/A', 27.24548924714327, -100.9744468331337, 430, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('07R', 'small_airport', 'Bishop-Windham Airport', 27.6103, -97.752614, 55, 'US', 'US-TX', 'Bishop', 'no', '', '', '07R', 'Bishop Municipal'),
	('38XS', 'small_airport', 'San Rafael Ranch Airport', 26.815200805664063, -98.47930145263672, 312, 'US', 'US-TX', 'Santa Elena', 'no', '38XS', '', '38XS', ''),
	('TE62', 'small_airport', 'High Man Tower Airstrip', 27.854299545288086, -97.68229675292969, 90, 'US', 'US-TX', 'Robstown', 'no', 'TE62', '', 'TE62', ''),
	('MM49', 'N/A', 'N/A', 27.61049162596464, -100.7482548058033, 279, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIO', 'medium_airport', 'Plan De Guadalupe International Airport', 25.544145, -100.930195, 4778, 'MX', 'MX-COA', 'Saltillo', 'no', 'MMIO', 'SLW', '', ''),
	('MMOQ', 'N/A', 'N/A', 27.26802583783865, -101.05155140161514, 410, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TX56', 'small_airport', 'Douglass Ranch Airport', 27.715499877929688, -98.70249938964844, 680, 'US', 'US-TX', 'Freer', 'no', 'TX56', '', 'TX56', ''),
	('KNQI', 'medium_airport', 'Kingsville Naval Air Station', 27.5072002411, -97.8097000122, 50, 'US', 'US-TX', 'Kingsville', 'no', 'KNQI', 'NQI', 'NQI', ''),
	('TX79', 'small_airport', 'Crescent C Ranch Airport', 28.0888881683, -99.04888916019999, 277, 'US', 'US-TX', 'Cotulla', 'no', 'TX79', '', 'TX79', ''),
	('TE29', 'small_airport', 'La Esperanza Ranch Airport', 28.069664, -99.568771, 750, 'US', 'US-TX', 'Encinal', 'no', 'TE29', '', 'TE29', ''),
	('T19', 'small_airport', 'Duval Freer Airport', 27.88360023498535, -98.60030364990234, 564, 'US', 'US-TX', 'Freer', 'no', 'KT19', '', 'T19', ''),
	('79TE', 'small_airport', 'Arrowhead Airport', 28.1156005859375, -97.93080139160156, 165, 'US', 'US-TX', 'Lagarto', 'no', '79TE', '', '79TE', ''),
	('KHRL', 'medium_airport', 'Valley International Airport', 26.228500366210938, -97.65440368652344, 36, 'US', 'US-TX', 'Harlingen', 'yes', 'KHRL', 'HRL', 'HRL', ''),
	('2TX4', 'small_airport', 'Lewis Ranch Airport', 27.983600616455078, -99.37670135498047, 540, 'US', 'US-TX', 'Encinal', 'no', '2TX4', '', '2TX4', ''),
	('53XS', 'small_airport', 'Kornegay Private Airport', 26.148399353027344, -97.5916976928711, 30, 'US', 'US-TX', 'San Benito', 'no', '53XS', '', '53XS', ''),
	('90TX', 'small_airport', 'Callaghan Ranch Airport', 27.8794002532959, -99.39669799804688, 635, 'US', 'US-TX', 'Callaghan', 'no', '90TX', '', '90TX', ''),
	('KSAL', 'N/A', 'N/A', 27.225386761128902, -97.69736722111702, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM36', 'small_airport', 'Rancho San Salvador Northeast Airport', 26.678499221801758, -100.1709976196289, 900, 'MX', 'MX-NLE', '', 'no', 'MM36', '', 'MM36', ''),
	('XS64', 'small_airport', 'Farm Services Inc Airport', 26.249000549316406, -97.56500244140625, 25, 'US', 'US-TX', 'Rio Hondo', 'no', 'XS64', '', 'XS64', ''),
	('43TX', 'small_airport', 'Mid-Valley Dusters Inc Airport', 26.153136, -98.136331, 91, 'US', 'US-TX', 'Alamo', 'no', '43TX', '', '43TX', ''),
	('KLRD', 'medium_airport', 'Laredo International Airport', 27.543800354003906, -99.46160125732422, 508, 'US', 'US-TX', 'Laredo', 'yes', 'KLRD', 'LRD', 'LRD', ''),
	('MMBY', 'N/A', 'N/A', 26.87711901962757, -100.11214256286621, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXDH', 'N/A', 'N/A', 27.653150148689747, -100.53089797496796, 270, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVL', 'N/A', 'N/A', 27.810096591711044, -100.65753623843193, 392, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0TE5', 'small_airport', 'Santa Maria Ranch Airport', 27.433799743652344, -99.18589782714844, 516, 'US', 'US-TX', 'Laredo', 'no', '0TE5', '', '0TE5', ''),
	('MMRB', 'N/A', 'N/A', 25.83710454404354, -98.11739176511765, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVY', 'N/A', 'N/A', 25.61759389936924, -97.81665578484535, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAK', 'N/A', 'N/A', 27.094283737242222, -99.98502239584923, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQJ', 'N/A', 'N/A', 27.146261259913445, -100.7438425719738, 340, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XS50', 'small_airport', '4G Ranch Airport', 27.380468, -98.308134, 272, 'US', 'US-TX', 'Concepcion', 'no', 'XS50', '', 'XS50', ''),
	('MMVM', 'N/A', 'N/A', 25.44796261936426, -98.47314208745956, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCRP', 'medium_airport', 'Corpus Christi International Airport', 27.770399, -97.501198, 44, 'US', 'US-TX', 'Corpus Christi', 'yes', 'KCRP', 'CRP', 'CRP', ''),
	('67T', 'small_airport', 'Old Hoppe Place Airport', 27.800300598145, -97.851196289062, 96, 'US', 'US-TX', 'Agua Dulce', 'no', '67T', '', '67T', '67TX'),
	('1XS0', 'closed', 'Double U Ranch Airport', 29.921638, -98.481653, 1170, 'US', 'US-TX', 'Spring Branch', 'no', '', '', '', '1XS0'),
	('MMRX', 'medium_airport', 'General Lucio Blanco International Airport', 26.0089, -98.2285, 139, 'MX', 'MX-TAM', 'Reynosa', 'yes', 'MMRX', 'REX', 'REI', ''),
	('KHBV', 'small_airport', 'Jim Hogg County Airport', 27.349599838256836, -98.73699951171875, 663, 'US', 'US-TX', 'Hebbronville', 'no', 'KHBV', '', 'HBV', ''),
	('MM44', 'small_airport', 'Agualeguas Old Airport', 26.304399490356445, -99.55020141601563, 676, 'MX', 'MX-NLE', '', 'no', 'MM44', '', 'MM44', ''),
	('MMQL', 'N/A', 'N/A', 26.446861512959003, -99.66615602374077, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAN', 'medium_airport', 'Del Norte International Airport', 25.865601, -100.237, 1476, 'MX', 'MX-NLE', 'Monterrey', 'no', 'MMAN', 'NTR', 'ADN', 'BAM 14 Monterrey/Apodaca');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMVK', 'N/A', 'N/A', 25.505694821476936, -100.08262619376183, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2TS2', 'small_airport', 'Shofner Farms Airport', 26.168862, -97.733055, 57, 'US', 'US-TX', 'Harlingen', 'no', '2TS2', '', '2TS2', ''),
	('MMNA', 'N/A', 'N/A', 26.330381222069263, -99.48575869202614, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDD', 'N/A', 'N/A', 25.522365421056747, -100.0795528292656, 392, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM95', 'N/A', 'N/A', 25.91826483607292, -98.01459610462189, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XS94', 'small_airport', 'Corralitos Airport', 27.110988, -99.423323, 360, 'US', 'US-TX', 'San Ygnacio', 'no', 'XS94', '', 'XS94', ''),
	('XA66', 'small_airport', 'El Jardin Ranch Airport', 28.075000762939453, -99.2863998413086, 482, 'US', 'US-TX', 'Encinal', 'no', 'XA66', '', 'XA66', ''),
	('KBKS', 'small_airport', 'Brooks County Airport', 27.20680046, -98.12120056, 113, 'US', 'US-TX', 'Falfurrias', 'no', 'KBKS', '', 'BKS', ''),
	('KTXW', 'N/A', 'N/A', 26.17870833724737, -97.97400534152985, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7TE7', 'small_airport', 'Moore Field', 26.383699, -98.333603, 219, 'US', 'US-TX', 'Edinburg', 'no', '7TE7', '', '7TE7', ''),
	('MMVB', 'N/A', 'N/A', 27.89929948747158, -100.50753325223923, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMLE', 'N/A', 'N/A', 27.013679668307304, -100.51088869571686, 324, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNR', 'N/A', 'N/A', 27.974596805870533, -101.21247544884682, 397, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXWB', 'N/A', 'N/A', 28.073015436530113, -100.39190456271172, 270, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIK', 'N/A', 'N/A', 26.082592383027077, -99.60011288523674, 281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('44XA', 'small_airport', 'HFS Airport', 27.836944, -97.771806, 72, 'US', 'US-TX', 'Robstown', 'no', '44XA', '', '44XA', ''),
	('69TA', 'small_airport', 'Dean Airport', 27.655000686645508, -97.52529907226563, 45, 'US', 'US-TX', 'Corpus Christi', 'no', '69TA', '', '69TA', ''),
	('KFAL', 'N/A', 'N/A', 27.130545862019062, -98.40362638235092, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TE89', 'closed', 'Verhalen Airport', 32.537701, -94.236099, 415, 'US', 'US-TX', 'Scottsville', 'no', '', '', '', 'TE89'),
	('6XS5', 'closed', 'Cannon Aviation Airport', 26.299319, -97.955115, 65, 'US', 'US-TX', 'Edcouch', 'no', '', '', '', '6XS5'),
	('XS93', 'small_airport', 'Diamond O Ranch Airport', 26.720645, -98.560439, 420, 'US', 'US-TX', 'Santa Elena', 'no', 'XS93', '', 'XS93', ''),
	('MMHF', 'N/A', 'N/A', 26.202612854540348, -98.55594903230667, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRL', 'N/A', 'N/A', 27.028347328305244, -100.38331434130669, 317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KIKG', 'small_airport', 'Kleberg County Airport', 27.5509, -98.030899, 130, 'US', 'US-TX', 'Kingsville', 'no', 'KIKG', '', 'IKG', ''),
	('KNOG', 'small_airport', 'Orange Grove Naval Auxiliary Landing Field', 27.9011, -98.051697, 257, 'US', 'US-TX', 'Orange Grove', 'no', 'KNOG', '', 'NOG', ''),
	('MMLW', 'N/A', 'N/A', 26.979127787053585, -100.2648138999939, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM58', 'N/A', 'N/A', 27.192454263567924, -100.82946851849556, 383, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMYU', 'N/A', 'N/A', 27.324780710041523, -100.64323917031288, 318, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXD', 'N/A', 'N/A', 27.9854604229331, -100.22558838129044, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7TE1', 'closed', 'Zachry Ranch Airport', 27.072788, -98.935425, 592, 'US', 'US-TX', 'Escobas', 'no', '', '', '', '7TE1'),
	('MMLQ', 'N/A', 'N/A', 27.238665372133255, -100.91435372829437, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('03TE', 'small_airport', 'Barronena Ranch Airport', 27.490812, -98.669615, 600, 'US', 'US-TX', 'Hebbronville', 'no', '03TE', '', '03TE', ''),
	('28TA', 'small_airport', 'Duval County Ranch Co Airport', 27.83359909, -98.71700287, 665, 'US', 'US-TX', 'Freer', 'no', '28TA', '', '28TA', ''),
	('MMZJ', 'N/A', 'N/A', 25.7943494617939, -100.44632479548454, 594, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XS63', 'closed', 'Texas Air Museum Airport', 26.228701, -97.560799, 30, 'US', 'US-TX', 'Rio Hondo', 'no', '', '', '', 'XS63'),
	('MMJR', 'N/A', 'N/A', 27.571874856948853, -100.29779300093651, 237, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMA', 'medium_airport', 'General Servando Canales International Airport', 25.7698993683, -97.5252990723, 25, 'MX', 'MX-TAM', 'Matamoros', 'yes', 'MMMA', 'MAM', '', ''),
	('8TS0', 'small_airport', 'Hamilton Ranch Airport', 27.553545, -98.734606, 698, 'US', 'US-TX', 'Freer', 'no', '8TS0', '', '8TS0', ''),
	('TS05', 'closed', 'Progreso Airport', 26.0837, -97.950302, 70, 'US', 'US-TX', 'Progreso', 'no', '', '', '', 'TS05'),
	('MMAV', 'N/A', 'N/A', 26.877295039594173, -99.89039048552513, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8TX8', 'small_airport', 'Weeks Airport', 27.360745, -98.179622, 190, 'US', 'US-TX', 'Premont', 'no', '8TX8', '', '8TX8', ''),
	('2TA8', 'small_airport', 'El Coyote Ranch Airport', 26.85840034, -98.22200012, 196, 'US', 'US-TX', 'Encino', 'no', '2TA8', '', '2TA8', ''),
	('MMLD', 'N/A', 'N/A', 27.39914797246456, -100.77566921710968, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('42XS', 'small_airport', 'Temple Ranch Airport', 27.957444, -98.403889, 490, 'US', 'US-TX', 'Freer', 'no', '42XS', '', '42XS', ''),
	('MMBE', 'N/A', 'N/A', 25.8699706569314, -100.33929526805878, 495, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMYS', 'N/A', 'N/A', 28.023888431489468, -100.43491691350937, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXDA', 'N/A', 'N/A', 26.621112562716007, -100.98622664809227, 834, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('07TE', 'small_airport', 'Cuddihy Field', 27.7211, -97.512802, 39, 'US', 'US-TX', 'Corpus Christi', 'no', '07TE', 'CUX', '07TE', ''),
	('6TE0', 'small_airport', 'Skalitsky Airport', 26.290300369262695, -97.94940185546875, 60, 'US', 'US-TX', 'Edcouch', 'no', '6TE0', '', '6TE0', ''),
	('TE32', 'small_airport', 'Rancho Blanco Airport', 27.3085994720459, -99.48139953613281, 385, 'US', 'US-TX', 'Laredo', 'no', 'TE32', '', 'TE32', ''),
	('MMLK', 'N/A', 'N/A', 27.1042126044631, -100.83123475313187, 454, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MXDC', 'N/A', 'N/A', 27.718376107513905, -100.86928367614746, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXBD', 'N/A', 'N/A', 26.948130168020725, -99.86639007925987, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XS66', 'small_airport', 'Rabb Dusting Inc Airport', 27.80389976501465, -97.74359893798828, 83, 'US', 'US-TX', 'Robstown', 'no', 'XS66', '', 'XS66', ''),
	('XS51', 'small_airport', 'Seeligson Ranch Airport', 27.408325, -98.143125, 172, 'US', 'US-TX', 'Premont', 'no', 'XS51', '', 'XS51', ''),
	('KSIE', 'N/A', 'N/A', 26.785022020339966, -99.30744633078575, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAL', 'small_airport', 'Aeropuerto Nacional de Agualeguas', 26.334, -99.542397, 676, 'MX', 'MX-NLE', 'Agualeguas', 'no', 'MMAL', '', 'AGL', ''),
	('9TS3', 'closed', 'Simaron Ranch Airport', 30.1483, -95.966904, 310, 'US', 'US-TX', 'Waller', 'no', '', '', '', '9TS3'),
	('RRA', 'small_airport', 'Rancho Agua Buena Airport', 27.384008, -101.154392, 1158, 'MX', 'MX-COA', 'Progreso', 'no', '', '', 'RRA', ''),
	('5XS6', 'small_airport', 'Old Reb Airport', 26.1754, -97.875298, 60, 'US', 'US-TX', 'Mercedes', 'no', '5XS6', '', '5XS6', 'Rebel Field'),
	('6TE1', 'small_airport', 'Norman & White Airport', 26.361499786376953, -98.15249633789063, 90, 'US', 'US-TX', 'Edinburg', 'no', '6TE1', '', '6TE1', ''),
	('14TS', 'small_airport', 'O S Wyatt Airport', 27.42169952392578, -98.60449981689453, 532, 'US', 'US-TX', 'Realitos', 'no', '14TS', '', '14TS', ''),
	('XS56', 'small_airport', 'Flying W Airport', 26.450571, -97.791011, 30, 'US', 'US-TX', 'Raymondville', 'no', 'XS56', '', 'XS56', 'Bell Airfield'),
	('MMGN', 'N/A', 'N/A', 25.79724993556738, -99.25107523798943, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KAPY', 'small_airport', 'Zapata County Airport', 26.968799591099998, -99.2489013672, 422, 'US', 'US-TX', 'Zapata', 'no', 'KAPY', '', 'APY', 'Formerly T86'),
	('MXHB', 'N/A', 'N/A', 25.869724228978157, -98.6077094078064, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('92XS', 'small_airport', 'T R Funk Inc Airport', 26.479176, -97.686734, 24, 'US', 'US-TX', 'Raymondville', 'no', '92XS', '', '92XS', ''),
	('MMYP', 'N/A', 'N/A', 28.057522997260094, -100.49222633242607, 307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNW', 'N/A', 'N/A', 23.374067209661007, -97.9284730553627, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXBB', 'N/A', 'N/A', 23.978618010878563, -98.51898103952408, 222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPD', 'N/A', 'N/A', 22.51408528536558, -98.63242462277412, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM22', 'small_airport', 'La Pesca Airport', 23.8022, -97.773697, 15, 'MX', 'MX-TAM', 'Soto La Marina', 'no', 'MM22', '', 'LPE', 'La Pesca Base Aeronaval'),
	('MMYH', 'N/A', 'N/A', 22.69256718456745, -98.22762429714203, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM17', 'small_airport', 'La Trinidad Airport', 23.96626, -98.833299, 577, 'MX', 'MX-TAM', 'Padilla', 'no', '', '', 'LTP', 'MM17, La Retama Southwest'),
	('MMTQ', 'N/A', 'N/A', 23.681803084909916, -98.04913982748985, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRF', 'N/A', 'N/A', 25.145290419459343, -99.84464049339294, 457, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM56', 'small_airport', 'Xicoténcatl Airport', 22.953829, -98.959908, 377, 'MX', 'MX-TAM', 'Xicoténcatl', 'no', 'MM56', '', 'XIC', ''),
	('MMGW', 'N/A', 'N/A', 25.300390161573887, -99.72118645906448, 325, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNE', 'N/A', 'N/A', 24.06858902424574, -99.01304215192795, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXF', 'N/A', 'N/A', 23.663437999784946, -97.95055523514748, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUU', 'N/A', 'N/A', 22.73619968444109, -98.3340485394001, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVX', 'N/A', 'N/A', 22.80697613954544, -98.48735243082047, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM67', 'small_airport', 'Aeropuerto Nacional Ingeniero Manuel Moreno Torres', 23.6766, -100.623001, 5118, 'MX', 'MX-SLP', 'Matehuala', 'no', 'MM67', '', 'MTH', 'MX73'),
	('MMMP', 'N/A', 'N/A', 24.1712773963809, -100.91308772563934, 1711, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSK', 'N/A', 'N/A', 24.834688268601894, -98.10287073254585, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVZ', 'N/A', 'N/A', 24.825054109096527, -98.16458389163017, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMYG', 'N/A', 'N/A', 23.17363578826189, -98.11345562338829, 249, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUJ', 'N/A', 'N/A', 23.61256454139948, -97.87758842110634, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUR', 'N/A', 'N/A', 22.953092828392982, -98.41228902339935, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXE', 'N/A', 'N/A', 23.74142289161682, -98.22364345192909, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSV', 'N/A', 'N/A', 23.823733516037464, -98.17802757024765, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGS', 'N/A', 'N/A', 22.815773114562035, -98.55736657977104, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQO', 'N/A', 'N/A', 23.763137385249138, -98.74591693282127, 303, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNO', 'N/A', 'N/A', 23.42427883297205, -97.9211774468422, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFN', 'N/A', 'N/A', 22.547794617712498, -98.06065857410431, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z21Z', 'N/A', 'N/A', 25.0596521794796, -97.7431820333004, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAD', 'N/A', 'N/A', 23.042490854859352, -98.15238654613495, 244, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM59', 'N/A', 'N/A', 22.69422546029091, -99.02431011199951, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNU', 'N/A', 'N/A', 24.04548179358244, -98.70419338345528, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZQ', 'N/A', 'N/A', 23.44153616577387, -97.87598177790642, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUM', 'N/A', 'N/A', 22.866542972624302, -98.38673561811447, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXOA', 'N/A', 'N/A', 24.023384749889374, -98.71514663100243, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MM01', 'N/A', 'N/A', 22.743890918791294, -99.0175549685955, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXML', 'N/A', 'N/A', 24.935626164078712, -99.55163329839706, 335, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAY', 'N/A', 'N/A', 23.04170899093151, -98.10774967074394, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCV', 'medium_airport', 'General Pedro Jose Mendez International Airport', 23.7033004761, -98.9564971924, 761, 'MX', 'MX-TAM', 'Ciudad Victoria', 'yes', 'MMCV', 'CVM', '', ''),
	('MMHH', 'N/A', 'N/A', 22.795909009873867, -99.14100363850594, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNM', 'N/A', 'N/A', 23.240091875195503, -97.88911297917366, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXA', 'N/A', 'N/A', 23.78692254424095, -97.87814497947693, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFH', 'N/A', 'N/A', 24.796052388846874, -97.85018563270569, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJB', 'N/A', 'N/A', 24.95477009564638, -99.61699560284615, 376, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDL', 'small_airport', 'Scottsdale Airport', 33.622898101807, -111.91100311279, 1510, 'US', 'US-AZ', 'Scottsdale', 'no', 'KSDL', 'SCF', 'SDL', 'Thunderbird Field #2'),
	('MMOI', 'N/A', 'N/A', 23.388965874910355, -98.78128856420517, 224, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUL', 'N/A', 'N/A', 23.639202900230885, -98.46409276127815, 505, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUO', 'N/A', 'N/A', 22.789134085178375, -98.48994567990303, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXBA', 'N/A', 'N/A', 22.74438813328743, -98.03589284420013, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PNL', 'small_airport', 'Piedras Blancas Airport', 25.294266, -100.016139, 1476, 'MX', 'MX-NLE', 'Allende', 'no', '', '', 'PNL', 'Hermanos Marroquin'),
	('MM15', 'N/A', 'N/A', 22.773346602916718, -98.05026277899742, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHU', 'N/A', 'N/A', 24.899992011487484, -99.77100402116776, 546, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNV', 'N/A', 'N/A', 22.685900554060936, -97.92848825454712, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXOB', 'N/A', 'N/A', 23.047666177153587, -97.8223791718483, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM91', 'N/A', 'N/A', 25.20341992378235, -98.20371732115746, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZS', 'N/A', 'N/A', 23.71434062719345, -97.82655581831932, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUV', 'N/A', 'N/A', 22.700449861586094, -98.50088015198708, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPW', 'small_airport', 'Rancho Peñitas Airport', 22.748804, -98.654265, 154, 'MX', 'MX-TAM', 'Gonzalez', 'no', '', '', 'RPW', ''),
	('MM54', 'small_airport', 'Rancho Marina Vieja Airport', 23.7381, -98.061202, 39, 'MX', 'MX-TAM', 'Soto La Marina', 'no', 'MM54', '', 'RMV', ''),
	('MM94', 'N/A', 'N/A', 23.893915861845016, -98.227858543396, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXU', 'N/A', 'N/A', 23.691152594983578, -98.37097764015198, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUS', 'N/A', 'N/A', 22.662018835544586, -98.4512785077095, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM53', 'small_airport', 'Nuevo Dolores Airport', 24.06114, -98.415999, 480, 'MX', 'MX-TAM', 'Abasolo', 'no', 'MM53', '', 'MM53', ''),
	('SD53', 'small_airport', 'Howard Field', 42.90639877319336, -96.81079864501953, 1250, 'US', 'US-SD', 'Beresford', 'no', 'SD53', '', 'SD53', ''),
	('7K8', 'small_airport', 'Martin Field', 42.45597, -96.472874, 1100, 'US', 'US-NE', 'South Sioux City', 'no', '', '', '7K8', ''),
	('10D', 'small_airport', 'Winsted Municipal Airport', 44.950001, -94.066902, 1030, 'US', 'US-MN', 'Winsted', 'no', '10D', '', '10D', ''),
	('1IA9', 'closed', 'Newbrough Airport', 43.067699, -93.902199, 1192, 'US', 'US-IA', 'Britt', 'no', '', '', '', '1IA9'),
	('KRWF', 'medium_airport', 'Redwood Falls Municipal Airport', 44.547199, -95.082298, 1024, 'US', 'US-MN', 'Redwood Falls', 'no', 'KRWF', 'RWF', 'RWF', ''),
	('SD94', 'small_airport', 'Lundin Airport', 44.99300003051758, -96.47699737548828, 1186, 'US', 'US-SD', 'Revillo', 'no', 'SD94', '', 'SD94', ''),
	('4MN7', 'closed', 'Burk Airport', 43.8438, -94.285797, 1070, 'US', 'US-MN', 'Amboy', 'no', '', '', '', '4MN7'),
	('40MN', 'small_airport', 'Turner Field', 43.866600036621094, -95.01419830322266, 1410, 'US', 'US-MN', 'Bingham Lake', 'no', '40MN', '', '40MN', ''),
	('MN96', 'closed', 'Rohwer Airport', 43.5983, -95.817002, 1640, 'US', 'US-MN', 'Rushmore', 'no', '', '', '', 'MN96'),
	('IA83', 'small_airport', 'Kohlhaas Airport', 42.954883, -94.167638, 1153, 'US', 'US-IA', 'Livermore', 'no', 'IA83', '', 'IA83', ''),
	('2SD8', 'closed', 'Bixler Ridge Airport', 43.045601, -96.939102, 1250, 'US', 'US-SD', 'Centerville', 'no', '', '', '', '2SD8'),
	('3Y0', 'small_airport', 'Wall Lake Municipal Airport', 42.26240158081055, -95.0906982421875, 1224, 'US', 'US-IA', 'Wall Lake', 'no', '3Y0', '', '3Y0', ''),
	('KULM', 'small_airport', 'New Ulm Municipal Airport', 44.319599151611, -94.502296447754, 1011, 'US', 'US-MN', 'New Ulm', 'no', 'KULM', 'ULM', 'ULM', ''),
	('MN88', 'small_airport', 'Empire Valley Airport', 45.28689956665, -94.675300598145, 1160, 'US', 'US-MN', 'Paynesville', 'no', '', '', 'MN88', 'MN88'),
	('KFOD', 'medium_airport', 'Fort Dodge Regional Airport', 42.552624, -94.191237, 1156, 'US', 'US-IA', 'Fort Dodge', 'yes', 'KFOD', 'FOD', 'FOD', ''),
	('Y58', 'small_airport', 'Sleepy Eye Municipal Airport', 44.25, -94.71690368652344, 1004, 'US', 'US-MN', 'Sleepy Eye', 'no', 'Y58', '', 'Y58', ''),
	('SD46', 'small_airport', 'Jensen Airport', 43.83330154418945, -96.85030364990234, 1520, 'US', 'US-SD', 'Dell Rapids', 'no', 'SD46', '', 'SD46', ''),
	('KORC', 'closed', 'Orange City Municipal Airport', 42.990299, -96.062798, 1414, 'US', 'US-IA', 'Orange City', 'no', '', '', '', 'KORC, KORC, ORC'),
	('SD19', 'small_airport', 'Andersen Farms Airport', 44.465301513671875, -97.22250366210938, 1750, 'US', 'US-SD', 'Badger', 'no', 'SD19', '', 'SD19', ''),
	('KMVE', 'small_airport', 'Montevideo Chippewa County Airport', 44.969101, -95.710297, 1034, 'US', 'US-MN', 'Montevideo', 'no', 'KMVE', 'MVE', 'MVE', ''),
	('8Y8', 'small_airport', 'Peltz Field', 43.265972, -94.562508, 1280, 'US', 'US-IA', 'Ringsted', 'no', '', '', '8Y8', '2IA7'),
	('MN08', 'small_airport', 'Eagles Nest Aerodrome', 44.12649917602539, -93.8718032836914, 1000, 'US', 'US-MN', 'Eagle Lake', 'no', 'MN08', '', 'MN08', ''),
	('KCNB', 'small_airport', 'Myers Field Airport', 44.7295, -96.265999, 1194, 'US', 'US-MN', 'Canby', 'no', 'KCNB', '', 'CNB', '27D, Canby Municipal Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KSKI', 'small_airport', 'Sac City Municipal Airport', 42.37910079956055, -94.97969818115234, 1250, 'US', 'US-IA', 'Sac City', 'no', 'KSKI', '', 'SKI', ''),
	('KLYV', 'small_airport', 'Quentin Aanenson Airfield - Luverne Municipal Airport', 43.616217, -96.217946, 1431, 'US', 'US-MN', 'Luverne', 'no', 'KLYV', '', 'LYV', 'D19'),
	('KBER', 'N/A', 'N/A', 43.08341313153505, -96.87981605529785, 392, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('63Y', 'small_airport', 'Tyler Municipal Airport', 44.288989, -96.151642, 1742, 'US', 'US-MN', 'Tyler', 'no', 'K63Y', '', '63Y', ''),
	('1D6', 'small_airport', 'Hector Municipal Airport', 44.73109817504883, -94.7146987915039, 1077, 'US', 'US-MN', 'Hector', 'no', '1D6', '', '1D6', ''),
	('KMWM', 'small_airport', 'Windom Municipal Airport', 43.913399, -95.109398, 1410, 'US', 'US-MN', 'Windom', 'no', 'KMWM', 'MWM', 'MWM', ''),
	('0MN1', 'closed', 'Brinkman Airport', 44.262501, -94.069702, 1020, 'US', 'US-MN', 'St. Peter', 'no', '', '', '', '0MN1'),
	('4MN4', 'closed', 'Mulder Field Inc Airport', 44.455799, -96.231553, 1669, 'US', 'US-MN', 'Ivanhoe', 'no', '', '', '', '4MN4'),
	('KEAG', 'small_airport', 'Eagle Grove Municipal Airport', 42.709801, -93.9161, 1133, 'US', 'US-IA', 'Eagle Grove', 'no', 'KEAG', '', 'EAG', ''),
	('KSHL', 'small_airport', 'Sheldon Regional Airport', 43.208401, -95.833396, 1419, 'US', 'US-IA', 'Sheldon', 'no', 'KSHL', '', 'SHL', 'Sheldon Municipal'),
	('1Y9', 'small_airport', 'Paullina Municipal Airport', 42.98830032348633, -95.66449737548828, 1385, 'US', 'US-IA', 'Paullina', 'no', '1Y9', '', '1Y9', ''),
	('KHCD', 'small_airport', 'Hutchinson Municipal Butler Field', 44.859901, -94.3825, 1062, 'US', 'US-MN', 'Hutchinson', 'no', 'KHCD', '', 'HCD', ''),
	('SD29', 'closed', 'Menno Airport', 43.244401, -97.553101, 1350, 'US', 'US-SD', 'Menno', 'no', '', '', '', 'SD29'),
	('KTKC', 'small_airport', 'Tracy Municipal Airport', 44.2491, -95.6073, 1340, 'US', 'US-MN', 'Tracy', 'no', 'KTKC', '', 'TKC', ''),
	('KGYL', 'small_airport', 'Glencoe Municipal Airport', 44.756001, -94.0812, 992, 'US', 'US-MN', 'Glencoe', 'no', 'KGYL', '', 'GYL', ''),
	('KBLB', 'N/A', 'N/A', 43.69881212711334, -93.9224562048912, 338, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IA69', 'small_airport', 'Sand Field Airport', 42.8736000061, -95.8031005859, 1520, 'US', 'US-IA', 'Marcus', 'no', 'IA69', '', 'IA69', ''),
	('KSLB', 'small_airport', 'Storm Lake Municipal Airport', 42.5973014832, -95.24069976810001, 1488, 'US', 'US-IA', 'Storm Lake', 'no', 'KSLB', 'SLB', 'SLB', ''),
	('68Y', 'small_airport', 'Wells Municipal Airport', 43.741201, -93.777181, 1119, 'US', 'US-MN', 'Wells', 'no', 'K68Y', '', '68Y', ''),
	('KMKT', 'small_airport', 'Mankato Regional Airport', 44.224781, -93.919128, 1021, 'US', 'US-MN', 'Mankato', 'no', 'KMKT', 'MKT', 'MKT', ''),
	('KPQN', 'small_airport', 'Pipestone Municipal Airport', 43.983299, -96.300301, 1736, 'US', 'US-MN', 'Pipestone', 'no', 'KPQN', '', 'PQN', ''),
	('60MN', 'small_airport', 'Fuhr Flying Svc Airport', 44.46799850463867, -95.28359985351563, 1070, 'US', 'US-MN', 'Seaforth', 'no', '60MN', '', '60MN', ''),
	('12Y', 'small_airport', 'Le Sueur Municipal Airport', 44.441071, -93.916283, 868, 'US', 'US-MN', 'Le Sueur', 'no', 'K12Y', '', '12Y', ''),
	('MN74', 'small_airport', 'B & D Flyers International Airport', 43.830501556399994, -93.84049987790002, 1055, 'US', 'US-MN', 'Minnesota Lake', 'no', 'MN74', '', 'MN74', ''),
	('KFSD', 'medium_airport', 'Sioux Falls Regional Airport / Joe Foss Field', 43.585463, -96.741152, 1429, 'US', 'US-SD', 'Sioux Falls', 'yes', 'KFSD', 'FSD', 'FSD', 'Joe Foss Field, Fighting Lobos, Sioux Falls Army Air Base, 114th Fighter Wing, Sioux Falls Regional Airport'),
	('0MN5', 'closed', 'Pankratz Airport', 44.307201, -94.916901, 1033, 'US', 'US-MN', 'Springfield', 'no', '', '', '', '0MN5'),
	('42IA', 'small_airport', 'Lakeport Farms Airport', 42.261494, -96.289523, 1077, 'US', 'US-IA', 'Salix', 'no', '42IA', '', '42IA', ''),
	('90MN', 'closed', 'Schmidt Private Airport', 44.5033, -95.453903, 1060, 'US', 'US-MN', 'Vesta', 'no', '', '', '', '90MN'),
	('3SD4', 'small_airport', 'Chris Hofer Landing Strip', 43.464939, -96.862633, 1491, 'US', 'US-SD', 'Tea', 'no', '3SD4', '', '3SD4', ''),
	('3A9', 'small_airport', 'Arlington Municipal Airport', 44.393142, -97.123375, 1818, 'US', 'US-SD', 'Arlington', 'no', 'K3A9', '', '3A9', 'SD06'),
	('KSLP', 'N/A', 'N/A', 44.34504847973585, -94.86516684293747, 312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('88MN', 'small_airport', 'Fox Field', 44.801700592041016, -93.95030212402344, 1000, 'US', 'US-MN', 'Young America', 'no', '88MN', '', '88MN', ''),
	('NE75', 'small_airport', 'Kristijanto Airstrip', 42.400342, -96.431304, 1096, 'US', 'US-NE', 'Dakota City', 'no', 'NE75', '', 'NE75', ''),
	('KEST', 'small_airport', 'Estherville Municipal Airport', 43.407398, -94.746399, 1319, 'US', 'US-IA', 'Estherville', 'no', 'KEST', 'EST', 'EST', ''),
	('2Y4', 'small_airport', 'Rockwell City Municipal Airport', 42.387612, -94.618444, 1217, 'US', 'US-IA', 'Rockwell City', 'no', 'K2Y4', '', '2Y4', ''),
	('KEBS', 'small_airport', 'Webster City Municipal Airport', 42.436848, -93.869905, 1122, 'US', 'US-IA', 'Webster City', 'no', 'KEBS', 'EBS', 'EBS', ''),
	('37MN', 'closed', 'Nagel and Schultz Airport', 44.582199, -93.801598, 970, 'US', 'US-MN', 'Belle Plaine', 'no', '', '', '', '37MN'),
	('KLRJ', 'small_airport', 'Le Mars Municipal Airport', 42.77799988, -96.1937027, 1197, 'US', 'US-IA', 'Le Mars', 'no', 'KLRJ', 'LRJ', 'LRJ', 'http://www.lemarsiowa.com/citygov/airport.htm'),
	('5MN1', 'closed', 'Budde Airport', 44.2005, -94.113297, 975, 'US', 'US-MN', 'Mankato', 'no', '', '', '', '5MN1'),
	('SD03', 'small_airport', 'Calico Field', 44.050498962402344, -97.33509826660156, 1750, 'US', 'US-SD', 'Winfred', 'no', 'SD03', '', 'SD03', ''),
	('47MN', 'small_airport', 'Sons Private-Commercial Airport', 44.7053, -93.85495, 1000, 'US', 'US-MN', 'Norwood Young America', 'no', '47MN', '', '47MN', ''),
	('KBLA', 'N/A', 'N/A', 43.640342988073826, -93.9353933930397, 334, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('07MN', 'small_airport', 'Dairyview Airport', 44.05500030517578, -95.90950012207031, 1680, 'US', 'US-MN', 'Hadley', 'no', '07MN', '', '07MN', ''),
	('KSXK', 'small_airport', 'Sioux County Regional Airport', 42.9858275, -96.1614, 1409, 'US', 'US-IA', 'Maurice', 'no', 'KSXK', '', 'SXK', ''),
	('07IA', 'small_airport', 'Hoskins Landing', 40.647888, -95.02135, 971, 'US', 'US-IA', 'Shambaugh', 'no', '07IA', '', '07IA', ''),
	('3MN9', 'small_airport', 'Schumacher Airport', 44.9844017029, -93.9360961914, 1020, 'US', 'US-MN', 'Oster', 'no', '3MN9', '', '3MN9', ''),
	('54MN', 'closed', 'Sell''s Flying Field', 44.879101, -93.885498, 980, 'US', 'US-MN', 'Mayer', 'no', '', '', '', '54MN'),
	('SD73', 'small_airport', 'Fazenda Novo México', -14.089517, -45.729561, 2825, 'BR', 'BR-BA', 'Jaborandi', 'no', '', '', 'SD73', ''),
	('KFRM', 'small_airport', 'Fairmont Municipal Airport', 43.643901825, -94.4156036377, 1162, 'US', 'US-MN', 'Fairmont', 'no', 'KFRM', 'FRM', 'FRM', ''),
	('93MN', 'small_airport', 'Hoppe Sky Ranch Airport', 44.032100677490234, -93.94840240478516, 1010, 'US', 'US-MN', 'Mankato', 'no', '93MN', '', '93MN', ''),
	('KDVP', 'small_airport', 'Slayton Municipal Airport', 43.986801, -95.7826, 1623, 'US', 'US-MN', 'Slayton', 'no', 'KDVP', 'NSL', 'DVP', '60Y');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('Y34', 'small_airport', 'Lake Preston Municipal Airport', 44.3572998046875, -97.38480377197266, 1725, 'US', 'US-SD', 'Lake Preston', 'no', 'Y34', '', 'Y34', ''),
	('KHUH', 'N/A', 'N/A', 44.765102192759514, -94.30804654955864, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('D42', 'small_airport', 'Springfield Municipal Airport', 44.231098, -94.998901, 1072, 'US', 'US-MN', 'Springfield', 'no', 'KD42', '', 'D42', ''),
	('MY00', 'small_airport', 'Sieg''s Farm Airport', 43.894100189208984, -94.493896484375, 1060, 'US', 'US-MN', 'Truman', 'no', 'MY00', '', 'MY00', ''),
	('0B4', 'small_airport', 'Hartington Municipal Airport / Bud Becker Field', 42.6036, -97.252602, 1387, 'US', 'US-NE', 'Hartington', 'no', 'K0B4', '', '0B4', ''),
	('IA84', 'small_airport', 'Lawton Airport', 42.479107, -96.207184, 1235, 'US', 'US-IA', 'Lawton', 'no', 'IA84', '', 'IA84', ''),
	('0SD1', 'small_airport', 'Lodi Airport', 42.971995, -96.979857, 1200, 'US', 'US-SD', 'Wakonda', 'no', '0SD1', '', '0SD1', ''),
	('00SD', 'small_airport', 'Homan Field', 44.809158, -96.498897, 1590, 'US', 'US-SD', 'Gary', 'no', '00SD', '', '00SD', ''),
	('KWEF', 'N/A', 'N/A', 43.553955405950546, -93.86017441749573, 354, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('24MN', 'small_airport', 'Bergemann Airport', 44.00410079956055, -94.1780014038086, 1001, 'US', 'US-MN', 'Garden City', 'no', '24MN', '', '24MN', ''),
	('KCAV', 'small_airport', 'Clarion Municipal Airport', 42.741901, -93.758904, 1162, 'US', 'US-IA', 'Clarion', 'no', 'KCAV', '', 'CAV', ''),
	('2Y0', 'closed', 'Primghar Airport', 43.078675, -95.614421, 1481, 'US', 'US-IA', 'Primghar', 'no', '', '', '', '2Y0'),
	('KVMR', 'small_airport', 'Harold Davidson Field', 42.76530075, -96.93430328, 1146, 'US', 'US-SD', 'Vermillion', 'no', 'KVMR', '', 'VMR', ''),
	('KIDG', 'small_airport', 'Ida Grove Municipal Airport', 42.3326, -95.444901, 1245, 'US', 'US-IA', 'Ida Grove', 'no', 'KIDG', 'IDG', 'IDG', ''),
	('9SD8', 'small_airport', 'Oakleaf Airport', 43.582434, -96.94502, 1625, 'US', 'US-SD', 'Hartford', 'no', '9SD8', '', '9SD8', ''),
	('KRRQ', 'small_airport', 'Rock Rapids Municipal Airport', 43.45220184326172, -96.17980194091797, 1363, 'US', 'US-IA', 'Rock Rapids', 'no', 'KRRQ', '', 'RRQ', ''),
	('2MN4', 'small_airport', 'Cornfield Canyon Airport', 43.59845, -94.2529, 1132, 'US', 'US-MN', 'Blue Earth', 'no', '2MN4', '', '2MN4', ''),
	('KDAS', 'N/A', 'N/A', 44.92642633616924, -96.01698026061058, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0F3', 'small_airport', 'Spirit Lake Municipal Airport', 43.387501, -95.139198, 1434, 'US', 'US-IA', 'Okoboji', 'no', '', 'RTL', '0F3', 'Lake Okoboji'),
	('03MN', 'small_airport', 'Nauerth Land Ranch Airport', 43.62519836425781, -95.22470092773438, 1435, 'US', 'US-MN', 'Lakefield', 'no', '03MN', '', '03MN', ''),
	('MN20', 'closed', 'Runke''s Field', 44.9105, -94.570882, 1100, 'US', 'US-MN', 'Cedar Mills', 'no', '', '', '', 'MN20'),
	('56MN', 'small_airport', 'Lothert''s Farm Strip', 44.64550018310547, -94.9614028930664, 1015, 'US', 'US-MN', 'Morton', 'no', '56MN', '', '56MN', ''),
	('66MN', 'small_airport', 'Howard''s Airport', 44.97719955444336, -95.42279815673828, 1000, 'US', 'US-MN', 'Clara City', 'no', '66MN', '', '66MN', ''),
	('20SD', 'small_airport', 'Lutgen Airport', 44.448888, -96.505786, 1764, 'US', 'US-SD', 'White', 'no', '20SD', '', '20SD', ''),
	('KAXA', 'small_airport', 'Algona Municipal Airport', 43.078104, -94.271836, 1219, 'US', 'US-IA', 'Algona', 'no', 'KAXA', 'AXG', 'AXA', ''),
	('1SD3', 'small_airport', 'Turkey Ridge Airport', 43.233299255371094, -97.15029907226563, 1325, 'US', 'US-SD', 'Hurley', 'no', '1SD3', '', '1SD3', ''),
	('09MN', 'closed', 'W Johnson Field', 44.779999, -95.663109, 1060, 'US', 'US-MN', 'Hazel Run', 'no', '', '', '', '09MN'),
	('KMJQ', 'small_airport', 'Jackson Municipal Airport', 43.650002, -94.986504, 1446, 'US', 'US-MN', 'Jackson', 'no', 'KMJQ', 'MJQ', 'MJQ', ''),
	('KGDB', 'small_airport', 'Granite Falls Municipal Airport / Lenzen-Roe Memorial Field', 44.7533, -95.556, 1047, 'US', 'US-MN', 'Granite Falls', 'no', 'KGDB', '', 'GDB', ''),
	('NE50', 'closed', 'Sudbeck Field', 42.6149, -97.40916, 1480, 'US', 'US-NE', 'Hartington', 'no', '', '', '', 'NE50'),
	('KPOH', 'small_airport', 'Pocahontas Municipal Airport', 42.742802, -94.647301, 1226, 'US', 'US-IA', 'Pocahontas', 'no', 'KPOH', 'POH', 'POH', ''),
	('KMDS', 'small_airport', 'Madison Municipal Airport', 44.01599884, -97.08589935, 1718, 'US', 'US-SD', 'Madison', 'no', 'KMDS', 'XMD', 'MDS', ''),
	('SD00', 'small_airport', 'MJ Aviation II Airport', 42.679885, -96.699218, 1115, 'US', 'US-SD', 'Elk Point', 'no', 'SD00', '', 'SD00', ''),
	('81MN', 'small_airport', 'Ewen Landing Field', 44.03049850463867, -95.19550323486328, 1483, 'US', 'US-MN', 'Jeffers', 'no', '81MN', '', '81MN', ''),
	('0Y4', 'small_airport', 'Lambert Fechter Municipal Airport', 43.16419982910156, -95.47000122070313, 1452, 'US', 'US-IA', 'Hartley', 'no', '0Y4', '', '0Y4', ''),
	('KMML', 'small_airport', 'Southwest Minnesota Regional Airport - Marshall/Ryan Field', 44.45050049, -95.82189941, 1183, 'US', 'US-MN', 'Marshall', 'no', 'KMML', 'MML', 'MML', ''),
	('KUAA', 'N/A', 'N/A', 43.596941493451595, -97.30019330978394, 468, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDXX', 'small_airport', 'Lac Qui Parle County Airport', 44.986198, -96.177696, 1082, 'US', 'US-MN', 'Louisburg', 'no', 'KDXX', '', 'DXX', 'Madison Township Airport'),
	('6MN6', 'seaplane_base', 'Goose Lake Seaplane Base', 44.88750076293945, -93.84210205078125, 967, 'US', 'US-MN', 'Waconia', 'no', '6MN6', '', '6MN6', ''),
	('MY80', 'small_airport', 'Rosenberg Airport', 43.52220153808594, -94.5824966430664, 1255, 'US', 'US-MN', 'Ceylon', 'no', 'MY80', '', 'MY80', ''),
	('KGRU', 'N/A', 'N/A', 44.8128093034029, -95.5021870136261, 323, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSPW', 'small_airport', 'Spencer Municipal Airport', 43.165500640869, -95.202796936035, 1339, 'US', 'US-IA', 'Spencer', 'no', 'KSPW', 'SPW', 'SPW', ''),
	('Y14', 'small_airport', 'Marv Skie / Lincoln County Airport', 43.455213, -96.801448, 1515, 'US', 'US-SD', 'Tea', 'no', '', '', 'Y14', ''),
	('5H3', 'small_airport', 'Clear Lake Municipal Airport', 44.771400451660156, -96.68810272216797, 1801, 'US', 'US-SD', 'Clear Lake', 'no', '5H3', '', '5H3', ''),
	('KSUX', 'medium_airport', 'Sioux Gateway Airport / Brigadier General Bud Day Field', 42.397605, -96.382237, 1098, 'US', 'US-IA', 'Sioux City', 'yes', 'KSUX', 'SUX', 'SUX', 'Col. Bud Day, Sioux City AB, Sioux City AAB'),
	('KBKX', 'small_airport', 'Brookings Regional Airport', 44.304798, -96.816902, 1648, 'US', 'US-SD', 'Brookings', 'no', 'KBKX', 'BKX', 'BKX', ''),
	('2IA9', 'small_airport', 'South 80 Field', 43.190799713134766, -93.77079772949219, 1210, 'US', 'US-IA', 'Crystal Lake', 'no', '2IA9', '', '2IA9', ''),
	('0K7', 'small_airport', 'Humboldt Municipal Airport', 42.734831, -94.245315, 1093, 'US', 'US-IA', 'Humboldt', 'no', 'K0K7', 'HUD', '0K7', ''),
	('MY04', 'small_airport', 'Koch''s Personal Field', 44.65999984741211, -96.03730010986328, 1130, 'US', 'US-MN', 'Taunton', 'no', 'MY04', '', 'MY04', ''),
	('MY03', 'closed', 'Braun''s Airport', 44.281601, -94.640503, 1009, 'US', 'US-MN', 'Sleepy Eye', 'no', '', '', '', 'MY03'),
	('74MN', 'closed', 'Frisch Personal Airport', 45.697201, -96.431395, 1046, 'US', 'US-MN', 'Dumont', 'no', '', '', '', '74MN');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('IA70', 'small_airport', 'Friesenborg & Larson Airport', 43.42580032348633, -93.83580017089844, 1220, 'US', 'US-IA', 'Buffalo Center', 'no', 'IA70', '', 'IA70', ''),
	('7Y7', 'closed', 'A.R.S. Sport Strip', 44.65956, -93.778868, 955, 'US', 'US-MN', 'Belle Plaine', 'no', '', '', '', '7Y7'),
	('KOTG', 'small_airport', 'Worthington Municipal Airport', 43.65477, -95.577364, 1574, 'US', 'US-MN', 'Worthington', 'no', 'KOTG', 'OTG', 'OTG', ''),
	('2MY2', 'small_airport', 'Zarn Airport', 43.907417, -94.274667, 1050, 'US', 'US-MN', 'Amboy', 'no', '2MY2', '', '2MY2', ''),
	('KESH', 'N/A', 'N/A', 43.315998539328575, -94.78674083948135, 382, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('28NE', 'closed', 'Thies Airport', 42.442282, -97.296917, 1750, 'US', 'US-NE', 'Randolph', 'no', '', '', '', '28NE'),
	('2SD7', 'small_airport', 'Dangel Airport', 43.33330154418945, -97.06279754638672, 1284, 'US', 'US-SD', 'Hurley', 'no', '2SD7', '', '2SD7', ''),
	('MY46', 'small_airport', 'Hay Shakers Airport', 44.279202, -94.213303, 995, 'US', 'US-MN', 'Nicollet', 'no', 'MY46', '', 'MY46', 'Mertesdorf'),
	('IA08', 'small_airport', 'Riedesel Private Airport', 42.278099060058594, -94.55169677734375, 1150, 'US', 'US-IA', 'Lohrville', 'no', 'IA08', '', 'IA08', ''),
	('KISB', 'small_airport', 'Sibley Municipal Airport', 43.36949921, -95.75980377, 1538, 'US', 'US-IA', 'Sibley', 'no', 'KISB', '', 'ISB', ''),
	('MY12', 'small_airport', 'Dykstra Acreage Airport', 43.88079833984375, -96.25309753417969, 1690, 'US', 'US-MN', 'Trosky', 'no', 'MY12', '', 'MY12', ''),
	('3MN4', 'closed', 'Agri Helicopter Inc. Heliport', 44.094101, -93.267997, 1148, 'US', 'US-MN', 'Owatonna', 'no', '', '', '', '3MN4'),
	('KSBU', 'small_airport', 'Blue Earth Municipal Airport', 43.595299, -94.092796, 1107, 'US', 'US-MN', 'Blue Earth', 'no', 'KSBU', '', 'SBU', ''),
	('3IA5', 'closed', 'Kerr Airport', 42.877201, -95.8825, 1450, 'US', 'US-IA', 'Marcus', 'no', '', '', '', '3IA5'),
	('08NE', 'small_airport', 'Laurel Municipal Airport', 42.430484, -97.078731, 1467, 'US', 'US-NE', 'Laurel', 'no', '08NE', '', '08NE', ''),
	('KNAD', 'N/A', 'N/A', 44.24491994082928, -93.86345341801643, 299, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7G9', 'small_airport', 'Canton Municipal Airport', 43.308842, -96.571225, 1290, 'US', 'US-SD', 'Canton', 'no', 'K7G9', 'CTK', '7G9', 'SD10'),
	('2Y2', 'closed', 'Hawarden Municipal Airport', 43.0369, -96.493102, 1190, 'US', 'US-IA', 'Hawarden', 'no', '', '', '', '2Y2'),
	('7K7', 'small_airport', 'Graham Field', 42.540298, -96.485001, 1106, 'US', 'US-SD', 'North Sioux City', 'no', '7K7', '', '7K7', ''),
	('KWED', 'N/A', 'N/A', 43.66699006408453, -93.8925088942051, 337, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9SD9', 'small_airport', 'Weelborg Airport', 43.80659866333008, -96.70890045166016, 1553, 'US', 'US-SD', 'Dell Rapids', 'no', '9SD9', '', '9SD9', ''),
	('4P3', 'small_airport', 'Flandreau Municipal Airport', 44.003897, -96.593102, 1645, 'US', 'US-SD', 'Flandreau', 'no', '', '', '4P3', 'SD18'),
	('KSOY', 'closed', 'Sioux Center Municipal Airport', 43.134399, -96.1875, 1448, 'US', 'US-IA', 'Sioux Center', 'no', '', '', '', 'KSOY, SOY'),
	('MN28', 'small_airport', 'Lux Strip', 44.983001708984375, -94.74810028076172, 1120, 'US', 'US-MN', 'Cosmos', 'no', 'MN28', '', 'MN28', ''),
	('KLCG', 'small_airport', 'Wayne Municipal Airport / Stan Morris Field', 42.241901, -96.9814, 1431, 'US', 'US-NE', 'Wayne', 'no', 'KLCG', '', 'LCG', ''),
	('2VA', 'small_airport', 'Zangger Vintage Airpark', 43.4514007568, -96.40589904790001, 1476, 'US', 'US-IA', 'Larchwood', 'no', '2VA', '', '2VA', 'Formerly 7IA2'),
	('KYKN', 'medium_airport', 'Chan Gurney Municipal Airport', 42.916698455811, -97.385902404785, 1306, 'US', 'US-SD', 'Yankton', 'no', 'KYKN', 'YKN', 'YKN', ''),
	('KCKP', 'small_airport', 'Cherokee County Regional Airport', 42.7317009, -95.55590057, 1227, 'US', 'US-IA', 'Cherokee', 'no', 'KCKP', '', 'CKP', ''),
	('KATY', 'medium_airport', 'Watertown Regional Airport', 44.91400146, -97.15470123, 1749, 'US', 'US-SD', 'Watertown', 'yes', 'KATY', 'ATY', 'ATY', ''),
	('MN41', 'small_airport', 'Timmers Landing Field', 44.973428, -94.214186, 1070, 'US', 'US-MN', 'Silver Lake', 'no', 'MN41', '', 'MN41', ''),
	('KEGQ', 'small_airport', 'Emmetsburg Municipal Airport', 43.10200119018555, -94.70469665527344, 1205, 'US', 'US-IA', 'Emmetsburg', 'no', 'KEGQ', '', 'EGQ', ''),
	('KOVL', 'small_airport', 'Olivia Regional Airport', 44.778599, -95.032799, 1076, 'US', 'US-MN', 'Olivia', 'no', 'KOVL', '', 'OVL', ''),
	('KJYG', 'small_airport', 'St James Municipal Airport', 43.986301, -94.557899, 1067, 'US', 'US-MN', 'St James', 'no', 'KJYG', '', 'JYG', ''),
	('4D8', 'small_airport', 'Fuller Airport', 43.33319854736328, -95.15899658203125, 1439, 'US', 'US-IA', 'Milford', 'no', '4D8', '', '4D8', ''),
	('12IA', 'small_airport', 'Plueger Airfield', 42.800498962402344, -96.13780212402344, 1245, 'US', 'US-IA', 'Lemars', 'no', '12IA', '', '12IA', ''),
	('KCSQ', 'small_airport', 'Creston Municipal Airport', 41.021400451699996, -94.36329650879999, 1300, 'US', 'US-IA', 'Creston', 'no', 'KCSQ', 'CSQ', 'CSQ', ''),
	('16IA', 'small_airport', 'Stangl Airport', 41.879988, -94.777279, 1230, 'US', 'US-IA', 'Coon Rapids', 'no', '16IA', '', '16IA', ''),
	('NE40', 'small_airport', 'Denton Airfield', 40.71639, -96.869142, 1270, 'US', 'US-NE', 'Denton', 'no', 'NE40', '', 'NE40', 'Brusnahan Airport'),
	('0C4', 'small_airport', 'Pender Municipal Airport', 42.113899, -96.728107, 1345, 'US', 'US-NE', 'Pender', 'no', '', '', '0C4', ''),
	('1IA6', 'small_airport', 'Aero-Lane Airport', 40.8849983215332, -95.48529815673828, 1134, 'US', 'US-IA', 'Randolph', 'no', '1IA6', '', '1IA6', ''),
	('K19', 'small_airport', 'Albany Municipal Airport', 40.262199401855, -94.338996887207, 886, 'US', 'US-MO', 'Albany', 'no', 'K19', '', 'K19', ''),
	('8KS3', 'small_airport', 'Davis Airfield', 39.85279846191406, -95.48049926757813, 1100, 'US', 'US-KS', 'Hiawatha', 'no', '8KS3', '', '8KS3', ''),
	('KOFK', 'medium_airport', 'Karl Stefan Memorial Airport', 41.985500335693, -97.435096740723, 1573, 'US', 'US-NE', 'Norfolk', 'no', 'KOFK', 'OFK', 'OFK', ''),
	('KBNW', 'small_airport', 'Boone Municipal Airport', 42.049599, -93.847603, 1160, 'US', 'US-IA', 'Boone', 'no', 'KBNW', 'BNW', 'BNW', ''),
	('K91', 'small_airport', 'Horton Municipal Airport', 39.67919921875, -95.53359985351563, 1134, 'US', 'US-KS', 'Horton', 'no', 'K91', '', 'K91', ''),
	('7KS4', 'small_airport', 'Bent Nail Ranch Airport', 39.6333007812, -95.439201355, 1180, 'US', 'US-KS', 'Horton', 'no', '7KS4', '', '7KS4', ''),
	('78NE', 'small_airport', 'Stava Airport', 41.166099548339844, -97.03140258789063, 1655, 'US', 'US-NE', 'Brainard', 'no', '78NE', '', '78NE', ''),
	('47MO', 'small_airport', 'Cliff Scott Airport', 39.736667, -93.99125, 1000, 'US', 'US-MO', 'Hamilton', 'no', '', '', '', '47MO'),
	('3NO', 'small_airport', 'North Omaha Airport', 41.368301, -96.022499, 1322, 'US', 'US-NE', 'Omaha', 'no', '3NO', '', '3NO', ''),
	('9NE6', 'closed', 'Bates Airpark', 41.338299, -96.088529, 1250, 'US', 'US-NE', 'Omaha', 'no', '', '', '', '9NE6'),
	('KEZZ', 'small_airport', 'Cameron Memorial Airport', 39.7276, -94.276398, 1040, 'US', 'US-MO', 'Shoal Township', 'no', 'KEZZ', '', 'EZZ', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NE20', 'small_airport', 'Bernadt Airport', 40.186100006103516, -96.2114028930664, 1290, 'US', 'US-NE', 'Steinauer', 'no', 'NE20', '', 'NE20', ''),
	('KCBF', 'small_airport', 'Council Bluffs Municipal Airport', 41.2592010498, -95.760597229, 1253, 'US', 'US-IA', 'Council Bluffs', 'no', 'KCBF', 'CBF', 'CBF', ''),
	('KBLR', 'N/A', 'N/A', 39.59195014089346, -96.74807399511337, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NE11', 'closed', 'Polaks Sky Ranch Airport', 41.360001, -96.040298, 1285, 'US', 'US-NE', 'Omaha', 'no', '', '', '', 'NE11, Durands Sky Ranch, NE24'),
	('KMEY', 'small_airport', 'James G. Whiting Memorial Field', 42.178299, -95.793602, 1116, 'US', 'US-IA', 'Mapleton', 'no', 'KMEY', '', 'MEY', ''),
	('KAIO', 'small_airport', 'Atlantic Municipal Airport', 41.40729904, -95.04689789, 1165, 'US', 'US-IA', 'Atlantic', 'no', 'KAIO', 'AIO', 'AIO', ''),
	('KSTJ', 'medium_airport', 'Rosecrans Memorial Airport', 39.771900177002, -94.909698486328, 826, 'US', 'US-MO', 'St Joseph', 'no', 'KSTJ', 'STJ', 'STJ', ''),
	('KLWD', 'N/A', 'N/A', 40.63239175826311, -93.90222519636154, 344, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NE26', 'small_airport', 'Treadway Air Airport', 41.02255, -96.435056, 1096, 'US', 'US-NE', 'Ashland', 'no', 'NE26', '', 'NE26', 'Treadway Ag'),
	('NE77', 'heliport', 'Kearney Regional Medical Center Heliport', 40.681659, -99.111593, 2157, 'US', 'US-NE', 'Kearney', 'no', 'NE77', '', 'NE77', ''),
	('2NE3', 'N/A', 'N/A', 40.606330409646034, -96.62131369113922, 395, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5NE2', 'small_airport', 'Eickhoff Strip', 40.19580078125, -95.62940216064453, 1000, 'US', 'US-NE', 'Shubert', 'no', '5NE2', '', '5NE2', ''),
	('MO24', 'small_airport', 'Lonesome Sky Airport', 40.142799377441406, -95.38829803466797, 868, 'US', 'US-MO', 'Craig', 'no', 'MO24', '', 'MO24', ''),
	('NE88', 'small_airport', 'Novotny/Tonar Farms Airport', 41.02080154418945, -96.86419677734375, 1426, 'US', 'US-NE', 'Valparaiso', 'no', 'NE88', '', 'NE88', ''),
	('KWAH', 'N/A', 'N/A', 39.88261744379997, -96.9171367585659, 401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('31MO', 'small_airport', 'Hannah Airport', 40.105499267578125, -94.74330139160156, 937, 'US', 'US-MO', 'Bolckow', 'no', '31MO', '', '31MO', ''),
	('MO71', 'small_airport', 'Block Air Village Airport', 39.46310043334961, -94.41829681396484, 1030, 'US', 'US-MO', 'Holt', 'no', 'MO71', '', 'MO71', ''),
	('52K', 'small_airport', 'Charles E Grutzmacher Municipal Airport', 39.49786, -96.175345, 1183, 'US', 'US-KS', 'Onaga', 'no', '52K', '', '52K', ''),
	('KOMA', 'large_airport', 'Eppley Airfield', 41.3032, -95.894096, 984, 'US', 'US-NE', 'Omaha', 'yes', 'KOMA', 'OMA', 'OMA', ''),
	('17MU', 'small_airport', 'B-B Airfield', 39.682791, -94.372097, 1045, 'US', 'US-MO', 'Osborn', 'no', '17MU', '', '17MU', ''),
	('NE80', 'small_airport', 'Chambers Airfield', 40.673066, -96.637813, 1364, 'US', 'US-NE', 'Roca', 'no', 'NE80', '', 'NE80', 'Weaver Airport, Lincoln'),
	('KSCB', 'small_airport', 'Scribner State Airport', 41.610298, -96.629898, 1325, 'US', 'US-NE', 'Scribner', 'no', 'KSCB', 'SCB', 'SCB', 'Scribner Army Airfield'),
	('KBIE', 'small_airport', 'Beatrice Municipal Airport', 40.3013, -96.754097, 1324, 'US', 'US-NE', 'Beatrice', 'no', 'KBIE', 'BIE', 'BIE', ''),
	('IA43', 'closed', 'Strawberry Point Medical Center Heliport', 42.691898, -91.533203, 1100, 'US', 'US-IA', 'Strawberry Point', 'no', '', '', '', 'IA43'),
	('KGFZ', 'small_airport', 'Greenfield Municipal Airport', 41.327, -94.445702, 1364, 'US', 'US-IA', 'Greenfield', 'no', 'KGFZ', '', 'GFZ', ''),
	('SN43', 'closed', 'Strafuss Airport', 39.5042, -95.4711, 1050, 'US', 'US-KS', 'Effingham', 'no', '', '', '', 'SN43'),
	('44MO', 'closed', 'Butch''s Strip Airport', 39.707896, -94.801444, 1000, 'US', 'US-MO', 'St Joseph', 'no', '', '', '', '44MO'),
	('3MO7', 'closed', 'Fairbanks Airport', 40.08269, -94.62086, 1083, 'US', 'US-MO', 'King City', 'no', '', '', '', '3MO7'),
	('NE56', 'small_airport', 'Werner Airport', 41.341400146484375, -96.3949966430664, 1157, 'US', 'US-NE', 'Valley', 'no', 'NE56', '', 'NE56', ''),
	('IA02', 'closed', 'Hoff Airport', 42.262001, -90.580101, 1025, 'US', 'US-IA', 'Bellevue', 'no', '', '', '', 'IA02'),
	('NE82', 'small_airport', 'Nolte Farms Airport', 40.932498931884766, -95.99949645996094, 1245, 'US', 'US-NE', 'Murray', 'no', 'NE82', '', 'NE82', ''),
	('64MO', 'small_airport', 'Booze Island Airport', 39.66529846191406, -95.01329803466797, 794, 'US', 'US-MO', 'St Joseph', 'no', '64MO', '', '64MO', ''),
	('MO27', 'small_airport', 'Ccc Airport', 39.73529815673828, -94.19270324707031, 984, 'US', 'US-MO', 'Cameron', 'no', 'MO27', '', 'MO27', ''),
	('KSWT', 'small_airport', 'Seward Municipal Airport', 40.86470032, -97.10919952, 1506, 'US', 'US-NE', 'Seward', 'no', 'KSWT', '', 'SWT', ''),
	('KCRZ', 'small_airport', 'Corning Municipal Airport', 40.994099, -94.754997, 1274, 'US', 'US-IA', 'Corning', 'no', 'KCRZ', '', 'CRZ', ''),
	('SN33', 'small_airport', 'Callaway Airpark', 39.428189, -97.124103, 1275, 'US', 'US-KS', 'Clay Center', 'no', '', '', 'SN33', ''),
	('KMYZ', 'small_airport', 'Marysville Municipal Airport', 39.856417, -96.630688, 1283, 'US', 'US-KS', 'Marysville', 'no', 'KMYZ', '', 'MYZ', ''),
	('3IA4', 'closed', 'Robinson Airport', 41.531898, -95.942001, 1000, 'US', 'US-IA', 'Missouri Valley', 'no', '', '', '', '3IA4'),
	('8NE2', 'small_airport', 'P & R Airport', 41.04169845581055, -96.03359985351563, 1100, 'US', 'US-NE', 'Cedar Creek', 'no', '8NE2', '', '8NE2', ''),
	('NE94', 'small_airport', 'Feik Field Ultralight Flightpark', 40.55678, -97.209544, 1567, 'US', 'US-NE', 'Friend', 'no', 'NE94', '', 'NE94', ''),
	('3MO8', 'closed', 'Fizzle Ridge Airport', 40.033693, -94.538255, 1096, 'US', 'US-MO', 'King City', 'no', '', '', '', '3MO8'),
	('8IA9', 'closed', 'Shields Airport', 41.156101, -95.244202, 1245, 'US', 'US-IA', 'Red Oak', 'no', '', '', '', '8IA9'),
	('KLNK', 'medium_airport', 'Lincoln Airport', 40.85100173950195, -96.75920104980469, 1219, 'US', 'US-NE', 'Lincoln', 'yes', 'KLNK', 'LNK', 'LNK', 'Lincoln Army Air Field, Lincoln Air Force Base, 155th Air Refueling Wing'),
	('2MO2', 'small_airport', 'Northwood Airport', 39.46419906616211, -94.30799865722656, 1000, 'US', 'US-MO', 'Holt', 'no', '2MO2', '', '2MO2', ''),
	('MO94', 'small_airport', 'Starr Airport', 39.5, -94.5802001953125, 1000, 'US', 'US-MO', 'Trimble', 'no', 'MO94', '', 'MO94', ''),
	('1MU6', 'closed', 'Simerly Airport', 40.110802, -94.968903, 971, 'US', 'US-MO', 'Fillmore', 'no', '', '', '', '1MU6'),
	('75NE', 'small_airport', 'Heaton Airport', 41.44580078125, -95.95670318603516, 1000, 'US', 'US-NE', 'Fort Calhoun', 'no', '75NE', '', '75NE', ''),
	('KDNS', 'small_airport', 'Denison Municipal Airport', 41.9864006, -95.38069916, 1274, 'US', 'US-IA', 'Denison', 'no', 'KDNS', 'DNS', 'DNS', ''),
	('4MO7', 'small_airport', 'Crop Care Airport', 40.14139938354492, -95.24079895019531, 875, 'US', 'US-MO', 'Mound City', 'no', '4MO7', '', '4MO7', ''),
	('93KS', 'small_airport', 'Ronnebaum Airfield', 39.78, -96.084722, 1280, 'US', 'US-KS', 'Seneca', 'no', '93KS', '', '93KS', ''),
	('1NE5', 'small_airport', 'Sibbernsen Airport', 41.405511, -96.286132, 1280, 'US', 'US-NE', 'Washington', 'no', '1NE5', '', '1NE5', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KOLU', 'medium_airport', 'Columbus Municipal Airport', 41.448145, -97.340174, 1447, 'US', 'US-NE', 'Columbus', 'no', 'KOLU', 'OLU', 'OLU', ''),
	('50K', 'small_airport', 'Pawnee City Municipal Airport', 40.1161003112793, -96.19450378417969, 1260, 'US', 'US-NE', 'Pawnee City', 'no', '50K', '', '50K', ''),
	('KCYW', 'small_airport', 'Clay Center Municipal Airport', 39.3871, -97.157204, 1208, 'US', 'US-KS', 'Clay Center', 'no', 'KCYW', '', 'CYW', ''),
	('KADU', 'small_airport', 'Audubon County Airport', 41.701401, -94.920502, 1287, 'US', 'US-IA', 'Audubon', 'no', 'KADU', '', 'ADU', ''),
	('29IA', 'small_airport', 'Hilltop Airport', 40.75575, -95.623455, 1120, 'US', 'US-IA', 'Sidney', 'no', '29IA', '', '29IA', ''),
	('KHIA', 'N/A', 'N/A', 39.78586379438639, -95.64886093139648, 365, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('75K', 'small_airport', 'Bethany Memorial Airport', 40.276901, -94.007698, 1035, 'US', 'US-MO', 'Bethany', 'no', '75K', '', '75K', ''),
	('KHNR', 'small_airport', 'Harlan Municipal Airport', 41.58440017700195, -95.339599609375, 1231, 'US', 'US-IA', 'Harlan', 'no', 'KHNR', '', 'HNR', ''),
	('97IA', 'small_airport', 'Volkens Field', 41.25579833984375, -95.47669982910156, 1275, 'US', 'US-IA', 'Carson', 'no', '97IA', '', '97IA', ''),
	('KAFK', 'small_airport', 'Nebraska City Municipal Airport', 40.606899, -95.8657, 1165, 'US', 'US-NE', 'Nebraska City', 'no', 'KAFK', '', 'AFK', ''),
	('KWAI', 'N/A', 'N/A', 39.994872584939, -96.9652770459652, 426, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('62K', 'small_airport', 'Seneca Municipal Airport', 39.847198486328125, -96.11280059814453, 1270, 'US', 'US-KS', 'Seneca', 'no', '62K', '', '62K', ''),
	('IA35', 'small_airport', 'Ruckl Airport', 41.187198638916016, -95.9041976928711, 970, 'US', 'US-IA', 'Council Bluffs', 'no', 'IA35', '', 'IA35', ''),
	('1MO3', 'small_airport', 'Lake Viking Airport', 39.93339920043945, -94.07379913330078, 940, 'US', 'US-MO', 'Gallatin', 'no', '1MO3', '', '1MO3', ''),
	('3Y4', 'small_airport', 'Woodbine Municipal Airport', 41.736099, -95.683601, 1068, 'US', 'US-IA', 'Woodbine', 'no', 'K3Y4', '', '3Y4', ''),
	('NE92', 'small_airport', 'Thomsen Airport', 40.055298, -96.661264, 1405, 'US', 'US-NE', 'Wymore', 'no', 'NE92', '', 'NE92', ''),
	('K59', 'small_airport', 'Amelia Earhart Airport', 39.570499, -95.180298, 1073, 'US', 'US-KS', 'Atchison', 'no', '', '', 'K59', ''),
	('K01', 'small_airport', 'Farington Field', 40.38750076293945, -95.78919982910156, 932, 'US', 'US-NE', 'Auburn', 'no', 'K01', '', 'K01', ''),
	('KRDK', 'small_airport', 'Red Oak Municipal Airport', 41.010502, -95.259903, 1045, 'US', 'US-IA', 'Red Oak', 'no', 'KRDK', '', 'RDK', ''),
	('61KS', 'small_airport', 'Masters Field', 39.7588996887207, -95.0958023071289, 1120, 'US', 'US-KS', 'Troy', 'no', '61KS', '', '61KS', ''),
	('K57', 'small_airport', 'Gould Peterson Municipal Airport', 40.44580078, -95.3628006, 913, 'US', 'US-MO', 'Tarkio', 'no', 'KK57', '', 'K57', ''),
	('9MO3', 'small_airport', 'Lawlor-Justus Airport', 39.641700744628906, -94.8135986328125, 1100, 'US', 'US-MO', 'Faucett', 'no', '9MO3', '', '9MO3', ''),
	('21MO', 'closed', 'Martins Airport', 39.5014, -94.177399, 995, 'US', 'US-MO', 'Lawson', 'no', '', '', '', '21MO'),
	('IA01', 'small_airport', 'Ridge Airport', 41.35139846801758, -95.46640014648438, 1300, 'US', 'US-IA', 'Oakland', 'no', 'IA01', '', 'IA01', ''),
	('1Y3', 'small_airport', 'Judge Lewis Field Mount Ayr Municipal Airport', 40.705953, -94.220252, 1265, 'US', 'US-IA', 'Mount Ayr', 'no', '1Y3', '', '1Y3', ''),
	('8MO5', 'small_airport', 'Cayton Pony Express Airport', 39.82279968261719, -94.38410186767578, 1043, 'US', 'US-MO', 'Maysville', 'no', '8MO5', '', '8MO5', ''),
	('3Y3', 'small_airport', 'Winterset Madison County Airport', 41.362801, -94.021103, 1110, 'US', 'US-IA', 'Winterset', 'no', '3Y3', '', '3Y3', ''),
	('MO62', 'small_airport', 'Hibbs Farm Airport', 40.51029968261719, -94.58159637451172, 1150, 'US', 'US-MO', 'Sheridan', 'no', 'MO62', '', 'MO62', ''),
	('KCIN', 'small_airport', 'Arthur N Neu Airport', 42.0461997986, -94.78900146480001, 1204, 'US', 'US-IA', 'Carroll', 'no', 'KCIN', 'CIN', 'CIN', ''),
	('KGCT', 'small_airport', 'Guthrie County Regional Airport', 41.687801361083984, -94.4352035522461, 1230, 'US', 'US-IA', 'Guthrie Center', 'no', 'KGCT', '', 'GCT', ''),
	('KKIG', 'N/A', 'N/A', 39.5902144163847, -93.83146807551384, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NE33', 'closed', 'Clearidge Airport', 40.709702, -96.4767, 1320, 'US', 'US-NE', 'Bennet', 'no', '', '', '', 'NE33'),
	('NE67', 'small_airport', 'Falk Air Field', 42.107655, -97.341313, 1710, 'US', 'US-NE', 'Hoskins', 'no', 'NE67', '', 'NE67', ''),
	('NE18', 'small_airport', 'Krutz Airport', 40.91419982910156, -97.08059692382813, 1450, 'US', 'US-NE', 'Seward', 'no', 'NE18', '', 'NE18', ''),
	('8NE4', 'small_airport', 'Bornemeier Airstrip', 40.87080001831055, -96.29199981689453, 1292, 'US', 'US-NE', 'Elmwood', 'no', '8NE4', '', '8NE4', ''),
	('KPRO', 'small_airport', 'Perry Municipal Airport', 41.82799911, -94.15989685, 1013, 'US', 'US-IA', 'Perry', 'no', 'KPRO', 'PRO', 'PRO', ''),
	('61MU', 'small_airport', 'Farris Strip', 39.588199615478516, -94.78379821777344, 1054, 'US', 'US-MO', 'Faucett', 'no', '61MU', '', '61MU', ''),
	('IA44', 'small_airport', 'Solly''s Strip Ultralightport', 40.65140151977539, -93.96080017089844, 1150, 'US', 'US-IA', 'Lamoni', 'no', 'IA44', '', 'IA44', ''),
	('MO51', 'small_airport', 'Schaback Strip', 39.42359924316406, -94.84770202636719, 1000, 'US', 'US-MO', 'Weston', 'no', 'MO51', '', 'MO51', ''),
	('NE09', 'small_airport', 'Simpson Airport', 41.96329879760742, -97.46730041503906, 1650, 'US', 'US-NE', 'Norfolk', 'no', 'NE09', '', 'NE09', ''),
	('MU09', 'small_airport', 'Hester Airport', 40.466833, -95.023426, 1000, 'US', 'US-MO', 'Burlington Junction', 'no', 'MU09', '', 'MU09', ''),
	('0J9', 'N/A', 'N/A', 40.867763981223106, -97.35385000705719, 480, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6MO1', 'closed', 'Markt Air Strip', 39.97283, -95.0743, 1140, 'US', 'US-MO', 'Oregon', 'no', '', '', '', '6MO1, Market Airstrip, Mark Twain Airstrip'),
	('1IA0', 'closed', 'Brown Truck Sales Airport', 40.897117, -94.789824, 1300, 'US', 'US-IA', 'Corning', 'no', '', '', '', '1IA0, 1IA0, 1IA0'),
	('IA32', 'small_airport', 'Pierson Field', 41.325000762939, -92.717102050781, 845, 'US', 'US-IA', 'Oskaloosa', 'no', '', '', 'IA32', 'IA32'),
	('NE78', 'small_airport', 'Kohles Airport', 42.074738, -97.318895, 1686, 'US', 'US-NE', 'Norfolk', 'no', 'NE78', '', 'NE78', ''),
	('SN75', 'small_airport', 'Sommers Airport', 39.866429, -95.342061, 1070, 'US', 'US-KS', 'Highland', 'no', '', '', 'SN75', ''),
	('1MO4', 'small_airport', 'Landmark Manufacturing Corporation Airport', 39.891701, -93.864098, 800, 'US', 'US-MO', 'Gallatin', 'no', '1MO4', '', '1MO4', ''),
	('NE64', 'closed', 'Luetkenhaus Airport', 41.105301, -96.4095, 1120, 'US', 'US-NE', 'Memphis', 'no', '', '', '', 'NE64'),
	('IA00', 'small_airport', 'Jukam''s Landing Airport', 41.52000045776367, -94.36270141601563, 1230, 'US', 'US-IA', 'Menlo', 'no', 'IA00', '', 'IA00', ''),
	('51MO', 'closed', 'Georger Farms Airport', 37.1217, -89.847603, 335, 'US', 'US-MO', 'Advance', 'no', '', '', '', '51MO');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KPMV', 'small_airport', 'Plattsmouth Municipal Airport', 40.947882, -95.917254, 1204, 'US', 'US-NE', 'Plattsmouth', 'no', 'KPMV', '', 'PMV', 'Jump Omaha Skydiving'),
	('IA51', 'closed', 'De Soto Airport', 41.541698, -94.008597, 1000, 'US', 'US-IA', 'De Soto', 'no', '', '', '', 'IA51'),
	('K87', 'small_airport', 'Hiawatha Municipal Airport', 39.87919998168945, -95.52529907226563, 1130, 'US', 'US-KS', 'Hiawatha', 'no', 'K87', '', 'K87', ''),
	('09NE', 'small_airport', 'Summer Hill Farm Airport', 41.33330154418945, -96.193603515625, 1250, 'US', 'US-NE', 'Bennington', 'no', '09NE', '', '09NE', ''),
	('NE59', 'small_airport', 'Pester Airport', 40.83330154418945, -96.56700134277344, 1150, 'US', 'US-NE', 'Lincoln', 'no', 'NE59', '', 'NE59', ''),
	('IA20', 'closed', 'Loess Hills Landing', 40.760309, -95.708792, 1180, 'US', 'US-IA', 'Sidney', 'no', '', '', '', 'IA20'),
	('NE43', 'small_airport', 'Musiel Airport', 41.438415, -96.752446, 1230, 'US', 'US-NE', 'Morse Bluff', 'no', 'NE43', '', 'NE43', ''),
	('KMLE', 'small_airport', 'Millard Airport', 41.195877, -96.112107, 1051, 'US', 'US-NE', 'Omaha', 'no', 'KMLE', 'MIQ', 'MLE', ''),
	('KBLE', 'N/A', 'N/A', 39.662233740091324, -96.59848898649216, 351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9MO4', 'small_airport', 'Worth Airport', 39.97837, -94.875183, 1130, 'US', 'US-MO', 'Savannah', 'no', '9MO4', '', '9MO4', ''),
	('KCEK', 'small_airport', 'Crete Municipal Airport', 40.61790085, -96.92489624, 1500, 'US', 'US-NE', 'Crete', 'no', 'KCEK', '', 'CEK', ''),
	('IA36', 'closed', 'Mercer Field', 41.075003, -94.426903, 1320, 'US', 'US-IA', 'Creston', 'no', '', '', '', 'IA36'),
	('KFNB', 'small_airport', 'Brenner Field', 40.0788, -95.592003, 984, 'US', 'US-NE', 'Falls City', 'no', 'KFNB', '', 'FNB', ''),
	('IA58', 'small_airport', 'B-8 Farms Airport', 42.1150016784668, -96.1719970703125, 1063, 'US', 'US-IA', 'Whiting', 'no', 'IA58', '', 'IA58', ''),
	('93Y', 'small_airport', 'David City Municipal Airport', 41.23089981, -97.12290192, 1617, 'US', 'US-NE', 'David City', 'no', 'K93Y', '', '93Y', ''),
	('1MU8', 'small_airport', 'Church''s Landing Airport', 39.55419921875, -94.99859619140625, 826, 'US', 'US-MO', 'Rushville', 'no', '1MU8', '', '1MU8', ''),
	('KAHQ', 'small_airport', 'Wahoo Municipal Airport', 41.2412986755, -96.59400177, 1224, 'US', 'US-NE', 'Wahoo', 'no', 'KAHQ', '', 'AHQ', ''),
	('KBLL', 'N/A', 'N/A', 39.63199619203806, -96.67281165719032, 416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('20IA', 'small_airport', 'Hobbes Field', 41.521576, -93.801634, 850, 'US', 'US-IA', 'Cumming', 'no', '20IA', '', '20IA', ''),
	('KFET', 'small_airport', 'Fremont Municipal Airport', 41.45024, -96.522884, 1204, 'US', 'US-NE', 'Fremont', 'no', 'KFET', 'FET', 'FET', ''),
	('KFBY', 'small_airport', 'Fairbury Municipal Airport', 40.182998657199995, -97.16929626459999, 1479, 'US', 'US-NE', 'Fairbury', 'no', 'KFBY', 'FBY', 'FBY', ''),
	('90IA', 'small_airport', 'Missouri Valley Airport', 41.54029846191406, -95.88780212402344, 1000, 'US', 'US-IA', 'Missouri Valley', 'no', '90IA', '', '90IA', ''),
	('Y43', 'small_airport', 'Anita Municipal Airport Kevin Burke Memorial Field', 41.439993, -94.769983, 1251, 'US', 'US-IA', 'Anita', 'no', '', '', 'Y43', ''),
	('39IA', 'small_airport', 'Husband Field', 41.67940139770508, -94.02020263671875, 1010, 'US', 'US-IA', 'Dallas Center', 'no', '39IA', '', '39IA', ''),
	('KBTA', 'small_airport', 'Blair Executive Airport', 41.414908, -96.109136, 1325, 'US', 'US-NE', 'Blair', 'no', 'KBTA', '', 'BTA', 'K46, Blair Municipal Airport, Eagle Airfield'),
	('NE53', 'small_airport', 'Liesveld Airport', 40.59109878540039, -96.58889770507813, 1385, 'US', 'US-NE', 'Holland', 'no', 'NE53', '', 'NE53', ''),
	('NE49', 'small_airport', 'Koke Airport', 41.070175, -96.245679, 1265, 'US', 'US-NE', 'Gretna', 'no', 'NE49', '', 'NE49', 'John Koke'),
	('78Y', 'small_airport', 'Rankin Airport', 40.330746, -94.834757, 976, 'US', 'US-MO', 'Maryville', 'no', '78Y', '', '78Y', 'K78Y'),
	('0C1', 'small_airport', 'Triple R Airport', 39.48780059814453, -94.78050231933594, 1000, 'US', 'US-MO', 'Dearborn', 'no', '0C1', '', '0C1', ''),
	('0D6', 'closed', 'Wilber Municipal Airport', 40.475215, -96.986275, 1400, 'US', 'US-NE', 'Wilber', 'no', '', '', '', '0D6'),
	('NE57', 'small_airport', 'Thomas Airport', 40.093678, -96.479616, 1350, 'US', 'US-NE', 'Liberty', 'no', 'NE57', '', 'NE57', ''),
	('K38', 'small_airport', 'Washington County Memorial Airport', 39.735277, -97.047629, 1435, 'US', 'US-KS', 'Washington', 'no', 'K38', '', 'K38', 'Washington County Veteran''s Memorial'),
	('KSDA', 'small_airport', 'Shenandoah Municipal Airport', 40.7515983581543, -95.4136962890625, 971, 'US', 'US-IA', 'Shenandoah', 'no', 'KSDA', '', 'SDA', ''),
	('1MU2', 'small_airport', 'Smitty''s Landing Airport', 39.444844, -94.664104, 800, 'US', 'US-MO', 'Ridgely', 'no', '1MU2', '', '1MU2', 'K-Farm'),
	('NE54', 'closed', 'Dostal-Bradley Airport', 41.708302, -96.9795, 1500, 'US', 'US-NE', 'Howells', 'no', '', '', '', 'NE54'),
	('2KS6', 'small_airport', 'Flying H Airport', 39.750379, -96.026783, 1192, 'US', 'US-KS', 'Seneca', 'no', '2KS6', '', '2KS6', ''),
	('NE27', 'closed', 'Abie Sky Ranch Airport', 41.368005, -96.949768, 1440, 'US', 'US-NE', 'Abie', 'no', '', '', '', 'NE27'),
	('53NE', 'small_airport', 'Starns Brothers Airport', 41.08140182495117, -96.40339660644531, 1090, 'US', 'US-NE', 'Ashland', 'no', '53NE', '', '53NE', ''),
	('IA93', 'closed', 'Olsen Airport', 41.612801, -95.895599, 1030, 'US', 'US-IA', 'Missouri Valley', 'no', '', '', '', 'IA93'),
	('NE69', 'small_airport', 'Browns Airport', 40.8675003052, -96.1100006104, 1183, 'US', 'US-NE', 'Weeping Water', 'no', 'NE69', 'EPG', 'NE69', ''),
	('1IA4', 'small_airport', 'Wallace Field', 41.05550003051758, -94.39469909667969, 1290, 'US', 'US-IA', 'Creston', 'no', '1IA4', '', '1IA4', ''),
	('K83', 'small_airport', 'Sabetha Municipal Airport', 39.905962, -95.776263, 1330, 'US', 'US-KS', 'Sabetha', 'no', 'K83', '', 'K83', 'Sabetha Municipal Landing Field'),
	('68NE', 'small_airport', 'Hall-Feld Airport', 40.99140167236328, -96.61969757080078, 1355, 'US', 'US-NE', 'Davey', 'no', '68NE', '', '68NE', ''),
	('KEVU', 'small_airport', 'Northwest Missouri Regional Airport', 40.352501, -94.915001, 1145, 'US', 'US-MO', 'Maryville', 'no', 'KEVU', '', 'EVU', ''),
	('0G3', 'small_airport', 'Tecumseh Municipal Airport', 40.400849, -96.170406, 1306, 'US', 'US-NE', 'Tecumseh', 'no', '', '', '0G3', ''),
	('Y46', 'small_airport', 'Bedford Municipal Airport', 40.63779830932617, -94.72940063476563, 1201, 'US', 'US-IA', 'Bedford', 'no', 'Y46', '', 'Y46', ''),
	('KOFF', 'medium_airport', 'Offutt Air Force Base', 41.119307, -95.90851, 1052, 'US', 'US-NE', 'Omaha', 'no', 'KOFF', 'OFF', 'OFF', ''),
	('16NE', 'small_airport', 'Korver Airport', 40.560001373291016, -96.49169921875, 1390, 'US', 'US-NE', 'Panama', 'no', '16NE', '', '16NE', ''),
	('KPAT', 'N/A', 'N/A', 39.99379366636276, -96.33839517831802, 461, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('92MU', 'small_airport', 'Parks Field', 39.409119, -94.606228, 847, 'US', 'US-MO', 'Smithville', 'no', '92MU', '', '92MU', ''),
	('KEFW', 'small_airport', 'Jefferson Municipal Airport', 42.009866, -94.341717, 1044, 'US', 'US-IA', 'Jefferson', 'no', 'KEFW', 'EFW', 'EFW', 'Don Monthei Airfield');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('86NE', 'small_airport', 'Orum Aerodrome', 41.54169845581055, -96.2739028930664, 1320, 'US', 'US-NE', 'Blair', 'no', '86NE', '', '86NE', ''),
	('2KS1', 'small_airport', 'Rush Airport', 39.77439880371094, -95.2510986328125, 950, 'US', 'US-KS', 'Severance', 'no', '2KS1', '', '2KS1', ''),
	('KICL', 'small_airport', 'Schenck Field', 40.72180176, -95.02639771, 996, 'US', 'US-IA', 'Clarinda', 'no', 'KICL', 'ICL', 'ICL', ''),
	('K36', 'N/A', 'N/A', 42.0047440007329, -96.10401213169098, 319, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('02NE', 'small_airport', 'Benes Service Airport', 41.074501037597656, -96.90450286865234, 1550, 'US', 'US-NE', 'Valparaiso', 'no', '02NE', '', '02NE', ''),
	('MU16', 'small_airport', 'Spillman Field', 40.000301361083984, -93.78990173339844, 981, 'US', 'US-MO', 'Jamesport', 'no', 'MU16', '', 'MU16', ''),
	('KTQE', 'small_airport', 'Tekamah Municipal Airport', 41.76350021362305, -96.17790222167969, 1027, 'US', 'US-NE', 'Tekamah', 'no', 'KTQE', '', 'TQE', ''),
	('4IA6', 'N/A', 'N/A', 41.08415622264147, -95.09458154439926, 366, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NE79', 'small_airport', 'Mueller Field', 40.652801513671875, -96.62110137939453, 1405, 'US', 'US-NE', 'Roca', 'no', 'NE79', '', 'NE79', ''),
	('2NE8', 'small_airport', 'Walvoord Field', 40.628703, -96.562944, 1370, 'US', 'US-NE', 'Hickman', 'no', '2NE8', '', '2NE8', ''),
	('NE65', 'small_airport', 'Roth Airport', 40.766998291015625, -97.07779693603516, 1485, 'US', 'US-NE', 'Milford', 'no', 'NE65', '', 'NE65', ''),
	('11KS', 'closed', 'Sheller''s Airport', 39.116695, -95.148904, 1090, 'US', 'US-KS', 'Tonganoxie', 'no', '', '', '', '11KS'),
	('03MU', 'small_airport', 'McDonnell Airport', 38.4925, -94.412498, 874, 'US', 'US-MO', 'Archie', 'no', '03MU', '', '03MU', ''),
	('4KS5', 'small_airport', 'Maize Airport', 37.762458, -97.435951, 1336, 'US', 'US-KS', 'Maize', 'no', '', '', '4KS5', '70K'),
	('1KS', 'small_airport', 'Linn County Airport', 38.173431, -94.690325, 860, 'US', 'US-KS', 'Pleasanton', 'no', '', '', '1KS', ''),
	('78KS', 'closed', 'Walter A Swalley Airpark', 37.020432, -94.799832, 840, 'US', 'US-KS', 'Baxter Springs', 'no', '', '', '', '78KS, 78KS, 78KS'),
	('1KS4', 'small_airport', 'Prichard Airstrip', 38.900001525878906, -97.11699676513672, 1164, 'US', 'US-KS', 'Enterprise', 'no', '1KS4', '', '1KS4', ''),
	('7KS6', 'closed', 'Linders Cow-Chip Airport', 38.626932, -94.767852, 985, 'US', 'US-KS', 'Louisburg', 'no', '', '', '', '7KS6'),
	('6KS5', 'closed', 'Yeamans Fox Nest Airport', 38.22628, -94.663353, 782, 'US', 'US-KS', 'Pleasanton', 'no', '', '', '', '6KS5'),
	('KMIO', 'small_airport', 'Miami Municipal Airport', 36.909199, -94.887497, 808, 'US', 'US-OK', 'Miami', 'no', 'KMIO', 'MIO', 'MIO', 'Miami Municipal'),
	('KIDP', 'small_airport', 'Independence Municipal Airport', 37.1584014893, -95.77839660640001, 825, 'US', 'US-KS', 'Independence', 'no', 'KIDP', 'IDP', 'IDP', ''),
	('2K6', 'small_airport', 'Elk County Airport', 37.38059997558594, -96.27079772949219, 1063, 'US', 'US-KS', 'Moline', 'no', '2K6', '', '2K6', ''),
	('KARD', 'N/A', 'N/A', 37.57500909268856, -94.55484107136726, 259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7KS2', 'small_airport', 'Cloud Airport', 38.85082, -95.467906, 1020, 'US', 'US-KS', 'Overbrook', 'no', '7KS2', '', '7KS2', ''),
	('SN10', 'small_airport', 'Belle Plaine Farms Airport', 37.39580154418945, -97.20999908447266, 1190, 'US', 'US-KS', 'Belle Plaine', 'no', 'SN10', '', 'SN10', ''),
	('H66', 'small_airport', 'Nowata Municipal Airport', 36.722017, -95.622017, 679, 'US', 'US-OK', 'Nowata', 'no', 'KH66', '', 'H66', ''),
	('SN14', 'closed', 'Schoolcraft Airport', 38.416698, -95.516899, 1165, 'US', 'US-KS', 'Agricola', 'no', '', '', '', 'SN14'),
	('2K7', 'small_airport', 'Neodesha Municipal Airport', 37.43539810180664, -95.64610290527344, 841, 'US', 'US-KS', 'Neodesha', 'no', 'K2K7', '', '2K7', ''),
	('MO37', 'small_airport', 'Ridgeview Ranch Airport', 38.721346, -94.381056, 1000, 'US', 'US-MO', 'Harrisonville', 'no', 'MO37', '', 'MO37', ''),
	('0KS3', 'closed', 'Camp Chippewa Airport', 38.5667, -95.366898, 1120, 'US', 'US-KS', 'Ottawa', 'no', '', '', '', '0KS3'),
	('6KS8', 'closed', 'Mary''s Place Airport', 38.383598, -96.146103, 1138, 'US', 'US-KS', 'Emporia', 'no', '', '', '', '6KS8'),
	('SN78', 'small_airport', 'Albright Airport', 38.698146, -94.719154, 1000, 'US', 'US-KS', 'Bucyrus', 'no', 'SN78', '', 'SN78', ''),
	('KHET', 'N/A', 'N/A', 38.21555681526661, -97.35219284892082, 463, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('29KS', 'closed', 'Navrat Airport', 38.4828, -97.011398, 1470, 'US', 'US-KS', 'Lincolnville', 'no', '', '', '', '29KS'),
	('25MO', 'small_airport', 'Cook Airport', 37.18579864501953, -94.55110168457031, 920, 'US', 'US-MO', 'Carl Junction', 'no', '25MO', '', '25MO', ''),
	('1KS3', 'small_airport', 'Leo''s Place Airport', 39.303992, -96.759431, 1350, 'US', 'US-KS', 'Riley', 'no', '1KS3', '', '1KS3', ''),
	('7MO5', 'small_airport', 'Elton Field', 39.33470153808594, -94.81269836425781, 780, 'US', 'US-MO', 'Platte City', 'no', '7MO5', '', '7MO5', ''),
	('OK49', 'small_airport', 'Secrest Ranch Airport', 36.644774, -97.01047, 1050, 'US', 'US-OK', 'Ponca City', 'no', 'OK49', '', 'OK49', ''),
	('52KS', 'small_airport', 'Bland Airport', 38.902801513671875, -95.1322021484375, 935, 'US', 'US-KS', 'Eudora', 'no', '52KS', '', '52KS', ''),
	('14KS', 'small_airport', 'G & S Space Port Airport', 38.26919937133789, -94.90480041503906, 940, 'US', 'US-KS', 'Parker', 'no', '14KS', '', '14KS', ''),
	('94K', 'small_airport', 'Cassville Municipal Airport', 36.697399, -93.900497, 1482, 'US', 'US-MO', 'Cassville', 'no', 'K94K', '', '94K', ''),
	('SN42', 'small_airport', 'Harrod Airport', 38.561034, -95.206749, 990, 'US', 'US-KS', 'Ottawa', 'no', '', '', 'SN42', ''),
	('69OK', 'small_airport', 'Green Country Airpark', 36.71578, -94.85152, 840, 'US', 'US-OK', 'Fairland', 'no', '69OK', '', '69OK', ''),
	('SN22', 'small_airport', 'Hoelting Airport', 39.112202, -94.9561, 960, 'US', 'US-KS', 'Basehor', 'no', '', '', 'SN22', ''),
	('1MO9', 'small_airport', 'Eagle''s Point & Red Barn Village Airpark', 37.47919845581055, -93.85160064697266, 1040, 'US', 'US-MO', 'Greenfield', 'no', '1MO9', '', '1MO9', ''),
	('M66', 'small_airport', 'Alfred Schroeder Field', 38.340872, -97.213898, 1434, 'US', 'US-KS', 'Hillsboro', 'no', 'M66', '', 'M66', 'KM66'),
	('KRCM', 'small_airport', 'Skyhaven Airport', 38.784199, -93.802902, 798, 'US', 'US-MO', 'Warrensburg', 'no', 'KRCM', '', 'RCM', 'Formerly 9K4'),
	('MO3', 'small_airport', 'Stockton Municipal Airport', 37.660301, -93.816803, 1042, 'US', 'US-MO', 'Stockton', 'no', 'KMO3', '', 'MO3', ''),
	('51KS', 'small_airport', 'Barnard Airport', 38.637001037597656, -97.2136001586914, 1420, 'US', 'US-KS', 'Elmo', 'no', '51KS', '', '51KS', ''),
	('6MO9', 'closed', 'West Aero Ranch Airport', 38.698875, -94.473442, 980, 'US', 'US-MO', 'Peculiar', 'no', '', '', '', '6MO9'),
	('43MO', 'small_airport', 'Riordan Airport', 38.783344, -94.370134, 1000, 'US', 'US-MO', 'Pleasant Hill', 'no', '43MO', '', '43MO', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('4MO9', 'small_airport', 'Friends Field', 38.893287, -94.107277, 1100, 'US', 'US-MO', 'Lone Jack', 'no', '4MO9', '', '4MO9', ''),
	('MO16', 'small_airport', 'Baugh Flight Park Ultralightport', 37.16389846801758, -94.16829681396484, 984, 'US', 'US-MO', 'Avilla', 'no', 'MO16', '', 'MO16', ''),
	('4KS1', 'small_airport', 'Amar Farms Airport', 38.685298919677734, -95.03299713134766, 1020, 'US', 'US-KS', 'Wellsville', 'no', '4KS1', '', '4KS1', ''),
	('8KS7', 'small_airport', 'Pine Sod Ranch Airport', 38.73310089111328, -94.64520263671875, 1072, 'US', 'US-KS', 'Stilwell', 'no', '8KS7', '', '8KS7', ''),
	('56MO', 'closed', 'Mc Clurg Airport', 36.970901, -93.924103, 1376, 'US', 'US-MO', 'Monett', 'no', '', '', '', '56MO'),
	('57KS', 'small_airport', 'Get Away Runway', 39.315047, -95.993467, 1135, 'US', 'US-KS', 'Emmett', 'no', '57KS', '', '57KS', ''),
	('KNAC', 'N/A', 'N/A', 38.39090287685394, -94.63575392961502, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8KS8', 'small_airport', 'Prairie Cottage Airport', 38.91780090332031, -97.00779724121094, 1222, 'US', 'US-KS', 'Chapman', 'no', '8KS8', '', '8KS8', ''),
	('K78', 'small_airport', 'Abilene Municipal Airport', 38.904099, -97.235901, 1152, 'US', 'US-KS', 'Abilene', 'no', '', '', 'K78', ''),
	('KMCI', 'large_airport', 'Kansas City International Airport', 39.2976, -94.713898, 1026, 'US', 'US-MO', 'Kansas City', 'yes', 'KMCI', 'MCI', 'MCI', ''),
	('KBVO', 'small_airport', 'Bartlesville Municipal Airport', 36.762501, -96.0112, 711, 'US', 'US-OK', 'Bartlesville', 'no', 'KBVO', 'BVO', 'BVO', ''),
	('39K', 'small_airport', 'Pomona Lake Airport', 38.692001, -95.690002, 1050, 'US', 'US-KS', 'Lyndon', 'no', 'K39K', '', '39K', ''),
	('2MO9', 'small_airport', 'Runway Ranch Airport', 38.95000076293945, -94.45020294189453, 929, 'US', 'US-MO', 'Kansas City', 'no', '2MO9', '', '2MO9', ''),
	('KTOW', 'N/A', 'N/A', 37.77128376066685, -97.03307837247849, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBKN', 'small_airport', 'Blackwell Tonkawa Municipal Airport', 36.745098, -97.349602, 1030, 'US', 'US-OK', 'Blackwell', 'no', 'KBKN', '', 'BKN', 'Formerly 4O3'),
	('0KS4', 'small_airport', 'Norris Airport', 38.807239, -95.370056, 1065, 'US', 'US-KS', 'Lawrence', 'no', '0KS4', '', '0KS4', ''),
	('0MO0', 'small_airport', 'Ferros Ranch-Aero Airport', 38.410301208496094, -93.8501968383789, 775, 'US', 'US-MO', 'Clinton', 'no', '0MO0', '', '0MO0', ''),
	('KUKL', 'small_airport', 'Coffey County Airport', 38.302502, -95.724998, 1174, 'US', 'US-KS', 'Burlington', 'no', 'KUKL', '', 'UKL', ''),
	('5MO6', 'small_airport', 'Vansickle-Davis Airport', 40.12795, -92.291125, 882, 'US', 'US-MO', 'Hurdland', 'no', '5MO6', '', '5MO6', ''),
	('MU55', 'closed', 'Bauer PGI Airport', 38.1367, -94.173798, 900, 'US', 'US-MO', 'Appleton City', 'no', '', '', '', 'MU55'),
	('4O6', 'closed', 'Cherokee Seaplane Base', 36.583401, -94.916901, 739, 'US', 'US-OK', 'Afton', 'no', '', '', '', '4O6'),
	('KEDA', 'N/A', 'N/A', 39.09896984696388, -94.82190415263176, 307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SN91', 'small_airport', 'Godfrey Airport', 38.11161, -96.113956, 1100, 'US', 'US-KS', 'Madison', 'no', '', '', 'SN91', ''),
	('36KS', 'small_airport', 'White Farms Airport', 37.4748, -95.343597, 1000, 'US', 'US-KS', 'Galesburg', 'no', '36KS', '', '36KS', ''),
	('84KS', 'N/A', 'N/A', 39.271202869713306, -96.06159165501595, 370, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLXT', 'small_airport', 'Lee''s Summit Municipal Airport', 38.959702, -94.371399, 1004, 'US', 'US-MO', 'Lee''s Summit', 'no', 'KLXT', '', 'LXT', ''),
	('06MO', 'small_airport', 'Noahs Ark Airport', 39.23059844970703, -94.80439758300781, 755, 'US', 'US-MO', 'Waldron', 'no', '06MO', '', '06MO', ''),
	('KOJC', 'small_airport', 'Johnson County Executive Airport', 38.84759903, -94.73760223, 1096, 'US', 'US-KS', 'Olathe', 'no', 'KOJC', 'OJC', 'OJC', ''),
	('SN69', 'small_airport', 'Emmerson Airport', 37.9314, -94.642407, 860, 'US', 'US-KS', 'Hammond', 'no', '', '', 'SN69', ''),
	('KGVW', 'closed', 'Richards-Gebaur Air Force Base', 38.844200134277344, -94.55999755859375, 1093, 'US', 'US-MO', 'Belton', 'no', '', '', '', 'Grandview Airport, KGVW, GVW'),
	('MO49', 'small_airport', 'Five Mile Airport', 36.96924, -94.577289, 1100, 'US', 'US-MO', 'Joplin', 'no', 'MO49', '', 'MO49', ''),
	('2MO0', 'small_airport', 'Fletcher Field', 38.786659, -93.86752, 805, 'US', 'US-MO', 'Centerview', 'no', '2MO0', '', '2MO0', ''),
	('MO29', 'small_airport', 'Inter-State Airport', 38.77220153808594, -94.33489990234375, 960, 'US', 'US-MO', 'Pleasant Hill', 'no', 'MO29', '', 'MO29', ''),
	('13KS', 'small_airport', 'Daniel''s Landing Airport', 37.69779968261719, -97.11029815673828, 1325, 'US', 'US-KS', 'Andover', 'no', '13KS', '', '13KS', ''),
	('01KS', 'small_airport', 'Flying N Ranch Airport', 38.54059982299805, -97.00330352783203, 1485, 'US', 'US-KS', 'Lost Springs', 'no', '01KS', '', '01KS', ''),
	('20MO', 'small_airport', 'Royal Wood Aerodrome', 39.358299255371094, -94.31690216064453, 860, 'US', 'US-MO', 'Kearney', 'no', '20MO', '', '20MO', ''),
	('5MU5', 'small_airport', 'Gjerde International Airport', 38.508979, -94.484349, 905, 'US', 'US-MO', 'Drexel', 'no', '5MU5', '', '5MU5', ''),
	('KLRY', 'small_airport', 'Lawrence Smith Memorial Airport', 38.609863, -94.343548, 915, 'US', 'US-MO', 'Harrisonville', 'no', 'KLRY', '', 'LRY', ''),
	('4MO5', 'closed', 'Boehne Field', 37.366699, -93.991897, 1120, 'US', 'US-MO', 'Lockwood', 'no', '', '', '', '4MO5'),
	('54KS', 'small_airport', 'Michael Airport', 38.802799224853516, -95.11270141601563, 1020, 'US', 'US-KS', 'Wellsville', 'no', '54KS', '', '54KS', ''),
	('KFSK', 'small_airport', 'Fort Scott Municipal Airport', 37.7984008789, -94.7694015503, 918, 'US', 'US-KS', 'Fort Scott', 'no', 'KFSK', 'FSK', 'FSK', ''),
	('H20', 'N/A', 'N/A', 37.14402873069048, -94.31561037898064, 329, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KJLN', 'medium_airport', 'Joplin Regional Airport', 37.151798, -94.498299, 981, 'US', 'US-MO', 'Joplin', 'yes', 'KJLN', 'JLN', 'JLN', ''),
	('47KS', 'small_airport', 'Maxwell Airport', 38.770599365234375, -95.27439880371094, 1011, 'US', 'US-KS', 'Baldwin City', 'no', '47KS', '', '47KS', ''),
	('H76', 'small_airport', 'Pawhuska Municipal Airport', 36.67169952392578, -96.40560150146484, 1000, 'US', 'US-OK', 'Pawhuska', 'no', 'KH76', '', 'H76', ''),
	('K63', 'small_airport', 'Council Grove Municipal Airport', 38.676439, -96.572663, 1409, 'US', 'US-KS', 'Council Grove', 'no', 'K63', '', 'K63', ''),
	('SN41', 'small_airport', 'Ziggy Carline Airport', 37.50419998168945, -94.82669830322266, 1300, 'US', 'US-KS', 'Girard', 'no', 'SN41', '', 'SN41', ''),
	('0N0', 'small_airport', 'Roosterville Airport', 39.291099548339844, -94.44219970703125, 1004, 'US', 'US-MO', 'Liberty', 'no', '0N0', '', '0N0', ''),
	('KFAX', 'N/A', 'N/A', 36.59838896244764, -96.7319293320179, 259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('29MO', 'small_airport', 'Rollert Farm Airport', 39.350799560546875, -94.51860046386719, 1000, 'US', 'US-MO', 'Smithville', 'no', '29MO', '', '29MO', ''),
	('08MO', 'small_airport', 'Twin Oaks Airport', 37.395599, -94.283798, 955, 'US', 'US-MO', 'Jasper', 'no', '08MO', '', '08MO', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MU07', 'small_airport', 'Angle Bar M Airport', 38.39469909667969, -94.3102035522461, 900, 'US', 'US-MO', 'Adrian', 'no', 'MU07', '', 'MU07', ''),
	('KAUB', 'N/A', 'N/A', 38.981885723769665, -95.85571601986885, 368, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHOW', 'N/A', 'N/A', 37.5574205070734, -96.11923724412918, 317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('16KS', 'small_airport', 'Harmony Valley Airport', 37.223471, -95.598389, 780, 'US', 'US-KS', 'Independence', 'no', '16KS', '', '16KS', ''),
	('07KS', 'small_airport', 'Heape Field', 37.73419952392578, -96.93669891357422, 1321, 'US', 'US-KS', 'Augusta', 'no', '07KS', '', '07KS', ''),
	('SN26', 'closed', 'Horttor Airport', 38.177799, -95.002998, 970, 'US', 'US-KS', 'Blue Mound', 'no', '', '', '', 'SN26'),
	('KGRW', 'N/A', 'N/A', 38.88688690960407, -94.60900381207466, 301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SN32', 'small_airport', 'Rands Airport', 37.425701, -97.270052, 1210, 'US', 'US-KS', 'Belle Plaine', 'no', '', '', 'SN32', ''),
	('MU27', 'small_airport', 'Woodfield Airpark Inc Airport', 37.468101501464844, -93.92939758300781, 1050, 'US', 'US-MO', 'Lockwood', 'no', 'MU27', '', 'MU27', ''),
	('33KS', 'small_airport', 'Buena Terra Airpark', 39.152361, -95.610065, 950, 'US', 'US-KS', 'Topeka', 'no', '33KS', '', '33KS', ''),
	('SN21', 'small_airport', 'Flory Private Airport', 38.822691, -95.288372, 1100, 'US', 'US-KS', 'Baldwin City', 'no', 'SN21', '', 'SN21', ''),
	('KARS', 'N/A', 'N/A', 37.04869497567415, -97.15778276324272, 378, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('05KS', 'small_airport', 'Darbro Field', 37.26620101928711, -95.95919799804688, 945, 'US', 'US-KS', 'Elk City', 'no', '05KS', '', '05KS', ''),
	('55K', 'small_airport', 'Oxford Municipal Airport', 37.268732, -97.093375, 1189, 'US', 'US-KS', 'Oxford', 'no', '', '', '55K', ''),
	('SN44', 'small_airport', 'Bob Faler Airport', 37.303646, -95.898739, 850, 'US', 'US-KS', 'Elk City', 'no', '', '', 'SN44', ''),
	('OK88', 'closed', 'Silverwood Ultralightport', 36.0101, -95.843597, 632, 'US', 'US-OK', 'Broken Arrow', 'no', '', '', '', 'OK88'),
	('74KS', 'small_airport', 'Ensminger Airport', 37.93339920043945, -95.21720123291016, 1070, 'US', 'US-KS', 'Moran', 'no', '74KS', '', '74KS', ''),
	('KLLU', 'small_airport', 'Lamar Municipal Airport', 37.487246, -94.313298, 1009, 'US', 'US-MO', 'Lamar', 'no', 'KLLU', '', 'LLU', ''),
	('35KS', 'closed', 'Blue Sky Ranch and Aerodrome', 37.5336, -97.311697, 1250, 'US', 'US-KS', 'Derby', 'no', '', '', '', '35KS, Selby Farm Airport'),
	('KIXD', 'small_airport', 'New Century AirCenter Airport', 38.830898, -94.890297, 1087, 'US', 'US-KS', 'New Century', 'no', 'KIXD', 'JCI', 'IXD', 'NUU, KNUU, Naval Air Station Olathe, NAS Olathe, Olathe, Flatley Field, Johnson County Industrial Airport'),
	('3MO5', 'small_airport', 'Nimsick Airport', 37.12810134887695, -94.21610260009766, 1095, 'US', 'US-MO', 'Carthage', 'no', '3MO5', '', '3MO5', ''),
	('SN88', 'small_airport', 'Crosswind Airfield', 38.571357, -94.718149, 1100, 'US', 'US-KS', 'Louisburg', 'no', '', '', 'SN88', ''),
	('07S', 'small_airport', 'Beaumont Hotel Airport', 37.659198760986, -96.527198791504, 1617, 'US', 'US-KS', 'Beaumont', 'no', '07S', '', '07S', 'SN07'),
	('KPNC', 'medium_airport', 'Ponca City Regional Airport', 36.73199844, -97.09980011, 1008, 'US', 'US-OK', 'Ponca City', 'no', 'KPNC', 'PNC', 'PNC', ''),
	('4MO0', 'closed', 'Fender J H Airport', 38.699501, -94.057999, 865, 'US', 'US-MO', 'Kingsville', 'no', '', '', '', '4MO0'),
	('K81', 'small_airport', 'Miami County Airport', 38.53971, -94.920517, 940, 'US', 'US-KS', 'Paola', 'no', 'KK81', '', 'K81', 'Osawatomie-Paola Municipal Airport'),
	('0KS9', 'small_airport', 'Lmn 120 Airport', 37.515899658203125, -96.9197998046875, 1330, 'US', 'US-KS', 'Douglas', 'no', '0KS9', '', '0KS9', ''),
	('3AU', 'small_airport', 'Augusta Municipal Airport', 37.6716, -97.077904, 1328, 'US', 'US-KS', 'Augusta', 'no', 'K3AU', '', '3AU', ''),
	('OK05', 'closed', 'Ray Preston Airport', 34.699766, -99.923815, 1660, 'US', 'US-OK', 'Hollis', 'no', '', '', '', 'OK05'),
	('2MO6', 'closed', 'Hunziker Airport', 40.135064, -92.297974, 890, 'US', 'US-MO', 'Hurdland', 'no', '', '', '', '2MO6'),
	('KHFJ', 'small_airport', 'Monett Regional Airport', 36.9062, -94.012802, 1314, 'US', 'US-MO', 'Pierce City', 'no', 'KHFJ', '', 'HFJ', 'Formerly M58'),
	('4K3', 'N/A', 'N/A', 39.209985472261906, -93.92823413014412, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEOS', 'small_airport', 'Neosho Hugh Robinson Airport', 36.810799, -94.391701, 1255, 'US', 'US-MO', 'Neosho', 'no', 'KEOS', 'EOS', 'EOS', ''),
	('SN89', 'closed', 'Somerset Airport', 38.5378, -94.726898, 1100, 'US', 'US-KS', 'Louisburg', 'no', '', '', '', 'SN89'),
	('46KS', 'small_airport', 'Hidden Valley Airport', 37.831699, -97.363098, 1345, 'US', 'US-KS', 'Valley Center', 'no', '46KS', '', '46KS', 'Miles Airport'),
	('KPAW', 'N/A', 'N/A', 36.76946226507425, -96.55281811952591, 386, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('02KS', 'small_airport', 'Jmj Landing Airport', 39.222198486328125, -96.0552978515625, 1170, 'US', 'US-KS', 'St Marys', 'no', '02KS', '', '02KS', ''),
	('86KS', 'closed', 'Weiss Airport', 38.705799, -94.824699, 1031, 'US', 'US-KS', 'Spring Hill', 'no', '', '', '', '86KS'),
	('18KS', 'small_airport', 'Cherokee Strip', 37.372435, -97.108223, 1270, 'US', 'US-KS', 'Udall', 'no', '18KS', '', '18KS', ''),
	('KDOF', 'N/A', 'N/A', 36.9945103302598, -95.63150882720947, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('95KS', 'small_airport', 'Fuller Airfield', 39.026161, -96.015042, 1058, 'US', 'US-KS', 'Maple Hill', 'no', '95KS', '', '95KS', ''),
	('4MO8', 'small_airport', 'Martens Airport', 39.20669937133789, -94.26969909667969, 720, 'US', 'US-MO', 'Atherton', 'no', '4MO8', '', '4MO8', ''),
	('KHAY', 'N/A', 'N/A', 37.540525272488594, -97.39257752895355, 391, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1K7', 'small_airport', 'Fredonia Airport', 37.580518, -95.837184, 880, 'US', 'US-KS', 'Fredonia', 'no', 'K1K7', '', '1K7', ''),
	('SN68', 'small_airport', 'Lil Bird Airport', 37.878817, -97.309041, 1456, 'US', 'US-KS', 'Valley Center', 'no', '', '', 'SN68', ''),
	('KEWK', 'small_airport', 'Newton City-County Airport', 38.058200836199994, -97.2744979858, 1533, 'US', 'US-KS', 'Newton', 'no', 'KEWK', 'EWK', 'EWK', ''),
	('K50', 'small_airport', 'Cook Airfield', 37.565399, -97.174587, 1345, 'US', 'US-KS', 'Derby', 'no', 'KK50', '', 'K50', ''),
	('90KS', 'small_airport', 'Sunset Strip Airpark', 38.982238, -95.593667, 1075, 'US', 'US-KS', 'Topeka', 'no', '90KS', '', '90KS', ''),
	('SN34', 'small_airport', 'Rucker Airport', 37.573727, -97.492461, 1300, 'US', 'US-KS', 'Clearwater', 'no', '', '', 'SN34', ''),
	('K67', 'small_airport', 'Oswego Municipal Airport', 37.1598014831543, -95.0425033569336, 830, 'US', 'US-KS', 'Oswego', 'no', 'K67', '', 'K67', ''),
	('KGPH', 'small_airport', 'Midwest National Air Center Airport', 39.3325, -94.309601, 777, 'US', 'US-MO', 'Excelsior Springs', 'no', 'KGPH', '', 'GPH', 'Mosby');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('44KS', 'small_airport', 'Vankirk Airport', 37.610298, -97.162498, 1350, 'US', 'US-KS', 'Derby', 'no', '44KS', '', '44KS', ''),
	('KARK', 'N/A', 'N/A', 37.009120993316174, -97.03492105007172, 359, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3KS1', 'closed', 'Mesa Verde Airport', 39.155602, -95.743301, 1080, 'US', 'US-KS', 'Topeka', 'no', '', '', '', '3KS1'),
	('63K', 'small_airport', 'Hillside Airport', 38.82109832763672, -94.60970306396484, 1025, 'US', 'US-KS', 'Stilwell', 'no', '63K', '', '63K', ''),
	('40KS', 'small_airport', 'Chanay Airport', 38.53165, -95.451515, 1110, 'US', 'US-KS', 'Pomona', 'no', '40KS', '', '40KS', ''),
	('2KS9', 'small_airport', 'Starshire Farm Airport', 38.900001525878906, -95.58360290527344, 990, 'US', 'US-KS', 'Topeka', 'no', '2KS9', '', '2KS9', ''),
	('27OK', 'small_airport', 'Thomas Landing Airport', 36.7422981262207, -96.96389770507813, 1110, 'US', 'US-OK', 'Ponca City', 'no', '27OK', '', '27OK', ''),
	('KNAB', 'N/A', 'N/A', 38.204102106392384, -96.83762848377228, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SN40', 'small_airport', 'Olson Aerodrome', 37.523537, -97.202096, 1325, 'US', 'US-KS', 'Derby', 'no', 'SN40', '', 'SN40', ''),
	('43K', 'small_airport', 'Marion Municipal Airport', 38.337502, -96.991699, 1390, 'US', 'US-KS', 'Marion', 'no', '43K', '', '43K', ''),
	('SN37', 'small_airport', 'Harold K. Wells Airport', 38.387001037597656, -96.72969818115234, 1100, 'US', 'US-KS', 'Elmdale', 'no', 'SN37', '', 'SN37', ''),
	('03PR', 'small_airport', 'Sun View Field Airport', 39.065931, -94.938417, 980, 'US', 'US-KS', 'Bonner Springs', 'no', '03PR', '', '03PR', ''),
	('SN58', 'small_airport', 'Foster Field', 37.869998931884766, -96.64669799804688, 1440, 'US', 'US-KS', 'El Dorado', 'no', 'SN58', '', 'SN58', ''),
	('44MU', 'small_airport', 'Lynch Field', 36.90810012817383, -94.30999755859375, 1170, 'US', 'US-MO', 'Granby', 'no', '44MU', '', '44MU', ''),
	('MO33', 'small_airport', 'Barlet''s Base Airport', 37.12919998168945, -94.25379943847656, 1068, 'US', 'US-MO', 'Carthage', 'no', 'MO33', '', 'MO33', ''),
	('KEDR', 'N/A', 'N/A', 38.74959569424391, -95.03225058317184, 317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('91KS', 'small_airport', 'St. Joseph''S Landing', 39.243803, -96.033039, 1136, 'US', 'US-KS', 'St. Mary''S', 'no', '91KS', '', '91KS', ''),
	('SN72', 'small_airport', 'Graham Farms Airport', 38.299031, -95.440807, 985, 'US', 'US-KS', 'Harris', 'no', 'SN72', '', 'SN72', ''),
	('2MO', 'small_airport', 'Mount Vernon Municipal Airport', 37.06840133666992, -93.88490295410156, 1244, 'US', 'US-MO', 'Mount Vernon', 'no', 'K2MO', '', '2MO', ''),
	('0KS0', 'small_airport', 'J V Ranch Airport', 38.63330078125, -95.92530059814453, 1180, 'US', 'US-KS', 'Osage City', 'no', '0KS0', '', '0KS0', ''),
	('79MU', 'small_airport', 'Dunham Private Airport', 39.329833, -94.557931, 1000, 'US', 'US-MO', 'Smithville', 'no', '79MU', '', '79MU', ''),
	('0MO3', 'closed', 'Arvin Ranch Airport', 38.4403, -94.5933, 1000, 'US', 'US-MO', 'Drexel', 'no', '', '', '', '0MO3'),
	('89MO', 'small_airport', 'Bishop''s Landing Airport', 38.58330154418945, -94.57969665527344, 1000, 'US', 'US-MO', 'Westline', 'no', '89MO', '', '89MO', ''),
	('KMKC', 'medium_airport', 'Charles B. Wheeler Downtown Airport', 39.123199, -94.592796, 759, 'US', 'US-MO', 'Kansas City', 'no', 'KMKC', 'MKC', 'MKC', ''),
	('6OK6', 'small_airport', 'Earl Henry Airport', 36.7958984375, -97.3170013428, 1054, 'US', 'US-OK', 'Blackwell', 'no', '6OK6', 'BWL', '6OK6', ''),
	('20KS', 'small_airport', 'Wingit Field', 37.675657, -96.885781, 1338, 'US', 'US-KS', 'Augusta', 'no', '97KS', '', '97KS', '20KS, Airpark Estates'),
	('82KS', 'small_airport', 'Greg Post Farms Airport', 38.012073, -94.857872, 884, 'US', 'US-KS', 'Mapleton', 'no', '82KS', '', '82KS', ''),
	('77KS', 'closed', 'Abel Ranch Airport', 37.3675, -96.878402, 1320, 'US', 'US-KS', 'Wilmont', 'no', '', '', '', '77KS'),
	('53KS', 'small_airport', 'Weaver Ranch Airport', 38.108299255371094, -97.43280029296875, 1460, 'US', 'US-KS', 'Hesston', 'no', '53KS', '', '53KS', ''),
	('MO75', 'small_airport', 'Brownsberger Airport', 38.302662, -94.051339, 794, 'US', 'US-MO', 'Montrose', 'no', 'MO75', '', 'MO75', ''),
	('5KS1', 'small_airport', 'Threshing Bee Airport', 39.191986, -95.215931, 1150, 'US', 'US-KS', 'McLouth', 'no', '5KS1', '', '5KS1', ''),
	('12KS', 'small_airport', 'Sooter Airport', 37.935298919677734, -97.48780059814453, 1420, 'US', 'US-KS', 'Sedgwick', 'no', '12KS', '', '12KS', ''),
	('KBEC', 'small_airport', 'Beech Factory Airport', 37.694499969499994, -97.21499633790002, 1408, 'US', 'US-KS', 'Wichita', 'no', 'KBEC', 'BEC', 'BEC', ''),
	('5MO2', 'N/A', 'N/A', 39.06667236238718, -94.34189423918724, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6MO4', 'small_airport', 'Wixted Airport', 38.040369, -93.765679, 850, 'US', 'US-MO', 'Osceola', 'no', '6MO4', '', '6MO4', ''),
	('17KS', 'closed', 'Tevis Airport', 38.5028, -95.6772, 1000, 'US', 'US-KS', 'Melvern', 'no', '', '', '', '17KS, 17KS, 17KS'),
	('0L8', 'N/A', 'N/A', 39.0800840780139, -94.49578240513802, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLOI', 'N/A', 'N/A', 38.47922667860985, -94.55318167805672, 306, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('K32', 'small_airport', 'Riverside Airport', 37.74810028076172, -97.40670013427734, 1335, 'US', 'US-KS', 'Wichita', 'no', 'KK32', '', 'K32', ''),
	('MO13', 'closed', 'Blue Hollow Airpark', 37.7976, -92.829201, 820, 'US', 'US-MO', 'Eldridge', 'no', '', '', '', 'MO13'),
	('8MO3', 'small_airport', 'Curtis Field', 39.32469940185547, -93.94159698486328, 760, 'US', 'US-MO', 'Richmond', 'no', '8MO3', '', '8MO3', ''),
	('2M5', 'seaplane_base', 'Stockton Lake Seaplane Base', 37.650001525878906, -93.75849914550781, 867, 'US', 'US-MO', 'Stockton', 'no', '2M5', '', '2M5', ''),
	('KLWC', 'small_airport', 'Lawrence Municipal Airport', 39.01119995, -95.21659851, 833, 'US', 'US-KS', 'Lawrence', 'no', 'KLWC', 'LWC', 'LWC', ''),
	('SN16', 'closed', 'Curtis Airport', 37.854899, -97.269409, 1380, 'US', 'US-KS', 'Grant', 'no', '', '', '', 'SN16, Kechi'),
	('85KS', 'small_airport', 'Sanders Airport', 39.300648, -95.215094, 1070, 'US', 'US-KS', 'Winchester', 'no', '85KS', '', '85KS', ''),
	('57K', 'closed', 'Gilmore Airport', 38.128109, -94.747639, 900, 'US', 'US-KS', 'Pleasanton', 'no', '', '', '', '57K'),
	('KOWI', 'small_airport', 'Ottawa Municipal Airport', 38.5387, -95.252998, 966, 'US', 'US-KS', 'Ottawa', 'no', 'KOWI', '', 'OWI', ''),
	('4KS6', 'small_airport', 'Thomsen Field', 38.24169921875, -95.90670013427734, 1140, 'US', 'US-KS', 'Hartford', 'no', '4KS6', '', '4KS6', ''),
	('MU71', 'closed', 'Vandahl Airport', 39.350205, -94.858167, 1020, 'US', 'US-MO', 'Weston', 'no', '', '', '', 'MU71'),
	('0KS6', 'closed', 'Kendrigan Airport', 37.452202, -97.317802, 1240, 'US', 'US-KS', 'Peck', 'no', '', '', '', '0KS6'),
	('53K', 'small_airport', 'Osage City Municipal Airport', 38.633534, -95.801848, 1105, 'US', 'US-KS', 'Osage City', 'no', 'K53K', '', '53K', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('4KS7', 'small_airport', 'Butler Airpark', 37.55937, -97.064717, 1310, 'US', 'US-KS', 'Rose Hill', 'no', 'K6KS', '', '6KS', '4KS7'),
	('70OK', 'small_airport', 'Old 66 Strip', 36.83369827270508, -94.90409851074219, 853, 'US', 'US-OK', 'Miami', 'no', '70OK', '', '70OK', ''),
	('8KS1', 'small_airport', 'Neu Field', 39.17190170288086, -94.98079681396484, 920, 'US', 'US-KS', 'Basehor', 'no', '8KS1', '', '8KS1', ''),
	('KBUM', 'small_airport', 'Butler Memorial Airport', 38.2897987366, -94.3401031494, 892, 'US', 'US-MO', 'Butler', 'no', 'KBUM', 'BUM', 'BUM', ''),
	('00FD', 'closed', 'Ringhaver Heliport', 28.8466, -82.345398, 25, 'US', 'US-FL', 'Riverview', 'no', '', '', '', '00FD'),
	('OL92', 'closed', 'Hi-Way Airport', 36.783401, -95.950302, 680, 'US', 'US-OK', 'Bartlesville', 'no', '', '', '', 'OL92'),
	('4K8', 'N/A', 'N/A', 36.86488922685385, -97.01787784695625, 346, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MU84', 'small_airport', 'Michael Farm Airport', 38.89950180053711, -94.22940063476563, 1050, 'US', 'US-MO', 'Lone Jack', 'no', 'MU84', '', 'MU84', ''),
	('K68', 'small_airport', 'Garnett Municipal Airport', 38.27717, -95.215287, 989, 'US', 'US-KS', 'Garnett', 'no', 'KK68', '', 'K68', ''),
	('MU20', 'small_airport', 'Robbins Airport', 38.94559860229492, -93.9646987915039, 910, 'US', 'US-MO', 'Odessa', 'no', 'MU20', '', 'MU20', ''),
	('KEGT', 'small_airport', 'Wellington Municipal Airport', 37.323601, -97.388298, 1277, 'US', 'US-KS', 'Wellington', 'no', 'KEGT', '', 'EGT', ''),
	('KEMP', 'small_airport', 'Emporia Municipal Airport', 38.3320999146, -96.19120025630001, 1208, 'US', 'US-KS', 'Emporia', 'no', 'KEMP', 'EMP', 'EMP', ''),
	('8K5', 'small_airport', 'Yates Center Municipal Airport', 37.854684, -95.748018, 1128, 'US', 'US-KS', 'Yates Center', 'no', 'K3JA', '', '3JA', '8K5'),
	('KALA', 'N/A', 'N/A', 37.12740305811167, -95.3508760035038, 284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('62KS', 'small_airport', 'Dexter Field', 38.358632, -96.490988, 1173, 'US', 'US-KS', 'Cottonwood Falls', 'no', '62KS', '', '62KS', ''),
	('3KS7', 'small_airport', 'Berwick Airport', 37.828227, -97.349296, 1400, 'US', 'US-KS', 'Valley Center', 'no', '3KS7', '', '3KS7', ''),
	('KIAB', 'medium_airport', 'McConnell Air Force Base', 37.621899, -97.268204, 1371, 'US', 'US-KS', 'Wichita', 'no', 'KIAB', 'IAB', 'IAB', '22nd Air Refueling Wing, 931st Air Refueling Group, 184th Intelligence Wing'),
	('0MU7', 'small_airport', 'Lambs Field', 38.875, -94.13970184326172, 1070, 'US', 'US-MO', 'Lone Jack', 'no', '0MU7', '', '0MU7', ''),
	('KWLD', 'small_airport', 'Strother Field', 37.168598, -97.037598, 1160, 'US', 'US-KS', 'Winfield / Arkansas City', 'no', 'KWLD', 'WLD', 'WLD', ''),
	('79F', 'closed', 'Teramiranda Airport', 36.608398, -94.872498, 793, 'US', 'US-OK', 'Afton', 'no', '', '', '', '79F'),
	('KFRI', 'medium_airport', 'Marshall Army Air Field', 39.053021, -96.764202, 1065, 'US', 'US-KS', 'Fort Riley (Junction City)', 'no', 'KFRI', 'FRI', 'FRI', ''),
	('K34', 'small_airport', 'Gardner Municipal Airport', 38.80690002441406, -94.9561996459961, 1042, 'US', 'US-KS', 'Gardner', 'no', 'K34', '', 'K34', ''),
	('SN46', 'small_airport', 'Taylor Airport', 37.871023, -97.072691, 1340, 'US', 'US-KS', 'Benton', 'no', '', '', 'SN46', ''),
	('SN52', 'small_airport', 'Pilot Pointe Estates Airport', 37.48139954, -97.01200104, 1237, 'US', 'US-KS', 'Douglass', 'no', 'SN52', '', 'SN52', ''),
	('K88', 'small_airport', 'Allen County Airport', 37.870098, -95.386398, 1015, 'US', 'US-KS', 'Iola', 'no', 'KK88', '', 'K88', ''),
	('2M1', 'small_airport', 'Harry S Truman Regional Airport', 39.01810073852539, -94.08719635009766, 860, 'US', 'US-MO', 'Bates City', 'no', '2M1', '', '2M1', ''),
	('H04', 'small_airport', 'Vinita Municipal Airport', 36.632999420166016, -95.15139770507813, 696, 'US', 'US-OK', 'Vinita', 'no', 'KH04', '', 'H04', ''),
	('0MU1', 'small_airport', 'Sunderland Airport', 37.246700286865234, -94.17389678955078, 1027, 'US', 'US-MO', 'Avilla', 'no', '0MU1', '', '0MU1', ''),
	('KGMJ', 'small_airport', 'Grove Municipal Airport', 36.6068, -94.738602, 831, 'US', 'US-OK', 'Grove', 'no', 'KGMJ', '', 'GMJ', ''),
	('70MO', 'closed', 'Andrews Airport', 37.2178, -94.146301, 1070, 'US', 'US-MO', 'Carthage', 'no', '', '', '', '70MO'),
	('1MU4', 'small_airport', 'Short Air Airport', 38.65169906616211, -93.77880096435547, 840, 'US', 'US-MO', 'Warrensburg', 'no', '1MU4', '', '1MU4', ''),
	('83KS', 'closed', 'Miller Aeroplane Field', 39.234741, -96.299679, 1020, 'US', 'US-KS', 'Wamego', 'no', '', '', '', '83KS'),
	('69K', 'small_airport', 'Wamego Municipal Airport', 39.197200775146484, -96.25890350341797, 966, 'US', 'US-KS', 'Wamego', 'no', 'K69K', '', '69K', ''),
	('71KS', 'small_airport', 'Stonehenge Airport', 39.10419845581055, -95.29609680175781, 1030, 'US', 'US-KS', 'Williamstown', 'no', '71KS', '', '71KS', ''),
	('49KS', 'small_airport', 'N & N Airport', 39.2140998840332, -96.67230224609375, 1230, 'US', 'US-KS', 'Manhattan', 'no', '49KS', '', '49KS', ''),
	('33MO', 'closed', 'Leaming Field', 37.251401, -94.0569, 1135, 'US', 'US-MO', 'Golden City', 'no', '', '', '', '33MO'),
	('41KS', 'small_airport', 'Flying Z Ranch Airport', 38.734313, -94.798422, 1075, 'US', 'US-KS', 'Spring Hill', 'no', '41KS', '', '41KS', ''),
	('MU85', 'small_airport', 'Thomas Airport', 38.95500183105469, -94.12740325927734, 890, 'US', 'US-MO', 'Oak Grove', 'no', 'MU85', '', 'MU85', ''),
	('KEQA', 'small_airport', 'Captain Jack Thomas El Dorado Airport', 37.7741012573, -96.81759643550001, 1378, 'US', 'US-KS', 'El Dorado', 'no', 'KEQA', 'EDK', 'EQA', ''),
	('MO9', 'small_airport', 'Kingsley Airfield', 37.229812, -93.930208, 1272, 'US', 'US-MO', 'Miller', 'no', 'KMO9', '', 'MO9', 'Ozarks Skydiving'),
	('2OK6', 'closed', 'Flying N Ranch Airport', 35.481998, -97.020599, 1095, 'US', 'US-OK', 'Meeker', 'no', '', '', '', '2OK6'),
	('9OK3', 'small_airport', 'Flying Eagle Estates Airport', 36.70370101928711, -95.84049987792969, 690, 'US', 'US-OK', 'Bartlesville', 'no', '9OK3', '', '9OK3', ''),
	('78MU', 'small_airport', 'Stony Branch Airport', 37.296929, -94.195361, 1025, 'US', 'US-MO', 'Jasper', 'no', '78MU', '', '78MU', ''),
	('SN81', 'small_airport', 'Hancock Airport', 39.18190002441406, -94.87000274658203, 940, 'US', 'US-KS', 'Piper', 'no', 'SN81', '', 'SN81', ''),
	('SN85', 'small_airport', 'Fox Fire Airport', 38.734669, -95.105832, 1058, 'US', 'US-KS', 'Wellsville', 'no', 'SN85', '', 'SN85', ''),
	('09KS', 'small_airport', 'Coffman Airport', 38.707000732421875, -95.13829803466797, 970, 'US', 'US-KS', 'Wellsville', 'no', '09KS', '', '09KS', ''),
	('13K', 'small_airport', 'Eureka Municipal Airport', 37.851601, -96.291702, 1206, 'US', 'US-KS', 'Eureka', 'no', 'K13K', '', '13K', ''),
	('KCNU', 'medium_airport', 'Chanute Martin Johnson Airport', 37.668173, -95.486727, 1002, 'US', 'US-KS', 'Chanute', 'no', 'KCNU', 'CNU', 'CNU', ''),
	('3OL8', 'small_airport', 'Harrison Airport', 36.877899169921875, -95.14910125732422, 805, 'US', 'US-OK', 'Welch', 'no', '3OL8', '', '3OL8', ''),
	('45KS', 'closed', 'Liebau Ranch Airport', 37.4039, -96.4533, 1250, 'US', 'US-KS', 'Grenola', 'no', '', '', '', '45KS'),
	('72KS', 'closed', 'Mount Muncie Airport', 39.2733, -94.880203, 750, 'US', 'US-KS', 'Lansing', 'no', '', '', '', '72KS');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('3GV', 'small_airport', 'East Kansas City Airport', 39.015149, -94.215252, 835, 'US', 'US-MO', 'Grain Valley', 'no', 'K3GV', '', '3GV', ''),
	('80MO', 'small_airport', 'Seiferd Field', 37.276536, -94.351897, 980, 'US', 'US-MO', 'Carthage', 'no', '80MO', '', '80MO', ''),
	('1KS1', 'small_airport', 'Cochran Airport', 38.458899, -95.226531, 1005, 'US', 'US-KS', 'Richmond', 'no', '1KS1', '', '1KS1', ''),
	('48KS', 'small_airport', 'R F Roesner Airport', 38.811100006103516, -97.431396484375, 1230, 'US', 'US-KS', 'Salina', 'no', '48KS', '', '48KS', ''),
	('28MO', 'small_airport', 'Pasley Airport', 37.973899841308594, -93.81880187988281, 790, 'US', 'US-MO', 'Roscoe', 'no', '28MO', '', '28MO', ''),
	('KHRU', 'small_airport', 'Herington Regional Airport', 38.694698333740234, -96.80799865722656, 1480, 'US', 'US-KS', 'Herington', 'no', 'KHRU', '', 'HRU', ''),
	('KPAQ', 'N/A', 'N/A', 38.60295094549656, -94.92509633302689, 279, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0KS2', 'closed', 'Kellie Mann Airfield', 38.560001, -95.309097, 1045, 'US', 'US-KS', 'Ottawa', 'no', '', '', '', '0KS2'),
	('9K6', 'small_airport', 'Patty Field', 37.80039978027344, -96.79900360107422, 1385, 'US', 'US-KS', 'El Dorado', 'no', '9K6', '', '9K6', ''),
	('KIOO', 'N/A', 'N/A', 37.91884884238243, -95.26268675923347, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4KS4', 'closed', 'Police Heliport', 37.6642, -97.348701, 1290, 'US', 'US-KS', 'Wichita', 'no', '', '', '', '4KS4'),
	('70KS', 'small_airport', 'Bannon Field', 37.581772, -96.94602, 1218, 'US', 'US-KS', 'Douglass', 'no', '70KS', '', '70KS', ''),
	('3KS8', 'small_airport', 'Reed-Wilsonton Airport', 37.256500244140625, -95.33360290527344, 920, 'US', 'US-KS', 'Altamont', 'no', '3KS8', '', '3KS8', ''),
	('KPPF', 'small_airport', 'Tri-City Airport', 37.32989883, -95.5062027, 900, 'US', 'US-KS', 'Parsons', 'no', 'KPPF', 'PPF', 'PPF', 'Cherryvale AAFAF #9'),
	('KAAO', 'small_airport', 'Colonel James Jabara Airport', 37.74760056, -97.22109985, 1421, 'US', 'US-KS', 'Wichita', 'no', 'KAAO', '', 'AAO', ''),
	('KPAS', 'N/A', 'N/A', 36.76035080105066, -96.54556274414063, 388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4KS2', 'small_airport', 'Ingels Aerodrome', 39.01860046386719, -94.95439910888672, 960, 'US', 'US-KS', 'De Soto', 'no', '4KS2', '', '4KS2', ''),
	('SN45', 'small_airport', 'Michael''s Airport', 38.82841, -95.267215, 1105, 'US', 'US-KS', 'Lawrence', 'no', 'SN45', '', 'SN45', ''),
	('MU62', 'small_airport', 'Hilltop Airport', 38.56330108642578, -94.59110260009766, 1000, 'US', 'US-MO', 'Drexel', 'no', 'MU62', '', 'MU62', ''),
	('9K0', 'small_airport', 'Cottonwood Falls Airport', 38.358075, -96.544545, 1273, 'US', 'US-KS', 'Cottonwood Falls', 'no', 'K9K0', '', '9K0', 'Chase County'),
	('3MO6', 'small_airport', 'Kitty Hawk Estates Airport', 39.335601806640625, -94.48359680175781, 1000, 'US', 'US-MO', 'Kearney', 'no', '3MO6', '', '3MO6', ''),
	('SN24', 'heliport', 'Águia Trancoso Heliport', -16.574444, -39.091667, 102, 'BR', 'BR-BA', 'Porto Seguro', 'no', 'SN24', '', 'BA0433', ''),
	('45OK', 'small_airport', 'Belleview Landing Airport', 36.912601470947266, -95.60299682617188, 775, 'US', 'US-OK', 'South Coffeyville', 'no', '45OK', '', '45OK', ''),
	('2MO4', 'small_airport', 'Breckenridge Airport', 38.114199, -94.176049, 805, 'US', 'US-MO', 'Rockville', 'no', '2MO4', '', '2MO4', ''),
	('7KS3', 'small_airport', 'Youvan Airport', 37.52920150756836, -94.69609832763672, 1000, 'US', 'US-KS', 'Arma', 'no', '7KS3', '', '7KS3', ''),
	('KBUG', 'N/A', 'N/A', 38.10416769236326, -95.6310398876667, 313, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('71K', 'small_airport', 'Westport Airport', 37.647499, -97.384499, 1290, 'US', 'US-KS', 'Wichita', 'no', '71K', '', '71K', ''),
	('7KS5', 'closed', 'Croisant Airport', 37.7962, -95.341904, 1000, 'US', 'US-KS', 'Humboldt', 'no', '', '', '', '7KS5'),
	('OK42', 'small_airport', 'Siegmanns Airport', 36.08340072631836, -97.71700286865234, 1053, 'US', 'US-OK', 'Hennessey', 'no', 'OK42', '', 'OK42', ''),
	('28KS', 'small_airport', 'Highland Farm Airport', 38.54249954223633, -95.15609741210938, 1010, 'US', 'US-KS', 'Rantoul', 'no', '28KS', '', '28KS', ''),
	('3JC', 'small_airport', 'Freeman Field', 39.044452, -96.844566, 1101, 'US', 'US-KS', 'Junction City', 'no', 'K3JC', '', '3JC', ''),
	('69KS', 'small_airport', 'Chiles Airpark', 38.669700622558594, -94.74250030517578, 1050, 'US', 'US-KS', 'Chiles', 'no', '69KS', '', '69KS', ''),
	('9KS1', 'small_airport', 'Hartland Airport', 38.6594444, -95.0922222, 993, 'US', 'US-KS', 'Wellsville', 'no', '9KS1', '', '9KS1', ''),
	('KNVD', 'small_airport', 'Nevada Municipal Airport', 37.8521, -94.304901, 892, 'US', 'US-MO', 'Nevada', 'no', 'KNVD', 'NVD', 'NVD', ''),
	('KBUI', 'N/A', 'N/A', 38.371255695819855, -95.63350707292557, 365, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1KS2', 'small_airport', 'Risky Airport', 39.31399917602539, -95.07160186767578, 1133, 'US', 'US-KS', 'Easton', 'no', '1KS2', '', '1KS2', ''),
	('1K1', 'small_airport', 'Lloyd Stearman Field', 37.77790069580078, -97.1135025024414, 1364, 'US', 'US-KS', 'Benton', 'no', '1K1', '', '1K1', ''),
	('KICT', 'medium_airport', 'Wichita Eisenhower National Airport', 37.649899, -97.433098, 1333, 'US', 'US-KS', 'Wichita', 'yes', 'KICT', 'ICT', 'ICT', ''),
	('KJOP', 'N/A', 'N/A', 36.96782637387514, -94.51786637306213, 339, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3KS3', 'small_airport', 'Rogers Airport', 37.40272, -97.194278, 1210, 'US', 'US-KS', 'Udall', 'no', '3KS3', '', '3KS3', ''),
	('KFLV', 'small_airport', 'Sherman Army Air Field', 39.3683013916, -94.9147033691, 772, 'US', 'US-KS', 'Fort Leavenworth', 'no', 'KFLV', 'FLV', 'FLV', ''),
	('1KS9', 'small_airport', 'Belleair Airport', 39.045601, -94.948996, 935, 'US', 'US-KS', 'Bonner Springs', 'no', '1KS9', '', '1KS9', 'Huff Airport'),
	('0OK2', 'closed', 'Parkview Hospital Heliport', 35.5298, -97.983902, 1349, 'US', 'US-OK', 'El Reno', 'no', '', '', '', '0OK2'),
	('51K', 'small_airport', 'Cedar Air Park', 38.931400299072266, -94.88500213623047, 1020, 'US', 'US-KS', 'Olathe', 'no', '51K', '', '51K', ''),
	('7KS0', 'small_airport', 'Flying T Airport', 39.271085, -95.31705, 1160, 'US', 'US-KS', 'Oskaloosa', 'no', '7KS0', '', '7KS0', ''),
	('43KS', 'small_airport', 'Smith Airport', 39.101898193359375, -96.41780090332031, 1100, 'US', 'US-KS', 'Manhattan', 'no', '43KS', '', '43KS', ''),
	('0KS1', 'N/A', 'N/A', 39.2169451341033, -95.33750876784325, 328, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SN84', 'closed', 'Blaser''s Airport', 39.262633, -94.988565, 1000, 'US', 'US-KS', 'Leavenworth', 'no', '', '', '', 'SN84'),
	('61K', 'small_airport', 'Sedan City Airport', 37.148399353027344, -96.185302734375, 1005, 'US', 'US-KS', 'Sedan', 'no', '61K', '', '61K', ''),
	('KFOE', 'medium_airport', 'Topeka Regional Airport', 38.950901, -95.663597, 1078, 'US', 'US-KS', 'Topeka', 'no', 'KFOE', 'FOE', 'FOE', 'Topeka Army Airfield, Forbes AFB, Forbes Field'),
	('KTOP', 'medium_airport', 'Philip Billard Municipal Airport', 39.069899, -95.622606, 881, 'US', 'US-KS', 'Topeka', 'no', 'KTOP', 'TOP', 'TOP', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KDOE', 'N/A', 'N/A', 38.678445406258106, -96.49328872561455, 379, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SN04', 'small_airport', 'Roberts Memorial Airport', 38.423099517822266, -96.37190246582031, 1185, 'US', 'US-KS', 'Emporia', 'no', 'SN04', '', 'SN04', ''),
	('3KS2', 'small_airport', 'Munson Field', 37.060567, -96.998479, 1166, 'US', 'US-KS', 'Arkansas City', 'no', '3KS2', '', '3KS2', ''),
	('KPAJ', 'N/A', 'N/A', 36.96012407541275, -96.5519705414772, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4MO4', 'small_airport', 'Liberty Landing Airport', 39.21670150756836, -94.33360290527344, 720, 'US', 'US-MO', 'Liberty', 'no', '4MO4', '', '4MO4', ''),
	('60KS', 'small_airport', 'Alley Field', 37.51390075683594, -97.00029754638672, 1260, 'US', 'US-KS', 'Douglass', 'no', '60KS', '', '60KS', ''),
	('9KS7', 'closed', 'Miller Airport', 38.277802, -95.443298, 1000, 'US', 'US-KS', 'Harris', 'no', '', '', '', '9KS7'),
	('SN18', 'small_airport', 'Sills Air Park', 37.66669845581055, -97.01699829101563, 1295, 'US', 'US-KS', 'Augusta', 'no', 'SN18', '', 'SN18', ''),
	('KMHK', 'medium_airport', 'Manhattan Regional Airport', 39.14099884033203, -96.6707992553711, 1057, 'US', 'US-KS', 'Manhattan', 'yes', 'KMHK', 'MHK', 'MHK', ''),
	('K64', 'small_airport', 'Vinland Valley Aerodrome', 38.837501525878906, -95.18219757080078, 890, 'US', 'US-KS', 'Baldwin City', 'no', 'K64', '', 'K64', ''),
	('68KS', 'closed', 'Cloud 9 Airport', 38.5672, -94.782501, 1050, 'US', 'US-KS', 'Paola', 'no', '', '', '', '68KS'),
	('KCEA', 'small_airport', 'Cessna Aircraft Field', 37.648601532, -97.2506027222, 1378, 'US', 'US-KS', 'Wichita', 'no', 'KCEA', 'CEA', 'CEA', ''),
	('0KS8', 'small_airport', 'Pearce Field', 37.38249969482422, -95.37470245361328, 950, 'US', 'US-KS', 'Parsons', 'no', '0KS8', '', '0KS8', ''),
	('02MU', 'closed', 'Timber Line Airpark', 36.655612, -93.802387, 1550, 'US', 'US-MO', 'Cassville', 'no', '', '', '', '02MU'),
	('77MO', 'small_airport', 'Springhill Airport', 37.090301513671875, -93.76940155029297, 1305, 'US', 'US-MO', 'Mount Vernon', 'no', '77MO', '', '77MO', ''),
	('SN90', 'small_airport', 'Eibes Airfield', 39.226959, -95.192231, 1100, 'US', 'US-KS', 'McLouth', 'no', 'SN90', '', 'SN90', 'D''Field Airport'),
	('KCFV', 'small_airport', 'Coffeyville Municipal Airport', 37.09400177, -95.5718994141, 754, 'US', 'US-KS', 'Coffeyville', 'no', 'KCFV', 'CFV', 'CFV', ''),
	('72K', 'small_airport', 'Westport Auxiliary Airport', 37.60419845581055, -97.35890197753906, 1270, 'US', 'US-KS', 'Wichita', 'no', '72K', '', '72K', ''),
	('87K', 'small_airport', 'El Dorado Springs Memorial Airport', 37.8567008972168, -93.99909973144531, 931, 'US', 'US-MO', 'El Dorado Springs', 'no', 'K87K', '', '87K', ''),
	('87MO', 'small_airport', 'Richters Airport', 38.69609832763672, -94.25800323486328, 915, 'US', 'US-MO', 'East Lynne', 'no', '87MO', '', '87MO', ''),
	('00KS', 'small_airport', 'Hayden Farm Airport', 38.72779846191406, -94.93049621582031, 1100, 'US', 'US-KS', 'Gardner', 'no', '00KS', '', '00KS', ''),
	('KFAB', 'N/A', 'N/A', 36.858243718743324, -96.7382088303566, 320, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3O9', 'small_airport', 'Grand Lake Regional Airport', 36.577598571777, -94.86190032959, 792, 'US', 'US-OK', 'Afton', 'no', '3O9', 'NRI', '3O9', 'The Landings on Monkey Island'),
	('MO98', 'small_airport', 'Williams Airport', 38.713258, -94.585268, 985, 'US', 'US-MO', 'Cleveland', 'no', 'MO98', '', 'MO98', 'Flying M Ranch'),
	('3KS5', 'small_airport', 'High Point Airport', 37.8427155871, -97.3514413834, 1395, 'US', 'US-KS', 'Valley Center', 'no', '3KS5', '', '3KS5', ''),
	('81KS', 'small_airport', 'Blackhawk Airport', 39.1562, -95.577499, 1015, 'US', 'US-KS', 'Meriden', 'no', '81KS', '', '81KS', ''),
	('2KS2', 'small_airport', 'Stuber Flying Ranch Airport', 37.655601501464844, -96.29060363769531, 1200, 'US', 'US-KS', 'Severy', 'no', '2KS2', '', '2KS2', ''),
	('KDEY', 'N/A', 'N/A', 36.84965293854475, -95.88536515831947, 246, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8KS5', 'small_airport', 'Blue Sky Airport', 37.316148, -95.280089, 890, 'US', 'US-KS', 'Parsons', 'no', '8KS5', '', '8KS5', ''),
	('3EX', 'small_airport', 'Excelsior Springs Memorial Airport', 39.33720016479492, -94.19770050048828, 997, 'US', 'US-MO', 'Excelsior Springs', 'no', '3EX', '', '3EX', ''),
	('MO95', 'closed', 'Hawkins Airport', 39.4417, -93.662201, 720, 'US', 'US-MO', 'Carrollton', 'no', '', '', '', 'MO95'),
	('SN20', 'small_airport', 'Brady-Pippin Airport', 37.71950149536133, -97.04889678955078, 1300, 'US', 'US-KS', 'Augusta', 'no', 'SN20', '', 'SN20', ''),
	('2KS0', 'small_airport', 'Rupp Airport', 37.20669937133789, -96.07689666748047, 1000, 'US', 'US-KS', 'Sedan', 'no', '2KS0', '', '2KS0', ''),
	('KPTS', 'small_airport', 'Atkinson Municipal Airport', 37.449501, -94.731102, 950, 'US', 'US-KS', 'Pittsburg', 'no', 'KPTS', 'PTS', 'PTS', ''),
	('15KS', 'small_airport', 'Sickler Airstrip', 38.430599212646484, -96.08830261230469, 1200, 'US', 'US-KS', 'Emporia', 'no', '15KS', '', '15KS', ''),
	('MU26', 'small_airport', 'Robinson Airport', 38.77083, -94.559133, 1080, 'US', 'US-MO', 'Belton', 'no', 'MU26', '', 'MU26', ''),
	('KDAK', 'N/A', 'N/A', 37.01724171638489, -95.94520658254623, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7MO7', 'closed', 'Kimray Airport', 39.5667, -94.414703, 940, 'US', 'US-MO', 'Plattsburg', 'no', '', '', '', '7MO7'),
	('0MO1', 'small_airport', 'Flying G Airport', 38.54652, -94.096629, 920, 'US', 'US-MO', 'La Tour', 'no', '0MO1', '', '0MO1', ''),
	('SN83', 'small_airport', 'Highcrest Air Park', 39.2272, -94.951401, 1000, 'US', 'US-KS', 'Lansing', 'no', '', '', 'SN83', ''),
	('19K', 'N/A', 'N/A', 38.770330511033535, -94.59510460495949, 339, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KIOL', 'N/A', 'N/A', 37.91134737432003, -95.35026893019676, 306, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('27MO', 'small_airport', 'Route 66 Airfield', 37.19390106201172, -94.22419738769531, 1055, 'US', 'US-MO', 'Carthage', 'no', '27MO', '', '27MO', ''),
	('2MO8', 'small_airport', 'Frerer Strip', 37.135101318359375, -94.36409759521484, 1020, 'US', 'US-MO', 'Carthage', 'no', '2MO8', '', '2MO8', ''),
	('62MO', 'small_airport', 'Washburn Farm Airport', 39.06060028076172, -94.20330047607422, 855, 'US', 'US-MO', 'Grain Valley', 'no', '62MO', '', '62MO', ''),
	('SN93', 'closed', 'Dickson /Private/ Airport', 38.645802, -95.989197, 1140, 'US', 'US-KS', 'Miller', 'no', '', '', '', 'SN93'),
	('97F', 'small_airport', 'Crazy Horse Municipal Airport', 34.54650115966797, -97.1083984375, 940, 'US', 'US-OK', 'Davis', 'no', '97F', '', '97F', ''),
	('88OK', 'small_airport', 'Hilltop Airport', 36.19340133666992, -97.0906982421875, 1070, 'US', 'US-OK', 'Stillwater', 'no', '88OK', '', '88OK', ''),
	('OK69', 'closed', 'Monarch Field', 36.525101, -95.466904, 755, 'US', 'US-OK', 'Chelsea', 'no', '', '', '', 'OK69'),
	('AR04', 'closed', 'Gunem Field', 36.261701, -94.248299, 1214, 'US', 'US-AR', 'Cave Springs', 'no', '', '', '', 'AR04'),
	('1K8', 'small_airport', 'South Grand Lake Regional Airport', 36.541698, -95.021103, 775, 'US', 'US-OK', 'Ketchum', 'no', '1K8', '', '1K8', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('H71', 'small_airport', 'Mid America Industrial Airport', 36.225399, -95.330101, 622, 'US', 'US-OK', 'Pryor', 'no', 'KH71', '', 'H71', ''),
	('OL20', 'small_airport', 'Whitehorn Cove Airport', 35.99729919433594, -95.25890350341797, 568, 'US', 'US-OK', 'Wagoner', 'no', 'OL20', '', 'OL20', ''),
	('80F', 'small_airport', 'Antlers Municipal Airport', 34.1926002502, -95.6499023438, 575, 'US', 'US-OK', 'Antlers', 'no', '80F', 'ATE', '80F', ''),
	('0OK6', 'small_airport', 'Ellis/Harvey Airport', 35.801700592041016, -97.38610076904297, 1220, 'US', 'US-OK', 'Guthrie', 'no', '0OK6', '', '0OK6', ''),
	('54OK', 'small_airport', 'Ambassador Ultralightport', 35.86949920654297, -96.03500366210938, 687, 'US', 'US-OK', 'Mounds', 'no', '54OK', '', '54OK', ''),
	('H68', 'small_airport', 'Hefner Easley Airport', 35.96260070800781, -95.34190368652344, 609, 'US', 'US-OK', 'Wagoner', 'no', 'KH68', '', 'H68', ''),
	('18AR', 'small_airport', 'Buck Mountain Airport', 36.339439, -93.825036, 1450, 'US', 'US-AR', 'Eureka Springs', 'no', '18AR', '', '18AR', ''),
	('7M5', 'small_airport', 'Ozark Franklin County Airport', 35.51070022583008, -93.83930206298828, 648, 'US', 'US-AR', 'Ozark', 'no', 'K7M5', '', '7M5', ''),
	('1H6', 'small_airport', 'Harvey Young Airport', 36.139, -95.824997, 750, 'US', 'US-OK', 'Tulsa', 'no', '1H6', '', '1H6', ''),
	('9OK4', 'closed', 'Vo-Tech Heliport', 36.091801, -95.216904, 676, 'US', 'US-OK', 'Tulsa', 'no', '', '', '', '9OK4'),
	('KGZL', 'N/A', 'N/A', 35.288166739046574, -95.09388908743858, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OK62', 'small_airport', 'Strader Ranch Airport', 34.24869918823242, -97.20919799804688, 850, 'US', 'US-OK', 'Ardmore', 'no', 'OK62', '', 'OK62', ''),
	('40AR', 'small_airport', 'Lost Bridge Village Airport', 36.392799377441406, -93.91239929199219, 1440, 'US', 'US-AR', 'Garfield', 'no', '40AR', '', '40AR', ''),
	('98OK', 'small_airport', 'Candy Lake Estate Airport', 36.489200592041016, -96.05280303955078, 685, 'US', 'US-OK', 'Avant', 'no', '98OK', '', '98OK', ''),
	('2OK4', 'small_airport', 'Ragwing Acres Airport', 35.81679916381836, -96.05860137939453, 780, 'US', 'US-OK', 'Mounds', 'no', '2OK4', '', '2OK4', ''),
	('H34', 'small_airport', 'Huntsville Municipal Airport', 36.078201, -93.754799, 1749, 'US', 'US-AR', 'Huntsville', 'no', '', '', 'H34', ''),
	('OK34', 'small_airport', 'Gustafson Airport', 35.48429870605469, -94.84190368652344, 855, 'US', 'US-OK', 'Sallisaw', 'no', 'OK34', '', 'OK34', ''),
	('OK24', 'small_airport', 'Colby Field', 34.206199645996094, -97.2311019897461, 930, 'US', 'US-OK', 'Lone Grove', 'no', 'OK24', '', 'OK24', ''),
	('5OK3', 'small_airport', 'Stearmans Roost Airport', 36.488399505615234, -95.1438980102539, 702, 'US', 'US-OK', 'Vinita', 'no', '5OK3', '', '5OK3', ''),
	('OK20', 'small_airport', 'Sageeyah Airfield', 36.38370132446289, -95.64800262451172, 640, 'US', 'US-OK', 'Claremore', 'no', 'OK20', '', 'OK20', ''),
	('KPVJ', 'small_airport', 'Pauls Valley Municipal Airport', 34.71110153, -97.22319794, 971, 'US', 'US-OK', 'Pauls Valley', 'no', 'KPVJ', '', 'PVJ', 'F51'),
	('5M5', 'small_airport', 'Crystal Lake Airport', 36.343601, -94.444801, 1180, 'US', 'US-AR', 'Decatur', 'no', 'K5M5', '', '5M5', ''),
	('09OK', 'small_airport', 'Ragtime Aerodrome', 36.35449981689453, -95.86389923095703, 700, 'US', 'US-OK', 'Collinsville', 'no', '09OK', '', '09OK', ''),
	('08OK', 'small_airport', 'Parks Airport', 34.93149948120117, -95.25830078125, 635, 'US', 'US-OK', 'Wilburton', 'no', '08OK', '', '08OK', ''),
	('OK94', 'small_airport', 'Sand Ridge Airpark Inc Airport', 36.354801177978516, -95.80329895019531, 675, 'US', 'US-OK', 'Collinsville', 'no', 'OK94', '', 'OK94', ''),
	('38AR', 'small_airport', 'Williams Field', 36.11880111694336, -94.46820068359375, 1150, 'US', 'US-AR', 'Siloam Springs', 'no', '38AR', '', '38AR', ''),
	('O36', 'N/A', 'N/A', 35.64975533634424, -95.85793197154999, 224, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('M27', 'small_airport', 'Waldron Municipal Airport', 34.875999, -94.109299, 695, 'US', 'US-AR', 'Waldron', 'no', '', '', 'M27', ''),
	('KTUY', 'N/A', 'N/A', 36.21092040091753, -96.00844502449036, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHHW', 'small_airport', 'Stan Stamper Municipal Airport', 34.03480148, -95.54190063, 572, 'US', 'US-OK', 'Hugo', 'no', 'KHHW', 'HUJ', 'HHW', ''),
	('KGCM', 'small_airport', 'Claremore Regional Airport', 36.292702, -95.479599, 733, 'US', 'US-OK', 'Claremore', 'no', 'KGCM', '', 'GCM', ''),
	('74OK', 'closed', 'W.G. Anderson Memorial Airport', 33.950102, -97.150297, 825, 'US', 'US-OK', 'Marietta', 'no', '', '', '', '74OK'),
	('AR11', 'small_airport', 'Ozark Aerodrome', 36.287487, -94.08774, 1270, 'US', 'US-AR', 'Rogers', 'no', 'AR11', '', 'AR11', ''),
	('TS85', 'small_airport', 'Diamond J Airport', 33.8106, -96.703903, 802, 'US', 'US-TX', 'Pottsboro', 'no', 'TS85', '', 'TS85', 'Tanglewood Airfield'),
	('3T0', 'small_airport', 'Cedar Mills Airport', 33.839298248291016, -96.81009674072266, 640, 'US', 'US-TX', 'Gordonville', 'no', '3T0', '', '3T0', ''),
	('2OL2', 'small_airport', 'Myers Field Ultralight Flightpark', 35.887833, -95.919639, 665, 'US', 'US-OK', 'Bixby', 'no', '2OL2', '', '2OL2', ''),
	('4M2', 'small_airport', 'Booneville Municipal Airport', 35.149534, -93.863545, 465, 'US', 'US-AR', 'Booneville', 'no', '', '', '4M2', ''),
	('O38', 'small_airport', 'Gundys Airport', 36.26679992675781, -95.78359985351563, 720, 'US', 'US-OK', 'Owasso', 'no', 'O38', '', 'O38', ''),
	('KTQH', 'small_airport', 'Tahlequah Municipal Airport', 35.928902, -95.004501, 874, 'US', 'US-OK', 'Tahlequah', 'no', 'KTQH', '', 'TQH', ''),
	('1OK9', 'small_airport', 'Hankins Airport', 33.975101470947266, -97.08920288085938, 843, 'US', 'US-OK', 'Marietta', 'no', '1OK9', '', '1OK9', ''),
	('OK29', 'small_airport', 'Travis Airport', 33.9359016418457, -97.05449676513672, 862, 'US', 'US-OK', 'Marietta', 'no', 'OK29', '', 'OK29', ''),
	('OK21', 'small_airport', 'Longs Airport North Airport', 36.33340072631836, -95.30439758300781, 650, 'US', 'US-OK', 'Pryor', 'no', 'OK21', '', 'OK21', ''),
	('4O4', 'small_airport', 'McCurtain County Regional Airport', 33.909401, -94.859398, 472, 'US', 'US-OK', 'Idabel', 'no', '', '', '4O4', ''),
	('OK25', 'small_airport', 'Cherokee Ranch Airport', 35.81330108642578, -95.75330352783203, 710, 'US', 'US-OK', 'Haskell', 'no', 'OK25', '', 'OK25', ''),
	('6F1', 'small_airport', 'Talihina Municipal Airport', 34.707801818847656, -95.07379913330078, 687, 'US', 'US-OK', 'Talihina', 'no', '6F1', '', '6F1', ''),
	('00OK', 'small_airport', 'Gull Bay Landing Airport', 36.198598, -96.217693, 960, 'US', 'US-OK', 'Sandsprings', 'no', '00OK', '', '00OK', ''),
	('1AR8', 'closed', 'Flying W Air Park Inc Airport', 35.325699, -94.186798, 420, 'US', 'US-AR', 'Lavaca', 'no', '', '', '', '1AR8'),
	('3AR7', 'small_airport', 'Taylor Field', 36.26461, -94.16545, 1315, 'US', 'US-AR', 'Lowell', 'no', '3AR7', '', '3AR7', ''),
	('66OK', 'small_airport', 'Mc Laughlin Farm Airport', 34.0890007019, -96.4216995239, 695, 'US', 'US-OK', 'Durant', 'no', '66OK', '', '66OK', ''),
	('51OK', 'small_airport', 'Eagle Creek Airport', 35.793611, -96.029722, 740, 'US', 'US-OK', 'Beggs', 'no', '51OK', '', '51OK', ''),
	('KROG', 'small_airport', 'Rogers Municipal Airport-Carter Field', 36.37229919, -94.10690308, 1359, 'US', 'US-AR', 'Rogers', 'no', 'KROG', 'ROG', 'ROG', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('3OK0', 'small_airport', 'Valley Airport', 34.70500183105469, -96.57669830322266, 780, 'US', 'US-OK', 'Ada', 'no', '3OK0', '', '3OK0', ''),
	('5OK4', 'small_airport', 'Pacer Field', 35.113112, -97.450647, 1140, 'US', 'US-OK', 'Washington', 'no', '5OK4', '', '5OK4', ''),
	('0OK4', 'small_airport', 'Rock Creek Farm Airport', 34.66059875488281, -96.25360107421875, 730, 'US', 'US-OK', 'Coal Gate', 'no', '0OK4', '', '0OK4', ''),
	('55OK', 'small_airport', 'Gilstrap Field', 36.2239990234, -95.5783004761, 575, 'US', 'US-OK', 'Inola', 'no', '55OK', '', '55OK', ''),
	('12OK', 'closed', 'Expressway Airpark', 35.541302, -97.453102, 1070, 'US', 'US-OK', 'Oklahoma City', 'no', '', '', '', '12OK'),
	('1F1', 'closed', 'Lake Murray State Park Airport', 34.075097, -97.106679, 817, 'US', 'US-OK', 'Overbrook', 'no', '', '', '', '1F1'),
	('KGOK', 'small_airport', 'Guthrie-Edmond Regional Airport', 35.84980011, -97.41560364, 1069, 'US', 'US-OK', 'Guthrie', 'no', 'KGOK', 'GOK', 'GOK', ''),
	('26OK', 'small_airport', 'Duck Creek Airport', 35.882198, -96.004402, 700, 'US', 'US-OK', 'Mounds', 'no', 'OK36', '', 'OK36', '26OK'),
	('KCHH', 'N/A', 'N/A', 35.814576745033264, -96.87424600124359, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('36OK', 'small_airport', 'Jones Air Park', 35.272300720214844, -96.88169860839844, 1100, 'US', 'US-OK', 'Tecumseh', 'no', '36OK', '', '36OK', ''),
	('OK15', 'small_airport', 'Avian Country Estates Airport', 36.3760986328125, -95.7052993774414, 750, 'US', 'US-OK', 'Oolagah', 'no', 'OK15', '', 'OK15', ''),
	('OK16', 'small_airport', 'Fairmont Field Airport', 36.3647, -97.667801, 1168, 'US', 'US-OK', 'Fairmont', 'no', '', '', '1OK', 'OK16'),
	('KOWP', 'small_airport', 'William R. Pogue Municipal Airport', 36.175301, -96.151802, 892, 'US', 'US-OK', 'Sand Springs', 'no', 'KOWP', '', 'OWP', '0F8'),
	('2OK0', 'closed', 'Burford Corp. Airport', 34.832002, -97.410004, 945, 'US', 'US-OK', 'Maysville', 'no', '', '', '', '2OK0'),
	('95OK', 'small_airport', 'Barcus Field', 36.267601013183594, -95.63069915771484, 660, 'US', 'US-OK', 'Claremore', 'no', '95OK', '', '95OK', ''),
	('OK50', 'closed', 'Traynor Ranch Airport', 36.330282, -97.882773, 1220, 'US', 'US-OK', 'Waukomis', 'no', '', '', '', 'OK50'),
	('15OK', 'closed', 'Bluebird Airport', 35.703889, -95.310833, 531, 'US', 'US-OK', 'Muskogee', 'no', '', '', '', '15OK'),
	('1K4', 'small_airport', 'David Jay Perry Airport', 35.155102, -97.470398, 1168, 'US', 'US-OK', 'Goldsby', 'no', 'K1K4', '', '1K4', ''),
	('KDAJ', 'N/A', 'N/A', 36.15007650107145, -95.72842866182327, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1AR5', 'small_airport', 'Cherokee Strip', 36.299400329589844, -94.58470153808594, 1194, 'US', 'US-AR', 'Gentry', 'no', '1AR5', '', '1AR5', ''),
	('6OK7', 'small_airport', 'Cochran Ranch Airport', 34.59590148925781, -95.86299896240234, 790, 'US', 'US-OK', 'Atoka', 'no', '6OK7', '', '6OK7', ''),
	('2OK1', 'closed', 'Frost Ranch Airport', 35.590099, -97.010598, 1030, 'US', 'US-OK', 'Meeker', 'no', '', '', '', '2OK1'),
	('KRVS', 'medium_airport', 'Tulsa Riverside Airport', 36.0396, -95.984596, 638, 'US', 'US-OK', 'Tulsa', 'no', 'KRVS', 'RVS', 'RVS', 'Riverside Airport, Tulsa'),
	('6AR8', 'small_airport', 'Flying W Airpark II Airport', 35.3300018311, -94.0419006348, 474, 'US', 'US-AR', 'Charleston', 'no', '6AR8', '', '6AR8', ''),
	('6OK9', 'small_airport', 'Mulberry Hill Airport', 36.14170074, -96.94229889, 1026, 'US', 'US-OK', 'Stillwater', 'no', '6OK9', '', '6OK9', ''),
	('OL27', 'small_airport', 'Faith Field', 34.031456, -97.00931, 791, 'US', 'US-OK', 'Marietta', 'no', 'OL27', '', 'OL27', ''),
	('TA22', 'closed', 'Reward Ranch Airport', 33.7673, -96.121597, 615, 'US', 'US-TX', 'Bonham', 'no', '', '', '', 'TA22'),
	('3O3', 'small_airport', 'Purcell Municipal - Steven E. Shephard field', 34.984501, -97.382797, 1143, 'US', 'US-OK', 'Purcell', 'no', '', '', '3O3', 'OK22'),
	('KTUL', 'large_airport', 'Tulsa International Airport', 36.19839859008789, -95.88809967041016, 677, 'US', 'US-OK', 'Tulsa', 'yes', 'KTUL', 'TUL', 'TUL', ''),
	('OK00', 'small_airport', 'Jacktown Airport', 35.516300201416016, -97.02210235595703, 954, 'US', 'US-OK', 'Jacktown', 'no', 'OK00', '', 'OK00', ''),
	('37K', 'N/A', 'N/A', 33.92597235739231, -97.29636132717133, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDEQ', 'small_airport', 'J Lynn Helms Sevier County Airport', 34.047001, -94.399399, 355, 'US', 'US-AR', 'DeQueen', 'no', 'KDEQ', '', 'DEQ', 'F90'),
	('KDUN', 'N/A', 'N/A', 34.00808718055487, -96.13946691155434, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('20OK', 'closed', 'Will and Wiley''s Aerodrome', 36.325699, -95.646896, 700, 'US', 'US-OK', 'Claremore', 'no', '', '', '', '20OK'),
	('OK55', 'small_airport', 'Bost Ranch Airport', 35.714500427246094, -97.22589874267578, 1070, 'US', 'US-OK', 'Luther', 'no', 'OK55', '', 'OK55', ''),
	('OK36', 'closed', 'W C Ranch STOLport', 35.1197, -95.703903, 725, 'US', 'US-OK', 'Crowder', 'no', '', '', '', 'OK36'),
	('73OK', 'closed', 'Haxton Airport', 35.85017, -99.33959, 2050, 'US', 'US-OK', 'Leedey', 'no', '', '', '', '73OK'),
	('KSNL', 'small_airport', 'Shawnee Regional Airport', 35.357898712158, -96.942802429199, 1073, 'US', 'US-OK', 'Shawnee', 'no', 'KSNL', 'SNL', 'SNL', ''),
	('08F', 'small_airport', 'City of Coalgate Airport', 34.53179931640625, -96.23310089111328, 615, 'US', 'US-OK', 'Coalgate', 'no', '08F', '', '08F', ''),
	('AR27', 'small_airport', 'Lollars Creek Farm Airport', 35.93899917602539, -93.845703125, 1430, 'US', 'US-AR', 'Wesley', 'no', 'AR27', '', 'AR27', ''),
	('OK37', 'small_airport', 'Dog Iron Ranch Airport', 36.4695015, -95.6678009, 760, 'US', 'US-OK', 'Oologah', 'no', 'OK37', '', 'OK37', ''),
	('2K9', 'small_airport', 'Haskell Airport', 35.83290100097656, -95.66739654541016, 588, 'US', 'US-OK', 'Haskell', 'no', 'K2K9', '', '2K9', ''),
	('OK96', 'small_airport', 'Ives Airport', 35.75640106201172, -97.08480072021484, 1035, 'US', 'US-OK', 'Wellston', 'no', 'OK96', '', 'OK96', ''),
	('0K6', 'small_airport', 'Dobie''s Airport', 36.178496, -95.580468, 610, 'US', 'US-OK', 'Inola', 'no', '', '', '0K6', ''),
	('F99', 'small_airport', 'Holdenville Municipal Airport', 35.08589935, -96.41670227, 861, 'US', 'US-OK', 'Holdenville', 'no', 'KF99', '', 'F99', ''),
	('KMEZ', 'small_airport', 'Mena Intermountain Municipal Airport', 34.545399, -94.202698, 1080, 'US', 'US-AR', 'Mena', 'no', 'KMEZ', 'UMZ', 'MEZ', 'M39'),
	('O18', 'small_airport', 'Buzzards Roost Airport', 36.14400100708008, -95.4177017211914, 661, 'US', 'US-OK', 'Inola', 'no', 'O18', '', 'O18', ''),
	('0F7', 'small_airport', 'Fountainhead Lodge Airpark', 35.388699, -95.600238, 670, 'US', 'US-OK', 'Checotah', 'no', '', '', '0F7', ''),
	('F22', 'small_airport', 'Perry Municipal Airport', 36.385601, -97.277199, 1002, 'US', 'US-OK', 'Perry', 'no', 'KF22', '', 'F22', ''),
	('62AR', 'small_airport', 'Banks Ranch Airport', 36.457222, -93.859866, 1061, 'US', 'US-AR', 'Busch', 'no', '62AR', '', '62AR', ''),
	('10OK', 'small_airport', 'Hickory Hills Airport', 35.16669845581055, -97.21700286865234, 1175, 'US', 'US-OK', 'Norman', 'no', '10OK', '', '10OK', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KSLG', 'small_airport', 'Smith Field', 36.191898, -94.489998, 1191, 'US', 'US-AR', 'Siloam Springs', 'no', 'KSLG', 'SLG', 'SLG', ''),
	('KHOY', 'N/A', 'N/A', 33.83028220385313, -95.9281937777996, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2F6', 'small_airport', 'Skiatook Municipal Airport', 36.355098724365234, -96.01100158691406, 670, 'US', 'US-OK', 'Skiatook', 'no', '2F6', '', '2F6', ''),
	('OK95', 'small_airport', 'Disney Airport', 36.48899841308594, -94.95829772949219, 955, 'US', 'US-OK', 'Disney', 'no', 'OK95', '', 'OK95', ''),
	('54AR', 'small_airport', 'Winfield Airpark', 35.392856, -93.758706, 390, 'US', 'US-AR', 'Altus', 'no', '54AR', '', '54AR', ''),
	('4OK6', 'closed', 'Pitts Field', 34.989498, -97.025297, 1060, 'US', 'US-OK', 'Wanette', 'no', '', '', '', '4OK6'),
	('IBO', 'N/A', 'N/A', 33.90477553009987, -94.84516873955727, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OK59', 'small_airport', 'Wolf Mountain Airport', 35.022300720214844, -94.70439910888672, 860, 'US', 'US-OK', 'Poteau', 'no', 'OK59', '', 'OK59', ''),
	('F30', 'small_airport', 'Sulphur Municipal Airport', 34.52450180053711, -96.98970031738281, 1051, 'US', 'US-OK', 'Sulphur', 'no', 'KF30', '', 'F30', ''),
	('OK90', 'closed', 'Boatner Field', 33.902, -96.472198, 734, 'US', 'US-OK', 'Calera', 'no', '', '', '', 'OK90'),
	('3F7', 'small_airport', 'Jones Memorial Airport', 35.80690002441406, -96.4218978881836, 851, 'US', 'US-OK', 'Bristow', 'no', 'K3F7', '', '3F7', ''),
	('OL24', 'small_airport', 'Ronka Rhey Airport', 35.735819, -97.189254, 981, 'US', 'US-OK', 'Luther', 'no', 'OL24', '', 'OL24', ''),
	('KDUA', 'medium_airport', 'Durant Regional Airport - Eaker Field', 33.939675, -96.395072, 699, 'US', 'US-OK', 'Durant', 'no', 'KDUA', 'DUA', 'DUA', ''),
	('M77', 'small_airport', 'Howard County Airport', 33.996700286865234, -93.83809661865234, 553, 'US', 'US-AR', 'Nashville', 'no', 'KM77', '', 'M77', ''),
	('KOUN', 'small_airport', 'University of Oklahoma Westheimer Airport', 35.2456, -97.472099, 1182, 'US', 'US-OK', 'Norman', 'no', 'KOUN', 'OUN', 'OUN', ''),
	('KFSM', 'medium_airport', 'Fort Smith Regional Airport', 35.336601, -94.367401, 469, 'US', 'US-AR', 'Fort Smith', 'yes', 'KFSM', 'FSM', 'FSM', ''),
	('OL19', 'small_airport', 'Stuart Mountain Airpark', 34.91540145874, -96.129402160645, 990, 'US', 'US-OK', 'Stuart', 'no', '', '', 'OL19', 'OL19'),
	('90F', 'small_airport', 'Jewel B Callaham Municipal Airport', 34.014, -94.758598, 404, 'US', 'US-OK', 'Broken Bow', 'no', 'K90F', '', '90F', ''),
	('68AR', 'small_airport', 'Luginbuel Hee Haw Airport', 35.933573, -94.415925, 1425, 'US', 'US-AR', 'Luginbuel Hee Haw Airport', 'no', '68AR', '', '68AR', ''),
	('33OK', 'small_airport', 'Myrick Airport', 35.7432903732, -97.4055790901, 1195, 'US', 'US-OK', 'Edmond', 'no', '33OK', '', '33OK', ''),
	('F81', 'closed', 'Okemah Flying Field', 35.43108, -96.28284, 867, 'US', 'US-OK', 'Okemah', 'no', '', '', '', 'F81'),
	('90OK', 'closed', 'Stewart Farms Airport', 36.500599, -98.501999, 1460, 'US', 'US-OK', 'Aline', 'no', '', '', '', '90OK'),
	('1OL2', 'small_airport', 'Steciak Strip', 35.48899841308594, -97.19200134277344, 1100, 'US', 'US-OK', 'Harrah', 'no', '1OL2', '', '1OL2', ''),
	('TA80', 'small_airport', 'U U Ranch Airport', 33.8931999206543, -96.9281005859375, 740, 'US', 'US-TX', 'Whitesboro', 'no', 'TA80', '', 'TA80', ''),
	('44M', 'small_airport', 'Tenkiller Lake Airpark', 35.705101013183594, -94.93589782714844, 877, 'US', 'US-OK', 'Cookson', 'no', '44M', '', '44M', ''),
	('KSUD', 'small_airport', 'Stroud Municipal Airport', 35.789600372314, -96.655700683594, 900, 'US', 'US-OK', 'Stroud', 'no', 'KSUD', 'SUD', 'SUD', ''),
	('40OK', 'small_airport', 'Hilltop Airport', 36.1161003112793, -96.53810119628906, 930, 'US', 'US-OK', 'Oilton', 'no', '40OK', '', '40OK', ''),
	('56OK', 'small_airport', 'L D Airport', 35.45840072631836, -97.06700134277344, 1080, 'US', 'US-OK', 'Mc Loud', 'no', '56OK', '', '56OK', ''),
	('8OL1', 'small_airport', 'Petes Airpark', 35.227901458740234, -96.22949981689453, 771, 'US', 'US-OK', 'Wetumka', 'no', '8OL1', '', '8OL1', ''),
	('KMCT', 'N/A', 'N/A', 35.0564406439662, -95.8213059604168, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OK17', 'small_airport', 'Bass Aero Airport', 34.21825, -97.052567, 840, 'US', 'US-OK', 'Ardmore', 'no', 'OK17', '', 'OK17', ''),
	('OK13', 'small_airport', 'Erroport Airport', 35.84579849243164, -95.97109985351563, 660, 'US', 'US-OK', 'Mounds', 'no', 'OK13', '', 'OK13', ''),
	('89OK', 'small_airport', 'Neversweat Too Airport', 35.44309997558594, -94.89749908447266, 565, 'US', 'US-OK', 'Sallisaw', 'no', '89OK', '', '89OK', ''),
	('5OK6', 'closed', 'Woodleaf Aero Estates Airport', 35.712601, -97.366997, 1201, 'US', 'US-OK', 'Edmond', 'no', '', '', '', '5OK6'),
	('22OK', 'small_airport', 'Smith Field', 34.315161, -97.177492, 860, 'US', 'US-OK', 'Springer', 'no', '22OK', '', '22OK', ''),
	('OK18', 'small_airport', 'Grand Isle Airport', 36.423401, -95.171097, 636, 'US', 'US-OK', 'Big Cabin', 'no', 'OK18', '', 'OK18', ''),
	('F32', 'small_airport', 'Healdton Municipal Airport', 34.249298095703125, -97.4738998413086, 956, 'US', 'US-OK', 'Healdton', 'no', 'KF32', '', 'F32', ''),
	('OL32', 'small_airport', 'Flat Rock Field', 36.071632, -95.36274, 612, 'US', 'US-OK', 'Chouteau', 'no', 'OL32', '', 'OL32', ''),
	('OK93', 'small_airport', 'Airman Acres Airport', 36.33340072631836, -95.88359832763672, 695, 'US', 'US-OK', 'Collinsville', 'no', 'OK93', '', 'OK93', ''),
	('KVBT', 'small_airport', 'Bentonville Municipal-Louise M Thaden Field', 36.345699, -94.219299, 1296, 'US', 'US-AR', 'Bentonville', 'no', 'KVBT', '', 'VBT', 'H00'),
	('93OK', 'small_airport', 'Jantzen Airport', 35.93450164794922, -95.59140014648438, 670, 'US', 'US-OK', 'Coweta', 'no', '93OK', '', '93OK', ''),
	('OK30', 'small_airport', 'Grandcraft Landing Strip', 36.491798400878906, -95.05020141601563, 827, 'US', 'US-OK', 'Langley', 'no', 'OK30', '', 'OK30', ''),
	('K11', 'small_airport', 'Sam Riggs Airpark', 36.218201, -95.651901, 580, 'US', 'US-OK', 'Claremore', 'no', 'K11', '', 'K11', ''),
	('OK01', 'small_airport', 'Sky Haven Airpark/Sellmeyer Field', 36.42900085449219, -95.9032974243164, 675, 'US', 'US-OK', 'Vera', 'no', 'OK01', '', 'OK01', ''),
	('2AR5', 'small_airport', 'Ashmore Field', 36.38309860229492, -94.29389953613281, 1362, 'US', 'US-AR', 'Centerton', 'no', '2AR5', '', '2AR5', ''),
	('3OK2', 'closed', 'Hopcus Farms Airport', 35.591999, -97.327798, 1110, 'US', 'US-OK', 'Jones', 'no', '', '', '', '3OK2'),
	('19OK', 'closed', 'Gerhart Airport', 35.728401, -95.977203, 940, 'US', 'US-OK', 'Okmulgee', 'no', '', '', '', '19OK'),
	('1F0', 'small_airport', 'Ardmore Downtown Executive Airport', 34.1469993591, -97.1227035522, 844, 'US', 'US-OK', 'Ardmore', 'no', '', 'AHD', '1F0', ''),
	('OK85', 'small_airport', 'Goddard Ranch Airport', 34.30009841918945, -96.91699981689453, 858, 'US', 'US-OK', 'Ardmore', 'no', 'OK85', '', 'OK85', ''),
	('KJSV', 'small_airport', 'Sallisaw Municipal Airport', 35.438202, -94.802803, 527, 'US', 'US-OK', 'Sallisaw', 'no', 'KJSV', '', 'JSV', ''),
	('KCQB', 'small_airport', 'Chandler Regional Airport', 35.723801, -96.820297, 984, 'US', 'US-OK', 'Chandler', 'no', 'KCQB', '', 'CQB', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KAQR', 'small_airport', 'Atoka Municipal Airport', 34.398300170898, -96.148101806641, 590, 'US', 'US-OK', 'Atoka', 'no', 'KAQR', '', 'AQR', 'F80'),
	('KASG', 'small_airport', 'Springdale Municipal Airport', 36.176399231, -94.1193008423, 1353, 'US', 'US-AR', 'Springdale', 'no', 'KASG', 'SPZ', 'ASG', ''),
	('KFYV', 'medium_airport', 'Drake Field', 36.00510025024414, -94.17009735107422, 1251, 'US', 'US-AR', 'Fayetteville', 'no', 'KFYV', 'FYV', 'FYV', ''),
	('H97', 'small_airport', 'Pawnee Municipal Airport', 36.377209, -96.805285, 875, 'US', 'US-OK', 'Pawnee', 'no', '', '', 'H97', ''),
	('KFOG', 'N/A', 'N/A', 35.91147590428591, -95.24342402815819, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1OK0', 'small_airport', 'Neversweat Airport', 35.894284, -96.279826, 775, 'US', 'US-OK', 'Bristow', 'no', '1OK0', '', '1OK0', 'Duncan'),
	('KCUH', 'small_airport', 'Cushing Municipal Airport', 35.950496, -96.772371, 916, 'US', 'US-OK', 'Cushing', 'no', 'KCUH', 'CUH', 'CUH', 'Air Evac 36 Heliport'),
	('AR19', 'small_airport', 'Wesson-Davis Field', 35.21289825439453, -93.7520980834961, 570, 'US', 'US-AR', 'Paris', 'no', 'AR19', '', 'AR19', ''),
	('KOAL', 'N/A', 'N/A', 33.988302536308765, -96.91434904932976, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5OK9', 'closed', 'Night Hawk Airpatch Ultralightport', 36.189201, -95.540298, 670, 'US', 'US-OK', 'Inola', 'no', '', '', '', '5OK9'),
	('9TX7', 'small_airport', 'Hitex Private Airport', 33.839975, -96.670544, 700, 'US', 'US-TX', 'Pottsboro', 'no', '9TX7', '', '9TX7', ''),
	('KPEE', 'N/A', 'N/A', 36.404322758316994, -97.15831741690636, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OK27', 'small_airport', 'Venture Aerodrome Airpark Nr 2 Ultralightport', 35.43560028076172, -94.47489929199219, 450, 'US', 'US-OK', 'Roland', 'no', 'OK27', '', 'OK27', ''),
	('1OK7', 'small_airport', 'Grimes Airport', 34.80009841918945, -97.4822006225586, 1035, 'US', 'US-OK', 'Maysville', 'no', '1OK7', '', '1OK7', ''),
	('OK80', 'small_airport', 'Thomas Ranch Airport', 34.72869873046875, -96.6010971069336, 811, 'US', 'US-OK', 'Ada', 'no', 'OK80', '', 'OK80', ''),
	('4O2', 'N/A', 'N/A', 33.95214535295963, -97.14571997523308, 277, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('67AR', 'small_airport', 'Wedington Woods Airport', 36.0978012085, -94.3075027466, 1090, 'US', 'US-AR', 'Fayetteville', 'no', '67AR', '', '67AR', ''),
	('69XS', 'small_airport', 'Brushy Creek Airport', 33.75339889526367, -96.8302001953125, 715, 'US', 'US-TX', 'Whitesboro', 'no', '69XS', '', '69XS', ''),
	('KSWO', 'medium_airport', 'Stillwater Regional Airport', 36.162132, -97.085581, 1000, 'US', 'US-OK', 'Stillwater', 'yes', 'KSWO', 'SWO', 'SWO', ''),
	('92OK', 'closed', 'Flying W Ranch Airport', 34.385142, -96.289729, 618, 'US', 'US-OK', 'Atoka', 'no', '', '', '', '92OK'),
	('H05', 'small_airport', 'Wilburton Municipal Airport', 34.91999816894531, -95.39399719238281, 670, 'US', 'US-OK', 'Wilburton', 'no', 'KH05', '', 'H05', ''),
	('AR09', 'small_airport', 'Gravette Field', 36.413898, -94.438904, 1200, 'US', 'US-AR', 'Gravette', 'no', 'AR09', '', 'AR09', 'Bella Vista Field'),
	('OL26', 'small_airport', 'Goaround Airport', 33.900698, -95.836058, 606, 'US', 'US-OK', 'Boswell', 'no', 'OL26', '', 'OL26', ''),
	('91F', 'small_airport', 'Arrowhead Airport', 35.15629959106445, -95.62129974365234, 851, 'US', 'US-OK', 'Canadian', 'no', 'K91F', '', '91F', ''),
	('2OK2', 'small_airport', 'Twin Lakes Airport', 35.329200744628906, -97.2697982788086, 1199, 'US', 'US-OK', 'Midwest City', 'no', '2OK2', '', '2OK2', ''),
	('AR94', 'closed', 'Squirrel Run Airport', 35.485401, -94.138298, 415, 'US', 'US-AR', 'Dyer', 'no', '', '', '', 'AR94'),
	('T40', 'closed', 'McGehee Catfish Restaurant Airport', 33.898638, -97.170782, 760, 'US', 'US-OK', 'Marietta', 'no', '', '', '', 'T40'),
	('KHAX', 'closed', 'Hatbox Field', 35.746437, -95.413277, 627, 'US', 'US-OK', 'Muskogee', 'no', '', '', '', 'Muskogee Army Airfield, KHAX, HAX, HAX'),
	('KTIK', 'medium_airport', 'Tinker Air Force Base', 35.4147, -97.386597, 1291, 'US', 'US-OK', 'Oklahoma City', 'no', 'KTIK', 'TIK', 'TIK', 'Midwest Air Depot'),
	('KADH', 'medium_airport', 'Ada Regional Airport', 34.805214, -96.671988, 1016, 'US', 'US-OK', 'Ada', 'no', 'KADH', 'ADT', 'ADH', 'Ada Municipal'),
	('OK02', 'small_airport', 'Dick''s Airport', 35.110802, -97.481697, 1160, 'US', 'US-OK', 'Washington', 'no', 'OK02', '', 'OK02', ''),
	('KSRE', 'small_airport', 'Seminole Municipal Airport', 35.2747, -96.675201, 1024, 'US', 'US-OK', 'Seminole', 'no', 'KSRE', '', 'SRE', ''),
	('OK74', 'small_airport', 'Flying H Airport', 34.829498291015625, -96.0342025756836, 850, 'US', 'US-OK', 'Ashland', 'no', 'OK74', '', 'OK74', ''),
	('0OK9', 'small_airport', 'Crystal Airport', 36.213401794433594, -96.63700103759766, 1016, 'US', 'US-OK', 'Jennings', 'no', '0OK9', '', '0OK9', ''),
	('OL31', 'small_airport', 'Red Baron Ranch Airport', 35.940357, -95.727607, 660, 'US', 'US-OK', 'Coweta', 'no', 'OL31', '', 'OL31', ''),
	('0F9', 'small_airport', 'Tishomingo Airpark', 34.198502, -96.6745, 647, 'US', 'US-OK', 'Tishomingo', 'no', '', '', '0F9', ''),
	('OK31', 'small_airport', 'Whittington Ranch Airport', 33.778542, -97.131458, 845, 'US', 'US-OK', 'Thackerville', 'no', 'OK31', '', 'OK31', ''),
	('03OK', 'small_airport', 'Sahoma Lake Airport', 36.041259, -96.161517, 890, 'US', 'US-OK', 'Sapulpa', 'no', '03OK', '', '03OK', ''),
	('4F1', 'small_airport', 'Westport Airport / Keystone Airpark', 36.222301, -96.3461, 900, 'US', 'US-OK', 'Westport', 'no', '', '', '4F1', ''),
	('KRKR', 'small_airport', 'Robert S Kerr Airport', 35.021599, -94.6213, 451, 'US', 'US-OK', 'Poteau', 'no', 'KRKR', 'RKR', 'RKR', ''),
	('95F', 'small_airport', 'Cleveland Municipal Airport', 36.283798, -96.463303, 912, 'US', 'US-OK', 'Cleveland', 'no', 'K95F', '', '95F', ''),
	('9OK5', 'small_airport', 'Diamond C Ranch Airport', 34.77830123901367, -96.92749786376953, 1140, 'US', 'US-OK', 'Stratford', 'no', '9OK5', '', '9OK5', ''),
	('O44', 'small_airport', 'McCaslin Airport', 35.0923, -97.336403, 1135, 'US', 'US-OK', 'Lexington', 'no', 'O44', '', 'O44', 'Slaughterville'),
	('OK10', 'closed', 'Entropy Airport', 34.581902, -97.409697, 1020, 'US', 'US-OK', 'Elmore City', 'no', '', '', '', 'OK10'),
	('OK89', 'closed', 'Stuart Ranch Airport', 34.1466, -96.15429, 624, 'US', 'US-OK', 'Caney', 'no', '', '', '', 'OK89'),
	('O47', 'small_airport', 'Prague Municipal Airport', 35.4822998046875, -96.71869659423828, 1042, 'US', 'US-OK', 'Prague', 'no', 'KO47', '', 'O47', ''),
	('2AR6', 'small_airport', 'Glenn Winchester Airport', 33.88180160522461, -93.92849731445313, 365, 'US', 'US-AR', 'Mineral Springs', 'no', '2AR6', '', '2AR6', ''),
	('F10', 'small_airport', 'Henryetta Municipal Airport', 35.406898498535156, -96.01580047607422, 849, 'US', 'US-OK', 'Henryetta', 'no', 'KF10', '', 'F10', ''),
	('1F4', 'small_airport', 'Madill Municipal Airport', 34.14039993286133, -96.81199645996094, 890, 'US', 'US-OK', 'Madill', 'no', 'K1F4', '', '1F4', ''),
	('6AR1', 'small_airport', 'Elder Airstrip', 36.277901, -94.196602, 1300, 'US', 'US-AR', 'Cave Springs', 'no', '6AR1', '', '6AR1', ''),
	('KADM', 'small_airport', 'Ardmore Municipal Airport', 34.30301, -97.0196342, 777, 'US', 'US-OK', 'Ardmore', 'no', 'KADM', 'ADM', 'ADM', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KAZU', 'N/A', 'N/A', 35.275091640651226, -94.22520831227303, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('F08', 'small_airport', 'Eufaula Municipal Airport', 35.298043, -95.627378, 635, 'US', 'US-OK', 'Eufaula', 'no', '', '', 'F08', ''),
	('6OK1', 'small_airport', 'John Reid Airport', 36.00149917602539, -95.00299835205078, 831, 'US', 'US-OK', 'Tahlequah', 'no', '6OK1', '', '6OK1', ''),
	('OK78', 'small_airport', 'Delozier Airport', 36.559107, -95.431694, 750, 'US', 'US-OK', 'Chelsea', 'no', 'OK78', '', 'OK78', ''),
	('5OK2', 'small_airport', 'Christopher M. Rippee Memorial Airport', 34.776667, -96.245278, 820, 'US', 'US-OK', 'Non', 'no', '5OK2', '', '5OK2', ''),
	('58AR', 'small_airport', 'Sugar Creek Airport', 36.405833, -94.175277, 1067, 'US', 'US-AR', 'Bentonville', 'no', '58AR', '', '58AR', 'Price Coffee Airfield'),
	('KOKM', 'small_airport', 'Okmulgee Regional Airport', 35.668098449707, -95.948699951172, 720, 'US', 'US-OK', 'Okmulgee', 'no', 'KOKM', 'OKM', 'OKM', 'Okmulgee Field AAF'),
	('OK44', 'small_airport', 'Canyon Springs Ranch Airport', 34.146198, -96.076897, 625, 'US', 'US-OK', 'Bokchito', 'no', '', '', '', 'OK44'),
	('79OK', 'small_airport', 'Little River Ranch Airport', 35.38479995727539, -95.17639923095703, 580, 'US', 'US-OK', 'Pickens', 'no', '79OK', '', '79OK', ''),
	('43OK', 'small_airport', 'Biggs Skypatch Airport', 35.660331, -97.002388, 1000, 'US', 'US-OK', 'Wellston', 'no', 'K3OK', '', '3OK', '43OK'),
	('OK23', 'small_airport', 'Taliaferro Field', 34.19829941, -97.23120117, 930, 'US', 'US-OK', 'Ardmore', 'no', 'OK23', '', 'OK23', ''),
	('H92', 'small_airport', 'Hominy Municipal Airport', 36.44269943237305, -96.38719940185547, 825, 'US', 'US-OK', 'Hominy', 'no', 'KH92', '', 'H92', ''),
	('1PP', 'small_airport', 'Stilwell / Cherokee Nation Airport', 35.757, -94.649902, 1084, 'US', 'US-OK', 'Stilwell', 'no', '', '', '1PP', 'O11, Painting Planes Airport'),
	('F31', 'small_airport', 'Lake Texoma State Park Airport', 33.99100112915039, -96.6427993774414, 693, 'US', 'US-OK', 'Kingston', 'no', 'KF31', '', 'F31', ''),
	('9OK7', 'small_airport', 'Cimarron Strip', 36.184799194336, -96.550300598145, 920, 'US', 'US-OK', 'Jennings', 'no', '', '', '9OK7', '9OK7'),
	('KHEV', 'N/A', 'N/A', 34.9148615822196, -94.60125267505646, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('39OK', 'small_airport', 'Paradise Air Haven Airport', 35.11149978637695, -97.47930145263672, 1205, 'US', 'US-OK', 'Goldsby', 'no', '39OK', '', '39OK', ''),
	('OK28', 'small_airport', 'McDaniel Aviation Airport', 34.22825, -96.742988, 700, 'US', 'US-OK', 'Ravia', 'no', 'OK28', '', 'OK28', ''),
	('OK06', 'small_airport', 'Snake Creek Wilderness Airport', 35.64780044555664, -94.94999694824219, 1130, 'US', 'US-OK', 'Cookson', 'no', 'OK06', '', 'OK06', ''),
	('3OK7', 'small_airport', 'Double W Airport', 36.241798400878906, -96.13420104980469, 790, 'US', 'US-OK', 'Sand Springs', 'no', '3OK7', '', '3OK7', ''),
	('67OK', 'small_airport', 'Flying J Ranch Airport', 36.03310012817383, -95.0780029296875, 990, 'US', 'US-OK', 'Peggs', 'no', '67OK', '', '67OK', ''),
	('3OK9', 'small_airport', 'Jazz Ranch Airport', 35.321786, -97.040084, 1080, 'US', 'US-OK', 'Shawnee', 'no', '3OK9', '', '3OK9', ''),
	('AR91', 'small_airport', 'Circle S Farms Airport', 36.22589874267578, -94.03209686279297, 1200, 'US', 'US-AR', 'Lowell', 'no', 'AR91', '', 'AR91', ''),
	('11OK', 'closed', 'Beefor Ranch Airport', 35.06909, -97.38465, 1150, 'US', 'US-OK', 'Purcell', 'no', '', '', '', '11OK'),
	('KMLC', 'medium_airport', 'Mc Alester Regional Airport', 34.882401, -95.783501, 770, 'US', 'US-OK', 'Mc Alester', 'no', 'KMLC', 'MLC', 'MLC', ''),
	('4OK8', 'closed', 'Austin Airport', 34.903198, -95.358902, 675, 'US', 'US-OK', 'Wilburton', 'no', '', '', '', '4OK8'),
	('KDUT', 'N/A', 'N/A', 34.03660409152508, -96.12706035375595, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('84OL', 'small_airport', 'Cotton Field', 36.11040115356445, -95.7655029296875, 685, 'US', 'US-OK', 'Broken Arrow', 'no', '84OL', '', '84OL', ''),
	('KXNA', 'medium_airport', 'Northwest Arkansas National Airport', 36.281898, -94.306801, 1287, 'US', 'US-AR', 'Fayetteville/Springdale/Rogers', 'yes', 'KXNA', 'XNA', 'XNA', 'Bentonville, Rogers'),
	('KMKO', 'small_airport', 'Muskogee-Davis Regional Airport', 35.656502, -95.366699, 611, 'US', 'US-OK', 'Muskogee', 'no', 'KMKO', 'MKO', 'MKO', 'Davis Field'),
	('XS88', 'small_airport', 'Parson Field', 33.857398986816406, -95.70480346679688, 475, 'US', 'US-TX', 'Paris', 'no', 'XS88', '', 'XS88', ''),
	('OK68', 'small_airport', '6B Airfield', 33.878781, -96.082528, 542, 'US', 'US-OK', 'Bokchito', 'no', 'OK68', '', 'OK68', ''),
	('3TX4', 'closed', 'Willow Run Airport', 33.094717, -97.381075, 820, 'US', 'US-TX', 'Justin', 'no', '', '', '', '3TX4'),
	('4TE1', 'closed', 'Figure 1 Ranch Airport', 36.266898, -100.525877, 2631, 'US', 'US-TX', 'Booker', 'no', '', '', '', '4TE1'),
	('91XA', 'small_airport', 'Crosscut Field', 32.623816, -95.113937, 420, 'US', 'US-TX', 'Big Sandy', 'no', '91XA', '', '91XA', ''),
	('51TX', 'small_airport', 'N D Ranch Airport', 32.53960037231445, -95.66829681396484, 540, 'US', 'US-TX', 'Van', 'no', '51TX', '', '51TX', ''),
	('KJDD', 'small_airport', 'Wood County Airport - Collins Field', 32.742199, -95.496498, 434, 'US', 'US-TX', 'Mineola', 'no', 'KJDD', '', 'JDD', '3T1'),
	('7TA7', 'small_airport', 'Flying M Ranch Airport', 31.83989906311035, -94.9613037109375, 310, 'US', 'US-TX', 'Reklaw', 'no', '7TA7', '', '7TA7', ''),
	('8TA5', 'small_airport', 'Short Stop Airport', 33.16320037841797, -96.32219696044922, 645, 'US', 'US-TX', 'Farmersville', 'no', '8TA5', '', '8TA5', ''),
	('8F5', 'small_airport', 'Greater Morris County Airport', 33.148107, -94.700174, 402, 'US', 'US-TX', 'Daingerfield', 'no', 'K8F5', '', '8F5', ''),
	('58F', 'closed', 'Lane Field', 33.365398, -97.146103, 700, 'US', 'US-TX', 'Sanger', 'no', '', '', '', '58F'),
	('TX43', 'small_airport', 'Goode Field', 32.5098991394043, -96.00270080566406, 445, 'US', 'US-TX', 'Canton', 'no', 'TX43', '', 'TX43', ''),
	('6TS6', 'small_airport', 'Wood Crest Ranch Airport', 31.04159927368164, -96.20159912109375, 410, 'US', 'US-TX', 'Normangee', 'no', '6TS6', '', '6TS6', ''),
	('TA01', 'small_airport', 'Phillips Farm Airport', 32.341800689697266, -97.25029754638672, 800, 'US', 'US-TX', 'Alvarado', 'no', 'TA01', '', 'TA01', ''),
	('73F', 'small_airport', 'Wings For Christ International Flight Academy Airport', 31.6238, -97.022499, 455, 'US', 'US-TX', 'Waco', 'no', 'K73F', '', '73F', ''),
	('34TE', 'small_airport', 'Bee Creek Airport', 32.23210144042969, -97.00859832763672, 760, 'US', 'US-TX', 'Maypearl', 'no', '34TE', '', '34TE', ''),
	('65XS', 'small_airport', 'Birdnest Airport', 32.223201751708984, -97.28170013427734, 815, 'US', 'US-TX', 'Parker', 'no', '65XS', '', '65XS', ''),
	('TE06', 'small_airport', 'Casey Field', 33.37929916381836, -96.31690216064453, 670, 'US', 'US-TX', 'Leonard', 'no', 'TE06', '', 'TE06', ''),
	('5TA9', 'small_airport', 'Seagoville Airport', 32.609901428222656, -96.52690124511719, 415, 'US', 'US-TX', 'Seagoville', 'no', '5TA9', '', '5TA9', ''),
	('9XS1', 'small_airport', 'The Landing Airport', 31.835599899291992, -96.95279693603516, 570, 'US', 'US-TX', 'Hill', 'no', '9XS1', '', '9XS1', ''),
	('75TS', 'small_airport', 'Venus Airport', 32.41640090942383, -97.09190368652344, 665, 'US', 'US-TX', 'Venus', 'no', '75TS', '', '75TS', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('39TA', 'small_airport', 'Flying Tigers Airport', 33.6525993347168, -95.65579986572266, 588, 'US', 'US-TX', 'Paris', 'no', '39TA', '', '39TA', ''),
	('2TE3', 'closed', 'Weems Farm Airport', 33.294201, -96.928101, 590, 'US', 'US-TX', 'Aubrey', 'no', '', '', '', '2TE3'),
	('KTPL', 'medium_airport', 'Draughon Miller Central Texas Regional Airport', 31.1525, -97.407799, 682, 'US', 'US-TX', 'Temple', 'no', 'KTPL', 'TPL', 'TPL', ''),
	('KNFW', 'medium_airport', 'NAS Fort Worth JRB / Carswell Field', 32.769199, -97.441498, 650, 'US', 'US-TX', 'Fort Worth', 'no', 'KNFW', 'FWH', 'NFW', 'Carswell AFB, Tarrant Field'),
	('06XS', 'small_airport', 'Campbell Field', 33.322933, -97.045019, 546, 'US', 'US-TX', 'Aubrey', 'no', '06XS', '', '06XS', ''),
	('E58', 'small_airport', 'Bird Dog Airfield', 33.3074, -97.3472, 893, 'US', 'US-TX', 'Krum', 'no', 'E58', '', 'E58', ''),
	('09TA', 'small_airport', 'Lazy G Bar Ranch Airport', 33.282101, -97.497002, 923, 'US', 'US-TX', 'Decatur', 'no', '', '', '09T', 'Formerly 82T, 09TA'),
	('25XS', 'small_airport', 'Moonbow Field', 32.4865, -96.846397, 650, 'US', 'US-TX', 'Waxahachie', 'no', '25XS', '', '25XS', 'O''Brien Airpark'),
	('XS48', 'small_airport', 'Marlin''s Meadow Airport', 32.953889, -95.5775, 490, 'US', 'US-TX', 'Yantis', 'no', 'XS48', '', 'XS48', ''),
	('8XS6', 'small_airport', 'Mc Manus Field', 33.4522018433, -96.8328018188, 695, 'US', 'US-TX', 'Tioga', 'no', '8XS6', '', '8XS6', ''),
	('TA61', 'small_airport', 'Kay Ranch Airport', 32.4734992980957, -95.16580200195313, 315, 'US', 'US-TX', 'Winona', 'no', 'TA61', '', 'TA61', ''),
	('TX49', 'closed', 'Biggin Hill Airport', 30.118299, -95.860001, 250, 'US', 'US-TX', 'Hockley', 'no', '', '', '', 'TX49'),
	('68XS', 'small_airport', 'Margaritaville Airport', 33.72129821777344, -96.86979675292969, 750, 'US', 'US-TX', 'Whitesboro', 'no', '68XS', '', '68XS', ''),
	('8TE1', 'small_airport', 'Wall Flying Service Airport', 29.01799964904785, -98.20670318603516, 440, 'US', 'US-TX', 'Floresville', 'no', '8TE1', '', '8TE1', ''),
	('LA11', 'heliport', 'Nl Baroid Heliport', 29.098800659179688, -90.21040344238281, 9, 'US', 'US-LA', 'Fourchon', 'no', 'LA11', '', 'LA11', ''),
	('XA85', 'small_airport', 'Cougar Landing Airport', 31.63330078, -97.3167038, 595, 'US', 'US-TX', 'Waco', 'no', 'XA85', '', 'XA85', ''),
	('XA71', 'small_airport', 'North Cedar Airport', 31.277299880981445, -94.9739990234375, 250, 'US', 'US-TX', 'Apple Springs', 'no', 'XA71', '', 'XA71', ''),
	('51TE', 'small_airport', 'Barstool Ranch Airport', 32.472423, -96.789894, 555, 'US', 'US-TX', 'Waxahachie', 'no', '51TE', '', '51TE', ''),
	('8TS1', 'small_airport', 'Retta Airport', 32.54180145263672, -97.24199676513672, 700, 'US', 'US-TX', 'Burleson', 'no', '8TS1', '', '8TS1', ''),
	('TX46', 'small_airport', 'Blackwood Airpark', 32.40959930419922, -97.38719940185547, 835, 'US', 'US-TX', 'Cleburne', 'no', 'TX46', '', 'TX46', ''),
	('37TS', 'small_airport', 'J Linn Airport', 32.9907, -96.040002, 460, 'US', 'US-TX', 'Greenville', 'no', '37TS', '', '37TS', 'Skinner Airport'),
	('KWIN', 'N/A', 'N/A', 33.038221187889576, -95.2932496368885, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6X8', 'small_airport', 'Vultures Row Airport', 33.34, -97.103104, 710, 'US', 'US-TX', 'Sanger', 'no', '', '', '6X8', '6XS8'),
	('XS70', 'small_airport', 'Glover Airport', 33.13460159301758, -95.01799774169922, 400, 'US', 'US-TX', 'Mount Pleasant', 'no', 'XS70', '', 'XS70', ''),
	('2XS3', 'small_airport', 'Glad Oaks Airport', 32.019836, -95.695035, 487, 'US', 'US-TX', 'Palestine', 'no', '2XS3', '', '2XS3', ''),
	('2F7', 'small_airport', 'Commerce Municipal Airport', 33.2929, -95.8964, 515, 'US', 'US-TX', 'Commerce', 'no', '', '', '2F7', ''),
	('TS51', 'closed', 'Barton Memorial Airport', 31.836477, -94.459462, 345, 'US', 'US-TX', 'Garrison', 'no', '', '', '', 'TS51'),
	('TE45', 'small_airport', 'Buffalo Chips Airpark', 32.46989822387695, -97.46530151367188, 960, 'US', 'US-TX', 'Joshua', 'no', 'TE45', '', 'TE45', ''),
	('33R', 'small_airport', 'Groveton Trinity County Airport', 31.08489990234375, -95.16410064697266, 340, 'US', 'US-TX', 'Groveton', 'no', 'K33R', '', '33R', ''),
	('KTYR', 'medium_airport', 'Tyler Pounds Regional Airport', 32.35409927368164, -95.40239715576172, 544, 'US', 'US-TX', 'Tyler', 'yes', 'KTYR', 'TYR', 'TYR', ''),
	('40TA', 'small_airport', 'Miles Field', 31.312999725341797, -96.22049713134766, 460, 'US', 'US-TX', 'Jewett', 'no', '40TA', '', '40TA', ''),
	('58T', 'small_airport', 'Heritage Creek Airstrip', 33.168701, -97.4842, 883, 'US', 'US-TX', 'Decatur', 'no', '', '', '58T', '58TA'),
	('33XA', 'small_airport', 'Poetry Landing Airport', 32.857101, -96.308296, 555, 'US', 'US-TX', 'Royse City', 'no', '33XA', '', '33XA', 'T33, Rives Air Park'),
	('TE17', 'small_airport', 'Heathrow Airport', 31.438513, -97.145842, 525, 'US', 'US-TX', 'Robinson', 'no', 'TE17', '', 'TE17', ''),
	('41TS', 'small_airport', 'Flying T Ranch Airport', 33.37839889526367, -96.44830322265625, 705, 'US', 'US-TX', 'Westminster', 'no', '41TS', '', '41TS', ''),
	('6TE4', 'closed', 'Coldwater Ranch Airport', 36.233398, -101.734, 3446, 'US', 'US-TX', 'Sunray', 'no', '', '', '', '6TE4'),
	('KCNW', 'small_airport', 'TSTC Waco Airport', 31.641129, -97.073335, 470, 'US', 'US-TX', 'Waco', 'no', 'KCNW', 'CNW', 'CNW', 'James Connally AFB'),
	('24TA', 'small_airport', 'Moore Ranch Airport', 31.213199615478516, -95.82749938964844, 315, 'US', 'US-TX', 'Centerville', 'no', '24TA', '', '24TA', ''),
	('TX96', 'small_airport', 'Maxwell Field', 33.39929962158203, -97.25700378417969, 825, 'US', 'US-TX', 'Sanger', 'no', 'TX96', '', 'TX96', ''),
	('KPWG', 'small_airport', 'McGregor Executive Airport', 31.48489952, -97.3164978, 592, 'US', 'US-TX', 'Waco', 'no', 'KPWG', '', 'PWG', 'F60'),
	('KOCH', 'small_airport', 'A L Mangham Jr. Regional Airport', 31.57799911, -94.70950317, 355, 'US', 'US-TX', 'Nacogdoches', 'no', 'KOCH', 'OCH', 'OCH', ''),
	('9TX2', 'closed', 'Bennetts Airport', 32.637164, -96.409621, 445, 'US', 'US-TX', 'Crandall', 'no', '', '', '', '9TX2'),
	('TX39', 'small_airport', 'Ruby Field', 33.47719955444336, -97.25060272216797, 650, 'US', 'US-TX', 'Era', 'no', 'TX39', '', 'TX39', ''),
	('XA23', 'small_airport', 'Richardson Field', 33.01779938, -94.97229767, 415, 'US', 'US-TX', 'Pittsburg', 'no', 'XA23', '', 'XA23', ''),
	('3TX9', 'small_airport', 'Rafter J Airport', 32.5275993347168, -97.28079986572266, 710, 'US', 'US-TX', 'Burleson', 'no', '3TX9', '', '3TX9', ''),
	('88XA', 'small_airport', 'Tejas Stone Ranch Airport', 33.337444, -96.480222, 577, 'US', 'US-TX', 'Anna', 'no', '88XA', '', '88XA', 'Top Fun Ranch'),
	('TE24', 'small_airport', 'Horseshoe Lake Airport', 33.3931999206543, -97.2052993774414, 725, 'US', 'US-TX', 'Sanger', 'no', 'TE24', '', 'TE24', ''),
	('T28', 'small_airport', 'Cain Airport', 33.354262, -97.439203, 890, 'US', 'US-TX', 'Slidell', 'no', '', '', 'T28', ''),
	('2TS9', 'closed', 'DPS-Tyler Heliport', 32.313999, -95.239098, 570, 'US', 'US-TX', 'Tyler', 'no', '', '', '', '2TS9'),
	('3F3', 'small_airport', 'C E ''Rusty'' Williams Airport', 32.0735015869, -93.7655029297, 324, 'US', 'US-LA', 'Mansfield', 'no', 'K3F3', '', '3F3', 'De Soto Parish Airport'),
	('TX6', 'N/A', 'N/A', 33.09294428676367, -96.3900277018547, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('38XA', 'small_airport', 'Walk-Air Airport', 32.408055, -95.389444, 474, 'US', 'US-TX', 'Tyler', 'no', '38XA', '', '38XA', ''),
	('3XA0', 'small_airport', 'Drennan Airport', 32.313889, -97.231111, 726, 'US', 'US-TX', 'Grandview', 'no', '3XA0', '', '3XA0', ''),
	('46XS', 'closed', 'Windy Hill Airport', 33.310827, -97.101741, 600, 'US', 'US-TX', 'Denton', 'no', '', '', '', '46XS'),
	('18TE', 'small_airport', 'Alert Field', 32.585201263427734, -95.06390380859375, 390, 'US', 'US-TX', 'Big Sandy', 'no', '18TE', '', '18TE', ''),
	('10TS', 'closed', 'Saint''s Strip Ultralightport', 29.5525, -98.103104, 980, 'US', 'US-TX', 'Marion', 'no', '', '', '', '10TS'),
	('9XS2', 'small_airport', 'Beaver Creek Airport', 33.6542626352, -96.77635967730002, 708, 'US', 'US-TX', 'Sherman', 'no', '9XS2', '', '9XS2', ''),
	('XA98', 'small_airport', 'Jbj Ranch Airport', 33.30270004272461, -97.45809936523438, 890, 'US', 'US-TX', 'Decatur', 'no', 'XA98', '', 'XA98', ''),
	('54TA', 'small_airport', 'George P Shanks Airport', 32.29970169067383, -96.87329864501953, 610, 'US', 'US-TX', 'Waxahachie', 'no', '54TA', '', '54TA', ''),
	('TA05', 'small_airport', 'Anxiety Aerodrome', 32.03770065307617, -96.53170013427734, 430, 'US', 'US-TX', 'Corsicana', 'no', 'TA05', '', 'TA05', ''),
	('TA26', 'small_airport', 'Coyote Crossing Airport', 32.2963981628418, -97.05680084228516, 580, 'US', 'US-TX', 'Maypearl', 'no', 'TA26', '', 'TA26', ''),
	('09T', 'small_airport', 'Lazy G Bar Ranch Airport', 33.282101, -97.497002, 923, 'US', 'US-TX', 'Decatur', 'no', '', '', '09T', 'Formerly 82T, 09TA'),
	('9XS4', 'small_airport', 'Mc Keon Aviation Airport', 33.7342987061, -96.626701355, 750, 'US', 'US-TX', 'Denison', 'no', '9XS4', '', '9XS4', ''),
	('TX78', 'small_airport', 'Block Ranch Airport', 32.329200744628906, -97.23190307617188, 755, 'US', 'US-TX', 'Alvarado', 'no', 'TX78', '', 'TX78', ''),
	('XA15', 'small_airport', 'Holict "Private" Airport', 31.426900863599997, -96.9796981812, 425, 'US', 'US-TX', 'Riesel', 'no', 'XA15', '', 'XA15', ''),
	('85TA', 'closed', 'J-Bar Ranch Airport', 33.579899, -96.812401, 718, 'US', 'US-TX', 'Collinsville', 'no', '', '', '', '85TA'),
	('TA47', 'small_airport', 'Richards Airport', 33.30139923095703, -97.24500274658203, 785, 'US', 'US-TX', 'Krum', 'no', 'TA47', '', 'TA47', ''),
	('TS74', 'small_airport', 'Glass Airport', 33.36259841918945, -97.29450225830078, 810, 'US', 'US-TX', 'Sanger', 'no', 'TS74', '', 'TS74', ''),
	('KRBD', 'small_airport', 'Dallas Executive Airport', 32.6809005737, -96.8682022095, 660, 'US', 'US-TX', 'Dallas', 'no', 'KRBD', 'RBD', 'RBD', 'Redbird Airport'),
	('46TS', 'closed', 'Lavon North Airport', 33.128201, -96.509697, 565, 'US', 'US-TX', 'Princeton', 'no', '', '', '', '46TS, 46F'),
	('6XS2', 'small_airport', 'Luscombe Acres Airport', 32.34600067138672, -97.19920349121094, 700, 'US', 'US-TX', 'Alvarado', 'no', '6XS2', '', '6XS2', ''),
	('TS00', 'small_airport', 'Fuller Airport', 32.787314, -97.180499, 490, 'US', 'US-TX', 'Fort Worth', 'no', 'TS00', '', 'TS00', ''),
	('TE50', 'small_airport', 'Hirok Airport', 32.17319869995117, -96.96610260009766, 700, 'US', 'US-TX', 'Milford', 'no', 'TE50', '', 'TE50', ''),
	('8TX0', 'small_airport', 'Hub Field', 31.427809, -96.134892, 400, 'US', 'US-TX', 'Jewett', 'no', '8TX0', '', '8TX0', ''),
	('65TE', 'small_airport', 'Windwood Farm Airport', 33.568167, -96.397167, 778, 'US', 'US-TX', 'Bells', 'no', '65TE', '', '65TE', ''),
	('TE74', 'small_airport', 'Bucker Field', 32.9536018371582, -95.86689758300781, 485, 'US', 'US-TX', 'Point', 'no', 'TE74', '', 'TE74', ''),
	('XA48', 'small_airport', 'Dreamland Airport', 33.641703, -97.315708, 945, 'US', 'US-TX', 'Muenster', 'no', 'XA48', '', 'XA48', 'Myra'),
	('KENS', 'N/A', 'N/A', 32.31216698884964, -96.48724615573883, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('71XA', 'small_airport', 'Red Star Airport', 32.352929, -95.716227, 530, 'US', 'US-TX', 'Murchison', 'no', '71XA', '', '71XA', ''),
	('T76', 'small_airport', 'Rhome Meadows Airport', 33.1493, -97.496101, 900, 'US', 'US-TX', 'Rhome', 'no', 'T76', '', 'T76', ''),
	('31TX', 'small_airport', 'Scott Airport', 31.596799850463867, -97.33000183105469, 590, 'US', 'US-TX', 'Waco', 'no', '31TX', '', '31TX', ''),
	('6TA3', 'small_airport', 'Culp Airport', 32.72140121459961, -96.7238998413086, 470, 'US', 'US-TX', 'Lawrence', 'no', '6TA3', '', '6TA3', ''),
	('TX67', 'small_airport', 'Hodges Air Field', 32.3606, -97.302498, 900, 'US', 'US-TX', 'Keene', 'no', 'TX67', '', 'TX67', 'Embry Ranch'),
	('7TX4', 'small_airport', 'Hillcrest Airport', 32.966800689697266, -97.27529907226563, 710, 'US', 'US-TX', 'Keller', 'no', '7TX4', '', '7TX4', ''),
	('61XA', 'N/A', 'N/A', 33.23937512934208, -96.69970840215683, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1XA6', 'small_airport', 'Tailwheel Acres Airport', 33.473681, -97.122397, 679, 'US', 'US-TX', 'Valley View', 'no', 'KX16', '', 'X16', '1XA6'),
	('25TE', 'closed', 'Taylor''s Air Park', 32.45014, -97.4002969, 700, 'US', 'US-TX', 'Joshua', 'no', '', '', '', '25TE'),
	('XA34', 'small_airport', 'Allison Farm Airport', 33.24169921875, -97.4280014038086, 850, 'US', 'US-TX', 'Decatur', 'no', 'XA34', '', 'XA34', ''),
	('1TX9', 'small_airport', 'Hawk Ranch Airport', 32.63759994506836, -95.16130065917969, 335, 'US', 'US-TX', 'Hawkins', 'no', '1TX9', '', '1TX9', ''),
	('KGGG', 'medium_airport', 'East Texas Regional Airport', 32.38399887084961, -94.71150207519531, 365, 'US', 'US-TX', 'Longview', 'yes', 'KGGG', 'GGG', 'GGG', ''),
	('TS29', 'small_airport', 'Liberty Hill International Airport', 31.294599533099998, -97.29699707030001, 790, 'US', 'US-TX', 'Eddy', 'no', 'TS29', '', 'TS29', ''),
	('7TS0', 'small_airport', 'Fairview Airport', 33.094436, -97.427305, 920, 'US', 'US-TX', 'Rhome', 'no', '', '', '70T', '7TS0'),
	('5TX2', 'small_airport', 'Grove Hill Airport', 33.422298431396484, -96.21690368652344, 721, 'US', 'US-TX', 'Leonard', 'no', '5TX2', '', '5TX2', ''),
	('XA51', 'small_airport', 'Smith Airport', 31.41830062866211, -97.12580108642578, 525, 'US', 'US-TX', 'Robinson', 'no', 'XA51', '', 'XA51', ''),
	('67TX', 'small_airport', 'Old Hoppe Place Airport', 27.800300598145, -97.851196289062, 96, 'US', 'US-TX', 'Agua Dulce', 'no', '67T', '', '67T', '67TX'),
	('7XA4', 'small_airport', 'Buckshot Ranch Airport', 31.161201, -97.302523, 721, 'US', 'US-TX', 'Troy', 'no', '7XA4', '', '7XA4', ''),
	('86TS', 'small_airport', 'Fairway Farm Airport', 31.484015, -94.027074, 360, 'US', 'US-TX', 'San Augustine', 'no', '86TS', '', '86TS', ''),
	('3TX', 'small_airport', 'Akroville Airport', 33.3918, -97.355301, 895, 'US', 'US-TX', 'Slidell', 'no', '', '', '3TX', 'XA68'),
	('3TS0', 'small_airport', 'East Side Airport', 32.50849914550781, -94.70020294189453, 373, 'US', 'US-TX', 'Longview', 'no', '3TS0', '', '3TS0', ''),
	('28TT', 'small_airport', 'Left Wing Low Airport', 31.995861, -97.002169, 596, 'US', 'US-TX', 'Bynum', 'no', '28TT', '', '28TT', ''),
	('KPSN', 'small_airport', 'Palestine Municipal Airport', 31.779699325562, -95.706298828125, 423, 'US', 'US-TX', 'Palestine', 'no', 'KPSN', 'PSN', 'PSN', ''),
	('6TS3', 'closed', 'Dale Acres Airport', 32.159902, -96.941902, 550, 'US', 'US-TX', 'Milford', 'no', '', '', '', '6TS3');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('T32', 'small_airport', 'Sudden Stop Airport', 33.572616, -96.905079, 720, 'US', 'US-TX', 'Collinsville', 'no', '', '', 'T32', '35TS'),
	('3F4', 'small_airport', 'Vivian Airport', 32.861301, -94.010201, 260, 'US', 'US-LA', 'Vivian', 'no', 'K3F4', '', '3F4', ''),
	('KFTW', 'medium_airport', 'Fort Worth Meacham International Airport', 32.819801, -97.362396, 710, 'US', 'US-TX', 'Fort Worth', 'no', 'KFTW', 'FTW', 'FTW', ''),
	('68F', 'small_airport', 'Teague Municipal Airport', 31.661301, -96.309998, 525, 'US', 'US-TX', 'Teague', 'no', '', '', '68F', ''),
	('7TX9', 'small_airport', 'Ashford Field', 33.358699798583984, -94.43769836425781, 305, 'US', 'US-TX', 'Old Boston', 'no', '7TX9', '', '7TX9', ''),
	('F50', 'closed', 'Lake Whitney State Park Airport', 31.9252, -97.3647, 564, 'US', 'US-TX', 'Whitney', 'no', '', '', '', 'KF50, KF50, F50'),
	('11TE', 'small_airport', 'Flying M Ranch Airport', 32.30009841918945, -97.20449829101563, 700, 'US', 'US-TX', 'Grandview', 'no', '11TE', '', '11TE', ''),
	('TX82', 'small_airport', 'Laguna Park Community Airport', 31.8636, -97.380898, 620, 'US', 'US-TX', 'Laguna Park', 'no', 'TX82', '', 'TX82', 'Laguna Park Air Strip, Rickfield Airstrip, Laguna-Not A-Park Airstrip'),
	('TX25', 'small_airport', 'Lochridge Ranch Airport', 31.989299774169922, -95.95110321044922, 391, 'US', 'US-TX', 'Athens', 'no', 'TX25', '', 'TX25', ''),
	('KATH', 'N/A', 'N/A', 32.29767568409443, -95.86265221238136, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5TX0', 'small_airport', 'Hidden Valley Airpark', 33.173500061035156, -97.05139923095703, 611, 'US', 'US-TX', 'Lake Dallas', 'no', '5TX0', '', '5TX0', ''),
	('78R', 'small_airport', 'San Augustine County Airport', 31.539475, -94.170062, 443, 'US', 'US-TX', 'San Augustine', 'no', 'K78R', '', '78R', ''),
	('F51', 'small_airport', 'Winnsboro Municipal Airport', 32.938801, -95.2789, 513, 'US', 'US-TX', 'Winnsboro', 'no', 'KF51', '', 'F51', ''),
	('2XA7', 'small_airport', 'Tailwheel Airport', 32.6150016784668, -94.7656021118164, 360, 'US', 'US-TX', 'Longview', 'no', '2XA7', '', '2XA7', ''),
	('T67', 'small_airport', 'Hicks Air Field', 32.930535, -97.412328, 855, 'US', 'US-TX', 'Fort Worth', 'no', 'KT67', '', 'T67', ''),
	('66XS', 'small_airport', 'Baylie Airport', 33.39649963378906, -96.48860168457031, 685, 'US', 'US-TX', 'Westminster', 'no', '66XS', '', '66XS', ''),
	('TE16', 'small_airport', 'Cow Pasture Airport', 32.250425, -97.297236, 795, 'US', 'US-TX', 'Parker', 'no', 'TE16', '', 'TE16', ''),
	('T29', 'small_airport', 'Flying H Ranch Airport', 33.632267, -96.9408, 760, 'US', 'US-TX', 'Whitesboro', 'no', 'T29', '', 'T29', ''),
	('06XA', 'small_airport', 'J & W Windy Hill Airport', 33.445914, -96.57079, 784, 'US', 'US-TX', 'Van Alstyne', 'no', '06XA', '', '06XA', ''),
	('LA54', 'small_airport', 'Gilliam Airport', 32.840474, -93.839898, 194, 'US', 'US-LA', 'Gilliam', 'no', 'LA54', '', 'LA54', ''),
	('68TS', 'small_airport', 'Bishop Field', 32.874485, -96.285015, 550, 'US', 'US-TX', 'Royse City', 'no', '68TS', '', '68TS', ''),
	('TA70', 'small_airport', 'W J E Airport', 31.78350067138672, -95.89749908447266, 251, 'US', 'US-TX', 'Tennessee Colony', 'no', 'TA70', '', 'TA70', ''),
	('3T8', 'small_airport', 'Wildcat Canyon Airport', 31.678800582885742, -97.36280059814453, 660, 'US', 'US-TX', 'China Spring', 'no', '3T8', '', '3T8', ''),
	('TS99', 'closed', 'Action Number 2 Heliport', 29.935499, -95.513494, 151, 'US', 'US-TX', 'Cypress', 'no', '', '', '', 'TS99'),
	('53TS', 'closed', 'Bridges Field', 33.484001, -96.839203, 715, 'US', 'US-TX', 'Tioga', 'no', '', '', '', '53TS'),
	('54XA', 'small_airport', 'Flaherty Airport', 33.48931, -97.20168, 802, 'US', 'US-TX', 'Valley View', 'no', '54XA', '', '54XA', ''),
	('KJXI', 'small_airport', 'Fox Stephens Field Gilmer Municipal Airport', 32.699001, -94.948898, 415, 'US', 'US-TX', 'Gilmer', 'no', 'KJXI', '', 'JXI', '4F4'),
	('6XS3', 'small_airport', 'Mullins Landing Airport', 33.13850021362305, -96.385498046875, 550, 'US', 'US-TX', 'Farmersville', 'no', '6XS3', '', '6XS3', ''),
	('TX62', 'small_airport', 'Rhodes Ranch Airport', 32.63349914550781, -95.43910217285156, 405, 'US', 'US-TX', 'Mineola', 'no', 'TX62', '', 'TX62', ''),
	('8TS3', 'small_airport', 'Bruner Airport', 31.390199661254883, -95.47329711914063, 387, 'US', 'US-TX', 'Latexo', 'no', '8TS3', '', '8TS3', ''),
	('KHQZ', 'small_airport', 'Mesquite Metro Airport', 32.747002, -96.530403, 447, 'US', 'US-TX', 'Mesquite', 'no', 'KHQZ', '', 'HQZ', ''),
	('5LA0', 'small_airport', 'Juneau Ultralightport Airpark', 32.591801, -93.828003, 200, 'US', 'US-LA', 'Shreveport', 'no', '5LA0', '', '5LA0', ''),
	('5XA9', 'small_airport', 'Venable Airpark', 33.338784, -96.997046, 638, 'US', 'US-TX', 'Aubrey', 'no', '5XA9', '', '5XA9', ''),
	('T48', 'small_airport', 'Poetry Flying Ranch Airport', 32.868099, -96.219101, 500, 'US', 'US-TX', 'Rockwall', 'no', '', '', 'T48', '20TX, Phillips Flying Ranch'),
	('80XS', 'small_airport', 'Three Acres Airport', 33.6432991027832, -97.002197265625, 775, 'US', 'US-TX', 'Woodbine', 'no', '80XS', '', '80XS', ''),
	('KGKY', 'small_airport', 'Arlington Municipal Airport', 32.66389846801758, -97.09429931640625, 628, 'US', 'US-TX', 'Arlington', 'no', 'KGKY', '', 'GKY', ''),
	('0TE4', 'small_airport', 'Hilltop Lakes Airport', 31.08099937438965, -96.21520233154297, 501, 'US', 'US-TX', 'Hilltop Lakes', 'no', '0TE4', '', '0TE4', ''),
	('XA17', 'small_airport', 'Chuckster Airport', 33.32170104980469, -95.5635986328125, 475, 'US', 'US-TX', 'Tira', 'no', 'XA17', '', 'XA17', ''),
	('TE91', 'small_airport', 'Harrison Farm Airport', 32.03929901123047, -95.08280181884766, 445, 'US', 'US-TX', 'Troup', 'no', 'TE91', '', 'TE91', ''),
	('F00', 'small_airport', 'Jones Field', 33.6128, -96.179298, 618, 'US', 'US-TX', 'Bonham', 'no', '', '', 'F00', ''),
	('9XS7', 'small_airport', 'Reeder Airport', 32.94710159301758, -95.95860290527344, 530, 'US', 'US-TX', 'Lone Oak', 'no', '9XS7', '', '9XS7', ''),
	('TS63', 'small_airport', 'Square Air Airport', 33.245493, -96.565834, 655, 'US', 'US-TX', 'McKinney', 'no', 'TS63', '', 'TS63', ''),
	('31XS', 'small_airport', 'Fly-N-Ski Airport', 33.18370056152344, -96.27030181884766, 638, 'US', 'US-TX', 'Merit', 'no', '31XS', '', '31XS', ''),
	('TA86', 'small_airport', 'Dennis''s Flying Farm Airport', 32.60599899291992, -95.93499755859375, 500, 'US', 'US-TX', 'Canton', 'no', 'TA86', '', 'TA86', ''),
	('XA75', 'small_airport', 'Double A Airport', 32.32400131225586, -97.09970092773438, 635, 'US', 'US-TX', 'Grandview', 'no', 'XA75', '', 'XA75', ''),
	('63TE', 'small_airport', 'Flying S Ranch Airport', 31.353500366210938, -95.20580291748047, 370, 'US', 'US-TX', 'Kennard', 'no', '63TE', '', '63TE', ''),
	('70TE', 'closed', 'Flying Heart Ranch Airport', 31.5021, -97.080803, 415, 'US', 'US-TX', 'Waco', 'no', '', '', '', '70TE'),
	('KLBR', 'small_airport', 'Clarksville Red River City-J D Trissell Field', 33.593201, -95.063599, 440, 'US', 'US-TX', 'Clarksville', 'no', 'KLBR', '', 'LBR', ''),
	('0LA3', 'small_airport', 'Belcher Airpatch Airport', 32.749298095703125, -93.87349700927734, 280, 'US', 'US-LA', 'Belcher', 'no', '0LA3', '', '0LA3', ''),
	('3TX2', 'small_airport', 'Flying S Farm Airport', 33.0806999206543, -97.3488998413086, 780, 'US', 'US-TX', 'Justin', 'no', '3TX2', '', '3TX2', ''),
	('KATA', 'small_airport', 'Hall Miller Municipal Airport', 33.101799, -94.195297, 280, 'US', 'US-TX', 'Atlanta', 'no', 'KATA', '', 'ATA', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('19XS', 'small_airport', 'Draggintail Acres Airport', 32.29719924926758, -97.08689880371094, 585, 'US', 'US-TX', 'Maypearl', 'no', '19XS', '', '19XS', ''),
	('4TA1', 'small_airport', 'Warschun Ranch Airport', 33.302395, -97.113181, 600, 'US', 'US-TX', 'Denton', 'no', '4TA1', '', '4TA1', ''),
	('3TE3', 'small_airport', 'Lazy Dog Ranch Airpark', 33.074013, -96.432, 600, 'US', 'US-TX', 'Nevada', 'no', '3TE3', '', '3TE3', ''),
	('KLXY', 'small_airport', 'Mexia Limestone County Airport', 31.639799118041992, -96.51470184326172, 544, 'US', 'US-TX', 'Mexia', 'no', 'KLXY', '', 'LXY', ''),
	('30F', 'small_airport', 'Lakeview Airport', 33.132099, -97.014198, 535, 'US', 'US-TX', 'Lake Dallas', 'no', '30F', '', '30F', ''),
	('TA11', 'small_airport', 'Tsa Gliderport', 32.382499, -97.011852, 660, 'US', 'US-TX', 'Midlothian', 'no', 'TA11', '', 'TA11', ''),
	('3F9', 'small_airport', 'Mineola Wisener Field', 32.676701, -95.510803, 429, 'US', 'US-TX', 'Mineola', 'no', 'K3F9', '', '3F9', ''),
	('3TX3', 'small_airport', 'Sitton Field', 33.119598388671875, -97.3197021484375, 682, 'US', 'US-TX', 'Justin', 'no', '3TX3', '', '3TX3', ''),
	('XS55', 'small_airport', 'Gizmo Field', 31.92930030822754, -96.93890380859375, 551, 'US', 'US-TX', 'Malone', 'no', 'XS55', '', 'XS55', ''),
	('2TA1', 'small_airport', 'Gravco Airport', 31.3902, -94.691002, 284, 'US', 'US-TX', 'Lufkin', 'no', '2TA1', '', '2TA1', 'Gravco STOLport'),
	('KDFW', 'large_airport', 'Dallas Fort Worth International Airport', 32.896801, -97.038002, 607, 'US', 'US-TX', 'Dallas-Fort Worth', 'yes', 'KDFW', 'DFW', 'DFW', 'QDF'),
	('TE72', 'closed', 'Haven Field', 32.327099, -96.840201, 595, 'US', 'US-TX', 'Waxahachie', 'no', '', '', '', 'TE72'),
	('TX1', 'seaplane_base', 'Aero Estates Seaplane Base', 32.0791751, -95.4324805, 345, 'US', 'US-TX', 'Frankston', 'no', '', '', 'TX1', ''),
	('52F', 'small_airport', 'Aero Valley Airport', 33.051575, -97.232051, 643, 'US', 'US-TX', 'Roanoke', 'no', 'K52F', '', '52F', 'Northwest Regional'),
	('8TS6', 'small_airport', 'Moore Airport', 32.533199310302734, -96.32250213623047, 418, 'US', 'US-TX', 'Kaufman', 'no', '8TS6', '', '8TS6', ''),
	('4TX6', 'small_airport', 'Kilgore Airport', 32.41270065307617, -94.81829833984375, 365, 'US', 'US-TX', 'Kilgore', 'no', '4TX6', '', '4TX6', ''),
	('2TX7', 'small_airport', 'JW Airport', 33.093472, -97.396338, 875, 'US', 'US-TX', 'Justin', 'no', '2TX7', '', '2TX7', ''),
	('TE68', 'small_airport', 'Nuggs Flying M Airport', 33.7440986633, -96.6598968506, 725, 'US', 'US-TX', 'Pottsboro', 'no', 'TE68', '', 'TE68', ''),
	('XA72', 'small_airport', 'Stocker Airport', 33.27690124511719, -97.28939819335938, 770, 'US', 'US-TX', 'Krum', 'no', 'XA72', '', 'XA72', ''),
	('05TX', 'small_airport', 'Circle A Ranch Airport', 32.128974, -97.404582, 608, 'US', 'US-TX', 'Blum', 'no', '05TX', '', '05TX', ''),
	('5TS3', 'small_airport', 'Knapp Pecan Orchard Airpark', 31.974199295043945, -96.67829895019531, 450, 'US', 'US-TX', 'Dawson', 'no', '5TS3', '', '5TS3', ''),
	('5TA1', 'small_airport', 'Charping Airport', 31.193500518798828, -97.4072036743164, 683, 'US', 'US-TX', 'Temple', 'no', '5TA1', '', '5TA1', ''),
	('TT99', 'small_airport', 'Leinart Farms Airstrip', 33.19204, -96.21986, 624, 'US', 'US-TX', 'Merit', 'no', 'TT99', '', 'TT99', ''),
	('TT32', 'small_airport', 'Kudlacek Field', 33.011916, -96.410472, 524, 'US', 'US-TX', 'Royse City', 'no', 'TT32', '', 'TT32', ''),
	('42F', 'N/A', 'N/A', 33.195153549313545, -97.31828212738037, 242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('02XA', 'small_airport', 'JLS Farms Airport', 33.591319, -95.882864, 675, 'US', 'US-TX', 'Honey Grove', 'no', '02XA', '', '02XA', ''),
	('T58', 'small_airport', 'Ironhead Airport', 33.3317985534668, -97.23030090332031, 715, 'US', 'US-TX', 'Sanger', 'no', 'T58', '', 'T58', ''),
	('47TS', 'small_airport', 'Hensarling Airport', 31.04800033569336, -95.9177017211914, 315, 'US', 'US-TX', 'Madisonville', 'no', '47TS', '', '47TS', ''),
	('2TS4', 'small_airport', 'Circle R Ranch Airport', 32.13970184326172, -95.97029876708984, 395, 'US', 'US-TX', 'Malakoff', 'no', '2TS4', '', '2TS4', ''),
	('1TA7', 'small_airport', 'Thompson Field', 32.61600112915039, -95.86830139160156, 515, 'US', 'US-TX', 'Canton', 'no', '1TA7', '', '1TA7', ''),
	('TE99', 'small_airport', 'Barnstormer Airport', 32.020423, -97.253778, 625, 'US', 'US-TX', 'Whitney', 'no', 'TE99', '', 'TE99', ''),
	('1TE9', 'small_airport', 'Rmr Ranch Airport', 31.271900177001953, -96.43920135498047, 420, 'US', 'US-TX', 'Franklin', 'no', '1TE9', '', '1TE9', ''),
	('XS14', 'small_airport', 'Weese International Airport', 32.969398498535156, -96.07060241699219, 487, 'US', 'US-TX', 'Greenville', 'no', 'XS14', '', 'XS14', ''),
	('KFON', 'N/A', 'N/A', 33.617296032607555, -94.50087010860443, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('02TX', 'closed', 'The Palms At Kitty Hawk Airport', 33.370403, -101.922882, 3235, 'US', 'US-TX', 'New Home', 'no', '', '', '', '02TX, OLD02TX'),
	('T15', 'small_airport', 'Marlin Airport', 31.3407, -96.851997, 411, 'US', 'US-TX', 'Marlin', 'no', 'KT15', '', 'T15', ''),
	('1TS2', 'small_airport', 'Bar 16 Airport', 31.82430076599121, -96.77850341796875, 547, 'US', 'US-TX', 'Hubbard', 'no', '1TS2', '', '1TS2', ''),
	('4T2', 'small_airport', 'Kenneth Copeland Airport', 32.977298736572266, -97.4884033203125, 688, 'US', 'US-TX', 'Fort Worth', 'no', 'K4T2', '', '4T2', ''),
	('XA33', 'small_airport', 'Thorny Woods Airport', 32.95869827270508, -96.26439666748047, 540, 'US', 'US-TX', 'Caddo Mills', 'no', 'XA33', '', 'XA33', ''),
	('TS73', 'closed', 'Stubbs Strip', 32.775338, -97.487404, 755, 'US', 'US-TX', 'Fort Worth', 'no', '', '', '', 'TS73, TS73, TS73'),
	('91TA', 'small_airport', 'Rhines Roost Airport', 32.44599914550781, -95.91889953613281, 540, 'US', 'US-TX', 'Canton', 'no', '91TA', '', '91TA', ''),
	('T80', 'small_airport', 'Bishop''s Landing Airport', 33.3773, -96.728897, 750, 'US', 'US-TX', 'Celina', 'no', 'T80', '', 'T80', ''),
	('KAFW', 'medium_airport', 'Perot Field/Fort Worth Alliance Airport', 32.99044, -97.31947, 722, 'US', 'US-TX', 'Fort Worth', 'no', 'KAFW', 'AFW', 'AFW', ''),
	('0TA4', 'small_airport', 'Erco Field', 32.49789810180664, -96.27050018310547, 395, 'US', 'US-TX', 'Kaufman', 'no', '0TA4', '', '0TA4', ''),
	('F44', 'small_airport', 'Athens Municipal Airport', 32.163799, -95.8284, 444, 'US', 'US-TX', 'Athens', 'no', '', '', 'F44', ''),
	('1TA4', 'small_airport', 'Last Resort Airport', 31.4545, -95.29652, 420, 'US', 'US-TX', 'Crockett', 'no', '1TA4', '', '1TA4', ''),
	('5XS0', 'small_airport', 'Tnt Ultralightport', 33.496700286865234, -96.26470184326172, 708, 'US', 'US-TX', 'Randolph', 'no', '5XS0', '', '5XS0', ''),
	('F41', 'small_airport', 'Ennis Municipal Airport', 32.3297, -96.663902, 500, 'US', 'US-TX', 'Ennis', 'no', 'KF41', '', 'F41', ''),
	('TX75', 'small_airport', 'Sandbur Ranches Private Airport', 31.009700775146484, -96.54080200195313, 455, 'US', 'US-TX', 'Franklin', 'no', 'TX75', '', 'TX75', ''),
	('3XS0', 'closed', 'Hartlee Field', 33.268568, -97.080256, 588, 'US', 'US-TX', 'Denton', 'no', '', '', '', '3XS0'),
	('TA02', 'small_airport', 'Howard Field', 33.102901458699996, -97.4642028809, 960, 'US', 'US-TX', 'Rhome', 'no', 'TA02', '', 'TA02', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TA60', 'closed', 'Hurn Airport', 32.393485, -96.779244, 555, 'US', 'US-TX', 'Waxahachie', 'no', '', '', '', ''),
	('76F', 'medium_airport', 'Van Zandt County Regional Airport', 32.681499, -95.9841, 518, 'US', 'US-TX', 'Wills Point', 'no', 'K76F', '', '76F', ''),
	('TA50', 'small_airport', 'Cielo Dorado Estates Airport', 31.909819, -106.641657, 3750, 'US', 'US-NM', 'Anthony', 'no', 'NM05', '', 'NM05', 'TA50, Sunland Park, anthony, cielo dorado'),
	('4TX8', 'small_airport', 'Addington Field', 33.24869918823242, -97.2238998413086, 705, 'US', 'US-TX', 'Krum', 'no', '4TX8', '', '4TX8', ''),
	('1TE8', 'small_airport', 'Kahuna Bay Airport', 33.548876, -96.55777, 702, 'US', 'US-TX', 'Sherman', 'no', '1TE8', '', '1TE8', ''),
	('TA46', 'small_airport', 'Baum Airport', 32.562599182128906, -96.4011001586914, 500, 'US', 'US-TX', 'Kaufman', 'no', 'TA46', '', 'TA46', ''),
	('XA16', 'small_airport', 'Tightwaad Air Ranch Airport', 33.49420166015625, -97.4655990600586, 875, 'US', 'US-TX', 'Rosston', 'no', 'XA16', '', 'XA16', ''),
	('TX68', 'closed', 'Parker Place Airport', 33.591801, -96.276604, 620, 'US', 'US-TX', 'Ector', 'no', '', '', '', 'TX68'),
	('KFWS', 'small_airport', 'Fort Worth Spinks Airport', 32.565201, -97.308098, 700, 'US', 'US-TX', 'Fort Worth', 'no', 'KFWS', '', 'FWS', ''),
	('F17', 'small_airport', 'Center Municipal Airport', 31.8316, -94.156403, 319, 'US', 'US-TX', 'Center', 'no', 'KF17', '', 'F17', ''),
	('85XA', 'small_airport', 'Windmillcreek Airport', 33.309023, -97.311284, 800, 'US', 'US-TX', 'Krum', 'no', '', '', '85XA', ''),
	('KLFK', 'medium_airport', 'Angelina County Airport', 31.2339992523, -94.75, 296, 'US', 'US-TX', 'Lufkin', 'no', 'KLFK', 'LFK', 'LFK', ''),
	('3TX7', 'small_airport', 'Flying P Airport', 33.14080047607422, -97.37110137939453, 805, 'US', 'US-TX', 'Justin', 'no', '3TX7', '', '3TX7', ''),
	('KDTO', 'small_airport', 'Denton Enterprise Airport', 33.201769, -97.197983, 643, 'US', 'US-TX', 'Denton', 'no', 'KDTO', '', 'DTO', ''),
	('TE44', 'closed', 'My Heliport', 30.1063, -94.855797, 45, 'US', 'US-TX', 'Dayton', 'no', '', '', '', 'TE44'),
	('18TX', 'small_airport', 'Flying ''T'' Ranch Airport', 32.95249938964844, -96.22810363769531, 545, 'US', 'US-TX', 'Caddo Mills', 'no', '18TX', '', '18TX', ''),
	('20TE', 'small_airport', 'Reece Ranch Airport', 32.19599914550781, -97.08920288085938, 880, 'US', 'US-TX', 'Itasca', 'no', '20TE', '', '20TE', ''),
	('7XS3', 'small_airport', 'W C Ranch Airport', 31.475385, -95.634072, 337, 'US', 'US-TX', 'Grapeland', 'no', '7XS3', '', '7XS3', ''),
	('6TS4', 'small_airport', 'Stampede Valley Airport', 31.18630027770996, -97.3906021118164, 670, 'US', 'US-TX', 'Moffat', 'no', '6TS4', '', '6TS4', ''),
	('9TA8', 'small_airport', 'Taylor Ranch Airport', 31.684099197387695, -94.97720336914063, 270, 'US', 'US-TX', 'Alto', 'no', '9TA8', '', '9TA8', ''),
	('2TX8', 'small_airport', 'Eagle''s Landing Airport', 33.305444, -97.378915, 930, 'US', 'US-TX', 'Krum', 'no', '2TX8', '', '2TX8', ''),
	('TX74', 'small_airport', 'Thomas Flying Field', 32.261303, -97.27315, 830, 'US', 'US-TX', 'Parker', 'no', 'TX74', '', 'TX74', ''),
	('XA84', 'closed', 'Stoney Fork Landing Airport', 33.482754, -97.11981, 680, 'US', 'US-TX', 'Valley View', 'no', '', '', '', 'XA84'),
	('43LA', 'small_airport', 'Want''s Ultralight Flightpark', 32.747904, -93.872874, 177, 'US', 'US-LA', 'Belcher', 'no', '43LA', '', '43LA', 'Slay''s Airstrip'),
	('7F5', 'small_airport', 'Canton Hackney Airport', 32.588401, -95.863116, 500, 'US', 'US-TX', 'Canton', 'no', '', '', '7F5', ''),
	('2TA6', 'small_airport', 'Pyramid Ranch Airport', 31.862699508666992, -96.19750213623047, 362, 'US', 'US-TX', 'Fairfield', 'no', '2TA6', '', '2TA6', ''),
	('16TS', 'small_airport', 'Pineridge Airport', 32.222698, -95.318001, 420, 'US', 'US-TX', 'Tyler', 'no', '16TS', '', '16TS', ''),
	('25TX', 'closed', 'Hubbard Airport', 31.311928, -94.642997, 300, 'US', 'US-TX', 'Lufkin', 'no', '', '', '', '25TX'),
	('T24', 'small_airport', 'Pineland Municipal Airport', 31.23349952697754, -93.98190307617188, 260, 'US', 'US-TX', 'Pineland', 'no', 'KT24', '', 'T24', ''),
	('83TA', 'small_airport', 'Rainbow Field', 31.900299072265625, -96.60030364990234, 365, 'US', 'US-TX', 'Purdon', 'no', '83TA', '', '83TA', ''),
	('01TE', 'small_airport', 'Smith Field', 32.737598, -96.428001, 505, 'US', 'US-TX', 'Forney', 'no', '01TE', '', '01TE', '02F'),
	('T14', 'small_airport', 'Taylor Airport', 32.952202, -96.095802, 473, 'US', 'US-TX', 'Quinlan', 'no', 'T14', '', 'T14', ''),
	('6X0', 'small_airport', 'Tarrant Field', 32.097401, -95.294701, 590, 'US', 'US-TX', 'Bullard', 'no', '', '', '6X0', ''),
	('24F', 'small_airport', 'Cypress River Airport', 32.74599838256836, -94.30439758300781, 221, 'US', 'US-TX', 'Jefferson', 'no', 'K24F', '', '24F', ''),
	('3T6', 'small_airport', 'Clark Airport', 33.133499, -97.2967, 705, 'US', 'US-TX', 'Justin', 'no', '3T6', '', '3T6', 'Formerly 3TX6'),
	('17XA', 'small_airport', 'Jacksonville / Hunter Field', 32.017778, -95.7969444445, 580, 'US', 'US-TX', 'Jacksonville', 'no', '17XA', '', '17XA', ''),
	('TE81', 'small_airport', 'Smither Field', 33.30970001220703, -97.0927963256836, 655, 'US', 'US-TX', 'Denton', 'no', 'TE81', '', 'TE81', ''),
	('KSWI', 'small_airport', 'Sherman Municipal Airport', 33.624199, -96.586098, 745, 'US', 'US-TX', 'Sherman', 'no', 'KSWI', '', 'SWI', ''),
	('TX32', 'small_airport', 'Bar V K Airport', 33.3764, -97.243416, 765, 'US', 'US-TX', 'Bolivar', 'no', '', '', 'T38', 'TX32'),
	('T87', 'small_airport', 'Flying C Airport', 33.342201232910156, -97.2699966430664, 775, 'US', 'US-TX', 'Sanger', 'no', 'T87', '', 'T87', ''),
	('6TX8', 'small_airport', 'Hess Airport', 32.555999755859375, -97.2063980102539, 673, 'US', 'US-TX', 'Mansfield', 'no', '6TX8', '', '6TX8', ''),
	('4XS1', 'small_airport', 'Coyote Field', 32.1338996887207, -96.52059936523438, 430, 'US', 'US-TX', 'Corsicana', 'no', '4XS1', '', '4XS1', ''),
	('KDKR', 'small_airport', 'Houston County Airport', 31.306999, -95.403801, 348, 'US', 'US-TX', 'Crockett', 'no', 'KDKR', '', 'DKR', 'T56'),
	('TX81', 'small_airport', 'Robotek Airport', 33.54999923706055, -97.03810119628906, 775, 'US', 'US-TX', 'Gainesville', 'no', 'TX81', '', 'TX81', ''),
	('KDAL', 'medium_airport', 'Dallas Love Field', 32.847099, -96.851799, 487, 'US', 'US-TX', 'Dallas', 'yes', 'KDAL', 'DAL', 'DAL', 'QDF'),
	('3XA1', 'small_airport', 'Hardy Field', 33.47395, -97.169267, 670, 'US', 'US-TX', 'Valley View', 'no', '3XA1', '', '3XA1', ''),
	('TS11', 'small_airport', 'Glenmar Airport', 33.10710144042969, -95.93000030517578, 531, 'US', 'US-TX', 'Campbell', 'no', 'TS11', '', 'TS11', ''),
	('TA77', 'closed', 'Cottonpatch Aerodrome', 33.1493, -96.898903, 580, 'US', 'US-TX', 'Frisco', 'no', '', '', '', 'TA77'),
	('KASL', 'small_airport', 'Harrison County Airport', 32.5205001831, -94.307800293, 357, 'US', 'US-TX', 'Marshall', 'no', 'KASL', 'ASL', 'ASL', ''),
	('11TS', 'small_airport', 'PT Enterprise D&W Ranch Airport', 31.6579, -96.4114, 526, 'US', 'US-TX', 'Mexia', 'no', '11TS', '', '11TS', ''),
	('14XA', 'small_airport', 'Frog Pond Airport', 33.657888, -96.788285, 686, 'US', 'US-TX', 'Sherman', 'no', '14XA', '', '14XA', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TE01', 'small_airport', 'Dillard Ranch Airport', 31.304899215698242, -95.79660034179688, 225, 'US', 'US-TX', 'Centerville', 'no', 'TE01', '', 'TE01', ''),
	('2XA4', 'small_airport', 'Flying S Ranch Airport', 33.5807991027832, -96.80030059814453, 730, 'US', 'US-TX', 'Collinsville', 'no', '2XA4', '', '2XA4', ''),
	('61TA', 'small_airport', 'Eagle Landing Airport', 32.88399887084961, -94.60769653320313, 380, 'US', 'US-TX', 'Avinger', 'no', '61TA', '', '61TA', ''),
	('KJSO', 'small_airport', 'Cherokee County Airport', 31.8693008423, -95.2173995972, 677, 'US', 'US-TX', 'Jacksonville', 'no', 'KJSO', 'JKV', 'JSO', ''),
	('11TX', 'small_airport', 'Butler Airport', 33.667813, -96.691971, 840, 'US', 'US-TX', 'Sherman', 'no', '11TX', '', '11TX', ''),
	('KTKI', 'small_airport', 'McKinney National Airport', 33.177898, -96.5905, 585, 'US', 'US-TX', 'Dallas', 'no', 'KTKI', '', 'TKI', 'Collin County Regional Airport at McKinney'),
	('XS31', 'small_airport', 'Graham Field', 33.70180130004883, -96.83190155029297, 695, 'US', 'US-TX', 'Sadler', 'no', 'XS31', '', 'XS31', ''),
	('6TE9', 'small_airport', 'Mc Kenzie Field', 32.816799163800006, -94.616897583, 360, 'US', 'US-TX', 'Avinger', 'no', '6TE9', '', '6TE9', ''),
	('KGPM', 'small_airport', 'Grand Prairie Municipal Airport', 32.698799, -97.046898, 588, 'US', 'US-TX', 'Grand Prairie', 'no', 'KGPM', '', 'GPM', ''),
	('TX19', 'small_airport', 'Russells Ranch Airport', 33.538499, -94.90479, 400, 'US', 'US-TX', 'Annona', 'no', 'TX19', '', 'TX19', ''),
	('KCPT', 'small_airport', 'Cleburne Regional Airport', 32.353802, -97.433701, 854, 'US', 'US-TX', 'Cleburne', 'no', 'KCPT', '', 'CPT', 'Cleburne Municipal, F18'),
	('KJWY', 'medium_airport', 'Mid-Way Regional Airport', 32.4587, -96.912399, 713, 'US', 'US-TX', 'Midlothian/Waxahachie', 'no', 'KJWY', '', 'JWY', '4T6'),
	('F46', 'small_airport', 'Rockwall Municipal Airport', 32.930599, -96.435501, 574, 'US', 'US-TX', 'Rockwall', 'no', '', '', 'F46', ''),
	('56LA', 'small_airport', 'Old Hickory Ranch Airport', 32.345298767089844, -93.81829833984375, 180, 'US', 'US-LA', 'Keithville', 'no', '56LA', '', '56LA', ''),
	('05TS', 'small_airport', 'Dew Drop Airport', 33.12929916381836, -97.35859680175781, 750, 'US', 'US-TX', 'Justin', 'no', '05TS', '', '05TS', ''),
	('9F9', 'small_airport', 'Sycamore Strip', 32.628501892089844, -97.35359954833984, 760, 'US', 'US-TX', 'Fort Worth', 'no', 'K9F9', '', '9F9', ''),
	('TA43', 'small_airport', 'Anderosa Airpark', 31.047500610351563, -94.85440063476563, 205, 'US', 'US-TX', 'Corrigan', 'no', 'TA43', '', 'TA43', ''),
	('2TS3', 'small_airport', 'Tigerbird Field', 31.67930030822754, -97.2406005859375, 450, 'US', 'US-TX', 'Waco', 'no', '2TS3', '', '2TS3', ''),
	('63XA', 'small_airport', 'JCJ Farm Airport', 31.215591, -97.003661, 520, 'US', 'US-TX', 'Lott', 'no', '63XA', '', '63XA', ''),
	('F53', 'small_airport', 'Franklin County Airport', 33.215401, -95.237396, 412, 'US', 'US-TX', 'Mount Vernon', 'no', 'KF53', '', 'F53', ''),
	('TX47', 'small_airport', 'Sandy Creek Ranch Airfield', 33.7076835632, -96.2238464355, 547, 'US', 'US-TX', 'Revenna', 'no', 'TX47', '', 'TX47', ''),
	('AR44', 'small_airport', 'Flying W Airport', 33.51259994506836, -94.01349639892578, 265, 'US', 'US-AR', 'Texarkana', 'no', 'AR44', '', 'AR44', ''),
	('KGYI', 'medium_airport', 'North Texas Regional Airport Perrin Field', 33.7141, -96.673698, 749, 'US', 'US-TX', 'Denison', 'no', 'KGYI', 'PNX', 'GYI', 'Perrin AFB, Grayson County, Sherman'),
	('1F7', 'small_airport', 'Airpark East Airport', 32.81399917602539, -96.35220336914063, 510, 'US', 'US-TX', 'Dallas', 'no', '1F7', '', '1F7', ''),
	('KGVT', 'small_airport', 'Majors Airport', 33.0677986145, -96.0652999878, 535, 'US', 'US-TX', 'Greenville', 'no', 'KGVT', 'GVT', 'GVT', ''),
	('6TX6', 'small_airport', 'JTJ Ranch Airport', 32.0826, -96.356697, 350, 'US', 'US-TX', 'Corsicana', 'no', '6TX6', '', '6TX6', ''),
	('TA85', 'closed', 'Chambers Airport', 33.3232, -96.232202, 692, 'US', 'US-TX', 'Celeste', 'no', '', '', '', 'TA85'),
	('TE47', 'small_airport', 'Cross Wind Acres Airport', 32.20899963378906, -97.31780242919922, 760, 'US', 'US-TX', 'Rio Vista', 'no', 'TE47', '', 'TE47', ''),
	('4F2', 'small_airport', 'Panola County Sharpe Field', 32.176102, -94.298798, 248, 'US', 'US-TX', 'Carthage', 'no', '', '', '4F2', ''),
	('59TX', 'small_airport', 'Benjamin Franklin Airport', 32.487442, -97.490208, 990, 'US', 'US-TX', 'Godley', 'no', '59TX', '', '59TX', ''),
	('2XS4', 'small_airport', 'Skida Patch Airport', 33.661399841308594, -96.40640258789063, 665, 'US', 'US-TX', 'Bells', 'no', '2XS4', '', '2XS4', ''),
	('31TS', 'small_airport', 'Flyers Field', 33.190399169921875, -96.18910217285156, 640, 'US', 'US-TX', 'Greenville', 'no', '31TS', '', '31TS', ''),
	('XA42', 'small_airport', 'Tali Homma Field', 32.375718, -96.385668, 340, 'US', 'US-TX', 'Kaufman', 'no', 'XA42', '', 'XA42', 'Connies Aviation Airport'),
	('TX22', 'small_airport', 'Leroux Airport', 33.10179901123047, -97.15499877929688, 670, 'US', 'US-TX', 'Argyle', 'no', 'TX22', '', 'TX22', ''),
	('11XA', 'N/A', 'N/A', 31.949722096323967, -95.71305558085442, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XS91', 'small_airport', 'Pickle Plantation Airport', 32.08649826049805, -95.59929656982422, 580, 'US', 'US-TX', 'Poynor', 'no', 'XS91', '', 'XS91', ''),
	('LS41', 'small_airport', 'Tater Patch Ultralightport', 32.567101, -93.878899, 240, 'US', 'US-LA', 'Shreveport', 'no', 'LS41', '', 'LS41', ''),
	('2T4', 'N/A', 'N/A', 33.544065691530704, -96.97562098503113, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4XS5', 'small_airport', 'Scrappin Valley Airport', 31.12190055847168, -93.8030014038086, 350, 'US', 'US-TX', 'Wiergate', 'no', '4XS5', '', '4XS5', ''),
	('9TS6', 'small_airport', 'Goodlett Field', 32.37889862060547, -97.17829895019531, 690, 'US', 'US-TX', 'Alvarado', 'no', '9TS6', '', '9TS6', ''),
	('KCRS', 'small_airport', 'C David Campbell Field Corsicana Municipal Airport', 32.0280990601, -96.4005966187, 449, 'US', 'US-TX', 'Corsicana', 'no', 'KCRS', 'CRS', 'CRS', ''),
	('TS54', 'small_airport', 'Flying B Airport', 33.014801025390625, -95.43440246582031, 535, 'US', 'US-TX', 'Pickton', 'no', 'TS54', '', 'TS54', ''),
	('6F7', 'small_airport', 'Manning Field', 32.827052, -94.354239, 320, 'US', 'US-TX', 'Jefferson', 'no', '6F7', '', '6F7', 'Manning Airfield'),
	('TA37', 'small_airport', 'Vaca Moo Airport', 32.428021, -95.71258, 0, 'US', 'US-TX', 'Ben Wheeler', 'no', '', '', 'TA37', 'PNR'),
	('7XA2', 'small_airport', 'Sagebrush Airport', 33.148726, -97.373993, 810, 'US', 'US-TX', 'Justin', 'no', '7XA2', '', '7XA2', ''),
	('21TX', 'closed', 'Shilling''s Airport', 33.499599, -94.094398, 350, 'US', 'US-TX', 'Texarkana', 'no', '', '', '', '21TX'),
	('42TX', 'small_airport', 'Magee Airport', 33.31679916381836, -96.06690216064453, 620, 'US', 'US-TX', 'Wolfe City', 'no', '42TX', '', '42TX', ''),
	('TA57', 'small_airport', 'Texas Valley Air Field', 31.6238002777, -96.99250030520001, 450, 'US', 'US-TX', 'Waco', 'no', 'TA57', '', 'TA57', ''),
	('K00', 'closed', 'Hall Airport', 32.513699, -96.236902, 440, 'US', 'US-TX', 'Kaufman', 'no', '', '', '', 'K00'),
	('16TE', 'small_airport', 'Holly Lake Ranch Airport', 32.697601318359375, -95.20770263671875, 409, 'US', 'US-TX', 'Hawkins', 'no', '16TE', '', '16TE', ''),
	('XS57', 'small_airport', 'Havelka Haven Airport', 31.464969, -97.404658, 711, 'US', 'US-TX', 'Mc Gregor', 'no', 'XS57', '', 'XS57', 'Flying H Airfield');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TT20', 'small_airport', 'Lazy 8 Flying Ranch Airport', 30.964832, -95.834851, 227, 'US', 'US-TX', 'Madisonville', 'no', 'TT20', '', 'TT20', ''),
	('KDII', 'N/A', 'N/A', 31.168585047125816, -94.66955780982971, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TA18', 'small_airport', 'Sunset Airport', 32.70709991455078, -96.47940063476563, 444, 'US', 'US-TX', 'Forney', 'no', 'TA18', '', 'TA18', ''),
	('07F', 'small_airport', 'Gladewater Municipal Airport', 32.528801, -94.971702, 296, 'US', 'US-TX', 'Gladewater', 'no', 'K07F', '', '07F', ''),
	('KMAU', 'N/A', 'N/A', 31.79607141762972, -97.38246873021126, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCOP', 'N/A', 'N/A', 31.10368598252535, -95.70287704467773, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMAZ', 'N/A', 'N/A', 32.38448068499565, -96.10374793410301, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('89TS', 'small_airport', 'Carter Ranch Airport', 31.56679916381836, -95.7666015625, 215, 'US', 'US-TX', 'Oakwood', 'no', '89TS', '', '89TS', ''),
	('99TE', 'small_airport', 'Pritchard Airport', 33.60580062866211, -96.41560363769531, 800, 'US', 'US-TX', 'Bells', 'no', '99TE', '', '99TE', ''),
	('T56', 'small_airport', 'Eagle''s Nest Estates Airport', 32.512602, -96.926695, 780, 'US', 'US-TX', 'Midlothian', 'no', '', '', 'T56', '2TS6'),
	('KACT', 'medium_airport', 'Waco Regional Airport', 31.611299514770508, -97.23049926757813, 516, 'US', 'US-TX', 'Waco', 'yes', 'KACT', 'ACT', 'ACT', ''),
	('4TX2', 'small_airport', 'Stage Coach Hills Airport', 32.966691, -97.232695, 684, 'US', 'US-TX', 'Keller', 'no', '4TX2', '', '4TX2', ''),
	('9XA4', 'small_airport', 'Chimera Aerodrome', 32.355752, -97.039822, 649, 'US', 'US-TX', 'Venus', 'no', '9XA4', '', '9XA4', 'Leger Airport'),
	('70XA', 'small_airport', 'Looney Airstrip', 33.392714, -94.441422, 315, 'US', 'US-TX', 'New Boston', 'no', '70XA', '', '70XA', ''),
	('5F5', 'small_airport', 'Bluebird Hill Airport', 32.344600677490234, -93.79989624023438, 180, 'US', 'US-LA', 'Keithville', 'no', '5F5', '', '5F5', ''),
	('75TE', 'small_airport', 'Womack Farm Airport', 31.747400283813477, -97.24610137939453, 500, 'US', 'US-TX', 'Waco', 'no', '75TE', '', '75TE', ''),
	('TX70', 'small_airport', 'Eberly Ranch Airport', 30.061481, -96.225726, 280, 'US', 'US-TX', 'Chappell Hill', 'no', 'TX70', '', 'TX70', ''),
	('7TS4', 'small_airport', 'Hicks Airport', 33.183201, -97.2545, 725, 'US', 'US-TX', 'Ponder', 'no', '', '', '74T', '7TS4, Roma Airport'),
	('90TE', 'small_airport', 'The Homestead Airport', 32.195701599121094, -96.4385986328125, 398, 'US', 'US-TX', 'Corsicana', 'no', '90TE', '', '90TE', ''),
	('16X', 'small_airport', 'Propwash Airport', 33.0807, -97.358902, 800, 'US', 'US-TX', 'Justin', 'no', '16X', '', '16X', 'Formerly 16XS'),
	('T25', 'small_airport', 'Aero Estates Airport', 32.081775, -95.452163, 445, 'US', 'US-TX', 'Frankston', 'no', '', '', 'T25', 'Formerly TX27'),
	('4TX5', 'small_airport', 'Hancock Airport', 32.22990036010742, -96.25969696044922, 305, 'US', 'US-TX', 'Kerens', 'no', '4TX5', '', '4TX5', ''),
	('57AR', 'small_airport', 'Sandy Ridge Farms Airport', 33.660555, -94.241666, 334, 'US', 'US-AR', 'Ashdown', 'no', '57AR', '', '57AR', ''),
	('TA93', 'small_airport', 'Lm Ranch Airport', 33.63330078125, -96.73359680175781, 770, 'US', 'US-TX', 'Sherman', 'no', 'TA93', '', 'TA93', ''),
	('20TA', 'small_airport', 'Mag Drop Airport', 33.559167, -96.409444, 740, 'US', 'US-TX', 'Bells', 'no', '20TA', '', '20TA', ''),
	('5TA8', 'small_airport', 'Deer Meadow Ranch Airport', 32.013301849365234, -95.92829895019531, 520, 'US', 'US-TX', 'Athens', 'no', '5TA8', '', '5TA8', ''),
	('5XS5', 'small_airport', 'Wits End Ranch Airport', 32.542581, -95.70861, 545, 'US', 'US-TX', 'Grand Saline', 'no', '5XS5', '', '5XS5', 'Brady Field'),
	('XA47', 'small_airport', 'Tick Hill Airfield', 31.30970001220703, -97.48480224609375, 645, 'US', 'US-TX', 'Moody', 'no', 'XA47', '', 'XA47', ''),
	('19TA', 'small_airport', 'Lagrone Ranch Airport', 32.82229995727539, -96.41690063476563, 567, 'US', 'US-TX', 'Mc Clendon-Chisholm', 'no', '19TA', '', '19TA', ''),
	('TX45', 'small_airport', 'Hawkeye Hunting Club Airport', 31.769656, -97.131757, 260, 'US', 'US-TX', 'West', 'no', 'TX45', '', 'TX45', ''),
	('00TX', 'closed', 'San Jacinto Methodist Hospital Heliport', 29.7377, -94.980201, 19, 'US', 'US-TX', 'Baytown', 'no', '', '', '', '00TX'),
	('3TX1', 'small_airport', 'Paradise Point Airport', 32.082431, -95.445039, 345, 'US', 'US-TX', 'Frankston', 'no', '3TX1', '', '3TX1', ''),
	('TE39', 'small_airport', 'Bucker Field', 33.443199157714844, -97.27339935302734, 877, 'US', 'US-TX', 'Era', 'no', 'TE39', '', 'TE39', ''),
	('TA08', 'small_airport', 'Flying M Airport', 33.149600982666016, -96.2739028930664, 585, 'US', 'US-TX', 'Floyd', 'no', 'TA08', '', 'TA08', ''),
	('TX03', 'small_airport', 'Stapleton Field', 31.875086, -97.068128, 716, 'US', 'US-TX', 'Abbott', 'no', 'TX03', '', 'TX03', ''),
	('76T', 'small_airport', 'Bishop Airport', 33.268952, -97.451849, 875, 'US', 'US-TX', 'Decatur', 'no', '', '', '76T', ''),
	('5TX8', 'closed', 'Boon/Lovelace Airport', 33.032101, -94.379402, 429, 'US', 'US-TX', 'Linden', 'no', '', '', '', '5TX8, Linden Airfield'),
	('78TE', 'small_airport', 'Rocking A Airport', 32.02040100097656, -97.33110046386719, 635, 'US', 'US-TX', 'Whitney', 'no', '78TE', '', '78TE', ''),
	('85XS', 'closed', 'Marine Consultants Inc Heliport', 29.7061, -95.274101, 50, 'US', 'US-TX', 'Houston', 'no', '', '', '', '85XS'),
	('0TS1', 'small_airport', 'Dooley Airport', 33.098732, -97.272517, 650, 'US', 'US-TX', 'Justin', 'no', '0TS1', '', '0TS1', ''),
	('7T0', 'small_airport', 'Freedom Field', 33.59339904785156, -97.21929931640625, 885, 'US', 'US-TX', 'Lindsay', 'no', '7T0', '', '7T0', ''),
	('KTXK', 'medium_airport', 'Texarkana Regional Airport (Webb Field)', 33.453701, -93.990997, 390, 'US', 'US-AR', 'Texarkana', 'yes', 'KTXK', 'TXK', 'TXK', ''),
	('H26', 'N/A', 'N/A', 32.04829327762127, -97.11680710315704, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TX51', 'small_airport', 'Smith Airport', 32.20009994506836, -96.32939910888672, 405, 'US', 'US-TX', 'Corsicana', 'no', 'TX51', '', 'TX51', ''),
	('F66', 'N/A', 'N/A', 32.557487189769745, -96.86635047197342, 215, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9TE0', 'small_airport', 'Twin Acres Airport', 32.392338, -96.404329, 340, 'US', 'US-TX', 'Scurry', 'no', '9TE0', '', '9TE0', ''),
	('XS30', 'small_airport', 'Burress Airport', 33.605098724365234, -95.48190307617188, 484, 'US', 'US-TX', 'Paris', 'no', 'XS30', '', 'XS30', ''),
	('TX24', 'small_airport', 'Oaks Airport', 32.265243, -95.082936, 510, 'US', 'US-TX', 'Arp', 'no', 'TX24', '', 'TX24', ''),
	('70TA', 'closed', 'BTA Heliport', 31.996799, -102.081001, 2815, 'US', 'US-TX', 'Midland', 'no', '', '', '', '70TA'),
	('5TA2', 'small_airport', 'Rabbit Run Airport', 31.454599380493164, -97.25029754638672, 740, 'US', 'US-TX', 'Waco', 'no', '5TA2', '', '5TA2', ''),
	('63TX', 'closed', 'Grosser Airport', 29.7752, -98.578102, 1354, 'US', 'US-TX', 'Bulverde', 'no', '', '', '', '63TX');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TA82', 'closed', 'R & J Livestock County Airport', 29.024401, -99.527, 805, 'US', 'US-TX', 'Batesville', 'no', '', '', '', 'TA82'),
	('1XA8', 'small_airport', 'Hackberry Airport', 32.23249816894531, -96.39749908447266, 433, 'US', 'US-TX', 'Chatfield', 'no', '1XA8', '', '1XA8', ''),
	('4TX3', 'small_airport', 'Forest Hill Airport', 33.66120147705078, -95.83360290527344, 525, 'US', 'US-TX', 'Petty', 'no', '4TX3', '', '4TX3', ''),
	('20XS', 'small_airport', 'Klutts Field', 32.83539962768555, -96.37799835205078, 495, 'US', 'US-TX', 'Chisholm', 'no', '20XS', '', '20XS', ''),
	('KPRX', 'medium_airport', 'Cox Field', 33.636600494385, -95.450798034668, 547, 'US', 'US-TX', 'Paris', 'no', 'KPRX', 'PRX', 'PRX', 'Cox AAF'),
	('TX33', 'closed', 'Haire Airport', 33.338873, -97.307432, 860, 'US', 'US-TX', 'Sanger', 'no', '', '', '', 'TX33'),
	('T13', 'small_airport', 'Dallas South Port Airport', 32.48238, -96.68597, 474, 'US', 'US-TX', 'Palmer', 'no', 'KT13', '', 'T13', ''),
	('74T', 'small_airport', 'Hicks Airport', 33.183201, -97.2545, 725, 'US', 'US-TX', 'Ponder', 'no', '', '', '74T', '7TS4, Roma Airport'),
	('7F3', 'small_airport', 'Caddo Mills Municipal Airport', 33.036201, -96.243103, 542, 'US', 'US-TX', 'Caddo Mills', 'no', 'K7F3', '', '7F3', ''),
	('XA03', 'small_airport', 'Edgington Ranch Airport', 33.427509, -97.271284, 885, 'US', 'US-TX', 'Sanger', 'no', 'XA03', '', 'XA03', ''),
	('KTRL', 'small_airport', 'Terrell Municipal Airport', 32.709201812744, -96.267402648926, 474, 'US', 'US-TX', 'Terrell', 'no', 'KTRL', 'TRL', 'TRL', 'Terrell Field'),
	('TX40', 'small_airport', 'Echo Lake Airport', 32.25429916381836, -95.65579986572266, 450, 'US', 'US-TX', 'Brownsboro', 'no', 'TX40', '', 'TX40', ''),
	('KGLE', 'small_airport', 'Gainesville Municipal Airport', 33.651401519800004, -97.1969985962, 845, 'US', 'US-TX', 'Gainesville', 'no', 'KGLE', 'GLE', 'GLE', ''),
	('TX94', 'small_airport', 'Flying D Ranch Airport', 33.4529, -97.276703, 880, 'US', 'US-TX', 'Era', 'no', 'TX94', '', 'TX94', 'Flying R Ranch Airport'),
	('48TX', 'small_airport', 'Tri-County Aerodrome', 33.451793, -96.377377, 790, 'US', 'US-TX', 'Whitewright', 'no', '48TX', '', '48TX', 'Trenton'),
	('22TA', 'closed', 'Standard Industries Airport', 29.341299, -98.659697, 690, 'US', 'US-TX', 'San Antonio', 'no', '', '', '', '22TA'),
	('TS81', 'closed', 'Town & Country Heliport', 29.7836, -95.555801, 90, 'US', 'US-TX', 'Houston', 'no', '', '', '', 'TS81'),
	('KRFI', 'small_airport', 'Rusk County Airport', 32.141701, -94.8517, 442, 'US', 'US-TX', 'Henderson', 'no', 'KRFI', '', 'RFI', 'Formerly F12'),
	('23TA', 'small_airport', 'Rowland R Airfield', 33.487301, -96.455803, 705, 'US', 'US-TX', 'Whitewright', 'no', '23TA', '', '23TA', ''),
	('KLNC', 'small_airport', 'Lancaster Airport', 32.577564, -96.717494, 501, 'US', 'US-TX', 'Lancaster', 'no', 'KLNC', '', 'LNC', ''),
	('KOSA', 'small_airport', 'Mount Pleasant Regional Airport', 33.095501, -94.961502, 364, 'US', 'US-TX', 'Mount Pleasant', 'no', 'KOSA', 'MPS', 'OSA', ''),
	('77TE', 'closed', 'Rowco, Inc Heliport', 29.5466, -98.410598, 706, 'US', 'US-TX', 'San Antonio', 'no', '', '', '', '77TE'),
	('6TA2', 'small_airport', 'Rockys Place Airport', 33.37220001220703, -96.36219787597656, 685, 'US', 'US-TX', 'Leonard', 'no', '6TA2', '', '6TA2', ''),
	('01TS', 'closed', 'St Joseph Hospital Heliport', 32.7285, -97.324501, 675, 'US', 'US-TX', 'Fort Worth', 'no', '', '', '', '01TS'),
	('12TT', 'small_airport', 'D An P Farm Airport', 33.593768, -97.100816, 771, 'US', 'US-TX', 'Gainesville', 'no', '12TT', '', '12TT', ''),
	('7XS6', 'small_airport', 'Moore Hx Ranch Airport', 31.79439926147461, -96.20800018310547, 400, 'US', 'US-TX', 'Fairfield', 'no', '7XS6', '', '7XS6', ''),
	('34TA', 'small_airport', 'Jsi Airport', 33.16709899902344, -96.48719787597656, 590, 'US', 'US-TX', 'Princeton', 'no', '34TA', '', '34TA', ''),
	('KSLR', 'small_airport', 'Sulphur Springs Municipal Airport', 33.159801483154, -95.621101379395, 489, 'US', 'US-TX', 'Sulphur Springs', 'no', 'KSLR', 'SLR', 'SLR', ''),
	('TX29', 'small_airport', 'Flying O Airport', 32.28900146484375, -96.70439910888672, 490, 'US', 'US-TX', 'Bardwell', 'no', 'TX29', '', 'TX29', ''),
	('1XS6', 'heliport', 'Baylor Scott & White Medical Center Hillcrest Heliport', 31.489318, -97.158455, 566, 'US', 'US-TX', 'Waco', 'no', '1XS6', '', '1XS6', 'Hillcrest Baptist Hospital Heliport'),
	('45TE', 'small_airport', 'Deussen Field', 33.191797, -97.324444, 790, 'US', 'US-TX', 'Ponder', 'no', '', '', '', '45TE'),
	('3TX6', 'small_airport', 'Lowell Smith Jr Airport', 32.233481, -97.380849, 740, 'US', 'US-TX', 'Rio Vista', 'no', '3TX6', '', '3TX6', ''),
	('74xa', 'small_airport', 'Gun Barrel City Airpark', 32.35515, -96.145665, 385, 'US', 'US-TX', '', 'no', '74XA', '', '', 'Harbor Point Airport'),
	('KINJ', 'small_airport', 'Hillsboro Municipal Airport', 32.0835, -97.097198, 686, 'US', 'US-TX', 'Hillsboro', 'no', 'KINJ', '', 'INJ', '5T5'),
	('4TX4', 'small_airport', 'Birk Airport', 32.627899169921875, -97.19200134277344, 700, 'US', 'US-TX', 'Kennedale', 'no', '4TX4', '', '4TX4', ''),
	('F69', 'small_airport', 'Air Park Dallas Airport', 33.023499, -96.836899, 695, 'US', 'US-TX', 'Dallas', 'no', '', '', 'F69', ''),
	('08AR', 'closed', 'Crittenden Regional Hospital Heliport', 35.142046, -90.190212, 206, 'US', 'US-AR', 'West Memphis', 'no', '', '', '', '08AR'),
	('2TS0', 'small_airport', 'Myska Field', 33.154709, -97.138817, 595, 'US', 'US-TX', 'Denton', 'no', '2TS0', '', '2TS0', ''),
	('47TA', 'small_airport', 'Pleasure Field', 33.25600051879883, -96.88529968261719, 604, 'US', 'US-TX', 'Prosper', 'no', '47TA', '', '47TA', ''),
	('TS92', 'small_airport', 'Little Peach Airport', 31.214599609375, -97.42669677734375, 710, 'US', 'US-TX', 'Temple', 'no', 'TS92', '', 'TS92', ''),
	('52TA', 'small_airport', 'Red Wing Airport', 33.4640007019043, -96.35030364990234, 755, 'US', 'US-TX', 'Trenton', 'no', '52TA', '', '52TA', ''),
	('57TX', 'closed', 'Brown Ranch Airport', 28.4419, -97.804398, 325, 'US', 'US-TX', 'Beeville', 'no', '', '', '', '57TX'),
	('4TE0', 'closed', 'Lone Star Steel Company Airport', 32.930962, -94.744656, 285, 'US', 'US-TX', 'Lone Star', 'no', '', '', '', '4TE0'),
	('1TE3', 'small_airport', 'Bolton Airport', 31.917400360107422, -95.20719909667969, 450, 'US', 'US-TX', 'Jacksonville', 'no', '1TE3', '', '1TE3', ''),
	('8TA8', 'small_airport', 'Bufords Field', 31.169099807739258, -94.53240203857422, 200, 'US', 'US-TX', 'Huntington', 'no', '8TA8', '', '8TA8', ''),
	('T31', 'small_airport', 'Aero Country Airport', 33.2085, -96.7422, 792, 'US', 'US-TX', 'McKinney', 'no', '', '', 'T31', ''),
	('94TS', 'heliport', 'Mc David Honda Heliport', 32.8375015259, -96.9708023071, 540, 'US', 'US-TX', 'Irving', 'no', '94TS', '', '94TS', ''),
	('9F1', 'small_airport', 'Valley Mills Municipal Airport', 31.621, -97.429497, 751, 'US', 'US-TX', 'Valley Mills', 'no', '9F1', '', '9F1', ''),
	('TA23', 'small_airport', 'Morris Lazy K Ranch Airport', 31.26129913330078, -96.21640014648438, 360, 'US', 'US-TX', 'Marquez', 'no', 'TA23', '', 'TA23', ''),
	('04TX', 'small_airport', 'Pocock Airport', 31.732779, -97.369326, 565, 'US', 'US-TX', 'China Spring', 'no', '04TX', '', '04TX', ''),
	('3TS9', 'small_airport', 'Oak Glen Ranch Airport', 33.37929916381836, -95.60359954833984, 430, 'US', 'US-TX', 'Cooper', 'no', '3TS9', '', '3TS9', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TX35', 'small_airport', 'Key''s Ranch Airport', 33.443199157714844, -94.81410217285156, 345, 'US', 'US-TX', 'Boxelder/Lydia', 'no', 'TX35', '', 'TX35', ''),
	('KADS', 'small_airport', 'Addison Airport', 32.9686012268, -96.8364028931, 644, 'US', 'US-TX', 'Dallas', 'no', 'KADS', 'ADS', 'ADS', ''),
	('XA0', 'small_airport', 'Prose Field', 33.148133, -97.280002, 685, 'US', 'US-TX', 'Justin', 'no', 'KXA0', '', 'XA0', 'XA00'),
	('KSHV', 'medium_airport', 'Shreveport Regional Airport', 32.446602, -93.8256, 258, 'US', 'US-LA', 'Shreveport', 'yes', 'KSHV', 'SHV', 'SHV', ''),
	('2TA4', 'small_airport', 'Mario''s Flying Pizza Airport', 29.747506, -96.290066, 233, 'US', 'US-TX', 'Sealy', 'no', '2TA4', '', '2TA4', ''),
	('KRWV', 'small_airport', 'Caldwell Municipal Airport', 30.515499, -96.704102, 391, 'US', 'US-TX', 'Caldwell', 'no', 'KRWV', '', 'RWV', '14R'),
	('6XA4', 'small_airport', 'Zadow Airstrip', 29.991739, -95.954354, 0, 'US', 'US-TX', 'Waller', 'no', '6XA4', '', '', ''),
	('TA30', 'small_airport', 'Old Forker Ultralightport', 29.31879997253418, -95.08580017089844, 15, 'US', 'US-TX', 'Sante Fe', 'no', 'TA30', '', 'TA30', ''),
	('45R', 'small_airport', 'Hawthorne Field', 30.336299896240234, -94.25749969482422, 71, 'US', 'US-TX', 'Kountze/Silsbee', 'no', 'K45R', '', '45R', ''),
	('TA28', 'closed', 'Woods Nr 2 Airport', 29.7936, -95.925201, 160, 'US', 'US-TX', 'Brookshire', 'no', '', '', '', 'TA28'),
	('57TS', 'heliport', 'Coker Hill Heliport', 32.64459991455078, -97.19139862060547, 660, 'US', 'US-TX', 'Kennedale', 'no', '57TS', '', '57TS', ''),
	('TE73', 'small_airport', 'Griffith Ranch Airport', 29.855584, -94.353246, 21, 'US', 'US-TX', 'Winnie', 'no', 'TE73', '', 'TE73', ''),
	('XS28', 'closed', 'North Willis Airport', 30.0266, -94.4627, 42, 'US', 'US-TX', 'Nome', 'no', '', '', '', 'XS28'),
	('47XA', 'small_airport', 'Luv Field', 30.506519, -97.41354, 540, 'US', 'US-TX', 'Taylor', 'no', '47XA', '', '47XA', ''),
	('25TA', 'small_airport', 'Ferris Airport', 29.836599349975586, -94.96739959716797, 35, 'US', 'US-TX', 'Baytown', 'no', '25TA', '', '25TA', ''),
	('95XS', 'closed', 'Air Logistics Sabine Heliport', 29.713849, -93.913329, 7, 'US', 'US-TX', 'Sabine Pass', 'no', '', '', '', '95XS, 95XS, 95XS'),
	('XS21', 'small_airport', 'H & S Airfield', 29.331100463867188, -95.70469665527344, 100, 'US', 'US-TX', 'Damon', 'no', 'XS21', '', 'XS21', ''),
	('9TX1', 'small_airport', 'Bar S Ranch Airport', 30.143299102783203, -96.8561019897461, 465, 'US', 'US-TX', 'Giddings', 'no', '9TX1', '', '9TX1', ''),
	('KYOO', 'N/A', 'N/A', 29.256788603961468, -96.98706641793251, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('88TE', 'closed', 'Thunderbird Southwest Airport', 29.902865, -96.793199, 385, 'US', 'US-TX', 'La Grange', 'no', '', '', '', '88TE, thunderbird southwest, la grange'),
	('34XS', 'small_airport', 'Flying Hare Field Airport', 30.391944, -95.538611, 225, 'US', 'US-TX', 'Conroe', 'no', '34XS', '', '34XS', ''),
	('2TE5', 'small_airport', 'Piano Ranch Airport', 29.695100784301758, -97.16329956054688, 383, 'US', 'US-TX', 'Flatonia', 'no', '2TE5', '', '2TE5', ''),
	('KIWS', 'small_airport', 'West Houston Airport', 29.818199, -95.6726, 111, 'US', 'US-TX', 'Houston', 'no', 'KIWS', 'IWS', 'IWS', 'Lakeside, Memorial Skyland'),
	('KJAS', 'small_airport', 'Jasper County Airport Bell Field', 30.8857, -94.034897, 213, 'US', 'US-TX', 'Jasper', 'no', 'KJAS', 'JAS', 'JAS', ''),
	('TX0', 'small_airport', 'Shank N Bank Airport', 28.740058, -96.468189, 20, 'US', 'US-TX', 'La Ward', 'no', '', '', 'TX0', '08TS'),
	('1TE5', 'small_airport', 'Corpora Airport', 30.816299438476563, -96.6010971069336, 270, 'US', 'US-TX', 'Hearne', 'no', '1TE5', '', '1TE5', ''),
	('3TS3', 'small_airport', 'J-D Ranch Airport', 29.37470054626465, -95.29049682617188, 34, 'US', 'US-TX', 'Alvin', 'no', '3TS3', '', '3TS3', ''),
	('32TA', 'small_airport', 'Wilbourn Ranch Airport', 29.68727, -97.435899, 350, 'US', 'US-TX', 'Harwood', 'no', '32TA', '', '32TA', 'Flying W Ranch'),
	('XS17', 'small_airport', 'Hensley Ranch Airport', 30.7091007232666, -96.90190124511719, 460, 'US', 'US-TX', 'Milano', 'no', 'XS17', '', 'XS17', ''),
	('4TX0', 'small_airport', 'Slack Airport', 29.86359977722168, -94.83439636230469, 35, 'US', 'US-TX', 'Mont Belvieu', 'no', '4TX0', '', '4TX0', ''),
	('KGYB', 'small_airport', 'Giddings-Lee County Airport', 30.1693, -96.980003, 485, 'US', 'US-TX', 'Giddings', 'no', 'KGYB', '', 'GYB', '62H'),
	('9XS9', 'small_airport', 'Rancho Verde Airport', 30.27307, -96.44071, 275, 'US', 'US-TX', 'Brenham', 'no', '9XS9', '', '9XS9', ''),
	('81D', 'small_airport', 'Flyin Tiger Airport', 29.264999389648438, -95.41190338134766, 30, 'US', 'US-TX', 'Angleton', 'no', '81D', '', '81D', ''),
	('05TA', 'small_airport', 'Brandes Air Field', 29.809099197387695, -96.26509857177734, 276, 'US', 'US-TX', 'Sealy', 'no', '05TA', '', '05TA', ''),
	('O07', 'closed', 'Westheimer Air Park', 29.69514, -95.79607, 117, 'US', 'US-TX', 'Houston', 'no', '', '', '', 'O07, 5TA4'),
	('5TS9', 'small_airport', 'Big Duke''s Place Airport', 28.53030014038086, -96.52749633789063, 5, 'US', 'US-TX', 'Indianola', 'no', '5TS9', '', '5TS9', ''),
	('T12', 'small_airport', 'Kirbyville Airport', 30.645795, -93.913643, 121, 'US', 'US-TX', 'Kirbyville', 'no', 'KT12', '', 'T12', ''),
	('TS50', 'small_airport', 'Austinia Airport', 29.417499542236328, -94.99829864501953, 15, 'US', 'US-TX', 'Texas City', 'no', 'TS50', '', 'TS50', ''),
	('KCXO', 'medium_airport', 'Conroe-North Houston Regional Airport', 30.351801, -95.414497, 245, 'US', 'US-TX', 'Houston', 'no', 'KCXO', 'CXO', 'CXO', 'Montgomery County Airport, Lone Star Executive Airport'),
	('1XS2', 'small_airport', 'Skye Dance Airport', 30.384228, -97.426285, 532, 'US', 'US-TX', 'Elgin', 'no', '1XS2', '', '1XS2', ''),
	('31TA', 'closed', 'Vitek Field', 30.726713, -97.421275, 580, 'US', 'US-TX', 'Granger', 'no', '', '', '', '31TA'),
	('33TA', 'small_airport', 'Lake Bonanza Airport', 30.33300018310547, -95.61219787597656, 301, 'US', 'US-TX', 'Montgomery', 'no', '33TA', '', '33TA', ''),
	('KELA', 'small_airport', 'Eagle Lake Airport', 29.600599288900003, -96.3218994141, 184, 'US', 'US-TX', 'Eagle Lake', 'no', 'KELA', 'ELA', 'ELA', ''),
	('37TE', 'small_airport', 'Johnnie Volk Field', 29.360200881958008, -95.00990295410156, 13, 'US', 'US-TX', 'Hitchcock', 'no', '37TE', '', '37TE', ''),
	('TA75', 'small_airport', 'Cotton Patch Airport', 30.386981, -97.105794, 430, 'US', 'US-TX', 'Lexington', 'no', 'TA75', '', 'TA75', ''),
	('61TX', 'small_airport', 'Traylor Tick Farm Airport', 29.972400665283203, -96.30719757080078, 250, 'US', 'US-TX', 'Bellville', 'no', '61TX', '', '61TX', ''),
	('TE85', 'small_airport', 'Marmack Airport', 30.342199325561523, -95.66130065917969, 295, 'US', 'US-TX', 'Montgomery', 'no', 'TE85', '', 'TE85', ''),
	('TE75', 'small_airport', 'Lexington Airfield', 30.413372, -96.96516, 470, 'US', 'US-TX', 'Lexington', 'no', 'TE75', '', 'TE75', ''),
	('83TX', 'small_airport', 'Texas A And M Flight Test Station Airport', 30.6334991455, -96.48359680179999, 264, 'US', 'US-TX', 'Bryan', 'no', '83TX', '', '83TX', ''),
	('22TE', 'small_airport', 'Fenner Ranch Airport', 29.193300247192383, -96.68910217285156, 126, 'US', 'US-TX', 'Cordele', 'no', '22TE', '', '22TE', ''),
	('15XS', 'small_airport', 'Toy Airpark', 29.332700729370117, -95.33409881591797, 36, 'US', 'US-TX', 'Liverpool', 'no', '15XS', '', '15XS', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('7R9', 'small_airport', 'Bailes Airport', 29.163743, -95.401454, 21, 'US', 'US-TX', 'Angleton', 'no', '', '', '7R9', ''),
	('9TE6', 'small_airport', 'Rocky Creek Ranch Airport', 29.921611, -96.800966, 390, 'US', 'US-TX', 'La Grange', 'no', '9TE6', '', '9TE6', ''),
	('40X', 'closed', 'Hound Run Airport', 29.521544, -96.936925, 385, 'US', 'US-TX', 'Hallettsville', 'no', '', '', '', '40X, XA40, 40X'),
	('TX04', 'small_airport', 'Lucky Star Ranch Airport', 30.2911944, -96.5268611, 285, 'US', 'US-TX', 'Brenham', 'no', 'TX04', '', 'TX04', ''),
	('KUTS', 'medium_airport', 'Huntsville Regional Airport', 30.7469005585, -95.5871963501, 363, 'US', 'US-TX', 'Huntsville', 'no', 'KUTS', 'HTV', 'UTS', 'T39, Bruce Brothers Huntsville Regional Airport, Huntsville Municipal Airport'),
	('TA07', 'small_airport', 'Jet Ag Inc Airport', 30.0072002411, -94.9669036865, 70, 'US', 'US-TX', 'Dayton', 'no', 'TA07', '', 'TA07', ''),
	('51R', 'small_airport', 'Madisonville Municipal Airport', 30.9128, -95.952003, 287, 'US', 'US-TX', 'Madisonville', 'no', 'K51R', '', '51R', ''),
	('KDWH', 'small_airport', 'David Wayne Hooks Memorial Airport', 30.0618000031, -95.55280303960001, 152, 'US', 'US-TX', 'Houston', 'no', 'KDWH', 'DWH', 'DWH', ''),
	('XS25', 'small_airport', 'Flying C Ranch Airport', 29.384700775146484, -95.68299865722656, 70, 'US', 'US-TX', 'Needville', 'no', 'XS25', '', 'XS25', ''),
	('4XA4', 'small_airport', 'Apache Pass Airport', 30.68154, -97.14393, 410, 'US', 'US-TX', 'Rockdale', 'no', '4XA4', '', '4XA4', ''),
	('76XA', 'N/A', 'N/A', 29.912305399775505, -97.37330541014671, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('34R', 'small_airport', 'Hallettsville Municipal Airport', 29.389999389648438, -96.95610046386719, 278, 'US', 'US-TX', 'Hallettsville', 'no', 'K34R', '', '34R', ''),
	('13TE', 'small_airport', 'Varisco Airport', 30.6560001373291, -96.53829956054688, 240, 'US', 'US-TX', 'Bryan', 'no', '13TE', '', '13TE', ''),
	('49TA', 'closed', 'Roeder Airport', 29.895727, -95.021083, 49, 'US', 'US-TX', 'Crosby', 'no', '', '', '', '49TA'),
	('XS68', 'small_airport', 'Sky Lane Ranch Airport', 30.256859, -96.328824, 290, 'US', 'US-TX', 'Chappell Hill', 'no', 'XS68', '', 'XS68', ''),
	('T34', 'heliport', 'Talon Air Heliport', 29.483446, -95.008382, 28, 'US', 'US-TX', 'Dickinson', 'no', '', '', 'T34', ''),
	('KLVJ', 'small_airport', 'Pearland Regional Airport', 29.521299, -95.242104, 44, 'US', 'US-TX', 'Houston', 'no', 'KLVJ', '', 'LVJ', ''),
	('T26', 'small_airport', 'Flying V Ranch Airport', 29.108299255371094, -96.3988037109375, 60, 'US', 'US-TX', 'Louise', 'no', 'T26', '', 'T26', ''),
	('KBMT', 'small_airport', 'Beaumont Municipal Airport', 30.070635, -94.215746, 32, 'US', 'US-TX', 'Beaumont', 'no', 'KBMT', 'BMT', 'BMT', 'beaumont, beaumont municipal'),
	('55TE', 'closed', 'Valhalla Airport', 29.227604, -98.349097, 445, 'US', 'US-TX', 'Elmendorf', 'no', '', '', '', '55TE, Lebegue LSA Landing'),
	('00XA', 'small_airport', 'Weeski Ranch Airport', 30.224, -96.01417, 271, 'US', 'US-TX', '', 'no', '00XA', '', '00XA', ''),
	('47TE', 'small_airport', 'Whites Airport', 28.851699829101563, -96.49749755859375, 43, 'US', 'US-TX', 'La Ward', 'no', '47TE', '', '47TE', ''),
	('T00', 'small_airport', 'Chambers County Airport', 29.7701, -94.662399, 21, 'US', 'US-TX', 'Anahuac', 'no', 'KT00', '', 'T00', ''),
	('4TA4', 'small_airport', 'Pea Patch Airport', 29.93910026550293, -96.05970001220703, 174, 'US', 'US-TX', 'Hempstead', 'no', '4TA4', '', '4TA4', ''),
	('XS09', 'small_airport', 'Estates Airpark', 30.537500381469727, -95.4364013671875, 325, 'US', 'US-TX', 'New Waverly', 'no', 'XS09', '', 'XS09', ''),
	('4TE8', 'closed', 'Ben Bruce Memorial Airpark', 30.324581, -94.075413, 44, 'US', 'US-TX', 'Evadale', 'no', '', '', '', 'EVA, 4TE8'),
	('7TA0', 'small_airport', 'Field''s Field', 30.09289, -95.651487, 198, 'US', 'US-TX', 'Tomball', 'no', '7TA0', '', '7TA0', ''),
	('3XS4', 'small_airport', 'Jenkins Airport', 30.1343994140625, -93.93599700927734, 15, 'US', 'US-TX', 'Vidor', 'no', '3XS4', '', '3XS4', ''),
	('9TE5', 'small_airport', 'Kalt Ranch Airport', 28.154499053955078, -96.97689819335938, 15, 'US', 'US-TX', 'Fulton', 'no', '9TE5', '', '9TE5', ''),
	('TA35', 'closed', 'Faust Farm Airport', 30.272699, -96.355003, 8, 'US', 'US-TX', 'Brenham', 'no', '', '', '', 'TA35'),
	('TE88', 'small_airport', 'BB Airpark', 29.356955, -95.459023, 50, 'US', 'US-TX', 'Rosharon', 'no', 'TE88', '', 'TE88', ''),
	('1T1', 'N/A', 'N/A', 29.64982308447361, -96.57936483621597, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBPT', 'medium_airport', 'Jack Brooks Regional Airport', 29.9508, -94.020699, 15, 'US', 'US-TX', 'Beaumont/Port Arthur', 'yes', 'KBPT', 'BPT', 'BPT', 'Southeast Texas Regional'),
	('3TA2', 'small_airport', 'Clark Sky Ranch Airport', 29.736489, -96.062679, 145, 'US', 'US-TX', 'Sealy', 'no', '3TA2', '', '3TA2', ''),
	('KRFG', 'small_airport', 'Rooke Field', 28.2936, -97.322998, 56, 'US', 'US-TX', 'Refugio', 'no', 'KRFG', 'RFG', 'RFG', ''),
	('KSGR', 'medium_airport', 'Sugar Land Regional Airport', 29.622299194336, -95.65650177002, 82, 'US', 'US-TX', 'Houston', 'no', 'KSGR', 'SGR', 'SGR', 'Hull Field'),
	('TS96', 'small_airport', 'El Campo Airpark', 29.26689910888672, -96.32520294189453, 128, 'US', 'US-TX', 'El Campo', 'no', 'TS96', '', 'TS96', ''),
	('XS59', 'small_airport', 'Mellon Ranch Airport', 28.280799865722656, -97.2114028930664, 38, 'US', 'US-TX', 'Refugio', 'no', 'XS59', '', 'XS59', ''),
	('3XS1', 'small_airport', 'Kubecka Aviation Airport', 28.767200469970703, -96.30690002441406, 20, 'US', 'US-TX', 'Palacios', 'no', '3XS1', '', '3XS1', ''),
	('T71', 'small_airport', 'Cuero Municipal Airport', 29.083599, -97.266899, 214, 'US', 'US-TX', 'Cuero', 'no', 'T71', '', 'T71', ''),
	('68TE', 'small_airport', 'Norris Raun Ranch Airport', 29.19610023498535, -96.49189758300781, 108, 'US', 'US-TX', 'El Campo', 'no', '68TE', '', '68TE', ''),
	('72TA', 'small_airport', 'Pierce Field', 28.458599090576172, -96.29190063476563, 5, 'US', 'US-TX', 'Port O''Connor', 'no', '72TA', '', '72TA', ''),
	('KAXH', 'small_airport', 'Houston Southwest Airport', 29.5061, -95.476898, 68, 'US', 'US-TX', 'Rosharon', 'no', 'KAXH', '', 'AXH', 'Arcola'),
	('6TS8', 'small_airport', 'Rabb And Nobra Airport', 30.003333, -96.581111, 400, 'US', 'US-TX', 'Industry', 'no', '6TS8', '', '6TS8', ''),
	('06TE', 'small_airport', 'Ainsworth Airport', 30.312700271606445, -95.02690124511719, 129, 'US', 'US-TX', 'Cleveland', 'no', '06TE', '', '06TE', ''),
	('09R', 'small_airport', 'Tyler County Airport', 30.774768, -94.458818, 388, 'US', 'US-TX', 'Woodville', 'no', '', '', '09R', ''),
	('54T', 'small_airport', 'RWJ Airpark', 29.7617, -94.846497, 30, 'US', 'US-TX', 'Baytown', 'no', 'K54T', '', '54T', '54TX'),
	('93XS', 'closed', 'Joseph Ross Scherdin Airport', 29.0811, -95.382697, 10, 'US', 'US-TX', 'Richwood', 'no', '', '', '', '93XS'),
	('KVII', 'N/A', 'N/A', 29.001035951077938, -96.99256047606468, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TE96', 'closed', 'Crosswinds Airfield', 30.433201, -97.412498, 543, 'US', 'US-TX', 'Coupland', 'no', '', '', '', 'TE96, TE96, TE96'),
	('93TS', 'closed', 'Longbird Airport', 29.748301, -96.1147, 150, 'US', 'US-TX', 'Sealy', 'no', '', '', '', '93TS');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('26R', 'small_airport', 'Jackson County Airport', 29.000999, -96.582001, 61, 'US', 'US-TX', 'Edna', 'no', 'K26R', '', '26R', ''),
	('60TX', 'small_airport', 'P-K Ranch Airport', 30.033599853515625, -96.26360321044922, 350, 'US', 'US-TX', 'Bellville', 'no', '60TX', '', '60TX', ''),
	('XS07', 'small_airport', 'W D Cornelius Ranch Airport', 28.9503, -96.059998, 47, 'US', 'US-TX', 'Markham', 'no', 'XS07', '', 'XS07', ''),
	('27XS', 'small_airport', 'Sport Flyers Airport', 29.837999, -95.94981, 180, 'US', 'US-TX', 'Brookshire', 'no', '27XS', '', '27XS', '1TX'),
	('43XA', 'small_airport', 'Gulf Coast Aviation Airport', 28.825625, -95.908217, 23, 'US', 'US-TX', 'Wadsworth', 'no', '43XA', '', '43XA', ''),
	('89TA', 'small_airport', 'Soaring Club of Houston Gliderport', 30.192699432373047, -95.96330261230469, 308, 'US', 'US-TX', 'Waller', 'no', '89TA', '', '89TA', ''),
	('39R', 'small_airport', 'Flyin'' B Airport', 29.537701, -95.423798, 70, 'US', 'US-TX', 'Houston', 'no', '39R', '', '39R', ''),
	('6R5', 'small_airport', 'Alvin Airpark', 29.41550064086914, -95.28910064697266, 43, 'US', 'US-TX', 'Alvin', 'no', '6R5', '', '6R5', ''),
	('TS75', 'closed', 'Mitchell Number One Airport', 30.503, -102.158997, 2700, 'US', 'US-TX', 'Sanderson', 'no', '', '', '', 'TS75'),
	('54TE', 'closed', 'Camelot Airport', 30.5152, -97.266899, 480, 'US', 'US-TX', 'Thrall', 'no', '', '', '', '54TE'),
	('XS36', 'closed', 'Tres Ninos Ranch Airport', 30.253528, -101.691631, 1690, 'US', 'US-TX', 'Pandale', 'no', '', '', '', 'XS36'),
	('14XS', 'small_airport', 'Isbell Ranch Airport', 30.808500289916992, -97.2739028930664, 430, 'US', 'US-TX', 'Davilla', 'no', '14XS', '', '14XS', ''),
	('56TX', 'small_airport', 'Anchorage Farm Field', 30.0093994140625, -96.7593994140625, 440, 'US', 'US-TX', 'Warrenton', 'no', '56TX', '', '56TX', ''),
	('XS77', 'small_airport', 'Seafood Warehouse Park Airport', 29.465491, -94.627215, 9, 'US', 'US-TX', 'Crystal Beach', 'no', 'XS77', '', 'XS77', ''),
	('3T2', 'small_airport', 'Wolfe Air Park', 29.48, -95.327202, 55, 'US', 'US-TX', 'Manvel', 'no', '', '', '3T2', '3TA1'),
	('TE71', 'small_airport', 'GHSA-Wallis Glideport', 29.611099, -96.027901, 127, 'US', 'US-TX', 'Wallis', 'no', 'TE71', '', 'TE71', ''),
	('8TA1', 'small_airport', 'Whatley Flying Service Airport', 28.477877, -96.760184, 20, 'US', 'US-TX', 'Seadrift', 'no', '8TA1', '', '8TA1', ''),
	('11R', 'small_airport', 'Brenham Municipal Airport', 30.219, -96.374298, 307, 'US', 'US-TX', 'Brenham', 'no', 'K11R', '', '11R', ''),
	('TA12', 'closed', 'Petroleum Helicopters Inc Heliport', 29.701099, -93.944099, 10, 'US', 'US-TX', 'Sabine Pass', 'no', '', '', '', 'TA12'),
	('T78', 'small_airport', 'Liberty Municipal Airport', 30.077801, -94.698601, 70, 'US', 'US-TX', 'Liberty', 'no', 'KT78', '', 'T78', ''),
	('21XS', 'small_airport', 'Houston Airpark', 29.519727, -95.27453, 48, 'US', 'US-TX', 'Houston', 'no', '21XS', '', '21XS', ''),
	('KCFD', 'small_airport', 'Coulter Field', 30.715700149499998, -96.3313980103, 367, 'US', 'US-TX', 'Bryan', 'no', 'KCFD', 'CFD', 'CFD', ''),
	('XA91', 'small_airport', 'Wildwood Airport', 30.533333, -94.438056, 118, 'US', 'US-TX', 'Village Mills', 'no', 'XA91', '', 'XA91', ''),
	('1XA4', 'small_airport', 'Mikeska Field', 29.873666, -96.004753, 161, 'US', 'US-TX', 'Brookshire', 'no', '1XA4', '', '1XA4', '12R'),
	('XA40', 'heliport', 'Richardson Regional Heliport - Bush Highway', 32.996194, -96.665619, 615, 'US', 'US-TX', 'Richardson', 'no', 'XA40', '', 'XA40', ''),
	('9X1', 'N/A', 'N/A', 30.153059139847755, -95.32217010855675, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHPY', 'small_airport', 'Baytown Airport', 29.786100387599998, -94.95269775390001, 34, 'US', 'US-TX', 'Baytown', 'no', 'KHPY', 'HPY', 'HPY', ''),
	('08XS', 'small_airport', 'Peterson Airport', 29.10810089111328, -95.77749633789063, 45, 'US', 'US-TX', 'Old Ocean', 'no', '08XS', '', '08XS', ''),
	('29TA', 'closed', 'Cactus Hill Airport', 33.873053, -98.645906, 1040, 'US', 'US-TX', 'Wichita Falls', 'no', '', '', '', '29TA'),
	('TA90', 'closed', 'Green Acres Airport', 29.974693, -95.818151, 181, 'US', 'US-TX', 'Hockley', 'no', '', '', '', 'TA90'),
	('9XS0', 'closed', 'Dobbs Ranch Airport', 29.098, -96.955299, 170, 'US', 'US-TX', 'Yoakum', 'no', '', '', '', '9XS0'),
	('2H5', 'small_airport', 'Houston Fort Bend Airport', 29.498858, -95.898027, 105, 'US', 'US-TX', 'Beasley', 'no', 'K2H5', '', '2H5', 'Happy Landings'),
	('T84', 'closed', 'Fehmel Dusting Service Airport', 28.952499, -95.973602, 50, 'US', 'US-TX', 'Bay City', 'no', '', '', '', 'T84, T84'),
	('0XS9', 'small_airport', 'French Field', 32.13169, -95.33959, 540, 'US', 'US-TX', 'Bullard', 'no', '0XS9', '', '0XS9', ''),
	('06TX', 'small_airport', 'Diamond N Ranch Airport', 30.057919, -95.812489, 215, 'US', 'US-TX', 'Hockley', 'no', '06TX', '', '06TX', ''),
	('1XA7', 'small_airport', 'Gloster Aerodrome', 29.733400344848633, -96.05919647216797, 145, 'US', 'US-TX', 'Sealy', 'no', '1XA7', '', '1XA7', ''),
	('60R', 'small_airport', 'Navasota Municipal Airport', 30.37190055847168, -96.11329650878906, 228, 'US', 'US-TX', 'Navasota', 'no', 'K60R', '', '60R', ''),
	('7TE0', 'small_airport', 'Kelley Crop Service Airport', 29.913799285888672, -94.20819854736328, 21, 'US', 'US-TX', 'Fannett', 'no', '7TE0', '', '7TE0', ''),
	('T90', 'small_airport', 'Chambers County Winnie Stowell Airport', 29.819461, -94.431067, 25, 'US', 'US-TX', 'Winnie', 'no', '', '', 'T90', ''),
	('10XA', 'small_airport', 'Sterling Airport', 28.680794, -96.661647, 30, 'US', 'US-TX', 'Port Lavaca', 'no', '10XA', '', '10XA', ''),
	('KBYY', 'small_airport', 'Bay City Regional Airport', 28.973301, -95.863503, 45, 'US', 'US-TX', 'Bay City', 'no', 'KBYY', 'BBC', 'BYY', '3R1'),
	('XS33', 'small_airport', 'Chesson Airport', 30.062557, -93.865664, 10, 'US', 'US-TX', 'Orange', 'no', 'XS33', '', 'XS33', ''),
	('T51', 'small_airport', 'Dan Jones International Airport', 30.042873, -95.667238, 166, 'US', 'US-TX', 'Houston', 'no', 'T51', '', 'T51', '2XS3, May Airport'),
	('TA17', 'small_airport', 'Live Oak Ranch Airport', 30.18599, -96.44465, 387, 'US', 'US-TX', 'Brenham', 'no', 'TA17', '', 'TA17', ''),
	('2TE0', 'small_airport', 'Eagle Air Park', 28.982200622559, -95.579696655273, 15, 'US', 'US-TX', 'Brazoria', 'no', '2TE0', 'BZT', '2TE0', 'Hinkles Ferry'),
	('KTME', 'small_airport', 'Houston Executive Airport', 29.807199, -95.897903, 166, 'US', 'US-TX', 'Houston', 'no', 'KTME', '', 'TME', 'Formerly 78T'),
	('KRCK', 'small_airport', 'H H Coffield Regional Airport', 30.6315994263, -96.9897003174, 474, 'US', 'US-TX', 'Rockdale', 'no', 'KRCK', 'RCK', 'RCK', ''),
	('88XS', 'closed', 'Bogan & Fontenot Airport', 30.0191, -94.387703, 35, 'US', 'US-TX', 'Nome', 'no', '', '', '', '88XS'),
	('08XA', 'small_airport', 'Knolle Ranch Airport', 30.479253, -96.504031, 280, 'US', 'US-TX', 'Snook', 'no', '08XA', '', '08XA', ''),
	('7XS0', 'small_airport', 'Polly Ranch Airport', 29.5047, -95.175499, 24, 'US', 'US-TX', 'Friendswood', 'no', '7XS0', '', '7XS0', ''),
	('1XA5', 'small_airport', 'Flying Armadillo Field', 30.135069, -97.148581, 410, 'US', 'US-TX', 'Paige', 'no', '1XA5', '', '1XA5', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1TS1', 'small_airport', 'Laas Farm Airport', 29.912700653076172, -95.99410247802734, 165, 'US', 'US-TX', 'Pattison', 'no', '1TS1', '', '1TS1', ''),
	('XS72', 'small_airport', 'F R Duke Farm Airport', 30.481744, -94.83055, 85, 'US', 'US-TX', 'Romayor.', 'no', 'XS72', '', 'XS72', ''),
	('0TS5', 'small_airport', 'Lake Bay Gall Airport', 30.4419002532959, -95.1863021850586, 230, 'US', 'US-TX', 'Cleveland', 'no', '0TS5', '', '0TS5', ''),
	('9X9', 'closed', 'Sack-O-Grande Acroport', 29.912701, -95.826599, 165, 'US', 'US-TX', 'Katy', 'no', '', '', '', 'Harbican Airport, 9X9, 9XS9'),
	('T74', 'small_airport', 'Taylor Municipal Airport', 30.572599, -97.443199, 600, 'US', 'US-TX', 'Taylor', 'no', 'KT74', '', 'T74', ''),
	('KEFD', 'medium_airport', 'Ellington Airport', 29.607299804700002, -95.1587982178, 32, 'US', 'US-TX', 'Houston', 'no', 'KEFD', 'EFD', 'EFD', 'Ellington Field'),
	('06TA', 'small_airport', 'Glaser Field', 30.90850067138672, -97.11689758300781, 480, 'US', 'US-TX', 'Buckholts', 'no', '06TA', '', '06TA', ''),
	('0TS4', 'small_airport', 'Ullrich Airport', 30.091673, -96.794078, 410, 'US', 'US-TX', 'Ledbetter', 'no', '0TS4', '', '0TS4', ''),
	('4XS0', 'small_airport', 'Pfeffer & Son Farms Airport', 29.931357, -95.95871, 210, 'US', 'US-TX', 'Waller', 'no', '4XS0', '', '4XS0', ''),
	('00R', 'small_airport', 'Livingston Municipal Airport', 30.6859, -95.017899, 151, 'US', 'US-TX', 'Livingston', 'no', 'K00R', '', '00R', ''),
	('KORG', 'small_airport', 'Orange County Airport', 30.069201, -93.800903, 13, 'US', 'US-TX', 'Orange', 'no', 'KORG', '', 'ORG', ''),
	('3TS7', 'closed', 'Pavlat Airport', 30.021099, -94.945999, 70, 'US', 'US-TX', 'Dayton', 'no', '', '', '', '3TS7'),
	('TS08', 'small_airport', 'Kubecka Aviation Airport', 29.070403, -96.504973, 75, 'US', 'US-TX', 'Ganado', 'no', 'TS08', '', 'TS08', ''),
	('X09', 'small_airport', 'Covey Trails Airport', 29.690000534057617, -95.8396987915039, 130, 'US', 'US-TX', 'Fulshear', 'no', 'X09', '', 'X09', ''),
	('5TA5', 'small_airport', 'Creasy Airport', 29.3361, -95.115196, 23, 'US', 'US-TX', 'Santa Fe', 'no', '5TA5', '', '5TA5', ''),
	('87TE', 'small_airport', 'Rose Field Airport', 29.4519004822, -95.8655014038, 100, 'US', 'US-TX', 'Needville', 'no', '87TE', '', '87TE', ''),
	('4TA0', 'small_airport', 'Massimiliano Memorial Field', 29.355499267578125, -95.66380310058594, 65, 'US', 'US-TX', 'Damon', 'no', '4TA0', '', '4TA0', ''),
	('9TE7', 'small_airport', 'Flying G H Ranch Airport', 30.245278, -97.082778, 455, 'US', 'US-TX', 'Paige', 'no', '9TE7', '', '9TE7', ''),
	('XS99', 'small_airport', 'Lake Water Wheel Airport', 30.47100067138672, -94.9126968383789, 80, 'US', 'US-TX', 'Shepherd', 'no', 'XS99', '', 'XS99', ''),
	('55TX', 'small_airport', 'Stonecipher Airport', 30.111462, -94.258103, 39, 'US', 'US-TX', 'Beaumont', 'no', '55TX', '', '55TX', 'beaumont, stonecipher'),
	('2XA2', 'small_airport', 'Knape Airport', 29.220399856567383, -95.31089782714844, 20, 'US', 'US-TX', 'Danbury', 'no', '2XA2', '', '2XA2', ''),
	('41XS', 'small_airport', 'Macho Grande Airport', 30.534482, -97.419849, 600, 'US', 'US-TX', 'Taylor', 'no', '41XS', '', '41XS', ''),
	('TS44', 'small_airport', 'Dry Branch Ranch Airport', 29.84000015258789, -96.02330017089844, 130, 'US', 'US-TX', 'Pattison', 'no', 'TS44', '', 'TS44', ''),
	('KPSX', 'small_airport', 'Palacios Municipal Airport', 28.727500915527, -96.250999450684, 14, 'US', 'US-TX', 'Palacios', 'no', 'KPSX', 'PSX', 'PSX', 'Palacios AAF'),
	('KHOU', 'medium_airport', 'William P Hobby Airport', 29.645399, -95.2789, 46, 'US', 'US-TX', 'Houston', 'yes', 'KHOU', 'HOU', 'HOU', 'QHO'),
	('KCLL', 'medium_airport', 'Easterwood Field', 30.58860016, -96.36380005, 320, 'US', 'US-TX', 'College Station', 'yes', 'KCLL', 'CLL', 'CLL', ''),
	('97TS', 'small_airport', 'Gdap Air Ranch Airport', 30.480199813842773, -95.53990173339844, 300, 'US', 'US-TX', 'Willis', 'no', '97TS', '', '97TS', ''),
	('T79', 'small_airport', 'Skyway Manor Airport', 29.555562, -95.327087, 55, 'US', 'US-TX', 'Pearland', 'no', '', '', 'T79', ''),
	('08TS', 'closed', 'Puesta Del Sol Airport', 26.881331, -98.504885, 420, 'US', 'US-TX', 'La Gloria', 'no', '', '', '', '08TS'),
	('T35', 'small_airport', 'Cameron Municipal Airpark', 30.8794002532959, -96.97109985351563, 402, 'US', 'US-TX', 'Cameron', 'no', 'KT35', '', 'T35', ''),
	('KLBX', 'medium_airport', 'Texas Gulf Coast Regional Airport', 29.108601, -95.462097, 25, 'US', 'US-TX', 'Angleton', 'no', 'KLBX', 'LJN', 'LBX', 'Texas Gulf Coast Regional Airport'),
	('T20', 'small_airport', 'Roger M Dreyer Memorial Airport', 29.52915, -97.464345, 354, 'US', 'US-TX', 'Gonzales', 'no', '', '', 'T20', 'Gonzales Municipal'),
	('TS90', 'closed', 'Bayless Airport', 29.401235, -95.431436, 49, 'US', 'US-TX', 'Rosharon', 'no', '', '', '', 'TS90'),
	('8TX7', 'closed', 'Skyhaven Airport', 29.833599, -95.148499, 40, 'US', 'US-TX', 'Houston', 'no', '', '', '', '8TX7'),
	('1TE2', 'closed', 'Flying F Ranch Airport', 29.98647, -95.016972, 65, 'US', 'US-TX', 'Crosby', 'no', '', '', '', '1TE2'),
	('XS18', 'small_airport', 'Tom J Moore Farm Airport', 30.384700775146484, -96.22470092773438, 198, 'US', 'US-TX', 'Millican', 'no', 'XS18', '', 'XS18', ''),
	('5T0', 'closed', 'Ward Airpark', 29.502273, -95.936372, 105, 'US', 'US-TX', 'Beasley', 'no', '', '', '', '5T0'),
	('2TE4', 'small_airport', 'Frels Airport', 29.17919921875, -96.32270050048828, 100, 'US', 'US-TX', 'El Campo', 'no', '2TE4', '', '2TE4', ''),
	('72TS', 'small_airport', 'Galaxy Ranch Airport', 29.36079978942871, -96.62249755859375, 178, 'US', 'US-TX', 'Sheridan', 'no', '72TS', '', '72TS', ''),
	('5TA3', 'small_airport', 'Pearson Ranch Private Airport', 29.359567, -97.144353, 350, 'US', 'US-TX', 'Yoakum', 'no', '5TA3', '', '5TA3', ''),
	('61XS', 'closed', 'Shanks Agricultural Strip', 29.326216, -96.021194, 100, 'US', 'US-TX', 'Wharton', 'no', '', '', '', '61XS'),
	('TE09', 'small_airport', 'Minard Pegasus Airport', 29.331899642944336, -95.2760009765625, 25, 'US', 'US-TX', 'Alvin', 'no', 'TE09', '', 'TE09', ''),
	('XS24', 'small_airport', 'Cherry Spraying Service Airport', 29.829700469970703, -97.09919738769531, 370, 'US', 'US-TX', 'Muldoon', 'no', 'XS24', '', 'XS24', ''),
	('94XS', 'closed', 'Heritage Ranch Airport', 29.6544, -95.829399, 103, 'US', 'US-TX', 'Richmond', 'no', '', '', '', '94XS'),
	('6R3', 'small_airport', 'Cleveland Municipal Airport', 30.3564, -95.008003, 150, 'US', 'US-TX', 'Cleveland', 'no', '', '', '6R3', ''),
	('65TA', 'closed', 'Flying C Ranch Airport', 30.3433, -96.307198, 250, 'US', 'US-TX', 'Independence', 'no', '', '', '', '65TA'),
	('TS27', 'small_airport', 'River Field', 29.71619987, -96.59140015, 220, 'US', 'US-TX', 'Columbus', 'no', 'TS27', '', 'TS27', ''),
	('3T5', 'small_airport', 'Fayette Regional Air Center Airport', 29.908001, -96.949997, 324, 'US', 'US-TX', 'La Grange', 'no', '', '', '3T5', ''),
	('TE38', 'small_airport', 'Loghouse STOLport', 30.592699, -94.909401, 184, 'US', 'US-TX', 'Goodrich', 'no', 'TE38', '', 'TE38', ''),
	('T41', 'small_airport', 'La Porte Municipal Airport', 29.6693, -95.064201, 25, 'US', 'US-TX', 'La Porte', 'no', 'KT41', '', 'T41', ''),
	('61T', 'N/A', 'N/A', 29.84184980392456, -95.80008834600449, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TA97', 'small_airport', 'White Wing Ranch Airport', 29.637501, -95.968803, 125, 'US', 'US-TX', 'Wallis', 'no', 'TA97', '', 'TA97', ''),
	('XS58', 'small_airport', 'Tri-County Air Service Airport', 30.044323, -94.706059, 70, 'US', 'US-TX', 'Raywood', 'no', 'XS58', '', 'XS58', ''),
	('KVCT', 'medium_airport', 'Victoria Regional Airport', 28.85260009765625, -96.91850280761719, 115, 'US', 'US-TX', 'Victoria', 'yes', 'KVCT', 'VCT', 'VCT', ''),
	('94R', 'small_airport', 'Gav Air Airport', 29.2661, -96.007698, 90, 'US', 'US-TX', 'Wharton', 'no', '', '', '94R', 'Lackey Aviation Airport'),
	('9TE4', 'small_airport', 'Tanner''s Airport', 28.569700241088867, -96.62969970703125, 15, 'US', 'US-TX', 'Port Lavaca', 'no', '9TE4', '', '9TE4', ''),
	('6TE3', 'small_airport', 'Hahns Airport', 28.94890022277832, -96.54969787597656, 52, 'US', 'US-TX', 'Edna', 'no', '6TE3', '', '6TE3', ''),
	('XS35', 'small_airport', 'Trull Airport', 28.739200592041016, -96.21910095214844, 18, 'US', 'US-TX', 'Palacios', 'no', 'XS35', '', 'XS35', ''),
	('KGLS', 'medium_airport', 'Scholes International At Galveston Airport', 29.265301, -94.860397, 6, 'US', 'US-TX', 'Galveston', 'no', 'KGLS', 'GLS', 'GLS', ''),
	('KLHB', 'small_airport', 'Hearne Municipal Airport', 30.871799, -96.6222, 285, 'US', 'US-TX', 'Hearne', 'no', 'KLHB', '', 'LHB', ''),
	('1TS0', 'small_airport', 'Eagle Air Airport', 29.6705, -94.670799, 8, 'US', 'US-TX', 'Anahuac', 'no', '1TS0', '', '1TS0', ''),
	('19TE', 'closed', 'Cut and Shoot Airport', 30.31426, -95.327039, 170, 'US', 'US-TX', 'Conroe', 'no', '', '', '', '19TE'),
	('3TE9', 'small_airport', 'Pinoak Airport', 30.10580062866211, -94.95880126953125, 91, 'US', 'US-TX', 'Dayton', 'no', '3TE9', '', '3TE9', ''),
	('8TE8', 'small_airport', 'Tradewind Agricultural Airport', 29.162613, -96.226655, 95, 'US', 'US-TX', 'El Campo', 'no', '8TE8', '', '8TE8', '6T6, Thompson Flyers'),
	('KARM', 'small_airport', 'Wharton Regional Airport', 29.254299, -96.154404, 100, 'US', 'US-TX', 'Wharton', 'no', 'KARM', 'WHT', 'ARM', '5R5'),
	('5TS2', 'small_airport', 'Chan-C Airport', 30.478729, -97.318847, 536, 'US', 'US-TX', 'Coupland', 'no', '5TS2', '', '5TS2', ''),
	('XA52', 'small_airport', 'Ehni Airport', 30.923500061035156, -95.29350280761719, 225, 'US', 'US-TX', 'Trinity', 'no', 'XA52', '', 'XA52', ''),
	('TA42', 'closed', 'Fly-N-Fish Lodge Airport', 32.712898, -94.124901, 195, 'US', 'US-TX', 'Uncertain', 'no', '', '', '', 'TA42'),
	('TT00', 'small_airport', 'Tree Top Air Airport', 29.646666, -96.729444, 360, 'US', 'US-TX', 'Weimar', 'no', 'TT00', '', 'TT00', ''),
	('84R', 'small_airport', 'Smithville Crawford Municipal Airport', 30.028157, -97.167028, 323, 'US', 'US-TX', 'Smithville', 'no', 'K84R', '', '84R', ''),
	('TA03', 'closed', 'Jo Na Acres Airport', 29.7586, -95.9086, 160, 'US', 'US-TX', 'Brookshire', 'no', '', '', '', 'TA03'),
	('32TE', 'small_airport', 'Granite Shoals Bob Sylvester Airpark', 30.589399, -98.3703, 860, 'US', 'US-TX', 'Granite Shoals', 'no', '', '', '2G5', '32TE, 32R'),
	('73TX', 'closed', 'Frerich Ranch Airport', 29.1719, -100.641998, 995, 'US', 'US-TX', 'Brackettville', 'no', '', '', '', '73TX'),
	('5XS3', 'small_airport', 'Wilber Farms Airport', 29.769699096679688, -94.26129913330078, 11, 'US', 'US-TX', 'Winnie', 'no', '5XS3', '', '5XS3', ''),
	('9TA3', 'small_airport', 'Rogers Airport', 29.87299919128418, -94.9896011352539, 38, 'US', 'US-TX', 'Crosby', 'no', '9TA3', '', '9TA3', ''),
	('78XS', 'small_airport', 'Smith Aviation Inc Airport', 29.052999, -96.262199, 75, 'US', 'US-TX', 'El Campo', 'no', '78XS', '', '78XS', ''),
	('03TT', 'small_airport', 'Brazos Polo Airport', 29.632117, -95.932481, 117, 'US', 'US-TX', 'Orchard', 'no', '03TT', '', '03TT', ''),
	('TX72', 'closed', 'Wood Triple D Airport', 30.379132, -97.194843, 505, 'US', 'US-TX', 'Elgin', 'no', '', '', '', 'TX72, TX72'),
	('TE36', 'small_airport', 'Gerum Farm Airport', 29.39189910888672, -97.18470001220703, 425, 'US', 'US-TX', 'Shiner', 'no', 'TE36', '', 'TE36', ''),
	('TS35', 'small_airport', 'West Liberty Airport', 30.057005, -94.980175, 80, 'US', 'US-TX', 'Dayton', 'no', 'TS35', '', 'TS35', ''),
	('7TE6', 'small_airport', 'Stovall Ranch Nr 1 Airport', 29.200300216674805, -96.55439758300781, 108, 'US', 'US-TX', 'El Campo', 'no', '7TE6', '', '7TE6', ''),
	('TS87', 'small_airport', 'Bridle Ridge Airport', 30.417999267578125, -96.07939910888672, 328, 'US', 'US-TX', 'Navasota', 'no', 'TS87', '', 'TS87', ''),
	('0XS1', 'small_airport', 'Rodgers Roost Airport', 29.287799835205078, -96.34970092773438, 129, 'US', 'US-TX', 'El Campo', 'no', '0XS1', '', '0XS1', ''),
	('91TS', 'small_airport', 'Songbird Ranch Airport', 29.368600845336914, -95.33989715576172, 34, 'US', 'US-TX', 'Rosharon', 'no', '91TS', '', '91TS', ''),
	('KEYQ', 'closed', 'Weiser Air Park', 29.9352, -95.639603, 137, 'US', 'US-TX', 'Houston', 'no', '', '', '', 'KEYQ, EYQ, F H Jackson'),
	('3TE1', 'small_airport', 'Gum Island Airport', 29.95159912109375, -94.90440368652344, 53, 'US', 'US-TX', 'Dayton', 'no', '3TE1', '', '3TE1', ''),
	('KPKV', 'small_airport', 'Calhoun County Airport', 28.653999, -96.681297, 32, 'US', 'US-TX', 'Port Lavaca', 'no', 'KPKV', '', 'PKV', ''),
	('66R', 'small_airport', 'Robert R Wells Jr Airport', 29.6411, -96.5158, 242, 'US', 'US-TX', 'Columbus', 'no', '', '', '66R', ''),
	('69TX', 'small_airport', 'Green Lake Ranch Airport', 28.583599090576172, -96.85440063476563, 50, 'US', 'US-TX', 'Bloomington', 'no', '69TX', '', '69TX', ''),
	('T85', 'small_airport', 'Yoakum Municipal Airport', 29.3132, -97.138397, 365, 'US', 'US-TX', 'Yoakum', 'no', '', '', 'T85', ''),
	('06R', 'closed', 'Grawunder Field', 29.941065, -96.245298, 289, 'US', 'US-TX', 'Bellville', 'no', '', '', '', '06R'),
	('90TS', 'closed', 'Jordan Ranch Airport', 30.7792, -95.797203, 265, 'US', 'US-TX', 'Bedias', 'no', '', '', '', '90TS'),
	('6TE5', 'small_airport', 'Kubecka Flying Service Inc. Airport', 28.98080062866211, -96.62190246582031, 65, 'US', 'US-TX', 'Edna', 'no', '6TE5', '', '6TE5', ''),
	('3TE0', 'small_airport', 'K Ranch Airport', 30.731599807739258, -96.131103515625, 285, 'US', 'US-TX', 'Iola', 'no', '3TE0', '', '3TE0', ''),
	('16XS', 'small_airport', 'Outlaw Flyers Airport', 30.404367, -95.35985, 270, 'US', 'US-TX', 'Conroe', 'no', '16XS', '', '16XS', ''),
	('1TS3', 'closed', 'B & S Ultralightport', 29.496099, -94.9505, 16, 'US', 'US-TX', 'San Leon', 'no', '', '', '', '1TS3, 1TS3, 1TS3'),
	('77XS', 'small_airport', 'Garrett Ranch Airport', 29.287200927734375, -95.35970306396484, 30, 'US', 'US-TX', 'Danbury', 'no', '77XS', '', '77XS', ''),
	('XS95', 'closed', 'Marty Ranch Airport', 29.676901, -96.970497, 365, 'US', 'US-TX', 'Schulenburg', 'no', '', '', '', 'XS95'),
	('KIAH', 'large_airport', 'George Bush Intercontinental Houston Airport', 29.984399795532227, -95.34140014648438, 97, 'US', 'US-TX', 'Houston', 'yes', 'KIAH', 'IAH', 'IAH', 'QHO'),
	('KPAA', 'N/A', 'N/A', 28.544091805815697, -96.12091049551964, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TE77', 'small_airport', 'Clover Lake Farms Airport', 29.233699798583984, -95.47669982910156, 38, 'US', 'US-TX', 'Angleton', 'no', 'TE77', '', 'TE77', ''),
	('XS46', 'closed', 'Port O''Connor Private Airport', 28.430002, -96.44299, 8, 'US', 'US-TX', 'Port O''Connor', 'no', '', '', '', 'XS46');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('77XA', 'small_airport', 'XL Ranch Airport', 29.826004, -94.511068, 37, 'US', 'US-TX', 'Winnie', 'no', '77XA', '', '77XA', ''),
	('1TX4', 'closed', 'Shoreline Ranch Airport', 30.4286, -97.970497, 900, 'US', 'US-TX', 'Lago Vista', 'no', '', '', '', '1TX4, 1TX4, 1TX4'),
	('0TX8', 'closed', 'Jacobia Field', 33.180401, -96.043297, 570, 'US', 'US-TX', 'Greenville', 'no', '', '', '', ''),
	('46TX', 'small_airport', 'Phillips Corporation Airport', 29.150800704956055, -95.49520111083984, 30, 'US', 'US-TX', 'Angleton', 'no', '46TX', '', '46TX', ''),
	('37XA', 'small_airport', 'Skydive Houston Airport', 29.993401, -95.930298, 235, 'US', 'US-TX', 'Waller', 'no', '37XA', '', '37XA', '3XS7'),
	('T54', 'small_airport', 'Lane Airpark', 29.522609, -95.777127, 94, 'US', 'US-TX', 'Rosenberg', 'no', 'KT54', '', 'T54', ''),
	('XA32', 'small_airport', 'Wolfe Field', 30.911500930786133, -97.17130279541016, 500, 'US', 'US-TX', 'Buckholts', 'no', 'XA32', '', 'XA32', ''),
	('68XA', 'small_airport', 'Utley Field', 30.18798, -97.41453, 413, 'US', 'US-TX', 'Bastrop', 'no', '', '', '68XA', ''),
	('TS07', 'small_airport', 'Dry Creek Airport', 29.986299514770508, -95.68560028076172, 152, 'US', 'US-TX', 'Cypress', 'no', 'TS07', '', 'TS07', ''),
	('1XS1', 'small_airport', 'Dunham Field', 29.93829917907715, -95.04660034179688, 60, 'US', 'US-TX', 'Crosby', 'no', '1XS1', '', '1XS1', ''),
	('T05', 'small_airport', 'Charles R Johnson Airport', 26.560018, -97.43923, 10, 'US', 'US-TX', 'Port Mansfield', 'no', '', '', 'T05', ''),
	('XS67', 'small_airport', 'San Jose Island Airport', 27.944499969482422, -96.98500061035156, 10, 'US', 'US-TX', 'Rockport', 'no', 'XS67', '', 'XS67', ''),
	('KRAS', 'small_airport', 'Mustang Beach Airport', 27.8118, -97.088799, 5, 'US', 'US-TX', 'Port Aransas', 'no', 'KRAS', '', 'RAS', '2R8'),
	('KNGP', 'medium_airport', 'Naval Air Station Corpus Christi Truax Field', 27.6926, -97.2911, 18, 'US', 'US-TX', 'Corpus Christi', 'no', 'KNGP', 'NGP', 'NGP', ''),
	('TE87', 'small_airport', 'Magee Airport', 27.915800094604492, -97.32029724121094, 35, 'US', 'US-TX', 'Portland', 'no', 'TE87', '', 'TE87', ''),
	('KBRO', 'medium_airport', 'Brownsville South Padre Island International Airport', 25.90679931640625, -97.4259033203125, 22, 'US', 'US-TX', 'Brownsville', 'yes', 'KBRO', 'BRO', 'BRO', ''),
	('TS94', 'small_airport', 'Rancho Buena Vista Airport', 26.25119972229004, -97.30079650878906, 20, 'US', 'US-TX', 'Bay View', 'no', 'TS94', '', 'TS94', ''),
	('92TA', 'small_airport', 'Drennan Farm Airport', 26.121200561523438, -97.4280014038086, 27, 'US', 'US-TX', 'Los Fresnos', 'no', '92TA', '', '92TA', ''),
	('KNGW', 'small_airport', 'Cabaniss Field Naval Outlying Landing Field', 27.704426, -97.440578, 30, 'US', 'US-TX', 'Corpus Christi', 'no', 'KNGW', 'NGW', 'NGW', ''),
	('XS10', 'closed', 'Aransas National Wildlife Refuge Airport', 28.124533, -96.798692, 10, 'US', 'US-TX', 'Matagorda Island', 'no', '', '', '', 'XS10'),
	('KRKP', 'small_airport', 'Aransas County Airport', 28.0867996216, -97.0446014404, 24, 'US', 'US-TX', 'Rockport', 'no', 'KRKP', 'RKP', 'RKP', 'Rockport AFS'),
	('KPIL', 'small_airport', 'Port Isabel Cameron County Airport', 26.166201, -97.345901, 19, 'US', 'US-TX', 'Port Isabel', 'no', 'KPIL', '', 'PIL', ''),
	('KNWL', 'small_airport', 'Waldron Field Naval Outlying Landing Field', 27.635, -97.312202, 25, 'US', 'US-TX', 'Corpus Christi', 'no', 'KNWL', '', 'NWL', ''),
	('9R5', 'small_airport', 'Hunt Airport', 27.886665, -97.350138, 40, 'US', 'US-TX', 'Portland', 'no', 'K9R5', '', '9R5', ''),
	('KTFP', 'small_airport', 'McCampbell-Porter Airport', 27.9130001068, -97.2115020752, 18, 'US', 'US-TX', 'Ingleside', 'no', 'KTFP', '', 'TFP', 'Formerly T43, T P Mc Campbell Airport'),
	('4C7', 'small_airport', 'Ackley Municipal Airport', 42.547079, -93.033271, 1070, 'US', 'US-IA', 'Ackley', 'no', '', '', '4C7', ''),
	('05IA', 'small_airport', 'Spotts Field', 43.13750076293945, -93.06829833984375, 1155, 'US', 'US-IA', 'Nora Springs', 'no', '05IA', '', '05IA', ''),
	('WI14', 'small_airport', 'Baldwin Airport', 44.96659851074219, -92.38770294189453, 1104, 'US', 'US-WI', 'Baldwin', 'no', 'WI14', '', 'WI14', ''),
	('KLVN', 'small_airport', 'Airlake Airport', 44.627899, -93.228104, 960, 'US', 'US-MN', 'Minneapolis', 'no', 'KLVN', '', 'LVN', ''),
	('WI74', 'closed', 'Pfaffenroth Private Airport', 43.924999, -88.667603, 872, 'US', 'US-WI', 'Fisk', 'no', '', '', '', 'WI74'),
	('4WI8', 'closed', 'Carhart Farms Airport', 44.051616, -91.37666, 737, 'US', 'US-WI', 'Galesville', 'no', '', '', '', '4WI8'),
	('70MY', 'seaplane_base', 'Loon Lane Seaplane Base', 44.60329818725586, -93.52220153808594, 944, 'US', 'US-MN', 'New Prague', 'no', '70MY', '', '70MY', ''),
	('WI72', 'closed', 'Martin Fierro Airport', 42.799999, -90.5718, 1000, 'US', 'US-WI', 'Ellenboro', 'no', '', '', '', 'WI72'),
	('55Y', 'small_airport', 'Rushford Municipal Airport - Robert W Bunke Field', 43.8158, -91.830101, 1211, 'US', 'US-MN', 'Rushford', 'no', '', '', '55Y', ''),
	('KLUM', 'small_airport', 'Menomonie Municipal Score Field', 44.8923, -91.867897, 895, 'US', 'US-WI', 'Menomonie', 'no', 'KLUM', '', 'LUM', ''),
	('C74', 'small_airport', 'Cassville Municipal Airport', 42.704200744628906, -90.964599609375, 627, 'US', 'US-WI', 'Cassville', 'no', 'KC74', '', 'C74', ''),
	('WS60', 'small_airport', 'Vern Air Park', 44.93389892578125, -90.83100128173828, 1169, 'US', 'US-WI', 'Thorp', 'no', 'WS60', '', 'WS60', ''),
	('IA8', 'small_airport', 'Dyersville Area Airport', 42.496105, -91.179859, 980, 'US', 'US-IA', 'Dyersville', 'no', 'IA8', '', 'IA8', ''),
	('KAEL', 'small_airport', 'Albert Lea Municipal Airport', 43.68149948, -93.36720276, 1260, 'US', 'US-MN', 'Albert Lea', 'no', 'KAEL', 'AEL', 'AEL', ''),
	('1Y5', 'small_airport', 'New Hampton Municipal Airport', 43.08720016479492, -92.34320068359375, 1173, 'US', 'US-IA', 'New Hampton', 'no', '1Y5', '', '1Y5', ''),
	('28WI', 'small_airport', 'Rutherford Airport', 44.60409927368164, -92.04660034179688, 790, 'US', 'US-WI', 'Arkansaw', 'no', '28WI', '', '28WI', ''),
	('7WI7', 'closed', 'Charlies Airport', 45.158901, -90.1493, 1490, 'US', 'US-WI', 'Medford', 'no', '', '', '', '7WI7'),
	('6MN7', 'closed', 'Mankato Farmstrip Airport', 44.099998, -93.916901, 1002, 'US', 'US-MN', 'Mankato', 'no', '', '', '', '6MN7'),
	('8MN0', 'seaplane_base', 'Lake Zumbro Seaplane Base', 44.20159912109375, -92.4834976196289, 920, 'US', 'US-MN', 'Oronoco', 'no', '8MN0', '', '8MN0', ''),
	('36MN', 'closed', 'Wagner Farm Airport', 46.6716, -96.575302, 935, 'US', 'US-MN', 'Barnesville', 'no', '', '', '', '36MN'),
	('WI75', 'closed', 'Bogus Creek Airport', 44.498901, -92.203102, 950, 'US', 'US-WI', 'Stockholm', 'no', '', '', '', 'WI75'),
	('53WI', 'small_airport', 'Moose Creek Farm Airport', 42.698101, -89.786796, 1025, 'US', 'US-WI', 'Argyle', 'no', '79WS', '', '79WS', '53WI, "Kelly Airport"'),
	('WI26', 'closed', 'Mertinkes Airport', 44.705002, -91.467311, 920, 'US', 'US-WI', 'Eau Claire', 'no', '', '', '', 'WI26'),
	('36WI', 'small_airport', 'Holland Air Park', 44.03219985961914, -91.29959869384766, 730, 'US', 'US-WI', 'Holmen', 'no', '36WI', '', '36WI', ''),
	('89WI', 'small_airport', 'Tuschen Airport', 42.906898498535156, -90.03209686279297, 1060, 'US', 'US-WI', 'Jonesdale', 'no', '89WI', '', '89WI', ''),
	('KFXY', 'small_airport', 'Forest City Municipal Airport', 43.23469925, -93.62409973, 1229, 'US', 'US-IA', 'Forest City', 'no', 'KFXY', 'FXY', 'FXY', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KDEH', 'small_airport', 'Decorah Municipal Airport', 43.275501, -91.739403, 1158, 'US', 'US-IA', 'Decorah', 'no', 'KDEH', 'DEH', 'DEH', ''),
	('KMFI', 'small_airport', 'Marshfield Municipal Airport', 44.6369018555, -90.18930053710001, 1277, 'US', 'US-WI', 'Marshfield', 'no', 'KMFI', 'MFI', 'MFI', 'Roy Shrewy Field'),
	('MN32', 'small_airport', 'Nietz Airstrip', 44.19139862060547, -92.45269775390625, 1130, 'US', 'US-MN', 'Oronoco', 'no', 'MN32', '', 'MN32', ''),
	('9WN8', 'N/A', 'N/A', 42.653311528265476, -90.11073499917984, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('43MN', 'small_airport', 'Superior Aero Estates Airport', 46.934031, -92.412775, 1385, 'US', 'US-MN', 'Saginaw', 'no', '43MN', '', '43MN', ''),
	('KDAF', 'small_airport', 'Necedah Airport', 44.033401, -90.085098, 919, 'US', 'US-WI', 'Necedah', 'no', 'KDAF', '', 'DAF', ''),
	('28MN', 'seaplane_base', 'Vasa Park Seaplane Base', 44.963600158691406, -93.62249755859375, 930, 'US', 'US-MN', 'Spring Park', 'no', '28MN', '', '28MN', ''),
	('22WN', 'small_airport', 'Southwind Airport', 43.068599700927734, -90.21949768066406, 1030, 'US', 'US-WI', 'Dodgeville', 'no', '22WN', '', '22WN', ''),
	('WI05', 'small_airport', 'Stocktrade Airport', 44.80830001831055, -91.68440246582031, 882, 'US', 'US-WI', 'Elk Mound', 'no', 'WI05', '', 'WI05', ''),
	('4WI5', 'small_airport', 'Carlson Airport', 44.72359848022461, -91.45989990234375, 900, 'US', 'US-WI', 'Eau Claire', 'no', '4WI5', '', '4WI5', ''),
	('IA45', 'closed', 'Willie''s Bomber Patch Airport', 42.775002, -95.846102, 1446, 'US', 'US-IA', 'Marcus', 'no', '', '', '', 'IA45'),
	('WI16', 'small_airport', 'Jim Benson Field', 42.85309982299805, -90.12969970703125, 1100, 'US', 'US-WI', 'Mineral Point', 'no', 'WI16', '', 'WI16', ''),
	('KCHF', 'N/A', 'N/A', 43.75353120267391, -92.20426395535469, 397, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Y72', 'small_airport', 'Bloyer Field', 43.974998, -90.483498, 966, 'US', 'US-WI', 'Tomah', 'no', 'KY72', '', 'Y72', ''),
	('Y48', 'small_airport', 'Belmond Municipal Airport', 42.852699279785156, -93.5947036743164, 1201, 'US', 'US-IA', 'Belmond', 'no', 'Y48', '', 'Y48', ''),
	('49MN', 'small_airport', 'Willow Ridge Airport', 44.671406, -92.827168, 839, 'US', 'US-MN', 'Hastings', 'no', '49MN', '', '49MN', ''),
	('KOVS', 'small_airport', 'Boscobel Airport', 43.160198, -90.675499, 673, 'US', 'US-WI', 'Boscobel', 'no', 'KOVS', '', 'OVS', ''),
	('25WN', 'small_airport', 'Little Plum Creek Airport', 44.528718, -92.120341, 12, 'US', 'US-WI', 'Pepin', 'no', '25WN', '', '25WN', ''),
	('MN45', 'small_airport', 'Jennrich Field', 44.56610107421875, -93.1322021484375, 951, 'US', 'US-MN', 'Farmington', 'no', 'MN45', '', 'MN45', ''),
	('91WI', 'small_airport', 'Gottschalk Field', 44.29389953613281, -90.03209686279297, 976, 'US', 'US-WI', 'Nekoosa', 'no', '91WI', '', '91WI', ''),
	('WI80', 'closed', 'Kaukauna Community Hospital Heliport', 44.269199, -88.269798, 705, 'US', 'US-WI', 'Kaukauna', 'no', '', '', '', 'WI80'),
	('KIIB', 'small_airport', 'Independence Municipal Airport', 42.456836, -91.94767, 979, 'US', 'US-IA', 'Independence', 'no', 'KIIB', '', 'IIB', ''),
	('3WN9', 'small_airport', 'Brion Memorial Airport', 44.55690002441406, -91.36689758300781, 900, 'US', 'US-WI', 'Strum', 'no', '3WN9', '', '3WN9', ''),
	('82C', 'small_airport', 'Mauston New Lisbon Union Airport', 43.838699, -90.137703, 906, 'US', 'US-WI', 'New Lisbon', 'no', 'K82C', '', '82C', ''),
	('WI27', 'small_airport', 'Skyport Airport', 44.92020034790039, -91.97489929199219, 878, 'US', 'US-WI', 'Menomonie', 'no', 'WI27', '', 'WI27', ''),
	('IA23', 'small_airport', 'GAA Private (Abels Island) Airport', 42.808899, -91.098198, 620, 'US', 'US-IA', 'Guttenberg', 'no', 'IA23', '', 'IA23', ''),
	('73IA', 'small_airport', 'Harris Field', 43.23559952, -93.20829773, 1180, 'US', 'US-IA', 'Mason City', 'no', '73IA', '', '73IA', ''),
	('KMXO', 'small_airport', 'Monticello Regional Airport', 42.220402, -91.1633, 832, 'US', 'US-IA', 'Monticello', 'no', 'KMXO', 'MXO', 'MXO', ''),
	('IA12', 'closed', 'Lloyd''s Field', 43.097197, -93.402199, 1220, 'US', 'US-IA', 'Clear Lake', 'no', '', '', '', 'IA12'),
	('IL28', 'small_airport', 'Foster Field', 42.4664, -90.169403, 990, 'US', 'US-IL', 'Apple River', 'no', 'IL28', '', 'IL28', '7A4'),
	('IA97', 'closed', 'Nichols Airport', 42.319005, -92.28404, 950, 'US', 'US-IA', 'La Porte City', 'no', '', '', '', 'IA97'),
	('01WI', 'small_airport', 'Prehn Cranberry Company Airport', 44.0099983215332, -90.38919830322266, 930, 'US', 'US-WI', 'Tomah', 'no', '01WI', '', '01WI', ''),
	('MN09', 'seaplane_base', 'Crystal Lake Seaplane Base', 44.722198, -93.266899, 935, 'US', 'US-MN', 'Burnsville', 'no', 'MN09', '', 'MN09', 'Apple Valley'),
	('2C4', 'small_airport', 'Flying A Airport', 43.816724, -92.336869, 1300, 'US', 'US-MN', 'Chatfield', 'no', '', '', '2C4', 'MN22'),
	('WN99', 'small_airport', 'Hayes Road Airport', 44.65719985961914, -91.80860137939453, 900, 'US', 'US-WI', 'Durand', 'no', 'WN99', '', 'WN99', ''),
	('29WI', 'small_airport', 'Whittlesey Cranberry Company Airport', 44.325337, -90.027015, 982, 'US', 'US-WI', 'Babcock', 'no', '29WI', '', '29WI', ''),
	('HOPA', 'small_airport', 'Hoppe Airspray', 42.257036, -92.835475, 0, 'US', 'US-IA', 'Beaman', 'no', '', '', 'HOPA', ''),
	('KBCK', 'small_airport', 'Black River Falls Area Airport', 44.250702, -90.855301, 836, 'US', 'US-WI', 'Black River Falls', 'no', 'KBCK', '', 'BCK', ''),
	('5WI6', 'small_airport', 'Independence Airport', 44.367003, -91.396101, 804, 'US', 'US-WI', 'Independence', 'no', '5WI6', '', '5WI6', ''),
	('KRGK', 'small_airport', 'Red Wing Regional Airport', 44.589401, -92.485001, 778, 'US', 'US-MN', 'Red Wing', 'no', 'KRGK', '', 'RGK', ''),
	('KROH', 'N/A', 'N/A', 44.07880403101444, -92.35987275838852, 389, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4WI0', 'small_airport', 'Wissota Airport', 44.93330001831055, -91.27239990234375, 936, 'US', 'US-WI', 'Chippewa Falls', 'no', '4WI0', '', '4WI0', ''),
	('IA17', 'small_airport', 'Bluebird Airport', 42.622064, -92.501033, 924, 'US', 'US-IA', 'Cedar Falls', 'no', 'IA17', '', 'IA17', ''),
	('KMCW', 'medium_airport', 'Mason City Municipal Airport', 43.159801, -93.329716, 1213, 'US', 'US-IA', 'Mason City', 'yes', 'KMCW', 'MCW', 'MCW', ''),
	('3WI9', 'small_airport', 'Rosenbaum Field', 44.99375915527344, -91.37775421142578, 940, 'US', 'US-WI', 'Chippewa Falls', 'no', '3WI9', '', '3WI9', ''),
	('KALO', 'medium_airport', 'Waterloo Regional Airport', 42.557098388671875, -92.40029907226563, 873, 'US', 'US-IA', 'Waterloo', 'yes', 'KALO', 'ALO', 'ALO', ''),
	('KVIO', 'N/A', 'N/A', 43.4648410230875, -90.90377703309059, 347, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSYN', 'N/A', 'N/A', 44.47552219033241, -93.0163224041462, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MN58', 'small_airport', 'Sky Meadow Airport', 44.698098, -92.865136, 820, 'US', 'US-MN', 'Hastings', 'no', 'MN58', '', 'MN58', ''),
	('D02', 'small_airport', 'Osage Municipal Airport', 43.292396, -92.795634, 1168, 'US', 'US-IA', 'Osage', 'no', 'D02', '', 'D02', ''),
	('83WI', 'small_airport', 'Jones Airport', 44.97050094604492, -90.34619903564453, 1410, 'US', 'US-WI', 'Dorchester', 'no', '83WI', '', '83WI', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1MN5', 'small_airport', 'Molnau Airpark', 44.843874, -93.736076, 1000, 'US', 'US-MN', 'Waconia', 'no', '1MN5', '', '1MN5', ''),
	('WI79', 'small_airport', 'Town Line Airport', 44.852699279785156, -90.55650329589844, 1270, 'US', 'US-WI', 'Greenwood', 'no', 'WI79', '', 'WI79', ''),
	('2WN6', 'small_airport', 'Cunningham Airport', 44.529701232910156, -90.41929626464844, 1089, 'US', 'US-WI', 'Granton', 'no', '2WN6', '', '2WN6', ''),
	('KHPT', 'small_airport', 'Hampton Municipal Airport', 42.7237014771, -93.22630310059999, 1176, 'US', 'US-IA', 'Hampton', 'no', 'KHPT', 'HPT', 'HPT', ''),
	('KACQ', 'small_airport', 'Waseca Municipal Airport', 44.073502, -93.552902, 1126, 'US', 'US-MN', 'Waseca', 'no', 'KACQ', '', 'ACQ', ''),
	('55WN', 'N/A', 'N/A', 44.81326662003994, -91.5580666065216, 278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MY37', 'small_airport', 'Eyota Airport', 43.981803, -92.245942, 1285, 'US', 'US-MN', 'Eyota', 'no', 'MY37', '', 'MY37', 'Thomas Field'),
	('60C', 'small_airport', 'Elroy Municipal Airport', 43.70640182495117, -90.25759887695313, 944, 'US', 'US-WI', 'Elroy', 'no', 'K60C', '', '60C', ''),
	('75MN', 'small_airport', 'Galler''s Airport', 44.18659973144531, -93.71410369873047, 1070, 'US', 'US-MN', 'Elysian', 'no', '75MN', '', '75MN', ''),
	('MY97', 'small_airport', 'Nielsen''s Airport', 44.599141, -93.127585, 990, 'US', 'US-MN', 'Farmington', 'no', 'MY97', '', 'MY97', ''),
	('4IA9', 'small_airport', 'Triple J Airport', 42.45830154418945, -92.72239685058594, 1020, 'US', 'US-IA', 'Dike', 'no', '4IA9', '', '4IA9', ''),
	('KFKA', 'small_airport', 'Fillmore County Airport', 43.6768, -92.179703, 1277, 'US', 'US-MN', 'Preston', 'no', 'KFKA', '', 'FKA', ''),
	('KVIQ', 'small_airport', 'Neillsville Municipal Airport', 44.558102, -90.512199, 1237, 'US', 'US-WI', 'Neillsville', 'no', 'KVIQ', '', 'VIQ', ''),
	('KSGS', 'small_airport', 'South St Paul Municipal Airport/Richard E Fleming Field', 44.857101, -93.032898, 821, 'US', 'US-MN', 'South St Paul', 'no', 'KSGS', '', 'SGS', ''),
	('MN55', 'closed', 'Sandy Flats Airport', 44.7052, -92.811897, 835, 'US', 'US-MN', 'Hastings', 'no', '', '', '', 'MN55'),
	('5WN9', 'small_airport', 'Ottman Landing Airport', 44.594398498535156, -92.25849914550781, 1150, 'US', 'US-WI', 'Maiden Rock', 'no', '5WN9', '', '5WN9', ''),
	('KNEC', 'N/A', 'N/A', 43.8881392031908, -93.57255086302757, 358, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('21MN', 'closed', 'Amundson Seaplane Base', 44.9291, -93.617502, 935, 'US', 'US-MN', 'Orono/Lake Minnetonka', 'no', '', '', '', '21MN'),
	('WI29', 'small_airport', 'Rush River Airport', 44.90549850463867, -92.4834976196289, 1078, 'US', 'US-WI', 'Baldwin', 'no', 'WI29', '', 'WI29', ''),
	('2Y1', 'small_airport', 'Drake Airport', 42.31669998168945, -93.41690063476563, 1179, 'US', 'US-IA', 'Radcliffe', 'no', '2Y1', '', '2Y1', ''),
	('97WI', 'small_airport', 'North Fork Airport', 44.96329879760742, -90.86029815673828, 1145, 'US', 'US-WI', 'Thorp', 'no', '97WI', '', '97WI', ''),
	('KONA', 'small_airport', 'Winona Municipal Airport Max Conrad Field', 44.077202, -91.708298, 656, 'US', 'US-MN', 'Winona', 'no', 'KONA', 'ONA', 'ONA', ''),
	('KFBL', 'small_airport', 'Faribault Municipal Airport-Liz Wall Strohfus Field', 44.32844, -93.312534, 1060, 'US', 'US-MN', 'Faribault', 'no', 'KFBL', 'FBL', 'FBL', 'Faribault Municipal'),
	('KRST', 'medium_airport', 'Rochester International Airport', 43.908298, -92.5, 1317, 'US', 'US-MN', 'Rochester', 'yes', 'KRST', 'RST', 'RST', ''),
	('9MN6', 'small_airport', 'Merill L Harris Field', 44.644216, -93.700762, 800, 'US', 'US-MN', 'Jordan', 'no', '9MN6', '', '9MN6', ''),
	('3WN8', 'small_airport', 'Blunt Field', 44.93560028076172, -91.43070220947266, 930, 'US', 'US-WI', 'Chippewa Falls', 'no', '3WN8', '', '3WN8', ''),
	('KPDC', 'small_airport', 'Prairie Du Chien Municipal Airport', 43.019298553467, -91.12370300293, 661, 'US', 'US-WI', 'Prairie Du Chien', 'no', 'KPDC', 'PCD', 'PDC', ''),
	('77LL', 'closed', 'Briggs Brothers Airfield', 42.423599, -90.504303, 770, 'US', 'US-IL', 'Galena', 'no', '', '', '', '77LL'),
	('MY11', 'small_airport', 'Gilgenbach''s Airport', 43.521400451660156, -92.65850067138672, 1320, 'US', 'US-MN', 'Taopi', 'no', 'MY11', '', 'MY11', ''),
	('MN49', 'small_airport', 'Tuma Private Airport', 44.42390060424805, -93.4843978881836, 1100, 'US', 'US-MN', 'Montgomery', 'no', 'MN49', '', 'MN49', ''),
	('WI49', 'small_airport', 'Blair Airport', 44.286841, -91.226542, 864, 'US', 'US-WI', 'Blair', 'no', 'WI49', '', 'WI49', ''),
	('0IA8', 'small_airport', 'Hannen Airport', 42.22800064086914, -91.7509994506836, 925, 'US', 'US-IA', 'Center Point', 'no', '0IA8', '', '0IA8', ''),
	('KRIA', 'N/A', 'N/A', 43.43370493501425, -90.54361179471016, 356, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MY50', 'small_airport', 'Frontenac Airport', 44.50337, -92.364404, 793, 'US', 'US-MN', 'Lake City', 'no', 'MY50', '', 'MY50', ''),
	('7MN3', 'small_airport', 'Caldbeck Field', 43.7052001953125, -92.46070098876953, 1340, 'US', 'US-MN', 'Spring Valley', 'no', '7MN3', '', '7MN3', ''),
	('0MN6', 'small_airport', 'Matson Field', 43.662200927734375, -92.404296875, 1365, 'US', 'US-MN', 'Spring Valley', 'no', '0MN6', '', '0MN6', ''),
	('KABB', 'N/A', 'N/A', 44.9416371434927, -90.2579753100872, 412, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0Y6', 'small_airport', 'Lake Mills Municipal Airport', 43.41329, -93.512019, 1260, 'US', 'US-IA', 'Lake Mills', 'no', '0Y6', '', '0Y6', ''),
	('KOWA', 'small_airport', 'Owatonna Degner Regional Airport', 44.123402, -93.260597, 1145, 'US', 'US-MN', 'Owatonna', 'no', 'KOWA', 'OWA', 'OWA', ''),
	('Y51', 'small_airport', 'Viroqua Municipal Airport', 43.5801, -90.900196, 1292, 'US', 'US-WI', 'Viroqua', 'no', 'KY51', '', 'Y51', ''),
	('2MN6', 'small_airport', 'Van Norman''s Airport', 44.04719924926758, -92.09290313720703, 1100, 'US', 'US-MN', 'St Charles', 'no', '2MN6', '', '2MN6', ''),
	('8C6', 'small_airport', 'Traer Municipal Airport', 42.19919967651367, -92.45800018310547, 892, 'US', 'US-IA', 'Traer', 'no', '8C6', '', '8C6', ''),
	('KPVB', 'small_airport', 'Platteville Municipal Airport', 42.6894, -90.444397, 1025, 'US', 'US-WI', 'Platteville', 'no', 'KPVB', '', 'PVB', ''),
	('09WI', 'small_airport', 'Parkway Farm Strip', 44.00360107421875, -91.30760192871094, 705, 'US', 'US-WI', 'Holmen', 'no', '09WI', '', '09WI', ''),
	('6WI2', 'small_airport', 'St Croix Riviera Airport', 44.84389877319336, -92.75579833984375, 895, 'US', 'US-WI', 'River Falls', 'no', '6WI2', '', '6WI2', ''),
	('40WI', 'small_airport', 'Schubert Airstrip', 44.05830001831055, -91.43070220947266, 750, 'US', 'US-WI', 'Centerville', 'no', '40WI', '', '40WI', ''),
	('KEAU', 'medium_airport', 'Chippewa Valley Regional Airport', 44.86579895019531, -91.48429870605469, 913, 'US', 'US-WI', 'Eau Claire', 'yes', 'KEAU', 'EAU', 'EAU', ''),
	('KCCY', 'medium_airport', 'Northeast Iowa Regional Airport', 43.0726013184, -92.6108016968, 1125, 'US', 'US-IA', 'Charles City', 'no', 'KCCY', 'CCY', 'CCY', 'Charles City Municipal Airport'),
	('35MN', 'small_airport', 'Wipline Airport', 44.81549835205078, -93.01349639892578, 687, 'US', 'US-MN', 'Inver Grove Heights', 'no', '35MN', '', '35MN', ''),
	('WI21', 'small_airport', 'Crane Field', 44.909698486328125, -91.2417984008789, 936, 'US', 'US-WI', 'Cadott', 'no', 'WI21', '', 'WI21', ''),
	('KLNR', 'small_airport', 'Tri-County Regional Airport', 43.2099, -90.181332, 717, 'US', 'US-WI', 'Spring Green', 'no', 'KLNR', 'LNR', 'LNR', 'Lone Rock');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KVOK', 'medium_airport', 'Volk Field', 43.938999176025, -90.253402709961, 912, 'US', 'US-WI', 'Camp Douglas', 'no', 'KVOK', 'VOK', 'VOK', 'Camp Williams,'),
	('7MY9', 'small_airport', 'Petes Airport', 43.746717, -92.7245, 1337, 'US', 'US-MN', 'Dexter', 'no', '7MY9', '', '7MY9', ''),
	('IA18', 'closed', 'Poyner Airport', 42.470798, -92.088501, 960, 'US', 'US-IA', 'Jesup', 'no', '', '', '', 'IA18'),
	('MY10', 'small_airport', 'Deters Farms Airport', 43.561100006103516, -91.68150329589844, 1220, 'US', 'US-MN', 'Spring Grove', 'no', 'MY10', '', 'MY10', ''),
	('KCHU', 'small_airport', 'Houston County Airport', 43.596401, -91.503899, 1179, 'US', 'US-MN', 'Caledonia', 'no', 'KCHU', '', 'CHU', ''),
	('95MN', 'closed', 'Whaletail Lake Seaplane Base', 44.9389, -93.722702, 948, 'US', 'US-MN', 'Minnetrista', 'no', '', '', '', '95MN'),
	('48MN', 'heliport', 'Northfield Hospital Heliport', 44.474155, -93.191925, 1035, 'US', 'US-MN', 'Northfield', 'no', '48MN', '', '48MN', ''),
	('5D2', 'small_airport', 'Northwood Municipal Airport', 43.448299407958984, -93.20189666748047, 1224, 'US', 'US-IA', 'Northwood', 'no', '5D2', '', '5D2', ''),
	('10IA', 'small_airport', 'Flyers Airport', 42.41669845581055, -92.25019836425781, 830, 'US', 'US-IA', 'Waterloo', 'no', '10IA', '', '10IA', ''),
	('I27', 'small_airport', 'Elkader Airport', 42.846900939941406, -91.38069915771484, 932, 'US', 'US-IA', 'Elkader', 'no', 'I27', '', 'I27', ''),
	('MN46', 'closed', 'Lucht Field', 44.603954, -93.094505, 900, 'US', 'US-MN', 'Farmington', 'no', '', '', '', 'MN46'),
	('7IA7', 'small_airport', 'Mitchell Field', 43.083402, -92.311034, 1160, 'US', 'US-IA', 'New Hampton', 'no', '7IA7', '', '7IA7', ''),
	('IA31', 'small_airport', 'Beeds Lake Airport', 42.7666015625, -93.24600219726563, 1148, 'US', 'US-IA', 'Hampton', 'no', 'IA31', '', 'IA31', ''),
	('KINN', 'N/A', 'N/A', 44.31706063449383, -91.45827680826187, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4IA7', 'small_airport', 'Witcombe Field', 42.471337, -92.504539, 1000, 'US', 'US-IA', 'Cedar Falls', 'no', '4IA7', '', '4IA7', ''),
	('KLSE', 'medium_airport', 'La Crosse Regional Airport', 43.879002, -91.256699, 655, 'US', 'US-WI', 'La Crosse', 'yes', 'KLSE', 'LSE', 'LSE', 'airport, regional'),
	('Y01', 'small_airport', 'Waukon Municipal Airport', 43.280498504639, -91.469497680664, 1281, 'US', 'US-IA', 'Waukon', 'no', 'Y01', 'UKN', 'Y01', ''),
	('KFCM', 'small_airport', 'Flying Cloud Airport', 44.8272018433, -93.45709991460001, 906, 'US', 'US-MN', 'Minneapolis', 'no', 'KFCM', 'FCM', 'FCM', ''),
	('KDBQ', 'medium_airport', 'Dubuque Regional Airport', 42.402, -90.709503, 1077, 'US', 'US-IA', 'Dubuque', 'yes', 'KDBQ', 'DBQ', 'DBQ', ''),
	('MY35', 'small_airport', 'Walker Field', 44.93349838256836, -92.81770324707031, 902, 'US', 'US-MN', 'Afton', 'no', 'MY35', '', 'MY35', ''),
	('3Y2', 'small_airport', 'George L Scott Municipal Airport', 42.98509979248047, -91.79060363769531, 1232, 'US', 'US-IA', 'West Union', 'no', 'K3Y2', '', '3Y2', ''),
	('27WI', 'small_airport', 'Tegeler Airport', 44.807701110839844, -92.71379852294922, 950, 'US', 'US-WI', 'Prescott', 'no', '27WI', '', '27WI', ''),
	('KAUM', 'small_airport', 'Austin Municipal Airport', 43.66500092, -92.93340302, 1234, 'US', 'US-MN', 'Austin', 'no', 'KAUM', 'AUM', 'AUM', ''),
	('27P', 'small_airport', 'Eldora Airport', 42.330183, -93.114286, 979, 'US', 'US-IA', 'Eldora', 'no', '', '', '27P', '6C0, Eldora Municipal'),
	('23MN', 'small_airport', 'High Grove Airport', 43.6411018371582, -92.02210235595703, 1240, 'US', 'US-MN', 'Preston', 'no', '23MN', '', '23MN', ''),
	('KSTU', 'N/A', 'N/A', 44.6414677798748, -91.51612848043442, 297, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('73C', 'small_airport', 'Lancaster Municipal Airport', 42.780499, -90.681, 1008, 'US', 'US-WI', 'Lancaster', 'no', 'K73C', '', '73C', ''),
	('KDUD', 'N/A', 'N/A', 44.65796269476414, -91.97662621736526, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0IA3', 'closed', 'Hawkeye Airport', 42.435066, -92.327621, 883, 'US', 'US-IA', 'Waterloo', 'no', '', '', '', '0IA3'),
	('3IS4', 'small_airport', 'Merkle Airport', 42.288898, -90.345398, 970, 'US', 'US-IL', 'Hanover', 'no', '3IS4', '', '3IS4', 'Orchard Landing'),
	('WS69', 'small_airport', 'Log Cabin Airport', 44.572312, -91.547527, 850, 'US', 'US-WI', 'Naples', 'no', 'WS69', '', 'WS69', ''),
	('C25', 'small_airport', 'Waverly Municipal Airport', 42.742001, -92.507896, 992, 'US', 'US-IA', 'Waverly', 'no', 'C25', '', 'C25', ''),
	('93C', 'small_airport', 'Richland Airport', 43.283401, -90.298302, 742, 'US', 'US-WI', 'Richland Center', 'no', 'K93C', '', '93C', ''),
	('69MY', 'small_airport', 'Hall Airport', 44.66109848022461, -93.1001968383789, 875, 'US', 'US-MN', 'Farmington', 'no', '69MY', '', '69MY', ''),
	('KCMY', 'small_airport', 'Sparta Fort McCoy Airport', 43.958009, -90.737886, 837, 'US', 'US-WI', 'Sparta', 'no', 'KCMY', 'CMY', 'CMY', ''),
	('IA49', 'closed', 'Jirak Airport', 43.145, -92.053497, 1180, 'US', 'US-IA', 'Fort Atkinson', 'no', '', '', '', 'IA49'),
	('IA33', 'small_airport', 'Dad''s Field', 43.01190185546875, -93.24240112304688, 1200, 'US', 'US-IA', 'Rockwell', 'no', 'IA33', '', 'IA33', ''),
	('KCJJ', 'N/A', 'N/A', 43.36530290544033, -92.13308349251747, 388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7WI0', 'small_airport', 'Turkey Bluff Airport', 43.37300109863281, -91.10990142822266, 1110, 'US', 'US-WI', 'Ferryville', 'no', '7WI0', '', '7WI0', ''),
	('4D1', 'closed', 'Three Castles Airpark', 43.669734, -90.23386, 921, 'US', 'US-WI', 'Wonewoc', 'no', '', '', '', '4D1'),
	('93IA', 'small_airport', 'Lund Airport', 42.26029968261719, -93.64969635009766, 1063, 'US', 'US-IA', 'Jewell', 'no', '93IA', '', '93IA', ''),
	('KSPV', 'N/A', 'N/A', 43.58180444687605, -92.30110958218575, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('94WI', 'closed', 'Koller Heliport', 42.987715, -88.416759, 980, 'US', 'US-WI', 'Wales', 'no', '', '', '', '94WI'),
	('MN15', 'closed', 'Empire Farm Strip', 44.794998, -93.853897, 1000, 'US', 'US-MN', 'Bongards', 'no', '', '', '', 'MN15'),
	('MY52', 'closed', 'Turkey Track Airport', 44.718601, -93.044098, 923, 'US', 'US-MN', 'Coates', 'no', '', '', '', 'MY52'),
	('WS20', 'small_airport', 'Young Tactical Landing Site Airport', 43.95299912, -90.66259766, 912, 'US', 'US-WI', 'Fort Mc Coy', 'no', 'WS20', '', 'WS20', ''),
	('MN67', 'small_airport', 'Sky Park Airport', 44.659698, -93.518303, 940, 'US', 'US-MN', 'Jordan', 'no', 'MN67', '', 'MN67', ''),
	('WI54', 'closed', 'Corinth Airport', 44.999401, -90.149597, 1425, 'US', 'US-WI', 'Athens', 'no', '', '', '', 'WI54'),
	('KMSP', 'large_airport', 'Minneapolis–Saint Paul International Airport / Wold–Chamberlain Field', 44.880081, -93.221741, 841, 'US', 'US-MN', 'Minneapolis', 'yes', 'KMSP', 'MSP', 'MSP', ''),
	('K98', 'small_airport', 'Allison Municipal Airport', 42.76390075683594, -92.80439758300781, 1053, 'US', 'US-IA', 'Allison', 'no', 'K98', '', 'K98', ''),
	('08WI', 'closed', 'Pierick Airport', 43.04359817504883, -90.3551025390625, 1225, 'US', 'US-WI', 'Highland', 'no', '', '', '', '08WI, 08WI, 08WI');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8WI8', 'small_airport', 'Stupek Farms Airport', 42.97669982910156, -90.64820098876953, 1210, 'US', 'US-WI', 'Fennimore', 'no', '8WI8', '', '8WI8', ''),
	('85MN', 'small_airport', 'Christison Airport', 44.158599853515625, -92.20210266113281, 1175, 'US', 'US-MN', 'Plainview', 'no', '85MN', '', '85MN', ''),
	('15IA', 'small_airport', 'Stella Airport', 42.235396, -90.406767, 625, 'US', 'US-IA', 'Bellevue', 'no', '15IA', '', '15IA', 'Bellevue Flying Circus Airport'),
	('2WI2', 'closed', 'Shullsburg Airport', 42.5569, -90.2276, 1080, 'US', 'US-WI', 'Shullsburg', 'no', '', '', '', '2WI2'),
	('49WI', 'closed', 'Tri-Center Airport', 43.3792, -90.015404, 1225, 'US', 'US-WI', 'Loganville', 'no', '', '', '', '49WI'),
	('WS91', 'small_airport', 'Sky Hollow Airport', 43.20859909057617, -90.6636962890625, 707, 'US', 'US-WI', 'Boscobel', 'no', 'WS91', '', 'WS91', ''),
	('WI25', 'small_airport', 'Durand Municipal Airport', 44.53889846801758, -92.01409912109375, 780, 'US', 'US-WI', 'Durand', 'no', 'WI25', '', 'WI25', ''),
	('7WI4', 'small_airport', 'Lewis Airport', 44.300498962402344, -90.98789978027344, 1041, 'US', 'US-WI', 'Black River Falls', 'no', '7WI4', '', '7WI4', ''),
	('85IA', 'small_airport', 'Henry Airport', 43.1786003112793, -92.69740295410156, 1125, 'US', 'US-IA', 'Floyd', 'no', '85IA', '', '85IA', ''),
	('0MN0', 'seaplane_base', 'Winner''s Landing Seaplane Base', 44.79690170288086, -92.98410034179688, 690, 'US', 'US-MN', 'St Paul Park', 'no', '0MN0', '', '0MN0', ''),
	('MN63', 'small_airport', 'Stocker Private Airport', 44.684582, -93.637462, 855, 'US', 'US-MN', 'Jordan', 'no', 'MN63', '', 'MN63', ''),
	('KSTP', 'medium_airport', 'Saint Paul Downtown Holman Field', 44.93479, -93.060036, 705, 'US', 'US-MN', 'Saint Paul', 'no', 'KSTP', 'STP', 'STP', 'St Paul'),
	('2MN8', 'small_airport', 'Trygstad Airport', 43.99610137939453, -92.33570098876953, 1227, 'US', 'US-MN', 'Rochester', 'no', '2MN8', '', '2MN8', ''),
	('C27', 'small_airport', 'Manchester Municipal Airport', 42.490518, -91.497874, 987, 'US', 'US-IA', 'Manchester', 'no', 'KC27', '', 'C27', ''),
	('1MN8', 'small_airport', 'Sky Harbor Residential Airpark', 44.525671, -93.327441, 1111, 'US', 'US-MN', 'Webster', 'no', '1MN8', '', '1MN8', ''),
	('KOLZ', 'small_airport', 'Oelwein Municipal Airport', 42.680889, -91.97372, 1076, 'US', 'US-IA', 'Oelwein', 'no', 'KOLZ', '', 'OLZ', ''),
	('WI32', 'small_airport', 'T-Bo Field Airport', 44.98730087279999, -91.3303985596, 940, 'US', 'US-WI', 'Chippewa Falls', 'no', 'WI32', '', 'WI32', ''),
	('09Y', 'seaplane_base', 'Wipline Seaplane Base', 44.81660079956055, -93.0155029296875, 687, 'US', 'US-MN', 'Inver Grove Hgts', 'no', '09Y', '', '09Y', ''),
	('39WI', 'small_airport', 'S & S Ranch Airport', 43.48469924926758, -90.61990356445313, 1200, 'US', 'US-WI', 'Viola', 'no', '39WI', '', '39WI', ''),
	('KTOB', 'small_airport', 'Dodge Center Airport', 44.018002, -92.831497, 1305, 'US', 'US-MN', 'Dodge Center', 'no', 'KTOB', '', 'TOB', ''),
	('6K7', 'small_airport', 'Grundy Center Municipal Airport', 42.350799560546875, -92.84349822998047, 1075, 'US', 'US-IA', 'Grundy Center', 'no', '6K7', '', '6K7', ''),
	('MN76', 'seaplane_base', 'Marty''s Tranquility Base', 44.699963, -93.471893, 911, 'US', 'US-MN', 'Prior Lake', 'no', 'MN76', '', 'MN76', '45D'),
	('WI81', 'small_airport', 'Rigdon Private Airport', 42.524200439453125, -90.59100341796875, 880, 'US', 'US-WI', 'Hazel Green', 'no', 'WI81', '', 'WI81', ''),
	('55C', 'N/A', 'N/A', 42.9963057115674, -90.14413833618164, 367, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMRJ', 'small_airport', 'Iowa County Airport', 42.886799, -90.236198, 1171, 'US', 'US-WI', 'Mineral Point', 'no', 'KMRJ', '', 'MRJ', ''),
	('11IA', 'small_airport', 'Koch Field', 42.349636, -92.513316, 988, 'US', 'US-IA', 'Hudson', 'no', '11IA', '', '11IA', ''),
	('24IA', 'small_airport', 'Isley Field', 42.51580047607422, -92.5197982788086, 982, 'US', 'US-IA', 'Cedar Falls', 'no', '24IA', '', '24IA', ''),
	('KVTI', 'small_airport', 'Vinton Veterans Memorial Airpark', 42.218221, -92.025905, 842, 'US', 'US-IA', 'Vinton', 'no', 'KVTI', '', 'VTI', ''),
	('KWEC', 'N/A', 'N/A', 43.625900968909264, -93.68745848536491, 360, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('44WI', 'small_airport', 'Stoiber Airport', 44.772217, -90.385067, 1298, 'US', 'US-WI', 'Spencer', 'no', '44WI', '', '44WI', ''),
	('WS51', 'small_airport', 'Leeward Farm Airport', 43.35279846191406, -90.68099975585938, 1055, 'US', 'US-WI', 'Soldiers Grove', 'no', 'WS51', '', 'WS51', ''),
	('IA30', 'small_airport', 'Kleis Airport', 42.29999923706055, -90.7500991821289, 1050, 'US', 'US-IA', 'Zwingle', 'no', 'IA30', '', 'IA30', ''),
	('IA54', 'small_airport', 'Anderson Airport', 42.50175, -90.84218, 1135, 'US', 'US-IA', 'Dubuque', 'no', 'IA54', '', 'IA54', ''),
	('7C3', 'small_airport', 'Monona Municipal Airport', 43.032903, -91.346586, 1147, 'US', 'US-IA', 'Monona', 'no', 'K7C3', '', '7C3', ''),
	('5MN0', 'small_airport', 'Scrabeck Airport', 43.86679, -92.561091, 1280, 'US', 'US-MN', 'Stewartville', 'no', '5MN0', '', '5MN0', ''),
	('22IL', 'small_airport', 'Heller Airport', 42.412795, -90.399606, 820, 'US', 'US-IL', 'Galena', 'no', '22IL', '', '22IL', ''),
	('21D', 'small_airport', 'Lake Elmo Airport', 44.99750137, -92.85569763, 933, 'US', 'US-MN', 'St Paul', 'no', 'K21D', '', '21D', ''),
	('HBW', 'heliport', 'Helipuerto Corporativo GBM', 19.363563, -99.182746, 7854, 'MX', 'MX-DIF', 'Alvaro Obregon', 'no', '', '', 'HBW', ''),
	('KIFA', 'small_airport', 'Iowa Falls Municipal Airport', 42.4707984924, -93.2699966431, 1137, 'US', 'US-IA', 'Iowa Falls', 'no', 'KIFA', 'IFA', 'IFA', ''),
	('6MN8', 'small_airport', 'Underland Airstrip', 44.15053, -93.27721, 1145, 'US', 'US-MN', 'Medford', 'no', '6MN8', '', '6MN8', ''),
	('6WN5', 'small_airport', 'Airwolfe Airport', 44.49980163574219, -92.19879913330078, 1130, 'US', 'US-WI', 'Stockholm', 'no', '6WN5', '', '6WN5', ''),
	('1IL5', 'heliport', 'Highland Heliport', 38.76032, -89.674326, 560, 'US', 'US-IL', 'Highland', 'no', '1IL5', '', '1IL5', ''),
	('09IA', 'small_airport', 'Skydive Iowa Airport', 41.745441, -92.411547, 820, 'US', 'US-IA', 'Brooklyn', 'no', '09IA', '', '09IA', 'Val-Air Airport'),
	('0MO6', 'closed', 'Hall Airport', 40.116686, -92.266788, 850, 'US', 'US-MO', 'Hurdland', 'no', '', '', '', '0MO6, Edina'),
	('I48', 'N/A', 'N/A', 40.402156971395016, -91.16675823926926, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6IA7', 'small_airport', 'R S Auto Airport', 40.99039840698242, -91.74420166015625, 770, 'US', 'US-IA', 'Lockridge', 'no', '6IA7', '', '6IA7', ''),
	('IS56', 'small_airport', 'Herren Airport', 40.08810043334961, -90.8853988647461, 654, 'US', 'US-IL', 'Timewell', 'no', 'IS56', '', 'IS56', ''),
	('2LL2', 'small_airport', 'Weihler Airport', 41.31480026245117, -90.5521011352539, 740, 'US', 'US-IL', 'Sherrard', 'no', '2LL2', '', '2LL2', ''),
	('KDAO', 'N/A', 'N/A', 40.10938681662083, -91.21045008301735, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8IA8', 'small_airport', 'Pfeifer Field', 41.455074, -91.617259, 715, 'US', 'US-IA', 'Riverside', 'no', '8IA8', '', '8IA8', ''),
	('IS51', 'small_airport', 'Schilson Field', 40.45140075683594, -91.20379638671875, 705, 'US', 'US-IL', 'Carthage', 'no', 'IS51', '', 'IS51', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('I75', 'small_airport', 'Osceola Municipal Airport', 41.0522, -93.689697, 1110, 'US', 'US-IA', 'Osceola', 'no', 'KI75', '', 'I75', ''),
	('89IA', 'small_airport', 'Chain Lakes Airpark', 42.05139923095703, -91.716796875, 825, 'US', 'US-IA', 'Cedar Rapids', 'no', '89IA', '', '89IA', ''),
	('34IL', 'small_airport', 'G. Bray Airport', 40.361545, -90.109849, 550, 'US', 'US-IL', 'Lewistown', 'no', '34IL', '', '34IL', ''),
	('KIJX', 'small_airport', 'Jacksonville Municipal Airport', 39.774601, -90.238297, 624, 'US', 'US-IL', 'Jacksonville', 'no', 'KIJX', 'IJX', 'IJX', ''),
	('27IA', 'small_airport', 'Oldfield Aero', 40.75130081179999, -92.0307006836, 750, 'US', 'US-IA', 'Keosauqua', 'no', '27IA', '', '27IA', ''),
	('2IL4', 'closed', 'Mountain Airport', 39.779202, -90.748596, 590, 'US', 'US-IL', 'Perry', 'no', '', '', '', '2IL4'),
	('IA41', 'small_airport', 'Laverty Field', 41.41529846191406, -93.5613021850586, 950, 'US', 'US-IA', 'Indianola', 'no', 'IA41', '', 'IA41', ''),
	('KCWI', 'small_airport', 'Clinton Municipal Airport', 41.8311004639, -90.3291015625, 708, 'US', 'US-IA', 'Clinton', 'no', 'KCWI', 'CWI', 'CWI', ''),
	('58IA', 'N/A', 'N/A', 40.87398335337639, -91.16329997777939, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IL01', 'small_airport', 'Wolford''s Airport', 40.7925, -90.438202, 720, 'US', 'US-IL', 'Abingdon', 'no', 'IL01', '', 'IL01', ''),
	('KGAU', 'N/A', 'N/A', 40.965539552271366, -90.50013363361359, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('88IS', 'small_airport', 'Blickhan Lndg Area Airport', 40.008399963399995, -91.3821029663, 635, 'US', 'US-IL', 'Quincy', 'no', '88IS', '', '88IS', ''),
	('C66', 'small_airport', 'Monmouth Municipal Airport', 40.929699, -90.631104, 753, 'US', 'US-IL', 'Monmouth', 'no', 'C66', '', 'C66', ''),
	('23MO', 'closed', 'Oerke Enterprises Airport', 38.218612, -94.49645, 770, 'US', 'US-MO', 'Butler', 'no', '', '', '', '23MO'),
	('3G8', 'small_airport', 'Gen-Airpark', 41.43980026245117, -90.11009979248047, 645, 'US', 'US-IL', 'Geneseo', 'no', '3G8', '', '3G8', ''),
	('6K2', 'small_airport', 'Shelby County Airport', 39.812599182128906, -92.05020141601563, 766, 'US', 'US-MO', 'Shelbyville', 'no', '6K2', '', '6K2', ''),
	('51IS', 'small_airport', 'Curry Airport', 39.65919876098633, -90.70010375976563, 620, 'US', 'US-IL', 'Griggsville', 'no', '51IS', '', '51IS', ''),
	('04IA', 'small_airport', 'Middlekoop Airport', 41.08829879760742, -92.05460357666016, 801, 'US', 'US-IA', 'Packwood', 'no', '04IA', '', '04IA', ''),
	('LL18', 'closed', 'Ernest E Orwig Airport', 41.097301, -90.452904, 790, 'US', 'US-IL', 'North Henderson', 'no', '', '', '', 'LL18'),
	('KHAE', 'small_airport', 'Hannibal Regional Airport', 39.724499, -91.443703, 769, 'US', 'US-MO', 'Hannibal', 'no', 'KHAE', '', 'HAE', ''),
	('9LL0', 'small_airport', 'Krutmeier Airport', 39.81999969482422, -91.22100067138672, 715, 'US', 'US-IL', 'Payson', 'no', '9LL0', '', '9LL0', ''),
	('3H5', 'small_airport', 'Erie Air Park', 41.679199, -90.078697, 600, 'US', 'US-IL', 'Erie', 'no', '3H5', '', '3H5', ''),
	('KCHT', 'small_airport', 'Chillicothe Municipal Airport', 39.78219985961914, -93.49569702148438, 783, 'US', 'US-MO', 'Chillicothe', 'no', 'KCHT', '', 'CHT', ''),
	('61MO', 'small_airport', 'Carl Ensor Airport', 39.54859924316406, -92.09880065917969, 740, 'US', 'US-MO', 'Grainville', 'no', '61MO', '', '61MO', ''),
	('KEOK', 'small_airport', 'Keokuk Municipal Airport', 40.459899902299995, -91.4284973145, 671, 'US', 'US-IA', 'Keokuk', 'no', 'KEOK', 'EOK', 'EOK', ''),
	('7MO', 'small_airport', 'Princeton-Kauffman Memorial Airport', 40.420799, -93.598801, 858, 'US', 'US-MO', 'Princeton', 'no', '7MO', '', '7MO', ''),
	('MU00', 'small_airport', 'Samuel L. Clemens Memorial Airport', 39.44449996948242, -91.95179748535156, 730, 'US', 'US-MO', 'Paris', 'no', 'MU00', '', 'MU00', ''),
	('0H7', 'small_airport', 'Kahoka Municipal Airport', 40.4216, -91.706299, 700, 'US', 'US-MO', 'Kahoka', 'no', '', '', '0H7', ''),
	('KWIT', 'N/A', 'N/A', 39.56695429980755, -90.61122134327888, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8C4', 'small_airport', 'Mathews Memorial Airport', 41.76340103149414, -91.15290069580078, 840, 'US', 'US-IA', 'Tipton', 'no', 'K8C4', '', '8C4', ''),
	('KMLI', 'medium_airport', 'Quad City International Airport', 41.448502, -90.5075, 590, 'US', 'US-IL', 'Moline', 'yes', 'KMLI', 'MLI', 'MLI', ''),
	('IA76', 'closed', 'Cobb Farm Airport', 40.7281, -93.3433, 1100, 'US', 'US-IA', 'Corydon', 'no', '', '', '', 'IA76'),
	('KMBY', 'small_airport', 'Omar N Bradley Airport', 39.464393, -92.428365, 867, 'US', 'US-MO', 'Moberly', 'no', 'KMBY', 'MBY', 'MBY', ''),
	('KWAW', 'N/A', 'N/A', 40.186247527599335, -91.31392747163773, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBRL', 'medium_airport', 'Southeast Iowa Regional Airport', 40.783199310302734, -91.12550354003906, 698, 'US', 'US-IA', 'Burlington', 'yes', 'KBRL', 'BRL', 'BRL', ''),
	('06K', 'N/A', 'N/A', 40.07502604275942, -91.78997084498405, 215, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDAQ', 'N/A', 'N/A', 40.249736085534096, -91.07298776507378, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MU38', 'small_airport', 'Bogard-Cowgill Airport', 40.1788804, -93.131678, 953, 'US', 'US-MO', 'Milan', 'no', 'MU38', '', 'MU38', 'Cowgill-Roemer Airport'),
	('IA28', 'closed', 'Sherman Airport', 42.062501, -91.687023, 860, 'US', 'US-IA', 'Hiawatha', 'no', '', '', '', 'IA28'),
	('3IA1', 'closed', 'Whites Airport', 41.9608, -93.119904, 1050, 'US', 'US-IA', 'Melbourne', 'no', '', '', '', '3IA1'),
	('KVIR', 'N/A', 'N/A', 40.10623421519995, -90.13055071234703, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMPZ', 'small_airport', 'Mount Pleasant Municipal Airport', 40.94660187, -91.51110077, 730, 'US', 'US-IA', 'Mount Pleasant', 'no', 'KMPZ', 'MPZ', 'MPZ', ''),
	('IA22', 'closed', 'Orr-Port Airport', 40.9384, -91.403503, 790, 'US', 'US-IA', 'New London', 'no', '', '', '', 'IA22'),
	('IL46', 'closed', 'Brooks Ranch Airport', 40.466702, -91.033501, 700, 'US', 'US-IL', 'Burnside', 'no', '', '', '', 'IL46'),
	('3K5', 'N/A', 'N/A', 39.71735782921314, -91.21142774820328, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IL86', 'small_airport', 'Krohe Airport', 39.93619918823242, -90.466796875, 450, 'US', 'US-IL', 'Beardstown', 'no', 'IL86', '', 'IL86', ''),
	('69IS', 'small_airport', 'Sinele''s Sunset Strip', 40.579498291015625, -91.29180145263672, 690, 'US', 'US-IL', 'Niota', 'no', '69IS', '', '69IS', ''),
	('IA24', 'small_airport', 'Green Castle Airport', 41.755001, -91.727699, 750, 'US', 'US-IA', 'Oxford', 'no', 'IA24', '', 'IA24', ''),
	('KMQB', 'small_airport', 'Macomb Municipal Airport', 40.520099639899996, -90.65239715579999, 707, 'US', 'US-IL', 'Macomb', 'no', 'KMQB', 'MQB', 'MQB', ''),
	('KFSW', 'small_airport', 'Fort Madison Municipal Airport', 40.659113, -91.327763, 724, 'US', 'US-IA', 'Fort Madison', 'no', 'KFSW', 'FMS', 'FSW', 'K27'),
	('6K9', 'small_airport', 'Keosauqua Municipal Airport', 40.733406, -91.949531, 580, 'US', 'US-IA', 'Keosauqua', 'no', 'K6K9', '', '6K9', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('IL84', 'small_airport', 'Douglas Airport', 40.57640075683594, -91.10289764404297, 650, 'US', 'US-IL', 'Colusa', 'no', 'IL84', '', 'IL84', ''),
	('5IA7', 'closed', 'Murphy Field Private Airport', 41.418853, -91.830769, 803, 'US', 'US-IA', 'Wellman', 'no', '', '', '', '5IA7'),
	('MO82', 'small_airport', 'Howard Airport', 40.40663, -92.055854, 740, 'US', 'US-MO', 'Gorin', 'no', 'MO82', '', 'MO82', ''),
	('IA63', 'small_airport', 'Edgren Airport', 41.25830078125, -92.55159759521484, 840, 'US', 'US-IA', 'Oskaloosa', 'no', 'IA63', '', 'IA63', ''),
	('KERE', 'N/A', 'N/A', 41.53928283601999, -90.06178423762321, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MO36', 'small_airport', 'Riddle''s Roost Airport', 38.832000732421875, -90.92510223388672, 650, 'US', 'US-MO', 'Foristell', 'no', 'MO36', '', 'MO36', ''),
	('K52', 'small_airport', 'Captain Ben Smith Airfield - Monroe City Airport', 39.634399, -91.726997, 737, 'US', 'US-MO', 'Monroe City', 'no', '', '', 'K52', 'Monroe City Regional'),
	('KMIW', 'small_airport', 'Marshalltown Municipal Airport', 42.112701, -92.917801, 974, 'US', 'US-IA', 'Marshalltown', 'no', 'KMIW', 'MIW', 'MIW', ''),
	('0MO5', 'small_airport', 'Joe D Lewis Airport', 40.133399963378906, -92.1001968383789, 780, 'US', 'US-MO', 'Edina', 'no', '0MO5', '', '0MO5', ''),
	('22IS', 'small_airport', 'Johnson Farm Airport', 40.726200103759766, -91.06990051269531, 535, 'US', 'US-IL', 'Carman', 'no', '22IS', '', '22IS', ''),
	('5IS9', 'small_airport', 'Mc Pherson Airport', 40.3306007385, -91.0501022339, 640, 'US', 'US-IL', 'Carthage', 'no', '5IS9', '', '5IS9', ''),
	('KJAK', 'N/A', 'N/A', 39.73383966833353, -90.07796287536621, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IS69', 'small_airport', 'Kloker Airport', 39.91889953613281, -90.51100158691406, 440, 'US', 'US-IL', 'Meredosia', 'no', 'IS69', '', 'IS69', ''),
	('28IA', 'closed', 'Pegtown Airport', 40.985806, -91.090667, 725, 'US', 'US-IA', 'Mediapolis', 'no', '', '', '', '28IA'),
	('KUIN', 'medium_airport', 'Quincy Regional Airport Baldwin Field', 39.942699, -91.194603, 768, 'US', 'US-IL', 'Quincy', 'yes', 'KUIN', 'UIN', 'UIN', ''),
	('4K6', 'small_airport', 'Bloomfield Municipal Airport', 40.732101, -92.428299, 888, 'US', 'US-IA', 'Bloomfield', 'no', 'K4K6', '', '4K6', ''),
	('4C8', 'small_airport', 'Albia Municipal Airport', 40.996128, -92.765594, 963, 'US', 'US-IA', 'Albia', 'no', 'K4C8', '', '4C8', ''),
	('KOXV', 'small_airport', 'Knoxville Municipal Airport', 41.298901, -93.1138, 928, 'US', 'US-IA', 'Knoxville', 'no', 'KOXV', '', 'OXV', ''),
	('KERA', 'N/A', 'N/A', 41.580772921442986, -90.09112805128098, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSFY', 'small_airport', 'Tri Township Airport', 42.045799, -90.107903, 616, 'US', 'US-IL', 'Savanna', 'no', 'KSFY', '', 'SFY', ''),
	('K97', 'N/A', 'N/A', 39.599403999745846, -90.83130285143852, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IA50', 'closed', 'Sigourney Airport', 41.290798, -92.188004, 697, 'US', 'US-IA', 'Sigourney', 'no', '', '', '', 'IA50'),
	('KTRX', 'small_airport', 'Trenton Municipal Airport', 40.0835, -93.590599, 758, 'US', 'US-MO', 'Trenton', 'no', 'KTRX', 'TRX', 'TRX', ''),
	('5MO1', 'small_airport', 'Irons Airport', 39.375979, -92.363949, 860, 'US', 'US-MO', 'Moberly', 'no', '5MO1', '', '5MO1', ''),
	('9I0', 'small_airport', 'Havana Regional Airport', 40.222725, -90.022781, 499, 'US', 'US-IL', 'Havana', 'no', 'K9I0', '', '9I0', ''),
	('IA61', 'closed', 'Estle Field', 41.07982, -91.946039, 800, 'US', 'US-IA', 'Fairfield', 'no', '', '', '', 'IA61'),
	('61IL', 'heliport', 'Memorial Hospital East Shiloh Heliport', 38.574236, -89.906827, 610, 'US', 'US-IL', 'Shiloh', 'no', '61IL', '', '61IL', ''),
	('7IA3', 'small_airport', 'Mc Bride Field', 42.0638999939, -91.6343002319, 881, 'US', 'US-IA', 'Marion', 'no', '7IA3', '', '7IA3', ''),
	('13IA', 'small_airport', 'Hillside Stables Airport', 42.04570007324219, -90.19110107421875, 760, 'US', 'US-IA', 'Sabula', 'no', '13IA', '', '13IA', ''),
	('IL54', 'small_airport', 'Richmond Airport', 40.344200134277344, -90.44280242919922, 680, 'US', 'US-IL', 'Table Grove', 'no', 'IL54', '', 'IL54', ''),
	('6IA6', 'closed', 'Leise Airport', 42.150002, -92.975197, 1000, 'US', 'US-IA', 'Albion', 'no', '', '', '', '6IA6'),
	('KASO', 'N/A', 'N/A', 40.23248814046383, -90.38129612803459, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDSM', 'medium_airport', 'Des Moines International Airport', 41.534, -93.663101, 958, 'US', 'US-IA', 'Des Moines', 'yes', 'KDSM', 'DSM', 'DSM', ''),
	('6Z6', 'small_airport', 'Nash Field Indianola Airport', 41.303902, -93.567703, 991, 'US', 'US-IA', 'Indianola', 'no', '', '', '6Z6', 'IA66'),
	('KKNN', 'N/A', 'N/A', 40.789481699466705, -90.25992214679718, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7C5', 'small_airport', 'Sig Field', 41.548301696777344, -92.53459930419922, 929, 'US', 'US-IA', 'Montezuma', 'no', '7C5', '', '7C5', ''),
	('MU03', 'closed', 'Leo''s Angus Ranch Airport', 38.480001, -94.197403, 900, 'US', 'US-MO', 'Dayton', 'no', '', '', '', 'MU03'),
	('IS66', 'small_airport', 'Rhea Restricted Landing Area', 40.59230041503906, -91.20149993896484, 684, 'US', 'US-IL', 'Pontoosuc', 'no', 'IS66', '', 'IS66', ''),
	('8IA2', 'small_airport', 'Port Paradise Farms Airport', 41.17390060424805, -91.36180114746094, 700, 'US', 'US-IA', 'Winfield', 'no', '8IA2', '', '8IA2', ''),
	('IA05', 'closed', 'Rathbun Lake Airport', 40.8517, -92.8585, 1200, 'US', 'US-IA', 'Centerville', 'no', '', '', '', 'IA05'),
	('KOTM', 'medium_airport', 'Ottumwa Regional Airport', 41.106368, -92.449837, 845, 'US', 'US-IA', 'Ottumwa', 'no', 'KOTM', 'OTM', 'OTM', ''),
	('KIOW', 'small_airport', 'Iowa City Municipal Airport', 41.639198303200004, -91.5465011597, 668, 'US', 'US-IA', 'Iowa City', 'no', 'KIOW', 'IOW', 'IOW', ''),
	('5K4', 'small_airport', 'Schuy-Rush Airport', 40.1175, -90.590401, 665, 'US', 'US-IL', 'Rushville', 'no', '5K4', '', '5K4', ''),
	('KGBG', 'small_airport', 'Galesburg Municipal Airport', 40.937999725299996, -90.431098938, 764, 'US', 'US-IL', 'Galesburg', 'no', 'KGBG', 'GBG', 'GBG', ''),
	('4H8', 'N/A', 'N/A', 40.09927857667208, -91.3073256611824, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9IL7', 'small_airport', 'Black Airport', 41.50979995727539, -90.18209838867188, 580, 'US', 'US-IL', 'Hillsdale', 'no', '9IL7', '', '9IL7', ''),
	('0IA4', 'small_airport', 'Sharar Field', 41.027897, -91.063442, 700, 'US', 'US-IA', 'Mediapolis', 'no', '0IA4', '', '0IA4', ''),
	('59IA', 'small_airport', 'Bellevue Farms Airport', 41.622344, -92.062401, 880, 'US', 'US-IA', 'Williamsburg', 'no', '59IA', '', '59IA', ''),
	('IL65', 'small_airport', 'M.A.M Trail Airport', 40.999001, -90.718001, 605, 'US', 'US-IL', 'Little York', 'no', 'IL65', '', 'IL65', ''),
	('K89', 'small_airport', 'Macon Fowler Memorial Airport', 39.728699, -92.4645, 874, 'US', 'US-MO', 'Macon', 'no', 'KK89', '', 'K89', ''),
	('7MO1', 'small_airport', 'Wood Acres Airport', 39.473129, -91.709034, 720, 'US', 'US-MO', 'Perry', 'no', '7MO1', '', '7MO1', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KMOS', 'N/A', 'N/A', 39.97036524116993, -90.88547274470329, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IA86', 'small_airport', 'Hedgewood Landing Airport', 41.266700744628906, -93.5093994140625, 990, 'US', 'US-IA', 'Indianola', 'no', 'IA86', '', 'IA86', ''),
	('C17', 'small_airport', 'Marion Airport', 42.031101, -91.529297, 862, 'US', 'US-IA', 'Marion', 'no', 'KC17', '', 'C17', ''),
	('MO83', 'small_airport', 'Widmark Airport', 40.25310134887695, -92.95490264892578, 1045, 'US', 'US-MO', 'Green City', 'no', 'MO83', '', 'MO83', ''),
	('95IS', 'small_airport', 'Jan Knipe Airport', 40.36941, -91.38863, 645, 'US', 'US-IL', 'Warsaw', 'no', '95IS', '', '95IS', ''),
	('4MO3', 'small_airport', 'Schneider Field', 39.991545, -92.494212, 939, 'US', 'US-MO', 'La Plata', 'no', '4MO3', '', '4MO3', ''),
	('KVIG', 'N/A', 'N/A', 40.10123759508133, -90.14853313565254, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1LL3', 'N/A', 'N/A', 39.8173076659441, -91.03480964899063, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4MO2', 'small_airport', 'Newcomb Hereford Ranch Airport', 40.55839920043945, -92.44190216064453, 850, 'US', 'US-MO', 'Lancaster', 'no', '4MO2', '', '4MO2', ''),
	('08IA', 'N/A', 'N/A', 41.41260176897049, -92.88356557488441, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9IS0', 'small_airport', 'Cedar Ridge Airport', 40.54309844970703, -91.33070373535156, 680, 'US', 'US-IL', 'Nauvoo', 'no', '9IS0', '', '9IS0', ''),
	('4IA2', 'small_airport', 'Walker Field', 41.585629, -91.219912, 715, 'US', 'US-IA', 'West Liberty', 'no', '4IA2', '', '4IA2', ''),
	('MO8', 'small_airport', 'North Central Missouri Regional Airport', 39.77000045776367, -93.01270294189453, 843, 'US', 'US-MO', 'Brookfield', 'no', 'KMO8', '', 'MO8', ''),
	('K43', 'small_airport', 'Unionville Municipal Airport', 40.540199, -93.025497, 1046, 'US', 'US-MO', 'Unionville', 'no', 'K43', '', 'K43', ''),
	('IL53', 'closed', 'Lung Restricted Landing Area', 40.461201, -91.073799, 617, 'US', 'US-IL', 'Carthage', 'no', '', '', '', 'IL53'),
	('KBUH', 'N/A', 'N/A', 40.66320430487394, -90.49271062016487, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6LL2', 'small_airport', 'Young Airport', 41.16450119018555, -90.55740356445313, 760, 'US', 'US-IL', 'Viola', 'no', '6LL2', '', '6LL2', ''),
	('8C0', 'N/A', 'N/A', 41.633056215941906, -93.204914778471, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IA66', 'small_airport', 'Nash Field Indianola Airport', 41.303902, -93.567703, 991, 'US', 'US-IA', 'Indianola', 'no', '', '', '6Z6', 'IA66'),
	('KCID', 'medium_airport', 'The Eastern Iowa Airport', 41.884701, -91.7108, 869, 'US', 'US-IA', 'Cedar Rapids', 'yes', 'KCID', 'CID', 'CID', 'Cedar Rapids Municipal'),
	('IA26', 'closed', 'Carter Field', 40.808399, -91.808502, 750, 'US', 'US-IA', 'Stockport', 'no', '', '', '', 'IA26'),
	('K06', 'small_airport', 'Greater Beardstown Airport', 39.9734, -90.403702, 465, 'US', 'US-IL', 'Beardstown', 'no', 'KK06', '', 'K06', ''),
	('87IS', 'closed', 'Seigfried Halfpap Airport', 39.8862, -91.320702, 550, 'US', 'US-IL', 'Quincy', 'no', '', '', '', '87IS'),
	('5LL6', 'N/A', 'N/A', 39.39656060189009, -90.71856379508972, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTZT', 'small_airport', 'Belle Plaine Municipal Airport', 41.87879943847656, -92.28459930419922, 771, 'US', 'US-IA', 'Belle Plaine', 'no', 'KTZT', '', 'TZT', ''),
	('23IS', 'small_airport', 'Clark Airport', 40.325682, -90.827633, 570, 'US', 'US-IL', 'Plymouth', 'no', '23IS', '', '23IS', ''),
	('4IA4', 'small_airport', 'Mccoy Airport', 40.818599700927734, -91.33889770507813, 715, 'US', 'US-IA', 'Danville', 'no', '4IA4', '', '4IA4', ''),
	('6MO8', 'small_airport', 'Brazeale Farm Airport', 39.4833984375, -92.06680297851563, 780, 'US', 'US-MO', 'Paris', 'no', '6MO8', '', '6MO8', ''),
	('6M6', 'small_airport', 'Lewis County Regional Airport', 40.12919998, -91.67829895, 675, 'US', 'US-MO', 'Monticello', 'no', 'K6M6', '', '6M6', ''),
	('MO11', 'small_airport', 'Barron Aviation Airport', 39.400327, -91.580832, 745, 'US', 'US-MO', 'Perry', 'no', 'MO11', '', 'MO11', ''),
	('IA16', 'small_airport', 'Picayune Airport', 41.70830154418945, -91.50019836425781, 800, 'US', 'US-IA', 'Iowa City', 'no', 'IA16', '', 'IA16', ''),
	('IS08', 'small_airport', 'Curless Airport', 40.263939, -90.23453, 620, 'US', 'US-IL', 'Astoria', 'no', 'IS08', '', 'IS08', ''),
	('IL52', 'small_airport', 'Williams Airport', 40.43920135498047, -91.14399719238281, 679, 'US', 'US-IL', 'Carthage', 'no', 'IL52', '', 'IL52', ''),
	('IL15', 'small_airport', 'Runyan Aviation Airport', 40.569400787353516, -90.54869842529297, 660, 'US', 'US-IL', 'Bushnell', 'no', 'IL15', '', 'IL15', ''),
	('KTVK', 'small_airport', 'Centerville Municipal Airport', 40.683899, -92.901001, 1023, 'US', 'US-IA', 'Centerville', 'no', 'KTVK', '', 'TVK', ''),
	('1MO7', 'closed', 'Hines Airport', 40.364183, -91.973861, 750, 'US', 'US-MO', 'Gorin', 'no', '', '', '', '1MO7'),
	('IS85', 'closed', 'Newton Airport', 39.504799, -90.505402, 625, 'US', 'US-IL', 'Patterson', 'no', '', '', '', 'IS85'),
	('C11', 'small_airport', 'Amana Airport', 41.794032, -91.864758, 712, 'US', 'US-IA', 'Amana', 'no', 'C11', '', 'C11', 'Hursh, KC11'),
	('03IA', 'closed', 'East Field', 41.581902, -92.461304, 954, 'US', 'US-IA', 'Montezuma', 'no', '', '', '', '03IA'),
	('KCTK', 'small_airport', 'Ingersoll Airport', 40.5690994263, -90.074798584, 684, 'US', 'US-IL', 'Canton', 'no', 'KCTK', '', 'CTK', ''),
	('C00', 'small_airport', 'Mercer County Airport', 41.2486, -90.737099, 740, 'US', 'US-IL', 'Aledo', 'no', 'KC00', '', 'C00', ''),
	('KNEF', 'N/A', 'N/A', 39.65881660580635, -91.4743173122406, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOOA', 'small_airport', 'Oskaloosa Municipal Airport', 41.2262, -92.493896, 841, 'US', 'US-IA', 'Cedar', 'no', 'KOOA', 'OOA', 'OOA', ''),
	('99IA', 'small_airport', 'Courtney''s Landing Airport', 41.21659851074219, -92.77799987792969, 835, 'US', 'US-IA', 'Eddyville', 'no', '99IA', '', '99IA', ''),
	('4IA8', 'closed', 'Weiss Airport', 41.647202, -91.959602, 850, 'US', 'US-IA', 'Williamsburg', 'no', '', '', '', '4IA8'),
	('KIRK', 'medium_airport', 'Kirksville Regional Airport', 40.09349822998047, -92.5448989868164, 966, 'US', 'US-MO', 'Kirksville', 'yes', 'KIRK', 'IRK', 'IRK', ''),
	('06IS', 'small_airport', 'Sinele Strip', 40.5463981628418, -91.27429962158203, 695, 'US', 'US-IL', 'Nauvoo', 'no', '06IS', '', '06IS', ''),
	('46IA', 'small_airport', 'Todd Field', 41.756928, -93.566723, 965, 'US', 'US-IA', 'Ankeny', 'no', '46IA', '', '46IA', 'Todd''s Flying Service'),
	('38IS', 'small_airport', 'Winchester Airport', 40.582000732421875, -91.3584976196289, 685, 'US', 'US-IL', 'Nauvoo', 'no', '38IS', '', '38IS', ''),
	('KIKV', 'small_airport', 'Ankeny Regional Airport', 41.691399, -93.566399, 910, 'US', 'US-IA', 'Ankeny', 'no', 'KIKV', '', 'IKV', ''),
	('KDAT', 'N/A', 'N/A', 40.29018010944128, -91.01968511939049, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('IL12', 'small_airport', 'Kinsey Airport', 39.880001, -90.465103, 455, 'US', 'US-IL', 'Arenzville', 'no', 'IL12', '', 'IL12', 'Kinsey RLA'),
	('KBAN', 'N/A', 'N/A', 39.674151465296745, -91.0781979560852, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0E9', 'small_airport', 'Corydon Airport', 40.754734, -93.242447, 1020, 'US', 'US-IA', 'Corydon', 'no', 'K0E9', '', '0E9', ''),
	('LL33', 'closed', 'RDH Farms Airport', 40.5797, -90.679703, 745, 'US', 'US-IL', 'Good Hope', 'no', '', '', '', 'LL33'),
	('KMOW', 'N/A', 'N/A', 40.95357824116945, -90.56189551949501, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LL27', 'small_airport', 'Smith Airport', 40.454200744628906, -90.62349700927734, 702, 'US', 'US-IL', 'Macomb', 'no', 'LL27', '', 'LL27', ''),
	('0IA6', 'closed', 'Rinehart Airport', 41.659698, -92.289902, 920, 'US', 'US-IA', 'Victor', 'no', '', '', '', '0IA6'),
	('KAWG', 'small_airport', 'Washington Municipal Airport', 41.276100158691406, -91.67340087890625, 754, 'US', 'US-IA', 'Washington', 'no', 'KAWG', '', 'AWG', ''),
	('7MO2', 'small_airport', 'Bevill Airport', 39.849998474121094, -91.7334976196289, 710, 'US', 'US-MO', 'Philadelphia', 'no', '7MO2', '', '7MO2', ''),
	('69LL', 'small_airport', 'Maas Airstrip', 41.288707, -91.050385, 534, 'US', 'US-IL', 'New Boston', 'no', '69LL', '', '69LL', ''),
	('KTNU', 'small_airport', 'Newton Municipal Airport', 41.6744, -93.021698, 953, 'US', 'US-IA', 'Newton', 'no', 'KTNU', 'TNU', 'TNU', 'Earl Johnson Field'),
	('6K1', 'N/A', 'N/A', 39.735785610973835, -92.94888988137245, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('06IA', 'small_airport', 'Rich Field', 41.841400146484375, -91.83429718017578, 880, 'US', 'US-IA', 'Walford', 'no', '06IA', '', '06IA', ''),
	('4MO6', 'small_airport', 'Mark Twain Air Park', 39.439485, -91.116199, 840, 'US', 'US-MO', 'Louisiana', 'no', '4MO6', '', '4MO6', ''),
	('KMUT', 'small_airport', 'Muscatine Municipal Airport', 41.367803, -91.148201, 547, 'US', 'US-IA', 'Muscatine', 'no', 'KMUT', 'MUT', 'MUT', ''),
	('KPEA', 'small_airport', 'Pella Municipal Airport', 41.40010070800781, -92.9458999633789, 885, 'US', 'US-IA', 'Pella', 'no', 'KPEA', '', 'PEA', ''),
	('MU06', 'heliport', 'V.A. Medical Center Heliport', 38.6423, -90.230698, 550, 'US', 'US-MO', 'St Louis', 'no', '', '', '', 'MU06'),
	('KNAN', 'N/A', 'N/A', 40.68486213684082, -90.95152392983437, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('03D', 'small_airport', 'Memphis Memorial Airport', 40.4473, -92.226997, 813, 'US', 'US-MO', 'Memphis', 'no', 'K03D', '', '03D', 'MO16'),
	('2IL3', 'small_airport', 'McNeal''s Field', 41.5159, -90.379601, 575, 'US', 'US-IL', 'East Moline', 'no', '2IL3', '', '2IL3', ''),
	('7IA1', 'small_airport', 'White Pigeon Airport', 41.493499755859375, -92.14820098876953, 875, 'US', 'US-IA', 'North English', 'no', '7IA1', '', '7IA1', ''),
	('62IA', 'small_airport', 'Lerchs Airport', 42.06669998168945, -91.3667984008789, 941, 'US', 'US-IA', 'Martelle', 'no', '62IA', '', '62IA', ''),
	('93MU', 'N/A', 'N/A', 39.7628353536129, -93.10522377490997, 242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KNAM', 'N/A', 'N/A', 40.73061894625425, -90.88931411504745, 215, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDVN', 'small_airport', 'Davenport Municipal Airport', 41.610432, -90.589693, 751, 'US', 'US-IA', 'Davenport', 'no', 'KDVN', 'DVN', 'DVN', ''),
	('0MU4', 'small_airport', 'Slaughter Airport', 39.6161003112793, -92.86689758300781, 800, 'US', 'US-MO', 'Marceline', 'no', '0MU4', '', '0MU4', ''),
	('2IS4', 'small_airport', 'Ritter Field', 41.337831, -91.013507, 552, 'US', 'US-IL', 'Illinois City', 'no', '2IS4', '', '2IS4', 'Carl Ritter Landing Strip'),
	('MO46', 'small_airport', 'Walker Airport', 39.520302, -91.171799, 510, 'US', 'US-MO', 'Louisiana', 'no', 'MO46', '', 'MO46', ''),
	('8C5', 'small_airport', 'Toledo Municipal Airport', 41.988612, -92.548002, 960, 'US', 'US-IA', 'Toledo', 'no', 'K8C5', '', '8C5', ''),
	('KPPQ', 'small_airport', 'Pittsfield Penstone Municipal Airport', 39.638901, -90.778397, 710, 'US', 'US-IL', 'Pittsfield', 'no', 'KPPQ', '', 'PPQ', ''),
	('4IL5', 'small_airport', 'Frank''s Flying Service Airport', 41.724989, -90.002639, 600, 'US', 'US-IL', 'Morrison', 'no', '4IL5', '', '4IL5', 'Trent Aerial Spraying'),
	('KOQW', 'small_airport', 'Maquoketa Municipal Airport', 42.050703, -90.739217, 769, 'US', 'US-IA', 'Maquoketa', 'no', 'KOQW', '', 'OQW', ''),
	('IA11', 'small_airport', 'Too Short Airport', 41.29389953613281, -93.66549682617188, 980, 'US', 'US-IA', 'Indianola', 'no', 'IA11', '', 'IA11', ''),
	('I63', 'small_airport', 'Mount Sterling Municipal Airport', 39.987499, -90.804199, 734, 'US', 'US-IL', 'Mount Sterling', 'no', 'KI63', '', 'I63', ''),
	('MO09', 'small_airport', 'Sharpe Farms Airport', 40.022784, -91.870962, 702, 'US', 'US-MO', 'Lewistown', 'no', 'MO09', '', 'MO09', ''),
	('IA27', 'small_airport', 'Antique Airfield', 40.977798, -92.5877, 890, 'US', 'US-IA', 'Blakesburg', 'no', 'IA27', '', 'IA27', ''),
	('IA65', 'closed', 'Donnellson Airport', 40.620899, -91.541801, 700, 'US', 'US-IA', 'Donnellson', 'no', '', '', '', 'IA65'),
	('80IS', 'closed', 'Martin Airport', 39.417155, -90.591443, 425, 'US', 'US-IL', 'Hillview', 'no', '', '', '', '80IS, 80IS, 80IS'),
	('KROD', 'N/A', 'N/A', 39.534428492188454, -90.22517412900925, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('60IL', 'small_airport', 'Beulah Land Farm Airport', 40.840373, -90.805306, 723, 'US', 'US-IL', 'Biggsville', 'no', '60IL', '', '60IL', ''),
	('0IA5', 'small_airport', 'Moore Private Airport', 40.87220001220703, -93.26270294189453, 1060, 'US', 'US-IA', 'Millerton', 'no', '0IA5', '', '0IA5', ''),
	('LL23', 'closed', 'Meyer Airport', 41.0172, -90.8778, 580, 'US', 'US-IL', 'Oquawka', 'no', '', '', '', 'LL23'),
	('8C2', 'small_airport', 'Sully Municipal Airport', 41.574100494384766, -92.84660339355469, 922, 'US', 'US-IA', 'Sully', 'no', '8C2', '', '8C2', ''),
	('15MO', 'small_airport', 'Applegate Airport', 40.391576, -92.564718, 999, 'US', 'US-MO', 'Queen City', 'no', '', '', '5MO', '15MO'),
	('KDAP', 'N/A', 'N/A', 40.15492804348469, -91.18309691548347, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KWIH', 'N/A', 'N/A', 39.55859553068876, -90.5483789741993, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('34IA', 'small_airport', 'Beck Airport', 40.997189, -93.155608, 1023, 'US', 'US-IA', 'Russell', 'no', '34IA', '', '34IA', ''),
	('KCNC', 'small_airport', 'Chariton Municipal Airport', 41.01959991455078, -93.35970306396484, 1050, 'US', 'US-IA', 'Chariton', 'no', 'KCNC', '', 'CNC', ''),
	('19IA', 'small_airport', 'Ancam Antique Airfield', 40.8568000793457, -91.20379638671875, 690, 'US', 'US-IA', 'West Burlington', 'no', '19IA', '', '19IA', ''),
	('IA77', 'closed', 'Keitzer Field', 41.026402, -91.1418, 755, 'US', 'US-IA', 'Mediapolis', 'no', '', '', '', 'IA77, IA77, IA77'),
	('39LL', 'small_airport', 'Sullivan Airport', 40.401389, -91.303056, 635, 'US', 'US-IL', 'Hamilton', 'no', '39LL', '', '39LL', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('IA85', 'small_airport', 'Tuinstra Airfield', 41.43510055541992, -93.54049682617188, 900, 'US', 'US-IA', 'Indianola', 'no', 'IA85', '', 'IA85', ''),
	('IA56', 'small_airport', 'Farrar Airport', 41.780452, -93.379735, 916, 'US', 'US-IA', 'Maxwell', 'no', 'IA56', '', 'IA56', ''),
	('KGGI', 'small_airport', 'Grinnell Regional Airport', 41.70991, -92.736052, 1008, 'US', 'US-IA', 'Grinnell', 'no', 'KGGI', '', 'GGI', ''),
	('5MO9', 'small_airport', 'Oak Ridge Farms Airport', 39.982498, -92.864403, 995, 'US', 'US-MO', 'New Boston', 'no', '5MO9', '', '5MO9', ''),
	('KDAU', 'N/A', 'N/A', 40.06086062639952, -91.03460401296616, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('53IA', 'small_airport', 'Tama Airport', 41.95000076293945, -92.57659912109375, 813, 'US', 'US-IA', 'Tama', 'no', '53IA', '', '53IA', ''),
	('5IA3', 'closed', 'Watkins Private Airport', 40.844138, -93.543606, 1095, 'US', 'US-IA', 'Humeston', 'no', '', '', '', '5IA3'),
	('KFFL', 'small_airport', 'Fairfield Municipal Airport', 41.053024, -91.980114, 799, 'US', 'US-IA', 'Fairfield', 'no', 'KFFL', 'FFL', 'FFL', ''),
	('0LL2', 'small_airport', 'Murk''s Strip', 40.738899231, -90.38069915770001, 700, 'US', 'US-IL', 'St. Augustine', 'no', '0LL2', '', '0LL2', ''),
	('KBAJ', 'N/A', 'N/A', 39.68949370086193, -91.03240862488747, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KAMW', 'small_airport', 'Ames Municipal Airport', 41.992001, -93.621803, 956, 'US', 'US-IA', 'Ames', 'no', 'KAMW', 'AMW', 'AMW', ''),
	('IS55', 'small_airport', 'Morton Airport', 40.59090042114258, -90.94239807128906, 705, 'US', 'US-IL', 'La Harpe', 'no', 'IS55', '', 'IS55', ''),
	('KHAL', 'N/A', 'N/A', 40.20026374608278, -91.23682290315628, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2C6', 'small_airport', 'Tri-County Airport', 40.773998, -90.074402, 661, 'US', 'US-IL', 'Yates City', 'no', '2C6', '', '2C6', ''),
	('0MO8', 'small_airport', 'Sloan''s Airport', 39.14059829711914, -90.73680114746094, 437, 'US', 'US-MO', 'Elsberry', 'no', '0MO8', '', '0MO8', ''),
	('MU70', 'small_airport', 'Skyview Airport', 36.99509811401367, -93.13880157470703, 1360, 'US', 'US-MO', 'Ozark', 'no', 'MU70', '', 'MU70', ''),
	('36MO', 'small_airport', 'Harrison Private Airport', 37.85279846191406, -91.64679718017578, 1050, 'US', 'US-MO', 'Rolla', 'no', '36MO', '', '36MO', ''),
	('MO01', 'small_airport', 'Cuinche Airport', 37.25, -93.10600280761719, 1475, 'US', 'US-MO', 'Strafford', 'no', 'MO01', '', 'MO01', ''),
	('KAOV', 'small_airport', 'Ava Bill Martin Memorial Airport', 36.971901, -92.6819, 1311, 'US', 'US-MO', 'Ava', 'no', 'KAOV', '', 'AOV', ''),
	('13MO', 'small_airport', 'Domeyer Airport', 37.67639923095703, -91.70649719238281, 1260, 'US', 'US-MO', 'Lenox', 'no', '13MO', '', '13MO', ''),
	('MO23', 'small_airport', 'Phillips Field', 38.640581, -92.529229, 820, 'US', 'US-MO', 'California', 'no', 'MO23', '', 'MO23', ''),
	('11MU', 'small_airport', 'Rocky Top Airfield', 36.657916, -92.465578, 1273, 'US', 'US-MO', 'Gainesville', 'no', '11MU', '', '11MU', ''),
	('4MO1', 'N/A', 'N/A', 39.01263892650604, -91.41947239637375, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MO66', 'small_airport', 'Linden Air Airport', 37.059167, -93.145556, 1280, 'US', 'US-MO', 'Ozark', 'no', 'MO66', '', 'MO66', ''),
	('KROR', 'N/A', 'N/A', 37.124720849096775, -93.09081226587296, 443, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSGF', 'medium_airport', 'Springfield Branson National Airport', 37.245701, -93.388603, 1268, 'US', 'US-MO', 'Springfield', 'yes', 'KSGF', 'SGF', 'SGF', ''),
	('26MO', 'closed', 'Taber Field', 36.614315, -92.785268, 985, 'US', 'US-MO', 'Theodosia', 'no', '', '', '', '26MO'),
	('MO02', 'small_airport', 'Morgan Airport', 37.91669845581055, -91.68350219726563, 1018, 'US', 'US-MO', 'Rolla', 'no', 'MO02', '', 'MO02', ''),
	('98MO', 'small_airport', 'Woodliff Airpark', 38.78620147705078, -90.94239807128906, 750, 'US', 'US-MO', 'Foristell', 'no', '98MO', '', '98MO', ''),
	('1H3', 'small_airport', 'State Technical College of Missouri Airport', 38.471583, -91.817293, 952, 'US', 'US-MO', 'Linn', 'no', 'K1H3', '', '1H3', ''),
	('KFTT', 'small_airport', 'Elton Hensley Memorial Airport', 38.83810043334961, -92.00260162353516, 886, 'US', 'US-MO', 'Fulton', 'no', 'KFTT', '', 'FTT', ''),
	('6MU9', 'small_airport', 'Craddock Field', 37.5348014831543, -91.96520233154297, 1199, 'US', 'US-MO', 'Licking', 'no', '6MU9', '', '6MU9', ''),
	('KUBX', 'small_airport', 'Cuba Municipal Airport', 38.06880187988281, -91.42890167236328, 1023, 'US', 'US-MO', 'Cuba', 'no', 'KUBX', '', 'UBX', ''),
	('X33', 'small_airport', 'Doniphan Municipal Airport', 36.693699, -90.784798, 635, 'US', 'US-MO', 'Doniphan', 'no', 'KX33', '', 'X33', ''),
	('K26', 'small_airport', 'Carrollton Memorial Airport', 39.3114013671875, -93.50659942626953, 670, 'US', 'US-MO', 'Carrollton', 'no', 'K26', '', 'K26', ''),
	('MO99', 'small_airport', 'Miller Airport', 38.117524, -93.073318, 1000, 'US', 'US-MO', 'Climax Springs', 'no', 'MO99', '', 'MO99', ''),
	('23MU', 'small_airport', 'Sean D Sheldon Memorial Airfield', 38.0186, -93.6931, 900, 'US', 'US-MO', 'Osceola', 'no', '23MU', '', '23MU', '3MO, Osceola Municipal Airport'),
	('LL20', 'closed', 'Smith Restricted Landing Area', 39.313099, -90.277802, 582, 'US', 'US-IL', 'Greenfield', 'no', '', '', '', 'LL20'),
	('MU68', 'small_airport', 'Eu-Wish Airport', 38.66889953613281, -91.53600311279297, 920, 'US', 'US-MO', 'Hermann', 'no', 'MU68', '', 'MU68', ''),
	('MO34', 'small_airport', 'Ellingsen Field', 37.35969924926758, -93.6624984741211, 1115, 'US', 'US-MO', 'Everton', 'no', 'MO34', '', 'MO34', ''),
	('KDMO', 'small_airport', 'Sedalia Memorial Airport', 38.70740127559999, -93.17590332030001, 909, 'US', 'US-MO', 'Sedalia', 'no', 'KDMO', 'DMO', 'DMO', ''),
	('IL18', 'closed', 'Crook Restricted Landing Area', 38.387001, -90.191803, 580, 'US', 'US-IL', 'Columbia', 'no', '', '', '', 'IL18'),
	('12MO', 'closed', 'Ferguson Farms Airport', 38.580601, -93.594704, 990, 'US', 'US-MO', 'Windsor', 'no', '', '', '', '12MO, 12MO, 12MO'),
	('7IS2', 'small_airport', 'Aero Estates Airport', 38.52450180053711, -90.05690002441406, 565, 'US', 'US-IL', 'Belleville', 'no', '7IS2', '', '7IS2', ''),
	('21MU', 'small_airport', 'The Peninsula Airport', 36.56489944458008, -93.50959777832031, 1015, 'US', 'US-MO', 'Shell Knob', 'no', '21MU', '', '21MU', ''),
	('03MO', 'closed', 'Cahoochie Airport', 37.884499, -93.131599, 1010, 'US', 'US-MO', 'Urbana', 'no', '', '', '', '03MO'),
	('LL77', 'small_airport', 'Herrens Bess Hollow Airfield', 39.305, -90.699722, 580, 'US', 'US-IL', 'Kampsville', 'no', 'LL77', '', 'LL77', ''),
	('97MO', 'small_airport', 'Gary''s Airport', 37.75669860839844, -93.01629638671875, 1200, 'US', 'US-MO', 'Buffalo', 'no', '97MO', '', '97MO', ''),
	('10MO', 'closed', 'Eckerts Airstrip', 38.914501, -91.704301, 839, 'US', 'US-MO', 'Williamsburg', 'no', '', '', '', '10MO'),
	('5MO7', 'closed', 'St. John''s Regional Medical Center Heliport', 37.061501, -94.531303, 1020, 'US', 'US-MO', 'Joplin', 'no', '', '', '', '5MO7'),
	('MO2', 'small_airport', 'Flying Bar H Ranch Airport', 37.175201, -93.128899, 1375, 'US', 'US-MO', 'Rogersville', 'no', 'KMO2', '', 'MO2', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KMYJ', 'small_airport', 'Mexico Memorial Airport', 39.157501, -91.818298, 823, 'US', 'US-MO', 'Mexico', 'no', 'KMYJ', '', 'MYJ', ''),
	('1MO6', 'small_airport', 'Double S Ranch Airport', 36.830141, -90.720677, 737, 'US', 'US-MO', 'Grandin', 'no', '1MO6', '', '1MO6', ''),
	('KPYN', 'small_airport', 'Piedmont Municipal Airport', 37.12670135498047, -90.71289825439453, 467, 'US', 'US-MO', 'Piedmont', 'no', 'KPYN', '', 'PYN', ''),
	('6MO2', 'small_airport', 'Sainte Genevieve Flying Club Airport', 37.98577, -90.04118, 380, 'US', 'US-MO', 'Sainte Genevieve', 'no', '6MO2', '', '6MO2', ''),
	('H58', 'small_airport', 'Owen Field', 37.18470001220703, -92.73760223388672, 1600, 'US', 'US-MO', 'Seymour', 'no', 'KH58', '', 'H58', ''),
	('MO39', 'small_airport', 'Baldwin Airport', 39.110958, -91.040446, 505, 'US', 'US-MO', 'Silex', 'no', 'MO39', '', 'MO39', ''),
	('KSET', 'small_airport', 'St Charles County Regional Airport/Smartt Field', 38.929699, -90.43, 437, 'US', 'US-MO', 'St Charles', 'no', 'KSET', '', 'SET', ''),
	('2MO1', 'small_airport', 'Bird Field', 37.31999969482422, -93.4198989868164, 1250, 'US', 'US-MO', 'Willard', 'no', '2MO1', '', '2MO1', ''),
	('78MO', 'small_airport', 'Staggs Airport', 39.995300292969, -91.689002990723, 660, 'US', 'US-MO', 'Ewing', 'no', '', '', '78MO', '78MO'),
	('MO74', 'small_airport', 'Cedar Creek Airport', 38.919443, -92.163676, 820, 'US', 'US-MO', 'Columbia', 'no', 'MO74', '', 'MO74', ''),
	('3SQ', 'N/A', 'N/A', 38.84678151458502, -90.50160214304924, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MO52', 'closed', 'Skyriders Airport', 37.873857, -93.386279, 900, 'US', 'US-MO', 'Wheatland', 'no', '', '', '', 'MO52'),
	('6MO7', 'small_airport', 'Riverside Landings Airport', 37.02920150756836, -93.16680145263672, 1280, 'US', 'US-MO', 'Ozark', 'no', '6MO7', '', '6MO7', ''),
	('IS82', 'closed', 'Arras Restricted Landing Area', 39.3381, -90.178101, 598, 'US', 'US-IL', 'Greenfield', 'no', '', '', '', 'IS82'),
	('K07', 'small_airport', 'Rolla Downtown Airport', 37.935699, -91.813499, 987, 'US', 'US-MO', 'Rolla', 'no', 'K07', 'RLA', 'K07', ''),
	('9K5', 'small_airport', 'Slater Memorial Airport', 39.22919845581055, -93.07240295410156, 860, 'US', 'US-MO', 'Slater', 'no', '9K5', '', '9K5', ''),
	('18MO', 'small_airport', 'Gimlin Airport', 36.96260070800781, -93.17070007324219, 1380, 'US', 'US-MO', 'Ozark', 'no', '18MO', '', '18MO', ''),
	('07MO', 'small_airport', 'Lake Sexton Airport', 38.655553, -93.624458, 880, 'US', 'US-MO', 'Warrensburg', 'no', '07MO', '', '07MO', ''),
	('KPOF', 'small_airport', 'Poplar Bluff Municipal Airport', 36.773899, -90.324898, 331, 'US', 'US-MO', 'Poplar Bluff', 'no', 'KPOF', 'POF', 'POF', ''),
	('MO43', 'small_airport', 'Wilkins Airport', 38.96849822998047, -91.44349670410156, 835, 'US', 'US-MO', 'Montgomery City', 'no', 'MO43', '', 'MO43', ''),
	('0R2', 'small_airport', 'Lincoln Municipal Airport', 38.4039, -93.333, 940, 'US', 'US-MO', 'Lincoln', 'no', '0R2', '', '0R2', ''),
	('MU65', 'small_airport', 'Lakeside Airport', 37.769500732421875, -90.4656982421875, 910, 'US', 'US-MO', 'Farmington', 'no', 'MU65', '', 'MU65', ''),
	('KVER', 'small_airport', 'Jesse Viertel Memorial Airport', 38.946701, -92.682701, 715, 'US', 'US-MO', 'Boonville', 'no', 'KVER', '', 'VER', ''),
	('8MO4', 'closed', 'Joan Lake Airport', 38.211539, -90.863644, 800, 'US', 'US-MO', 'Richwoods', 'no', '', '', '', '8MO4'),
	('3DW', 'small_airport', 'Downtown Airport', 37.222705, -93.248348, 1374, 'US', 'US-MO', 'Springfield', 'no', 'K3DW', '', '3DW', ''),
	('KALN', 'medium_airport', 'St Louis Regional Airport', 38.89030075069999, -90.0459976196, 544, 'US', 'US-IL', 'Alton/St Louis', 'no', 'KALN', 'ALN', 'ALN', 'Civic Memorial Airport'),
	('1MU0', 'small_airport', 'Medcalf Field', 37.164311, -93.564878, 1260, 'US', 'US-MO', 'Republic', 'no', '1MU0', '', '1MU0', ''),
	('MU83', 'N/A', 'N/A', 38.50544158369303, -91.24839708209038, 249, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2H2', 'small_airport', 'Jerry Sumners Sr Aurora Municipal Airport', 36.962299, -93.695297, 1434, 'US', 'US-MO', 'Aurora', 'no', 'K2H2', '', '2H2', ''),
	('22MO', 'small_airport', 'Belly Acres Ranch Airport', 37.261199951171875, -92.3667984008789, 1285, 'US', 'US-MO', 'Mountain Grove', 'no', '22MO', '', '22MO', ''),
	('6MU4', 'small_airport', 'Flying Shamrock Airport', 39.03779983520508, -91.72540283203125, 810, 'US', 'US-MO', 'Mexico', 'no', '6MU4', '', '6MU4', ''),
	('MO07', 'small_airport', 'Adventures Aloft Airport', 38.872501373291016, -91.30020141601563, 871, 'US', 'US-MO', 'Jonesburg', 'no', 'MO07', '', 'MO07', ''),
	('1MO2', 'closed', 'Hart Airport', 38.549055, -94.477487, 825, 'US', 'US-MO', 'Drexel', 'no', '', '', '', '1MO2'),
	('1H5', 'small_airport', 'Willow Springs Memorial Airport', 36.989601135253906, -91.9541015625, 1247, 'US', 'US-MO', 'Willow Springs', 'no', 'K1H5', '', '1H5', ''),
	('MO48', 'heliport', 'Mosaic Life Care Heliport', 39.771771, -94.772373, 923, 'US', 'US-MO', 'St. Joseph', 'no', 'MU43', '', 'MU43', 'MO48, Heartland Hospital East'),
	('8MO1', 'N/A', 'N/A', 36.73763316124678, -93.38180869817734, 421, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MO73', 'small_airport', 'Rolling Shoals Farm Airport', 36.989904, -90.563092, 450, 'US', 'US-MO', 'Williamsville', 'no', 'MO73', '', 'MO73', ''),
	('K15', 'small_airport', 'Grand Glaize Osage Beach Airport', 38.1105, -92.680496, 875, 'US', 'US-MO', 'Osage Beach', 'no', 'K15', 'OSB', 'K15', ''),
	('42MO', 'small_airport', 'Aire Parque Airport', 38.12310028076172, -90.38899993896484, 710, 'US', 'US-MO', 'Festus', 'no', '42MO', '', '42MO', ''),
	('2IL7', 'small_airport', 'Ben Emge Airport', 38.515301, -90.027901, 555, 'US', 'US-IL', 'Belleville', 'no', '2IL7', '', '2IL7', 'Dutchman'),
	('MU57', 'small_airport', 'Flib Field', 37.518574, -92.816926, 1418, 'US', 'US-MO', 'Conway', 'no', 'MU57', '', 'MU57', ''),
	('M48', 'small_airport', 'Houston Memorial Airport', 37.330101013183594, -91.97319793701172, 1196, 'US', 'US-MO', 'Houston', 'no', 'KM48', '', 'M48', ''),
	('1MU1', 'seaplane_base', 'Lake Taney Como Seaplane Base', 36.66669845581055, -93.154296875, 716, 'US', 'US-MO', 'Rockaway Beach', 'no', '1MU1', '', '1MU1', ''),
	('KGAH', 'N/A', 'N/A', 36.79890286177397, -93.42347905039787, 371, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0LL1', 'small_airport', 'Jerseyville Aviation Inc Airport', 39.094200134277344, -90.31340026855469, 604, 'US', 'US-IL', 'Jerseyville', 'no', '0LL1', '', '0LL1', ''),
	('KCPS', 'small_airport', 'St Louis Downtown Airport', 38.570701599100005, -90.1561965942, 413, 'US', 'US-IL', 'Cahokia/St Louis', 'no', 'KCPS', 'CPS', 'CPS', ''),
	('MO72', 'small_airport', 'Flying ''J'' Ranch Airport', 37.04029846191406, -90.8667984008789, 690, 'US', 'US-MO', 'Van Buren', 'no', 'MO72', '', 'MO72', ''),
	('KUNO', 'small_airport', 'West Plains Regional Airport', 36.878399, -91.902702, 1228, 'US', 'US-MO', 'Pomona', 'no', 'KUNO', '', 'UNO', ''),
	('MO08', 'small_airport', 'Homan Field', 38.66279983520508, -93.33270263671875, 885, 'US', 'US-MO', 'Sedalia', 'no', 'MO08', '', 'MO08', ''),
	('MU88', 'small_airport', 'Yarbro Field', 36.858356, -90.399869, 518, 'US', 'US-MO', 'Poplar Bluff', 'no', 'MU88', '', 'MU88', ''),
	('KGOF', 'N/A', 'N/A', 38.953819423913956, -90.1667645573616, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('11MO', 'small_airport', 'Redgate Ranch Airport', 38.90169906616211, -91.63520050048828, 820, 'US', 'US-MO', 'Williamsburg', 'no', '11MO', '', '11MO', ''),
	('KSTL', 'large_airport', 'St. Louis Lambert International Airport', 38.748697, -90.370003, 618, 'US', 'US-MO', 'St Louis', 'yes', 'KSTL', 'STL', 'STL', 'Lambert St Louis'),
	('IS60', 'closed', 'Nixon Airport', 39.15497, -90.12362, 610, 'US', 'US-IL', 'Medora', 'no', '', '', '', 'IS60, Nixon RLA'),
	('MO00', 'small_airport', 'Turkey Mountain Airport', 36.591696, -93.663887, 1000, 'US', 'US-MO', 'Shell Knob', 'no', 'MO00', '', 'MO00', 'Turkey Mountain Estates'),
	('KFAM', 'small_airport', 'Farmington Regional Airport', 37.761101, -90.428597, 946, 'US', 'US-MO', 'Farmington', 'no', 'KFAM', 'FAM', 'FAM', ''),
	('MO65', 'small_airport', 'Misty Meadows Airport', 36.58340072631836, -93.10299682617188, 940, 'US', 'US-MO', 'Kirbyville', 'no', 'MO65', '', 'MO65', ''),
	('MU11', 'small_airport', 'Eagle''s Landing Airport', 38.220886, -93.0127, 822, 'US', 'US-MO', 'Climax Springs', 'no', 'MU11', '', 'MU11', ''),
	('MO77', 'small_airport', 'Arnika Ranch Airport', 36.975101470947266, -92.5427017211914, 1320, 'US', 'US-MO', 'Ava', 'no', 'MO77', '', 'MO77', ''),
	('KRAW', 'small_airport', 'Warsaw Municipal Airport', 38.346901, -93.345398, 936, 'US', 'US-MO', 'Warsaw', 'no', 'KRAW', '', 'RAW', ''),
	('MU22', 'closed', 'Ky-3 Heliport', 37.183101, -93.303201, 1285, 'US', 'US-MO', 'Springfield', 'no', '', '', '', 'MU22'),
	('MO10', 'small_airport', 'Hawk Air Airport', 39.20429992675781, -92.26239776611328, 870, 'US', 'US-MO', 'Sturgeon', 'no', 'MO10', '', 'MO10', ''),
	('63M', 'small_airport', 'Hermann Municipal Airport', 38.7052, -91.490601, 507, 'US', 'US-MO', 'Hermann', 'no', '', '', '63M', 'MO86'),
	('MO5', 'small_airport', 'Bollinger-Crass Memorial Airport', 37.00699996948242, -91.0071029663086, 647, 'US', 'US-MO', 'Van Buren', 'no', 'MO5', '', 'MO5', ''),
	('KVIH', 'small_airport', 'Rolla National Airport', 38.127399, -91.769501, 1148, 'US', 'US-MO', 'Vichy', 'no', 'KVIH', 'VIH', 'VIH', ''),
	('M71', 'small_airport', 'Greensfield Airport', 38.901798248291016, -90.96029663085938, 549, 'US', 'US-MO', 'Moscow Mills', 'no', 'KM71', '', 'M71', ''),
	('24MO', 'small_airport', 'Mistwood Airport', 38.132717, -92.830718, 760, 'US', 'US-MO', 'Camdenton', 'no', '24MO', '', '24MO', ''),
	('79MO', 'small_airport', 'Faries Field', 36.986698, -90.543297, 450, 'US', 'US-MO', 'Williamsville', 'no', '79MO', '', '79MO', ''),
	('MU99', 'closed', 'Fabick-Colmarile Heliport', 38.525002, -90.453903, 530, 'US', 'US-MO', 'Fenton', 'no', '', '', '', 'MU99'),
	('01IS', 'small_airport', 'William E. Koenig Airport', 39.01620101928711, -90.31819915771484, 670, 'US', 'US-IL', 'Dow', 'no', '01IS', '', '01IS', ''),
	('KTVB', 'small_airport', 'Cabool Memorial Airport', 37.13240051269531, -92.08399963378906, 1220, 'US', 'US-MO', 'Cabool', 'no', 'KTVB', '', 'TVB', ''),
	('MO84', 'small_airport', 'Viburnum Airport', 37.719099, -91.127515, 1272, 'US', 'US-MO', 'Viburnum', 'no', 'MO84', '', 'MO84', ''),
	('04MO', 'closed', 'Airpark Private Airport', 39.301201, -91.4515, 767, 'US', 'US-MO', 'Vandalia', 'no', '', '', '', '04MO'),
	('KFES', 'closed', 'Festus Memorial Airport', 38.194901, -90.385399, 433, 'US', 'US-MO', 'Festus', 'no', '', '', '', 'KFES, FES'),
	('71MO', 'small_airport', 'Famuliner Farms Airport', 39.29199981689453, -93.38410186767578, 655, 'US', 'US-MO', 'Wakenda', 'no', '71MO', '', '71MO', ''),
	('85MO', 'closed', 'Willhite Airport', 37.875, -92.322403, 1022, 'US', 'US-MO', 'Swedeborg', 'no', '', '', '', '85MO'),
	('1MO', 'small_airport', 'Mountain Grove Memorial Airport', 37.12070083618164, -92.31120300292969, 1476, 'US', 'US-MO', 'Mountain Grove', 'no', 'K1MO', '', '1MO', ''),
	('MO64', 'small_airport', 'Kimberling Airport', 36.609798431396484, -93.4446029663086, 1050, 'US', 'US-MO', 'Kimberling City', 'no', 'MO64', '', 'MO64', ''),
	('MU12', 'closed', 'Childress Airstrip', 37.138957, -93.217543, 1400, 'US', 'US-MO', 'Springfield', 'no', '', '', '', 'MU12'),
	('96MU', 'small_airport', 'Green Airfield', 37.94340133666992, -91.60209655761719, 1068, 'US', 'US-MO', 'St. James', 'no', '96MU', '', '96MU', ''),
	('KMNF', 'small_airport', 'Mountain View Airport', 36.992802, -91.7145, 1181, 'US', 'US-MO', 'Mountain View', 'no', 'KMNF', '', 'MNF', ''),
	('88MO', 'small_airport', 'Howell Valley Airport', 36.705837, -91.803441, 950, 'US', 'US-MO', 'West Plains', 'no', '88MO', '', '88MO', ''),
	('KMHL', 'small_airport', 'Marshall Memorial Municipal Airport', 39.0957984924, -93.20290374759999, 779, 'US', 'US-MO', 'Marshall', 'no', 'KMHL', 'MHL', 'MHL', ''),
	('7IS9', 'small_airport', 'King Airport', 38.47639846801758, -90.23619842529297, 407, 'US', 'US-IL', 'Columbia', 'no', '7IS9', '', '7IS9', ''),
	('KPLK', 'small_airport', 'M. Graham Clark Downtown Airport', 36.62590027, -93.22889709, 940, 'US', 'US-MO', 'Branson / Hollister', 'no', 'KPLK', 'PLK', 'PLK', 'M. Graham Clark Field, Taney County Airport'),
	('6MO0', 'small_airport', 'Blackhawk Airport', 38.95560073852539, -90.8147964477539, 584, 'US', 'US-MO', 'Old Monroe', 'no', '6MO0', '', '6MO0', ''),
	('91LS', 'small_airport', 'Duclos RLA Restricted Landing Area', 38.208900451699996, -90.03720092770001, 520, 'US', 'US-IL', 'Red Bud', 'no', '91LS', '', '91LS', ''),
	('16MO', 'small_airport', 'Findley Field', 38.405601501464844, -91.15740203857422, 755, 'US', 'US-MO', 'Beaufort', 'no', '16MO', '', '16MO', ''),
	('MU32', 'small_airport', 'Sugar Branch Airport', 38.951575, -92.447923, 700, 'US', 'US-MO', 'Columbia', 'no', 'MU32', '', 'MU32', ''),
	('74MU', 'small_airport', 'Koala-T-Field Airport', 39.0400009155, -91.13040161130002, 690, 'US', 'US-MO', 'Hawk Point', 'no', '74MU', '', '74MU', ''),
	('H57', 'small_airport', 'Bismarck Memorial Airport', 37.758793, -90.616832, 1038, 'US', 'US-MO', 'Bismarck', 'no', 'KH57', '', 'H57', ''),
	('KSUS', 'medium_airport', 'Spirit of St Louis Airport', 38.662102, -90.652, 463, 'US', 'US-MO', 'St Louis', 'no', 'KSUS', 'SUS', 'SUS', ''),
	('2MO5', 'closed', 'Pegasus Ranch Aerodrome', 37.382, -92.210701, 1430, 'US', 'US-MO', 'Houston', 'no', '', '', '', '2MO5'),
	('27LL', 'small_airport', 'Ralph Jacobs Airport', 38.375099182128906, -90.31929779052734, 400, 'US', 'US-IL', 'Valmeyer', 'no', '27LL', '', '27LL', ''),
	('MU48', 'small_airport', 'Sunburst Ranch Airport', 36.648399353027344, -92.22039794921875, 820, 'US', 'US-MO', 'Gainesville', 'no', 'MU48', '', 'MU48', ''),
	('MO89', 'closed', 'Bar-Vik Airport', 38.174198, -92.858498, 930, 'US', 'US-MO', 'Laurie', 'no', '', '', '', 'MO89'),
	('MU19', 'closed', 'Cherokee Airpark', 37.54962, -93.399784, 1150, 'US', 'US-MO', 'Bolivar', 'no', '', '', '', 'MU19'),
	('MO35', 'small_airport', 'Harvey Airport', 39.212799072265625, -90.91739654541016, 710, 'US', 'US-MO', 'Eolia', 'no', 'MO35', '', 'MO35', ''),
	('KJEF', 'small_airport', 'Jefferson City Memorial Airport', 38.5912017822, -92.15609741210001, 549, 'US', 'US-MO', 'Jefferson City', 'no', 'KJEF', 'JEF', 'JEF', ''),
	('LL49', 'small_airport', 'Raymond Restricted Landing Area', 39.062198638916016, -90.27220153808594, 658, 'US', 'US-IL', 'Jerseyville', 'no', 'LL49', '', 'LL49', ''),
	('30MO', 'small_airport', 'Matzie Airport', 37.64590072631836, -92.49459838867188, 1129, 'US', 'US-MO', 'Lebanon', 'no', '30MO', '', '30MO', ''),
	('66MO', 'small_airport', 'Ahlers Acres Airport', 38.832000732421875, -90.95120239257813, 660, 'US', 'US-MO', 'Foristell', 'no', '66MO', '', '66MO', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MO88', 'closed', 'Feutz Airport', 39.097093, -92.008762, 890, 'US', 'US-MO', 'Hatton', 'no', '', '', '', 'MO88'),
	('67MO', 'small_airport', 'Ski Harbor Airport', 37.8109016418457, -93.36990356445313, 906, 'US', 'US-MO', 'Pittsburg', 'no', '67MO', '', '67MO', ''),
	('0MU0', 'small_airport', 'Eagle Field', 37.23469924926758, -91.09359741210938, 784, 'US', 'US-MO', 'Ellington', 'no', '0MU0', '', '0MU0', ''),
	('KSZL', 'medium_airport', 'Whiteman Air Force Base', 38.730301, -93.547897, 870, 'US', 'US-MO', 'Knob Noster', 'no', 'KSZL', 'SZL', 'SZL', 'Sedalia Glider Base'),
	('MO1', 'small_airport', 'Richland Municipal Airport', 37.875, -92.408501, 1110, 'US', 'US-MO', 'Richland', 'no', 'KMO1', '', 'MO1', ''),
	('95MO', 'closed', 'Schlemmer Airport', 39.259499, -91.6502, 780, 'US', 'US-MO', 'Laddonia', 'no', '', '', '', '95MO'),
	('H49', 'small_airport', 'Sackman Field', 38.450599670410156, -90.23590087890625, 420, 'US', 'US-IL', 'Columbia', 'no', 'H49', '', 'H49', ''),
	('19T', 'seaplane_base', 'Tan Tar A Resort Seaplane Base', 38.12596, -92.71642, 659, 'US', 'US-MO', 'Osage Beach', 'no', '', '', '19T', ''),
	('MO30', 'small_airport', 'Harbour Airport', 38.269901, -92.8115, 823, 'US', 'US-MO', 'Gravois Mills', 'no', 'MO30', '', 'MO30', '7L7'),
	('MU02', 'small_airport', 'C.E.F. Airport', 38.80979919433594, -91.10350036621094, 638, 'US', 'US-MO', 'Warrenton', 'no', 'MU02', '', 'MU02', ''),
	('1IL4', 'small_airport', 'Flight Park Inc Airport', 38.418701, -90.131203, 631, 'US', 'US-IL', 'Millstadt', 'no', '1IL4', '', '1IL4', 'Heitman Aerdrome, Riebeling Airport'),
	('1MO8', 'small_airport', 'Sherlock Field', 38.25279998779297, -92.8030014038086, 800, 'US', 'US-MO', 'Gravois Mills', 'no', '1MO8', '', '1MO8', ''),
	('M17', 'small_airport', 'Bolivar Municipal Airport', 37.5961, -93.347702, 1092, 'US', 'US-MO', 'Bolivar', 'no', 'KM17', '', 'M17', ''),
	('KTBN', 'medium_airport', 'Waynesville-St. Robert Regional Airport-Forney Field', 37.7416, -92.140701, 1159, 'US', 'US-MO', 'Fort Leonard Wood', 'yes', 'KTBN', 'TBN', 'TBN', ''),
	('KCOU', 'medium_airport', 'Columbia Regional Airport', 38.8181, -92.219597, 889, 'US', 'US-MO', 'Columbia', 'yes', 'KCOU', 'COU', 'COU', ''),
	('9MO5', 'small_airport', 'Wakefield Wings Airport', 37.061199, -93.099297, 1380, 'US', 'US-MO', 'Sparta', 'no', '9MO5', '', '9MO5', 'Hindman'),
	('72MO', 'small_airport', 'Sunnys Field Airport', 38.425983, -91.245396, 755, 'US', 'US-MO', 'Leslie', 'no', '72MO', '', '72MO', ''),
	('MU89', 'small_airport', 'Woodland Airstrip', 38.911999, -91.035698, 625, 'US', 'US-MO', 'Troy', 'no', 'MU89', '', 'MU89', ''),
	('H88', 'small_airport', 'A Paul Vance Fredericktown Regional Airport', 37.605801, -90.2873, 880, 'US', 'US-MO', 'Fredericktown', 'no', '', '', 'H88', ''),
	('0LL3', 'small_airport', 'Koenig Airport', 39.05500030517578, -90.34210205078125, 614, 'US', 'US-IL', 'Jerseyville', 'no', '0LL3', '', '0LL3', ''),
	('17MO', 'small_airport', 'Rgl Field', 38.98500061035156, -91.53489685058594, 825, 'US', 'US-MO', 'Montgomery City', 'no', '17MO', '', '17MO', ''),
	('55MO', 'small_airport', 'Tightsqueeze Field', 38.87229919433594, -91.26020050048828, 820, 'US', 'US-MO', 'Jonesburg', 'no', '55MO', '', '55MO', ''),
	('H27', 'small_airport', 'Gainesville Memorial Airport', 36.61259841918945, -92.39990234375, 1070, 'US', 'US-MO', 'Gainesville', 'no', 'H27', '', 'H27', ''),
	('2MO7', 'small_airport', 'Fawn Lake Airport', 38.873926, -91.089879, 750, 'US', 'US-MO', 'Warrenton', 'no', '2MO7', '', '2MO7', ''),
	('03B', 'small_airport', 'Mansfield Municipal Airport', 37.126834, -92.621594, 1500, 'US', 'US-MO', 'Mansfield', 'no', 'K03B', '', '03B', 'MO14'),
	('H17', 'small_airport', 'Buffalo Municipal Airport', 37.654202, -93.0877, 1154, 'US', 'US-MO', 'Buffalo', 'no', 'KH17', '', 'H17', ''),
	('MU77', 'small_airport', 'Aero Britton Airport', 39.1292, -92.730698, 820, 'US', 'US-MO', 'Fayette', 'no', 'MU77', '', 'MU77', ''),
	('41MO', 'closed', 'Textor Airport', 37.363187, -93.497, 1140, 'US', 'US-MO', 'Willard', 'no', '', '', '', '41MO'),
	('MU63', 'small_airport', 'Blumenstetter Airport', 37.435001373291016, -93.06680297851563, 1327, 'US', 'US-MO', 'Elkland', 'no', 'MU63', '', 'MU63', ''),
	('MO03', 'small_airport', 'Moders Airport', 38.424198150634766, -90.58290100097656, 465, 'US', 'US-MO', 'House Springs', 'no', 'MO03', '', 'MO03', ''),
	('09MO', 'small_airport', 'Hogue Farm Airport', 37.37839889526367, -93.36329650878906, 1210, 'US', 'US-MO', 'Willard', 'no', '09MO', '', '09MO', ''),
	('MU25', 'small_airport', 'Piney Bend Airport', 37.437801361083984, -91.94930267333984, 950, 'US', 'US-MO', 'Houston', 'no', 'MU25', '', 'MU25', ''),
	('MU24', 'small_airport', 'Someday Ranch Airport', 36.57170104980469, -93.03679656982422, 812, 'US', 'US-MO', 'Cedarcreek', 'no', 'MU24', '', 'MU24', ''),
	('MO79', 'small_airport', 'Sky Ranch II Airport', 37.679285, -90.714624, 1049, 'US', 'US-MO', 'Belleview', 'no', '5MU9', '', '5MU9', 'MO79, Ironton'),
	('MU14', 'small_airport', 'Pepper Field', 38.299363, -91.689781, 1043, 'US', 'US-MO', 'Belle', 'no', 'MU14', '', 'MU14', ''),
	('MO31', 'small_airport', 'Malina Airport', 37.04949951171875, -93.07240295410156, 1350, 'US', 'US-MO', 'Rogersville', 'no', 'MO31', '', 'MO31', ''),
	('9MO6', 'small_airport', 'Ivy Bend Airport', 38.19309997558594, -92.99240112304688, 690, 'US', 'US-MO', 'Stover', 'no', '9MO6', '', '9MO6', ''),
	('75U', 'seaplane_base', 'Harry S Truman Dam & Reservoir Seaplane Base', 38.21670150756836, -93.41690063476563, 706, 'US', 'US-MO', 'Warsaw', 'no', '75U', '', '75U', ''),
	('3MO2', 'small_airport', 'Ultra Flight Airpark', 38.685021, -91.338214, 502, 'US', 'US-MO', 'Berger', 'no', '3MO2', '', '3MO2', ''),
	('KAIZ', 'small_airport', 'Lee C Fine Memorial Airport', 38.0960006714, -92.54949951170002, 869, 'US', 'US-MO', 'Kaiser Lake Ozark', 'no', 'KAIZ', 'AIZ', 'AIZ', ''),
	('3VS', 'small_airport', 'Roy Otten Memorial Airfield', 38.427799224854, -92.875198364258, 1030, 'US', 'US-MO', 'Versailles', 'no', '3VS', 'VRS', '3VS', ''),
	('1H0', 'small_airport', 'Creve Coeur Airport', 38.726799, -90.508301, 463, 'US', 'US-MO', 'St Louis', 'no', '1H0', '', '1H0', ''),
	('8WC', 'small_airport', 'Washington County Airport', 37.929199, -90.731499, 959, 'US', 'US-MO', 'Potosi', 'no', 'K8WC', '', '8WC', ''),
	('2MU9', 'small_airport', 'Monroe Field', 38.965599060058594, -91.11810302734375, 710, 'US', 'US-MO', 'Hawk Point', 'no', '2MU9', '', '2MU9', ''),
	('MO14', 'small_airport', 'Marshall Field', 37.422778, -93.208611, 1166, 'US', 'US-MO', 'Fair Grove', 'no', 'MO14', '', 'MO14', ''),
	('69MO', 'small_airport', 'Hess-McKeown Airport', 39.308399, -92.454102, 885, 'US', 'US-MO', 'Higbee', 'no', '69MO', '', '69MO', ''),
	('54MO', 'closed', 'Ozark''s Flying Patch Airport', 37.001401, -92.940497, 1530, 'US', 'US-MO', 'Sparta', 'no', '', '', '', '54MO'),
	('K39', 'N/A', 'N/A', 38.375655859708786, -90.97213625907898, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KFYG', 'N/A', 'N/A', 38.58758322894573, -90.99380537867546, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6MO3', 'small_airport', 'Flying ''E'' Airport', 37.34920120239258, -92.12830352783203, 1510, 'US', 'US-MO', 'Houston', 'no', '6MO3', '', '6MO3', ''),
	('KCHG', 'N/A', 'N/A', 38.70165456086397, -90.58029145002365, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('0MU9', 'small_airport', 'RPM Airport', 37.337894, -93.164084, 1282, 'US', 'US-MO', 'Fair Grove', 'no', '0MU9', '', '0MU9', ''),
	('KLBO', 'small_airport', 'Floyd W. Jones Lebanon Airport', 37.6483, -92.652397, 1321, 'US', 'US-MO', 'Lebanon', 'no', 'KLBO', '', 'LBO', ''),
	('KOZS', 'N/A', 'N/A', 37.972722351551056, -92.69045814871788, 320, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KUUV', 'small_airport', 'Sullivan Regional Airport', 38.233501, -91.164299, 933, 'US', 'US-MO', 'Sullivan', 'no', 'KUUV', '', 'UUV', ''),
	('2K2', 'small_airport', 'Air Park South Airport', 37.059502, -93.234299, 1336, 'US', 'US-MO', 'Ozark', 'no', '2K2', '', '2K2', ''),
	('K33', 'small_airport', 'Salem Memorial Airport', 37.6152, -91.604401, 1241, 'US', 'US-MO', 'Salem', 'no', 'KK33', '', 'K33', ''),
	('73MU', 'small_airport', 'Sky-Go Farms Airport', 38.884566, -91.970003, 878, 'US', 'US-MO', 'Fulton', 'no', '73MU', '', '73MU', ''),
	('H19', 'small_airport', 'Bowling Green Municipal Airport', 39.36989974975586, -91.21929931640625, 886, 'US', 'US-MO', 'Bowling Green', 'no', 'KH19', '', 'H19', ''),
	('MO15', 'closed', 'Beckner Field', 37.387501, -92.957397, 1285, 'US', 'US-MO', 'Marshfield', 'no', '', '', '', 'MO15'),
	('H79', 'small_airport', 'Eldon Model Airpark', 38.360599517822266, -92.57160186767578, 909, 'US', 'US-MO', 'Eldon', 'no', 'KH79', '', 'H79', ''),
	('45MO', 'small_airport', 'Waldmeister Farm Airport', 38.848967, -90.639098, 424, 'US', 'US-MO', 'St Peters', 'no', '45MO', '', '45MO', ''),
	('94MO', 'closed', 'Ray''s Roost Airport', 36.805848, -91.883114, 1170, 'US', 'US-MO', 'West Plains', 'no', '', '', '', '94MO'),
	('02MO', 'small_airport', 'Troy Airpark', 39.04999923706055, -91.03350067138672, 650, 'US', 'US-MO', 'Troy', 'no', '02MO', '', '02MO', ''),
	('MU23', 'small_airport', 'White Cloud Flying Field', 39.030736, -92.393303, 600, 'US', 'US-MO', 'Columbia', 'no', 'MU23', '', 'MU23', ''),
	('KHRC', 'N/A', 'N/A', 39.29478585720062, -90.16052260994911, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MO80', 'small_airport', 'Oak Ridge Airpark', 37.160598, -92.323501, 1482, 'US', 'US-MO', 'Mountain Grove', 'no', 'MO80', '', 'MO80', 'Johnston''s Nest Aerodrome'),
	('02K', 'N/A', 'N/A', 38.69659323245287, -90.52018314599991, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHIG', 'small_airport', 'Higginsville Industrial Municipal Airport', 39.07289886, -93.67749786, 840, 'US', 'US-MO', 'Higginsville', 'no', 'KHIG', '', 'HIG', ''),
	('MO81', 'small_airport', 'Dove Airstrip', 37.668401, -90.611829, 1080, 'US', 'US-MO', 'Bismarck', 'no', 'MO81', '', 'MO81', ''),
	('KFWB', 'N/A', 'N/A', 36.69850006699562, -93.40224981307983, 402, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHRB', 'N/A', 'N/A', 39.37193959951401, -90.0595423579216, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1BT', 'small_airport', 'Bonne Terre Municipal Airport', 37.919055, -90.57525, 922, 'US', 'US-MO', 'Bonne Terre', 'no', 'K1BT', '', '1BT', ''),
	('KGLY', 'small_airport', 'Clinton Memorial Airport', 38.35660171508789, -93.68419647216797, 822, 'US', 'US-MO', 'Clinton', 'no', 'KGLY', '', 'GLY', ''),
	('MU78', 'small_airport', 'Taylor Field', 37.847964, -92.188933, 1022, 'US', 'US-MO', 'Waynesville', 'no', 'MU78', '', 'MU78', ''),
	('KENA', 'N/A', 'N/A', 34.425949193537235, -91.82729914784431, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KNER', 'N/A', 'N/A', 35.46527501195669, -91.36252462863922, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1AR9', 'small_airport', 'Country Air Estates Airport', 34.816149, -91.995769, 250, 'US', 'US-AR', 'Lonoke', 'no', '1AR9', '', '1AR9', ''),
	('KCKM', 'small_airport', 'Fletcher Field', 34.2997016907, -90.512298584, 173, 'US', 'US-MS', 'Clarksdale', 'no', 'KCKM', 'CKM', 'CKM', ''),
	('KJBR', 'medium_airport', 'Jonesboro Municipal Airport', 35.83169937133789, -90.64640045166016, 262, 'US', 'US-AR', 'Jonesboro', 'yes', 'KJBR', 'JBR', 'JBR', ''),
	('47AR', 'closed', 'Mabry Field Ultralight', 36.043217, -91.945192, 550, 'US', 'US-AR', 'Melbourne', 'no', '', '', '', '47AR'),
	('KPBF', 'medium_airport', 'Pine Bluff Regional Airport, Grider Field', 34.174121, -91.935643, 206, 'US', 'US-AR', 'Pine Bluff', 'no', 'KPBF', 'PBF', 'PBF', ''),
	('17AR', 'small_airport', 'Bredlow Farm Airport', 34.5531005859375, -92.09140014648438, 236, 'US', 'US-AR', 'England', 'no', '17AR', '', '17AR', ''),
	('28AR', 'small_airport', 'Henley Aerodrome', 35.83330154418945, -91.43329620361328, 377, 'US', 'US-AR', 'Charlotte', 'no', '28AR', '', '28AR', ''),
	('63AR', 'small_airport', 'Stokes Airport', 35.246592, -90.461518, 212, 'US', 'US-AR', 'Earle', 'no', '63AR', '', '63AR', 'McNeely, McNeeley, Mc Neely, Mc Neeley'),
	('30M', 'small_airport', 'Ralph M Sharpe Airport', 34.6589, -90.3763, 195, 'US', 'US-MS', 'Tunica', 'no', '30M', '', '30M', 'Tunica Air Service'),
	('MS41', 'small_airport', 'Flying Y Service Airport', 34.00304, -90.425949, 149, 'US', 'US-MS', 'Tutwiler', 'no', 'MS41', '', 'MS41', 'Williams'),
	('2A2', 'small_airport', 'Holley Mountain Airpark', 35.650699615478516, -92.40380096435547, 1269, 'US', 'US-AR', 'Clinton', 'no', 'K2A2', '', '2A2', ''),
	('KCCA', 'small_airport', 'Clinton Municipal Airport', 35.597801, -92.451599, 514, 'US', 'US-AR', 'Clinton', 'no', 'KCCA', '', 'CCA', '4M4'),
	('KARG', 'small_airport', 'Walnut Ridge Regional Airport', 36.124667, -90.925111, 279, 'US', 'US-AR', 'Walnut Ridge', 'no', 'KARG', 'ARG', 'ARG', ''),
	('9AR1', 'small_airport', 'Catlett Farms Airport', 34.933266, -93.517234, 466, 'US', 'US-AR', 'Briggsville', 'no', '9AR1', '', '9AR1', ''),
	('M78', 'small_airport', 'Malvern Municipal Airport', 34.33330154418945, -92.7614974975586, 538, 'US', 'US-AR', 'Malvern', 'no', 'KM78', '', 'M78', ''),
	('0AR7', 'closed', 'Yancopin Airport', 33.94899, -91.175141, 150, 'US', 'US-AR', 'Watson', 'no', '', '', '', '0AR7'),
	('1AR2', 'small_airport', 'Taylor Airstrip', 34.98680114746094, -91.55030059814453, 208, 'US', 'US-AR', 'Des Arc', 'no', '1AR2', '', '1AR2', ''),
	('5M8', 'small_airport', 'Gurdon Lowe Field', 33.92390060424805, -93.168701171875, 229, 'US', 'US-AR', 'Gurdon', 'no', 'K5M8', '', '5M8', ''),
	('AR81', 'small_airport', 'Katheryn''s Landing Airport', 34.16230010986328, -92.60379791259766, 250, 'US', 'US-AR', 'Leola', 'no', 'AR81', '', 'AR81', ''),
	('KSGT', 'small_airport', 'Stuttgart Municipal Airport / Carl Humphrey Field', 34.599499, -91.574997, 224, 'US', 'US-AR', 'Stuttgart', 'no', 'KSGT', 'SGT', 'SGT', 'Stuttgart AAF'),
	('KORK', 'small_airport', 'North Little Rock Municipal Airport', 34.83309937, -92.25409698, 545, 'US', 'US-AR', 'North Little Rock', 'no', 'KORK', '', 'ORK', '1M1'),
	('KAWM', 'small_airport', 'West Memphis Municipal Airport', 35.1351013184, -90.2343978882, 212, 'US', 'US-AR', 'West Memphis', 'no', 'KAWM', 'AWM', 'AWM', ''),
	('KNAG', 'N/A', 'N/A', 34.577418230473995, -92.30052351951599, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KGRX', 'N/A', 'N/A', 36.29376009106636, -93.2873971760273, 342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7M3', 'small_airport', 'Mount Ida-Bearce Airport', 34.529081, -93.529379, 644, 'US', 'US-AR', 'Mount Ida', 'no', '', '', '7M3', 'Mount Ida Municipal');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('6M7', 'small_airport', 'Marianna/Lee County Airport Steve Edwards Field', 34.7803, -90.8106, 219, 'US', 'US-AR', 'Marianna', 'no', '6M7', '', '6M7', ''),
	('AR05', 'small_airport', 'John Harris Field', 35.21590042114258, -93.30490112304688, 1770, 'US', 'US-AR', 'Chickala', 'no', 'AR05', '', 'AR05', ''),
	('2AR2', 'small_airport', 'Davidson Field', 36.015201568603516, -91.79660034179688, 835, 'US', 'US-AR', 'Sage', 'no', '2AR2', '', '2AR2', ''),
	('26AR', 'small_airport', 'Fly "N" K Airport', 35.2154998779, -91.807800293, 400, 'US', 'US-AR', 'Searcy', 'no', '26AR', '', '26AR', ''),
	('21AR', 'small_airport', 'Skarda / Tollville Airport', 34.717021, -91.539776, 218, 'US', 'US-AR', 'De Valls Bluff', 'no', '21AR', '', '21AR', 'Skarda Flying Service Inc'),
	('MO32', 'small_airport', 'Table Rock Airport', 36.52870178222656, -93.6769027709961, 1053, 'US', 'US-MO', 'Golden', 'no', 'MO32', '', 'MO32', ''),
	('94AR', 'small_airport', 'Galloway Farms Airport', 35.156381, -91.331883, 195, 'US', 'US-AR', 'Gregory', 'no', '94AR', '', '94AR', 'Broadview Aviation'),
	('7M8', 'small_airport', 'Rector Airport', 36.250099, -90.319504, 281, 'US', 'US-AR', 'Rector', 'no', '7M8', '', '7M8', ''),
	('41AR', 'small_airport', 'Ashworth Airport', 34.12329864501953, -93.34970092773438, 501, 'US', 'US-AR', 'Arkadelphia', 'no', '41AR', '', '41AR', ''),
	('6M2', 'small_airport', 'Horseshoe Bend Airport', 36.22140121459961, -91.75550079345703, 782, 'US', 'US-AR', 'Horseshoe Bend', 'no', 'K6M2', '', '6M2', ''),
	('KAUU', 'N/A', 'N/A', 35.31667593866587, -91.46619245409966, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('23AR', 'small_airport', 'Classic Airstrip', 35.825968, -90.548773, 260, 'US', 'US-AR', 'Jonesboro', 'no', '23AR', '', '23AR', ''),
	('M73', 'small_airport', 'Almyra Municipal Airport', 34.4123, -91.466301, 211, 'US', 'US-AR', 'Almyra', 'no', 'M73', '', 'M73', ''),
	('4M9', 'small_airport', 'Corning Municipal Airport', 36.404202, -90.647903, 293, 'US', 'US-AR', 'Corning', 'no', '4M9', '', '4M9', ''),
	('12AR', 'small_airport', 'Gibbons Airport', 34.515387, -90.97352, 178, 'US', 'US-AR', 'Marvell', 'no', '12AR', '', '12AR', 'Andy Riddell Flying'),
	('M74', 'small_airport', 'Bald Knob Municipal Airport', 35.3004, -91.557602, 212, 'US', 'US-AR', 'Bald Knob', 'no', 'KM74', '', 'M74', ''),
	('5AR2', 'small_airport', 'Turrell Flying Service Airport', 35.374658, -90.198185, 226, 'US', 'US-AR', 'Turrell', 'no', '5AR2', '', '5AR2', ''),
	('AR25', 'small_airport', 'Vilonia Airport', 35.11869812011719, -92.18930053710938, 590, 'US', 'US-AR', 'Vilonia', 'no', 'AR25', '', 'AR25', ''),
	('AR88', 'small_airport', 'Poe''s Airport', 35.0547981262207, -92.35399627685547, 295, 'US', 'US-AR', 'Conway', 'no', 'AR88', '', 'AR88', ''),
	('10AR', 'closed', 'Huntsville Memorial Hospital Heliport', 36.094002, -93.742401, 1495, 'US', 'US-AR', 'Huntsville', 'no', '', '', '', '10AR'),
	('KAUT', 'N/A', 'N/A', 35.27566630393267, -91.34113445878029, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBVX', 'small_airport', 'Batesville Regional Airport', 35.7262, -91.647301, 465, 'US', 'US-AR', 'Batesville', 'no', 'KBVX', 'BVX', 'BVX', ''),
	('KSRC', 'small_airport', 'Searcy Municipal Airport', 35.210602, -91.737503, 265, 'US', 'US-AR', 'Searcy', 'no', 'KSRC', 'SRC', 'SRC', ''),
	('3AR0', 'small_airport', 'Frost Flying Inc Airport', 34.821512, -90.846521, 240, 'US', 'US-AR', 'Marianna', 'no', '3AR0', '', '3AR0', ''),
	('3M0', 'small_airport', 'Gastons Airport', 36.348701, -92.557098, 479, 'US', 'US-AR', 'Lakeview', 'no', '3M0', '', '3M0', ''),
	('KTUU', 'N/A', 'N/A', 35.7999499887228, -91.03040903806686, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9AR9', 'small_airport', 'Henry Field', 34.887389, -91.989486, 250, 'US', 'US-AR', 'Cabot', 'no', '', '', '', '9AR9'),
	('AR28', 'closed', 'Odom Field', 34.938931, -92.024747, 280, 'US', 'US-AR', 'Cabot', 'no', '', '', '', 'AR28'),
	('KBAS', 'N/A', 'N/A', 34.284289330244064, -90.09616613388062, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('73AR', 'small_airport', 'Dogwood Airport', 35.052948, -92.053904, 280, 'US', 'US-AR', 'Austin', 'no', '73AR', '', '73AR', ''),
	('5M1', 'small_airport', 'De Witt Municipal Airport Whitcomb Field', 34.262299, -91.307503, 190, 'US', 'US-AR', 'De Witt', 'no', '', '', '5M1', ''),
	('17A', 'small_airport', 'Trigger Gap Airport', 36.327777, -93.621944, 1630, 'US', 'US-AR', 'Norfork', 'no', '', '', '17A', ''),
	('KSUZ', 'medium_airport', 'Saline County Regional Airport', 34.590599, -92.479401, 390, 'US', 'US-AR', 'Bryant', 'no', 'KSUZ', '', 'SUZ', 'M99, Watts Field'),
	('02AR', 'closed', 'Three Rivers Airport', 34.822445, -92.44442, 264, 'US', 'US-AR', 'Little Rock', 'no', '', '', '', '02AR'),
	('AR82', 'small_airport', 'Gillespie Strip', 34.171199798583984, -92.69599914550781, 492, 'US', 'US-AR', 'Leola', 'no', 'AR82', '', 'AR82', ''),
	('09M', 'small_airport', 'Charleston Municipal Airport', 33.991501, -90.078621, 175, 'US', 'US-MS', 'Charleston', 'no', '', '', '09M', ''),
	('33AR', 'small_airport', 'Skypoint Estates Airport', 35.602199554399995, -92.1425018311, 547, 'US', 'US-AR', 'Greers Ferry', 'no', '33AR', '', '33AR', ''),
	('0AR3', 'closed', 'Taylor''s Air Strip', 35.898998, -93.261001, 2160, 'US', 'US-AR', 'Deer', 'no', '', '', '', '0AR3'),
	('KPGR', 'small_airport', 'Kirk Field', 36.06290054, -90.50779724, 290, 'US', 'US-AR', 'Paragould', 'no', 'KPGR', 'PGR', 'PGR', 'Paragould Municipal'),
	('2TN4', 'small_airport', 'Shoemaker-Shelby Forest Airport', 35.31809997558594, -90.0353012084961, 335, 'US', 'US-TN', 'Millington', 'no', '2TN4', '', '2TN4', ''),
	('KSTY', 'N/A', 'N/A', 33.95677484571934, -91.77365630865097, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('52AR', 'small_airport', 'Ira''s Airstrip', 35.279235, -92.240943, 590, 'US', 'US-AR', 'Greenbrier', 'no', '52AR', '', '52AR', ''),
	('0AR1', 'closed', 'Hooterville South Airport', 35.0947, -93.202003, 370, 'US', 'US-AR', 'Centerville', 'no', '', '', '', '0AR1'),
	('AR43', 'small_airport', 'Brickey Private Airport', 35.097628, -92.779082, 320, 'US', 'US-AR', 'Oppelo', 'no', 'AR43', '', 'AR43', ''),
	('MO04', 'closed', 'Lyell Airport', 39.708056, -91.854387, 769, 'US', 'US-MO', 'Hunnewell', 'no', '', '', '', 'MO04'),
	('KCVK', 'small_airport', 'Sharp County Regional Airport', 36.26490021, -91.56259918, 716, 'US', 'US-AR', 'Ash Flat', 'no', 'KCVK', 'CKK', 'CVK', 'Cherokee Village'),
	('4AR1', 'small_airport', 'Shurley Field Airport', 35.0411, -92.10008, 430, 'US', 'US-AR', 'Cabot', 'no', '4AR1', '', '4AR1', ''),
	('7M7', 'small_airport', 'Piggott Municipal Airport', 36.37820053100586, -90.16619873046875, 275, 'US', 'US-AR', 'Piggott', 'no', '7M7', '', '7M7', ''),
	('AR10', 'small_airport', 'Greenwalt Company Airport', 34.80670166015625, -91.6082992553711, 232, 'US', 'US-AR', 'Hazen', 'no', 'AR10', '', 'AR10', ''),
	('AR26', 'N/A', 'N/A', 35.77532898634672, -90.6180489063263, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3AR6', 'small_airport', 'Crystal Ridge Airport', 34.728493, -92.516985, 500, 'US', 'US-AR', 'Little Rock', 'no', '3AR6', '', '3AR6', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('2A6', 'small_airport', 'Holly Grove Municipal Airport', 34.582401, -91.165199, 176, 'US', 'US-AR', 'Holly Grove', 'no', '2A6', '', '2A6', ''),
	('KMMS', 'small_airport', 'Selfs Airport', 34.231499, -90.289597, 162, 'US', 'US-MS', 'Marks', 'no', 'KMMS', 'MMS', 'MMS', ''),
	('AR34', 'small_airport', 'Pine Village Airport', 34.981998443603516, -92.44519805908203, 610, 'US', 'US-AR', 'Mayflower', 'no', 'AR34', '', 'AR34', ''),
	('KHRO', 'medium_airport', 'Boone County Airport', 36.26150131225586, -93.15470123291016, 1365, 'US', 'US-AR', 'Harrison', 'yes', 'KHRO', 'HRO', 'HRO', ''),
	('AR06', 'small_airport', 'Cantrell Farms Airport', 35.23249816894531, -92.34329986572266, 325, 'US', 'US-AR', 'Conway', 'no', 'AR06', '', 'AR06', ''),
	('0AR2', 'small_airport', 'Mission Field-Marotti Memorial Airport', 35.18853, -90.30359, 217, 'US', 'US-AR', 'Crawfordsville', 'no', '0AR2', '', '0AR2', ''),
	('02CD', 'small_airport', 'Shannon Field', 34.129600524902344, -90.52400207519531, 165, 'US', 'US-MS', 'Clarksdale', 'no', '02CD', '', '02CD', ''),
	('1AR3', 'closed', 'Bob Norman Airstrip', 34.973202, -91.526001, 208, 'US', 'US-AR', 'Des Arc', 'no', '', '', '', '1AR3'),
	('AR55', 'small_airport', 'R.V. Stewart Field', 34.73979949951172, -92.09010314941406, 251, 'US', 'US-AR', 'North Little Rock', 'no', 'AR55', '', 'AR55', ''),
	('0M0', 'small_airport', 'Billy Free Municipal Airport', 33.8848, -91.5345, 163, 'US', 'US-AR', 'Dumas', 'no', '', '', '0M0', ''),
	('37M', 'small_airport', 'Hornersville Memorial Airport', 36.04169845581055, -90.15010070800781, 248, 'US', 'US-MO', 'Hornersville', 'no', '37M', '', '37M', ''),
	('KKEE', 'N/A', 'N/A', 35.216347239911556, -91.64772659540176, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5AR3', 'closed', 'Wabbaseka Flying Service Airport', 34.348804, -91.788583, 200, 'US', 'US-AR', 'Wabbaseka', 'no', '', '', '', '5AR3'),
	('JAMI', 'small_airport', 'Jamies Airport', 35.520465, -90.729075, 283, 'US', 'US-AR', 'Harrisburg', 'no', '', '', '', ''),
	('1AR0', 'small_airport', 'Breckenridge Airport', 35.401013, -91.129231, 221, 'US', 'US-AR', 'McCrory', 'no', '1AR0', '', '1AR0', 'K37'),
	('KHOT', 'medium_airport', 'Memorial Field Airport', 34.4788, -93.096262, 540, 'US', 'US-AR', 'Hot Springs', 'yes', 'KHOT', 'HOT', 'HOT', ''),
	('AR83', 'small_airport', 'Heard Airport', 34.17620086669922, -92.70099639892578, 500, 'US', 'US-AR', 'Leola', 'no', 'AR83', '', 'AR83', ''),
	('KMAV', 'N/A', 'N/A', 34.71461992710829, -90.91410532593727, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('M01', 'small_airport', 'General Dewitt Spain Airport', 35.200699, -90.054001, 225, 'US', 'US-TN', 'Memphis', 'no', 'KM01', '', 'M01', ''),
	('6AR2', 'closed', 'A J''s Airport', 35.020401, -93.064903, 370, 'US', 'US-AR', 'Casa', 'no', '', '', '', '6AR2'),
	('KLIT', 'medium_airport', 'Bill & Hillary Clinton National Airport/Adams Field', 34.729582, -92.223728, 262, 'US', 'US-AR', 'Little Rock', 'yes', 'KLIT', 'LIT', 'LIT', ''),
	('35AR', 'closed', 'Black Horse Landing Ultralightport', 36.3564, -93.686302, 1207, 'US', 'US-AR', 'Eureka Springs', 'no', '', '', '', '35AR'),
	('3AR8', 'small_airport', 'River Acres Airport', 35.472329, -91.96302, 260, 'US', 'US-AR', 'Heber Springs', 'no', '3AR8', '', '3AR8', ''),
	('M60', 'small_airport', 'Woodruff County Airport', 35.2719, -91.269699, 200, 'US', 'US-AR', 'Augusta', 'no', 'KM60', '', 'M60', ''),
	('6AR0', 'small_airport', 'Cypress Creek Airpark', 35.060511, -92.116113, 270, 'US', 'US-AR', 'Vilonia', 'no', '6AR0', '', '6AR0', 'Edwards Sailplane Ranch, Gliderport'),
	('KBRR', 'N/A', 'N/A', 34.989761263132095, -91.25718086957932, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('45AR', 'small_airport', 'Thunder Ridge Ranch', 36.3671989441, -92.64019775390001, 789, 'US', 'US-AR', 'Flippin', 'no', '45AR', '', '45AR', ''),
	('H35', 'small_airport', 'Clarksville Municipal Airport', 35.470699, -93.4272, 481, 'US', 'US-AR', 'Clarksville', 'no', 'KH35', '', 'H35', ''),
	('06AR', 'small_airport', 'Bondair Airport', 35.544498443603516, -92.18489837646484, 499, 'US', 'US-AR', 'Higden', 'no', '06AR', '', '06AR', ''),
	('KMPJ', 'small_airport', 'Petit Jean Park Airport', 35.138901, -92.909202, 923, 'US', 'US-AR', 'Morrilton', 'no', 'KMPJ', 'MPJ', 'MPJ', ''),
	('2AR0', 'small_airport', 'Bully Henry Airport', 34.868099212646484, -91.97429656982422, 245, 'US', 'US-AR', 'Lonoke', 'no', '2AR0', '', '2AR0', ''),
	('16AR', 'small_airport', 'Heifer Creek Ranch Airport', 35.30110168457031, -92.57330322265625, 730, 'US', 'US-AR', 'Springfield', 'no', '16AR', '', '16AR', ''),
	('AR93', 'small_airport', 'Ark-Mo Airport', 36.48613, -90.27755, 308, 'US', 'US-AR', 'Pollard', 'no', 'AR93', '', 'AR93', ''),
	('5AR7', 'small_airport', 'Keller Airfield', 35.68669891357422, -90.7936019897461, 249, 'US', 'US-AR', 'Weiner', 'no', '5AR7', '', '5AR7', ''),
	('9AR4', 'small_airport', 'Tango 7 Airport', 34.523092, -92.167655, 233, 'US', 'US-AR', 'Woodson', 'no', '9AR4', '', '9AR4', ''),
	('12XS', 'small_airport', 'Mc Croskey Field', 34.954448, -91.837991, 253, 'US', 'US-AR', 'Butlerville', 'no', '12XS', '', '12XS', ''),
	('JOEY', 'small_airport', 'Joeys Field', 35.398481, -91.348208, 206, 'US', 'US-AR', 'Bradford', 'no', '', '', '', ''),
	('4M3', 'small_airport', 'Carlisle Municipal Airport', 34.808201, -91.712097, 241, 'US', 'US-AR', 'Carlisle', 'no', 'K4M3', '', '4M3', ''),
	('7M9', 'small_airport', 'Salem Airport', 36.35695, -91.830443, 787, 'US', 'US-AR', 'Salem', 'no', '', '', '7M9', ''),
	('KRUE', 'small_airport', 'Russellville Regional Airport', 35.259102, -93.0933, 404, 'US', 'US-AR', 'Russellville', 'no', 'KRUE', '', 'RUE', 'M06'),
	('6M8', 'small_airport', 'Marked Tree Municipal Airport', 35.532941, -90.400137, 219, 'US', 'US-AR', 'Marked Tree', 'no', 'K6M8', '', '6M8', ''),
	('KNEO', 'N/A', 'N/A', 35.54971966892481, -91.33299350738525, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('25AR', 'closed', 'Reeves Private Airport', 35.930599, -91.746, 600, 'US', 'US-AR', 'Mount Pleasant', 'no', '', '', '', '25AR'),
	('3AR2', 'small_airport', 'Ridgeway Field', 36.321487, -93.202236, 1400, 'US', 'US-AR', 'Harrison', 'no', '3AR2', '', '3AR2', ''),
	('51AR', 'small_airport', 'Byrd''s Backcountry Airstrip', 35.67766, -93.731468, 800, 'US', 'US-AR', 'Ozark', 'no', '', '', '51AR', ''),
	('20AR', 'small_airport', 'Rak Airport', 35.30789948, -92.32019806, 660, 'US', 'US-AR', 'Guy', 'no', '20AR', '', '20AR', ''),
	('7AR2', 'small_airport', 'Verser''s Landing Airport', 35.5572013855, -92.1321029663, 610, 'US', 'US-AR', 'Greers Ferry', 'no', '7AR2', '', '7AR2', ''),
	('7AR0', 'small_airport', 'Hammer Field Airport', 36.4245, -93.6936, 1600, 'US', 'US-AR', 'Eureka Springs', 'no', '7AR0', '', '7AR0', ''),
	('MO56', 'small_airport', 'Lost Mine Airport', 36.514198303222656, -92.64019775390625, 820, 'US', 'US-MO', 'Theodosia', 'no', 'MO56', '', 'MO56', ''),
	('AR56', 'small_airport', 'Amos Airport', 35.61022, -91.436249, 240, 'US', 'US-AR', 'Oil Trough', 'no', 'AR56', '', 'AR56', ''),
	('36AR', 'small_airport', 'David Stanley Memorial Airport', 35.20640182495117, -91.31890106201172, 200, 'US', 'US-AR', 'Gregory', 'no', '36AR', '', '36AR', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('7M4', 'small_airport', 'Osceola Municipal Airport', 35.691101, -90.010101, 234, 'US', 'US-AR', 'Osceola', 'no', 'K7M4', '', '7M4', ''),
	('MS09', 'small_airport', 'Glidwell Flying Service Airport', 34.09639, -90.70412, 160, 'US', 'US-MS', 'Clarksdale', 'no', 'MS09', '', 'MS09', 'Alligator, Planters Air Service'),
	('AR98', 'closed', 'Johnson Field', 35.2645, -91.189003, 208, 'US', 'US-AR', 'McCrory', 'no', '', '', '', 'AR98'),
	('KKEN', 'N/A', 'N/A', 35.16060959547758, -91.5331806242466, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8AR1', 'small_airport', 'Totty Field Airport', 36.4893989563, -92.6421966553, 780, 'US', 'US-AR', 'Oakland', 'no', '8AR1', '', '8AR1', ''),
	('4AR5', 'small_airport', 'Lawrence Field', 35.371502, -90.754243, 284, 'US', 'US-AR', 'Cherry Valley', 'no', '4AR5', '', '4AR5', 'Memphis Soaring Society'),
	('7M2', 'small_airport', 'Mountain View Wilcox Memorial Field', 35.864498, -92.090302, 805, 'US', 'US-AR', 'Mountain View', 'no', 'K7M2', '', '7M2', ''),
	('KADF', 'N/A', 'N/A', 34.099805653095245, -93.06608319282532, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MU98', 'small_airport', 'Eagles Nest Airport', 36.5180556, -93.6836111, 1000, 'US', 'US-MO', 'Eagle Rock', 'no', 'MU98', '', 'MU98', ''),
	('KMCR', 'N/A', 'N/A', 35.41200332343578, -91.23132035136223, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('79AR', 'small_airport', 'Franke Field', 34.852901, -92.048203, 263, 'US', 'US-AR', 'Jacksonville', 'no', '79AR', '', '79AR', 'Perrys Airport'),
	('6AR5', 'closed', 'Mc Donald''s Airstrip', 36.034698, -91.370796, 375, 'US', 'US-AR', 'Calamine', 'no', '', '', '', '6AR5'),
	('KCWS', 'closed', 'Dennis F Cantrell Field', 35.080799, -92.425003, 316, 'US', 'US-AR', 'Conway', 'no', '', '', '', 'KCWS, CWS, M03'),
	('15AR', 'small_airport', 'Taylor Airport', 34.827378, -90.545297, 220, 'US', 'US-AR', 'Brickeys', 'no', '15AR', '', '15AR', 'Dawson''s Airport'),
	('MS03', 'small_airport', 'Christmas Airport', 33.924641, -90.788944, 153, 'US', 'US-MS', 'Shelby', 'no', 'MS03', '', 'MS03', ''),
	('02MS', 'small_airport', 'Watts Field', 34.095701, -90.846131, 153, 'US', 'US-MS', 'Rochdale', 'no', '02MS', '', '02MS', ''),
	('KRNV', 'small_airport', 'Cleveland Municipal Airport', 33.761101, -90.757896, 139, 'US', 'US-MS', 'Cleveland', 'no', 'KRNV', '', 'RNV', ''),
	('M19', 'small_airport', 'Newport Regional Airport', 35.637699, -91.176397, 239, 'US', 'US-AR', 'Newport', 'no', '', '', 'M19', 'Newport Municipal'),
	('KSHB', 'N/A', 'N/A', 33.99221956729889, -90.92890754342079, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4A5', 'small_airport', 'Searcy County Airport', 35.896999, -92.658997, 963, 'US', 'US-AR', 'Marshall', 'no', 'K4A5', '', '4A5', ''),
	('24AR', 'small_airport', 'Griffin Agricultural Airport', 34.201022, -90.952267, 200, 'US', 'US-AR', 'Lundell', 'no', '24AR', '', '24AR', ''),
	('AR50', 'closed', 'Hess Strip', 35.25552, -90.97781, 180, 'US', 'US-AR', 'Wynne', 'no', '', '', '', 'AR50'),
	('4AR2', 'small_airport', 'Red Oak Airport', 34.910462, -92.006932, 315, 'US', 'US-AR', 'Cabot', 'no', '4AR2', '', '4AR2', ''),
	('4MS7', 'small_airport', 'Arnold Field', 34.748172, -90.281267, 195, 'US', 'US-MS', 'Tunica', 'no', '4MS7', '', '4MS7', ''),
	('KSEC', 'N/A', 'N/A', 35.32736051827669, -91.80222138762474, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MS33', 'closed', 'Hobbs Airport', 33.416801, -90.494499, 115, 'US', 'US-MS', 'Moorhead', 'no', '', '', '', 'MS33'),
	('KBUS', 'N/A', 'N/A', 36.51916354894638, -92.75513783097267, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTUK', 'N/A', 'N/A', 35.7295198738575, -91.1177659034729, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6M0', 'small_airport', 'Hazen Municipal Airport - David Duch Field', 34.759399, -91.6381, 230, 'US', 'US-AR', 'Hazen', 'no', 'K6M0', '', '6M0', ''),
	('9M8', 'small_airport', 'Sheridan Municipal Airport', 34.327419, -92.351289, 232, 'US', 'US-AR', 'Sheridan', 'no', 'K9M8', '', '9M8', ''),
	('KBPK', 'medium_airport', 'Ozark Regional Airport', 36.3689002991, -92.47049713130001, 928, 'US', 'US-AR', 'Mountain Home', 'no', 'KBPK', 'WMH', 'BPK', 'Baxter County Regional Airport'),
	('43AR', 'small_airport', 'Haigwood Landing Strip', 35.61140060424805, -91.24140167236328, 230, 'US', 'US-AR', 'Newport', 'no', '43AR', '', '43AR', ''),
	('2AR7', 'small_airport', 'Head Airfield', 33.849098205566406, -93.4791030883789, 441, 'US', 'US-AR', 'Prescott', 'no', '2AR7', '', '2AR7', ''),
	('MS65', 'small_airport', 'Delta Flying Service Inc Airport', 34.938376, -90.201165, 210, 'US', 'US-MS', 'Walls', 'no', 'MS65', '', 'MS65', 'Delta Dusters'),
	('4F7', 'small_airport', 'Kizer Field', 33.80390167236328, -93.36219787597656, 319, 'US', 'US-AR', 'Prescott', 'no', 'K4F7', '', '4F7', ''),
	('69M', 'N/A', 'N/A', 35.77583961188793, -90.64703464508057, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7M6', 'small_airport', 'Paris Municipal Airport', 35.299, -93.681702, 430, 'US', 'US-AR', 'Paris', 'no', '', '', '7M6', ''),
	('AR89', 'small_airport', 'Landers Loop Airport', 35.40010070800781, -93.06600189208984, 730, 'US', 'US-AR', 'Dover', 'no', 'AR89', '', 'AR89', ''),
	('GOAD', 'small_airport', 'Goads Field', 35.41423, -91.402483, 0, 'US', 'US-AR', 'Bradford', 'no', '', '', '', 'GOAD'),
	('M70', 'small_airport', 'Pocahontas Municipal Airport', 36.24549865722656, -90.9552001953125, 273, 'US', 'US-AR', 'Pocahontas', 'no', 'KM70', '', 'M70', ''),
	('4M8', 'small_airport', 'Clarendon Municipal Airport', 34.647999, -91.394402, 217, 'US', 'US-AR', 'Roe', 'no', 'K4M8', '', '4M8', ''),
	('M65', 'N/A', 'N/A', 35.23160666227341, -90.76151266694069, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AR22', 'small_airport', 'Tommy''s Flying Service Inc Airport', 34.3815, -91.958504, 215, 'US', 'US-AR', 'Sherrill', 'no', 'AR22', '', 'AR22', 'Sherrill Flying Service Inc.'),
	('KRBM', 'small_airport', 'Robinson Army Air Field', 34.847656, -92.29949, 587, 'US', 'US-AR', 'North Little Rock', 'no', 'KRBM', '', 'RBM', ''),
	('5M4', 'small_airport', 'Fordyce Municipal Airport', 33.845798, -92.365501, 193, 'US', 'US-AR', 'Fordyce', 'no', '', '', '5M4', 'HL Hopkins'),
	('KBBG', 'medium_airport', 'Branson Airport', 36.532082, -93.200544, 1302, 'US', 'US-MO', 'Branson', 'yes', 'KBBG', 'BKG', 'BBG', ''),
	('AN37', 'small_airport', 'Frog Pond Airport', 35.782262, -90.651955, 260, 'US', 'US-AR', 'Jonesboro', 'no', 'AN37', '', 'AN37', ''),
	('12A', 'small_airport', 'Arkavalley Airport', 35.17839813, -92.33540344, 329, 'US', 'US-AR', 'Conway', 'no', '12A', '', '12A', 'Formerly 12AR'),
	('RSCO', 'small_airport', 'Scotts Field', 36.014336, -90.800196, 261, 'US', 'US-AR', 'Bono', 'no', '', '', '', ''),
	('KNEP', 'N/A', 'N/A', 35.55334065109491, -91.36208921670914, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('M37', 'small_airport', 'Ruleville Drew Airport', 33.776402, -90.525002, 137, 'US', 'US-MS', 'Drew', 'no', 'KM37', '', 'M37', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('19AR', 'small_airport', 'Naylor field', 35.15670013, -92.22419739, 230, 'US', 'US-AR', 'Naylor', 'no', '19AR', '', '19AR', ''),
	('6AR9', 'small_airport', 'Pine Mountain Airpark', 36.4152984619, -92.6943969727, 880, 'US', 'US-AR', 'Flippin', 'no', '6AR9', '', '6AR9', ''),
	('42M', 'small_airport', 'Thayer Memorial Airport', 36.522301, -91.571999, 790, 'US', 'US-MO', 'Thayer', 'no', 'K42M', '', '42M', ''),
	('KENG', 'N/A', 'N/A', 34.43841174244881, -92.04998731613159, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('21MS', 'small_airport', 'Blythe Bayou Farms Airport', 34.912015, -90.213564, 209, 'US', 'US-MS', 'Lake Cormorant', 'no', '21MS', '', '21MS', ''),
	('KBEE', 'N/A', 'N/A', 35.07172219455242, -91.73893958330154, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('65AR', 'small_airport', 'Bernard Manor Airport', 35.225534, -90.465343, 210, 'US', 'US-AR', 'Earle', 'no', '', '', '', '65AR'),
	('75AR', 'small_airport', 'The Bluffs Airport', 36.296199798583984, -92.21600341796875, 782, 'US', 'US-AR', 'Henderson', 'no', '75AR', '', '75AR', ''),
	('AR13', 'small_airport', 'Pearson Field', 34.98619842529297, -92.63349914550781, 300, 'US', 'US-AR', 'Bigelow', 'no', 'AR13', '', 'AR13', ''),
	('4AR9', 'closed', 'Nolan Airport', 35.775759, -90.647013, 238, 'US', 'US-AR', 'Jonesboro', 'no', '', '', '', '4AR9, Scudder Airport'),
	('77AR', 'small_airport', 'Benoit Airfield', 34.5975, -92.9369444, 490, 'US', 'US-AR', 'Hot Springs', 'no', '77AR', '', '77AR', ''),
	('KBDQ', 'small_airport', 'Morrilton Municipal Airport', 35.1362, -92.713501, 321, 'US', 'US-AR', 'Morrilton', 'no', 'KBDQ', '', 'BDQ', ''),
	('99A', 'small_airport', 'Smith''s International Airport', 34.4062, -91.958702, 218, 'US', 'US-AR', 'Sherrill', 'no', '99A', '', '99A', 'Shudy Landing Strip'),
	('M36', 'small_airport', 'Frank Federer Memorial Airport', 34.88029861450195, -91.17639923095703, 194, 'US', 'US-AR', 'Brinkley', 'no', 'KM36', '', 'M36', ''),
	('AR18', 'closed', 'Gerrard Airport', 34.7715, -90.840401, 205, 'US', 'US-AR', 'Marianna', 'no', '', '', '', 'AR18'),
	('3AR4', 'small_airport', 'Four Mile Creek Ranch Airport', 35.005836, -92.077636, 500, 'US', 'US-AR', 'Cabot', 'no', '3AR4', '', '3AR4', ''),
	('42A', 'small_airport', 'Melbourne Municipal John E Miller Field', 36.070999, -91.830101, 735, 'US', 'US-AR', 'Melbourne', 'no', 'K42A', '', '42A', ''),
	('KHBZ', 'small_airport', 'Heber Springs Municipal Airport', 35.5117, -92.013, 632, 'US', 'US-AR', 'Heber Springs', 'no', 'KHBZ', '', 'HBZ', ''),
	('34AR', 'small_airport', 'Woodbridge Field', 35.581454, -90.384668, 215, 'US', 'US-AR', 'Marked Tree', 'no', '34AR', '', '34AR', ''),
	('7AR9', 'small_airport', 'Cullen Airport', 35.956471, -90.812978, 255, 'US', 'US-AR', 'Jonesboro', 'no', '7AR9', '', '7AR9', ''),
	('KHOX', 'N/A', 'N/A', 36.026135981082916, -90.99038287997246, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AR03', 'small_airport', 'Centerville Airstrip', 35.128718, -93.205798, 350, 'US', 'US-AR', 'Centerville', 'no', 'AR03', '', 'AR03', ''),
	('7AR4', 'closed', 'Brown''S Airport', 35.292222, -91.890196, 367, 'US', 'US-AR', 'Searcy', 'no', '', '', '', '7AR4'),
	('KFLP', 'small_airport', 'Marion County Regional Airport', 36.29090118, -92.59030151, 719, 'US', 'US-AR', 'Flippin', 'no', 'KFLP', 'FLP', 'FLP', ''),
	('8M2', 'small_airport', 'Sally Wofford Airport', 35.590302, -90.913696, 245, 'US', 'US-AR', 'Weiner', 'no', '8M2', '', '8M2', 'Weiner, Wilburn Johnson'),
	('37AR', 'closed', 'Beech Creek Airport', 33.182499, -91.628304, 175, 'US', 'US-AR', 'Hamburg', 'no', '', '', '', '37AR'),
	('3AR9', 'small_airport', 'Hog Air Aviation Inc Airport', 36.055213, -90.366851, 240, 'US', 'US-AR', 'Paragould', 'no', '3AR9', '', '3AR9', 'Quinn Field'),
	('1AR1', 'small_airport', 'Walls Airport', 34.527793, -91.872427, 215, 'US', 'US-AR', 'England', 'no', '1AR1', '', '1AR1', ''),
	('KROK', 'N/A', 'N/A', 34.32809181511402, -93.25931712985039, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('32A', 'small_airport', 'Danville Municipal Airport', 35.087002, -93.427498, 387, 'US', 'US-AR', 'Danville', 'no', 'K32A', '', '32A', ''),
	('48AR', 'small_airport', 'Whirlwind Aviation Airport', 35.484715, -90.841119, 240, 'US', 'US-AR', 'Fisher', 'no', '48AR', '', '48AR', ''),
	('KMXA', 'small_airport', 'Manila Municipal Airport', 35.894402, -90.154602, 242, 'US', 'US-AR', 'Manila', 'no', 'KMXA', 'MXA', 'MXA', ''),
	('7AR3', 'small_airport', 'Runsick Flying Service Airport', 35.1511, -90.815598, 250, 'US', 'US-AR', 'Colt', 'no', '7AR3', '', '7AR3', ''),
	('30AR', 'small_airport', 'Phalanx Airport', 35.54436111, -92.0561676, 584, 'US', 'US-AR', 'Greers Ferry', 'no', '30AR', '', '30AR', ''),
	('7AR7', 'small_airport', 'Riddell Field', 34.317812, -90.857025, 169, 'US', 'US-AR', 'Elaine', 'no', '7AR7', '', '7AR7', 'Fess Landing Strip'),
	('55M', 'small_airport', 'Star City Municipal Airport', 33.925545, -91.861095, 398, 'US', 'US-AR', 'Star City', 'no', 'K55M', '', '55M', ''),
	('4M1', 'small_airport', 'Carroll County Airport', 36.381302, -93.624603, 1205, 'US', 'US-AR', 'Berryville', 'no', 'K4M1', '', '4M1', ''),
	('59AR', 'small_airport', 'Hodges Airport', 35.882086, -90.612505, 271, 'US', 'US-AR', 'Jonesboro', 'no', '59AR', '', '59AR', ''),
	('WEON', 'small_airport', 'Weona Airport', 35.540391, -90.596498, 212, 'US', 'US-AR', 'Trumann', 'no', '', '', '', ''),
	('KUTA', 'small_airport', 'Tunica Municipal Airport', 34.68505, -90.347757, 194, 'US', 'US-MS', 'Tunica', 'no', 'KUTA', 'UTM', 'UTA', ''),
	('KHEB', 'N/A', 'N/A', 35.64053289592266, -91.86601504683495, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDAV', 'N/A', 'N/A', 35.69008234888315, -90.22897213697433, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('34M', 'small_airport', 'Campbell Municipal Airport', 36.485901, -90.015772, 284, 'US', 'US-MO', 'Campbell', 'no', 'K34M', '', '34M', ''),
	('3AR3', 'small_airport', 'Cypress Creek Airport', 35.059658, -92.082145, 280, 'US', 'US-AR', 'Cabot', 'no', '3AR3', '', '3AR3', ''),
	('7M0', 'small_airport', 'McCrory / Morton Airport', 35.227901, -91.093201, 222, 'US', 'US-AR', 'McCrory', 'no', '2AR4', '', '2AR4', '7M0'),
	('KTKX', 'small_airport', 'Kennett Memorial Airport', 36.2258987427, -90.0365982056, 262, 'US', 'US-MO', 'Kennett', 'no', 'KTKX', 'KNT', 'TKX', ''),
	('KCXW', 'small_airport', 'Conway Regional Airport', 35.019889, -92.555111, 276, 'US', 'US-AR', 'Conway', 'no', 'KCXW', '', 'CXW', 'Cantrell Field'),
	('37T', 'small_airport', 'Calico Rock Izard County Airport', 36.164501, -92.144501, 733, 'US', 'US-AR', 'Calico Rock', 'no', 'K37T', '', '37T', ''),
	('49AR', 'small_airport', 'Sid''s Place Airport', 34.214444, -91.457778, 194, 'US', 'US-AR', 'DeWitt', 'no', '49AR', '', '49AR', ''),
	('1AR6', 'small_airport', 'Diamond Bluff Airport', 35.503299713134766, -92.19670104980469, 1000, 'US', 'US-AR', 'Greers Ferry', 'no', '1AR6', '', '1AR6', ''),
	('AR12', 'small_airport', 'Mc Donald''s Strip', 35.320598602299995, -92.018699646, 700, 'US', 'US-AR', 'Rose Bud', 'no', 'AR12', '', 'AR12', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('BOBS', 'small_airport', 'Bobs Field', 35.392188, -91.443871, 0, 'US', 'US-AR', 'Bradford', 'no', '', '', '', ''),
	('KSHY', 'N/A', 'N/A', 33.97001188248396, -90.91760918498039, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('H75', 'small_airport', 'Hernando Village Airpark', 34.797833, -90.035405, 242, 'US', 'US-MS', 'Hernando', 'no', 'H75', '', 'H75', ''),
	('07AR', 'small_airport', 'Morrilton Airport', 35.194339, -92.802473, 300, 'US', 'US-AR', 'Morrilton', 'no', '07AR', '', '07AR', ''),
	('AR97', 'small_airport', 'Chael Airport', 35.22010040283203, -92.49649810791016, 320, 'US', 'US-AR', 'Wooster', 'no', 'AR97', '', 'AR97', ''),
	('05AR', 'small_airport', 'Ozark Skies Airpark', 36.000633, -93.57025, 1900, 'US', 'US-AR', 'Kingston', 'no', '05AR', '', '05AR', ''),
	('KLRF', 'medium_airport', 'Little Rock Air Force Base', 34.916900634799994, -92.14969635010002, 311, 'US', 'US-AR', 'Jacksonville', 'no', 'KLRF', 'LRF', 'LRF', ''),
	('93MS', 'small_airport', 'Shelby Air Service Airport', 33.9715995789, -90.76820373540001, 154, 'US', 'US-MS', 'Shelby', 'no', '93MS', '', '93MS', ''),
	('1AR4', 'closed', 'Foggy River Airport', 36.017899, -94.018402, 1240, 'US', 'US-AR', 'Elkins', 'no', '', '', '', '1AR4'),
	('55AR', 'small_airport', 'Silver Wings Field', 36.430084, -93.69558, 1571, 'US', 'US-AR', 'Eureka Springs', 'no', '', '', '55AR', '5A5'),
	('KWRR', 'N/A', 'N/A', 34.637607000768185, -92.22003042697906, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7AR6', 'small_airport', 'RBC Airport', 35.795794, -90.802375, 261, 'US', 'US-AR', 'Jonesboro', 'no', '7AR6', '', '7AR6', ''),
	('86AR', 'closed', 'Goacher Airport', 34.8293, -91.9543, 235, 'US', 'US-AR', 'Lonoke', 'no', '', '', '', '86AR'),
	('3AR5', 'small_airport', 'Tripp Strip', 35.11790084838867, -91.61190032958984, 210, 'US', 'US-AR', 'Griffithville', 'no', '3AR5', '', '3AR5', ''),
	('KHEE', 'small_airport', 'Thompson-Robbins Airport', 34.576571, -90.67616, 242, 'US', 'US-AR', 'West Helena', 'no', 'KHEE', 'HEE', 'HEE', ''),
	('61AR', 'small_airport', 'The Valley Airport', 36.3083992, -92.53070068, 450, 'US', 'US-AR', 'Cotter', 'no', '61AR', '', '61AR', ''),
	('KMEL', 'N/A', 'N/A', 35.93246854841709, -91.82974711060524, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2AR4', 'closed', 'Jaynes Field', 35.6707, -90.527802, 212, 'US', 'US-AR', 'Trumann', 'no', '', '', '', '2AR4'),
	('AR46', 'small_airport', 'Penrose Airport', 35.18895, -91.050131, 220, 'US', 'US-AR', 'McCrory', 'no', 'AR46', '', 'AR46', ''),
	('KFCY', 'small_airport', 'Forrest City Municipal Airport', 34.942001342800005, -90.7750015259, 249, 'US', 'US-AR', 'Forrest City', 'no', 'KFCY', 'FCY', 'FCY', ''),
	('AR84', 'small_airport', 'Bobwhite Hill Ranch Airport', 34.96649932861328, -92.29930114746094, 350, 'US', 'US-AR', 'Mayflower', 'no', 'AR84', '', 'AR84', ''),
	('KDRP', 'small_airport', 'Delta Regional Airport', 35.1200556, -90.8265, 239, 'US', 'US-AR', 'Colt', 'no', 'KDRP', '', 'DRP', ''),
	('AR17', 'small_airport', 'Burns Aerodrome', 34.983398, -90.9151, 207, 'US', 'US-AR', 'Palestine', 'no', 'AR17', '', 'AR17', ''),
	('76AR', 'small_airport', 'Johnson Field', 36.349669, -92.450489, 814, 'US', 'US-AR', 'Mountain Home', 'no', '76AR', '', '76AR', ''),
	('64AR', 'closed', 'Lowrance Airport', 35.613255, -90.018497, 232, 'US', 'US-AR', 'Osceola', 'no', '', '', '', '64AR'),
	('68LS', 'small_airport', 'Myrtle Grove Airport', 31.814581, -91.370314, 71, 'US', 'US-LA', 'Waterproof', 'no', '68LS', '', '68LS', ''),
	('T36', 'small_airport', 'Paul Pittman Memorial Airport', 31.145999908447266, -90.16809844970703, 384, 'US', 'US-MS', 'Tylertown', 'no', 'KT36', '', 'T36', ''),
	('90LA', 'small_airport', 'Sharp Field', 32.61389923095703, -93.32360076904297, 165, 'US', 'US-LA', 'Minden', 'no', '90LA', '', '90LA', ''),
	('9M6', 'small_airport', 'Kelly Airport', 32.849201, -91.4039, 112, 'US', 'US-LA', 'Oak Grove', 'no', 'K9M6', '', '9M6', ''),
	('KMAY', 'N/A', 'N/A', 31.376499831676483, -93.39472353458405, 129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSUM', 'N/A', 'N/A', 31.409226804971695, -90.52258998155594, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LA10', 'closed', 'Metro Ambulance Service Heliport', 32.507401, -92.111198, 80, 'US', 'US-LA', 'Monroe', 'no', '', '', '', 'LA10'),
	('KRSN', 'small_airport', 'Ruston Regional Airport', 32.514187, -92.588517, 311, 'US', 'US-LA', 'Ruston', 'no', 'KRSN', 'RSN', 'RSN', '3L5'),
	('MS77', 'small_airport', 'Lang Flying Service Airport', 33.333156, -90.642622, 114, 'US', 'US-MS', 'Inverness', 'no', 'MS77', '', 'MS77', ''),
	('KINI', 'N/A', 'N/A', 33.44902765005827, -90.72656214237213, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MS71', 'small_airport', 'Slobovia Outernational Airport', 32.49509811401367, -90.29290008544922, 250, 'US', 'US-MS', 'Pocahontas', 'no', 'MS71', '', 'MS71', ''),
	('F89', 'small_airport', 'Winnsboro Municipal Airport', 32.153, -91.698588, 76, 'US', 'US-LA', 'Winnsboro', 'no', '', '', 'F89', ''),
	('90MS', 'small_airport', 'Steele Farms Airport', 33.143333, -91.06, 110, 'US', 'US-MS', 'Hollandale', 'no', '90MS', '', '90MS', 'Longwood Flying Services'),
	('99MS', 'small_airport', 'Paradise Airport', 32.712408, -90.294872, 250, 'US', 'US-MS', 'Yazoo City', 'no', '99MS', '', '99MS', ''),
	('MS59', 'small_airport', 'Valley of The Moon Airport', 31.999213, -90.839853, 125, 'US', 'US-MS', 'Hermanville', 'no', 'MS59', '', 'MS59', ''),
	('MS10', 'small_airport', 'Turner Field', 33.15850067138672, -90.50430297851563, 109, 'US', 'US-MS', 'Belzoni', 'no', 'MS10', '', 'MS10', ''),
	('KNAK', 'N/A', 'N/A', 32.689032442867756, -91.2145346403122, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLER', 'N/A', 'N/A', 31.032960824668407, -92.34193325042725, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LA33', 'small_airport', 'Cuba Farm Airport', 32.575997, -92.108324, 80, 'US', 'US-LA', 'Monroe', 'no', 'LA33', '', 'LA33', ''),
	('4M5', 'small_airport', 'Dermott Municipal Airport', 33.487998962402344, -91.44259643554688, 135, 'US', 'US-AR', 'Dermott', 'no', '4M5', '', '4M5', ''),
	('7MS4', 'small_airport', 'Cloud 9 Airport', 32.602777, -90.192781, 250, 'US', 'US-MS', 'Canton', 'no', '7MS4', '', '7MS4', ''),
	('F88', 'small_airport', 'Jonesboro Airport', 32.202, -92.732903, 256, 'US', 'US-LA', 'Jonesboro', 'no', 'KF88', '', 'F88', ''),
	('KVKS', 'small_airport', 'Vicksburg Municipal Airport', 32.23929977417, -90.928398132324, 106, 'US', 'US-MS', 'Vicksburg', 'no', 'KVKS', 'VKS', 'VKS', ''),
	('KLLQ', 'medium_airport', 'Monticello Municipal Ellis Field', 33.638599, -91.750999, 270, 'US', 'US-AR', 'Monticello', 'no', 'KLLQ', '', 'LLQ', 'M76'),
	('MS13', 'small_airport', 'Eifling Farms Airport', 33.07569885253906, -90.95339965820313, 110, 'US', 'US-MS', 'Glen Allan', 'no', 'MS13', '', 'MS13', ''),
	('KLES', 'N/A', 'N/A', 31.394486725330353, -93.29888015985489, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MS50', 'small_airport', 'Clay Airport', 31.579299926757813, -90.11119842529297, 201, 'US', 'US-MS', 'Monticello', 'no', 'MS50', '', 'MS50', ''),
	('1M2', 'small_airport', 'Belzoni Municipal Airport', 33.145207, -90.51526, 110, 'US', 'US-MS', 'Belzoni', 'no', 'K1M2', '', '1M2', ''),
	('05LA', 'small_airport', 'Greg''s Flying Service Airport', 32.265301, -91.6978, 76, 'US', 'US-LA', 'Winnsboro', 'no', '05LA', '', '05LA', ''),
	('38MS', 'N/A', 'N/A', 31.548386178910732, -90.308967679739, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSHA', 'N/A', 'N/A', 33.58200218528509, -90.69133937358856, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('07LA', 'closed', 'Air Oil Inc Nr 1 Heliport', 29.937099, -90.183701, 0, 'US', 'US-LA', 'Harahan', 'no', '', '', '', '07LA'),
	('LS69', 'closed', 'L J Earnest Airport', 32.643501, -93.662399, 165, 'US', 'US-LA', 'Benton', 'no', '', '', '', 'LS69'),
	('82LS', 'small_airport', 'Lookout Point Airport', 32.691119, -91.11008, 86, 'US', 'US-LA', 'Transylvania', 'no', '82LS', '', '82LS', ''),
	('37MS', 'small_airport', 'P2 Landing Airport', 32.389828, -90.350779, 246, 'US', 'US-MS', 'Clinton', 'no', '37MS', '', '37MS', ''),
	('6LA1', 'small_airport', 'Cottonwood Airport', 32.98400115966797, -91.20590209960938, 120, 'US', 'US-LA', 'Lake Providence', 'no', '6LA1', '', '6LA1', ''),
	('KSWA', 'N/A', 'N/A', 32.59797714650631, -91.89480543136597, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1LA4', 'closed', 'Bayou Fourchon Seaplane Base', 29.105801, -90.190903, 0, 'US', 'US-LA', 'Leeville', 'no', '', '', '', '1LA4'),
	('F87', 'small_airport', 'Union Parish Airport', 32.724998, -92.337196, 121, 'US', 'US-LA', 'Farmerville', 'no', 'KF87', '', 'F87', ''),
	('MS57', 'small_airport', 'Fred Netterville Lumber Company / Wilkinson Community Airport', 31.220558, -91.24602, 120, 'US', 'US-MS', 'Woodville', 'no', 'MS57', '', 'MS57', ''),
	('5AR1', 'small_airport', 'Tillar Airport', 33.711943, -91.46182, 150, 'US', 'US-AR', 'Tillar', 'no', '5AR1', '', '5AR1', ''),
	('5MS1', 'small_airport', 'Rollang Field', 32.953543, -90.845144, 106, 'US', 'US-MS', 'Rolling Fork', 'no', '5MS1', 'RFK', '5MS1', ''),
	('LA63', 'small_airport', 'Travis Airport', 32.97169876098633, -91.83080291748047, 122, 'US', 'US-LA', 'Bastrop', 'no', 'LA63', '', 'LA63', ''),
	('KWIS', 'N/A', 'N/A', 32.24713783711195, -91.58224269747734, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDOL', 'N/A', 'N/A', 31.579697281122208, -92.89778172969818, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2R6', 'small_airport', 'Bunkie Municipal Airport', 30.95669937133789, -92.23410034179688, 62, 'US', 'US-LA', 'Bunkie', 'no', 'K2R6', '', '2R6', ''),
	('87I', 'small_airport', 'Yazoo County Airport', 32.883202, -90.4636, 104, 'US', 'US-MS', 'Yazoo City', 'no', 'K87I', '', '87I', ''),
	('KTVR', 'small_airport', 'Vicksburg Tallulah Regional Airport', 32.351601, -91.027702, 86, 'US', 'US-LA', 'Tallulah', 'no', 'KTVR', '', 'TVR', 'Vicksburg'),
	('MS35', 'small_airport', 'Wade Airport', 32.98173, -90.966062, 106, 'US', 'US-MS', 'Rolling Fork', 'no', 'MS35', '', 'MS35', 'Eagle Nest'),
	('MS28', 'small_airport', 'Alcorn State University Airport', 31.867991, -91.13348, 269, 'US', 'US-MS', 'Lorman', 'no', 'MS28', '', 'MS28', ''),
	('MS06', 'small_airport', 'Linwood Airport', 32.790771, -90.138881, 285, 'US', 'US-MS', 'Vaughan', 'no', 'MS06', '', 'MS06', ''),
	('46LA', 'closed', 'Davis Plantation Airport', 32.796501, -91.9468, 150, 'US', 'US-LA', 'Bastrop', 'no', '', '', '', '46LA'),
	('MS69', 'small_airport', 'Falcon Field', 32.10879898071289, -90.04650115966797, 415, 'US', 'US-MS', 'Star', 'no', 'MS69', '', 'MS69', ''),
	('6LA6', 'small_airport', 'Williams Flying Service Airport', 32.224604, -91.856413, 79, 'US', 'US-LA', 'Mangham', 'no', '6LA6', '', '6LA6', ''),
	('KNAJ', 'N/A', 'N/A', 31.247333027422428, -91.89720422029495, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KUAB', 'N/A', 'N/A', 32.50452160835266, -91.15889713168144, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MS34', 'closed', 'Reality Plantation Airport', 32.6982, -90.946503, 98, 'US', 'US-MS', 'Rolling Fork', 'no', '', '', '', 'MS34'),
	('M18', 'small_airport', 'Hope Municipal Airport', 33.7201, -93.658798, 359, 'US', 'US-AR', 'Hope', 'no', 'KM18', '', 'M18', ''),
	('MS21', 'small_airport', 'Lester Field', 33.3321, -90.582001, 115, 'US', 'US-MS', 'Inverness', 'no', 'MS21', '', 'MS21', 'Gary Flying Services, Mark Gary Flying Service'),
	('KBOY', 'N/A', 'N/A', 31.369069442152977, -92.5716233253479, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0M9', 'small_airport', 'Delhi Municipal Airport', 32.410702, -91.498703, 91, 'US', 'US-LA', 'Delhi', 'no', '', '', '0M9', ''),
	('3MS2', 'small_airport', 'Thunderfoot Ranch Airport', 31.079099655151367, -90.02839660644531, 390, 'US', 'US-MS', 'Tylertown', 'no', '3MS2', '', '3MS2', ''),
	('3M9', 'small_airport', 'Warren Municipal Airport', 33.560398, -92.085403, 235, 'US', 'US-AR', 'Warren', 'no', 'K3M9', '', '3M9', ''),
	('3R4', 'small_airport', 'Hart Airport', 31.54490089, -93.4865036, 319, 'US', 'US-LA', 'Many', 'no', 'K3R4', '', '3R4', ''),
	('60LA', 'closed', 'Union Oil Co of California Heliport', 29.7917, -92.149498, 5, 'US', 'US-LA', 'Intracoastal City', 'no', '', '', '', '60LA'),
	('KPOE', 'medium_airport', 'Polk Army Air Field', 31.0447998, -93.1917038, 330, 'US', 'US-LA', 'Fort Polk', 'no', 'KPOE', 'POE', 'POE', ''),
	('MS45', 'small_airport', 'Dale Landing Strip', 32.1563, -91.124603, 85, 'US', 'US-MS', 'Vicksburg', 'no', 'MS45', '', 'MS45', 'Briarfield, Yokena'),
	('LA48', 'small_airport', 'Max Airport', 30.9939, -92.044601, 55, 'US', 'US-LA', 'Cottonport', 'no', 'LA48', '', 'LA48', ''),
	('MS40', 'small_airport', 'Southland Flying Service Airport', 33.225549, -90.247049, 115, 'US', 'US-MS', 'Tchula', 'no', 'MS40', '', 'MS40', ''),
	('F43', 'small_airport', 'El Dorado Downtown Airport-Stevens Field', 33.1912, -92.6632, 256, 'US', 'US-AR', 'El Dorado', 'no', 'KF43', '', 'F43', ''),
	('AR79', 'small_airport', 'Flying G Ranch Airport', 33.693497, -91.379612, 150, 'US', 'US-AR', 'Tillar', 'no', 'AR79', '', 'AR79', ''),
	('9LA2', 'small_airport', 'Norris Airstrip', 32.1404, -91.411201, 70, 'US', 'US-LA', 'Newellton', 'no', '', '', '', '9LA2'),
	('KHAS', 'N/A', 'N/A', 31.834724061191082, -91.65622785687447, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MS12', 'N/A', 'N/A', 33.107188157737255, -91.06688842177391, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('14M', 'small_airport', 'Hollandale Municipal Airport', 33.182598, -90.830704, 114, 'US', 'US-MS', 'Hollandale', 'no', 'K14M', '', '14M', ''),
	('76LS', 'small_airport', 'Cool Creek Airport', 30.955972, -90.54681, 251, 'US', 'US-LA', 'Kentwood', 'no', '76LS', '', '76LS', ''),
	('KNAF', 'N/A', 'N/A', 32.61109750717878, -92.06492766737938, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KGWO', 'medium_airport', 'Greenwood–Leflore Airport', 33.495025, -90.088204, 162, 'US', 'US-MS', 'Greenwood', 'no', 'KGWO', 'GWO', 'GWO', 'Greenwood Army Airfield'),
	('KBAD', 'medium_airport', 'Barksdale Air Force Base', 32.501801, -93.662697, 166, 'US', 'US-LA', 'Bossier City', 'no', 'KBAD', 'BAD', 'BAD', ''),
	('KIDL', 'small_airport', 'Indianola Municipal Airport', 33.485699, -90.678902, 126, 'US', 'US-MS', 'Indianola', 'no', 'KIDL', '', 'IDL', ''),
	('MS30', 'small_airport', 'Abide Airpark', 33.30569839477539, -90.99040222167969, 115, 'US', 'US-MS', 'Greenville', 'no', 'MS30', '', 'MS30', ''),
	('1R4', 'small_airport', 'Woodworth Airport', 31.126399993896484, -92.50140380859375, 140, 'US', 'US-LA', 'Woodworth', 'no', 'K1R4', '', '1R4', ''),
	('20MS', 'small_airport', 'Dixon Airport', 31.831118, -90.654598, 280, 'US', 'US-MS', 'Barlow', 'no', '20MS', '', '20MS', ''),
	('KAGO', 'small_airport', 'Magnolia Municipal Airport / Ralph C Weiser Field', 33.228001, -93.217002, 319, 'US', 'US-AR', 'Magnolia', 'no', 'KAGO', 'AGO', 'AGO', 'Magnolia Municipal'),
	('5MS6', 'small_airport', 'Dee''s Strip', 32.42300033569336, -90.00769805908203, 329, 'US', 'US-MS', 'Brandon', 'no', '5MS6', '', '5MS6', ''),
	('7AR1', 'small_airport', 'Ward''s Airport', 33.049999237099996, -91.34159851070001, 113, 'US', 'US-AR', 'Eudora', 'no', '7AR1', '', '7AR1', ''),
	('KDAX', 'N/A', 'N/A', 32.56062068045139, -90.00025525689125, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MS42', 'small_airport', 'Mississippi Petrified Forest Airport', 32.52040100097656, -90.32369995117188, 265, 'US', 'US-MS', 'Flora', 'no', 'MS42', '', 'MS42', ''),
	('KSPH', 'small_airport', 'Springhill Airport', 32.9833984375, -93.4092025756836, 218, 'US', 'US-LA', 'Springhill', 'no', 'KSPH', '', 'SPH', ''),
	('F86', 'small_airport', 'Caldwell Parish Airport', 32.12216, -92.05452, 67, 'US', 'US-LA', 'Columbia', 'no', 'KF86', '', 'F86', ''),
	('KDOK', 'N/A', 'N/A', 31.52906522154808, -92.85629555583, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MS43', 'small_airport', 'Whitaker Airport', 32.549419, -90.826292, 98, 'US', 'US-MS', 'Redwood', 'no', 'MS43', '', 'MS43', ''),
	('KBUK', 'N/A', 'N/A', 31.002021208405495, -92.28019550442696, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LA67', 'small_airport', 'Angola Airstrip', 30.95159912109375, -91.58480072021484, 45, 'US', 'US-LA', 'Angola', 'no', 'LA67', '', 'LA67', ''),
	('KJVW', 'N/A', 'N/A', 32.30447206646204, -90.41052773594856, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHEZ', 'small_airport', 'Natchez–Adams County Airport / Hardy-Anders Field', 31.614817, -91.297331, 272, 'US', 'US-MS', 'Natchez', 'no', 'KHEZ', 'HEZ', 'HEZ', ''),
	('71LA', 'closed', 'Gustafson Airport', 32.433101, -91.315201, 80, 'US', 'US-LA', 'Tallulah', 'no', '', '', '', '71LA'),
	('LS83', 'small_airport', 'Delta Dusters Airport', 32.061737, -91.251454, 77, 'US', 'US-LA', 'Newellton', 'no', 'LS83', '', 'LS83', '9M2, Delta Dusters LLC, Kifer'),
	('2L0', 'small_airport', 'Pineville Municipal Airport', 31.341931, -92.4436, 100, 'US', 'US-LA', 'Pineville', 'no', '', '', '2L0', '9LA6'),
	('MS37', 'small_airport', 'West Bolivar Flying Service Airport', 33.6534, -90.988998, 136, 'US', 'US-MS', 'Benoit', 'no', 'MS37', '', 'MS37', 'Benoit Flying Services'),
	('MS75', 'small_airport', 'Lewis Airport', 33.013372, -91.038544, 112, 'US', 'US-MS', 'Glen Allan', 'no', 'MS75', '', 'MS75', ''),
	('0M8', 'small_airport', 'Byerley Airport', 32.825901, -91.187698, 106, 'US', 'US-LA', 'Lake Providence', 'no', '', '', '0M8', ''),
	('9LA6', 'small_airport', 'Chandler Airport', 31.306801, -92.611504, 82, 'US', 'US-LA', 'Alexandria', 'no', '9LA6', '', '9LA6', '99R'),
	('MS25', 'closed', 'Huntley Airport', 33.398912, -90.967036, 117, 'US', 'US-MS', 'Leland', 'no', '', '', '', 'MS25'),
	('0R4', 'small_airport', 'Concordia Parish Airport', 31.562000274658203, -91.50650024414063, 54, 'US', 'US-LA', 'Vidalia', 'no', 'K0R4', '', '0R4', ''),
	('4AR4', 'closed', 'Reed-Joseph Land Company Airport', 33.347199, -93.741677, 227, 'US', 'US-AR', 'Garland City', 'no', '', '', '', '4AR4'),
	('KDOJ', 'N/A', 'N/A', 31.534648910164833, -92.92229399085045, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('86LA', 'small_airport', 'Spring Airport', 30.973800659179688, -90.66570281982422, 400, 'US', 'US-LA', 'Kentwood', 'no', '86LA', '', '86LA', ''),
	('KMLU', 'medium_airport', 'Monroe Regional Airport', 32.510899, -92.037697, 79, 'US', 'US-LA', 'Monroe', 'yes', 'KMLU', 'MLU', 'MLU', ''),
	('22LA', 'small_airport', 'WD Flyers Airport', 30.997228, -91.882277, 48, 'US', 'US-LA', 'Simmesport', 'no', '22LA', '', '22LA', ''),
	('LA35', 'small_airport', 'Summerville Airstrip', 31.161677, -92.421551, 77, 'US', 'US-LA', 'Le Compte', 'no', 'LA35', '', 'LA35', 'LA22'),
	('KDTN', 'small_airport', 'Shreveport Downtown Airport', 32.5401992798, -93.7450027466, 179, 'US', 'US-LA', 'Shreveport', 'no', 'KDTN', 'DTN', 'DTN', ''),
	('LA58', 'closed', 'Peter Creek Ranch Airport', 32.979, -92.593201, 200, 'US', 'US-LA', 'Spearsville', 'no', '', '', '', 'LA58'),
	('KELD', 'medium_airport', 'South Arkansas Regional Airport at Goodwin Field', 33.221001, -92.813301, 277, 'US', 'US-AR', 'El Dorado', 'yes', 'KELD', 'ELD', 'ELD', ''),
	('5F4', 'small_airport', 'Homer Municipal Airport', 32.78850173950195, -93.00370025634766, 244, 'US', 'US-LA', 'Homer', 'no', 'K5F4', '', '5F4', ''),
	('KBQP', 'small_airport', 'Morehouse Memorial Airport', 32.756, -91.880556, 168, 'US', 'US-LA', 'Bastrop', 'no', 'KBQP', '', 'BQP', '2F8'),
	('LS15', 'closed', 'Diamond Shamrock Heliport', 29.891062, -91.6802, 20, 'US', 'US-LA', 'Jeanerette', 'no', '', '', '', 'LS15'),
	('7M1', 'small_airport', 'McGehee Municipal Airport', 33.620201, -91.3648, 141, 'US', 'US-AR', 'McGehee', 'no', 'K7M1', '', '7M1', ''),
	('1MS9', 'closed', 'Piker-Too Airport', 31.0118, -90.968201, 300, 'US', 'US-MS', 'Centreville', 'no', '', '', '', '1MS9'),
	('L66', 'small_airport', 'Pollock Municipal Airport', 31.47750092, -92.46109772, 203, 'US', 'US-LA', 'Pollock', 'no', 'L66', '', 'L66', 'LA34'),
	('L33', 'small_airport', 'Tensas Parish Airport', 31.97742, -91.240471, 74, 'US', 'US-LA', 'St Joseph', 'no', 'KL33', '', 'L33', ''),
	('KMCB', 'medium_airport', 'McComb-Pike County Airport / John E Lewis Field', 31.178499, -90.471901, 413, 'US', 'US-MS', 'McComb', 'no', 'KMCB', 'MCB', 'MCB', ''),
	('0R7', 'small_airport', 'The Red River Airport', 31.990699768066406, -93.30740356445313, 177, 'US', 'US-LA', 'Coushatta', 'no', '0R7', '', '0R7', ''),
	('LS46', 'closed', 'Blount Airport', 31.4585, -91.822899, 50, 'US', 'US-LA', 'Monterey', 'no', '', '', '', 'LS46'),
	('KCRT', 'small_airport', 'Z M Jack Stell Field', 33.1782989502, -91.8802032471, 184, 'US', 'US-AR', 'Crossett', 'no', 'KCRT', 'CRT', 'CRT', ''),
	('7MS7', 'small_airport', 'Freebird Airport', 32.37409, -90.437061, 242, 'US', 'US-MS', 'Bolton', 'no', '7MS7', '', '7MS7', ''),
	('M32', 'small_airport', 'Lake Village Municipal Airport', 33.34600067138672, -91.3156967163086, 125, 'US', 'US-AR', 'Lake Village', 'no', 'KM32', '', 'M32', ''),
	('8MS1', 'small_airport', 'Henderson Airport', 33.585044, -90.097736, 162, 'US', 'US-MS', 'Greenwood', 'no', '8MS1', '', '8MS1', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LS20', 'closed', 'Riverview Medical Center Heliport', 30.208023, -90.9312, 10, 'US', 'US-LA', 'Gonzales', 'no', '', '', '', 'LS20'),
	('2LA7', 'small_airport', 'Costello Airport', 32.965396, -91.425966, 75, 'US', 'US-LA', 'Oak Grove', 'no', '2LA7', '', '2LA7', ''),
	('KESF', 'medium_airport', 'Esler Army Airfield / Esler Regional Airport', 31.394266, -92.294082, 112, 'US', 'US-LA', 'Alexandria', 'no', 'KESF', 'ESF', 'ESF', 'Camp Beauregard Army Field, Esler Army Airfield'),
	('MS23', 'closed', 'Forest Home Airport', 31.006701, -91.203102, 240, 'US', 'US-MS', 'Woodville', 'no', '', '', '', 'MS23'),
	('19LA', 'closed', 'Region 1 Headquarters-State Police Heliport', 30.447701, -91.103104, 70, 'US', 'US-LA', 'Baton Rouge', 'no', '', '', '', '19LA'),
	('LA40', 'small_airport', 'F L Braughton Airport', 31.338428, -91.593332, 50, 'US', 'US-LA', 'Vidalia', 'no', 'LA40', '', 'LA40', ''),
	('0MS5', 'closed', 'Lewis Air Service Airport', 33.3918, -90.916801, 120, 'US', 'US-MS', 'Leland', 'no', '', '', '', '0MS5'),
	('9LS5', 'small_airport', 'Red Beard Dusting Service Airport', 32.303812, -91.128674, 86, 'US', 'US-LA', 'Tallulah', 'no', '9LS5', '', '9LS5', ''),
	('M11', 'small_airport', 'Copiah County Airport', 31.901941, -90.366736, 443, 'US', 'US-MS', 'Hazlehurst', 'no', 'KM11', '', 'M11', ''),
	('5LS6', 'small_airport', 'Arkla Flyers Inc Airport', 32.765174, -91.796136, 90, 'US', 'US-LA', 'Mer Rouge', 'no', '5LS6', '', '5LS6', 'Northeast Louisiana Flyers'),
	('04MS', 'small_airport', 'Nick''s Flying Service Inc Airport', 32.940537, -90.836683, 100, 'US', 'US-MS', 'Rolling Fork', 'no', '04MS', '', '04MS', ''),
	('05LS', 'small_airport', 'Grass Roots Airport', 31.252148, -92.47569, 83, 'US', 'US-LA', 'Alexandria', 'no', '05LS', '', '05LS', ''),
	('05XS', 'small_airport', 'Johnson Memorial Airport', 33.079498, -91.561391, 105, 'US', 'US-AR', 'Wilmot', 'no', '05XS', '', '05XS', ''),
	('6MS2', 'small_airport', 'Wells Farm Airport', 31.983861, -90.335361, 455, 'US', 'US-MS', 'Crystal Springs', 'no', '6MS2', '', '6MS2', ''),
	('45MS', 'small_airport', 'Box Field', 33.547164, -90.567094, 123, 'US', 'US-MS', 'Sunflower', 'no', '45MS', '', '45MS', 'Sunflower Flying Services'),
	('KWIF', 'N/A', 'N/A', 32.06769872456789, -91.62645891308784, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KWEE', 'N/A', 'N/A', 31.44822109490633, -91.68432712554932, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0R5', 'small_airport', 'David G Joyce Airport', 31.963699, -92.660301, 146, 'US', 'US-LA', 'Winnfield', 'no', 'K0R5', '', '0R5', ''),
	('KSIM', 'N/A', 'N/A', 30.944834165275097, -91.78968116641045, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LA56', 'small_airport', 'Naylor Airport', 32.341801, -93.658501, 155, 'US', 'US-LA', 'Shreveport', 'no', 'LA56', '', 'LA56', ''),
	('KIER', 'small_airport', 'Natchitoches Regional Airport', 31.735701, -93.099098, 121, 'US', 'US-LA', 'Natchitoches', 'no', 'KIER', '', 'IER', ''),
	('KGLH', 'medium_airport', 'Mid Delta Regional Airport', 33.482899, -90.985603, 131, 'US', 'US-MS', 'Greenville', 'yes', 'KGLH', 'GLH', 'GLH', ''),
	('1LS8', 'small_airport', 'Summerell Airport', 31.684198, -91.501001, 64, 'US', 'US-LA', 'Ferriday', 'no', '1LS8', '', '1LS8', ''),
	('C71', 'small_airport', 'Crosby Municipal Airport', 31.296, -91.052902, 336, 'US', 'US-MS', 'Crosby', 'no', 'KC71', '', 'C71', ''),
	('1MS0', 'small_airport', 'Tapley Airport', 33.59980010986328, -90.78119659423828, 129, 'US', 'US-MS', 'Shaw', 'no', '1MS0', '', '1MS0', ''),
	('LS16', 'small_airport', 'Circle G Airport', 32.010896, -91.756761, 75, 'US', 'US-LA', 'Jigger', 'no', 'LS16', '', 'LS16', ''),
	('68LA', 'small_airport', 'Pilkinton Airstrip', 32.329938, -93.518169, 148, 'US', 'US-LA', 'Bossier City', 'no', '68LA', '', '68LA', ''),
	('KJAN', 'medium_airport', 'Jackson-Medgar Wiley Evers International Airport', 32.311199, -90.075897, 346, 'US', 'US-MS', 'Jackson', 'yes', 'KJAN', 'JAN', 'JAN', ''),
	('AR01', 'closed', 'Baker Flying Service Airport', 33.10784, -91.253787, 116, 'US', 'US-AR', 'Eudora', 'no', '', '', '', 'AR01'),
	('KMNE', 'N/A', 'N/A', 32.64602791517973, -93.29808354377747, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0LS9', 'small_airport', 'Huenefeld Airport', 32.513603, -91.98657, 72, 'US', 'US-LA', 'Monroe', 'no', '0LS9', '', '0LS9', ''),
	('M80', 'small_airport', 'Scott Airport', 32.416302, -91.148903, 84, 'US', 'US-LA', 'Richmond', 'no', 'KM80', '', 'M80', ''),
	('4MS9', 'small_airport', 'Providence Airpark', 32.666, -90.067596, 240, 'US', 'US-MS', 'Canton', 'no', '4MS9', '', '4MS9', 'Cochran Airport, Chuck''s Flying Service'),
	('KHAM', 'N/A', 'N/A', 33.18234130740166, -91.62789791822433, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LS04', 'closed', 'Bobby Jones Flying Service Inc Airport', 32.3167, -91.8395, 69, 'US', 'US-LA', 'Mangham', 'no', '', '', '', 'LS04'),
	('MS24', 'small_airport', 'Joe Sanford Field', 32.24679946899414, -90.5822982788086, 180, 'US', 'US-MS', 'Edwards', 'no', 'MS24', '', 'MS24', ''),
	('5F0', 'small_airport', 'Arcadia Bienville Parish Airport', 32.532016, -92.952675, 440, 'US', 'US-LA', 'Arcadia', 'no', 'K5F0', '', '5F0', ''),
	('3MS3', 'small_airport', 'Root Hog Airport', 32.5159, -90.351196, 220, 'US', 'US-MS', 'Flora', 'no', '3MS3', '', '3MS3', 'Holcomb Aerial Services'),
	('KMBO', 'small_airport', 'Bruce Campbell Field', 32.438702, -90.103104, 326, 'US', 'US-MS', 'Madison', 'no', 'KMBO', 'DXE', 'MBO', 'Augustine Auxiliary Field'),
	('0MS1', 'closed', 'Franklin Field', 31.4252, -90.902901, 200, 'US', 'US-MS', 'Meadville', 'no', '', '', '', '0MS1'),
	('4F8', 'small_airport', 'Stephens Ouachita County Airport', 33.443403, -93.054242, 230, 'US', 'US-AR', 'Stephens', 'no', 'K4F8', '', '4F8', 'Wilson'),
	('MS85', 'small_airport', 'Skelton Airport', 33.597900390625, -90.80290222167969, 130, 'US', 'US-MS', 'Shaw', 'no', 'MS85', '', 'MS85', ''),
	('KMKV', 'small_airport', 'Marksville Municipal Airport', 31.09469985961914, -92.06909942626953, 79, 'US', 'US-LA', 'Marksville', 'no', 'KMKV', '', 'MKV', ''),
	('KNAE', 'N/A', 'N/A', 31.085228361189365, -92.18330517411232, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9LS1', 'small_airport', 'Bayou Meadows Airport', 32.699507, -91.386638, 85, 'US', 'US-LA', 'Pioneer', 'no', '9LS1', '', '9LS1', ''),
	('L32', 'small_airport', 'Jonesville Airport', 31.620191, -91.83436, 56, 'US', 'US-LA', 'Jonesville', 'no', 'KL32', '', 'L32', 'LA18'),
	('5F3', 'N/A', 'N/A', 32.98601936548948, -93.1388421356678, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('19M', 'small_airport', 'C. A. Moore Airport', 33.1255, -90.025597, 340, 'US', 'US-MS', 'Lexington', 'no', 'K19M', '', '19M', ''),
	('KBUD', 'N/A', 'N/A', 31.465778835117817, -90.82442700862885, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('40LA', 'small_airport', 'Woodsland Plantation Airport', 32.34600067138672, -91.96959686279297, 60, 'US', 'US-LA', 'Monroe', 'no', '40LA', '', '40LA', ''),
	('MS49', 'small_airport', 'Mc Gehee Air Park', 31.165001, -90.816164, 315, 'US', 'US-MS', 'Liberty', 'no', 'MS49', '', 'MS49', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1R1', 'small_airport', 'Jena Airport', 31.666903, -92.157722, 212, 'US', 'US-LA', 'Jena', 'no', 'K1R1', '', '1R1', ''),
	('L40', 'closed', 'Colfax Airport', 31.516001, -92.6912, 95, 'US', 'US-LA', 'Colfax', 'no', '', '', '', 'L40'),
	('BONI', 'small_airport', 'McCready''s Aero Service Airport', 32.90511, -91.712934, 103, 'US', 'US-LA', 'Bonita', 'no', '', '', '', ''),
	('KHOD', 'N/A', 'N/A', 33.6210186034441, -93.52233409881592, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KAEX', 'medium_airport', 'Alexandria International Airport', 31.3274, -92.549797, 89, 'US', 'US-LA', 'Alexandria', 'yes', 'KAEX', 'AEX', 'AEX', 'England Air Park, England Air Force Base'),
	('KNAI', 'N/A', 'N/A', 31.24506488442421, -91.98200806975365, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5LS9', 'small_airport', 'Ammons Airport', 31.531600952148438, -93.70770263671875, 210, 'US', 'US-LA', 'Zwolle', 'no', '5LS9', '', '5LS9', ''),
	('11LS', 'small_airport', 'Jasmine Hill Airport', 30.976321, -92.56888, 120, 'US', 'US-LA', 'Glenmora', 'no', '11LS', '', '11LS', ''),
	('57LS', 'small_airport', 'Prairie Creek Airport', 31.205025, -93.277166, 245, 'US', 'US-LA', 'Leesville', 'no', '57LS', '', '57LS', ''),
	('0R6', 'small_airport', 'Hampton Municipal Airport', 33.52259826660156, -92.46029663085938, 178, 'US', 'US-AR', 'Hampton', 'no', 'K0R6', '', '0R6', ''),
	('L39', 'small_airport', 'Leesville Airport', 31.1686, -93.342499, 282, 'US', 'US-LA', 'Leesville', 'no', 'L39', '', 'L39', 'LA24'),
	('01LA', 'small_airport', 'Barham Airport', 32.638999938964844, -91.77369689941406, 90, 'US', 'US-LA', 'Oak Ridge', 'no', '01LA', '', '01LA', ''),
	('0MS8', 'small_airport', 'Catfish Point Airport', 33.695352, -91.163484, 154, 'US', 'US-MS', 'Benoit', 'no', '0MS8', '', '0MS8', ''),
	('KJON', 'N/A', 'N/A', 31.496073380112648, -91.90561205148697, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBOE', 'N/A', 'N/A', 32.397730462253094, -93.63473787903786, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1R7', 'small_airport', 'Brookhaven-Lincoln County Airport', 31.605801, -90.409302, 489, 'US', 'US-MS', 'Brookhaven', 'no', 'K1R7', '', '1R7', ''),
	('LA53', 'small_airport', 'Tensas Flying Service Airport', 31.978588, -91.264538, 96, 'US', 'US-LA', 'Newellton', 'no', 'LA53', '', 'LA53', ''),
	('KCDH', 'small_airport', 'Harrell Field', 33.622798919699996, -92.7633972168, 130, 'US', 'US-AR', 'Camden', 'no', 'KCDH', 'CDH', 'CDH', ''),
	('L47', 'N/A', 'N/A', 31.89606048166752, -92.2179351747036, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHRA', 'N/A', 'N/A', 33.390510231256485, -90.20870223641396, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LA51', 'small_airport', 'Stuart Airstrip', 32.017444, -93.431792, 130, 'US', 'US-LA', 'Coushatta', 'no', 'LA51', '', 'LA51', ''),
	('KVIK', 'N/A', 'N/A', 32.340059615671635, -90.92223823070526, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LA77', 'small_airport', 'Tebow Airport', 30.9632, -92.174599, 60, 'US', 'US-LA', 'Bunkie', 'no', 'LA77', '', 'LA77', 'Mixon Airport'),
	('4MS2', 'small_airport', 'Dogwood Acres Airport', 32.212100982666016, -90.45030212402344, 250, 'US', 'US-MS', 'Raymond', 'no', '4MS2', '', '4MS2', ''),
	('KHKS', 'small_airport', 'Hawkins Field', 32.33449936, -90.22219849, 341, 'US', 'US-MS', 'Jackson', 'no', 'KHKS', 'HKS', 'HKS', 'Davis Field, Jackson AAB'),
	('KJOE', 'N/A', 'N/A', 31.40270870178938, -91.84170797467232, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LS03', 'closed', 'Stephen''s Flying Service Airport', 32.293301, -91.5933, 89, 'US', 'US-LA', 'Winnsboro', 'no', '', '', '', 'LS03'),
	('M79', 'small_airport', 'John H Hooks Jr Memorial Airport', 32.485559, -91.772376, 83, 'US', 'US-LA', 'Rayville', 'no', 'KM79', '', 'M79', ''),
	('5LA1', 'small_airport', 'Kent''s Flying Service Airport', 31.028004, -91.980589, 55, 'US', 'US-LA', 'Moreauville', 'no', '5LA1', '', '5LA1', ''),
	('LS40', 'small_airport', 'St Charles Airport', 29.9519, -90.286102, 13, 'US', 'US-LA', 'Ama', 'no', 'LS40', '', 'LS40', ''),
	('CRAI', 'small_airport', 'Craig''s Field', 30.49617, -91.919207, 0, 'US', 'US-LA', 'Leonville', 'no', '', '', '', ''),
	('LA52', 'small_airport', 'T & M Ag Aviation Airport', 32.698883, -93.822847, 185, 'US', 'US-LA', 'Dixie', 'no', '', '', '', ''),
	('87LA', 'closed', 'Lafayette Hilton Heliport', 30.196, -92.0153, 169, 'US', 'US-LA', 'Lafayette', 'no', '', '', '', '87LA'),
	('0LA2', 'closed', 'Don Babin-Private Airport', 30.278, -90.963203, 17, 'US', 'US-LA', 'Gonzales', 'no', '', '', '', '0LA2'),
	('KCWF', 'small_airport', 'Chennault International Airport', 30.2106, -93.143204, 17, 'US', 'US-LA', 'Lake Charles', 'no', 'KCWF', 'CWF', 'CWF', 'Chennault Industrial Airpark'),
	('0LS0', 'small_airport', 'Theriot Field', 29.74970054626465, -90.73580169677734, 13, 'US', 'US-LA', 'Thibodaux', 'no', '0LS0', '', '0LS0', ''),
	('KLCH', 'medium_airport', 'Lake Charles Regional Airport', 30.126100540161133, -93.22329711914063, 15, 'US', 'US-LA', 'Lake Charles', 'yes', 'KLCH', 'LCH', 'LCH', ''),
	('58LA', 'small_airport', 'Sydal Acres Airport', 30.921885, -91.169186, 200, 'US', 'US-LA', 'Jackson', 'no', '58LA', '', '58LA', ''),
	('97LA', 'closed', 'Greene Air Park', 30.035963, -92.056297, 50, 'US', 'US-LA', 'Milton', 'no', '', '', '', '97LA'),
	('KARA', 'medium_airport', 'Acadiana Regional Airport', 30.0378, -91.883904, 24, 'US', 'US-LA', 'New Iberia', 'no', 'KARA', 'ARA', 'ARA', ''),
	('LS25', 'small_airport', 'Annison Private Airport', 30.704599380493164, -91.06069946289063, 120, 'US', 'US-LA', 'Slaughter', 'no', 'LS25', '', 'LS25', ''),
	('LA41', 'small_airport', 'Dupuis Airport', 30.315667, -91.940778, 20, 'US', 'US-LA', 'Breaux Bridge', 'no', 'LA41', '', 'LA41', ''),
	('LS77', 'small_airport', 'Magnolia Airpark', 30.727067, -91.148736, 140, 'US', 'US-LA', 'Slaughter', 'no', 'LS77', '', 'LS77', '7LA9, A & P Airpark'),
	('3L1', 'closed', 'Charlie Hammonds Seaplane Base', 29.589899, -90.713402, 5, 'US', 'US-LA', 'Houma', 'no', '', '', '', '3L1'),
	('LA71', 'small_airport', 'O''Brien Flying Service Airport', 30.22439956665039, -93.00019836425781, 26, 'US', 'US-LA', 'Iowa', 'no', 'LA71', '', 'LA71', ''),
	('LA79', 'small_airport', 'Sycamore Airport', 30.7185001373291, -90.35790252685547, 180, 'US', 'US-LA', 'Amite', 'no', 'LA79', '', 'LA79', ''),
	('3LA8', 'small_airport', 'Open A-1 Ranch Airport', 30.138500213623047, -93.22789764404297, 16, 'US', 'US-LA', 'Lake Charles', 'no', '3LA8', '', '3LA8', ''),
	('99LA', 'small_airport', 'Lawson Field', 30.289400100708008, -92.38899993896484, 25, 'US', 'US-LA', 'Crowley', 'no', '99LA', '', '99LA', ''),
	('0LA6', 'closed', 'Freeport Sulphur Heliport', 29.2586, -89.959198, 3, 'US', 'US-LA', 'Grand Isle', 'no', '', '', '', '0LA6'),
	('KARL', 'N/A', 'N/A', 30.37397727370262, -91.90041616559029, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMSY', 'large_airport', 'Louis Armstrong New Orleans International Airport', 29.993401, -90.258003, 4, 'US', 'US-LA', 'New Orleans', 'yes', 'KMSY', 'MSY', 'MSY', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('0LS7', 'small_airport', 'Morgan Field', 30.61280059814453, -91.48419952392578, 36, 'US', 'US-LA', 'New Roads', 'no', '0LS7', '', '0LS7', ''),
	('LA16', 'small_airport', 'Castille Field', 30.244017, -91.868341, 25, 'US', 'US-LA', 'Breaux Bridge', 'no', 'LA16', '', 'LA16', ''),
	('LA68', 'small_airport', 'Zaunbrecher Strip', 30.315799713134766, -92.5198974609375, 26, 'US', 'US-LA', 'Iota', 'no', 'LA68', '', 'LA68', ''),
	('1LA3', 'small_airport', 'Goose Island Airport', 30.030799865722656, -92.83350372314453, 4, 'US', 'US-LA', 'Hayes', 'no', '1LA3', '', '1LA3', ''),
	('7LA0', 'small_airport', 'Valverda Strip', 30.522159, -91.530855, 50, 'US', 'US-LA', 'Maringouin', 'no', '7LA0', '', '7LA0', ''),
	('6LA5', 'small_airport', 'Church Point Flyers Airport', 30.459717, -92.240512, 45, 'US', 'US-LA', 'Church Point', 'no', '6LA5', '', '6LA5', ''),
	('33LA', 'small_airport', 'Sky Ranch Airport', 30.069599151611328, -91.98619842529297, 25, 'US', 'US-LA', 'Youngsville', 'no', '33LA', '', '33LA', ''),
	('KKAL', 'N/A', 'N/A', 30.047424025833607, -92.28353127837181, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2LA0', 'small_airport', 'Central Industries Airport', 29.787957, -92.158728, 2, 'US', 'US-LA', 'Intracoastal City', 'no', '2LA0', '', '2LA0', ''),
	('KHDC', 'small_airport', 'Hammond Northshore Regional Airport', 30.521601, -90.418404, 47, 'US', 'US-LA', 'Hammond', 'no', 'KHDC', '', 'HDC', ''),
	('6R1', 'small_airport', 'Welsh Airport', 30.241899490356445, -92.82929992675781, 18, 'US', 'US-LA', 'Welsh', 'no', '6R1', '', '6R1', ''),
	('KAPS', 'N/A', 'N/A', 30.087472088634968, -90.5828332901001, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0LS5', 'small_airport', 'Trahan Ultralightport', 30.303775, -92.130547, 40, 'US', 'US-LA', 'Carencro', 'no', '0LS5', '', '0LS5', ''),
	('6LA2', 'closed', 'Division ''B'' Office Heliport', 29.587146, -90.738619, 10, 'US', 'US-LA', 'Houma', 'no', '', '', '', '6LA2'),
	('KOPL', 'small_airport', 'St Landry Parish Ahart Field', 30.558399, -92.099403, 75, 'US', 'US-LA', 'Opelousas', 'no', 'KOPL', 'OPL', 'OPL', ''),
	('LA75', 'small_airport', 'Glenn''s Strip Ultralightport', 30.2052784, -92.21444702, 29, 'US', 'US-LA', 'Duson', 'no', 'LA75', '', 'LA75', ''),
	('LS34', 'small_airport', 'Bordelon Airpark', 30.30644, -91.85955, 22, 'US', 'US-LA', 'Breaux Bridge', 'no', 'LS34', '', 'LS34', 'Formerly L28'),
	('23LA', 'small_airport', 'Warner-Thunder Hill Airport', 30.630199432373047, -90.07949829101563, 185, 'US', 'US-LA', 'Covington', 'no', '23LA', '', '23LA', ''),
	('91LA', 'small_airport', 'Koch Airport', 30.53459930419922, -92.36740112304688, 51, 'US', 'US-LA', 'Eunice', 'no', '91LA', '', '91LA', ''),
	('7LA9', 'small_airport', 'Chute N Gators Airport', 29.999507, -93.138592, 4, 'US', 'US-LA', 'Bell City', 'no', '7LA9', '', '7LA9', ''),
	('3LS8', 'small_airport', 'The Place Airport', 30.651296, -90.114369, 50, 'US', 'US-LA', 'Folsom', 'no', '3LS8', '', '3LS8', ''),
	('98LS', 'small_airport', 'Tietjes Airport', 30.434651, -92.721745, 44, 'US', 'US-LA', 'Elton', 'no', '98LS', '', '98LS', ''),
	('LA81', 'closed', 'Cheneyville / Dyer Airport', 31.001191, -92.280221, 63, 'US', 'US-LA', 'Cheneyville', 'no', '', '', '', 'LA81'),
	('LA01', 'small_airport', 'Millers Flying Service Airport', 30.48349952697754, -92.54679870605469, 44, 'US', 'US-LA', 'Basile', 'no', 'LA01', '', 'LA01', ''),
	('LS44', 'closed', 'Ken Guidry #3 Airport', 30.089899, -92.343697, 15, 'US', 'US-LA', 'Kaplan', 'no', '', '', '', 'LS44, Wills Landing Strip'),
	('32LS', 'small_airport', 'Stevens Strip', 30.41959953, -90.35900116, 13, 'US', 'US-LA', 'Ponchatoula', 'no', '32LS', '', '32LS', ''),
	('21LS', 'small_airport', 'Solitude Airstrip', 30.870399475097656, -91.43109893798828, 181, 'US', 'US-LA', 'St Francisville', 'no', '21LS', '', '21LS', ''),
	('KUXL', 'small_airport', 'Southland Field', 30.131399, -93.376099, 10, 'US', 'US-LA', 'Sulphur', 'no', 'KUXL', '', 'UXL', ''),
	('LA61', 'small_airport', 'Kenan Airstrip', 30.008627, -92.238841, 20, 'US', 'US-LA', 'Kaplan', 'no', 'LA61', '', 'LA61', ''),
	('KBTR', 'medium_airport', 'Baton Rouge Metropolitan Airport', 30.533199, -91.149597, 70, 'US', 'US-LA', 'Baton Rouge', 'yes', 'KBTR', 'BTR', 'BTR', ''),
	('1LS0', 'small_airport', 'Cal Mire Field', 30.22410011291504, -90.88200378417969, 14, 'US', 'US-LA', 'Gonzales', 'no', '1LS0', '', '1LS0', ''),
	('4R7', 'small_airport', 'Eunice Airport', 30.466299057007, -92.423797607422, 42, 'US', 'US-LA', 'Eunice', 'no', '4R7', 'UCE', '4R7', ''),
	('2LS3', 'small_airport', 'Majors Airpark', 30.626092, -91.768584, 34, 'US', 'US-LA', 'Melville', 'no', '2LS3', '', '2LS3', ''),
	('10LA', 'small_airport', 'Industrial Helicopters Inc. Airport', 30.250725, -92.095728, 35, 'US', 'US-LA', 'Scott', 'no', '10LA', '', '10LA', ''),
	('3LA0', 'small_airport', 'Harrington Flying Service Airport', 29.919700622558594, -92.24739837646484, 10, 'US', 'US-LA', 'Kaplan', 'no', '3LA0', '', '3LA0', ''),
	('KKAP', 'N/A', 'N/A', 29.81400042772293, -92.35213100910187, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LA25', 'small_airport', 'Central Farmers Coop Airport', 30.697399139404297, -92.41400146484375, 68, 'US', 'US-LA', 'Mamou', 'no', 'LA25', '', 'LA25', ''),
	('66LA', 'small_airport', 'Schexnayder Airport', 30.510499954223633, -91.39230346679688, 15, 'US', 'US-LA', 'Erwinville', 'no', '66LA', '', '66LA', ''),
	('LA73', 'small_airport', 'Huffaker Field', 29.608600616455078, -90.80229949951172, 6, 'US', 'US-LA', 'Houma', 'no', 'LA73', '', 'LA73', ''),
	('LA12', 'heliport', 'Louisiana State Police Troop B Helipad Heliport', 30.010814, -90.239242, 0, 'US', 'US-LA', 'Kenner', 'no', 'LA12', '', 'LA12', ''),
	('LS68', 'small_airport', 'Ken Guidry #1 Airport', 29.9347, -92.213501, 10, 'US', 'US-LA', 'Abbeville', 'no', 'LS68', '', 'LS68', 'Victory Flyers Landing Strip'),
	('LA90', 'small_airport', 'Walsh Airport', 30.294333775838, -92.426200866699, 26, 'US', 'US-LA', 'Crowley', 'no', 'LA90', '', 'LA90', ''),
	('KGAO', 'small_airport', 'South Lafourche Leonard Miller Jr Airport', 29.441052, -90.261129, 1, 'US', 'US-LA', 'Galliano', 'no', 'KGAO', '', 'GAO', ''),
	('LS08', 'heliport', 'Boothville Heliport', 29.353982, -89.437355, 3, 'US', 'US-LA', 'Buras', 'no', 'KLNQ', '', 'LNQ', 'LS08, Robert L Suggs Heliport'),
	('65LA', 'small_airport', 'Southern Seaplane Airport', 29.866078, -90.021608, 0, 'US', 'US-LA', 'Belle Chasse', 'no', '65LA', 'BCS', '65LA', ''),
	('20LS', 'small_airport', 'Clark Field', 30.623949, -91.032427, 62, 'US', 'US-LA', 'Zachary', 'no', 'LA15', '', 'LA15', '20LS'),
	('LA60', 'small_airport', 'Live Oak Landing Strip', 29.824421, -92.115511, 6, 'US', 'US-LA', 'Abbeville', 'no', 'LA60', '', 'LA60', ''),
	('8TA9', 'small_airport', 'Star Dusters Airport', 30.64368, -92.0583, 37, 'US', 'US-LA', 'Washington', 'no', '8TA9', '', '8TA9', ''),
	('LS14', 'small_airport', 'Lyon Airport', 30.070999, -92.825104, 6, 'US', 'US-LA', 'Thornwell', 'no', 'LS14', '', 'LS14', '3L0'),
	('KPTN', 'small_airport', 'Harry P Williams Memorial Airport', 29.709499359131, -91.338996887207, 9, 'US', 'US-LA', 'Patterson', 'no', 'KPTN', 'PTN', 'PTN', ''),
	('KNBG', 'medium_airport', 'New Orleans NAS JRB/Alvin Callender Field', 29.82530022, -90.03500366, 2, 'US', 'US-LA', 'New Orleans', 'no', 'KNBG', 'NBG', 'NBG', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LS76', 'small_airport', 'Hickham Field', 30.46269989013672, -90.17009735107422, 25, 'US', 'US-LA', 'Covington', 'no', 'LS76', '', 'LS76', ''),
	('LA04', 'closed', 'Cane-Air Airport', 30.042411, -91.063448, 17, 'US', 'US-LA', 'Belle Rose', 'no', '', '', '', 'LA04'),
	('LA21', 'small_airport', 'Chloe Airport', 30.254899978637695, -93.13520050048828, 10, 'US', 'US-LA', 'Lake Charles', 'no', 'LA21', '', 'LA21', ''),
	('22LS', 'small_airport', 'Couvillion Airport', 30.39780044555664, -91.9738998413086, 29, 'US', 'US-LA', 'Arnaudville', 'no', '22LS', '', '22LS', ''),
	('KACP', 'small_airport', 'Allen Parish Airport', 30.750299, -92.688301, 107, 'US', 'US-LA', 'Oakdale', 'no', 'KACP', '', 'ACP', ''),
	('29LS', 'seaplane_base', 'L Auberge du Lac Hotel Seaplane Base', 30.207801, -93.265298, 8, 'US', 'US-LA', 'Lake Charles', 'no', '29LS', '', '29LS', ''),
	('LS91', 'small_airport', 'Tim Bullard Memorial Airport', 30.417548, -91.974739, 32, 'US', 'US-LA', 'Arnaudville', 'no', 'LS91', '', 'LS91', ''),
	('0LA1', 'small_airport', 'Double H Ranch Airport', 30.229400634765625, -90.97339630126953, 15, 'US', 'US-LA', 'Gonzales', 'no', '0LA1', '', '0LA1', ''),
	('5R8', 'small_airport', 'De Quincy Industrial Airpark', 30.441200256347656, -93.47350311279297, 81, 'US', 'US-LA', 'De Quincy', 'no', 'K5R8', '', '5R8', ''),
	('KIYA', 'N/A', 'N/A', 29.975777864456177, -92.08422213792801, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3R2', 'small_airport', 'Le Gros Memorial Airport', 30.161603, -92.481744, 17, 'US', 'US-LA', 'Crowley', 'no', 'K3R2', '', '3R2', ''),
	('LA15', 'closed', 'Wilbert Airport', 30.259899, -91.286201, 12, 'US', 'US-LA', 'Plaquemine', 'no', '', '', '', 'LA15'),
	('LS35', 'small_airport', 'Nauga Field', 30.762500762939453, -91.27729797363281, 38, 'US', 'US-LA', 'St Francisville', 'no', 'LS35', '', 'LS35', ''),
	('0LA9', 'small_airport', 'Rebel Field', 30.586299896240234, -90.86150360107422, 74, 'US', 'US-LA', 'Watson', 'no', '0LA9', '', '0LA9', ''),
	('L83', 'small_airport', 'Thibodaux Municipal Airport', 29.747801, -90.832901, 9, 'US', 'US-LA', 'Schriever', 'no', '', '', 'L83', 'LA37'),
	('01LS', 'small_airport', 'Country Breeze Airport', 30.722478, -91.077372, 125, 'US', 'US-LA', 'Slaughter', 'no', '01LS', '', '01LS', ''),
	('LA76', 'small_airport', 'Spillers Club Airport', 30.226554, -91.898789, 16, 'US', 'US-LA', 'Breaux Bridge', 'no', 'LA76', '', 'LA76', ''),
	('21LA', 'small_airport', 'Southern Helicopters Airport', 30.296899795532227, -91.21499633789063, 28, 'US', 'US-LA', 'Baton Rouge', 'no', '21LA', '', '21LA', ''),
	('3LA6', 'small_airport', 'Morgan Crop Service Nr 2 Airport', 30.137699127197266, -93.07929992675781, 12, 'US', 'US-LA', 'Lake Charles', 'no', '3LA6', '', '3LA6', ''),
	('35LA', 'small_airport', 'Ms Pats Airport', 29.97450065612793, -92.17610168457031, 10, 'US', 'US-LA', 'Abbeville', 'no', '35LA', '', '35LA', ''),
	('3LA9', 'small_airport', 'Morgan Crop Service Airport', 30.229400634765625, -93.0885009765625, 12, 'US', 'US-LA', 'Lake Charles', 'no', '3LA9', '', '3LA9', ''),
	('46LS', 'small_airport', 'Venissat Airstrip', 30.086111, -92.532222, 4, 'US', 'US-LA', 'Gueydan', 'no', '46LS', '', '46LS', ''),
	('1LA0', 'small_airport', 'Ken Guidry #2 Airport', 30.012107, -92.526941, 6, 'US', 'US-LA', 'Gueydan', 'no', '1LA0', '', '1LA0', ''),
	('08LS', 'small_airport', 'Aeleron Airport', 30.40829, -92.033444, 51, 'US', 'US-LA', 'Sunset', 'no', '08LS', '', '08LS', ''),
	('2LA5', 'small_airport', 'Reed Flying Service Inc Airport', 30.343299865722656, -92.43209838867188, 35, 'US', 'US-LA', 'Iota', 'no', '2LA5', '', '2LA5', ''),
	('2LA6', 'small_airport', 'Howell 1 Airport', 30.833499908447266, -91.16680145263672, 180, 'US', 'US-LA', 'Jackson', 'no', '2LA6', '', '2LA6', ''),
	('LS86', 'small_airport', 'Le Blanc Field', 30.681900024414063, -90.41929626464844, 158, 'US', 'US-LA', 'Hammond', 'no', 'LS86', '', 'LS86', ''),
	('14LA', 'closed', 'Killarny Farm Airport', 30.841, -91.508202, 53, 'US', 'US-LA', 'St Francisville', 'no', '', '', '', '14LA'),
	('4LA9', 'small_airport', 'Blouin Flightpark Ultralightport', 29.736812, -90.634518, 10, 'US', 'US-LA', 'Raceland', 'no', '4LA9', '', '4LA9', ''),
	('0LS4', 'closed', 'Buller''s Airstrip', 30.808701, -92.188003, 47, 'US', 'US-LA', 'Bunkie', 'no', '', '', '', '0LS4'),
	('KKAN', 'N/A', 'N/A', 30.0831912830472, -92.26769059896469, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('L28', 'N/A', 'N/A', 30.30654352158308, -91.8598173558712, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCHP', 'N/A', 'N/A', 30.35829070955515, -92.26458013057709, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2R1', 'small_airport', 'Le Maire Memorial Airport', 29.899099349975586, -91.66600036621094, 14, 'US', 'US-LA', 'Jeanerette', 'no', 'K2R1', '', '2R1', ''),
	('88LA', 'small_airport', 'Freebird Field', 30.1294, -92.135101, 20, 'US', 'US-LA', 'Lafayette', 'no', '88LA', '', '88LA', ''),
	('44LA', 'small_airport', 'B T & K H Ranch Airport', 30.647761, -93.056785, 110, 'US', 'US-LA', 'Dry Creek', 'no', '44LA', '', '44LA', ''),
	('10LS', 'closed', 'G & J Fly A Way Ultralightport', 30.046301, -91.994598, 20, 'US', 'US-LA', 'Youngsville', 'no', '', '', '', '10LS'),
	('LS70', 'small_airport', 'Lake Air Service-Pine Island Airport', 30.340649, -92.736958, 39, 'US', 'US-LA', 'Jennings', 'no', 'LS70', '', 'LS70', ''),
	('3LA3', 'closed', 'La Coste Construction County Airport', 30.502399, -91.242897, 34, 'US', 'US-LA', 'Port Allen', 'no', '', '', '', '3LA3'),
	('0LS8', 'small_airport', 'Lonesome Dove Airfield', 30.28580093383789, -92.94129943847656, 34, 'US', 'US-LA', 'Woodlawn', 'no', '0LS8', '', '0LS8', ''),
	('38LA', 'small_airport', 'Whiteville Airport', 30.784400939941406, -92.18229675292969, 43, 'US', 'US-LA', 'Ville Platte', 'no', '38LA', '', '38LA', ''),
	('KLFT', 'medium_airport', 'Lafayette Regional Airport', 30.205299, -91.987602, 42, 'US', 'US-LA', 'Lafayette', 'yes', 'KLFT', 'LFT', 'LFT', ''),
	('7LA4', 'small_airport', 'Gladney Airport', 30.125200271606, -92.219596862793, 23, 'US', 'US-LA', 'Rayne', 'no', '', '', '7LA4', '7LA4'),
	('13LS', 'closed', 'Tee Brad''s Airport', 29.9939, -92.385517, 12, 'US', 'US-LA', 'Kaplan', 'no', '', '', '', '13LS'),
	('LS43', 'small_airport', 'Southland Strip Number 2 Ultralightport', 29.673847, -90.765244, 10, 'US', 'US-LA', 'Gray', 'no', 'LS43', '', 'LS43', ''),
	('LA46', 'small_airport', 'Omni Airport', 30.505669, -91.308618, 24, 'US', 'US-LA', 'Port Allen', 'no', 'LA46', '', 'LA46', ''),
	('LA36', 'small_airport', 'Whitehall Field Ultralightport', 30.07980537, -90.8932724, 16, 'US', 'US-LA', 'Convent', 'no', 'LA36', '', 'LA36', ''),
	('LA3', 'small_airport', 'Feliciana Airpark', 30.8078, -91.213303, 204, 'US', 'US-LA', 'Jackson', 'no', '', '', 'LA3', '4LA3, Jackson Airport'),
	('KHUM', 'small_airport', 'Houma Terrebonne Airport', 29.5664997101, -90.6604003906, 10, 'US', 'US-LA', 'Houma', 'no', 'KHUM', 'HUM', 'HUM', 'NAS Houma'),
	('KREG', 'N/A', 'N/A', 30.171366557478905, -90.9403945505619, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2R7', 'small_airport', 'Franklinton Airport', 30.819400787353516, -90.11250305175781, 175, 'US', 'US-LA', 'Franklinton', 'no', 'K2R7', '', '2R7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('4LA8', 'small_airport', 'Overton Private Airport', 30.707700729370117, -90.87429809570313, 110, 'US', 'US-LA', 'Clinton', 'no', '4LA8', '', '4LA8', ''),
	('3R7', 'small_airport', 'Jennings Airport', 30.242700576782227, -92.67340087890625, 23, 'US', 'US-LA', 'Jennings', 'no', 'K3R7', '', '3R7', ''),
	('KHZR', 'small_airport', 'False River Regional Airport', 30.7183, -91.478699, 40, 'US', 'US-LA', 'New Roads', 'no', 'KHZR', '', 'HZR', ''),
	('LS36', 'small_airport', 'Light Plane Flyers Airfield', 30.250200271606445, -92.97200012207031, 25, 'US', 'US-LA', 'Iowa', 'no', 'LS36', '', 'LS36', ''),
	('6LA4', 'closed', 'Dyer Airport', 30.81204, -92.581186, 118, 'US', 'US-LA', 'Oakdale', 'no', '', '', '', '6LA4, 6LA4, 6LA4'),
	('LA91', 'small_airport', 'Gary Landing Strip Ultralightport', 30.22201, -91.83212, 21, 'US', 'US-LA', 'Parks', 'no', 'LA91', '', 'LA91', ''),
	('LS09', 'closed', 'Sylvester''s Airport', 30.695801, -92.317596, 70, 'US', 'US-LA', 'Ville Platte', 'no', '', '', '', 'LS09'),
	('44LS', 'small_airport', 'Sheridan''s Strip', 30.472201, -90.367785, 24, 'US', 'US-LA', 'Ponchatoula', 'no', '44LS', '', '44LS', ''),
	('LS93', 'small_airport', 'Greenwood Plantation Ultralightport', 29.61079978942871, -90.89839935302734, 6, 'US', 'US-LA', 'Gibson', 'no', 'LS93', '', 'LS93', ''),
	('KDRI', 'medium_airport', 'Beauregard Regional Airport', 30.831699, -93.339897, 202, 'US', 'US-LA', 'DeRidder', 'no', 'KDRI', 'DRI', 'DRI', 'Beauregard Parish, DeRidder Army Air Base'),
	('KEUN', 'N/A', 'N/A', 30.48130251467228, -92.33570650219917, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('25LA', 'closed', 'Era - Morgan City Heliport', 29.6458, -91.119301, 5, 'US', 'US-LA', 'Amelia', 'no', '', '', '', '25LA'),
	('51LS', 'small_airport', 'Red Oak Landing Airport', 30.438053, -92.116653, 55, 'US', 'US-LA', 'Sunset', 'no', '51LS', '', '51LS', ''),
	('17LS', 'small_airport', 'Yankee Field', 30.611979, -91.985704, 45, 'US', 'US-LA', 'Port Barre', 'no', '17LS', '', '17LS', ''),
	('63LA', 'small_airport', 'Leonards Airfield & Indust Park Airport', 29.964099884033203, -91.91210174560547, 23, 'US', 'US-LA', 'Delcambre', 'no', '63LA', '', '63LA', ''),
	('LS92', 'small_airport', 'Koenig Airpark', 30.597400665283203, -90.31590270996094, 100, 'US', 'US-LA', 'Robert', 'no', 'LS92', '', 'LS92', ''),
	('LA87', 'small_airport', 'Covington-Vincent Airport', 30.509599685668945, -90.15290069580078, 35, 'US', 'US-LA', 'Covington', 'no', 'LA87', '', 'LA87', ''),
	('LA92', 'heliport', 'Union Dulac Heliport', 29.37299919128418, -90.72059631347656, 0, 'US', 'US-LA', 'Dulac', 'no', 'LA92', '', 'LA92', ''),
	('12LA', 'small_airport', 'Kml Airport', 30.27589988708496, -93.3573989868164, 20, 'US', 'US-LA', 'Sulphur', 'no', '12LA', '', '12LA', ''),
	('12LS', 'small_airport', 'Hains Airstrip', 30.178600311279297, -92.28500366210938, 20, 'US', 'US-LA', 'Rayne', 'no', '12LS', '', '12LS', ''),
	('LS18', 'small_airport', 'Ag Aviation Airport', 30.223899841308594, -92.77860260009766, 21, 'US', 'US-LA', 'Welsh', 'no', 'LS18', '', 'LS18', 'Formerly 0LS1'),
	('2LA3', 'seaplane_base', 'Exxon Intracoastal City Terminal Seaplane Base', 29.824899673461914, -92.13289642333984, 8, 'US', 'US-LA', 'Intracoastal City', 'no', '2LA3', '', '2LA3', ''),
	('LS54', 'small_airport', 'Brian''s Ultralightport', 30.694865, -91.1928, 65, 'US', 'US-LA', 'Zachary', 'no', 'LS54', '', 'LS54', ''),
	('LA88', 'closed', 'Hensgens Strip', 30.344601, -92.343201, 35, 'US', 'US-LA', 'Crowley', 'no', '', '', '', 'LA88'),
	('KNAP', 'N/A', 'N/A', 29.929574131965637, -90.98757013678551, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('00LS', 'small_airport', 'Lejeune Airport', 30.136299, -92.429398, 12, 'US', 'US-LA', 'Crowley', 'no', '00LS', '', '00LS', ''),
	('KCRR', 'N/A', 'N/A', 30.142790973186493, -92.3333452641964, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3LA4', 'small_airport', 'Little Pecan Island Airport', 29.799701, -92.803563, 7, 'US', 'US-LA', 'Grand Chenier', 'no', '3LA4', '', '3LA4', 'Lake Arthur'),
	('LA13', 'small_airport', 'Shaw Crop Service Airport', 30.57819938659668, -90.31590270996094, 95, 'US', 'US-LA', 'Hammond', 'no', 'LA13', '', 'LA13', ''),
	('LA57', 'small_airport', 'Kinder Ag Service Airport', 30.399099, -92.408997, 45, 'US', 'US-LA', 'Eunice', 'no', 'LA57', '', 'LA57', 'Mowata Flying Service-Eunice Airport'),
	('39LA', 'small_airport', 'Whitaker Ultralightport', 30.58833333, -92.23055556, 65, 'US', 'US-LA', 'Chataignier', 'no', '39LA', '', '39LA', ''),
	('LA07', 'small_airport', 'Price Ultralightport', 30.517499923706055, -90.00830078125, 50, 'US', 'US-LA', 'Abita Springs', 'no', 'LA07', '', 'LA07', ''),
	('1LS5', 'small_airport', 'Cameron Airstrip', 29.803300857543945, -93.33460235595703, 5, 'US', 'US-LA', 'Cameron', 'no', '1LS5', '', '1LS5', ''),
	('KARU', 'N/A', 'N/A', 30.373883061110973, -91.90026417374611, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('62LA', 'small_airport', 'Ken Guidry #4 Airport', 30.074877, -92.214406, 21, 'US', 'US-LA', 'Kaplan', 'no', '62LA', '', '62LA', ''),
	('KNEW', 'medium_airport', 'Lakefront Airport', 30.042400360107, -90.028297424316, 8, 'US', 'US-LA', 'New Orleans', 'no', 'KNEW', 'NEW', 'NEW', ''),
	('LS26', 'closed', 'Caillou Island Heliport', 29.120001, -90.493797, 0, 'US', 'US-LA', 'Cocodrie', 'no', '', '', '', 'LS26'),
	('1LA5', 'small_airport', 'Morrow Strip', 30.7992000579834, -92.05970001220703, 40, 'US', 'US-LA', 'Morrow', 'no', '1LA5', '', '1LA5', ''),
	('2LA4', 'small_airport', 'Bunkie Flying Service Airport', 30.929100036621094, -92.1792984008789, 65, 'US', 'US-LA', 'Bunkie', 'no', '2LA4', '', '2LA4', ''),
	('LS88', 'small_airport', 'Kreswell Airport', 30.449677, -92.326258, 42, 'US', 'US-LA', 'Eunice', 'no', 'LS88', '', 'LS88', ''),
	('1LA1', 'small_airport', 'Triche Field', 29.98349952697754, -90.43479919433594, 10, 'US', 'US-LA', 'Hahnville', 'no', '1LA1', '', '1LA1', ''),
	('61R', 'small_airport', 'Newton Municipal Airport', 30.884399, -93.741798, 320, 'US', 'US-TX', 'Newton', 'no', 'K61R', '', '61R', ''),
	('38LS', 'small_airport', 'Ace Flying Airport', 30.2367000579834, -91.82969665527344, 23, 'US', 'US-LA', 'Parks', 'no', '38LS', '', '38LS', ''),
	('34LA', 'small_airport', 'Swamp Smith Airport', 30.772236, -93.271465, 180, 'US', 'US-LA', 'DeRidder', 'no', '34LA', '', '34LA', ''),
	('MM81', 'small_airport', 'Estación Aeronaval de Isla Socorro', 18.775949, -110.930972, 1085, 'MX', 'MX-COL', 'Archipiélago de Revillagigedo', 'no', 'MM81', '', 'MM81', ''),
	('MM40', 'N/A', 'N/A', 21.65016084909439, -106.53813421726227, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVS', 'N/A', 'N/A', 20.809389911592007, -105.25486171245575, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM02', 'N/A', 'N/A', 22.483138293027878, -105.41159525513649, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTT', 'N/A', 'N/A', 19.897286295890808, -105.29486954212189, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUW', 'N/A', 'N/A', 21.83975614607334, -105.1730065047741, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MX85', 'N/A', 'N/A', 21.07531551271677, -105.22636145353317, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMQX', 'N/A', 'N/A', 21.18964198976755, -105.14953449368477, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTV', 'N/A', 'N/A', 19.71890028566122, -105.23267135024071, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM0M', 'N/A', 'N/A', 19.95151251554489, -105.34165665507317, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUT', 'N/A', 'N/A', 21.94255616515875, -105.2746693789959, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWG', 'N/A', 'N/A', 21.546114943921566, -105.28773531317711, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPR', 'large_airport', 'Puerto Vallarta International Airport', 20.679913, -105.254391, 23, 'MX', 'MX-JAL', 'Puerto Vallarta', 'yes', 'MMPR', 'PVR', '', 'Licenciado Gustavo Díaz Ordaz'),
	('MMRP', 'N/A', 'N/A', 19.534397162497044, -105.0759905576706, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVW', 'N/A', 'N/A', 19.622827246785164, -105.17090544104576, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOM', 'small_airport', 'Francisco Primo de Verdad y Ramos Airport', 21.258983, -101.943758, 6227, 'MX', 'MX-JAL', 'Lagos de Moreno', 'no', 'MMOO', 'LOM', 'LMO', ''),
	('MM33', 'N/A', 'N/A', 21.99159935116768, -103.28291684389114, 1735, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDI', 'N/A', 'N/A', 20.309084840118885, -103.15982088446617, 1528, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHT', 'N/A', 'N/A', 21.240615025162697, -104.16787907481194, 1082, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAS', 'medium_airport', 'Aeropuerto Internacional Jesús Terán Peredo', 21.699589, -102.318372, 6112, 'MX', 'MX-AGU', 'Aguascalientes', 'yes', 'MMAS', 'AGU', '', 'Aguascalientes International, Licenciado Jesús Terán Peredo'),
	('MMGO', 'N/A', 'N/A', 21.880452632904053, -104.0195032954216, 1095, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPF', 'N/A', 'N/A', 20.418793223798275, -102.92344763875008, 1559, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMS', 'N/A', 'N/A', 20.536648146808147, -104.80317369103432, 1232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTL', 'medium_airport', 'Felipe Carrillo Puerto International Airport', 20.172098, -87.660272, 66, 'MX', 'MX-ROO', 'Tulum', 'yes', 'MMTL', 'TQO', '', ''),
	('MMHS', 'N/A', 'N/A', 21.393771842122078, -104.12845194339752, 1317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUD', 'N/A', 'N/A', 20.53890723735094, -101.45027071237564, 1718, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM70', 'N/A', 'N/A', 20.67486774176359, -101.3110662996769, 1730, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGL', 'large_airport', 'Guadalajara International Airport', 20.523342, -103.310108, 5016, 'MX', 'MX-JAL', 'Guadalajara', 'yes', 'MMGL', 'GDL', 'GDL', 'Miguel Hidalgo y Costilla Guadalajara'),
	('MMLO', 'medium_airport', 'Aeropuerto Internacional del Bajío', 20.992695, -101.480284, 5956, 'MX', 'MX-GUA', 'Silao', 'yes', 'MMLO', 'BJX', 'BJ1', ''),
	('MMWM', 'N/A', 'N/A', 22.201257906854153, -104.64716881513596, 1317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQA', 'N/A', 'N/A', 21.60706378519535, -104.8324066400528, 636, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRN', 'N/A', 'N/A', 20.31265988945961, -101.99536398053169, 1713, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNF', 'N/A', 'N/A', 20.553246662020683, -102.69219562411308, 1549, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFS', 'N/A', 'N/A', 21.430152989923954, -103.90550315380096, 722, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM1P', 'N/A', 'N/A', 20.16472365707159, -102.61792168021202, 1526, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXB', 'N/A', 'N/A', 22.013764455914497, -104.54405128955841, 464, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDK', 'N/A', 'N/A', 21.691603995859623, -103.82697656750679, 875, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRU', 'N/A', 'N/A', 20.611173659563065, -103.81990894675255, 1267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWR', 'N/A', 'N/A', 22.23616249859333, -104.27184283733368, 1966, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM25', 'small_airport', 'Capitán Piloto Aviador José Covarrubias Pérez Airport', 19.7085, -103.489998, 4987, 'MX', 'MX-JAL', 'Ciudad Guzman', 'no', '', '', 'CGZ', 'MM25, MX24'),
	('MMTZ', 'N/A', 'N/A', 21.759346202015877, -103.30187916755676, 1715, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGK', 'N/A', 'N/A', 21.787028275430202, -103.77457424998283, 927, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWO', 'N/A', 'N/A', 22.316624745726585, -104.02070760726929, 2298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQF', 'N/A', 'N/A', 21.583717837929726, -104.68911319971085, 751, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJP', 'N/A', 'N/A', 21.740490272641182, -102.96599507331848, 1498, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDL', 'N/A', 'N/A', 20.78434880822897, -102.67224445939064, 1915, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGZ', 'N/A', 'N/A', 21.509229876101017, -103.80409643054008, 1291, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWQ', 'N/A', 'N/A', 22.191277742385864, -104.24540653824806, 1958, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM47', 'small_airport', 'Jaujilla - Zacapu Municipal Airport', 19.8515, -101.751999, 6532, 'MX', 'MX-MIC', 'Zacapu', 'no', 'MM47', '', 'ZPU', ''),
	('MM63', 'small_airport', 'Autlán Airport', 19.7453, -104.336998, 2900, 'MX', 'MX-JAL', 'Autlán de Navarro', 'no', 'MM63', '', 'AUN', 'MM63, MX08'),
	('MMWP', 'N/A', 'N/A', 22.218099161982536, -104.05988529324532, 2186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAJ', 'N/A', 'N/A', 21.041269227862358, -104.44315955042839, 1017, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GAV', 'small_airport', 'Los Gavilanes Airport', 22.079585, -104.585335, 4167, 'MX', 'MX-NAY', 'El Nayar', 'no', '', '', 'GAV', ''),
	('MMLF', 'N/A', 'N/A', 20.775294341146946, -101.34810268878937, 1749, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDJ', 'N/A', 'N/A', 20.191477350890636, -104.41378712654114, 1766, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZM', 'small_airport', 'Zamora Airport', 20.045, -102.276001, 5141, 'MX', 'MX-MIC', '', 'no', 'MMZM', 'ZMM', 'ZAM', ''),
	('MMZP', 'small_airport', 'Zapopan Air Force Base', 20.747917, -103.462597, 5333, 'MX', 'MX-JAL', 'Zapopan', 'no', 'MMZP', '', 'ZAP', 'Base Nº5'),
	('MMLV', 'N/A', 'N/A', 19.696484059095383, -103.83397936820984, 1141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMUX', 'N/A', 'N/A', 21.68285731226206, -104.30555552244186, 1159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM43', 'N/A', 'N/A', 20.37117261439562, -102.77358010411263, 1529, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUE', 'N/A', 'N/A', 21.030445508658886, -101.67058289051056, 1784, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRS', 'N/A', 'N/A', 21.442579999566078, -104.1962143778801, 1398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMC', 'N/A', 'N/A', 20.76608296483755, -104.8676285147667, 1316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEP', 'medium_airport', 'Amado Nervo National Airport', 21.419833, -104.842472, 3020, 'MX', 'MX-NAY', 'Tepic', 'yes', 'MMEP', 'TPQ', 'TNY', 'Tepic Airport'),
	('MMLJ', 'N/A', 'N/A', 22.002877704799175, -104.64811339974403, 1034, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMGQ', 'N/A', 'N/A', 21.7087771743536, -104.09107580780983, 1141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDW', 'N/A', 'N/A', 19.19752713292837, -104.54065516591072, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBF', 'N/A', 'N/A', 18.980194106698036, -102.71658539772034, 294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSX', 'N/A', 'N/A', 19.444430507719517, -103.67129489779472, 1433, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAB', 'N/A', 'N/A', 18.742326088249683, -102.80089527368546, 950, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKM', 'N/A', 'N/A', 18.792978264391422, -103.78635227680206, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBV', 'N/A', 'N/A', 19.205709882080555, -102.61751621961594, 453, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUI', 'N/A', 'N/A', 19.205661602318287, -102.8313821554184, 384, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOG', 'N/A', 'N/A', 18.987376391887665, -102.11211785674095, 352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPW', 'N/A', 'N/A', 19.178125709295273, -101.50024384260178, 1431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVC', 'N/A', 'N/A', 18.51989082992077, -102.37521842122078, 928, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPX', 'N/A', 'N/A', 19.54560410231352, -101.57507210969925, 2049, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZH', 'medium_airport', 'Aeropuerto Internacional de Zihuatanejo', 17.601771, -101.460629, 26, 'MX', 'MX-GRO', 'Ixtapa', 'yes', 'MMZH', 'ZIH', '', ''),
	('MMAI', 'N/A', 'N/A', 19.623852856457233, -103.84354457259178, 1102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUG', 'N/A', 'N/A', 19.165072739124298, -102.85643354058266, 366, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUH', 'N/A', 'N/A', 19.202079512178898, -102.83713772892952, 378, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDX', 'N/A', 'N/A', 18.781096078455448, -103.75659137964249, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAO', 'N/A', 'N/A', 19.237047135829926, -101.67946547269821, 2058, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMKW', 'N/A', 'N/A', 19.001311138272285, -102.21762746572495, 336, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEX', 'N/A', 'N/A', 19.02610581368208, -104.23290833830833, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM66', 'small_airport', 'Coahuayana Airport', 18.684601, -103.676003, 200, 'MX', 'MX-MIC', '', 'no', '', '', 'CHY', 'MM66'),
	('MMBO', 'N/A', 'N/A', 19.074297733604908, -102.79909998178482, 314, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTF', 'N/A', 'N/A', 19.448501095175743, -103.68390038609505, 1375, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOL', 'N/A', 'N/A', 19.37936346977949, -104.98741641640663, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZO', 'medium_airport', 'Aeropuerto Internacional Playa de Oro', 19.1448, -104.558998, 30, 'MX', 'MX-COL', 'Manzanillo', 'yes', 'MMZO', 'ZLO', '', 'Manzanillo Costalegre'),
	('MMTI', 'N/A', 'N/A', 19.32900432497263, -102.32743263244629, 2119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTX', 'small_airport', 'Zapotiltic - Tuxpan Airport', 19.5996, -103.371, 3900, 'MX', 'MX-JAL', 'Zapotiltic', 'no', 'MMTX', '', 'ZPC', ''),
	('MMIA', 'medium_airport', 'Aeropuerto Internacional Licenciado Miguel de la Madrid', 19.277, -103.577002, 2467, 'MX', 'MX-COL', 'Colima', 'yes', 'MMIA', 'CLQ', 'COL', 'Lic. Miguel de la Madrid Airport, Colima Airport'),
	('MMPN', 'medium_airport', 'Uruapan - Licenciado y General Ignacio Lopez Rayon International Airport', 19.3967, -102.039001, 5258, 'MX', 'MX-MIC', 'Uruapan', 'yes', 'MMPN', 'UPN', '', ''),
	('MMFE', 'N/A', 'N/A', 19.22794170677662, -102.6859599351883, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDH', 'N/A', 'N/A', 19.617008194327354, -104.45097416639328, 327, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAG', 'N/A', 'N/A', 19.09355029463768, -102.39366933703423, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNZ', 'N/A', 'N/A', 18.987252339720726, -102.08512678742409, 354, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJU', 'N/A', 'N/A', 19.217934049665928, -104.66293931007385, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOD', 'N/A', 'N/A', 19.15551133453846, -102.0088130235672, 560, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM87', 'N/A', 'N/A', 21.803557388484478, -97.65454530715942, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOO', 'N/A', 'N/A', 22.043279819190502, -98.47290515899658, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSM', 'large_airport', 'Aeropuerto Internacional General Felipe Ángeles', 19.7357, -99.0257, 7369, 'MX', 'MX-MEX', 'Mexico City', 'yes', 'MMSM', 'NLU', 'SLM', 'Santa Lucia AFB, Mexico City Santa Lucía Airport, Zumpango'),
	('MMMM', 'medium_airport', 'General Francisco J. Mujica International Airport', 19.849899, -101.025002, 6033, 'MX', 'MX-MIC', 'Morelia', 'yes', 'MMMM', 'MLM', '', ''),
	('MMPK', 'N/A', 'N/A', 22.287549935281277, -98.61304566264153, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCX', 'N/A', 'N/A', 21.91215232014656, -98.95578905940056, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM85', 'N/A', 'N/A', 21.947805918753147, -98.506418466568, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDZ', 'N/A', 'N/A', 21.126103475689888, -100.4059910774231, 2048, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMYK', 'N/A', 'N/A', 19.70230109989643, -98.81157606840134, 2309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMSW', 'N/A', 'N/A', 21.651946865022182, -98.59551027417183, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQT', 'medium_airport', 'Querétaro Intercontinental Airport', 20.6173, -100.185997, 6296, 'MX', 'MX-QUE', 'Querétaro', 'yes', 'MMQT', 'QRO', 'QET', ''),
	('MMPP', 'small_airport', 'Punta Pescadero Airport', 23.803329, -109.707348, 33, 'MX', 'MX-BCS', 'La Paz', 'no', 'MMPP', '', 'PPC', ''),
	('MMPJ', 'N/A', 'N/A', 22.139842361211777, -98.51655542850494, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEQ', 'N/A', 'N/A', 21.91685289144516, -98.55127707123756, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFB', 'N/A', 'N/A', 21.65503542870283, -100.77658161520958, 1854, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPC', 'small_airport', 'Aeropuerto Nacional Ingeniero Juan Guillermo Villasana', 20.0774, -98.782501, 7600, 'MX', 'MX-HID', 'Pachuca', 'no', 'MMPC', '', 'PCA', ''),
	('MMZX', 'N/A', 'N/A', 22.324042059481144, -98.16478371620178, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCR', 'N/A', 'N/A', 21.231157556176186, -100.8359183371067, 1985, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM28', 'closed', 'Aeródromo de Tizayuca', 19.874001, -98.943604, 7645, 'MX', 'MX-HID', 'Tizayuca', 'no', '', '', '', 'MM28, TIZ'),
	('MMEW', 'N/A', 'N/A', 21.9119793176651, -98.73006105422974, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQN', 'N/A', 'N/A', 22.10200946778059, -97.97594949603081, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQC', 'N/A', 'N/A', 22.132057920098305, -98.20661947131157, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXTE', 'N/A', 'N/A', 22.12625127285719, -101.01242512464523, 1916, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSP', 'medium_airport', 'Ponciano Arriaga International Airport', 22.254299163800003, -100.930999756, 6035, 'MX', 'MX-SLP', 'San Luis Potosí', 'yes', 'MMSP', 'SLP', '', 'Estafeta'),
	('MMOV', 'N/A', 'N/A', 22.195302061736584, -98.42139333486557, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM34', 'N/A', 'N/A', 21.158354356884956, -97.75596722960472, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJL', 'N/A', 'N/A', 21.250960640609264, -99.48018595576286, 712, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRV', 'N/A', 'N/A', 21.917270980775356, -99.93922144174576, 986, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCY', 'medium_airport', 'Aeropuerto Nacional Captain Rogelio Castillo', 20.545687, -100.886722, 5709, 'MX', 'MX-GUA', 'Celaya', 'no', 'MMCY', 'CYW', 'CYA', ''),
	('MMAC', 'N/A', 'N/A', 20.908350348472595, -100.70257902145386, 2040, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTM', 'medium_airport', 'General Francisco Javier Mina International Airport', 22.2964000702, -97.8658981323, 80, 'MX', 'MX-TAM', 'Tampico', 'yes', 'MMTM', 'TAM', '', ''),
	('MM27', 'closed', 'Cementos Mexicanos Airport', 21.983999, -98.961899, 302, 'MX', 'MX-SLP', 'Ciudad Valles', 'no', '', '', '', 'MX26, MM27, CMX'),
	('MMZD', 'N/A', 'N/A', 22.45507400482893, -98.7634152173996, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTN', 'small_airport', 'Aeropuerto Nacional de Tamuín', 22.0383, -98.806502, 164, 'MX', 'MX-SLP', 'Tamuin', 'no', 'MMTN', 'TSL', 'TMN', ''),
	('MMSB', 'N/A', 'N/A', 21.44419502466917, -100.93777611851692, 2147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXL', 'N/A', 'N/A', 21.981283575296402, -97.71618068218231, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTA', 'small_airport', 'Estación No. 9 de la Fuerza Aérea Mexicana', 19.537992, -98.173492, 8229, 'MX', 'MX-TLA', 'Atlangatepec', 'no', 'MMTA', '', '', 'Estación aérea n.° 9 Atlangatepec'),
	('MM73', 'small_airport', 'Huetamo Airport', 18.52739906311, -100.8509979248, 984, 'MX', 'MX-MIC', 'Huetamo', 'no', 'MM73', '', 'HTM', 'MM2M'),
	('MMUK', 'N/A', 'N/A', 18.700432665646076, -98.89198333024979, 1226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMX', 'large_airport', 'Benito Juárez International Airport', 19.435137, -99.071328, 7316, 'MX', 'MX-DIF', 'Ciudad de México', 'yes', 'MMMX', 'MEX', 'ME1', 'AICM'),
	('MMCF', 'N/A', 'N/A', 17.768894098699093, -98.57688277959824, 898, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXJ', 'N/A', 'N/A', 18.850394301116467, -98.44699546694756, 1750, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCB', 'medium_airport', 'Aeropuerto Internacional Mariano Matamoros', 18.833922, -99.261818, 4277, 'MX', 'MX-MOR', 'Temixco', 'no', 'MMCB', 'CVJ', '', ''),
	('MMPZ', 'N/A', 'N/A', 19.4766927883029, -100.4322874546051, 1905, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVO', 'N/A', 'N/A', 17.266728915274143, -100.96455350518227, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTO', 'medium_airport', 'Adolfo López Mateos International Airport', 19.3369, -99.56583, 8466, 'MX', 'MX-MEX', 'Toluca', 'yes', 'MMTO', 'TLC', '', 'Aeropuerto Internacional Adolfo López Mateos'),
	('MMJC', 'small_airport', 'Aeropuerto Nacional Jorge Jiménez Cantú', 19.574155, -99.291183, 8120, 'MX', 'MX-MEX', 'Atizapán de Zaragoza', 'no', 'MMJC', 'AZP', 'JJC', 'Jorge Jiménez Cantú'),
	('MMCH', 'small_airport', 'Chilpancingo National Airport', 17.574111, -99.515374, 4199, 'MX', 'MX-GRO', 'Chilpancingo', 'no', 'MMCH', '', 'CHG', ''),
	('MMOJ', 'N/A', 'N/A', 17.816300131380558, -97.74271845817566, 1628, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMLN', 'N/A', 'N/A', 19.67138696461916, -99.32275593280792, 2398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM62', 'small_airport', 'Aeródromo Zacacoyuca', 18.26992, -99.517491, 2890, 'MX', 'MX-GRO', 'Iguala de la Independencia', 'no', 'MM62', '', 'ZKA', 'MM2B, MX50'),
	('MMPO', 'small_airport', 'Pinotepa Nacional Airport', 16.37921, -98.1171, 833, 'MX', 'MX-OAX', 'Santiago Pinotepa Nacional', 'no', '', '', 'MCN', 'Aeródromo de Mancuernas'),
	('MMTH', 'N/A', 'N/A', 18.592784218490124, -99.2599681019783, 971, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSZ', 'N/A', 'N/A', 19.252543598413467, -97.67753586173058, 2349, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM41', 'small_airport', 'Base Nº7 de la Fuerza Aérea Mexicana (Gustavo G. León González)', 16.907322, -99.98286, 20, 'MX', 'MX-GRO', 'Ciudad de Acapulco', 'no', 'MM41', '', 'TRC', 'MM1I, La Base Aérea n.º 7'),
	('MMUF', 'N/A', 'N/A', 18.574276976287365, -99.59661886096, 1901, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMLL', 'N/A', 'N/A', 19.142777547240257, -98.7677375972271, 2471, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM35', 'small_airport', 'Santa Bárbara Regional Airport', 18.326172, -100.631637, 876, 'MX', 'MX-GRO', 'Pungarabato', 'no', 'MM35', '', 'CAT', 'MM1C, MX23, Altamirano'),
	('MM09', 'N/A', 'N/A', 18.648856803774834, -99.261684268713, 996, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEY', 'N/A', 'N/A', 17.219429165124893, -100.44788181781769, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMPB', 'medium_airport', 'Aeropuerto Internacional Hermanos Serdán', 19.158465, -98.371582, 7361, 'MX', 'MX-PUE', 'Puebla', 'yes', 'MMPB', 'PBC', '', ''),
	('MMDY', 'N/A', 'N/A', 19.145186841487885, -100.07481247186661, 2193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMMQ', 'N/A', 'N/A', 17.891825772821903, -99.66918423771858, 1435, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTW', 'N/A', 'N/A', 19.583786688745022, -98.0898267030716, 2698, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM29', 'small_airport', 'Aeródromo Ta Lo De Soto', 16.464618, -98.398468, 220, 'MX', 'MX-GRO', 'Cuajinicuilapa', 'no', 'MM29', '', 'CJP', ''),
	('MM92', 'N/A', 'N/A', 16.106927655637264, -97.61477842926979, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXUC', 'N/A', 'N/A', 16.82864673435688, -98.29791471362114, 478, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM93', 'N/A', 'N/A', 16.277768276631832, -97.82984599471092, 465, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMAA', 'medium_airport', 'Aeropuerto Internacional Juan N. Álvarez', 16.757126, -99.753113, 16, 'MX', 'MX-GRO', 'Ciudad de Acapulco', 'yes', 'MMAA', 'ACA', '', ''),
	('MXWC', 'N/A', 'N/A', 20.152322463691235, -96.94594234228134, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXBH', 'N/A', 'N/A', 20.309183411300182, -97.32303366065025, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM31', 'small_airport', 'Fausto Vega Santander Airport', 20.9468, -97.375099, 10, 'MX', 'MX-VER', 'Túxpam de Rodríguez Cano', 'no', 'MM31', '', 'MM31', ''),
	('MMSY', 'N/A', 'N/A', 20.062239803373814, -97.08722591400146, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPA', 'medium_airport', 'El Tajín National Airport', 20.6026992798, -97.46080017090001, 497, 'MX', 'MX-VER', 'Poza Rica', 'yes', 'MMPA', 'PAZ', '', ''),
	('MXUB', 'N/A', 'N/A', 18.246925435960293, -95.72106912732124, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVR', 'medium_airport', 'General Heriberto Jara International Airport', 19.1459007263, -96.1873016357, 90, 'MX', 'MX-VER', 'Veracruz', 'yes', 'MMVR', 'VER', '', ''),
	('MMHC', 'small_airport', 'Tehuacan Airport', 18.4972, -97.419899, 5509, 'MX', 'MX-PUE', '', 'no', 'MMHC', 'TCN', '', ''),
	('MMJA', 'medium_airport', 'El Lencero Airport', 19.4751, -96.797501, 3127, 'MX', 'MX-VER', 'Xalapa', 'no', 'MMJA', 'JAL', '', ''),
	('TES', 'small_airport', 'Testega Airstrip', -1.378076, 133.594204, 3750, 'ID', 'ID-PB', 'Testega', 'no', '', '', 'TES', 'WT46'),
	('MMKN', 'N/A', 'N/A', 18.29401597380638, -96.19431495666504, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXDF', 'N/A', 'N/A', 18.39810311794281, -95.22250235080719, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMWB', 'N/A', 'N/A', 18.022519759833813, -95.85371509194374, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOX', 'medium_airport', 'Aeropuerto Internacional Xoxocotlán', 17.000814, -96.72197, 4989, 'MX', 'MX-OAX', 'Oaxaca', 'yes', 'MMOX', 'OAX', '', ''),
	('MMMT', 'medium_airport', 'Minatitlán/Coatzacoalcos International Airport', 18.103399, -94.580704, 36, 'MX', 'MX-VER', 'Cosoleacaque', 'yes', 'MMMT', 'MTT', '', ''),
	('MMZI', 'N/A', 'N/A', 18.48991010338068, -96.35942503809929, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIN', 'N/A', 'N/A', 18.208792135119438, -96.09105303883553, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM20', 'small_airport', 'Ingeniero Juan Antonio Perdomo Diaz Airport', 18.874201, -96.958199, 2960, 'MX', 'MX-VER', 'Cordoba', 'no', 'MM20', '', 'CRV', 'Cordaba Airport, MX29'),
	('MMVE', 'N/A', 'N/A', 17.63199783861637, -94.90984663367271, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUZ', 'N/A', 'N/A', 16.496263705193996, -94.39849376678467, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJX', 'N/A', 'N/A', 16.29732459783554, -94.16474640369415, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXTH', 'N/A', 'N/A', 15.95570471137762, -93.79293948411942, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM57', 'small_airport', 'Estación Aeronaval de Salina Cruz', 16.212601, -95.201599, 75, 'MX', 'MX-OAX', 'Salina Cruz', 'no', 'MMSZ', 'SCX', 'MM57', ''),
	('MMJK', 'N/A', 'N/A', 16.669553853571415, -97.46822655200958, 1152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBT', 'medium_airport', 'Bahías de Huatulco International Airport', 15.774909, -96.260319, 464, 'MX', 'MX-OAX', 'Huatulco', 'yes', 'MMBT', 'HUX', 'HU1', ''),
	('MMJG', 'N/A', 'N/A', 16.537710539996624, -97.47987940907478, 1072, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMJH', 'N/A', 'N/A', 16.643735580146313, -97.49174952507019, 1628, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPS', 'medium_airport', 'Aeropuerto Internacional de Puerto Escondido', 15.874859, -97.091868, 294, 'MX', 'MX-OAX', 'Puerto Escondido', 'yes', 'MMPS', 'PXM', 'P1M', ''),
	('MXDB', 'N/A', 'N/A', 16.52355819940567, -97.43572935461998, 1176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMIT', 'medium_airport', 'Aeropuerto Nacional General Antonio Cárdenas Rodríguez', 16.438915, -95.090328, 164, 'MX', 'MX-OAX', 'Ixtepec', 'yes', 'MMIT', 'IZT', '', ''),
	('MMRW', 'N/A', 'N/A', 16.732996478676796, -97.49092563986778, 1188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTS', 'N/A', 'N/A', 19.767541140317917, -90.17038598656654, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTR', 'N/A', 'N/A', 19.808576591312885, -90.13792365789413, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCP', 'medium_airport', 'Ingeniero Alberto Acuña Ongay International Airport', 19.816799163800003, -90.5002975464, 34, 'MX', 'MX-CAM', 'Campeche', 'yes', 'MMCP', 'CPE', '', ''),
	('MMMN', 'N/A', 'N/A', 20.59642519801855, -90.08061602711678, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBL', 'N/A', 'N/A', 17.98932809382677, -91.68756633996964, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM46', 'N/A', 'N/A', 17.463496774435043, -91.40677571296692, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMBU', 'N/A', 'N/A', 17.73442268371582, -92.62816518545151, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM78', 'N/A', 'N/A', 17.480367198586464, -93.49169254302979, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMVA', 'medium_airport', 'Carlos Rovirosa Pérez International Airport', 17.996999740600586, -92.81739807128906, 46, 'MX', 'MX-TAB', 'Villahermosa', 'yes', 'MMVA', 'VSA', '', 'Villahermosa International Airport'),
	('MMNN', 'N/A', 'N/A', 17.607837840914726, -93.01134869456291, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMFQ', 'N/A', 'N/A', 17.578684575855732, -93.41253474354744, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMUA', 'N/A', 'N/A', 17.61170793324709, -92.99585536122322, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEZ', 'N/A', 'N/A', 17.911520898342133, -91.74901083111763, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOK', 'N/A', 'N/A', 19.285804331302643, -90.29774531722069, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEF', 'N/A', 'N/A', 18.603298142552376, -90.71511805057526, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEG', 'N/A', 'N/A', 18.66742741316557, -90.73036819696426, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEK', 'N/A', 'N/A', 17.654410041868687, -92.96776995062828, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXTI', 'N/A', 'N/A', 17.53381423652172, -90.77780038118362, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMEU', 'N/A', 'N/A', 17.587077878415585, -92.95027792453766, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDS', 'N/A', 'N/A', 17.685085125267506, -93.38495224714279, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPI', 'N/A', 'N/A', 18.267825543880463, -92.09078639745712, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDQ', 'N/A', 'N/A', 17.979932986199856, -93.23178336024284, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQP', 'N/A', 'N/A', 17.57777765393257, -93.0669629573822, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMRI', 'N/A', 'N/A', 17.71680761128664, -92.94589519500732, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNB', 'N/A', 'N/A', 17.66190581023693, -92.98650562763214, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXJA', 'N/A', 'N/A', 18.43382142484188, -93.33981916308403, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMLY', 'N/A', 'N/A', 19.473588801920414, -90.66293254494667, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPM', 'N/A', 'N/A', 17.576855644583702, -92.56943017244339, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMOS', 'N/A', 'N/A', 16.891924738883972, -92.05494403839111, 864, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTY', 'N/A', 'N/A', 17.58420690894127, -92.8206878900528, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDU', 'N/A', 'N/A', 17.63778369873762, -93.4088645875454, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPV', 'N/A', 'N/A', 17.92156007140875, -93.5752871632576, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM60', 'N/A', 'N/A', 17.533632181584835, -91.98453471064568, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDN', 'N/A', 'N/A', 18.182854168117046, -91.02007314562798, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPQ', 'small_airport', 'Palenque International Airport', 17.533153, -92.015484, 200, 'MX', 'MX-CHP', 'Palenque', 'yes', 'MMPQ', 'PQM', '', ''),
	('MMCE', 'medium_airport', 'Ciudad del Carmen International Airport', 18.65369987487793, -91.79900360107422, 10, 'MX', 'MX-CAM', 'Ciudad del Carmen', 'yes', 'MMCE', 'CME', '', ''),
	('MM48', 'small_airport', 'Ciudad Pemex Airport', 17.88010025024414, -92.47570037841797, 20, 'MX', 'MX-TAB', '', 'no', 'MM48', '', 'MM48', ''),
	('MMBM', 'N/A', 'N/A', 17.875317446887493, -91.55127212405205, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNP', 'N/A', 'N/A', 17.675198167562485, -92.97007039189339, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXMG', 'N/A', 'N/A', 16.34423777461052, -91.99375435709953, 1574, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGSL', 'N/A', 'N/A', 15.798237584531307, -91.0871846973896, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTG', 'medium_airport', 'Angel Albino Corzo International Airport', 16.5636005402, -93.02249908450001, 1499, 'MX', 'MX-CHP', 'Tuxtla Gutiérrez', 'yes', 'MMTG', 'TGZ', 'TGZ', ''),
	('MGSB', 'N/A', 'N/A', 15.97903624176979, -91.17974683642387, 250, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGPA', 'N/A', 'N/A', 15.99747609347105, -90.74159279465675, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDB', 'N/A', 'N/A', 14.822503253817558, -92.33318164944649, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGCN', 'N/A', 'N/A', 15.170474275946617, -90.85874542593956, 1212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMHB', 'N/A', 'N/A', 15.084990933537483, -92.50135391950607, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGCT', 'small_airport', 'Coatepeque Airport', 14.6942, -91.8825, 1486, 'GT', 'GT-QZ', 'Coatepeque', 'no', 'MGCT', 'CTF', '', ''),
	('MGRT', 'medium_airport', 'Retalhuleu Airport', 14.521431, -91.697001, 656, 'GT', 'GT-RE', 'Retalhuleu', 'no', 'MGRT', 'RER', '', ''),
	('MGST', 'N/A', 'N/A', 14.609343744814396, -91.24398708343506, 1593, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMZF', 'N/A', 'N/A', 14.66556552797556, -92.32899695634842, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VBT', 'small_airport', 'Bentonville Municipal-Louise M Thaden Field', 36.345699, -94.219299, 1296, 'US', 'US-AR', 'Bentonville', 'no', 'KVBT', '', 'VBT', 'H00'),
	('MGSU', 'N/A', 'N/A', 15.87405290454626, -91.14212796092033, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMQK', 'N/A', 'N/A', 14.90590050816536, -92.44683980941772, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGSX', 'N/A', 'N/A', 16.022893711924553, -91.11139252781868, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGLL', 'small_airport', 'La Libertad Airport', 16.750299, -90.139999, 623, 'GT', 'GT-PE', 'La Libertad', 'no', 'MGLL', '', '', ''),
	('MGSM', 'small_airport', 'San Marcos Airport', 14.955268, -91.808339, 7933, 'GT', 'GT-SM', 'San Marcos', 'no', 'MGSM', '', '', ''),
	('MGCI', 'N/A', 'N/A', 15.816210396587849, -90.27592554688454, 222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMSA', 'N/A', 'N/A', 16.062570959329605, -91.4185582101345, 899, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGSD', 'N/A', 'N/A', 15.703647807240486, -90.88931813836098, 338, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGPL', 'N/A', 'N/A', 16.04050576686859, -90.97606882452965, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGRB', 'medium_airport', 'Rubelsanto Airport', 15.992, -90.445297, 426, 'GT', 'GT-AV', 'Rubelsanto', 'no', 'MGRB', 'RUV', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMJQ', 'N/A', 'N/A', 15.287726372480392, -92.74966567754745, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGCP', 'N/A', 'N/A', 14.306388907134533, -91.89999997615814, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMLI', 'N/A', 'N/A', 14.644605070352554, -92.20548704266548, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTB', 'medium_airport', 'Terán Air Base', 16.739901, -93.173301, 1909, 'MX', 'MX-CHP', 'Tuxtla Gutiérrez', 'no', 'MMTB', '', 'TGM', 'Angel Albino Corzo Airport'),
	('MMKF', 'N/A', 'N/A', 16.26789975911379, -92.08144962787628, 1634, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGGT', 'large_airport', 'La Aurora Airport', 14.5833, -90.527496, 4952, 'GT', 'GT-GU', 'Guatemala City', 'yes', 'MGGT', 'GUA', '', ''),
	('MGCB', 'medium_airport', 'Coban Airport', 15.469, -90.4067, 4339, 'GT', 'GT-AV', 'Coban', 'no', 'MGCB', 'CBV', '', ''),
	('MGQC', 'small_airport', 'Quiché Airport', 15.0122, -91.150597, 6631, 'GT', 'GT-QC', 'Santa Cruz del Quiché', 'no', 'MGQC', 'AQB', '', ''),
	('MGMA', 'N/A', 'N/A', 14.107303954660892, -90.81751093268394, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTP', 'medium_airport', 'Aeropuerto Internacional de Tapachula', 14.790371, -92.36883, 97, 'MX', 'MX-CHP', 'Tapachula', 'yes', 'MMTP', 'TAP', '', ''),
	('MXUA', 'N/A', 'N/A', 14.734479524195194, -92.32785478234291, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGQZ', 'small_airport', 'Quezaltenango Airport', 14.8656, -91.501999, 7779, 'GT', 'GT-QZ', 'Quezaltenango', 'yes', 'MGQZ', 'AAZ', '', 'Los Altos Airport, Xelajú , Xela'),
	('MGNE', 'N/A', 'N/A', 15.447021089494228, -91.16185024380684, 1988, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCO', 'small_airport', 'San Antonio Copalar Airport', 16.176701, -92.050598, 5161, 'MX', 'MX-CHP', 'Comitán', 'no', 'MMCO', 'CJT', '', ''),
	('MMSC', 'closed', 'Aeródromo de San Cristóbal de las Casas', 16.6903, -92.530098, 7707, 'MX', 'MX-CHP', 'San Cristóbal de las Casas', 'no', '', '', '', 'Corazón de María, MMSC, SZT'),
	('MMCW', 'N/A', 'N/A', 16.219068467617035, -92.10999816656113, 1602, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGML', 'small_airport', 'Malacatán Airport', 14.907464, -92.087921, 1194, 'GT', 'GT-SM', 'San Marcos', 'no', 'MGML', '', '', ''),
	('MGCA', 'N/A', 'N/A', 15.47719493508339, -91.03436037898064, 1915, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGBA', 'N/A', 'N/A', 15.816002190113068, -91.2972642481327, 1747, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MSZT', 'small_airport', 'El Zapote Airport', 13.707954, -90.026268, 6, 'SV', 'SV-AH', 'Barra de Santiago', 'no', 'MSZT', '', '', ''),
	('MGHH', 'small_airport', 'Iztapa Aeroclub', 13.930929, -90.728783, 19, 'GT', 'GT-ES', 'Iztapa', 'no', 'MGHH', '', '', ''),
	('MGRF', 'small_airport', 'Monterrico Airport', 13.894942, -90.485092, 20, 'GT', 'GT-SR', 'Monterrico', 'no', 'MGRF', '', '', ''),
	('MGSJ', 'medium_airport', 'San José Airport', 13.936200141899999, -90.83580017090001, 29, 'GT', 'GT-ES', 'Puerto San José', 'yes', 'MGSJ', 'GSJ', '', ''),
	('SEGS', 'small_airport', 'Seymour Galapagos Ecological Airport', -0.453758, -90.2659, 207, 'EC', 'EC-W', 'Isla Baltra', 'yes', 'SEGS', 'GPS', '', ''),
	('SEII', 'small_airport', 'General Villamil Airport', -0.942628, -90.953003, 35, 'EC', 'EC-W', 'Puerto Villamil', 'yes', 'SEII', 'IBB', '', ''),
	('SCIP', 'medium_airport', 'Mataveri Airport', -27.1648006439, -109.42199707, 227, 'CL', 'CL-VS', 'Isla De Pascua', 'yes', 'SCIP', 'IPC', '', 'Rapa Nui, Easter Island'),
	('CYIO', 'small_airport', 'Pond Inlet Airport', 72.689494, -77.968941, 181, 'CA', 'CA-NU', 'Pond Inlet', 'yes', 'CYIO', 'YIO', '', ''),
	('BGQQ', 'small_airport', 'Qaanaaq Airport', 77.488602, -69.388702, 51, 'GL', 'GL-AV', 'Qaanaaq', 'yes', 'BGQQ', 'NAQ', '', 'Mittarfik Qaanaaq, Thule'),
	('CYLT', 'medium_airport', 'Alert Airport', 82.517799, -62.280602, 100, 'CA', 'CA-NU', 'Alert', 'no', 'CYLT', 'YLT', '', 'YLT'),
	('CYTL', 'small_airport', 'Big Trout Lake Airport', 53.817799, -89.896896, 729, 'CA', 'CA-ON', 'Big Trout Lake', 'yes', 'CYTL', 'YTL', '', ''),
	('CYAQ', 'medium_airport', 'Kasabonika Airport', 53.52470016479492, -88.6427993774414, 672, 'CA', 'CA-ON', 'Kasabonika', 'yes', 'CYAQ', 'XKS', '', 'YAQ'),
	('CYER', 'small_airport', 'Fort Severn Airport', 56.018902, -87.676102, 48, 'CA', 'CA-ON', 'Fort Severn', 'yes', 'CYER', 'YER', '', ''),
	('CJV7', 'small_airport', 'Summer Beaver Airport', 52.70859909057617, -88.54190063476563, 832, 'CA', 'CA-ON', 'Summer Beaver', 'yes', 'CJV7', 'SUR', 'CJV7', 'JV7'),
	('CNM5', 'small_airport', 'Kingfisher Lake Airport', 53.01250076293945, -89.85530090332031, 866, 'CA', 'CA-ON', 'Kingfisher Lake', 'yes', 'CNM5', 'KIF', 'CNM5', 'NM5'),
	('CYLH', 'small_airport', 'Lansdowne House Airport', 52.195599, -87.934196, 834, 'CA', 'CA-ON', 'Lansdowne House', 'yes', 'CYLH', 'YLH', '', ''),
	('CPS5', 'small_airport', 'Miminiska Airport', 51.604400634765625, -88.58219909667969, 1000, 'CA', 'CA-ON', 'Miminiska', 'no', 'CPS5', '', 'CPS5', 'PS5'),
	('CYWP', 'small_airport', 'Webequie Airport', 52.959393, -87.374868, 685, 'CA', 'CA-ON', 'Webequie', 'yes', 'CYWP', 'YWP', '', ''),
	('CYFH', 'small_airport', 'Fort Hope Airport', 51.561901, -87.907799, 899, 'CA', 'CA-ON', 'Fort Hope', 'yes', 'CYFH', 'YFH', '', ''),
	('CKL3', 'small_airport', 'Wunnumin Lake Airport', 52.893902, -89.2892, 819, 'CA', 'CA-ON', 'Wunnumin Lake', 'yes', 'CKL3', 'WNN', 'CKL3', 'KL3'),
	('CYQT', 'medium_airport', 'Thunder Bay Airport', 48.37189865112305, -89.32389831542969, 653, 'CA', 'CA-ON', 'Thunder Bay', 'yes', 'CYQT', 'YQT', '', ''),
	('CYTJ', 'N/A', 'N/A', 48.81333343684673, -87.09949985146523, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CML5', 'small_airport', 'Martin''s Landing', 48.2936, -89.543002, 1115, 'CA', 'CA-ON', 'Thunder Bay', 'no', 'CML5', '', 'CML5', ''),
	('CHF5', 'N/A', 'N/A', 48.44798807054758, -89.53662738204002, 348, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJF6', 'seaplane_base', 'Armstrong Seaplane Base', 50.25, -89.050003, 1120, 'CA', 'CA-ON', '', 'no', 'CJF6', '', 'CJF6', ''),
	('CNM7', 'seaplane_base', 'Pays Plat Seaplane Base', 48.88330078125, -87.58329772949219, 601, 'CA', 'CA-ON', '', 'no', 'CNM7', '', 'CNM7', ''),
	('CYYW', 'medium_airport', 'Armstrong Airport', 50.29029846191406, -88.90969848632813, 1058, 'CA', 'CA-ON', 'Armstrong', 'no', 'CYYW', 'YYW', '', ''),
	('CED8', 'small_airport', 'Eldorado Aerodrome', 48.571194, -88.816481, 700, 'CA', 'CA-ON', 'Eldorado', 'no', 'CED8', '', 'CED8', 'Thunder Bay'),
	('CKE6', 'seaplane_base', 'Thunder Bay Seaplane Base', 48.450001, -89.166702, 601, 'CA', 'CA-ON', '', 'no', 'CKE6', '', 'CKE6', ''),
	('CYQN', 'medium_airport', 'Nakina Airport', 50.18280029296875, -86.69640350341797, 1057, 'CA', 'CA-ON', 'Nakina', 'yes', 'CYQN', 'YQN', '', ''),
	('CYSP', 'medium_airport', 'Marathon Airport', 48.75529861450195, -86.34439849853516, 1035, 'CA', 'CA-ON', 'Marathon', 'no', 'CYSP', 'YSP', '', ''),
	('CYGQ', 'medium_airport', 'Geraldton Greenstone Regional Airport', 49.77830123901367, -86.93939971923828, 1144, 'CA', 'CA-ON', 'Geraldton', 'no', 'CYGQ', 'YGQ', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CKG8', 'small_airport', 'Kakabeka Falls Airport', 48.41830062866211, -89.60189819335938, 1000, 'CA', 'CA-ON', 'Kakabeka Falls', 'no', 'CKG8', '', 'CKG8', 'KG8'),
	('48WI', 'small_airport', 'Circle A Ranch Airport', 45.793800354003906, -89.7301025390625, 1640, 'US', 'US-WI', 'Hazelhurst', 'no', '48WI', '', '48WI', ''),
	('KRHI', 'medium_airport', 'Rhinelander Oneida County Airport', 45.63119888305664, -89.46749877929688, 1624, 'US', 'US-WI', 'Rhinelander', 'yes', 'KRHI', 'RHI', 'RHI', ''),
	('KLNL', 'small_airport', 'Kings Land O'' Lakes Airport', 46.153999, -89.212097, 1704, 'US', 'US-WI', 'Land O'' Lakes', 'no', 'KLNL', '', 'LNL', ''),
	('WI36', 'small_airport', 'Dolhun Field', 45.826599, -89.620102, 1625, 'US', 'US-WI', 'Lake Tomahawk', 'no', 'WI36', '', 'WI36', ''),
	('8MI7', 'small_airport', 'Bass Lake Airport', 46.16189956665039, -86.48429870605469, 805, 'US', 'US-MI', 'Steuben', 'no', '8MI7', '', '8MI7', ''),
	('2P4', 'small_airport', 'Baraga Airport', 46.784901, -88.577797, 845, 'US', 'US-MI', 'Baraga', 'no', '2P4', '', '2P4', ''),
	('40D', 'small_airport', 'Three Lakes Municipal Airport', 45.790199, -89.121002, 1636, 'US', 'US-WI', 'Three Lakes', 'no', '40D', '', '40D', ''),
	('9WI6', 'small_airport', 'Kitty Hawk Estates Airport', 45.10409927368164, -89.01679992675781, 1500, 'US', 'US-WI', 'Polar', 'no', '9WI6', '', '9WI6', ''),
	('WS39', 'small_airport', 'Pinewood Air Park', 45.69940185546875, -89.66239929199219, 1560, 'US', 'US-WI', 'Goodnow', 'no', 'WS39', '', 'WS39', ''),
	('WS11', 'closed', 'Frievalt Airport', 45.1003, -88.1334, 830, 'US', 'US-WI', 'Pound', 'no', '', '', '', 'WS11'),
	('30WI', 'small_airport', 'Chambers Island Airport', 45.192562, -87.359333, 588, 'US', 'US-WI', 'Fish Creek', 'no', '30WI', '', '30WI', ''),
	('16WI', 'seaplane_base', 'Lac Vieux Desert Seaplane Base', 46.12160110473633, -89.12100219726563, 1690, 'US', 'US-WI', 'Phelps', 'no', '16WI', '', '16WI', ''),
	('WS45', 'small_airport', 'Circle K Airport', 45.34159851074219, -89.67459869384766, 1500, 'US', 'US-WI', 'Irma', 'no', 'WS45', '', 'WS45', ''),
	('06WI', 'closed', 'Young Private Airport', 45.662701, -92.450203, 1075, 'US', 'US-WI', 'Frederic', 'no', '', '', '', '06WI'),
	('6Y9', 'small_airport', 'Prickett-Grooms Field', 46.508753, -88.707454, 1372, 'US', 'US-MI', 'Sidnaw', 'no', '6Y9', '', '6Y9', ''),
	('KIMT', 'medium_airport', 'Ford Airport', 45.81911, -88.114557, 1182, 'US', 'US-MI', 'Kingsford', 'yes', 'KIMT', 'IMT', 'IMT', 'Iron Mountain'),
	('1WN5', 'small_airport', 'Simons Airfield', 46.154701232910156, -89.31749725341797, 1735, 'US', 'US-WI', 'Land-O-Lakes', 'no', '1WN5', '', '1WN5', ''),
	('3MI9', 'seaplane_base', 'Ness Landing Seaplane Base', 45.903900146484375, -86.97029876708984, 580, 'US', 'US-MI', 'Rapid River', 'no', '3MI9', '', '3MI9', ''),
	('5Y7', 'small_airport', 'Hanley Field', 46.354099, -86.621002, 984, 'US', 'US-MI', 'Munising', 'no', '5Y7', '', '5Y7', ''),
	('Y73', 'small_airport', 'Stambaugh Airport', 46.0788, -88.635498, 1622, 'US', 'US-MI', 'Iron River', 'no', 'Y73', '', 'Y73', ''),
	('KTKV', 'small_airport', 'Tomahawk Regional Airport', 45.469101, -89.805702, 1487, 'US', 'US-WI', 'Tomahawk', 'no', 'KTKV', '', 'TKV', 'WI46'),
	('WI90', 'closed', 'Speedwing Field', 44.296101, -90.043701, 970, 'US', 'US-WI', 'Babcock', 'no', '', '', '', 'WI90'),
	('8WN8', 'small_airport', 'Mave''s Lakeview Road Airport', 45.23509979248047, -87.06749725341797, 700, 'US', 'US-WI', 'Ellison Bay', 'no', '8WN8', '', '8WN8', ''),
	('50D', 'small_airport', 'Iron County Airport', 46.009102, -88.273903, 1340, 'US', 'US-MI', 'Crystal Falls', 'no', 'K50D', '', '50D', ''),
	('KARV', 'small_airport', 'Lakeland Airport Noble F Lee Memorial Field', 45.927898, -89.730904, 1629, 'US', 'US-WI', 'Woodruff', 'no', 'KARV', 'ARV', 'ARV', 'Minocqua'),
	('39MI', 'small_airport', 'Huber Airport', 46.168800354003906, -88.17240142822266, 1418, 'US', 'US-MI', 'Crystal Falls', 'no', '39MI', '', '39MI', ''),
	('WS78', 'small_airport', 'River Valley Airport', 45.55030059814453, -89.48780059814453, 1525, 'US', 'US-WI', 'Rhinelander', 'no', 'WS78', '', 'WS78', ''),
	('KOGM', 'small_airport', 'Ontonagon County Schuster Field', 46.845501, -89.367104, 669, 'US', 'US-MI', 'Ontonagon', 'no', 'KOGM', '', 'OGM', ''),
	('WI87', 'small_airport', 'Pine River Airport', 45.203300476100004, -89.52439880370001, 1370, 'US', 'US-WI', 'Merrill', 'no', 'WI87', '', 'WI87', ''),
	('1WI2', 'closed', 'Flying S Ranch Airport', 43.365299, -87.887001, 705, 'US', 'US-WI', 'Port Washington', 'no', '', '', '', '1WI2'),
	('KAIG', 'small_airport', 'Langlade County Airport', 45.154202, -89.110703, 1521, 'US', 'US-WI', 'Antigo', 'no', 'KAIG', '', 'AIG', ''),
	('90WI', 'small_airport', 'Heritage Acres Airport', 45.575001, -88.708397, 1608, 'US', 'US-WI', 'Laona', 'no', '90WI', '', '90WI', ''),
	('MI92', 'closed', 'Lilienthal Airport', 45.934704, -88.102679, 1250, 'US', 'US-MI', 'Iron Mountain', 'no', '', '', '', 'MI92'),
	('6Y4', 'small_airport', 'Van Effen Field', 46.0522, -87.258202, 970, 'US', 'US-MI', 'Rock', 'no', '', '', '6Y4', 'Formerly MI06, 6Y4, MI00, Bonnie Field'),
	('5WI5', 'small_airport', 'Haymeadow Airport', 45.275001525878906, -89.4917984008789, 1500, 'US', 'US-WI', 'Merrill', 'no', '5WI5', '', '5WI5', ''),
	('7P5', 'small_airport', 'Piso Airport', 45.065559, -88.427152, 891, 'US', 'US-WI', 'Suring', 'no', '7P5', '', '7P5', ''),
	('4P5', 'seaplane_base', 'Franks Seaplane Base', 45.88330078125, -90.00019836425781, 1650, 'US', 'US-WI', 'Lac Du Flambeau', 'no', '4P5', '', '4P5', ''),
	('72MI', 'small_airport', 'Northwoods Airport', 46.2859001159668, -89.27749633789063, 1642, 'US', 'US-MI', 'Watersmeet', 'no', '72MI', '', '72MI', ''),
	('Y55', 'small_airport', 'Crandon Municipal Airport', 45.522102, -88.925087, 1646, 'US', 'US-WI', 'Crandon', 'no', 'KY55', '', 'Y55', 'Steve Conway Municipal Airport'),
	('KMNM', 'small_airport', 'Menominee–Marinette Twin County Airport', 45.126701, -87.638397, 625, 'US', 'US-MI', 'Menominee', 'no', 'KMNM', 'MNM', 'MNM', 'Menominee Regional'),
	('KBDJ', 'small_airport', 'Boulder Junction Payzer Airport', 46.1374015808, -89.64600372310001, 1666, 'US', 'US-WI', 'Boulder Junction', 'no', 'KBDJ', '', 'BDJ', ''),
	('KEGV', 'small_airport', 'Eagle River Union Airport', 45.932300567599995, -89.26830291750001, 1642, 'US', 'US-WI', 'Eagle River', 'no', 'KEGV', 'EGV', 'EGV', ''),
	('3D1', 'small_airport', 'Crivitz Municipal Airport', 45.214199, -88.073196, 731, 'US', 'US-WI', 'Crivitz', 'no', '3D1', '', '3D1', ''),
	('WS25', 'small_airport', 'Shangrila Airport', 45.581600189208984, -87.84539794921875, 835, 'US', 'US-WI', 'Beecher', 'no', 'WS25', '', 'WS25', ''),
	('KIRR', 'N/A', 'N/A', 46.07594333589077, -88.94684717059135, 520, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('92WI', 'small_airport', 'Knight Aire Airport', 45.29610061645508, -89.64109802246094, 1605, 'US', 'US-WI', 'Merrill', 'no', '92WI', '', '92WI', ''),
	('1MI9', 'closed', 'Southfork Airport', 46.475511, -87.352409, 660, 'US', 'US-MI', 'Marquette', 'no', '', '', '', '1MI9, 1MI9, 1MI9'),
	('1MI1', 'closed', 'Nikkila Farms Airport', 46.700672, -88.99716, 1100, 'US', 'US-MI', 'Mass', 'no', '', '', '', '1MI1'),
	('WN44', 'small_airport', 'Podeweltz Airport', 45.23939895629883, -89.56900024414063, 1470, 'US', 'US-WI', 'Merrill', 'no', 'WN44', '', 'WN44', ''),
	('9WN4', 'closed', 'Rag Wing Airport', 45.084, -89.0298, 1500, 'US', 'US-WI', 'Antigo', 'no', '', '', '', '9WN4');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8WI7', 'closed', 'Dunbar Airport', 45.651102, -88.182098, 1196, 'US', 'US-WI', 'Dunbar', 'no', '', '', '', '8WI7'),
	('5WN8', 'small_airport', 'Knight Sky Airport', 45.0323982239, -89.401802063, 1475, 'US', 'US-WI', 'Wausau', 'no', '5WN8', '', '5WN8', ''),
	('WS29', 'small_airport', 'Tachick Field', 45.120858, -88.143371, 850, 'US', 'US-WI', 'Pound', 'no', 'WS29', '', 'WS29', ''),
	('43MI', 'small_airport', 'W Gladstone Airport', 45.859100341796875, -87.1167984008789, 720, 'US', 'US-MI', 'Gladstone', 'no', '43MI', '', '43MI', ''),
	('M61', 'small_airport', 'Edward F Johnson Airport', 46.3452, -87.788498, 1446, 'US', 'US-MI', 'Ishpeming', 'no', 'M61', '', 'M61', ''),
	('WI42', 'small_airport', 'Pine Grove Airport', 45.65719985961914, -89.52989959716797, 1630, 'US', 'US-WI', 'Rhinelander', 'no', 'WI42', '', 'WI42', ''),
	('WN11', 'small_airport', 'Red Roof Airport', 45.5858, -88.0037, 963, 'US', 'US-WI', 'Beecher', 'no', 'WN11', '', 'WN11', ''),
	('D25', 'small_airport', 'Manitowish Waters Airport', 46.122002, -89.882301, 1610, 'US', 'US-WI', 'Manitowish Waters', 'no', 'D25', '', 'D25', ''),
	('0MI5', 'heliport', 'Munson Healthcare Manistee Hospital Heliport', 44.270725, -86.275168, 607, 'US', 'US-MI', 'Manistee', 'no', '', '', '0MI5', ''),
	('KESC', 'medium_airport', 'Delta County Airport', 45.723199, -87.088623, 609, 'US', 'US-MI', 'Escanaba', 'yes', 'KESC', 'ESC', 'ESC', ''),
	('5WI8', 'small_airport', 'Ermis-Ridgeview Airport', 45.07609939575195, -88.00430297851563, 715, 'US', 'US-WI', 'Coleman', 'no', '5WI8', '', '5WI8', ''),
	('2P2', 'small_airport', 'Washington Island Airport', 45.387917, -86.92327, 652, 'US', 'US-WI', 'Washington', 'no', '', '', '2P2', 'WI47'),
	('4WI4', 'small_airport', 'Turner Airport', 45.574100494384766, -89.74800109863281, 1500, 'US', 'US-WI', 'Tomahawk', 'no', '4WI4', '', '4WI4', ''),
	('KSAW', 'medium_airport', 'Marquette/Sawyer International Airport', 46.3536, -87.395401, 1221, 'US', 'US-MI', 'Gwinn', 'yes', 'KSAW', 'MQT', 'SAW', ''),
	('KCMX', 'medium_airport', 'Houghton County Memorial Airport', 47.168399810791016, -88.48909759521484, 1095, 'US', 'US-MI', 'Hancock', 'yes', 'KCMX', 'CMX', 'CMX', ''),
	('KANI', 'N/A', 'N/A', 45.00304363667965, -89.07058775424957, 402, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRRL', 'small_airport', 'Merrill Municipal Airport', 45.1988983154, -89.7128982544, 1318, 'US', 'US-WI', 'Merrill', 'no', 'KRRL', 'RRL', 'RRL', ''),
	('3D2', 'small_airport', 'Ephraim-Gibraltar Airport', 45.135399, -87.185898, 773, 'US', 'US-WI', 'Fish Creek', 'no', 'K3D2', '', '3D2', 'Ephraim-Fish Creek'),
	('KMUN', 'N/A', 'N/A', 46.3617367297411, -86.90604016184807, 262, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4WN3', 'small_airport', 'Lakewood Airpark', 45.33209991455078, -88.53600311279297, 1300, 'US', 'US-WI', 'Lakewood', 'no', '4WN3', '', '4WN3', ''),
	('0MI4', 'small_airport', 'Lesterson-Dempsey Airstrip', 46.270198, -87.386496, 1120, 'US', 'US-MI', 'Gwinn', 'no', '0MI4', '', '0MI4', 'Lesterson Field'),
	('79MI', 'small_airport', 'Pike River Landing', 46.980073, -88.549571, 902, 'US', 'US-MI', 'Chassell', 'no', '', '', '', '79MI'),
	('WN66', 'seaplane_base', 'Cranberry International Seaplane Base', 45.85129928588867, -89.45120239257813, 1605, 'US', 'US-WI', 'Eagle River', 'no', 'WN66', '', 'WN66', ''),
	('4WI2', 'closed', 'Island View Airport', 45.606098, -89.0215, 1640, 'US', 'US-WI', 'Crandon', 'no', '', '', '', '4WI2'),
	('CYPO', 'small_airport', 'Peawanuck Airport', 54.987932, -85.442648, 173, 'CA', 'CA-ON', 'Peawanuck', 'yes', 'CYPO', 'YPO', '', ''),
	('CYKP', 'small_airport', 'Ogoki Post Airport', 51.6585998535, -85.9017028809, 594, 'CA', 'CA-ON', 'Ogoki Post', 'yes', 'CYKP', 'YOG', 'CYKP', 'NT3'),
	('CVM2', 'small_airport', 'Victor Mine Airport', 52.832802, -83.924801, 284, 'CA', 'CA-ON', 'Victor Diamond Mine', 'no', 'CVM2', '', 'CVM2', ''),
	('CYKU', 'N/A', 'N/A', 48.18305153399706, -82.54896819591522, 368, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CNJ6', 'seaplane_base', 'Hornepayne Seaplane Base', 49.1833, -84.883301, 1100, 'CA', 'CA-ON', '', 'no', 'CNJ6', '', 'CNJ6', ''),
	('CYXZ', 'medium_airport', 'Wawa Airport', 47.96670150756836, -84.78669738769531, 942, 'CA', 'CA-ON', 'Wawa', 'no', 'CYXZ', 'YXZ', '', ''),
	('CND6', 'seaplane_base', 'Granitehill Lake Seaplane Base', 49.099998, -85.199997, 1200, 'CA', 'CA-ON', '', 'no', 'CND6', '', 'CND6', ''),
	('CNL5', 'seaplane_base', 'Chapleau Seaplane Base', 47.849998474121094, -83.4000015258789, 1443, 'CA', 'CA-ON', '', 'no', 'CNL5', '', 'CNL5', ''),
	('CNH6', 'seaplane_base', 'Hawk Junction Seaplane Base', 48.083302, -84.550003, 1030, 'CA', 'CA-ON', '', 'no', 'CNH6', '', 'CNH6', ''),
	('CYLD', 'medium_airport', 'Chapleau Airport', 47.81999969482422, -83.3467025756836, 1470, 'CA', 'CA-ON', 'Chapleau', 'no', 'CYLD', 'YLD', '', ''),
	('CNJ8', 'seaplane_base', 'White River Seaplane Base', 48.6269, -85.223297, 1380, 'CA', 'CA-ON', 'White River', 'no', 'CNJ8', 'YWR', 'CNJ8', ''),
	('CYHF', 'medium_airport', 'Hearst René Fontaine Municipal Airport', 49.71419906616211, -83.68609619140625, 827, 'CA', 'CA-ON', 'Hearst', 'no', 'CYHF', 'YHF', '', ''),
	('CYHN', 'medium_airport', 'Hornepayne Municipal Airport', 49.19309997558594, -84.75890350341797, 1099, 'CA', 'CA-ON', 'Hornepayne', 'no', 'CYHN', 'YHN', '', ''),
	('CNX3', 'small_airport', 'Carey Lake Airport', 49.7442, -84.034, 837, 'CA', 'CA-ON', 'Carey Lake', 'no', 'CNX3', '', 'CNX3', 'NX3'),
	('45MI', 'closed', 'Franklin''s Airport', 46.263901, -84.126404, 630, 'US', 'US-MI', 'Barbeau', 'no', '', '', '', '45MI'),
	('Y96', 'closed', 'Leo E. Goetz County Airport', 45.365986, -84.223981, 830, 'US', 'US-MI', 'Onaway', 'no', '', '', '', 'Y96'),
	('59M', 'small_airport', 'Torchport Airport', 45.055801, -85.355904, 640, 'US', 'US-MI', 'Eastport', 'no', '59M', '', '59M', ''),
	('CNF5', 'seaplane_base', 'Batchawana Seaplane Base', 46.91669845581055, -84.5999984741211, 601, 'CA', 'CA-ON', '', 'no', 'CNF5', '', 'CNF5', ''),
	('KMCD', 'small_airport', 'Mackinac Island Airport', 45.86489868, -84.63729858, 739, 'US', 'US-MI', 'Mackinac Island', 'no', 'KMCD', 'MCD', 'MCD', 'Y84'),
	('KGLR', 'small_airport', 'Gaylord Regional Airport', 45.013500213600004, -84.7035980225, 1328, 'US', 'US-MI', 'Gaylord', 'no', 'KGLR', 'GLR', 'GLR', 'Otsego County'),
	('CNV7', 'seaplane_base', 'Sault Ste. Marie/Partridge Point Seaplane Base', 46.520802, -84.240799, 580, 'CA', 'CA-ON', 'Sault Ste. Marie', 'no', 'CNV7', '', 'CNV7', 'NV7'),
	('KPLN', 'medium_airport', 'Pellston Regional Airport of Emmet County Airport', 45.57089996, -84.79669952, 721, 'US', 'US-MI', 'Pellston', 'yes', 'KPLN', 'PLN', 'PLN', ''),
	('Y94', 'small_airport', 'East Jordan City Airport', 45.130953, -85.107822, 642, 'US', 'US-MI', 'East Jordan', 'no', '', '', 'Y94', ''),
	('6Y1', 'small_airport', 'Bois Blanc Airport', 45.7663, -84.503799, 664, 'US', 'US-MI', 'Bois Blanc Island', 'no', '', '', '6Y1', ''),
	('CYAM', 'medium_airport', 'Sault Ste Marie Airport', 46.483216, -84.508467, 630, 'CA', 'CA-ON', 'Sault Ste Marie', 'yes', 'CYAM', 'YAM', '', ''),
	('1MI6', 'closed', 'Rosedale Airport', 46.378483, -84.311249, 675, 'US', 'US-MI', 'Sault Ste Marie', 'no', '', '', '', '1MI6, Sault Sainte Marie'),
	('KCVX', 'small_airport', 'Charlevoix Municipal Airport', 45.304798, -85.274803, 669, 'US', 'US-MI', 'Charlevoix', 'yes', 'KCVX', '', 'CVX', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('6Y3', 'small_airport', 'North Fox Island Airport', 45.482269, -85.780422, 639, 'US', 'US-MI', 'Northport', 'no', '', '', '6Y3', ''),
	('KANJ', 'small_airport', 'Sault Ste Marie Municipal Airport Sanderson Field', 46.479198, -84.368401, 716, 'US', 'US-MI', 'Sault Ste Marie', 'no', 'KANJ', '', 'ANJ', 'Sault Sainte Marie'),
	('KPZQ', 'small_airport', 'Presque Isle County Airport', 45.407101, -83.812897, 670, 'US', 'US-MI', 'Rogers City', 'no', 'KPZQ', '', 'PZQ', ''),
	('KBFA', 'small_airport', 'Boyne Mountain Airport', 45.165798, -84.924103, 719, 'US', 'US-MI', 'Boyne Falls', 'no', 'KBFA', '', 'BFA', ''),
	('83D', 'small_airport', 'Mackinac County Airport', 45.891701, -84.738098, 624, 'US', 'US-MI', 'St Ignace', 'no', '83D', '', '83D', ''),
	('5D5', 'small_airport', 'Woolsey Memorial Airport', 45.165001, -85.5718, 628, 'US', 'US-MI', 'Northport', 'no', '5D5', '', '5D5', ''),
	('CPN6', 'seaplane_base', 'Algoma Mills Seaplane Base', 46.1833, -82.833298, 602, 'CA', 'CA-ON', '', 'no', 'CPN6', '', 'CPN6', ''),
	('CNY5', 'seaplane_base', 'Five Mile Lake Seaplane Base', 47.56669998168945, -83.2166976928711, 1475, 'CA', 'CA-ON', '', 'no', 'CNY5', '', 'CNY5', ''),
	('N98', 'small_airport', 'Boyne City Municipal Airport', 45.208302, -84.990303, 657, 'US', 'US-MI', 'Boyne City', 'no', 'KN98', '', 'N98', ''),
	('CYEL', 'medium_airport', 'Elliot Lake Municipal Airport', 46.351398468, -82.5614013672, 1087, 'CA', 'CA-ON', 'Elliot Lake', 'no', 'CYEL', 'YEL', '', ''),
	('6Y5', 'small_airport', 'Two Hearted Airstrip', 46.693345, -85.422095, 680, 'US', 'US-MI', 'Newberry', 'no', '', '', '6Y5', ''),
	('MI4', 'small_airport', 'Lapoint Seaplane Base', 46.040278, -83.691389, 580, 'US', 'US-MI', 'Drummond', 'no', '', '', 'MI4', ''),
	('0MI6', 'small_airport', 'Young''s Airport', 46.38750076293945, -85.18399810791016, 800, 'US', 'US-MI', 'Hulbert', 'no', '0MI6', '', '0MI6', ''),
	('KMGN', 'small_airport', 'Harbor Springs Airport', 45.42559814453125, -84.91339874267578, 686, 'US', 'US-MI', 'Harbor Springs', 'no', 'KMGN', '', 'MGN', ''),
	('2M7', 'small_airport', 'Hoffman''s Black Mountain Aerodrome', 45.531898498535156, -84.30809783935547, 677, 'US', 'US-MI', 'Cheboygan', 'no', '2M7', '', '2M7', ''),
	('MI8', 'seaplane_base', 'Sault Ste Marie International Seaplane Base', 46.483686, -84.301928, 575, 'US', 'US-MI', 'Sault Ste Marie', 'no', '', '', 'MI8', 'MI98'),
	('KISQ', 'small_airport', 'Schoolcraft County Airport', 45.974602, -86.171799, 684, 'US', 'US-MI', 'Manistique', 'no', 'KISQ', 'ISQ', 'ISQ', ''),
	('CPX8', 'seaplane_base', 'Sault Ste. Marie Seaplane Base', 46.504398, -84.323303, 580, 'CA', 'CA-ON', '', 'no', 'CPX8', '', 'CPX8', ''),
	('6Y8', 'small_airport', 'Welke Airport', 45.720503, -85.518866, 664, 'US', 'US-MI', 'Beaver Island', 'yes', '6Y8', '', '6Y8', ''),
	('CBM3', 'small_airport', 'Bruce Mines Kerr Field Aerodrome', 46.338277, -83.71125, 700, 'CA', 'CA-ON', 'Plummer Additional', 'no', 'CBM3', '', 'CBM3', ''),
	('Y65', 'small_airport', 'Campbell-Pratt Airport', 45.406239, -84.599115, 602, 'US', 'US-MI', 'Indian River', 'no', 'Y65', '', 'Y65', 'Calvin Campbell Municipal, KY65'),
	('CPV3', 'closed', 'St. Joseph Island Airport', 46.281469, -83.950531, 600, 'CA', 'CA-ON', 'St. Joseph Island', 'no', '', '', '', 'PV3, CPV3'),
	('KDRM', 'small_airport', 'Drummond Island Airport', 46.0093002319, -83.74389648440001, 668, 'US', 'US-MI', 'Drummond Island', 'no', 'KDRM', 'DRE', 'DRM', ''),
	('53M', 'closed', 'Silver City Airpark', 45.131927, -83.447807, 680, 'US', 'US-MI', 'Alpena', 'no', '', '', '', '53M, MI55'),
	('MI98', 'closed', 'Dowd Field', 46.201993, -84.742291, 705, 'US', 'US-MI', 'Fibre', 'no', '', '', '', 'MI98'),
	('MI24', 'small_airport', 'Deer Lake Airpark', 45.141701, -85.006699, 730, 'US', 'US-MI', 'East Jordan', 'no', 'MI24', '', 'MI24', 'Wilson Township Airport'),
	('1MI0', 'seaplane_base', 'Ashman Island Seaplane Base', 46.068599700927734, -83.72419738769531, 580, 'US', 'US-MI', 'Drummond Island', 'no', '1MI0', '', '1MI0', ''),
	('CPF2', 'small_airport', 'Bar River Airport', 46.421233, -84.096478, 591, 'CA', 'CA-ON', 'Echo Bay', 'no', 'CPF2', 'YEB', 'CPF2', 'PF2'),
	('KSJX', 'small_airport', 'Beaver Island Airport', 45.692299, -85.566597, 669, 'US', 'US-MI', 'Beaver Island', 'yes', 'KSJX', '', 'SJX', ''),
	('5Y1', 'small_airport', 'Albert J Lindberg Airport', 46.035412, -84.417673, 760, 'US', 'US-MI', 'Hessel', 'no', '5Y1', '', '5Y1', ''),
	('KAPN', 'medium_airport', 'Alpena County Regional Airport', 45.0780983, -83.56030273, 690, 'US', 'US-MI', 'Alpena', 'yes', 'KAPN', 'APN', 'APN', ''),
	('Y98', 'small_airport', 'Grand Marais Airport', 46.6208, -85.916801, 838, 'US', 'US-MI', 'Grand Marais', 'no', 'Y98', '', 'Y98', ''),
	('1MI3', 'small_airport', 'Black River Ranch Airport', 45.19580078125, -84.32170104980469, 880, 'US', 'US-MI', 'Onaway', 'no', '1MI3', '', '1MI3', ''),
	('Y95', 'small_airport', 'Hillman Airport', 45.083208, -83.938785, 850, 'US', 'US-MI', 'Hillman', 'no', 'Y95', '', 'Y95', ''),
	('KSLH', 'small_airport', 'Cheboygan County Airport', 45.653702, -84.519302, 639, 'US', 'US-MI', 'Cheboygan', 'no', 'KSLH', '', 'SLH', ''),
	('KNEQ', 'N/A', 'N/A', 46.3702242448926, -85.04901677370071, 229, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYZE', 'medium_airport', 'Gore Bay Manitoulin Airport', 45.8853, -82.567802, 623, 'CA', 'CA-ON', 'Gore Bay', 'no', 'CYZE', 'YZE', '', ''),
	('KERY', 'small_airport', 'Luce County Airport', 46.311199, -85.457298, 869, 'US', 'US-MI', 'Newberry', 'no', 'KERY', '', 'ERY', ''),
	('CPL5', 'closed', 'Thessalon Municipal Airport', 46.316031, -83.533244, 750, 'CA', 'CA-ON', 'Thessalon', 'no', '', '', '', 'PL5, CPL5'),
	('3MI2', 'small_airport', 'South Fox Island Airport', 45.399200439453125, -85.8301010131836, 616, 'US', 'US-MI', 'Northport', 'no', '3MI2', '', '3MI2', ''),
	('KCIU', 'medium_airport', 'Chippewa County International Airport', 46.247707, -84.471379, 800, 'US', 'US-MI', 'Kincheloe', 'yes', 'KCIU', 'CIU', 'CIU', 'Sault Sainte Marie, Sault Ste Marie'),
	('Y30', 'small_airport', 'Pbeaaye Airport', 45.53110122680664, -84.55699920654297, 690, 'US', 'US-MI', 'Topinabee', 'no', 'Y30', '', 'Y30', ''),
	('CYSK', 'small_airport', 'Sanikiluaq Airport', 56.536891, -79.250221, 104, 'CA', 'CA-NU', 'Sanikiluaq', 'yes', 'CYSK', 'YSK', '', ''),
	('CYMB', 'N/A', 'N/A', 53.82111322134733, -78.99712175130844, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CSU2', 'small_airport', 'Chisasibi Airport', 53.805599212646484, -78.91690063476563, 43, 'CA', 'CA-QC', 'Chisasibi', 'yes', 'CSU2', 'YKU', 'CSU2', 'SU2'),
	('CYFA', 'small_airport', 'Fort Albany Airport', 52.203451, -81.695194, 48, 'CA', 'CA-ON', 'Fort Albany', 'yes', 'CYFA', 'YFA', '', ''),
	('CYMO', 'medium_airport', 'Moosonee Airport', 51.291099548339844, -80.60780334472656, 30, 'CA', 'CA-ON', 'Moosonee', 'yes', 'CYMO', 'YMO', '', ''),
	('CYNC', 'small_airport', 'Wemindji Airport', 53.010601, -78.8311, 66, 'CA', 'CA-QC', 'Wemindji', 'yes', 'CYNC', 'YNC', '', ''),
	('CZKE', 'small_airport', 'Kashechewan Airport', 52.282501, -81.677803, 35, 'CA', 'CA-ON', 'Kashechewan', 'yes', 'CZKE', 'ZKE', '', ''),
	('CYKQ', 'small_airport', 'Waskaganish Airport', 51.473301, -78.758301, 80, 'CA', 'CA-QC', 'Waskaganish', 'yes', 'CYKQ', 'YKQ', '', ''),
	('CYAT', 'small_airport', 'Attawapiskat Airport', 52.927502, -82.4319, 31, 'CA', 'CA-ON', 'Attawapiskat', 'yes', 'CYAT', 'YAT', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CSR8', 'small_airport', 'La Sarre Airport', 48.917198181152, -79.178596496582, 1048, 'CA', 'CA-QC', 'La Sarre', 'no', 'CSR8', 'SSQ', 'CSR8', 'SR8'),
	('CPT6', 'seaplane_base', 'Perry Lake Seaplane Base', 48.532501, -80.107202, 1050, 'CA', 'CA-ON', '', 'no', 'CPT6', '', 'CPT6', 'PT6'),
	('CPW5', 'seaplane_base', 'Timmins/Porcupine Lake Seaplane Base', 48.483297, -81.199997, 900, 'CA', 'CA-ON', '', 'no', 'CPW5', '', 'CPW5', 'PW5'),
	('CYTS', 'medium_airport', 'Timmins/Victor M. Power', 48.569698333699996, -81.376701355, 967, 'CA', 'CA-ON', 'Timmins', 'yes', 'CYTS', 'YTS', '', 'Timmins Victor M. Power Airport'),
	('CYCN', 'medium_airport', 'Cochrane Airport', 49.10559844970703, -81.01360321044922, 861, 'CA', 'CA-ON', 'Cochrane', 'no', 'CYCN', 'YCN', '', ''),
	('CYYU', 'medium_airport', 'Kapuskasing Airport', 49.411587, -82.469645, 743, 'CA', 'CA-ON', 'Kapuskasing', 'no', 'CYYU', 'YYU', '', ''),
	('CNE4', 'small_airport', 'Iroquois Falls Airport', 48.74169921875, -80.79329681396484, 1008, 'CA', 'CA-ON', 'Iroquois Falls', 'no', 'CNE4', '', 'CNE4', 'NE4'),
	('CYUY', 'medium_airport', 'Rouyn Noranda Airport', 48.20610046386719, -78.83560180664063, 988, 'CA', 'CA-QC', 'Rouyn-Noranda', 'yes', 'CYUY', 'YUY', '', ''),
	('CYKX', 'medium_airport', 'Kirkland Lake Airport', 48.21030044555664, -79.98139953613281, 1157, 'CA', 'CA-ON', 'Kirkland Lake', 'no', 'CYKX', 'YKX', '', ''),
	('CFP2', 'seaplane_base', 'Fox Point Seaplane Base', 45.273701, -79.012101, 1035, 'CA', 'CA-ON', 'Dwight', 'no', 'CFP2', '', 'CFP2', ''),
	('CYEM', 'medium_airport', 'Manitoulin East Municipal Airport', 45.842435, -81.857595, 869, 'CA', 'CA-ON', 'Sheguiandah', 'no', 'CYEM', 'YEM', '', ''),
	('CMK2', 'seaplane_base', 'McKellar (Manitouwabing) Seaplane Base', 45.501796, -79.917757, 800, 'CA', 'CA-ON', 'McKellar', 'no', 'CMK2', '', 'CMK2', ''),
	('CPS8', 'seaplane_base', 'Parry Sound/Huron Island Seaplane Base', 45.179401, -80.106697, 580, 'CA', 'CA-ON', '', 'no', 'CPS8', '', 'CPS8', ''),
	('CFB8', 'seaplane_base', 'Foot''s Bay Seaplane Base', 45.1296, -79.708601, 742, 'CA', 'CA-ON', 'Foot''s Bay', 'no', 'CFB8', '', 'CFB8', ''),
	('CNU6', 'seaplane_base', 'Huntsville Seaplane Base', 45.3172, -79.257797, 931, 'CA', 'CA-ON', '', 'no', 'CNU6', '', 'CNU6', ''),
	('CRS4', 'small_airport', 'Rosseau Airport', 45.2691, -79.6558, 835, 'CA', 'CA-ON', '', 'no', 'CRS4', '', 'CRS4', ''),
	('CPT8', 'seaplane_base', 'Parry Sound/Deep Bay Seaplane Base', 45.398602, -80.1819, 580, 'CA', 'CA-ON', '', 'no', 'CPT8', '', 'CPT8', ''),
	('CNZ9', 'seaplane_base', 'Little Current Seaplane Base', 45.9838981628418, -81.95860290527344, 581, 'CA', 'CA-ON', '', 'no', 'CNZ9', '', 'CNZ9', ''),
	('CNC7', 'seaplane_base', 'Lake Muskoka/Mortimer''S Point Seaplane Base', 45.049999, -79.561095, 739, 'CA', 'CA-ON', 'Port Carling', 'no', 'CNC7', '', 'CNC7', 'NC7'),
	('CNF8', 'small_airport', 'Dwight Airport', 45.314445, -78.972504, 1100, 'CA', 'CA-ON', 'Dwight', 'no', 'CNF8', '', 'CNF8', ''),
	('CPQ7', 'seaplane_base', 'Skeleton Lake Seaplane Base', 45.231899, -79.436096, 920, 'CA', 'CA-ON', '', 'no', 'CPQ7', '', 'CPQ7', ''),
	('CSC9', 'small_airport', 'Sudbury / Coniston Airport', 46.4822006226, -80.8339004517, 886, 'CA', 'CA-ON', 'Sudbury', 'no', 'CSC9', '', 'CSC9', 'SC9'),
	('CTC1', 'N/A', 'N/A', 45.973869524896145, -79.39920231699944, 314, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CBL8', 'small_airport', 'Bala Airport', 45.030605, -79.617801, 814, 'CA', 'CA-ON', 'Bala', 'no', 'CBL8', '', 'CBL8', ''),
	('CB01', 'N/A', 'N/A', 46.226472929120064, -79.28907662630081, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CPX4', 'N/A', 'N/A', 46.194138899445534, -80.31141400337219, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CNK5', 'seaplane_base', 'Dorset/Kawagama Lake (Old Mill Marina) Seaplane Base', 45.266700744628906, -78.80829620361328, 1165, 'CA', 'CA-ON', '', 'no', 'CNK5', '', 'CNK5', ''),
	('CDH1', 'closed', 'Deerhurst Resort Airport', 45.354198, -79.151398, 1029, 'CA', 'CA-ON', 'Huntsville', 'no', '', '', '', 'DH1, CDH1'),
	('CND9', 'seaplane_base', 'Portage Lake Seaplane Base', 45.766701, -80.233299, 710, 'CA', 'CA-ON', '', 'no', 'CND9', '', 'CND9', ''),
	('CPX3', 'closed', 'New Liskeard Airport', 47.53329849243164, -79.61669921875, 800, 'CA', 'CA-ON', 'New Liskeard', 'no', '', '', '', 'PX3, CPX3, CPX3'),
	('CFR5', 'small_airport', 'Alban Airport', 46.091185, -80.608456, 700, 'CA', 'CA-ON', 'French River', 'no', 'CFR5', '', 'CFR5', 'FR5'),
	('CPZ7', 'seaplane_base', 'MacTier/Francis Island Seaplane Base', 45.150299, -80.019203, 580, 'CA', 'CA-ON', '', 'no', 'CPZ7', '', 'CPZ7', ''),
	('CTM2', 'seaplane_base', 'Temagami/Mine Landing Seaplane Base', 46.9603, -80.023102, 962, 'CA', 'CA-ON', '', 'no', 'CTM2', '', 'CTM2', ''),
	('CPC2', 'small_airport', 'Port Carling Airport', 45.093001, -79.597301, 857, 'CA', 'CA-ON', 'Port Carling', 'no', 'CPC2', '', 'CPC2', ''),
	('CPS1', 'seaplane_base', 'Parry Sound Harbour Seaplane Base', 45.339199, -80.034698, 580, 'CA', 'CA-ON', '', 'no', 'CPS1', '', 'CPS1', ''),
	('CHL6', 'seaplane_base', 'Huntsville (North) Seaplane Base', 45.331402, -79.258102, 931, 'CA', 'CA-ON', '', 'no', 'CHL6', '', 'CHL6', ''),
	('CNQ7', 'seaplane_base', 'Port Loring Seaplane Base', 45.892338, -80.103014, 668, 'CA', 'CA-ON', '', 'no', 'CNQ7', '', 'CNQ7', 'NQ7'),
	('CNA4', 'small_airport', 'Emsdale Airport', 45.546196, -79.344233, 1150, 'CA', 'CA-ON', 'Katrine', 'no', 'CNA4', '', 'CNA4', 'NA4'),
	('CPE6', 'small_airport', 'Sundridge/South River Airpark', 45.82212, -79.323664, 1160, 'CA', 'CA-ON', 'South River', 'no', 'CPE6', '', 'CPE6', 'PE6, Almaguin, Joly, South River Sundridge'),
	('CNB8', 'seaplane_base', 'Sudbury/Ramsey Lake Seaplane Base', 46.48, -80.985298, 810, 'CA', 'CA-ON', '', 'no', 'CNB8', '', 'CNB8', ''),
	('CNR4', 'small_airport', 'Tobermory Airport', 45.2214680842, -81.62755966190001, 700, 'CA', 'CA-ON', 'Tobermory', 'no', 'CNR4', '', 'CNR4', 'NR4'),
	('CNC8', 'seaplane_base', 'Temagami Seaplane Base', 47.0625, -79.793297, 962, 'CA', 'CA-ON', 'Temagami', 'no', 'CNC8', '', 'CNC8', 'NC8'),
	('CPT2', 'small_airport', 'Killarney Airport', 45.977500915527344, -81.49469757080078, 608, 'CA', 'CA-ON', 'Killarney', 'no', 'CPT2', '', 'CPT2', 'PT2'),
	('CDF3', 'small_airport', 'Englehart (Dave''s Field)', 47.809722, -79.811111, 700, 'CA', 'CA-ON', 'Englehart', 'no', 'CDF3', '', 'CDF3', 'Heaslip'),
	('CNC5', 'seaplane_base', 'Sudbury/Azilda Seaplane Base', 46.533298, -81.133301, 869, 'CA', 'CA-ON', '', 'no', 'CNC5', '', 'CNC5', 'NC5'),
	('CNT2', 'seaplane_base', 'Nobel/Sawdust Bay Seaplane Base', 45.401901, -80.125801, 580, 'CA', 'CA-ON', 'Carling', 'no', 'CNT2', '', 'CNT2', ''),
	('CPD6', 'seaplane_base', 'Parry Sound/St. Waleran Island Seaplane Base', 45.249199, -80.203598, 580, 'CA', 'CA-ON', '', 'no', 'CPD6', '', 'CPD6', ''),
	('CTA6', 'small_airport', 'Bracebridge (Tinks) Airport', 45.007, -79.414101, 780, 'CA', 'CA-ON', 'Bracebridge', 'no', 'CTA6', '', 'CTA6', ''),
	('CYSB', 'medium_airport', 'Sudbury Airport', 46.625, -80.79889678955078, 1141, 'CA', 'CA-ON', 'Sudbury', 'yes', 'CYSB', 'YSB', '', ''),
	('cnl7', 'small_airport', 'Nobel / Lumsden Air Park', 45.408333, -80.078056, 720, 'CA', 'CA-ON', '', 'no', 'CNL7', '', '', ''),
	('CYYB', 'medium_airport', 'North Bay Jack Garland Airport', 46.363602, -79.422798, 1215, 'CA', 'CA-ON', 'North Bay', 'yes', 'CYYB', 'YYB', '', 'Jack Garland Airport, CFB North Bay');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CNW2', 'closed', 'Windermere Airport', 45.162247, -79.534251, 746, 'CA', 'CA-ON', 'Windermere', 'no', '', '', '', 'NW2, CNW2'),
	('CWB2', 'small_airport', 'Bracebridge West Aerodrome', 45.059008, -79.399828, 755, 'CA', 'CA-ON', 'Bracebridge', 'no', 'CWB2', '', 'CWB2', ''),
	('CNS2', 'seaplane_base', 'Smoky Lake Seaplane Base', 45.849998, -80.216698, 725, 'CA', 'CA-ON', '', 'no', 'CNS2', '', 'CNS2', ''),
	('CTA4', 'small_airport', 'St Bruno-de-Guigues Airport', 47.4491996765, -79.41809844970001, 820, 'CA', 'CA-QC', 'St-Bruno-de-Guigues', 'no', 'CTA4', '', 'CTA4', 'TA4'),
	('CNK4', 'small_airport', 'Parry Sound Area Municipal Airport', 45.2575, -79.829697, 832, 'CA', 'CA-ON', 'Parry Sound', 'no', 'CNK4', 'YPD', 'CNK4', 'NK4, Seguin'),
	('CYXR', 'medium_airport', 'Earlton (Timiskaming Regional) Airport', 47.697400654599996, -79.8473453522, 800, 'CA', 'CA-ON', 'Earlton', 'no', 'CYXR', 'YXR', '', 'yxr'),
	('CPS9', 'seaplane_base', 'Parry Sound/Frying Pan Island-Sans Souci Seaplane Base', 45.173302, -80.137497, 580, 'CA', 'CA-ON', 'Frying Pan Island', 'no', 'CPS9', 'YSI', 'CPS9', ''),
	('CMB6', 'seaplane_base', 'Lake Muskoka East (Milford Bay) Seaplane Base', 45.074922, -79.480289, 739, 'CA', 'CA-ON', 'Milford Bay', 'no', 'CMB6', '', 'CMB6', ''),
	('CPY7', 'seaplane_base', 'Huntsville/Bella Lake Seaplane Base', 45.452801, -79.025597, 1168, 'CA', 'CA-ON', '', 'no', 'CPY7', '', 'CPY7', ''),
	('CPJ9', 'seaplane_base', 'Manitowaning Seaplane Base', 45.733297, -81.800001, 581, 'CA', 'CA-ON', '', 'no', 'CPJ9', '', 'CPJ9', 'PR6'),
	('CYAD', 'small_airport', 'La Grande-3 Airport', 53.5717010498, -76.19640350339999, 775, 'CA', 'CA-QC', 'La Grande-3', 'no', 'CYAD', 'YAR', 'YAD', 'YAD'),
	('CYGL', 'medium_airport', 'La Grande Rivière Airport', 53.625301361083984, -77.7042007446289, 639, 'CA', 'CA-QC', 'La Grande Rivière', 'yes', 'CYGL', 'YGL', '', ''),
	('YOI', 'small_airport', 'Opinaca Aerodrome', 52.221944, -76.611944, 692, 'CA', 'CA-QC', 'Éléonore Mine', 'no', '', 'YOI', '', 'Eastmain River, Les Mélèzes, CPN8'),
	('CYHH', 'small_airport', 'Nemiscau Airport', 51.691101, -76.135597, 802, 'CA', 'CA-QC', 'Nemiscau', 'yes', 'CYHH', 'YNS', '', 'YHH'),
	('CYNM', 'medium_airport', 'Matagami Airport', 49.76169967651367, -77.80280303955078, 918, 'CA', 'CA-QC', 'Matagami', 'no', 'CYNM', 'YNM', '', ''),
	('CTK2', 'small_airport', 'Senneterre Airport', 48.340599060058594, -77.18109893798828, 1106, 'CA', 'CA-QC', 'Senneterre', 'no', 'CTK2', '', 'CTK2', 'TK2'),
	('CTA5', 'seaplane_base', 'Val-d''Or/Hydrobase Piché Dubuisson Seaplane Base', 48.085301, -77.888601, 0, 'CA', 'CA-QC', 'Val-d''Or', 'no', 'CTA5', '', 'CTA5', ''),
	('CSW8', 'seaplane_base', 'Matagami Seaplane Base', 49.73440170288086, -77.61969757080078, 775, 'CA', 'CA-QC', '', 'no', 'CSW8', '', 'CSW8', ''),
	('CYVO', 'medium_airport', 'Val-d''Or Airport', 48.0532989502, -77.7827987671, 1107, 'CA', 'CA-QC', 'Val-d''Or', 'yes', 'CYVO', 'YVO', '', ''),
	('CTX2', 'seaplane_base', 'Lac Trévet Seaplane Base', 48.159401, -76.137802, 1420, 'CA', 'CA-QC', '', 'no', 'CTX2', '', 'CTX2', ''),
	('CSC6', 'seaplane_base', 'Amos (Lac Figuery) Seaplane Base', 48.499698638916016, -78.1177978515625, 0, 'CA', 'CA-QC', '', 'no', 'CSC6', '', 'CSC6', ''),
	('CYEY', 'medium_airport', 'Amos/Magny Airport', 48.563903, -78.249702, 1068, 'CA', 'CA-QC', 'Amos', 'no', 'CYEY', 'YEY', '', ''),
	('CSH4', 'small_airport', 'Lebel-sur-Quevillon Airport', 49.0303001404, -77.0171966553, 960, 'CA', 'CA-QC', 'Lebel-sur-Quévillon', 'no', 'CSH4', 'YLS', 'CSH4', 'SH4'),
	('CST6', 'seaplane_base', 'Clova/Lac Duchamp Seaplane Base', 48.110001, -75.365799, 1375, 'CA', 'CA-QC', '', 'no', 'CST6', '', 'CST6', ''),
	('CYVA', 'N/A', 'N/A', 47.10561152547598, -77.62863680720329, 340, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CSF7', 'small_airport', 'Ottawa / Casselman (Shea Field)', 45.299675, -75.171504, 216, 'CA', 'CA-ON', 'Ottawa', 'no', 'CSF7', '', 'CSF7', ''),
	('CAA2', 'small_airport', 'St. André-Avellin Aerodrome', 45.744319, -75.070267, 550, 'CA', 'CA-QC', 'St. Andre Avellin', 'no', 'CAA2', '', 'CAA2', ''),
	('CCP3', 'small_airport', 'Chute-Saint-Philippe Airport', 46.660924, -75.243674, 860, 'CA', 'CA-QC', 'Chute-Saint-Philippe', 'no', 'CCP3', '', 'CCP3', 'CP3'),
	('CPH2', 'small_airport', 'Rolph Airport', 46.11669921875, -77.5333023071289, 490, 'CA', 'CA-ON', 'Deep River', 'no', 'CPH2', '', 'CPH2', 'PH2'),
	('CNR6', 'small_airport', 'Carleton Place Airport', 45.10390090942383, -76.12329864501953, 450, 'CA', 'CA-ON', 'Carleton Place', 'no', 'CNR6', '', 'CNR6', 'NR6'),
	('CYBO', 'N/A', 'N/A', 45.39026644080877, -75.29655575752258, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRL6', 'seaplane_base', 'West Guilford/Redstone Lake Water Aerodrome', 45.21, -78.546002, 1198, 'CA', 'CA-ON', 'West Guilford', 'no', 'CRL6', '', 'CRL6', ''),
	('CSD4', 'small_airport', 'Mont Laurier Airport', 46.56439971923828, -75.57779693603516, 815, 'CA', 'CA-QC', 'Mont-Laurier', 'no', 'CSD4', '', 'CSD4', 'SD4'),
	('CMB8', 'small_airport', 'Bonnie Brae Airfield', 45.374212, -77.723115, 1545, 'CA', 'CA-ON', 'Combermere', 'no', 'CMB8', '', 'CMB8', ''),
	('CNA8', 'closed', 'Winchester Airport', 45.045600891099994, -75.3032989502, 250, 'CA', 'CA-ON', 'Winchester', 'no', '', '', '', 'NA8, CNA8, CNA8'),
	('CYUJ', 'N/A', 'N/A', 45.0444408506155, -76.6499112546444, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYAR', 'N/A', 'N/A', 45.52775111049414, -76.17011234164238, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CHF2', 'small_airport', 'Ottawa / Manotick (Hope Field)', 45.190601348899996, -75.70860290530001, 315, 'CA', 'CA-ON', 'Manotick', 'no', 'CHF2', '', 'CHF2', 'HF2'),
	('CNL6', 'seaplane_base', 'Hurds Lake Seaplane Base', 45.416698, -76.650002, 608, 'CA', 'CA-ON', 'Renfrew', 'no', 'CNL6', '', 'CNL6', ''),
	('CNP3', 'small_airport', 'Arnprior Airport', 45.41360092163086, -76.36579895019531, 358, 'CA', 'CA-ON', 'Arnprior', 'no', 'CNP3', '', 'CNP3', 'NP3,South Renfrew Municipal'),
	('CPK8', 'seaplane_base', 'Black Donald Lake Seaplane Base', 45.205002, -76.956703, 815, 'CA', 'CA-ON', 'Renfrew', 'no', 'CPK8', '', 'CPK8', ''),
	('CSA9', 'seaplane_base', 'Lac-Des-Îles Seaplane Base', 46.4119, -75.519995, 660, 'CA', 'CA-QC', '', 'no', 'CSA9', '', 'CSA9', 'SA9'),
	('CPR2', 'small_airport', 'Ottawa/Embrun Aerodrome', 45.239703, -75.302423, 230, 'CA', 'CA-ON', 'Embrun', 'no', 'CPR2', '', 'CPR2', 'PR2, Embrun Airpark, Embrun Airport'),
	('CYND', 'medium_airport', 'Ottawa / Gatineau Airport', 45.521702, -75.563599, 211, 'CA', 'CA-QC', 'Gatineau', 'yes', 'CYND', 'YND', 'CYND', 'YND'),
	('CPF3', 'small_airport', 'Parti Field', 45.4274, -76.069502, 240, 'CA', 'CA-ON', 'Dunrobin', 'no', 'CPF3', '', 'CPF3', ''),
	('CSD9', 'seaplane_base', 'Parc Gatineau Seaplane Base', 45.6833, -76.208603, 640, 'CA', 'CA-QC', 'La Peche', 'no', 'CSD9', '', 'CSD9', 'SD9, Gatineau Park'),
	('CTY3', 'seaplane_base', 'Cascades Seaplane Base', 45.5858, -75.868103, 340, 'CA', 'CA-QC', 'Cantley', 'no', 'CTY3', '', 'CTY3', ''),
	('CPC7', 'seaplane_base', 'Pontiac Airpark Water Aerodrome', 45.523611, -76.170833, 190, 'CA', 'CA-QC', 'Pontiac', 'no', 'CPC7', '', 'CPC7', ''),
	('CSM6', 'seaplane_base', 'Blue Sea Lake Seaplane Base', 46.2421989440918, -76.04830169677734, 560, 'CA', 'CA-QC', 'Maniwaki', 'no', 'CSM6', '', 'CSM6', ''),
	('CPL3', 'small_airport', 'Kars / Rideau Valley Air Park', 45.103062065299994, -75.6281661987, 286, 'CA', 'CA-ON', 'Kars', 'no', 'CPL3', '', 'CPL3', 'PL3'),
	('CYWA', 'medium_airport', 'Petawawa Airport', 45.95220184326172, -77.31919860839844, 427, 'CA', 'CA-ON', 'Petawawa', 'no', 'CYWA', 'YWA', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CYRO', 'medium_airport', 'Ottawa / Rockcliffe Airport', 45.4603004456, -75.64610290530001, 188, 'CA', 'CA-ON', 'Ottawa', 'no', 'CYRO', 'YRO', 'CYRO', 'YRO'),
	('CNW3', 'small_airport', 'Bancroft Community Airport', 45.072652, -77.880678, 1085, 'CA', 'CA-ON', 'Bancroft', 'no', 'CNW3', '', 'CNW3', 'NW3, Jack Brown'),
	('CYFN', 'N/A', 'N/A', 46.88432056456804, -75.33286660909653, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CMW3', 'small_airport', 'Matawatchan Aerodrome', 45.163709, -77.095356, 990, 'CA', 'CA-ON', 'Matawatchan', 'no', 'CMW3', '', '', ''),
	('CYMW', 'small_airport', 'Maniwaki Airport', 46.2728, -75.990601, 656, 'CA', 'CA-QC', 'Messines', 'no', 'CYMW', 'YMW', 'YMW', 'YMW'),
	('CTV2', 'seaplane_base', 'Lac-Des-Écorces Seaplane Base', 46.548599, -75.418602, 753, 'CA', 'CA-QC', '', 'no', 'CTV2', '', 'CTV2', ''),
	('CMA2', 'small_airport', 'Mattawa Airport', 46.29970169067383, -78.747802734375, 600, 'CA', 'CA-ON', 'Mattawa', 'no', 'CMA2', '', 'CMA2', 'MA2'),
	('CPF4', 'small_airport', 'Bruce McPhail Memorial Airport', 45.595032, -76.832721, 500, 'CA', 'CA-ON', 'Haley Station', 'no', 'CPF4', '', 'CPF4', 'PF4, Cobden'),
	('CNF6', 'seaplane_base', 'Haliburton Seaplane Base', 45.00830078125, -78.56670379638672, 1043, 'CA', 'CA-ON', '', 'no', 'CNF6', '', 'CNF6', ''),
	('CYUH', 'N/A', 'N/A', 45.665014162659645, -77.59961798787117, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CPT7', 'seaplane_base', 'Mattawa Seaplane Base', 46.311401, -78.722801, 500, 'CA', 'CA-ON', '', 'no', 'CPT7', '', 'CPT7', ''),
	('CNF3', 'small_airport', 'Pendleton Airport', 45.486099, -75.0961, 260, 'CA', 'CA-ON', 'Pendleton', 'no', 'CNF3', '', 'CNF3', 'NF3'),
	('CNP5', 'seaplane_base', 'Kamaniskeg Lake Seaplane Base', 45.383301, -77.650002, 928, 'CA', 'CA-ON', 'Combermere', 'no', 'CNP5', '', 'CNP5', ''),
	('CYRP', 'medium_airport', 'Ottawa / Carp Airport', 45.3191986084, -76.0222015381, 382, 'CA', 'CA-ON', 'Ottawa', 'no', 'CYRP', '', 'YRP', 'YRP'),
	('CND4', 'small_airport', 'Stanhope Municipal Airport', 45.111255, -78.640047, 1066, 'CA', 'CA-ON', 'Haliburton', 'no', 'CND4', '', 'CND4', 'ND4'),
	('CKS2', 'seaplane_base', 'Kennisis Lake Seaplane Base', 45.234, -78.622, 1227, 'CA', 'CA-ON', 'Kennisis Lake', 'no', 'CKS2', '', 'CKS2', ''),
	('CSB9', 'closed', 'Parc De La Vérendrye (Le Domaine) Seaplane Base', 47.036701, -76.536697, 1200, 'CA', 'CA-QC', '', 'no', '', '', '', 'CSB9, SB9, CSB9'),
	('CNZ4', 'small_airport', 'Madawaska Valley Airpark', 45.504803, -77.645323, 1000, 'CA', 'CA-ON', 'Barry''s Bay', 'no', 'CNZ4', '', 'CNZ4', 'NZ4'),
	('CYOW', 'large_airport', 'Ottawa Macdonald-Cartier International Airport', 45.322498, -75.669197, 374, 'CA', 'CA-ON', 'Ottawa', 'yes', 'CYOW', 'YOW', 'YOW', 'Uplands, UUP, CUUP'),
	('CRB7', 'seaplane_base', 'Cardinal Aviation Seaplane Base', 45.547501, -75.6278, 0, 'CA', 'CA-QC', 'Rivière Blanche', 'no', 'CRB7', '', 'CRB7', ''),
	('CSP9', 'seaplane_base', 'Ste-Anne-du-Lac Seaplane Base', 46.885817, -75.326789, 817, 'CA', 'CA-QC', 'Ste-Anne-du-Lac', 'no', 'CSP9', '', 'CSP9', 'SP9'),
	('CNQ5', 'seaplane_base', 'Constance Lake Seaplane Base', 45.402802, -75.975601, 196, 'CA', 'CA-ON', 'Ottawa', 'no', 'CNQ5', '', 'CNQ5', ''),
	('CYTA', 'medium_airport', 'Pembroke Airport', 45.86439895629883, -77.25170135498047, 529, 'CA', 'CA-ON', 'Pembroke', 'no', 'CYTA', 'YTA', '', ''),
	('CLB6', 'seaplane_base', 'La Grande-4/Lac Bottine Seaplane Base', 53.7094, -73.720801, 0, 'CA', 'CA-QC', '', 'no', 'CLB6', '', 'CLB6', 'Lac de la Falaise, Lac Katatipawasakakamaw'),
	('CPM3', 'small_airport', 'POURVOIRIE MIRAGE AERODROME', 53.8025, -72.841389, 1300, 'CA', 'CA-QC', '', 'no', 'CPM3', '', '', ''),
	('CLP3', 'seaplane_base', 'Lac Polaris (pourvoirie Mirage)', 53.800556, -72.866667, 1300, 'CA', 'CA-QC', '', 'no', 'CLP3', '', '', 'Pourvoirie Mirage, Mirage outfitter'),
	('crs7', 'small_airport', 'Matoush Airport', 51.905, -72.12388888, 2608, 'CA', 'CA-QC', '', 'no', 'CRS7', '', '', ''),
	('CYDG', 'N/A', 'N/A', 52.28230409324169, -72.06213444471359, 517, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFX5', 'small_airport', 'Clarence and Abel Swallow Airport', 52.730001, -72.221001, 1560, 'CA', 'CA-QC', 'Renard Diamond Mine', 'no', 'CFX5', '', 'CFX5', ''),
	('crt2', 'small_airport', 'Rivière Témiscamie (Air Roberval) Airport', 51.009247, -72.983594, 1300, 'CA', 'CA-QC', 'Jamésie', 'no', 'CRT2', '', 'CRT2', ''),
	('CYRJ', 'medium_airport', 'Roberval Airport', 48.519665, -72.265735, 586, 'CA', 'CA-QC', 'Roberval', 'yes', 'CYRJ', 'YRJ', '', ''),
	('CYPP', 'small_airport', 'Parent Airport', 47.931901, -74.608103, 1400, 'CA', 'CA-QC', 'Parent', 'no', 'CYPP', '', '', 'SW4'),
	('CTP3', 'seaplane_base', 'Barrage Gouin Seaplane Base', 48.354198, -74.102798, 1325, 'CA', 'CA-QC', '', 'no', 'CTP3', '', 'CTP3', ''),
	('CSZ7', 'seaplane_base', 'Chibougamau/Lac Caché Water Aerodrome', 49.823371, -74.424285, 1255, 'CA', 'CA-QC', 'Chibougamau', 'no', 'CSZ7', '', 'CSZ7', 'SZ7'),
	('CSA5', 'seaplane_base', 'St-Charles-de-Bourget Water Aerodrome', 48.509103, -71.4632, 227, 'CA', 'CA-QC', 'Saguenay', 'no', 'CSA5', '', 'CSA5', ''),
	('CYMT', 'medium_airport', 'Chapais Airport', 49.77190017700195, -74.5280990600586, 1270, 'CA', 'CA-QC', 'Chibougamau', 'yes', 'CYMT', 'YMT', '', ''),
	('CSU5', 'small_airport', 'Weymontachie Airport', 47.937133, -73.818004, 1171, 'CA', 'CA-QC', 'Wemotaci', 'no', 'CSU5', '', 'CSU5', 'SU5'),
	('CYDO', 'medium_airport', 'Dolbeau-Saint-Felicien Airport', 48.7785, -72.375, 372, 'CA', 'CA-QC', 'Dolbeau-Saint-Felicien', 'no', 'CYDO', 'YDO', '', 'Dolbeau St Methode'),
	('CYTF', 'medium_airport', 'Alma Airport', 48.5089, -71.641899, 445, 'CA', 'CA-QC', 'Alma', 'no', 'CYTF', 'YTF', '', ''),
	('CGD2', 'seaplane_base', 'Alma (Rivière La Grande Décharge) Seaplane Base', 48.563301, -71.615799, 227, 'CA', 'CA-QC', 'Alma', 'no', 'CGD2', '', 'CGD2', ''),
	('CYFJ', 'medium_airport', 'Mont-Tremblant International Airport', 46.409401, -74.779999, 827, 'CA', 'CA-QC', 'La Macaza', 'no', 'CYFJ', 'YTM', '', 'YFJ'),
	('CPD8', 'closed', 'Hawkesbury (Windover Field) Airport', 45.5643997192, -74.8097000122, 165, 'CA', 'CA-ON', 'Hawkesbury', 'no', '', '', '', 'PD8, CPD8, CPD8'),
	('CSA4', 'seaplane_base', 'Boisvert & Fils Seaplane Base', 45.645599, -73.596901, 0, 'CA', 'CA-QC', 'Montréal', 'no', 'CSA4', '', 'CSA4', ''),
	('CMB7', 'small_airport', 'Maxville (Bourdon Farm) Airport', 45.253, -74.807, 359, 'CA', 'CA-ON', 'Maxville', 'no', 'CMB7', '', '', ''),
	('CSM5', 'small_airport', 'Saint-Michel-des-Saints Aerodrome', 46.680036, -73.992863, 1372, 'CA', 'CA-QC', 'Saint-Michel-Des-Saints', 'no', 'CSM5', '', 'CSM5', 'SM5'),
	('CSB6', 'seaplane_base', 'Montebello Seaplane Base', 45.6339, -74.977501, 0, 'CA', 'CA-QC', 'Montebello', 'no', 'CSB6', '', 'CSB6', ''),
	('CSX3', 'small_airport', 'Richelieu Airport', 45.447077, -73.232683, 115, 'CA', 'CA-QC', 'Richelieu', 'no', 'CSX3', '', 'CSX3', 'SX3'),
	('CTY5', 'small_airport', 'Rougemont Airport', 45.43830108642578, -73.03780364990234, 80, 'CA', 'CA-QC', 'Rougemont', 'no', 'CTY5', '', 'CTY5', 'TY5'),
	('CLA6', 'small_airport', 'Lancaster Airpark', 45.200401306152344, -74.36100006103516, 145, 'CA', 'CA-ON', 'Bainsville', 'no', 'CLA6', '', '', ''),
	('CST3', 'small_airport', 'Montreal / St-Lazare Airport', 45.3903282887, -74.1340041161, 175, 'CA', 'CA-QC', 'Montréal', 'no', 'CST3', '', 'CST3', 'ST3'),
	('CSN7', 'small_airport', 'Farnham Airport', 45.28559875488281, -73.00779724121094, 180, 'CA', 'CA-QC', 'Farnham', 'no', 'CSN7', '', 'CSN7', 'SN7');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CHA2', 'seaplane_base', 'Hydravion Aventure Water Aerodrome', 46.4778, -72.7761, 115, 'CA', 'CA-QC', 'St-Étienne-des-Grès', 'no', 'CHA2', '', 'CHA2', 'Hydravion-Aventure'),
	('CSK5', 'small_airport', 'Paquet Airport', 46.89500045776367, -71.78579711914063, 582, 'CA', 'CA-QC', 'St-Raymond', 'no', 'CSK5', '', 'CSK5', 'SK5'),
	('CSS7', 'seaplane_base', 'Lac-à-Beauce Seaplane Base', 47.321401, -72.764997, 670, 'CA', 'CA-QC', 'Lac-à-Beauce', 'no', 'CSS7', '', 'CSS7', 'SS7'),
	('CSK4', 'small_airport', 'Mansonville Airport', 45.026402, -72.401901, 575, 'CA', 'CA-QC', 'Mansonville', 'no', 'CSK4', '', 'CSK4', 'SK4'),
	('CSH3', 'heliport', 'Calgary/South Health Campus Hospital Helipad', 50.8828, -113.952, 3486, 'CA', 'CA-AB', 'Calgary', 'no', '', '', 'CSH3', ''),
	('CSG3', 'small_airport', 'Joliette Airport', 46.044464, -73.501539, 225, 'CA', 'CA-QC', 'Joliette', 'no', 'CSG3', '', 'CSG3', 'SG3'),
	('CYJN', 'medium_airport', 'St Jean Airport', 45.29439926147461, -73.28109741210938, 136, 'CA', 'CA-QC', 'St Jean', 'no', 'CYJN', 'YJN', '', ''),
	('KMAA', 'N/A', 'N/A', 45.039828792214394, -74.85925957560539, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CTE5', 'small_airport', 'Lac à la Perchaude Airport', 46.622501373291016, -72.84829711914063, 550, 'CA', 'CA-QC', 'Lac à la Perchaude', 'no', 'CTE5', '', 'CTE5', 'TE5'),
	('CST8', 'seaplane_base', 'Montreal / Marina Venise Seaplane Base', 45.632856, -73.782409, 65, 'CA', 'CA-QC', 'Montréal', 'no', 'CST8', '', 'CST8', ''),
	('CSZ3', 'small_airport', 'Mont-Tremblant/Saint-Jovite Airport', 46.154202, -74.583603, 790, 'CA', 'CA-QC', 'Mont-Tremblant', 'no', 'CSZ3', '', 'CSZ3', 'SZ3'),
	('CSN5', 'closed', 'Stanhope Airport', 45.01572, -71.793888, 1450, 'CA', 'CA-QC', 'Stanhope', 'no', '', '', '', 'SN5, CSN5'),
	('CSJ5', 'small_airport', 'St-Louis-de-France Airport', 46.436903, -72.630079, 225, 'CA', 'CA-QC', 'St-Louis-de-France', 'no', 'CSJ5', '', 'CSJ5', 'SJ5'),
	('CYSC', 'medium_airport', 'Sherbrooke Airport', 45.438599, -71.691399, 792, 'CA', 'CA-QC', 'Sherbrooke', 'no', 'CYSC', 'YSC', '', ''),
	('CYRQ', 'medium_airport', 'Trois-Rivières Airport', 46.35279846191406, -72.67939758300781, 199, 'CA', 'CA-QC', 'Trois-Rivières', 'no', 'CYRQ', 'YRQ', '', ''),
	('CNS4', 'small_airport', 'Alexandria Aerodrome', 45.3307, -74.625725, 260, 'CA', 'CA-ON', 'North Glengarry', 'no', 'CNS4', '', 'CNS4', ''),
	('CSD3', 'small_airport', 'Salaberry-de-Valleyfield Aerodrome', 45.208952, -74.140349, 155, 'CA', 'CA-QC', 'Beauharnois-Salaberry', 'no', 'CSD3', '', 'CSD3', 'SD3, Saint-Stanislas-de-Kostka, Valleyfield'),
	('CYIG', 'N/A', 'N/A', 45.46636439859867, -74.67738345265388, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYQB', 'large_airport', 'Quebec Jean Lesage International Airport', 46.7911, -71.393303, 244, 'CA', 'CA-QC', 'Quebec', 'yes', 'CYQB', 'YQB', 'YQB', 'Quebec City'),
	('CSK3', 'closed', 'Montreal / Mascouche Airport', 45.718601, -73.598099, 75, 'CA', 'CA-QC', 'Montréal', 'no', '', '', '', 'SK3, CSK3, CSK3'),
	('CYHU', 'medium_airport', 'Montréal / Saint-Hubert Airport', 45.5175018311, -73.4169006348, 90, 'CA', 'CA-QC', 'Montréal', 'yes', 'CYHU', 'YHU', '', ''),
	('CES2', 'small_airport', 'St-Esprit Aerodrome', 45.9144, -73.672395, 192, 'CA', 'CA-QC', 'St-Esprit', 'no', 'CES2', '', 'CES2', ''),
	('CSQ3', 'small_airport', 'Valcourt Airport', 45.48109817504883, -72.310302734375, 740, 'CA', 'CA-QC', 'Valcourt', 'no', 'CSQ3', '', 'CSQ3', 'SQ3'),
	('CMX2', 'small_airport', 'Maxville Airport', 45.296501, -74.8536, 0, 'CA', 'CA-ON', 'Maxville', 'no', 'CMX2', '', 'CMX2', ''),
	('CTR6', 'small_airport', 'St-Basile (Marcotte) Airport', 46.783599853515625, -71.82640075683594, 300, 'CA', 'CA-QC', 'St-Basile', 'no', 'CTR6', '', 'CTR6', 'TR6'),
	('CSY3', 'small_airport', 'Sorel Airport', 45.980301, -73.042198, 76, 'CA', 'CA-QC', 'Saint-Robert', 'no', 'CSY3', '', 'CSY3', 'SY3'),
	('CTC2', 'seaplane_base', 'St-Alphonse/Lac Cloutier Seaplane Base', 46.192799, -73.654404, 720, 'CA', 'CA-QC', 'Saint-Alphonse', 'no', 'CTC2', '', 'CTC2', 'TC2'),
	('CTN3', 'seaplane_base', 'Lac Beauregard Seaplane Base', 46.953098, -74.892197, 0, 'CA', 'CA-QC', '', 'no', 'CTN3', '', 'CTN3', ''),
	('CSP8', 'seaplane_base', 'Lac Sept-Îles Seaplane Base', 46.939701, -71.745003, 685, 'CA', 'CA-QC', '', 'no', 'CSP8', '', 'CSP8', 'SP8'),
	('CSN3', 'small_airport', 'St-Jérôme Airport', 45.7803, -74.061897, 550, 'CA', 'CA-QC', 'St-Jérôme', 'no', 'CSN3', '', 'CSN3', 'SN3'),
	('CSY4', 'small_airport', 'Saint-Donat Aerodrome', 46.30614, -74.181862, 1270, 'CA', 'CA-QC', 'Saint-Donat', 'no', 'CSY4', '', 'CSY4', 'SY4'),
	('CMT2', 'seaplane_base', 'Mont-Tremblant (Lac Maskinongé) Seaplane Base', 46.087825, -74.608452, 790, 'CA', 'CA-QC', 'Mont-Tremblant', 'no', 'CMT2', '', 'CMT2', ''),
	('CPG5', 'small_airport', 'Hawkesbury (East) Airport', 45.582801818847656, -74.54889678955078, 200, 'CA', 'CA-ON', 'Hawkesbury', 'no', 'CPG5', '', 'CPG5', 'PG5'),
	('CSR3', 'small_airport', 'Victoriaville Airport', 46.110604, -71.931906, 486, 'CA', 'CA-QC', 'Victoriaville', 'no', 'CSR3', '', 'CSR3', 'SR3'),
	('CSU3', 'small_airport', 'Saint-Hyacinthe Aerodrome', 45.60687, -73.015146, 115, 'CA', 'CA-QC', 'Saint-Hyacinthe', 'no', 'CSU3', '', 'CSU3', 'SU3'),
	('CSC3', 'small_airport', 'Drummondville Airport', 45.845298767089844, -72.39469909667969, 365, 'CA', 'CA-QC', 'Drummondville', 'no', 'CSC3', '', 'CSC3', 'SC3'),
	('CSA2', 'small_airport', 'Lac Agile (Mascouche) Airport', 45.791900634765625, -73.63809967041016, 160, 'CA', 'CA-QC', 'Lac Agile', 'no', 'CSA2', '', 'CSA2', 'SA2'),
	('CAA4', 'small_airport', 'Saint-Apollinaire (Airpro) Aerodrome', 46.586944, -71.561111, 380, 'CA', 'CA-QC', 'Saint-Apollinaire', 'no', 'CAA4', '', 'CAA4', ''),
	('CYCC', 'medium_airport', 'Cornwall Regional Airport', 45.092637, -74.567724, 175, 'CA', 'CA-ON', 'Cornwall', 'no', 'CYCC', 'YCC', '', ''),
	('CSS4', 'small_airport', 'St-Dominique Airport', 45.63249969482422, -72.81890106201172, 250, 'CA', 'CA-QC', 'St-Dominique', 'no', 'CSS4', '', 'CSS4', 'SS4'),
	('CSV9', 'seaplane_base', 'St-Mathias Seaplane Base', 45.5028, -73.252197, 25, 'CA', 'CA-QC', '', 'no', 'CSV9', '', 'CSV9', 'SV9'),
	('CRG3', 'small_airport', 'Bouthillier Airport', 45.4778, -73.3016, 45, 'CA', 'CA-QC', 'Carignan', 'no', 'CRG3', '', 'CRG3', ''),
	('CTH6', 'seaplane_base', 'La Tuque Seaplane Base', 47.461399, -72.781097, 0, 'CA', 'CA-QC', 'La Tuque', 'no', 'CTH6', '', 'CTH6', ''),
	('CLA2', 'small_airport', 'L''Assomption Airport', 45.82310104370117, -73.46060180664063, 52, 'CA', 'CA-QC', 'L''Assomption', 'no', 'CLA2', '', 'CLA2', 'LA2'),
	('CMS3', 'seaplane_base', 'Marina le Nautique Water Aerodrome', 46.69, -73.898702, 1177, 'CA', 'CA-QC', 'St-Michel-des-Saints', 'no', 'CMS3', '', 'CMS3', ''),
	('CSL3', 'small_airport', 'Lac-à-la-Tortue Airport', 46.621806, -72.632889, 434, 'CA', 'CA-QC', 'Lac-à-la-Tortue', 'no', 'CSL3', '', 'CSL3', 'SL3'),
	('CZBM', 'medium_airport', 'Bromont (Roland Désourdy) Airport', 45.290798, -72.741402, 375, 'CA', 'CA-QC', 'Bromont', 'no', 'CZBM', 'ZBM', '', ''),
	('CRM3', 'small_airport', 'Richelieu/Messier Airport', 45.3779, -73.2267, 118, 'CA', 'CA-QC', 'Richelieu', 'no', 'CRM3', '', 'CRM3', ''),
	('CJF2', 'seaplane_base', 'Carignan/Rivière L’Acadie Water Aerodrome', 45.4736, -73.2948, 32, 'CA', 'CA-QC', 'Carignan', 'no', 'CJF2', '', 'CJF2', ''),
	('CSX5', 'small_airport', 'Grant Airport', 45.471900939941406, -73.19940185546875, 110, 'CA', 'CA-QC', 'St-Mathias', 'no', 'CSX5', '', 'CSX5', 'SX5'),
	('CSW9', 'seaplane_base', 'Ste-Véronique Seaplane Base', 46.514702, -74.990303, 823, 'CA', 'CA-QC', 'Ste-Véronique', 'no', 'CSW9', '', 'CSW9', 'SW9');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CSM3', 'small_airport', 'Thetford Mines Airport', 46.051700592041016, -71.2572021484375, 1408, 'CA', 'CA-QC', 'Thetford Mines', 'no', 'CSM3', '', 'CSM3', 'SM3'),
	('CSM4', 'closed', 'Ste-Julienne Airport', 45.9407997131, -73.7238998413, 280, 'CA', 'CA-QC', 'Ste-Julienne', 'no', '', '', '', 'SM4, CSM4, CSM4'),
	('CYUL', 'large_airport', 'Montreal / Pierre Elliott Trudeau International Airport', 45.467837, -73.742294, 118, 'CA', 'CA-QC', 'Montréal', 'yes', 'CYUL', 'YUL', 'YUL', 'YMQ, Dorval Airport'),
	('CYLQ', 'small_airport', 'La Tuque Airport', 47.4096984863, -72.7889022827, 548, 'CA', 'CA-QC', 'La Tuque', 'no', 'CYLQ', 'YLQ', '', 'YLQ'),
	('CSE4', 'small_airport', 'Lachute Airport', 45.639400482177734, -74.37059783935547, 221, 'CA', 'CA-QC', 'Lachute', 'no', 'CSE4', '', 'CSE4', 'SE4'),
	('CTS4', 'N/A', 'N/A', 45.681326016783714, -72.8282019495964, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CSJ4', 'small_airport', 'Louiseville Airport', 46.245468, -72.90897, 40, 'CA', 'CA-QC', 'Louiseville', 'no', 'CSJ4', '', 'CSJ4', 'SJ4'),
	('CYMX', 'medium_airport', 'Montreal International (Mirabel) Airport', 45.679501, -74.038696, 270, 'CA', 'CA-QC', 'Montréal', 'no', 'CYMX', 'YMX', '', 'YMQ'),
	('CVP2', 'seaplane_base', 'Île Sainte-Hélène Water Airport', 45.5212, -73.5394, 23, 'CA', 'CA-QC', 'Montréal', 'no', 'CVP2', '', 'CVP2', 'Hydro-Aéroport Montréal Centre-Ville'),
	('CNV9', 'small_airport', 'Québec / Neuville Airport', 46.7214759694, -71.5854978561, 314, 'CA', 'CA-QC', 'Neuville, QC', 'no', 'CNV9', '', 'CNV9', 'Neuville, Québec'),
	('CSE3', 'small_airport', 'Lourdes-de-Joliette Airport', 46.111146, -73.452959, 350, 'CA', 'CA-QC', 'Notre-Dame-de-Lourdes', 'no', 'CSE3', '', 'CSE3', 'SE3'),
	('CSP6', 'small_airport', 'Montreal / Aéroparc Île Perrot', 45.376098632799994, -73.9072036743, 100, 'CA', 'CA-QC', 'Montréal', 'no', 'CSP6', '', 'CSP6', 'SP6'),
	('CSP5', 'small_airport', 'St-Mathias Airport', 45.50080108642578, -73.24169921875, 50, 'CA', 'CA-QC', 'St-Mathias', 'no', 'CSP5', '', 'CSP5', 'SP5'),
	('CTQ2', 'small_airport', 'Weller Airport', 45.034400939941406, -72.03500366210938, 1250, 'CA', 'CA-QC', 'Stanstead', 'no', 'CTQ2', '', 'CTQ2', 'TQ2'),
	('CSJ2', 'small_airport', 'Kanawata Aeroparc Airport', 47.59469985961914, -74.13359832763672, 1350, 'CA', 'CA-QC', 'Kanawata', 'no', 'CSJ2', '', 'CSJ2', 'SJ2'),
	('CNV4', 'small_airport', 'Hawkesbury Airport', 45.616699, -74.650002, 167, 'CA', 'CA-ON', 'Hawkesbury', 'no', 'CNV4', '', 'CNV4', 'NV4'),
	('CSH5', 'small_airport', 'Saint-Ferdinand Airport', 46.126099, -71.536102, 1050, 'CA', 'CA-QC', 'Saint-Ferdinand', 'no', 'CSH5', '', 'CSH5', 'St-Ferdinand'),
	('CSS3', 'small_airport', 'Montreal / Les Cèdres Airport', 45.347499847399995, -74.0766983032, 160, 'CA', 'CA-QC', 'Montréal', 'no', 'CSS3', '', 'CSS3', 'SS3, Cedars Airport'),
	('CTT2', 'closed', 'Chambly Airport', 45.401100158691406, -73.29530334472656, 95, 'CA', 'CA-QC', 'Chambly', 'no', '', '', '', 'TT2, CTT2, CTT2'),
	('CSB3', 'small_airport', 'St-Mathieu-De-Beloeil Airport', 45.59000015258789, -73.23860168457031, 47, 'CA', 'CA-QC', 'St-Mathieu-De-Beloeil', 'no', 'CSB3', '', 'CSB3', 'SB3'),
	('CMN3', 'small_airport', 'St-Michel-de-Napierville Airport', 45.213804, -73.576, 206, 'CA', 'CA-QC', 'St-Michel-de-Napierville', 'no', 'CMN3', '', 'CMN3', ''),
	('CYFB', 'medium_airport', 'Iqaluit Airport', 63.756402, -68.555801, 110, 'CA', 'CA-NU', 'Iqaluit', 'yes', 'CYFB', 'YFB', '', 'Frobisher Bay Air Base'),
	('CCP6', 'small_airport', 'Caniapiscau Airport', 54.837799072265625, -69.8927993774414, 1672, 'CA', 'CA-QC', 'Caniapiscau', 'no', 'CCP6', '', 'CCP6', 'CP6'),
	('CTP4', 'seaplane_base', 'Lac Pau (Caniapiscau) Seaplane Base', 54.845001, -69.881897, 1657, 'CA', 'CA-QC', '', 'no', 'CTP4', '', 'CTP4', ''),
	('CTU2', 'small_airport', 'Fontanges Airport', 54.553901672363, -71.173301696777, 1550, 'CA', 'CA-QC', 'Fontanges', 'no', 'CTU2', 'YFG', 'CTU2', 'TU2'),
	('CMN5', 'small_airport', 'Manic-Cinq Airport', 50.657732, -68.831019, 1332, 'CA', 'CA-QC', 'Manicouagan', 'no', 'CMN5', '', '', 'mn5'),
	('CRB4', 'small_airport', 'Rivière Bonnard Airport', 50.70439910888672, -71.1624984741211, 1585, 'CA', 'CA-QC', 'Rivière Bonnard', 'no', 'CRB4', '', 'CRB4', 'RB4'),
	('CTD3', 'seaplane_base', 'Lac Sébastien Seaplane Base', 48.651699, -71.145798, 0, 'CA', 'CA-QC', '', 'no', 'CTD3', '', 'CTD3', ''),
	('CLL3', 'seaplane_base', 'Lac Lamothe Water Aerodrome', 48.739403, -71.1383, 975, 'CA', 'CA-QC', 'Lac Lamothe', 'no', 'CLL3', '', 'CLL3', ''),
	('CSL9', 'small_airport', 'Baie-Comeau (Manic 1) Airport', 49.18439865112305, -68.36250305175781, 250, 'CA', 'CA-QC', 'Baie-Comeau', 'no', 'CSL9', '', 'CSL9', 'SL9'),
	('CYBG', 'medium_airport', 'CFB Bagotville / Saguenay-Bagotville Airport', 48.331908, -70.992909, 522, 'CA', 'CA-QC', 'La Baie', 'yes', 'CYBG', 'YBG', '', 'Bagotville Airport'),
	('CSA8', 'seaplane_base', 'Saguenay (Harvey) Water Aerodrome', 48.44, -71.13, 0, 'CA', 'CA-QC', 'Saguenay', 'no', 'CSA8', '', 'CSA8', ''),
	('CYRC', 'small_airport', 'Chicoutimi/Saint-Honoré Aerodrome', 48.520963, -71.05256, 543, 'CA', 'CA-QC', 'Saint-Honoré', 'no', 'CYRC', '', '', 'YRC, RCAF Saint-Honoré'),
	('CYBC', 'medium_airport', 'Baie-Comeau Airport', 49.1325, -68.204399, 71, 'CA', 'CA-QC', 'Baie-Comeau', 'yes', 'CYBC', 'YBC', 'YBC', ''),
	('CYYY', 'medium_airport', 'Mont Joli Airport', 48.60860061645508, -68.20809936523438, 172, 'CA', 'CA-QC', 'Mont-Joli', 'yes', 'CYYY', 'YYY', '', ''),
	('CTM3', 'seaplane_base', 'Chute-Des-Passes/Lac Margane Seaplane Base', 49.9434, -71.138, 1310, 'CA', 'CA-QC', 'Chutes-des-Passes', 'no', 'CTM3', 'YWQ', 'CTM3', ''),
	('CYFE', 'medium_airport', 'Forestville Airport', 48.74610137939453, -69.09719848632813, 293, 'CA', 'CA-QC', 'Forestville', 'no', 'CYFE', 'YFE', '', ''),
	('CTH3', 'small_airport', 'Grandes-Bergeronnes Airport', 48.232200622558594, -69.54280090332031, 69, 'CA', 'CA-QC', 'Grandes-Bergeronnes', 'no', 'CTH3', '', 'CTH3', 'TH3'),
	('CYXK', 'medium_airport', 'Rimouski Airport', 48.477644, -68.496323, 82, 'CA', 'CA-QC', 'Rimouski', 'yes', 'CYXK', 'YXK', '', ''),
	('ME40', 'N/A', 'N/A', 46.52888897806406, -67.87666663527489, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('39B', 'seaplane_base', 'Nugent Chamberlain Lake Seaplane Base', 46.21670150756836, -69.24949645996094, 945, 'US', 'US-ME', 'Chesuncook', 'no', '39B', '', '39B', ''),
	('CCK3', 'small_airport', 'Grand Falls Airport', 47.075837, -67.68531, 712, 'CA', 'CA-NB', 'Grand Falls', 'no', 'CCK3', '', 'CCK3', 'CK3'),
	('ME00', 'small_airport', 'Fort Fairfield Municipal Airport', 46.764354, -67.847421, 471, 'US', 'US-ME', 'Fort Fairfield', 'no', 'ME00', '', 'ME00', ''),
	('CYMN', 'N/A', 'N/A', 47.033834271132946, -70.66013038158417, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('44B', 'small_airport', 'Charles A. Chase Jr. Memorial Field', 45.177502, -69.244698, 520, 'US', 'US-ME', 'Dover-Foxcroft', 'no', '', '', '44B', ''),
	('CSC5', 'closed', 'Lac Etchemin Airport', 46.4072, -70.501404, 1500, 'CA', 'CA-QC', 'Lac Etchemin', 'no', '', '', '', 'SC5, CSC5, CSC5'),
	('CSE5', 'small_airport', 'Montmagny Airport', 47.000834, -70.518293, 37, 'CA', 'CA-QC', 'Montmagny', 'no', 'CSE5', '', 'CSE5', 'SE5'),
	('92B', 'seaplane_base', 'Long Lake Seaplane Base', 47.1931, -68.2314, 581, 'US', 'US-ME', 'Sinclair', 'no', '92B', '', '92B', ''),
	('CCJ3', 'small_airport', 'Boston Brook Airport', 47.4486, -67.62463, 958, 'CA', 'CA-NB', 'Drummond', 'no', 'CCJ3', '', 'CCJ3', 'CJ3'),
	('KLRG', 'small_airport', 'Lincoln Regional Airport', 45.362202, -68.534698, 208, 'US', 'US-ME', 'Lincoln', 'no', 'KLRG', '', 'LRG', ''),
	('1ME', 'seaplane_base', 'Chesuncook Lake House Seaplane Base', 46.0609016418457, -69.4094009399414, 942, 'US', 'US-ME', 'Chesuncook', 'no', '1ME', '', '1ME', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CYES', 'small_airport', 'Edmundston Airport', 47.487208, -68.477732, 490, 'CA', 'CA-NB', 'Edmundston', 'no', 'CYES', '', '', 'YES'),
	('CYLM', 'N/A', 'N/A', 45.577039048075676, -70.45249477028847, 383, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CSZ4', 'small_airport', 'St-Frédéric Airport', 46.33140182495117, -70.96330261230469, 991, 'CA', 'CA-QC', 'St-Frédéric', 'no', 'CSZ4', '', 'CSZ4', 'SZ4'),
	('B21', 'small_airport', 'Sugarloaf Regional Airport', 45.085339, -70.216394, 885, 'US', 'US-ME', 'Carrabassett', 'no', 'KB21', '', 'B21', ''),
	('CDA6', 'small_airport', 'Bristol Airport', 46.4594, -67.564697, 574, 'CA', 'CA-NB', 'Florenceville-Bristol', 'no', 'CDA6', '', 'CDA6', 'DA6'),
	('KGOB', 'N/A', 'N/A', 47.20390576869249, -68.5792963206768, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CSH2', 'small_airport', 'Île-aux-Grues Airport', 47.072402, -70.533235, 60, 'CA', 'CA-QC', 'L''Isle-aux-Grues', 'no', 'CSH2', '', 'CSH2', 'SH2'),
	('KUAH', 'N/A', 'N/A', 45.14768544584513, -69.3879559636116, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('21M', 'seaplane_base', 'Currier''s Seaplane Base', 45.462501525878906, -69.61949920654297, 1028, 'US', 'US-ME', 'Greenville Junction', 'no', '21M', '', '21M', ''),
	('2me3', 'small_airport', 'Heartstone Farm Airport', 45.04135, -68.990021, 230, 'US', 'US-ME', 'Charleston', 'no', '2ME3', '', '2ME3', 'Charleston / Harte Field'),
	('KPNN', 'small_airport', 'Princeton Municipal Airport', 45.200698852539, -67.564399719238, 266, 'US', 'US-ME', 'Princeton', 'no', 'KPNN', 'PNN', 'PNN', ''),
	('ME67', 'small_airport', 'Morrill Airpark', 47.127498626708984, -67.96589660644531, 860, 'US', 'US-ME', 'Van Buren', 'no', 'ME67', '', 'ME67', ''),
	('KCAR', 'medium_airport', 'Caribou Municipal Airport', 46.871498, -68.017899, 626, 'US', 'US-ME', 'Caribou', 'no', 'KCAR', 'CAR', 'CAR', ''),
	('CYSL', 'medium_airport', 'Saint-Léonard Airport', 47.157097, -67.836242, 793, 'CA', 'CA-NB', 'Saint-Léonard', 'no', 'CYSL', 'YSL', '', 'St. Leonard, St Leonard'),
	('KMLT', 'small_airport', 'Millinocket Municipal Airport', 45.6478, -68.6856, 408, 'US', 'US-ME', 'Millinocket', 'no', 'KMLT', 'MLT', 'MLT', ''),
	('17ME', 'small_airport', 'Bresett''s Mountainside Airport', 47.201377, -67.992432, 590, 'US', 'US-ME', 'Van Buren', 'no', '17ME', '', '17ME', ''),
	('92ME', 'small_airport', 'Buzzport Airport', 45.22039, -68.63428, 180, 'US', 'US-ME', 'Passadumkeag', 'no', '92ME', '', '92ME', ''),
	('CSL5', 'small_airport', 'Saint-Victor-de-Beauce Airport', 46.119268, -70.887094, 1100, 'CA', 'CA-QC', 'Saint-Victor', 'no', 'CSL5', '', 'CSL5', 'SL5, St-Victor-De-Beauce'),
	('ME08', 'small_airport', 'Gadabout Gaddis Airport', 45.040806, -69.869629, 342, 'US', 'US-ME', 'Bingham', 'no', 'ME08', '', 'ME08', ''),
	('CTA3', 'small_airport', 'Île aux Coudres Airport', 47.3894, -70.384399, 110, 'CA', 'CA-QC', 'L''Isle-aux-Coudres', 'no', 'CTA3', '', 'CTA3', 'TA3'),
	('ME79', 'small_airport', 'Two Falls Airport', 45.305599212646484, -69.3467025756836, 366, 'US', 'US-ME', 'Willimantic', 'no', 'ME79', '', 'ME79', ''),
	('CYSG', 'medium_airport', 'Saint-Georges Airport', 46.096401, -70.714699, 893, 'CA', 'CA-QC', 'Saint-Georges', 'no', 'CYSG', '', '', 'YSG, SX3, St Georges'),
	('78B', 'seaplane_base', 'Buckhorn Camps Seaplane Base', 45.65420150756836, -68.94950103759766, 500, 'US', 'US-ME', 'Norcross/Millinocket/', 'no', '78B', '', '78B', ''),
	('52B', 'seaplane_base', 'Greenville Seaplane Base', 45.46120071411133, -69.5978012084961, 1028, 'US', 'US-ME', 'Greenville', 'no', '52B', '', '52B', ''),
	('70B', 'seaplane_base', 'Millinocket Seaplane Base', 45.728381, -68.844486, 492, 'US', 'US-ME', 'Millinocket', 'no', '70B', '', '70B', ''),
	('CSU4', 'closed', 'Sainte-Lucie-de-Beauregard Airport', 46.740799, -70.032501, 1212, 'CA', 'CA-QC', 'Sainte-Lucie-de-Beauregard', 'no', '', '', '', 'SU4, CSU4, CSU4'),
	('ME03', 'small_airport', 'Webber Jones Airport', 45.33620071411133, -69.0509033203125, 400, 'US', 'US-ME', 'Brownville', 'no', 'ME03', '', 'ME03', ''),
	('CTM8', 'seaplane_base', 'Témiscouata-sur-le-Lac Water Aerodrome', 47.685, -68.875, 489, 'CA', 'CA-QC', 'Témiscouata-sur-le-Lac', 'no', 'CTM8', '', 'CTM8', ''),
	('ME53', 'N/A', 'N/A', 46.59823078662157, -68.39387521147728, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOAV', 'N/A', 'N/A', 46.872938610613346, -67.89016127586365, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KFVE', 'small_airport', 'Northern Aroostook Regional Airport', 47.2854995728, -68.31279754639999, 988, 'US', 'US-ME', 'Frenchville', 'no', 'KFVE', 'WFK', 'FVE', ''),
	('CPT9', 'small_airport', 'Pintendre Airport', 46.7584, -71.110202, 269, 'CA', 'CA-QC', 'Pintendre', 'no', 'CPT9', '', 'CPT9', ''),
	('CCR3', 'small_airport', 'Florenceville Airport', 46.426102, -67.628098, 508, 'CA', 'CA-NB', 'Florenceville-Bristol', 'no', 'CCR3', '', 'CCR3', 'CR3'),
	('ME19', 'small_airport', 'Clayton Lake Strip', 46.617094, -69.523244, 1150, 'US', 'US-ME', 'Clayton Lake', 'no', 'ME19', '', 'ME19', ''),
	('CCH2', 'small_airport', 'Upper Kent Airport', 46.587133, -67.719555, 246, 'CA', 'CA-NB', 'Upper Kent', 'no', 'CCH2', '', 'CCH2', 'CH2'),
	('01ME', 'seaplane_base', 'Saint Peter''s Seaplane Base', 46.778900146484375, -68.50029754638672, 608, 'US', 'US-ME', 'Portage Lake', 'no', '01ME', '', '01ME', ''),
	('KPQI', 'medium_airport', 'Presque Isle International Airport', 46.688999, -68.0448, 534, 'US', 'US-ME', 'Presque Isle', 'yes', 'KPQI', 'PQI', 'PQI', 'Northern Maine Regional'),
	('ME32', 'small_airport', 'Ruby Field', 45.089204, -69.260635, 500, 'US', 'US-ME', 'Sangerville', 'no', 'ME32', '', 'ME32', 'Morrel Field'),
	('ME25', 'small_airport', 'Sunrise Farms Airport', 47.166507, -68.392843, 640, 'US', 'US-ME', 'Sinclair', 'no', 'ME25', '', 'ME25', 'La Change Landing Field'),
	('59B', 'small_airport', 'Newton Field', 45.632801, -70.248802, 1178, 'US', 'US-ME', 'Jackman', 'no', '59B', '', '59B', ''),
	('60B', 'seaplane_base', 'Moose River Seaplane Base', 45.633399963378906, -70.26619720458984, 1157, 'US', 'US-ME', 'Jackman', 'no', '60B', '', '60B', ''),
	('CYRI', 'medium_airport', 'Rivière-du-Loup Airport', 47.764400482177734, -69.58470153808594, 427, 'CA', 'CA-QC', 'Rivière-du-Loup', 'no', 'CYRI', 'YRI', '', ''),
	('CSG5', 'small_airport', 'Saint-Jean-Chrysostome Airport', 46.685299, -71.151703, 325, 'CA', 'CA-QC', 'Saint-Jean-Chrysostome', 'no', 'CSG5', '', 'CSG5', 'SG5'),
	('ME16', 'small_airport', 'Loring International Airport', 46.950401, -67.885902, 746, 'US', 'US-ME', 'Limestone', 'no', 'ME16', 'LIZ', 'ME16', 'Loring AFB'),
	('ME22', 'small_airport', 'Avery Field', 45.671201, -69.807225, 1070, 'US', 'US-ME', 'Rockwood', 'no', 'ME22', '', 'ME22', ''),
	('CTQ6', 'small_airport', 'St-Anselme Airport', 46.62189865112305, -70.95500183105469, 560, 'CA', 'CA-QC', 'St-Anselme', 'no', 'CTQ6', '', 'CTQ6', 'TQ6'),
	('87B', 'seaplane_base', 'Portage Lake Municipal Seaplane Base', 46.76029968261719, -68.48079681396484, 608, 'US', 'US-ME', 'Portage Lake', 'no', '87B', '', '87B', ''),
	('CST7', 'small_airport', 'St-Lambert-De-Lauzon Airport', 46.560298919677734, -71.18250274658203, 475, 'CA', 'CA-QC', 'St-Lambert-De-Lauzon', 'no', 'CST7', '', 'CST7', 'ST7'),
	('1B0', 'small_airport', 'Dexter Regional Airport', 45.004101, -69.237, 533, 'US', 'US-ME', 'Dexter', 'no', 'K1B0', '', '1B0', ''),
	('CYML', 'medium_airport', 'Charlevoix Airport', 47.59749984741211, -70.2238998413086, 977, 'CA', 'CA-QC', 'Charlevoix', 'no', 'CYML', 'YML', '', ''),
	('KHUL', 'medium_airport', 'Houlton International Airport', 46.1231002808, -67.792098999, 489, 'US', 'US-ME', 'Houlton', 'no', 'KHUL', 'HUL', 'HUL', 'Houlton AAF');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('3B1', 'small_airport', 'Greenville Municipal Airport', 45.463001, -69.551598, 1401, 'US', 'US-ME', 'Greenville', 'no', 'K3B1', '', '3B1', ''),
	('83B', 'seaplane_base', 'Presque Isle Seaplane Base', 46.7075, -68.061096, 500, 'US', 'US-ME', 'Presque Isle', 'no', '', '', '83B', 'Northern Maine Regional Seaplane Base'),
	('84ME', 'small_airport', 'Cowboys Air Ranch Airport', 45.551929, -67.746085, 504, 'US', 'US-ME', 'Brookton', 'no', '84ME', '', '84ME', ''),
	('85B', 'seaplane_base', 'Shin Pond Seaplane Base', 46.10419845581055, -68.56199645996094, 780, 'US', 'US-ME', 'Patten', 'no', '85B', '', '85B', ''),
	('CSX4', 'N/A', 'N/A', 47.445617727935314, -69.97860297560692, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('13ME', 'small_airport', 'Socatean Bay Airport', 45.77640151977539, -69.8093032836914, 1179, 'US', 'US-ME', 'Rockwood', 'no', '13ME', '', '13ME', ''),
	('ME05', 'small_airport', 'Allen St Peter Memorial Airport', 46.75, -68.47119903564453, 800, 'US', 'US-ME', 'Portage', 'no', 'ME05', '', 'ME05', ''),
	('CYKL', 'medium_airport', 'Schefferville Airport', 54.805301666259766, -66.8052978515625, 1709, 'CA', 'CA-QC', 'Schefferville', 'yes', 'CYKL', 'YKL', '', ''),
	('CSF3', 'small_airport', 'Poste Montagnais (Mile 134) Airport', 51.88859939575195, -65.71499633789063, 1987, 'CA', 'CA-QC', 'Poste Montagnais', 'no', 'CSF3', '', 'CSF3', 'SF3'),
	('CYWK', 'medium_airport', 'Wabush Airport', 52.92190170288086, -66.8644027709961, 1808, 'CA', 'CA-NL', 'Wabush', 'yes', 'CYWK', 'YWK', '', ''),
	('CYSZ', 'small_airport', 'Sainte-Anne-des-Monts Aerodrome', 49.1203, -66.529198, 71, 'CA', 'CA-QC', 'Sainte-Anne-des-Monts', 'no', 'CYSZ', '', '', 'YSZ'),
	('CYME', 'medium_airport', 'Matane Airport', 48.85689926147461, -67.45330047607422, 102, 'CA', 'CA-QC', 'Matane', 'no', 'CYME', 'YME', '', ''),
	('CTF3', 'small_airport', 'Causapscal Airport', 48.311857, -67.250147, 340, 'CA', 'CA-QC', 'Causapscal', 'no', 'CTF3', '', 'CTF3', 'TF3'),
	('CTG3', 'small_airport', 'Du Rocher-Percé (Pabok) Airport', 48.38330078125, -64.56439971923828, 87, 'CA', 'CA-QC', 'Du Rocher-Percé', 'no', 'CTG3', '', 'CTG3', 'TG3'),
	('CYPN', 'medium_airport', 'Port-Menier Airport', 49.836399, -64.288597, 167, 'CA', 'CA-QC', 'Port-Menier', 'yes', 'CYPN', 'YPN', '', ''),
	('CYCL', 'medium_airport', 'Charlo Airport', 47.990799, -66.330299, 132, 'CA', 'CA-NB', 'Charlo', 'yes', 'CYCL', 'YCL', '', ''),
	('CYDJ', 'N/A', 'N/A', 48.39483942836523, -66.38326808810234, 584, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYZV', 'medium_airport', 'Sept-Îles Airport', 50.22330093383789, -66.2656021118164, 180, 'CA', 'CA-QC', 'Sept-Îles', 'yes', 'CYZV', 'YZV', '', ''),
	('CYLP', 'N/A', 'N/A', 50.29034446924925, -64.14350554347038, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYVB', 'medium_airport', 'Bonaventure Airport', 48.071098, -65.460297, 123, 'CA', 'CA-QC', 'Bonaventure', 'yes', 'CYVB', 'YVB', '', ''),
	('CYGP', 'medium_airport', 'Michel-Pouliot Gaspé Airport', 48.774915, -64.481893, 112, 'CA', 'CA-QC', 'Gaspé', 'yes', 'CYGP', 'YGP', '', ''),
	('CYNB', 'N/A', 'N/A', 48.19230481982231, -65.84805965423584, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYIH', 'N/A', 'N/A', 48.95075507462025, -65.36132365465164, 492, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CSM8', 'seaplane_base', 'Sept-Îles/Lac des Rapides Water Aerodrome', 50.298901, -66.415604, 255, 'CA', 'CA-QC', 'Sept-Îles', 'no', 'CSM8', '', 'CSM8', ''),
	('CYNF', 'N/A', 'N/A', 48.38848393410444, -65.67160427570343, 402, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CCW4', 'small_airport', 'Stanley Airport', 45.10060119628906, -63.92060089111328, 95, 'CA', 'CA-NS', 'Stanley', 'no', 'CCW4', '', 'CCW4', 'CW4'),
	('CDT5', 'small_airport', 'Bouctouche Airport', 46.509399, -64.693901, 57, 'CA', 'CA-NB', 'Buctouche', 'no', 'CDT5', '', 'CDT5', 'CU4'),
	('CSB5', 'small_airport', 'Shediac Bridge Airport', 46.25469970703125, -64.57669830322266, 25, 'CA', 'CA-NB', 'Shediac Bridge', 'no', 'CSB5', '', 'CSB5', 'SB5'),
	('CRM4', 'small_airport', 'Cormier Airport', 46.1808, -64.3758, 105, 'CA', 'CA-NB', 'Cormier', 'no', 'CRM4', '', 'CRM4', ''),
	('CYFC', 'medium_airport', 'Fredericton Airport', 45.868900299072266, -66.53720092773438, 68, 'CA', 'CA-NB', 'Fredericton', 'yes', 'CYFC', 'YFC', '', ''),
	('CYCH', 'medium_airport', 'Miramichi Airport', 47.007801, -65.449203, 108, 'CA', 'CA-NB', 'Miramichi', 'yes', 'CYCH', 'YCH', '', 'CFB Chatham, RCAF Station Chatham'),
	('CCA7', 'closed', 'Apple River Airport', 45.461899, -64.821404, 135, 'CA', 'CA-NS', 'Apple River', 'no', '', '', '', 'CCA7'),
	('CCS5', 'small_airport', 'Havelock Airport', 45.98640060424805, -65.3019027709961, 425, 'CA', 'CA-NB', 'Havelock', 'no', 'CCS5', '', 'CCS5', 'CS5'),
	('CDU6', 'small_airport', 'Doaktown Airport', 46.5525016784668, -66.09390258789063, 326, 'CA', 'CA-NB', 'Doaktown', 'no', 'CDU6', '', 'CDU6', 'DU6'),
	('CCG3', 'small_airport', 'Weyman Airpark', 46.037498474121094, -66.85890197753906, 140, 'CA', 'CA-NB', 'Burtt''s Corner', 'no', 'CCG3', '', 'CCG3', 'CG3'),
	('CYSU', 'medium_airport', 'Summerside Airport', 46.440601, -63.833599, 56, 'CA', 'CA-PE', 'Slemon Park', 'no', 'CYSU', 'YSU', '', 'PEI'),
	('CCW3', 'small_airport', 'Waterville / Kings County Municipal Airport', 45.0518989563, -64.6517028809, 119, 'CA', 'CA-NS', 'Waterville', 'no', 'CCW3', '', 'CCW3', 'CW3'),
	('CDJ4', 'small_airport', 'Clearwater Airport', 46.71329879760742, -66.82830047607422, 1330, 'CA', 'CA-NB', 'Clearwater', 'no', 'CDJ4', '', 'CDJ4', 'DJ4'),
	('CYQM', 'medium_airport', 'Greater Moncton Roméo LeBlanc International Airport', 46.112202, -64.678596, 232, 'CA', 'CA-NB', 'Moncton', 'yes', 'CYQM', 'YQM', '', 'CYQM, YQM, Moncton'),
	('CCA9', 'closed', 'Grand River Airport', 46.485526, -63.945334, 50, 'CA', 'CA-PE', 'Grand River', 'no', '', '', '', 'CA9, PEI, Moase Airfield, CCA9, CCA9'),
	('CCF9', 'small_airport', 'Scottsfield Airpark', 45.9603, -67.095299, 600, 'CA', 'CA-NB', 'Scottsfield', 'no', 'CCF9', '', 'CCF9', ''),
	('CCM3', 'small_airport', 'Sevogle Airport', 47.190179, -66.158123, 1350, 'CA', 'CA-NB', 'Sevogle', 'no', 'CCM3', '', 'CCM3', 'CM3'),
	('CCH3', 'heliport', 'Canmore Hospital Helipad', 51.0924, -115.349501, 4305, 'CA', 'CA-AB', 'Canmore', 'no', '', '', 'CCH3', ''),
	('CDV2', 'small_airport', 'Downs Gulch Airport', 47.753601, -67.426102, 883, 'CA', 'CA-NB', 'Downs Gulch', 'no', 'CDV2', '', 'CDV2', 'DV2'),
	('CCY3', 'small_airport', 'Sussex Airport', 45.689999, -65.540001, 467, 'CA', 'CA-NB', 'Sussex', 'no', 'CCY3', '', 'CCY3', 'CY3'),
	('CCS4', 'small_airport', 'Chipman Airport', 46.14860153198242, -65.9041976928711, 65, 'CA', 'CA-NB', 'Chipman', 'no', 'CCS4', '', 'CCS4', 'CS4'),
	('CCX3', 'small_airport', 'Brockway Airport', 45.56669998168945, -67.0999984741211, 300, 'CA', 'CA-NB', 'Brockway', 'no', 'CCX3', '', 'CCX3', 'CX3'),
	('CCG4', 'small_airport', 'Moncton / McEwen Airport', 46.1539001465, -64.7686004639, 214, 'CA', 'CA-NB', 'Moncton', 'no', 'CCG4', '', 'CCG4', 'CG4'),
	('CCR4', 'N/A', 'N/A', 46.71822477132082, -65.42304128408432, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CDK4', 'N/A', 'N/A', 46.95074647665024, -66.5717701613903, 375, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('66B', 'small_airport', 'Gillespie Field', 45.029622, -67.365967, 200, 'US', 'US-ME', 'Meddybemps', 'no', 'K66B', '', '66B', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CCQ4', 'N/A', 'N/A', 45.813465379178524, -64.23801496624947, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CCE2', 'closed', 'Mount Pleasant Airport', 46.598189, -64.00661, 0, 'CA', 'CA-PE', 'Ellerslie', 'no', '', '', '', 'CE2'),
	('CYSJ', 'medium_airport', 'Saint John Airport', 45.31610107421875, -65.89029693603516, 357, 'CA', 'CA-NB', 'Saint John', 'yes', 'CYSJ', 'YSJ', '', ''),
	('CCS3', 'small_airport', 'Saint Stephen Airport', 45.2075, -67.250603, 96, 'CA', 'CA-NB', 'Saint Stephen', 'no', 'CCS3', '', 'CCS3', 'CS3, Giddens Memorial'),
	('CDC4', 'small_airport', 'Saint-Quentin Airport', 47.521099, -67.421097, 875, 'CA', 'CA-NB', 'Saint-Quentin', 'no', 'CDC4', '', 'CDC4', 'DC4'),
	('CCE3', 'small_airport', 'Juniper Airport', 46.562801361083984, -67.16829681396484, 837, 'CA', 'CA-NB', 'Juniper', 'no', 'CCE3', '', 'CCE3', 'CE3'),
	('CHL2', 'small_airport', 'Hillaton/Kings Aerodrome', 45.1442, -64.4229, 89, 'CA', 'CA-NS', 'Hillaton', 'no', 'CHL2', '', 'CHL2', ''),
	('ME06', 'small_airport', 'Flying Ed Airport', 45.02790069580078, -67.30940246582031, 440, 'US', 'US-ME', 'Charlotte', 'no', 'ME06', '', 'ME06', ''),
	('CDA4', 'small_airport', 'Pokemouche Airport', 47.7164, -64.8825, 68, 'CA', 'CA-NB', 'Village-Blanchard', 'no', 'CDA4', '', 'CDA4', 'DA4'),
	('CYHO', 'small_airport', 'Hopedale Airport', 55.448757, -60.228124, 39, 'CA', 'CA-NL', 'Hopedale', 'yes', 'CYHO', 'YHO', '', 'CC5'),
	('CCB4', 'N/A', 'N/A', 55.89883044362068, -60.913139283657074, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYYR', 'medium_airport', 'Goose Bay Airport', 53.3191986084, -60.4258003235, 160, 'CA', 'CA-NL', 'Goose Bay', 'yes', 'CYYR', 'YYR', '', 'CFB Goose Bay'),
	('CYNA', 'medium_airport', 'Natashquan Airport', 50.190114, -61.78898, 39, 'CA', 'CA-QC', 'Natashquan', 'yes', 'CYNA', 'YNA', '', ''),
	('CYGV', 'medium_airport', 'Havre-Saint-Pierre Airport', 50.281898, -63.611401, 124, 'CA', 'CA-QC', 'Havre-Saint-Pierre', 'yes', 'CYGV', 'YGV', '', ''),
	('CTH7', 'small_airport', 'Rivière-aux-Saumons Aerodrome', 49.401389, -62.295278, 369, 'CA', 'CA-QC', 'Rivière-aux-Saumons', 'no', 'CTH7', '', 'CTH7', 'Safari Anticosti'),
	('CTT5', 'small_airport', 'La Romaine Airport', 50.259553, -60.674357, 90, 'CA', 'CA-QC', 'Le Golfe-du-Saint-Laurent', 'yes', 'CTT5', 'ZGS', 'CTT5', 'Gethsemani, La Romaine'),
	('CRB5', 'small_airport', 'Rivière Bell Aerodrome', 49.078899383499994, -62.2369003296, 89, 'CA', 'CA-QC', 'Rivière Bell', 'no', 'CRB5', '', 'CRB5', 'RB5'),
	('CTK6', 'small_airport', 'Kégashka Airport', 50.195801, -61.2658, 32, 'CA', 'CA-QC', 'Côte-Nord-du-Golfe-du-Saint-Laurent', 'yes', 'CTK6', 'ZKG', 'CTK6', 'Kegaska'),
	('CTQ3', 'closed', 'Aguanish Water Aerodrome', 50.230595, -62.112499, 0, 'CA', 'CA-QC', 'Aguanish', 'no', '', '', '', 'CTQ3, CTQ3, CTQ3'),
	('CYYG', 'medium_airport', 'Charlottetown Airport', 46.290000915527344, -63.12110137939453, 160, 'CA', 'CA-PE', 'Charlottetown', 'yes', 'CYYG', 'YYG', '', 'PEI'),
	('CCZ5', 'small_airport', 'Thorburn Airport', 45.56111, -62.595583, 120, 'CA', 'CA-NS', 'Thorburn', 'no', 'CCZ5', '', 'CCZ5', 'CZ5'),
	('CDL8', 'small_airport', 'Centredale Airport', 45.4094, -62.618401, 595, 'CA', 'CA-NS', 'Centredale', 'no', 'CDL8', '', 'CDL8', ''),
	('CDA2', 'N/A', 'N/A', 45.735555589199066, -63.31833332777023, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CCF3', 'N/A', 'N/A', 45.473960749804974, -62.71671876311302, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CCZ4', 'small_airport', 'Margaree Airport', 46.340413, -60.980508, 181, 'CA', 'CA-NS', 'Margaree', 'no', 'CCZ4', '', 'CCZ4', 'CZ4'),
	('CCB2', 'small_airport', 'Seabee Mine Airport', 55.688809, -103.610925, 1602, 'CA', 'CA-SK', 'Laonil Lake', 'no', 'CCB2', '', 'CCB2', ''),
	('CDA3', 'closed', 'Valley Airport', 45.396702, -63.215599, 175, 'CA', 'CA-NS', 'Valley', 'no', '', '', '', 'CDA3'),
	('CCQ3', 'small_airport', 'Debert Airport', 45.41859817504883, -63.460601806640625, 142, 'CA', 'CA-NS', 'Debert', 'no', 'CCQ3', '', 'CCQ3', 'CQ3'),
	('CYTD', 'N/A', 'N/A', 47.27653328329325, -61.71161636710167, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYGR', 'medium_airport', 'Îles-de-la-Madeleine Airport', 47.425242, -61.778612, 35, 'CA', 'CA-QC', 'Les Îles-de-la-Madeleine', 'yes', 'CYGR', 'YGR', '', ''),
	('CFH4', 'small_airport', 'Fox Harbour Airport', 45.869999, -63.461102, 62, 'CA', 'CA-NS', 'Fox Harbour', 'yes', 'CFH4', '', 'CFH4', 'FH4'),
	('CCY4', 'small_airport', 'East Gore Eco Airpark', 45.11750030517578, -63.70280075073242, 615, 'CA', 'CA-NS', 'East Gore', 'no', 'CCY4', '', 'CCY4', 'CY4'),
	('CCA3', 'small_airport', 'Cable Head Airpark', 46.444806, -62.593961, 94, 'CA', 'CA-PE', 'Saint Peters Bay', 'no', 'CCA3', '', 'CCA3', 'CA3, PEI'),
	('CYPD', 'medium_airport', 'Port Hawkesbury Airport', 45.6567001343, -61.3680992126, 377, 'CA', 'CA-NS', 'Port Hawkesbury', 'no', 'CYPD', 'YPS', '', 'YPD'),
	('CYTN', 'small_airport', 'Trenton Airport', 45.611904, -62.621102, 319, 'CA', 'CA-NS', 'Trenton', 'no', 'CYTN', '', '', 'YTN, CU3'),
	('CYQY', 'medium_airport', 'Sydney / J.A. Douglas McCurdy Airport', 46.1614, -60.047798, 203, 'CA', 'CA-NS', 'Sydney', 'yes', 'CYQY', 'YQY', '', ''),
	('CDW2', 'small_airport', 'Baddeck (Crown Jewel) Airport', 46.165000915527344, -60.78390121459961, 290, 'CA', 'CA-NS', 'Baddeck', 'no', 'CDW2', '', 'CDW2', 'DW2'),
	('KHXF', 'small_airport', 'Hartford Municipal Airport', 43.3493, -88.391098, 1069, 'US', 'US-WI', 'Hartford', 'no', 'KHXF', '', 'HXF', ''),
	('WI78', 'small_airport', 'Martins Aerodrome', 44.42580032348633, -87.93499755859375, 808, 'US', 'US-WI', 'Green Bay', 'no', 'WI78', '', 'WI78', ''),
	('20WI', 'small_airport', 'Harju Airport', 44.021400451660156, -89.07929992675781, 800, 'US', 'US-WI', 'Redgranite', 'no', '20WI', '', '20WI', ''),
	('5WI3', 'small_airport', 'Der Schwarzwald Airport', 43.207801818847656, -89.01709747314453, 925, 'US', 'US-WI', 'Waterloo', 'no', '5WI3', '', '5WI3', ''),
	('4WN9', 'small_airport', 'Digger Dougs Airport', 42.5975, -88.146389, 800, 'US', 'US-WI', 'Salem', 'no', '4WN9', '', '4WN9', ''),
	('WI46', 'small_airport', 'Fun-Air Airport', 43.8828010559082, -88.53990173339844, 805, 'US', 'US-WI', 'Van Dyne', 'no', 'WI46', '', 'WI46', ''),
	('LL88', 'small_airport', 'Harry D Fenton Airport', 42.474998474121094, -89.08899688720703, 770, 'US', 'US-IL', 'Rockton', 'no', 'LL88', '', 'LL88', ''),
	('C37', 'small_airport', 'Brodhead Airport', 42.59170150756836, -89.3750991821289, 793, 'US', 'US-WI', 'Brodhead', 'no', 'C37', '', 'C37', ''),
	('LL81', 'small_airport', 'Latham Park Aero Estates Airport', 42.375, -89.070099, 778, 'US', 'US-IL', 'Rockford', 'no', 'LL81', '', 'LL81', 'Spickard-Marshall Airport'),
	('7WI9', 'small_airport', 'Nett Construction Airport', 43.829683, -88.326617, 1040, 'US', 'US-WI', 'Fond Du Lac', 'no', '7WI9', '', '7WI9', ''),
	('6P3', 'small_airport', 'Waunakee Airport', 43.178699, -89.451302, 954, 'US', 'US-WI', 'Waunakee', 'no', 'K6P3', '', '6P3', ''),
	('2WS3', 'small_airport', 'C. R. Acres Airport', 44.280792, -88.093577, 800, 'US', 'US-WI', 'Greenleaf', 'no', '2WS3', '', '2WS3', ''),
	('4WN2', 'small_airport', 'Swensen Airport', 44.41699981689453, -89.98639678955078, 1010, 'US', 'US-WI', 'Vesper', 'no', '4WN2', '', '4WN2', ''),
	('68C', 'small_airport', 'Central County Airport', 44.505501, -89.025101, 876, 'US', 'US-WI', 'Ogdensburg', 'no', 'K68C', '', '68C', 'Iola');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('13WI', 'small_airport', 'Nowatzski Field', 43.6963996887207, -88.99960327148438, 920, 'US', 'US-WI', 'Markesan', 'no', '13WI', '', '13WI', ''),
	('WI51', 'small_airport', 'Del Monte Airport', 43.3213996887207, -89.32099914550781, 1064, 'US', 'US-WI', 'Arlington', 'no', 'WI51', '', 'WI51', ''),
	('WN85', 'small_airport', 'Morrisonville International Airport', 43.27470016479492, -89.35040283203125, 960, 'US', 'US-WI', 'Morrisonville', 'no', 'WN85', '', 'WN85', ''),
	('KCLI', 'small_airport', 'Clintonville Municipal Airport', 44.613800048799995, -88.731300354, 822, 'US', 'US-WI', 'Clintonville', 'no', 'KCLI', 'CLI', 'CLI', ''),
	('WI58', 'small_airport', 'Winfield Airport', 42.52220153808594, -88.02790069580078, 770, 'US', 'US-WI', 'Bristol', 'no', 'WI58', '', 'WI58', ''),
	('1WI9', 'small_airport', 'Blackhawk Island Airport', 42.910672, -88.8694, 800, 'US', 'US-WI', 'Fort Atkinson', 'no', '1WI9', '', '1WI9', ''),
	('WI03', 'small_airport', 'Horner Farms Airport', 42.798099517822266, -88.1333999633789, 770, 'US', 'US-WI', 'Union Grove', 'no', 'WI03', '', 'WI03', ''),
	('WS32', 'closed', 'Prescott Field', 43.483601, -89.2948, 875, 'US', 'US-WI', 'Wyocena', 'no', '', '', '', 'WS32'),
	('31WN', 'small_airport', 'Berlin Field LLC', 43.991368, -88.961968, 773, 'US', 'US-WI', 'Berlin', 'no', '31WN', '', '31WN', ''),
	('WI66', 'closed', 'Smilin'' Sam''s Airport', 42.5872, -88.658203, 980, 'US', 'US-WI', 'Delavan', 'no', '', '', '', 'WI66'),
	('WN09', 'small_airport', 'Bucky''s Airpark', 44.1643981934, -89.508102417, 1145, 'US', 'US-WI', 'Plainfield', 'no', 'WN09', '', 'WN09', ''),
	('KJVL', 'small_airport', 'Southern Wisconsin Regional Airport', 42.620300293, -89.0416030884, 808, 'US', 'US-WI', 'Janesville', 'no', 'KJVL', 'JVL', 'JVL', 'Rock County Airport'),
	('WS15', 'small_airport', 'Mill House Field', 43.495201110839844, -89.2654037475586, 820, 'US', 'US-WI', 'Wyocena', 'no', 'WS15', '', 'WS15', ''),
	('7WI6', 'small_airport', 'Weatherbee Field', 43.47050094604492, -89.35900115966797, 960, 'US', 'US-WI', 'Wyocena', 'no', '7WI6', '', '7WI6', ''),
	('WS36', 'small_airport', 'Swan Field', 44.271400451660156, -89.43710327148438, 1140, 'US', 'US-WI', 'Almond', 'no', 'WS36', '', 'WS36', ''),
	('WI24', 'small_airport', 'Cardinal Ridge Airport', 42.881099700927734, -89.752197265625, 1080, 'US', 'US-WI', 'Mt Horeb', 'no', 'WI24', '', 'WI24', ''),
	('WS46', 'small_airport', 'J & L Aviation Airport', 43.831555, -88.891196, 975, 'US', 'US-WI', 'Ripon', 'no', 'WS46', '', 'WS46', ''),
	('C29', 'small_airport', 'Middleton Municipal Morey Field', 43.1143, -89.531502, 928, 'US', 'US-WI', 'Middleton', 'no', 'KC29', '', 'C29', ''),
	('67WI', 'small_airport', 'Accurate Airport', 43.971099853515625, -89.99710083007813, 890, 'US', 'US-WI', 'Necedah', 'no', '67WI', '', '67WI', ''),
	('WS04', 'small_airport', 'Zanadu Airport', 44.032501220703125, -89.86509704589844, 950, 'US', 'US-WI', 'Arkdale', 'no', 'WS04', '', 'WS04', ''),
	('30W', 'seaplane_base', 'Sweetwater Bay Seaplane Base', 44.951900482177734, -87.80840301513672, 579, 'US', 'US-WI', 'Oconto', 'no', '30W', '', '30W', ''),
	('KMTW', 'small_airport', 'Manitowoc County Airport', 44.127116, -87.681983, 651, 'US', 'US-WI', 'Manitowoc', 'no', 'KMTW', 'MTW', 'MTW', ''),
	('WS10', 'closed', 'Casey Lake Airport', 44.408001, -89.0159, 850, 'US', 'US-WI', 'Waupaca', 'no', '', '', '', 'WS10'),
	('1C8', 'small_airport', 'Cottonwood Airport', 42.29169845581055, -89.13619995117188, 741, 'US', 'US-IL', 'Rockford', 'no', '1C8', '', '1C8', ''),
	('38WI', 'small_airport', 'Northport Airport', 44.38859939575195, -88.85260009765625, 800, 'US', 'US-WI', 'Royalton', 'no', '38WI', '', '38WI', ''),
	('95WI', 'small_airport', 'Wisersky Airport', 42.936100006103516, -89.12969970703125, 965, 'US', 'US-WI', 'Stoughton', 'no', '95WI', '', '95WI', ''),
	('KETB', 'small_airport', 'West Bend Municipal Airport', 43.422278, -88.128966, 887, 'US', 'US-WI', 'West Bend', 'no', 'KETB', 'ETB', 'ETB', ''),
	('57C', 'small_airport', 'East Troy Municipal Airport', 42.797199, -88.372597, 860, 'US', 'US-WI', 'East Troy', 'no', 'K57C', '', '57C', ''),
	('02C', 'small_airport', 'Capitol Drive Airport', 43.090222, -88.17816, 850, 'US', 'US-WI', 'Brookfield', 'no', 'K02C', '', '02C', 'Capitol Drive Airport'),
	('WN63', 'small_airport', 'Bristol Airport', 42.53670120239258, -88.00399780273438, 735, 'US', 'US-WI', 'Bristol', 'no', 'WN63', '', 'WN63', ''),
	('8LL1', 'small_airport', 'Hunter Airport', 42.356701, -88.506203, 914, 'US', 'US-IL', 'Woodstock', 'no', '8LL1', '', '8LL1', ''),
	('8WI2', 'small_airport', 'Runway Leasing Inc Nr 1 Airport', 44.224700927734375, -89.53099822998047, 1100, 'US', 'US-WI', 'Plainfield', 'no', '8WI2', '', '8WI2', ''),
	('6WI5', 'small_airport', 'Dolata Airport', 44.889198303222656, -88.0208969116211, 615, 'US', 'US-WI', 'Stiles', 'no', '6WI5', '', '6WI5', ''),
	('WS08', 'closed', 'Five Corners Airways Airport', 44.417999, -88.376999, 815, 'US', 'US-WI', 'Appleton', 'no', '', '', '', 'WS08'),
	('49C', 'small_airport', 'Camp Lake Airport', 42.53340148925781, -88.15840148925781, 755, 'US', 'US-WI', 'Camp Lake', 'no', '49C', '', '49C', ''),
	('8WI6', 'small_airport', 'Funk Aerodrome', 44.610752, -87.653567, 831, 'US', 'US-WI', 'Luxemburg', 'no', '8WI6', '', '8WI6', ''),
	('0WI7', 'small_airport', 'With Wings And A Halo Airport', 44.1335983276, -88.4992980957, 760, 'US', 'US-WI', 'Neenah', 'no', '0WI7', '', '0WI7', ''),
	('1WI7', 'small_airport', 'Buzzards Roost Airport', 44.022385, -89.096417, 805, 'US', 'US-WI', 'Redgranite', 'no', '1WI7', '', '1WI7', ''),
	('79C', 'small_airport', 'Brennand Airport', 44.159078, -88.561858, 850, 'US', 'US-WI', 'Neenah', 'no', 'K79C', '', '79C', ''),
	('37WI', 'small_airport', 'Docken Field', 42.9911003112793, -89.75350189208984, 1230, 'US', 'US-WI', 'Mount Horeb', 'no', '37WI', '', '37WI', ''),
	('0WI6', 'small_airport', 'Simandl Field/Private Airport', 42.8736000061, -88.1578979492, 805, 'US', 'US-WI', 'Muskego', 'no', '0WI6', '', '0WI6', ''),
	('WN75', 'small_airport', 'Erin Aero Airport', 43.24470138549805, -88.37229919433594, 1000, 'US', 'US-WI', 'Hartford', 'no', 'WN75', '', 'WN75', ''),
	('WS31', 'closed', 'Otto-Gibbons Airport', 44.277802, -87.944504, 850, 'US', 'US-WI', 'Greenleaf', 'no', '', '', '', 'WS31'),
	('1WI3', 'small_airport', 'Bed-Ah-Wick Field', 43.849998474121094, -89.1167984008789, 787, 'US', 'US-WI', 'Princeton', 'no', '1WI3', '', '1WI3', ''),
	('KSTE', 'small_airport', 'Stevens Point Municipal Airport', 44.5452003479, -89.530296325684, 1110, 'US', 'US-WI', 'Stevens Point', 'no', 'KSTE', 'STE', 'STE', ''),
	('63C', 'small_airport', 'Adams County Legion Field', 43.960131, -89.789248, 976, 'US', 'US-WI', 'Adams', 'no', '', '', '63C', ''),
	('KFLD', 'small_airport', 'Fond du Lac County Airport', 43.7711982727, -88.48840332030001, 808, 'US', 'US-WI', 'Fond du Lac', 'no', 'KFLD', 'FLD', 'FLD', ''),
	('58WI', 'closed', 'Geo Jensen Airport', 45.6451, -92.366402, 1350, 'US', 'US-WI', 'Frederic', 'no', '', '', '', '58WI'),
	('WI95', 'small_airport', 'Binzel Airport', 42.577797, -88.01405, 705, 'US', 'US-WI', 'Bristol', 'no', 'WI95', '', 'WI95', 'Chilcott Farms, Paddock Lake'),
	('KWER', 'N/A', 'N/A', 43.43487739562988, -89.87977534532547, 270, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WS72', 'small_airport', 'Cain''s Field', 44.85279846191406, -88.01200103759766, 640, 'US', 'US-WI', 'Stiles', 'no', 'WS72', '', 'WS72', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('2T5', 'closed', 'Hahn Sky Ranch Airport', 43.469658, -88.292174, 1090, 'US', 'US-WI', 'West Bend', 'no', '', '', '', '2T5'),
	('47WI', 'small_airport', 'Oakbrook Airport', 42.89073, -88.808609, 840, 'US', 'US-WI', 'Fort Atkinson', 'no', '47WI', '', '47WI', ''),
	('66WI', 'small_airport', 'J-3 Cub Field', 43.07749938964844, -88.66290283203125, 860, 'US', 'US-WI', 'Watertown', 'no', '66WI', '', '66WI', ''),
	('8WI1', 'small_airport', 'Dillenburg''s Airport', 44.755014, -88.728156, 915, 'US', 'US-WI', 'Shawano', 'no', '8WI1', '', '8WI1', ''),
	('8D1', 'small_airport', 'New Holstein Municipal Airport', 43.944199, -88.113503, 992, 'US', 'US-WI', 'New Holstein', 'no', '8D1', '', '8D1', ''),
	('34WI', 'small_airport', 'Thiessen Field', 43.417758, -89.766201, 1200, 'US', 'US-WI', 'Baraboo', 'no', '34WI', '', '34WI', ''),
	('WS12', 'small_airport', 'Elert Airport', 43.264400482177734, -89.32319641113281, 972, 'US', 'US-WI', 'De Forest', 'no', 'WS12', '', 'WS12', ''),
	('WI76', 'small_airport', 'Maggies Farm LLC Airport', 42.948601, -88.775902, 836, 'US', 'US-WI', 'Jefferson', 'no', 'WI76', '', 'WI76', 'J Rock Airport'),
	('C86', 'small_airport', 'Freeport/Dornink Airport', 42.37779, -89.564465, 949, 'US', 'US-IL', 'Freeport', 'no', 'KC86', '', 'C86', ''),
	('2WI1', 'small_airport', 'Uff-Da Airport', 42.943599700927734, -89.2865982055664, 945, 'US', 'US-WI', 'Stoughton', 'no', '2WI1', '', '2WI1', ''),
	('96C', 'small_airport', 'Fox River Airport', 42.75, -88.2509, 822, 'US', 'US-WI', 'Rochester', 'no', '96C', '', '96C', ''),
	('C04', 'small_airport', 'Oceana County Airport', 43.641701, -86.329201, 910, 'US', 'US-MI', 'Hart/Shelby', 'no', 'KC04', '', 'C04', ''),
	('6IL2', 'small_airport', 'Phyllis Field', 42.221099853515625, -88.41790008544922, 855, 'US', 'US-IL', 'Huntley', 'no', '6IL2', '', '6IL2', ''),
	('WS76', 'small_airport', 'Black Dog Farm Airport', 44.470766, -88.823419, 898, 'US', 'US-WI', 'New London', 'no', 'WS76', '', 'WS76', ''),
	('5WI2', 'small_airport', 'Plainfield International Airport', 44.22249984741211, -89.49539947509766, 1110, 'US', 'US-WI', 'Plainfield', 'no', '5WI2', '', '5WI2', ''),
	('WS74', 'small_airport', 'Al''s Airway Airport', 43.162718, -88.824906, 825, 'US', 'US-WI', 'Watertown', 'no', 'WS74', '', 'WS74', ''),
	('0WI5', 'small_airport', 'Crash In International Airport', 42.793399810791016, -87.8906021118164, 755, 'US', 'US-WI', 'Husher', 'no', '0WI5', '', '0WI5', ''),
	('2WI4', 'small_airport', 'Plows & Props Airport', 42.642799377441406, -88.39869689941406, 840, 'US', 'US-WI', 'Springfield', 'no', '2WI4', '', '2WI4', ''),
	('1WI6', 'small_airport', 'Aero Estates Airport', 42.840301513671875, -88.06400299072266, 825, 'US', 'US-WI', 'Raymond Township', 'no', '1WI6', '', '1WI6', ''),
	('KDLL', 'small_airport', 'Baraboo Wisconsin Dells Regional Airport', 43.522701, -89.770203, 979, 'US', 'US-WI', 'Baraboo', 'no', 'KDLL', '', 'DLL', ''),
	('1WI5', 'seaplane_base', 'Beaver Dam Lake Seaplane Base', 43.51499938964844, -88.95259857177734, 871, 'US', 'US-WI', 'Randolph', 'no', '1WI5', '', '1WI5', ''),
	('WS17', 'small_airport', 'Pioneer Airport', 43.985045, -88.576083, 826, 'US', 'US-WI', 'Oshkosh', 'no', 'WS17', '', 'WS17', ''),
	('9WI8', 'small_airport', 'Fletcher Airport', 42.69390106201172, -88.37930297851563, 980, 'US', 'US-WI', 'Spring Prairie', 'no', '9WI8', '', '9WI8', ''),
	('WS22', 'closed', 'Wolfgram Airport', 44.394501, -88.689444, 775, 'US', 'US-WI', 'New London', 'no', '', '', '', 'WS22'),
	('11Y', 'small_airport', 'Flying Feathers Airport', 44.061183, -88.194933, 940, 'US', 'US-WI', 'Chilton', 'no', '11Y', '', '11Y', '06WI'),
	('IS19', 'small_airport', 'Carlson Restricted Landing Area', 42.335434, -89.32366, 740, 'US', 'US-IL', 'Pecatonica', 'no', 'IS19', '', 'IS19', ''),
	('9WI1', 'small_airport', 'Black Otter Airport', 44.32939910888672, -88.62359619140625, 805, 'US', 'US-WI', 'Hortonville', 'no', '9WI1', '', '9WI1', ''),
	('94C', 'small_airport', 'Gilbert Field', 43.450001, -89.250099, 925, 'US', 'US-WI', 'Rio', 'no', '94C', '', '94C', ''),
	('KPEN', 'N/A', 'N/A', 42.25702989846468, -89.4689279794693, 255, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LL28', 'small_airport', 'Sd Aero Airport', 42.43280029296875, -88.71720123291016, 930, 'US', 'US-IL', 'Capron', 'no', 'LL28', '', 'LL28', ''),
	('WI02', 'closed', 'Turtle Airport', 42.507, -88.914802, 911, 'US', 'US-WI', 'Beloit', 'no', '', '', '', 'WI02'),
	('0C0', 'small_airport', 'Dacy Airport', 42.4025, -88.632401, 913, 'US', 'US-IL', 'Harvard', 'no', 'K0C0', '', '0C0', ''),
	('64IL', 'small_airport', 'Walpole Airport', 42.237985, -88.662288, 790, 'US', 'US-IL', 'Marengo', 'no', '64IL', '', '64IL', ''),
	('KSUE', 'small_airport', 'Door County Cherryland Airport', 44.84370041, -87.42150116, 725, 'US', 'US-WI', 'Sturgeon Bay', 'no', 'KSUE', 'SUE', 'SUE', ''),
	('0WI9', 'small_airport', 'Mc Manus Hoonch-Na-Shee-Kaw Airport', 42.9314002991, -89.3386993408, 931, 'US', 'US-WI', 'Oregon', 'no', '0WI9', '', '0WI9', ''),
	('WS62', 'small_airport', 'Sugar Ridge Airport', 42.963600158691406, -89.58100128173828, 1080, 'US', 'US-WI', 'Verona', 'no', 'WS62', '', 'WS62', ''),
	('WI09', 'small_airport', 'Heitman Field Airport', 42.9771995544, -88.47579956050001, 880, 'US', 'US-WI', 'Dousman', 'no', 'WI09', '', 'WI09', ''),
	('IS93', 'small_airport', 'Sue Rock International Airport', 42.443144, -89.504288, 950, 'US', 'US-IL', 'Rock City', 'no', 'IS93', '', 'IS93', ''),
	('KFEP', 'small_airport', 'Albertus Airport', 42.2462005615, -89.58200073239999, 859, 'US', 'US-IL', 'Freeport', 'no', 'KFEP', 'FEP', 'FEP', ''),
	('0WI4', 'small_airport', 'Snow Crest Ranch Airport', 43.82939910888672, -89.35260009765625, 810, 'US', 'US-WI', 'Montello', 'no', '0WI4', '', '0WI4', ''),
	('8IL5', 'small_airport', 'O''Connor Field', 42.368327, -89.354301, 900, 'US', 'US-IL', 'Pecatonica', 'no', '8IL5', '', '8IL5', ''),
	('0LL0', 'small_airport', 'Kaufield Airport', 42.265259, -88.727754, 783, 'US', 'US-IL', 'Belvidere', 'no', '0LL0', '', '0LL0', ''),
	('80WI', 'small_airport', 'Spring Creek Airport', 44.02299880981445, -89.13849639892578, 800, 'US', 'US-WI', 'Spring Lake', 'no', '80WI', '', '80WI', ''),
	('5LL7', 'small_airport', 'Funny Farm Airport', 42.210476, -88.520056, 875, 'US', 'US-IL', 'Union', 'no', '5LL7', '', '5LL7', 'Hilbert''s Funny Farm'),
	('1WI1', 'small_airport', 'Williams Airport', 43.935037, -88.70433, 800, 'US', 'US-WI', 'Utica', 'no', '1WI1', '', '1WI1', ''),
	('47IS', 'small_airport', 'Flying Z Ranch Airport', 42.49169921875, -89.35690307617188, 945, 'US', 'US-IL', 'Durand', 'no', '47IS', '', '47IS', ''),
	('3WI5', 'small_airport', 'Clover Valley Airport', 42.8125, -88.72650146484375, 850, 'US', 'US-WI', 'Whitewater', 'no', '3WI5', '', '3WI5', ''),
	('5Y3', 'small_airport', 'Gutzmer''s Twin Oaks Airport', 42.853599548339844, -88.75980377197266, 821, 'US', 'US-WI', 'Whitewater', 'no', '5Y3', '', '5Y3', ''),
	('3WN4', 'small_airport', 'Mark''s Park & Airfield', 44.305906, -88.771512, 855, 'US', 'US-WI', 'New London', 'no', '3WN4', '', '3WN4', ''),
	('C35', 'small_airport', 'Reedsburg Municipal Airport', 43.525902, -89.9832, 907, 'US', 'US-WI', 'Reedsburg', 'no', 'KC35', '', 'C35', ''),
	('80IL', 'N/A', 'N/A', 42.451580576598644, -89.22508344054222, 250, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8IL7', 'seaplane_base', 'Dutch Creek Seaplane Base', 42.37110137939453, -88.24700164794922, 737, 'US', 'US-IL', 'Mc Henry', 'no', '8IL7', '', '8IL7', ''),
	('5K6', 'closed', 'Westosha Airport', 42.514099, -88.2052, 850, 'US', 'US-WI', 'Wilmot', 'no', '', '', '', '5K6, WI10'),
	('99WI', 'small_airport', 'Goins Airport', 44.179166, -87.631388, 660, 'US', 'US-WI', 'Two Rivers', 'no', '99WI', '', '99WI', ''),
	('KUES', 'small_airport', 'Waukesha County Airport', 43.041000366211, -88.237098693848, 911, 'US', 'US-WI', 'Waukesha', 'no', 'KUES', 'UES', 'UES', ''),
	('LL79', 'small_airport', 'Severson Airport', 42.39310073852539, -89.13069915771484, 813, 'US', 'US-IL', 'Rockford', 'no', 'LL79', '', 'LL79', ''),
	('WI43', 'small_airport', 'Atkins Ridge Airport', 42.94889831542969, -89.82530212402344, 1090, 'US', 'US-WI', 'Daleyville', 'no', 'WI43', '', 'WI43', ''),
	('IL02', 'small_airport', 'Herbert C. Maas Airport', 42.472198486328125, -87.90840148925781, 719, 'US', 'US-IL', 'Zion', 'no', 'IL02', '', 'IL02', ''),
	('WI60', 'small_airport', 'Deer Haven Ranch Airport', 44.832801818847656, -88.46320343017578, 811, 'US', 'US-WI', 'Cecil', 'no', 'WI60', '', 'WI60', ''),
	('3WI0', 'small_airport', 'Carnot Field', 44.6422004699707, -87.4197998046875, 655, 'US', 'US-WI', 'Algoma', 'no', '3WI0', '', '3WI0', ''),
	('6WI1', 'small_airport', 'Winch Airfield', 44.495201110839844, -89.91259765625, 1120, 'US', 'US-WI', 'Wisconsin Rapids', 'no', '6WI1', '', '6WI1', ''),
	('99C', 'seaplane_base', 'Quams Marina Seaplane Base', 42.95109939575195, -89.27100372314453, 843, 'US', 'US-WI', 'Stoughton', 'no', '99C', '', '99C', ''),
	('IS78', 'small_airport', 'Early-Merkel Field', 42.36605, -89.235067, 794, 'US', 'US-IL', 'Pecatonica', 'no', 'IS78', '', 'IS78', ''),
	('LL78', 'small_airport', 'LZ Fairwinds Airport', 42.312005, -89.151853, 752, 'US', 'US-IL', 'Rockford', 'no', 'LL78', '', 'LL78', 'Lund'),
	('50IL', 'small_airport', 'Midland Airport', 42.48889923095703, -88.17430114746094, 750, 'US', 'US-IL', 'Antioch', 'no', '50IL', '', '50IL', ''),
	('6WN6', 'small_airport', 'Fountain Prairie Airport', 43.380001, -89.010696, 880, 'US', 'US-WI', 'Columbus', 'no', '6WN6', '', '6WN6', ''),
	('KBUU', 'small_airport', 'Burlington Municipal Airport', 42.69070053100586, -88.30460357666016, 779, 'US', 'US-WI', 'Burlington', 'no', 'KBUU', '', 'BUU', ''),
	('7WI5', 'small_airport', 'Syvrud Airport', 42.88249969482422, -89.40070343017578, 1000, 'US', 'US-WI', 'Brooklyn', 'no', '7WI5', '', '7WI5', ''),
	('KEFT', 'small_airport', 'Monroe Municipal Airport', 42.614899, -89.590401, 1086, 'US', 'US-WI', 'Monroe', 'no', 'KEFT', '', 'EFT', ''),
	('51WI', 'small_airport', 'Gallinger Airport', 44.064258, -88.557707, 800, 'US', 'US-WI', 'Oshkosh', 'no', '51WI', '', '51WI', ''),
	('WI97', 'small_airport', 'Mathaire Field', 43.2578010559082, -89.0647964477539, 960, 'US', 'US-WI', 'Marshall', 'no', 'WI97', '', 'WI97', ''),
	('03WI', 'closed', 'Zink Airport', 44.028873, -88.883945, 880, 'US', 'US-WI', 'Berlin', 'no', '', '', '', '03WI'),
	('WI67', 'small_airport', 'Bennett Field', 43.876994, -88.900402, 935, 'US', 'US-WI', 'Ripon', 'no', 'WI67', '', 'WI67', ''),
	('2WI7', 'small_airport', 'Hecklers'' Strip', 42.96969985961914, -89.66539764404297, 1130, 'US', 'US-WI', 'Mount Vernon', 'no', '2WI7', '', '2WI7', ''),
	('66IL', 'small_airport', 'Aerogrange Airport', 42.26919937133789, -88.57119750976563, 820, 'US', 'US-IL', 'Marengo', 'no', '66IL', '', '66IL', ''),
	('LL87', 'small_airport', 'Compass Rose Airport', 42.454825, -88.9049, 970, 'US', 'US-IL', 'Rockton', 'no', 'LL87', '', 'LL87', ''),
	('KRAC', 'small_airport', 'John H Batten Airport', 42.7606010437, -87.8152008057, 674, 'US', 'US-WI', 'Racine', 'no', 'KRAC', 'RAC', 'RAC', 'Horlick Field'),
	('87WI', 'small_airport', 'Quale Airport', 43.01940155029297, -89.1854019165039, 955, 'US', 'US-WI', 'Cottage Grove', 'no', '87WI', '', '87WI', ''),
	('C59', 'small_airport', 'Lake Lawn Airport', 42.634102, -88.601097, 981, 'US', 'US-WI', 'Delavan', 'no', 'C59', '', 'C59', ''),
	('WI55', 'small_airport', 'Broken Prop Airport', 43.98609924316406, -88.9834976196289, 767, 'US', 'US-WI', 'Berlin', 'no', 'WI55', '', 'WI55', ''),
	('WS55', 'small_airport', 'Barten Airport', 42.51750183105469, -88.74539947509766, 977, 'US', 'US-WI', 'Sharon', 'no', 'WS55', '', 'WS55', ''),
	('65WI', 'closed', 'Dulmes Field', 43.619202, -87.821999, 720, 'US', 'US-WI', 'Oostburg', 'no', '', '', '', '65WI'),
	('KRFD', 'medium_airport', 'Chicago Rockford International Airport', 42.1954, -89.097198, 742, 'US', 'US-IL', 'Chicago/Rockford', 'yes', 'KRFD', 'RFD', 'RFD', ''),
	('IL36', 'small_airport', 'Bob Walberg Field', 42.320899963378906, -88.7583999633789, 840, 'US', 'US-IL', 'Belvidere', 'no', 'IL36', '', 'IL36', ''),
	('KRYV', 'small_airport', 'Watertown Municipal Airport', 43.169601, -88.723198, 833, 'US', 'US-WI', 'Watertown', 'no', 'KRYV', '', 'RYV', ''),
	('Y50', 'small_airport', 'Wautoma Municipal Airport', 44.041599, -89.304497, 859, 'US', 'US-WI', 'Wautoma', 'no', 'KY50', '', 'Y50', ''),
	('54W', 'small_airport', 'Albany Airport', 42.717368, -89.423935, 815, 'US', 'US-WI', 'Albany', 'no', 'K54W', '', '54W', 'WI50'),
	('WI11', 'small_airport', 'Mumm Field', 42.591400146484375, -89.2406997680664, 945, 'US', 'US-WI', 'Orfordville', 'no', 'WI11', '', 'WI11', ''),
	('LL91', 'small_airport', 'Hillman Airport', 42.416005, -89.453053, 870, 'US', 'US-IL', 'Rock City', 'no', 'LL91', '', 'LL91', ''),
	('0WN5', 'small_airport', 'Potts Field', 42.79970169067383, -88.04869842529297, 815, 'US', 'US-WI', 'North Cape', 'no', '0WN5', '', '0WN5', ''),
	('24WN', 'small_airport', 'Prairie View Farm Airport', 42.554100036621094, -88.42749786376953, 890, 'US', 'US-WI', 'Lake Geneva', 'no', '24WN', '', '24WN', ''),
	('WI65', 'small_airport', 'Dane Airport', 43.222198486328125, -89.46820068359375, 1035, 'US', 'US-WI', 'Dane', 'no', 'WI65', '', 'WI65', ''),
	('88WS', 'small_airport', 'Ottos Airport', 42.930978, -89.624749, 917, 'US', 'US-WI', 'Verona', 'no', '88WS', '', '88WS', ''),
	('9WN9', 'small_airport', 'Coloma Municipal Airport', 44.058383, -89.563256, 1100, 'US', 'US-WI', 'Coloma', 'no', '', '', '', '9WN9'),
	('IL23', 'small_airport', 'Ellis Airport', 42.441984, -89.450201, 900, 'US', 'US-IL', 'Cedarville', 'no', 'IL23', '', 'IL23', ''),
	('WN27', 'closed', 'Redoft Airport', 44.079201, -87.9757, 815, 'US', 'US-WI', 'Collins', 'no', '', '', '', 'WN27'),
	('9WN1', 'small_airport', 'Courtney Plummer Airport', 44.10689926147461, -88.68399810791016, 758, 'US', 'US-WI', 'Winneconne', 'no', '9WN1', '', '9WN1', ''),
	('92C', 'small_airport', 'Carter Airport', 44.64120101928711, -88.21520233154297, 785, 'US', 'US-WI', 'Pulaski', 'no', '92C', '', '92C', ''),
	('3WI8', 'small_airport', 'Plantation Pine Airport', 44.05329895019531, -89.1218032836914, 825, 'US', 'US-WI', 'Redgranite', 'no', '3WI8', '', '3WI8', ''),
	('9WI4', 'small_airport', 'Faken Airport', 42.978599548339844, -88.13480377197266, 904, 'US', 'US-WI', 'New Berlin', 'no', '9WI4', '', '9WI4', ''),
	('C02', 'small_airport', 'Grand Geneva Resort Airport', 42.614899, -88.389603, 835, 'US', 'US-WI', 'Lake Geneva', 'no', '', 'XES', 'C02', ''),
	('KOCQ', 'small_airport', 'J. Douglas Bake Memorial Airport', 44.874286, -87.91171, 604, 'US', 'US-WI', 'Oconto', 'no', 'KOCQ', '', 'OCQ', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('C47', 'small_airport', 'Portage Municipal Airport', 43.560299, -89.482903, 825, 'US', 'US-WI', 'Portage', 'no', 'KC47', '', 'C47', ''),
	('0WS7', 'small_airport', 'Rockdale Airport', 42.970979, -89.028482, 825, 'US', 'US-WI', 'Rockdale', 'no', '0WS7', '', '0WS7', ''),
	('58C', 'small_airport', 'Jana Airport', 42.872798919677734, -89.07569885253906, 842, 'US', 'US-WI', 'Edgerton', 'no', '58C', '', '58C', ''),
	('75WI', 'small_airport', 'Smies Airport', 43.58890151977539, -87.7843017578125, 640, 'US', 'US-WI', 'Cedar Grove', 'no', '75WI', '', '75WI', ''),
	('3WI1', 'small_airport', 'Olson''s Airport', 42.65700149536133, -88.08760070800781, 825, 'US', 'US-WI', 'Union Grove', 'no', '3WI1', '', '3WI1', ''),
	('9WI2', 'small_airport', 'Flying Dollar Ranch Airport', 44.287901, -87.796748, 840, 'US', 'US-WI', 'Cooperstown', 'no', '9WI2', '', '9WI2', ''),
	('3WI7', 'closed', 'Bark River Airport', 43.033298, -88.458199, 875, 'US', 'US-WI', 'Dousman', 'no', '', '', '', '3WI7'),
	('91C', 'small_airport', 'Sauk-Prairie Airport', 43.297901, -89.755798, 832, 'US', 'US-WI', 'Prairie Du Sac', 'no', 'K91C', '', '91C', ''),
	('KAUW', 'medium_airport', 'Wausau Downtown Airport', 44.9262008667, -89.6266021729, 1201, 'US', 'US-WI', 'Wausau', 'no', 'KAUW', 'AUW', 'AUW', ''),
	('11WN', 'seaplane_base', 'Diedrich Seaplane Base', 43.35419845581055, -89.57119750976563, 774, 'US', 'US-WI', 'Lodi', 'no', '11WN', '', '11WN', ''),
	('4LL3', 'small_airport', 'John L Coppernoll Airport', 42.30830001831055, -89.9834976196289, 930, 'US', 'US-IL', 'Stockton', 'no', '4LL3', '', '4LL3', ''),
	('C77', 'small_airport', 'Poplar Grove Airport', 42.322899, -88.836304, 858, 'US', 'US-IL', 'Poplar Grove', 'no', 'KC77', '', 'C77', ''),
	('WI99', 'small_airport', 'Meier Airport', 42.8135986328125, -88.99710083007813, 880, 'US', 'US-WI', 'Milton', 'no', 'WI99', '', 'WI99', ''),
	('WS14', 'N/A', 'N/A', 44.46413889527321, -89.35872495174408, 339, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3WI3', 'small_airport', 'Plover River Airfield', 44.765201568603516, -89.40730285644531, 1185, 'US', 'US-WI', 'Bevent', 'no', '3WI3', '', '3WI3', ''),
	('44C', 'small_airport', 'Beloit Airport', 42.497799, -88.967598, 817, 'US', 'US-WI', 'Beloit', 'no', 'K44C', '', '44C', ''),
	('WS96', 'small_airport', 'Hughes Airport', 42.62080001831055, -89.76730346679688, 1010, 'US', 'US-WI', 'Monroe', 'no', 'WS96', '', 'WS96', ''),
	('10C', 'small_airport', 'Galt Field', 42.402735, -88.376942, 875, 'US', 'US-IL', 'Wonder Lake', 'no', 'K10C', '', '10C', ''),
	('WI40', 'small_airport', 'Spiegel Field', 42.913299560546875, -89.35230255126953, 960, 'US', 'US-WI', 'Oregon', 'no', 'WI40', '', 'WI40', ''),
	('3LL0', 'small_airport', 'Miller Airport', 42.49169921875, -89.09590148925781, 760, 'US', 'US-IL', 'South Beloit', 'no', '3LL0', '', '3LL0', ''),
	('37IS', 'small_airport', 'Hilbert Airport', 42.33219909667969, -88.60559844970703, 890, 'US', 'US-IL', 'Marengo', 'no', '37IS', '', '37IS', ''),
	('9WI3', 'small_airport', 'Buchholz Farm Airport', 44.285499572753906, -87.98680114746094, 955, 'US', 'US-WI', 'Morrison', 'no', '9WI3', '', '9WI3', ''),
	('65IL', 'closed', 'Far Field', 42.200904, -88.622299, 830, 'US', 'US-IL', 'Marengo', 'no', '', '', '', '65IL'),
	('8WI5', 'small_airport', 'Wolf River Landing Strip', 44.515496, -88.54164, 670, 'US', 'US-WI', 'Black Creek', 'no', '8WI5', '', '8WI5', ''),
	('1WI8', 'small_airport', 'Jorgensen - Stoller Airport', 44.635799408, -87.44020080570002, 690, 'US', 'US-WI', 'Algoma', 'no', '1WI8', '', '1WI8', ''),
	('KSBM', 'small_airport', 'Sheboygan County Memorial Airport', 43.76959991, -87.85140228, 755, 'US', 'US-WI', 'Sheboygan', 'no', 'KSBM', 'SBM', 'SBM', ''),
	('WI13', 'small_airport', 'Jennie''S Field', 44.254833, -89.8395, 993, 'US', 'US-WI', 'Wisconsin Rapids', 'no', 'WI13', '', 'WI13', ''),
	('WN03', 'small_airport', 'Van Der Vaart Airport', 43.6786003112793, -87.72560119628906, 622, 'US', 'US-WI', 'Sheboygan', 'no', 'WN03', '', 'WN03', ''),
	('2WI6', 'small_airport', 'Matson Airport', 42.91360092163086, -89.18620300292969, 915, 'US', 'US-WI', 'Stoughton', 'no', '2WI6', '', '2WI6', ''),
	('KMSN', 'medium_airport', 'Dane County Regional Truax Field', 43.1399, -89.337502, 887, 'US', 'US-WI', 'Madison', 'yes', 'KMSN', 'MSN', 'MSN', ''),
	('88LL', 'small_airport', 'Block Airport', 42.19169998168945, -89.83820343017578, 917, 'US', 'US-IL', 'Pearl City', 'no', '88LL', '', '88LL', ''),
	('2IL1', 'small_airport', 'Mc Cartney Airport', 42.413898468, -89.32929992679999, 908, 'US', 'US-IL', 'Durand', 'no', '2IL1', '', '2IL1', ''),
	('C89', 'small_airport', 'Sylvania Airport', 42.7033, -87.959, 785, 'US', 'US-WI', 'Sturtevant', 'no', 'C89', '', 'C89', ''),
	('IS37', 'small_airport', 'Stockton Airport', 42.32389831542969, -89.9928970336914, 970, 'US', 'US-IL', 'Stockton', 'no', 'IS37', '', 'IS37', ''),
	('8WI0', 'small_airport', 'Wood Airport', 43.743900299072266, -89.81430053710938, 935, 'US', 'US-WI', 'Wisconsin Dells', 'no', '8WI0', '', '8WI0', ''),
	('35WI', 'small_airport', 'Barker Strip', 42.745601654052734, -88.4375991821289, 1000, 'US', 'US-WI', 'East Troy', 'no', '35WI', '', '35WI', ''),
	('WS02', 'small_airport', 'Polish Paradise Airport', 43.74250030517578, -89.71600341796875, 1030, 'US', 'US-WI', 'Oxford', 'no', 'WS02', '', 'WS02', ''),
	('32WI', 'small_airport', 'Dalonia Airport', 44.31639862060547, -88.70089721679688, 850, 'US', 'US-WI', 'Hortonville', 'no', '32WI', '', '32WI', ''),
	('IL11', 'small_airport', 'Donald Alfred Gade Airport', 42.465301513671875, -88.04039764404297, 805, 'US', 'US-IL', 'Antioch', 'no', 'IL11', '', 'IL11', ''),
	('WI89', 'small_airport', 'Lake Geneva Aire Estates Airport', 42.572200775146484, -88.36730194091797, 880, 'US', 'US-WI', 'Lake Geneva', 'no', 'WI89', '', 'WI89', ''),
	('WI22', 'small_airport', 'Rocket City Airport', 44.32310104370117, -88.60079956054688, 905, 'US', 'US-WI', 'Hortonville', 'no', 'WI22', '', 'WI22', ''),
	('63WI', 'small_airport', 'Flying H Airport', 42.66579818725586, -89.73760223388672, 1020, 'US', 'US-WI', 'Monroe', 'no', '63WI', '', '63WI', ''),
	('KMKE', 'large_airport', 'General Mitchell International Airport', 42.947201, -87.896599, 723, 'US', 'US-WI', 'Milwaukee', 'yes', 'KMKE', 'MKE', 'MKE', ''),
	('KLWA', 'small_airport', 'South Haven Area Regional Airport', 42.3512, -86.255699, 666, 'US', 'US-MI', 'South Haven', 'no', 'KLWA', '', 'LWA', ''),
	('WI86', 'small_airport', 'Ori Airport', 42.6609, -88.135902, 800, 'US', 'US-WI', 'Kansasville', 'no', 'WI86', '', 'WI86', 'Flaglor Airport'),
	('3LL4', 'small_airport', 'Pillow Hill Airport', 42.447200775146484, -88.20149993896484, 815, 'US', 'US-IL', 'Spring Grove', 'no', '3LL4', '', '3LL4', ''),
	('6WI9', 'small_airport', 'Rex Ranch Airport', 43.796600341796875, -89.26789855957031, 790, 'US', 'US-WI', 'Montello', 'no', '6WI9', '', '6WI9', ''),
	('WI92', 'small_airport', 'Wag-Aero Airport', 42.66109848022461, -88.36119842529297, 905, 'US', 'US-WI', 'Lyons', 'no', 'WI92', '', 'WI92', ''),
	('7LL0', 'N/A', 'N/A', 42.29540292173624, -88.17978993058205, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WS28', 'small_airport', 'Coleman Airport', 43.5536003112793, -89.38980102539063, 800, 'US', 'US-WI', 'Portage', 'no', 'WS28', '', 'WS28', ''),
	('4WI7', 'heliport', 'Aurora Medical Center Sheboygan County Heliport', 43.734121, -87.755002, 686, 'US', 'US-WI', 'Kohler', 'no', '4WI7', '', '4WI7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('IS71', 'small_airport', 'Koch Airport', 42.45918, -89.199442, 800, 'US', 'US-IL', 'Durand', 'no', 'IS71', '', 'IS71', 'Shirland'),
	('WS68', 'small_airport', 'Krist Island Airport', 43.78160095214844, -89.30789947509766, 770, 'US', 'US-WI', 'Montello', 'no', 'WS68', '', 'WS68', ''),
	('LL80', 'small_airport', 'Darrington Airport', 42.38199996948242, -89.16120147705078, 862, 'US', 'US-IL', 'Rockford', 'no', 'LL80', '', 'LL80', ''),
	('KMWC', 'small_airport', 'Lawrence J Timmerman Airport', 43.110401, -88.034401, 745, 'US', 'US-WI', 'Milwaukee', 'no', 'KMWC', 'MWC', 'MWC', ''),
	('WI52', 'closed', 'Schewe Airport', 44.61839, -88.667509, 810, 'US', 'US-WI', 'Clintonville', 'no', '', '', '', 'WI52'),
	('2MI6', 'small_airport', 'The Farm Airport', 44.28743, -83.760913, 809, 'US', 'US-MI', 'Whittemore', 'no', '2MI6', '', '2MI6', ''),
	('3WI2', 'small_airport', 'Tesmer Airport', 43.152801513671875, -88.9845962524414, 925, 'US', 'US-WI', 'Waterloo', 'no', '3WI2', '', '3WI2', ''),
	('WI47', 'small_airport', 'Timberline Airport', 44.429932, -89.14877, 890, 'US', 'US-WI', 'Scandinavia', 'no', 'WI47', '', 'WI47', ''),
	('56WI', 'small_airport', 'Jaks Field', 44.773458, -89.590824, 1190, 'US', 'US-WI', 'Mosinee', 'no', '56WI', '', '56WI', ''),
	('2WN4', 'closed', 'McFaul Airport', 44.339987, -88.781623, 780, 'US', 'US-WI', 'New London', 'no', '', '', '', '2WN4'),
	('C81', 'small_airport', 'Campbell Airport', 42.32460021972656, -88.0740966796875, 788, 'US', 'US-IL', 'Grayslake', 'no', 'KC81', '', 'C81', ''),
	('WS09', 'small_airport', 'Rox Airport', 44.013301849365234, -89.5248031616211, 1017, 'US', 'US-WI', 'Coloma', 'no', 'WS09', '', 'WS09', ''),
	('WI20', 'heliport', 'Southwest Health Heliport', 42.720475, -90.457832, 1003, 'US', 'US-WI', 'Platteville', 'no', 'WI20', '', 'WI20', ''),
	('WI28', 'small_airport', 'Walter''s Agri-Center Airport', 44.586102, -87.557602, 717, 'US', 'US-WI', 'Algoma', 'no', 'WI28', '', 'WI28', ''),
	('WI07', 'small_airport', 'Waupun Airport', 43.619723, -88.767693, 940, 'US', 'US-WI', 'Waupun', 'no', 'WI07', '', 'WI07', ''),
	('87Y', 'small_airport', 'Blackhawk Airfield', 43.1049, -89.185501, 920, 'US', 'US-WI', 'Madison', 'no', 'K87Y', '', '87Y', ''),
	('7WI8', 'small_airport', 'Crispy Cedars Airport', 44.780722, -87.602737, 700, 'US', 'US-WI', 'Brussels', 'no', '7WI8', '', '7WI8', ''),
	('KPCZ', 'small_airport', 'Waupaca Municipal Airport', 44.333302, -89.019798, 840, 'US', 'US-WI', 'Waupaca', 'no', 'KPCZ', '', 'PCZ', ''),
	('LL97', 'small_airport', 'Rockenbach Airport', 42.33890151977539, -88.08480072021484, 800, 'US', 'US-IL', 'Round Lake', 'no', 'LL97', '', 'LL97', ''),
	('3WI4', 'small_airport', 'Flying ''O'' Airport', 44.92359924316406, -89.40229797363281, 1320, 'US', 'US-WI', 'Wausau', 'no', '3WI4', '', '3WI4', ''),
	('9WN5', 'small_airport', 'Lodi Lakeland Airport', 43.326674, -89.522733, 844, 'US', 'US-WI', 'Lodi', 'no', '9WN5', '', '9WN5', ''),
	('WS16', 'small_airport', 'Scherrico Meadows Airport', 44.847198486328125, -89.80149841308594, 1345, 'US', 'US-WI', 'Mosinee', 'no', 'WS16', '', 'WS16', ''),
	('88C', 'small_airport', 'Palmyra Municipal Airport', 42.883598, -88.597397, 851, 'US', 'US-WI', 'Palmyra', 'no', '88C', '', '88C', ''),
	('WI53', 'small_airport', 'Maguire Field', 44.79175, -89.888706, 1274, 'US', 'US-WI', 'Mosinee', 'no', 'WI53', '', 'WI53', ''),
	('MI71', 'small_airport', 'Silver Lake Airport', 43.644500732421875, -86.4529037475586, 772, 'US', 'US-MI', 'Mears', 'no', 'MI71', '', 'MI71', ''),
	('WI61', 'closed', 'Ashenfelter Aerodrome', 43.3489, -87.994301, 860, 'US', 'US-WI', 'Grafton', 'no', '', '', '', 'WI61'),
	('2WN7', 'small_airport', 'Planeacres Airport', 43.948699951171875, -88.67320251464844, 844, 'US', 'US-WI', 'Fisk', 'no', '2WN7', '', '2WN7', ''),
	('WN28', 'closed', 'Sunny Slope Runway Airport', 44.9828, -87.309502, 730, 'US', 'US-WI', 'Egg Harbor', 'no', '', '', '', 'WN28'),
	('KLDM', 'small_airport', 'Mason County Airport', 43.96250153, -86.40789795, 646, 'US', 'US-MI', 'Ludington', 'no', 'KLDM', 'LDM', 'LDM', ''),
	('KEZS', 'small_airport', 'Shawano Municipal Airport', 44.787514, -88.560481, 813, 'US', 'US-WI', 'Shawano', 'no', 'KEZS', '', 'EZS', '3WO, Shawano Wisconsin Airport and Seaplane Base'),
	('KGRB', 'medium_airport', 'Austin Straubel International Airport', 44.483459, -88.130805, 695, 'US', 'US-WI', 'Green Bay', 'yes', 'KGRB', 'GRB', 'GRB', ''),
	('WI77', 'small_airport', 'Willow Creek Airport', 43.207000732421875, -88.160400390625, 860, 'US', 'US-WI', 'Germantown', 'no', 'WI77', '', 'WI77', ''),
	('1WI0', 'small_airport', 'Spring Valley Farm Airport', 42.64250183105469, -89.31120300292969, 850, 'US', 'US-WI', 'Orfordville', 'no', '1WI0', '', '1WI0', ''),
	('LL90', 'small_airport', 'McCurdy Strip', 42.446962, -88.900472, 960, 'US', 'US-IL', 'Caledonia', 'no', 'LL90', '', 'LL90', ''),
	('WS33', 'small_airport', 'Storytown Airfield', 42.90919876098633, -89.45099639892578, 1000, 'US', 'US-WI', 'Oregon', 'no', 'WS33', '', 'WS33', ''),
	('1WN2', 'small_airport', 'Covered Bridge Fields Airport', 43.329200744628906, -87.99729919433594, 875, 'US', 'US-WI', 'Cedarburg', 'no', '1WN2', '', '1WN2', ''),
	('WI00', 'small_airport', 'Norrie Brook Airport', 44.8739013671875, -89.23069763183594, 1240, 'US', 'US-WI', 'Eland', 'no', 'WI00', '', 'WI00', ''),
	('KENW', 'medium_airport', 'Kenosha Regional Airport', 42.59569931, -87.92780304, 742, 'US', 'US-WI', 'Kenosha', 'no', 'KENW', 'ENW', 'ENW', ''),
	('96IL', 'small_airport', 'Gerbick Airport', 42.37571, -89.850848, 930, 'US', 'US-IL', 'Lena', 'no', '96IL', '', '96IL', 'Kramer Airport'),
	('09LL', 'small_airport', 'Pine Hill Airport', 42.468101501464844, -88.74320220947266, 1000, 'US', 'US-IL', 'Capron', 'no', '09LL', '', '09LL', ''),
	('JB01', 'small_airport', 'Clearwater Aero Estates Airport', 43.757198, -89.652603, 944, 'US', 'US-WI', 'Oxford', 'no', 'JB01', '', 'JB01', 'Clearwater Ranch'),
	('KATW', 'medium_airport', 'Appleton International Airport', 44.258099, -88.519096, 918, 'US', 'US-WI', 'Appleton', 'yes', 'KATW', 'ATW', 'ATW', 'Outagamie County Regional Airport'),
	('WS26', 'small_airport', 'Ranch Side Airport', 44.358832, -87.6073, 710, 'US', 'US-WI', 'Kewaunee', 'no', 'WS26', '', 'WS26', ''),
	('3WI6', 'small_airport', 'Melin Farms Airport', 42.590775, -88.874613, 885, 'US', 'US-WI', 'Clinton', 'no', '3WI6', '', '3WI6', ''),
	('9WN6', 'closed', 'Medos Lake Delton Seaplane Base', 43.606899, -89.777603, 832, 'US', 'US-WI', 'Wisconsin Dells', 'no', '', '', '', '9WN6'),
	('IL34', 'small_airport', 'Henderson Field', 42.2145, -88.757004, 815, 'US', 'US-IL', 'Belvidere', 'no', 'IL34', '', 'IL34', ''),
	('W34', 'small_airport', 'Shiocton Airport', 44.4547, -88.561798, 769, 'US', 'US-WI', 'Shiocton', 'no', 'W34', '', 'W34', ''),
	('KISW', 'small_airport', 'Alexander Field South Wood County Airport', 44.3602981567, -89.83899688720001, 1021, 'US', 'US-WI', 'Wisconsin Rapids', 'no', 'KISW', 'ISW', 'ISW', ''),
	('04WI', 'small_airport', 'Dutch Gap Airstrip', 42.523399353, -88.0167007446, 760, 'US', 'US-WI', 'Bristol', 'no', '04WI', '', '04WI', ''),
	('59WI', 'small_airport', 'Little Wheel Field', 43.03390121459961, -89.19259643554688, 900, 'US', 'US-WI', 'Cottage Grove', 'no', '59WI', '', '59WI', ''),
	('6WI7', 'small_airport', 'Walnut Wash Airport', 42.61040115356445, -89.2761001586914, 900, 'US', 'US-WI', 'Orfordville', 'no', '6WI7', '', '6WI7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KNAQ', 'N/A', 'N/A', 43.302082903683186, -89.62624043226242, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOSH', 'medium_airport', 'Wittman Regional Airport', 43.98440170288086, -88.55699920654297, 808, 'US', 'US-WI', 'Oshkosh', 'no', 'KOSH', 'OSH', 'OSH', ''),
	('WN39', 'small_airport', 'Knutson Field', 43.48189926147461, -89.32009887695313, 875, 'US', 'US-WI', 'Wyoceena', 'no', 'WN39', '', 'WN39', ''),
	('43IL', 'heliport', 'Vertiport Chicago Heliport', 41.862142, -87.670249, 594, 'US', 'US-IL', 'Chicago', 'no', '43IL', '', '43IL', ''),
	('62C', 'small_airport', 'Cindy Guntly Memorial Airport', 42.810478, -88.094702, 790, 'US', 'US-WI', 'Franksville', 'no', '', '', '62C', ''),
	('WS43', 'small_airport', 'Birch Creek Airport', 44.355499267578125, -88.05840301513672, 813, 'US', 'US-WI', 'De Pere', 'no', 'WS43', '', 'WS43', ''),
	('WN46', 'closed', 'Battle Creek Airport', 43.067501, -88.508698, 865, 'US', 'US-WI', 'Oconomowoc', 'no', '', '', '', 'WN46'),
	('2WN2', 'closed', 'Gaffney Airport', 43.654202, -89.630302, 827, 'US', 'US-WI', 'Briggsville', 'no', '', '', '', '2WN2'),
	('4WI6', 'closed', 'Feldmann Field', 43.803268, -87.896183, 750, 'US', 'US-WI', 'Sheboygan Falls', 'no', '', '', '', '4WI6'),
	('77WI', 'closed', 'Foxewood Airport', 42.571701, -88.203102, 760, 'US', 'US-WI', 'New Munster', 'no', '', '', '', '77WI'),
	('9WI5', 'small_airport', 'Tamarack Airport', 42.82830047607422, -88.57450103759766, 850, 'US', 'US-WI', 'Palmyra', 'no', '9WI5', '', '9WI5', ''),
	('2WI9', 'small_airport', 'Bulldog Ranch Airport', 43.7599983215332, -89.63480377197266, 955, 'US', 'US-WI', 'Oxford', 'no', '2WI9', '', '2WI9', ''),
	('KUNU', 'small_airport', 'Dodge County Airport', 43.42660141, -88.70320129, 934, 'US', 'US-WI', 'Juneau', 'no', 'KUNU', 'UNU', 'UNU', ''),
	('3WN7', 'small_airport', 'Woodland Airstrip', 44.150732, -87.618394, 610, 'US', 'US-WI', 'Two Rivers', 'no', '3WN7', '', '3WN7', ''),
	('3CK', 'small_airport', 'Lake in the Hills Airport', 42.206799, -88.322998, 888, 'US', 'US-IL', 'Chicago/Lake in the Hills', 'no', 'K3CK', '', '3CK', ''),
	('8IL0', 'small_airport', 'Adkins Restricted Landing Area', 42.352864, -88.637442, 853, 'US', 'US-IL', 'Harvard', 'no', '8IL0', '', '8IL0', ''),
	('LL89', 'small_airport', 'Blackhawk Farms Inc Airport', 42.48720169067383, -89.10790252685547, 759, 'US', 'US-IL', 'Rockton', 'no', 'LL89', '', 'LL89', ''),
	('87WS', 'small_airport', 'Valhalla Airport', 44.840956, -89.760461, 1328, 'US', 'US-WI', 'Mosinee', 'no', '87WS', '', '87WS', ''),
	('65WN', 'small_airport', 'Whoopy Hollow Aerodrome', 42.67639923095703, -89.93800354003906, 925, 'US', 'US-WI', 'Wiota', 'no', '65WN', '', '65WN', ''),
	('07WI', 'closed', 'Bartell Strip', 42.965302, -88.391502, 990, 'US', 'US-WI', 'Genessee Depot', 'no', '', '', '', '07WI'),
	('76WN', 'N/A', 'N/A', 42.65403874218464, -88.89421686530113, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IS83', 'small_airport', 'Untied Acres Airport', 42.227500915527344, -88.76719665527344, 800, 'US', 'US-IL', 'Belvidere', 'no', 'IS83', '', 'IS83', ''),
	('0WI8', 'small_airport', 'Oconomowoc Airport', 43.13890075683594, -88.47229766845703, 885, 'US', 'US-WI', 'Oconomowoc', 'no', '0WI8', '', '0WI8', ''),
	('1LL6', 'small_airport', 'Janssen Airport', 42.22809982299805, -89.73819732666016, 877, 'US', 'US-IL', 'Shannon', 'no', '1LL6', '', '1LL6', ''),
	('56IL', 'small_airport', 'Lee Creek Airport', 42.462161, -88.875082, 965, 'US', 'US-IL', 'Caledonia', 'no', '56IL', '', '56IL', ''),
	('41WI', 'small_airport', 'Paddock Field', 42.73860168457031, -88.57980346679688, 950, 'US', 'US-WI', 'Elkhorn', 'no', '41WI', '', '41WI', ''),
	('84C', 'small_airport', 'Valhalla Airport', 42.762501, -88.042603, 805, 'US', 'US-WI', 'North Cape', 'no', 'WI72', '', 'WI72', '84C'),
	('2IS6', 'closed', 'Red Shed Field', 42.418098, -89.822601, 900, 'US', 'US-IL', 'Lena', 'no', '', '', '', '2IS6'),
	('0WI2', 'small_airport', 'Doering Farms Airfield', 43.20140075683594, -88.3333969116211, 910, 'US', 'US-WI', 'Monches', 'no', '0WI2', '', '0WI2', ''),
	('9WN3', 'small_airport', 'Ozaukee Airport', 43.4213981628418, -87.88899993896484, 800, 'US', 'US-WI', 'Port Washington', 'no', '9WN3', '', '9WN3', ''),
	('1WN1', 'small_airport', 'Kettle Moraine Airport', 43.668912, -88.19428, 1040, 'US', 'US-WI', 'Campbellsport', 'no', '1WN1', '', '1WN1', ''),
	('72WI', 'closed', 'Windhaven Airport', 44.046404, -87.992817, 910, 'US', 'US-WI', 'Eaton Twp.', 'no', '', '', '', '72WI, Collins, Chilton'),
	('8WI3', 'small_airport', 'Runway Leasing Inc Number 2 Airport', 44.420903, -89.554396, 1070, 'US', 'US-WI', 'Plover', 'no', '8WI3', '', '8WI3', 'Reabe Spraying Services'),
	('WI70', 'small_airport', 'Swan Airport', 42.705524, -88.640227, 930, 'US', 'US-WI', 'Elkhorn', 'no', 'WI70', '', 'WI70', ''),
	('LL09', 'small_airport', 'Air Estates Inc Airport', 42.280602, -88.094498, 800, 'US', 'US-IL', 'Mundelein', 'no', 'LL09', '', 'LL09', ''),
	('55WI', 'small_airport', 'Cranmoor Airstrip', 44.31800079345703, -89.96869659423828, 985, 'US', 'US-WI', 'Nekoosa', 'no', '55WI', '', '55WI', ''),
	('2WN3', 'small_airport', 'Curns Airport', 44.358525, -88.762486, 790, 'US', 'US-WI', 'New London', 'no', '2WN3', '', '2WN3', ''),
	('WI69', 'small_airport', 'Air Troy Estates Restricted Airport', 42.806358, -88.334885, 820, 'US', 'US-WI', 'East Troy', 'no', 'WI69', '', 'WI69', ''),
	('8W1', 'N/A', 'N/A', 44.58049647510052, -88.0566032230854, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WI91', 'small_airport', 'Larson Airport', 44.202801, -88.639603, 800, 'US', 'US-WI', 'Larsen', 'no', 'WI91', '', 'WI91', ''),
	('3LL5', 'small_airport', 'Richardson Field', 42.464500427246094, -88.23429870605469, 860, 'US', 'US-IL', 'Spring Grove', 'no', '3LL5', '', '3LL5', ''),
	('W23', 'small_airport', 'Wild Rose Idlewild Airport', 44.1978, -89.217903, 908, 'US', 'US-WI', 'Wild Rose', 'no', 'W23', '', 'W23', ''),
	('8IL2', 'small_airport', 'Kirkpatrick Airport', 42.48469924926758, -88.60009765625, 950, 'US', 'US-IL', 'Harvard', 'no', '8IL2', '', '8IL2', ''),
	('5WN2', 'small_airport', 'Eberle Ranch Airport', 43.2682991027832, -89.4843978881836, 1050, 'US', 'US-WI', 'Dane', 'no', '5WN2', '', '5WN2', ''),
	('WI98', 'small_airport', 'Blackburn Airport', 42.858299255371094, -89.19730377197266, 888, 'US', 'US-WI', 'Cooksville', 'no', 'WI98', '', 'WI98', ''),
	('7WI2', 'small_airport', 'Higgins Airport', 43.44300079345703, -89.1781997680664, 965, 'US', 'US-WI', 'Rio', 'no', '7WI2', '', '7WI2', ''),
	('WS49', 'small_airport', 'Christie Aerodrome', 42.906551, -88.871562, 795, 'US', 'US-WI', 'Fort Atkinson', 'no', 'WS49', '', 'WS49', ''),
	('31WI', 'small_airport', 'Sullivan Airport', 43.007432, -88.602237, 875, 'US', 'US-WI', 'Sullivan', 'no', '', '', 'W11', '31WI, McDermott Air Park'),
	('2WI0', 'small_airport', 'Bender''s Airport', 44.852699279785156, -89.60009765625, 1197, 'US', 'US-WI', 'Rothschild', 'no', '2WI0', '', '2WI0', ''),
	('WI12', 'small_airport', 'Lilac Time Airport', 45.706600189208984, -91.6249008178711, 1300, 'US', 'US-WI', 'Birchwood', 'no', 'WI12', '', 'WI12', ''),
	('W19', 'small_airport', 'Verona Airport', 42.989722, -89.509167, 960, 'US', 'US-WI', 'Verona', 'no', 'KW19', '', 'W19', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KUGN', 'small_airport', 'Waukegan National Airport', 42.422199249268, -87.867897033691, 727, 'US', 'US-IL', 'Chicago/Waukegan', 'no', 'KUGN', 'UGN', 'UGN', 'Waukegan Regional Airport, Waukegan Memorial Airport'),
	('61WI', 'small_airport', 'Dinnerbell Airport', 43.70830154418945, -88.28569793701172, 1120, 'US', 'US-WI', 'Eden', 'no', '61WI', '', '61WI', ''),
	('2WI8', 'small_airport', 'Davies Airport', 43.59749984741211, -87.77899932861328, 645, 'US', 'US-WI', 'Oostburg', 'no', '2WI8', '', '2WI8', ''),
	('15WI', 'small_airport', 'Peterson Field', 42.9275016784668, -89.41819763183594, 978, 'US', 'US-WI', 'Oregon', 'no', '15WI', '', '15WI', ''),
	('WI50', 'small_airport', 'Loeber McDaniel Field', 43.398, -89.637602, 889, 'US', 'US-WI', 'Merrimac', 'no', 'WI50', '', 'WI50', 'Prairie Hill McDaniel Field'),
	('61C', 'small_airport', 'Fort Atkinson Municipal Airport', 42.9632, -88.817596, 800, 'US', 'US-WI', 'Jefferson', 'no', 'K61C', '', '61C', ''),
	('20IS', 'small_airport', 'Mitek Airport', 42.49720001220703, -89.79180145263672, 777, 'US', 'US-IL', 'Winslow', 'no', '20IS', '', '20IS', ''),
	('05WI', 'small_airport', 'Ames Private Airport', 42.651100158691406, -88.74590301513672, 958, 'US', 'US-WI', 'Darien', 'no', '05WI', '', '05WI', ''),
	('7V3', 'small_airport', 'Big Foot Airfield', 42.5257, -88.653, 951, 'US', 'US-WI', 'Walworth', 'no', 'K7V3', '', '7V3', ''),
	('17WI', 'small_airport', 'Ha-Rail Airport', 43.03609848022461, -88.89320373535156, 885, 'US', 'US-WI', 'Lake Mills', 'no', '17WI', '', '17WI', ''),
	('86WI', 'closed', 'Bakers Field', 42.825298, -89.870102, 875, 'US', 'US-WI', 'Blanchardville', 'no', '', '', '', '86WI'),
	('WI84', 'small_airport', 'Johnstown Center Airport', 42.689623, -88.840973, 925, 'US', 'US-WI', 'Janesville', 'no', 'WI84', '', 'WI84', ''),
	('9WS2', 'small_airport', 'Antique Aerodrome', 44.367639, -88.158678, 655, 'US', 'US-WI', 'De Pere', 'no', '9WS2', '', '9WS2', ''),
	('KCWA', 'medium_airport', 'Central Wisconsin Airport', 44.777448, -89.670238, 1277, 'US', 'US-WI', 'Mosinee', 'yes', 'KCWA', 'CWA', 'CWA', ''),
	('64WI', 'closed', 'Sky Diving Airport', 44.040782, -88.69885, 760, 'US', 'US-WI', 'Omro', 'no', '', '', '', '64WI'),
	('88WI', 'small_airport', 'Nicolet Airport', 44.508301, -87.860703, 790, 'US', 'US-WI', 'Green Bay', 'no', '88WI', '', '88WI', ''),
	('IN41', 'closed', 'Nuckols Airport', 40.354801, -85.049103, 1025, 'US', 'US-IN', 'Redkey', 'no', '', '', '', 'IN41'),
	('9LL9', 'closed', 'Townley Farms Airport', 39.491454, -88.468842, 700, 'US', 'US-IL', 'Mattoon', 'no', '', '', '', '9LL9'),
	('3SY', 'N/A', 'N/A', 39.79930333793163, -86.35668933391571, 263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IN87', 'small_airport', 'Singleton''s Landing Strip', 41.35139846801758, -86.62640380859375, 685, 'US', 'US-IN', 'Knox', 'no', 'IN87', '', 'IN87', ''),
	('IN45', 'small_airport', '4 Winds Aerodrome', 39.824985, -86.884046, 810, 'US', 'US-IN', 'Roachdale', 'no', 'IN45', '', 'IN45', ''),
	('KROE', 'N/A', 'N/A', 41.139591448009014, -87.39501044154167, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('48IS', 'small_airport', 'P.J. Killian Airport', 40.60219955444336, -88.8333969116211, 757, 'US', 'US-IL', 'Lexington', 'no', '48IS', '', '48IS', ''),
	('05IS', 'small_airport', 'Hardy Airport', 39.72589874267578, -89.26399993896484, 605, 'US', 'US-IL', 'Mount Auburn', 'no', '05IS', '', '05IS', ''),
	('68IL', 'closed', 'Prairie Lake Hunt Club Airport', 41.395, -88.682898, 750, 'US', 'US-IL', 'Marseilles', 'no', '', '', '', '68IL'),
	('7IL9', 'closed', 'Ambler - Cady Airport', 41.5439, -88.9934, 700, 'US', 'US-IL', 'Earlville', 'no', '', '', '', '7IL9'),
	('LL51', 'small_airport', 'Riley''s Field', 41.60419845581055, -88.27369689941406, 663, 'US', 'US-IL', 'Plainfield', 'no', 'LL51', '', 'LL51', ''),
	('3HO', 'small_airport', 'Hobart Sky Ranch Airport', 41.55419921875, -87.26249694824219, 644, 'US', 'US-IN', 'Hobart', 'no', 'K3HO', '', '3HO', ''),
	('IN26', 'closed', 'Archangels Landing Airport', 41.261398, -86.872498, 669, 'US', 'US-IN', 'San Pierre', 'no', '', '', '', 'IN26'),
	('IL85', 'closed', 'Midwestern Regional Medical Center Heliport', 42.448634, -87.827979, 711, 'US', 'US-IL', 'Zion', 'no', '', '', '', 'IL85'),
	('14IN', 'closed', 'De Motte Airport', 41.207, -87.212502, 655, 'US', 'US-IN', 'De Motte', 'no', '', '', '', '14IN'),
	('KEYE', 'small_airport', 'Eagle Creek Airpark', 39.830699920654, -86.294403076172, 823, 'US', 'US-IN', 'Indianapolis', 'no', 'KEYE', '', 'EYE', 'I14'),
	('2IS9', 'small_airport', 'Pontiac Flying/Cooksville Airport', 40.578098, -88.707802, 741, 'US', 'US-IL', 'Lexington', 'no', '2IS9', '', '2IS9', 'Schertz Aerial Service'),
	('2IS0', 'N/A', 'N/A', 41.65799472481012, -88.02680566906929, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LL24', 'small_airport', 'Sunset Acres Airport', 41.205837, -87.784882, 665, 'US', 'US-IL', 'Saint George', 'no', 'LL24', '', 'LL24', ''),
	('6LL5', 'small_airport', 'Smith Restricted Landing Area', 39.78950119018555, -89.99120330810547, 632, 'US', 'US-IL', 'New Berlin', 'no', '6LL5', '', '6LL5', ''),
	('IL94', 'small_airport', 'Hoblit Farms Airport', 40.2262992859, -89.2428970337, 623, 'US', 'US-IL', 'Atlanta', 'no', 'IL94', '', 'IL94', ''),
	('IN54', 'small_airport', 'I & C Field', 41.28369903564453, -86.46279907226563, 745, 'US', 'US-IN', 'Culver', 'no', 'IN54', '', 'IN54', ''),
	('IN09', 'closed', 'Clifton Airport', 40.5242, -87.411903, 760, 'US', 'US-IN', 'Boswell', 'no', '', '', '', 'IN09'),
	('IN46', 'small_airport', 'Butler Field', 39.73889923095703, -87.21949768066406, 687, 'US', 'US-IN', 'Rockville', 'no', 'IN46', '', 'IN46', ''),
	('11IN', 'small_airport', 'JR''s Airport', 39.819183, -86.538234, 950, 'US', 'US-IN', 'Danville', 'no', '11IN', '', '11IN', ''),
	('KDEC', 'medium_airport', 'Decatur Airport', 39.834598541259766, -88.8656997680664, 682, 'US', 'US-IL', 'Decatur', 'yes', 'KDEC', 'DEC', 'DEC', ''),
	('90IL', 'small_airport', 'Johnson Airport', 41.19810104370117, -87.55889892578125, 630, 'US', 'US-IL', 'Momence', 'no', '90IL', '', '90IL', ''),
	('6II7', 'small_airport', 'Bergs Airport', 39.883157, -86.581836, 975, 'US', 'US-IN', 'Lizton', 'no', '6II7', '', '6II7', ''),
	('LL34', 'small_airport', 'Thorp Airport', 40.219343, -88.921983, 750, 'US', 'US-IL', 'Wapella', 'no', 'LL34', '', 'LL34', 'Formerly IL80'),
	('25IL', 'small_airport', 'Holzwarth Flying Service Airport', 39.516421, -89.869581, 680, 'US', 'US-IL', 'Virden', 'no', '25IL', '', '25IL', 'Bob Davis Flying Service Airport, Chuck Holzwarth Flying Service Airport'),
	('IS40', 'closed', 'Eudy Airport', 42.093648, -89.027567, 785, 'US', 'US-IL', 'Monroe Center', 'no', '', '', '', 'IS40'),
	('98LL', 'small_airport', 'Braden Farms Airport', 40.799198150634766, -87.78359985351563, 630, 'US', 'US-IL', 'Watseka', 'no', '98LL', '', '98LL', ''),
	('3LS7', 'small_airport', 'Bock Farms Airport', 39.98640060424805, -89.51170349121094, 592, 'US', 'US-IL', 'Williamsville', 'no', '3LS7', '', '3LS7', ''),
	('1IN6', 'small_airport', 'Cottingham Airport', 40.40169906616211, -87.22029876708984, 685, 'US', 'US-IN', 'Pine Village', 'no', '1IN6', '', '1IN6', ''),
	('05C', 'small_airport', 'Griffith-Merrillville Airport', 41.519798, -87.399498, 634, 'US', 'US-IN', 'Griffith', 'no', '', '', '05C', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KROM', 'N/A', 'N/A', 40.47220252454281, -86.64699822664261, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('50IN', 'closed', 'Austin Air Ads Airport', 39.2181, -87.368102, 575, 'US', 'US-IN', 'Farmersburg', 'no', '', '', '', '50IN'),
	('IN38', 'small_airport', 'Stewarts Green Acres Airport', 41.5452995300293, -86.45279693603516, 725, 'US', 'US-IN', 'North Liberty', 'no', 'IN38', '', 'IN38', ''),
	('KGPC', 'N/A', 'N/A', 39.63352773338556, -86.81380569934845, 252, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOGG', 'N/A', 'N/A', 41.254117749631405, -89.09163504838943, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCHJ', 'N/A', 'N/A', 39.65510878711939, -89.65279385447502, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('II55', 'small_airport', 'Hodges Airport', 39.527000427246094, -86.30030059814453, 625, 'US', 'US-IN', 'Martinsville', 'no', 'II55', '', 'II55', ''),
	('IL83', 'closed', 'Mulderink Heliport', 41.4786, -87.589798, 665, 'US', 'US-IL', 'South Chicago Heights', 'no', '', '', '', 'IL83'),
	('KPRW', 'N/A', 'N/A', 41.69711474329233, -89.82870250940323, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4LL4', 'small_airport', 'Enjoy Field', 40.976448, -87.999365, 685, 'US', 'US-IL', 'Clifton', 'no', '4LL4', '', '4LL4', ''),
	('C16', 'small_airport', 'Frasca Field', 40.1464, -88.198502, 735, 'US', 'US-IL', 'Urbana', 'no', 'KC16', '', 'C16', ''),
	('KRIN', 'N/A', 'N/A', 39.79872263967991, -89.56494703888893, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8IN9', 'small_airport', 'Marcidale Airport', 39.68560028, -86.60220337, 855, 'US', 'US-IN', 'Amo', 'no', '8IN9', '', '8IN9', ''),
	('3IN8', 'small_airport', 'Ddt Field', 41.2047004699707, -86.3458023071289, 823, 'US', 'US-IN', 'Culver', 'no', '3IN8', '', '3IN8', ''),
	('6IL7', 'closed', 'Ameritech Center Heliport', 42.077801, -88.123595, 842, 'US', 'US-IL', 'Hoffman Estates', 'no', '', '', '', '6IL7'),
	('IS15', 'small_airport', 'Vodden Airport', 42.032501220703125, -88.90260314941406, 850, 'US', 'US-IL', 'Esmond', 'no', 'IS15', '', 'IS15', ''),
	('8LL7', 'small_airport', 'Donald A. Hamilton Airport', 39.59450149536133, -89.59449768066406, 605, 'US', 'US-IL', 'Pawnee', 'no', '8LL7', '', '8LL7', ''),
	('89IN', 'small_airport', 'Milhon Airport', 39.511172, -86.384724, 615, 'US', 'US-IN', 'Martinsville', 'no', '89IN', '', '89IN', ''),
	('IG03', 'small_airport', 'Bluebird Airport', 39.391348, -86.597103, 580, 'US', 'US-IN', 'Paragon', 'no', 'IG03', '', 'IG03', ''),
	('IN20', 'small_airport', 'Jungclaus Airport', 39.45370101928711, -86.2802963256836, 765, 'US', 'US-IN', 'Martinsville', 'no', 'IN20', '', 'IN20', ''),
	('KWAJ', 'N/A', 'N/A', 41.5852153301239, -89.51252415776253, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0LL8', 'N/A', 'N/A', 40.83096977323294, -88.37660908699036, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KGYY', 'medium_airport', 'Gary Chicago International Airport', 41.61629867553711, -87.41280364990234, 591, 'US', 'US-IN', 'Gary', 'no', 'KGYY', 'GYY', 'GYY', ''),
	('KEZI', 'small_airport', 'Kewanee Municipal Airport', 41.2052, -89.963898, 858, 'US', 'US-IL', 'Kewanee', 'no', 'KEZI', '', 'EZI', ''),
	('17II', 'small_airport', 'Dreessen Field', 41.45000076293945, -86.51029968261719, 706, 'US', 'US-IN', 'Walkerton', 'no', '17II', '', '17II', ''),
	('2LL4', 'closed', 'Snow Airport', 39.749802, -88.9795, 728, 'US', 'US-IL', 'Macon', 'no', '', '', '', '2LL4'),
	('KATI', 'N/A', 'N/A', 40.275755524635315, -87.10786432027817, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPRP', 'N/A', 'N/A', 41.62505082786083, -89.97663125395775, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MI25', 'small_airport', 'Myers Airport', 41.922298431396484, -86.54560089111328, 670, 'US', 'US-MI', 'Bridgman', 'no', 'MI25', '', 'MI25', ''),
	('KWOT', 'N/A', 'N/A', 40.818477384746075, -87.04258739948273, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4IL3', 'small_airport', 'Thrifty Acres Airport', 42.142987, -89.228468, 725, 'US', 'US-IL', 'Stillman Valley', 'no', '4IL3', '', '4IL3', ''),
	('5LL4', 'N/A', 'N/A', 41.51581685990095, -88.93912151455879, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('72IS', 'closed', 'Wiley Updike Airport', 41.625301, -88.574501, 650, 'US', 'US-IL', 'Plano', 'no', '', '', '', '72IS'),
	('6IL3', 'closed', 'Rummel Restricted Landing Area', 42.166698, -89.500099, 850, 'US', 'US-IL', 'German Valley', 'no', '', '', '', '6IL3'),
	('3MY', 'small_airport', 'Mount Hawley Auxiliary Airport', 40.7953, -89.613403, 786, 'US', 'US-IL', 'Peoria', 'no', 'K3MY', '', '3MY', ''),
	('IL56', 'small_airport', 'McCulley Airport', 40.219462, -88.254182, 750, 'US', 'US-IL', 'Champaign', 'no', 'IL56', '', 'IL56', ''),
	('KRPJ', 'small_airport', 'Rochelle Municipal Airport - Koritz Field', 41.893002, -89.0783, 781, 'US', 'US-IL', 'Rochelle', 'no', 'KRPJ', '', 'RPJ', ''),
	('4IL2', 'small_airport', 'Wayne Ziller Jr Airport', 40.809941, -88.539584, 661, 'US', 'US-IL', 'Fairbury', 'no', '4IL2', '', '4IL2', ''),
	('0IL8', 'small_airport', 'Walter Airport', 41.872501, -88.723701, 890, 'US', 'US-IL', 'DeKalb', 'no', '0IL8', '', '0IL8', ''),
	('IL72', 'closed', 'Entwistle Airport', 41.115601, -89.0448, 700, 'US', 'US-IL', 'Lostant', 'no', '', '', '', 'IL72'),
	('1IL2', 'closed', 'Hobby Hideaway RLA Airport', 40.347, -89.470703, 660, 'US', 'US-IL', 'Delavan', 'no', '', '', '', '1IL2'),
	('IL88', 'small_airport', 'Earl Barnickel Airport', 41.67499923706055, -89.1167984008789, 929, 'US', 'US-IL', 'Compton', 'no', 'IL88', '', 'IL88', ''),
	('K96', 'small_airport', 'Tuscola Airport', 39.780899, -88.306198, 665, 'US', 'US-IL', 'Tuscola', 'no', 'KK96', '', 'K96', ''),
	('KCER', 'N/A', 'N/A', 39.809947684407234, -88.74782770872116, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMCX', 'small_airport', 'White County Airport', 40.708801, -86.7668, 676, 'US', 'US-IN', 'Monticello', 'no', 'KMCX', '', 'MCX', ''),
	('91IS', 'small_airport', 'Stanton Airport', 39.823699951171875, -89.50399780273438, 580, 'US', 'US-IL', 'Riverton', 'no', '91IS', '', '91IS', ''),
	('KMTO', 'small_airport', 'Coles County Memorial Airport', 39.477901, -88.279198, 722, 'US', 'US-IL', 'Mattoon', 'no', 'KMTO', 'MTO', 'MTO', 'Charleston'),
	('03IL', 'small_airport', 'Wix Airport', 41.40230178833008, -87.81670379638672, 750, 'US', 'US-IL', 'Monee', 'no', '03IL', '', '03IL', ''),
	('2IL9', 'small_airport', 'Meadow Creek Airport', 41.43280029296875, -87.78170013427734, 770, 'US', 'US-IL', 'Monee', 'no', '2IL9', '', '2IL9', ''),
	('04IS', 'small_airport', 'Van Gorder Airport', 40.1786003112793, -88.56900024414063, 728, 'US', 'US-IL', 'Mansfield', 'no', '04IS', '', '04IS', ''),
	('0LL5', 'small_airport', 'Busboom RLA Restricted Landing Area', 40.1100006104, -88.07839965820001, 675, 'US', 'US-IL', 'St Joseph', 'no', '0LL5', '', '0LL5', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('II26', 'small_airport', 'Ashby Airport', 40.70389938354492, -87.18779754638672, 750, 'US', 'US-IN', 'Remington', 'no', 'II26', '', 'II26', ''),
	('93LL', 'small_airport', 'Hemmingsen Airport', 41.59450149536133, -88.60559844970703, 640, 'US', 'US-IL', 'Sandwich', 'no', '93LL', '', '93LL', ''),
	('11LL', 'small_airport', 'Thacker Airport', 40.722514, -88.769108, 720, 'US', 'US-IL', 'Chenoa', 'no', '11LL', '', '11LL', ''),
	('KDON', 'N/A', 'N/A', 40.157109685242176, -87.40796864032745, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4IN4', 'small_airport', 'Wilson Airport', 39.976659, -87.181234, 710, 'US', 'US-IN', 'Wallace', 'no', '4IN4', '', '4IN4', ''),
	('KAMO', 'N/A', 'N/A', 41.69488448649645, -89.45701763033867, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LL22', 'small_airport', 'Brookeridge Air Park', 41.73270034790039, -87.99929809570313, 750, 'US', 'US-IL', 'Downers Grove', 'no', 'LL22', '', 'LL22', ''),
	('II82', 'small_airport', 'Meadors Field', 39.7942008972168, -86.57779693603516, 1000, 'US', 'US-IN', 'Danville', 'no', 'II82', '', 'II82', ''),
	('28IL', 'closed', 'West Grove Airport', 42.097198, -89.419296, 910, 'US', 'US-IL', 'Leaf River', 'no', '', '', '', '28IL, Nick Lung Flight Park'),
	('IN25', 'closed', 'Hood Field', 39.997583, -86.577202, 930, 'US', 'US-IN', 'Jamestown', 'no', '', '', '', 'IN25'),
	('IL13', 'closed', 'Funfsinn Airport', 41.470798, -89.180801, 715, 'US', 'US-IL', 'Arlington', 'no', '', '', '', 'IL13'),
	('IN10', 'small_airport', 'Plummer Airport', 40.97589874267578, -86.41999816894531, 760, 'US', 'US-IN', 'Kewanna', 'no', 'IN10', '', 'IN10', ''),
	('68IS', 'small_airport', 'Casa De Aero Park Airport', 42.148605, -88.561965, 860, 'US', 'US-IL', 'Hampshire', 'no', '68IS', '', '68IS', ''),
	('LL74', 'small_airport', 'Maple Hurst Farms Airport', 42.008399963378906, -89.04869842529297, 823, 'US', 'US-IL', 'Rochelle', 'no', 'LL74', '', 'LL74', ''),
	('C15', 'small_airport', 'Pekin Municipal Airport', 40.488201, -89.675903, 530, 'US', 'US-IL', 'Pekin', 'no', 'KC15', '', 'C15', ''),
	('7LL6', 'small_airport', 'Gehant Airport', 41.6974983215332, -89.14430236816406, 952, 'US', 'US-IL', 'West Brooklyn', 'no', '7LL6', '', '7LL6', ''),
	('LL07', 'small_airport', 'Herb Tautz Airport', 42.06258, -89.968114, 853, 'US', 'US-IL', 'Mount Carroll', 'no', 'LL07', '', 'LL07', ''),
	('KCMI', 'medium_airport', 'University of Illinois Willard Airport', 40.039819, -88.276249, 755, 'US', 'US-IL', 'Savoy', 'yes', 'KCMI', 'CMI', 'CMI', 'Champaign, Urbana'),
	('96IS', 'small_airport', 'Hildreth Air Park', 39.875, -87.84500122070313, 730, 'US', 'US-IL', 'Sidell', 'no', '96IS', '', '96IS', ''),
	('IS26', 'small_airport', 'Niklaus RLA Restricted Landing Area', 40.1833992004, -88.61530303960001, 725, 'US', 'US-IL', 'Farmer City', 'no', 'IS26', '', 'IS26', ''),
	('89IL', 'closed', 'UMC Trauma Center Heliport', 41.5028, -90.526496, 695, 'US', 'US-IL', 'Moline', 'no', '', '', '', '89IL'),
	('4II7', 'small_airport', 'Sport Aircraft Flight Park Ultralightport', 40.105899810791016, -86.52189636230469, 900, 'US', 'US-IN', 'Thorntown', 'no', '4II7', '', '4II7', ''),
	('KCLD', 'N/A', 'N/A', 39.65581621974707, -87.32817158102989, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3IL8', 'closed', 'Evanston Hospital-Golf Course Site Heliport', 42.064804, -87.684502, 610, 'US', 'US-IL', 'Evanston', 'no', '', '', '', '3IL8'),
	('KNOE', 'N/A', 'N/A', 39.57719799131155, -86.3822677731514, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('16IL', 'small_airport', 'Harold Bunger Airport', 42.067857, -88.827176, 830, 'US', 'US-IL', 'Kirkland', 'no', '16IL', '', '16IL', ''),
	('IN76', 'closed', 'Podell Airport', 41.1264, -86.693298, 710, 'US', 'US-IN', 'Denham', 'no', '', '', '', 'IN76'),
	('6IN3', 'small_airport', 'Wyandotte Airport', 40.34920120239258, -86.76390075683594, 700, 'US', 'US-IN', 'Lafayette', 'no', '6IN3', '', '6IN3', ''),
	('KPPO', 'small_airport', 'La Porte Municipal Airport', 41.5724983215, -86.73449707030001, 812, 'US', 'US-IN', 'La Porte', 'no', 'KPPO', 'LPO', 'PPO', ''),
	('7IL8', 'small_airport', 'Cody Port RLA Restricted Landing Area', 41.518901825, -88.837600708, 668, 'US', 'US-IL', 'Harding', 'no', '7IL8', '', '7IL8', ''),
	('IN74', 'closed', 'HJ Umbaugh Airport', 41.306999, -86.4375, 755, 'US', 'US-IN', 'Plymouth', 'no', '', '', '', 'IN74'),
	('9IL6', 'small_airport', 'Weishaupt Airport', 40.513099670410156, -89.36730194091797, 650, 'US', 'US-IL', 'Mackinaw', 'no', '9IL6', '', '9IL6', ''),
	('4IN7', 'small_airport', 'Riley Field', 40.300899505615234, -87.22920227050781, 608, 'US', 'US-IN', 'Attica', 'no', '4IN7', '', '4IN7', ''),
	('2R2', 'small_airport', 'Hendricks County Gordon Graham Field', 39.7481, -86.473801, 897, 'US', 'US-IN', 'Indianapolis', 'no', 'K2R2', '', '2R2', ''),
	('55IL', 'closed', 'Brandt Airport', 41.277802, -87.822304, 680, 'US', 'US-IL', 'Manteno', 'no', '', '', '', '55IL'),
	('3IL9', 'small_airport', 'Alekat Acres Airport', 40.281024, -89.312593, 600, 'US', 'US-IL', 'Atlanta', 'no', '', '', '3IL9', '3IL9, Sugar Creek Farm'),
	('9LL5', 'small_airport', 'Tommy''s Airpark', 39.651100158691406, -89.45860290527344, 595, 'US', 'US-IL', 'Edinburg', 'no', '9LL5', '', '9LL5', ''),
	('KNAT', 'N/A', 'N/A', 41.98170952498913, -88.81103530526161, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LL53', 'small_airport', 'Olson Airport', 42.008617, -88.457773, 955, 'US', 'US-IL', 'Elgin', 'no', 'LL53', '', 'LL53', ''),
	('LL56', 'closed', 'Schott Airport', 40.883163, -88.589631, 659, 'US', 'US-IL', 'Pontiac', 'no', '', '', '', 'LL56'),
	('0IL3', 'closed', 'Flying B Ranch Airport', 40.157001, -87.6745, 696, 'US', 'US-IL', 'Danville', 'no', '', '', '', '0IL3'),
	('7IL3', 'small_airport', 'Lutz Restricted Landing Area Airport', 40.427631, -89.603832, 545, 'US', 'US-IL', 'Dillon Township', 'no', '7IL3', '', '7IL3', ''),
	('63IS', 'small_airport', 'Corn Alley Airport', 40.7692985534668, -88.98310089111328, 715, 'US', 'US-IL', 'El Paso', 'no', '63IS', '', '63IS', ''),
	('KIGQ', 'small_airport', 'Lansing Municipal Airport', 41.534901, -87.529503, 620, 'US', 'US-IL', 'Chicago', 'no', 'KIGQ', '', 'IGQ', ''),
	('5IS7', 'small_airport', 'Cast Airport', 40.03889846801758, -87.78170013427734, 670, 'US', 'US-IL', 'Fairmount', 'no', '5IS7', '', '5IS7', ''),
	('IS88', 'small_airport', 'Melody Field', 40.14860153198242, -87.69450378417969, 660, 'US', 'US-IL', 'Danville', 'no', 'IS88', '', 'IS88', ''),
	('IL22', 'closed', 'Heeg Airport', 41.007111, -90.882896, 600, 'US', 'US-IL', 'Oquawka', 'no', '', '', '', 'IL22'),
	('II15', 'closed', 'Friedrich Airport', 40.993698, -86.341698, 770, 'US', 'US-IN', 'Kewanna', 'no', '', '', '', 'II15'),
	('1LL7', 'small_airport', 'Edwin G. Bennett Airport', 41.34980010986328, -89.77320098876953, 690, 'US', 'US-IL', 'Sheffield', 'no', '1LL7', '', '1LL7', ''),
	('KAAA', 'small_airport', 'Logan County Airport', 40.158699, -89.334999, 597, 'US', 'US-IL', 'Lincoln', 'no', 'KAAA', '', 'AAA', ''),
	('05IN', 'small_airport', 'Cooper Airport', 39.641998291015625, -86.50420379638672, 860, 'US', 'US-IN', 'Belleville', 'no', '05IN', '', '05IN', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LL44', 'closed', 'Trovero Airport', 41.298599, -89.109299, 625, 'US', 'US-IL', 'Peru', 'no', '', '', '', 'LL44'),
	('3IN0', 'small_airport', 'Flying M Airport', 41.558732, -87.125933, 640, 'US', 'US-IN', 'Portage', 'no', '3IN0', '', '3IN0', ''),
	('IS47', 'small_airport', 'Willis Airport', 42.030601501464844, -88.70179748535156, 856, 'US', 'US-IL', 'Sycamore', 'no', 'IS47', '', 'IS47', ''),
	('41IS', 'small_airport', 'Rees Field', 41.204498291015625, -88.80339813232422, 675, 'US', 'US-IL', 'Grand Ridge', 'no', '41IS', '', '41IS', ''),
	('KAUR', 'N/A', 'N/A', 39.576382264494896, -89.79149580001831, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('82IS', 'small_airport', 'Landings Condominium Airport', 42.14310073852539, -88.40290069580078, 880, 'US', 'US-IL', 'Huntley', 'no', '82IS', '', '82IS', ''),
	('KNAY', 'N/A', 'N/A', 41.38434302061796, -87.94498354196548, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1I7', 'N/A', 'N/A', 39.71247151494026, -87.4004316329956, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRWN', 'small_airport', 'Arens Field', 41.092209, -86.613357, 711, 'US', 'US-IN', 'Winamac', 'no', 'KRWN', '', 'RWN', ''),
	('0C8', 'small_airport', 'Cushing Field Ltd Airport', 41.519501, -88.605598, 640, 'US', 'US-IL', 'Newark', 'no', '0C8', '', '0C8', ''),
	('KSPY', 'N/A', 'N/A', 41.33902542293072, -89.21363264322281, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('69IL', 'small_airport', 'David Gillespie Airport', 41.365299224853516, -88.67919921875, 730, 'US', 'US-IL', 'Marseilles', 'no', '69IL', '', '69IL', ''),
	('KPWK', 'medium_airport', 'Chicago Executive Airport', 42.114222, -87.901494, 647, 'US', 'US-IL', 'Chicago/Prospect Heights/Wheeling', 'no', 'KPWK', 'PWK', 'PWK', ''),
	('06IL', 'small_airport', 'Humm Airport', 41.5994987487793, -88.86990356445313, 708, 'US', 'US-IL', 'Earlville', 'no', '06IL', '', '06IL', ''),
	('5IL5', 'small_airport', 'Hope Field', 41.259925, -88.356535, 558, 'US', 'US-IL', 'Mazon', 'no', '5IL5', '', '5IL5', ''),
	('29II', 'small_airport', 'Norm''s Airport', 41.6598014831543, -86.80750274658203, 750, 'US', 'US-IN', 'Michigan City', 'no', '29II', '', '29II', ''),
	('6I4', 'small_airport', 'Boone County Airport', 40.007301, -86.440598, 959, 'US', 'US-IN', 'Lebanon', 'no', 'K6I4', '', '6I4', ''),
	('2LL7', 'small_airport', 'Adams Restricted Landing Area Number 2', 40.934816, -88.740664, 630, 'US', 'US-IL', 'Pontiac', 'no', '2LL7', '', '2LL7', ''),
	('II62', 'small_airport', 'Berger Airport', 41.38779830932617, -86.25859832763672, 800, 'US', 'US-IN', 'Plymouth', 'no', 'II62', '', 'II62', ''),
	('IL55', 'closed', 'Andrew RLA Restricted Landing Area Airport', 40.160301, -88.304497, 810, 'US', 'US-IL', 'Champaign', 'no', '', '', '', 'IL55'),
	('73IS', 'N/A', 'N/A', 40.29512342065573, -89.94216710329056, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IL32', 'small_airport', 'Adkisson Airport', 39.78329849243164, -88.62139892578125, 669, 'US', 'US-IL', 'Hammond', 'no', 'IL32', '', 'IL32', ''),
	('8LL2', 'closed', 'Eckberg Airport', 41.369499, -89.559799, 670, 'US', 'US-IL', 'Wyanet', 'no', '', '', '', '8LL2'),
	('7IS5', 'small_airport', 'Koppie Airport', 42.12139892578125, -88.37809753417969, 890, 'US', 'US-IL', 'Gilberts', 'no', '7IS5', '', '7IS5', ''),
	('IS80', 'small_airport', 'Uncle Chuck''s Airport', 41.917801, -88.789299, 880, 'US', 'US-IL', 'DeKalb', 'no', 'IS80', '', 'IS80', ''),
	('LL48', 'closed', 'Wilcoxon Airport', 39.949201, -89.742502, 600, 'US', 'US-IL', 'Athens', 'no', '', '', '', 'LL48'),
	('90IN', 'small_airport', 'Mc Daniel''s Field', 39.40890121459999, -86.44419860839999, 600, 'US', 'US-IN', 'Martinsville', 'no', '90IN', '', '90IN', ''),
	('3IL7', 'closed', 'Home Free Airport', 41.803398, -89.021797, 819, 'US', 'US-IL', 'Steward', 'no', '', '', '', '3IL7'),
	('IS65', 'small_airport', 'Woodlake Landing Airport', 41.63840103149414, -88.64450073242188, 677, 'US', 'US-IL', 'Sandwich', 'no', 'IS65', '', 'IS65', ''),
	('19LL', 'small_airport', 'Neiner Airport', 41.25699996948242, -87.91950225830078, 650, 'US', 'US-IL', 'Manteno', 'no', '19LL', '', '19LL', ''),
	('C97', 'small_airport', 'Lowell Airport', 41.230098724365234, -87.50769805908203, 675, 'US', 'US-IN', 'Lowell', 'no', 'C97', '', 'C97', ''),
	('II91', 'small_airport', 'Dunbar Field', 39.84389877319336, -86.50530242919922, 940, 'US', 'US-IN', 'Pittsboro', 'no', 'II91', '', 'II91', ''),
	('2IN3', 'small_airport', 'Tatertown Airport', 41.084800720214844, -86.92420196533203, 700, 'US', 'US-IN', 'Medaryville', 'no', '2IN3', '', '2IN3', ''),
	('IL38', 'small_airport', 'J Maddock Airport', 41.766998, -88.531998, 705, 'US', 'US-IL', 'Big Rock', 'no', 'IL38', '', 'IL38', ''),
	('8IL9', 'closed', 'Little Sister Seaplane Base', 41.200001, -89.350098, 450, 'US', 'US-IL', 'Hennepin', 'no', '', '', '', '8IL9'),
	('KNAO', 'N/A', 'N/A', 41.05516389012337, -89.47240635752678, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1IS4', 'small_airport', 'Swan Valley Farm Airport', 42.134783, -89.824208, 916, 'US', 'US-IL', 'Lanark', 'no', '1IS4', '', '1IS4', ''),
	('26IL', 'closed', 'Duane E. Davis Airport', 42.119331, -89.37438, 741, 'US', 'US-IL', 'Leaf River', 'no', '', '', '', '26IL'),
	('KCFJ', 'small_airport', 'Crawfordsville Regional Airport', 39.975602, -86.919899, 799, 'US', 'US-IN', 'Crawfordsville', 'no', 'KCFJ', '', 'CFJ', 'Crawfordsville Municipal'),
	('7IL7', 'small_airport', 'Edward Getzelman Airport', 42.127336, -88.529991, 870, 'US', 'US-IL', 'Hampshire', 'no', '7IL7', '', '7IL7', ''),
	('72LL', 'small_airport', 'Foley Airport', 41.373600006103516, -89.34449768066406, 690, 'US', 'US-IL', 'Princeton', 'no', '72LL', '', '72LL', ''),
	('IS57', 'small_airport', 'Wind Rose Farm Airport', 42.1796989440918, -88.63279724121094, 815, 'US', 'US-IL', 'Marengo', 'no', 'IS57', '', 'IS57', ''),
	('61IS', 'small_airport', 'Jim & Peg Airport', 41.054798, -88.387299, 630, 'US', 'US-IL', 'Dwight', 'no', '61IS', '', '61IS', 'Jim & Peg RLA'),
	('KCHY', 'N/A', 'N/A', 40.974051877856255, -87.82333329319954, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3IS5', 'small_airport', 'Holmes Southeast Airport', 39.685394, -89.598722, 590, 'US', 'US-IL', 'Pawnee', 'no', '3IS5', '', '3IS5', 'Holmes Airport'),
	('6II0', 'small_airport', 'Turnpaugh Field', 40.645301818847656, -86.29280090332031, 757, 'US', 'US-IN', 'Walton', 'no', '6II0', '', '6II0', ''),
	('0I2', 'small_airport', 'Brazil Clay County Airport', 39.4767, -87.099701, 645, 'US', 'US-IN', 'Brazil', 'no', '0I2', '', '0I2', ''),
	('57II', 'small_airport', 'Reimer Aerodrome', 39.964199, -86.567497, 930, 'US', 'US-IN', 'Jamestown', 'no', '57II', '', '57II', ''),
	('II79', 'small_airport', 'Sommers Airport', 41.07699966430664, -86.72450256347656, 710, 'US', 'US-IN', 'Winamac', 'no', 'II79', '', 'II79', ''),
	('II99', 'small_airport', 'Drake Field', 41.4364013671875, -86.4708023071289, 730, 'US', 'US-IN', 'Walkerton', 'no', 'II99', '', 'II99', ''),
	('KOXI', 'small_airport', 'Starke County Airport', 41.330098, -86.662302, 685, 'US', 'US-IN', 'Knox', 'no', 'KOXI', '', 'OXI', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('5LL2', 'small_airport', 'Paul E. Kroenlein Airport', 39.6083984375, -88.8583984375, 710, 'US', 'US-IL', 'Moweaqua', 'no', '5LL2', '', '5LL2', ''),
	('IG02', 'closed', 'Ratcliff Airport', 40.273102, -86.907501, 730, 'US', 'US-IN', 'Lafayette', 'no', '', '', '', 'IG02'),
	('08IL', 'closed', 'Harms Airstrip', 41.577, -89.793999, 643, 'US', 'US-IL', 'Tampico', 'no', '', '', '', '08IL'),
	('C94', 'small_airport', 'Earlville Airport', 41.567001, -88.947899, 690, 'US', 'US-IL', 'Earlville', 'no', 'C94', '', 'C94', ''),
	('IS41', 'small_airport', 'Vogen Restricted Landing Area', 41.460899353027344, -88.59200286865234, 740, 'US', 'US-IL', 'Newark', 'no', 'IS41', '', 'IS41', ''),
	('6IL6', 'closed', 'Reid Restricted Landing Area', 42.118401, -88.407898, 920, 'US', 'US-IL', 'Gilberts', 'no', '', '', '', '6IL6'),
	('IL80', 'small_airport', 'Flying Illini Airport', 40.108167, -88.683132, 710, 'US', 'US-IL', 'De Land', 'no', 'IL80', '', 'IL80', ''),
	('IN55', 'small_airport', 'Songer Airport', 40.079200744628906, -87.26110076904297, 652, 'US', 'US-IN', 'Veedersburg', 'no', 'IN55', '', 'IN55', ''),
	('KORN', 'N/A', 'N/A', 42.05154351890087, -89.29783031344414, 244, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IL81', 'small_airport', 'Berns Airport', 40.937026, -88.045958, 658, 'US', 'US-IL', 'Clifton', 'no', 'IL81', '', 'IL81', ''),
	('31IN', 'small_airport', 'Timber House Airport', 40.28499984741211, -86.85639953613281, 726, 'US', 'US-IN', 'Lafayette', 'no', '31IN', '', '31IN', ''),
	('04IL', 'small_airport', 'Schertz Aerial Service - Hudson Airport', 40.6375007629, -89.0070037842, 755, 'US', 'US-IL', 'Hudson', 'no', '04IL', '', '04IL', ''),
	('IL09', 'closed', 'Albrecht 2 Airport', 41.631401, -89.405098, 802, 'US', 'US-IL', 'Amboy', 'no', '', '', '', 'IL09'),
	('LL10', 'small_airport', 'Naper Aero Club Airport', 41.734798431396484, -88.20339965820313, 708, 'US', 'US-IL', 'Naperville', 'no', 'LL10', '', 'LL10', ''),
	('3II8', 'small_airport', 'Birkey Private Airport', 41.442298889160156, -86.26110076904297, 796, 'US', 'US-IN', 'Bremen', 'no', '3II8', '', '3II8', ''),
	('1IL0', 'small_airport', 'Barnstorm Field', 40.775001525878906, -89.0010986328125, 731, 'US', 'US-IL', 'El Paso', 'no', '1IL0', '', '1IL0', ''),
	('IS64', 'closed', 'Kuntz Field', 40.720887, -88.857443, 735, 'US', 'US-IL', 'Gridley', 'no', '', '', '', 'IS64'),
	('IN39', 'closed', 'Klopfenstein Airport', 40.7673, -86.920799, 685, 'US', 'US-IN', 'Reynolds', 'no', '', '', '', 'IN39'),
	('15IL', 'small_airport', 'Gittleson Farms Airport', 41.797298431396484, -89.27320098876953, 836, 'US', 'US-IL', 'Franklin Grove', 'no', '15IL', '', '15IL', ''),
	('4LL7', 'small_airport', 'Willadae Farms Airport', 42.001719, -88.664927, 850, 'US', 'US-IL', 'Sycamore', 'no', '4LL7', '', '4LL7', ''),
	('54IL', 'small_airport', 'Rothrock Airport', 41.126271, -88.801848, 653, 'US', 'US-IL', 'Streator', 'no', '54IL', '', '54IL', ''),
	('KHEW', 'N/A', 'N/A', 40.249996930360794, -89.09065380692482, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('31LL', 'closed', 'Seeman Airport', 40.778599, -88.666199, 689, 'US', 'US-IL', 'Pontiac', 'no', '', '', '', '31LL'),
	('KELQ', 'N/A', 'N/A', 40.7983011379838, -89.98578697443008, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('26IS', 'small_airport', 'Ficklin-Airtech Airport', 40.766700744628906, -88.50559997558594, 672, 'US', 'US-IL', 'Fairbury', 'no', '26IS', '', '26IS', ''),
	('II07', 'small_airport', 'Clover Knoll Airport', 39.532418, -86.832404, 880, 'US', 'US-IN', 'Cloverdale', 'no', 'II07', '', 'II07', ''),
	('01II', 'small_airport', 'Myers Field', 39.8849983215332, -86.50669860839844, 950, 'US', 'US-IN', 'Lizton', 'no', '01II', '', '01II', ''),
	('IN99', 'small_airport', 'Donica Field', 39.407019, -86.305697, 870, 'US', 'US-IN', 'Morgantown', 'no', 'IN99', '', 'IN99', ''),
	('48LL', 'small_airport', 'Rock Cut Farms Airport', 42.125575, -89.460555, 812, 'US', 'US-IL', 'Leaf River', 'no', '48LL', '', '48LL', ''),
	('4IS6', 'small_airport', 'Hattan Farms Airport', 40.930599212646484, -89.12059783935547, 710, 'US', 'US-IL', 'Minonk', 'no', '4IS6', '', '4IS6', ''),
	('IL64', 'small_airport', 'Martin Airport', 40.180599212646484, -89.5000991821289, 558, 'US', 'US-IL', 'Lincoln', 'no', 'IL64', '', 'IL64', ''),
	('4II0', 'small_airport', 'De Ford Airport', 40.609501, -86.738297, 640, 'US', 'US-IN', 'Delphi', 'no', '4II0', '', '4II0', ''),
	('KLAF', 'medium_airport', 'Purdue University Airport', 40.412875, -86.939363, 606, 'US', 'US-IN', 'West Lafayette', 'yes', 'KLAF', 'LAF', 'LAF', ''),
	('2LL5', 'small_airport', 'Justus Airport', 39.998600006103516, -88.05999755859375, 685, 'US', 'US-IL', 'Sidney', 'no', '2LL5', '', '2LL5', ''),
	('IS13', 'closed', 'Bussart Airport', 39.579201, -87.848602, 713, 'US', 'US-IL', 'Dudley', 'no', '', '', '', 'IS13'),
	('II83', 'closed', 'Bramble Airport', 39.834202, -86.434196, 870, 'US', 'US-IN', 'Brownsburg', 'no', '', '', '', 'II83'),
	('2IS3', 'small_airport', 'Jackson Field', 41.17169952392578, -89.80680084228516, 760, 'US', 'US-IL', 'Elmira', 'no', '2IS3', '', '2IS3', ''),
	('15IS', 'N/A', 'N/A', 40.29189337044954, -88.36032763123512, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTOU', 'N/A', 'N/A', 41.133276522159576, -89.91584479808807, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('92IS', 'closed', 'Taft Airport', 39.742001, -89.478401, 586, 'US', 'US-IL', 'Rochester', 'no', '', '', '', '92IS'),
	('96LL', 'closed', 'Wichman Airport', 40.6161, -87.614197, 681, 'US', 'US-IL', 'Stockland', 'no', '', '', '', '96LL'),
	('2LL9', 'small_airport', 'George Airport', 41.704200744628906, -88.69309997558594, 740, 'US', 'US-IL', 'Somonauk', 'no', '2LL9', '', '2LL9', ''),
	('2IS7', 'closed', 'Somers Blossom Airport', 42.060201, -89.004851, 789, 'US', 'US-IL', 'Lindenwood', 'no', '', '', '', '2IS7'),
	('93IL', 'closed', 'Bauer Airport', 42.068474, -88.987971, 780, 'US', 'US-IL', 'Lindenwood', 'no', '', '', '', '93IL'),
	('85IL', 'small_airport', 'Durbin Airport', 39.636894, -88.619413, 664, 'US', 'US-IL', 'Sullivan', 'no', '85IL', '', '85IL', ''),
	('II19', 'small_airport', 'Etter Airport', 40.40610122680664, -86.75360107421875, 660, 'US', 'US-IN', 'Lafayette', 'no', 'II19', '', 'II19', ''),
	('LL38', 'small_airport', 'Stutzke Airport', 41.81054, -89.838188, 740, 'US', 'US-IL', 'Sterling', 'no', 'LL38', '', 'LL38', ''),
	('C75', 'small_airport', 'Marshall County Airport', 41.018391, -89.385865, 568, 'US', 'US-IL', 'Lacon', 'no', 'KC75', '', 'C75', ''),
	('4LL6', 'N/A', 'N/A', 39.48944918811321, -89.9540501832962, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KVIE', 'N/A', 'N/A', 39.52670272439718, -89.75307762622833, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('95LL', 'closed', 'Warren Airport', 41.6478, -88.694397, 694, 'US', 'US-IL', 'Somonauk', 'no', '', '', '', '95LL');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('5IN6', 'small_airport', 'Orthodontic Strip', 41.587501525878906, -86.90280151367188, 805, 'US', 'US-IN', 'Westville', 'no', '5IN6', '', '5IN6', ''),
	('44IN', 'small_airport', 'Rush STOLport', 40.49980163574219, -86.95500183105469, 675, 'US', 'US-IN', 'West Lafayette', 'no', '44IN', '', '44IN', ''),
	('7IS3', 'small_airport', 'Hooterville Airport', 40.142911, -89.092276, 730, 'US', 'US-IL', 'Clinton', 'no', '7IS3', '', '7IS3', ''),
	('KLOT', 'small_airport', 'Lewis University Airport', 41.6072998, -88.09619904, 679, 'US', 'US-IL', 'Chicago/Romeoville', 'no', 'KLOT', 'LOT', 'LOT', 'Lewis Lockport Airport,'),
	('6MI6', 'small_airport', 'Hancock Airport', 41.85279846191406, -86.43609619140625, 760, 'US', 'US-MI', 'Buchanan', 'no', '6MI6', '', '6MI6', ''),
	('LL32', 'small_airport', 'C D Maulding Airport', 40.446556, -88.065333, 800, 'US', 'US-IL', 'Paxton', 'no', 'LL32', '', 'LL32', ''),
	('2IL0', 'small_airport', 'Sneek Airport', 42.181400299072266, -89.6769027709961, 909, 'US', 'US-IL', 'Shannon', 'no', '2IL0', '', '2IL0', ''),
	('II31', 'small_airport', 'Jurassic Landings Ultralightport', 41.18790054321289, -88.16709899902344, 585, 'US', 'US-IL', 'Essex', 'no', 'II31', '', 'II31', ''),
	('49II', 'small_airport', 'Reinoehl Field', 39.609798431396484, -87.01529693603516, 800, 'US', 'US-IN', 'Lena', 'no', '49II', '', '49II', ''),
	('68IN', 'small_airport', 'Alley Oop Airport', 41.12139892578125, -86.99749755859375, 715, 'US', 'US-IN', 'Wheatfield', 'no', '68IN', '', '68IN', ''),
	('71IS', 'small_airport', 'Ted''s Place Airport', 40.42559814453125, -88.00060272216797, 780, 'US', 'US-IL', 'Paxton', 'no', '71IS', '', '71IS', ''),
	('KBEH', 'small_airport', 'Southwest Michigan Regional Airport', 42.128601074200006, -86.4284973145, 643, 'US', 'US-MI', 'Benton Harbor', 'no', 'KBEH', 'BEH', 'BEH', 'Ross Field, Twin Cities Airport, St. Joseph City'),
	('II65', 'small_airport', 'Gilmore Airport', 40.88750076293945, -87.12359619140625, 680, 'US', 'US-IN', 'Rensselaer', 'no', 'II65', '', 'II65', ''),
	('74IL', 'heliport', 'Mendota Community Hospital Heliport', 41.551998138399995, -89.13150024410001, 770, 'US', 'US-IL', 'Mendota', 'no', '', '', '14IL', ''),
	('3I3', 'small_airport', 'Sky King Airport', 39.547223, -87.378623, 496, 'US', 'US-IN', 'Terre Haute', 'no', 'K3I3', '', '3I3', ''),
	('4LL1', 'small_airport', 'Staton Airport', 41.85419845581055, -89.08760070800781, 770, 'US', 'US-IL', 'Steward', 'no', '4LL1', '', '4LL1', ''),
	('0IL9', 'small_airport', 'Jack W Watson Airport', 41.853699, -88.786513, 880, 'US', 'US-IL', 'DeKalb', 'no', '0IL9', '', '0IL9', ''),
	('0LL4', 'small_airport', 'Flaherty Field', 41.419592, -89.121394, 664, 'US', 'US-IL', 'La Salle', 'no', '0LL4', '', '0LL4', 'Tri-City'),
	('KROV', 'N/A', 'N/A', 40.394156612455845, -87.7236557006836, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDKB', 'small_airport', 'DeKalb Taylor Municipal Airport', 41.936316, -88.704128, 914, 'US', 'US-IL', 'DeKalb', 'no', 'KDKB', '', 'DKB', ''),
	('IN32', 'closed', 'Stephenson Airport', 39.977299, -85.7444, 880, 'US', 'US-IN', 'Pendleton', 'no', '', '', '', 'IN32'),
	('IN29', 'small_airport', 'Durflinger Airport', 40.57360076904297, -87.10359954833984, 747, 'US', 'US-IN', 'Otterbein', 'no', 'IN29', '', 'IN29', ''),
	('KIKK', 'medium_airport', 'Greater Kankakee Airport', 41.07139968869999, -87.8462982178, 630, 'US', 'US-IL', 'Kankakee', 'no', 'KIKK', 'IKK', 'IKK', ''),
	('1IL6', 'closed', 'Bally''s Strip', 41.868963, -89.445807, 786, 'US', 'US-IL', 'Dixon', 'no', '', '', '', '1IL6'),
	('56LL', 'small_airport', 'Wade Airport', 41.755001068115234, -88.77120208740234, 810, 'US', 'US-IL', 'Waterman', 'no', '56LL', '', '56LL', ''),
	('28LL', 'small_airport', 'Williamson Airport', 39.46030044555664, -88.86840057373047, 630, 'US', 'US-IL', 'Westervelt', 'no', '28LL', '', '28LL', ''),
	('00IL', 'small_airport', 'Hammer Airport', 41.978401, -89.560402, 840, 'US', 'US-IL', 'Polo', 'no', '00IL', '', '00IL', 'Radio Ranch'),
	('LL55', 'small_airport', 'Gentry Airport', 41.99089813232422, -89.55979919433594, 865, 'US', 'US-IL', 'Polo', 'no', 'LL55', '', 'LL55', ''),
	('75LL', 'closed', 'Hausmann Airport', 41.084106, -89.756627, 748, 'US', 'US-IL', 'Wyoming', 'no', '', '', '', '75LL'),
	('KRON', 'N/A', 'N/A', 40.42244654148817, -86.58643305301666, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IN93', 'small_airport', 'Hustons Airport', 41.71200180053711, -86.43280029296875, 760, 'US', 'US-IN', 'New Carlisle', 'no', 'IN93', '', 'IN93', ''),
	('5I6', 'small_airport', 'Galveston Airport', 40.586809, -86.25761, 786, 'US', 'US-IN', 'Galveston', 'no', 'K5I6', '', '5I6', ''),
	('KPNT', 'small_airport', 'Pontiac Municipal Airport', 40.924255, -88.62447, 666, 'US', 'US-IL', 'Pontiac', 'no', 'KPNT', '', 'PNT', ''),
	('17LL', 'closed', 'Oink Acres Airport', 40.160599, -88.410301, 725, 'US', 'US-IL', 'Mahomet', 'no', '', '', '', '17LL'),
	('9IS2', 'small_airport', 'Schertz Field', 40.482878, -88.267529, 758, 'US', 'US-IL', 'Gibson City', 'no', '9IS2', '', '9IS2', 'Gibson City Muni'),
	('KSHM', 'N/A', 'N/A', 39.915236458182335, -89.63495537638664, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IL68', 'closed', 'Mill Rose Farm Restricted Landing Area', 42.077202, -88.159798, 850, 'US', 'US-IL', 'Chicago/Barrington', 'no', '', '', '', 'IL68'),
	('6IL9', 'small_airport', 'Geldean Airport', 41.513995, -89.631052, 745, 'US', 'US-IL', 'Walnut', 'no', '6IL9', '', '6IL9', ''),
	('37II', 'small_airport', 'Winn Field', 41.17559814453125, -86.37359619140625, 808, 'US', 'US-IN', 'Culver', 'no', '37II', '', '37II', ''),
	('1C1', 'small_airport', 'Paxton Airport', 40.449001, -88.127701, 779, 'US', 'US-IL', 'Paxton', 'no', 'K1C1', '', '1C1', ''),
	('IL48', 'small_airport', 'St Louis Metro-East Airport/Shafer Field', 38.732899, -89.806602, 477, 'US', 'US-IL', 'St Jacob', 'no', 'IL48', '', 'IL48', '3K6'),
	('IL27', 'closed', 'Landis Plastics Heliport', 41.678601, -87.762497, 610, 'US', 'US-IL', 'Alsip', 'no', '', '', '', 'IL27'),
	('5IN4', 'small_airport', 'Wyckoff Airstrip', 41.4833984375, -86.94999694824219, 780, 'US', 'US-IN', 'Valparaiso', 'no', '5IN4', '', '5IN4', ''),
	('79IL', 'closed', 'Miller Airport', 41.796576, -89.230223, 820, 'US', 'US-IL', 'Ashton', 'no', '', '', '', '79IL'),
	('9IN9', 'small_airport', 'Gessie Airport', 40.07780075073242, -87.51529693603516, 635, 'US', 'US-IN', 'Gessie', 'no', '9IN9', '', '9IN9', ''),
	('72IN', 'small_airport', 'Gutwein Airport', 40.9119987487793, -86.8739013671875, 680, 'US', 'US-IN', 'Monon', 'no', '72IN', '', '72IN', ''),
	('15LL', 'small_airport', 'Cloverleaf Ranch Airport', 41.23749923706055, -89.53669738769531, 807, 'US', 'US-IL', 'Tiskilwa', 'no', '15LL', '', '15LL', ''),
	('05IL', 'small_airport', 'Classic Landings Airport', 41.156700134277344, -88.0167007446289, 635, 'US', 'US-IL', 'Bonfield', 'no', '05IL', '', '05IL', ''),
	('2LL1', 'small_airport', 'Cwian Field', 41.540247, -88.68802, 550, 'US', 'US-IL', 'Sheridan', 'no', '2LL1', '', '2LL1', ''),
	('KNAU', 'N/A', 'N/A', 41.89808562397957, -88.58908966183662, 263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHUF', 'medium_airport', 'Terre Haute Regional Airport, Hulman Field', 39.4515, -87.307602, 589, 'US', 'US-IN', 'Terre Haute', 'no', 'KHUF', 'HUF', 'HUF', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('30IS', 'small_airport', 'Aero Lake Estates Airport', 42.077383, -88.625372, 875, 'US', 'US-IL', 'Genoa', 'no', '30IS', '', '30IS', ''),
	('5LL5', 'small_airport', 'Gordon Brown Airport', 40.70140075683594, -89.88400268554688, 745, 'US', 'US-IL', 'Trivoli', 'no', '5LL5', '', '5LL5', ''),
	('KVYS', 'small_airport', 'Illinois Valley Regional Airport Walter A Duncan Field', 41.351898, -89.153099, 654, 'US', 'US-IL', 'Peru', 'no', 'KVYS', 'VYS', 'VYS', ''),
	('KPIA', 'medium_airport', 'General Wayne A. Downing Peoria International Airport', 40.6642, -89.693298, 660, 'US', 'US-IL', 'Peoria', 'yes', 'KPIA', 'PIA', 'PIA', 'Peoria International Airport'),
	('5LL3', 'small_airport', 'Mayhall Airport', 39.769500732421875, -88.09529876708984, 643, 'US', 'US-IL', 'Murdock', 'no', '5LL3', '', '5LL3', ''),
	('KTYQ', 'small_airport', 'Indianapolis Executive Airport', 40.030701, -86.251404, 922, 'US', 'US-IN', 'Indianapolis', 'no', 'KTYQ', '', 'TYQ', ''),
	('49IL', 'small_airport', 'Walnut Creek Airport', 41.593299865722656, -88.69170379638672, 666, 'US', 'US-IL', 'Somonauk', 'no', '49IL', '', '49IL', ''),
	('IL51', 'small_airport', 'Aero Acres Airport', 41.038335, -88.334971, 645, 'US', 'US-IL', 'Dwight', 'no', 'IL51', '', 'IL51', ''),
	('IN88', 'small_airport', 'Sanders Gyroport Airport', 39.514042, -86.764047, 760, 'US', 'US-IN', 'Cloverdale', 'no', 'IN88', '', 'IN88', ''),
	('KJOT', 'small_airport', 'Joliet Regional Airport', 41.51779938, -88.17549896, 582, 'US', 'US-IL', 'Joliet', 'no', 'KJOT', 'JOT', 'JOT', ''),
	('KNAR', 'N/A', 'N/A', 39.55255251377821, -88.472660779953, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7IN7', 'small_airport', 'Gary Johnson Field', 40.235801696777344, -87.35079956054688, 570, 'US', 'US-IN', 'West Lebanon', 'no', '7IN7', '', '7IN7', ''),
	('0II8', 'small_airport', 'Sutton''s Field', 41.324798583984375, -87.47589874267578, 740, 'US', 'US-IN', 'Lowell', 'no', '0II8', '', '0II8', ''),
	('IL78', 'small_airport', 'Benoit Airport', 41.131099700927734, -87.79229736328125, 660, 'US', 'US-IL', 'Kankakee', 'no', 'IL78', '', 'IL78', ''),
	('35IS', 'small_airport', 'Enoch Airport', 39.52840042114258, -88.76399993896484, 676, 'US', 'US-IL', 'Findlay', 'no', '35IS', '', '35IS', ''),
	('5I2', 'small_airport', 'Flora Municipal Airport', 40.539799, -86.548302, 710, 'US', 'US-IN', 'Flora', 'no', '5I2', '', '5I2', ''),
	('IL06', 'heliport', 'Hopedale Medical Complex Heliport', 40.417535, -89.41619, 643, 'US', 'US-IL', 'Hopedale', 'no', 'IL06', '', 'IL06', ''),
	('KDTG', 'N/A', 'N/A', 41.13262206315994, -88.4386445581913, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4MI6', 'small_airport', 'Benedick Airport', 41.8577995300293, -86.614501953125, 660, 'US', 'US-MI', 'Three Oaks', 'no', '4MI6', '', '4MI6', ''),
	('53IL', 'closed', 'Clapper Airport', 40.152802, -88.516701, 710, 'US', 'US-IL', 'Mansfield', 'no', '', '', '', '53IL'),
	('IS52', 'closed', 'Russell Airport', 40.927799, -87.622498, 710, 'US', 'US-IL', 'Donovan', 'no', '', '', '', 'IS52'),
	('33IL', 'small_airport', 'John Scharff Airport', 40.166099548339844, -88.89830017089844, 730, 'US', 'US-IL', 'Clinton', 'no', '33IL', '', '33IL', ''),
	('2V3', 'closed', 'Hartenbower Hectares Airport', 41.181499, -89.146698, 733, 'US', 'US-IL', 'Lostant', 'no', '', '', '', 'IS56, 2V3, 48IL'),
	('KMGC', 'small_airport', 'Michigan City Municipal Airport', 41.703300476100004, -86.8211975098, 655, 'US', 'US-IN', 'Michigan City', 'no', 'KMGC', 'MGC', 'MGC', 'Phillips Field'),
	('4IN8', 'small_airport', 'Culp Farms Airport', 40.86750030517578, -87.06829833984375, 673, 'US', 'US-IN', 'Rensselaer', 'no', '4IN8', '', '4IN8', ''),
	('KUAC', 'N/A', 'N/A', 39.43992588669062, -89.2078310251236, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IN58', 'closed', 'Sealscott Airport', 40.903702, -84.847504, 820, 'US', 'US-IN', 'Monroeville', 'no', '', '', '', 'IN58'),
	('41IL', 'closed', 'Alcock Restricted Landing Area', 42.065078, -89.038869, 780, 'US', 'US-IL', 'Lindenwood', 'no', '', '', '', '41IL'),
	('71LL', 'small_airport', 'Riverode Farms Airport', 40.843992, -88.56082, 651, 'US', 'US-IL', 'Pontiac', 'no', '71LL', '', '71LL', ''),
	('KGGP', 'small_airport', 'Logansport Cass County Airport', 40.711201, -86.374901, 738, 'US', 'US-IN', 'Logansport', 'no', 'KGGP', '', 'GGP', ''),
	('KORD', 'large_airport', 'Chicago O''Hare International Airport', 41.9786, -87.9048, 680, 'US', 'US-IL', 'Chicago', 'yes', 'KORD', 'ORD', 'ORD', 'CHI, Orchard Place'),
	('58IL', 'small_airport', 'Spangler Airport', 41.240254, -87.857666, 675, 'US', 'US-IL', 'Manteno', 'no', '58IL', '', '58IL', ''),
	('KRZL', 'small_airport', 'Jasper County Airport', 40.9478988647, -87.1826019287, 698, 'US', 'US-IN', 'Rensselaer', 'no', 'KRZL', 'RNZ', 'RZL', ''),
	('3IS1', 'small_airport', 'Mc Coy Airport', 39.702827, -89.209628, 615, 'US', 'US-IL', 'Blue Mound', 'no', '3IS1', '', '3IS1', ''),
	('KCEG', 'N/A', 'N/A', 40.02038575708866, -88.73739302158356, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('75IS', 'small_airport', 'Reinke Airport', 41.899200439453125, -89.17040252685547, 790, 'US', 'US-IL', 'Rochelle', 'no', '75IS', '', '75IS', ''),
	('1C5', 'small_airport', 'Bolingbrook''s Clow International Airport', 41.695999145500004, -88.12920379639999, 670, 'US', 'US-IL', 'Bolingbrook', 'no', 'K1C5', '', '1C5', ''),
	('6IS0', 'small_airport', 'Day Aero-Place Airport', 40.095001220703125, -88.12870025634766, 690, 'US', 'US-IL', 'Urbana', 'no', '6IS0', '', '6IS0', ''),
	('KLEY', 'N/A', 'N/A', 40.323041528463364, -88.75359132885933, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOTT', 'N/A', 'N/A', 41.36468913406134, -88.85931238532066, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('II38', 'small_airport', 'Sherk Field', 41.42639923095703, -86.31639862060547, 860, 'US', 'US-IN', 'Lapaz', 'no', 'II38', '', 'II38', ''),
	('81LL', 'small_airport', 'Otterbach Farm Airport', 41.572305, -89.171391, 840, 'US', 'US-IL', 'Mendota', 'no', '81LL', '', '81LL', ''),
	('0LL6', 'small_airport', 'Gord Airport', 41.69839859008789, -88.60759735107422, 710, 'US', 'US-IL', 'Sandwich', 'no', '0LL6', '', '0LL6', ''),
	('KBEQ', 'N/A', 'N/A', 39.88276328891516, -88.59435081481934, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6IN6', 'small_airport', 'Mershon Airport', 39.54890060424805, -86.47669982910156, 870, 'US', 'US-IN', 'Monrovia', 'no', '6IN6', '', '6IN6', ''),
	('LL46', 'small_airport', 'Read Airport', 40.83530044555664, -88.15280151367188, 663, 'US', 'US-IL', 'Piper City', 'no', 'LL46', '', 'LL46', ''),
	('35IL', 'small_airport', '7th Heaven Airport', 41.534065, -89.204532, 800, 'US', 'US-IL', 'La Moille', 'no', '35IL', '', '35IL', 'Clarion Field'),
	('67IL', 'small_airport', 'Mitchell RLA Restricted Landing Area', 41.3666992188, -88.650100708, 705, 'US', 'US-IL', 'Marseilles', 'no', '67IL', '', '67IL', ''),
	('KDNV', 'small_airport', 'Vermilion Regional Airport', 40.199124, -87.59663, 697, 'US', 'US-IL', 'Danville', 'no', 'KDNV', 'DNV', 'DNV', 'Vermilion County Airport'),
	('C55', 'small_airport', 'Ogle County Airport', 42.0373, -89.392899, 929, 'US', 'US-IL', 'Mount Morris', 'no', 'KC55', '', 'C55', ''),
	('04LL', 'closed', 'Brunner Airport', 42.136101, -88.287598, 750, 'US', 'US-IL', 'West Dundee', 'no', '', '', '', '04LL');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('7IL6', 'closed', 'Dr Joseph W Esser Airport', 42.1306, -88.502899, 979, 'US', 'US-IL', 'Hampshire', 'no', '', '', '', '7IL6'),
	('87IL', 'small_airport', 'Bushby RLA Restricted Landing Area', 41.516700744599994, -88.2667007446, 580, 'US', 'US-IL', 'Minooka', 'no', '87IL', '', '87IL', ''),
	('IL76', 'closed', 'Marcor Heliport', 41.896098, -87.642303, 1047, 'US', 'US-IL', 'Chicago', 'no', '', '', '', 'IL76'),
	('3IS3', 'small_airport', 'Noland Farms Airport', 39.739237, -89.146113, 600, 'US', 'US-IL', 'Blue Mound', 'no', '3IS3', '', '3IS3', 'RLA'),
	('4IS7', 'small_airport', 'Litchfield Restricted Landing Area', 40.073101, -88.399498, 704, 'US', 'US-IL', 'Seymour', 'no', '4IS7', '', '4IS7', ''),
	('3LL3', 'small_airport', 'Kibler Airport', 39.44609832763672, -87.64450073242188, 588, 'US', 'US-IL', 'Marshall', 'no', '3LL3', '', '3LL3', ''),
	('IS73', 'small_airport', 'Woodley Aerial Spray Airport', 41.532501220703125, -89.70189666748047, 635, 'US', 'US-IL', 'New Bedford', 'no', 'IS73', '', 'IS73', ''),
	('IL91', 'closed', 'Testoni Farms Airport', 41.020901, -88.653397, 688, 'US', 'US-IL', 'Cornell', 'no', '', '', '', 'IL91'),
	('IN86', 'small_airport', 'Wilson Airport', 41.28030014038086, -86.63200378417969, 714, 'US', 'US-IN', 'Knox', 'no', 'IN86', '', 'IN86', ''),
	('IL87', 'small_airport', 'W Davis Airport', 41.71110153198242, -89.11229705810547, 930, 'US', 'US-IL', 'Compton', 'no', 'IL87', '', 'IL87', ''),
	('40IL', 'small_airport', 'Antique Aerodrome', 41.006637, -88.658001, 683, 'US', 'US-IL', 'Cornell', 'no', '40IL', '', '40IL', ''),
	('KVPZ', 'medium_airport', 'Porter County Municipal Airport', 41.45399857, -87.00710297, 770, 'US', 'US-IN', 'Valparaiso', 'no', 'KVPZ', 'VPZ', 'VPZ', ''),
	('9LL4', 'N/A', 'N/A', 40.234810933470726, -88.6024059355259, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IL31', 'small_airport', 'Cooch Landing Area Airport', 39.843299865722656, -88.45330047607422, 695, 'US', 'US-IL', 'Atwood', 'no', 'IL31', '', 'IL31', ''),
	('2LL3', 'closed', 'Roy Burden Restricted Landing Area', 40.388901, -89.069199, 730, 'US', 'US-IL', 'Shirley', 'no', '', '', '', '2LL3'),
	('3II1', 'small_airport', 'Shenandoah Flying Field', 39.41669845581055, -86.63580322265625, 720, 'US', 'US-IN', 'Gosport', 'no', '3II1', '', '3II1', ''),
	('IN7', 'seaplane_base', 'Cedar Lake Seaplane Base', 41.373461, -87.432811, 692, 'US', 'US-IN', 'Cedar Lake', 'no', '', '', 'IN7', ''),
	('70IL', 'small_airport', 'Murphy Farms Airport', 39.423464, -89.565696, 645, 'US', 'US-IL', 'Farmersville', 'no', '70IL', '', '70IL', ''),
	('C09', 'small_airport', 'Morris Municipal Airport James R. Washburn field', 41.4254, -88.418701, 584, 'US', 'US-IL', 'Morris', 'no', 'KC09', '', 'C09', ''),
	('IN61', 'closed', 'Flying J Airport', 41.264198, -87.134399, 653, 'US', 'US-IN', 'Wheatfield', 'no', '', '', '', 'IN61'),
	('6IL4', 'small_airport', 'Foxfield Aerodrome', 42.160301208496094, -89.88619995117188, 895, 'US', 'US-IL', 'Lanark', 'no', '6IL4', '', '6IL4', ''),
	('63IL', 'small_airport', 'Emerick Airport', 42.18339920043945, -88.59449768066406, 840, 'US', 'US-IL', 'Marengo', 'no', '63IL', '', '63IL', ''),
	('IS94', 'small_airport', 'Johnson Airport', 41.60559844970703, -88.66120147705078, 667, 'US', 'US-IL', 'Sandwich', 'no', 'IS94', '', 'IS94', ''),
	('IL82', 'small_airport', 'Martin RLA Restricted Landing Area', 40.109500885, -88.82869720459999, 725, 'US', 'US-IL', 'Clinton', 'no', 'IL82', '', 'IL82', ''),
	('KCHW', 'N/A', 'N/A', 40.745982974767685, -88.29175293445587, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5LL1', 'small_airport', 'Hilvety Airport', 39.650001525878906, -88.97509765625, 674, 'US', 'US-IL', 'Moweaqua', 'no', '5LL1', '', '5LL1', ''),
	('KSPI', 'medium_airport', 'Abraham Lincoln Capital Airport', 39.844101, -89.677902, 598, 'US', 'US-IL', 'Springfield', 'yes', 'KSPI', 'SPI', 'SPI', ''),
	('1LL2', 'small_airport', 'Spring Brook Airport', 41.30059814453125, -88.6355972290039, 500, 'US', 'US-IL', 'Seneca', 'no', '1LL2', '', '1LL2', ''),
	('KSTQ', 'N/A', 'N/A', 41.05352774262428, -88.85721132159233, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9IL2', 'small_airport', 'Routh Airport', 40.064998626708984, -88.02639770507813, 668, 'US', 'US-IL', 'St Joseph', 'no', '9IL2', '', '9IL2', ''),
	('5II1', 'small_airport', 'Layne Field', 39.782798767089844, -86.61750030517578, 905, 'US', 'US-IN', 'New Winchester', 'no', '5II1', '', '5II1', ''),
	('83IL', 'small_airport', 'Oltman-Shuck Airport', 40.892799377441406, -89.10399627685547, 736, 'US', 'US-IL', 'Minonk', 'no', '83IL', '', '83IL', ''),
	('IL63', 'small_airport', 'Mays Aviation Airport', 40.70000076293945, -88.67510223388672, 720, 'US', 'US-IL', 'Chenoa', 'no', 'IL63', '', 'IL63', ''),
	('KMEN', 'N/A', 'N/A', 41.62243567407131, -89.21316459774971, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IL99', 'small_airport', 'B & C Airport', 41.59280014038086, -88.96730041503906, 715, 'US', 'US-IL', 'Earlville', 'no', 'IL99', '', 'IL99', ''),
	('II68', 'small_airport', 'Durham Airport', 39.855, -86.959198, 820, 'US', 'US-IN', 'Russellville', 'no', 'II68', '', 'II68', ''),
	('LL64', 'small_airport', 'Ralph E. Daniels Airport', 41.199501037597656, -89.39450073242188, 457, 'US', 'US-IL', 'Putnam', 'no', 'LL64', '', 'LL64', ''),
	('LL40', 'closed', 'Frankfort Airport', 41.477501, -87.8405, 778, 'US', 'US-IL', 'Frankfort', 'no', '', '', '', 'LL40, C18'),
	('IS62', 'small_airport', 'John D Rennick Airport', 40.8672981262207, -89.4531021118164, 450, 'US', 'US-IL', 'Spring Bay', 'no', 'IS62', '', 'IS62', ''),
	('2IL2', 'small_airport', 'Watters Airport', 41.055176, -88.462375, 660, 'US', 'US-IL', 'Dwight', 'no', '2IL2', '', '2IL2', ''),
	('6LL8', 'closed', 'Songwood Inn Airport', 40.792301, -87.725304, 629, 'US', 'US-IL', 'Watseka', 'no', '', '', '', '6LL8'),
	('37IL', 'small_airport', 'Minder Airport', 40.133399963378906, -89.32510375976563, 600, 'US', 'US-IL', 'Lincoln', 'no', '37IL', '', '37IL', ''),
	('4II3', 'small_airport', 'Oleo Airport', 39.73640060424805, -86.72969818115234, 870, 'US', 'US-IN', 'Fillmore', 'no', '4II3', '', '4II3', ''),
	('45II', 'small_airport', 'Cummings Field', 41.63370132446289, -86.58589935302734, 800, 'US', 'US-IN', 'Rolling Prairie', 'no', '45II', '', '45II', ''),
	('KMDW', 'large_airport', 'Chicago Midway International Airport', 41.785999, -87.752403, 620, 'US', 'US-IL', 'Chicago', 'yes', 'KMDW', 'MDW', 'MDW', 'CHI'),
	('30MI', 'small_airport', 'Wolverton''s Field', 41.859142, -86.327219, 750, 'US', 'US-MI', 'Buchanan', 'no', '30MI', '', '30MI', ''),
	('5II5', 'closed', 'Mumford Farms Airport', 39.9478, -86.732803, 870, 'US', 'US-IN', 'New Ross', 'no', '', '', '', '5II5'),
	('KMOY', 'N/A', 'N/A', 39.51731197535992, -89.48055759072304, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOGL', 'N/A', 'N/A', 41.186548210680485, -89.08558711409569, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3IL2', 'small_airport', 'Sweedler Airport', 41.41230010986328, -88.04869842529297, 669, 'US', 'US-IL', 'Elwood', 'no', '3IL2', '', '3IL2', ''),
	('IL10', 'heliport', 'Pinckneyville Community Hospital Heliport', 38.084752, -89.348263, 420, 'US', 'US-IL', 'Pinckneyville', 'no', 'IL10', '', 'IL10', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('2IS5', 'closed', 'Parrish RLA Restricted Landing Area', 40.952301, -89.407896, 640, 'US', 'US-IL', 'Lacon', 'no', '', '', '', '2IS5'),
	('IN70', 'small_airport', 'Bodin Airport', 41.63359832763672, -87.0270004272461, 675, 'US', 'US-IN', 'Chesterton', 'no', 'IN70', '', 'IN70', ''),
	('KSBN', 'medium_airport', 'South Bend Regional Airport', 41.708698, -86.317299, 799, 'US', 'US-IN', 'South Bend', 'yes', 'KSBN', 'SBN', 'SBN', ''),
	('KGII', 'N/A', 'N/A', 39.4433668255806, -89.70497354865074, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2H0', 'small_airport', 'Shelby County Airport', 39.410400390599996, -88.8453979492, 618, 'US', 'US-IL', 'Shelbyville', 'no', '2H0', '', '2H0', ''),
	('99II', 'small_airport', 'Cooper Field', 39.5835, -86.952527, 880, 'US', 'US-IN', 'Reelsville', 'no', '99II', '', '99II', ''),
	('IL57', 'small_airport', 'Cottonwood Airport', 40.422000885009766, -89.02059936523438, 765, 'US', 'US-IL', 'Bloomington', 'no', 'IL57', '', 'IL57', ''),
	('86IL', 'closed', 'Sharp Airport', 39.681653, -88.765723, 674, 'US', 'US-IL', 'Bethany', 'no', '', '', '', '86IL'),
	('KSHC', 'N/A', 'N/A', 40.20840156823397, -87.04908952116966, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1IS5', 'small_airport', 'Walder''s Farm Airport', 41.653099060058594, -89.00150299072266, 900, 'US', 'US-IL', 'Paw Paw', 'no', '1IS5', '', '1IS5', ''),
	('3IS7', 'small_airport', 'Foote Airport', 41.086700439453125, -89.09590148925781, 650, 'US', 'US-IL', 'Wenona', 'no', '3IS7', '', '3IS7', ''),
	('42II', 'closed', 'Norm''s Airpark', 41.684502, -86.767799, 740, 'US', 'US-IN', 'La Porte', 'no', '', '', '', '42II'),
	('9IL4', 'small_airport', 'Thompson Airport', 41.80720138549805, -89.04810333251953, 790, 'US', 'US-IL', 'Steward', 'no', '9IL4', '', '9IL4', ''),
	('IL97', 'small_airport', 'Springfield Southwest Airpark', 39.736999511719, -89.809799194336, 635, 'US', 'US-IL', 'New Berlin', 'no', '', '', 'IL97', 'IL97'),
	('C98', 'small_airport', 'Lake Village Airport', 41.148114, -87.459925, 644, 'US', 'US-IN', 'Lake Village', 'no', 'KC98', '', 'C98', ''),
	('II90', 'small_airport', 'Crawford Field', 41.199798583984375, -86.8364028930664, 705, 'US', 'US-IN', 'North Judson', 'no', 'II90', '', 'II90', ''),
	('5K1', 'small_airport', 'Zelmer Memorial Airpark Inc Airport', 39.419998, -89.991203, 663, 'US', 'US-IL', 'Palmyra', 'no', 'K5K1', '', '5K1', ''),
	('II29', 'closed', 'Owens Field', 39.610901, -86.756104, 840, 'US', 'US-IN', 'Greencastle', 'no', '', '', '', 'II29'),
	('IS86', 'small_airport', 'Hendrix Airport', 41.04169845581055, -88.19170379638672, 656, 'US', 'US-IL', 'Buckingham', 'no', 'IS86', '', 'IS86', ''),
	('8IL3', 'small_airport', 'Butler Hill Restricted Landing Area', 41.738098, -89.162498, 765, 'US', 'US-IL', 'West Brooklyn', 'no', '8IL3', '', '8IL3', ''),
	('KSQI', 'small_airport', 'Whiteside County Airport - Joseph H Bittorf Field', 41.742175, -89.673629, 648, 'US', 'US-IL', 'Rock Falls', 'no', 'KSQI', 'SQI', 'SQI', 'Sauk Valley Aviation'),
	('KCEO', 'N/A', 'N/A', 39.866836331784725, -88.71242165565491, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9IN6', 'small_airport', 'Garrard Airport', 39.84080123901367, -87.33940124511719, 550, 'US', 'US-IN', 'Montezuma', 'no', '9IN6', '', '9IN6', ''),
	('KMOZ', 'N/A', 'N/A', 41.847492791712284, -89.95154097676277, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('16II', 'closed', 'Harrington Field', 41.182014, -86.932626, 710, 'US', 'US-IN', 'San Pierre', 'no', '', '', '', '16II'),
	('78I', 'small_airport', 'Pam''s Place Airport', 39.500801, -86.691902, 795, 'US', 'US-IN', 'Cloverdale', 'no', 'K78I', '', '78I', '5II0'),
	('IL95', 'small_airport', 'Corn Field', 41.22309875488281, -88.14530181884766, 585, 'US', 'US-IL', 'Custer Park', 'no', 'IL95', '', 'IL95', ''),
	('II12', 'small_airport', 'Dague Strip', 40.964500427246094, -86.37190246582031, 790, 'US', 'US-IN', 'Grass Creek', 'no', 'II12', '', 'II12', ''),
	('KCHX', 'N/A', 'N/A', 39.644898287951946, -87.95786753296852, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPRG', 'small_airport', 'Edgar County Airport', 39.700199, -87.669601, 654, 'US', 'US-IL', 'Paris', 'no', 'KPRG', '', 'PRG', ''),
	('84IL', 'closed', 'Rossi''s Farm Airport', 41.507, -88.277802, 580, 'US', 'US-IL', 'Minooka', 'no', '', '', '', '84IL'),
	('8IS7', 'N/A', 'N/A', 41.64098214358091, -88.83286044001579, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LL39', 'small_airport', 'Curanda Airport', 41.25749969482422, -88.47779846191406, 620, 'US', 'US-IL', 'Morris', 'no', 'LL39', '', 'LL39', ''),
	('8IS5', 'small_airport', 'Raymond Classen Memorial Airport', 40.814178, -87.98813, 650, 'US', 'US-IL', 'Danforth', 'no', '8IS5', '', '8IS5', 'Classen Field Restricted Landing Area'),
	('2K0', 'closed', 'Piatt County Airport', 40.005299, -88.558601, 740, 'US', 'US-IL', 'Monticello', 'no', '', '', '', '2K0'),
	('20II', 'small_airport', 'Kay Air Airport', 39.58720016479492, -86.27559661865234, 651, 'US', 'US-IN', 'Mooresville', 'no', '20II', '', '20II', ''),
	('0IS3', 'small_airport', 'Cady Aerial Restricted Landing Area', 41.660089, -89.694443, 630, 'US', 'US-IL', 'Rock Falls', 'no', '0IS3', '', '0IS3', ''),
	('KIND', 'large_airport', 'Indianapolis International Airport', 39.7173, -86.294403, 797, 'US', 'US-IN', 'Indianapolis', 'yes', 'KIND', 'IND', 'IND', ''),
	('KVID', 'N/A', 'N/A', 39.496774300932884, -89.78600308299065, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IN00', 'small_airport', 'Sutton Airport', 40.5452995300293, -87.05220031738281, 740, 'US', 'US-IN', 'Montmorenci', 'no', 'IN00', '', 'IN00', ''),
	('0II5', 'small_airport', 'Marshall Field', 40.65950012207031, -86.8572006225586, 705, 'US', 'US-IN', 'Chalmers', 'no', '0II5', '', '0II5', ''),
	('37IN', 'small_airport', 'Felix Airport', 40.29169845581055, -86.7802963256836, 750, 'US', 'US-IN', 'Stockwell', 'no', '37IN', '', '37IN', ''),
	('8N2', 'small_airport', 'Skydive Chicago Airport', 41.399799, -88.7939, 616, 'US', 'US-IL', 'Ottawa', 'no', '', '', '8N2', ''),
	('41IG', 'small_airport', 'Parker Field', 39.972549, -86.997578, 780, 'US', 'US-IN', 'Crawfordsville', 'no', '41IG', '', '41IG', ''),
	('0C2', 'small_airport', 'Hinckley Airport', 41.770901, -88.7034, 760, 'US', 'US-IL', 'Hinckley', 'no', '0C2', '', '0C2', ''),
	('59IL', 'small_airport', 'Ruder Airport', 41.92580032348633, -88.64640045166016, 855, 'US', 'US-IL', 'Maple Park', 'no', '59IL', '', '59IL', ''),
	('MI68', 'small_airport', 'Baroda Airport', 41.937658, -86.501563, 645, 'US', 'US-MI', 'Baroda', 'no', 'MI68', '', 'MI68', 'Del Hickcox Airport'),
	('1LL8', 'small_airport', 'Zoomer Field', 40.788654, -87.559361, 680, 'US', 'US-IL', 'Sheldon', 'no', '1LL8', '', '1LL8', ''),
	('KPRH', 'N/A', 'N/A', 41.70285902917385, -89.83798071742058, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9IS9', 'small_airport', 'Johnston Airport', 40.3344993591, -88.9553985596, 785, 'US', 'US-IL', 'Heyworth', 'no', '9IS9', '', '9IS9', 'Lytleville Orchard Airport'),
	('3IS8', 'small_airport', 'Rinkenberger Restricted Landing Area', 41.230899810800004, -89.61569976810001, 808, 'US', 'US-IL', 'Bradford', 'no', '3IS8', 'BDF', '3IS8', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('08LL', 'small_airport', 'Sauer Airport', 41.074423, -88.488693, 665, 'US', 'US-IL', 'Dwight', 'no', '08LL', '', '08LL', ''),
	('5IS4', 'small_airport', 'Corman Acres Airport', 39.7661018371582, -88.77950286865234, 710, 'US', 'US-IL', 'Lake City', 'no', '5IS4', '', '5IS4', ''),
	('IL45', 'closed', 'Busboom Airport', 40.3111, -88.015297, 780, 'US', 'US-IL', 'Gifford', 'no', '', '', '', 'IL45'),
	('1IS2', 'small_airport', 'Triple Creek Airport', 39.896400451660156, -88.52230072021484, 666, 'US', 'US-IL', 'Bement', 'no', '1IS2', '', '1IS2', ''),
	('II09', 'small_airport', 'Patrum Field', 39.573113, -86.618671, 760, 'US', 'US-IN', 'Stilesville', 'no', 'II09', '', 'II09', ''),
	('KEAH', 'N/A', 'N/A', 41.75418343394995, -88.94174918532372, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3KK', 'small_airport', 'Kankakee Airport', 41.096431, -87.909594, 625, 'US', 'US-IL', 'Kankakee', 'no', '', '', '3KK', ''),
	('II35', 'small_airport', 'Lindley Private Airport', 39.80870056152344, -86.49559783935547, 925, 'US', 'US-IN', 'Danville', 'no', 'II35', '', 'II35', ''),
	('1I9', 'small_airport', 'Delphi Municipal Airport', 40.542801, -86.681702, 675, 'US', 'US-IN', 'Delphi', 'no', '1I9', '', '1I9', ''),
	('4LL8', 'small_airport', 'Colonial Acres Airport', 41.999315, -88.648585, 840, 'US', 'US-IL', 'Sycamore', 'no', '4LL8', '', '4LL8', ''),
	('IS59', 'small_airport', 'Rotstein Airport', 42.1338996887207, -88.92420196533203, 760, 'US', 'US-IL', 'Kirkland', 'no', 'IS59', '', 'IS59', ''),
	('KUAD', 'N/A', 'N/A', 40.19029296934605, -88.07215735316277, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2IS8', 'N/A', 'N/A', 39.65397287160158, -89.91507768630981, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTWW', 'N/A', 'N/A', 40.54730135947466, -89.1047877073288, 247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4IS1', 'closed', 'Kamm Airport', 39.773102, -88.4487, 672, 'US', 'US-IL', 'Atwood', 'no', '', '', '', '4IS1'),
	('6IS8', 'small_airport', 'Trisler Airport', 39.989498138427734, -87.9052963256836, 672, 'US', 'US-IL', 'Homer', 'no', '6IS8', '', '6IS8', ''),
	('II87', 'small_airport', 'Twelve Oaks Airport', 39.45140075683594, -86.32830047607422, 715, 'US', 'US-IN', 'Martinsville', 'no', 'II87', '', 'II87', ''),
	('LL98', 'small_airport', 'John W Meils Restricted Landing Area', 40.943805, -89.108526, 705, 'US', 'US-IL', 'Toluca', 'no', 'LL98', '', 'LL98', ''),
	('KTAZ', 'small_airport', 'Taylorville Municipal Airport', 39.534199, -89.327797, 622, 'US', 'US-IL', 'Taylorville', 'no', 'KTAZ', '', 'TAZ', ''),
	('IL07', 'small_airport', 'Taylor Airport', 41.72359848022461, -89.29180145263672, 760, 'US', 'US-IL', 'Amboy', 'no', 'IL07', '', 'IL07', ''),
	('01H', 'seaplane_base', 'Lake Maxinkuckee Seaplane Base', 41.206112, -86.404442, 733, 'US', 'US-IN', 'Culver', 'no', 'K01H', '', '01H', 'IG22'),
	('88IL', 'closed', 'Mary''s Landing Airport', 42.413102, -88.733299, 910, 'US', 'US-IL', 'Capron', 'no', '', '', '', '88IL'),
	('KQAB', 'N/A', 'N/A', 41.69384378939867, -87.85863563418388, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3IN7', 'small_airport', 'Chain-O-Lakes Airport', 41.661243, -86.353183, 743, 'US', 'US-IN', 'South Bend', 'no', '3IN7', '', '3IN7', ''),
	('86IS', 'small_airport', 'Michael Pfister Airport', 40.77939987182617, -89.25779724121094, 805, 'US', 'US-IL', 'Roanoke', 'no', '86IS', '', '86IS', ''),
	('0IS4', 'closed', 'Dawson Farms Airport', 39.764081, -88.671212, 670, 'US', 'US-IL', 'Lovington', 'no', '', '', '', '0IS4'),
	('65IS', 'small_airport', 'Frings Airport', 41.02389907836914, -88.98370361328125, 675, 'US', 'US-IL', 'Leeds', 'no', '65IS', '', '65IS', ''),
	('C20', 'small_airport', 'Andrews University Airpark', 41.951698, -86.367699, 668, 'US', 'US-MI', 'Berrien Springs', 'no', 'KC20', '', 'C20', ''),
	('IS54', 'small_airport', 'Mc Christy Airport', 39.6431007385, -89.14450073239999, 630, 'US', 'US-IL', 'Stonington', 'no', 'IS54', '', 'IS54', ''),
	('KFKR', 'small_airport', 'Frankfort Clinton County Regional Airport', 40.273399, -86.562202, 861, 'US', 'US-IN', 'Frankfort', 'no', 'KFKR', '', 'FKR', 'Frankfort Municipal'),
	('7IL0', 'small_airport', 'Mussman Airport', 41.27090072631836, -87.57779693603516, 705, 'US', 'US-IL', 'Grant Park', 'no', '7IL0', '', '7IL0', ''),
	('39IS', 'closed', 'Hagi Landing Area Airport', 41.110001, -88.795601, 620, 'US', 'US-IL', 'Streator', 'no', '', '', '', '39IS'),
	('38IN', 'small_airport', 'Fuller Field', 39.902000427246094, -86.36309814453125, 910, 'US', 'US-IN', 'Brownsburg', 'no', '38IN', '', '38IN', ''),
	('KTIP', 'small_airport', 'Rantoul National Aviation Center - Frank Elliot field', 40.293598, -88.142403, 737, 'US', 'US-IL', 'Rantoul', 'no', 'KTIP', '', 'TIP', 'Chanute Air Force Base, Chanute Field'),
	('50I', 'small_airport', 'Kentland Municipal Airport', 40.758733, -87.429457, 698, 'US', 'US-IN', 'Kentland', 'no', 'K50I', 'KKT', '50I', ''),
	('77II', 'N/A', 'N/A', 40.72003897279501, -86.61611661314964, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IL59', 'small_airport', 'Chicago Glider Club Gliderport', 41.43199921, -88.24729919, 590, 'US', 'US-IL', 'Channahon', 'no', 'IL59', '', 'IL59', ''),
	('46IS', 'N/A', 'N/A', 41.18565805256367, -87.90103286504745, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IN90', 'small_airport', 'Wietbrock Airport', 41.25979995727539, -87.48139953613281, 695, 'US', 'US-IN', 'Lowell', 'no', 'IN90', '', 'IN90', ''),
	('1II5', 'small_airport', 'Van De Mark Airport', 41.246644, -86.502614, 730, 'US', 'US-IN', 'Culver', 'no', '1II5', '', '1II5', ''),
	('7LL7', 'small_airport', 'Delhotal Airport', 41.73682, -89.175941, 760, 'US', 'US-IL', 'West Brooklyn', 'no', '7LL7', '', '7LL7', ''),
	('LL54', 'small_airport', 'Dunn Airport', 41.719398498535156, -89.02999877929688, 850, 'US', 'US-IL', 'Paw Paw', 'no', 'LL54', '', 'LL54', ''),
	('II52', 'small_airport', 'Haffner Airport', 39.877498626708984, -86.52780151367188, 960, 'US', 'US-IN', 'Lizton', 'no', 'II52', '', 'II52', ''),
	('40LL', 'heliport', 'Kirby Medical Center Heliport', 40.059988, -88.560035, 673, 'US', 'US-IL', 'Monticello', 'no', '40LL', '', '40LL', ''),
	('19IN', 'closed', 'Clark Airport', 40.1945, -86.523102, 880, 'US', 'US-IN', 'Frankfort', 'no', '', '', '', '19IN'),
	('55LL', 'small_airport', 'Sky Soaring Airport', 42.15420150756836, -88.5114974975586, 884, 'US', 'US-IL', 'Union', 'no', '55LL', '', '55LL', ''),
	('38II', 'small_airport', 'Hampton Field', 39.72861, -86.822484, 895, 'US', 'US-IN', 'Greencastle', 'no', '38II', '', '38II', ''),
	('1LL0', 'small_airport', 'Boondox Field', 41.329200744628906, -88.60009765625, 625, 'US', 'US-IL', 'Seneca', 'no', '1LL0', '', '1LL0', ''),
	('1IL8', 'small_airport', 'Loy Airport', 40.93199920654297, -87.59590148925781, 665, 'US', 'US-IL', 'Donovan', 'no', '1IL8', '', '1IL8', ''),
	('5IL8', 'closed', 'Tollway Heliport', 41.8051, -88.052478, 736, 'US', 'US-IL', 'Downers Grove', 'no', '', '', '', '5IL8'),
	('IL24', 'small_airport', 'Richardson Airport', 39.70750045776367, -89.88310241699219, 653, 'US', 'US-IL', 'New Berlin', 'no', 'IL24', '', 'IL24', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('IL39', 'small_airport', 'Perry RLA Airport', 39.480255, -87.8445778, 691, 'US', 'US-IL', 'Kansas', 'no', 'IL39', '', 'IL39', ''),
	('1IN1', 'small_airport', 'Shearer STOLport', 39.488399505615234, -86.6530990600586, 750, 'US', 'US-IN', 'Lewisville', 'no', '1IN1', '', '1IN1', ''),
	('C73', 'small_airport', 'Dixon Municipal Charles R. Walgreen Field', 41.833875, -89.443967, 785, 'US', 'US-IL', 'Dixon', 'no', 'KC73', '', 'C73', ''),
	('IL93', 'small_airport', 'Hendrickson Flying Service Airport', 41.9453010559082, -88.92400360107422, 889, 'US', 'US-IL', 'Creston', 'no', 'IL93', '', 'IL93', ''),
	('KARR', 'small_airport', 'Aurora Municipal Airport', 41.771900177, -88.47570037839999, 712, 'US', 'US-IL', 'Chicago/Aurora', 'no', 'KARR', 'AUZ', 'ARR', ''),
	('KHEO', 'N/A', 'N/A', 40.989042073488235, -88.1093019247055, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0IN3', 'closed', 'Graves Landing Strip', 41.113035, -86.664963, 704, 'US', 'US-IN', 'Winamac', 'no', '', '', '', '0IN3'),
	('1IL9', 'small_airport', 'Holland Field', 40.30059814453125, -89.12439727783203, 715, 'US', 'US-IL', 'Mc Lean', 'no', '1IL9', '', '1IL9', ''),
	('01L', 'seaplane_base', 'Bass Lake Seaplane Base', 41.228889, -86.581667, 713, 'US', 'US-IN', 'Winona', 'no', '01L', '', '01L', '81IN'),
	('0II9', 'small_airport', 'Winters Airport', 39.532612, -86.576729, 755, 'US', 'US-IN', 'Martinsville', 'no', '0II9', '', '0II9', ''),
	('70LL', 'small_airport', 'Adams Restricted Landing Area Number 1', 40.936926, -88.753739, 640, 'US', 'US-IL', 'Pontiac', 'no', '70LL', '', '70LL', ''),
	('89LL', 'small_airport', 'Norman Airport', 41.3583984375, -87.7249984741211, 750, 'US', 'US-IL', 'Peotone', 'no', '89LL', '', '89LL', ''),
	('4II4', 'closed', 'Chesak Airport', 41.2556, -86.788101, 670, 'US', 'US-IN', 'North Judson', 'no', '', '', '', '4II4'),
	('62IS', 'small_airport', 'Wilson Airport', 40.087501525878906, -87.90750122070313, 670, 'US', 'US-IL', 'Fithian', 'no', '62IS', '', '62IS', ''),
	('7LL4', 'small_airport', 'Bakers Strip', 40.1172981262207, -88.75900268554688, 715, 'US', 'US-IL', 'Weldon', 'no', '7LL4', '', '7LL4', ''),
	('KFOJ', 'N/A', 'N/A', 40.78192424029112, -88.38757574558258, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('52IL', 'small_airport', 'Hasselbring Airport', 40.410301208496094, -88.06490325927734, 800, 'US', 'US-IL', 'Paxton', 'no', '52IL', '', '52IL', ''),
	('IS02', 'small_airport', 'Dietchweiler Airport', 40.7784, -87.791702, 640, 'US', 'US-IL', 'Watseka', 'no', 'IS02', '', 'IS02', ''),
	('C65', 'small_airport', 'Plymouth Municipal Airport', 41.365100860596, -86.300498962402, 800, 'US', 'US-IN', 'Plymouth', 'no', 'C65', 'PLY', 'C65', ''),
	('KHOF', 'N/A', 'N/A', 40.48396535217762, -87.76863500475883, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9IS5', 'small_airport', 'J & Y Ultralightport', 41.85810089111328, -89.40730285644531, 786, 'US', 'US-IL', 'Dixon', 'no', '9IS5', '', '9IS5', ''),
	('KDPA', 'medium_airport', 'Dupage Airport', 41.90779877, -88.24859619, 759, 'US', 'US-IL', 'Chicago/West Chicago', 'no', 'KDPA', 'DPA', 'DPA', ''),
	('IS00', 'small_airport', 'Jay Schertz Farm Airport', 40.84170150756836, -89.27449798583984, 780, 'US', 'US-IL', 'Lowpoint', 'no', 'IS00', '', 'IS00', ''),
	('4LL0', 'small_airport', 'Ranken Airport', 41.835899353027344, -89.09339904785156, 785, 'US', 'US-IL', 'Steward', 'no', '4LL0', '', '4LL0', ''),
	('85IN', 'small_airport', 'Leak Airport', 40.43389892578125, -87.50499725341797, 720, 'US', 'US-IN', 'Tab', 'no', '85IN', '', '85IN', ''),
	('C56', 'small_airport', 'Bult Field', 41.377601623535156, -87.681396484375, 790, 'US', 'US-IL', 'Monee', 'no', 'C56', '', 'C56', ''),
	('KBMI', 'medium_airport', 'Central Illinois Regional Airport at Bloomington-Normal', 40.4771, -88.915901, 871, 'US', 'US-IL', 'Bloomington/Normal', 'yes', 'KBMI', 'BMI', 'BMI', ''),
	('81IL', 'small_airport', 'Illinois Valley Parachute Club Airport', 40.433943, -89.356585, 646, 'US', 'US-IL', 'Minier', 'no', '81IL', '', '81IL', ''),
	('KCHV', 'N/A', 'N/A', 39.86842419952154, -87.58329257369041, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('50II', 'small_airport', 'Way West Airport', 39.773432, -86.754855, 890, 'US', 'US-IN', 'Bainbridge', 'no', '50II', '', '50II', ''),
	('62IL', 'small_airport', 'Ferris Field', 42.186005, -88.604037, 841, 'US', 'US-IL', 'Marengo', 'no', '62IL', '', '62IL', 'Kessler'),
	('9IL9', 'heliport', 'Silver Cross Hospital Heliport', 41.545597, -87.981986, 717, 'US', 'US-IL', 'New Lenox', 'no', '9IL9', '', '9IL9', ''),
	('IL60', 'closed', 'Chatsworth Restricted Landing Area', 40.743099, -88.291198, 742, 'US', 'US-IL', 'Chatsworth', 'no', '', '', '', 'IL60'),
	('4IL9', 'small_airport', 'Unzicker Airport', 40.82749938964844, -89.12079620361328, 745, 'US', 'US-IL', 'Benson', 'no', '4IL9', '', '4IL9', ''),
	('II22', 'closed', 'Antonian Airport', 41.102001, -86.932198, 695, 'US', 'US-IN', 'Medaryville', 'no', '', '', '', 'II22'),
	('1IS3', 'small_airport', 'Cribbet Airport', 39.69556, -89.05953, 620, 'US', 'US-IL', 'Blue Mound', 'no', '1IS3', '', '1IS3', ''),
	('55IS', 'closed', 'Glatthaar Airport', 39.525002, -87.8059, 765, 'US', 'US-IL', 'Grandview', 'no', '', '', '', '55IS'),
	('C82', 'small_airport', 'Bresson Airport', 41.76250076293945, -89.10150146484375, 769, 'US', 'US-IL', 'Compton', 'no', 'C82', '', 'C82', ''),
	('06C', 'small_airport', 'Schaumburg Regional Airport', 41.9892997742, -88.1011962891, 801, 'US', 'US-IL', 'Chicago/Schaumburg', 'no', '06C', '', '06C', 'EIT'),
	('IL29', 'closed', 'Von Alvens Airview Airport', 41.300475, -87.654634, 715, 'US', 'US-IL', 'Beecher', 'no', '', '', '', 'IL29'),
	('IG05', 'small_airport', 'Wheeler Airport', 41.189763, -86.606956, 720, 'US', 'US-IN', 'Knox', 'no', 'IG05', '', 'IG05', ''),
	('56IS', 'small_airport', 'Liannimal''s Landing', 40.243215, -88.083991, 690, 'US', 'US-IL', 'Thomasboro', 'no', '56IS', '', '56IS', 'Rash, Schmidt, CU Skydiving'),
	('5LL8', 'small_airport', 'Hugh Van Voorst Airport', 41.112300872802734, -88.14009857177734, 617, 'US', 'US-IL', 'Union Hill', 'no', '5LL8', '', '5LL8', ''),
	('87IN', 'small_airport', 'May''s Strip', 41.452999114990234, -86.4697036743164, 715, 'US', 'US-IN', 'Walkerton', 'no', '87IN', '', '87IN', ''),
	('KSAR', 'small_airport', 'Sparta Community Airport - Hunter Field', 38.148899, -89.6987, 538, 'US', 'US-IL', 'Sparta', 'no', 'KSAR', 'SAR', 'SAR', ''),
	('95IL', 'small_airport', 'Henderson Airport', 37.48516, -88.40003, 485, 'US', 'US-IL', 'Golconda', 'no', '95IL', '', '95IL', 'Rosiclare, Stone RLA'),
	('4KY0', 'closed', 'J & C Antique Airfield', 36.762352, -88.376716, 540, 'US', 'US-KY', 'Hardin', 'no', '', '', '', '4KY0'),
	('3LL6', 'small_airport', 'Bickel Airport', 38.335, -89.769722, 530, 'US', 'US-IL', 'Lenzburg', 'no', '3LL6', '', '3LL6', ''),
	('1M9', 'small_airport', 'Lake Barkley State Park Airport', 36.8177986145, -87.90750122070001, 570, 'US', 'US-KY', 'Cadiz', 'no', '1M9', '', '1M9', ''),
	('24KY', 'small_airport', 'Williams Farm Airport', 37.21670150756836, -87.43060302734375, 415, 'US', 'US-KY', 'Mortons Gap', 'no', '24KY', '', '24KY', ''),
	('H07', 'small_airport', 'Highland-Winet Airport', 38.779301, -89.640404, 537, 'US', 'US-IL', 'Highland', 'no', 'H07', '', 'H07', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('43IN', 'small_airport', 'Hepler Airport', 38.13750076293945, -87.67639923095703, 460, 'US', 'US-IN', 'St Wendel', 'no', '43IN', '', '43IN', ''),
	('12LL', 'closed', 'Lambdins Field', 37.540298, -89.486198, 350, 'US', 'US-IL', 'Wolf Lake', 'no', '', '', '', '12LL'),
	('6LL0', 'small_airport', 'Williamson Airport', 39.31890106201172, -88.42500305175781, 664, 'US', 'US-IL', 'Neoga', 'no', '6LL0', '', '6LL0', ''),
	('1H8', 'small_airport', 'Casey Municipal Airport', 39.302502, -88.004097, 654, 'US', 'US-IL', 'Casey', 'no', 'K1H8', '', '1H8', ''),
	('07I', 'seaplane_base', 'Lake Monroe Seaplane Base', 39.05870056152344, -86.44609832763672, 538, 'US', 'US-IN', 'Bloomington', 'no', '07I', '', '07I', ''),
	('KMWA', 'medium_airport', 'Veterans Airport of Southern Illinois', 37.751208, -89.016568, 472, 'US', 'US-IL', 'Marion', 'yes', 'KMWA', 'MWA', 'MWA', 'Williamson County Regional Airport'),
	('7IS7', 'small_airport', 'Hammock Field', 38.914077, -89.669809, 595, 'US', 'US-IL', 'Leef Township', 'no', '7IS7', '', '7IS7', ''),
	('0KY5', 'small_airport', 'Boyce Wafer Farm Airport', 36.812346, -86.377427, 600, 'US', 'US-KY', 'Alvaton', 'no', '', '', '0KY5', 'Falin Landing Strip'),
	('IS24', 'small_airport', 'Harris Airport', 39.077778, -89.081667, 551, 'US', 'US-IL', 'Ramsey', 'no', 'IS24', '', 'IS24', ''),
	('1IS0', 'small_airport', 'Harold Emmerich Airport', 38.524200439453125, -89.93229675292969, 515, 'US', 'US-IL', 'Belleville', 'no', '1IS0', '', '1IS0', ''),
	('99IL', 'small_airport', 'Providence Place Field', 42.28670120239258, -89.9574966430664, 959, 'US', 'US-IL', 'Stockton', 'no', '99IL', '', '99IL', ''),
	('KMAW', 'small_airport', 'Malden Regional Airport', 36.6006012, -89.99220276, 294, 'US', 'US-MO', 'Malden', 'no', 'KMAW', 'MAW', 'MAW', 'Malden Airbase'),
	('0IL2', 'small_airport', 'Griffin Airport', 38.803056, -88.997778, 541, 'US', 'US-IL', 'Alma', 'no', '0IL2', '', '0IL2', ''),
	('KHVC', 'small_airport', 'Hopkinsville Christian County Airport', 36.856998, -87.455101, 564, 'US', 'US-KY', 'Hopkinsville', 'no', 'KHVC', '', 'HVC', ''),
	('92IL', 'closed', 'Hunter Raffety Elevators Inc Airport', 37.04037, -89.32399, 323, 'US', 'US-IL', 'Cairo', 'no', '', '', '', '92IL'),
	('KBWG', 'medium_airport', 'Bowling Green Warren County Regional Airport', 36.964500427199994, -86.41970062259999, 547, 'US', 'US-KY', 'Bowling Green', 'no', 'KBWG', 'BWG', 'BWG', ''),
	('96KY', 'small_airport', 'Woosley Field Airport', 37.552652, -87.272544, 465, 'US', 'US-KY', 'Calhoun', 'no', '96KY', '', '96KY', 'KY96, A&L, A and L'),
	('KRAY', 'N/A', 'N/A', 39.366599321365356, -89.55546721816063, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4IL4', 'small_airport', 'Kuebler Airport', 39.0564, -88.816101, 620, 'US', 'US-IL', 'St Elmo', 'no', '4IL4', '', '4IL4', 'Kuebler Restricted Landing Area'),
	('KCEY', 'small_airport', 'Murray-Calloway County Airport Kyle-Oakley Field', 36.6646, -88.372803, 577, 'US', 'US-KY', 'Murray', 'no', 'KCEY', 'CEY', 'CEY', 'Murray Calloway County Airport'),
	('1IN5', 'small_airport', 'Bottoms Brothers Airport', 38.2848014831543, -87.38200378417969, 545, 'US', 'US-IN', 'Somerville', 'no', '1IN5', '', '1IN5', ''),
	('KCHQ', 'small_airport', 'Mississippi County Airport', 36.842098, -89.359703, 313, 'US', 'US-MO', 'Charleston', 'no', 'KCHQ', '', 'CHQ', ''),
	('LL13', 'small_airport', 'Stoney Real Estate Airport', 38.04859924316406, -88.30059814453125, 460, 'US', 'US-IL', 'Enfield', 'no', 'LL13', '', 'LL13', ''),
	('9IN7', 'small_airport', 'Zupancic Field', 39.354771, -86.307371, 660, 'US', 'US-IN', 'Morgantown', 'no', '9IN7', '', '9IN7', ''),
	('09II', 'small_airport', 'Gibbons Field', 38.44729995727539, -86.44499969482422, 880, 'US', 'US-IN', 'Valeene', 'no', '09II', '', '09II', ''),
	('18LL', 'N/A', 'N/A', 38.5605975240469, -89.34245601296425, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBEP', 'N/A', 'N/A', 37.99773797392845, -88.81688609719276, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4KY4', 'small_airport', 'Moseley Field', 37.592498779296875, -87.28109741210938, 395, 'US', 'US-KY', 'Calhoun', 'no', '4KY4', '', '4KY4', ''),
	('74KY', 'small_airport', 'Terry Field', 36.89870071411133, -88.8467025756836, 370, 'US', 'US-KY', 'Cunningham', 'no', '74KY', '', '74KY', ''),
	('34KY', 'small_airport', 'Lone Pine Aerodrome', 36.912498474121094, -86.78279876708984, 720, 'US', 'US-KY', 'Auburn', 'no', '34KY', '', '34KY', ''),
	('IN36', 'small_airport', 'Plugger Airport', 38.03559875488281, -87.7240982055664, 426, 'US', 'US-IN', 'Evansville', 'no', 'IN36', '', 'IN36', ''),
	('M30', 'small_airport', 'Metropolis Municipal Airport', 37.182382, -88.750688, 384, 'US', 'US-IL', 'Metropolis', 'no', 'KM30', '', 'M30', ''),
	('8IS1', 'small_airport', 'Nelson Airport', 39.308265, -89.99289, 615, 'US', 'US-IL', 'Carlinville', 'no', '8IS1', '', '8IS1', ''),
	('6LL4', 'small_airport', 'Wildy Field', 38.266855, -89.89352, 450, 'US', 'US-IL', 'New Athens', 'no', '6LL4', '', '6LL4', ''),
	('3TN9', 'small_airport', 'Holenthawall Airport', 36.61330032348633, -86.810302734375, 645, 'US', 'US-TN', 'Springfield', 'no', '3TN9', '', '3TN9', ''),
	('KSIK', 'small_airport', 'Sikeston Memorial Municipal Airport', 36.898899078369, -89.561798095703, 315, 'US', 'US-MO', 'Sikeston', 'no', 'KSIK', 'SIK', 'SIK', ''),
	('49IN', 'small_airport', 'Drake Airport', 39.131699, -87.382004, 500, 'US', 'US-IN', 'Sullivan', 'no', '49IN', '', '49IN', ''),
	('KEHR', 'small_airport', 'Henderson City County Airport', 37.8078, -87.685699, 387, 'US', 'US-KY', 'Henderson', 'no', 'KEHR', '', 'EHR', ''),
	('LL45', 'small_airport', 'Lindell Loveless Airport', 39.18230056762695, -89.8218002319336, 657, 'US', 'US-IL', 'Gillespie', 'no', 'LL45', '', 'LL45', ''),
	('83LL', 'small_airport', 'Lindauer Airport', 38.3036003112793, -89.8551025390625, 437, 'US', 'US-IL', 'New Athens', 'no', '83LL', '', '83LL', ''),
	('KHSB', 'small_airport', 'Harrisburg-Raleigh Airport', 37.811298, -88.550301, 398, 'US', 'US-IL', 'Harrisburg', 'no', 'KHSB', 'HSB', 'HSB', ''),
	('KVIN', 'N/A', 'N/A', 37.434495873749256, -88.68971809744835, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IS34', 'small_airport', 'Piper''s Landing Airport', 38.70669937133789, -87.6333999633789, 425, 'US', 'US-IL', 'Lawrenceville', 'no', 'IS34', '', 'IS34', ''),
	('KPAH', 'medium_airport', 'Barkley Regional Airport', 37.06079864501953, -88.7738037109375, 410, 'US', 'US-KY', 'Paducah', 'yes', 'KPAH', 'PAH', 'PAH', ''),
	('6II4', 'closed', 'Cornell Airport', 37.982201, -87.298897, 390, 'US', 'US-IN', 'Boonville', 'no', '', '', '', '6II4'),
	('KNOB', 'N/A', 'N/A', 38.487102314829826, -87.89075911045074, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5IL2', 'small_airport', 'Panther Field', 38.063286, -89.387441, 432, 'US', 'US-IL', 'Pinckneyville', 'no', '5IL2', '', '5IL2', ''),
	('93KY', 'small_airport', 'Baggett Farms Airport', 37.47079849243164, -87.25330352783203, 405, 'US', 'US-KY', 'Sacramento', 'no', '93KY', '', '93KY', ''),
	('2I0', 'small_airport', 'Madisonville Regional Airport', 37.355868, -87.398205, 439, 'US', 'US-KY', 'Madisonville', 'no', '2I0', '', '2I0', ''),
	('3EV', 'small_airport', 'Skylane Airport', 38.0117, -87.594704, 380, 'US', 'US-IN', 'Evansville', 'no', '3EV', '', '3EV', ''),
	('KEVV', 'medium_airport', 'Evansville Regional Airport', 38.0369987488, -87.5324020386, 418, 'US', 'US-IN', 'Evansville', 'yes', 'KEVV', 'EVV', 'EVV', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('I93', 'small_airport', 'Breckinridge County Airport', 37.784814, -86.441295, 735, 'US', 'US-KY', 'Hardinsburg', 'no', 'KI93', '', 'I93', ''),
	('47IN', 'small_airport', 'Mann Airport', 38.988399505615234, -87.51809692382813, 428, 'US', 'US-IN', 'Merom', 'no', '47IN', '', '47IN', ''),
	('I20', 'small_airport', 'Ed-Air Airport', 38.851782, -87.49987, 426, 'US', 'US-IN', 'Oaktown', 'no', 'KI20', 'OTN', 'I20', '2IG4, KOTN, OTN, Emison, Green, Vincennes Executive Inn'),
	('13KY', 'small_airport', 'Miles Airport', 37.704812, -87.158586, 407, 'US', 'US-KY', 'Owensboro', 'no', '13KY', '', '13KY', ''),
	('3LL1', 'small_airport', 'Herschel Hunter Airport', 38.223785, -89.706689, 470, 'US', 'US-IL', 'Marissa', 'no', '3LL1', '', '3LL1', ''),
	('57IS', 'small_airport', 'Dozier Airport', 38.31669998168945, -88.27230072021484, 420, 'US', 'US-IL', 'Fairfield', 'no', '57IS', '', '57IS', ''),
	('M25', 'small_airport', 'Mayfield Graves County Airport', 36.7691, -88.584702, 523, 'US', 'US-KY', 'Mayfield', 'no', 'KM25', '', 'M25', ''),
	('0IS5', 'N/A', 'N/A', 38.93600519746542, -89.62512508034706, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('28IS', 'small_airport', 'O K Flying Club Inc Airport', 39.194801330566406, -89.31179809570313, 665, 'US', 'US-IL', 'Fillmore', 'no', '28IS', '', '28IS', ''),
	('M34', 'small_airport', 'Kentucky Dam State Park Airport', 37.00979, -88.299403, 351, 'US', 'US-KY', 'Calvert City', 'no', 'KM34', '', 'M34', 'Gilbertsville'),
	('7LL3', 'small_airport', 'Jasper County Flying Club Airport', 38.930605, -88.155928, 575, 'US', 'US-IL', 'Newton', 'no', '7LL3', '', '7LL3', ''),
	('KCUL', 'small_airport', 'Carmi Municipal Airport', 38.0895, -88.1231, 388, 'US', 'US-IL', 'Carmi', 'no', 'KCUL', '', 'CUL', ''),
	('94IL', 'closed', 'Lutz Airport', 38.917301, -89.225601, 526, 'US', 'US-IL', 'Mulberry Grove', 'no', '', '', '', '94IL'),
	('01LL', 'small_airport', 'Schumaier Restricted Landing Area', 38.12580108642578, -89.46389770507813, 555, 'US', 'US-IL', 'Pinckneyville', 'no', '01LL', '', '01LL', ''),
	('15IN', 'small_airport', 'Bugtown Airport', 38.15060043334961, -87.84030151367188, 464, 'US', 'US-IN', 'New Harmony', 'no', '15IN', '', '15IN', ''),
	('0MU8', 'small_airport', 'Prince STOLport', 37.43870162963867, -89.75900268554688, 582, 'US', 'US-MO', 'Millersville', 'no', '0MU8', '', '0MU8', ''),
	('7LL8', 'closed', 'Dahler Airport', 39.352501, -89.300903, 659, 'US', 'US-IL', 'Nokomis', 'no', '', '', '', '7LL8`'),
	('24LL', 'small_airport', 'Lambert Airport', 38.085932, -89.460326, 510, 'US', 'US-IL', 'Pinckneyville', 'no', '24LL', '', '24LL', ''),
	('3LL8', 'small_airport', 'McLeansboro Airport', 38.076011, -88.538446, 415, 'US', 'US-IL', 'McLeansboro', 'no', '3LL8', '', '3LL8', ''),
	('KAJG', 'small_airport', 'Mount Carmel Municipal Airport', 38.606499, -87.7267, 429, 'US', 'US-IL', 'Mount Carmel', 'no', 'KAJG', '', 'AJG', ''),
	('KGRE', 'small_airport', 'Greenville Airport', 38.836844, -89.376525, 541, 'US', 'US-IL', 'Greenville', 'no', 'KGRE', 'GRE', 'GRE', ''),
	('IN53', 'small_airport', 'Miller Airport', 39.29238, -86.824231, 710, 'US', 'US-IN', 'Spencer', 'no', 'IN53', '', 'IN53', ''),
	('2T2', 'small_airport', 'Percival Springs Airport', 39.013901, -88.538902, 550, 'US', 'US-IL', 'Watson', 'no', '2T2', '', '2T2', ''),
	('4IS5', 'small_airport', 'Smith Restricted Landing Area', 38.258399963378906, -89.93810272216797, 420, 'US', 'US-IL', 'Hecker', 'no', '4IS5', '', '4IS5', ''),
	('9LL2', 'small_airport', 'Hepp Airport', 38.03369903564453, -89.57929992675781, 505, 'US', 'US-IL', 'Cutler', 'no', '9LL2', '', '9LL2', ''),
	('KFOA', 'small_airport', 'Flora Municipal Airport', 38.66490173339844, -88.4530029296875, 473, 'US', 'US-IL', 'Flora', 'no', 'KFOA', '', 'FOA', ''),
	('18IN', 'closed', 'Kester Fly Inn Airport', 39.2784, -87.413597, 575, 'US', 'US-IN', 'Terre Haute', 'no', '', '', '', '18IN, Decker, Farmersburg'),
	('7IN3', 'small_airport', 'Garrett Field', 38.239564, -87.78707, 400, 'US', 'US-IN', 'Poseyville', 'no', '7IN3', '', '7IN3', ''),
	('33KY', 'small_airport', 'Bigger (Stol) STOLport', 37.612300872802734, -87.05690002441406, 406, 'US', 'US-KY', 'Utica', 'no', '33KY', '', '33KY', ''),
	('IN57', 'small_airport', 'Shure Airport', 39.2614, -87.421153, 550, 'US', 'US-IN', 'Farmersburg', 'no', 'IN57', '', 'IN57', ''),
	('65MO', 'heliport', 'Deaconess Hospital Heliport', 38.62979888916, -90.288200378418, 550, 'US', 'US-MO', 'St Louis', 'no', '', '', '65MO', '65MO'),
	('KHOP', 'medium_airport', 'Campbell Army Airfield (Fort Campbell)', 36.674154, -87.48974, 573, 'US', 'US-KY', 'Fort Campbell', 'no', 'KHOP', 'HOP', 'HOP', 'Campbell AFB, Hopkinsville'),
	('KRAA', 'N/A', 'N/A', 39.210786782205105, -89.11815315485, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KNEG', 'N/A', 'N/A', 37.87942238152027, -87.3191387951374, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1II3', 'small_airport', 'Davis Airport', 38.957918, -87.394602, 500, 'US', 'US-IN', 'Carlisle', 'no', '1II3', '', '1II3', ''),
	('KOLY', 'small_airport', 'Olney Noble Airport', 38.721802, -88.176399, 482, 'US', 'US-IL', 'Olney-Noble', 'no', 'KOLY', 'OLY', 'OLY', ''),
	('60IS', 'small_airport', 'Nelson Private Airport', 38.40060043334961, -87.98860168457031, 420, 'US', 'US-IL', 'Browns', 'no', '60IS', '', '60IS', ''),
	('7I4', 'small_airport', 'Orleans Airport', 38.65840148925781, -86.44300079345703, 655, 'US', 'US-IN', 'Orleans', 'no', 'K7I4', '', '7I4', ''),
	('1MU7', 'small_airport', 'Mooseberry Airport', 37.465301513671875, -89.61199951171875, 480, 'US', 'US-MO', 'Jackson', 'no', '1MU7', '', '1MU7', ''),
	('KDXE', 'small_airport', 'Dexter Municipal Airport', 36.77750015, -89.94120026, 304, 'US', 'US-MO', 'Dexter', 'no', 'KDXE', '', 'DXE', ''),
	('7IN6', 'small_airport', 'Myers Farm Airport', 38.58190155029297, -86.25360107421875, 800, 'US', 'US-IN', 'Livonia', 'no', '7IN6', '', '7IN6', ''),
	('2I3', 'small_airport', 'Rough River State Park Airport', 37.610022, -86.507262, 577, 'US', 'US-KY', 'Falls of Rough', 'no', '2I3', '', '2I3', ''),
	('KPAY', 'N/A', 'N/A', 39.35739565640688, -89.04917389154434, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBLV', 'medium_airport', 'Scott AFB/Midamerica Airport', 38.5452, -89.835197, 459, 'US', 'US-IL', 'Belleville', 'yes', 'KBLV', 'BLV', 'BLV', 'Scott Air Force Base'),
	('3II2', 'small_airport', 'Fifer Field', 38.212799072265625, -87.91950225830078, 445, 'US', 'US-IN', 'Griffin', 'no', '3II2', '', '3II2', ''),
	('3IN9', 'small_airport', 'Thomas Airport', 40.15140151977539, -86.11920166015625, 890, 'US', 'US-IN', 'Cicero', 'no', '3IN9', '', '3IN9', ''),
	('7II3', 'small_airport', 'Schroeder Private Airport', 38.00339889526367, -87.75640106201172, 385, 'US', 'US-IN', 'Mount Vernon', 'no', '7II3', '', '7II3', ''),
	('6II8', 'small_airport', 'Godahavit Airport', 38.65449905395508, -87.28279876708984, 495, 'US', 'US-IN', 'Wheatland', 'no', '6II8', '', '6II8', ''),
	('59II', 'small_airport', 'Posey Patch Ultralightport', 37.9039, -87.790298, 370, 'US', 'US-IN', 'Mount Vernon', 'no', '', '', 'IN3', '59II'),
	('5KY5', 'small_airport', 'Lowe Airport', 36.86244, -87.790021, 498, 'US', 'US-KY', 'Cadiz', 'no', '5KY5', '', '5KY5', ''),
	('I42', 'small_airport', 'Paoli Municipal Airport', 38.584471, -86.465149, 817, 'US', 'US-IN', 'Paoli', 'no', 'KI42', '', 'I42', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('II32', 'small_airport', 'Raceway Airport', 38.049198150634766, -87.38140106201172, 400, 'US', 'US-IN', 'Chandler', 'no', 'II32', '', 'II32', ''),
	('21IN', 'closed', 'Minneman Airport', 40.4184, -85.355499, 905, 'US', 'US-IN', 'Hartford City', 'no', '', '', '', '21IN'),
	('TN51', 'closed', 'Aydelotte STOLport', 36.642799, -86.976402, 545, 'US', 'US-TN', 'Springfield', 'no', '', '', '', 'TN51'),
	('35KY', 'small_airport', 'Welcome Field', 36.711504, -86.636038, 695, 'US', 'US-KY', 'Franklin', 'no', '35KY', '', '35KY', ''),
	('KPJY', 'small_airport', 'Pinckneyville Du Quoin Airport', 37.977901, -89.360497, 400, 'US', 'US-IL', 'Pinckneyville', 'no', 'KPJY', '', 'PJY', ''),
	('KSLO', 'small_airport', 'Salem–Leckrone Airport', 38.642899, -88.964203, 573, 'US', 'US-IL', 'Salem', 'no', 'KSLO', 'SLO', 'SLO', ''),
	('IN08', 'small_airport', 'Shakamak Airport', 39.169232, -87.189345, 613, 'US', 'US-IN', 'Jasonville', 'no', 'IN08', '', 'IN08', ''),
	('2KY3', 'small_airport', 'Plane-O-Field Airport', 36.83470153808594, -86.45829772949219, 655, 'US', 'US-KY', 'Bowling Green', 'no', '2KY3', '', '2KY3', ''),
	('61LL', 'small_airport', 'Smith Restricted Landing Area', 38.773101806640625, -89.59359741210938, 530, 'US', 'US-IL', 'Peirron', 'no', '61LL', '', '61LL', ''),
	('KEAD', 'N/A', 'N/A', 39.31153357028961, -89.84693706035614, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBFR', 'small_airport', 'Virgil I Grissom Municipal Airport', 38.84000015, -86.44539642, 727, 'US', 'US-IN', 'Bedford', 'no', 'KBFR', 'BFR', 'BFR', ''),
	('KFIO', 'N/A', 'N/A', 36.96751490235329, -88.56529623270035, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCGI', 'medium_airport', 'Cape Girardeau Regional Airport', 37.2253, -89.570801, 342, 'US', 'US-MO', 'Cape Girardeau', 'yes', 'KCGI', 'CGI', 'CGI', ''),
	('II63', 'N/A', 'N/A', 38.257677890360355, -87.82411381602287, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1LL5', 'small_airport', 'Justison Airport', 39.24277, -89.55083, 650, 'US', 'US-IL', 'Hillsboro', 'no', '1LL5', '', '1LL5', ''),
	('0T3', 'closed', 'Ira Biffle Airfield', 37.313901, -89.997299, 421, 'US', 'US-MO', 'Marble Hill', 'no', '', '', '', '0T3, Twin City Airpark,'),
	('23KY', 'small_airport', 'Barnes Farm Airport', 37.23080062866211, -88.318603515625, 500, 'US', 'US-KY', 'Burna', 'no', '23KY', '', '23KY', ''),
	('42KY', 'small_airport', 'Pirates Cove Airport', 36.77640151977539, -88.22229766845703, 380, 'US', 'US-KY', 'Benton', 'no', '42KY', '', '42KY', ''),
	('94KY', 'small_airport', 'Woosley Airport', 37.5005989074707, -87.32939910888672, 400, 'US', 'US-KY', 'Rumsey', 'no', '94KY', '', '94KY', ''),
	('2M0', 'small_airport', 'Princeton-Caldwell County Airport', 37.115116, -87.857144, 584, 'US', 'US-KY', 'Princeton', 'no', 'K2M0', '', '2M0', ''),
	('KEAC', 'N/A', 'N/A', 38.636275716125965, -89.39622223377228, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('II96', 'small_airport', 'Buchta Airport', 38.492801666259766, -86.93309783935547, 520, 'US', 'US-IN', 'Haysville', 'no', 'II96', '', 'II96', ''),
	('73IN', 'small_airport', 'Benham Airport', 38.976593, -87.022727, 500, 'US', 'US-IN', 'Lyons', 'no', '73IN', '', '73IN', ''),
	('80KY', 'small_airport', 'David Lowe Airport', 37.39619827270508, -87.2354965209961, 465, 'US', 'US-KY', 'Sacramento', 'no', '80KY', '', '80KY', ''),
	('1M5', 'small_airport', 'Portland Municipal Airport', 36.592681, -86.476936, 818, 'US', 'US-TN', 'Portland', 'no', 'K1M5', '', '1M5', ''),
	('1H2', 'small_airport', 'Effingham County Memorial Airport', 39.0704, -88.533501, 587, 'US', 'US-IL', 'Effingham', 'no', 'K1H2', '', '1H2', ''),
	('II81', 'small_airport', 'Richardson Field', 38.38059997558594, -87.22059631347656, 425, 'US', 'US-IN', 'Winslow', 'no', 'II81', '', 'II81', ''),
	('IN15', 'small_airport', 'T & T Airport', 38.604875, -87.463315, 550, 'US', 'US-IN', 'Vincennes', 'no', 'IN15', '', 'IN15', ''),
	('IN92', 'closed', 'Klein Airport', 38.652802, -87.563599, 412, 'US', 'US-IN', 'Vincennes', 'no', '', '', '', 'IN92'),
	('KSIV', 'small_airport', 'Sullivan County Airport', 39.1147, -87.448303, 540, 'US', 'US-IN', 'Sullivan', 'no', 'KSIV', 'SIV', 'SIV', ''),
	('03II', 'small_airport', 'Davis Field Ultralightport', 37.9620018005, -87.7789001465, 465, 'US', 'US-IN', 'Mount Vernon', 'no', '03II', '', '03II', ''),
	('KY8', 'small_airport', 'Hancock County-Ron Lewis Field', 37.953196, -86.857158, 412, 'US', 'US-KY', 'Lewisport', 'no', 'KKY8', '', 'KY8', ''),
	('0KY4', 'small_airport', 'Cambron Field', 37.56439971923828, -87.08190155029297, 427, 'US', 'US-KY', 'Owensboro', 'no', '0KY4', '', '0KY4', ''),
	('1I3', 'small_airport', 'Shawnee Field', 39.042654, -87.002749, 501, 'US', 'US-IN', 'Fairplay Township', 'no', 'K1I3', '', '1I3', 'Bloomfield'),
	('IN30', 'small_airport', 'Hull Airport', 38.402235, -87.599251, 423, 'US', 'US-IN', 'Patoka', 'no', 'IN30', '', 'IN30', ''),
	('94IS', 'small_airport', 'Adams Private Airport', 37.901542, -89.140892, 410, 'US', 'US-IL', 'Royalton', 'no', '94IS', '', '94IS', '9H2'),
	('6IL5', 'small_airport', 'Keil Airport', 37.38639831542969, -89.160400390625, 525, 'US', 'US-IL', 'Dongola', 'no', '6IL5', '', '6IL5', ''),
	('IS77', 'closed', 'Hoehn RLA Restricted Landing Area', 39.220798, -89.332802, 650, 'US', 'US-IL', 'Witt', 'no', '', '', '', 'IS77'),
	('KRSV', 'small_airport', 'Robinson Municipal Airport', 39.015999, -87.649803, 462, 'US', 'US-IL', 'Robinson', 'no', 'KRSV', '', 'RSV', ''),
	('KCKV', 'small_airport', 'Clarksville–Montgomery County Regional Airport', 36.6218986511, -87.4150009155, 550, 'US', 'US-TN', 'Clarksville', 'no', 'KCKV', 'CKV', 'CKV', 'Clarksville Army Airfield, Outlaw Field'),
	('3KY7', 'closed', 'Eagle''s Nest Airport', 38.103298, -86.456902, 450, 'US', 'US-KY', 'Battletown', 'no', '', '', '', '3KY7, 3KY7'),
	('II49', 'small_airport', 'Foertsch Airport', 38.036651, -86.910846, 476, 'US', 'US-IN', 'Lamar', 'no', 'II49', '', 'II49', ''),
	('3K6', 'N/A', 'N/A', 38.732921071350574, -89.80658143758774, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5LL0', 'small_airport', 'Beckerman Field', 38.40840148925781, -87.8375015258789, 424, 'US', 'US-IL', 'Mount Carmel', 'no', '5LL0', '', '5LL0', ''),
	('KCIR', 'small_airport', 'Cairo Regional Airport', 37.064499, -89.219597, 321, 'US', 'US-IL', 'Cairo', 'no', 'KCIR', 'CIR', 'CIR', ''),
	('4M7', 'small_airport', 'Russellville Logan County Airport', 36.79959, -86.810875, 689, 'US', 'US-KY', 'Russellville', 'no', 'K4M7', '', '4M7', ''),
	('8M9', 'small_airport', 'Providence Webster County Airport', 37.424800872802734, -87.73609924316406, 393, 'US', 'US-KY', 'Providence', 'no', 'K8M9', '', '8M9', ''),
	('22II', 'small_airport', 'Lewis Airport', 37.917185, -87.761428, 370, 'US', 'US-IN', 'Mount Vernon', 'no', '22II', '', '22II', ''),
	('5II9', 'small_airport', 'Aero Plaines Airport', 39.35279846191406, -87.37339782714844, 570, 'US', 'US-IN', 'Youngstown', 'no', '5II9', '', '5II9', ''),
	('0KY7', 'small_airport', 'Clinton-Hickman County Airport', 36.63610076904297, -88.99859619140625, 360, 'US', 'US-KY', 'Clinton', 'no', '0KY7', '', '0KY7', ''),
	('KFRH', 'small_airport', 'French Lick Municipal Airport', 38.5061988831, -86.63690185550001, 792, 'US', 'US-IN', 'French Lick', 'no', 'KFRH', 'FRH', 'FRH', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('II30', 'small_airport', 'Ridgway Flying Service Airport', 38.912045, -87.406697, 510, 'US', 'US-IN', 'Carlisle', 'no', 'II30', '', 'II30', ''),
	('IN80', 'small_airport', 'Roberson Airport', 38.3213996887207, -86.49079895019531, 690, 'US', 'US-IN', 'English', 'no', 'IN80', '', 'IN80', ''),
	('MO57', 'small_airport', 'Henderson Mounds E B G Airport', 36.707000732421875, -89.4666976928711, 295, 'US', 'US-MO', 'East Prairie', 'no', 'MO57', '', 'MO57', ''),
	('IL35', 'closed', 'Redpath Restricted Landing Area', 38.181999, -89.808403, 470, 'US', 'US-IL', 'Baldwin', 'no', '', '', '', '00K, IL35'),
	('28IN', 'closed', 'Marchino Field', 38.637798, -87.4347, 540, 'US', 'US-IN', 'Vincennes', 'no', '', '', '', '28IN'),
	('8IL6', 'closed', 'Robertson''s Roost Airport', 38.859402, -88.6586, 542, 'US', 'US-IL', 'Edgewood', 'no', '', '', '', '8IL6'),
	('16IS', 'small_airport', 'Kellums Airport', 37.577608, -89.008583, 720, 'US', 'US-IL', 'Goreville', 'no', '16IS', '', '16IS', ''),
	('KLWV', 'small_airport', 'Lawrenceville Vincennes International Airport', 38.7643013, -87.6054992676, 430, 'US', 'US-IL', 'Lawrenceville', 'no', 'KLWV', 'LWV', 'LWV', 'George AAF'),
	('17KY', 'small_airport', 'Lester Airfield', 37.393902, -87.258904, 440, 'US', 'US-KY', 'Sacramento', 'no', '17KY', '', '17KY', 'Shannon Field'),
	('99IS', 'N/A', 'N/A', 38.70367024093866, -89.54140618443489, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IN03', 'small_airport', 'Alford Airpark', 38.46390151977539, -87.25, 500, 'US', 'US-IN', 'Petersburg', 'no', 'IN03', '', 'IN03', ''),
	('5M9', 'N/A', 'N/A', 37.336286790668964, -88.1097337603569, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4IL8', 'small_airport', 'Rendleman Airport', 37.75630187988281, -89.38330078125, 500, 'US', 'US-IL', 'Murphysboro', 'no', '4IL8', '', '4IL8', ''),
	('KPCD', 'N/A', 'N/A', 37.86866672337055, -89.86213892698288, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8II1', 'small_airport', 'Careferre Acres Airport', 39.183101654052734, -87.1260986328125, 520, 'US', 'US-IN', 'Jasonville', 'no', '8II1', '', '8II1', ''),
	('KDCY', 'small_airport', 'Daviess County Airport', 38.700401, -87.1297, 473, 'US', 'US-IN', 'Washington', 'no', 'KDCY', '', 'DCY', ''),
	('MU04', 'small_airport', 'Broadwater Airport', 36.58980178833008, -89.92009735107422, 280, 'US', 'US-MO', 'Malden', 'no', 'MU04', '', 'MU04', ''),
	('89IS', 'small_airport', 'Voges Airstrip', 38.21670150756836, -89.97509765625, 424, 'US', 'US-IL', 'Red Bud', 'no', '89IS', '', '89IS', ''),
	('83IS', 'small_airport', 'Prairie Airport', 38.42639923095703, -89.1312026977539, 550, 'US', 'US-IL', 'Irvington', 'no', '83IS', '', '83IS', ''),
	('0IN9', 'small_airport', 'Parrish Airport', 37.99322, -87.94855, 390, 'US', 'US-IN', 'Mount Vernon', 'no', '0IN9', '', '0IN9', ''),
	('5KY4', 'small_airport', 'Standard Field', 36.801828, -87.176428, 665, 'US', 'US-KY', 'Elkton', 'no', '5KY4', '', '5KY4', '1M6'),
	('KHNB', 'small_airport', 'Huntingburg Airport', 38.2490005493, -86.95369720459999, 529, 'US', 'US-IN', 'Huntingburg', 'no', 'KHNB', 'HNB', 'HNB', ''),
	('KPOI', 'N/A', 'N/A', 38.10584709048271, -87.80021131038666, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4LL9', 'small_airport', 'Alan B. Janssen Airport', 39.34370040893555, -89.42369842529297, 642, 'US', 'US-IL', 'Morrisonville', 'no', '4LL9', '', '4LL9', ''),
	('KFWC', 'small_airport', 'Fairfield Municipal Airport', 38.378601, -88.412697, 436, 'US', 'US-IL', 'Fairfield', 'no', 'KFWC', '', 'FWC', ''),
	('KNAS', 'N/A', 'N/A', 38.3583864569664, -89.36794459819794, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IL71', 'small_airport', 'Dury Estates Airport', 37.819199, -89.152199, 395, 'US', 'US-IL', 'De Soto', 'no', 'IL71', '', 'IL71', 'Hurst'),
	('8KY3', 'closed', 'Battle Field', 37.661111, -84.992627, 950, 'US', 'US-KY', 'Perryville', 'no', '', '', '', '8KY3'),
	('8LL0', 'closed', 'Nance Airport', 38.887242, -89.557328, 570, 'US', 'US-IL', 'Pocahontas', 'no', '', '', '', '8LL0, 8LL0, 8LL0'),
	('KVLA', 'small_airport', 'Vandalia Municipal Airport', 38.991501, -89.166199, 537, 'US', 'US-IL', 'Vandalia', 'no', 'KVLA', 'VLA', 'VLA', ''),
	('06IN', 'heliport', 'Indiana University Health Inc Heliport', 39.178222, -86.497769, 839, 'US', 'US-IN', 'Bloomington', 'no', '06IN', '', '06IN', ''),
	('3KY1', 'small_airport', 'Goode Airpark', 37.64139938354492, -87.13169860839844, 395, 'US', 'US-KY', 'Utica', 'no', '3KY1', '', '3KY1', ''),
	('29KY', 'closed', 'Cramer Aerodrome', 36.893101, -87.4272, 640, 'US', 'US-KY', 'Hopkinsville', 'no', '', '', '', '29KY, 29KY, 29KY'),
	('28KY', 'small_airport', 'Brandon Airdrome Airport', 36.57590103149414, -88.31340026855469, 525, 'US', 'US-KY', 'Murray', 'no', '28KY', '', '28KY', ''),
	('KEOD', 'N/A', 'N/A', 36.567652858793736, -87.4814584851265, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBRG', 'N/A', 'N/A', 38.726333901286125, -87.74469003081322, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0KY1', 'small_airport', 'Arnemann Farms Airport', 36.76559829711914, -86.61830139160156, 504, 'US', 'US-KY', 'Franklin', 'no', '0KY1', '', '0KY1', ''),
	('6LL6', 'small_airport', 'Fischer''s RLA Restricted Landing Area', 38.4916992188, -89.6633987427, 440, 'US', 'US-IL', 'New Memphis', 'no', '6LL6', '', '6LL6', ''),
	('II33', 'small_airport', 'Eickholtz Airport', 38.460899353027344, -87.65499877929688, 620, 'US', 'US-IN', 'Charleston', 'no', 'II33', '', 'II33', ''),
	('KBEJ', 'N/A', 'N/A', 36.72317873686552, -89.81122523546219, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3IL1', 'small_airport', 'Silver Creek Gliderport', 38.9253005981, -89.66220092770001, 595, 'US', 'US-IL', 'New Douglas', 'no', '3IL1', '', '3IL1', ''),
	('KBMG', 'medium_airport', 'Monroe County Airport', 39.145999908447266, -86.61669921875, 846, 'US', 'US-IN', 'Bloomington', 'no', 'KBMG', 'BMG', 'BMG', ''),
	('8M7', 'small_airport', 'Tradewater Airport', 37.18595, -87.67503, 405, 'US', 'US-KY', 'Dawson Springs', 'no', 'K8M7', '', '8M7', ''),
	('KTWT', 'small_airport', 'Sturgis Municipal Airport', 37.540798, -87.951797, 372, 'US', 'US-KY', 'Sturgis', 'no', 'KTWT', '', 'TWT', ''),
	('H96', 'small_airport', 'Benton Municipal Airport', 38.006699, -88.934402, 444, 'US', 'US-IL', 'Benton', 'no', 'KH96', '', 'H96', ''),
	('IL05', 'small_airport', 'Bingham Airport', 42.440299987793, -88.488998413086, 980, 'US', 'US-IL', 'Alden', 'no', '', '', 'IL05', 'IL05'),
	('08IS', 'small_airport', 'Hemmer RLA Restricted Landing Area', 37.977798461899994, -89.20290374759999, 400, 'US', 'US-IL', 'Du Quoin', 'no', '08IS', '', '08IS', ''),
	('7LL9', 'small_airport', 'Brammeier Airport', 38.26169967651367, -89.47090148925781, 530, 'US', 'US-IL', 'Oakdale', 'no', '7LL9', '', '7LL9', ''),
	('3IN3', 'closed', 'Carlson Farm Airport', 41.523102, -87.163902, 690, 'US', 'US-IN', 'Portage', 'no', '', '', '', '3IN3, 3IN3, 3IN3'),
	('5KY2', 'closed', 'Larkins Farm Airport', 36.851101, -88.926903, 390, 'US', 'US-KY', 'Bardwell', 'no', '', '', '', '5KY2'),
	('IS33', 'small_airport', 'Willhoit Airport', 39.04560089111328, -89.8406982421875, 614, 'US', 'US-IL', 'Staunton', 'no', 'IS33', '', 'IS33', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('5IS3', 'small_airport', 'Riverveiw Airport', 38.078399658203125, -89.97959899902344, 490, 'US', 'US-IL', 'Evansville', 'no', '5IS3', '', '5IS3', ''),
	('I91', 'small_airport', 'Boonville Airport', 38.042059, -87.316054, 380, 'US', 'US-IN', 'Boonville', 'no', 'KI91', '', 'I91', ''),
	('2II2', 'closed', 'Indian Creek Airport', 37.987741, -87.935064, 380, 'US', 'US-IN', 'Mount Vernon', 'no', '', '', '', '2II2'),
	('27IS', 'small_airport', 'Gelfius International Airport', 38.14889907836914, -88.67030334472656, 530, 'US', 'US-IL', 'Dahlgren', 'no', '27IS', '', '27IS', ''),
	('12IN', 'small_airport', 'J & S Field', 38.11859893798828, -87.64749908447266, 465, 'US', 'US-IN', 'Darmstadt', 'no', '12IN', '', '12IN', ''),
	('KODD', 'N/A', 'N/A', 38.654495626688, -89.03882414102554, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3LL9', 'small_airport', 'Compton Airport', 38.80419921875, -89.60890197753906, 535, 'US', 'US-IL', 'Pocahontas', 'no', '3LL9', '', '3LL9', ''),
	('0IN1', 'small_airport', 'Snider Field', 38.5, -87.59590148925781, 400, 'US', 'US-IN', 'Decker', 'no', '0IN1', '', '0IN1', ''),
	('4IS9', 'small_airport', 'Weidner Airport', 39.085899353027344, -89.95890045166016, 667, 'US', 'US-IL', 'Bunker Hill', 'no', '4IS9', '', '4IS9', ''),
	('KJQD', 'N/A', 'N/A', 37.4585472419858, -86.84982508420944, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('38TN', 'small_airport', 'Sugar Grove Airport', 36.625539, -86.272967, 800, 'US', 'US-TN', 'Westmoreland', 'no', '38TN', '', '38TN', ''),
	('IL16', 'closed', 'Houseman Airport', 37.537841, -89.125214, 800, 'US', 'US-IL', 'Cobden', 'no', '', '', '', 'IL16'),
	('M21', 'small_airport', 'Muhlenberg County Airport', 37.225966, -87.156987, 422, 'US', 'US-KY', 'Greenville', 'no', 'KM21', '', 'M21', ''),
	('6LL1', 'closed', 'Cumberland Air Park RLA', 39.3139, -88.344498, 631, 'US', 'US-IL', 'Neoga', 'no', '', '', '', '6LL1'),
	('3IS6', 'small_airport', 'Davy Jones Private Airport', 38.222808, -88.883858, 500, 'US', 'US-IL', 'Bonnie', 'no', '3IS6', '', '3IS6', ''),
	('IN95', 'closed', 'Long Airport', 41.227587, -86.789374, 700, 'US', 'US-IN', 'North Judson', 'no', '', '', '', 'IN95'),
	('KTEL', 'small_airport', 'Perry County Municipal Airport', 38.0177, -86.690903, 660, 'US', 'US-IN', 'Tell City', 'no', 'KTEL', '', 'TEL', ''),
	('KOWB', 'medium_airport', 'Owensboro Daviess County Airport', 37.74010086, -87.16680145, 407, 'US', 'US-KY', 'Owensboro', 'yes', 'KOWB', 'OWB', 'OWB', ''),
	('M20', 'small_airport', 'Grayson County Airport', 37.39950180053711, -86.26020050048828, 760, 'US', 'US-KY', 'Leitchfield', 'no', 'KM20', '', 'M20', ''),
	('1IL1', 'small_airport', 'Horsefeathers Ranch Airport', 39.241595, -89.426565, 653, 'US', 'US-IL', 'Irving', 'no', '1IL1', '', '1IL1', 'Hacker RLA'),
	('37LL', 'small_airport', 'Dale Curten Farm Airport', 38.04779815673828, -89.99710083007813, 615, 'US', 'US-IL', 'Modoc', 'no', '37LL', '', '37LL', ''),
	('KENL', 'small_airport', 'Centralia Municipal Airport', 38.515099, -89.091103, 534, 'US', 'US-IL', 'Centralia', 'no', 'KENL', 'ENL', 'ENL', ''),
	('LL26', 'small_airport', 'Schaller Airport', 38.272366, -89.857542, 434, 'US', 'US-IL', 'New Athens', 'no', 'LL26', '', 'LL26', ''),
	('0IN6', 'small_airport', 'Morrison Flight Park Ultralightport', 39.022201538100006, -87.1875, 520, 'US', 'US-IN', 'Linton', 'no', '', '', '0IN6', '4U8'),
	('03KY', 'small_airport', 'Flying H Farms Airport', 37.796085, -87.53859, 385, 'US', 'US-KY', 'Henderson', 'no', '03KY', '', '03KY', ''),
	('KMDH', 'medium_airport', 'Southern Illinois Airport', 37.778099, -89.251999, 411, 'US', 'US-IL', 'Murphysboro', 'no', 'KMDH', 'MDH', 'MDH', 'Carbondale'),
	('3LF', 'small_airport', 'Litchfield Municipal Airport', 39.162498, -89.674599, 690, 'US', 'US-IL', 'Litchfield', 'no', '', '', '3LF', ''),
	('KMVN', 'small_airport', 'Mount Vernon Outland Airport', 38.322774, -88.859257, 480, 'US', 'US-IL', 'Mount Vernon', 'no', 'KMVN', 'MVN', 'MVN', ''),
	('IN23', 'small_airport', 'Zeller Elevator Company Airport', 37.909229, -87.757545, 378, 'US', 'US-IN', 'Mount Vernon', 'no', 'IN23', '', 'IN23', ''),
	('KVIA', 'N/A', 'N/A', 38.570040576159954, -87.54614531993866, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KTOE', 'N/A', 'N/A', 39.341000989079475, -88.29068273305893, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5M0', 'small_airport', 'Hartselle-Morgan County Regional Airport', 34.408234, -86.932951, 628, 'US', 'US-AL', 'Hartselle', 'no', '5M0', '', '5M0', ''),
	('KCRX', 'small_airport', 'Roscoe Turner Airport', 34.9150009155, -88.6035003662, 425, 'US', 'US-MS', 'Corinth', 'no', 'KCRX', 'CRX', 'CRX', ''),
	('3MO4', 'small_airport', 'Penman Airport', 36.450489, -89.62831, 287, 'US', 'US-MO', 'Portageville', 'no', '3MO4', '', '3MO4', ''),
	('4TN4', 'small_airport', 'Cotton Field', 35.189998626708984, -89.63860321044922, 345, 'US', 'US-TN', 'Eads', 'no', '4TN4', '', '4TN4', ''),
	('08MS', 'small_airport', 'Midsouth Airpark', 34.661506, -89.869628, 345, 'US', 'US-MS', 'Coldwater', 'no', '08MS', '', '08MS', 'Williams Field'),
	('0AL9', 'small_airport', 'Wilson Creek Airport', 34.850546, -87.633513, 590, 'US', 'US-AL', 'Florence', 'no', '0AL9', '', '0AL9', ''),
	('KJWN', 'small_airport', 'John C Tune Airport', 36.1824, -86.886703, 495, 'US', 'US-TN', 'Nashville', 'no', 'KJWN', '', 'JWN', ''),
	('TN73', 'closed', 'Doc Jones Field', 36.323399, -86.959396, 770, 'US', 'US-TN', 'Ashland City', 'no', '', '', '', 'TN73'),
	('KUOX', 'medium_airport', 'University Oxford Airport', 34.384300231934, -89.536796569824, 452, 'US', 'US-MS', 'Oxford', 'no', 'KUOX', 'UOX', 'UOX', ''),
	('9TN9', 'small_airport', 'Toy Box Airport', 36.01940155029297, -86.28810119628906, 630, 'US', 'US-TN', 'Lebanon', 'no', '9TN9', '', '9TN9', ''),
	('2AL7', 'small_airport', 'Mount Aero Lake Farm Airport', 34.062801361083984, -86.72309875488281, 625, 'US', 'US-AL', 'Hanceville', 'no', '2AL7', '', '2AL7', ''),
	('6TN5', 'closed', 'Decatur County Hospital Heliport', 35.63631, -88.122036, 520, 'US', 'US-TN', 'Parsons', 'no', '', '', '', '6TN5'),
	('M31', 'small_airport', 'Arnold Field', 35.9034, -89.397301, 292, 'US', 'US-TN', 'Halls', 'no', 'KM31', '', 'M31', ''),
	('7TN3', 'small_airport', 'Stones River Airport', 35.970798, -86.393097, 537, 'US', 'US-TN', 'Murfreesboro', 'no', '7TN3', '', '7TN3', 'Classic Aircraft & Auto Inc.'),
	('19MS', 'N/A', 'N/A', 34.8374168202281, -89.2613334953785, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TN18', 'small_airport', 'Richardson Strip', 35.20429992675781, -89.66670227050781, 340, 'US', 'US-TN', 'Eads', 'no', 'TN18', '', 'TN18', ''),
	('2TN2', 'small_airport', 'Wings Field', 35.221259, -89.190178, 540, 'US', 'US-TN', 'Whiteville', 'no', '2TN2', '', '2TN2', ''),
	('M44', 'small_airport', 'Houston Municipal Airport', 33.886237, -89.02339, 337, 'US', 'US-MS', 'Houston', 'no', 'KM44', '', 'M44', ''),
	('M40', 'small_airport', 'Monroe County Airport', 33.873699, -88.4897, 226, 'US', 'US-MS', 'Aberdeen', 'no', 'KM40', '', 'M40', 'Amory'),
	('KMDQ', 'small_airport', 'Madison County Executive Airport-Tom Sharp Jr Field', 34.8614006, -86.55750275, 756, 'US', 'US-AL', 'Huntsville', 'no', 'KMDQ', '', 'MDQ', 'M82');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('7TN0', 'small_airport', 'Blue Bird Field', 36.43560028076172, -87.09140014648438, 705, 'US', 'US-TN', 'Pleasantview', 'no', '7TN0', '', '7TN0', ''),
	('51TN', 'small_airport', 'Glendale Field', 35.53310012817383, -86.97689819335938, 750, 'US', 'US-TN', 'Columbia', 'no', '51TN', '', '51TN', ''),
	('9TN5', 'small_airport', 'Askey Field', 35.458176, -86.957338, 810, 'US', 'US-TN', 'Culleoka', 'no', '9TN5', '', '9TN5', ''),
	('KJFX', 'small_airport', 'Walker County Airport Bevill Field', 33.902, -87.314201, 482, 'US', 'US-AL', 'Jasper', 'no', 'KJFX', '', 'JFX', 'L02'),
	('M53', 'small_airport', 'Humboldt Municipal Airport', 35.8022, -88.874901, 421, 'US', 'US-TN', 'Humboldt', 'no', 'KM53', '', 'M53', ''),
	('AL10', 'small_airport', 'Frerichs Airport', 34.65119934082031, -86.41690063476563, 650, 'US', 'US-AL', 'Gurley', 'no', 'AL10', '', 'AL10', ''),
	('TN83', 'small_airport', 'Cedar Glade Aerodrome', 35.720789, -86.275016, 770, 'US', 'US-TN', 'Murfreesboro', 'no', 'TN83', '', 'TN83', ''),
	('MS64', 'small_airport', 'Vaiden Landing Airport', 34.848342, -89.877992, 250, 'US', 'US-MS', 'Hernando', 'no', 'MS64', '', 'MS64', ''),
	('KBNA', 'large_airport', 'Nashville International Airport', 36.1245, -86.6782, 599, 'US', 'US-TN', 'Nashville', 'yes', 'KBNA', 'BNA', 'BNA', ''),
	('KHZD', 'small_airport', 'Carroll County Airport', 36.089298, -88.463303, 497, 'US', 'US-TN', 'Huntingdon', 'no', 'KHZD', '', 'HZD', ''),
	('7TN4', 'small_airport', 'Pegasus Field', 35.17279815673828, -89.5625, 380, 'US', 'US-TN', 'Oakland', 'no', '7TN4', '', '7TN4', ''),
	('TN65', 'small_airport', 'Long Meadow Airstrip', 35.6664009094, -86.48529815670001, 750, 'US', 'US-TN', 'Murfreesburg', 'no', 'TN65', '', 'TN65', ''),
	('M72', 'small_airport', 'New Albany Union County Airport', 34.54901, -89.024452, 413, 'US', 'US-MS', 'New Albany', 'no', 'KM72', '', 'M72', ''),
	('KLUG', 'small_airport', 'Ellington Airport', 35.507, -86.803902, 717, 'US', 'US-TN', 'Lewisburg', 'no', 'KLUG', '', 'LUG', ''),
	('KWHO', 'N/A', 'N/A', 36.53634041547775, -86.62163123488426, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5AL5', 'small_airport', 'Big River Airpark', 34.691922, -87.651358, 505, 'US', 'US-AL', 'Tuscumbia', 'no', '5AL5', '', '5AL5', 'Muscle Shoals'),
	('3A8', 'N/A', 'N/A', 33.853416591882706, -88.58942851424217, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8TN6', 'small_airport', 'Rachel''s Landing Airport', 35.921579, -86.345034, 560, 'US', 'US-TN', 'Murfreesboro', 'no', '8TN6', '', '8TN6', 'Baker Field'),
	('KMBT', 'small_airport', 'City of Murfreesboro Airport', 35.877499, -86.377502, 614, 'US', 'US-TN', 'Murfreesboro', 'no', 'KMBT', '', 'MBT', 'Murfreesboro Municipal Airport'),
	('70AR', 'small_airport', 'Randal Field', 35.994342, -89.997014, 242, 'US', 'US-AR', 'Blytheville', 'no', '70AR', '', '70AR', ''),
	('KBYH', 'medium_airport', 'Arkansas International Airport', 35.9642982483, -89.94400024410001, 254, 'US', 'US-AR', 'Blytheville', 'no', 'KBYH', 'BYH', 'BYH', 'Blytheville AFB, Eaker AFB'),
	('TN53', 'small_airport', 'Parr Field', 36.555083, -87.448558, 590, 'US', 'US-TN', 'Clarksville', 'no', 'TN53', '', 'TN53', ''),
	('KMQY', 'medium_airport', 'Smyrna Airport', 36.0089988708, -86.5201034546, 543, 'US', 'US-TN', 'Smyrna', 'no', 'KMQY', 'MQY', 'MQY', 'Sewart AFB'),
	('0TN0', 'small_airport', 'R & S Buzzard Airport', 35.676700592041016, -86.89669799804688, 810, 'US', 'US-TN', 'Spring Hill', 'no', '0TN0', '', '0TN0', ''),
	('M05', 'small_airport', 'Caruthersville Memorial Airport', 36.16910171508789, -89.67649841308594, 268, 'US', 'US-MO', 'Caruthersville', 'no', 'KM05', '', 'M05', ''),
	('TN12', 'small_airport', 'Hudgin Air Airport', 35.473439, -86.681406, 725, 'US', 'US-TN', 'Lewisburg', 'no', 'TN12', '', 'TN12', ''),
	('M22', 'small_airport', 'Bill Pugh Field', 34.443746, -87.712159, 723, 'US', 'US-AL', 'Russellville', 'no', '', '', 'M22', 'Russellville Municipal'),
	('36TN', 'small_airport', 'Ruckman Field', 36.471847, -87.135674, 660, 'US', 'US-TN', 'Clarksville', 'no', '36TN', '', '36TN', ''),
	('KTGC', 'small_airport', 'Gibson County Airport', 35.932499, -88.8489, 359, 'US', 'US-TN', 'Milan', 'no', 'KTGC', '', 'TGC', 'Trenton'),
	('6KY7', 'closed', 'Alexander Field', 36.523, -89.051693, 445, 'US', 'US-KY', 'Hickman', 'no', '', '', '', '6KY7, 6KY7'),
	('4TN9', 'small_airport', 'Southfork Airport', 35.610393, -88.694782, 387, 'US', 'US-TN', 'Jackson', 'no', '4TN9', '', '4TN9', ''),
	('KTUP', 'medium_airport', 'Tupelo Regional Airport', 34.26810073852539, -88.7698974609375, 346, 'US', 'US-MS', 'Tupelo', 'yes', 'KTUP', 'TUP', 'TUP', ''),
	('AL54', 'small_airport', 'Bird Nest Airport', 33.86330032348633, -87.84529876708984, 420, 'US', 'US-AL', 'Winfield', 'no', 'AL54', '', 'AL54', ''),
	('8TN8', 'small_airport', 'Field of Dreams Ultralightport', 35.54169845581055, -89.87139892578125, 250, 'US', 'US-TN', 'Burlison', 'no', '8TN8', '', '8TN8', ''),
	('0M3', 'small_airport', 'Paul Bridges Field', 35.546001, -87.597298, 972, 'US', 'US-TN', 'Hohenwald', 'no', '', '', '0M3', 'John A Baker'),
	('KPMU', 'small_airport', 'Panola County Airport', 34.36349869, -89.89260101, 221, 'US', 'US-MS', 'Batesville', 'no', 'KPMU', '', 'PMU', ''),
	('TN21', 'small_airport', 'Palmer Village-Napier Lake Airport', 35.447098, -87.50458, 790, 'US', 'US-TN', 'Hohenwald', 'no', 'TN21', '', 'TN21', ''),
	('KHKA', 'small_airport', 'Blytheville Municipal Airport', 35.940399169900004, -89.83080291750001, 255, 'US', 'US-AR', 'Blytheville', 'no', 'KHKA', 'HKA', 'HKA', ''),
	('MS00', 'closed', 'Double O Ranch Airport', 34.988899, -89.915298, 385, 'US', 'US-MS', 'Olive Branch', 'no', '', '', '', 'MS00'),
	('22M', 'small_airport', 'Pontotoc County Airport', 34.275901794433594, -89.03839874267578, 440, 'US', 'US-MS', 'Pontotoc', 'no', 'K22M', '', '22M', ''),
	('8TN9', 'small_airport', 'Bull Run Airport', 35.515094, -89.678775, 376, 'US', 'US-TN', 'Covington', 'no', '8TN9', '', '8TN9', ''),
	('KFYM', 'small_airport', 'Fayetteville Municipal Airport', 35.059700012200004, -86.5640029907, 984, 'US', 'US-TN', 'Fayetteville', 'no', 'KFYM', 'FYM', 'FYM', ''),
	('9A4', 'small_airport', 'Courtland Airport', 34.659028, -87.350206, 588, 'US', 'US-AL', 'Courtland', 'no', '9A4', '', '9A4', 'Courtland Army Airfield, Lawrence County Airport'),
	('8TN2', 'small_airport', 'Pleasant Grove Airpark', 35.399098, -86.554843, 850, 'US', 'US-TN', 'Shelbyville', 'no', '8TN2', '', '8TN2', ''),
	('01TN', 'small_airport', 'Colonial Air Park', 34.99589920043945, -89.73059844970703, 370, 'US', 'US-TN', 'Collierville', 'no', '01TN', '', '01TN', ''),
	('KASV', 'N/A', 'N/A', 33.7834682688117, -86.32338881492615, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMKL', 'medium_airport', 'McKellar-Sipes Regional Airport', 35.599899, -88.915604, 434, 'US', 'US-TN', 'Jackson', 'yes', 'KMKL', 'MKL', 'MKL', ''),
	('M41', 'small_airport', 'Holly Springs Marshall County Airport', 34.804298, -89.521103, 553, 'US', 'US-MS', 'Holly Springs', 'no', 'KM41', '', 'M41', 'Bishop Airport'),
	('15M', 'small_airport', 'Iuka Airport', 34.772300720214844, -88.16590118408203, 630, 'US', 'US-MS', 'Iuka', 'no', 'K15M', '', '15M', ''),
	('KNEY', 'N/A', 'N/A', 34.45242393761873, -89.14702847599983, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('19TN', 'small_airport', 'Ferraraccio Field', 36.493095, -87.187357, 620, 'US', 'US-TN', 'Clarksville', 'no', '19TN', '', '19TN', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TN77', 'small_airport', 'Whifferdill Airport', 36.32180023, -87.15070343, 622, 'US', 'US-TN', 'Chapmansboro', 'no', 'TN77', '', 'TN77', ''),
	('20A', 'small_airport', 'Robbins Field', 33.972301, -86.379402, 1140, 'US', 'US-AL', 'Oneonta', 'no', 'K20A', '', '20A', ''),
	('05TN', 'closed', 'Thurmond Glenn Field', 35.556998, -89.552903, 285, 'US', 'US-TN', 'Covington', 'no', '', '', '', '05TN'),
	('MS14', 'small_airport', 'John Farese Airpark', 34.813889, -89.199617, 565, 'US', 'US-MS', 'Ashland', 'no', 'MS14', '', 'MS14', ''),
	('KGHM', 'small_airport', 'Centerville Municipal Airport', 35.8373985291, -87.44539642330001, 768, 'US', 'US-TN', 'Centerville', 'no', 'KGHM', 'GHM', 'GHM', ''),
	('KNQA', 'medium_airport', 'Millington-Memphis Airport', 35.356701, -89.8703, 320, 'US', 'US-TN', 'Millington', 'no', 'KNQA', 'NQA', 'NQA', 'Millington Municipal, NAS Memphis, Millington Regional Jetport'),
	('TN26', 'closed', 'Baptist Hospital Heliport', 35.139, -90.030899, 255, 'US', 'US-TN', 'Memphis', 'no', '', '', '', 'TN26'),
	('3M5', 'small_airport', 'Moontown Airport', 34.747299, -86.461403, 650, 'US', 'US-AL', 'Huntsville', 'no', '3M5', '', '3M5', ''),
	('KDCU', 'small_airport', 'Pryor Field Regional Airport', 34.652698516799994, -86.94539642330001, 592, 'US', 'US-AL', 'Decatur', 'no', 'KDCU', 'DCU', 'DCU', ''),
	('M15', 'small_airport', 'James Tucker Perry County Airport', 35.594519, -87.876749, 740, 'US', 'US-TN', 'Linden', 'no', '', '', 'M15', 'Perry County Airport'),
	('TN01', 'small_airport', 'Ray Airport', 35.347171, -89.819658, 305, 'US', 'US-TN', 'Rosemark', 'no', 'TN01', '', 'TN01', ''),
	('0M5', 'small_airport', 'Humphreys County Airport', 36.1166, -87.738197, 756, 'US', 'US-TN', 'Waverly', 'no', '', '', '0M5', 'Music City Skydiving'),
	('TN97', 'small_airport', 'Triune Airfield', 35.807199, -86.612456, 740, 'US', 'US-TN', 'Nashville', 'no', 'TN97', '', 'TN97', ''),
	('95TN', 'small_airport', 'Blue Ridge Field', 36.526583, -87.172806, 525, 'US', 'US-TN', 'Adams', 'no', '95TN', '', '95TN', ''),
	('KDOP', 'N/A', 'N/A', 35.60306075960398, -86.9341591000557, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2MS9', 'small_airport', 'Kimmel Land & Cattle Airport', 33.83000183105469, -88.92279815673828, 265, 'US', 'US-MS', 'Houston', 'no', '2MS9', '', '2MS9', ''),
	('8A0', 'small_airport', 'Albertville Regional Airport/Thomas J Brumlik Field', 34.22909927, -86.25579834, 1032, 'US', 'US-AL', 'Albertville', 'no', '8A0', '', '8A0', ''),
	('MS52', 'closed', 'Leuth Flying Service Airport', 33.924619, -88.731108, 310, 'US', 'US-MS', 'Okolona', 'no', '', '', '', 'MS52'),
	('KEIW', 'small_airport', 'County Memorial Airport', 36.535301, -89.599701, 296, 'US', 'US-MO', 'New Madrid', 'no', 'KEIW', '', 'EIW', ''),
	('9TN1', 'small_airport', 'Versailles Aerodrome', 35.72999954223633, -86.53780364990234, 855, 'US', 'US-TN', 'Eagleville', 'no', '9TN1', '', '9TN1', ''),
	('MS76', 'small_airport', 'Wade Field', 33.775443, -89.24478, 300, 'US', 'US-MS', 'Calhoun City', 'no', 'MS76', '', 'MS76', 'Mike''s Flying Service'),
	('11TN', 'closed', 'Salem Field', 36.474998, -87.366699, 425, 'US', 'US-TN', 'Clarksville', 'no', '', '', '', '11TN'),
	('KSNH', 'small_airport', 'Savannah Hardin County Airport', 35.1703987121582, -88.21589660644531, 473, 'US', 'US-TN', 'Savannah', 'no', 'KSNH', '', 'SNH', ''),
	('M93', 'small_airport', 'Houston County Airport', 36.31316, -87.913969, 370, 'US', 'US-TN', 'Mc Kinnon', 'no', 'KM93', '', 'M93', ''),
	('25M', 'small_airport', 'Ripley Airport', 34.722301, -89.015099, 465, 'US', 'US-MS', 'Ripley', 'no', 'K25M', '', '25M', ''),
	('MS63', 'small_airport', 'Rye Field', 34.054298400878906, -88.37120056152344, 330, 'US', 'US-MS', 'Smithville', 'no', 'MS63', '', 'MS63', ''),
	('M54', 'small_airport', 'Lebanon Municipal Airport', 36.190399, -86.315697, 588, 'US', 'US-TN', 'Lebanon', 'no', 'KM54', '', 'M54', ''),
	('M91', 'small_airport', 'Springfield Robertson County Airport', 36.536801, -86.921182, 706, 'US', 'US-TN', 'Springfield', 'no', 'KM91', '', 'M91', ''),
	('KSYI', 'small_airport', 'Bomar Field Shelbyville Municipal Airport', 35.56010056, -86.44249725, 801, 'US', 'US-TN', 'Shelbyville', 'no', 'KSYI', 'SYI', 'SYI', ''),
	('1M4', 'small_airport', 'Posey Field', 34.2803, -87.600403, 930, 'US', 'US-AL', 'Haleyville', 'no', 'K1M4', '', '1M4', ''),
	('KDYR', 'small_airport', 'Dyersburg Regional Airport', 35.999158, -89.404898, 338, 'US', 'US-TN', 'Dyersburg', 'no', 'KDYR', '', 'DYR', ''),
	('42TN', 'small_airport', 'Oliver Landing Airport', 36.411944, -88.265556, 475, 'US', 'US-TN', 'Paris', 'no', '42TN', '', '42TN', ''),
	('KHAB', 'small_airport', 'Marion County Rankin Fite Airport', 34.11759949, -87.99819946, 436, 'US', 'US-AL', 'Hamilton', 'no', 'KHAB', 'HAB', 'HAB', ''),
	('10TN', 'small_airport', 'Flatwood Field', 36.0718994140625, -86.35440063476563, 600, 'US', 'US-TN', 'Lebanon', 'no', '10TN', '', '10TN', ''),
	('2M2', 'small_airport', 'Lawrenceburg Lawrence County Airport', 35.234299, -87.257896, 936, 'US', 'US-TN', 'Lawrenceburg', 'no', 'K2M2', '', '2M2', ''),
	('1M3', 'small_airport', 'Ardmore Airport', 34.977901, -86.884697, 920, 'US', 'US-AL', 'Ardmore', 'no', '1M3', '', '1M3', ''),
	('02TN', 'small_airport', 'Ellis Field', 35.780355, -86.585521, 840, 'US', 'US-TN', 'Rockvale', 'no', '02TN', '', '02TN', ''),
	('2MS8', 'small_airport', 'Spencer Field', 33.78969955444336, -89.87439727783203, 175, 'US', 'US-MS', 'Grenada', 'no', '2MS8', '', '2MS8', ''),
	('TN58', 'small_airport', 'Parsons Field', 35.391700744628906, -89.65650177001953, 330, 'US', 'US-TN', 'Brighton', 'no', 'TN58', '', 'TN58', ''),
	('MS62', 'closed', 'Davis Field', 34.991199, -89.815598, 410, 'US', 'US-MS', 'Olive Branch', 'no', '', '', '', 'MS62'),
	('KGNF', 'small_airport', 'Grenada Municipal Airport', 33.8325, -89.798203, 208, 'US', 'US-MS', 'Grenada', 'no', 'KGNF', '', 'GNF', ''),
	('AL93', 'small_airport', 'Big Sky Airport', 34.88560104370117, -86.70999908447266, 830, 'US', 'US-AL', 'Huntsville', 'no', 'AL93', '', 'AL93', ''),
	('TN36', 'small_airport', 'Flying I Ranch Airport', 35.762001037597656, -89.55120086669922, 350, 'US', 'US-TN', 'Ripley', 'no', 'TN36', '', 'TN36', ''),
	('9TN2', 'small_airport', 'Meadowlark Airport', 36.16389846801758, -88.2052993774414, 460, 'US', 'US-TN', 'Camden', 'no', '9TN2', '', '9TN2', ''),
	('1M7', 'small_airport', 'Fulton Airport', 36.525901794433594, -88.91560363769531, 400, 'US', 'US-KY', 'Fulton', 'no', '1M7', '', '1M7', ''),
	('KCMD', 'small_airport', 'Cullman Regional Airport-Folsom Field', 34.2687, -86.858002, 969, 'US', 'US-AL', 'Cullman', 'no', 'KCMD', '', 'CMD', '3A1'),
	('TN47', 'closed', 'Needham''s Airport', 35.289001, -89.741203, 289, 'US', 'US-TN', 'Arlington', 'no', '', '', '', 'TN47'),
	('TN48', 'small_airport', 'Turner Field', 36.2775993347168, -88.65370178222656, 401, 'US', 'US-TN', 'Dresden', 'no', 'TN48', '', 'TN48', ''),
	('50M', 'small_airport', 'Puckett Gliderport', 35.6894, -86.614998, 780, 'US', 'US-TN', 'Eagleville', 'no', '50M', '', '50M', ''),
	('5A4', 'small_airport', 'Okolona Municipal Airport Richard Stovall Field', 34.0158, -88.726196, 335, 'US', 'US-MS', 'Okolona', 'no', 'K5A4', '', '5A4', ''),
	('4AL8', 'small_airport', 'Milton Airport', 34.4906005859375, -86.67330169677734, 639, 'US', 'US-AL', 'Huntsville', 'no', '4AL8', '', '4AL8', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MS80', 'small_airport', 'Hasting Airpark', 33.994598388671875, -89.3125991821289, 275, 'US', 'US-MS', 'Bruce', 'no', 'MS80', '', 'MS80', ''),
	('AL72', 'closed', 'Palmer Field', 34.6954, -86.786102, 680, 'US', 'US-AL', 'Madison', 'no', '', '', '', 'AL72'),
	('KOLV', 'small_airport', 'Olive Branch Airport', 34.9786987305, -89.78690338130001, 402, 'US', 'US-MS', 'Olive Branch', 'no', 'KOLV', 'OLV', 'OLV', ''),
	('6TN1', 'small_airport', 'Weakleys Field', 36.4062, -87.082199, 705, 'US', 'US-TN', 'Chapmansboro', 'no', '6TN1', '', '6TN1', 'Pleasantview'),
	('3MS1', 'small_airport', 'Thomas Field', 34.806433, -89.461455, 485, 'US', 'US-MS', 'Holly Springs', 'no', '3MS1', '', '3MS1', 'North Mississippi Flying Service'),
	('KXNX', 'N/A', 'N/A', 36.37508064508438, -86.40841126441956, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TN37', 'small_airport', 'Anderson Airport', 35.40420150756836, -89.02230072021484, 392, 'US', 'US-TN', 'Toone', 'no', 'TN37', '', 'TN37', ''),
	('06TN', 'small_airport', 'Hunter Airport', 35.696962, -86.957767, 640, 'US', 'US-TN', 'Columbia', 'no', '06TN', '', '06TN', 'Hunter Field, Hunter''s Field, Hunter STOLport'),
	('2A8', 'small_airport', 'Addison Municipal Airport', 34.217038, -87.158353, 786, 'US', 'US-AL', 'Addison', 'no', '', '', '2A8', ''),
	('7AL2', 'small_airport', 'Peterson Field', 33.86482, -86.310835, 600, 'US', 'US-AL', 'Steele', 'no', '7AL2', '', '7AL2', ''),
	('0M2', 'small_airport', 'Reelfoot Lake Airport', 36.4753, -89.346199, 289, 'US', 'US-TN', 'Tiptonville', 'no', '', '', '0M2', ''),
	('M28', 'small_airport', 'Mid Continent Airport', 36.225101470947266, -89.72789764404297, 268, 'US', 'US-MO', 'Hayti', 'no', 'M28', '', 'M28', ''),
	('3TN3', 'small_airport', 'Wayne''s World Airport', 36.264622, -88.755541, 440, 'US', 'US-TN', 'Dresden', 'no', '3TN3', '', '3TN3', ''),
	('4TN3', 'small_airport', 'Hawks Nest Airport', 35.11830139160156, -89.3677978515625, 410, 'US', 'US-TN', 'Moscow', 'no', '4TN3', '', '4TN3', ''),
	('KUCY', 'small_airport', 'Everett-Stewart Regional Airport', 36.38180161, -88.98539734, 336, 'US', 'US-TN', 'Union City', 'no', 'KUCY', 'UCY', 'UCY', 'Union City Airport'),
	('8TN5', 'small_airport', 'Nobuzzn Airport', 36.486022, -86.911018, 650, 'US', 'US-TN', 'Springfield', 'no', '8TN5', '', '8TN5', ''),
	('M29', 'small_airport', 'Hassell Field', 35.383558, -87.968087, 401, 'US', 'US-TN', 'Clifton', 'no', 'M29', '', 'M29', ''),
	('KGZS', 'small_airport', 'Abernathy Field', 35.153702, -87.056801, 685, 'US', 'US-TN', 'Pulaski', 'no', 'KGZS', '', 'GZS', ''),
	('6TN9', 'small_airport', 'Dripping Springs Farm Airport', 36.0614013671875, -87.24720001220703, 728, 'US', 'US-TN', 'Burns', 'no', '6TN9', '', '6TN9', ''),
	('TN23', 'small_airport', 'Titan Field', 36.49025, -87.33421, 385, 'US', 'US-TN', 'Clarksville', 'no', 'TN23', '', 'TN23', ''),
	('0TN5', 'small_airport', 'McDonald Airport', 35.867729, -86.497907, 600, 'US', 'US-TN', 'Murfreesboro', 'no', '0TN5', '', '0TN5', ''),
	('2M8', 'small_airport', 'Charles W. Baker Airport', 35.278999, -89.931503, 247, 'US', 'US-TN', 'Millington', 'no', 'K2M8', '', '2M8', ''),
	('8TN1', 'small_airport', 'Parker Airport', 35.1963996887207, -89.62689971923828, 375, 'US', 'US-TN', 'Eads', 'no', '8TN1', '', '8TN1', ''),
	('0MS9', 'small_airport', 'Shenandoah Valley Farms Airport', 33.80070114135742, -89.02729797363281, 300, 'US', 'US-MS', 'Houston', 'no', '0MS9', '', '0MS9', ''),
	('KRET', 'N/A', 'N/A', 34.54257398843765, -86.60429164767265, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3TN6', 'small_airport', 'Wilson Field', 35.0968017578125, -89.28060150146484, 435, 'US', 'US-TN', 'Memphis', 'no', '3TN6', '', '3TN6', ''),
	('TN27', 'closed', 'Methodist Hospital Heliport', 35.235401, -89.3526, 400, 'US', 'US-TN', 'Somerville', 'no', '', '', '', 'TN27'),
	('AL46', 'seaplane_base', 'Shoals Creek Seaplane Base', 34.9025993347168, -87.58719635009766, 510, 'US', 'US-AL', 'Florence', 'no', 'AL46', '', 'AL46', ''),
	('KHUA', 'medium_airport', 'Redstone Army Air Field', 34.67869949, -86.68479919, 684, 'US', 'US-AL', 'Redstone Arsnl Huntsville', 'no', 'KHUA', 'HUA', 'HUA', ''),
	('TN68', 'closed', 'Gibson Airport', 35.768348, -86.548636, 805, 'US', 'US-TN', 'Murfreesboro', 'no', '', '', '', 'TN68'),
	('33M', 'small_airport', 'Water Valley Municipal Airport', 34.16680145263672, -89.68620300292969, 270, 'US', 'US-MS', 'Water Valley', 'no', 'K33M', '', '33M', ''),
	('KSZY', 'small_airport', 'Robert Sibley Airport', 35.20289993286133, -88.49839782714844, 610, 'US', 'US-TN', 'Selmer', 'no', 'KSZY', '', 'SZY', ''),
	('8A1', 'small_airport', 'Guntersville Municipal Joe Starnes Field', 34.399399, -86.270203, 615, 'US', 'US-AL', 'Guntersville', 'no', 'K8A1', '', '8A1', ''),
	('M85', 'small_airport', 'Gideon Memorial Airport', 36.443802, -89.903801, 268, 'US', 'US-MO', 'Gideon', 'no', 'KM85', '', 'M85', ''),
	('6TN7', 'small_airport', 'St. Somewhere Airport', 35.02389907836914, -89.20500183105469, 550, 'US', 'US-TN', 'Grand Junction', 'no', '6TN7', '', '6TN7', ''),
	('M02', 'small_airport', 'Dickson County Municipal Airport', 36.127998, -87.429802, 892, 'US', 'US-TN', 'Dickson', 'no', 'M02', '', 'M02', ''),
	('2TN3', 'closed', 'Oak Ridge Heliport', 36.001499, -84.247398, 1140, 'US', 'US-TN', 'Oak Ridge', 'no', '', '', '', '2TN3'),
	('AL34', 'small_airport', 'Elam''s Landing Airport', 34.446999, -87.386101, 685, 'US', 'US-AL', 'Moulton', 'no', 'AL34', '', 'AL34', 'Henson Field'),
	('TN79', 'small_airport', 'Oakley Airport', 36.173564, -86.952195, 400, 'US', 'US-TN', 'Nashville', 'no', 'TN79', '', 'TN79', ''),
	('3M2', 'small_airport', 'Double Springs/Winston County Airport', 34.144501, -87.327797, 753, 'US', 'US-AL', 'Double Springs', 'no', '', '', '3M2', ''),
	('KHSV', 'medium_airport', 'Huntsville International Carl T Jones Field', 34.637199, -86.775101, 629, 'US', 'US-AL', 'Huntsville', 'yes', 'KHSV', 'HSV', 'HSV', ''),
	('3AL8', 'small_airport', 'Flint River Ranch Airport', 34.61920166015625, -86.46690368652344, 590, 'US', 'US-AL', 'Owens Crossroads', 'no', '3AL8', '', '3AL8', ''),
	('AL99', 'closed', 'Blast Off Heliport', 30.839701, -87.772797, 241, 'US', 'US-AL', 'Bay Minette', 'no', '', '', '', 'AL99'),
	('1TN0', 'small_airport', 'Cedar Crest Field', 36.246415, -86.303381, 540, 'US', 'US-TN', 'Lebanon', 'no', '1TN0', '', '1TN0', ''),
	('39TN', 'small_airport', 'Big Sandy Airpark', 36.272649, -88.040646, 632, 'US', 'US-TN', 'Big Sandy', 'no', '39TN', '', '39TN', ''),
	('TN16', 'small_airport', 'Huntingdon Airport', 35.99449920654297, -88.46119689941406, 400, 'US', 'US-TN', 'Huntingdon', 'no', 'TN16', '', 'TN16', ''),
	('KARE', 'N/A', 'N/A', 35.28284892439842, -89.67226669192314, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('M08', 'small_airport', 'William L. Whitehurst Field', 35.2145, -89.043404, 499, 'US', 'US-TN', 'Bolivar', 'no', 'KM08', '', 'M08', ''),
	('4MS3', 'small_airport', 'Jeter Field', 34.95600128173828, -89.39399719238281, 520, 'US', 'US-MS', 'Sladen', 'no', '4MS3', '', '4MS3', ''),
	('6TN4', 'small_airport', 'The Aviation Valley Airport', 35.421902, -86.290298, 890, 'US', 'US-TN', 'Wartrace', 'no', '6TN4', '', '6TN4', ''),
	('KWAV', 'N/A', 'N/A', 36.14145118743181, -87.85119652748108, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KMEM', 'large_airport', 'Memphis International Airport', 35.0424, -89.9767, 341, 'US', 'US-TN', 'Memphis', 'yes', 'KMEM', 'MEM', 'MEM', ''),
	('M04', 'small_airport', 'Covington Municipal Airport', 35.583401, -89.587196, 280, 'US', 'US-TN', 'Covington', 'no', 'KM04', '', 'M04', ''),
	('M88', 'N/A', 'N/A', 36.18942350149155, -86.70063883066177, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0M1', 'N/A', 'N/A', 35.63779704272747, -88.12797233462334, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('00AL', 'small_airport', 'Epps Airpark', 34.86479949951172, -86.77030181884766, 820, 'US', 'US-AL', 'Harvest', 'no', '00AL', '', '00AL', ''),
	('47M', 'closed', 'Thornton Airport', 35.685398, -89.204498, 351, 'US', 'US-TN', 'Brownsville', 'no', '', '', '', '47M'),
	('50TN', 'small_airport', 'Paris Landing Airpark', 36.352339, -88.350492, 400, 'US', 'US-TN', 'Paris', 'no', '50TN', '', '50TN', ''),
	('KMSL', 'medium_airport', 'Northwest Alabama Regional Airport', 34.745123, -87.612981, 551, 'US', 'US-AL', 'Muscle Shoals', 'yes', 'KMSL', 'MSL', 'MSL', ''),
	('9TN4', 'small_airport', 'Foreman Field', 36.457698822021484, -86.94599914550781, 705, 'US', 'US-TN', 'Springfield', 'no', '9TN4', '', '9TN4', ''),
	('TN07', 'small_airport', 'Hawk Haven Airfield', 35.687198638916016, -86.60639953613281, 775, 'US', 'US-TN', 'Eagleville', 'no', 'TN07', '', 'TN07', ''),
	('5MS8', 'small_airport', 'Ball Airport', 33.872614, -88.724012, 298, 'US', 'US-MS', 'Okolona', 'no', '5MS8', '', '5MS8', ''),
	('AL29', 'small_airport', 'New Horizon Airport', 34.12929916381836, -86.63330078125, 750, 'US', 'US-AL', 'Blountsville', 'no', 'AL29', '', 'AL29', ''),
	('93AR', 'closed', 'Ohlendorf Airport', 35.620899, -89.986198, 232, 'US', 'US-AR', 'Osceola', 'no', '', '', '', '93AR'),
	('8TN7', 'small_airport', 'Short Creek Airport', 36.401967, -87.992018, 390, 'US', 'US-TN', 'Dover', 'no', '8TN7', '', '8TN7', ''),
	('11M', 'small_airport', 'Fulton-Itawamba County Airport', 34.352001, -88.377296, 450, 'US', 'US-MS', 'Fulton', 'no', '11M', '', '11M', ''),
	('TN96', 'small_airport', 'Fall Creek Field', 36.04119873046875, -86.3582992553711, 675, 'US', 'US-TN', 'Lebanon', 'no', 'TN96', '', 'TN96', ''),
	('AL30', 'closed', 'Mizell Memorial Hospital Heliport', 31.2932, -86.254097, 298, 'US', 'US-AL', 'Opp', 'no', '', '', '', 'AL30'),
	('04M', 'small_airport', 'Calhoun County Airport', 33.930038, -89.343266, 383, 'US', 'US-MS', 'Pittsboro', 'no', 'K04M', '', '04M', ''),
	('8MS2', 'small_airport', 'Godspeed Airpark', 34.234296, -88.507179, 350, 'US', 'US-MS', 'Fulton', 'no', '8MS2', '', '8MS2', ''),
	('M38', 'small_airport', 'Hazel Green Airport', 34.916199, -86.646896, 814, 'US', 'US-AL', 'Hazel Green', 'no', 'M38', '', 'M38', ''),
	('KPHT', 'small_airport', 'Henry County Airport', 36.338199615499995, -88.38289642330001, 580, 'US', 'US-TN', 'Paris', 'no', 'KPHT', 'PHT', 'PHT', ''),
	('4MS4', 'small_airport', 'Spearman Field', 34.15769958496094, -88.76020050048828, 270, 'US', 'US-MS', 'Shannon', 'no', '4MS4', '', '4MS4', ''),
	('8M1', 'small_airport', 'Booneville-Baldwyn Airport', 34.590801, -88.647598, 384, 'US', 'US-MS', 'Baldwyn', 'no', 'K8M1', '', '8M1', ''),
	('7MS3', 'small_airport', 'Maidment Field', 34.710888, -89.719194, 370, 'US', 'US-MS', 'Coldwater', 'no', '7MS3', '', '7MS3', ''),
	('MS9', 'small_airport', 'Eagles Ridge Airport', 34.796426, -89.913218, 262, 'US', 'US-MS', 'Hernando', 'no', '', '', 'MS9', '1MS6'),
	('M12', 'small_airport', 'Steele Municipal Airport', 36.09590149, -89.86340332, 258, 'US', 'US-MO', 'Steele', 'no', 'KM12', '', 'M12', ''),
	('KMRC', 'small_airport', 'Maury County Airport', 35.5541000366, -87.17890167239999, 681, 'US', 'US-TN', 'Columbia/Mount Pleasant', 'no', 'KMRC', 'MRC', 'MRC', ''),
	('MS68', 'closed', 'Lamb''s Field', 34.3265, -88.572502, 458, 'US', 'US-MS', 'Mantachie', 'no', '', '', '', 'MS68'),
	('M52', 'small_airport', 'Franklin Wilkins Airport', 35.65129852294922, -88.37889862060547, 514, 'US', 'US-TN', 'Lexington', 'no', 'KM52', '', 'M52', ''),
	('KPVE', 'small_airport', 'Beech River Regional Airport', 35.656399, -88.195396, 488, 'US', 'US-TN', 'Darden', 'no', 'KPVE', '', 'PVE', 'Lexington, Parsons'),
	('TN14', 'small_airport', 'T-Top Airfield', 35.689701080322266, -86.63580322265625, 770, 'US', 'US-TN', 'Eagleville', 'no', 'TN14', '', 'TN14', ''),
	('54M', 'small_airport', 'Wolf River Airport', 35.054001, -89.580002, 310, 'US', 'US-TN', 'Rossville', 'no', '54MA', '', '54MA', '54M'),
	('01M', 'small_airport', 'Tishomingo County Airport', 34.490924, -88.200996, 578, 'US', 'US-MS', 'Belmont', 'no', 'K01M', '', '01M', ''),
	('KFYE', 'small_airport', 'Fayette County Airport', 35.207699, -89.394501, 436, 'US', 'US-TN', 'Somerville', 'no', 'KFYE', '', 'FYE', ''),
	('0M4', 'small_airport', 'Benton County Airport', 36.011101, -88.123299, 468, 'US', 'US-TN', 'Camden', 'no', '', '', '0M4', ''),
	('M55', 'small_airport', 'Lamar County Airport', 33.846699, -88.115501, 463, 'US', 'US-AL', 'Vernon', 'no', 'M55', '', 'M55', ''),
	('3J4', 'N/A', 'N/A', 34.90997526794672, -89.95371580123901, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TN13', 'closed', 'Barret Airport', 35.375099, -89.766701, 240, 'US', 'US-TN', 'Millington', 'no', '', '', '', 'TN13, Barretville'),
	('KAIV', 'small_airport', 'George Downer Airport', 33.106499, -88.1978, 150, 'US', 'US-AL', 'Aliceville', 'no', 'KAIV', 'AIV', 'AIV', ''),
	('MS04', 'closed', 'Hopper Field', 33.622501, -88.286102, 300, 'US', 'US-MS', 'Steens', 'no', '', '', '', 'MS04'),
	('5AL1', 'small_airport', 'Mc Gowin Field', 31.6807003021, -86.68190002440001, 400, 'US', 'US-AL', 'Chapman', 'no', '5AL1', '', '5AL1', ''),
	('00M', 'small_airport', 'Thigpen Field', 31.953728, -89.23527, 351, 'US', 'US-MS', 'Bay Springs', 'no', 'K00M', '', '00M', ''),
	('4MS0', 'small_airport', 'Payne Airport', 32.30061, -89.859034, 359, 'US', 'US-MS', 'Brandon', 'no', '4MS0', '', '4MS0', 'PFS, Pelahatchie'),
	('KTCL', 'medium_airport', 'Tuscaloosa National Airport', 33.2206, -87.611397, 170, 'US', 'US-AL', 'Tuscaloosa', 'no', 'KTCL', 'TCL', 'TCL', ''),
	('5AL3', 'small_airport', 'Flying X Ranch Airport', 33.15290069580078, -86.85140228271484, 466, 'US', 'US-AL', 'Montevallo', 'no', '5AL3', '', '5AL3', ''),
	('KSTF', 'small_airport', 'George M Bryan Airport', 33.43310165, -88.84860229, 333, 'US', 'US-MS', 'Starkville', 'no', 'KSTF', '', 'STF', ''),
	('AL00', 'closed', 'Charlie Wilkes Airport', 33.7444, -87.7864, 340, 'US', 'US-AL', 'Fayette', 'no', '', '', '', 'AL00'),
	('MS39', 'small_airport', 'Smith County Airport', 31.820999145507813, -89.4583969116211, 332, 'US', 'US-MS', 'Taylorsville', 'no', 'MS39', '', 'MS39', ''),
	('49FL', 'small_airport', 'Mike''s Ag Air Airport', 30.977100372299997, -87.4950027466, 210, 'US', 'US-FL', 'Walnut Hill', 'no', '49FL', '', '49FL', ''),
	('KANA', 'N/A', 'N/A', 31.496575623750687, -86.50145754218102, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('M59', 'small_airport', 'Richton Perry County Airport', 31.3174, -88.934998, 167, 'US', 'US-MS', 'Richton', 'no', 'KM59', '', 'M59', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('2MS3', 'closed', 'TGP Station 542 Heliport', 32.638901, -88.660004, 305, 'US', 'US-MS', 'De Kalb', 'no', '', '', '', '2MS3'),
	('KPIK', 'N/A', 'N/A', 32.89806604385376, -89.96500298380852, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHBG', 'medium_airport', 'Hattiesburg Bobby L Chain Municipal Airport', 31.26479912, -89.25279999, 151, 'US', 'US-MS', 'Hattiesburg', 'no', 'KHBG', 'HBG', 'HBG', ''),
	('KMGM', 'medium_airport', 'Montgomery Regional (Dannelly Field) Airport', 32.300598, -86.393997, 221, 'US', 'US-AL', 'Montgomery', 'yes', 'KMGM', 'MGM', 'MGM', ''),
	('3M8', 'small_airport', 'North Pickens Airport', 33.386799, -88.006599, 237, 'US', 'US-AL', 'Reform', 'no', 'K3M8', '', '3M8', ''),
	('71A', 'small_airport', 'Pine Hill Municipal Airport', 31.966801, -87.583298, 123, 'US', 'US-AL', 'Pine Hill', 'no', 'K71A', '', '71A', ''),
	('02FD', 'small_airport', 'Triple R Ranch Airport', 30.950976, -86.635555, 209, 'US', 'US-FL', 'Baker', 'no', '02FD', '', '02FD', ''),
	('M83', 'small_airport', 'Mccharen Field', 33.58399963378906, -88.66670227050781, 205, 'US', 'US-MS', 'West Point', 'no', 'KM83', '', 'M83', ''),
	('AL16', 'small_airport', 'Turkey Creek Airport', 33.72679901123047, -86.72360229492188, 640, 'US', 'US-AL', 'Pinson', 'no', 'AL16', '', 'AL16', ''),
	('KGTR', 'medium_airport', 'Golden Triangle Regional Airport', 33.450298, -88.5914, 264, 'US', 'US-MS', 'Columbus/W Point/Starkville', 'yes', 'KGTR', 'GTR', 'GTR', ''),
	('6MS1', 'small_airport', 'Woodbridge Airport', 32.4557991027832, -89.9697036743164, 325, 'US', 'US-MS', 'Brandon', 'no', '6MS1', '', '6MS1', ''),
	('76R', 'N/A', 'N/A', 31.49208292365074, -87.2884351015091, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AL18', 'small_airport', 'Parker Field', 33.67620086669922, -86.86750030517578, 590, 'US', 'US-AL', 'Gardendale', 'no', 'AL18', '', 'AL18', ''),
	('KBRK', 'N/A', 'N/A', 33.324460834264755, -88.52628171443939, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7A0', 'small_airport', 'Greensboro Municipal Airport', 32.681499, -87.662102, 180, 'US', 'US-AL', 'Greensboro', 'no', 'K7A0', '', '7A0', ''),
	('AL17', 'small_airport', 'Lazy Eight Airpark Llc Airport', 33.2340011597, -86.51300048830001, 450, 'US', 'US-AL', 'Wilsonville', 'no', 'AL17', '', 'AL17', ''),
	('0R1', 'small_airport', 'Atmore Municipal Airport', 31.016199, -87.4468, 287, 'US', 'US-AL', 'Atmore', 'no', '', '', '0R1', ''),
	('79J', 'medium_airport', 'South Alabama Regional At Bill Benton Field Airport', 31.3088, -86.393799, 310, 'US', 'US-AL', 'Andalusia/Opp', 'no', 'K79J', '', '79J', 'Andalusia Opp Airport'),
	('3MS5', 'small_airport', 'Mitchells Airport', 33.300218, -89.814039, 323, 'US', 'US-MS', 'Vaiden', 'no', '3MS5', '', '3MS5', 'Mitchell''s'),
	('KSCD', 'small_airport', 'Merkel Field Sylacauga Municipal Airport', 33.171799, -86.305496, 569, 'US', 'US-AL', 'Sylacauga', 'no', 'KSCD', '', 'SCD', ''),
	('FL96', 'closed', 'Jay Airport', 30.9557, -87.130501, 254, 'US', 'US-FL', 'Jay', 'no', '', '', '', 'FL96'),
	('04A', 'small_airport', 'Frank Sikes Airport', 31.7363, -86.262497, 300, 'US', 'US-AL', 'Luverne', 'no', '', '', '04A', ''),
	('KUBS', 'small_airport', 'Columbus Lowndes County Airport', 33.4654006958, -88.3803024292, 188, 'US', 'US-MS', 'Columbus', 'no', 'KUBS', 'UBS', 'UBS', ''),
	('MS36', 'small_airport', 'Supplejack Airport', 32.647256, -89.972541, 340, 'US', 'US-MS', 'Canton', 'no', 'MS36', '', 'MS36', ''),
	('02A', 'small_airport', 'Chilton County Airport / Gragg-Wade Field', 32.850498, -86.611397, 585, 'US', 'US-AL', 'Clanton', 'no', 'K02A', '', '02A', ''),
	('KMPE', 'small_airport', 'Philadelphia Municipal Airport', 32.7994, -89.125999, 458, 'US', 'US-MS', 'Philadelphia', 'no', 'KMPE', '', 'MPE', ''),
	('33MS', 'small_airport', 'Freedom Strip', 31.102297, -89.418755, 361, 'US', 'US-MS', 'Purvis', 'no', '33MS', '', '33MS', ''),
	('KDYA', 'small_airport', 'Demopolis Municipal Airport', 32.463799, -87.954102, 113, 'US', 'US-AL', 'Demopolis', 'no', 'KDYA', '', 'DYA', 'Formerly 7A2'),
	('4MS5', 'small_airport', 'Bird Nest Airport', 31.001399993896484, -88.51699829101563, 311, 'US', 'US-MS', 'Lucedale', 'no', '4MS5', '', '4MS5', ''),
	('12J', 'small_airport', 'Brewton Municipal Airport', 31.0506, -87.065598, 99, 'US', 'US-AL', 'Brewton', 'no', 'K12J', '', '12J', ''),
	('M23', 'small_airport', 'James H Easom Field', 32.311908, -89.135556, 369, 'US', 'US-MS', 'Newton', 'no', 'KM23', '', 'M23', 'O''Keefe Field'),
	('06M', 'small_airport', 'City of Eupora Airport', 33.534622, -89.312975, 450, 'US', 'US-MS', 'Eupora', 'no', 'K06M', '', '06M', ''),
	('14MS', 'small_airport', 'Rose Field', 32.345298767089844, -89.0342025756836, 400, 'US', 'US-MS', 'Hickory', 'no', '14MS', '', '14MS', ''),
	('KLMS', 'small_airport', 'Louisville Winston County Airport', 33.1461982727, -89.0625, 575, 'US', 'US-MS', 'Louisville', 'no', 'KLMS', 'LMS', 'LMS', ''),
	('KCBM', 'medium_airport', 'Columbus Air Force Base', 33.643799, -88.443802, 219, 'US', 'US-MS', 'Columbus', 'no', 'KCBM', 'CBM', 'CBM', ''),
	('MS70', 'small_airport', 'McLain-Calico Airport', 32.735361, -88.925679, 560, 'US', 'US-MS', 'DeKalb', 'no', 'MS70', '', 'MS70', ''),
	('3MS9', 'small_airport', 'Union Municipal Airport', 32.581038, -89.136972, 512, 'US', 'US-MS', 'Union', 'no', '3MS9', '', '3MS9', ''),
	('KNJW', 'small_airport', 'Joe Williams Naval Outlying Field', 32.798529, -88.834333, 539, 'US', 'US-MS', 'Preston', 'no', 'KNJW', '', 'NJW', ''),
	('AL76', 'small_airport', 'Mayfield (Private) Airport', 32.84870147705078, -86.87000274658203, 495, 'US', 'US-AL', 'Maplesville', 'no', 'AL76', '', 'AL76', ''),
	('9MS9', 'small_airport', 'Beets Airport', 31.202544, -89.749755, 238, 'US', 'US-MS', 'Columbia', 'no', '9MS9', '', '9MS9', ''),
	('0MS0', 'small_airport', 'Topton Air Estates Airport', 32.474998474121094, -88.61669921875, 453, 'US', 'US-MS', 'Meridian', 'no', '0MS0', '', '0MS0', ''),
	('4R1', 'small_airport', 'I H Bass Jr Memorial Airport', 31.015499114990234, -89.48259735107422, 310, 'US', 'US-MS', 'Lumberton', 'no', 'K4R1', '', '4R1', ''),
	('4AL9', 'small_airport', 'T W Spear Memorial Airport', 31.974700927699995, -86.2938995361, 438, 'US', 'US-AL', 'Lapine', 'no', '4AL9', '', '4AL9', ''),
	('5A6', 'small_airport', 'Winona–Montgomery County Airport', 33.4654007, -89.72920227, 364, 'US', 'US-MS', 'Winona', 'no', '5A6', '', '5A6', ''),
	('9M4', 'small_airport', 'Ackerman Choctaw County Airport', 33.30172, -89.227352, 552, 'US', 'US-MS', 'Ackerman', 'no', '', '', '9M4', ''),
	('1AL8', 'small_airport', 'Moore Field', 33.61109924316406, -86.47440338134766, 730, 'US', 'US-AL', 'Moody', 'no', '1AL8', '', '1AL8', ''),
	('4R3', 'small_airport', 'Jackson Municipal Airport', 31.4720993, -87.8946991, 62, 'US', 'US-AL', 'Jackson', 'no', 'K4R3', '', '4R3', ''),
	('23A', 'closed', 'Mallard Airport', 32.500293, -88.269525, 185, 'US', 'US-AL', 'York', 'no', '', '', '', '23A'),
	('3AL6', 'small_airport', 'Town & Country Airpark', 33.4901008605957, -86.4124984741211, 730, 'US', 'US-AL', 'Branchville', 'no', '3AL6', '', '3AL6', ''),
	('3A7', 'small_airport', 'Eutaw Municipal Airport', 32.819523, -87.864761, 170, 'US', 'US-AL', 'Eutaw', 'no', '', '', '3A7', ''),
	('KSEM', 'small_airport', 'Craig Field', 32.343898773193, -86.987800598145, 166, 'US', 'US-AL', 'Selma', 'no', 'KSEM', 'SEM', 'SEM', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('09A', 'small_airport', 'Butler-Choctaw County Airport', 32.119301, -88.127502, 134, 'US', 'US-AL', 'Butler', 'no', '', '', '09A', ''),
	('46AL', 'seaplane_base', 'Sly Pig''s Base Seaplane Base', 33.198332, -86.475, 396, 'US', 'US-AL', 'Sylacauga', 'no', '46AL', '', '46AL', ''),
	('3AL7', 'closed', 'Flowers Field', 32.284229, -87.518896, 280, 'US', 'US-AL', 'Thomaston', 'no', '', '', '', '3AL7'),
	('MS29', 'small_airport', 'Pace Airstrip', 32.601944, -89.863889, 350, 'US', 'US-MS', 'Canton', 'no', 'MS29', '', 'MS29', ''),
	('MS96', 'small_airport', 'Barrett Field', 32.756187, -89.094851, 435, 'US', 'US-MS', 'Philadelphia', 'no', 'MS96', '', 'MS96', ''),
	('AL03', 'small_airport', 'Strickland/Smalley Field', 35.853889, -87.723889, 369, 'US', 'US-AL', 'Akron', 'no', '', '', 'AL03', 'AL03'),
	('17M', 'small_airport', 'Magee Municipal Airport', 31.862699508666992, -89.80059814453125, 555, 'US', 'US-MS', 'Magee', 'no', 'K17M', '', '17M', ''),
	('M43', 'small_airport', 'Prentiss Jefferson Davis County Airport', 31.595352, -89.90653, 455, 'US', 'US-MS', 'Prentiss', 'no', 'KM43', '', 'M43', ''),
	('61A', 'small_airport', 'Camden Municipal Airport', 31.9797, -87.339104, 143, 'US', 'US-AL', 'Camden', 'no', 'K61A', '', '61A', ''),
	('0R0', 'small_airport', 'Columbia-Marion County Airport', 31.297001, -89.812798, 265, 'US', 'US-MS', 'Columbia', 'no', '', '', '0R0', ''),
	('KEET', 'medium_airport', 'Shelby County Airport', 33.17699814, -86.78279877, 586, 'US', 'US-AL', 'Alabaster', 'no', 'KEET', '', 'EET', '21A'),
	('67A', 'small_airport', 'Fort Deposit Lowndes County Airport', 31.972382, -86.59215, 490, 'US', 'US-AL', 'Fort Deposit', 'no', '67A', '', '67A', ''),
	('32MS', 'small_airport', 'Browns Landing', 31.194167, -89.9525, 385, 'US', 'US-MS', 'Foxworth', 'no', '32MS', '', '32MS', ''),
	('KMEI', 'medium_airport', 'Key Field / Meridian Regional Airport', 32.3326, -88.7519, 297, 'US', 'US-MS', 'Meridian', 'yes', 'KMEI', 'MEI', 'MEI', ''),
	('A08', 'small_airport', 'Vaiden Field', 32.512402, -87.385597, 225, 'US', 'US-AL', 'Marion', 'no', 'A08', '', 'A08', 'AL08'),
	('01AL', 'small_airport', 'Ware Island Airport', 32.94599914550781, -86.51390075683594, 344, 'US', 'US-AL', 'Clanton', 'no', '01AL', '', '01AL', ''),
	('KRAR', 'N/A', 'N/A', 31.466314271092415, -89.43773746490479, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1MS2', 'small_airport', 'Peterson Airport', 32.942816, -89.930005, 240, 'US', 'US-MS', 'Goodman', 'no', '1MS2', '', '1MS2', 'Pickens Air Service'),
	('3MS8', 'small_airport', 'Fairview Farms Airport', 32.94219970703125, -88.3635025024414, 170, 'US', 'US-MS', 'Scooba', 'no', '3MS8', '', '3MS8', ''),
	('8AL2', 'small_airport', 'Charles C Killough Field', 33.355426, -86.262135, 443, 'US', 'US-AL', 'Talladega', 'no', '8AL2', '', '8AL2', ''),
	('MS11', 'small_airport', 'Mohr Farm Airport', 32.208499908447266, -89.94170379638672, 360, 'US', 'US-MS', 'Brandon', 'no', 'MS11', '', 'MS11', ''),
	('6MS6', 'small_airport', 'Kaehr Airport', 32.401461, -89.896952, 345, 'US', 'US-MS', 'Brandon', 'no', '6MS6', '', '6MS6', ''),
	('AL40', 'closed', 'Bonham Airport', 33.543201, -86.985802, 600, 'US', 'US-AL', 'Birmingham', 'no', '', '', '', 'AL40'),
	('KEKY', 'small_airport', 'Bessemer Airport', 33.312901, -86.925903, 700, 'US', 'US-AL', 'Bessemer', 'no', 'KEKY', '', 'EKY', '2A3'),
	('AL02', 'closed', 'Rainey Field', 33.150101, -87.441704, 300, 'US', 'US-AL', 'Cottondale', 'no', '', '', '', 'AL02'),
	('M51', 'small_airport', 'Oktibbeha Airport', 33.497501373291016, -88.6812973022461, 250, 'US', 'US-MS', 'Starkville', 'no', 'KM51', '', 'M51', ''),
	('KMXF', 'medium_airport', 'Maxwell Air Force Base', 32.3829, -86.365799, 171, 'US', 'US-AL', 'Montgomery', 'no', 'KMXF', 'MXF', 'MXF', ''),
	('AL33', 'small_airport', 'Sturdy Oak Farm Airport', 31.02519989013672, -87.58580017089844, 230, 'US', 'US-AL', 'Perdido', 'no', 'AL33', '', 'AL33', ''),
	('68AL', 'small_airport', 'Heart of Dixie Aero Estates Airport', 31.80866, -86.524716, 382, 'US', 'US-AL', 'Greenville', 'no', '68AL', '', '68AL', ''),
	('5MS4', 'closed', 'Walnut Creek Airport', 32.591925, -89.924912, 315, 'US', 'US-MS', 'Canton', 'no', '', '', '', '5MS4'),
	('KBHM', 'medium_airport', 'Birmingham-Shuttlesworth International Airport', 33.562901, -86.753502, 650, 'US', 'US-AL', 'Birmingham', 'yes', 'KBHM', 'BHM', 'BHM', ''),
	('70A', 'small_airport', 'Freddie Jones Field', 32.2668, -87.718102, 161, 'US', 'US-AL', 'Linden', 'no', 'K70A', '', '70A', ''),
	('KLUL', 'small_airport', 'Hesler Noble Field', 31.672599792499998, -89.172203064, 238, 'US', 'US-MS', 'Laurel', 'no', 'KLUL', 'LUL', 'LUL', ''),
	('2R0', 'small_airport', 'Waynesboro Municipal Airport', 31.645999908447266, -88.63480377197266, 164, 'US', 'US-MS', 'Waynesboro', 'no', 'K2R0', '', '2R0', ''),
	('KMVC', 'small_airport', 'Monroe County Aeroplex Airport', 31.458, -87.350996, 419, 'US', 'US-AL', 'Monroeville', 'no', 'KMVC', 'MVC', 'MVC', ''),
	('KPEL', 'N/A', 'N/A', 31.328663304448128, -89.25199404358864, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1MS8', 'small_airport', 'Columbus Air Force Base Auxiliary Field (Gunshy)', 32.940102, -88.579201, 260, 'US', 'US-MS', 'Shuqualak', 'no', '1MS8', '', '1MS8', ''),
	('KDEK', 'N/A', 'N/A', 32.82142862677574, -88.40147718787193, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('S63', 'closed', 'Skyharbor Airport', 32.366841, -87.105746, 125, 'US', 'US-AL', 'Marion Junction', 'no', '', '', '', 'S63, Selma'),
	('46MS', 'small_airport', 'Circle Bar Ranch Airport', 31.295000076293945, -89.98500061035156, 420, 'US', 'US-MS', 'Foxworth', 'no', '46MS', '', '46MS', ''),
	('AL92', 'small_airport', 'Hawk Field', 33.30730056762695, -86.40360260009766, 420, 'US', 'US-AL', 'Harpersville', 'no', 'AL92', '', 'AL92', ''),
	('0AL5', 'small_airport', 'Flomaton Airport', 31.03219985961914, -87.25279998779297, 247, 'US', 'US-AL', 'Flomaton', 'no', '0AL5', '', '0AL5', ''),
	('1AL2', 'small_airport', 'Tri-L Acres Airport', 33.248600006103516, -86.59750366210938, 580, 'US', 'US-AL', 'Columbiana', 'no', '1AL2', '', '1AL2', ''),
	('MS08', 'small_airport', 'Harrell Field', 32.4739, -89.851799, 385, 'US', 'US-MS', 'Pisgah', 'no', 'MS08', '', 'MS08', ''),
	('3A0', 'closed', 'Grove Hill Municipal Airport', 31.689301, -87.761398, 478, 'US', 'US-AL', 'Grove Hill', 'no', '', '', '', '3A0, 3A0'),
	('85FL', 'small_airport', 'Thomas Farms Airport', 30.96929931640625, -87.05159759521484, 215, 'US', 'US-FL', 'Jay', 'no', '85FL', '', '85FL', ''),
	('KGZH', 'small_airport', 'Evergreen Regional Airport/Middleton Field', 31.4158, -87.043999, 259, 'US', 'US-AL', 'Evergreen', 'no', 'KGZH', '', 'GZH', '39J, Middleton Field'),
	('AL43', 'small_airport', 'Henley Ranch Airport', 32.90850067138672, -88.3333969116211, 200, 'US', 'US-AL', 'Geiger', 'no', 'AL43', '', 'AL43', ''),
	('KPRN', 'small_airport', 'Mac Crenshaw Memorial Airport', 31.845699, -86.610703, 451, 'US', 'US-AL', 'Greenville', 'no', 'KPRN', '', 'PRN', ''),
	('2AL0', 'closed', 'Paulling Place Airstrip', 32.351799, -87.545602, 275, 'US', 'US-AL', 'Dayton', 'no', '', '', '', '2AL0, 2AL0, 2AL0'),
	('SLJ', 'small_airport', 'Solomon Airport', -22.25677, 117.850454, 2030, 'AU', 'AU-WA', 'Karijini National Park', 'no', 'YSOL', 'SLJ', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('0A8', 'small_airport', 'Bibb County Airport', 32.93691, -87.090533, 251, 'US', 'US-AL', 'Centreville', 'no', 'K0A8', '', '0A8', ''),
	('MS20', 'closed', 'Newell Flying Service Airport', 33.354801, -90.579002, 126, 'US', 'US-MS', 'Inverness', 'no', '', '', '', 'MS20'),
	('M95', 'small_airport', 'Richard Arthur Field', 33.709158, -87.815266, 357, 'US', 'US-AL', 'Fayette', 'no', 'M95', '', 'M95', ''),
	('7MS1', 'small_airport', 'Eagle Crest Estates Airport', 32.603484, -89.980216, 280, 'US', 'US-MS', 'Canton', 'no', '7MS1', '', '7MS1', ''),
	('20M', 'small_airport', 'Macon Municipal Airport', 33.13349914550781, -88.53559875488281, 238, 'US', 'US-MS', 'Macon', 'no', 'K20M', '', '20M', ''),
	('KOSX', 'small_airport', 'Kosciusko Attala County Airport', 33.090302, -89.542, 480, 'US', 'US-MS', 'Kosciusko', 'no', 'KOSX', 'OSX', 'OSX', ''),
	('KNMM', 'medium_airport', 'Naval Air Station Meridian / McCain Field', 32.5531, -88.55406, 316, 'US', 'US-MS', 'Lauderdale', 'no', 'KNMM', '', 'NMM', ''),
	('SH1', 'small_airport', 'Shelby Auxiliary Field #1 Airport', 31.205185, -89.175961, 305, 'US', 'US-MS', 'Hattiesburg', 'no', '', '', '', ''),
	('71AL', 'small_airport', 'Sells Airport', 31.808649, -86.52411, 380, 'US', 'US-AL', 'Greenville', 'no', '71AL', '', '71AL', ''),
	('6AL6', 'small_airport', 'Hawthorn Pines Airport', 31.387348, -88.094473, 150, 'US', 'US-AL', 'Wagarville', 'no', '6AL6', '', '6AL6', ''),
	('0MS2', 'small_airport', 'Morgan Field', 31.541799545288086, -89.3917007446289, 300, 'US', 'US-MS', 'Seminary', 'no', '0MS2', '', '0MS2', ''),
	('5R1', 'small_airport', 'Roy Wilcox Airport', 31.451799, -88.194504, 165, 'US', 'US-AL', 'Chatom', 'no', 'K5R1', '', '5R1', ''),
	('KEAJ', 'N/A', 'N/A', 32.15809788554907, -87.44814142584801, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1A9', 'small_airport', 'Prattville - Grouby Field', 32.438702, -86.512703, 225, 'US', 'US-AL', 'Prattville', 'no', 'K1A9', '', '1A9', 'Autauga County'),
	('08A', 'small_airport', 'Wetumpka Municipal Airport', 32.5294, -86.328201, 197, 'US', 'US-AL', 'Elmore', 'no', '', '', '08A', 'Air Evac 64 Heliport, Wetumpka City'),
	('KPIB', 'medium_airport', 'Hattiesburg Laurel Regional Airport', 31.4671, -89.337097, 298, 'US', 'US-MS', 'Moselle', 'yes', 'KPIB', 'PIB', 'PIB', ''),
	('5MS3', 'small_airport', 'Porter Airport', 31.174999237060547, -89.8031005859375, 158, 'US', 'US-MS', 'Columbia', 'no', '5MS3', '', '5MS3', ''),
	('2M4', 'small_airport', 'G V Montgomery Airport', 32.354867, -89.48824, 517, 'US', 'US-MS', 'Forest', 'no', 'K2M4', '', '2M4', 'Forest Municipal'),
	('08M', 'small_airport', 'Carthage-Leake County Airport', 32.7612, -89.530098, 454, 'US', 'US-MS', 'Carthage', 'no', '', '', '08M', ''),
	('23M', 'small_airport', 'Clarke County Airport', 32.0849, -88.738897, 320, 'US', 'US-MS', 'Quitman', 'no', '', '', '23M', ''),
	('0J4', 'small_airport', 'Florala Municipal Airport', 31.0425, -86.3116, 314, 'US', 'US-AL', 'Florala', 'no', '', '', '0J4', ''),
	('AL97', 'small_airport', 'Williamson Farm Airport', 30.644927, -87.670512, 162, 'US', 'US-AL', 'Loxley', 'no', 'AL97', '', 'AL97', ''),
	('KJKA', 'small_airport', 'Jack Edwards National Airport', 30.290501, -87.671799, 17, 'US', 'US-AL', 'Gulf Shores', 'no', 'KJKA', 'GUF', 'JKA', 'AL15'),
	('22MS', 'small_airport', 'Sky Landings Airport', 30.836486, -88.57056, 260, 'US', 'US-MS', 'Lucedale', 'no', '22MS', '', '22MS', ''),
	('0MS7', 'closed', 'Hale Field', 34.342602, -89.143097, 346, 'US', 'US-MS', 'Pontotoc', 'no', '', '', '', '0MS7'),
	('AL81', 'closed', 'Wallace Field', 30.5551, -87.64414, 125, 'US', 'US-AL', 'Robertsdale', 'no', '', '', '', '9J0, AL81'),
	('18FD', 'small_airport', 'Skypark Estates Owners Assoc Airport', 30.853394, -86.667214, 250, 'US', 'US-FL', 'Baker', 'no', '18FD', '', '18FD', 'Sky Ranch Airport'),
	('56FL', 'small_airport', 'Buchanan Airport', 30.875999450683594, -87.2074966430664, 246, 'US', 'US-FL', 'Jay', 'no', '56FL', '', '56FL', ''),
	('54AL', 'small_airport', 'Belforest Field', 30.597517, -87.821419, 150, 'US', 'US-AL', 'Daphne', 'no', '54AL', '', '54AL', ''),
	('KEGI', 'medium_airport', 'Duke Field', 30.65040016, -86.52290344, 191, 'US', 'US-FL', 'Crestview', 'no', 'KEGI', 'EGI', 'EGI', 'Eglin AF Auxiliary Number 3'),
	('KPOP', 'N/A', 'N/A', 29.38184928148985, -89.38070252537727, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LS87', 'closed', 'Compressor Station 527 Heliport', 29.5149, -89.730598, 3, 'US', 'US-LA', 'Happy Jack', 'no', '', '', '', 'LS87'),
	('AL15', 'closed', 'Styron Airport', 30.403, -87.724197, 120, 'US', 'US-AL', 'Foley', 'no', '', '', '', 'AL15, AL15, AL15'),
	('AL69', 'small_airport', 'Vaughn Private Airport', 30.511838, -87.496708, 30, 'US', 'US-AL', 'Summerdale', 'no', 'AL69', '', 'AL69', ''),
	('KNFD', 'small_airport', 'Summerdale Naval Outlying Field', 30.5077, -87.6455, 149, 'US', 'US-AL', 'Summerdale', 'no', 'KNFD', '', 'NFD', ''),
	('KDTS', 'medium_airport', 'Destin Executive Airport', 30.400101, -86.471497, 23, 'US', 'US-FL', 'Destin', 'yes', 'KDTS', 'DSI', 'DTS', '81J, Destin-Fort Walton Beach Airport'),
	('KHRT', 'medium_airport', 'Hurlburt Field', 30.427799, -86.689301, 38, 'US', 'US-FL', 'Mary Esther', 'no', 'KHRT', '', 'HRT', ''),
	('KNIC', 'N/A', 'N/A', 30.670299008488655, -86.35301694273949, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEAF', 'N/A', 'N/A', 30.22966168820858, -88.01657125353813, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('57AL', 'small_airport', 'Baswell Airport', 30.6532, -87.723701, 190, 'US', 'US-AL', 'Loxley', 'no', '57AL', '', '57AL', ''),
	('5R4', 'small_airport', 'Foley Municipal Airport', 30.4277, -87.700798, 74, 'US', 'US-AL', 'Foley', 'no', 'K5R4', '', '5R4', ''),
	('83J', 'closed', 'Coastal Airport', 30.5319, -87.3853, 110, 'US', 'US-FL', 'Pensacola', 'no', '', '', '', '83J'),
	('FD93', 'small_airport', 'Yellow River Airstrip', 30.686354, -86.747564, 150, 'US', 'US-FL', 'Holt', 'no', 'FD93', '', 'FD93', ''),
	('15A', 'small_airport', 'Mark Reynolds/North Mobile County Airport', 30.90937, -87.996111, 60, 'US', 'US-AL', 'Creola', 'no', 'K15A', '', '15A', ''),
	('M13', 'small_airport', 'Poplarville Pearl River County Airport', 30.785999298096, -89.504501342773, 320, 'US', 'US-MS', 'Poplarville', 'no', 'M13', 'PCU', 'M13', ''),
	('KPER', 'N/A', 'N/A', 30.140852071344852, -89.64617505669594, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KNFJ', 'small_airport', 'Choctaw Nolf Airport', 30.506901, -86.959702, 102, 'US', 'US-FL', 'Milton', 'no', 'KNFJ', '', 'NFJ', ''),
	('AL55', 'small_airport', 'Shields Airport', 30.433936, -87.457211, 95, 'US', 'US-AL', 'Elberta', 'no', 'AL55', '', 'AL55', ''),
	('MS82', 'small_airport', 'Shade Tree Field', 30.510499954223633, -89.14730072021484, 113, 'US', 'US-MS', 'Lyman', 'no', 'MS82', '', 'MS82', ''),
	('MS26', 'small_airport', 'Cedar Creek Air Ranch Airport', 30.802200317382813, -88.54750061035156, 165, 'US', 'US-MS', 'Lucedale', 'no', 'MS26', '', 'MS26', ''),
	('5AL', 'seaplane_base', 'Fish River Seaplane Base', 30.450000762939453, -87.80780029296875, 3, 'US', 'US-AL', 'Fairhope', 'no', '5AL', '', '5AL', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('2AL6', 'small_airport', 'Dale O. Galer Aerodrome', 30.491981, -88.197307, 40, 'US', 'US-AL', 'Irvington', 'no', '2AL6', '', '2AL6', 'Theodore'),
	('4AL3', 'closed', 'Wallace State College Heliport', 34.066898, -86.790802, 630, 'US', 'US-AL', 'Hanceville', 'no', '', '', '', '4AL3'),
	('2LA8', 'closed', 'Transco Heliport', 29.983, -92.281503, 12, 'US', 'US-LA', 'Kaplan', 'no', '', '', '', '2LA8'),
	('MS48', 'small_airport', 'George Ford Airport', 30.62190055847168, -89.69650268554688, 60, 'US', 'US-MS', 'Picayune', 'no', 'MS48', '', 'MS48', ''),
	('62AL', 'small_airport', 'Skywest Airpark', 30.6835, -88.372002, 150, 'US', 'US-AL', 'Mobile', 'no', '62AL', '', '62AL', 'formerly S26, 2AL6'),
	('1AL5', 'small_airport', 'Berry Field', 30.63640022277832, -87.747802734375, 170, 'US', 'US-AL', 'Loxley', 'no', '1AL5', '', '1AL5', ''),
	('53LA', 'seaplane_base', 'Shell Central Facilities Seaplane Base', 29.057199478149414, -89.30280303955078, 0, 'US', 'US-LA', 'Venice', 'no', '53LA', '', '53LA', ''),
	('KNDZ', 'medium_airport', 'Whiting Field Naval Air Station South Airport', 30.704399, -87.023003, 177, 'US', 'US-FL', 'Milton', 'no', 'KNDZ', '', 'NDZ', ''),
	('AL74', 'small_airport', 'Grimes Field', 30.764400482177734, -88.30580139160156, 215, 'US', 'US-AL', 'Semmes', 'no', 'AL74', '', 'AL74', ''),
	('1AL4', 'small_airport', 'Elsanor Airport', 30.543654, -87.560391, 180, 'US', 'US-AL', 'Robertsdale', 'no', '1AL4', '', '1AL4', ''),
	('FD82', 'closed', 'Porter Airport', 30.839218, -87.102999, 180, 'US', 'US-FL', 'Jay', 'no', '', '', '', 'FD82, Porter STOLport'),
	('KPOL', 'N/A', 'N/A', 29.091761000454426, -89.20323505997658, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AL61', 'closed', 'Belforest Airport', 30.616899, -87.858299, 140, 'US', 'US-AL', 'Daphne', 'no', '', '', '', 'AL61'),
	('AL75', 'seaplane_base', 'Gulf State Park Seaplane Base', 30.2632999420166, -87.63690185546875, 0, 'US', 'US-AL', 'Gulf Shores', 'no', 'AL75', '', 'AL75', ''),
	('M24', 'small_airport', 'Dean Griffin Memorial Airport', 30.84320068359375, -89.15979766845703, 270, 'US', 'US-MS', 'Wiggins', 'no', 'KM24', '', 'M24', ''),
	('5R2', 'small_airport', 'Ocean Springs Airport', 30.389400482177734, -88.75340270996094, 20, 'US', 'US-MS', 'Ocean Springs', 'no', 'K5R2', '', '5R2', ''),
	('KBXA', 'small_airport', 'George R Carr Memorial Air Field', 30.813699722299997, -89.8649978638, 119, 'US', 'US-LA', 'Bogalusa', 'no', 'KBXA', 'BXA', 'BXA', ''),
	('AL78', 'small_airport', 'Klumpp Airport', 30.526899337768555, -87.85420227050781, 111, 'US', 'US-AL', 'Fairhope', 'no', 'AL78', '', 'AL78', ''),
	('AL94', 'small_airport', 'Evans Field', 30.812700271606445, -88.377197265625, 212, 'US', 'US-AL', 'Wilmer', 'no', 'AL94', '', 'AL94', ''),
	('MS99', 'closed', 'Rocking T Ranch Airport', 30.251357, -89.545527, 14, 'US', 'US-MS', 'Bay St. Louis', 'no', '', '', '', 'MS99'),
	('KNUN', 'closed', 'Saufley Naval Outlying Landing Field', 30.47008, -87.341108, 85, 'US', 'US-FL', 'Pensacola', 'no', '', '', '', 'KNUN, NUN, NUN'),
	('KPOR', 'N/A', 'N/A', 29.40288081765175, -89.52206522226334, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('L31', 'small_airport', 'St. Tammany Regional Airport', 30.445101, -89.988899, 39, 'US', 'US-LA', 'Covington', 'no', 'KL31', '', 'L31', 'LA08'),
	('4R9', 'small_airport', 'Dauphin Island Airport', 30.2605, -88.127502, 5, 'US', 'US-AL', 'Dauphin Island', 'no', 'K4R9', '', '4R9', ''),
	('16FL', 'small_airport', 'J-22 Ranch Airport', 30.725184, -87.200769, 200, 'US', 'US-FL', 'Milton', 'no', '16FL', '', '16FL', ''),
	('FD89', 'small_airport', 'Collier/Pine Barren Airpark', 30.82710075378418, -87.3582992553711, 220, 'US', 'US-FL', 'Century', 'no', 'FD89', '', 'FD89', ''),
	('FL06', 'closed', 'Golden Harvest Flying Svc Inc Airport', 30.903, -87.0439, 255, 'US', 'US-FL', 'Jay', 'no', '', '', '', 'FL06'),
	('50FL', 'small_airport', 'Odom''s Flying Service Airport', 30.853300094604492, -87.2394027709961, 245, 'US', 'US-FL', 'Jay', 'no', '50FL', '', '50FL', ''),
	('KPQL', 'small_airport', 'Trent Lott International Airport', 30.462799072266, -88.529197692871, 17, 'US', 'US-MS', 'Pascagoula', 'no', 'KPQL', 'PGL', 'PQL', ''),
	('82J', 'small_airport', 'Roscoe Field', 30.39829, -87.348926, 32, 'US', 'US-FL', 'Pensacola', 'no', '', '', '82J', 'Ferguson Airport'),
	('KWRG', 'N/A', 'N/A', 30.58710291981697, -86.62311181426048, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1J9', 'small_airport', 'Fort Walton Beach Airport', 30.4063, -86.829102, 22, 'US', 'US-FL', 'Navarre', 'no', '1J9', '', '1J9', ''),
	('NKL', 'N/A', 'N/A', 30.425988659262657, -86.89489915966988, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2R5', 'small_airport', 'St Elmo Airport', 30.5019, -88.275101, 132, 'US', 'US-AL', 'St Elmo', 'no', 'K2R5', '', '2R5', ''),
	('AL08', 'small_airport', 'Perdido Winds Airpark', 30.424400329589844, -87.5353012084961, 75, 'US', 'US-AL', 'Elberta', 'no', 'AL08', '', 'AL08', ''),
	('93FD', 'small_airport', 'Chumuckla 20-20 Airport', 30.754600524902344, -87.17749786376953, 205, 'US', 'US-FL', 'Milton', 'no', '93FD', '', '93FD', ''),
	('KNIE', 'N/A', 'N/A', 30.536835975944996, -86.32416665554047, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KNSE', 'medium_airport', 'Whiting Field Naval Air Station - North', 30.7241993, -87.02189636, 199, 'US', 'US-FL', 'Milton', 'no', 'KNSE', 'NSE', 'NSE', ''),
	('66Y', 'small_airport', 'Diamondhead Airport', 30.363001, -89.387703, 14, 'US', 'US-MS', 'Diamondhead', 'no', '', '', '66Y', ''),
	('24FL', 'small_airport', 'Garcon Field', 30.495574, -87.086821, 16, 'US', 'US-FL', 'Milton', 'no', '24FL', '', '24FL', '"Garçon"'),
	('KNBJ', 'small_airport', 'Naval Outlying Field Barin', 30.389099121100003, -87.63529968259999, 54, 'US', 'US-AL', 'Foley', 'no', 'KNBJ', 'NHX', 'NBJ', 'Barin NOLF'),
	('7AL9', 'small_airport', 'Horak Airport', 30.466899871826172, -87.5416030883789, 110, 'US', 'US-AL', 'Elberta', 'no', '7AL9', '', '7AL9', ''),
	('48FL', 'small_airport', 'Mc Kinnon Airpark', 30.8141002655, -87.47499847410002, 227, 'US', 'US-FL', 'Walnut Hill', 'no', '48FL', '', '48FL', ''),
	('AL04', 'closed', 'Pleasant View Farm Airport', 30.4627, -87.525002, 105, 'US', 'US-AL', 'Elberta', 'no', '', '', '', 'AL04'),
	('KBIX', 'medium_airport', 'Keesler Air Force Base', 30.4104003906, -88.92440032959999, 33, 'US', 'US-MS', 'Biloxi', 'no', 'KBIX', 'BIX', 'BIX', ''),
	('MS93', 'small_airport', 'Hooper Skylark Field', 30.726600646972656, -89.73169708251953, 150, 'US', 'US-MS', 'Mc Neil', 'no', 'MS93', '', 'MS93', ''),
	('KBFM', 'medium_airport', 'Mobile Downtown Airport', 30.626800537100003, -88.06809997559999, 26, 'US', 'US-AL', 'Mobile', 'no', 'KBFM', 'BFM', 'BFM', ''),
	('KPOS', 'N/A', 'N/A', 29.580994583666325, -89.53268051147461, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHEM', 'N/A', 'N/A', 30.475343987345695, -88.47769036889076, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FL17', 'small_airport', 'Ruckel Airport', 30.51959991455078, -86.43830108642578, 67, 'US', 'US-FL', 'Niceville', 'no', 'FL17', '', 'FL17', ''),
	('4AL2', 'closed', 'Irwin Farms Airport', 30.373199, -87.725601, 25, 'US', 'US-AL', 'Foley', 'no', '', '', '', '4AL2');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1R8', 'small_airport', 'Bay Minette Municipal Airport', 30.870321, -87.819298, 248, 'US', 'US-AL', 'Bay Minette', 'no', '', '', '1R8', ''),
	('KNHL', 'closed', 'Wolf NOLF Airport', 30.3461, -87.541702, 61, 'US', 'US-AL', 'Joesphine', 'no', '', '', '', 'KNHL, KNHL, KNHL'),
	('KHSA', 'small_airport', 'Stennis International Airport', 30.3678, -89.454597, 23, 'US', 'US-MS', 'Bay St Louis', 'no', 'KHSA', '', 'HSA', ''),
	('FL34', 'small_airport', 'Eglin Test Site B6 Airport', 30.631900787353516, -86.74720001220703, 120, 'US', 'US-FL', 'Valparaiso', 'no', 'FL34', '', 'FL34', ''),
	('4LA0', 'seaplane_base', 'Port Sulphur Seaplane Base', 29.46269989013672, -89.70279693603516, 0, 'US', 'US-LA', 'Port Sulphur', 'no', '4LA0', '', '4LA0', ''),
	('KGPT', 'medium_airport', 'Gulfport Biloxi International Airport', 30.407301, -89.070099, 28, 'US', 'US-MS', 'Gulfport', 'yes', 'KGPT', 'GPT', 'GPT', ''),
	('KNRQ', 'small_airport', 'Spencer Nolf Airport', 30.62529945373535, -87.13999938964844, 151, 'US', 'US-FL', 'Pace', 'no', 'KNRQ', '', 'NRQ', ''),
	('5LA6', 'seaplane_base', 'E-8 Tank Battery Seaplane Base', 28.950199127197266, -89.38780212402344, 0, 'US', 'US-LA', 'Venice', 'no', '5LA6', '', '5LA6', ''),
	('13MS', 'small_airport', 'Greener Pastures Airpark', 30.63330078125, -89.66390228271484, 180, 'US', 'US-MS', 'Carriere', 'no', '13MS', '', '13MS', ''),
	('AL84', 'small_airport', 'Pecan Ponds Farm Airport', 30.540622, -87.568846, 131, 'US', 'US-AL', 'Robertsdale', 'no', 'AL84', '', 'AL84', ''),
	('8FD3', 'small_airport', 'Blackwater Airfield', 30.877700805664063, -86.85440063476563, 200, 'US', 'US-FL', 'Munson', 'no', '8FD3', '', '8FD3', ''),
	('0FD5', 'small_airport', 'Breezy Knoll Airport', 30.820199966430664, -86.34439849853516, 235, 'US', 'US-FL', 'Defuniak Springs', 'no', '0FD5', '', '0FD5', ''),
	('KROT', 'N/A', 'N/A', 30.508091412484646, -87.78285831212997, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0AL1', 'small_airport', 'Resort Airport', 30.443899154663086, -87.65689849853516, 97, 'US', 'US-AL', 'Foley', 'no', '0AL1', '', '0AL1', ''),
	('7LA7', 'seaplane_base', 'Romere Pass Seaplane Base', 29.27630043029785, -89.24199676513672, 0, 'US', 'US-LA', 'Venice', 'no', '7LA7', '', '7LA7', ''),
	('11LA', 'seaplane_base', 'Tiger Pass Seaplane Base', 29.258800506591797, -89.35299682617188, 0, 'US', 'US-LA', 'Venice', 'no', '11LA', '', '11LA', ''),
	('FD03', 'small_airport', 'The Funny Farm Airport', 30.800199508666992, -86.43550109863281, 200, 'US', 'US-FL', 'Crestview', 'no', 'FD03', '', 'FD03', ''),
	('KASD', 'small_airport', 'Slidell Airport', 30.3451, -89.820801, 29, 'US', 'US-LA', 'Slidell', 'no', 'KASD', '', 'ASD', ''),
	('69FD', 'small_airport', 'Unicorn Place Airport', 30.84469985961914, -86.28140258789063, 260, 'US', 'US-FL', 'Defuniak Springs', 'no', '69FD', '', '69FD', ''),
	('KPNS', 'medium_airport', 'Pensacola International Airport', 30.4734, -87.1866, 121, 'US', 'US-FL', 'Pensacola', 'yes', 'KPNS', 'PNS', 'PNS', ''),
	('02AL', 'small_airport', 'Bass Field', 30.37150001525879, -87.76439666748047, 61, 'US', 'US-AL', 'Foley', 'no', '02AL', '', '02AL', ''),
	('55FD', 'small_airport', 'Dotson Airport', 30.818500518798828, -86.68800354003906, 251, 'US', 'US-FL', 'Baker', 'no', '55FD', '', '55FD', ''),
	('5MS2', 'small_airport', 'Turkey Bayou Airpark', 30.25079917907715, -89.45099639892578, 9, 'US', 'US-MS', 'Lakeshore', 'no', '5MS2', '', '5MS2', ''),
	('2R4', 'small_airport', 'Peter Prince Field', 30.6376, -86.993698, 82, 'US', 'US-FL', 'Milton', 'no', 'K2R4', '', '2R4', ''),
	('5MS5', 'small_airport', 'Mint Julep Airpark', 30.54520034790039, -89.46279907226563, 100, 'US', 'US-MS', 'Picayune', 'no', '5MS5', '', '5MS5', ''),
	('5R7', 'small_airport', 'Roy E. Ray Airport', 30.454599, -88.210602, 80, 'US', 'US-AL', 'Bayou La Batre', 'no', '5R7', '', '5R7', ''),
	('KCQF', 'N/A', 'N/A', 30.460499972105026, -87.87702798843384, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7LA1', 'small_airport', 'Birdwin Airport', 29.46023, -89.67766, 2, 'US', 'US-LA', 'Port Sulphur', 'no', '7LA1', '', '7LA1', ''),
	('KMOB', 'medium_airport', 'Mobile Regional Airport', 30.6912, -88.242798, 219, 'US', 'US-AL', 'Mobile', 'yes', 'KMOB', 'MOB', 'MOB', ''),
	('AL58', 'seaplane_base', 'Lower Delta Seaplane Base', 30.675476, -87.959871, 0, 'US', 'US-AL', 'Spanish Fort', 'no', 'AL58', '', 'AL58', ''),
	('2AL1', 'small_airport', 'Collier Airpark', 30.424100875854492, -87.77780151367188, 74, 'US', 'US-AL', 'Magnolia Springs', 'no', '2AL1', '', '2AL1', ''),
	('MS88', 'small_airport', 'Oreck Airport', 30.77739906311035, -89.72509765625, 180, 'US', 'US-MS', 'Poplarville', 'no', 'MS88', '', 'MS88', ''),
	('FL81', 'small_airport', 'Triple B Airpark', 30.78190040588379, -86.46720123291016, 210, 'US', 'US-FL', 'Crestview', 'no', 'FL81', '', 'FL81', ''),
	('KNQB', 'small_airport', 'Silverhill Naval Outlying Landing Field', 30.563601, -87.8097, 129, 'US', 'US-AL', 'Daphne', 'no', 'KNQB', '', 'KNQB', ''),
	('MS27', 'small_airport', 'Aerohead Airport', 30.706899642944336, -88.42919921875, 130, 'US', 'US-MS', 'Hurley', 'no', 'MS27', '', 'MS27', ''),
	('26AL', 'small_airport', 'Richardson Field', 30.62420082092285, -88.27860260009766, 180, 'US', 'US-AL', 'Mobile', 'no', '26AL', '', '26AL', ''),
	('AL35', 'small_airport', 'Mc Ginnis Airport', 30.619600296, -87.7043991089, 125, 'US', 'US-AL', 'Loxley', 'no', 'AL35', '', 'AL35', ''),
	('34MS', 'small_airport', 'Colle Field', 30.473800659179688, -88.69619750976563, 25, 'US', 'US-MS', 'Gautier', 'no', '34MS', '', '34MS', ''),
	('AL96', 'seaplane_base', 'Bon Secour Seaplane Base', 30.29829978942871, -87.74079895019531, 0, 'US', 'US-AL', 'Gulf Shores', 'no', 'AL96', '', 'AL96', ''),
	('KNGS', 'small_airport', 'Santa Rosa Naval Outlying Field Airport', 30.6108, -86.940002, 150, 'US', 'US-FL', 'Milton', 'no', 'KNGS', '', 'NGS', ''),
	('KNPA', 'medium_airport', 'Naval Air Station Pensacola Forrest Sherman Field', 30.352699, -87.318604, 28, 'US', 'US-FL', 'Pensacola', 'no', 'KNPA', 'NPA', 'NPA', 'NAS, KNAS'),
	('KVPS', 'medium_airport', 'Destin-Fort Walton Beach Airport', 30.4832, -86.525398, 87, 'US', 'US-FL', 'Valparaiso', 'yes', 'KVPS', 'VPS', 'VPS', 'Eglin AFB'),
	('08AL', 'seaplane_base', 'Little Lagoon Seaplane Base', 30.243717, -87.754678, 8, 'US', 'US-AL', 'Gulf Shores', 'no', '08AL', '', '08AL', ''),
	('8FL6', 'small_airport', 'George T Mc Cutchan Airport', 30.673500061035156, -86.85189819335938, 160, 'US', 'US-FL', 'Harold', 'no', '8FL6', '', '8FL6', ''),
	('KCEW', 'medium_airport', 'Bob Sikes Airport', 30.778799057, -86.522102356, 213, 'US', 'US-FL', 'Crestview', 'no', 'KCEW', 'CEW', 'CEW', ''),
	('KMJD', 'small_airport', 'Picayune Municipal Airport', 30.48749924, -89.65119934, 55, 'US', 'US-MS', 'Picayune', 'no', 'KMJD', '', 'MJD', ''),
	('Z29F', 'N/A', 'N/A', 30.53314257413149, -86.80613324046135, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEGG', 'N/A', 'N/A', 30.51198899745941, -86.58956900238991, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2C5', 'small_airport', 'Almena Airport', 42.253002, -85.851789, 740, 'US', 'US-MI', 'Paw Paw', 'no', '', '', '2C5', ''),
	('45G', 'small_airport', 'Brighton Airport', 42.569801, -83.778503, 973, 'US', 'US-MI', 'Brighton', 'no', 'K45G', '', '45G', ''),
	('38C', 'small_airport', 'Cain Field', 43.599998474121094, -85.49310302734375, 889, 'US', 'US-MI', 'Stanwood', 'no', '38C', '', '38C', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('3L7', 'small_airport', 'Flying M Ranch Airport', 44.7383, -83.3797, 830, 'US', 'US-MI', 'Lincoln', 'no', '3L7', '', '3L7', ''),
	('4N0', 'small_airport', 'Newman''s Airport', 42.288813, -85.748949, 840, 'US', 'US-MI', 'Kalamazoo', 'no', '', '', '4N0', ''),
	('KARB', 'small_airport', 'Ann Arbor Municipal Airport', 42.2229995728, -83.74559783939999, 839, 'US', 'US-MI', 'Ann Arbor', 'no', 'KARB', 'ARB', 'ARB', ''),
	('KBTL', 'medium_airport', 'Battle Creek Executive Airport at Kellogg Field', 42.307301, -85.251503, 952, 'US', 'US-MI', 'Battle Creek', 'no', 'KBTL', 'BTL', 'BTL', 'W K Kellogg'),
	('4Y4', 'small_airport', 'Lakes of the North Airport', 44.912498, -84.876404, 1286, 'US', 'US-MI', 'Gaylord', 'no', 'K4Y4', '', '4Y4', ''),
	('KSOH', 'N/A', 'N/A', 42.422397807240486, -86.23787015676498, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KGRR', 'medium_airport', 'Gerald R. Ford International Airport', 42.88079834, -85.52279663, 794, 'US', 'US-MI', 'Grand Rapids', 'yes', 'KGRR', 'GRR', 'GRR', ''),
	('KDTW', 'large_airport', 'Detroit Metropolitan Wayne County Airport', 42.21377, -83.353786, 645, 'US', 'US-MI', 'Detroit', 'yes', 'KDTW', 'DTW', 'DTW', 'DTT, Detroit Metro Airport'),
	('KEAQ', 'N/A', 'N/A', 42.46553912758827, -84.70476552844048, 286, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('68R', 'small_airport', 'Hamp Airport', 43.399502, -84.800797, 825, 'US', 'US-MI', 'Elwell', 'no', '68R', '', '68R', ''),
	('27C', 'small_airport', 'Mecosta Morton Airport', 43.63046, -85.261095, 1022, 'US', 'US-MI', 'Mecosta', 'no', 'K27C', '', '27C', ''),
	('KMTC', 'medium_airport', 'Selfridge Air National Guard Base Airport', 42.613463, -82.836919, 580, 'US', 'US-MI', 'Mount Clemens', 'no', 'KMTC', 'MTC', 'MTC', ''),
	('4M4', 'small_airport', 'Shady Lawn Field', 43.128584, -84.381293, 683, 'US', 'US-MI', 'Bannister', 'no', '', '', '4M4', ''),
	('KRQB', 'small_airport', 'Roben Hood Airport', 43.7225990295, -85.50409698490002, 990, 'US', 'US-MI', 'Big Rapids', 'no', 'KRQB', 'WBR', 'RQB', ''),
	('6Y6', 'small_airport', 'St Helen Airport', 44.36669921875, -84.4000015258789, 1198, 'US', 'US-MI', 'St Helen', 'no', '6Y6', '', '6Y6', ''),
	('KCAD', 'small_airport', 'Wexford County Airport', 44.275749, -85.421534, 1307, 'US', 'US-MI', 'Cadillac', 'no', 'KCAD', 'CAD', 'CAD', ''),
	('KBAX', 'small_airport', 'Huron County Memorial Airport', 43.780201, -82.985397, 763, 'US', 'US-MI', 'Bad Axe', 'no', 'KBAX', '', 'BAX', 'E53'),
	('24C', 'small_airport', 'Lowell City Airport', 42.953899, -85.343903, 681, 'US', 'US-MI', 'Lowell', 'no', '24C', '', '24C', ''),
	('56G', 'small_airport', 'Indian Creek Ranch Airport', 43.577701568603516, -82.64759826660156, 745, 'US', 'US-MI', 'Deckerville', 'no', '56G', '', '56G', ''),
	('MI27', 'small_airport', 'Haigh Airport', 42.612065, -83.859102, 1000, 'US', 'US-MI', 'Howell', 'no', 'MI27', '', 'MI27', ''),
	('KHYX', 'small_airport', 'Saginaw County H.W. Browne Airport', 43.433399, -83.862297, 601, 'US', 'US-MI', 'Saginaw', 'no', 'KHYX', '', 'HYX', ''),
	('KMBL', 'small_airport', 'Manistee County Blacker Airport', 44.272707, -86.246495, 621, 'US', 'US-MI', 'Manistee', 'yes', 'KMBL', 'MBL', 'MBL', ''),
	('KIKW', 'N/A', 'N/A', 43.66292484104633, -84.2613136768341, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MI15', 'small_airport', 'Wards Long Acres Airport', 42.72919845581055, -82.66519927978516, 618, 'US', 'US-MI', 'Fair Haven', 'no', 'MI15', '', 'MI15', ''),
	('23MI', 'closed', 'Betsie River Airstrip', 44.573601, -85.889, 825, 'US', 'US-MI', 'Thompsonville', 'no', '', '', '', '23MI'),
	('KACB', 'small_airport', 'Antrim County Airport', 44.988602, -85.198402, 623, 'US', 'US-MI', 'Bellaire', 'no', 'KACB', 'ACB', 'ACB', ''),
	('47G', 'small_airport', 'Mayes Airport', 43.240898, -84.879997, 790, 'US', 'US-MI', 'Carson City', 'no', '47G', '', '47G', ''),
	('48G', 'small_airport', 'Gavagan Field', 43.10340118408203, -82.89019775390625, 800, 'US', 'US-MI', 'Yale', 'no', '48G', '', '48G', ''),
	('41C', 'small_airport', 'Calkins Field', 42.691605, -85.647727, 740, 'US', 'US-MI', 'Wayland', 'no', '', '', '41C', ''),
	('04MI', 'small_airport', 'Rapids Airway Airport', 42.53450012207031, -84.62830352783203, 880, 'US', 'US-MI', 'Eaton Rapids', 'no', '04MI', '', '04MI', ''),
	('56C', 'small_airport', 'Boulder Canyon Airport', 43.075769, -85.268283, 987, 'US', 'US-MI', 'Belding', 'no', '', '', '56C', 'MI56'),
	('MI84', 'small_airport', 'Kerby Field', 42.19839859008789, -85.80670166015625, 780, 'US', 'US-MI', 'Mattawan', 'no', 'MI84', '', 'MI84', ''),
	('KJXN', 'medium_airport', 'Jackson County Airport/Reynolds Field', 42.260509, -84.463019, 1001, 'US', 'US-MI', 'Jackson', 'no', 'KJXN', 'JXN', 'JXN', ''),
	('2MI0', 'closed', 'Woodside Airport', 43.214626, -84.045094, 615, 'US', 'US-MI', 'Chesaning', 'no', '', '', '', '2MI0'),
	('7MI2', 'closed', 'Beckman Airport', 42.277802, -85.890297, 740, 'US', 'US-MI', 'Paw Paw', 'no', '', '', '', '7MI2'),
	('51G', 'small_airport', 'Alkay Airport', 43.143588, -83.796938, 722, 'US', 'US-MI', 'Clio', 'no', '', '', '51G', 'Cagney'),
	('MI33', 'closed', 'Adair Airstrip', 42.792301, -82.639397, 631, 'US', 'US-MI', 'Richmond', 'no', '', '', '', 'MI33'),
	('4Y9', 'small_airport', 'Eagles Landing Airport', 44.3083000183, -85.77230072020001, 1010, 'US', 'US-MI', 'Harrietta', 'no', '4Y9', '', '4Y9', 'Bunch''s Half Acre Airport'),
	('MI60', 'small_airport', 'Tannehill Airfield', 44.591400146484375, -85.31079864501953, 1050, 'US', 'US-MI', 'Fife Lake', 'no', 'MI60', '', 'MI60', ''),
	('MI28', 'heliport', 'Dow Division Heliport', 43.59230041503906, -84.22440338134766, 635, 'US', 'US-MI', 'Midland', 'no', 'MI28', '', 'MI28', ''),
	('KVLL', 'small_airport', 'Oakland Troy Airport', 42.5429, -83.177902, 727, 'US', 'US-MI', 'Troy', 'no', 'KVLL', '', 'VLL', ''),
	('07D', 'closed', 'Tackaberry Airport', 43.064499, -82.723801, 764, 'US', 'US-MI', 'Avoca', 'no', '', '', '', '07D'),
	('2E2', 'small_airport', 'Sharpe''s Strip', 42.95159912109375, -82.7759017944336, 810, 'US', 'US-MI', 'Emmett', 'no', '2E2', '', '2E2', ''),
	('4MI8', 'N/A', 'N/A', 43.241666816174984, -82.58277788758278, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3S5', 'small_airport', 'Schiffer Acres Airport', 43.035736, -84.435631, 735, 'US', 'US-MI', 'Saint Johns', 'no', 'K3S5', '', '3S5', 'Al''s Aerial Spraying'),
	('KBIV', 'small_airport', 'West Michigan Regional Airport', 42.742901, -86.107399, 698, 'US', 'US-MI', 'Holland', 'no', 'KBIV', '', 'BIV', 'Tulip City Airport'),
	('44MI', 'small_airport', 'Airbatco Field', 42.774235, -84.903217, 852, 'US', 'US-MI', 'Mulliken', 'no', '44MI', '', '44MI', ''),
	('KLAN', 'medium_airport', 'Capital City Airport', 42.77870178222656, -84.58740234375, 861, 'US', 'US-MI', 'Lansing', 'yes', 'KLAN', 'LAN', 'LAN', ''),
	('KTEW', 'small_airport', 'Mason Jewett Field', 42.5658, -84.423203, 920, 'US', 'US-MI', 'Mason', 'no', 'KTEW', '', 'TEW', ''),
	('D95', 'small_airport', 'Dupont-Lapeer Airport', 43.066601, -83.272301, 834, 'US', 'US-MI', 'Lapeer', 'no', 'D95', '', 'D95', ''),
	('1D2', 'small_airport', 'Canton-Plymouth-Mettetal Airport', 42.348202, -83.456299, 696, 'US', 'US-MI', 'Plymouth', 'no', '1D2', '', '1D2', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('48D', 'small_airport', 'Clare Municipal Airport', 43.834499, -84.740196, 857, 'US', 'US-MI', 'Clare', 'no', 'K48D', '', '48D', ''),
	('24M', 'small_airport', 'Wilderness Airpark', 43.24470138549805, -85.71170043945313, 785, 'US', 'US-MI', 'Kent City', 'no', '24M', '', '24M', ''),
	('69G', 'small_airport', 'Richmond Field', 42.4417, -84.066597, 921, 'US', 'US-MI', 'Gregory', 'no', '69G', '', '69G', ''),
	('D98', 'small_airport', 'Romeo State Airport', 42.79610062, -82.97499847, 739, 'US', 'US-MI', 'Romeo', 'no', 'D98', '', 'D98', ''),
	('MI19', 'small_airport', 'Thorn Airport', 43.93000030517578, -86.16560363769531, 780, 'US', 'US-MI', 'Custer', 'no', 'MI19', '', 'MI19', ''),
	('07MI', 'small_airport', 'Scott Airstrip', 43.864200592041016, -85.0239028930664, 1065, 'US', 'US-MI', 'Lake', 'no', '07MI', '', '07MI', ''),
	('3F5', 'small_airport', 'Forest Hill Airport', 42.91230010986328, -84.67549896240234, 775, 'US', 'US-MI', 'Westphalia', 'no', '3F5', '', '3F5', ''),
	('97G', 'small_airport', 'Glowacki Airport', 43.000329, -84.595002, 775, 'US', 'US-MI', 'St Johns', 'no', 'K97G', '', '97G', ''),
	('32D', 'N/A', 'N/A', 42.81707916408777, -84.41092282533646, 252, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6MI1', 'small_airport', 'Jensen Field', 43.263099670410156, -83.56379699707031, 755, 'US', 'US-MI', 'Millington', 'no', '6MI1', '', '6MI1', ''),
	('8M8', 'N/A', 'N/A', 44.80652790516615, -84.27619457244873, 369, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MI10', 'small_airport', 'Hoerners Corners Airport', 42.865299224853516, -84.70549774169922, 800, 'US', 'US-MI', 'De Witt', 'no', 'MI10', '', 'MI10', ''),
	('3MI7', 'small_airport', 'Willie Run Airport', 42.829200744628906, -83.36859893798828, 1043, 'US', 'US-MI', 'Ortonville', 'no', '3MI7', '', '3MI7', ''),
	('28MI', 'small_airport', 'Miller-Herrold Airport', 44.8744010925293, -85.7926025390625, 624, 'US', 'US-MI', 'Cedar', 'no', '28MI', '', '28MI', ''),
	('2MI8', 'small_airport', 'Vassar Field', 43.34339904785156, -83.53520202636719, 675, 'US', 'US-MI', 'Vassar', 'no', '2MI8', '', '2MI8', ''),
	('KGRO', 'N/A', 'N/A', 42.245106138288975, -82.72076413035393, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MI11', 'small_airport', 'Crippen Field', 42.541542, -84.808964, 890, 'US', 'US-MI', 'Charlotte', 'no', 'MI11', '', 'MI11', ''),
	('11G', 'closed', 'Johnson Field', 42.921101, -82.585501, 630, 'US', 'US-MI', 'Smiths Creek', 'no', '', '', '', '11G'),
	('3MI0', 'small_airport', 'Doss Field', 43.9370002746582, -85.02200317382813, 1050, 'US', 'US-MI', 'Lake George', 'no', '3MI0', '', '3MI0', ''),
	('2MI5', 'small_airport', 'Somerville Airport', 42.941727, -85.485112, 660, 'US', 'US-MI', 'Ada', 'no', '2MI5', '', '2MI5', ''),
	('4M0', 'small_airport', 'Lake Ann Airway Estates Airport', 44.696085, -85.914159, 820, 'US', 'US-MI', 'Interlochen', 'no', '', '', '4M0', ''),
	('MI78', 'small_airport', 'Weller Airport', 42.91894, -85.786142, 600, 'US', 'US-MI', 'Grandville', 'no', 'MI78', '', 'MI78', ''),
	('14MI', 'closed', 'East-West Paris Airport', 42.850899, -85.567001, 750, 'US', 'US-MI', 'Caledonia', 'no', '', '', '', '14MI, 14MI, 14MI'),
	('MI82', 'small_airport', 'Harry''s Field', 42.876399993896484, -85.95559692382813, 662, 'US', 'US-MI', 'Hudsonville', 'no', 'MI82', '', 'MI82', ''),
	('4D0', 'small_airport', 'Abrams Municipal Airport', 42.775202, -84.736378, 842, 'US', 'US-MI', 'Grand Ledge', 'no', 'K4D0', '', '4D0', ''),
	('C43', 'small_airport', 'Hiram Cure Airport', 42.769318, -84.964727, 853, 'US', 'US-MI', 'Sunfield', 'no', 'KC43', '', 'C43', ''),
	('Y89', 'small_airport', 'Kalkaska City Airport', 44.725201, -85.203102, 1030, 'US', 'US-MI', 'Kalkaska', 'no', '', '', 'Y89', ''),
	('39G', 'small_airport', 'Avoca Airport', 43.030471, -82.669466, 726, 'US', 'US-MI', 'Avoca', 'no', '39G', '', '39G', 'Bebensee, Rasor'),
	('Y83', 'small_airport', 'Sandusky City Airport', 43.457039, -82.841018, 776, 'US', 'US-MI', 'Sandusky', 'no', '', '', 'Y83', ''),
	('42C', 'small_airport', 'White Cloud Airport', 43.5597, -85.7742, 914, 'US', 'US-MI', 'White Cloud', 'no', '42C', '', '42C', ''),
	('MI88', 'small_airport', 'Bakers Field', 42.7322998046875, -85.9052963256836, 680, 'US', 'US-MI', 'Burnips', 'no', 'MI88', '', 'MI88', ''),
	('5M6', 'small_airport', 'Sugar Springs Airpark', 44.140301, -84.4375, 940, 'US', 'US-MI', 'Gladwin', 'no', '', '', '5M6', '0MI1'),
	('8D4', 'small_airport', 'Paul C. Miller-Sparta Airport', 43.127399, -85.679199, 775, 'US', 'US-MI', 'Sparta', 'no', '8D4', '', '8D4', ''),
	('7MI', 'small_airport', 'Flugplatz Airport', 43.34183, -82.54842, 700, 'US', 'US-MI', 'Lexington', 'no', '', '', '7MI', '2MI7'),
	('1MI8', 'small_airport', 'Vlachos Acres Airport', 44.84669876098633, -83.63690185546875, 785, 'US', 'US-MI', 'Hubbard', 'no', '1MI8', '', '1MI8', ''),
	('5Y0', 'small_airport', 'Harrisville Airport', 44.670799, -83.3041, 675, 'US', 'US-MI', 'Harrisville', 'no', '5Y0', '', '5Y0', ''),
	('6MI7', 'small_airport', 'J P''s Field', 42.80609893798828, -85.93419647216797, 708, 'US', 'US-MI', 'Zeeland', 'no', '6MI7', '', '6MI7', ''),
	('15W', 'small_airport', 'Dennis Farms Airport', 42.894500732421875, -84.39029693603516, 826, 'US', 'US-MI', 'Laingsburg', 'no', '15W', '', '15W', ''),
	('KNEM', 'N/A', 'N/A', 43.371455892920494, -85.63955917954445, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHUU', 'N/A', 'N/A', 42.852187268435955, -85.83910927176476, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('M86', 'small_airport', 'Walle Field', 42.47090148925781, -86.1272964477539, 635, 'US', 'US-MI', 'Pullman', 'no', 'M86', '', 'M86', ''),
	('6MI3', 'small_airport', 'Curt''s Place Airport', 42.763099670410156, -85.98280334472656, 630, 'US', 'US-MI', 'Zeeland', 'no', '6MI3', '', '6MI3', ''),
	('6D9', 'small_airport', 'Iosco County Airport', 44.312801, -83.422302, 606, 'US', 'US-MI', 'East Tawas', 'no', '', 'ECA', '6D9', ''),
	('52I', 'small_airport', 'Gross Airport', 43.846900939941406, -84.01139831542969, 615, 'US', 'US-MI', 'Pinconning', 'no', '52I', '', '52I', ''),
	('56M', 'small_airport', 'Millstream Airpark', 42.963025, -84.044572, 752, 'US', 'US-MI', 'Corunna', 'no', '', '', '56M', ''),
	('3RC', 'small_airport', 'Roscommon Conservation Airport', 44.474998, -84.566704, 1156, 'US', 'US-MI', 'Roscommon', 'no', 'K3RC', '', '3RC', ''),
	('6Y0', 'small_airport', 'Moorestown Airpark', 44.463833, -84.994204, 1213, 'US', 'US-MI', 'Moorestown', 'no', '', '', '6Y0', ''),
	('35C', 'small_airport', 'Wells Airport', 43.128399, -85.505302, 890, 'US', 'US-MI', 'Rockford', 'no', '35C', '', '35C', ''),
	('95MI', 'small_airport', 'Evad Enterprises LLC Airport', 44.087026, -85.7307415, 981, 'US', 'US-MI', 'Luther', 'no', '95MI', '', '95MI', 'Guy Vander Jagt Airfield'),
	('KMEP', 'N/A', 'N/A', 42.98434875905514, -82.65046566724777, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('34MI', 'small_airport', 'De Witt Property Airport', 43.10029983520508, -86.22339630126953, 605, 'US', 'US-MI', 'Spring Lake', 'no', '34MI', '', '34MI', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KTWI', 'N/A', 'N/A', 43.291071094572544, -86.19106024503708, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('40C', 'small_airport', 'Watervliet Municipal Airport', 42.200001, -86.25, 656, 'US', 'US-MI', 'Watervliet', 'no', '40C', '', '40C', ''),
	('7MI6', 'small_airport', 'Wightman Airport', 43.110298, -84.126404, 725, 'US', 'US-MI', 'Owosso', 'no', '7MI6', '', '7MI6', ''),
	('KPEY', 'N/A', 'N/A', 42.82116886228323, -84.27848562598228, 261, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KFKS', 'small_airport', 'Frankfort Dow Memorial Field', 44.625198, -86.200798, 633, 'US', 'US-MI', 'Frankfort', 'no', 'KFKS', '', 'FKS', ''),
	('75MI', 'small_airport', 'Norton Field', 42.970966, -82.847459, 795, 'US', 'US-MI', 'Memphis', 'no', '75MI', '', '75MI', ''),
	('8MI9', 'small_airport', 'Winters Field', 42.303072, -84.10728, 1000, 'US', 'US-MI', 'Grass Lake', 'no', '8MI9', '', '8MI9', ''),
	('5MI2', 'closed', 'McQuestion''s Airport', 44.077227, -85.438356, 1317, 'US', 'US-MI', 'LeRoy', 'no', '', '', '', '5MI2, 5MI2, 5MI2'),
	('KAZO', 'medium_airport', 'Kalamazoo Battle Creek International Airport', 42.234901428222656, -85.5521011352539, 874, 'US', 'US-MI', 'Kalamazoo', 'yes', 'KAZO', 'AZO', 'AZO', ''),
	('MI38', 'small_airport', 'Eichmeier Field', 42.602298736572266, -84.42639923095703, 900, 'US', 'US-MI', 'Mason', 'no', 'MI38', '', 'MI38', ''),
	('33C', 'small_airport', 'Jablonski Airport', 43.08219909667969, -86.09480285644531, 634, 'US', 'US-MI', 'Nunica', 'no', '33C', '', '33C', ''),
	('5MI4', 'closed', 'Anderson Airport', 43.428398, -85.455694, 902, 'US', 'US-MI', 'Howard City', 'no', '', '', '', '5MI4, 5MI4'),
	('42MI', 'closed', 'Midway Airport', 42.215858, -84.806313, 963, 'US', 'US-MI', 'Albion', 'no', '', '', '', '42MI'),
	('68G', 'closed', 'Duford Field', 43.125, -83.626297, 773, 'US', 'US-MI', 'Genesee', 'no', '', '', '', '68G'),
	('MI77', 'closed', 'Shafter Airport', 42.299999, -85.416702, 805, 'US', 'US-MI', 'Galesburg', 'no', '', '', '', 'MI77, MI77, MI77'),
	('57D', 'small_airport', 'Ray Community Airport', 42.73749923706055, -82.89019775390625, 632, 'US', 'US-MI', 'Ray', 'no', '57D', '', '57D', ''),
	('Y91', 'small_airport', 'Home Acres Sky Ranch Airport', 44.3203010559082, -85.17120361328125, 1247, 'US', 'US-MI', 'Lake City', 'no', 'Y91', '', 'Y91', ''),
	('1MI4', 'closed', 'Ramsy Farm Airport', 45.837403, -87.344194, 880, 'US', 'US-MI', 'Perronville', 'no', '', '', '', '1MI4, Ramsie Farm'),
	('KDHA', 'N/A', 'N/A', 42.23513100296259, -84.00089398026466, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYQG', 'medium_airport', 'Windsor Airport', 42.27560043334961, -82.95559692382813, 622, 'CA', 'CA-ON', 'Windsor', 'yes', 'CYQG', 'YQG', '', ''),
	('KGOV', 'small_airport', 'Grayling Army Air Field', 44.680302, -84.728897, 1158, 'US', 'US-MI', 'Grayling', 'no', 'KGOV', '', 'GOV', ''),
	('KATN', 'N/A', 'N/A', 44.90878410637379, -83.92488554120064, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MI13', 'small_airport', 'Minikey Airport', 43.16170120239258, -85.06169891357422, 900, 'US', 'US-MI', 'Sheridan', 'no', 'MI13', '', 'MI13', ''),
	('Y04', 'closed', 'Sugar Loaf Resort Airport', 44.906438, -85.816097, 825, 'US', 'US-MI', 'Cedar', 'no', '', '', '', 'Y04'),
	('13C', 'small_airport', 'Lakeview-Airport-Griffith Field', 43.452099, -85.264801, 969, 'US', 'US-MI', 'Lakeview', 'no', 'K13C', '', '13C', ''),
	('6G0', 'N/A', 'N/A', 43.02915506064892, -83.52967411279678, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEAW', 'N/A', 'N/A', 42.4960945174098, -84.70639899373055, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MI43', 'closed', 'Pewanogowink-Banks Airport', 43.186874, -83.899798, 660, 'US', 'US-MI', 'Montrose', 'no', '', '', '', 'MI43'),
	('KDET', 'medium_airport', 'Coleman A. Young Municipal Airport', 42.40919876, -83.00990295, 626, 'US', 'US-MI', 'Detroit', 'no', 'KDET', 'DET', 'DET', ''),
	('KRMY', 'small_airport', 'Brooks Field', 42.251202, -84.955498, 941, 'US', 'US-MI', 'Marshall', 'no', 'KRMY', '', 'RMY', ''),
	('5Y5', 'small_airport', 'David''s Landing Airport', 42.797668, -82.536435, 615, 'US', 'US-MI', 'St Clair', 'no', '', '', '5Y5', ''),
	('MI45', 'small_airport', 'Ed Schulte''s Place STOLport', 42.808101654052734, -83.45189666748047, 1050, 'US', 'US-MI', 'Ortonville', 'no', 'MI45', '', 'MI45', ''),
	('MI99', 'small_airport', 'Robertson Field', 42.800804, -82.657024, 620, 'US', 'US-MI', 'Richmond', 'no', 'KD99', '', 'D99', 'MI99'),
	('34U', 'small_airport', 'Yuba Airport', 44.838902, -85.431198, 645, 'US', 'US-MI', 'Elk Rapids', 'no', '34U', '', '34U', ''),
	('39Z', 'small_airport', 'Flying-A-Ranch Airport', 43.105001, -86.123702, 630, 'US', 'US-MI', 'Fruitport', 'no', '', '', '39Z', 'MI87'),
	('65G', 'small_airport', 'Maple Grove Airport', 42.7173, -84.0625, 908, 'US', 'US-MI', 'Fowlerville', 'no', '65G', '', '65G', ''),
	('3CM', 'small_airport', 'James Clements Municipal Airport', 43.5469017, -83.89550018, 585, 'US', 'US-MI', 'Bay City', 'no', 'K3CM', '', '3CM', ''),
	('82MI', 'small_airport', 'Randolph''s Landing Area Airport', 43.113187, -84.520526, 700, 'US', 'US-MI', 'St Johns', 'no', '82MI', '', '82MI', '61G'),
	('9MI5', 'small_airport', 'Grass Roots STOLport', 43.23780059814453, -83.52439880371094, 780, 'US', 'US-MI', 'Millington', 'no', '9MI5', '', '9MI5', ''),
	('9D9', 'small_airport', 'Hastings Airport', 42.663601, -85.346298, 801, 'US', 'US-MI', 'Hastings', 'no', 'K9D9', '', '9D9', ''),
	('MI58', 'closed', 'Stony Acres Airport', 42.754501, -85.028603, 849, 'US', 'US-MI', 'Sunfield', 'no', '', '', '', 'MI58'),
	('MI01', 'small_airport', 'Fasel Field', 43.05780029296875, -82.6769027709961, 735, 'US', 'US-MI', 'Avoca', 'no', 'MI01', '', 'MI01', ''),
	('80D', 'small_airport', 'Clare County Airport', 44.052799, -84.8125, 1142, 'US', 'US-MI', 'Harrison', 'no', 'K80D', '', '80D', ''),
	('92MI', 'small_airport', 'Zischke Airport', 42.861667, -84.619167, 863, 'US', 'US-MI', 'Dewitt', 'no', '92MI', '', '92MI', ''),
	('Y47', 'small_airport', 'Oakland Southwest Airport', 42.503101, -83.623703, 926, 'US', 'US-MI', 'New Hudson', 'no', 'KY47', '', 'Y47', ''),
	('KRCT', 'small_airport', 'Nartron Field', 43.9000015259, -85.5167007446, 1055, 'US', 'US-MI', 'Reed City', 'no', 'KRCT', 'RCT', 'RCT', 'Miller Field'),
	('2H4', 'closed', 'Triple H Airport', 42.365603, -85.554999, 785, 'US', 'US-MI', 'Parchment', 'no', '', '', '', '2H4'),
	('08C', 'small_airport', 'Riverview Airport', 42.935902, -85.805, 603, 'US', 'US-MI', 'Georgetown Township', 'no', '', '', '08C', ''),
	('KHLM', 'small_airport', 'Park Township Airport', 42.795898, -86.162003, 603, 'US', 'US-MI', 'Holland', 'no', '', 'HLM', '', 'KHLM'),
	('KRNP', 'small_airport', 'Owosso Community Airport', 42.993000030518, -84.138900756836, 736, 'US', 'US-MI', 'Owosso', 'no', 'KRNP', '', 'RNP', '5D3'),
	('KSKK', 'N/A', 'N/A', 44.390042535960674, -84.06043455004692, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('7Y2', 'small_airport', 'Thompsonville Airport', 44.518846, -85.968704, 793, 'US', 'US-MI', 'Thompsonville', 'no', '', '', '7Y2', ''),
	('KMKG', 'medium_airport', 'Muskegon County Airport', 43.169498, -86.238197, 629, 'US', 'US-MI', 'Muskegon', 'yes', 'KMKG', 'MKG', 'MKG', ''),
	('Y31', 'small_airport', 'West Branch Community Airport', 44.244801, -84.179802, 882, 'US', 'US-MI', 'West Branch', 'no', '', 'WBK', 'Y31', ''),
	('2MI4', 'closed', 'Mc Jilton Field', 43.405602, -84.571404, 729, 'US', 'US-MI', 'St Louis', 'no', '', '', '', '2MI4'),
	('KGDW', 'small_airport', 'Gladwin Zettel Memorial Airport', 43.9706001282, -84.47499847410002, 776, 'US', 'US-MI', 'Gladwin', 'no', 'KGDW', 'GDW', 'GDW', ''),
	('KHAJ', 'N/A', 'N/A', 43.70542008429766, -82.7098149061203, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MI67', 'small_airport', 'Tyrone Airport', 43.28919982910156, -85.78119659423828, 810, 'US', 'US-MI', 'Bailey', 'no', 'MI67', '', 'MI67', ''),
	('0C5', 'small_airport', 'Canadian Lakes Airport', 43.575666, -85.284182, 960, 'US', 'US-MI', 'Canadian Lakes', 'no', 'K0C5', '', '0C5', ''),
	('MI37', 'small_airport', 'Wenning Landing Area Airport', 42.758454, -82.55516, 620, 'US', 'US-MI', 'Marine City', 'no', 'MI37', '', 'MI37', ''),
	('KEAX', 'N/A', 'N/A', 43.59012633562088, -83.20847555994987, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('29M', 'N/A', 'N/A', 42.890719547867775, -83.93219456076622, 250, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('77MI', 'closed', 'David''s Airport', 42.0653, -85.241602, 887, 'US', 'US-MI', 'Athens', 'no', '', '', '', '9C2'),
	('5MI8', 'closed', 'Lakeside Airport', 42.6717, -84.488297, 900, 'US', 'US-MI', 'Holt', 'no', '', '', '', '5MI8'),
	('Y70', 'small_airport', 'Ionia County Airport', 42.938, -85.060501, 818, 'US', 'US-MI', 'Ionia', 'no', 'Y70', '', 'Y70', ''),
	('8MI0', 'closed', 'Trowbridge Farms Airport', 42.411999, -86.170898, 640, 'US', 'US-MI', 'South Haven', 'no', '', '', '', '8MI0'),
	('9MI6', 'closed', 'Trollman''s Field', 42.739201, -83.754997, 990, 'US', 'US-MI', 'Fenton', 'no', '', '', '', '9MI6'),
	('61D', 'small_airport', 'Plainwell Municipal Airport', 42.46780014038086, -85.64800262451172, 722, 'US', 'US-MI', 'Plainwell', 'no', '61D', '', '61D', ''),
	('4MI7', 'small_airport', 'Witbeck Aerodrome Airport', 43.812714, -84.813552, 890, 'US', 'US-MI', 'Farwell', 'no', '4MI7', '', '4MI7', ''),
	('Y87', 'small_airport', 'William B Bolton Airport', 44.791397, -86.003208, 944, 'US', 'US-MI', 'Empire', 'no', 'KY87', '', 'Y87', ''),
	('KPHN', 'small_airport', 'St Clair County International Airport', 42.9109993, -82.52890015, 650, 'US', 'US-MI', 'Port Huron', 'no', 'KPHN', 'PHN', 'PHN', ''),
	('89Y', 'small_airport', 'Maidens Airport', 42.7333984375, -84.32360076904297, 920, 'US', 'US-MI', 'Williamston', 'no', '89Y', '', '89Y', ''),
	('MI26', 'closed', 'Hynes Field', 42.610901, -83.732697, 978, 'US', 'US-MI', 'Hartland', 'no', '', '', '', 'MI26'),
	('H80', 'small_airport', 'Field of Dreams Airport', 44.3650016784668, -83.76249694824219, 830, 'US', 'US-MI', 'Hale', 'no', 'H80', '', 'H80', ''),
	('60G', 'small_airport', 'Skyway Estates Airport', 42.583599, -84.651398, 931, 'US', 'US-MI', 'Eaton Rapids', 'no', '60G', '', '60G', ''),
	('MI50', 'closed', 'Dodge Airport', 42.772621, -82.952678, 705, 'US', 'US-MI', 'Ray', 'no', '', '', '', ''),
	('2E8', 'small_airport', 'Cackleberry Airport', 42.424999, -83.8694, 890, 'US', 'US-MI', 'Dexter', 'no', '2E8', '', '2E8', ''),
	('MI18', 'small_airport', 'Cedarville Airport', 43.099518, -83.837271, 725, 'US', 'US-MI', 'Flushing', 'no', 'MI18', '', 'MI18', ''),
	('35MI', 'small_airport', 'Law Field', 42.6338996887207, -84.98580169677734, 920, 'US', 'US-MI', 'Vermontville', 'no', '35MI', '', '35MI', ''),
	('KOSC', 'small_airport', 'Oscoda Wurtsmith Airport', 44.451599, -83.394096, 633, 'US', 'US-MI', 'Oscoda', 'no', 'KOSC', 'OSC', 'OSC', ''),
	('KAMN', 'small_airport', 'Gratiot Community Airport', 43.322101593, -84.68800354, 754, 'US', 'US-MI', 'Alma', 'no', 'KAMN', 'AMN', 'AMN', ''),
	('75G', 'small_airport', 'Rossettie Airport', 42.195, -84.0308, 1005, 'US', 'US-MI', 'Manchester', 'no', '75G', '', '75G', ''),
	('KHTL', 'small_airport', 'Roscommon County - Blodgett Memorial Airport', 44.359798, -84.671095, 1150, 'US', 'US-MI', 'Houghton Lake', 'no', 'KHTL', 'HTL', 'HTL', ''),
	('KFFX', 'small_airport', 'Fremont Municipal Airport', 43.436854, -85.996592, 772, 'US', 'US-MI', 'Fremont', 'no', 'KFFX', '', 'FFX', 'Formerly 3FM'),
	('KFNT', 'medium_airport', 'Bishop International Airport', 42.96540069580078, -83.74359893798828, 782, 'US', 'US-MI', 'Flint', 'yes', 'KFNT', 'FNT', 'FNT', ''),
	('46MI', 'small_airport', 'Cloud Nine West Airport', 42.546101, -84.1278, 910, 'US', 'US-MI', 'Webberville', 'no', '46MI', '', '46MI', 'Cloud Nine Field, Rotors & Wings Airport'),
	('D11', 'small_airport', 'Ojibwa Airpark', 43.720001, -85.0028, 950, 'US', 'US-MI', 'Weidman', 'no', 'KD11', '', 'D11', ''),
	('KMOP', 'small_airport', 'Mount Pleasant Municipal Airport', 43.6217, -84.737503, 755, 'US', 'US-MI', 'Mount Pleasant', 'no', 'KMOP', 'MOP', 'MOP', ''),
	('Y93', 'small_airport', 'Atlanta Municipal Airport', 44.996916, -84.126692, 875, 'US', 'US-MI', 'Atlanta', 'no', 'Y93', '', 'Y93', ''),
	('38MI', 'small_airport', 'Chicora Field', 42.46689987182617, -85.97920227050781, 700, 'US', 'US-MI', 'Allegan', 'no', '38MI', '', '38MI', ''),
	('MI29', 'small_airport', 'Gooding Airport', 42.376399993896484, -83.7927017211914, 920, 'US', 'US-MI', 'Whitmore Lake', 'no', 'MI29', '', 'MI29', ''),
	('KYIP', 'medium_airport', 'Willow Run Airport', 42.23789978, -83.53040314, 716, 'US', 'US-MI', 'Detroit', 'no', 'KYIP', 'YIP', 'YIP', 'DTT'),
	('KCFS', 'small_airport', 'Tuscola Area Airport', 43.458801, -83.445503, 701, 'US', 'US-MI', 'Caro', 'no', 'KCFS', 'TZC', 'CFS', '78D, Caro Municipal Airport'),
	('51MI', 'seaplane_base', 'Cass Lake-Cove Island Seaplane Base', 42.6161003112793, -83.35600280761719, 990, 'US', 'US-MI', 'Pontiac', 'no', '51MI', '', '51MI', ''),
	('6D6', 'small_airport', 'Greenville Municipal Airport', 43.1423, -85.253799, 855, 'US', 'US-MI', 'Greenville', 'no', 'K6D6', '', '6D6', ''),
	('96G', 'small_airport', 'Cowley Field', 43.375702, -82.82029, 770, 'US', 'US-MI', 'Sandusky', 'no', '96G', '', '96G', ''),
	('5N7', 'small_airport', 'Hat Field', 43.097198486328125, -86.09459686279297, 625, 'US', 'US-MI', 'Nunica', 'no', '5N7', '', '5N7', ''),
	('9G2', 'small_airport', 'Prices Airport', 42.807598, -83.769897, 920, 'US', 'US-MI', 'Linden', 'no', '', '', '9G2', ''),
	('8MI4', 'small_airport', 'Howe Airport', 43.49589920043945, -85.57369995117188, 871, 'US', 'US-MI', 'Morley', 'no', '8MI4', '', '8MI4', ''),
	('37MI', 'small_airport', 'Handleman Sky Ranch Airport', 42.85279846191406, -83.22769927978516, 1150, 'US', 'US-MI', 'Oxford', 'no', '37MI', '', '37MI', ''),
	('KFPK', 'small_airport', 'Fitch H Beach Airport', 42.574501, -84.811401, 891, 'US', 'US-MI', 'Charlotte', 'no', 'KFPK', '', 'FPK', '07G'),
	('85MI', 'small_airport', 'Dewind Field', 42.93230056762695, -86.01380157470703, 640, 'US', 'US-MI', 'Zeeland', 'no', '85MI', '', '85MI', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('12MI', 'small_airport', 'John''s Airport', 43.052551, -83.48977, 820, 'US', 'US-MI', 'Davison', 'no', '12MI', '', '12MI', ''),
	('MI83', 'small_airport', 'Maple Grove Airpark', 43.137722, -84.045589, 698, 'US', 'US-MI', 'Chesaning', 'no', 'MI83', '', 'MI83', ''),
	('0MI2', 'closed', 'Stier Airstrip', 44.522202, -83.683296, 850, 'US', 'US-MI', 'Glennie', 'no', '', '', '', '0MI2'),
	('66G', 'small_airport', 'William Tiny Zehnder Field', 43.314364, -83.710055, 645, 'US', 'US-MI', 'Frankenmuth', 'no', '', '', '66G', ''),
	('KHUB', 'N/A', 'N/A', 44.74169757217169, -83.79616320133209, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('50MI', 'seaplane_base', 'Burgess Lake Seaplane Base', 43.15729904174805, -85.29419708251953, 799, 'US', 'US-MI', 'Greenville', 'no', '50MI', '', '50MI', ''),
	('MI41', 'small_airport', 'Crystal Airport', 42.83169937133789, -82.53459930419922, 610, 'US', 'US-MI', 'St. Clair', 'no', 'MI41', '', 'MI41', ''),
	('D15', 'small_airport', 'Lake Isabella Airpark', 43.644501, -84.982002, 886, 'US', 'US-MI', 'Lake Isabella', 'no', 'D15', '', 'D15', ''),
	('Z98', 'small_airport', 'Ottawa Executive Airport', 42.8172, -85.928101, 740, 'US', 'US-MI', 'Zeeland', 'no', 'KZ98', '', 'Z98', ''),
	('6MI0', 'small_airport', 'King Trout Airport', 44.616057, -84.950881, 1100, 'US', 'US-MI', 'Grayling', 'no', '6MI0', '', '6MI0', ''),
	('26MI', 'small_airport', 'Van Strien Airport', 42.923901, -85.378098, 624, 'US', 'US-MI', 'Lowell', 'no', '26MI', '', '26MI', 'Van Strien Company'),
	('1MI5', 'small_airport', 'McKenzie''s Landing Airport', 42.6031, -83.859703, 955, 'US', 'US-MI', 'Howell', 'no', '1MI5', '', '1MI5', ''),
	('47MI', 'closed', 'Kenneth Hayward Airport', 43.533401, -83.854103, 590, 'US', 'US-MI', 'Bay City', 'no', '', '', '', '47MI'),
	('4Y1', 'small_airport', 'Raether Airport', 42.56529998779297, -83.85649871826172, 982, 'US', 'US-MI', 'Howell', 'no', '4Y1', '', '4Y1', ''),
	('KGRS', 'N/A', 'N/A', 42.18834858387709, -82.6744857430458, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('49G', 'small_airport', 'Wend Valley Airport', 42.579007, -84.908947, 859, 'US', 'US-MI', 'Charlotte', 'no', 'K49G', '', '49G', ''),
	('76G', 'small_airport', 'Marine City Airport', 42.721247, -82.596406, 613, 'US', 'US-MI', 'Marine City', 'no', '', '', '76G', ''),
	('2MI3', 'closed', 'Larry D Boven Airport', 42.3125, -85.463682, 890, 'US', 'US-MI', 'Kalamazoo', 'no', '', '', '', '2MI3'),
	('MI80', 'small_airport', 'Wabasis Lake Airport', 43.12839889526367, -85.39920043945313, 892, 'US', 'US-MI', 'Greenville', 'no', 'MI80', '', 'MI80', ''),
	('0MI3', 'small_airport', 'Kelleys Airport', 44.633399963378906, -84.4833984375, 1000, 'US', 'US-MI', 'Grayling', 'no', '0MI3', '', '0MI3', ''),
	('35D', 'small_airport', 'Padgham Field', 42.53099823, -85.82510376, 706, 'US', 'US-MI', 'Allegan', 'no', 'K35D', '', '35D', ''),
	('39T', 'small_airport', 'Tripp Creek Airport', 43.06480026245117, -84.48919677734375, 717, 'US', 'US-MI', 'St Johns', 'no', '39T', '', '39T', ''),
	('29C', 'small_airport', 'Grindstone Air Harbor Airport', 44.04779815673828, -82.91419982910156, 640, 'US', 'US-MI', 'Port Austin', 'no', '29C', '', '29C', ''),
	('01C', 'closed', 'Grant Airport', 43.341701507568, -85.775001525879, 815, 'US', 'US-MI', 'Grant', 'no', '', '', '', '01C, 01C, 01C'),
	('Y88', 'small_airport', 'Green Lake Airport', 44.606098, -85.7584, 866, 'US', 'US-MI', 'Interlochen', 'no', 'KY88', '', 'Y88', ''),
	('8MI8', 'closed', 'Cupp/SJVS Landing Strip', 42.994701, -85.454201, 850, 'US', 'US-MI', 'Mendon', 'no', '', '', '', '8MI8, 8MI8, 8MI8'),
	('MI04', 'closed', 'Airborn Paraflite Ultralight Flightpark', 43.3069, -84.645798, 758, 'US', 'US-MI', 'Ithaca', 'no', '', '', '', 'MI04'),
	('51M', 'small_airport', 'Oscoda County/Dennis Kauffman Memorial Airport', 44.674881, -84.122314, 1050, 'US', 'US-MI', 'Mio', 'no', 'K51M', '', '51M', ''),
	('KSAU', 'N/A', 'N/A', 42.93850712478161, -84.57493141293526, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5Y2', 'small_airport', 'Houghton Lake State Airport', 44.329201, -84.791702, 1165, 'US', 'US-MI', 'Houghton Lake Heights', 'no', '5Y2', '', '5Y2', ''),
	('MI47', 'closed', 'Dysinger Airport', 42.808399, -84.190201, 897, 'US', 'US-MI', 'Perry', 'no', '', '', '', 'MI47'),
	('25MI', 'closed', 'Farver Field', 43.927819, -83.27453, 600, 'US', 'US-MI', 'Caseville', 'no', '', '', '', '25MI'),
	('KOAF', 'N/A', 'N/A', 42.5669601559639, -84.50838088989258, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7D3', 'small_airport', 'Baldwin Municipal Airport', 43.8755, -85.842102, 828, 'US', 'US-MI', 'Baldwin', 'no', 'K7D3', '', '7D3', ''),
	('66MI', 'small_airport', 'East Lake Airport', 42.22840118408203, -85.4843978881836, 860, 'US', 'US-MI', 'Kalamazoo', 'no', '66MI', '', '66MI', ''),
	('41G', 'small_airport', 'University Airpark', 42.840302, -84.479103, 856, 'US', 'US-MI', 'Bath', 'no', '41G', '', '41G', ''),
	('5MI7', 'small_airport', 'Williams Field', 42.36109924316406, -84.42479705810547, 960, 'US', 'US-MI', 'Jackson', 'no', '5MI7', '', '5MI7', ''),
	('26W', 'small_airport', 'Wolf Lake Airport', 42.20970153808594, -84.23169708251953, 980, 'US', 'US-MI', 'Napoleon', 'no', '26W', '', '26W', ''),
	('MI44', 'small_airport', 'D J Airport', 43.672298431396484, -84.73670196533203, 755, 'US', 'US-MI', 'Mount Pleasant', 'no', 'MI44', '', 'MI44', ''),
	('8MI3', 'small_airport', 'Mattawan Airpark', 42.195899963378906, -85.80560302734375, 830, 'US', 'US-MI', 'Mattawan', 'no', '8MI3', '', '8MI3', ''),
	('50G', 'small_airport', 'Howard Nixon Memorial Airport', 43.183399, -84.133301, 644, 'US', 'US-MI', 'Chesaning', 'no', '50G', '', '50G', ''),
	('KPTK', 'medium_airport', 'Oakland County International Airport', 42.665500640869, -83.420097351074, 980, 'US', 'US-MI', 'Pontiac', 'no', 'KPTK', 'PTK', 'PTK', 'Pontiac Municipal Airport, Oakland-Pontiac Airport'),
	('KTVC', 'medium_airport', 'Cherry Capital Airport', 44.74140167236328, -85.58219909667969, 624, 'US', 'US-MI', 'Traverse City', 'yes', 'KTVC', 'TVC', 'TVC', ''),
	('98G', 'small_airport', 'Sebewaing Township Airport', 43.729863, -83.463875, 584, 'US', 'US-MI', 'Sebewaing', 'no', '', '', '98G', ''),
	('53W', 'small_airport', 'Woodruff Lake Airport', 43.554500579833984, -84.97889709472656, 940, 'US', 'US-MI', 'Winn', 'no', '53W', '', '53W', ''),
	('D90', 'small_airport', 'Mancelona Municipal Airport', 44.923913, -85.068884, 1133, 'US', 'US-MI', 'Mancelona', 'no', '', '', 'D90', ''),
	('M47', 'closed', 'Fife Lake Seaplane Base', 44.567501, -85.3442, 1020, 'US', 'US-MI', 'Fife Lake', 'no', '', '', '', 'M47'),
	('5MI3', 'closed', 'Cridler Airport', 43.051102, -85.419998, 866, 'US', 'US-MI', 'Lowell', 'no', '', '', '', '5MI3'),
	('KMBS', 'medium_airport', 'MBS International Airport', 43.532902, -84.079597, 668, 'US', 'US-MI', 'Saginaw', 'yes', 'KMBS', 'MBS', 'MBS', 'Tri City Airport, Midland, Bay City'),
	('16MI', 'small_airport', 'Barnstormers 5 Airport', 42.889198303222656, -83.8666000366211, 823, 'US', 'US-MI', 'Gaines', 'no', '16MI', '', '16MI', ''),
	('7MI7', 'small_airport', 'Walker Airport', 42.38059997558594, -85.57749938964844, 750, 'US', 'US-MI', 'Cooper', 'no', '7MI7', '', '7MI7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('4Y8', 'small_airport', 'Para Field', 43.20220184326172, -82.75409698486328, 800, 'US', 'US-MI', 'Yale', 'no', '4Y8', '', '4Y8', ''),
	('55G', 'small_airport', 'Arnold Field', 43.29748, -82.607703, 780, 'US', 'US-MI', 'Croswell', 'no', '55G', '', '55G', ''),
	('77G', 'small_airport', 'Marlette Township Airport', 43.311798, -83.090897, 895, 'US', 'US-MI', 'Marlette', 'no', '', '', '77G', ''),
	('54MI', 'small_airport', 'Pingston Aeroworks Airport', 42.810298919677734, -84.08309936523438, 880, 'US', 'US-MI', 'Bryon', 'no', '54MI', '', '54MI', ''),
	('5Y4', 'small_airport', 'Lost Creek Airport', 44.66, -84.237503, 1051, 'US', 'US-MI', 'Luzerne', 'no', '5Y4', '', '5Y4', ''),
	('MI1', 'small_airport', 'Denton Farms Airport', 43.755141, -84.808286, 845, 'US', 'US-MI', 'Clare', 'no', '', '', 'MI1', '99MI'),
	('3DA', 'small_airport', 'Dalton Airport', 43.052502, -83.804901, 733, 'US', 'US-MI', 'Flushing', 'no', '3DA', '', '3DA', ''),
	('KALG', 'N/A', 'N/A', 42.67062149941921, -82.5214384496212, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRJ2', 'small_airport', 'Stoney Point (Trepanier)', 42.288887, -82.598335, 630, 'CA', 'CA-ON', '', 'no', 'CRJ2', '', '', ''),
	('D20', 'small_airport', 'Yale Airport', 43.111072, -82.786725, 814, 'US', 'US-MI', 'Yale', 'no', 'KD20', '', 'D20', ''),
	('3GM', 'small_airport', 'Grand Haven Memorial Airpark', 43.034, -86.198196, 604, 'US', 'US-MI', 'Grand Haven', 'no', 'K3GM', '', '3GM', ''),
	('KOZW', 'small_airport', 'Livingston County Spencer J. Hardy Airport', 42.62919998, -83.98210144, 962, 'US', 'US-MI', 'Howell', 'no', 'KOZW', '', 'OZW', ''),
	('CRML', 'small_airport', 'Stoney Point (Le Cunff) Airport', 42.29560089111328, -82.53500366210938, 625, 'CA', 'CA-ON', 'Stoney Point', 'no', 'CRML', '', 'CRML', 'RML'),
	('MI30', 'closed', 'Kidder Field Heliport', 42.9361, -85.621101, 780, 'US', 'US-MI', 'Grand Rapids', 'no', '', '', '', 'MI30'),
	('E53', 'small_airport', 'Engler Field', 43.846233, -83.046792, 725, 'US', 'US-MI', 'Bad Axe', 'no', 'KE53', '', 'E53', ''),
	('5MI1', 'small_airport', 'Wilds Field', 43.251399993896484, -85.54280090332031, 885, 'US', 'US-MI', 'Cedar Springs', 'no', '5MI1', '', '5MI1', ''),
	('02MI', 'small_airport', 'Fairplains Airpark', 43.157100677490234, -85.14849853515625, 850, 'US', 'US-MI', 'Greenville', 'no', '02MI', '', '02MI', ''),
	('2MI9', 'small_airport', 'Capen Airport', 43.62419891357422, -85.31780242919922, 1015, 'US', 'US-MI', 'Mecosta', 'no', '2MI9', '', '2MI9', ''),
	('MI86', 'small_airport', 'Midget Airport', 43.342253, -86.18784, 669, 'US', 'US-MI', 'North Muskegon', 'no', 'MI86', '', 'MI86', ''),
	('Z92', 'small_airport', 'Harsens Island Airport', 42.589698791503906, -82.57640075683594, 578, 'US', 'US-MI', 'Harsens Island', 'no', 'Z92', '', 'Z92', ''),
	('9C8', 'small_airport', 'Evart Municipal Airport', 43.895901, -85.279198, 1018, 'US', 'US-MI', 'Evart', 'no', 'K9C8', '', '9C8', ''),
	('4MI0', 'closed', 'Kriewall Strip', 42.8381, -82.968803, 765, 'US', 'US-MI', 'Romeo', 'no', '', '', '', '4MI0'),
	('KFZI', 'small_airport', 'Fostoria Metropolitan Airport', 41.1908, -83.394501, 752, 'US', 'US-OH', 'Fostoria', 'no', 'KFZI', '', 'FZI', ''),
	('58IN', 'small_airport', 'Hilltop Airport', 41.258399963378906, -84.86389923095703, 820, 'US', 'US-IN', 'Spencerville', 'no', '58IN', '', '58IN', ''),
	('OI77', 'small_airport', 'Mc Ardle Airport', 41.2159004211, -83.5579986572, 715, 'US', 'US-OH', 'Fostoria', 'no', 'OI77', '', 'OI77', ''),
	('88D', 'small_airport', 'Hinde Airport', 41.40370178222656, -82.60130310058594, 609, 'US', 'US-OH', 'Huron', 'no', '88D', '', '88D', ''),
	('I22', 'small_airport', 'Randolph County Airport', 40.1689, -84.925697, 1119, 'US', 'US-IN', 'Winchester', 'no', 'KI22', '', 'I22', ''),
	('OH62', 'heliport', 'Southern Ohio Regional Medical Center Heliport', 38.754527, -82.979484, 600, 'US', 'US-OH', 'Portsmouth', 'no', 'OH62', '', 'OH62', ''),
	('OH99', 'closed', 'Planevue Airport', 40.113998, -82.458199, 935, 'US', 'US-OH', 'Newark', 'no', '', '', '', 'OH99'),
	('00OH', 'closed', 'Exit 3 Airport', 41.590476, -84.141583, 785, 'US', 'US-OH', 'Wauseon', 'no', '', '', '', '64D, 00OH'),
	('OH45', 'small_airport', 'Drake Airport', 41.44704, -83.55731, 655, 'US', 'US-OH', 'Bowling Green', 'no', 'OH45', '', 'OH45', ''),
	('KHRF', 'N/A', 'N/A', 40.47506310045719, -85.87658420205116, 262, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9II2', 'small_airport', 'Nelund Field', 41.6875, -86.15499877929688, 750, 'US', 'US-IN', 'Mishawaka', 'no', '9II2', '', '9II2', ''),
	('OA04', 'small_airport', 'Rutter Airport', 41.097599029541016, -83.50270080566406, 815, 'US', 'US-OH', 'Arcadia', 'no', 'OA04', '', 'OA04', ''),
	('18II', 'small_airport', 'Mc Gill Airport', 40.1199989319, -86.0682983398, 855, 'US', 'US-IN', 'Cicero', 'no', '18II', '', '18II', ''),
	('16OI', 'small_airport', 'Trump Airport', 40.125301361083984, -84.5824966430664, 1038, 'US', 'US-OH', 'Greenville', 'no', '16OI', '', '16OI', ''),
	('69OI', 'small_airport', 'Schulze''s Airport', 40.95009994506836, -82.92489624023438, 1000, 'US', 'US-OH', 'Chatfield', 'no', '69OI', '', '69OI', ''),
	('II01', 'small_airport', 'Grandlienard-Hogg Airport', 40.75619888305664, -85.25050354003906, 830, 'US', 'US-IN', 'Bluffton', 'no', 'II01', '', 'II01', ''),
	('93IN', 'small_airport', 'Foltz Farm Airport', 39.5886, -85.736099, 820, 'US', 'US-IN', 'Shelbyville', 'no', '93IN', '', '93IN', ''),
	('9OA4', 'small_airport', 'Gilmer Airport', 39.830299377441406, -84.50969696044922, 1045, 'US', 'US-OH', 'Lewisburg', 'no', '9OA4', '', '9OA4', ''),
	('44G', 'small_airport', 'Betz Airport', 41.855598, -83.870796, 691, 'US', 'US-MI', 'Blissfield', 'no', '44G', '', '44G', ''),
	('38I', 'small_airport', 'Weller Airport', 40.091202, -83.6894, 1150, 'US', 'US-OH', 'Urbana', 'no', 'K38I', '', '38I', ''),
	('MI31', 'small_airport', 'Cornish Field', 42.10150146484375, -85.83789825439453, 910, 'US', 'US-MI', 'Lawton', 'no', 'MI31', '', 'MI31', ''),
	('OI49', 'small_airport', 'Flying Acres Airport', 40.3838996887207, -83.10690307617188, 975, 'US', 'US-OH', 'Delaware', 'no', 'OI49', '', 'OI49', ''),
	('KLCK', 'medium_airport', 'Rickenbacker International Airport', 39.813801, -82.927803, 744, 'US', 'US-OH', 'Columbus', 'yes', 'KLCK', 'LCK', 'LCK', 'Lockbourne Army Air Field'),
	('KTZR', 'small_airport', 'Bolton Field', 39.901199, -83.136902, 905, 'US', 'US-OH', 'Columbus', 'no', 'KTZR', '', 'TZR', ''),
	('KTOL', 'medium_airport', 'Eugene F. Kranz Toledo Express Airport', 41.5868, -83.8078, 683, 'US', 'US-OH', 'Toledo', 'yes', 'KTOL', 'TOL', 'TOL', ''),
	('3W9', 'small_airport', 'Middle Bass-East Point Airport', 41.694401, -82.7966, 582, 'US', 'US-OH', 'Middle Bass Island', 'no', '3W9', '', '3W9', ''),
	('3X5', 'small_airport', 'North Bass Island Airport', 41.717999, -82.821098, 594, 'US', 'US-OH', 'North Bass Island', 'no', '3X5', '', '3X5', ''),
	('7OH3', 'small_airport', 'Obi One Airport', 40.35279846191406, -83.0510025024414, 952, 'US', 'US-OH', 'Delaware', 'no', '7OH3', '', '7OH3', ''),
	('44II', 'small_airport', 'The Wolf Den Airport', 40.95309829711914, -85.3865966796875, 815, 'US', 'US-IN', 'Roanoke', 'no', '44II', '', '44II', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('99IN', 'closed', 'Bee-Acre Farm Strip', 40.206104, -86.100501, 885, 'US', 'US-IN', 'Atlanta', 'no', '', '', '', '99IN'),
	('KGAV', 'N/A', 'N/A', 40.56690964847803, -86.1053703725338, 254, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCQA', 'small_airport', 'Lakefield Airport', 40.4841, -84.560097, 894, 'US', 'US-OH', 'Celina', 'no', 'KCQA', '', 'CQA', ''),
	('8II2', 'small_airport', 'Norris Field', 39.652607, -84.866417, 1085, 'US', 'US-IN', 'Liberty', 'no', '8II2', '', '8II2', ''),
	('KGQQ', 'small_airport', 'Galion Municipal Airport', 40.7533988953, -82.7238006592, 1224, 'US', 'US-OH', 'Galion', 'no', 'KGQQ', 'GQQ', 'GQQ', ''),
	('68OH', 'heliport', 'Air Evac 97 Heliport', 38.73953, -82.98799, 532, 'US', 'US-OH', 'Portsmouth', 'no', '', '', '68OH', ''),
	('7OI1', 'small_airport', 'Blevins Airport', 41.207298278808594, -84.26969909667969, 722, 'US', 'US-OH', 'Ayersville', 'no', '7OI1', '', '7OI1', ''),
	('2II1', 'closed', 'Yoder Airport', 41.609798, -85.525497, 905, 'US', 'US-IN', 'Emma', 'no', '', '', '', '2II1'),
	('1IN3', 'small_airport', 'Confer''s Place Airport', 41.098135, -85.242008, 865, 'US', 'US-IN', 'Arcola', 'no', '1IN3', '', '1IN3', ''),
	('3IN4', 'small_airport', 'Johnson Airport', 40.775001525878906, -85.33889770507813, 830, 'US', 'US-IN', 'Markle', 'no', '3IN4', '', '3IN4', ''),
	('I19', 'small_airport', 'Greene County/Lewis A. Jackson Regional Airport', 39.690807, -83.992585, 949, 'US', 'US-OH', 'Dayton', 'no', 'KGDK', '', 'GDK', 'I19, Xenia'),
	('42IN', 'closed', 'Mikelsons Heliport', 39.895, -86.283602, 860, 'US', 'US-IN', 'Indianapolis', 'no', '', '', '', '42IN'),
	('IN42', 'closed', 'Hackbarth Airport', 41.490299, -86.199401, 835, 'US', 'US-IN', 'Bremen', 'no', '', '', '', 'IN42'),
	('66IN', 'small_airport', 'Oakes Field', 39.787498474121094, -85.63690185546875, 935, 'US', 'US-IN', 'Charlottesville', 'no', '66IN', '', '66IN', ''),
	('89D', 'small_airport', 'Kelleys Island Land Field', 41.60296, -82.687054, 598, 'US', 'US-OH', 'Kelleys Island', 'yes', '89D', '', '89D', ''),
	('2C9', 'seaplane_base', 'Toledo Seaplane Base', 41.622202, -83.5534, 571, 'US', 'US-OH', 'Toledo', 'no', '', '', '2C9', ''),
	('68MI', 'closed', 'Saline Airport', 42.1464, -83.791901, 820, 'US', 'US-MI', 'Saline', 'no', '', '', '', '68MI, 2C3'),
	('78MI', 'small_airport', 'Carls Airport', 42.04059982299805, -83.30349731445313, 598, 'US', 'US-MI', 'South Rockwood', 'no', '78MI', '', '78MI', ''),
	('7MI5', 'closed', 'Lada Airport', 41.89038, -83.673023, 678, 'US', 'US-MI', 'Petersburg', 'no', '', '', '', '7MI5'),
	('OH43', 'small_airport', 'Anderson Airport', 39.83340072631836, -82.73320007324219, 800, 'US', 'US-OH', 'Canal Winchester', 'no', 'OH43', '', 'OH43', ''),
	('7OI5', 'small_airport', 'Bea-D Airport', 41.520599365234375, -83.27519989013672, 605, 'US', 'US-OH', 'Graytown', 'no', '7OI5', '', '7OI5', ''),
	('38OH', 'small_airport', 'Industry Air Park', 39.84479904174805, -82.57959747314453, 877, 'US', 'US-OH', 'Baltimore', 'no', '38OH', '', '38OH', ''),
	('IN60', 'small_airport', 'Wilderness Field', 40.017799377441406, -86.1603012084961, 908, 'US', 'US-IN', 'Westfield', 'no', 'IN60', '', 'IN60', ''),
	('IN34', 'small_airport', 'Rush Strip', 40.83449935913086, -86.05220031738281, 770, 'US', 'US-IN', 'Peru', 'no', 'IN34', '', 'IN34', ''),
	('2OH7', 'small_airport', 'Jbr Airport', 38.911201477051, -84.026000976562, 945, 'US', 'US-OH', 'Hamersville', 'no', '', '', '2OH7', '2OH7'),
	('05II', 'closed', 'Reichhart Airport', 41.028702, -84.9972, 795, 'US', 'US-IN', 'New Haven', 'no', '', '', '', '05II'),
	('KRID', 'small_airport', 'Richmond Municipal Airport', 39.757198, -84.842796, 1140, 'US', 'US-IN', 'Richmond', 'no', 'KRID', 'RID', 'RID', ''),
	('24OI', 'small_airport', 'Reeds Airport', 40.07780075073242, -83.89720153808594, 1200, 'US', 'US-OH', 'St Paris', 'no', '24OI', '', '24OI', ''),
	('3W2', 'small_airport', 'Put In Bay Airport', 41.6367, -82.8283, 595, 'US', 'US-OH', 'Put In Bay', 'no', '3W2', '', '3W2', ''),
	('5G7', 'small_airport', 'Bluffton Airport', 40.885399, -83.868599, 851, 'US', 'US-OH', 'Bluffton', 'no', '', '', '5G7', ''),
	('56D', 'small_airport', 'Wyandot County Airport', 40.8834, -83.314499, 830, 'US', 'US-OH', 'Upper Sandusky', 'no', 'K56D', '', '56D', ''),
	('KDAY', 'medium_airport', 'James M Cox Dayton International Airport', 39.902401, -84.219398, 1009, 'US', 'US-OH', 'Dayton', 'yes', 'KDAY', 'DAY', 'DAY', ''),
	('OI34', 'small_airport', 'Fricke Airport', 39.61309814453125, -83.99240112304688, 905, 'US', 'US-OH', 'Spring Valley', 'no', 'OI34', '', 'OI34', ''),
	('4MI4', 'small_airport', 'Whitcomb Field', 42.1781005859375, -85.6707992553711, 915, 'US', 'US-MI', 'Schoolcraft', 'no', '4MI4', '', '4MI4', ''),
	('C62', 'small_airport', 'Kendallville Municipal Airport', 41.472698, -85.260803, 1005, 'US', 'US-IN', 'Kendallville', 'no', 'KC62', '', 'C62', ''),
	('KDCR', 'N/A', 'N/A', 40.837112702429295, -84.86323446035385, 255, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IN01', 'small_airport', 'Kephart Field Airport', 39.4861111, -86.1486111, 815, 'US', 'US-IN', 'Bargersville', 'no', 'IN01', '', 'IN01', ''),
	('23OA', 'closed', 'Dade Field', 40.050278, -84.013056, 1138, 'US', 'US-OH', 'Christianburg', 'no', '', '', '', '23OA'),
	('CGL2', 'small_airport', 'Harrow Airport', 42.05939865112305, -82.8407974243164, 610, 'CA', 'CA-ON', 'Harrow', 'no', 'CGL2', '', 'CGL2', 'GL2'),
	('3OH6', 'small_airport', 'Youngpeter Airport', 40.78329849243164, -84.3677978515625, 815, 'US', 'US-OH', 'Delphos', 'no', '3OH6', '', '3OH6', ''),
	('54II', 'small_airport', 'Caldwell Field', 40.6245002746582, -86.1552963256836, 800, 'US', 'US-IN', 'Bunker Hill', 'no', '54II', '', '54II', ''),
	('56IN', 'small_airport', 'Casad Industrial Park Airport', 41.077799, -84.940453, 766, 'US', 'US-IN', 'New Haven', 'no', '56IN', '', '56IN', ''),
	('IN91', 'small_airport', 'Valhalla Airport', 41.00212, -84.994268, 810, 'US', 'US-IN', 'Fort Wayne', 'no', 'IN91', '', 'IN91', ''),
	('1G0', 'small_airport', 'Wood County Airport', 41.390999, -83.630096, 673, 'US', 'US-OH', 'Bowling Green', 'no', 'K1G0', '', '1G0', ''),
	('II77', 'small_airport', 'Finney''s Airpark', 40.259498596191406, -85.260498046875, 965, 'US', 'US-IN', 'Albany', 'no', 'II77', '', 'II77', ''),
	('80IN', 'small_airport', 'Gustin''s /Private/ Airport', 41.204200744599994, -84.8051986694, 740, 'US', 'US-IN', 'Harlan', 'no', '80IN', '', '80IN', ''),
	('IN19', 'closed', 'Marshall Field', 39.643101, -85.981697, 800, 'US', 'US-IN', 'Acton', 'no', '', '', '', 'IN19'),
	('2II6', 'small_airport', 'Baird-Wolford Airport', 40.264464, -86.102536, 880, 'US', 'US-IN', 'Tipton', 'no', '2II6', '', '2II6', ''),
	('KOKK', 'small_airport', 'Kokomo Municipal Airport', 40.528198242188, -86.05899810791, 830, 'US', 'US-IN', 'Kokomo', 'no', 'KOKK', 'OKK', 'OKK', ''),
	('KGEZ', 'small_airport', 'Shelbyville Municipal Airport', 39.586044, -85.804024, 803, 'US', 'US-IN', 'Shelbyville', 'no', 'KGEZ', '', 'GEZ', ''),
	('12OH', 'small_airport', 'McGregor Airfield', 39.834773, -84.333486, 940, 'US', 'US-OH', 'Brookville', 'no', '12OH', '', '12OH', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OI72', 'small_airport', 'Marvin Thiel Field', 41.521688, -84.721098, 859, 'US', 'US-OH', 'Blakeslee', 'no', 'OI72', '', 'OI72', ''),
	('27OH', 'small_airport', 'Schaller Airport', 40.94670104980469, -83.67990112304688, 830, 'US', 'US-OH', 'Findlay', 'no', '27OH', '', '27OH', ''),
	('II94', 'small_airport', 'Irion Airport', 40.12839889526367, -85.88610076904297, 800, 'US', 'US-IN', 'Noblesville', 'no', 'II94', '', 'II94', ''),
	('IN65', 'small_airport', 'Wolfe Field', 41.69139862060547, -85.59549713134766, 896, 'US', 'US-IN', 'Shipshewana', 'no', 'IN65', '', 'IN65', ''),
	('2OH9', 'small_airport', 'Caesar Creek Soaring Club Gliderport', 39.4767, -84.093803, 940, 'US', 'US-OH', 'Waynesville', 'no', '2OH9', '', '2OH9', ''),
	('MI52', 'small_airport', 'Markham Airport', 42.090599060058594, -83.96800231933594, 825, 'US', 'US-MI', 'Clinton', 'no', 'MI52', '', 'MI52', ''),
	('CRB2', 'small_airport', 'Cottam Airport', 42.13999938964844, -82.65280151367188, 635, 'CA', 'CA-ON', 'Cottam', 'no', 'CRB2', '', 'CRB2', 'RB2'),
	('KASW', 'small_airport', 'Warsaw Municipal Airport', 41.2747, -85.840103, 850, 'US', 'US-IN', 'Warsaw', 'no', 'KASW', '', 'ASW', ''),
	('II86', 'small_airport', 'Poole Airport', 40.01559829711914, -85.88749694824219, 860, 'US', 'US-IN', 'Noblesville', 'no', 'II86', '', 'II86', ''),
	('OI12', 'closed', 'Fly-A-Way Farm Airport', 40.250301, -82.994301, 940, 'US', 'US-OH', 'Delaware', 'no', '', '', '', 'OI12'),
	('1OH8', 'small_airport', 'Lisbon Airfield', 39.86669921875, -83.63330078125, 1160, 'US', 'US-OH', 'South Charleston', 'no', '1OH8', '', '1OH8', ''),
	('14I', 'closed', 'Bloom Airport', 39.634528, -83.748727, 1050, 'US', 'US-OH', 'Jamestown', 'no', '', '', '', '14I'),
	('01F', 'seaplane_base', 'Hamilton Lake Seaplane Base', 41.552222, -84.917222, 900, 'US', 'US-IN', 'Hamilton', 'no', 'K01F', '', '01F', 'IN02'),
	('0II1', 'closed', 'Unsicker Airport', 40.428101, -86.153297, 816, 'US', 'US-IN', 'Bremen', 'no', '', '', '', '0II1'),
	('7MI3', 'small_airport', 'Thrall Lake Airport', 42.118428, -85.510166, 850, 'US', 'US-MI', 'Vicksburg', 'no', '7MI3', '', '7MI3', ''),
	('08IN', 'seaplane_base', 'Winona Lake Seaplane Base', 41.223056, -85.830556, 812, 'US', 'US-IN', 'Winona Lake', 'no', 'K02D', '', '02D', '08IN'),
	('IN56', 'small_airport', 'Carroll''s Airpark', 40.12689971923828, -85.43190002441406, 940, 'US', 'US-IN', 'Muncie', 'no', 'IN56', '', 'IN56', ''),
	('KGUS', 'medium_airport', 'Grissom Air Reserve Base', 40.648102, -86.1521, 812, 'US', 'US-IN', 'Peru', 'no', 'KGUS', 'GUS', 'GUS', ''),
	('KWAM', 'N/A', 'N/A', 41.54321160167456, -84.08262178301811, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('I58', 'seaplane_base', 'Crooked Lake Seaplane Base', 41.672401, -85.041395, 989, 'US', 'US-IN', 'Angola', 'no', '', '', 'I58', '5IN8, Q58'),
	('9OA1', 'N/A', 'N/A', 40.68137124180794, -84.63584750890732, 244, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IN64', 'small_airport', 'Beck Airport', 39.5609016418457, -86.2040023803711, 800, 'US', 'US-IN', 'Bargersville', 'no', 'IN64', '', 'IN64', ''),
	('KHHG', 'small_airport', 'Huntington Municipal Airport', 40.852901, -85.4571, 806, 'US', 'US-IN', 'Huntington', 'no', 'KHHG', '', 'HHG', ''),
	('01OH', 'heliport', 'Atrium Medical Center Heliport', 39.497455, -84.313851, 775, 'US', 'US-OH', 'Middletown', 'no', '01OH', '', '01OH', ''),
	('II95', 'small_airport', 'Rust''s Landing Airport', 41.364498138427734, -86.06330108642578, 820, 'US', 'US-IN', 'Bourbon', 'no', 'II95', '', 'II95', ''),
	('60MI', 'small_airport', 'Maybee Airport', 42.04140090942383, -83.56690216064453, 650, 'US', 'US-MI', 'Maybee', 'no', '60MI', '', '60MI', ''),
	('2OH6', 'small_airport', 'Smith Field Airport', 40.012001, -84.281303, 935, 'US', 'US-OH', 'Troy', 'no', '2OH6', '', '2OH6', 'Leavelle Airstrip'),
	('01E', 'seaplane_base', 'Lake James Seaplane Base', 41.700001, -85.039299, 964, 'US', 'US-IN', 'Angola', 'no', 'K01E', '', '01E', '6IN9'),
	('12II', 'small_airport', 'Pentecost Airport', 39.856272, -84.973464, 1020, 'US', 'US-IN', 'Richmond', 'no', '12II', '', '12II', ''),
	('83OH', 'small_airport', 'Adams Strip', 40.062302, -84.379402, 973, 'US', 'US-OH', 'Pleasant Hill', 'no', '83OH', '', '83OH', ''),
	('40I', 'small_airport', 'Red Stewart Airfield', 39.50529861450195, -84.12190246582031, 955, 'US', 'US-OH', 'Waynesville', 'no', '40I', '', '40I', ''),
	('82IN', 'small_airport', 'Hunter Airport', 40.981201171875, -85.92919921875, 790, 'US', 'US-IN', 'North Manchester', 'no', '82IN', '', '82IN', ''),
	('04I', 'small_airport', 'Columbus Southwest Airport', 39.91151, -83.188577, 920, 'US', 'US-OH', 'Columbus', 'no', 'K04I', '', '04I', ''),
	('O74', 'small_airport', 'Elliotts Landing Airport', 40.52470016479492, -83.51170349121094, 1045, 'US', 'US-OH', 'Mount Victory', 'no', 'O74', '', 'O74', ''),
	('6C2', 'small_airport', 'Ohio Dusting Co Inc Airport', 40.952869, -83.982243, 765, 'US', 'US-OH', 'Pandora', 'no', '', '', '6C2', 'OH27'),
	('16G', 'small_airport', 'Seneca County Airport', 41.094101, -83.212502, 786, 'US', 'US-OH', 'Tiffin', 'no', 'K16G', '', '16G', ''),
	('IN31', 'small_airport', 'Hanna Airport', 40.022301, -85.753891, 870, 'US', 'US-IN', 'Pendleton', 'no', 'IN31', '', 'IN31', 'North Lakeland, Huntzinger'),
	('1IN9', 'small_airport', 'Lee Farms Airport', 40.594916, -85.424473, 856, 'US', 'US-IN', 'Marion', 'no', '1IN9', '', '1IN9', ''),
	('4I9', 'small_airport', 'Morrow County Airport', 40.524502, -82.850098, 1085, 'US', 'US-OH', 'Mount Gilead', 'no', 'K4I9', '', '4I9', ''),
	('5IN9', 'small_airport', 'Stangland Airport', 41.315804, -85.464878, 924, 'US', 'US-IN', 'Wolflake', 'no', '5IN9', '', '5IN9', ''),
	('5D9', 'small_airport', 'Bandit Field Airdrome Airport', 41.223899841308594, -82.95770263671875, 805, 'US', 'US-OH', 'Clyde', 'no', '5D9', '', '5D9', ''),
	('64IN', 'small_airport', 'Peacock Farms Airport', 40.43479919433594, -85.62550354003906, 875, 'US', 'US-IN', 'Fairmount', 'no', '64IN', '', '64IN', ''),
	('6IN2', 'small_airport', 'Whelen Airport', 39.49359893798828, -85.64859771728516, 870, 'US', 'US-IN', 'Waldron', 'no', '6IN2', '', '6IN2', ''),
	('KUMP', 'small_airport', 'Indianapolis Metropolitan Airport', 39.9352, -86.044998, 811, 'US', 'US-IN', 'Indianapolis', 'no', 'KUMP', '', 'UMP', ''),
	('6II2', 'small_airport', 'Willis Site Number 2 Airport', 39.733398, -85.723297, 881, 'US', 'US-IN', 'Greenfield', 'no', '6II2', '', '6II2', ''),
	('KADG', 'small_airport', 'Lenawee County Airport', 41.866205, -84.077983, 798, 'US', 'US-MI', 'Adrian', 'no', 'KADG', 'ADG', 'ADG', ''),
	('34IN', 'closed', 'Windy P Ridge Airport', 40.340302, -85.017998, 1035, 'US', 'US-IN', 'Portland', 'no', '', '', '', '34IN'),
	('KJYM', 'small_airport', 'Hillsdale Municipal Airport', 41.92129898071289, -84.58580017089844, 1182, 'US', 'US-MI', 'Hillsdale', 'no', 'KJYM', '', 'JYM', ''),
	('1OI7', 'closed', 'Knight Airport', 41.159077, -82.569594, 925, 'US', 'US-OH', 'Norwalk', 'no', '', '', '', '1OI7'),
	('KHAI', 'small_airport', 'Three Rivers Municipal Dr Haines Airport', 41.959801, -85.593399, 824, 'US', 'US-MI', 'Three Rivers', 'no', 'KHAI', 'HAI', 'HAI', ''),
	('0D7', 'small_airport', 'Ada Airport', 40.7906, -83.829102, 949, 'US', 'US-OH', 'Ada', 'no', '0D7', '', '0D7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('26IN', 'closed', 'Willcox Airport', 39.823399, -85.591904, 990, 'US', 'US-IN', 'Knightstown', 'no', '', '', '', '26IN'),
	('3II9', 'small_airport', 'Dick''s Strip', 41.098345, -85.241783, 850, 'US', 'US-IN', 'Arcola', 'no', '3II9', '', '3II9', ''),
	('6IN8', 'small_airport', 'Mcminn Airport', 39.52859878540039, -85.31670379638672, 1065, 'US', 'US-IN', 'Rushville', 'no', '6IN8', '', '6IN8', ''),
	('OH46', 'heliport', 'Adena Regional Medical Center Heliport', 39.39569, -82.969782, 747, 'US', 'US-OH', 'Chillicothe', 'no', '', '', 'OH91', 'OH46, Medical Center Hospital, OH91'),
	('KAXV', 'small_airport', 'Neil Armstrong Airport', 40.49340057, -84.29889679, 913, 'US', 'US-OH', 'Wapakoneta', 'no', 'KAXV', 'AXV', 'AXV', ''),
	('9OH6', 'closed', 'Weaver Airport', 41.035301, -83.569001, 795, 'US', 'US-OH', 'Findlay', 'no', '', '', '', '9OH6'),
	('9OH9', 'closed', 'Forest Field', 40.828701, -83.513802, 890, 'US', 'US-OH', 'Forest', 'no', '', '', '', '9OH9'),
	('9OI7', 'closed', 'Bayes Airport', 40.340099, -83.284103, 1000, 'US', 'US-OH', 'Magnetic Springs', 'no', '', '', '', '9OI7'),
	('IN9', 'seaplane_base', 'Webster Lake Seaplane Base', 41.325122, -85.682522, 858, 'US', 'US-IN', 'North Webster', 'no', '', '', 'IN9', ''),
	('4OA8', 'small_airport', 'Bowman Airport', 40.108319, -84.299312, 980, 'US', 'US-OH', 'Piqua', 'no', '4OA8', '', '4OA8', ''),
	('KANQ', 'small_airport', 'Tri State Steuben County Airport', 41.639702, -85.083504, 995, 'US', 'US-IN', 'Angola', 'no', 'KANQ', 'ANQ', 'ANQ', ''),
	('KVES', 'small_airport', 'Darke County Airport', 40.204399, -84.531898, 1007, 'US', 'US-OH', 'Versailles', 'no', 'KVES', '', 'VES', ''),
	('88G', 'small_airport', 'Gradolph Field', 41.9197998046875, -83.73490142822266, 673, 'US', 'US-MI', 'Petersburg', 'no', '88G', '', '88G', ''),
	('OI84', 'closed', 'King Knoll Airport', 39.3871, -84.797897, 855, 'US', 'US-OH', 'Okeana', 'no', '', '', '', 'Greater Okeana Metroplex Interplanetary Spaceport and Snack Bar, OI84'),
	('MI95', 'small_airport', 'Taylors Flight Park Airport', 41.84669876098633, -85.8949966430664, 890, 'US', 'US-MI', 'Cassopolis', 'no', 'MI95', '', 'MI95', ''),
	('99D', 'seaplane_base', 'Dewart Lake Seaplane Base', 41.371946, -85.772778, 865, 'US', 'US-IN', 'Warsaw', 'no', '', '', '99D', '7IN8'),
	('13IN', 'small_airport', 'Gage Airport', 40.814484, -84.927803, 814, 'US', 'US-IN', 'Decatur', 'no', '13IN', '', '13IN', ''),
	('69II', 'small_airport', 'Greuter Field', 41.36940002441406, -84.87889862060547, 840, 'US', 'US-IN', 'Butler', 'no', '69II', '', '69II', ''),
	('KMIE', 'medium_airport', 'Delaware County Johnson Field', 40.242298, -85.395897, 937, 'US', 'US-IN', 'Muncie', 'no', 'KMIE', 'MIE', 'MIE', ''),
	('OH64', 'small_airport', 'Hummel Airport', 39.593101501464844, -84.34380340576172, 695, 'US', 'US-OH', 'Germantown', 'no', 'OH64', '', 'OH64', ''),
	('II43', 'small_airport', 'C. V. Airport', 41.75, -86.19219970703125, 780, 'US', 'US-IN', 'Granger', 'no', 'II43', '', 'II43', ''),
	('II78', 'small_airport', 'Wallace Field', 39.8583984375, -85.60160064697266, 995, 'US', 'US-IN', 'Wilkinson', 'no', 'II78', '', 'II78', ''),
	('3OH7', 'small_airport', 'Creager Airport', 39.030102, -84.0466, 895, 'US', 'US-OH', 'Williamsburg', 'no', '', '', '', '3OH7'),
	('63OH', 'small_airport', 'White''s Airport', 39.70280075073242, -83.09390258789063, 815, 'US', 'US-OH', 'Darbyville', 'no', '63OH', '', '63OH', ''),
	('3IN2', 'closed', 'Dupouy Airport', 40.419201, -85.856102, 860, 'US', 'US-IN', 'Point Isabel', 'no', '', '', '', '3IN2'),
	('83OA', 'small_airport', 'Hufford Field', 40.158611, -84.594167, 1035, 'US', 'US-OH', 'Greenville', 'no', '83OA', '', '83OA', ''),
	('KOXD', 'small_airport', 'Miami University Airport', 39.50230026, -84.78440094, 1041, 'US', 'US-OH', 'Oxford', 'no', 'KOXD', 'OXD', 'OXD', ''),
	('OH51', 'closed', 'Miami Valley Career Technology Center Airport', 39.843399, -84.331299, 930, 'US', 'US-OH', 'Clayton', 'no', '', '', '', 'OH51'),
	('IN47', 'small_airport', 'White Airport', 39.77360153198242, -84.92279815673828, 1140, 'US', 'US-IN', 'Richmond', 'no', 'IN47', '', 'IN47', ''),
	('62IN', 'small_airport', 'Fowler Field Private Airport', 40.431563, -85.978382, 854, 'US', 'US-IN', 'Greentown', 'no', '62IN', '', '62IN', ''),
	('1OH1', 'small_airport', 'S and S Field', 40.30139923095703, -83.9760971069336, 1057, 'US', 'US-OH', 'Quincy', 'no', '1OH1', '', '1OH1', ''),
	('OI66', 'closed', 'Eibling Circle E Airport', 40.740898, -83.670998, 980, 'US', 'US-OH', 'Dola', 'no', '', '', '', 'OI66'),
	('82OI', 'small_airport', 'J-Em Farm Airport', 40.15420150756836, -83.27490234375, 1005, 'US', 'US-OH', 'Columbus', 'no', '82OI', '', '82OI', ''),
	('I23', 'small_airport', 'Fayette County Airport', 39.5704, -83.420502, 980, 'US', 'US-OH', 'Washington Court House', 'no', 'KI23', '', 'I23', ''),
	('67MI', 'small_airport', 'Pinelli Airport', 41.997875, -85.853483, 921, 'US', 'US-MI', 'Marcellus', 'no', '67MI', '', '67MI', 'Keenum Aerodrome'),
	('04II', 'closed', 'Turkey Run Airport', 41.1306, -84.994102, 765, 'US', 'US-IN', 'New Haven', 'no', '', '', '', '04II'),
	('OH86', 'closed', 'Deeds Field', 39.648395, -82.539902, 800, 'US', 'US-OH', 'Sugar Grove', 'no', '', '', '', 'OH86'),
	('II67', 'small_airport', 'Hickory Hills Airport', 40.427349, -85.373694, 900, 'US', 'US-IN', 'Hartford City', 'no', 'II67', '', 'II67', ''),
	('KMNN', 'small_airport', 'Marion Municipal Airport', 40.6161994934, -83.06349945070001, 993, 'US', 'US-OH', 'Marion', 'no', 'KMNN', 'MNN', 'MNN', ''),
	('OI85', 'small_airport', 'Mill Creek Airport', 40.268398284912, -83.221603393555, 960, 'US', 'US-OH', 'Ostrander', 'no', '', '', 'OI85', 'OI85'),
	('3OH9', 'small_airport', 'Merts Field', 39.562026, -83.857784, 1010, 'US', 'US-OH', 'Wilmington', 'no', '3OH9', '', '3OH9', ''),
	('I95', 'small_airport', 'Hardin County Airport', 40.610699, -83.6436, 1024, 'US', 'US-OH', 'Kenton', 'no', 'KI95', '', 'I95', ''),
	('0IN2', 'small_airport', 'The Lazy K Airport', 40.82780075073242, -85.08609771728516, 835, 'US', 'US-IN', 'Tocsin', 'no', '0IN2', '', '0IN2', ''),
	('51OH', 'small_airport', 'Agner Airport', 41.0703010559082, -84.0863037109375, 740, 'US', 'US-OH', 'Ottawa', 'no', '51OH', '', '51OH', ''),
	('S24', 'small_airport', 'Sandusky County Regional Airport', 41.2957, -83.037201, 665, 'US', 'US-OH', 'Fremont', 'no', 'S24', '', 'S24', ''),
	('57OI', 'small_airport', 'Logan''s Chance Airport', 39.996700286865234, -83.85469818115234, 1100, 'US', 'US-OH', 'Lawrenceville', 'no', '57OI', '', '57OI', ''),
	('29IN', 'small_airport', 'Homestead Airport', 41.07538, -85.38557, 863, 'US', 'US-IN', 'Columbia City', 'no', '29IN', '', '29IN', ''),
	('43G', 'small_airport', 'Belleville Airport', 42.176701, -83.545799, 696, 'US', 'US-MI', 'Belleville', 'no', '43G', '', '43G', ''),
	('IN35', 'small_airport', 'Shinn Bone Lane Airport', 40.65420150756836, -86.02279663085938, 809, 'US', 'US-IN', 'Peru', 'no', 'IN35', '', 'IN35', ''),
	('CLM2', 'small_airport', 'Leamington Airport', 42.025001525878906, -82.5250015258789, 576, 'CA', 'CA-ON', 'Leamington', 'no', 'CLM2', '', 'CLM2', 'LM2'),
	('KMZZ', 'small_airport', 'Marion Municipal Airport', 40.4898986816, -85.6797027588, 859, 'US', 'US-IN', 'Marion', 'no', 'KMZZ', 'MZZ', 'MZZ', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('I72', 'small_airport', 'Westfield Airport', 40.049529, -86.160407, 932, 'US', 'US-IN', 'Westfield', 'no', 'KI72', '', 'I72', ''),
	('0OI3', 'small_airport', 'Galloway Airport', 41.38209915161133, -82.71610260009766, 643, 'US', 'US-OH', 'Sandusky', 'no', '0OI3', '', '0OI3', ''),
	('OH87', 'closed', 'Providence Hospital Heliport', 41.437, -82.712402, 651, 'US', 'US-OH', 'Sandusky', 'no', '', '', '', 'OH87'),
	('KMGY', 'small_airport', 'Dayton-Wright Brothers Airport', 39.5890007019, -84.224899292, 957, 'US', 'US-OH', 'Dayton', 'no', 'KMGY', 'MGY', 'MGY', ''),
	('3TE', 'small_airport', 'Al Meyers Airport', 42.025101, -83.939201, 815, 'US', 'US-MI', 'Tecumseh', 'no', '', '', '3TE', '0MI7, Meyers-Diver''s Airport'),
	('MI70', 'small_airport', 'Carl''s Airport', 42.071201, -83.883598, 850, 'US', 'US-MI', 'Clinton', 'no', 'MI70', '', 'MI70', ''),
	('OH77', 'small_airport', 'Lumberton Airport', 39.553096, -83.854094, 1008, 'US', 'US-OH', 'Wilmington', 'no', 'OH77', '', 'OH77', ''),
	('5OI9', 'closed', 'Rogers Private Airport', 41.327801, -84.557701, 725, 'US', 'US-OH', 'Sherwood', 'no', '', '', '', '5OI9'),
	('IN62', 'small_airport', 'Tropria Airport', 41.244801, -85.297501, 905, 'US', 'US-IN', 'Churubusco', 'no', 'IN62', '', 'IN62', ''),
	('KROP', 'N/A', 'N/A', 41.004382967948914, -85.2905997633934, 228, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('47OH', 'closed', 'Chapin Airport', 41.201099, -82.573027, 885, 'US', 'US-OH', 'Norwalk', 'no', '', '', '', '47OH'),
	('63II', 'small_airport', 'Woods Field', 39.50510025024414, -86.0302963256836, 750, 'US', 'US-IN', 'Franklin', 'no', '63II', '', '63II', ''),
	('KCMH', 'large_airport', 'John Glenn Columbus International Airport', 39.998001, -82.891899, 815, 'US', 'US-OH', 'Columbus', 'yes', 'KCMH', 'CMH', 'CMH', ''),
	('9II4', 'small_airport', 'Cruzan Field', 40.17250061035156, -85.9447021484375, 845, 'US', 'US-IN', 'Arcadia', 'no', '9II4', '', '9II4', ''),
	('75OI', 'small_airport', 'Soltis Field', 40.503700256347656, -83.09020233154297, 950, 'US', 'US-OH', 'Marion', 'no', '75OI', '', '75OI', ''),
	('KEKM', 'small_airport', 'Elkhart Municipal Airport', 41.7193984985, -86.00319671630001, 778, 'US', 'US-IN', 'Elkhart', 'no', 'KEKM', 'EKI', 'EKM', ''),
	('7IN2', 'small_airport', 'Flying Crown Airport', 41.501399993896484, -84.87830352783203, 920, 'US', 'US-IN', 'Hamilton', 'no', '7IN2', '', '7IN2', ''),
	('34G', 'small_airport', 'Merillat Airport', 41.974998, -83.925201, 820, 'US', 'US-MI', 'Tecumseh', 'no', '34G', '', '34G', ''),
	('OH61', 'small_airport', 'Amanda Airport', 39.63529968261719, -82.73789978027344, 900, 'US', 'US-OH', 'Amanda', 'no', 'OH61', '', 'OH61', ''),
	('6OH4', 'small_airport', 'Aring Field', 41.3583984375, -83.55829620361328, 650, 'US', 'US-OH', 'Bowling Green', 'no', '6OH4', '', '6OH4', ''),
	('OI92', 'closed', 'Conklin Airport', 41.391701, -83.7033, 675, 'US', 'US-OH', 'Bowling Green', 'no', '', '', '', 'OI92'),
	('0II7', 'small_airport', 'Frost Field', 39.79560089111328, -85.78610229492188, 900, 'US', 'US-IN', 'Greenfield', 'no', '0II7', '', '0II7', ''),
	('1OI6', 'small_airport', 'Stone Airport', 39.77009963989258, -84.4166030883789, 978, 'US', 'US-OH', 'New Lebanon', 'no', '1OI6', '', '1OI6', ''),
	('2B6', 'small_airport', 'Hollister Field', 39.437599182128906, -83.70829772949219, 1090, 'US', 'US-OH', 'Wilmington', 'no', '2B6', '', '2B6', ''),
	('KCYO', 'small_airport', 'Pickaway County Memorial Airport', 39.515999, -82.982101, 684, 'US', 'US-OH', 'Circleville', 'no', 'KCYO', '', 'CYO', ''),
	('2IN6', 'small_airport', 'Galloway Airport', 40.041901, -85.916901, 830, 'US', 'US-IN', 'Noblesville', 'no', '2IN6', '', '2IN6', ''),
	('3OH1', 'small_airport', 'Morningstar North Airport', 39.69729995727539, -84.5427017211914, 982, 'US', 'US-OH', 'West Alexandria', 'no', '3OH1', '', '3OH1', ''),
	('13OH', 'closed', 'Rose Field', 41.330299, -84.298301, 728, 'US', 'US-OH', 'Jewell', 'no', '', '', '', '13OH'),
	('I99', 'small_airport', 'Alexandria Airport', 40.232498, -85.637497, 900, 'US', 'US-IN', 'Alexandria', 'no', 'I99', '', 'I99', ''),
	('II14', 'closed', 'Beck Private Airport', 40.961242, -85.562671, 840, 'US', 'US-IN', 'Huntington', 'no', '', '', '', 'II14'),
	('7W5', 'small_airport', 'Henry County Airport', 41.374298, -84.0679, 683, 'US', 'US-OH', 'Napoleon', 'no', '', '', '7W5', 'OH17'),
	('II36', 'small_airport', 'Mc Neil Field', 39.665298461899994, -85.81670379639999, 862, 'US', 'US-IN', 'Fountaintown', 'no', 'II36', '', 'II36', ''),
	('KMRT', 'small_airport', 'Union County Airport', 40.224701, -83.351601, 1021, 'US', 'US-OH', 'Marysville', 'no', 'KMRT', '', 'MRT', ''),
	('7OH7', 'closed', 'Hydebrook Airport', 39.780102, -83.899902, 960, 'US', 'US-OH', 'Yellow Springs', 'no', '', '', '', '7OH7'),
	('5I4', 'small_airport', 'Sheridan Airport', 40.177898, -86.2173, 936, 'US', 'US-IN', 'Sheridan', 'no', 'K5I4', '', '5I4', ''),
	('2OA5', 'small_airport', 'Fl-Airfield', 40.182498931884766, -83.35089874267578, 980, 'US', 'US-OH', 'Marysville', 'no', '2OA5', '', '2OA5', ''),
	('KDLZ', 'small_airport', 'Delaware Municipal Airport', 40.279701, -83.114799, 945, 'US', 'US-OH', 'Delaware', 'no', 'KDLZ', '', 'DLZ', ''),
	('36OI', 'small_airport', 'Verhoff Airport', 41.07310104370117, -84.21269989013672, 728, 'US', 'US-OH', 'Continental', 'no', '36OI', '', '36OI', ''),
	('43OA', 'small_airport', 'Anderson Airfield', 39.581422, -84.092783, 940, 'US', 'US-OH', 'Waynesville', 'no', '43OA', '', '43OA', 'Bellbrook'),
	('KTDZ', 'small_airport', 'Toledo Executive Airport', 41.56489944, -83.4822998, 623, 'US', 'US-OH', 'Toledo', 'no', 'KTDZ', 'TDZ', 'TDZ', 'Metcalf Field'),
	('83G', 'N/A', 'N/A', 41.99652470648289, -84.1874098777771, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRCR', 'small_airport', 'Fulton County Airport', 41.065601348899996, -86.18170166019999, 790, 'US', 'US-IN', 'Rochester', 'no', 'KRCR', 'RCR', 'RCR', ''),
	('KPLD', 'small_airport', 'Portland Municipal Airport', 40.450802, -84.990097, 925, 'US', 'US-IN', 'Portland', 'no', 'KPLD', '', 'PLD', ''),
	('6OH7', 'small_airport', 'Nietz Airport', 41.407008, -83.679939, 676, 'US', 'US-OH', 'Bowling Green', 'no', '6OH7', '', '6OH7', ''),
	('2IN2', 'small_airport', 'Gerig''s Field', 41.00920104980469, -85.37139892578125, 850, 'US', 'US-IN', 'Roanoke', 'no', '2IN2', '', '2IN2', ''),
	('4C2', 'small_airport', 'Walker/Rowe Waterloo Airport', 41.431198, -84.981598, 900, 'US', 'US-IN', 'Waterloo', 'no', '4C2', '', '4C2', ''),
	('II28', 'small_airport', 'Stettler Strip', 41.210683, -85.063098, 860, 'US', 'US-IN', 'Leo', 'no', 'II28', '', 'II28', ''),
	('1IN0', 'small_airport', 'Belknap-Icarus Acres Airport', 40.133399963378906, -85.23049926757813, 1040, 'US', 'US-IN', 'Parker City', 'no', '1IN0', '', '1IN0', ''),
	('63OI', 'small_airport', 'Bowman Field', 40.33509826660156, -83.13600158691406, 965, 'US', 'US-OH', 'Delaware', 'no', '63OI', '', '63OI', ''),
	('60IN', 'small_airport', 'Fisher Farm Airport', 40.945899963378906, -85.37000274658203, 750, 'US', 'US-IN', 'Roanoke', 'no', '60IN', '', '60IN', ''),
	('7II9', 'closed', 'Thorn Field', 39.582802, -86.179821, 740, 'US', 'US-IN', 'Bargersville', 'no', '', '', '', '7II9');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('76II', 'small_airport', 'Ries Airport', 41.27640151977539, -85.27110290527344, 880, 'US', 'US-IN', 'Laotto', 'no', '76II', '', '76II', ''),
	('IN49', 'small_airport', 'Pherigo Airport', 39.48551, -85.80324, 760, 'US', 'US-IN', 'Shelbyville', 'no', 'IN49', '', 'IN49', ''),
	('2OH2', 'small_airport', 'Merritt Airport', 39.47200012207031, -83.48989868164063, 990, 'US', 'US-OH', 'Staunton', 'no', '2OH2', '', '2OH2', ''),
	('07IN', 'small_airport', 'Gray Airport', 39.573699951171875, -85.91390228271484, 750, 'US', 'US-IN', 'Boggstown', 'no', '07IN', '', '07IN', ''),
	('3FK', 'small_airport', 'Franklin Flying Field', 39.426399, -86.058296, 740, 'US', 'US-IN', 'Franklin', 'no', '3FK', '', '3FK', ''),
	('I76', 'small_airport', 'Peru Municipal Airport', 40.786301, -86.1464, 779, 'US', 'US-IN', 'Peru', 'no', 'KI76', '', 'I76', ''),
	('M84', 'closed', 'Erie Aerodrome', 41.782961, -83.51753, 605, 'US', 'US-MI', 'Erie', 'no', '', '', '', 'M84'),
	('MI09', 'closed', 'Milan Airport', 42.050593, -83.741313, 706, 'US', 'US-MI', 'Milan', 'no', '', '', '', 'MI09'),
	('R47', 'small_airport', 'Ruhes Airport', 41.102526, -84.05443, 801, 'US', 'US-OH', 'Leipsic', 'no', 'KR47', '', 'R47', ''),
	('OH32', 'closed', 'Stone Airport', 41.006402, -83.427399, 835, 'US', 'US-OH', 'Alvada', 'no', '', '', '', 'OH32'),
	('03IN', 'small_airport', 'Heinzman Airport', 40.18000030517578, -86.01249694824219, 850, 'US', 'US-IN', 'Arcadia', 'no', '03IN', '', '03IN', ''),
	('IN2', 'seaplane_base', 'Snow Lake Seaplane Base', 41.729858, -85.032575, 965, 'US', 'US-IN', 'Jamestown', 'no', '', '', 'IN2', ''),
	('3I7', 'small_airport', 'Dayton-Phillipsburg Airport', 39.913305, -84.400398, 1031, 'US', 'US-OH', 'Phillipsburg', 'no', '', '', '3I7', ''),
	('MI02', 'closed', 'Brablec Farms Airport', 41.987, -83.804701, 691, 'US', 'US-MI', 'Britton', 'no', '', '', '', 'MI02'),
	('IN83', 'small_airport', 'Lautzenhiser Airpark', 41.50230026245117, -84.9301986694336, 928, 'US', 'US-IN', 'Hamilton', 'no', 'IN83', '', 'IN83', ''),
	('II85', 'small_airport', 'Blomenberg Airport', 40.89619827270508, -85.04910278320313, 800, 'US', 'US-IN', 'Decatur', 'no', 'II85', '', 'II85', ''),
	('MI48', 'small_airport', 'Ham-A-Lot Field', 41.842839, -83.684149, 680, 'US', 'US-MI', 'Petersburg', 'no', 'MI48', '', 'MI48', ''),
	('9OA5', 'small_airport', 'Buckeye Executive Airport', 39.961215, -82.540723, 914, 'US', 'US-OH', 'Hebron', 'no', '9OA5', '', '9OA5', ''),
	('KSKY', 'closed', 'Griffing Sandusky Airport', 41.4333992004, -82.6522979736, 580, 'US', 'US-OH', 'Sandusky', 'no', '', '', '', 'KSKY, KSKY, SKY, SKY'),
	('1WF', 'small_airport', 'Waco Field', 40.014801025390625, -84.1980972290039, 820, 'US', 'US-OH', 'Troy', 'no', '1WF', '', '1WF', ''),
	('I68', 'small_airport', 'Warren County Airport/John Lane Field', 39.4622, -84.251801, 898, 'US', 'US-OH', 'Lebanon', 'no', 'I68', '', 'I68', ''),
	('1OH2', 'small_airport', 'Dougherty Airport', 41.24399948120117, -82.86630249023438, 807, 'US', 'US-OH', 'Bellevue', 'no', '1OH2', '', '1OH2', ''),
	('OA51', 'small_airport', 'Fighter Field Airport', 40.206111, -83.228611, 980, 'US', 'US-OH', 'Watkins', 'no', 'OA51', '', 'OA51', ''),
	('3II3', 'small_airport', 'Basting Airport', 41.090865, -84.831126, 755, 'US', 'US-IN', 'Woodburn', 'no', '3II3', '', '3II3', ''),
	('I80', 'small_airport', 'Noblesville Airport', 40.003601074219, -85.964698791504, 821, 'US', 'US-IN', 'Noblesville', 'no', 'I80', '', 'I80', '23II'),
	('OA05', 'small_airport', 'Hogan Airport', 39.424198150634766, -84.65910339355469, 865, 'US', 'US-OH', 'Mc Gonigle', 'no', 'OA05', '', 'OA05', ''),
	('72OH', 'small_airport', 'Zeigler Landing Strip', 41.604533, -83.867281, 680, 'US', 'US-OH', 'Swanton', 'no', '72OH', '', '72OH', ''),
	('88OH', 'small_airport', 'Chippewa Field', 41.599998474121094, -83.31659698486328, 596, 'US', 'US-OH', 'Williston', 'no', '88OH', '', '88OH', ''),
	('0II3', 'closed', 'Miller Strip', 40.6278, -86.037804, 810, 'US', 'US-IN', 'Bunker Hill', 'no', '', '', '', '0II3'),
	('OH35', 'closed', 'Mission Field', 39.4309, -82.822452, 900, 'US', 'US-OH', 'Hallsville', 'no', '', '', '', 'OH35, OH35, OH35'),
	('39II', 'small_airport', 'Miller Field', 41.514801025390625, -85.55220031738281, 957, 'US', 'US-IN', 'Topeka', 'no', '39II', '', '39II', ''),
	('MI53', 'small_airport', 'Mills Field', 42.00920104980469, -83.25830078125, 590, 'US', 'US-MI', 'Newport', 'no', 'MI53', '', 'MI53', ''),
	('2IN5', 'small_airport', 'Midkiff Airport', 40.015201568603516, -85.472900390625, 1038, 'US', 'US-IN', 'Sulphur Springs', 'no', '2IN5', '', '2IN5', ''),
	('1OI9', 'small_airport', 'Mc Colloch''s Airport', 40.177299499499995, -84.29440307620001, 990, 'US', 'US-OH', 'Piqua', 'no', '1OI9', '', '1OI9', ''),
	('61II', 'small_airport', 'Kay Field', 41.36249923706055, -85.47779846191406, 930, 'US', 'US-IN', 'Wolflake', 'no', '61II', '', '61II', ''),
	('6G8', 'small_airport', 'Shamrock Field', 42.095001, -84.240799, 995, 'US', 'US-MI', 'Brooklyn', 'no', '6G8', '', '6G8', ''),
	('II13', 'small_airport', 'Sugar Creek Air Park', 39.920278, -85.598611, 1000, 'US', 'US-IN', 'Markleville', 'no', 'II13', '', 'II13', ''),
	('KMQJ', 'small_airport', 'Indianapolis Regional Airport', 39.843498, -85.8971, 862, 'US', 'US-IN', 'Indianapolis', 'no', 'KMQJ', '', 'MQJ', 'Mount Comfort'),
	('KUWL', 'small_airport', 'New Castle-Henry County Municipal Airport', 39.8759, -85.3265, 1088, 'US', 'US-IN', 'New Castle', 'no', 'KUWL', '', 'UWL', 'Marlatt Field'),
	('II21', 'small_airport', 'Zollinger Strip', 41.47529983520508, -85.6947021484375, 860, 'US', 'US-IN', 'Ligonier', 'no', 'II21', '', 'II21', ''),
	('IN69', 'closed', 'Hatfield Airport', 41.665601, -85.832197, 860, 'US', 'US-IN', 'Bristol', 'no', '', '', '', 'IN69'),
	('9MI2', 'small_airport', 'Newport Woods Airport', 41.98789978027344, -83.30760192871094, 593, 'US', 'US-MI', 'Newport', 'no', '9MI2', '', '9MI2', ''),
	('IN12', 'seaplane_base', 'Lake Sylvan Seaplane Base', 41.481944, -85.343611, 916, 'US', 'US-IN', 'Kendallville', 'no', '', '', '', ''),
	('3OH0', 'small_airport', 'Andy Barnhart Memorial Airport', 39.930317, -84.013429, 895, 'US', 'US-OH', 'New Carlisle', 'no', '3OH0', '', '3OH0', 'Flying Angels'),
	('MI35', 'small_airport', 'Claucherty Airport', 42.077341, -84.827599, 988, 'US', 'US-MI', 'Litchfield', 'no', 'MI35', '', 'MI35', ''),
	('KSMD', 'small_airport', 'Smith Field', 41.14339828, -85.15280151, 835, 'US', 'US-IN', 'Fort Wayne', 'no', 'KSMD', 'SMD', 'SMD', ''),
	('IN05', 'small_airport', 'Stevens Farms Airport', 39.66059875488281, -85.54830169677734, 930, 'US', 'US-IN', 'Rushville', 'no', 'IN05', '', 'IN05', ''),
	('W87', 'small_airport', 'Wickenheiser Airport', 42.018101, -83.377197, 610, 'US', 'US-MI', 'Carleton', 'no', 'W87', '', 'W87', ''),
	('OI38', 'small_airport', 'Hillview Airstrip', 40.308435, -83.613545, 1400, 'US', 'US-OH', 'East Liberty', 'no', 'OI38', '', 'OI38', ''),
	('0II6', 'closed', 'Kropf Airport', 41.64335, -85.830131, 810, 'US', 'US-IN', 'Goshen', 'no', '', '', '', '0II6'),
	('C40', 'small_airport', 'Miller Airport', 40.716702, -85.25, 845, 'US', 'US-IN', 'Bluffton', 'no', 'C40', '', 'C40', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('II02', 'small_airport', 'Kline Field', 41.38560104370117, -84.82689666748047, 825, 'US', 'US-IN', 'Butler', 'no', 'II02', '', 'II02', ''),
	('IN63', 'closed', 'Horizon Field', 40.366699, -85.3386, 940, 'US', 'US-IN', 'Eaton', 'no', '', '', '', 'IN63, IN63, IN63'),
	('OH59', 'small_airport', 'McIntosh Airport', 39.695991, -84.448178, 914, 'US', 'US-OH', 'Farmersville', 'no', 'OH59', '', 'OH59', 'Garwood Airport'),
	('8IS2', 'small_airport', 'Kilsoquah Farm Airport', 40.997798919677734, -85.38890075683594, 840, 'US', 'US-IN', 'Roanoke', 'no', '8IS2', '', '8IS2', ''),
	('II75', 'small_airport', 'Daugherty Field', 40.67919921875, -85.41529846191406, 839, 'US', 'US-IN', 'Warren', 'no', 'II75', '', 'II75', ''),
	('7IN9', 'small_airport', 'The Last Resort Airport', 40.037498474121094, -85.41059875488281, 1070, 'US', 'US-IN', 'Springport', 'no', '7IN9', '', '7IN9', ''),
	('09C', 'N/A', 'N/A', 42.16365113854408, -85.54601311683655, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5IN0', 'small_airport', 'Yoder Field', 41.685605, -85.373783, 870, 'US', 'US-IN', 'LaGrange', 'no', '5IN0', '', '5IN0', 'Nicks Flying Service'),
	('KDOU', 'N/A', 'N/A', 41.14401273429394, -84.37627047300339, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0II0', 'small_airport', 'Chuck''s Airport', 40.258381, -85.253348, 955, 'US', 'US-IN', 'Albany', 'no', '0II0', '', '0II0', ''),
	('KEDJ', 'small_airport', 'Bellefontaine Regional Airport', 40.372299, -83.819, 1122, 'US', 'US-OH', 'Bellefontaine', 'no', 'KEDJ', '', 'EDJ', ''),
	('3IG3', 'small_airport', 'Terry''s Airport', 41.17020034790039, -85.42160034179688, 850, 'US', 'US-IN', 'Columbia City', 'no', '3IG3', '', '3IG3', ''),
	('46IN', 'small_airport', 'Ames Field', 41.38119888305664, -86.2228012084961, 825, 'US', 'US-IN', 'Plymouth', 'no', '46IN', '', '46IN', ''),
	('2OA4', 'small_airport', 'Victory Field', 39.931391, -83.908863, 1055, 'US', 'US-OH', 'Bethel Township', 'no', '2OA4', '', '2OA4', ''),
	('8IN2', 'small_airport', 'Robinson Field', 39.62329864501953, -86.03140258789063, 840, 'US', 'US-IN', 'Greenwood', 'no', '8IN2', '', '8IN2', ''),
	('3D8', 'closed', 'Bordner Airport', 41.335999, -83.723198, 690, 'US', 'US-OH', 'Bowling Green', 'no', '', '', '', '3D8, 3D8'),
	('6OI5', 'small_airport', 'Mitchell Airport', 40.137298583984375, -83.21800231933594, 950, 'US', 'US-OH', 'Plain City', 'no', '6OI5', '', '6OI5', ''),
	('I73', 'small_airport', 'Moraine Air Park', 39.682215, -84.239042, 720, 'US', 'US-OH', 'Dayton', 'no', '', '', 'I73', ''),
	('KRZT', 'small_airport', 'Ross County Airport', 39.440399, -83.023102, 725, 'US', 'US-OH', 'Chillicothe', 'no', 'KRZT', '', 'RZT', ''),
	('II74', 'small_airport', 'Eby Field', 41.559799, -86.053101, 825, 'US', 'US-IN', 'Wakarusa', 'no', 'II74', '', 'II74', 'Agriflite Services'),
	('2IN4', 'small_airport', 'Scott Field', 41.25669860839844, -86.189697265625, 810, 'US', 'US-IN', 'Argos', 'no', '2IN4', '', '2IN4', ''),
	('87OH', 'closed', 'Mundron Field', 41.705601, -84.373596, 840, 'US', 'US-OH', 'Fayette', 'no', '', '', '', '87OH'),
	('8I3', 'small_airport', 'Glenndale Airport', 40.428331, -86.201134, 850, 'US', 'US-IN', 'Kokomo', 'no', '8I3', '', '8I3', ''),
	('O12', 'seaplane_base', 'Grand Lake St Marys Seaplane Base', 40.541, -84.4907, 871, 'US', 'US-OH', 'St Marys', 'no', 'O12', '', 'O12', ''),
	('14OH', 'small_airport', 'Heilman Airport', 40.66889953613281, -83.44349670410156, 930, 'US', 'US-OH', 'Kenton', 'no', '14OH', '', '14OH', ''),
	('0OH2', 'closed', 'Jenkins Field', 39.970604, -83.911598, 1080, 'US', 'US-OH', 'North Hampton', 'no', '', '', '', '0OH2'),
	('OH93', 'small_airport', 'Darby Airport', 40.14030075073242, -83.39019775390625, 972, 'US', 'US-OH', 'Milford Center', 'no', 'OH93', '', 'OH93', ''),
	('4II8', 'small_airport', 'Willis Airport', 39.725591, -85.714881, 880, 'US', 'US-IN', 'Greenfield', 'no', '4II8', '', '4II8', ''),
	('82D', 'closed', 'Weiker Airport', 41.229198, -83.029099, 740, 'US', 'US-OH', 'Green Springs', 'no', '', '', '', '82D'),
	('53IN', 'small_airport', 'Hartman Farms Field', 40.521400451660156, -86.21499633789063, 818, 'US', 'US-IN', 'Kokomo', 'no', '53IN', '', '53IN', ''),
	('IN50', 'closed', 'Siefert Airport', 39.4403, -85.765295, 750, 'US', 'US-IN', 'Shelbyville', 'no', '', '', '', 'IN50'),
	('KILN', 'medium_airport', 'Wilmington Airpark', 39.427898407, -83.792098999, 1077, 'US', 'US-OH', 'Wilmington', 'no', 'KILN', 'ILN', 'ILN', 'Clinton Field, Clinton County AFB, Airborne Airpark'),
	('31MI', 'closed', 'Rentz Ultralight Airport', 41.7798, -86.1772, 800, 'US', 'US-MI', 'Niles', 'no', '', '', '', '31MI, Rentz Ultralightport'),
	('57P', 'seaplane_base', 'Clear Lake Seaplane Base', 41.735599517822, -84.837196350098, 1037, 'US', 'US-IN', 'Clear Lake', 'no', '57P', '', '57P', '5IN7'),
	('5A1', 'small_airport', 'Norwalk Huron County Airport', 41.244801, -82.551201, 852, 'US', 'US-OH', 'Norwalk', 'no', 'K5A1', '', '5A1', ''),
	('1OA1', 'small_airport', 'Bashore Airport', 40.0458984375, -84.33439636230469, 940, 'US', 'US-OH', 'Pleasant Hill', 'no', '1OA1', '', '1OA1', ''),
	('04IN', 'seaplane_base', 'Lake Gage Seaplane Base', 41.701389, -85.113056, 954, 'US', 'US-IN', 'Angola', 'no', '04IN', '', '04IN', ''),
	('II16', 'small_airport', 'Pigeon Airport', 41.637001037597656, -84.94940185546875, 1000, 'US', 'US-IN', 'Angola', 'no', 'II16', '', 'II16', ''),
	('4II2', 'small_airport', 'Hangar Fly Ultralight Fly Club Ultralightport', 39.85340118408203, -85.9541015625, 860, 'US', 'US-IN', 'Lawrence', 'no', '4II2', '', '4II2', ''),
	('IN98', 'closed', 'Farm Strip', 39.683102, -85.8442, 825, 'US', 'US-IN', 'Finly', 'no', '', '', '', 'IN98'),
	('2OH0', 'small_airport', 'Bohannan Airport', 40.34432, -82.937175, 960, 'US', 'US-OH', 'Kilbourne', 'no', '2OH0', '', '2OH0', ''),
	('3TR', 'small_airport', 'Jerry Tyler Memorial Airport', 41.835899353027, -86.225196838379, 750, 'US', 'US-MI', 'Niles', 'no', '3TR', 'NLE', '3TR', ''),
	('17G', 'small_airport', 'Port Bucyrus-Crawford County Airport', 40.781803, -82.974408, 1003, 'US', 'US-OH', 'Bucyrus', 'no', '', '', '17G', ''),
	('6OH9', 'small_airport', 'Kemps Field of Dreams Airport', 40.105899810791016, -84.39990234375, 974, 'US', 'US-OH', 'Covington', 'no', '6OH9', '', '6OH9', ''),
	('0OH7', 'small_airport', 'Apple Airport', 40.152721, -84.173355, 1000, 'US', 'US-OH', 'Piqua', 'no', '0OH7', '', '0OH7', ''),
	('OI56', 'small_airport', 'Lee''s Dogpatch Airport', 39.95320129, -82.64070129, 1055, 'US', 'US-OH', 'Kirkersville', 'no', 'OI56', '', 'OI56', ''),
	('60OI', 'small_airport', 'Zorn Acres Airport', 41.3567008972168, -82.6249008178711, 640, 'US', 'US-OH', 'Milan', 'no', '60OI', '', '60OI', ''),
	('9OH1', 'small_airport', 'Haar Airport', 41.455174, -83.264798, 617, 'US', 'US-OH', 'Elmore', 'no', '9OH1', '', '9OH1', ''),
	('6IN4', 'small_airport', 'Fischer Field', 39.466009, -85.699303, 835, 'US', 'US-IN', 'Waldron', 'no', '6IN4', '', '6IN4', ''),
	('KAID', 'small_airport', 'Anderson Municipal Darlington Field', 40.10860061649999, -85.6129989624, 919, 'US', 'US-IN', 'Anderson', 'no', 'KAID', 'AID', 'AID', ''),
	('0OH8', 'small_airport', 'Fry Airport', 40.18840026855469, -84.256103515625, 900, 'US', 'US-OH', 'Piqua', 'no', '0OH8', '', '0OH8', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('75OA', 'N/A', 'N/A', 39.94197238236666, -83.20490017533302, 282, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KIWH', 'small_airport', 'Wabash Municipal Airport', 40.762991, -85.799747, 796, 'US', 'US-IN', 'Wabash', 'no', 'KIWH', '', 'IWH', ''),
	('IN72', 'small_airport', 'Mayer Airport', 40.7859001159668, -85.24420166015625, 820, 'US', 'US-IN', 'Union Dale', 'no', 'IN72', '', 'IN72', ''),
	('KGWB', 'small_airport', 'De Kalb County Airport', 41.307201, -85.0644, 880, 'US', 'US-IN', 'Auburn', 'no', 'KGWB', '', 'GWB', '07C'),
	('46OI', 'small_airport', 'Kellers Strip', 41.68339920043945, -83.7666015625, 700, 'US', 'US-OH', 'Sylvania', 'no', '46OI', '', '46OI', ''),
	('73II', 'small_airport', 'Nulltown Wingnuts Ultralightport', 39.57170104980469, -85.15859985351563, 765, 'US', 'US-IN', 'Connersville', 'no', '73II', '', '73II', ''),
	('II05', 'closed', 'Woodcock Airport', 41.074201, -86.064201, 858, 'US', 'US-IN', 'Akron', 'no', '', '', '', 'II05'),
	('IN16', 'seaplane_base', 'Tippecanoe Seaplane Base', 41.333056, -85.7675, 836, 'US', 'US-IN', 'Warsaw', 'no', '01B', '', '01B', 'IN16'),
	('IN33', 'small_airport', 'Robison Airport', 40.73619842529297, -86.11530303955078, 735, 'US', 'US-IN', 'Peru', 'no', 'IN33', '', 'IN33', ''),
	('IN51', 'small_airport', 'Windy Knoll Airport', 40.13999938964844, -86.15249633789063, 920, 'US', 'US-IN', 'Sheridan', 'no', 'IN51', '', 'IN51', ''),
	('7OA7', 'small_airport', 'Skydive Greene County Inc Airport', 39.67919921875, -83.87079620361328, 1055, 'US', 'US-OH', 'Xenia', 'no', '7OA7', '', '7OA7', ''),
	('OI73', 'small_airport', 'Williamson Airport', 39.71260070800781, -83.80380249023438, 1060, 'US', 'US-OH', 'Cedarville', 'no', 'OI73', '', 'OI73', ''),
	('40II', 'closed', 'Keener Field', 41.351399, -84.816902, 825, 'US', 'US-IN', 'Butler', 'no', '', '', '', '40II'),
	('IN11', 'small_airport', 'Arrowhead Farm Airport', 41.29280090332031, -86.07109832763672, 825, 'US', 'US-IN', 'Bourbon', 'no', 'IN11', '', 'IN11', ''),
	('3C2', 'N/A', 'N/A', 41.307223811745644, -85.18180310726166, 263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7I7', 'N/A', 'N/A', 40.412063375115395, -83.73682290315628, 408, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4IN5', 'small_airport', 'Ball Field', 41.344200134277344, -86.14830017089844, 825, 'US', 'US-IN', 'Bourbon', 'no', '4IN5', '', '4IN5', ''),
	('55IN', 'closed', 'Brenneke Airport', 41.144699, -84.862198, 790, 'US', 'US-IN', 'Woodburn', 'no', '', '', '', '55IN'),
	('MI39', 'closed', 'Laszlo Airport', 42.075003, -83.608299, 675, 'US', 'US-MI', 'Milan', 'no', '', '', '', 'MI39'),
	('02IN', 'small_airport', 'Diamond P. Field', 40.208900451660156, -85.54080200195313, 904, 'US', 'US-IN', 'Muncie', 'no', '02IN', '', '02IN', ''),
	('66II', 'small_airport', 'Pat Robinson Airport', 40.042198181152344, -85.86530303955078, 865, 'US', 'US-IN', 'Lapel', 'no', '66II', '', '66II', ''),
	('P97', 'small_airport', 'Prairie Ronde Airport', 42.123699, -85.710297, 890, 'US', 'US-MI', 'Schoolcraft', 'no', 'MI09', '', 'MI09', 'P97'),
	('KOEB', 'small_airport', 'Branch County Memorial Airport', 41.933399, -85.052597, 959, 'US', 'US-MI', 'Coldwater', 'no', 'KOEB', '', 'OEB', ''),
	('OH21', 'small_airport', 'Horning Airport', 40.73619842529297, -82.75270080566406, 1190, 'US', 'US-OH', 'Galion', 'no', 'OH21', '', 'OH21', ''),
	('KLHQ', 'small_airport', 'Fairfield County Airport', 39.7556, -82.657097, 868, 'US', 'US-OH', 'Lancaster', 'no', 'KLHQ', '', 'LHQ', ''),
	('IN71', 'closed', 'Plew Airport', 41.1856, -85.521599, 910, 'US', 'US-IN', 'Columbia City', 'no', '', '', '', 'Motherwell, IN71'),
	('OI99', 'closed', 'Mulholland Airport', 40.573399, -84.489998, 875, 'US', 'US-OH', 'Celina', 'no', '', '', '', 'OI99'),
	('IN18', 'small_airport', 'Hook Field', 41.27450180053711, -84.80500030517578, 790, 'US', 'US-IN', 'Harlan', 'no', 'IN18', '', 'IN18', ''),
	('KDUH', 'small_airport', 'Toledo Suburban Airport', 41.73590087890625, -83.65540313720703, 669, 'US', 'US-MI', 'Lambertville', 'no', 'KDUH', '', 'DUH', ''),
	('02II', 'small_airport', 'King Ultralightport', 40.06230163574219, -86.21050262451172, 925, 'US', 'US-IN', 'Westfield', 'no', '02II', '', '02II', ''),
	('03I', 'closed', 'Clarks Dream Strip', 39.644199, -83.018204, 680, 'US', 'US-OH', 'Circleville', 'no', '', '', '', '03I'),
	('1II8', 'small_airport', 'Morris Airport', 39.81420135498047, -85.81890106201172, 870, 'US', 'US-IN', 'Greenfield', 'no', '1II8', '', '1II8', ''),
	('I44', 'small_airport', 'Dahio Trotwood Airport', 39.765072, -84.343166, 925, 'US', 'US-OH', 'Dayton', 'no', 'KI44', '', 'I44', ''),
	('88IN', 'closed', 'Gardner Airport', 39.5798, -85.932198, 740, 'US', 'US-IN', 'Boggstown', 'no', '', '', '', '88IN'),
	('84OH', 'closed', 'Hanshell Flying Apple Airport', 39.5812, -83.651001, 1055, 'US', 'US-OH', 'Octa', 'no', '', '', '', '84OH'),
	('KIRS', 'small_airport', 'Kirsch Municipal Airport', 41.813301, -85.439003, 924, 'US', 'US-MI', 'Sturgis', 'no', 'KIRS', 'IRS', 'IRS', ''),
	('7N4', 'small_airport', 'Raymond L Kussmaul Jr Memorial Airport', 42.077801, -83.986099, 820, 'US', 'US-MI', 'Clinton', 'no', '7N4', '', '7N4', 'Honey Acres'),
	('II42', 'small_airport', 'Creekside Farm Airport', 40.0686, -85.922203, 800, 'US', 'US-IN', 'Noblesville', 'no', 'II42', '', 'II42', ''),
	('II51', 'small_airport', 'Hull Airport', 41.484798431396484, -85.59300231933594, 930, 'US', 'US-IN', 'Ligonier', 'no', 'II51', '', 'II51', ''),
	('OH44', 'small_airport', 'Head Field Airport', 40.220273, -82.946992, 945, 'US', 'US-OH', 'Galena', 'no', 'OH44', '', 'OH44', ''),
	('KSGH', 'medium_airport', 'Springfield-Beckley Municipal Airport', 39.840301513672, -83.840202331543, 1051, 'US', 'US-OH', 'Springfield', 'no', 'KSGH', 'SGH', 'SGH', ''),
	('0G6', 'small_airport', 'Williams County Airport', 41.4674, -84.506599, 730, 'US', 'US-OH', 'Bryan', 'no', '', '', '0G6', ''),
	('MI89', 'closed', 'Perry Airport', 42.148875, -85.654665, 894, 'US', 'US-MI', 'Schoolcraft', 'no', '', '', '', 'MI89'),
	('4IN1', 'seaplane_base', 'Big Long Lake Seaplane Base', 41.552725, -85.231583, 940, 'US', 'US-IN', 'Kendallville', 'no', '', '', '56I', '4IN1'),
	('OH57', 'closed', 'Berlin Station Landing Strip', 40.2589, -83.011803, 955, 'US', 'US-OH', 'Delaware', 'no', '', '', '', 'OH57'),
	('C03', 'small_airport', 'Nappanee Municipal Airport', 41.44620132446289, -85.93479919433594, 860, 'US', 'US-IN', 'Nappanee', 'no', 'KC03', '', 'C03', ''),
	('I61', 'small_airport', 'Hagerstown Airport', 39.889198303222656, -85.16329956054688, 1000, 'US', 'US-IN', 'Hagerstown', 'no', 'I61', '', 'I61', ''),
	('34II', 'small_airport', 'Burk Personal Use Airport', 40.050816, -85.602318, 930, 'US', 'US-IN', 'Anderson', 'no', '34II', '', '34II', ''),
	('OH18', 'small_airport', 'Freefall Field', 40.932498931884766, -83.14029693603516, 885, 'US', 'US-OH', 'Sycamore', 'no', 'OH18', '', 'OH18', ''),
	('KSCA', 'N/A', 'N/A', 40.24127773940563, -84.14786115288734, 317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OA23', 'small_airport', 'Heins Field', 39.968667, -84.539, 1040, 'US', 'US-OH', 'Arcanum', 'no', 'OA23', '', 'OA23', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('53II', 'small_airport', 'Steinman Airport', 41.073101, -84.840797, 760, 'US', 'US-IN', 'Woodburn', 'no', '53II', '', '53II', ''),
	('OH60', 'small_airport', 'Gerker Airfield', 40.95370101928711, -84.27359771728516, 780, 'US', 'US-OH', 'Fort Jennings', 'no', 'OH60', '', 'OH60', ''),
	('12G', 'small_airport', 'Shelby Community Airport', 40.872898, -82.697403, 1120, 'US', 'US-OH', 'Shelby', 'no', 'K12G', '', '12G', ''),
	('4OH8', 'small_airport', 'Huffman Farm Airport', 41.5, -84.2499008178711, 741, 'US', 'US-OH', 'Archbold', 'no', '4OH8', '', '4OH8', ''),
	('OI78', 'closed', 'Diebleys Airport', 41.084801, -83.436302, 823, 'US', 'US-OH', 'Fostoria', 'no', '', '', '', 'OI78'),
	('1II0', 'small_airport', 'Webster Airport', 39.576698303222656, -85.58779907226563, 910, 'US', 'US-IN', 'Homer', 'no', '1II0', '', '1II0', ''),
	('OH19', 'small_airport', 'Hiltner Airport', 41.154998779296875, -84.21489715576172, 725, 'US', 'US-OH', 'North Creek', 'no', 'OH19', '', 'OH19', ''),
	('20IN', 'small_airport', 'Canary''s Airport', 39.51390075683594, -86.05139923095703, 760, 'US', 'US-IN', 'Franklin', 'no', '20IN', '', '20IN', ''),
	('35IN', 'small_airport', 'Ellison Airport', 40.294498443603516, -85.94249725341797, 875, 'US', 'US-IN', 'Tipton', 'no', '35IN', '', '35IN', ''),
	('KOWX', 'small_airport', 'Putnam County Airport', 41.035599, -83.982002, 764, 'US', 'US-OH', 'Ottawa', 'no', 'KOWX', '', 'OWX', ''),
	('01B', 'seaplane_base', 'Tippecanoe Seaplane Base', 41.333056, -85.7675, 836, 'US', 'US-IN', 'Warsaw', 'no', '01B', '', '01B', 'IN16'),
	('04OI', 'N/A', 'N/A', 41.42047572880983, -83.80005642771721, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2OH4', 'small_airport', 'Cedar Creek Airport', 40.6245002746582, -82.635498046875, 1220, 'US', 'US-OH', 'Shauck', 'no', '2OH4', '', '2OH4', ''),
	('OI06', 'small_airport', 'Wagner Airport', 39.991687, -84.291615, 935, 'US', 'US-OH', 'West Milton', 'no', 'OI06', '', 'OI06', ''),
	('3IN5', 'small_airport', 'Pippenger Airport', 41.316898345947266, -85.37139892578125, 980, 'US', 'US-IN', 'Albion', 'no', '3IN5', '', '3IN5', ''),
	('5IN5', 'closed', 'Berkey Field', 41.2878, -85.900597, 858, 'US', 'US-IN', 'Warsaw', 'no', '', '', '', '5IN5'),
	('8OA6', 'small_airport', 'Warner Airstrip', 41.385793, -82.897103, 611, 'US', 'US-OH', 'Vickery', 'no', '8OA6', '', '8OA6', ''),
	('83IN', 'small_airport', 'Goodenough Airport', 40.740505, -86.004166, 685, 'US', 'US-IN', 'Peru', 'no', '83IN', '', '83IN', ''),
	('12I', 'seaplane_base', 'Brookville Reservoir Seaplane Base', 39.51029968261719, -85, 748, 'US', 'US-IN', 'Brookville', 'no', '12I', '', '12I', ''),
	('01D', 'seaplane_base', 'Lake Wawasee Seaplane Base', 41.403599, -85.7061, 859, 'US', 'US-IN', 'Syracuse', 'no', 'K01D', '', '01D', '1IN7'),
	('48II', 'closed', 'Cedar Creek Airport', 41.19056, -85.028794, 792, 'US', 'US-IN', 'Cedarville', 'no', '', '', '', '48II'),
	('6H4', 'small_airport', 'Van Wagnen Airport', 42.156399, -84.334396, 980, 'US', 'US-MI', 'Napoleon', 'no', '6H4', '', '6H4', ''),
	('18OI', 'small_airport', 'Boggy Bottoms Airport', 41.419615, -82.97133, 575, 'US', 'US-OH', 'Vickery', 'no', '18OI', '', '18OI', ''),
	('7B4', 'small_airport', 'Miller Farm Landing Strip', 39.884498596191406, -82.58910369873047, 930, 'US', 'US-OH', 'Baltimore', 'no', '7B4', '', '7B4', ''),
	('25IN', 'small_airport', 'Reid-Eash Airport', 41.70280075073242, -85.41940307617188, 879, 'US', 'US-IN', 'Howe', 'no', '25IN', '', '25IN', ''),
	('4I3', 'small_airport', 'Knox County Airport', 40.328701, -82.523804, 1191, 'US', 'US-OH', 'Mount Vernon', 'no', 'K4I3', '', '4I3', ''),
	('3OI0', 'N/A', 'N/A', 40.16813825815916, -82.62877061963081, 382, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3NP', 'small_airport', 'Napoleon Airport', 42.170898, -84.259697, 963, 'US', 'US-MI', 'Napoleon', 'no', '3NP', '', '3NP', ''),
	('33OH', 'small_airport', 'Sunset Strip', 40.185298919677734, -83.17359924316406, 945, 'US', 'US-OH', 'Jerome', 'no', '33OH', '', '33OH', ''),
	('22T', 'small_airport', 'Tecumseh Mills Airport', 42.034351, -83.879328, 797, 'US', 'US-MI', 'Tecumseh', 'no', '', '', '22T', '36MI'),
	('43OI', 'small_airport', 'Windswept Airport', 41.198699951171875, -83.70079803466797, 710, 'US', 'US-OH', 'North Baltimore', 'no', '43OI', '', '43OI', ''),
	('KHRE', 'N/A', 'N/A', 40.48069842159748, -86.03714168071747, 254, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('70II', 'small_airport', 'Nasby Airport', 39.522238, -85.686053, 830, 'US', 'US-IN', 'Shelbyville', 'no', '70II', '', '70II', ''),
	('C67', 'seaplane_base', 'Lake Pleasant Seaplane Base', 41.756999969482, -85.091903686523, 960, 'US', 'US-IN', 'Angola', 'no', 'C67', '', 'C67', '6IN7'),
	('2H8', 'closed', 'Paulding Airport Inc Airport', 41.168095, -84.5569, 721, 'US', 'US-OH', 'Paulding', 'no', '', '', '', '2H8, OH28'),
	('30IN', 'closed', 'Wigent Airport', 41.209202, -85.458, 880, 'US', 'US-IN', 'Columbia City', 'no', '', '', '', '30IN'),
	('1I8', 'small_airport', 'Converse Airport', 40.573217, -85.899696, 840, 'US', 'US-IN', 'Converse', 'no', 'K1I8', '', '1I8', ''),
	('82OH', 'closed', 'Rocky Ridge Airpark', 41.507801, -83.771301, 650, 'US', 'US-OH', 'Waterville', 'no', '', '', '', '82OH'),
	('0OH4', 'heliport', 'Upper Valley Medical Center Heliport', 40.085621, -84.228562, 867, 'US', 'US-OH', 'Troy', 'no', '0OH4', '', '0OH4', ''),
	('OI91', 'small_airport', 'Hammond Airport', 39.779701232910156, -83.9092025756836, 990, 'US', 'US-OH', 'Yellow Springs', 'no', 'OI91', '', 'OI91', ''),
	('0II2', 'small_airport', 'Creighton Airport', 41.457298278808594, -86.12439727783203, 820, 'US', 'US-IN', 'Bremen', 'no', '0II2', '', '0II2', ''),
	('KGSH', 'small_airport', 'Goshen Municipal Airport', 41.526401519800004, -85.79290008539999, 827, 'US', 'US-IN', 'Goshen', 'no', 'KGSH', 'GSH', 'GSH', ''),
	('06II', 'N/A', 'N/A', 40.02552352845669, -86.0383003950119, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6IN5', 'small_airport', 'Foghorn Farms Airport', 40.032798767089844, -85.78359985351563, 870, 'US', 'US-IN', 'Pendleton', 'no', '6IN5', '', '6IN5', ''),
	('II24', 'N/A', 'N/A', 41.4741588011384, -85.9125865995884, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('28OH', 'small_airport', 'Newbury Airport', 41.703399658203125, -84.00270080566406, 743, 'US', 'US-OH', 'Lyons', 'no', '28OH', '', '28OH', ''),
	('5OI5', 'small_airport', 'Hamrick Airport', 40.69340133666992, -84.78050231933594, 810, 'US', 'US-OH', 'Willshire', 'no', '5OI5', '', '5OI5', ''),
	('KVNW', 'small_airport', 'Van Wert County Airport', 40.8647, -84.609398, 785, 'US', 'US-OH', 'Van Wert', 'no', 'KVNW', '', 'VNW', ''),
	('IN81', 'small_airport', 'Small Field', 39.75189971923828, -85.55750274658203, 920, 'US', 'US-IN', 'Carthage', 'no', 'IN81', '', 'IN81', ''),
	('KGFD', 'N/A', 'N/A', 39.79031927883625, -85.73608607053757, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7J4', 'N/A', 'N/A', 41.70768331736326, -85.06019443273544, 294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KSTV', 'N/A', 'N/A', 41.747516468167305, -85.307337641716, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7OI7', 'closed', 'Southcreek Airport', 41.2995, -83.011299, 665, 'US', 'US-OH', 'Clyde', 'no', '', '', '', '7OI7'),
	('87OI', 'small_airport', 'Lake Air Ranch Airport', 41.272300720214844, -82.62300109863281, 690, 'US', 'US-OH', 'Norwalk', 'no', '87OI', '', '87OI', ''),
	('5IN3', 'small_airport', 'Tragesser Airport', 40.30030059814453, -86.05030059814453, 875, 'US', 'US-IN', 'Tipton', 'no', '5IN3', '', '5IN3', ''),
	('7L8', 'small_airport', 'Post-Air Airport', 39.75, -86.013900756836, 861, 'US', 'US-IN', 'Indianapolis', 'no', '7L8', '', '7L8', 'IN02'),
	('OI36', 'small_airport', 'Farpoint Airfield', 39.622501373291016, -84.48310089111328, 990, 'US', 'US-OH', 'Gratis', 'no', 'OI36', '', 'OI36', ''),
	('38OI', 'small_airport', 'Ronshausen Airport', 39.68510055541992, -83.0718994140625, 750, 'US', 'US-OH', 'Darbyville', 'no', '38OI', '', '38OI', ''),
	('09IN', 'small_airport', 'Gordon Airport', 41.123265, -85.42496, 850, 'US', 'US-IN', 'Columbia City', 'no', '09IN', '', '09IN', ''),
	('75OH', 'closed', 'Howensting Airport', 41.2592, -84.793601, 740, 'US', 'US-OH', 'Hicksville', 'no', '', '', '', '75OH'),
	('KOSU', 'medium_airport', 'The Ohio State University Airport - Don Scott Field', 40.0798, -83.072998, 905, 'US', 'US-OH', 'Columbus', 'no', 'KOSU', 'OSU', 'OSU', ''),
	('58II', 'small_airport', 'Eagles Nest Airport', 39.520901, -85.899544, 770, 'US', 'US-IN', 'Boggstown', 'no', '58II', '', '58II', 'Henneman'),
	('5OI8', 'small_airport', 'McKnight Airport', 40.19368, -82.65667, 1172, 'US', 'US-OH', 'Johnstown', 'no', '5OI8', '', '5OI8', ''),
	('7I2', 'small_airport', 'Reese Airport', 40.155392, -85.318923, 991, 'US', 'US-IN', 'Muncie', 'no', 'K7I2', '', '7I2', ''),
	('79II', 'small_airport', 'Sauer-Harter Airport', 39.883399963378906, -85.70249938964844, 930, 'US', 'US-IN', 'Greenfield', 'no', '79II', '', '79II', ''),
	('0IN4', 'small_airport', 'Air Park Field', 41.127405, -84.953306, 750, 'US', 'US-IN', 'New Haven', 'no', '0IN4', '', '0IN4', ''),
	('1II2', 'closed', 'Adams Airport', 40.61624, -84.82551, 850, 'US', 'US-IN', 'Geneva', 'no', '', '', '', '1II2'),
	('OI28', 'small_airport', 'Lanker Airport', 40.583900451660156, -82.6792984008789, 1440, 'US', 'US-OH', 'Mount Gilead', 'no', 'OI28', '', 'OI28', ''),
	('50OH', 'small_airport', 'Culver Field', 41.663101196289, -83.415496826172, 620, 'US', 'US-OH', 'Oregon', 'no', '', '', '50OH', '50OH'),
	('OH50', 'closed', 'Lindsey L.S. Airport', 39.687599, -83.096901, 780, 'US', 'US-OH', 'Circleville', 'no', '', '', '', 'OH50'),
	('02D', 'seaplane_base', 'Winona Lake Seaplane Base', 41.223056, -85.830556, 812, 'US', 'US-IN', 'Winona Lake', 'no', 'K02D', '', '02D', '08IN'),
	('6CM', 'small_airport', 'Chapman Memorial Field', 40.29542, -82.729961, 1180, 'US', 'US-OH', 'Centerburg', 'no', 'K6CM', '', '6CM', 'OH71, 00I'),
	('92IN', 'small_airport', 'H R Weisser Airport', 41.42340087890625, -85.84750366210938, 832, 'US', 'US-IN', 'Milford', 'no', '92IN', '', '92IN', ''),
	('KFWA', 'medium_airport', 'Fort Wayne International Airport', 40.9785, -85.195099, 814, 'US', 'US-IN', 'Fort Wayne', 'yes', 'KFWA', 'FWA', 'FWA', 'Baer Field'),
	('CYPT', 'small_airport', 'Pelee Island Airport', 41.778033, -82.674222, 572, 'CA', 'CA-ON', 'Pelee Island', 'yes', 'CYPT', '', '', 'YPT'),
	('II97', 'small_airport', 'Solenberg Airport', 39.47779846191406, -85.88330078125, 720, 'US', 'US-IN', 'Shelbyville', 'no', 'II97', '', 'II97', ''),
	('KHFY', 'small_airport', 'Indy South Greenwood Airport', 39.628399, -86.087898, 822, 'US', 'US-IN', 'Indianapolis', 'no', 'KHFY', '', 'HFY', 'Greenwood Municipal'),
	('5E9', 'small_airport', 'Packer Airport', 40.407854, -83.215183, 918, 'US', 'US-OH', 'Radnor', 'no', 'K5E9', '', '5E9', ''),
	('4MI1', 'small_airport', 'Air Rahe Airport', 41.829522, -83.6849, 680, 'US', 'US-MI', 'Petersburg', 'no', '4MI1', '', '4MI1', 'Air Rahe Ultra-Park'),
	('MI12', 'closed', 'State Police HQ Heliport', 42.7267, -84.490303, 860, 'US', 'US-MI', 'East Lansing', 'no', '', '', '', 'MI12'),
	('KDUK', 'N/A', 'N/A', 40.4487781226635, -85.20005375146866, 271, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IN21', 'closed', 'Starkey''s Airport', 40.043098, -85.260498, 1110, 'US', 'US-IN', 'Mooreland', 'no', '', '', '', 'IN21'),
	('71MI', 'small_airport', 'Johnston Airport', 42.084385, -83.517015, 643, 'US', 'US-MI', 'Belleville', 'no', '71MI', '', '71MI', ''),
	('II70', 'small_airport', 'Salsbery Airport', 40.384932, -86.063204, 870, 'US', 'US-IN', 'Sharpsville', 'no', 'II70', '', 'II70', ''),
	('OH63', 'small_airport', 'Jims Airport', 39.600101470947266, -84.4166030883789, 955, 'US', 'US-OH', 'Germantown', 'no', 'OH63', '', 'OH63', ''),
	('OA11', 'small_airport', 'Heitman Field', 40.3760986328125, -84.25499725341797, 998, 'US', 'US-OH', 'Anna', 'no', 'OA11', '', 'OA11', ''),
	('1OA4', 'small_airport', 'Kepes Flying Field', 39.92359924316406, -83.66169738769531, 1080, 'US', 'US-OH', 'Springfield', 'no', '1OA4', '', '1OA4', ''),
	('79OI', 'closed', 'Flying J Airport', 39.817299, -83.755798, 1070, 'US', 'US-OH', 'Pitchin', 'no', '', '', '', '79OI'),
	('03OH', 'small_airport', 'Gibbs Field', 41.416933, -83.018339, 580, 'US', 'US-OH', 'Fremont', 'no', '03OH', '', '03OH', ''),
	('9OI5', 'small_airport', 'Transportation Research Center of Ohio Airport', 40.308101654052734, -83.54170227050781, 1100, 'US', 'US-OH', 'East Liberty', 'no', '9OI5', '', '9OI5', ''),
	('OH71', 'small_airport', 'Chapman Memorial Field', 40.29542, -82.729961, 1180, 'US', 'US-OH', 'Centerburg', 'no', 'K6CM', '', '6CM', 'OH71, 00I'),
	('KONZ', 'small_airport', 'Grosse Ile Municipal Airport', 42.099098, -83.161499, 591, 'US', 'US-MI', 'Detroit/Grosse Ile', 'no', 'KONZ', '', 'ONZ', ''),
	('II10', 'closed', 'Rockey''s Air Strip', 40.582, -86.167503, 810, 'US', 'US-IN', 'Galveston', 'no', '', '', '', 'II10'),
	('7II0', 'small_airport', 'Porter Field', 39.5620002746582, -86.11250305175781, 785, 'US', 'US-IN', 'New Whiteland', 'no', '7II0', '', '7II0', ''),
	('KFDY', 'medium_airport', 'Findlay Airport', 41.013500213600004, -83.66870117190001, 813, 'US', 'US-OH', 'Findlay', 'no', 'KFDY', 'FDY', 'FDY', ''),
	('OH34', 'small_airport', 'Leis Airport', 40.20589828491211, -84.6615982055664, 1015, 'US', 'US-OH', 'Ansonia', 'no', 'OH34', '', 'OH34', ''),
	('KUYF', 'small_airport', 'Madison County Airport', 39.932701, -83.461998, 1082, 'US', 'US-OH', 'London', 'no', 'KUYF', '', 'UYF', ''),
	('IN85', 'small_airport', 'Bowlin Airport', 40.837122, -85.48368, 810, 'US', 'US-IN', 'Huntington', 'no', 'IN85', '', 'IN85', ''),
	('53OH', 'small_airport', 'Charloe Airport', 41.134498596191406, -84.45079803466797, 721, 'US', 'US-OH', 'Paulding', 'no', '53OH', '', '53OH', ''),
	('6OH6', 'small_airport', 'Shelton Airport', 41.364498138427734, -83.54740142822266, 675, 'US', 'US-OH', 'Bowling Green', 'no', '6OH6', '', '6OH6', ''),
	('9OH7', 'small_airport', 'Lutz Airport', 40.961700439453125, -83.59519958496094, 808, 'US', 'US-OH', 'Findlay', 'no', '9OH7', '', '9OH7', ''),
	('74IN', 'small_airport', 'Tucker Farms Airport', 40.56840133667, -85.344398498535, 865, 'US', 'US-IN', 'Montpelier', 'no', '', '', '74IN', '74IN');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KMWO', 'small_airport', 'Middletown Regional Airport', 39.530998, -84.395302, 650, 'US', 'US-OH', 'Middletown', 'no', 'KMWO', 'MWO', 'MWO', 'Hook Field Municipal Airport'),
	('KFFO', 'medium_airport', 'Wright-Patterson Air Force Base', 39.826099, -84.048302, 823, 'US', 'US-OH', 'Dayton', 'no', 'KFFO', 'FFO', 'FFO', 'Wilbur Wright Field, Fairfield Air Depot'),
	('3II0', 'small_airport', 'Fremont (Murphy) Airport', 41.6910848513, -84.864256382, 1050, 'US', 'US-IN', 'Fremont', 'no', '3II0', '', '3II0', ''),
	('14G', 'small_airport', 'Fremont Airport', 41.333099, -83.161201, 663, 'US', 'US-OH', 'Fremont', 'no', 'K14G', '', '14G', ''),
	('1OH4', 'heliport', 'Richard E. Jacobs Health Center Heliport', 41.469964, -81.9812, 632, 'US', 'US-OH', 'Avon', 'no', '1OH4', '', '1OH4', ''),
	('KAOH', 'small_airport', 'Lima Allen County Airport', 40.706902, -84.026703, 975, 'US', 'US-OH', 'Lima', 'no', 'KAOH', 'AOH', 'AOH', ''),
	('2OI2', 'small_airport', 'Air Jordan Airport', 39.561100006103516, -84.0519027709961, 920, 'US', 'US-OH', 'Waynesville', 'no', '2OI2', '', '2OI2', ''),
	('I54', 'small_airport', 'Mad River Airpark', 40.0201, -83.828499, 958, 'US', 'US-OH', 'Tremont City', 'no', '', '', 'I54', 'Mad River Inc Airport'),
	('9II0', 'closed', 'Shaffer Airport', 41.282501, -85.438599, 940, 'US', 'US-IN', 'Merriam', 'no', '', '', '', '9II0'),
	('KCEV', 'small_airport', 'Mettel Field', 39.6985015869, -85.129699707, 867, 'US', 'US-IN', 'Connersville', 'no', 'KCEV', 'CEV', 'CEV', ''),
	('KTTF', 'small_airport', 'Custer Airport', 41.939899, -83.4347, 616, 'US', 'US-MI', 'Monroe', 'no', 'KTTF', '', 'TTF', ''),
	('06OI', 'small_airport', 'Green Acres Airport', 39.734798431396484, -84.3822021484375, 915, 'US', 'US-OH', 'New Lebanon', 'no', '06OI', '', '06OI', ''),
	('C92', 'small_airport', 'Mentone Airport', 41.150001525878906, -86.0625, 860, 'US', 'US-IN', 'Mentone', 'no', 'C92', '', 'C92', ''),
	('86MI', 'small_airport', 'Downwind Acres Airport', 42.152801513671875, -83.56739807128906, 683, 'US', 'US-MI', 'Willis', 'no', '86MI', '', '86MI', ''),
	('CNE9', 'small_airport', 'Essex Airport', 42.09579849243164, -82.87940216064453, 620, 'CA', 'CA-ON', 'Essex', 'no', 'CNE9', '', 'CNE9', 'NE9'),
	('6D7', 'small_airport', 'Deshler Municipal Landing Strip', 41.21590042114258, -83.87439727783203, 706, 'US', 'US-OH', 'Deshler', 'no', '6D7', '', '6D7', ''),
	('6OH1', 'small_airport', 'Missler-Bellevue Airport', 41.28620147705078, -82.8666000366211, 760, 'US', 'US-OH', 'Bellevue', 'no', '6OH1', '', '6OH1', ''),
	('OI52', 'small_airport', 'Lyons Field', 39.62406, -83.78364, 1045, 'US', 'US-OH', 'Jamestown', 'no', 'OI52', '', 'OI52', ''),
	('9OH2', 'small_airport', 'Toussaint Airpark', 41.51559829711914, -83.30580139160156, 610, 'US', 'US-OH', 'Elmore', 'no', '9OH2', '', '9OH2', ''),
	('9OA9', 'small_airport', 'Bender Airport', 40.62139892578125, -82.53379821777344, 1140, 'US', 'US-OH', 'Bellville', 'no', '9OA9', '', '9OA9', ''),
	('34OH', 'small_airport', 'Arend Airport', 41.25699996948242, -84.6416015625, 720, 'US', 'US-OH', 'Mark Center', 'no', '34OH', '', '34OH', ''),
	('0OH6', 'small_airport', 'Fry Field', 39.60060119628906, -84.01969909667969, 775, 'US', 'US-OH', 'Spring Valley', 'no', '0OH6', '', '0OH6', ''),
	('9OH8', 'small_airport', 'Ferrell Airport', 40.97639846801758, -83.6416015625, 815, 'US', 'US-OH', 'Findlay', 'no', '9OH8', '', '9OH8', ''),
	('8G1', 'small_airport', 'Willard Municipal Airport', 41.0387, -82.724602, 967, 'US', 'US-OH', 'Willard', 'no', 'K8G1', '', '8G1', ''),
	('22IN', 'closed', 'Mooney Field', 41.3483, -85.0075, 865, 'US', 'US-IN', 'Auburn', 'no', '', '', '', '22IN'),
	('2OH8', 'small_airport', 'Port-O-John Airport', 39.7952995300293, -83.22319793701172, 925, 'US', 'US-OH', 'Derby', 'no', '2OH8', '', '2OH8', ''),
	('90OI', 'small_airport', 'Joe Cimprich Airport', 39.60419845581055, -84.63500213623047, 1010, 'US', 'US-OH', 'Camden', 'no', '90OI', '', '90OI', ''),
	('39IN', 'small_airport', 'Roberts Field', 40.00230026245117, -85.42890167236328, 1085, 'US', 'US-IN', 'Sulphur Springs', 'no', '39IN', '', '39IN', ''),
	('KMFD', 'medium_airport', 'Mansfield Lahm Regional Airport', 40.82139968869999, -82.5166015625, 1297, 'US', 'US-OH', 'Mansfield', 'no', 'KMFD', 'MFD', 'MFD', ''),
	('KELR', 'N/A', 'N/A', 40.35274129360914, -85.93494147062302, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('C91', 'small_airport', 'Dowagiac Municipal Airport', 41.992901, -86.127998, 747, 'US', 'US-MI', 'Dowagiac', 'no', 'KC91', '', 'C91', ''),
	('KFRN', 'N/A', 'N/A', 40.18935017287731, -85.74904426932335, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLIB', 'N/A', 'N/A', 39.59403455257416, -84.99614462256432, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('I17', 'small_airport', 'Piqua Airport-Hartzell Field', 40.16469955, -84.30840302, 994, 'US', 'US-OH', 'Piqua', 'no', 'KI17', '', 'I17', ''),
	('KUSE', 'small_airport', 'Fulton County Airport', 41.6101, -84.127197, 779, 'US', 'US-OH', 'Wauseon', 'no', 'KUSE', '', 'USE', ''),
	('I74', 'small_airport', 'Grimes Field', 40.132599, -83.753403, 1068, 'US', 'US-OH', 'Urbana', 'no', 'KI74', '', 'I74', ''),
	('4IN9', 'small_airport', 'Wawasee Airport', 41.41889953613281, -85.69170379638672, 880, 'US', 'US-IN', 'Syracuse', 'no', '4IN9', '', '4IN9', ''),
	('4OH4', 'closed', 'Millertime Airport', 39.793402, -83.116622, 840, 'US', 'US-OH', 'Orient', 'no', '', '', '', '4OH4'),
	('9IN8', 'small_airport', 'Green Field', 41.22919845581055, -85.35810089111328, 890, 'US', 'US-IN', 'Churubusco', 'no', '9IN8', '', '9IN8', ''),
	('43I', 'seaplane_base', 'Mississinewa Reservoir Landing Area Seaplane Base', 40.70370101928711, -85.93250274658203, 737, 'US', 'US-IN', 'Peru', 'no', '43I', '', '43I', ''),
	('2OI1', 'N/A', 'N/A', 40.03214053809643, -83.80807131528854, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('II73', 'closed', 'Good Earth Farm Strip', 40.2262, -84.834999, 1080, 'US', 'US-IN', 'Union City', 'no', '', '', '', 'II73'),
	('0OH9', 'closed', 'Parknavy Airport', 40.0717, -83.229897, 943, 'US', 'US-OH', 'Plain City', 'no', '', '', '', '0OH9, STOLport'),
	('11C', 'seaplane_base', 'Skyyharbour Seaplane Base', 42.174469, -85.551035, 853, 'US', 'US-MI', 'Kalamazoo', 'no', '', '', '11C', ''),
	('58OH', 'small_airport', 'Rattlesnake Island Airport', 41.678585, -82.848759, 586, 'US', 'US-OH', 'Put In Bay', 'no', '58OH', '', '58OH', ''),
	('2II0', 'small_airport', 'Indian Hills Flying Field', 40.417613, -86.150215, 860, 'US', 'US-IN', 'Kokomo', 'no', '2II0', '', '2II0', ''),
	('3AE', 'N/A', 'N/A', 40.043634474277496, -85.66681265830994, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6II6', 'small_airport', 'David Beiswanger Ultralightport', 41.56060028076172, -85.2739028930664, 1010, 'US', 'US-IN', 'South Milford', 'no', '6II6', '', '6II6', ''),
	('1OA8', 'closed', 'Erdy Farm Airport', 40.345923, -82.904935, 981, 'US', 'US-OH', 'Kilbourne', 'no', '', '', '', '1OA8'),
	('KDFI', 'small_airport', 'Defiance Memorial Airport', 41.3375015259, -84.4288024902, 707, 'US', 'US-OH', 'Defiance', 'no', 'KDFI', 'DFI', 'DFI', ''),
	('5OI7', 'small_airport', 'Gruetter Airport', 41.592498779296875, -83.37550354003906, 600, 'US', 'US-OH', 'Curtice', 'no', '5OI7', '', '5OI7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('I66', 'small_airport', 'Clinton County Airport', 39.5033, -83.862801, 1033, 'US', 'US-OH', 'Wilmington', 'no', 'KI66', '', 'I66', ''),
	('47II', 'small_airport', 'Westrick Airport', 41.05619812011719, -85.69049835205078, 800, 'US', 'US-IN', 'Liberty Mills', 'no', '47II', '', '47II', ''),
	('54OH', 'small_airport', 'Buehler Airport', 41.1234016418457, -84.6176986694336, 728, 'US', 'US-OH', 'Paulding', 'no', '54OH', '', '54OH', ''),
	('37OI', 'closed', 'Cole Airfield', 40.825102, -82.796799, 1100, 'US', 'US-OH', 'Crestline', 'no', '', '', '', '37OI'),
	('OH98', 'closed', 'Lyttle Airport', 40.0495, -82.788201, 1050, 'US', 'US-OH', 'New Albany', 'no', '', '', '', 'OH98'),
	('2IN0', 'small_airport', 'Skip''s Place Airport', 40.83689880371094, -85.17109680175781, 858, 'US', 'US-IN', 'Ossian', 'no', '2IN0', '', '2IN0', ''),
	('CEB8', 'small_airport', 'Essex/Billing Airstrip', 42.186668, -82.782219, 630, 'CA', 'CA-ON', 'Lakeshore', 'no', '', '', 'CEB8', ''),
	('2II3', 'small_airport', 'Stottlemyer Airport', 40.229283, -85.816269, 865, 'US', 'US-IN', 'Frankton', 'no', '2II3', '', '2II3', ''),
	('78II', 'small_airport', 'Fox Station Airport', 40.636199951171875, -85.68800354003906, 835, 'US', 'US-IN', 'La Fontaine', 'no', '78II', '', '78II', ''),
	('IN82', 'small_airport', 'Foos Field', 41.7495002746582, -86.08809661865234, 790, 'US', 'US-IN', 'Granger', 'no', 'IN82', '', 'IN82', ''),
	('KPCW', 'medium_airport', 'Carl R Keller Field', 41.515647, -82.868328, 590, 'US', 'US-OH', 'Port Clinton', 'yes', 'KPCW', '', 'PCW', ''),
	('9IN0', 'small_airport', 'Smith Field', 40.453438, -85.288754, 902, 'US', 'US-IN', 'Hartford City', 'no', '9IN0', '', '9IN0', ''),
	('2IN9', 'small_airport', 'Berry Field', 39.56669998168945, -86.11810302734375, 795, 'US', 'US-IN', 'New Whiteland', 'no', '2IN9', '', '2IN9', ''),
	('IN5', 'seaplane_base', 'Adams Lake Seaplane Base', 41.552689, -85.331119, 955, 'US', 'US-IN', 'Woolcottville', 'no', '', '', 'IN5', ''),
	('3T7', 'small_airport', 'Middle Bass Island Airport', 41.688625, -82.808139, 580, 'US', 'US-OH', 'Middle Bass Island', 'no', '3T7', '', '3T7', ''),
	('II93', 'small_airport', 'Bronson Airport', 39.4838981628418, -86.22689819335938, 780, 'US', 'US-IN', 'Bargersville', 'no', 'II93', '', 'II93', ''),
	('3C1', 'small_airport', 'Mishawaka Pilots Club Airport', 41.657001, -86.034698, 755, 'US', 'US-IN', 'Elkhart', 'no', '3C1', '', '3C1', ''),
	('3KY0', 'closed', 'Lamar Field', 37.896702, -86.789397, 410, 'US', 'US-KY', 'Hawesville', 'no', '', '', '', '3KY0'),
	('16KY', 'closed', 'Praise God Airport', 38.444, -83.122704, 1070, 'US', 'US-KY', 'Carter', 'no', '', '', '', '16KY'),
	('0KY8', 'closed', 'Sky Airport', 37.117199, -83.736099, 850, 'US', 'US-KY', 'Manchester', 'no', '', '', '', '0KY8'),
	('I35', 'small_airport', 'Tucker Guthrie Memorial Airport', 36.859352, -83.358523, 1551, 'US', 'US-KY', 'Baxter', 'no', 'KI35', '', 'I35', 'Harlan'),
	('2KY8', 'closed', 'Seldom Scene Airport', 38.105805, -84.849063, 860, 'US', 'US-KY', 'Millville', 'no', '', '', '', '2KY8'),
	('6KY4', 'small_airport', 'Adair Airport', 36.753333, -85.953889, 870, 'US', 'US-KY', 'Fountain Run', 'no', '6KY4', '', '6KY4', ''),
	('3R8', 'small_airport', 'Scottsburg Airport', 38.65729904174805, -85.79019927978516, 600, 'US', 'US-IN', 'Scottsburg', 'no', '3R8', '', '3R8', ''),
	('4II6', 'small_airport', 'Gettlefinger Field', 38.37919998168945, -86.08159637451172, 820, 'US', 'US-IN', 'Palmyra', 'no', '4II6', '', '4II6', ''),
	('59OH', 'small_airport', 'Kelch Airport', 38.97529983520508, -84.0342025756836, 905, 'US', 'US-OH', 'Bethel', 'no', '59OH', '', '59OH', ''),
	('I96', 'small_airport', 'Columbia-Adair Co. Airport', 37.084681, -85.348661, 818, 'US', 'US-KY', 'Columbia', 'no', 'KI96', '', 'I96', ''),
	('1KY8', 'heliport', 'Norton Audubon Hospital Heliport', 38.214444, -85.7225, 517, 'US', 'US-KY', 'Louisville', 'no', '1KY8', '', '1KY8', ''),
	('KCHZ', 'N/A', 'N/A', 38.46769116818905, -85.65567567944527, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('67II', 'small_airport', 'Schoettmer Farm Airport', 39.37139892578125, -85.59220123291016, 875, 'US', 'US-IN', 'Greensburg', 'no', '67II', '', '67II', ''),
	('21OI', 'small_airport', 'Clearwater Airpark', 39.128101, -84.092697, 905, 'US', 'US-OH', 'Batavia', 'no', '21OI', '', '21OI', ''),
	('1A6', 'small_airport', 'Middlesboro-Bell County Airport', 36.610257, -83.737385, 1154, 'US', 'US-KY', 'Middlesboro', 'no', 'K1A6', '', '1A6', ''),
	('66OH', 'closed', 'Medical Center South Heliport', 41.314499, -81.670998, 1205, 'US', 'US-OH', 'Broadview Heights', 'no', '', '', '', '66OH'),
	('IG07', 'small_airport', 'Josephs Field', 39.05690002441406, -85.03559875488281, 860, 'US', 'US-IN', 'Moores Hill', 'no', 'IG07', '', 'IG07', ''),
	('52KY', 'small_airport', 'Air Castle Airport', 38.117441, -84.301658, 900, 'US', 'US-KY', 'Paris', 'no', '52KY', '', '52KY', ''),
	('59KY', 'small_airport', 'Samuels Springs Airport', 37.89780044555664, -85.5551986694336, 690, 'US', 'US-KY', 'Deatsville', 'no', '59KY', '', '59KY', ''),
	('9KY4', 'small_airport', 'TEC Field', 37.023019, -84.12225, 1190, 'US', 'US-KY', 'London', 'no', '9KY4', '', '9KY4', ''),
	('50KY', 'small_airport', 'Zanzibar Farm Airport', 38.129799, -84.3302, 915, 'US', 'US-KY', 'Paris', 'no', '50KY', '', '50KY', ''),
	('KFTK', 'medium_airport', 'Godman Army Air Field', 37.907100677500004, -85.9720993042, 756, 'US', 'US-KY', 'Fort Knox', 'no', 'KFTK', 'FTK', 'FTK', ''),
	('2I2', 'closed', 'Olive Hill-Sellers'' Field', 38.253700256348, -83.142997741699, 1016, 'US', 'US-KY', 'Olive Hill', 'no', '', '', '', '2I2, 2I2, 2I2'),
	('5KY6', 'small_airport', 'Jake''s Field', 38.420556, -85.257778, 903, 'US', 'US-KY', 'Smithfield', 'no', '5KY6', '', '5KY6', ''),
	('II03', 'small_airport', 'Buell Airport', 39.19860076904297, -85.13639831542969, 990, 'US', 'US-IN', 'Milan', 'no', 'II03', '', 'II03', ''),
	('KLOU', 'medium_airport', 'Bowman Field', 38.2280006409, -85.6636962891, 546, 'US', 'US-KY', 'Louisville', 'no', 'KLOU', 'LOU', 'LOU', ''),
	('3KY4', 'small_airport', 'Craw Daddy Landing Airport', 38.67279815673828, -85.18280029296875, 460, 'US', 'US-KY', 'Carrollton', 'no', '3KY4', '', '3KY4', ''),
	('KAAS', 'small_airport', 'Taylor County Airport', 37.358254, -85.309434, 921, 'US', 'US-KY', 'Campbellsville', 'no', 'KAAS', '', 'AAS', ''),
	('79KY', 'small_airport', 'Lucas Field', 37.871299743652344, -84.6104965209961, 906, 'US', 'US-KY', 'Nicholasville', 'no', '79KY', '', '79KY', ''),
	('1KY7', 'small_airport', 'Jordan Hill Farm Airport', 37.83250045776367, -84.18080139160156, 910, 'US', 'US-KY', 'Richmond', 'no', '1KY7', '', '1KY7', ''),
	('KDOQ', 'N/A', 'N/A', 38.29639121890068, -86.1856435239315, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KJKL', 'medium_airport', 'Julian Carroll Airport', 37.59389877319336, -83.31729888916016, 1381, 'US', 'US-KY', 'Jackson', 'no', 'KJKL', '', 'JKL', ''),
	('28II', 'small_airport', 'Cedar Farm Airport', 37.974700927734375, -86.05619812011719, 453, 'US', 'US-IN', 'Laconia', 'no', '28II', '', '28II', ''),
	('40KY', 'small_airport', 'Rooster Field', 38.2934, -85.205002, 840, 'US', 'US-KY', 'Shelbyville', 'no', '40KY', '', '40KY', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('20KY', 'small_airport', 'Madi''s Meadows Airport', 38.815704, -84.674006, 880, 'US', 'US-KY', 'Verona', 'no', '20KY', '', '20KY', ''),
	('92KY', 'closed', 'Timmons Field', 38.284199, -85.472603, 690, 'US', 'US-KY', 'Pewee Valley', 'no', '', '', '', '92KY'),
	('36KY', 'small_airport', 'Arnolds Airport', 37.655601501464844, -85.15380096435547, 843, 'US', 'US-KY', 'Springfield', 'no', '36KY', '', '36KY', ''),
	('95KY', 'small_airport', 'Crawford Ultralightport', 37.4202995300293, -84.36920166015625, 1227, 'US', 'US-KY', 'Brodhead', 'no', '95KY', '', '95KY', ''),
	('61IN', 'small_airport', 'Wilkerson''s Airport', 38.713698, -85.6036, 730, 'US', 'US-IN', 'Scottsburg', 'no', '61IN', '', '61IN', ''),
	('92OH', 'heliport', 'University Hospitals Conneaut Medical Center Heliport', 41.938537, -80.586312, 677, 'US', 'US-OH', 'Conneaut', 'no', '92OH', '', '92OH', ''),
	('KSME', 'medium_airport', 'Lake Cumberland Regional Airport', 37.053398132299996, -84.6158981323, 927, 'US', 'US-KY', 'Somerset', 'no', 'KSME', 'SME', 'SME', ''),
	('24IN', 'small_airport', 'Kenstin Manor Airport', 39.262813, -86.289003, 658, 'US', 'US-IN', 'Helmsburg', 'no', '', '', '24IN', '24IN'),
	('KSDF', 'large_airport', 'Louisville Muhammad Ali International Airport', 38.1744, -85.736, 501, 'US', 'US-KY', 'Louisville', 'yes', 'KSDF', 'SDF', 'SDF', 'Louisville International, Standiford Field'),
	('61KY', 'small_airport', 'Schroder Airport', 38.55009841918945, -84.76329803466797, 910, 'US', 'US-KY', 'Owenton', 'no', '61KY', '', '61KY', ''),
	('75KY', 'small_airport', 'Hisle Field', 37.94419860839844, -83.997802734375, 770, 'US', 'US-KY', 'Winchester', 'no', '75KY', '', '75KY', ''),
	('8OI9', 'small_airport', 'Morkassel Field', 39.09920120239258, -83.1166000366211, 850, 'US', 'US-OH', 'Idaho', 'no', '8OI9', '', '8OI9', ''),
	('86KY', 'closed', 'Hornback Airport', 37.622277, -85.791374, 760, 'US', 'US-KY', 'Hodgenville', 'no', '', '', '', '86KY'),
	('0VG', 'small_airport', 'Lee County Airport', 36.654099, -83.217796, 1411, 'US', 'US-VA', 'Jonesville', 'no', 'K0VG', '', '0VG', ''),
	('86OH', 'small_airport', 'Westfield Airport', 41.01279830932617, -81.92009735107422, 1044, 'US', 'US-OH', 'Westfield Center', 'no', '86OH', '', '86OH', ''),
	('21KY', 'small_airport', 'Lincoln Farm Airport', 37.537601470947266, -85.73750305175781, 780, 'US', 'US-KY', 'Hodgenville', 'no', '21KY', '', '21KY', ''),
	('8KT8', 'small_airport', 'Cherry Hill Airport', 38.3319167, -85.077972, 879, 'US', 'US-KY', 'Pleasureville', 'no', '8KT8', '', '8KT8', ''),
	('KHBE', 'N/A', 'N/A', 39.339263923466206, -86.02977767586708, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('81IN', 'seaplane_base', 'Bass Lake Seaplane Base', 41.228889, -86.581667, 713, 'US', 'US-IN', 'Winona', 'no', '01L', '', '01L', '81IN'),
	('KBRY', 'small_airport', 'Samuels Field', 37.8143005371, -85.4996032715, 669, 'US', 'US-KY', 'Bardstown', 'no', 'KBRY', 'BRY', 'BRY', ''),
	('05KY', 'small_airport', 'Cartersville Airport', 37.53575, -84.407303, 1070, 'US', 'US-KY', 'Paint Lick', 'no', '05KY', '', '05KY', ''),
	('KFFT', 'small_airport', 'Capital City Airport', 38.181698, -84.906764, 806, 'US', 'US-KY', 'Frankfort', 'no', 'KFFT', 'FFT', 'FFT', ''),
	('67KY', 'closed', 'Estes Airport', 38.982849, -84.668106, 890, 'US', 'US-KY', 'Florence', 'no', '', '', '', '67KY'),
	('OH65', 'small_airport', 'Hickory Grove Airpark', 39.240251, -84.098915, 895, 'US', 'US-OH', 'Goshen', 'no', 'OH65', '', 'OH65', 'Antique Acres'),
	('95IN', 'small_airport', 'Stewart Field', 38.887501, -85.826401, 550, 'US', 'US-IN', 'Seymour', 'no', '95IN', '', '95IN', ''),
	('2KY4', 'small_airport', 'Oz Airport', 37.655488, -85.813441, 820, 'US', 'US-KY', 'Elizabethtown', 'no', '2KY4', '', '2KY4', ''),
	('I43', 'N/A', 'N/A', 38.981361016631126, -82.57785022258759, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRGA', 'N/A', 'N/A', 37.63153329491615, -84.33244183659554, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('I69', 'small_airport', 'Clermont County Airport', 39.0784, -84.210197, 843, 'US', 'US-OH', 'Batavia', 'no', 'KI69', '', 'I69', ''),
	('I83', 'small_airport', 'Salem Municipal Airport', 38.604253, -86.151042, 840, 'US', 'US-IN', 'Salem', 'no', 'KI83', '', 'I83', ''),
	('6I2', 'small_airport', 'Lebanon Springfield Airport - George Hoerter Field', 37.633499, -85.241798, 866, 'US', 'US-KY', 'Springfield', 'no', 'K6I2', '', '6I2', ''),
	('8I1', 'small_airport', 'Robinson Airport', 38.69449996948242, -85.19830322265625, 484, 'US', 'US-IN', 'Vevay', 'no', '8I1', '', '8I1', ''),
	('45IN', 'small_airport', 'Aerobatic Practice Airport', 38.99639892578125, -85.74800109863281, 681, 'US', 'US-IN', 'North Vernon', 'no', '45IN', '', '45IN', ''),
	('IN44', 'small_airport', 'Habermel Airport', 38.564201, -86.057503, 800, 'US', 'US-IN', 'Salem', 'no', 'IN44', '', 'IN44', 'Hardin Airport'),
	('6KY3', 'small_airport', 'Flying C Farms Airport', 38.328611, -85.214167, 850, 'US', 'US-KY', 'Shelbyville', 'no', '6KY3', '', '6KY3', ''),
	('0OI2', 'small_airport', 'Unger Field', 39.359798431396484, -83.4177017211914, 940, 'US', 'US-OH', 'Greenfield', 'no', '0OI2', '', '0OI2', ''),
	('77KY', 'small_airport', 'One Oak Airport', 38.11119842529297, -83.87349700927734, 1000, 'US', 'US-KY', 'Mount Sterling/Owingsville', 'no', '77KY', '', '77KY', ''),
	('32II', 'small_airport', 'Roberts Airport', 38.81639862060547, -85.1063003540039, 820, 'US', 'US-IN', 'Vevay', 'no', '32II', '', '32II', ''),
	('73KY', 'small_airport', 'Brooks Field', 38.03329849243164, -85.80079650878906, 480, 'US', 'US-KY', 'Brooks', 'no', '73KY', '', '73KY', ''),
	('08KY', 'small_airport', 'Boss Airport', 36.972599029541016, -84.6260986328125, 820, 'US', 'US-KY', 'Burnside', 'no', '08KY', '', '08KY', ''),
	('KEKQ', 'small_airport', 'Wayne County Airport', 36.855301, -84.856102, 963, 'US', 'US-KY', 'Monticello', 'no', 'KEKQ', '', 'EKQ', ''),
	('3IN6', 'small_airport', 'Holloway Field', 38.588333, -85.505833, 750, 'US', 'US-IN', 'New Washington', 'no', '3IN6', '', '3IN6', ''),
	('85KY', 'small_airport', 'Deer Run Airpark', 38.470298767089844, -85.13860321044922, 890, 'US', 'US-KY', 'New Castle', 'no', '85KY', '', '85KY', ''),
	('KPBX', 'small_airport', 'Pike County Airport Hatcher Field', 37.560795, -82.570051, 1473, 'US', 'US-KY', 'Pikeville', 'no', 'KPBX', 'PVL', 'PBX', 'Hatcher Field'),
	('2OA7', 'small_airport', 'Utter Field', 38.85139847, -84.10559845, 890, 'US', 'US-OH', 'Felicity', 'no', '2OA7', '', '2OA7', ''),
	('67IN', 'closed', 'Smitty''s Soaring Airport', 41.236401, -86.5942, 720, 'US', 'US-IN', 'Knox', 'no', '', '', '', '67IN'),
	('31II', 'closed', 'Rising Sun Airport', 38.9259, -84.911903, 830, 'US', 'US-IN', 'Rising Sun', 'no', '', '', '', '31II'),
	('IN07', 'heliport', 'Hook''s Heliport', 39.805000305176, -86.033599853516, 850, 'US', 'US-IN', 'Indianapolis', 'no', '', '', 'IN07', 'IN07'),
	('53KY', 'closed', 'Short Airport', 37.272301, -84.557198, 1130, 'US', 'US-KY', 'Eubank', 'no', '', '', '', '53KY'),
	('58KY', 'small_airport', 'Willow Island Airpark', 38.12089920043945, -85.33190155029297, 740, 'US', 'US-KY', 'Finchville', 'no', '58KY', '', '58KY', ''),
	('44I', 'N/A', 'N/A', 36.63904521614313, -85.16433387994766, 293, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('27K', 'small_airport', 'Georgetown-Scott County Regional Airport', 38.234405, -84.434702, 947, 'US', 'US-KY', 'Georgetown', 'no', 'K27K', '', '27K', 'Georgetown Scott County - Marshall Field'),
	('OI40', 'small_airport', 'Hallelujah Field', 39.202598571777344, -84.10469818115234, 890, 'US', 'US-OH', 'Goshen', 'no', 'OI40', '', 'OI40', ''),
	('4OI9', 'small_airport', 'Baisden Airport', 39.10219955444336, -82.61070251464844, 730, 'US', 'US-OH', 'Coalton', 'no', '4OI9', '', '4OI9', ''),
	('KWIU', 'N/A', 'N/A', 39.16186161339283, -84.04198497533798, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1OH9', 'small_airport', 'Lewis Airport', 38.93510055541992, -83.39939880371094, 862, 'US', 'US-OH', 'Peebles', 'no', '1OH9', '', '1OH9', ''),
	('KCVG', 'large_airport', 'Cincinnati Northern Kentucky International Airport', 39.048801, -84.667801, 896, 'US', 'US-KY', 'Cincinnati / Covington', 'yes', 'KCVG', 'CVG', 'CVG', ''),
	('KSYM', 'N/A', 'N/A', 38.21499992161989, -83.58761116862297, 311, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0IN5', 'small_airport', 'Byrne Field', 38.329378, -86.033431, 800, 'US', 'US-IN', 'Byrneville', 'no', '0IN5', '', '0IN5', ''),
	('1OA3', 'closed', 'Barnett Airpark', 39.333938, -83.855487, 1010, 'US', 'US-OH', 'Blanchester', 'no', '', '', '', '1OA3'),
	('IN43', 'small_airport', 'Spring Lake Airport', 38.475101470947266, -85.99720001220703, 830, 'US', 'US-IN', 'Pekin', 'no', 'IN43', '', 'IN43', ''),
	('KBAK', 'medium_airport', 'Columbus Municipal Airport', 39.262386, -85.895576, 656, 'US', 'US-IN', 'Columbus', 'no', 'KBAK', 'CLU', 'BAK', ''),
	('KWIK', 'N/A', 'N/A', 39.11389868706465, -84.03596878051758, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOVO', 'small_airport', 'North Vernon Airport', 39.045601, -85.605301, 757, 'US', 'US-IN', 'North Vernon', 'no', 'KOVO', '', 'OVO', ''),
	('4KT4', 'small_airport', 'Steele''s Bottom Airport', 38.828736, -84.817321, 495, 'US', 'US-KY', 'Warsaw', 'no', '4KT4', '', '4KT4', ''),
	('45OH', 'small_airport', 'Boober Airport', 38.975994, -84.219511, 854, 'US', 'US-OH', 'New Richmond', 'no', '45OH', '', '45OH', ''),
	('OI25', 'small_airport', 'Ross Field', 39.365299224853516, -83.35440063476563, 960, 'US', 'US-OH', 'Greenfield', 'no', 'OI25', '', 'OI25', ''),
	('70KY', 'small_airport', 'Vine Grove Airport', 37.81589889526367, -85.9646987915039, 680, 'US', 'US-KY', 'Vine Grove', 'no', '70KY', '', '70KY', ''),
	('6KY6', 'small_airport', 'Jeffries Farm Airport', 38.3606, -85.363098, 803, 'US', 'US-KY', 'Crestwood', 'no', '6KY6', '', '6KY6', ''),
	('4KY8', 'closed', 'Shady Acres Airport', 37.945882, -85.696859, 450, 'US', 'US-KY', 'Shepherdsville', 'no', '', '', '', '4KY8'),
	('KEKX', 'small_airport', 'Addington Field / Elizabethtown Regional Airport', 37.686001, -85.925003, 775, 'US', 'US-KY', 'Elizabethtown', 'no', 'KEKX', 'EKX', 'EKX', ''),
	('IN14', 'small_airport', 'Greenridge Restricted Landing Area', 38.238998, -86.019402, 858, 'US', 'US-IN', 'Lanesville', 'no', 'IN14', '', 'IN14', ''),
	('76KY', 'small_airport', 'Buzzard''s Roost Airport', 38.014801025390625, -84.84159851074219, 770, 'US', 'US-KY', 'Lawrenceburg', 'no', '76KY', '', '76KY', ''),
	('IN68', 'closed', 'Stewart Airport', 38.138876, -86.017628, 700, 'US', 'US-IN', 'Elizabeth', 'no', '', '', '', 'IN68'),
	('KGEO', 'small_airport', 'Brown County Airport', 38.881901, -83.882698, 958, 'US', 'US-OH', 'Georgetown', 'no', 'KGEO', '', 'GEO', ''),
	('78KY', 'closed', 'Owen County Memorial Hospital Heliport', 38.542665, -84.841949, 970, 'US', 'US-KY', 'Owenton', 'no', '', '', '', '78KY, New Horizons Health System'),
	('44KY', 'small_airport', 'Duff Airport', 37.352215, -83.342135, 820, 'US', 'US-KY', 'Chavies', 'no', '44KY', '', '44KY', ''),
	('KSJS', 'N/A', 'N/A', 37.75101933628321, -82.6366862654686, 364, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('07KY', 'small_airport', 'Blue Lick Airport', 38.08060073852539, -85.69329833984375, 532, 'US', 'US-KY', 'Louisville', 'no', '07KY', '', '07KY', ''),
	('KLUK', 'medium_airport', 'Cincinnati Municipal Airport Lunken Field', 39.102357, -84.418945, 483, 'US', 'US-OH', 'Cincinnati', 'yes', 'KLUK', 'LUK', 'LUK', ''),
	('KDOW', 'N/A', 'N/A', 36.935220435261726, -82.50021994113922, 607, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0I8', 'small_airport', 'Cynthiana-Harrison County Airport', 38.3661994934, -84.2833023071, 721, 'US', 'US-KY', 'Cynthiana', 'no', '0I8', '', '0I8', ''),
	('KIOB', 'small_airport', 'Mount Sterling Montgomery County Airport', 38.058102, -83.979599, 1019, 'US', 'US-KY', 'Mount Sterling', 'no', 'KIOB', '', 'IOB', ''),
	('KBYL', 'N/A', 'N/A', 36.79499991238117, -84.19951647520065, 356, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9IN2', 'small_airport', 'New Liberty Field', 38.55830001831055, -85.86530303955078, 810, 'US', 'US-IN', 'New Liberty', 'no', '9IN2', '', '9IN2', ''),
	('05KT', 'small_airport', 'High Point Farm Airport', 38.187091, -84.93011, 880, 'US', 'US-KY', 'Frankfort', 'no', '05KT', '', '05KT', ''),
	('0OI9', 'small_airport', 'Hidden Quarry Airport', 38.894500732421875, -83.1135025024414, 830, 'US', 'US-OH', 'Lucasville', 'no', '0OI9', '', '0OI9', ''),
	('KHAO', 'small_airport', 'Butler Co Regional Airport - Hogan Field', 39.363800048799995, -84.5220031738, 633, 'US', 'US-OH', 'Hamilton', 'no', 'KHAO', 'HAO', 'HAO', ''),
	('I34', 'small_airport', 'Greensburg Municipal Airport', 39.32690048, -85.52249908, 912, 'US', 'US-IN', 'Greensburg', 'no', 'KI34', '', 'I34', ''),
	('8II0', 'small_airport', 'Allen and Gloss Airport', 38.856998443603516, -85.10130310058594, 880, 'US', 'US-IN', 'Bennington', 'no', '8II0', '', '8II0', ''),
	('0KY0', 'small_airport', 'Owen Air Park', 38.622798919677734, -84.77890014648438, 890, 'US', 'US-KY', 'Owenton', 'no', '0KY0', '', '0KY0', ''),
	('72KY', 'small_airport', 'Carr Airport', 36.765292, -84.199305, 1105, 'US', 'US-KY', 'Williamsburg', 'no', '72KY', '', '72KY', ''),
	('K62', 'small_airport', 'Gene Snyder Airport', 38.704201, -84.391602, 899, 'US', 'US-KY', 'Falmouth', 'no', 'KK62', '', 'K62', ''),
	('OI82', 'small_airport', 'Russ Airport', 38.912200927734375, -82.72489929199219, 800, 'US', 'US-OH', 'Jackson', 'no', 'OI82', '', 'OI82', ''),
	('14KY', 'small_airport', 'Blue Haven Farm Airport', 38.17369842529297, -84.36830139160156, 985, 'US', 'US-KY', 'Paris', 'no', '14KY', '', '14KY', ''),
	('8KY6', 'small_airport', 'Caintuckee Airport', 38.93441, -84.566488, 930, 'US', 'US-KY', 'Independence', 'no', '8KY6', '', '8KY6', ''),
	('04KY', 'small_airport', 'Natchez Trace Farm Airport', 37.135101318359375, -85.78939819335938, 710, 'US', 'US-KY', 'Hiseville', 'no', '04KY', '', '04KY', ''),
	('19KY', 'small_airport', 'Conrads Airport', 38.70650100708008, -84.59989929199219, 940, 'US', 'US-KY', 'Dry Ridge', 'no', '19KY', '', '19KY', ''),
	('KTZV', 'small_airport', 'Tompkinsville Monroe County Airport', 36.729, -85.652397, 1036, 'US', 'US-KY', 'Tompkinsville', 'no', 'KTZV', '', 'TZV', ''),
	('OH96', 'small_airport', 'Neals Airport', 39.033599853515625, -83.88610076904297, 953, 'US', 'US-OH', 'Mount Orab', 'no', 'OH96', '', 'OH96', ''),
	('3KY9', 'small_airport', 'Miles Field', 38.122265, -85.126166, 850, 'US', 'US-KY', 'Waddy', 'no', '3KY9', '', '3KY9', ''),
	('KGLW', 'small_airport', 'Glasgow Municipal Airport', 37.03179932, -85.9536972, 716, 'US', 'US-KY', 'Glasgow', 'no', 'KGLW', 'GLW', 'GLW', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KSER', 'small_airport', 'Freeman Municipal Airport', 38.923599243164, -85.907402038574, 583, 'US', 'US-IN', 'Seymour', 'no', 'KSER', 'SER', 'SER', ''),
	('KHTS', 'medium_airport', 'Tri-State Airport / Milton J. Ferguson Field', 38.366699, -82.557999, 828, 'US', 'US-WV', 'Huntington', 'yes', 'KHTS', 'HTS', 'HTS', ''),
	('OA16', 'small_airport', 'Lost Bridge Airport', 39.156111, -84.781667, 818, 'US', 'US-OH', 'North Bend', 'no', 'OA16', '', 'OA16', ''),
	('17IN', 'small_airport', 'Pruss Airport', 38.978401, -85.109703, 890, 'US', 'US-IN', 'Dillsboro', 'no', '17IN', '', '17IN', ''),
	('2KT4', 'small_airport', 'Eubank Field', 36.796953, -85.966902, 850, 'US', 'US-KY', 'Fountain Run', 'no', '2KT4', '', '2KT4', ''),
	('KHLB', 'small_airport', 'Hillenbrand Industries Airport', 39.344501495399996, -85.25830078119999, 973, 'US', 'US-IN', 'Batesville', 'no', 'KHLB', 'HLB', 'HLB', ''),
	('2OA2', 'small_airport', 'Mackie''s Airport', 39.247897, -83.916378, 993, 'US', 'US-OH', 'Midland', 'no', '2OA2', '', '2OA2', ''),
	('12KY', 'small_airport', 'John M. Foree Airport', 38.46030044555664, -85.1686019897461, 853, 'US', 'US-KY', 'New Castle', 'no', '12KY', '', '12KY', ''),
	('3OA8', 'closed', 'Valley Vista Airport', 39.237455, -83.260708, 720, 'US', 'US-OH', 'Bainbridge', 'no', '', '', '', '9I7, 3OA8'),
	('KLOZ', 'medium_airport', 'London-Corbin Airport/Magee Field', 37.0821990967, -84.08489990230001, 1212, 'US', 'US-KY', 'London', 'no', 'KLOZ', 'LOZ', 'LOZ', ''),
	('66KY', 'small_airport', 'Mc Grew Airport', 37.507598877, -86.2054977417, 720, 'US', 'US-KY', 'Clarkson', 'no', '66KY', '', '66KY', ''),
	('1OA6', 'small_airport', 'Frith Airport', 39.33620071411133, -84.0457992553711, 910, 'US', 'US-OH', 'Morrow', 'no', '1OA6', '', '1OA6', ''),
	('II69', 'small_airport', 'Harrod/Rose Airport', 38.718101501464844, -85.76020050048828, 580, 'US', 'US-IN', 'Scottsburg', 'no', 'II69', '', 'II69', ''),
	('82KY', 'small_airport', 'Woodledge Farm Airport', 38.28340148925781, -85.48190307617188, 680, 'US', 'US-KY', 'Crestwood', 'no', '82KY', '', '82KY', ''),
	('53KT', 'small_airport', 'Liberty-Casey County Airport', 37.308691, -85.059304, 1040, 'US', 'US-KY', 'Liberty', 'no', '53KT', '', '53KT', 'I53'),
	('3KY3', 'small_airport', 'Mason Valley Airport', 38.038299560546875, -85.3593978881836, 510, 'US', 'US-KY', 'Taylorsville', 'no', '3KY3', '', '3KY3', ''),
	('KHOC', 'small_airport', 'Highland County Airport', 39.188801, -83.538803, 977, 'US', 'US-OH', 'Hillsboro', 'no', 'KHOC', '', 'HOC', ''),
	('4KY1', 'small_airport', 'Creek Side Landing Airport', 36.894518, -85.775198, 727, 'US', 'US-KY', 'Glasgow', 'no', '4KY1', '', '4KY1', ''),
	('KEOP', 'small_airport', 'Pike County Airport', 39.166901, -82.9282, 660, 'US', 'US-OH', 'Waverly', 'no', 'KEOP', '', 'EOP', ''),
	('9KY9', 'small_airport', 'Paintsville-Prestonsburg-Combs Field', 37.745743, -82.77797, 624, 'US', 'US-KY', 'Paintsville', 'no', '9KY9', '', '9KY9', ''),
	('I50', 'small_airport', 'Stanton Airport', 37.849866, -83.845704, 651, 'US', 'US-KY', 'Stanton', 'no', 'KI50', '', 'I50', ''),
	('18I', 'small_airport', 'McCreary County Airport', 36.695525, -84.391345, 1370, 'US', 'US-KY', 'Pine Knot', 'no', 'K18I', '', '18I', ''),
	('KCPF', 'N/A', 'N/A', 37.38736107945442, -83.26161101460457, 380, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IN13', 'closed', 'Lanesville Skyways Airport', 38.223701, -85.974998, 885, 'US', 'US-IN', 'Lanesville', 'no', '', '', '', 'IN13'),
	('81OH', 'closed', 'Elbel Airport', 38.891701, -83.983002, 975, 'US', 'US-OH', 'Hamersville', 'no', '', '', '', '81OH'),
	('5II8', 'small_airport', 'Jacobi Airport', 38.410099029541016, -86.12889862060547, 750, 'US', 'US-IN', 'Palmyra', 'no', '5II8', '', '5II8', ''),
	('OI57', 'small_airport', 'Mc Kinney Field', 38.926998138399995, -83.9885025024, 970, 'US', 'US-OH', 'Hamersville', 'no', 'OI57', '', 'OI57', ''),
	('2KY1', 'small_airport', 'Kitty Hawk Farm Ultralightport', 37.61920166015625, -84.38140106201172, 980, 'US', 'US-KY', 'Paint Lick', 'no', '2KY1', '', '2KY1', ''),
	('KPTG', 'closed', 'Pennington Gap Airport', 36.746101, -83.037201, 1860, 'US', 'US-VA', 'Pennington Gap', 'no', '', '', '', 'VG54, KPTG, PTG, Lee County Airport'),
	('7KY2', 'small_airport', 'Ryan Field', 38.802661, -84.661861, 890, 'US', 'US-KY', 'Verona', 'no', '', '', '7KY2', '7KY2'),
	('K24', 'small_airport', 'Russell County Airport', 37.009701, -85.102699, 1011, 'US', 'US-KY', 'Jamestown', 'no', 'K24', '', 'K24', ''),
	('69KY', 'closed', 'Lyndon Fire Protection District Heliport', 38.2612, -85.602502, 579, 'US', 'US-KY', 'Lyndon', 'no', '', '', '', '69KY'),
	('40IN', 'small_airport', 'Cherry Hill Airport', 39.07419967651367, -86.1541976928711, 745, 'US', 'US-IN', 'Freetown', 'no', '40IN', '', '40IN', ''),
	('15KY', 'small_airport', 'Brennan Farm Airport', 38.15700149536133, -84.30159759521484, 910, 'US', 'US-KY', 'Paris', 'no', '15KY', '', '15KY', ''),
	('8KY0', 'closed', 'Alberta Ultralight Flightpark', 38.396702, -84.4636, 980, 'US', 'US-KY', 'Alberta', 'no', '', '', '', '8KY0'),
	('OA12', 'small_airport', 'Buena Vista Farm Airport', 39.33440017700195, -84.06999969482422, 855, 'US', 'US-OH', 'Morrow', 'no', 'OA12', '', 'OA12', ''),
	('31KY', 'small_airport', 'Wild Blue Airport', 38.109928, -84.338737, 890, 'US', 'US-KY', 'Paris', 'no', '31KY', '', '31KY', ''),
	('I32', 'closed', 'Old Morehead-Rowan County Airport', 38.133399963379, -83.53800201416, 845, 'US', 'US-KY', 'Morehead', 'no', '', '', '', 'I32, I32'),
	('KLEX', 'medium_airport', 'Blue Grass Airport', 38.036499, -84.605904, 979, 'US', 'US-KY', 'Lexington', 'yes', 'KLEX', 'LEX', 'LEX', ''),
	('64KY', 'closed', 'Hemp Ridge Airport', 38.153099, -85.118797, 860, 'US', 'US-KY', 'Shelbyville', 'no', '', '', '', '64KY'),
	('1KT9', 'closed', 'Holcomb Field', 37.311833, -83.942633, 1260, 'US', 'US-KY', 'Annville', 'no', '', '', '', '1KT9'),
	('3KY2', 'closed', 'Chesnut Knolls Airport', 37.1511, -84.2575, 1265, 'US', 'US-KY', 'London', 'no', '', '', '', '3KY2'),
	('2KY5', 'small_airport', 'Womstead Field', 38.375, -83.15470123291016, 1050, 'US', 'US-KY', 'Olive Hill', 'no', '2KY5', '', '2KY5', ''),
	('9II8', 'small_airport', 'Francis Airport', 39.08610153198242, -85.37110137939453, 920, 'US', 'US-IN', 'Holton', 'no', '9II8', '', '9II8', ''),
	('KISZ', 'closed', 'Cincinnati Blue Ash Airport', 39.246700286899994, -84.388999939, 856, 'US', 'US-OH', 'Cincinnati', 'no', '', '', '', 'KISZ, KISZ, ISZ'),
	('5OI0', 'small_airport', 'Rohrer Airport', 39.28419876098633, -84.2113037109375, 800, 'US', 'US-OH', 'Loveland', 'no', '5OI0', '', '5OI0', ''),
	('1OA5', 'small_airport', 'Double J Airport', 39.21950149536133, -83.95269775390625, 972, 'US', 'US-OH', 'Fayetteville', 'no', '1OA5', '', '1OA5', ''),
	('KPMH', 'small_airport', 'Greater Portsmouth Regional Airport', 38.8404998779, -82.84729766850002, 663, 'US', 'US-OH', 'Portsmouth', 'no', 'KPMH', 'PMH', 'PMH', 'Scioto County Airport'),
	('63IN', 'closed', 'Ropkey Field', 39.899502, -86.271698, 880, 'US', 'US-IN', 'Indianapolis', 'no', '', '', '', '63IN'),
	('KDWU', 'small_airport', 'Ashland Regional Airport', 38.554501, -82.737999, 546, 'US', 'US-KY', 'Worthington', 'no', 'KDWU', '', 'DWU', ''),
	('64I', 'small_airport', 'Lee Bottom Airport', 38.631198883057, -85.443603515625, 470, 'US', 'US-IN', 'Hanover', 'no', '64I', '', '64I', 'II93');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('91IN', 'small_airport', 'Strietelmeier Flying Field', 39.208581, -85.974884, 625, 'US', 'US-IN', 'Columbus', 'no', '91IN', '', '91IN', ''),
	('OH66', 'small_airport', 'Obannon Creek Aerodrome', 39.239498138427734, -84.17630004882813, 835, 'US', 'US-OH', 'Goshen', 'no', 'OH66', '', 'OH66', ''),
	('4I1', 'N/A', 'N/A', 36.82966377586126, -84.18760165572166, 370, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('17OI', 'small_airport', 'Haas Airport', 39.22669982910156, -83.31770324707031, 750, 'US', 'US-OH', 'Bainbridge', 'no', '17OI', '', '17OI', ''),
	('68KY', 'small_airport', 'Lee''s Airpark', 37.02330017089844, -84.72969818115234, 970, 'US', 'US-KY', 'Somerset', 'no', '68KY', '', '68KY', ''),
	('KDVK', 'small_airport', 'Stuart Powell Field', 37.579409, -84.774347, 1022, 'US', 'US-KY', 'Danville', 'no', 'KDVK', '', 'DVK', ''),
	('70IN', 'small_airport', 'Lewis Airfield', 39.18170166015625, -85.15129852294922, 989, 'US', 'US-IN', 'Milan', 'no', '70IN', '', '70IN', ''),
	('4KY7', 'small_airport', 'Mueller Farm Airport', 38.823494, -84.686273, 890, 'US', 'US-KY', 'Verona', 'no', '4KY7', '', '4KY7', ''),
	('1II4', 'small_airport', 'Amy Airport', 38.125099182128906, -86.16220092773438, 665, 'US', 'US-IN', 'Corydon', 'no', '1II4', '', '1II4', ''),
	('KAMT', 'small_airport', 'Alexander Salamon Airport', 38.851501, -83.566299, 896, 'US', 'US-OH', 'West Union', 'no', 'KAMT', '', 'AMT', ''),
	('II54', 'small_airport', 'Giltner Airport', 38.81589889526367, -85.44640350341797, 850, 'US', 'US-IN', 'Madison', 'no', 'II54', '', 'II54', ''),
	('OA10', 'small_airport', 'Bernie''s Airport', 39.00859832763672, -83.9092025756836, 950, 'US', 'US-OH', 'Mount Orab', 'no', 'OA10', '', 'OA10', ''),
	('5KY8', 'small_airport', 'Harold Reynolds Airport', 37.889722, -84.927778, 860, 'US', 'US-KY', 'Harrodsburg', 'no', '5KY8', '', '5KY8', ''),
	('I67', 'small_airport', 'Cincinnati West Airport', 39.2589, -84.7743, 584, 'US', 'US-OH', 'Harrison', 'no', 'KI67', '', 'I67', ''),
	('99KY', 'closed', 'Gravity Zero Airport', 37.653961, -84.694161, 860, 'US', 'US-KY', 'Danville', 'no', '', '', '', '99KY'),
	('KLOB', 'N/A', 'N/A', 38.209665678441525, -82.6053138077259, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KFGX', 'small_airport', 'Fleming Mason Airport', 38.5418014526, -83.74340057370001, 913, 'US', 'US-KY', 'Flemingsburg', 'no', 'KFGX', '', 'FGX', ''),
	('IG04', 'small_airport', 'Litzinger Ultralightport', 39.046101, -85.1567, 970, 'US', 'US-IN', 'Milan', 'no', 'IG04', '', 'IG04', ''),
	('KLNP', 'small_airport', 'Lonesome Pine Airport', 36.9874992371, -82.5299987793, 2684, 'US', 'US-VA', 'Wise', 'no', 'KLNP', 'LNP', 'LNP', ''),
	('KBIT', 'N/A', 'N/A', 36.85623038560152, -82.71679043769836, 490, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4KY5', 'small_airport', 'Weavers Run Airport', 38.02859878540039, -83.88999938964844, 550, 'US', 'US-KY', 'West Point', 'no', '4KY5', '', '4KY5', ''),
	('IN02', 'seaplane_base', 'Hamilton Lake Seaplane Base', 41.552222, -84.917222, 900, 'US', 'US-IN', 'Hamilton', 'no', 'K01F', '', '01F', 'IN02'),
	('KJVY', 'small_airport', 'Clark Regional Airport', 38.365398, -85.738197, 474, 'US', 'US-IN', 'Jeffersonville', 'no', 'KJVY', '', 'JVY', ''),
	('00KY', 'small_airport', 'Robbins Roost Airport', 37.409400939941406, -84.61969757080078, 1265, 'US', 'US-KY', 'Stanford', 'no', '00KY', '', '00KY', ''),
	('8IN7', 'small_airport', 'Brush Creek Airport', 39.0452995300293, -85.51529693603516, 825, 'US', 'US-IN', 'Butlerville', 'no', '8IN7', '', '8IN7', ''),
	('KIMS', 'small_airport', 'Madison Municipal Airport', 38.75889969, -85.46549988, 819, 'US', 'US-IN', 'Madison', 'no', 'KIMS', 'MDN', 'IMS', ''),
	('OH28', 'small_airport', 'Donner Field', 39.36669921875, -83.5999984741211, 990, 'US', 'US-OH', 'Leesburg', 'no', 'OH28', '', 'OH28', ''),
	('1IN4', 'small_airport', 'Robinson Airpark', 38.143383, -85.985141, 775, 'US', 'US-IN', 'Elizabeth', 'no', '1IN4', '', '1IN4', ''),
	('9I3', 'small_airport', 'West Liberty Airport', 37.91450119018555, -83.2520980834961, 934, 'US', 'US-KY', 'West Liberty', 'no', '9I3', '', '9I3', ''),
	('7KY3', 'small_airport', 'Little Mount International Airport', 38.07609939575195, -85.23670196533203, 750, 'US', 'US-KY', 'Tarylorsville', 'no', '7KY3', '', '7KY3', ''),
	('GE11', 'small_airport', 'Hogjowl Airport', 34.60580062866211, -85.46189880371094, 1790, 'US', 'US-GA', 'Layfayette', 'no', 'GE11', '', 'GE11', ''),
	('KWHA', 'N/A', 'N/A', 36.17503244429827, -83.16512748599052, 317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KHDI', 'closed', 'Hardwick Field', 35.2201, -84.832397, 874, 'US', 'US-TN', 'Cleveland', 'no', '', '', '', 'KHDI, HDI'),
	('8TN3', 'small_airport', 'Raby Airpark', 35.84170150756836, -84.18109893798828, 830, 'US', 'US-TN', 'Farragut', 'no', '8TN3', '', '8TN3', ''),
	('SC80', 'closed', 'Anderson Airport', 34.667245, -82.71033, 817, 'US', 'US-SC', 'Pendleton', 'no', '', '', '', 'SC80'),
	('TN02', 'heliport', 'TVA Watts Bar Nuclear Plant Heliport', 35.60091, -84.796171, 737, 'US', 'US-TN', 'Dayton', 'no', 'TN02', '', '', 'TN02'),
	('GA03', 'small_airport', 'Wilson Airport', 34.86949920654297, -85.19969940185547, 795, 'US', 'US-GA', 'Ringgold', 'no', 'GA03', '', 'GA03', ''),
	('KEAP', 'N/A', 'N/A', 34.60928287357092, -84.97777059674263, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GA45', 'small_airport', 'Townsend Air Strip', 31.54330062866211, -81.53479766845703, 26, 'US', 'US-GA', 'Townsend', 'no', 'GA45', '', 'GA45', ''),
	('0GA1', 'small_airport', 'Mustang Field', 34.477901458740234, -82.89710235595703, 693, 'US', 'US-GA', 'Hartwell', 'no', '0GA1', '', '0GA1', ''),
	('KDNN', 'small_airport', 'Dalton Municipal Airport', 34.72290039, -84.87020111, 709, 'US', 'US-GA', 'Dalton', 'no', 'KDNN', 'DNN', 'DNN', ''),
	('KJZP', 'small_airport', 'Pickens County Airport', 34.4534, -84.457397, 1535, 'US', 'US-GA', 'Jasper', 'no', 'KJZP', '', 'JZP', ''),
	('3TN8', 'small_airport', 'Massingale Airport', 35.763999938964844, -84.1874008178711, 840, 'US', 'US-TN', 'Lenoir City', 'no', '3TN8', '', '3TN8', ''),
	('KPDK', 'medium_airport', 'DeKalb Peachtree Airport', 33.87633, -84.30213, 1003, 'US', 'US-GA', 'Atlanta', 'yes', 'KPDK', 'PDK', 'PDK', ''),
	('KRHP', 'medium_airport', 'Western Carolina Regional Airport', 35.195202, -83.862999, 1697, 'US', 'US-NC', 'Andrews', 'no', 'KRHP', '', 'RHP', '6A3, Andrews-Murphy Airport'),
	('2A0', 'small_airport', 'Mark Anton Airport', 35.486198, -84.931099, 719, 'US', 'US-TN', 'Dayton', 'no', 'K2A0', '', '2A0', ''),
	('KAND', 'medium_airport', 'Anderson Regional Airport', 34.4945983887, -82.70939636230001, 782, 'US', 'US-SC', 'Anderson', 'no', 'KAND', 'AND', 'AND', ''),
	('0GE3', 'small_airport', 'Lookout Mountain Airport', 34.904701, -85.459702, 563, 'US', 'US-GA', 'Wildwood', 'no', '0GE3', '', '0GE3', 'Lookout Mountain Flight Park, Trenton'),
	('0GE0', 'small_airport', 'Pinewood Airport', 33.782100677490234, -84.80079650878906, 1085, 'US', 'US-GA', 'Douglasville', 'no', '0GE0', '', '0GE0', ''),
	('TN24', 'closed', 'Spencer Field', 35.3876, -85.962502, 1080, 'US', 'US-TN', 'Manchester', 'no', '', '', '', 'TN24'),
	('SC75', 'small_airport', 'Oolenoy Valley Airport', 34.998199462890625, -82.73490142822266, 1000, 'US', 'US-SC', 'Pickens', 'no', 'SC75', '', 'SC75', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TN39', 'small_airport', 'Amacher Strip', 35.305599212646484, -86.23670196533203, 1080, 'US', 'US-TN', 'Tullahoma', 'no', 'TN39', '', 'TN39', ''),
	('KCEU', 'small_airport', 'Oconee County Regional Airport', 34.6719017, -82.8864975, 892, 'US', 'US-SC', 'Clemson', 'no', 'KCEU', 'CEU', 'CEU', ''),
	('KRNC', 'small_airport', 'Warren County Memorial Airport', 35.69869995, -85.84380341, 1032, 'US', 'US-TN', 'Mc Minnville', 'no', 'KRNC', 'RNC', 'RNC', ''),
	('4TN0', 'small_airport', 'Melton Field', 36.15190124511719, -83.73280334472656, 1060, 'US', 'US-TN', 'Blaine', 'no', '4TN0', '', '4TN0', ''),
	('3GE3', 'small_airport', 'Broad River Air Park', 34.41235, -83.18061, 690, 'US', 'US-GA', 'Lavonia', 'no', '3GE3', '', '3GE3', ''),
	('65TN', 'small_airport', 'Roach Farm Airport', 36.33420181274414, -82.66169738769531, 1750, 'US', 'US-TN', 'Fall Branch', 'no', '65TN', '', '65TN', ''),
	('KEBA', 'N/A', 'N/A', 34.09538872539997, -82.81747207045555, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TN10', 'small_airport', 'Lake View Airport', 36.3390007019043, -83.77880096435547, 1066, 'US', 'US-TN', 'Sharps Chapel', 'no', 'TN10', '', 'TN10', ''),
	('KMGE', 'medium_airport', 'Dobbins Air Reserve Base', 33.915401, -84.516296, 1068, 'US', 'US-GA', 'Marietta', 'no', 'KMGE', 'MGE', 'MGE', 'Rickenbacker Field, Marietta AAF, Marietta AFB, Dobbins AFB'),
	('7TN1', 'small_airport', 'Krashinsky Airfield', 35.320599, -85.8536, 995, 'US', 'US-TN', 'Pelham', 'no', '7TN1', '', '7TN1', 'Elk River Airfield'),
	('KDZJ', 'small_airport', 'Blairsville Airport', 34.855099, -83.996902, 1911, 'US', 'US-GA', 'Blairsville', 'no', 'KDZJ', '', 'DZJ', 'Formerly 46A'),
	('2TN7', 'small_airport', 'Wolf Creek Airport', 35.80440139770508, -84.41580200195313, 890, 'US', 'US-TN', 'Kingston', 'no', '2TN7', '', '2TN7', ''),
	('SC70', 'closed', 'Anna''s Airport', 34.724998, -83.084999, 930, 'US', 'US-SC', 'Walhalla', 'no', '', '', '', 'SC70'),
	('3AL5', 'small_airport', 'Edwards Farm Airport', 33.83530044555664, -85.76390075683594, 750, 'US', 'US-AL', 'Jacksonville', 'no', '3AL5', '', '3AL5', ''),
	('5GA4', 'small_airport', 'Air Acres Airport', 34.105899810791016, -84.44850158691406, 918, 'US', 'US-GA', 'Woodstock', 'no', '5GA4', '', '5GA4', ''),
	('33GA', 'small_airport', 'Hudson River Landing Airport', 34.2599983215332, -83.28669738769531, 665, 'US', 'US-GA', 'Carnesville', 'no', '33GA', '', '33GA', ''),
	('TN54', 'closed', 'Tan Rara Heliport', 35.882599, -84.112396, 900, 'US', 'US-TN', 'Concord', 'no', '', '', '', 'TN54'),
	('3M7', 'small_airport', 'Lafayette Municipal Airport', 36.518398, -86.058296, 969, 'US', 'US-TN', 'Lafayette', 'no', 'K3M7', '', '3M7', ''),
	('TN99', 'closed', 'Pensinger Airport', 36.296398, -82.760597, 1265, 'US', 'US-TN', 'Greeneville', 'no', '', '', '', 'TN99'),
	('KAPT', 'small_airport', 'Marion County Airport - Brown Field', 35.060699, -85.585297, 641, 'US', 'US-TN', 'Jasper', 'no', 'KAPT', 'APT', 'APT', ''),
	('KIIY', 'small_airport', 'Washington Wilkes County Airport', 33.77939987, -82.81580353, 646, 'US', 'US-GA', 'Washington', 'no', 'KIIY', '', 'IIY', ''),
	('57GA', 'small_airport', 'Blue Ridge Skyport Airport', 34.86309814453125, -84.393798828125, 1946, 'US', 'US-GA', 'Blue Ridge', 'no', '57GA', '', '57GA', ''),
	('3TN2', 'seaplane_base', 'Merian Seaplane Base', 35.82170104980469, -84.61100006103516, 740, 'US', 'US-TN', 'Kingston', 'no', '3TN2', '', '3TN2', ''),
	('KRVN', 'small_airport', 'Hawkins County Airport', 36.4576, -82.885002, 1255, 'US', 'US-TN', 'Surgoinsville', 'no', 'KRVN', '', 'RVN', ''),
	('TN74', 'small_airport', 'Will A Hildreth Farm Airport', 35.80009841918945, -84.31939697265625, 900, 'US', 'US-TN', 'Lenoir City', 'no', 'TN74', '', 'TN74', ''),
	('77TN', 'small_airport', 'Darnell''s Field', 36.50920104980469, -82.68170166015625, 1150, 'US', 'US-TN', 'Church Hill', 'no', '77TN', '', '77TN', ''),
	('97TN', 'small_airport', 'Kite Field', 36.2785568902, -82.5857627392, 1450, 'US', 'US-TN', 'Jonesborough', 'no', '97TN', '', '97TN', ''),
	('KCHA', 'medium_airport', 'Chattanooga Metropolitan Airport (Lovell Field)', 35.035301, -85.203796, 683, 'US', 'US-TN', 'Chattanooga', 'yes', 'KCHA', 'CHA', 'CHA', ''),
	('1TN6', 'closed', 'Higdon Airfield', 35.972599, -84.156898, 1000, 'US', 'US-TN', 'Karns', 'no', '', '', '', '1TN6'),
	('KTOC', 'small_airport', 'Toccoa Airport - R.G. Letourneau Field', 34.5938, -83.295799, 996, 'US', 'US-GA', 'Toccoa', 'no', 'KTOC', 'TOC', 'TOC', 'Stephens County'),
	('TN89', 'small_airport', 'Possum Bottom Airport', 35.2584, -85.452698, 700, 'US', 'US-TN', 'Whitwell', 'no', 'TN89', '', 'TN89', 'Matthews Airport'),
	('TN30', 'small_airport', 'Cub Haven Airport', 35.54719924926758, -84.51000213623047, 1000, 'US', 'US-TN', 'Niota', 'no', 'TN30', '', 'TN30', ''),
	('KFTY', 'medium_airport', 'Fulton County Airport Brown Field', 33.7790985107, -84.5214004517, 841, 'US', 'US-GA', 'Atlanta', 'no', 'KFTY', 'FTY', 'FTY', ''),
	('1A3', 'small_airport', 'Martin Campbell Field', 35.016201, -84.346298, 1790, 'US', 'US-TN', 'Copperhill', 'no', 'K1A3', '', '1A3', ''),
	('0GA4', 'small_airport', 'Paradise Falls Airport', 33.812901, -83.505699, 736, 'US', 'US-GA', 'Good Hope', 'no', '', '', '', '0GA4, High Shoals'),
	('GA80', 'small_airport', 'Whispering Pines Airport', 33.78229904174805, -83.98880004882813, 940, 'US', 'US-GA', 'Conyers', 'no', 'GA80', '', 'GA80', ''),
	('2GA6', 'closed', 'Catoosa Springs Airport', 34.918479, -85.052547, 930, 'US', 'US-GA', 'Ringgold', 'no', '', '', '', '2GA6'),
	('TN86', 'closed', 'Walden Ridge Airport', 35.798753, -84.763705, 820, 'US', 'US-TN', 'Rockwood', 'no', '', '', '', 'TN86, TN86, TN86'),
	('33NR', 'small_airport', 'Skyline Peak Airport', 35.93897, -82.515467, 4548, 'US', 'US-NC', 'Mars Hill', 'no', '33NR', '', '33NR', 'Wolf Ridge'),
	('KBGF', 'small_airport', 'Winchester Municipal Airport', 35.177502, -86.0662, 979, 'US', 'US-TN', 'Winchester', 'no', 'KBGF', '', 'BGF', ''),
	('0TN2', 'small_airport', 'Village Airport', 35.65589904785156, -84.18550109863281, 920, 'US', 'US-TN', 'Greenback', 'no', '0TN2', '', '0TN2', ''),
	('TN87', 'small_airport', 'Montvale Airpark', 35.69260025024414, -83.9988021850586, 1030, 'US', 'US-TN', 'Maryville', 'no', 'TN87', '', 'TN87', ''),
	('AL27', 'small_airport', 'Headquarters Airport', 34.1057014465332, -85.56580352783203, 610, 'US', 'US-AL', 'Centre', 'no', 'AL27', '', 'AL27', ''),
	('88TN', 'small_airport', 'Piney Creek Airport', 35.4245, -85.779333, 1960, 'US', 'US-TN', 'Altamont', 'no', '88TN', '', '88TN', ''),
	('1TN2', 'small_airport', 'Kay Airport', 36.445899963378906, -83.11239624023438, 1250, 'US', 'US-TN', 'Rogersville', 'no', '1TN2', '', '1TN2', ''),
	('GE99', 'small_airport', 'Heaven''s Landing Airport', 34.914398193400004, -83.4597015381, 2724, 'US', 'US-GA', 'Clayton', 'no', 'GE99', '', 'GE99', ''),
	('0GA3', 'small_airport', 'Ayresouth Airport', 33.77009963989258, -85.06079864501953, 1287, 'US', 'US-GA', 'Temple', 'no', '0GA3', '', '0GA3', ''),
	('TN66', 'small_airport', 'Austin Field', 35.74449920654297, -85.04720306396484, 1000, 'US', 'US-TN', 'Pikeville', 'no', 'TN66', '', 'TN66', ''),
	('67GA', 'small_airport', 'Apalachee Bluff Airpark', 33.8592987061, -83.58769989010001, 735, 'US', 'US-GA', 'Monroe', 'no', '67GA', '', '67GA', ''),
	('D73', 'small_airport', 'Monroe Walton County Airport', 33.782398, -83.692903, 875, 'US', 'US-GA', 'Monroe', 'no', '', '', 'D73', ''),
	('KSCX', 'small_airport', 'Scott Municipal Airport', 36.455505, -84.586008, 1545, 'US', 'US-TN', 'Oneida', 'no', 'KSCX', '', 'SCX', 'Big South Fork Airpark');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('9A2', 'small_airport', 'Powell STOLport', 36.044498, -84.004402, 992, 'US', 'US-TN', 'Knoxville', 'no', '9A2', '', '9A2', ''),
	('92A', 'small_airport', 'Chilhowee Gliderport', 35.226501, -84.5849, 770, 'US', 'US-TN', 'Benton', 'no', '92A', '', '92A', ''),
	('SC26', 'small_airport', 'Hawks Nest Farm Airport', 34.808101654052734, -82.99859619140625, 1050, 'US', 'US-SC', 'West Union', 'no', 'SC26', '', 'SC26', ''),
	('12TN', 'small_airport', 'Meadowlake Airport', 35.8237, -84.538803, 750, 'US', 'US-TN', 'Kingston', 'no', '12TN', '', '12TN', 'Riley Creek'),
	('02GE', 'small_airport', 'Etowah Fields Airport', 34.17530059814453, -84.92440032958984, 710, 'US', 'US-GA', 'Euharlee', 'no', '02GE', '', '02GE', ''),
	('3NR3', 'small_airport', 'Transylvania Community Airport', 35.270277, -82.644167, 2110, 'US', 'US-NC', 'Brevard', 'no', '3NR3', '', '3NR3', '22W, Transylvania County Airport'),
	('8GA7', 'small_airport', 'Etowah Bend Gliderport', 34.20199966430664, -84.97720336914063, 620, 'US', 'US-GA', 'Kingston', 'no', '8GA7', '', '8GA7', ''),
	('KUOS', 'small_airport', 'Franklin County Airport', 35.204754, -85.899052, 1953, 'US', 'US-TN', 'Sewanee', 'no', 'KUOS', 'UOS', 'UOS', 'Sewanee International'),
	('04TN', 'small_airport', 'Hensley Airpark', 36.183300018299995, -82.67890167239999, 1430, 'US', 'US-TN', 'Chuckey', 'no', '04TN', '', '04TN', ''),
	('0TN6', 'small_airport', 'Riner Farm Airport', 36.18339920043945, -84.0990982055664, 1125, 'US', 'US-TN', 'Norris', 'no', '0TN6', '', '0TN6', ''),
	('SC52', 'closed', 'Oakview Airport', 34.811895, -82.818646, 1040, 'US', 'US-SC', 'Six Mile', 'no', '', '', '', 'SC52'),
	('TN11', 'small_airport', 'Cantwell Airport', 36.50149917602539, -83.25550079345703, 1150, 'US', 'US-TN', 'Sneedville', 'no', 'TN11', '', 'TN11', ''),
	('8TN4', 'small_airport', 'Flaglor Airport', 36.24470138549805, -82.96890258789063, 1135, 'US', 'US-TN', 'Mosheim', 'no', '8TN4', '', '8TN4', ''),
	('KMEF', 'N/A', 'N/A', 33.807297348976135, -83.0643367767334, 195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9A5', 'small_airport', 'Barwick Lafayette Airport', 34.688599, -85.290398, 777, 'US', 'US-GA', 'Lafayette', 'no', 'K9A5', '', '9A5', ''),
	('TN64', 'small_airport', 'West Wind Airpark', 35.5442008972168, -84.53279876708984, 1000, 'US', 'US-TN', 'Sweetwater', 'no', 'TN64', '', 'TN64', ''),
	('TN94', 'small_airport', 'Robertson Farm Airport', 36.000485, -84.075729, 1020, 'US', 'US-TN', 'Powell', 'no', 'TN94', '', 'TN94', ''),
	('GA23', 'small_airport', 'Wyatt Airport', 34.57830047607422, -85.38390350341797, 720, 'US', 'US-GA', 'Summerville', 'no', 'GA23', '', 'GA23', ''),
	('98TN', 'small_airport', 'Landing At River''S Edge', 36.1425, -83.604167, 1019, 'US', 'US-TN', 'Blaine', 'no', '98TN', '', '98TN', ''),
	('4TN5', 'closed', 'TGP Station 860 Heliport', 35.847801, -87.449501, 760, 'US', 'US-TN', 'Fairfield', 'no', '', '', '', '4TN5'),
	('4AL7', 'small_airport', 'Leon''s Landing Airport', 34.74470138549805, -85.6897964477539, 1430, 'US', 'US-AL', 'Flat Rock', 'no', '4AL7', '', '4AL7', ''),
	('KGVL', 'small_airport', 'Lee Gilmer Memorial Airport', 34.27259827, -83.8302002, 1276, 'US', 'US-GA', 'Gainesville', 'no', 'KGVL', 'GVL', 'GVL', ''),
	('20GA', 'small_airport', 'Earl L. Small Jr. Field/Stockmar Airport', 33.756500244099996, -84.88469696039999, 1110, 'US', 'US-GA', 'Villa Rica', 'no', '20GA', '', '20GA', ''),
	('4A4', 'small_airport', 'Polk County Airport- Cornelius Moore Field', 34.018699646, -85.1464996338, 974, 'US', 'US-GA', 'Cedartown', 'no', 'K4A4', '', '4A4', ''),
	('6GA4', 'small_airport', 'Spring Valley Farm Airport', 33.79710006713867, -83.85130310058594, 920, 'US', 'US-GA', 'Loganville', 'no', '6GA4', '', '6GA4', ''),
	('0GA2', 'small_airport', 'Airnautique, Inc. Airport', 34.377899169921875, -82.9457015991211, 720, 'US', 'US-GA', 'Hartwell', 'no', '0GA2', '', '0GA2', ''),
	('2GE7', 'small_airport', 'Petty Farms Airport', 34.958099365234375, -84.7791976928711, 760, 'US', 'US-GA', 'Crandall', 'no', '2GE7', '', '2GE7', ''),
	('22GA', 'small_airport', 'Riverside Airport', 34.429298, -85.054398, 620, 'US', 'US-GA', 'Fairmount', 'no', '22GA', '', '22GA', ''),
	('TN72', 'closed', 'King Airport', 35.845901, -83.481796, 1080, 'US', 'US-TN', 'Sevierville', 'no', '', '', '', 'TN72'),
	('AL60', 'small_airport', 'Dugger''s Field', 33.83869934082031, -86.2114028930664, 560, 'US', 'US-AL', 'Ashville', 'no', 'AL60', '', 'AL60', ''),
	('85TN', 'small_airport', 'Tellico Plains Municipal Airport', 35.382559, -84.303482, 980, 'US', 'US-TN', 'Tellico Plains', 'no', '', '', '85TN', ''),
	('AL68', 'closed', 'Willis Airport', 33.8512, -85.663, 790, 'US', 'US-AL', 'Piedmont', 'no', '', '', '', 'AL68'),
	('49A', 'small_airport', 'Gilmer County Airport', 34.627899169921875, -84.52490234375, 1486, 'US', 'US-GA', 'Ellijay', 'no', 'K49A', '', '49A', ''),
	('85GA', 'small_airport', 'Aiken Field', 34.172298431396484, -83.73100280761719, 1020, 'US', 'US-GA', 'Talmo', 'no', '85GA', '', '85GA', ''),
	('3GE9', 'closed', 'Holly Farm Airport', 34.139999, -84.378098, 900, 'US', 'US-GA', 'Woodstock', 'no', '', '', '', '3GE9'),
	('1GA9', 'small_airport', 'Aerie Airport', 33.761608, -83.652704, 830, 'US', 'US-GA', 'Monroe', 'no', '1GA9', '', '1GA9', ''),
	('KWHN', 'N/A', 'N/A', 36.03324484080076, -83.30596938729286, 313, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4TN1', 'closed', 'TGP Station 555 Heliport', 35.025101, -87.757797, 874, 'US', 'US-TN', 'Collinwood', 'no', '', '', '', '4TN1'),
	('KRMG', 'medium_airport', 'Richard B Russell Airport', 34.3506011963, -85.15799713130001, 644, 'US', 'US-GA', 'Rome', 'no', 'KRMG', 'RMG', 'RMG', 'Towers Field'),
	('AL32', 'small_airport', 'Flying BK Ranch Airport', 34.322601, -85.6437, 670, 'US', 'US-AL', 'Cedar Bluff', 'no', 'AL32', '', 'AL32', 'Flying M Ranch'),
	('KAYX', 'small_airport', 'Arnold Air Force Base', 35.392601, -86.0858, 1067, 'US', 'US-TN', 'Manchester', 'no', 'KAYX', 'TUH', 'AYX', ''),
	('2GE5', 'small_airport', 'Chukkar Farm Ultralightport', 34.19779968261719, -84.31939697265625, 1000, 'US', 'US-GA', 'Alpharetta', 'no', '2GE5', '', '2GE5', ''),
	('0TN1', 'seaplane_base', 'Tims Ford Seaplane Base', 35.2223014831543, -86.22000122070313, 785, 'US', 'US-TN', 'Tullahoma', 'no', '0TN1', '', '0TN1', ''),
	('86TN', 'small_airport', 'Dumplin Field', 36.016459, -83.544073, 1000, 'US', 'US-TN', 'Dandridge', 'no', '86TN', '', '86TN', 'Skydive East Tennessee'),
	('45TN', 'small_airport', 'Darnell''s Landings Airport', 36.50669860839844, -82.71170043945313, 1150, 'US', 'US-TN', 'Church Hill', 'no', '45TN', '', '45TN', ''),
	('KTYS', 'medium_airport', 'McGhee Tyson Airport', 35.811001, -83.994003, 981, 'US', 'US-TN', 'Alcoa', 'yes', 'KTYS', 'TYS', 'TYS', 'Knoxville'),
	('KPYP', 'small_airport', 'Centre-Piedmont-Cherokee County Regional Airport', 34.089977, -85.610069, 596, 'US', 'US-AL', 'Centre', 'no', 'KPYP', '', 'PYP', ''),
	('3A2', 'small_airport', 'New Tazewell Municipal Airport', 36.408919, -83.557076, 1179, 'US', 'US-TN', 'Tazewell', 'no', 'K3A2', '', '3A2', ''),
	('SC24', 'small_airport', 'Eagle Ridge Airport', 34.67169952392578, -82.9135971069336, 850, 'US', 'US-SC', 'Seneca', 'no', 'SC24', '', 'SC24', ''),
	('GA87', 'small_airport', 'High Valley Airpark', 34.69810104370117, -84.01270294189453, 2800, 'US', 'US-GA', 'Suches', 'no', 'GA87', '', 'GA87', ''),
	('66TN', 'small_airport', 'Basham Field', 35.523383, -85.846472, 1099, 'US', 'US-TN', 'Morrison', 'no', '66TN', '', '66TN', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NC16', 'small_airport', 'Brevard Airport', 35.222599029541016, -82.72679901123047, 2125, 'US', 'US-NC', 'Brevard', 'no', 'NC16', '', 'NC16', ''),
	('TN52', 'small_airport', 'King Airport', 35.138126, -86.081241, 1050, 'US', 'US-TN', 'Winchester', 'no', 'TN52', '', 'TN52', ''),
	('2A1', 'small_airport', 'Jamestown Municipal Airport', 36.349701, -84.946701, 1694, 'US', 'US-TN', 'Jamestown', 'no', '2A1', '', '2A1', ''),
	('GA18', 'small_airport', 'Big Creek Flying Ranch Airport', 34.832381, -83.409226, 1650, 'US', 'US-GA', 'Clayton', 'no', 'GA18', '', 'GA18', 'Rickman Airfield'),
	('4GA4', 'small_airport', 'R.M. Harris Airport', 34.84669876098633, -84.75469970703125, 770, 'US', 'US-GA', 'Eton', 'no', '4GA4', '', '4GA4', ''),
	('NC08', 'small_airport', 'Tusquittee Landing Airport', 35.08539962768555, -83.73629760742188, 2000, 'US', 'US-NC', 'Hayesville', 'no', 'NC08', '', 'NC08', ''),
	('4TN2', 'small_airport', 'Buck Creek Ranch Airport', 35.88336, -84.96953, 1800, 'US', 'US-TN', 'Crossville', 'no', '4TN2', '', '4TN2', ''),
	('GA27', 'closed', 'Mathis Airport', 34.1012, -84.161003, 1170, 'US', 'US-GA', 'Cumming', 'no', '', '', '', 'GA27, GA27, GA27'),
	('GA77', 'closed', 'Wallace Field', 34.135798, -85.112197, 810, 'US', 'US-GA', 'Rome', 'no', '', '', '', 'GA77'),
	('53GA', 'small_airport', 'Dawson Field', 34.167801, -85.258598, 675, 'US', 'US-GA', 'Rome', 'no', '53GA', '', '53GA', ''),
	('43TN', 'small_airport', 'Roseanne Airport', 35.622034, -86.01589, 1050, 'US', 'US-TN', 'Morrison', 'no', '43TN', '', '43TN', ''),
	('57NC', 'small_airport', 'Sossamon Field', 35.426498, -83.458199, 1940, 'US', 'US-NC', 'Bryson City', 'no', '57NC', '', '57NC', ''),
	('KFGU', 'small_airport', 'Collegedale Municipal Airport', 35.044315, -85.020146, 860, 'US', 'US-TN', 'Apison', 'no', 'KFGU', '', 'FGU', '3M3'),
	('GE05', 'small_airport', 'Gibson Field', 34.6156005859375, -85.34310150146484, 750, 'US', 'US-GA', 'Lafayette', 'no', 'GE05', '', 'GE05', ''),
	('44TN', 'small_airport', 'Stone Field', 35.84090042, -84.07569885, 890, 'US', 'US-TN', 'Louisville', 'no', '44TN', '', '44TN', ''),
	('KRZR', 'small_airport', 'Cleveland Regional Jetport', 35.211497, -84.799769, 860, 'US', 'US-TN', 'Cleveland', 'no', 'KRZR', '', 'RZR', ''),
	('TN98', 'small_airport', 'Sky Ranch Airport', 35.885295, -83.957427, 830, 'US', 'US-TN', 'Knoxville', 'no', 'TN98', '', 'TN98', ''),
	('KRKW', 'small_airport', 'Rockwood Municipal Airport', 35.9222984314, -84.6896972656, 1664, 'US', 'US-TN', 'Rockwood', 'no', 'KRKW', 'RKW', 'RKW', ''),
	('TN71', 'small_airport', 'Cox Farm Airport', 35.794498443603516, -84.34159851074219, 1000, 'US', 'US-TN', 'Lenoir City', 'no', 'TN71', '', 'TN71', ''),
	('09GE', 'small_airport', 'Elliott Field', 34.459, -84.181297, 1500, 'US', 'US-GA', 'Dawsonville', 'no', '09GE', '', '09GE', '5GA, 30GA'),
	('0A2', 'N/A', 'N/A', 34.09052990376949, -82.56509765982628, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMED', 'N/A', 'N/A', 35.761088132858276, -84.27731215953827, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('24A', 'small_airport', 'Jackson County Airport', 35.31740188598633, -83.20989990234375, 2857, 'US', 'US-NC', 'Sylva', 'no', 'K24A', '', '24A', ''),
	('KMNV', 'small_airport', 'Monroe County Airport', 35.545399, -84.380203, 1031, 'US', 'US-TN', 'Madisonville', 'no', 'KMNV', '', 'MNV', ''),
	('75TN', 'small_airport', 'Srigley Field Airstrip', 36.281502, -82.861497, 1145, 'US', 'US-TN', 'Tusculum', 'no', '75TN', '', '75TN', ''),
	('KDKX', 'small_airport', 'Knoxville Downtown Island Airport', 35.963902, -83.873901, 833, 'US', 'US-TN', 'Knoxville', 'no', 'KDKX', '', 'DKX', ''),
	('7A6', 'small_airport', 'Stevenson Airport', 34.886299, -85.803299, 644, 'US', 'US-AL', 'Stevenson', 'no', 'K7A6', '', '7A6', ''),
	('2GA9', 'small_airport', 'Lenora Airport', 33.80459976196289, -83.99629974365234, 940, 'US', 'US-GA', 'Snellville', 'no', '2GA9', '', '2GA9', ''),
	('8A3', 'small_airport', 'Livingston Municipal Airport', 36.412102, -85.3116, 1372, 'US', 'US-TN', 'Livingston', 'no', 'K8A3', '', '8A3', ''),
	('1TN3', 'small_airport', 'Wagner Field', 35.13970184326172, -86.22219848632813, 975, 'US', 'US-TN', 'Belvidere', 'no', '1TN3', '', '1TN3', ''),
	('KJCA', 'N/A', 'N/A', 34.1761389747262, -83.56169432401657, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KAHN', 'medium_airport', 'Athens Ben Epps Airport', 33.948842, -83.325634, 808, 'US', 'US-GA', 'Athens', 'no', 'KAHN', 'AHN', 'AHN', ''),
	('2GA8', 'small_airport', 'Shannon Flight Strip', 34.34980010986328, -85.07689666748047, 677, 'US', 'US-GA', 'Shannon', 'no', '2GA8', '', '2GA8', ''),
	('SC34', 'small_airport', 'Iva Field', 34.29710006713867, -82.68370056152344, 660, 'US', 'US-SC', 'Iva', 'no', 'SC34', '', 'SC34', ''),
	('4AL5', 'closed', 'Spinelli Field', 34.729198, -86.755302, 750, 'US', 'US-AL', 'Madison', 'no', '', '', '', '4AL5'),
	('KSRB', 'small_airport', 'Upper Cumberland Regional Airport', 36.055901, -85.530701, 1025, 'US', 'US-TN', 'Sparta', 'no', 'KSRB', '', 'SRB', ''),
	('GA00', 'small_airport', 'Kintail Farm Airport', 33.825599670410156, -83.63970184326172, 810, 'US', 'US-GA', 'Monroe', 'no', 'GA00', '', 'GA00', ''),
	('GA01', 'closed', 'Flying H Ranch Inc Airport', 33.1978, -84.084396, 722, 'US', 'US-GA', 'Jackson', 'no', '', '', '', 'GA01'),
	('KTHA', 'small_airport', 'Tullahoma Regional Airport William Northern Field', 35.3801, -86.246399, 1083, 'US', 'US-TN', 'Tullahoma', 'no', 'KTHA', 'THA', 'THA', ''),
	('28AL', 'closed', 'Golden Pond Airport', 33.862597, -86.120696, 540, 'US', 'US-AL', 'Ashville', 'no', '', '', '', '28AL'),
	('KRYY', 'medium_airport', 'Cobb County International Airport-McCollum Field', 34.01316, -84.59721, 1040, 'US', 'US-GA', 'Atlanta', 'no', 'KRYY', '', 'RYY', ''),
	('KVPC', 'small_airport', 'Cartersville Airport', 34.1231, -84.848701, 759, 'US', 'US-GA', 'Cartersville', 'no', 'KVPC', '', 'VPC', ''),
	('55GE', 'small_airport', 'Rostex Airport', 34.979764, -84.741926, 887, 'US', 'US-GA', 'Crandall', 'no', '55GE', '', '55GE', 'Tennga'),
	('62TN', 'closed', 'Meadow Lark Aerodrome Ultralight Flightpark', 35.734722, -86.166389, 730, 'US', 'US-TN', 'Woodbury', 'no', '', '', '', '62TN'),
	('KGAD', 'small_airport', 'Northeast Alabama Regional Airport', 33.972599, -86.088996, 569, 'US', 'US-AL', 'Gadsden', 'no', 'KGAD', 'GAD', 'GAD', 'Gadsden Municipal'),
	('1A7', 'small_airport', 'Jackson County Airport', 36.395864, -85.641346, 515, 'US', 'US-TN', 'Gainesboro', 'no', 'K1A7', '', '1A7', ''),
	('96TN', 'small_airport', 'Mount Bakewell Airfield', 35.367073, -85.161678, 1640, 'US', 'US-TN', 'Bakewell', 'no', '96TN', '', '96TN', ''),
	('0GE5', 'small_airport', 'Mountain Airpark', 34.561798095703125, -83.7135009765625, 1438, 'US', 'US-GA', 'Cleveland', 'no', '0GE5', '', '0GE5', ''),
	('6GA0', 'small_airport', 'Stoney Point Field', 34.132598876953125, -84.19940185546875, 1150, 'US', 'US-GA', 'Cumming', 'no', '6GA0', '', '6GA0', ''),
	('KCNI', 'N/A', 'N/A', 34.31221950799227, -84.42215278744698, 365, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TN49', 'small_airport', 'Bellwood Field', 36.261961, -86.149929, 589, 'US', 'US-TN', 'Lebanon', 'no', 'TN49', '', 'TN49', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TN50', 'small_airport', 'Indian Hill Farm Airport', 34.99150085449219, -85.65080261230469, 676, 'US', 'US-TN', 'New Hope', 'no', 'TN50', '', 'TN50', ''),
	('7GA5', 'small_airport', 'Mount Cove STOLport', 34.632301330566406, -85.44719696044922, 1000, 'US', 'US-GA', 'Kensington', 'no', '7GA5', '', '7GA5', ''),
	('KAJR', 'small_airport', 'Habersham County Airport', 34.499901, -83.556702, 1448, 'US', 'US-GA', 'Cornelia', 'no', 'KAJR', '', 'AJR', ''),
	('3GE4', 'small_airport', 'Fox Mountain Airport', 34.72999954223633, -85.54190063476563, 925, 'US', 'US-GA', 'Rising Fawn', 'no', '3GE4', '', '3GE4', ''),
	('6AL3', 'closed', 'Sweet Home Airport', 34.582047, -85.755572, 1340, 'US', 'US-AL', 'Henagar', 'no', '', '', '', '6AL3'),
	('00TN', 'closed', 'Ragsdale Road Airport', 35.515618, -85.954256, 1100, 'US', 'US-TN', 'Manchester', 'no', '', '', '', '00TN'),
	('3TN4', 'small_airport', 'Kenner Farm Airport', 35.881036, -83.726641, 940, 'US', 'US-TN', 'Seymour', 'no', '3TN4', '', '3TN4', ''),
	('KLQK', 'small_airport', 'Pickens County Airport', 34.8100013733, -82.70290374759999, 1013, 'US', 'US-SC', 'Pickens', 'no', 'KLQK', 'LQK', 'LQK', ''),
	('TN41', 'closed', '100 Aker Wood Airport', 35.772964, -84.764864, 809, 'US', 'US-TN', 'Spring City', 'no', '', '', '', 'TN41'),
	('KAVL', 'medium_airport', 'Asheville Regional Airport', 35.436199, -82.541801, 2165, 'US', 'US-NC', 'Asheville', 'yes', 'KAVL', 'AVL', 'AVL', ''),
	('4A6', 'small_airport', 'Scottsboro Municipal Word Field', 34.688702, -86.005898, 650, 'US', 'US-AL', 'Scottsboro', 'no', 'K4A6', '', '4A6', ''),
	('40TN', 'small_airport', 'Cloud 9 Aerodrome', 36.347471, -83.267349, 1090, 'US', 'US-TN', 'Bean Station', 'no', '40TN', '', '40TN', ''),
	('KGCY', 'small_airport', 'Greeneville Municipal Airport', 36.195648, -82.811482, 1608, 'US', 'US-TN', 'Greeneville', 'no', 'KGCY', 'GCY', 'GCY', 'Greene County'),
	('TN09', 'small_airport', 'Fergusons Flying Circus Airport', 35.7140007019043, -84.41100311279297, 910, 'US', 'US-TN', 'Philadelphia', 'no', 'TN09', '', 'TN09', ''),
	('TN08', 'small_airport', 'Oliver Springs Inc Airport', 36.037601470947266, -84.30690002441406, 790, 'US', 'US-TN', 'Oliver Springs', 'no', 'TN08', '', 'TN08', ''),
	('KMOR', 'small_airport', 'Morristown Regional Airport', 36.179401, -83.375504, 1313, 'US', 'US-TN', 'Morristown', 'no', 'KMOR', 'MOR', 'MOR', 'Moore-Murrell Airport'),
	('5TN4', 'small_airport', 'Mcgraw''s Backyard Airport', 35.67060089111328, -84.11579895019531, 920, 'US', 'US-TN', 'Greenback', 'no', '5TN4', '', '5TN4', ''),
	('TN80', 'small_airport', 'Schiff Airport', 36.2333984375, -85.42639923095703, 1260, 'US', 'US-TN', 'Cookeville', 'no', 'TN80', '', 'TN80', ''),
	('AL09', 'small_airport', 'Cloudmont Airpark', 34.53340148925781, -85.59020233154297, 1692, 'US', 'US-AL', 'Mentone', 'no', 'AL09', '', 'AL09', ''),
	('97GA', 'small_airport', 'B Tree Farms Airport', 34.2681999206543, -83.6720962524414, 1000, 'US', 'US-GA', 'Gillsville', 'no', '97GA', '', '97GA', ''),
	('8AL3', 'small_airport', 'Fricks Field Airport', 34.1417667, -86.0885667, 0, 'US', 'US-AL', 'Boaz', 'no', '8AL3', '', '8AL3', ''),
	('4GA9', 'small_airport', 'Ebeneezer Airport', 34.2422981262207, -84.05709838867188, 1230, 'US', 'US-GA', 'Cumming', 'no', '4GA9', '', '4GA9', ''),
	('02GA', 'small_airport', 'Doug Bolton Field', 34.202598571777344, -83.42900085449219, 884, 'US', 'US-GA', 'Commerce', 'no', '02GA', '', '02GA', ''),
	('4A9', 'small_airport', 'Isbell Field', 34.473701, -85.721397, 877, 'US', 'US-AL', 'Fort Payne', 'no', 'K4A9', '', '4A9', ''),
	('SC86', 'small_airport', 'Williamsport Airpark', 34.861826, -82.58145, 1100, 'US', 'US-SC', 'Easley', 'no', 'SC86', '', 'SC86', ''),
	('0A3', 'small_airport', 'Smithville Municipal Airport', 35.985298, -85.809303, 1084, 'US', 'US-TN', 'Smithville', 'no', '', '', '0A3', ''),
	('21GE', 'small_airport', 'Deer Crossing Airport', 34.54970169067383, -83.82219696044922, 1390, 'US', 'US-GA', 'Cleveland', 'no', '21GE', '', '21GE', ''),
	('1A5', 'small_airport', 'Macon County Airport', 35.222599029541016, -83.41899871826172, 2020, 'US', 'US-NC', 'Franklin', 'no', 'K1A5', '', '1A5', ''),
	('KWDR', 'small_airport', 'Barrow County Airport', 33.98289871, -83.66739655, 943, 'US', 'US-GA', 'Winder', 'no', 'KWDR', 'WDR', 'WDR', ''),
	('41TN', 'small_airport', 'Stonewall Airpark', 35.90079879760742, -86.20719909667969, 760, 'US', 'US-TN', 'Milton', 'no', '41TN', '', '41TN', ''),
	('KLZU', 'small_airport', 'Gwinnett County Briscoe Field', 33.97809982, -83.96240234, 1061, 'US', 'US-GA', 'Lawrenceville', 'no', 'KLZU', 'LZU', 'LZU', ''),
	('18A', 'small_airport', 'Franklin County Airport', 34.340099, -83.133499, 890, 'US', 'US-GA', 'Canon', 'no', 'K18A', '', '18A', ''),
	('KPUJ', 'small_airport', 'Silver Comet Field at Paulding Northwest Atlanta Airport', 33.913306, -84.942083, 1289, 'US', 'US-GA', 'Dallas', 'no', 'KPUJ', '', 'PUJ', 'Paulding County Regional Airport, Silver Comet Field'),
	('KCSV', 'medium_airport', 'Crossville Memorial Airport Whitson Field', 35.95131, -85.08499, 1881, 'US', 'US-TN', 'Crossville', 'no', 'KCSV', 'CSV', 'CSV', ''),
	('80TN', 'small_airport', 'Big T Airport', 35.826698303222656, -84.33000183105469, 900, 'US', 'US-TN', 'Lenoir City', 'no', '80TN', '', '80TN', ''),
	('00GA', 'small_airport', 'Lt World Airport', 33.76750183105469, -84.06829833984375, 700, 'US', 'US-GA', 'Lithonia', 'no', '00GA', '', '00GA', ''),
	('KCZL', 'small_airport', 'Tom B. David Field', 34.455399, -84.939201, 647, 'US', 'US-GA', 'Calhoun', 'no', 'KCZL', '', 'CZL', ''),
	('TN67', 'small_airport', 'Myers-Smith Airport', 35.24789810180664, -86.12860107421875, 900, 'US', 'US-TN', 'Estill Springs', 'no', 'TN67', '', 'TN67', ''),
	('69GE', 'closed', 'Great Oaks Airport', 33.926339, -82.654438, 530, 'US', 'US-GA', 'Tignall', 'no', '', '', '', '69GE'),
	('GA67', 'small_airport', 'King Sky Ranch Airport', 34.7681999206543, -83.59290313720703, 1840, 'US', 'US-GA', 'Clarkesville', 'no', 'GA67', '', 'GA67', ''),
	('9A0', 'small_airport', 'Lumpkin County Wimpys Airport', 34.582838, -84.019918, 1311, 'US', 'US-GA', 'Dahlonega', 'no', 'K9A0', '', '9A0', ''),
	('KJAU', 'small_airport', 'Campbell County Airport  - Colonel Tommy C Stiner Airfield', 36.334073, -84.162977, 1180, 'US', 'US-TN', 'Jacksboro', 'no', 'KJAU', '', 'JAU', 'Campbell County Airport'),
	('C22', 'N/A', 'N/A', 34.159875735640526, -85.63508927822113, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TN44', 'small_airport', 'Deerfield Resort Airport', 36.34669876098633, -84.01219940185547, 1350, 'US', 'US-TN', 'Lafollette', 'no', 'TN44', '', 'TN44', ''),
	('21TN', 'closed', 'Ray''s Stall Airport', 35.980911, -83.53371, 1020, 'US', 'US-TN', 'Dandridge', 'no', '', '', '', '21TN'),
	('1TN8', 'heliport', 'Ramada Helistop', 36.56679916381836, -82.5165023803711, 1275, 'US', 'US-TN', 'Kingsport', 'no', '1TN8', '', '1TN8', ''),
	('17TN', 'small_airport', 'Murphy Field', 36.299400329589844, -82.60420227050781, 1720, 'US', 'US-TN', 'Jonesborough', 'no', '17TN', '', '17TN', ''),
	('37GA', 'small_airport', 'Blue Bird Field', 34.90039825439453, -84.77850341796875, 800, 'US', 'US-GA', 'Crandall', 'no', '37GA', '', '37GA', ''),
	('TN85', 'small_airport', 'Hogue Airport', 35.638999938964844, -85.39720153808594, 1800, 'US', 'US-TN', 'Spencer', 'no', 'TN85', '', 'TN85', ''),
	('KMMI', 'small_airport', 'McMinn County Airport', 35.39730072, -84.56259918, 875, 'US', 'US-TN', 'Athens', 'no', 'KMMI', 'MMI', 'MMI', ''),
	('SC96', 'small_airport', 'Tokeena Air Park', 34.560298919677734, -82.935302734375, 800, 'US', 'US-SC', 'Seneca', 'no', 'SC96', '', 'SC96', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1AA0', 'small_airport', 'Dallas Bay Sky Park Airport', 35.18797, -85.176755, 690, 'US', 'US-TN', 'Hixson', 'no', '1AA0', '', '1AA0', '1A0'),
	('GA72', 'small_airport', 'Pratermill Flight Park Airport', 34.88169860839844, -84.88970184326172, 780, 'US', 'US-GA', 'Dalton', 'no', 'GA72', '', 'GA72', ''),
	('TN17', 'small_airport', 'Vintage Field', 35.582298278808594, -84.48799896240234, 990, 'US', 'US-TN', 'Sweetwater', 'no', 'TN17', '', 'TN17', ''),
	('2AL5', 'small_airport', 'Flying J Ranch Airport', 34.392799377441406, -85.66500091552734, 1430, 'US', 'US-AL', 'Fort Payne', 'no', '2AL5', '', '2AL5', ''),
	('KGKT', 'small_airport', 'Gatlinburg-Pigeon Forge Airport', 35.85779953, -83.52870178219999, 1014, 'US', 'US-TN', 'Sevierville', 'no', 'KGKT', 'GKT', 'GKT', ''),
	('86GA', 'small_airport', 'Flying G Ranch Airport', 34.86790084838867, -85.06109619140625, 845, 'US', 'US-GA', 'Tunnel Hill', 'no', '86GA', '', '86GA', ''),
	('07TN', 'closed', 'Corntassel Airport', 35.5686, -84.241096, 970, 'US', 'US-TN', 'Vonore', 'no', '', '', '', '07TN'),
	('TN20', 'small_airport', 'Seymour Air Park', 35.81228, -83.774752, 1000, 'US', 'US-TN', 'Seymour', 'no', 'TN20', '', 'TN20', ''),
	('GA09', 'small_airport', 'Fly-N-S Ranch Airport', 34.451698303222656, -83.7885971069336, 1330, 'US', 'US-GA', 'Clermont', 'no', 'GA09', '', 'GA09', ''),
	('5A9', 'small_airport', 'Roosevelt Memorial Airport', 32.937904, -84.696467, 880, 'US', 'US-GA', 'Woodbury', 'no', 'K5A9', '', '5A9', ''),
	('KCXU', 'small_airport', 'Camilla Mitchell County Airport', 31.21315, -84.235396, 175, 'US', 'US-GA', 'Camilla', 'no', 'KCXU', '', 'CXU', ''),
	('KEZM', 'small_airport', 'Heart of Georgia Regional Airport', 32.214199, -83.127998, 304, 'US', 'US-GA', 'Eastman', 'no', 'KEZM', '', 'EZM', ''),
	('3GA6', 'small_airport', 'Erlen Airport', 33.57059860229492, -84.89830017089844, 1044, 'US', 'US-GA', 'Whitesburg', 'no', '3GA6', '', '3GA6', ''),
	('8GA6', 'small_airport', 'S & S Landing Strip', 33.161388, -84.320517, 900, 'US', 'US-GA', 'Griffin', 'no', '8GA6', '', '8GA6', ''),
	('7GA4', 'small_airport', 'Danville Airpark', 32.58100128173828, -83.2677001953125, 459, 'US', 'US-GA', 'Danville', 'no', '7GA4', '', '7GA4', ''),
	('25J', 'small_airport', 'Lower Chattahoochee Regional Airport', 31.701711, -84.827055, 457, 'US', 'US-GA', 'Cuthbert', 'no', '25J', '', '25J', 'Cuthbert-Randolph'),
	('3J7', 'N/A', 'N/A', 33.59796937555075, -83.13826113939285, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3RU', 'small_airport', 'Rust Airstrip', 33.3326, -84.401901, 810, 'US', 'US-GA', 'Woolsey', 'no', 'GA82', '', 'GA82', '3RU'),
	('KEAS', 'N/A', 'N/A', 33.41738361865282, -84.71217334270477, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('07GA', 'small_airport', 'Alcovy Airport', 33.674263, -83.764637, 750, 'US', 'US-GA', 'Covington', 'no', '07GA', '', '07GA', ''),
	('GA89', 'small_airport', 'Diamond S Airport', 33.475799560546875, -84.27690124511719, 910, 'US', 'US-GA', 'Lovejoy', 'no', 'GA89', '', 'GA89', ''),
	('01GE', 'small_airport', 'The Farm Airport', 32.675106, -82.771055, 375, 'US', 'US-GA', 'Wrightsville', 'no', '01GE', '', '01GE', ''),
	('KLGC', 'small_airport', 'LaGrange Callaway Airport', 33.008873, -85.074331, 693, 'US', 'US-GA', 'LaGrange', 'no', 'KLGC', 'LGC', 'LGC', ''),
	('2GA0', 'small_airport', 'Kennedy Intranational Airport', 33.5265007019043, -83.63800048828125, 695, 'US', 'US-GA', 'Newborn', 'no', '2GA0', '', '2GA0', ''),
	('6A2', 'small_airport', 'Griffin Spalding County Airport', 33.227001, -84.274902, 958, 'US', 'US-GA', 'Griffin', 'no', 'K6A2', '', '6A2', ''),
	('0J6', 'N/A', 'N/A', 31.36429611593485, -85.31307131052017, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCLG', 'N/A', 'N/A', 31.815582141280174, -85.64941629767418, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('71J', 'small_airport', 'Ozark-Blackwell Field', 31.431101, -85.619202, 356, 'US', 'US-AL', 'Ozark', 'no', '', '', '71J', ''),
	('0GE2', 'N/A', 'N/A', 31.140555627644062, -85.04666939377785, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GE21', 'small_airport', 'Anderson Airport', 31.018681, -84.392917, 138, 'US', 'US-GA', 'Bainbridge', 'no', 'GE21', '', 'GE21', ''),
	('KHEU', 'N/A', 'N/A', 31.437926776707172, -85.28665021061897, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPLR', 'small_airport', 'St Clair County Airport', 33.558799743652, -86.249099731445, 485, 'US', 'US-AL', 'Pell City', 'no', 'KPLR', 'PLR', 'PLR', ''),
	('GA90', 'small_airport', 'Walker Field', 33.451329, -84.408624, 875, 'US', 'US-GA', 'Fayetteville', 'no', 'GA90', '', 'GA90', ''),
	('KALX', 'small_airport', 'Thomas C Russell Field', 32.914699554399995, -85.9629974365, 686, 'US', 'US-AL', 'Alexander City', 'no', 'KALX', 'ALX', 'ALX', ''),
	('0GE4', 'small_airport', 'Pecan Patch Airstrip', 33.33140182495117, -84.2667007446289, 860, 'US', 'US-GA', 'Sunnyside', 'no', '0GE4', '', '0GE4', ''),
	('GA82', 'closed', 'Morgan Farm Field', 33.595901, -83.804102, 700, 'US', 'US-GA', 'Covington', 'no', '', '', '', 'GA82'),
	('4GE3', 'small_airport', 'Whitehall Airport', 32.4994, -83.182917, 350, 'US', 'US-GA', 'Montrose', 'no', '4GE3', '', '4GE3', ''),
	('AL89', 'small_airport', 'Sommerset Strip', 32.71870040893555, -85.36689758300781, 820, 'US', 'US-AL', 'Opelika', 'no', 'AL89', '', 'AL89', ''),
	('47GA', 'small_airport', 'Everidge Airport', 32.220674, -83.855909, 450, 'US', 'US-GA', 'Pinehurst', 'no', '47GA', '', '47GA', 'Everidge Aerial Farming'),
	('KAZE', 'small_airport', 'Hazlehurst Airport', 31.884700775146484, -82.64739990234375, 255, 'US', 'US-GA', 'Hazlehurst', 'no', 'KAZE', '', 'AZE', ''),
	('9GA0', 'small_airport', 'Brown Field', 33.057098388671875, -84.34239959716797, 864, 'US', 'US-GA', 'Zebulon', 'no', '9GA0', '', '9GA0', ''),
	('KDHN', 'medium_airport', 'Dothan Regional Airport', 31.321300506591797, -85.44960021972656, 401, 'US', 'US-AL', 'Dothan', 'yes', 'KDHN', 'DHN', 'DHN', ''),
	('GE26', 'small_airport', 'Duke Strip 2', 32.381667, -83.059722, 340, 'US', 'US-GA', 'Dublin', 'no', 'GE26', '', 'GE26', ''),
	('KMUL', 'small_airport', 'Spence Airport', 31.141569, -83.703718, 292, 'US', 'US-GA', 'Moultrie', 'no', 'KMUL', 'MUL', 'MUL', ''),
	('23GE', 'small_airport', 'Lt Landing Airport', 32.383056, -83.1, 286, 'US', 'US-GA', 'Dublin', 'no', '23GE', '', '23GE', ''),
	('GA62', 'small_airport', 'Cedar Ridge Airport', 33.25510025024414, -84.40019989013672, 820, 'US', 'US-GA', 'Griffin', 'no', 'GA62', '', 'GA62', ''),
	('KMAC', 'small_airport', 'Macon Downtown Airport', 32.82210159, -83.56199646, 437, 'US', 'US-GA', 'Macon', 'no', 'KMAC', 'MAC', 'MAC', ''),
	('0J0', 'small_airport', 'Abbeville Municipal Airport', 31.600093, -85.238353, 468, 'US', 'US-AL', 'Abbeville', 'no', '', '', '0J0', ''),
	('GA02', 'closed', 'Howard Private Airport', 33.357008, -83.963442, 720, 'US', 'US-GA', 'Jackson', 'no', '', '', '', 'GA02'),
	('5AL7', 'small_airport', 'John H Hataway Airport', 31.25, -86.166702, 300, 'US', 'US-AL', 'Kinston', 'no', '5AL7', '', '5AL7', 'Hataway Field'),
	('KCSG', 'medium_airport', 'Columbus Metropolitan Airport', 32.516300201416016, -84.93890380859375, 397, 'US', 'US-GA', 'Columbus', 'yes', 'KCSG', 'CSG', 'CSG', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('0GA9', 'small_airport', 'Roberta Industrial Park Airport', 32.71390151977539, -84.02749633789063, 505, 'US', 'US-GA', 'Roberta', 'no', '0GA9', '', '0GA9', ''),
	('16J', 'small_airport', 'Dawson Municipal Airport', 31.743299, -84.419296, 333, 'US', 'US-GA', 'Dawson', 'no', '', '', '16J', ''),
	('79GA', 'small_airport', 'Coates Airport', 31.491298, -85.017078, 310, 'US', 'US-GA', 'Fort Gaines', 'no', '79GA', '', '79GA', ''),
	('AL77', 'small_airport', 'Smart Road Airport', 31.7406005859375, -86.00700378417969, 425, 'US', 'US-AL', 'Troy', 'no', 'AL77', '', 'AL77', ''),
	('GA98', 'small_airport', 'Grayhill Airport', 32.9489021301, -85.05052948, 750, 'US', 'US-GA', 'LaGrange', 'no', 'GA98', '', 'GA98', ''),
	('0GE1', 'small_airport', 'Crystal Lake Airpark', 31.66550064086914, -83.44709777832031, 327, 'US', 'US-GA', 'Irwinville', 'no', '0GE1', '', '0GE1', ''),
	('4GA0', 'closed', 'Pegasus Run Airport', 34.280102, -84.421303, 900, 'US', 'US-GA', 'Ball Ground', 'no', '', '', '', '4GA0'),
	('KACJ', 'small_airport', 'Jimmy Carter Regional Airport', 32.110802, -84.188904, 468, 'US', 'US-GA', 'Americus', 'no', 'KACJ', '', 'ACJ', 'Souther Field'),
	('80GA', 'small_airport', 'Murphy''s Landing Airport', 33.259103, -84.844937, 820, 'US', 'US-GA', 'Grantville', 'no', '80GA', '', '80GA', ''),
	('8GA8', 'small_airport', 'Falcons Aerie Airport', 33.577301025390625, -85.00299835205078, 1180, 'US', 'US-GA', 'Carrollton', 'no', '8GA8', '', '8GA8', ''),
	('AL71', 'small_airport', 'Willow Point Airport', 32.8036994934082, -85.98049926757813, 551, 'US', 'US-AL', 'Our Town', 'no', 'AL71', '', 'AL71', ''),
	('95GA', 'small_airport', 'McIntosh Field', 33.455898, -84.943001, 771, 'US', 'US-GA', 'Whitesburg', 'no', '95GA', '', '95GA', ''),
	('50GA', 'small_airport', 'Mallory Field', 30.9507999420166, -83.23419952392578, 202, 'US', 'US-GA', 'Valdosta', 'no', '50GA', '', '50GA', ''),
	('GA86', 'small_airport', 'Little Tobesofkee Creek Ranch Airport', 32.9838981628418, -84.09559631347656, 755, 'US', 'US-GA', 'Barnesville', 'no', 'GA86', '', 'GA86', ''),
	('13GA', 'small_airport', 'Oak Ridge Plantation Airport', 31.3666, -83.754898, 350, 'US', 'US-GA', 'Sumner', 'no', '13GA', '', '13GA', ''),
	('KWRB', 'medium_airport', 'Robins Air Force Base', 32.640099, -83.591904, 294, 'US', 'US-GA', 'Warner Robins', 'no', 'KWRB', 'WRB', 'WRB', ''),
	('1GA2', 'small_airport', 'Flying N Estates Airport', 33.175358, -84.747756, 870, 'US', 'US-GA', 'Luthersville', 'no', '1GA2', '', '1GA2', ''),
	('2GA5', 'small_airport', 'Windrift Aerodrome', 33.04180145263672, -84.43209838867188, 780, 'US', 'US-GA', 'Concord', 'no', '2GA5', '', '2GA5', ''),
	('51A', 'small_airport', 'Hawkinsville Pulaski County Airport', 32.283676, -83.438164, 270, 'US', 'US-GA', 'Hawkinsville', 'no', 'K51A', '', '51A', ''),
	('8GA3', 'small_airport', 'Leesburg Spraying Airport', 31.77519989013672, -84.1249008178711, 260, 'US', 'US-GA', 'Leesburg', 'no', '8GA3', '', '8GA3', ''),
	('6GE4', 'small_airport', 'M K Field', 33.168711, -84.830021, 866, 'US', 'US-GA', 'Hogansville', 'no', '6GE4', '', '6GE4', ''),
	('5GE1', 'small_airport', 'Peachtree Landings Airport', 32.5703010559082, -83.7219009399414, 447, 'US', 'US-GA', 'Fort Valley', 'no', '5GE1', '', '5GE1', ''),
	('05GA', 'small_airport', 'Raju Airport', 32.0713996887207, -84.71440124511719, 625, 'US', 'US-GA', 'Richland', 'no', '05GA', '', '05GA', ''),
	('KDOT', 'N/A', 'N/A', 31.091184206306934, -84.77259904146194, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOZR', 'medium_airport', 'Cairns AAF (Fort Rucker) Air Field', 31.27569962, -85.71340179, 301, 'US', 'US-AL', 'Fort Rucker/Ozark', 'no', 'KOZR', 'OZR', 'OZR', ''),
	('63GE', 'small_airport', 'Westbrook Airport', 32.047358, -84.740064, 550, 'US', 'US-GA', 'Lumpkin', 'no', '63GE', '', '63GE', ''),
	('9GA3', 'small_airport', 'Young Field', 31.839759, -84.481602, 401, 'US', 'US-GA', 'Dawson', 'no', '9GA3', '', '9GA3', 'Hayes'),
	('4J2', 'small_airport', 'Berrien County Airport', 31.212601, -83.226303, 240, 'US', 'US-GA', 'Nashville', 'no', '4J2', '', '4J2', ''),
	('2AL8', 'small_airport', 'Finkley Farm Airport', 32.42110061645508, -85.24810028076172, 413, 'US', 'US-AL', 'Phenix City', 'no', '2AL8', '', '2AL8', ''),
	('5GA6', 'small_airport', 'Roney Farms Airport', 32.149898529052734, -83.86129760742188, 352, 'US', 'US-GA', 'Lilly', 'no', '5GA6', '', '5GA6', ''),
	('7GE5', 'small_airport', 'Sunset Strip', 33.35919952392578, -85.11750030517578, 740, 'US', 'US-GA', 'Centralhatchee', 'no', '7GE5', '', '7GE5', ''),
	('KEAM', 'N/A', 'N/A', 31.231604889035225, -85.65030857920647, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('27GA', 'small_airport', 'Wilson Airstrip', 33.658193, -85.010195, 1050, 'US', 'US-GA', 'Carrollton', 'no', '27GA', '', '27GA', ''),
	('91GA', 'small_airport', 'Flying Frog Field Airport', 33.273602, -84.793297, 910, 'US', 'US-GA', 'Moreland', 'no', '91GA', '', '91GA', 'Dbaks'),
	('77GA', 'small_airport', 'Toland Airport', 33.163124, -84.210258, 800, 'US', 'US-GA', 'Milner', 'no', '77GA', '', '77GA', ''),
	('KCVC', 'N/A', 'N/A', 33.63224733620882, -83.84661957621574, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FD26', 'small_airport', 'Kirkland Airport', 30.981800079345703, -85.49240112304688, 180, 'US', 'US-FL', 'Graceville', 'no', 'FD26', '', 'FD26', ''),
	('26A', 'small_airport', 'Ashland/Lineville Airport', 33.284207, -85.80863, 1065, 'US', 'US-AL', 'Ashland', 'no', '26A', '', '26A', ''),
	('2GE3', 'closed', 'Smith Airport', 33.676201, -83.2593, 550, 'US', 'US-GA', 'Greensboro', 'no', '', '', '', '2GE3'),
	('GA08', 'closed', 'Jumpin J Airport', 32.691724, -84.497209, 659, 'US', 'US-GA', 'Talbotton', 'no', '', '', '', 'GA08'),
	('KCTJ', 'small_airport', 'West Georgia Regional Airport / O V Gray Field', 33.631001, -85.152, 1161, 'US', 'US-GA', 'Carrollton', 'no', 'KCTJ', '', 'CTJ', ''),
	('GA73', 'small_airport', 'Shade Tree Airport', 33.16283, -84.445239, 850, 'US', 'US-GA', 'Concord', 'no', 'GA73', '', 'GA73', ''),
	('GA75', 'small_airport', 'Meadowlark Airport', 33.08729934692383, -84.40519714355469, 784, 'US', 'US-GA', 'Concord', 'no', 'GA75', '', 'GA75', ''),
	('GE35', 'small_airport', 'Southern Oaks Airport', 33.731389, -83.469722, 121, 'US', 'US-GA', 'Bostwick', 'no', 'GE35', '', 'GE35', ''),
	('AL25', 'small_airport', 'Spratling Field', 32.242401123046875, -85.6010971069336, 368, 'US', 'US-AL', 'Roba', 'no', 'AL25', '', 'AL25', ''),
	('83GA', 'small_airport', 'Brock Airpark', 30.99970054626465, -84.506103515625, 130, 'US', 'US-GA', 'Bainbridge', 'no', '83GA', '', '83GA', ''),
	('KDOR', 'N/A', 'N/A', 31.190725341439247, -84.72584366798401, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1GA8', 'small_airport', 'South One Ten Airport', 31.178499, -83.226501, 225, 'US', 'US-GA', 'Nashville', 'no', '1GA8', '', '1GA8', ''),
	('07A', 'small_airport', 'Franklin Field', 32.166801, -85.809702, 300, 'US', 'US-AL', 'Union Springs', 'no', 'K07A', '', '07A', ''),
	('KOKZ', 'small_airport', 'Kaolin Field', 32.96670150756836, -82.83820343017578, 438, 'US', 'US-GA', 'Sandersville', 'no', 'KOKZ', '', 'OKZ', ''),
	('4GA7', 'small_airport', 'Kitchens Field', 33.134568, -84.253287, 800, 'US', 'US-GA', 'Griffin', 'no', '4GA7', '', '4GA7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KHMP', 'N/A', 'N/A', 33.38990271091461, -84.3310359120369, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('17GA', 'small_airport', 'Panther Creek Airport', 33.46670150756836, -84.86609649658203, 850, 'US', 'US-GA', 'Newnan', 'no', '17GA', '', '17GA', ''),
	('36GA', 'small_airport', 'Lola Landing Airport', 33.72423, -83.97608, 870, 'US', 'US-GA', 'Conyers', 'no', '36GA', '', '36GA', ''),
	('82A', 'small_airport', 'Marion County Airport', 32.282398, -84.503502, 682, 'US', 'US-GA', 'Buena Vista', 'no', 'K82A', '', '82A', ''),
	('KMGR', 'small_airport', 'Moultrie Municipal Airport', 31.084899902300002, -83.8032989502, 294, 'US', 'US-GA', 'Moultrie', 'no', 'KMGR', 'MGR', 'MGR', 'Moultrie-Thomasville Airport, Spence AAF Auxiliary No. 3'),
	('3GA9', 'small_airport', 'Vintage Field', 33.13349914550781, -84.37740325927734, 873, 'US', 'US-GA', 'Zebulon', 'no', '3GA9', '', '3GA9', ''),
	('GA29', 'small_airport', 'Wellers Landing Airport', 33.156087, -84.431201, 843, 'US', 'US-GA', 'Hollonville', 'no', 'GA29', '', 'GA29', 'B & L Strip'),
	('4GA5', 'closed', 'Southwire Heliport', 33.566562, -85.070522, 1094, 'US', 'US-GA', 'Carrollton', 'no', '', '', '', '4GA5'),
	('17J', 'small_airport', 'Donalsonville Municipal Airport', 31.006901, -84.877602, 148, 'US', 'US-GA', 'Donalsonville', 'no', '', '', '17J', ''),
	('KSYV', 'small_airport', 'Sylvester Airport', 31.558500289917, -83.895698547363, 403, 'US', 'US-GA', 'Sylvester', 'no', 'KSYV', 'SYV', 'SYV', ''),
	('5GA3', 'small_airport', 'Eagles Landing Airport', 33.160099029541016, -84.36519622802734, 980, 'US', 'US-GA', 'Williamson', 'no', '5GA3', '', '5GA3', ''),
	('GE12', 'small_airport', 'Richter Airpark', 31.748600006103516, -83.57360076904297, 357, 'US', 'US-GA', 'Ashburn', 'no', 'GE12', '', 'GE12', ''),
	('6GA5', 'small_airport', 'Kolibri Airport', 33.579378, -84.902771, 1100, 'US', 'US-GA', 'Whitesburg', 'no', '6GA5', '', '6GA5', ''),
	('AL51', 'small_airport', 'Flying C''s Plantation Airport', 32.416099548339844, -85.29920196533203, 395, 'US', 'US-AL', 'Crawford', 'no', 'AL51', '', 'AL51', ''),
	('KAMG', 'small_airport', 'Bacon County Airport', 31.536100387573242, -82.50659942626953, 200, 'US', 'US-GA', 'Alma', 'no', 'KAMG', '', 'AMG', ''),
	('3AL1', 'small_airport', 'Flying H Ranch Airport', 31.050399780273438, -85.685302734375, 264, 'US', 'US-AL', 'Hartford', 'no', '3AL1', '', '3AL1', ''),
	('3GA0', 'small_airport', 'Grant Airport', 33.52750015258789, -84.15689849853516, 790, 'US', 'US-GA', 'Stockbridge', 'no', '3GA0', '', '3GA0', ''),
	('14J', 'small_airport', 'Carl Folsom Airport', 31.41, -86.090302, 258, 'US', 'US-AL', 'Elba', 'no', 'K14J', '', '14J', ''),
	('27FL', 'heliport', 'AdventHealth Wesley Chapel Heliport', 28.19471, -82.350453, 60, 'US', 'US-FL', 'Wesley Chapel', 'no', '27FL', '', '27FL', 'Wesley Chapel Medical Center'),
	('KBGE', 'small_airport', 'Decatur County Industrial Air Park', 30.9715004, -84.63739777, 141, 'US', 'US-GA', 'Bainbridge', 'no', 'KBGE', 'BGE', 'BGE', ''),
	('1GE2', 'small_airport', 'C & W Air Park', 32.844398498535156, -84.54389953613281, 1306, 'US', 'US-GA', 'Woodland', 'no', '1GE2', '', '1GE2', ''),
	('2GA3', 'closed', 'Wrights Field', 32.20582, -83.786824, 383, 'US', 'US-GA', 'Pinehurst', 'no', '', '', '', '2GA3'),
	('GE25', 'small_airport', 'Hutto Farm Airport', 32.681106, -83.856109, 620, 'US', 'US-GA', 'Fort Valley', 'no', 'GE25', '', 'GE25', ''),
	('KMII', 'N/A', 'N/A', 31.41615830361843, -85.46350434422493, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5GA7', 'small_airport', 'Panacea Airport', 33.201152, -85.229037, 800, 'US', 'US-GA', 'Franklin', 'no', '5GA7', '', '5GA7', ''),
	('KMLJ', 'small_airport', 'Baldwin County Regional Airport', 33.154202, -83.240701, 385, 'US', 'US-GA', 'Milledgeville', 'no', 'KMLJ', 'MLJ', 'MLJ', ''),
	('3GA8', 'small_airport', 'Cauley''s Airstrip', 32.32939910888672, -82.63500213623047, 251, 'US', 'US-GA', 'Soperton', 'no', '3GA8', '', '3GA8', ''),
	('1GE5', 'small_airport', 'Flying D Airport', 33.101200103759766, -84.39350128173828, 838, 'US', 'US-GA', 'Concord', 'no', '1GE5', '', '1GE5', ''),
	('AL37', 'small_airport', 'Benedick Airport', 31.555028, -85.977278, 335, 'US', 'US-AL', 'Jack', 'no', 'AL37', '', 'AL37', ''),
	('GA59', 'small_airport', 'Antique Acres Airport', 33.100101470947266, -84.05850219726563, 800, 'US', 'US-GA', 'Barnesville', 'no', 'GA59', '', 'GA59', ''),
	('1GE3', 'small_airport', 'Answered Prayer Airport', 33.254232, -85.170623, 890, 'US', 'US-GA', 'Franklin', 'no', '1GE3', '', '1GE3', 'Meadow Lark'),
	('KVAD', 'medium_airport', 'Moody Air Force Base', 30.9678001404, -83.1930007935, 233, 'US', 'US-GA', 'Valdosta', 'no', 'KVAD', 'VAD', 'VAD', ''),
	('KAUO', 'small_airport', 'Auburn University Regional Airport', 32.615101, -85.433998, 777, 'US', 'US-AL', 'Auburn', 'no', 'KAUO', 'AUO', 'AUO', 'Auburn–Opelika Robert G. Pitts Field'),
	('7GE7', 'small_airport', 'Brandt Field', 33.046389, -84.661111, 840, 'US', 'US-GA', 'Greenville', 'no', '7GE7', '', '7GE7', ''),
	('7AL7', 'small_airport', 'Pratt Landing Airport', 31.064693, -85.438981, 184, 'US', 'US-AL', 'Madrid', 'no', '7AL7', '', '7AL7', ''),
	('KPIM', 'small_airport', 'Harris County Airport', 32.8406982422, -84.8824005127, 902, 'US', 'US-GA', 'Pine Mountain', 'no', 'KPIM', 'PIM', 'PIM', 'Callaway Gardens-Harris County Airport'),
	('GA50', 'small_airport', 'Dream Team Airport', 33.59682, -83.519469, 604, 'US', 'US-GA', 'Madison', 'no', 'GA50', '', 'GA50', ''),
	('AL05', 'small_airport', 'Sehoy Airport', 32.22010040283203, -85.46800231933594, 331, 'US', 'US-AL', 'Hurtsboro', 'no', 'AL05', '', 'AL05', ''),
	('GA14', 'small_airport', 'Pinebloom Plantation Airport', 31.402999877929688, -84.32270050048828, 170, 'US', 'US-GA', 'Albany', 'no', 'GA14', '', 'GA14', ''),
	('64GA', 'small_airport', 'Big T Airport', 33.283501, -84.538803, 900, 'US', 'US-GA', 'Senoia', 'no', '64GA', '', '64GA', ''),
	('KECC', 'N/A', 'N/A', 32.70491112023592, -86.12869933247566, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('10GA', 'small_airport', 'Beaverbrook Aerodrome', 33.32509994506836, -84.29830169677734, 910, 'US', 'US-GA', 'Griffin', 'no', '10GA', '', '10GA', ''),
	('KGOR', 'N/A', 'N/A', 33.09485133737326, -86.06346890330315, 284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GA61', 'small_airport', 'Kenley Field', 33.269234, -84.497624, 780, 'US', 'US-GA', 'Brooks', 'no', 'GA61', '', 'GA61', 'Abernathy Field'),
	('1GA6', 'closed', 'De De Airport', 33.008999, -84.110703, 800, 'US', 'US-GA', 'Barnesville', 'no', '', '', '', '1GA6'),
	('44GA', 'closed', 'S&S Flying Service Airport', 32.105624, -83.484077, 260, 'US', 'US-GA', 'Pineview', 'no', '', '', '', '44GA'),
	('KOPN', 'small_airport', 'Thomaston Upson County Airport', 32.95460129, -84.26319885, 798, 'US', 'US-GA', 'Thomaston', 'no', 'KOPN', '', 'OPN', ''),
	('9GA8', 'small_airport', 'Chinaberry Ranch Airport', 32.693599700927734, -82.8989028930664, 295, 'US', 'US-GA', 'East Dublin', 'no', '9GA8', '', '9GA8', ''),
	('KFFC', 'small_airport', 'Peachtree City Falcon Field', 33.3573, -84.5718, 808, 'US', 'US-GA', 'Peachtree City', 'no', 'KFFC', '', 'FFC', ''),
	('KMQW', 'small_airport', 'Telfair Wheeler Airport', 32.095798, -82.879997, 202, 'US', 'US-GA', 'Mc Rae', 'no', 'KMQW', 'MQW', 'MQW', ''),
	('1GE9', 'small_airport', 'Waverly Landing Airport', 32.71440124511719, -84.71810150146484, 675, 'US', 'US-GA', 'Waverly Hall', 'no', '1GE9', '', '1GE9', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('7AL5', 'small_airport', 'Liberty Field Airport', 31.2899028, -85.5404778, 363, 'US', 'US-AL', 'Pinckard', 'no', '7AL5', '', '7AL5', ''),
	('GA74', 'small_airport', 'Takle Field', 33.04180145263672, -84.41239929199219, 850, 'US', 'US-GA', 'Concord', 'no', 'GA74', '', 'GA74', ''),
	('KASF', 'N/A', 'N/A', 31.112353205680847, -85.19140988588333, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6GA1', 'small_airport', 'Fagundes Field', 33.19998, -84.581747, 864, 'US', 'US-GA', 'Haralson', 'no', '6GA1', '', '6GA1', ''),
	('KHQU', 'small_airport', 'Thomson-McDuffie County Airport', 33.52970123, -82.51650238, 501, 'US', 'US-GA', 'Thomson', 'no', 'KHQU', '', 'HQU', '48J'),
	('3FL8', 'small_airport', 'Hart Airport', 30.946300506591797, -85.2738037109375, 125, 'US', 'US-FL', 'Malone', 'no', '3FL8', '', '3FL8', ''),
	('81GA', 'small_airport', 'Lucky Lairds Landing Airport', 33.6409, -84.9049, 1130, 'US', 'US-GA', 'Villa Rica', 'no', '81GA', '', '81GA', ''),
	('18GA', 'small_airport', 'Sleepy Hollow Airport', 33.693199157714844, -83.65769958496094, 750, 'US', 'US-GA', 'Social Circle', 'no', '18GA', '', '18GA', ''),
	('4GE2', 'small_airport', 'Gorden E Bellah International Airport', 33.55009841918945, -84.1666030883789, 780, 'US', 'US-GA', 'Stockbridge', 'no', '4GE2', '', '4GE2', ''),
	('KEUF', 'small_airport', 'Weedon Field', 31.9512996674, -85.1288986206, 285, 'US', 'US-AL', 'Eufaula', 'no', 'KEUF', 'EUF', 'EUF', ''),
	('GA42', 'closed', 'Crowe Airport', 31.6168, -83.883202, 330, 'US', 'US-GA', 'Sylvester', 'no', '', '', '', 'GA42'),
	('3GA1', 'small_airport', 'Prattsburg Airport', 32.728242, -84.356875, 554, 'US', 'US-GA', 'Talbotton', 'no', '3GA1', '', '3GA1', ''),
	('GA68', 'small_airport', 'Flying H Ranch Airport', 33.11285, -84.450366, 800, 'US', 'US-GA', 'Concord', 'no', 'GA68', '', 'GA68', ''),
	('1GE7', 'small_airport', 'Hay Field', 33.5172004699707, -83.439697265625, 650, 'US', 'US-GA', 'Madison', 'no', '1GE7', '', '1GE7', ''),
	('KDOS', 'N/A', 'N/A', 31.026954017579556, -84.9475371837616, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AL12', 'small_airport', 'Kershaw Airport', 32.35850143432617, -86.125, 225, 'US', 'US-AL', 'Montgomery', 'no', 'AL12', '', 'AL12', ''),
	('09GA', 'small_airport', 'Sunbelt Strip', 31.120995, -83.67063, 230, 'US', 'US-GA', 'Moultrie', 'no', '09GA', '', '09GA', ''),
	('GA2', 'small_airport', 'Peach State Aerodrome', 33.183534, -84.377997, 926, 'US', 'US-GA', 'Williamson', 'no', '', '', 'GA2', 'Alexander Memorial Airport, Peach State Airport, Candler Field, Antique Acres'),
	('KTMA', 'small_airport', 'Henry Tift Myers Airport', 31.4290008545, -83.4885025024, 355, 'US', 'US-GA', 'Tifton', 'no', 'KTMA', 'TMA', 'TMA', 'Tifton AAF, Turner AAF Auxiliary Field No. 9'),
	('GA04', 'small_airport', 'Mallards Landing Airport', 33.364574, -84.168249, 837, 'US', 'US-GA', 'Locust Grove', 'no', 'GA04', '', 'GA04', ''),
	('5GA0', 'small_airport', 'Gable Branch Airport', 33.2276, -84.544403, 840, 'US', 'US-GA', 'Senoia', 'no', '5GA0', '', '5GA0', ''),
	('5AL8', 'small_airport', 'Fairlane Airport', 31.104999542236328, -85.99310302734375, 225, 'US', 'US-AL', 'Samson', 'no', '5AL8', '', '5AL8', ''),
	('06A', 'small_airport', 'Moton Field Municipal Airport', 32.460499, -85.680002, 264, 'US', 'US-AL', 'Tuskegee', 'no', 'K06A', '', '06A', ''),
	('36AL', 'small_airport', 'Hidden Springs Airpark', 31.491973, -85.534407, 346, 'US', 'US-AL', 'Ozark', 'no', '36AL', '', '36AL', ''),
	('KAMR', 'N/A', 'N/A', 31.90178532153368, -84.30987149477005, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOAB', 'N/A', 'N/A', 33.62047243863344, -84.3406891822815, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('84AL', 'small_airport', 'Blessings Landing Air Ranch', 31.3031, -85.52705, 400, 'US', 'US-AL', 'Pinckard', 'no', '84AL', '', '84AL', ''),
	('AL73', 'closed', 'Sharpe Field', 32.491901, -85.775597, 253, 'US', 'US-AL', 'Tuskegee', 'no', '', '', '', 'AL73, TGE, Tuskegee AAF, TGE'),
	('KMCN', 'medium_airport', 'Middle Georgia Regional Airport', 32.69279861450195, -83.64920043945313, 354, 'US', 'US-GA', 'Macon', 'yes', 'KMCN', 'MCN', 'MCN', ''),
	('GA83', 'small_airport', 'Windy Hill Airport', 33.54679870605469, -83.80549621582031, 740, 'US', 'US-GA', 'Covington', 'no', 'GA83', '', 'GA83', ''),
	('25A', 'closed', 'McMinn Airport', 33.739799, -85.8255, 680, 'US', 'US-AL', 'Anniston', 'no', '', '', '', '25A'),
	('62GA', 'small_airport', 'Seven Lakes Airport', 33.32460021972656, -83.91629791259766, 630, 'US', 'US-GA', 'Jackson', 'no', '62GA', '', '62GA', ''),
	('KDQH', 'small_airport', 'Douglas Municipal Gene Chambers Airport', 31.4767, -82.860497, 257, 'US', 'US-GA', 'Douglas', 'no', 'KDQH', '', 'DQH', ''),
	('98GA', 'small_airport', 'Circle T Airport', 33.2056999206543, -83.91239929199219, 545, 'US', 'US-GA', 'Indian Springs', 'no', '98GA', '', '98GA', ''),
	('KATL', 'large_airport', 'Hartsfield Jackson Atlanta International Airport', 33.6367, -84.428101, 1026, 'US', 'US-GA', 'Atlanta', 'yes', 'KATL', 'ATL', 'ATL', ''),
	('0GA0', 'small_airport', 'Halls Flying Ranch Airport', 33.356201171875, -84.36710357666016, 800, 'US', 'US-GA', 'Hampton', 'no', '0GA0', '', '0GA0', ''),
	('15J', 'small_airport', 'Cook County Airport', 31.1378, -83.4533, 236, 'US', 'US-GA', 'Adel', 'no', '15J', '', '15J', ''),
	('9GA6', 'small_airport', 'Brookline - Meadowmere Airport', 33.099829, -83.404784, 500, 'US', 'US-GA', 'Milledgeville', 'no', '9GA6', '', '9GA6', ''),
	('KABY', 'medium_airport', 'Southwest Georgia Regional Airport', 31.532946, -84.196215, 197, 'US', 'US-GA', 'Albany', 'yes', 'KABY', 'ABY', 'ABY', ''),
	('KDBN', 'small_airport', 'W H ''Bud'' Barron Airport', 32.5644, -82.985298, 309, 'US', 'US-GA', 'Dublin', 'no', 'KDBN', 'DBN', 'DBN', 'Baron Field Dublin Municipal Airport'),
	('KANB', 'medium_airport', 'Anniston Regional Airport', 33.5882, -85.8581, 612, 'US', 'US-AL', 'Anniston', 'no', 'KANB', 'ANB', 'ANB', 'Anniston Metropolitan'),
	('0GA7', 'closed', 'Hickory Level Airfield', 33.683399, -84.999901, 1080, 'US', 'US-GA', 'Carrollton', 'no', '', '', '', '0GA7'),
	('GA94', 'small_airport', 'McLendon Airport', 33.491501, -84.489403, 900, 'US', 'US-GA', 'Fayetteville', 'no', 'GA94', '', 'GA94', ''),
	('1A4', 'small_airport', 'Logan Field', 31.1028, -86.062202, 200, 'US', 'US-AL', 'Samson', 'no', 'K1A4', '', '1A4', ''),
	('7A5', 'small_airport', 'Roanoke Municipal Airport', 33.129299, -85.3666, 907, 'US', 'US-AL', 'Roanoke', 'no', 'K7A5', '', '7A5', ''),
	('KFOQ', 'N/A', 'N/A', 31.40728522092104, -85.68928554654121, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9GA9', 'small_airport', 'Deerfield Landing Airport', 33.218101501464844, -83.31719970703125, 445, 'US', 'US-GA', 'Eatonton', 'no', '9GA9', '', '9GA9', ''),
	('4J8', 'small_airport', 'Treutlen County Airport', 32.387699, -82.563698, 345, 'US', 'US-GA', 'Soperton', 'no', '4J8', '', '4J8', ''),
	('KEAY', 'N/A', 'N/A', 33.006348833441734, -82.6645539700985, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KASN', 'small_airport', 'Talladega Municipal Airport', 33.569900512699995, -86.05090332030001, 529, 'US', 'US-AL', 'Talladega', 'no', 'KASN', 'ASN', 'ASN', ''),
	('4GA1', 'small_airport', 'Thacker Field', 33.0447998046875, -84.39830017089844, 920, 'US', 'US-GA', 'Concord', 'no', '4GA1', '', '4GA1', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('32GA', 'small_airport', 'Sebastian Cove Airport', 33.454201, -83.277802, 490, 'US', 'US-GA', 'Eatonton', 'no', '32GA', '', '32GA', ''),
	('48A', 'small_airport', 'Cochran Airport', 32.3993988, -83.27590179, 377, 'US', 'US-GA', 'Cochran', 'no', 'K48A', '', '48A', ''),
	('KCKF', 'small_airport', 'Crisp County Cordele Airport', 31.9888, -83.773903, 310, 'US', 'US-GA', 'Cordele', 'no', 'KCKF', '', 'CKF', ''),
	('7GA9', 'small_airport', 'Smisson Field', 33.57059860229492, -84.89779663085938, 1044, 'US', 'US-GA', 'Whitesburg', 'no', '7GA9', '', '7GA9', ''),
	('GA16', 'small_airport', 'Taylor Field', 33.724300384521484, -83.56680297851563, 710, 'US', 'US-GA', 'Bostwick', 'no', 'GA16', '', 'GA16', ''),
	('GA63', 'closed', 'Byromville Aerodrome', 32.17933, -83.899901, 354, 'US', 'US-GA', 'Byromville', 'no', '', '', '', 'GA63'),
	('27AL', 'small_airport', 'Little Texas Airport', 32.45349884033203, -85.55819702148438, 500, 'US', 'US-AL', 'Tuskegee', 'no', '27AL', '', '27AL', ''),
	('GE27', 'small_airport', 'Smith Field', 32.60219955444336, -83.75420379638672, 475, 'US', 'US-GA', 'Byron', 'no', 'GE27', '', 'GE27', ''),
	('AL41', 'small_airport', 'Freedom Field', 31.115999221801758, -85.62550354003906, 285, 'US', 'US-AL', 'Slocomb', 'no', 'AL41', '', 'AL41', ''),
	('GA99', 'small_airport', 'Miami Valley Farm Airport', 32.547414, -83.801177, 468, 'US', 'US-GA', 'Fort Valley', 'no', 'GA99', '', 'GA99', ''),
	('KPXE', 'small_airport', 'Perry Houston County Airport', 32.510601, -83.767303, 418, 'US', 'US-GA', 'Perry', 'no', 'KPXE', '', 'PXE', ''),
	('KLSF', 'medium_airport', 'Lawson Army Air Field', 32.332546, -84.988003, 232, 'US', 'US-GA', 'Fort Benning', 'no', 'KLSF', 'LSF', 'LSF', 'Columbus'),
	('56FD', 'small_airport', 'North American Farms Airport', 30.9646, -85.069397, 130, 'US', 'US-FL', 'Malone', 'no', '56FD', '', '56FD', ''),
	('96GA', 'small_airport', '3-M''s Airport', 33.18579864501953, -84.36810302734375, 890, 'US', 'US-GA', 'Williamson', 'no', '96GA', '', '96GA', ''),
	('5GA2', 'small_airport', 'Lyons Landing Airport', 33.572922, -84.910713, 1080, 'US', 'US-GA', 'Whitesburg', 'no', '5GA2', '', '5GA2', ''),
	('5GA5', 'small_airport', 'Pinebrook Estates Airport', 33.25979995727539, -84.34940338134766, 820, 'US', 'US-GA', 'Griffin', 'no', '5GA5', '', '5GA5', ''),
	('AL79', 'small_airport', 'Bartlett Ranch Airport', 32.26959991455078, -86.09880065917969, 305, 'US', 'US-AL', 'Pike Road', 'no', 'AL79', '', 'AL79', ''),
	('2AL3', 'small_airport', 'Emerald Mountain Airport', 32.45539855957031, -86.11920166015625, 365, 'US', 'US-AL', 'Wetumpka', 'no', '2AL3', '', '2AL3', ''),
	('33J', 'small_airport', 'Geneva Municipal Airport', 31.052579, -85.868715, 101, 'US', 'US-AL', 'Geneva', 'no', 'K33J', '', '33J', ''),
	('GA10', 'small_airport', 'Ridgeview Farm Airport', 33.080396, -84.359121, 854, 'US', 'US-GA', 'Zebulon', 'no', 'GA10', '', 'GA10', ''),
	('6A1', 'small_airport', 'Butler Municipal Airport', 32.569492, -84.245194, 667, 'US', 'US-GA', 'Butler', 'no', 'K6A1', '', '6A1', ''),
	('GA17', 'small_airport', 'Flint River Nursery Airport', 32.168800354003906, -83.97350311279297, 320, 'US', 'US-GA', 'Byromville', 'no', 'GA17', '', 'GA17', ''),
	('CHAN', 'small_airport', 'A & C AG Aviation Inc', 32.171115, -83.692893, 0, 'US', 'US-GA', 'Unadilla', 'no', '', '', '', ''),
	('75J', 'small_airport', 'Turner County Airport', 31.687129, -83.632822, 389, 'US', 'US-GA', 'Ashburn', 'no', '', '', '75J', ''),
	('KHOE', 'small_airport', 'Homerville Airport', 31.055901, -82.774101, 186, 'US', 'US-GA', 'Homerville', 'no', 'KHOE', '', 'HOE', ''),
	('78GA', 'small_airport', 'C&R Farm Airport', 33.50429916381836, -85.01719665527344, 1013, 'US', 'US-GA', 'Carrollton', 'no', '78GA', '', '78GA', ''),
	('4GA8', 'small_airport', 'Andrews Airport', 31.41550064086914, -84.71299743652344, 245, 'US', 'US-GA', 'Arlington', 'no', '4GA8', '', '4GA8', ''),
	('8GA9', 'small_airport', 'Brook Bridge Aerodrome', 33.276798248291016, -84.41079711914063, 820, 'US', 'US-GA', 'Vaughn', 'no', '8GA9', '', '8GA9', ''),
	('GE53', 'small_airport', 'Chigger Hill Airport', 33.316745, -84.150612, 800, 'US', 'US-GA', 'Locust Grove', 'no', 'GE53', '', 'GE53', ''),
	('GA95', 'small_airport', 'Coleman Field', 33.526199, -84.502197, 1010, 'US', 'US-GA', 'Fayetteville', 'no', 'GA95', '', 'GA95', ''),
	('5A2', 'small_airport', 'Warner Robins Air Park', 32.55929946899414, -83.67489624023438, 409, 'US', 'US-GA', 'Warner Robins', 'no', '5A2', '', '5A2', ''),
	('GA22', 'small_airport', 'Jordans Airport', 31.438499450683594, -84.70829772949219, 250, 'US', 'US-GA', 'Arlington', 'no', 'GA22', '', 'GA22', ''),
	('9GA5', 'small_airport', 'Lowell Field', 32.05820083618164, -84.29019927978516, 475, 'US', 'US-GA', 'Americus', 'no', '9GA5', '', '9GA5', ''),
	('74GA', 'closed', 'Bowens Mill Christian Center Airport', 31.833506, -83.219354, 362, 'US', 'US-GA', 'Fitzgerald', 'no', '', '', '', '74GA'),
	('2GA4', 'closed', 'Mack''s Field', 32.17129, -83.755699, 400, 'US', 'US-GA', 'Pinehurst', 'no', '', '', '', '2GA4'),
	('KLEZ', 'N/A', 'N/A', 31.257798671722412, -85.79209461808205, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GA48', 'small_airport', 'McLendon Airport', 31.586111, -84.790556, 360, 'US', 'US-GA', 'Edison', 'no', 'GA48', '', 'GA48', 'H T McLendon'),
	('4GA6', 'small_airport', 'Chattahoochee Air Park', 33.662328, -84.680122, 750, 'US', 'US-GA', 'Douglasville', 'no', '4GA6', '', '4GA6', ''),
	('41A', 'N/A', 'N/A', 32.514945678412914, -85.87618723511696, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6GA8', 'small_airport', 'Flying W Farms Airport', 33.5078010559082, -85.18560028076172, 1010, 'US', 'US-GA', 'Carrollton', 'no', '6GA8', '', '6GA8', ''),
	('0GA6', 'small_airport', 'Sunset Strip', 33.7333984375, -83.81880187988281, 780, 'US', 'US-GA', 'Jersey', 'no', '0GA6', '', '0GA6', ''),
	('KBIJ', 'small_airport', 'Early County Airport', 31.397499084472656, -84.8947982788086, 214, 'US', 'US-GA', 'Blakely', 'no', 'KBIJ', '', 'BIJ', ''),
	('KCCO', 'small_airport', 'Newnan Coweta County Airport', 33.3116, -84.769798, 970, 'US', 'US-GA', 'Newnan', 'no', 'KCCO', '', 'CCO', ''),
	('7A3', 'small_airport', 'Lanett Municipal Airport', 32.812, -85.229599, 624, 'US', 'US-AL', 'Lanett', 'no', 'K7A3', '', '7A3', ''),
	('GA49', 'closed', 'Thistle Field', 32.927898, -84.141296, 730, 'US', 'US-GA', 'Yatesville', 'no', '', '', '', 'GA49'),
	('9GE7', 'small_airport', 'Neely Farms Airport', 33.531389, -83.791944, 720, 'US', 'US-GA', 'Covington', 'no', '9GE7', '', '9GE7', ''),
	('KEDN', 'small_airport', 'Enterprise Municipal Airport', 31.29969978, -85.89990234, 361, 'US', 'US-AL', 'Enterprise', 'no', 'KEDN', 'ETS', 'EDN', ''),
	('1GE4', 'small_airport', 'Beckley Farms Airport', 32.5010986328125, -83.93329620361328, 425, 'US', 'US-GA', 'Fort Valley', 'no', '1GE4', '', '1GE4', ''),
	('29GA', 'small_airport', 'Rolling Meadows Airfield', 33.384300231933594, -84.63189697265625, 808, 'US', 'US-GA', 'Sharpsburg', 'no', '29GA', '', '29GA', ''),
	('94GA', 'small_airport', 'Snow Hill Airstrip', 32.262901306152344, -83.78710174560547, 465, 'US', 'US-GA', 'Unadilla', 'no', '94GA', '', '94GA', ''),
	('AL62', 'small_airport', 'Striplin Airfield', 31.08300018310547, -85.68350219726563, 255, 'US', 'US-AL', 'Hartford', 'no', 'AL62', '', 'AL62', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('52A', 'small_airport', 'Madison Municipal Airport', 33.612099, -83.460403, 694, 'US', 'US-GA', 'Madison', 'no', '52A', '', '52A', ''),
	('88GA', 'closed', 'Beaver Creek Airport', 33.111558, -84.444155, 810, 'US', 'US-GA', 'Concord', 'no', '', '', '', '88GA'),
	('53A', 'small_airport', 'Dr. C P Savage Sr. Airport', 32.301998, -84.0075, 337, 'US', 'US-GA', 'Montezuma', 'no', '53A', '', '53A', ''),
	('8A9', 'N/A', 'N/A', 33.537950590252876, -84.64009165763855, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GA76', 'small_airport', 'Broken Ranch Airport', 33.15489959716797, -83.8988037109375, 620, 'US', 'US-GA', 'Forsyth', 'no', 'GA76', '', 'GA76', ''),
	('8GA1', 'small_airport', 'Gum Creek Airport', 33.4212, -85.161903, 1070, 'US', 'US-GA', 'Roopville', 'no', '8GA1', '', '8GA1', ''),
	('GA92', 'small_airport', 'Beck Field', 33.52123, -84.510211, 990, 'US', 'US-GA', 'Fayetteville', 'no', 'GA92', '', 'GA92', ''),
	('2GE8', 'small_airport', 'Andy Fields Airport', 33.46419906616211, -84.66329956054688, 980, 'US', 'US-GA', 'Newnan', 'no', '2GE8', '', '2GE8', ''),
	('60A', 'small_airport', 'Brundidge Municipal Airport', 31.732806, -85.804194, 476, 'US', 'US-AL', 'Brundidge', 'no', '60A', '', '60A', ''),
	('KFZG', 'small_airport', 'Fitzgerald Municipal Airport', 31.683700561523438, -83.27050018310547, 365, 'US', 'US-GA', 'Fitzgerald', 'no', 'KFZG', '', 'FZG', ''),
	('GA06', 'small_airport', 'Monticello Sky Ranch Airport', 33.33250045776367, -83.72689819335938, 690, 'US', 'US-GA', 'Monticello', 'no', 'GA06', '', 'GA06', ''),
	('3GA5', 'small_airport', 'Diamond R Ranch Airport', 33.637831, -84.940542, 1213, 'US', 'US-GA', 'Villa Rica', 'no', '3GA5', '', '3GA5', ''),
	('25GA', 'small_airport', 'Miller Farm Airport', 33.659797, -84.663103, 750, 'US', 'US-GA', 'Douglasville', 'no', '25GA', '', '25GA', ''),
	('6GE2', 'small_airport', 'Rainbow Field', 32.832801818847656, -84.53780364990234, 780, 'US', 'US-GA', 'Woodland', 'no', '6GE2', '', '6GE2', ''),
	('19GA', 'small_airport', 'Willow Pond Aviation Inc Airport', 33.424039, -84.498367, 868, 'US', 'US-GA', 'Fayetteville', 'no', '19GA', '', '19GA', ''),
	('11A', 'small_airport', 'Clayton Municipal Airport', 31.883301, -85.484901, 435, 'US', 'US-AL', 'Clayton', 'no', 'K11A', '', '11A', ''),
	('KTOI', 'medium_airport', 'Troy Municipal Airport at N Kenneth Campbell Field', 31.860399, -86.012101, 398, 'US', 'US-AL', 'Troy', 'no', 'KTOI', 'TOI', 'TOI', ''),
	('FA43', 'small_airport', 'Dog Island Airport', 29.810698, -84.588508, 4, 'US', 'US-FL', 'Carrabelle', 'no', 'FA43', '', 'FA43', ''),
	('FA11', 'small_airport', 'Bird Field', 30.622400283813477, -83.2593002319336, 150, 'US', 'US-FL', 'Jennings', 'no', 'FA11', '', 'FA11', ''),
	('2J0', 'small_airport', 'Wakulla County Airport', 29.988973, -84.395763, 11, 'US', 'US-FL', 'Panacea', 'no', '', '', '2J0', ''),
	('KTRE', 'N/A', 'N/A', 29.638242311775684, -82.94076785445213, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9FL8', 'small_airport', 'Finlayson Farm Airport', 30.616600036621094, -83.65239715576172, 150, 'US', 'US-FL', 'Greenville', 'no', '9FL8', '', '9FL8', ''),
	('7FL2', 'closed', 'Wellborn Airport', 30.245501, -82.778503, 180, 'US', 'US-FL', 'Wellborn', 'no', '', '', '', '7FL2, Wellborn STOLport'),
	('FL09', 'small_airport', 'Kittyhawk Estates Airport', 30.33880043029785, -83.14430236816406, 90, 'US', 'US-FL', 'Live Oak', 'no', 'FL09', '', 'FL09', ''),
	('2FD0', 'small_airport', 'Lazyboy Airport', 29.9758, -82.907303, 45, 'US', 'US-FL', 'Branford', 'no', '2FD0', '', '2FD0', 'Flints Flying Ranch Airport'),
	('FL33', 'small_airport', 'Watson Flight Strip', 29.66830062866211, -82.82620239257813, 55, 'US', 'US-FL', 'Trenton', 'no', 'FL33', '', 'FL33', ''),
	('54J', 'small_airport', 'Defuniak Springs Airport', 30.7313, -86.151604, 289, 'US', 'US-FL', 'Defuniak Springs', 'no', 'K54J', '', '54J', ''),
	('20FD', 'small_airport', 'Pratt Airport', 30.425500869750977, -83.57599639892578, 100, 'US', 'US-FL', 'Greenville', 'no', '20FD', '', '20FD', ''),
	('FD63', 'small_airport', 'Squires Aviation Ranch Airport', 30.513211, -83.196845, 110, 'US', 'US-FL', 'Jasper', 'no', 'FD63', '', 'FD63', ''),
	('15FD', 'closed', 'Orange Hill Airport', 30.658501, -85.527878, 260, 'US', 'US-FL', 'Wausau', 'no', '', '', '', '15FD'),
	('50FD', 'small_airport', 'Cattle Creek Ranch Airport', 30.518199920654297, -85.19879913330078, 120, 'US', 'US-FL', 'Altha', 'no', '50FD', '', '50FD', ''),
	('7FD8', 'N/A', 'N/A', 30.496243089437485, -83.39502811431885, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9FL0', 'small_airport', 'Suwannee Belle Airport', 30.09239959716797, -83.08540344238281, 50, 'US', 'US-FL', 'Live Oak', 'no', '9FL0', '', '9FL0', ''),
	('FL05', 'closed', 'Hill Landing Strip', 30.175501, -82.606499, 160, 'US', 'US-FL', 'Lake City', 'no', '', '', '', 'FL05'),
	('5XFL', 'N/A', 'N/A', 30.4473839700222, -85.02563238143921, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('86FD', 'small_airport', 'Country Landings Airport', 29.764699935913086, -82.89640045166016, 55, 'US', 'US-FL', 'Bell', 'no', '86FD', '', '86FD', ''),
	('FA36', 'small_airport', 'White Farms Airport', 29.512699127197266, -82.87480163574219, 46, 'US', 'US-FL', 'Chiefland', 'no', 'FA36', '', 'FA36', ''),
	('FL02', 'small_airport', 'Fox Field', 29.889400482177734, -82.79869842529297, 72, 'US', 'US-FL', 'Branford', 'no', 'FL02', '', 'FL02', ''),
	('38FA', 'small_airport', 'Blue Springs Airport', 30.48349952697754, -83.2499008178711, 95, 'US', 'US-FL', 'Madison', 'no', '38FA', '', '38FA', ''),
	('4FD5', 'seaplane_base', 'Grand Lagoon Seaplane Base', 30.134899139404297, -85.73410034179688, 0, 'US', 'US-FL', 'Panama City', 'no', '4FD5', '', '4FD5', ''),
	('KCTY', 'small_airport', 'Cross City Airport', 29.6354999542, -83.10479736330001, 42, 'US', 'US-FL', 'Cross City', 'no', 'KCTY', 'CTY', 'CTY', ''),
	('KSES', 'N/A', 'N/A', 30.399621203541756, -86.18776202201843, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4FD4', 'seaplane_base', 'Bay Seaplanes Seaplane Base', 30.184900283813477, -85.7499008178711, 0, 'US', 'US-FL', 'Panama City', 'no', '4FD4', '', '4FD4', ''),
	('2FL3', 'small_airport', 'Folsom Airport', 30.669016, -85.08364, 155, 'US', 'US-FL', 'Marianna', 'no', '2FL3', '', '2FL3', ''),
	('FL12', 'small_airport', 'Ingalls Field', 30.590499877929688, -84.03040313720703, 183, 'US', 'US-FL', 'Miccosukee', 'no', 'FL12', '', 'FL12', ''),
	('FD71', 'small_airport', 'O''Brien Airpark East/West Airport', 30.04829979, -82.98390198, 55, 'US', 'US-FL', 'Branford', 'no', 'FD71', '', 'FD71', ''),
	('KVLD', 'medium_airport', 'Valdosta Regional Airport', 30.782499313354492, -83.27670288085938, 203, 'US', 'US-GA', 'Valdosta', 'yes', 'KVLD', 'VLD', 'VLD', ''),
	('8FD1', 'small_airport', 'Buckner Airport', 30.098800659179688, -82.92759704589844, 90, 'US', 'US-FL', 'Mc Alpin', 'no', '8FD1', '', '8FD1', ''),
	('KPFN', 'closed', 'Panama City-Bay Co International Airport', 30.212099, -85.6828, 20, 'US', 'US-FL', 'Panama City', 'no', '', '', '', 'KPFN, PFN'),
	('FA07', 'seaplane_base', 'Orlando Seaplane Base', 28.621111, -81.639167, 66, 'US', 'US-FL', 'Orlando', 'no', '', '', 'FL5', 'FA07'),
	('5FD3', 'closed', 'County Line Airstrip', 30.6085, -85.091301, 150, 'US', 'US-FL', 'Marianna', 'no', '', '', '', '5FD3, McCroan');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('9FD7', 'small_airport', 'Fort Atkinson Plantation Airpark', 30.196482, -83.311646, 90, 'US', 'US-FL', 'Day', 'no', '9FD7', '', '9FD7', ''),
	('FL50', 'small_airport', 'Rossi Field', 30.1466007232666, -82.57230377197266, 183, 'US', 'US-FL', 'Lake City', 'no', 'FL50', '', 'FL50', ''),
	('0FD3', 'small_airport', 'Dugger Field', 30.496400833129883, -86.09380340576172, 70, 'US', 'US-FL', 'Freeport', 'no', '0FD3', '', '0FD3', ''),
	('FA93', 'small_airport', 'DJ Farm Airport', 30.456136, -83.144233, 85, 'US', 'US-FL', 'Jasper', 'no', 'FA93', '', 'FA93', ''),
	('F47', 'small_airport', 'St George Island Airport', 29.645999908447266, -84.9166030883789, 3, 'US', 'US-FL', 'Apalachicola', 'no', 'KF47', '', 'F47', ''),
	('5FD1', 'small_airport', 'Ron Wood Airport', 30.431309, -85.290026, 140, 'US', 'US-FL', 'Clarksville', 'no', '5FD1', '', '5FD1', ''),
	('FA71', 'small_airport', 'The Cedars Airfield', 29.22800064086914, -82.9437026977539, 8, 'US', 'US-FL', 'Cedar Key', 'no', 'FA71', '', 'FA71', ''),
	('6FL9', 'small_airport', 'Saw Whet Farms Airport', 29.690000534057617, -82.87120056152344, 50, 'US', 'US-FL', 'Bell', 'no', '6FL9', '', '6FL9', ''),
	('79FL', 'small_airport', 'Neal Field', 29.55270004272461, -82.86869812011719, 45, 'US', 'US-FL', 'Chiefland', 'no', '79FL', '', '79FL', ''),
	('KMAI', 'small_airport', 'Marianna Municipal Airport', 30.837799, -85.1819, 110, 'US', 'US-FL', 'Marianna', 'no', 'KMAI', '', 'MAI', ''),
	('FL08', 'small_airport', 'Florida Sheriffs Boys Ranch Airport', 30.41550064086914, -83.0165023803711, 93, 'US', 'US-FL', 'Live Oak', 'no', 'FL08', '', 'FL08', ''),
	('5FL9', 'closed', 'Cedar Lane Airport', 30.7363, -86.212997, 270, 'US', 'US-FL', 'Defuniak Springs', 'no', '', '', '', '5FL9'),
	('7FL7', 'small_airport', 'Lazy S Farm Airport', 29.868600845336914, -82.63459777832031, 80, 'US', 'US-FL', 'High Springs', 'no', '7FL7', '', '7FL7', ''),
	('KPAM', 'medium_airport', 'Tyndall Air Force Base', 30.069599, -85.575401, 17, 'US', 'US-FL', 'Panama City', 'no', 'KPAM', 'PAM', 'PAM', ''),
	('99FL', 'closed', 'Madison County Airport', 30.442756, -83.311965, 150, 'US', 'US-FL', 'Lee', 'no', '', '', '', '99FL'),
	('6FL8', 'small_airport', 'Ames Field', 29.5875, -82.871201, 64, 'US', 'US-FL', 'Trenton', 'no', '6FL8', '', '6FL8', 'Formerly 8J2'),
	('66FD', 'small_airport', 'JR''s STOLport', 29.004012, -82.554531, 50, 'US', 'US-FL', 'Dunnellon', 'no', '66FD', '', '66FD', ''),
	('6J8', 'small_airport', 'Oak Tree Landing', 29.7196756944, -82.66608430560001, 90, 'US', 'US-FL', 'High Springs', 'no', '6J8', '', '6J8', ''),
	('KCGC', 'small_airport', 'Crystal River Airport', 28.867246, -82.571009, 9, 'US', 'US-FL', 'Crystal River', 'no', 'KCGC', '', 'CGC', 'X31, Captain Tom Davis Field'),
	('FA25', 'small_airport', 'Black Creek Pass Airport', 30.50095, -84.0781, 95, 'US', 'US-FL', 'Tallahasse', 'no', 'FA25', '', 'FA25', ''),
	('1GA5', 'small_airport', 'Shilo Farms Airport', 30.930999755859375, -83.38349914550781, 211, 'US', 'US-GA', 'Hahira', 'no', '1GA5', '', '1GA5', ''),
	('53FD', 'small_airport', 'Charlotte''s Field', 30.477500915527344, -84.03469848632813, 80, 'US', 'US-FL', 'Tallahassee', 'no', '53FD', '', '53FD', ''),
	('FL52', 'small_airport', 'Angel''s Field', 30.4810009, -84.08679962, 160, 'US', 'US-FL', 'Tallahassee', 'no', 'FL52', '', 'FL52', ''),
	('0FD4', 'closed', 'Cloverleaf Farms II Inc Heliport', 29.360774, -82.204803, 100, 'US', 'US-FL', 'Reddick', 'no', '', '', '', '0FD4'),
	('9FL2', 'small_airport', 'Saranac Farm Airport', 30.65250015258789, -84.47470092773438, 230, 'US', 'US-FL', 'Havana', 'no', '9FL2', '', '9FL2', ''),
	('FA30', 'small_airport', 'Redtail Airstrip', 29.2791996002, -82.5, 65, 'US', 'US-FL', 'Morriston', 'no', 'FA30', '', 'FA30', ''),
	('2FL0', 'small_airport', 'Crystal Village Airport', 30.456899642944336, -85.68599700927734, 113, 'US', 'US-FL', 'Wausau', 'no', '2FL0', '', '2FL0', ''),
	('KLCQ', 'small_airport', 'Lake City Gateway Airport', 30.181999, -82.576897, 201, 'US', 'US-FL', 'Lake City', 'no', 'KLCQ', 'LCQ', 'LCQ', '31J, Lake City Municipal Airport'),
	('0FD9', 'small_airport', 'Joy Farms Airport', 30.652099609375, -86.1093978881836, 290, 'US', 'US-FL', 'Defuniak Springs', 'no', '0FD9', '', '0FD9', ''),
	('74FL', 'small_airport', 'Jefferson Landings Airport', 30.5846004486084, -83.70790100097656, 120, 'US', 'US-FL', 'Monticello', 'no', '74FL', '', '74FL', ''),
	('0FL1', 'closed', 'Thompson Airfield', 29.983299, -82.835602, 110, 'US', 'US-FL', 'Branford', 'no', '', '', '', '0FL1'),
	('4J5', 'small_airport', 'Quitman Brooks County Airport', 30.805799, -83.586502, 185, 'US', 'US-GA', 'Quitman', 'no', '', '', '4J5', ''),
	('0GA8', 'small_airport', 'Paso Fino Farm Airport', 30.88031, -83.414443, 200, 'US', 'US-GA', 'Valdosta', 'no', '0GA8', '', '0GA8', ''),
	('A51', 'small_airport', 'Costin Airport', 29.758499145508, -85.289100646973, 13, 'US', 'US-FL', 'Port St Joe', 'no', 'A51', '', 'A51', 'FD51'),
	('X13', 'small_airport', 'Carrabelle Thompson Airport', 29.842199, -84.700996, 20, 'US', 'US-FL', 'Carrabelle', 'no', 'KX13', '', 'X13', ''),
	('2J9', 'small_airport', 'Quincy Municipal Airport', 30.5979, -84.557404, 221, 'US', 'US-FL', 'Quincy', 'no', '2J9', '', '2J9', ''),
	('4FL0', 'small_airport', 'Turkey Scratch Plantation Airport', 30.403600692749023, -83.80999755859375, 115, 'US', 'US-FL', 'Lamont', 'no', '4FL0', '', '4FL0', ''),
	('FL27', 'small_airport', 'Lake City Airpark', 30.043800354003906, -82.60399627685547, 120, 'US', 'US-FL', 'Lake City', 'no', 'FL27', '', 'FL27', ''),
	('FL15', 'closed', 'Steep Head Farm Airport', 30.420635, -85.299246, 60, 'US', 'US-FL', 'Clarksville', 'no', '', '', '', 'FL15'),
	('3FD1', 'closed', 'Tampa Bay Executive Airport', 28.1879997253, -82.6256027222, 41, 'US', 'US-FL', 'New Port Richey', 'no', '', '', '', '3FD1, 3FD1, 3FD1'),
	('FA55', 'small_airport', 'Garnair Airport', 30.779699325561523, -85.76830291748047, 105, 'US', 'US-FL', 'Bonifay', 'no', 'FA55', '', 'FA55', ''),
	('9FD9', 'small_airport', 'Buddys Ag Service Airport', 30.1224002838, -82.9679031372, 100, 'US', 'US-FL', 'Mc Alpin', 'no', '9FD9', '', '9FD9', ''),
	('40J', 'N/A', 'N/A', 30.06925418972969, -83.58054801821709, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FA40', 'small_airport', 'Hidden Lake Airport', 28.282499, -82.645699, 30, 'US', 'US-FL', 'New Port Richey', 'no', 'FA40', '', 'FA40', ''),
	('75FL', 'small_airport', 'Sandy Creek Airpark', 30.102663, -85.479555, 13, 'US', 'US-FL', 'Panama City', 'no', '75FL', '', '75FL', ''),
	('KTVI', 'small_airport', 'Thomasville Regional Airport', 30.901599884033, -83.881301879883, 264, 'US', 'US-GA', 'Thomasville', 'no', 'KTVI', 'TVI', 'TVI', 'Thomasville AAF'),
	('KECP', 'medium_airport', 'Northwest Florida Beaches International Airport', 30.357106, -85.795414, 69, 'US', 'US-FL', 'Panama City Beach', 'yes', 'KECP', 'ECP', 'ECP', 'Northwest Florida Beaches International Airport'),
	('6FL4', 'small_airport', 'Sylvanmir Farms Airport', 29.82110023498535, -83.57319641113281, 8, 'US', 'US-FL', 'Keaton Beach', 'no', '6FL4', '', '6FL4', ''),
	('7FD9', 'small_airport', 'Estherbrook Aerodrome', 30.622994, -83.285651, 100, 'US', 'US-FL', 'Pinetta', 'no', '7FD9', '', '7FD9', 'A&H Farm'),
	('95FA', 'small_airport', 'Spirit of Suwannee Airport', 30.401111, -82.956389, 93, 'US', 'US-FL', 'Suwannee', 'no', '95FA', '', '95FA', ''),
	('FD50', 'small_airport', 'The Trails Airport', 30.109100341796875, -83.1886978149414, 45, 'US', 'US-FL', 'Mayo', 'no', 'FD50', '', 'FD50', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('35FD', 'small_airport', 'Rush Airport', 29.69230079650879, -82.72920227050781, 80, 'US', 'US-FL', 'Trenton', 'no', '35FD', '', '35FD', ''),
	('1J0', 'N/A', 'N/A', 30.843890234827995, -85.60177713632584, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FD95', 'closed', 'Goose Nest Seaplane Base', 30.3988, -86.188904, 0, 'US', 'US-FL', 'Santa Rosa Beach', 'no', '', '', '', 'FD95'),
	('5FD0', 'small_airport', 'Manatee Springs Airport', 29.492700576782227, -82.99120330810547, 17, 'US', 'US-FL', 'Old Town', 'no', '5FD0', '', '5FD0', ''),
	('6FD0', 'small_airport', 'Windy Acres Airport', 29.565799713134766, -82.86869812011719, 45, 'US', 'US-FL', 'Chiefland', 'no', '6FD0', '', '6FD0', ''),
	('FD16', 'small_airport', 'Flying C Farm Airport', 29.96579933166504, -82.872802734375, 75, 'US', 'US-FL', 'Branford', 'no', 'FD16', '', 'FD16', ''),
	('KFPY', 'N/A', 'N/A', 30.07081389427185, -83.58154445886612, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9FL5', 'small_airport', 'Shady Bend Airport', 29.81410026550293, -82.92569732666016, 25, 'US', 'US-FL', 'Bell', 'no', '9FL5', '', '9FL5', ''),
	('21FD', 'small_airport', 'Land''s Field', 30.694599151611328, -85.31079864501953, 100, 'US', 'US-FL', 'Marianna', 'no', '21FD', '', '21FD', ''),
	('39FD', 'small_airport', 'Ancient Oaks Airport', 29.729400634765625, -83.35350036621094, 26, 'US', 'US-FL', 'Steinhatchee', 'no', '39FD', '', '39FD', ''),
	('51FL', 'small_airport', 'Chiefland Sky Ranch Airport', 29.39489937, -82.86979675, 35, 'US', 'US-FL', 'Chiefland', 'no', '51FL', '', '51FL', ''),
	('24J', 'small_airport', 'Suwannee County Airport', 30.3001, -83.024696, 104, 'US', 'US-FL', 'Live Oak', 'no', 'K24J', '', '24J', ''),
	('FA29', 'small_airport', 'Lumar Field', 30.130800247192383, -83.54940032958984, 65, 'US', 'US-FL', 'Perry', 'no', 'FA29', '', 'FA29', ''),
	('49FD', 'small_airport', 'Watson Farm Airport', 30.611944, -84.641667, 275, 'US', 'US-FL', 'Quincy', 'no', '49FD', '', '49FD', ''),
	('7FA8', 'small_airport', 'Berry Grove Airport', 26.695600509643555, -81.4906005859375, 28, 'US', 'US-FL', 'La Belle', 'no', '7FA8', '', '7FA8', ''),
	('5FL6', 'closed', 'Flat Creek Airport', 30.604401, -84.790703, 295, 'US', 'US-FL', 'Chattahoochee', 'no', '', '', '', '5FL6'),
	('KAAF', 'small_airport', 'Apalachicola Regional Airport', 29.727501, -85.027496, 20, 'US', 'US-FL', 'Apalachicola', 'no', 'KAAF', 'AAF', 'AAF', 'AQQ, KAQQ'),
	('5FL1', 'small_airport', 'Ezell Airport', 29.90329933166504, -83.60790252685547, 25, 'US', 'US-FL', 'Keaton Beach', 'no', '5FL1', '', '5FL1', ''),
	('1FD2', 'closed', 'Bass Limited Airport', 30.6194, -83.304001, 100, 'US', 'US-FL', 'Pinetta', 'no', '', '', '', '1FD2'),
	('FL10', 'small_airport', 'Little River Airport', 30.114999771118164, -82.90899658203125, 90, 'US', 'US-FL', 'Mc Alpin', 'no', 'FL10', '', 'FL10', ''),
	('FL18', 'small_airport', 'Suwannee Farms Airport', 30.090499877929688, -83.05460357666016, 50, 'US', 'US-FL', 'O''Brien', 'no', 'FL18', '', 'FL18', ''),
	('57FL', 'closed', 'Alachua General Hospital Heliport', 29.649099, -82.334503, 153, 'US', 'US-FL', 'Gainesville', 'no', '', '', '', '57FL'),
	('03FD', 'closed', 'Tharpe Airport', 30.8288, -85.731003, 115, 'US', 'US-FL', 'Bonifay', 'no', '', '', '', '03FD'),
	('68FD', 'small_airport', 'Maran Airport', 30.522199630737305, -85.37670135498047, 225, 'US', 'US-FL', 'Fountain', 'no', '68FD', '', '68FD', ''),
	('15FL', 'small_airport', 'Cannon Creek Airpark', 30.150584, -82.66785, 125, 'US', 'US-FL', 'Lake City', 'no', '15FL', '', '15FL', ''),
	('0J8', 'small_airport', 'Flying Ten Airport', 29.618000030517578, -82.50869750976563, 85, 'US', 'US-FL', 'Archer', 'no', '0J8', '', '0J8', ''),
	('FD61', 'small_airport', 'Wright Farms Airport', 30.176599502563477, -82.9979019165039, 104, 'US', 'US-FL', 'Live Oak', 'no', 'FD61', '', 'FD61', ''),
	('74FD', 'small_airport', 'Clarksville Airport', 30.463706, -85.179669, 90, 'US', 'US-FL', 'Clarksville', 'no', '74FD', '', '74FD', ''),
	('FD94', 'small_airport', 'Hartzog Field', 30.718900680541992, -85.60669708251953, 125, 'US', 'US-FL', 'Chipley', 'no', 'FD94', '', 'FD94', ''),
	('FA88', 'small_airport', 'Pittman Oaks Airport', 30.425042, -83.048469, 83, 'US', 'US-FL', 'Live Oak', 'no', 'FA88', '', 'FA88', ''),
	('GA25', 'small_airport', 'Fargo Airport', 30.691299438476563, -82.56759643554688, 118, 'US', 'US-GA', 'Fargo', 'no', 'GA25', '', 'GA25', ''),
	('FD31', 'small_airport', 'Bradley Airport', 29.92799949645996, -82.70120239257813, 20, 'US', 'US-FL', 'Fort White', 'no', 'FD31', '', 'FD31', ''),
	('94FA', 'small_airport', 'Stock Island Airport', 30.413652, -85.746274, 96, 'US', 'US-FL', 'Panama City', 'no', '94FA', '', '94FA', 'Court Martial Lake, CML'),
	('FD35', 'small_airport', 'Redhead Airport', 30.49049949645996, -85.83940124511719, 102, 'US', 'US-FL', 'Ebro', 'no', 'FD35', '', 'FD35', ''),
	('63FA', 'small_airport', 'Sullivan Field', 29.734167, -82.565278, 88, 'US', 'US-FL', 'Alachua', 'no', '63FA', '', '63FA', ''),
	('KTLH', 'medium_airport', 'Tallahassee Regional Airport', 30.3965, -84.350304, 81, 'US', 'US-FL', 'Tallahassee', 'yes', 'KTLH', 'TLH', 'TLH', ''),
	('70J', 'small_airport', 'Cairo Grady County Airport', 30.88800048828125, -84.15470123291016, 265, 'US', 'US-GA', 'Cairo', 'no', 'K70J', '', '70J', ''),
	('73FD', 'small_airport', 'Brookins Air Strip', 29.510799407958984, -82.86009979248047, 45, 'US', 'US-FL', 'Chiefland', 'no', '73FD', '', '73FD', ''),
	('FA26', 'small_airport', 'Dogwood Farm Airport', 30.537200927734375, -84.45189666748047, 200, 'US', 'US-FL', 'Havana', 'no', 'FA26', '', 'FA26', ''),
	('FL07', 'small_airport', 'Wings N Sunsets LLC Airport', 30.250200271599997, -82.92400360110001, 130, 'US', 'US-FL', 'Live Oak', 'no', 'FL07', '', 'FL07', ''),
	('96FL', 'small_airport', 'Wings Field', 29.24250030517578, -82.54540252685547, 100, 'US', 'US-FL', 'Williston', 'no', '96FL', '', '96FL', ''),
	('KCDK', 'N/A', 'N/A', 29.134222380816936, -83.05047243833542, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('05FA', 'small_airport', 'Melanie''s Airport', 30.918899536132813, -86.21829986572266, 295, 'US', 'US-FL', 'Florala', 'no', '05FA', '', '05FA', ''),
	('4GE1', 'small_airport', 'Viola Farm Airport', 30.72369956970215, -84.54109954833984, 285, 'US', 'US-GA', 'Attapulgus', 'no', '4GE1', '', '4GE1', ''),
	('KTYY', 'N/A', 'N/A', 30.037673860788345, -85.52578389644623, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FD42', 'small_airport', 'Cooksey Brothers Airport', 30.211599349975586, -83.05460357666016, 90, 'US', 'US-FL', 'Live Oak', 'no', 'FD42', '', 'FD42', ''),
	('1FD0', 'closed', 'Lawrence Airport', 30.7155, -85.024399, 130, 'US', 'US-FL', 'Grand Ridge', 'no', '', '', '', '1FD0'),
	('33FD', 'small_airport', 'R O Ranch STOLport', 29.914400100708008, -83.2665023803711, 50, 'US', 'US-FL', 'Mayo', 'no', '33FD', '', '33FD', ''),
	('KMEX', 'N/A', 'N/A', 30.020141266286373, -85.49857780337334, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5FL8', 'small_airport', 'Chipola Airpark', 30.888200759887695, -85.1677017211914, 125, 'US', 'US-FL', 'Greenwood', 'no', '5FL8', '', '5FL8', ''),
	('1FL5', 'seaplane_base', 'West Bay Creek Seaplane Base', 30.302099227905273, -85.8644027709961, 0, 'US', 'US-FL', 'West Bay', 'no', '1FL5', '', '1FL5', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FA32', 'small_airport', 'Circle P Airport', 30.103300094604492, -83.45030212402344, 83, 'US', 'US-FL', 'Perry', 'no', 'FA32', '', 'FA32', ''),
	('37FL', 'small_airport', 'Flying Harness Farms Airport', 29.718599319458008, -82.84459686279297, 78, 'US', 'US-FL', 'Bell', 'no', '37FL', '', '37FL', ''),
	('45FL', 'small_airport', 'Moss Meadows Airport', 30.23740005493164, -82.90650177001953, 155, 'US', 'US-FL', 'Live Oak', 'no', '45FL', '', '45FL', ''),
	('F95', 'small_airport', 'Calhoun County Airport', 30.486899, -85.113798, 118, 'US', 'US-FL', 'Blountstown', 'no', 'KF95', '', 'F95', ''),
	('1FA1', 'small_airport', 'Post Oak Ranch Airport', 28.85580062866211, -82.55259704589844, 25, 'US', 'US-FL', 'Crystal River', 'no', '1FA1', '', '1FA1', ''),
	('48X', 'small_airport', 'Airport Manatee Airport', 27.642499923706055, -82.5208969116211, 27, 'US', 'US-FL', 'Palmetto', 'no', '48X', '', '48X', ''),
	('FA84', 'seaplane_base', 'Lake Tarpon Seaplane Base', 28.125, -82.726944, 3, 'US', 'US-FL', 'Palm Harbor', 'no', 'FA84', '', 'FA84', ''),
	('KSPG', 'small_airport', 'Albert Whitted Airport', 27.7651, -82.626999, 7, 'US', 'US-FL', 'St Petersburg', 'no', 'KSPG', 'SPG', 'SPG', ''),
	('6FD7', 'small_airport', 'Thomson Airfield', 27.544200897216797, -82.53009796142578, 35, 'US', 'US-FL', 'Ellenton', 'no', '6FD7', '', '6FD7', ''),
	('KTPA', 'large_airport', 'Tampa International Airport', 27.9755, -82.533203, 26, 'US', 'US-FL', 'Tampa', 'yes', 'KTPA', 'TPA', 'TPA', ''),
	('KCLW', 'small_airport', 'Clearwater Air Park', 27.9766998291, -82.7586975098, 71, 'US', 'US-FL', 'Clearwater', 'no', 'KCLW', 'CLW', 'CLW', 'Clearwater Executive'),
	('KMCF', 'medium_airport', 'MacDill Air Force Base', 27.8493, -82.521202, 14, 'US', 'US-FL', 'Tampa', 'no', 'KMCF', 'MCF', 'MCF', 'Southeast Air Base - Tampa, MacDill Field'),
	('KPIE', 'medium_airport', 'St. Petersburg Clearwater International Airport', 27.9102, -82.687401, 11, 'US', 'US-FL', 'Pinellas Park', 'yes', 'KPIE', 'PIE', 'PIE', ''),
	('KSRQ', 'large_airport', 'Sarasota Bradenton International Airport', 27.394631, -82.554359, 30, 'US', 'US-FL', 'Sarasota/Bradenton', 'yes', 'KSRQ', 'SRQ', 'SRQ', ''),
	('MUPB', 'medium_airport', 'Playa Baracoa Airport', 23.032801, -82.579399, 102, 'CU', 'CU-15', 'Havana', 'no', 'MUPB', 'UPB', '', ''),
	('MUSA', 'small_airport', 'San Antonio de los Baños Airfield', 22.8715, -82.5093, 164, 'CU', 'CU-15', 'San Antonio de los Baños', 'no', 'MUSA', '', '', ''),
	('MUBB', 'N/A', 'N/A', 23.07255506515503, -82.51097872853279, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUSB', 'N/A', 'N/A', 22.60330930352211, -83.09739455580711, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUBH', 'N/A', 'N/A', 22.93457519263029, -83.27806234359741, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MULS', 'N/A', 'N/A', 22.533192671835423, -83.21319803595543, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCE', 'N/A', 'N/A', 22.61771645396948, -82.93055355548859, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MULO', 'N/A', 'N/A', 22.58309081196785, -83.22777807712555, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUAR', 'N/A', 'N/A', 22.752398885786533, -82.73449793457985, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUGI', 'N/A', 'N/A', 22.78393629938364, -82.5474625825882, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CNY3', 'small_airport', 'Collingwood Regional Airport', 44.448273, -80.158911, 730, 'CA', 'CA-ON', 'Collingwood', 'no', 'CNY3', '', 'CNY3', 'NY3'),
	('CYOR', 'N/A', 'N/A', 43.737960644066334, -80.08399665355682, 395, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYN6', 'seaplane_base', 'Gravenhurst/Muskoka Bay Seaplane Base', 44.9438, -79.4045, 742, 'CA', 'CA-ON', 'Gravenhurst', 'no', 'CYN6', '', 'CYN6', ''),
	('CEL3', 'small_airport', 'East Linton (Kerr Field)', 44.661068, -80.944026, 750, 'CA', 'CA-ON', 'East Linton', 'no', 'CEL3', '', 'CEL3', ''),
	('CGL3', 'seaplane_base', 'Bala/Gibson Lake Seaplane Base', 44.948601, -79.726097, 635, 'CA', 'CA-ON', '', 'no', 'CGL3', '', 'CGL3', ''),
	('COK3', 'N/A', 'N/A', 44.33666657656431, -78.909722417593, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYBS', 'N/A', 'N/A', 44.042238146066666, -79.84624966979027, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CSX7', 'small_airport', 'Sexsmith (Exeter) Airport', 43.376357, -81.507139, 856, 'CA', 'CA-ON', 'Bluewater', 'no', 'CSX7', '', 'CSX7', 'SX7'),
	('CYBH', 'N/A', 'N/A', 43.37348196655512, -79.93481934070587, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYQA', 'medium_airport', 'Muskoka Airport', 44.975376, -79.306546, 925, 'CA', 'CA-ON', 'Gravenhurst', 'yes', 'CYQA', 'YQA', '', ''),
	('CDF5', 'small_airport', 'Elora Airport', 43.632401, -80.3565, 1236, 'CA', 'CA-ON', 'Elora', 'no', 'CDF5', '', 'CDF5', ''),
	('CLW3', 'small_airport', 'Laurel / Whittington Aerodrome', 43.979441, -80.175735, 1550, 'CA', 'CA-ON', 'Laurel', 'no', 'CLW3', '', 'CLW3', ''),
	('CDU9', 'closed', 'Dunnville Airport', 42.8722, -79.595802, 600, 'CA', 'CA-ON', 'Dunnville', 'no', '', '', '', 'DU9, BCATP, CDU9, RCAF Dunnville'),
	('CYOQ', 'N/A', 'N/A', 44.89022020250559, -80.97749099135399, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CHD4', 'small_airport', 'Harydale Farms Airport', 43.108333, -81.019167, 1050, 'CA', 'CA-ON', 'Thamesford', 'no', 'CHD4', '', 'CHD4', ''),
	('CNA3', 'small_airport', 'Barrie Executive Airport', 44.407066, -79.731655, 963, 'CA', 'CA-ON', 'Barrie', 'no', 'CNA3', '', 'CNA3', 'NA3, Springwater Barrie Airpark'),
	('CAR5', 'small_airport', 'Arthur South Airport', 43.782729, -80.432925, 1530, 'CA', 'CA-ON', 'Arthur', 'no', 'CAR5', '', 'CAR5', ''),
	('CCT2', 'small_airport', 'Cookstown Airport', 44.23889923095703, -79.63890075683594, 750, 'CA', 'CA-ON', 'Cookstown', 'no', 'CCT2', '', 'CCT2', 'CT2'),
	('CPF6', 'small_airport', 'Stoney Creek Airport', 43.1696925259, -79.7094154358, 680, 'CA', 'CA-ON', 'Stoney Creek', 'no', 'CPF6', '', 'CPF6', 'PF6'),
	('CDH6', 'small_airport', 'Delhi Airport', 42.8846, -80.4062, 775, 'CA', 'CA-ON', 'Delhi', 'no', 'CDH6', '', 'CDH6', ''),
	('CYUE', 'N/A', 'N/A', 44.07124288380146, -80.23121371865273, 497, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYYZ', 'large_airport', 'Toronto Lester B. Pearson International Airport', 43.6772, -79.6306, 569, 'CA', 'CA-ON', 'Toronto', 'yes', 'CYYZ', 'YYZ', 'YYZ', 'YTO, Toronto International Airport, Malton'),
	('CYXU', 'medium_airport', 'London Airport', 43.035599, -81.1539, 912, 'CA', 'CA-ON', 'London', 'yes', 'CYXU', 'YXU', '', ''),
	('CYKZ', 'closed', 'Buttonville Municipal Airport', 43.862202, -79.370003, 650, 'CA', 'CA-ON', 'Toronto', 'no', '', '', '', 'YTO, CYKZ, YKZ'),
	('CBN7', 'small_airport', 'Beaverton North', 44.459513, -79.125896, 800, 'CA', 'CA-ON', '', 'no', '', '', 'CBN7', ''),
	('CPF7', 'small_airport', 'Southampton Airport', 44.493900299072266, -81.33529663085938, 685, 'CA', 'CA-ON', 'Southampton', 'no', 'CPF7', '', 'CPF7', 'PF7'),
	('CPN5', 'small_airport', 'Listowel Airport', 43.742803, -80.991402, 1232, 'CA', 'CA-ON', 'Listowel', 'no', 'CPN5', '', 'CPN5', 'NN4');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CLA4', 'small_airport', 'Holland Landing Airpark', 44.08940124511719, -79.49500274658203, 855, 'CA', 'CA-ON', 'Holland Landing', 'no', 'CLA4', '', 'CLA4', 'LA4'),
	('CPH9', 'small_airport', 'Fordwich Airport', 43.888099670410156, -80.99530029296875, 1250, 'CA', 'CA-ON', 'Fordwich', 'no', 'CPH9', '', 'CPH9', 'PH9'),
	('CCG5', 'small_airport', 'Cayuga Airport (Bruce Field)', 42.9512, -79.825, 630, 'CA', 'CA-ON', 'Cayuga', 'no', 'CCG5', '', 'CCG5', ''),
	('CNF9', 'small_airport', 'Niagara South Airport', 42.9994010925293, -79.0635986328125, 576, 'CA', 'CA-ON', 'Niagara Falls', 'no', 'CNF9', '', 'CNF9', 'NF9'),
	('CYSA', 'small_airport', 'Stratford Municipal Airport', 43.415599823, -80.93440246579999, 1215, 'CA', 'CA-ON', 'Stratford', 'no', 'CYSA', '', 'CYSA', 'NM4, CNM4'),
	('CAY5', 'small_airport', 'Sargeant Private Airfield', 43.305173, -80.499759, 970, 'CA', 'CA-ON', 'Ayr', 'no', 'CAY5', '', '', ''),
	('CYEE', 'medium_airport', 'Huronia Airport', 44.6833000183, -79.9282989502, 770, 'CA', 'CA-ON', 'Midland', 'no', 'CYEE', '', 'YEE', ''),
	('CYQP', 'N/A', 'N/A', 43.82623314857483, -80.17380595207214, 475, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CFL4', 'small_airport', 'Flesherton (Smithorrs Field)', 44.265002, -80.527602, 1462, 'CA', 'CA-ON', 'Flesherton', 'no', 'CFL4', '', 'CFL4', ''),
	('CPR5', 'small_airport', 'Woodstock Airport', 43.108268, -80.821867, 1040, 'CA', 'CA-ON', 'Woodstock', 'no', 'CPR5', '', 'CPR5', 'PR5'),
	('CYOG', 'N/A', 'N/A', 44.588479064404964, -80.76317936182022, 364, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYRF', 'N/A', 'N/A', 43.87069646269083, -80.09792357683182, 457, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYTB', 'small_airport', 'Tillsonburg Airport', 42.9275, -80.746944, 894, 'CA', 'CA-ON', 'Tillsonburg', 'no', 'CYTB', '', 'CYTB', 'CYTB, NQ4, CNQ4'),
	('CBL2', 'seaplane_base', 'Buck Lake Seaplane Base', 44.7717, -79.413, 709, 'CA', 'CA-ON', 'Severn Bridge', 'no', 'CBL2', '', 'CBL2', ''),
	('CYHL', 'N/A', 'N/A', 43.10243468731642, -79.87659305334091, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CPR3', 'small_airport', 'Palmerston Airport', 43.853599548339844, -80.7802963256836, 1360, 'CA', 'CA-ON', 'Palmerston', 'no', 'CPR3', '', 'CPR3', 'PR3'),
	('COB4', 'small_airport', 'Orangeville / Brundle Field', 43.8745094139, -80.1798963547, 1630, 'CA', 'CA-ON', '', 'no', 'COB4', '', '', 'ob4'),
	('CNA2', 'small_airport', 'Highgate Airport', 42.553039, -81.801424, 710, 'CA', 'CA-ON', 'Highgate', 'no', 'CNA2', '', 'CNA2', 'NA2'),
	('CYSN', 'medium_airport', 'Niagara District Airport', 43.191598, -79.171686, 321, 'CA', 'CA-ON', 'Niagara-on-the-Lake', 'yes', 'CYSN', 'YCM', '', 'YSN, Saint Catharines'),
	('CPR7', 'small_airport', 'Wingham / Richard W. LeVan Airport', 43.8675003052, -81.2985992432, 1075, 'CA', 'CA-ON', 'Wingham', 'no', 'CPR7', '', 'CPR7', 'PR7'),
	('CNM2', 'small_airport', 'Melbourne Airport', 42.82419967651367, -81.54859924316406, 735, 'CA', 'CA-ON', 'Melbourne', 'no', 'CNM2', '', 'CNM2', 'NM2'),
	('CDF2', 'small_airport', 'Teeswater (Dent Field) Aerodrome', 43.994, -81.294, 1000, 'CA', 'CA-ON', 'Teeswater', 'no', '', '', 'CDF2', ''),
	('CNY4', 'small_airport', 'Alliston Airport', 44.18330001831055, -79.83709716796875, 720, 'CA', 'CA-ON', 'Alliston', 'no', 'CNY4', '', 'CNY4', 'NY4'),
	('CPS4', 'small_airport', 'Lucan Airport', 43.1633, -81.412498, 960, 'CA', 'CA-ON', 'Lucan', 'no', 'CPS4', '', 'CPS4', 'PS4'),
	('CZBA', 'small_airport', 'Burlington Executive Airpark', 43.441453, -79.850103, 602, 'CA', 'CA-ON', 'Burlington', 'no', 'CZBA', '', '', 'ZBA'),
	('CNL4', 'small_airport', 'Port Elgin Airport', 44.414349, -81.417017, 650, 'CA', 'CA-ON', 'Saugeen Shores', 'no', 'CNL4', '', 'CNL4', 'NL4'),
	('CYQS', 'medium_airport', 'St Thomas Municipal Airport', 42.77000045776367, -81.11080169677734, 778, 'CA', 'CA-ON', 'St Thomas', 'no', 'CYQS', 'YQS', '', ''),
	('KDKK', 'small_airport', 'Chautauqua County-Dunkirk Airport', 42.49247, -79.273102, 693, 'US', 'US-NY', 'Dunkirk', 'no', 'KDKK', 'DKK', 'DKK', 'John J. Nalbone Field'),
	('NK25', 'small_airport', 'Cambria Airport', 43.194157, -78.799381, 380, 'US', 'US-NY', 'Lockport', 'no', 'NK25', '', 'NK25', ''),
	('CNK2', 'closed', 'Ellis Field Airport', 44.156101, -81.400597, 925, 'CA', 'CA-ON', 'Kincardine', 'no', '', '', '', 'NK2, CNK2'),
	('CNX8', 'small_airport', 'Nixon Airport', 42.847328, -80.39521, 780, 'CA', 'CA-ON', 'Simcoe', 'no', 'CNX8', '', 'CNX8', 'NX8'),
	('CNX7', 'seaplane_base', 'Sparrow Lake Seaplane Base', 44.799136, -79.410558, 698, 'CA', 'CA-ON', 'Port Stanton', 'no', 'CNX7', '', 'CNX7', ''),
	('CNN4', 'closed', 'Atwood Airport', 43.69388, -81.002626, 1232, 'CA', 'CA-ON', 'Atwood', 'no', '', '', '', 'NN4, CNN4, Listowel'),
	('CPH3', 'small_airport', 'Port Hope (Peter''s Field) Airport', 44.024881, -78.426976, 560, 'CA', 'CA-ON', 'Port Hope', 'no', 'CPH3', '', 'CPH3', ''),
	('CWH5', 'small_airport', 'Wingham (Inglis Field) Airport', 43.897621, -81.335737, 1035, 'CA', 'CA-ON', 'Wingham', 'no', 'CWH5', '', 'CWH5', 'PP5, CPP5'),
	('CDT7', 'small_airport', 'Dutton Airport', 42.6592, -81.512602, 715, 'CA', 'CA-ON', 'Dutton', 'no', 'CDT7', '', 'CDT7', ''),
	('CSF4', 'small_airport', 'Shelburne (Schaefer Field)', 44.008903, -80.262597, 1620, 'CA', 'CA-ON', 'Amaranth', 'no', 'CSF4', '', '', ''),
	('CYHJ', 'N/A', 'N/A', 43.41820981353521, -81.23823836445808, 349, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYRG', 'N/A', 'N/A', 44.409323930740356, -80.82826495170593, 330, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CPB9', 'small_airport', 'Baldwin Airport', 44.2672004699707, -79.3405990600586, 750, 'CA', 'CA-ON', 'Baldwin', 'no', 'CPB9', '', 'CPB9', 'PB9'),
	('CYVV', 'medium_airport', 'Wiarton Airport', 44.7458, -81.107201, 729, 'CA', 'CA-ON', 'Wiarton', 'yes', 'CYVV', 'YVV', '', ''),
	('CDF6', 'small_airport', 'Damascus Field', 43.896964, -80.519099, 1580, 'CA', 'CA-ON', 'Wellington North', 'no', 'CDF6', '', 'CDF6', 'Arthur'),
	('KIAG', 'medium_airport', 'Niagara Falls International Airport', 43.1073, -78.946198, 589, 'US', 'US-NY', 'Niagara Falls', 'yes', 'KIAG', 'IAG', 'IAG', ''),
	('CYQO', 'N/A', 'N/A', 42.47364945709705, -81.82159066200256, 224, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CPW3', 'closed', 'Nobleton Airport', 43.93669891357422, -79.67970275878906, 970, 'CA', 'CA-ON', 'Nobleton', 'no', '', '', '', 'PW3, CPW3, CPW3'),
	('CYOV', 'N/A', 'N/A', 44.571264646947384, -79.22557085752487, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRE3', 'small_airport', 'Rand Private Airfield', 43.066501, -80.6986, 1060, 'CA', 'CA-ON', 'Curries', 'no', 'CRE3', '', 'CRE3', ''),
	('CYAA', 'N/A', 'N/A', 43.30268103629351, -79.9720698595047, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CNP8', 'small_airport', 'Greenbank Airport', 44.1336968141, -79.0130281448, 975, 'CA', 'CA-ON', 'Greenbank', 'no', 'CNP8', '', 'CNP8', 'NP8'),
	('CYAN', 'N/A', 'N/A', 43.35737831890583, -79.98294219374657, 255, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYOT', 'N/A', 'N/A', 44.569957070052624, -79.23347175121307, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CNS6', 'closed', 'Straffordville Airport', 42.738337, -80.817125, 732, 'CA', 'CA-ON', 'Straffordville', 'no', '', '', '', 'NS6, CNS6'),
	('CRA2', 'small_airport', 'Rollick Airpark', 44.1406, -79.484802, 726, 'CA', 'CA-ON', 'Queensville', 'no', 'CRA2', '', 'CRA2', ''),
	('CYMI', 'N/A', 'N/A', 44.77873921394348, -79.90563556551933, 238, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYZR', 'medium_airport', 'Chris Hadfield Airport', 42.999401, -82.308899, 594, 'CA', 'CA-ON', 'Sarnia', 'no', 'CYZR', 'YZR', '', ''),
	('CNL8', 'small_airport', 'Wyevale (Boker Field) Airport', 44.655253, -79.879746, 705, 'CA', 'CA-ON', 'Tiny', 'no', 'CNL8', '', 'CNL8', 'Boker Farm Airfield'),
	('CSW4', 'small_airport', 'Bracebridge (Stone Wall Farm) Airport', 44.988503, -79.1895, 1050, 'CA', 'CA-ON', 'Bracebridge', 'no', 'CSW4', '', 'CSW4', ''),
	('CNC3', 'medium_airport', 'Brampton-Caledon Airport', 43.7603, -79.875, 935, 'CA', 'CA-ON', '', 'no', 'CNC3', '', 'CNC3', 'NC3'),
	('CBB2', 'closed', 'Campbell River (West Coast) Heliport', 50.046398, -125.252996, 7, 'CA', 'CA-BC', 'Campbell River', 'no', '', '', '', 'CBB2'),
	('CNU8', 'small_airport', 'Toronto Markham Airport', 43.93526, -79.263491, 807, 'CA', 'CA-ON', 'Markham', 'no', 'CNU8', '', 'CNU8', 'NU8'),
	('CYPI', 'N/A', 'N/A', 43.91620349138975, -79.13424029946327, 226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYTG', 'N/A', 'N/A', 42.8659600764513, -82.36078083515167, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('D59', 'small_airport', 'Gowanda Airport', 42.501542, -78.950518, 830, 'US', 'US-NY', 'Gowanda', 'no', '', '', 'D59', ''),
	('CML6', 'seaplane_base', 'Six Mile Lake (Hungry Bay) Seaplane Base', 44.9163, -79.7212, 622, 'CA', 'CA-ON', '', 'no', 'CML6', '', 'CML6', ''),
	('CNV8', 'small_airport', 'Edenvale Aerodrome', 44.441101, -79.962799, 718, 'CA', 'CA-ON', 'Edenvale', 'no', 'CNV8', '', 'CNV8', 'NV8'),
	('0NK0', 'small_airport', 'Berdick Field', 42.33399963378906, -78.79090118408203, 1690, 'US', 'US-NY', 'Cattaraugus', 'no', '0NK0', '', '0NK0', ''),
	('CTH8', 'small_airport', 'Cookstown / Tally-Ho Field', 44.2143, -79.7769, 850, 'CA', 'CA-ON', 'Cookstown', 'no', 'CTH8', '', 'CTH8', ''),
	('CPL4', 'small_airport', 'Grand Bend Airport', 43.28689956665039, -81.71420288085938, 642, 'CA', 'CA-ON', 'Grand Bend', 'no', 'CPL4', '', 'CPL4', 'PL4'),
	('COL2', 'small_airport', 'Orangeville / Laurel Airstrip', 43.916901, -80.205803, 1620, 'CA', 'CA-ON', 'Orangeville', 'no', 'COL2', '', 'COL2', 'orangeville laurel ol2'),
	('CPC6', 'small_airport', 'Teeswater (Thompson Field) Airport', 43.948299407958984, -81.27189636230469, 1000, 'CA', 'CA-ON', 'Teeswater', 'no', 'CPC6', '', 'CPC6', 'PC6'),
	('CML4', 'seaplane_base', 'Morrison Lake Seaplane Base', 44.8705, -79.461, 716, 'CA', 'CA-ON', 'Gravenhurst', 'no', 'CML4', '', 'CML4', ''),
	('CNT6', 'small_airport', 'Elmira Airport', 43.58470153808594, -80.60310363769531, 1250, 'CA', 'CA-ON', 'Elmira', 'no', 'CNT6', '', 'CNT6', 'NT6'),
	('CPP6', 'small_airport', 'York Airport', 43.037581, -79.853497, 670, 'CA', 'CA-ON', 'York', 'no', 'CPP6', '', 'CPP6', 'PP6'),
	('CYKI', 'N/A', 'N/A', 43.34729254245758, -80.43318048119545, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CNT8', 'N/A', 'N/A', 43.9925130084157, -79.63776558637619, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYOX', 'N/A', 'N/A', 44.570829793810844, -79.22823920845985, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CPM7', 'small_airport', 'Bradford Aerodrome', 44.135971, -79.628688, 973, 'CA', 'CA-ON', 'Bradford West Gwillimbury', 'no', 'CPM7', '', 'CPM7', 'PM7'),
	('CMB5', 'small_airport', 'Campbellville (Bellshill Airpark)', 43.431435, -80.024607, 950, 'CA', 'CA-ON', 'Hamilton', 'no', 'CMB5', '', 'CMB5', ''),
	('CYRH', 'N/A', 'N/A', 44.33375168591738, -80.75718194246292, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CPD4', 'small_airport', 'Brussels (Armstrong Field) Airport', 43.749079, -81.237341, 1100, 'CA', 'CA-ON', 'Brussels', 'no', 'CPD4', '', 'CPD4', 'PD4'),
	('CVF2', 'small_airport', 'Vodarek Field', 43.723387, -80.289659, 1380, 'CA', 'CA-ON', 'Centre Wellington', 'no', 'CVF2', '', '', 'VF2, Fergus'),
	('CPG7', 'small_airport', 'Juergensen Field', 43.735047, -80.44781, 1450, 'CA', 'CA-ON', 'Centre Wellington', 'no', 'CPG7', '', 'CPG7', 'PG7, Fergus'),
	('cwf2', 'small_airport', 'Walter''s Falls (Piper Way) Aerodrome', 44.464268, -80.621016, 1400, 'CA', 'CA-ON', 'Meaford', 'no', 'CWF2', '', '', 'Boars Rock Farm'),
	('CCN4', 'small_airport', 'Conn Field', 44.0325, -80.485556, 1658, 'CA', 'CA-ON', 'Conn', 'no', 'CCN4', '', 'CCN4', ''),
	('CYHM', 'medium_airport', 'John C. Munro Hamilton International Airport', 43.173599243199995, -79.93499755859999, 780, 'CA', 'CA-ON', 'Hamilton', 'yes', 'CYHM', 'YHM', '', 'Mount Hope Airport'),
	('NY49', 'small_airport', 'Mesmer Airport', 42.991523, -78.985764, 600, 'US', 'US-NY', 'Grand Island', 'no', 'NY49', '', 'NY49', ''),
	('CYFD', 'small_airport', 'Brantford Municipal Airport', 43.13140106201172, -80.34249877929688, 815, 'CA', 'CA-ON', 'Brantford', 'no', 'CYFD', '', '', 'YFD'),
	('CYRW', 'N/A', 'N/A', 44.77370772510767, -79.56638664007187, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYCE', 'medium_airport', 'Centralia / James T. Field Memorial Aerodrome', 43.285599, -81.508301, 824, 'CA', 'CA-ON', 'Huron Park', 'no', 'CYCE', 'YCE', 'CYCE', 'RCAF Station Centralia, Huron Airpark'),
	('CYWD', 'N/A', 'N/A', 43.16679932177067, -80.77516481280327, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CNZ8', 'small_airport', 'Grimsby Regional Airport', 43.16, -79.599197, 640, 'CA', 'CA-ON', 'Grimsby', 'no', 'CNZ8', '', 'CNZ8', 'NZ8, Grimsby Airpark'),
	('CDG3', 'small_airport', 'Dungannon Aerodrome', 43.836245, -81.606746, 870, 'CA', 'CA-ON', 'Ashfield-Colborne-Wawanosh', 'no', 'CDG3', '', 'CDG3', ''),
	('CPR9', 'small_airport', 'Fergus (Royland Field)', 43.741755, -80.386201, 1400, 'CA', 'CA-ON', '', 'no', 'CPR9', '', '', 'pr9'),
	('CPV4', 'small_airport', 'Mansfield Airport', 44.143921883199994, -80.0136208534, 995, 'CA', 'CA-ON', 'Mansfield', 'no', 'CPV4', '', 'CPV4', 'PV4'),
	('COS2', 'small_airport', 'Iona Station (Bobier Strip)', 42.676389, -81.451111, 755, 'CA', 'CA-ON', '', 'no', 'COS2', '', 'COS2', ''),
	('CNR2', 'small_airport', 'Innerkip Airport', 43.2326002, -80.6947, 1015, 'CA', 'CA-ON', '', 'no', 'CNR2', '', 'CNR2', ''),
	('CNR5', 'N/A', 'N/A', 44.728399850428104, -78.75045821070671, 317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CLB2', 'small_airport', 'Lubitz Field', 43.305948, -80.548514, 980, 'CA', 'CA-ON', 'Bright', 'no', 'CLB2', '', '', 'Plattsville'),
	('CPN8', 'small_airport', 'London (Pioneer Airpark)', 43.0975, -81.234301, 980, 'CA', 'CA-ON', 'London', 'no', 'CPN8', '', 'CPN8', ''),
	('NY27', 'small_airport', 'South Dayton Airport', 42.37089920043945, -79.0094985961914, 1300, 'US', 'US-NY', 'South Dayton', 'no', 'NY27', '', 'NY27', ''),
	('CPV2', 'small_airport', 'Orangeville / Castlewood Field', 43.958599, -80.154999, 1550, 'CA', 'CA-ON', 'Orangeville', 'no', 'CPV2', '', 'CPV2', 'PV2'),
	('CTF4', 'small_airport', 'Dundalk (Tripp Field) Aerodrome', 44.173018, -80.310297, 1700, 'CA', 'CA-ON', 'Melancthon', 'no', 'CTF4', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('67NY', 'closed', 'Ultralight Port Ultralightport', 42.293098, -78.790001, 1860, 'US', 'US-NY', 'Little Valley', 'no', '', '', '', '67NY'),
	('CNE2', 'N/A', 'N/A', 44.6062034368515, -79.33487087488174, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CHS4', 'seaplane_base', 'Scugog /Charlies Landing Seaplane Base', 44.161301, -78.8245, 816, 'CA', 'CA-ON', 'Scugog', 'no', 'CHS4', '', 'CHS4', ''),
	('CNH3', 'closed', 'Mulock Airport', 44.229198, -80.913902, 1100, 'CA', 'CA-ON', 'Elmwood', 'no', '', '', '', 'NH3, CNH3, Durham'),
	('CCR9', 'small_airport', 'Creemore Aerodrome', 44.346504, -80.1336, 1375, 'CA', 'CA-ON', 'Creemore', 'no', 'CCR9', '', 'CCR9', ''),
	('CKS9', 'small_airport', 'Shepherd''s Landing Airport', 44.116446, -81.695323, 675, 'CA', 'CA-ON', 'Kincardine', 'no', 'CKS9', '', 'CKS9', 'KS9'),
	('CYBM', 'N/A', 'N/A', 43.79952035844326, -79.79175120592117, 260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4NK3', 'small_airport', 'Evans Airways Airport', 42.669911, -78.96831, 940, 'US', 'US-NY', 'Evans', 'no', '4NK3', '', '4NK3', ''),
	('CPC3', 'small_airport', 'Walter''s Field', 43.840579, -80.442882, 1550, 'CA', 'CA-ON', 'Belwood', 'no', 'CPC3', '', 'CPC3', 'PC3, Arthur, Arthur East'),
	('CPG4', 'small_airport', 'Elmira (East) Airport', 43.59189987182617, -80.51219940185547, 1150, 'CA', 'CA-ON', 'Elmira', 'no', 'CPG4', '', 'CPG4', 'PG4'),
	('CPY9', 'small_airport', 'Holyoake Airfield', 43.728611, -80.283056, 1380, 'CA', 'CA-ON', 'Centre Wellington', 'no', 'CPY9', '', '', 'PY9, Fergus'),
	('CPE5', 'small_airport', 'Port Colborne Airport', 42.877499, -79.352798, 600, 'CA', 'CA-ON', 'Wainfleet', 'no', 'CPE5', '', 'CPE5', 'PE5, Skydive Burnaby'),
	('CYTZ', 'medium_airport', 'Billy Bishop Toronto City Centre Airport', 43.627499, -79.396202, 252, 'CA', 'CA-ON', 'Toronto', 'yes', 'CYTZ', 'YTZ', '', 'YTO, Toronto Island Airport'),
	('CBW6', 'small_airport', 'Belwood (Wright Field)', 43.793889, -80.4025, 1490, 'CA', 'CA-ON', '', 'no', 'CBW6', '', 'CBW6', ''),
	('CYG2', 'small_airport', 'Yellow Gold Airport', 43.159989, -81.703091, 642, 'CA', 'CA-ON', 'Parkhill', 'no', 'CYG2', '', 'CYG2', ''),
	('CRN2', 'small_airport', 'Carnie Airfield', 42.424644, -81.865847, 750, 'CA', 'CA-ON', 'Ridgetown', 'no', 'CRN2', '', 'CRN2', ''),
	('63NY', 'small_airport', 'Shear Airport', 43.2593, -78.9656, 325, 'US', 'US-NY', 'Youngstown', 'no', '63NY', '', '63NY', 'Ransomville'),
	('CPU5', 'seaplane_base', 'Orillia/Matchedash Lake Seaplane Base', 44.788927, -79.500205, 738, 'CA', 'CA-ON', 'Orillia', 'no', 'CPU5', '', 'CPU5', 'PU5'),
	('CYOE', 'N/A', 'N/A', 43.981902189552784, -78.81707310676575, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYGD', 'medium_airport', 'Goderich Airport', 43.7668991089, -81.7106018066, 712, 'CA', 'CA-ON', 'Goderich', 'no', 'CYGD', '', 'YGD', ''),
	('CWS2', 'closed', 'Washago Aerodrome', 44.740439, -79.361866, 749, 'CA', 'CA-ON', 'Washago', 'no', '', '', '', 'CWS2'),
	('CPQ4', 'closed', 'Lefroy Airport', 44.2919095924, -79.5472812653, 724, 'CA', 'CA-ON', 'Lefroy', 'no', '', '', '', 'PQ4, CPQ4'),
	('CES5', 'small_airport', 'Centralia (Essery Field) Airport', 43.293753, -81.467474, 872, 'CA', 'CA-ON', 'Centralia', 'no', 'CES5', '', 'CES5', ''),
	('0D4', 'N/A', 'N/A', 42.36092794686556, -79.54750791192055, 195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CBF2', 'small_airport', 'Belwood (Baird Field)', 43.808333, -80.311944, 1410, 'CA', 'CA-ON', '', 'no', 'CBF2', '', '', 'bf2'),
	('CGV7', 'small_airport', 'Springvale Aerodrome', 42.96983, -80.15953, 741, 'CA', 'CA-ON', 'Hagersville', 'no', 'CGV7', '', '', ''),
	('78NY', 'small_airport', 'Flying F Airport', 43.081362, -78.779447, 582, 'US', 'US-NY', 'Pendleton', 'no', '', '', '78NY', '77NY, Pendleton Airpark'),
	('CLK3', 'closed', 'Lucknow Airpark', 43.9678, -81.493301, 960, 'CA', 'CA-ON', 'Lucknow', 'no', '', '', '', 'LK3, CLK3'),
	('CWF3', 'small_airport', 'Warren Field', 42.936718, -81.479738, 813, 'CA', 'CA-ON', 'Mount Brydges', 'no', 'CWF3', '', 'CWF3', ''),
	('CPV5', 'seaplane_base', 'Head Lake Seaplane Base', 44.721401, -78.910797, 880, 'CA', 'CA-ON', '', 'no', 'CPV5', '', 'CPV5', 'PV5'),
	('CHP2', 'seaplane_base', 'Heurisko Pond Water Aerodrome', 43.7722, -80.3739, 1420, 'CA', 'CA-ON', 'Belwood', 'no', 'CHP2', '', 'CHP2', ''),
	('CPK9', 'small_airport', 'Arthur (Peskett Field)', 43.771543, -80.483522, 1555, 'CA', 'CA-ON', '', 'no', 'CPK9', '', '', 'PK9'),
	('85N', 'small_airport', 'Hollands International Field', 43.254726, -78.76575, 360, 'US', 'US-NY', 'Newfane', 'no', '85N', '', '85N', ''),
	('CYUD', 'N/A', 'N/A', 44.15486376732588, -79.1985297203064, 295, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('62NY', 'heliport', 'Adirondack Helicopters Heliport', 44.43515, -75.472217, 449, 'US', 'US-NY', 'Gouverneur', 'no', '62NY', '', '62NY', ''),
	('CYLS', 'medium_airport', 'Barrie-Lake Simcoe Regional Airport', 44.485056, -79.554663, 972, 'CA', 'CA-ON', 'Barrie', 'yes', 'CYLS', 'YLK', 'CYLS', 'NB9, CNB9, Oro Station'),
	('CUT2', 'small_airport', 'Utica Airfield', 44.066081, -79.020882, 920, 'CA', 'CA-ON', 'Port Perry', 'no', 'CUT2', '', 'CUT2', ''),
	('CPA4', 'small_airport', 'Simcoe (Dennison Field) Airport', 42.819408, -80.265019, 722, 'CA', 'CA-ON', 'Simcoe', 'no', 'CPA4', '', 'CPA4', 'PA4'),
	('clv2', 'small_airport', 'Slayner (Clearview Field) Aerodrome', 44.404638, -80.147978, 870, 'CA', 'CA-ON', 'Stayner', 'no', 'CLV2', '', 'CLV2', 'Clearview Field'),
	('CNC4', 'small_airport', 'Guelph Airport', 43.563899993896484, -80.19609832763672, 1100, 'CA', 'CA-ON', 'Guelph', 'no', 'CNC4', '', 'CNC4', 'NC4'),
	('NY76', 'small_airport', 'Neverland Airport', 42.31566619873047, -78.89533233642578, 1901, 'US', 'US-NY', 'Cattaraugus', 'no', 'NY76', '', 'NY76', ''),
	('99NY', 'closed', 'Hibbard''s Airport', 43.238698, -78.787851, 410, 'US', 'US-NY', 'Wilson', 'no', '', '', '', '99NY'),
	('CYRZ', 'N/A', 'N/A', 44.66782417148352, -78.85270982980728, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYOO', 'medium_airport', 'Oshawa Executive Airport', 43.922798, -78.894997, 460, 'CA', 'CA-ON', 'Oshawa', 'no', 'CYOO', 'YOO', 'CYOO', ''),
	('CGV3', 'small_airport', 'Grand Valley North', 43.962502, -80.354164, 0, 'CA', 'CA-ON', '', 'no', '', '', 'CGV3', ''),
	('4G2', 'small_airport', 'Hamburg Inc Airport', 42.70090103149414, -78.91480255126953, 751, 'US', 'US-NY', 'Hamburg', 'no', '4G2', '', '4G2', ''),
	('KOAI', 'N/A', 'N/A', 42.21280865371227, -79.45346340537071, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CJA2', 'small_airport', 'Selkirk Airport', 42.8068, -79.9768, 592, 'CA', 'CA-ON', 'Selkirk', 'no', 'CJA2', '', 'CJA2', ''),
	('CYOL', 'N/A', 'N/A', 44.83621761202812, -80.97695410251617, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAT1', 'small_airport', 'Atwood / Coghlin Airport', 43.6833000183, -81.00440216060001, 1215, 'CA', 'CA-ON', 'Atwood', 'no', 'CAT1', '', 'CAT1', 'AT1'),
	('CPK2', 'small_airport', 'Strathroy (Blue Yonder) Airport', 42.96580123901367, -81.5916976928711, 780, 'CA', 'CA-ON', 'Strathroy', 'no', 'CPK2', '', 'CPK2', 'PK2');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('D79', 'small_airport', 'Dart Airport', 42.26810073852539, -79.48169708251953, 1330, 'US', 'US-NY', 'Mayville', 'no', 'D79', '', 'D79', ''),
	('CYHG', 'N/A', 'N/A', 43.97868152707815, -80.77633962035179, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CCK5', 'small_airport', 'Owen Sound (Cook Field)', 44.634764, -80.741306, 1040, 'CA', 'CA-ON', 'Owen Sound', 'no', 'CCK5', '', 'CCK5', ''),
	('CNF4', 'small_airport', 'Kawartha Lakes Municipal Airport', 44.3647, -78.783897, 882, 'CA', 'CA-ON', 'Lindsay', 'no', 'CNF4', '', 'CNF4', 'NF4'),
	('COR8', 'small_airport', 'Orangeville/Rosehill Airfield', 43.901929, -80.023782, 1500, 'CA', 'CA-ON', '', 'no', 'COR8', '', 'COR8', ''),
	('CNQ3', 'small_airport', 'Niagara Central Dorothy Rungeling Airport', 42.979198, -79.324699, 585, 'CA', 'CA-ON', 'Welland', 'no', 'CNQ3', '', 'CNQ3', 'NQ3'),
	('CYKF', 'medium_airport', 'Region of Waterloo International Airport', 43.4608, -80.378601, 1054, 'CA', 'CA-ON', 'Breslau', 'yes', 'CYKF', 'YKF', '', 'Breslau, Kitchener, Waterloo, Cambridge, YKF'),
	('CKD8', 'small_airport', 'Kirkfield / Balsam Lake Airfield', 44.539988, -78.88926, 864, 'CA', 'CA-ON', 'Kirkfield', 'no', 'CKD8', '', '', ''),
	('CYUR', 'N/A', 'N/A', 44.447540044784546, -79.10020396113396, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CKF8', 'small_airport', 'Cookstown / Kirby Field Aerodrome', 44.132675, -79.723825, 704, 'CA', 'CA-ON', 'Cookstown', 'no', 'CKF8', '', 'CKF8', ''),
	('CPE4', 'small_airport', 'Cambridge / Reid''s Field', 43.442730692299996, -80.23251056670001, 1050, 'CA', 'CA-ON', 'Cambridge', 'no', 'CPE4', '', 'CPE4', 'PE4'),
	('NY24', 'small_airport', 'Taylor Johnson Airport', 43.12779998779297, -78.97000122070313, 633, 'US', 'US-NY', 'Niagara Falls', 'no', 'NY24', '', 'NY24', ''),
	('CYOK', 'N/A', 'N/A', 44.830521270632744, -80.90038999915123, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CPG6', 'closed', 'Pryde Field Airport', 44.458229, -81.378715, 661, 'CA', 'CA-ON', 'Port Elgin', 'no', '', '', '', 'PG6, CPG6'),
	('CYKM', 'medium_airport', 'Kincardine Municipal Airport', 44.201401, -81.606697, 772, 'CA', 'CA-ON', 'Kincardine', 'no', 'CYKM', 'YKD', 'CYKM', 'NS7, CNS7'),
	('CGV6', 'small_airport', 'Grand Valley/Martin Field', 43.87469, -80.282185, 1550, 'CA', 'CA-ON', 'East Garafraxa', 'no', 'CGV6', '', '', 'gv6'),
	('CYRD', 'N/A', 'N/A', 43.95339835435152, -80.007454007864, 451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('csv8', 'small_airport', 'Sloan Valley View Farm Airfield', 43.98684, -79.729335, 890, 'CA', 'CA-ON', 'Schomberg', 'no', 'CSV8', '', '', ''),
	('CAF2', 'small_airport', 'Cayuga East Airport', 42.960301, -79.788, 644, 'CA', 'CA-ON', 'Cayuga', 'no', 'CAF2', '', 'CAF2', 'Skydive Ontario'),
	('CYHS', 'small_airport', 'Hanover / Saugeen Municipal Airport', 44.158298, -81.062798, 939, 'CA', 'CA-ON', 'Hanover', 'no', 'CYHS', '', 'CYHS', 'CPN4, YHS, PN4'),
	('CYUI', 'N/A', 'N/A', 44.166515953838825, -78.93539115786552, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CNJ4', 'small_airport', 'Orillia-RAMA Regional Airport', 44.677656, -79.310217, 725, 'CA', 'CA-ON', 'Orillia', 'no', 'CNJ4', '', 'CNJ4', 'NJ4'),
	('CYNW', 'N/A', 'N/A', 43.96885123103857, -79.40223768353462, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYZD', 'medium_airport', 'Downsview Airport', 43.7425, -79.465599, 652, 'CA', 'CA-ON', 'North York', 'no', 'CYZD', '', '', 'YZD'),
	('CYOS', 'medium_airport', 'Owen Sound / Billy Bishop Regional Airport', 44.5903015137, -80.8375015259, 1007, 'CA', 'CA-ON', 'Owen Sound', 'no', 'CYOS', 'YOS', '', 'YOS'),
	('CPT4', 'N/A', 'N/A', 43.882930018007755, -80.53257375955582, 479, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CHH2', 'seaplane_base', 'Hamilton Harbour Seaplane Base', 43.2988, -79.8498, 244, 'CA', 'CA-ON', 'Burlington', 'no', 'CHH2', '', 'CHH2', 'PS5'),
	('28NY', 'small_airport', 'Spaudling Aerodrome', 42.308333, -79.225, 1607, 'US', 'US-NY', 'Cassadaga', 'no', '28NY', '', '28NY', ''),
	('cgv5', 'small_airport', 'Grand Valley (Black Field)', 43.860092, -80.288687, 1580, 'CA', 'CA-ON', '', 'no', 'CGV5', '', '', ''),
	('CNN3', 'small_airport', 'Shelburne / Fisher Field', 44.027734, -80.205922, 1675, 'CA', 'CA-ON', 'Shelburne', 'no', 'CNN3', '', 'CNN3', 'NN3, Burbank'),
	('CAP2', 'small_airport', 'Robinson International Air Field', 44.18, -80.9515, 942, 'CA', 'CA-ON', 'Allan Park', 'no', '', '', 'CAP2', ''),
	('CGV2', 'small_airport', 'Grand Valley / Luther Field', 43.976389, -80.385278, 1602, 'CA', 'CA-ON', '', 'no', 'CGV2', '', '', 'gv2'),
	('CPP3', 'small_airport', 'Port Perry / Hoskin Airport', 44.061667, -78.885002, 900, 'CA', 'CA-ON', 'Port Perry', 'no', 'CPP3', '', 'CPP3', ''),
	('CYCK', 'small_airport', 'Chatham Kent Airport', 42.3064002991, -82.0819015503, 650, 'CA', 'CA-ON', 'Chatham-Kent', 'no', 'CYCK', 'XCM', 'NZ3', 'CNZ3'),
	('CTK7', 'small_airport', 'Selkirk / Kindy Airstrip', 42.851112, -79.879166, 686, 'CA', 'CA-ON', 'Selkirk', 'no', 'CTK7', '', 'TK7', ''),
	('CYON', 'N/A', 'N/A', 44.43935461342335, -80.93784481287003, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CPM5', 'small_airport', 'Volk Airport', 43.993803, -79.778445, 1020, 'CA', 'CA-ON', 'Tottenham', 'no', 'CPM5', '', 'CPM5', 'PM5'),
	('CPU3', 'small_airport', 'Rodney (New Glasgow) Airport', 42.531932, -81.605937, 670, 'CA', 'CA-ON', 'Rodney', 'no', 'CPU3', '', 'CPU3', 'PU3'),
	('CYUG', 'N/A', 'N/A', 44.49043359607458, -78.97668108344078, 270, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('61NY', 'closed', 'Bassett Field', 43.168701, -78.782303, 629, 'US', 'US-NY', 'Lockport', 'no', '', '', '', '61NY'),
	('CPS7', 'closed', 'Smith Field', 43.775179, -80.228119, 1450, 'CA', 'CA-ON', 'Orton', 'no', '', '', '', 'PS7, CPS7'),
	('CLC2', 'small_airport', 'Chapeskie Field Airport', 43.068198, -81.126158, 930, 'CA', 'CA-ON', 'Thorndale', 'no', 'CLC2', '', 'CLC2', 'LC2'),
	('CLW4', 'N/A', 'N/A', 43.10576666146517, -81.23935014009476, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CPT3', 'small_airport', 'Rockton Airport', 43.322200775146484, -80.17639923095703, 846, 'CA', 'CA-ON', 'Rockton', 'no', 'CPT3', '', 'CPT3', 'PT3'),
	('CYNO', 'N/A', 'N/A', 42.85655960440636, -80.63135236501694, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CNJ3', 'small_airport', 'Fort Erie Airport', 42.91713, -78.957785, 625, 'CA', 'CA-ON', 'Fort Erie', 'no', 'CNJ3', '', 'CNJ3', 'NJ3'),
	('CPD2', 'small_airport', 'Ethel Airport', 43.744998931884766, -81.17669677734375, 1170, 'CA', 'CA-ON', 'Ethel', 'no', 'CPD2', '', 'CPD2', 'PD2'),
	('73OH', 'small_airport', 'Thompson Drag Raceway Airport', 41.64699935913086, -81.00869750976563, 1100, 'US', 'US-OH', 'Thompson', 'no', '73OH', '', '73OH', ''),
	('OH48', 'small_airport', 'Alliance Airport', 40.905601501464844, -81.06510162353516, 1077, 'US', 'US-OH', 'Alliance', 'no', 'OH48', '', 'OH48', ''),
	('KOAM', 'N/A', 'N/A', 42.16538820415735, -79.55259427428246, 529, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('13PA', 'small_airport', 'Rigrtona Airport', 41.68259811401367, -79.4520034790039, 1703, 'US', 'US-PA', 'Tidioute', 'no', '13PA', '', '13PA', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OI22', 'small_airport', 'Carroll''s Airport', 41.333900451660156, -82.10260009765625, 755, 'US', 'US-OH', 'Elyria', 'no', 'OI22', '', 'OI22', ''),
	('5PA0', 'small_airport', 'Blomster Field', 39.872849, -79.95533, 1050, 'US', 'US-PA', 'Carmichaels', 'no', '5PA0', '', '5PA0', ''),
	('OI42', 'small_airport', 'D. A. Chandler Airport', 41.132492, -82.459565, 950, 'US', 'US-OH', 'New London', 'no', 'OI42', '', 'OI42', ''),
	('3G9', 'small_airport', 'Butler Farm Show Airport', 40.8526, -79.9748, 1333, 'US', 'US-PA', 'Butler', 'no', '3G9', '', '3G9', ''),
	('5D6', 'small_airport', 'Parsons Airport', 40.648102, -81.068703, 1290, 'US', 'US-OH', 'Carrollton', 'no', 'K5D6', '', '5D6', ''),
	('7G1', 'small_airport', 'Herron Airport', 40.533401, -80.5401, 1226, 'US', 'US-WV', 'New Cumberland', 'no', '7G1', '', '7G1', ''),
	('MD99', 'small_airport', 'Moran Field', 39.5005989074707, -79.07230377197266, 2080, 'US', 'US-MD', 'Westernport', 'no', 'MD99', '', 'MD99', ''),
	('27OI', 'closed', 'Auburn Airport', 41.412872, -81.283918, 1200, 'US', 'US-OH', 'Chagrin Falls', 'no', '', '', '', '27OI'),
	('0PN8', 'small_airport', 'Shriver Airport', 41.606394, -79.684181, 1560, 'US', 'US-PA', 'Titusville', 'no', '0PN8', '', '0PN8', ''),
	('OH92', 'small_airport', 'Porter Airport', 39.954200744628906, -82.18319702148438, 1070, 'US', 'US-OH', 'Hopewell', 'no', 'OH92', '', 'OH92', ''),
	('0PN2', 'small_airport', 'Flying Acres Airport', 41.07310104370117, -80.07029724121094, 1247, 'US', 'US-PA', 'Slippery Rock', 'no', '0PN2', '', '0PN2', ''),
	('KWAY', 'small_airport', 'Greene County Airport', 39.90112, -80.130733, 1069, 'US', 'US-PA', 'Waynesburg', 'no', 'KWAY', 'WAY', 'WAY', ''),
	('KHLG', 'medium_airport', 'Wheeling Ohio County Airport', 40.1749992371, -80.6463012695, 1195, 'US', 'US-WV', 'Wheeling', 'no', 'KHLG', 'HLG', 'HLG', ''),
	('8OH8', 'small_airport', 'Allen Airport', 41.66809844970703, -80.68560028076172, 985, 'US', 'US-OH', 'Dorset', 'no', '8OH8', '', '8OH8', ''),
	('I64', 'small_airport', 'Ortner Airport', 41.293379, -82.372493, 848, 'US', 'US-OH', 'Wakeman', 'no', 'I64', '', 'I64', 'Fun Country Soaring'),
	('39OH', 'small_airport', 'Crosswind Meadows Airport', 40.81230163574219, -81.05509948730469, 1160, 'US', 'US-OH', 'Minerva', 'no', '39OH', '', '39OH', ''),
	('2PN0', 'closed', 'Strawberry Acres Airport', 42.015301, -79.817802, 1300, 'US', 'US-PA', 'Wattsburg', 'no', '', '', '', '2PN0'),
	('1W3', 'small_airport', 'Mexico Farms Airport', 39.604801177978516, -78.7605972290039, 607, 'US', 'US-MD', 'Cumberland', 'no', '1W3', '', '1W3', ''),
	('4G4', 'small_airport', 'Youngstown Elser Metro Airport', 40.9618, -80.677299, 1070, 'US', 'US-OH', 'Youngstown', 'no', '', '', '4G4', ''),
	('3G4', 'small_airport', 'Ashland County Airport', 40.903, -82.2556, 1206, 'US', 'US-OH', 'Ashland', 'no', '3G4', '', '3G4', ''),
	('OI07', 'closed', 'Varns Farms Airport', 40.827999, -81.979698, 1110, 'US', 'US-OH', 'Wooster', 'no', '', '', '', 'OI07'),
	('KPYY', 'N/A', 'N/A', 41.486207619309425, -80.48177719116211, 325, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PN68', 'small_airport', 'Jackson Airport', 40.88932, -80.36663, 930, 'US', 'US-PA', 'New Galilee', 'no', 'PN68', '', 'PN68', ''),
	('KAGC', 'medium_airport', 'Allegheny County Airport', 40.354401, -79.930199, 1252, 'US', 'US-PA', 'Pittsburgh', 'no', 'KAGC', 'AGC', 'AGC', ''),
	('9PA7', 'small_airport', 'Keystone Airport', 39.77280044555664, -79.21109771728516, 2531, 'US', 'US-PA', 'Fort Hill', 'no', '9PA7', '', '9PA7', ''),
	('PN01', 'small_airport', 'Cedar Run Airport', 40.58810043334961, -79.90589904785156, 1180, 'US', 'US-PA', 'Dorseyville', 'no', 'PN01', '', 'PN01', ''),
	('7D9', 'small_airport', 'Germack Airport', 41.777801513671875, -80.90399932861328, 820, 'US', 'US-OH', 'Geneva', 'no', 'K7D9', '', '7D9', ''),
	('OI55', 'small_airport', 'Scheibe Field', 40.749566, -81.985216, 1010, 'US', 'US-OH', 'Wooster', 'no', 'OI55', '', 'OI55', ''),
	('PN08', 'small_airport', 'Davis Airport', 40.734413, -79.160056, 1373, 'US', 'US-PA', 'Chambersville', 'no', 'PN08', '', 'PN08', ''),
	('32OH', 'small_airport', 'Rall Field', 40.760057, -82.41833, 1330, 'US', 'US-OH', 'Mansfield', 'no', '32OH', '', '32OH', ''),
	('OI09', 'N/A', 'N/A', 40.7734427601099, -82.10335358977318, 295, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PA88', 'small_airport', 'Nemacolin Airport', 39.805599212646484, -79.54889678955078, 2010, 'US', 'US-PA', 'Farmington', 'no', 'PA88', '', 'PA88', ''),
	('OH24', 'closed', 'Brookfield Airpark', 41.2248, -80.579003, 1040, 'US', 'US-OH', 'Brookfield', 'no', '', '', '', 'OH24'),
	('18OH', 'small_airport', 'Jer-Mar Airpark', 41.25619888305664, -82.143798828125, 800, 'US', 'US-OH', 'Lagrange', 'no', '18OH', '', '18OH', ''),
	('08OH', 'small_airport', 'Kenley Airport', 41.29169845581055, -80.5636978149414, 1230, 'US', 'US-OH', 'Hartford', 'no', '08OH', '', '08OH', ''),
	('8OI5', 'small_airport', 'Clum Airport', 39.88169860839844, -82.41459655761719, 1115, 'US', 'US-OH', 'Thornville', 'no', '8OI5', '', '8OI5', ''),
	('I40', 'small_airport', 'Richard Downing Airport', 40.3092, -81.853401, 979, 'US', 'US-OH', 'Coshocton', 'no', 'I40', '', 'I40', ''),
	('4OH1', 'small_airport', 'Sky Haven Airport', 41.71699905395508, -81.10679626464844, 940, 'US', 'US-OH', 'Madison', 'no', '4OH1', '', '4OH1', ''),
	('00PN', 'small_airport', 'Ferrell Field', 41.2995, -80.211111, 1301, 'US', 'US-PA', 'Mercer', 'no', '00PN', '', '00PN', ''),
	('0OI6', 'small_airport', 'Victor''s Landing Airport', 41.83810043334961, -80.6436996459961, 860, 'US', 'US-OH', 'Kingsville', 'no', '0OI6', '', '0OI6', ''),
	('17OH', 'small_airport', 'Kosik Private Airport', 41.24259948730469, -82.27020263671875, 855, 'US', 'US-OH', 'Kipton', 'no', '17OH', '', '17OH', ''),
	('0PS0', 'small_airport', 'Frederick Airpark', 41.37089920043945, -79.3416976928711, 1560, 'US', 'US-PA', 'Tylersburg', 'no', '0PS0', '', '0PS0', ''),
	('PS67', 'small_airport', 'Uphill Airport', 40.106201171875, -80.43090057373047, 1360, 'US', 'US-PA', 'Claysville', 'no', 'PS67', '', 'PS67', ''),
	('KUCP', 'small_airport', 'New Castle Municipal Airport', 41.02529907, -80.41339874, 1070, 'US', 'US-PA', 'New Castle', 'no', 'KUCP', '', 'UCP', '2G7'),
	('OH82', 'small_airport', 'Graham Farm Airport', 40.1534, -81.973503, 725, 'US', 'US-OH', 'Dresden', 'no', 'OH82', '', 'OH82', ''),
	('5OH9', 'small_airport', 'Furey Airport', 40.696779, -81.179094, 1050, 'US', 'US-OH', 'Malvern', 'no', '5OH9', '', '5OH9', ''),
	('98PA', 'closed', 'Pleasant Hill Airport', 40.88166, -80.18599, 1180, 'US', 'US-PA', 'Portersville', 'no', '', '', '', '98PA'),
	('OH94', 'closed', 'Knore Airport', 38.837601, -82.834901, 674, 'US', 'US-OH', 'Minford', 'no', '', '', '', 'OH94'),
	('PS88', 'closed', 'Kikkatuck II Seaplane Base', 40.650101, -79.691397, 745, 'US', 'US-PA', 'Freeport', 'no', '', '', '', 'PS88'),
	('62D', 'small_airport', 'Warren Airport', 41.266998, -80.927399, 905, 'US', 'US-OH', 'Warren', 'no', 'K62D', '', '62D', ''),
	('1PN1', 'small_airport', 'Napodano Airport', 41.33420181274414, -80.42060089111328, 1060, 'US', 'US-PA', 'Transfer', 'no', '1PN1', '', '1PN1', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('4MD2', 'small_airport', 'Ward''s Airport', 39.430384, -79.454311, 2500, 'US', 'US-MD', 'Oakland', 'no', '4MD2', '', '4MD2', ''),
	('42OH', 'small_airport', 'Dunn Field', 41.15589904785156, -81.00399780273438, 955, 'US', 'US-OH', 'Newton Falls', 'no', '42OH', '', '42OH', ''),
	('98OH', 'small_airport', 'Paine''s Airport', 41.82276, -80.8968, 660, 'US', 'US-OH', 'Geneva', 'no', '98OH', '', '98OH', ''),
	('8OA7', 'small_airport', 'Bald Eagle Field', 39.557083, -81.780553, 680, 'US', 'US-OH', 'Malta', 'no', '8OA7', '', '8OA7', ''),
	('75PN', 'seaplane_base', 'Beaver Seaplane Base', 40.68560028076172, -80.31009674072266, 682, 'US', 'US-PA', 'Beaver', 'no', '75PN', '', '75PN', ''),
	('OA19', 'small_airport', 'Clover Fields Airport', 40.89027, -81.31253, 1170, 'US', 'US-OH', 'North Canton', 'no', 'OA19', '', 'OA19', 'Kiko Farm'),
	('KCAK', 'medium_airport', 'Akron Canton Regional Airport', 40.916099548339844, -81.44219970703125, 1228, 'US', 'US-OH', 'Akron', 'yes', 'KCAK', 'CAK', 'CAK', ''),
	('KTSO', 'small_airport', 'Carroll County-Tolson Airport', 40.561901, -81.077499, 1163, 'US', 'US-OH', 'Carrollton', 'no', 'KTSO', '', 'TSO', ''),
	('9G8', 'small_airport', 'Ebensburg Airport', 40.461201, -78.7752, 2099, 'US', 'US-PA', 'Ebensburg', 'no', '9G8', '', '9G8', 'K9G8'),
	('KBJJ', 'small_airport', 'Wayne County Airport', 40.874801635699995, -81.88829803470001, 1136, 'US', 'US-OH', 'Wooster', 'no', 'KBJJ', 'BJJ', 'BJJ', ''),
	('3G1', 'small_airport', 'Erie County Airport', 42.044242, -79.85389, 1450, 'US', 'US-PA', 'Wattsburg', 'no', 'K3G1', '', '3G1', ''),
	('77PA', 'small_airport', 'Nardo Airport', 40.58340072631836, -79.8998031616211, 1140, 'US', 'US-PA', 'Allison Park', 'no', '77PA', '', '77PA', ''),
	('33OI', 'small_airport', 'Soaring Horse Airport', 41.082802, -82.043198, 950, 'US', 'US-OH', 'Spencer', 'no', '33OI', '', '33OI', ''),
	('70OH', 'closed', 'Shenandoah Airpark', 40.92013, -82.4878, 1210, 'US', 'US-OH', 'Shenandoah', 'no', '', '', '', '70OH'),
	('1OI1', 'closed', 'Pauls Airport', 41.428398, -81.064003, 1191, 'US', 'US-OH', 'Middlefield', 'no', '', '', '', '1OI1'),
	('KFKL', 'medium_airport', 'Venango Regional Airport', 41.3778991699, -79.8603973389, 1540, 'US', 'US-PA', 'Franklin', 'no', 'KFKL', 'FKL', 'FKL', ''),
	('8G8', 'small_airport', 'Koons Airport', 40.882676, -80.880849, 1327, 'US', 'US-OH', 'Salem', 'no', 'K8G8', '', '8G8', ''),
	('PS61', 'small_airport', 'Tidioute Airport', 41.69089889526367, -79.36589813232422, 1100, 'US', 'US-PA', 'Tidioute', 'no', 'PS61', '', 'PS61', ''),
	('PS43', 'small_airport', 'Barnes Farmland Airport', 41.07867, -80.25504, 1280, 'US', 'US-PA', 'Volant', 'no', 'PS43', '', 'PS43', ''),
	('3PN9', 'small_airport', 'Phil Cain Memorial Field Ultralight Flightpark', 40.444399, -79.558053, 1210, 'US', 'US-PA', 'Export', 'no', '3PN9', '', '3PN9', ''),
	('KNEX', 'N/A', 'N/A', 40.184776335954666, -79.62807297706604, 355, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8OI3', 'small_airport', 'Allen Airport', 41.3734016418457, -80.66899871826172, 1105, 'US', 'US-OH', 'Cortland', 'no', '8OI3', '', '8OI3', ''),
	('KANO', 'N/A', 'N/A', 41.68402321636677, -80.52141889929771, 323, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OH15', 'small_airport', 'Minerva Airport', 40.74589920043945, -81.14430236816406, 1080, 'US', 'US-OH', 'Minerva', 'no', 'OH15', '', 'OH15', ''),
	('14OI', 'small_airport', 'Pleasant Home Gliding Club Gliderport', 40.9192008972168, -82.11399841308594, 1050, 'US', 'US-OH', 'Pleasant Home', 'no', '14OI', '', '14OI', ''),
	('KGKJ', 'small_airport', 'Port Meadville Airport', 41.626499, -80.214699, 1399, 'US', 'US-PA', 'Meadville', 'no', 'KGKJ', 'MEJ', 'GKJ', '2G6'),
	('6PA4', 'small_airport', 'Scandia Air Park', 41.930599212646484, -79.0342025756836, 2050, 'US', 'US-PA', 'Russell', 'no', '6PA4', '', '6PA4', ''),
	('7OH5', 'small_airport', 'Mahoning County Joint Vocational School Airport', 41.03419876098633, -80.78170013427734, 1130, 'US', 'US-OH', 'Canfield', 'no', '7OH5', '', '7OH5', ''),
	('KFAS', 'N/A', 'N/A', 41.168297454714775, -78.81467342376709, 525, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('57OH', 'closed', 'Fillmans Farms Field', 40.335292, -81.488514, 820, 'US', 'US-OH', 'Port Washington', 'no', '', '', '', '57OH'),
	('KMPG', 'small_airport', 'Marshall County Airport', 39.880798, -80.735802, 1214, 'US', 'US-WV', 'Moundsville', 'no', 'KMPG', '', 'MPG', 'Formerly 74D'),
	('01PA', 'closed', 'Pine Heliport', 40.655602, -80.050903, 1215, 'US', 'US-PA', 'Mars', 'no', '', '', '', '01PA'),
	('5G8', 'small_airport', 'Greensburg Jeannette Regional Airport', 40.376499, -79.608398, 1188, 'US', 'US-PA', 'Jeannette', 'no', '5G8', '', '5G8', ''),
	('1G1', 'small_airport', 'Elyria Airport', 41.33150100708008, -82.10030364990234, 758, 'US', 'US-OH', 'Elyria', 'no', 'K1G1', '', '1G1', ''),
	('9OI6', 'closed', 'Nesta Airport', 40.634277, -82.176919, 950, 'US', 'US-OH', 'Loudonville', 'no', '', '', '', '9OI6'),
	('0PN9', 'closed', 'Paul Personal Use Airport', 41.719501, -79.677803, 1645, 'US', 'US-PA', 'Titusville', 'no', '', '', '', '0PN9'),
	('80PN', 'small_airport', 'Hanny Beaver Airpark Inc Airport', 40.54169845581055, -80.45259857177734, 1220, 'US', 'US-PA', 'Hookstown', 'no', '80PN', '', '80PN', ''),
	('PN37', 'small_airport', 'Fino Airport', 40.605098724365234, -80.45809936523438, 1150, 'US', 'US-PA', 'Hookstown', 'no', 'PN37', '', 'PN37', ''),
	('PS52', 'small_airport', 'Alberter Farms Airport', 40.195098876953125, -78.83280181884766, 2070, 'US', 'US-PA', 'Johnstown', 'no', 'PS52', '', 'PS52', ''),
	('KAKR', 'medium_airport', 'Akron Fulton International Airport', 41.037355, -81.46784, 1067, 'US', 'US-OH', 'Akron', 'no', 'KAKR', 'AKC', 'AKR', 'Akron Executive, NAS Akron.'),
	('2OI8', 'small_airport', 'K & D Airways Airport', 40.86389923095703, -82.42060089111328, 1248, 'US', 'US-OH', 'Mansfield', 'no', '2OI8', '', '2OI8', ''),
	('PN99', 'small_airport', 'Lackawannock Airport', 41.20589828491211, -80.35810089111328, 1300, 'US', 'US-PA', 'Sharon', 'no', 'PN99', '', 'PN99', ''),
	('PS98', 'small_airport', 'Travis Airport', 40.8828010559082, -79.19650268554688, 1320, 'US', 'US-PA', 'Smicksburg', 'no', 'PS98', '', 'PS98', ''),
	('4OH3', 'small_airport', 'Bieber Field', 40.98310089111328, -80.70110321044922, 1035, 'US', 'US-OH', 'North Lima', 'no', '4OH3', '', '4OH3', ''),
	('8PS2', 'small_airport', 'Still Meadow Farm Airport', 41.31060028076172, -80.16280364990234, 1370, 'US', 'US-PA', 'Jackson Center', 'no', '8PS2', '', '8PS2', ''),
	('OA14', 'small_airport', 'Roxford Airport', 40.426367, -81.3202, 872, 'US', 'US-OH', 'Dennison', 'no', 'OA14', '', 'OA14', ''),
	('58PA', 'closed', 'Tallman East Airport', 40.591801, -76.514395, 842, 'US', 'US-PA', 'Tower City', 'no', '', '', '', '58PA'),
	('1OA2', 'small_airport', 'Mole Airport', 41.261206, -81.990906, 854, 'US', 'US-OH', 'Grafton', 'no', '1OA2', '', '1OA2', ''),
	('03G', 'small_airport', 'Thermal G. Ranch Gliderport', 42.020493, -80.071034, 1430, 'US', 'US-PA', 'Erie', 'no', 'K03G', '', '03G', 'PA20'),
	('KERI', 'medium_airport', 'Erie International Tom Ridge Field', 42.083127, -80.173867, 732, 'US', 'US-PA', 'Erie', 'yes', 'KERI', 'ERI', 'ERI', ''),
	('11OA', 'small_airport', 'Hide-A-Way Hills Resort Airport', 39.64310073852539, -82.466796875, 780, 'US', 'US-OH', 'Bremen', 'no', '11OA', '', '11OA', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KFWQ', 'small_airport', 'Rostraver Airport', 40.209702, -79.831398, 1228, 'US', 'US-PA', 'Monongahela', 'no', 'KFWQ', '', 'FWQ', ''),
	('KCGF', 'medium_airport', 'Cuyahoga County Airport', 41.5651016235, -81.4863967896, 879, 'US', 'US-OH', 'Cleveland', 'no', 'KCGF', 'CGF', 'CGF', ''),
	('2D1', 'small_airport', 'Barber Airport', 40.970901, -81.0998, 1062, 'US', 'US-OH', 'Alliance', 'no', '2D1', '', '2D1', ''),
	('38D', 'small_airport', 'Salem Airpark Inc Airport', 40.948101, -80.862099, 1162, 'US', 'US-OH', 'Salem', 'no', 'K38D', '', '38D', ''),
	('KTIO', 'N/A', 'N/A', 41.436252146959305, -79.35058861970901, 489, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OH33', 'closed', 'Humphries Rotordrome Airport', 39.056702, -84.204101, 840, 'US', 'US-OH', 'Amelia', 'no', '', '', '', 'OH33'),
	('75D', 'small_airport', 'P W Johnson Memorial Airport', 39.683998107910156, -80.86229705810547, 632, 'US', 'US-WV', 'New Martinsville', 'no', '75D', '', '75D', ''),
	('22D', 'small_airport', 'Bandel Airport', 40.1306, -80.096199, 1210, 'US', 'US-PA', 'Eighty Four', 'no', '', '', '22D', ''),
	('KLPR', 'small_airport', 'Lorain County Regional Airport', 41.344299, -82.177597, 793, 'US', 'US-OH', 'Lorain/Elyria', 'no', 'KLPR', '', 'LPR', ''),
	('56OI', 'small_airport', 'Double S Farms Airport', 41.20560073852539, -82.331298828125, 898, 'US', 'US-OH', 'Kipton', 'no', '56OI', '', '56OI', ''),
	('KPIT', 'large_airport', 'Pittsburgh International Airport', 40.491501, -80.232903, 1203, 'US', 'US-PA', 'Pittsburgh', 'yes', 'KPIT', 'PIT', 'PIT', ''),
	('OI81', 'small_airport', 'Mollica Airport', 41.0713996887207, -80.75859832763672, 1170, 'US', 'US-OH', 'Austintown', 'no', 'OI81', '', 'OI81', ''),
	('93PA', 'closed', 'Maple Cave Park Airport', 41.50321, -79.881816, 1180, 'US', 'US-PA', 'Cooperstown', 'no', '', '', '', '93PA'),
	('PN25', 'small_airport', 'Lindsay Airport', 40.735599517822266, -79.6886978149414, 1080, 'US', 'US-PA', 'Freeport', 'no', 'PN25', '', 'PN25', ''),
	('PS05', 'small_airport', 'G & N Airport', 41.875301, -80.374802, 985, 'US', 'US-PA', 'Albion', 'no', 'PS05', '', 'PS05', 'Port Albion'),
	('I86', 'small_airport', 'Perry County Airport', 39.691601, -82.1978, 1051, 'US', 'US-OH', 'New Lexington', 'no', 'KI86', '', 'I86', ''),
	('6G5', 'small_airport', 'Barnesville Bradfield Airport', 40.00239944458008, -81.19180297851563, 1312, 'US', 'US-OH', 'Barnesville', 'no', 'K6G5', '', '6G5', ''),
	('PN06', 'small_airport', 'Carlson Airport', 41.903268, -80.103142, 1490, 'US', 'US-PA', 'Washington Township', 'no', '', '', '', 'PN06'),
	('CRM5', 'small_airport', 'Wheatly (Robinson Motorcycles) Airfield', 42.143056, -82.3625, 617, 'CA', 'CA-ON', 'Coatsworth', 'no', 'CRM5', '', 'CRM5', ''),
	('2OA6', 'small_airport', 'Hilltop Airport', 40.08649826049805, -81.58820343017578, 1000, 'US', 'US-OH', 'Cambridge', 'no', '2OA6', '', '2OA6', ''),
	('7D6', 'closed', 'Liberty Airpark', 41.233898, -81.170403, 1220, 'US', 'US-OH', 'Freedom', 'no', '', '', '', '7D6, liberty airpark, freedom airfield'),
	('92PN', 'small_airport', 'Bartsch Airport', 41.067761, -80.294727, 1150, 'US', 'US-PA', 'New Wilmington', 'no', '92PN', '', '92PN', ''),
	('KBKL', 'medium_airport', 'Burke Lakefront Airport', 41.51750183105469, -81.68329620361328, 583, 'US', 'US-OH', 'Cleveland', 'no', 'KBKL', 'BKL', 'BKL', ''),
	('PN59', 'small_airport', 'Stitt Airport', 40.83110046386719, -79.48690032958984, 1200, 'US', 'US-PA', 'Kittanning', 'no', 'PN59', '', 'PN59', ''),
	('6G4', 'small_airport', 'Wynkoop Airport', 40.3651008605957, -82.49569702148438, 1041, 'US', 'US-OH', 'Mount Vernon', 'no', 'K6G4', '', '6G4', ''),
	('70D', 'small_airport', 'Titus Field', 39.49869918823242, -79.85260009765625, 1860, 'US', 'US-WV', 'Arthurdale', 'no', '70D', '', '70D', ''),
	('WV18', 'small_airport', 'Miller Field', 39.40840148925781, -79.01360321044922, 1050, 'US', 'US-WV', 'Keyser', 'no', 'WV18', '', 'WV18', ''),
	('OI64', 'small_airport', 'Bush Field', 41.680599212646484, -81.03019714355469, 1145, 'US', 'US-OH', 'Thompson', 'no', 'OI64', '', 'OI64', ''),
	('OH04', 'heliport', 'Knox Community Hospital Helipad', 40.398827, -82.449024, 1190, 'US', 'US-OH', 'Mount Vernon', 'no', 'OH04', '', 'OH04', ''),
	('KMGW', 'medium_airport', 'Morgantown Municipal Airport Walter L. (Bill) Hart Field', 39.643305, -79.917598, 1248, 'US', 'US-WV', 'Morgantown', 'yes', 'KMGW', 'MGW', 'MGW', ''),
	('8OH7', 'closed', 'Morris Field', 40.882301330566, -80.600303649902, 1250, 'US', 'US-OH', 'East Palestine', 'no', '', '', '', '8OH7, 8OH7, 8OH7'),
	('OI67', 'closed', 'Mc Clain Field', 40.608398, -80.933144, 1250, 'US', 'US-OH', 'Mechanicstown', 'no', '', '', '', 'OI67'),
	('9OA8', 'small_airport', 'Crocker Airport', 41.28229904174805, -81.9489974975586, 830, 'US', 'US-OH', 'Columbia Station', 'no', '9OA8', '', '9OA8', ''),
	('25OH', 'small_airport', 'Hammond Airport', 40.91310119628906, -81.25980377197266, 1050, 'US', 'US-OH', 'Louisville', 'no', '25OH', '', '25OH', ''),
	('8G2', 'small_airport', 'Corry Lawrence Airport', 41.9076, -79.641098, 1766, 'US', 'US-PA', 'Corry', 'no', 'K8G2', '', '8G2', ''),
	('1G8', 'small_airport', 'Eddie Dew Memorial Airpark', 40.475899, -80.628098, 1084, 'US', 'US-OH', 'Toronto', 'no', '1G8', '', '1G8', ''),
	('06OH', 'small_airport', 'Hal Joy Airfield', 41.50979995727539, -80.59120178222656, 1160, 'US', 'US-OH', 'Williamsfield', 'no', '06OH', '', '06OH', ''),
	('6G1', 'small_airport', 'Titusville Airport', 41.608799, -79.741302, 1600, 'US', 'US-PA', 'Titusville', 'no', 'K6G1', '', '6G1', ''),
	('4PS3', 'small_airport', 'Paraport Ultralight Flightpark', 41.787953, -79.517782, 1400, 'US', 'US-PA', 'Warren', 'no', '4PS3', '', '4PS3', ''),
	('70PN', 'small_airport', 'Sanders Personal Use Airport', 41.989200592041016, -79.30110168457031, 1455, 'US', 'US-PA', 'Sugar Grove', 'no', '70PN', '', '70PN', ''),
	('PN18', 'small_airport', 'Fairview Evergreen Airport', 42.02730178833008, -80.24369812011719, 805, 'US', 'US-PA', 'Fairview', 'no', 'PN18', '', 'PN18', ''),
	('P15', 'small_airport', 'Brokenstraw Airport', 41.8326, -79.361603, 1230, 'US', 'US-PA', 'Brokenstraw Township', 'no', 'KP15', '', 'P15', ''),
	('32PN', 'small_airport', 'Black Rock Airport', 40.73400115966797, -80.2759017944336, 1150, 'US', 'US-PA', 'New Brighton', 'no', '32PN', '', '32PN', ''),
	('2OA1', 'small_airport', 'Bristol Airstrip', 41.41510009765625, -80.8843002319336, 865, 'US', 'US-OH', 'Bristolville', 'no', '2OA1', '', '2OA1', ''),
	('KWEG', 'N/A', 'N/A', 40.17533462494612, -79.77835446596146, 297, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0PN1', 'seaplane_base', 'Pete''s Water Landing Seaplane Base', 40.69940185546875, -79.618896484375, 757, 'US', 'US-PA', 'Freeport', 'no', '0PN1', '', '0PN1', ''),
	('PN36', 'small_airport', 'Rayne Airport', 40.7333984375, -79.06729888916016, 1420, 'US', 'US-PA', 'Home', 'no', 'PN36', '', 'PN36', ''),
	('KWIV', 'N/A', 'N/A', 40.29232654720545, -80.78240722417831, 350, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OI01', 'small_airport', 'Lazy-W Airport', 39.51369857788086, -82.4489974975586, 750, 'US', 'US-OH', 'Logan', 'no', 'OI01', '', 'OI01', ''),
	('2G4', 'small_airport', 'Garrett County Airport', 39.580819, -79.33573, 2933, 'US', 'US-MD', 'Accident', 'no', 'K2G4', 'ODM', '2G4', ''),
	('8PN3', 'small_airport', 'McCauley''s Airport', 41.383297, -79.498701, 1571, 'US', 'US-PA', 'Venus', 'no', '8PN3', '', '8PN3', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1PN7', 'N/A', 'N/A', 40.18415842205286, -79.5278500020504, 351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OH90', 'closed', 'Hochstetler Airport', 41.707298, -84.234703, 763, 'US', 'US-OH', 'Lyons', 'no', '', '', '', 'OH90'),
	('3PS9', 'small_airport', 'Risker Field', 40.37839889526367, -80.34950256347656, 1100, 'US', 'US-PA', 'Bulger', 'no', '3PS9', '', '3PS9', ''),
	('80OH', 'small_airport', 'Griffin-Sloas Airport', 41.269031, -80.753508, 885, 'US', 'US-OH', 'Warren', 'no', '80OH', '', '80OH', ''),
	('KLNN', 'small_airport', 'Lake County Executive Airport', 41.683998, -81.389702, 626, 'US', 'US-OH', 'Willoughby', 'no', 'KLNN', 'LNN', 'LNN', 'Willoughby Lost Nation Municipal'),
	('22OI', 'closed', 'Giovannone Airport', 41.148414, -80.839362, 950, 'US', 'US-OH', 'Lordstown', 'no', '', '', '', '22OI, 22OI'),
	('9G1', 'small_airport', 'Pittsburgh Northeast Airport', 40.603287, -79.826038, 1063, 'US', 'US-PA', 'Tarentum', 'no', '', '', '9G1', 'Rock Airport'),
	('KCBE', 'small_airport', 'Greater Cumberland Regional Airport', 39.615398, -78.760902, 775, 'US', 'US-WV', 'Wiley Ford', 'no', 'KCBE', 'CBE', 'CBE', 'Wiley Ford'),
	('PA47', 'small_airport', 'Cloudbound Airport', 39.780799865722656, -77.27870178222656, 600, 'US', 'US-PA', 'Gettysburg', 'no', '', '', 'PA47', ''),
	('OI32', 'small_airport', 'Stoney''s Airport', 41.16822, -81.288046, 1105, 'US', 'US-OH', 'Ravenna', 'no', 'OI32', '', 'OI32', ''),
	('PS66', 'small_airport', 'Parker-Cramer Airport', 41.21149826049805, -79.36090087890625, 1480, 'US', 'US-PA', 'Clarion', 'no', 'PS66', '', 'PS66', ''),
	('4G7', 'small_airport', 'Fairmont Municipal Airport Frankman Field', 39.4482, -80.167, 1029, 'US', 'US-WV', 'Fairmont', 'no', 'K4G7', '', '4G7', ''),
	('1OH7', 'closed', 'Derry Landing Strip', 39.993999, -81.863701, 905, 'US', 'US-OH', 'Sonora', 'no', '', '', '', '1OH7'),
	('PN55', 'small_airport', 'Skala Airport', 39.8583984375, -79.82340240478516, 1270, 'US', 'US-PA', 'Mc Clellandtown', 'no', 'PN55', '', 'PN55', ''),
	('17PS', 'small_airport', 'Mountain Crest Airport', 41.579200744628906, -79.44170379638672, 1641, 'US', 'US-PA', 'Tidioute', 'no', '17PS', '', '17PS', ''),
	('OI62', 'small_airport', 'Rataiczak Airport', 41.47639846801758, -81.31710052490234, 1200, 'US', 'US-OH', 'Russell', 'no', 'OI62', '', 'OI62', ''),
	('2P7', 'small_airport', 'Alderman Airport', 40.05690002441406, -80.96320343017578, 1187, 'US', 'US-OH', 'St Clairsville', 'no', '2P7', '', '2P7', ''),
	('2W8', 'N/A', 'N/A', 40.53233128041029, -81.23785972595215, 327, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PN62', 'small_airport', 'Cataney Airport', 40.375099182128906, -80.29979705810547, 1200, 'US', 'US-PA', 'Midway', 'no', 'PN62', '', 'PN62', ''),
	('2G1', 'small_airport', 'Concord Airpark', 41.66699981689453, -81.19719696044922, 999, 'US', 'US-OH', 'Painesville', 'no', 'K2G1', '', '2G1', ''),
	('OH26', 'closed', 'Birdland Airport', 41.653815, -81.105981, 1160, 'US', 'US-OH', 'Thompson', 'no', '', '', '', 'OH26'),
	('KAXQ', 'small_airport', 'Clarion County Airport', 41.2258, -79.441002, 1458, 'US', 'US-PA', 'Clarion', 'no', 'KAXQ', '', 'AXQ', ''),
	('34OI', 'small_airport', 'Mohican Air Park', 40.6945, -82.117897, 1180, 'US', 'US-OH', 'Lakeville', 'no', '34OI', '', '34OI', 'Snoddy Air Strip'),
	('KMOG', 'N/A', 'N/A', 41.323998011648655, -80.79196527600288, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2PN7', 'small_airport', 'Brennan Personal Use Airport', 40.855848, -80.068772, 1210, 'US', 'US-PA', 'Zelienople', 'no', '2PN7', '', '2PN7', ''),
	('OA07', 'small_airport', 'Hemlock Field', 41.70140075683594, -80.86029815673828, 815, 'US', 'US-OH', 'Rock Creek', 'no', 'OA07', '', 'OA07', ''),
	('OH22', 'small_airport', 'Stoltzfus Airfield', 40.761199951171875, -81.77899932861328, 1130, 'US', 'US-OH', 'Kidron', 'no', 'OH22', '', 'OH22', ''),
	('OI60', 'small_airport', 'Gorman Airport', 40.754798889160156, -82.3916015625, 1230, 'US', 'US-OH', 'Mansfield', 'no', 'OI60', '', 'OI60', ''),
	('1G3', 'small_airport', 'Kent State University Airport', 41.151402, -81.4151, 1134, 'US', 'US-OH', 'Kent', 'no', 'K1G3', '', '1G3', ''),
	('I71', 'small_airport', 'Morgan County Regional Airport', 39.654202, -81.8032, 1000, 'US', 'US-OH', 'McConnelsville', 'no', 'I71', '', 'I71', ''),
	('1D4', 'small_airport', 'Mayfield Airport', 40.99259948730469, -81.43180084228516, 1100, 'US', 'US-OH', 'Akron', 'no', '1D4', '', '1D4', ''),
	('KLIV', 'N/A', 'N/A', 41.77466243505478, -80.47067418694496, 333, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3OH4', 'small_airport', 'Riceland Aerodrome', 41.60390090942383, -80.58979797363281, 1115, 'US', 'US-OH', 'Andover', 'no', '3OH4', '', '3OH4', ''),
	('62OH', 'small_airport', 'Willard Field', 39.694503, -82.467542, 820, 'US', 'US-OH', 'Lancaster', 'no', '62OH', '', '62OH', ''),
	('99PA', 'closed', 'Nielsen Airport', 41.919796, -77.140524, 1040, 'US', 'US-PA', 'Tioga', 'no', '', '', '', '99PA'),
	('KCOR', 'N/A', 'N/A', 41.39340352267027, -80.81377878785133, 286, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('97PA', 'closed', 'Willows Airport', 41.908401, -80.258102, 1225, 'US', 'US-PA', 'Cranesville', 'no', '', '', '', '97PA'),
	('56OH', 'small_airport', 'Richey Airport', 40.90729904174805, -80.55149841308594, 1195, 'US', 'US-OH', 'Petersburg', 'no', '56OH', '', '56OH', ''),
	('PN85', 'small_airport', 'Brandon Airport', 40.87649917602539, -80.03309631347656, 1290, 'US', 'US-PA', 'Prospect', 'no', 'PN85', '', 'PN85', ''),
	('92PA', 'closed', 'Hawkins Field', 40.704201, -79.952003, 1150, 'US', 'US-PA', 'Cooperstown', 'no', '', '', '', '92PA'),
	('10G', 'small_airport', 'Holmes County Airport', 40.537201, -81.954399, 1218, 'US', 'US-OH', 'Millersburg', 'no', 'K10G', '', '10G', ''),
	('85PA', 'closed', 'Krumenacker Airport', 40.5951, -78.778397, 2040, 'US', 'US-PA', 'Carrolltown', 'no', '', '', '', '85PA'),
	('KFAG', 'N/A', 'N/A', 41.78410783410072, -80.12425661087036, 363, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8G6', 'small_airport', 'Harrison County Airport', 40.2384, -81.012901, 1174, 'US', 'US-OH', 'Cadiz', 'no', 'K8G6', '', '8G6', ''),
	('KVVS', 'small_airport', 'Joseph A. Hardy Connellsville Airport', 39.960872, -79.657745, 1267, 'US', 'US-PA', 'Connellsville', 'no', 'KVVS', '', 'VVS', ''),
	('9OH4', 'closed', 'Richards Airport', 41.4039, -82.106499, 690, 'US', 'US-OH', 'Elyria', 'no', '', '', '', '9OH4'),
	('8OH5', 'small_airport', 'Urban Airport', 41.38199996948242, -80.7123031616211, 1045, 'US', 'US-OH', 'Cortland', 'no', '8OH5', '', '8OH5', ''),
	('22PN', 'heliport', 'St. Joseph Medical Center Heliport', 40.375833, -75.979722, 326, 'US', 'US-PA', 'Reading', 'no', '22PN', '', '22PN', ''),
	('18WV', 'small_airport', 'Lynn Airport', 39.41, -79.856667, 1680, 'US', 'US-WV', 'Independence', 'no', '18WV', '', '18WV', 'Newburg'),
	('PN14', 'small_airport', 'Misty Hill Farm Airport', 40.789398193359375, -79.99749755859375, 1243, 'US', 'US-PA', 'Ren Frew', 'no', 'PN14', '', 'PN14', ''),
	('02G', 'small_airport', 'Columbiana County Airport', 40.673302, -80.641403, 1160, 'US', 'US-OH', 'East Liverpool', 'no', 'K02G', '', '02G', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8OA9', 'small_airport', 'Margos Sky Ranch Airport', 41.044498443603516, -81.8156967163086, 1045, 'US', 'US-OH', 'Seville', 'no', '8OA9', '', '8OA9', ''),
	('2G9', 'small_airport', 'Somerset County Airport', 40.039101, -79.014603, 2275, 'US', 'US-PA', 'Somerset', 'no', 'K2G9', '', '2G9', 'Joseph W. Martin Field'),
	('31D', 'small_airport', 'Inter County Airport', 40.331203, -79.780204, 1250, 'US', 'US-PA', 'Irwin', 'no', 'K31D', '', '31D', ''),
	('KHZY', 'medium_airport', 'Northeast Ohio Regional Airport', 41.778, -80.695503, 924, 'US', 'US-OH', 'Ashtabula', 'no', 'KHZY', 'JFN', 'HZY', 'Ashtabula County'),
	('KHRG', 'N/A', 'N/A', 41.16877153515816, -80.0489915907383, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('24OH', 'closed', 'Milburn Airport', 40.8806, -81.291496, 1197, 'US', 'US-OH', 'Louisville', 'no', '', '', '', '24OH, 24OH'),
	('29D', 'small_airport', 'Grove City Airport', 41.146, -80.167702, 1371, 'US', 'US-PA', 'Grove City', 'no', 'K29D', '', '29D', ''),
	('OH07', 'small_airport', 'Sunset Strip', 40.94390106201172, -81.23899841308594, 1190, 'US', 'US-OH', 'Marlboro', 'no', 'OH07', '', 'OH07', ''),
	('KBVI', 'medium_airport', 'Beaver County Airport', 40.772499, -80.391403, 1253, 'US', 'US-PA', 'Beaver Falls', 'no', 'KBVI', 'BFP', 'BVI', ''),
	('04G', 'small_airport', 'Lansdowne Airport', 41.130501, -80.619598, 1044, 'US', 'US-OH', 'Youngstown', 'no', '', '', '04G', ''),
	('OI11', 'small_airport', 'Hibbetts Airport', 40.63742, -81.112141, 1060, 'US', 'US-OH', 'Carrollton', 'no', 'OI11', '', 'OI11', ''),
	('OI27', 'small_airport', 'Checkpoint Charlie Airport', 39.555694, -81.567693, 640, 'US', 'US-OH', 'Lowell', 'no', 'OI27', '', 'OI27', ''),
	('KZZV', 'medium_airport', 'Zanesville Municipal Airport', 39.9444007874, -81.89209747310001, 900, 'US', 'US-OH', 'Zanesville', 'no', 'KZZV', 'ZZV', 'ZZV', ''),
	('WV66', 'small_airport', 'Glendale Fokker Field', 39.948699951200005, -80.7594985962, 648, 'US', 'US-WV', 'Glendale', 'no', 'WV66', 'GWV', 'WV66', ''),
	('65OH', 'small_airport', 'Wiita Farms Airport', 41.07170104980469, -81.7511978149414, 1220, 'US', 'US-OH', 'Sharon Center', 'no', '65OH', '', '65OH', ''),
	('41N', 'small_airport', 'Braceville Airport', 41.212023, -80.970183, 900, 'US', 'US-OH', 'Newton Falls', 'no', '', '', '41N', ''),
	('87PA', 'small_airport', 'Waltman Airport', 40.92649841308594, -79.73870086669922, 1360, 'US', 'US-PA', 'Chicora', 'no', '87PA', '', '87PA', ''),
	('3NK4', 'small_airport', 'Laska Airport', 42.028193, -79.19765, 1480, 'US', 'US-NY', 'Jamestown', 'no', '3NK4', '', '3NK4', ''),
	('11PN', 'small_airport', 'Eakin Airport', 41.3525, -79.732778, 1489, 'US', 'US-PA', 'Cranberry', 'no', '11PN', '', '11PN', ''),
	('PS39', 'small_airport', 'Downes Airport', 40.628299713134766, -78.96029663085938, 1590, 'US', 'US-PA', 'Clymer', 'no', 'PS39', '', 'PS39', ''),
	('09OH', 'N/A', 'N/A', 40.349872671067715, -80.90437397360802, 374, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('85OH', 'closed', 'Tounshendeaux Airport', 41.412609, -80.949245, 838, 'US', 'US-OH', 'West Farmington', 'no', '', '', '', '85OH'),
	('OI88', 'small_airport', 'Mindzak Airfield', 41.011199951171875, -82.43599700927734, 1109, 'US', 'US-OH', 'Greenwich', 'no', 'OI88', '', 'OI88', ''),
	('PN72', 'small_airport', 'Rocky Hollow Field', 40.56919860839844, -78.88249969482422, 1806, 'US', 'US-PA', 'Strongstown', 'no', 'PN72', '', 'PN72', ''),
	('4OI8', 'small_airport', 'Brocker Field', 41.057188, -80.755059, 1170, 'US', 'US-OH', 'Canfield', 'no', '4OI8', '', '4OI8', ''),
	('32OI', 'N/A', 'N/A', 39.63841639459133, -81.62369817495346, 303, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9B9', 'N/A', 'N/A', 41.52262933552265, -80.86036965250969, 282, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('15G', 'small_airport', 'Weltzien Skypark Airport', 41.0284, -81.7985, 1210, 'US', 'US-OH', 'Wadsworth', 'no', '15G', '', '15G', ''),
	('1G5', 'small_airport', 'Medina Municipal Airport', 41.131401, -81.7649, 1190, 'US', 'US-OH', 'Medina', 'no', 'K1G5', '', '1G5', 'Freedom Field'),
	('51OI', 'small_airport', 'Clay''s Rv Airport', 40.855098724365234, -81.5989990234375, 1035, 'US', 'US-OH', 'Canal Fulton', 'no', '51OI', '', '51OI', ''),
	('OI68', 'small_airport', 'Hilty Field', 40.94139862060547, -81.79779815673828, 1000, 'US', 'US-OH', 'Rittman', 'no', 'OI68', '', 'OI68', ''),
	('79OH', 'small_airport', 'Smith-Stewart Field', 41.209800720214844, -80.68309783935547, 1092, 'US', 'US-OH', 'Vienna', 'no', '79OH', '', '79OH', ''),
	('4G5', 'small_airport', 'Monroe County Airport', 39.778999, -81.102798, 1197, 'US', 'US-OH', 'Woodsfield', 'no', 'K4G5', '', '4G5', ''),
	('KAFJ', 'small_airport', 'Washington County Airport', 40.136501, -80.290199, 1184, 'US', 'US-PA', 'Washington', 'no', 'KAFJ', 'WSG', 'AFJ', ''),
	('5G2', 'small_airport', 'Indian Lake Airport', 40.054199, -78.847, 2442, 'US', 'US-PA', 'Central City', 'no', '5G2', '', '5G2', ''),
	('OH97', 'small_airport', 'Carcioppolo Field', 41.356884, -81.214441, 1165, 'US', 'US-OH', 'Auburn Center', 'no', 'OH97', '', 'OH97', ''),
	('PA07', 'closed', 'Bilinski Airport', 42.0145, -80.1201, 1080, 'US', 'US-PA', 'Middleboro', 'no', '', '', '', 'PA07'),
	('PN84', 'small_airport', 'Lake Arthur Field', 40.984191, -80.16243, 1240, 'US', 'US-PA', 'Portersville', 'no', 'PN84', '', 'PN84', 'Kottraba Airport, Pisor Landing Area'),
	('OA85', 'small_airport', 'Riverview Airport', 40.13650131225586, -81.99369812011719, 730, 'US', 'US-OH', 'Dresden', 'no', 'OA85', '', 'OA85', ''),
	('P09', 'small_airport', 'Lakehill Airport', 40.707001, -80.030296, 1030, 'US', 'US-PA', 'Mars', 'no', 'P09', '', 'P09', ''),
	('20OH', 'closed', 'Kruggel Airport', 41.142984, -82.02855, 1055, 'US', 'US-OH', 'Litchfield', 'no', '', '', '', '20OH'),
	('D88', 'small_airport', 'Pratt''s Eastern Divide Airport', 42.149612, -79.684503, 1640, 'US', 'US-NY', 'Mina', 'no', 'KD88', '', 'D88', ''),
	('91OH', 'small_airport', 'Stine Field', 40.7333984375, -81.89289855957031, 1172, 'US', 'US-OH', 'Wooster', 'no', '91OH', '', '91OH', ''),
	('4G0', 'N/A', 'N/A', 40.452630780637264, -79.77491408586502, 363, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('67OH', 'small_airport', 'Harper Ridge Airport', 41.413508, -81.452607, 1235, 'US', 'US-OH', 'Solon', 'no', '67OH', '', '67OH', ''),
	('KDUJ', 'medium_airport', 'DuBois Regional Airport', 41.17829895, -78.8986969, 1817, 'US', 'US-PA', 'Dubois', 'yes', 'KDUJ', 'DUJ', 'DUJ', 'DuBois Jefferson County'),
	('6W0', 'small_airport', 'Wade F Maley Field', 39.40700149536133, -80.27670288085938, 962, 'US', 'US-WV', 'Shinnston', 'no', '6W0', '', '6W0', ''),
	('3G5', 'small_airport', 'Dawson Army Air Field', 39.443698, -79.675231, 1265, 'US', 'US-WV', 'Camp Dawson (Kingwood)', 'no', '', '', '3G5', ''),
	('40OI', 'small_airport', 'M.C.R. Airport', 41.06169891357422, -81.98359680175781, 1155, 'US', 'US-OH', 'Lodi', 'no', '40OI', '', '40OI', ''),
	('PN40', 'small_airport', 'Moorhead Airpark', 42.185348, -79.896098, 805, 'US', 'US-PA', 'North East', 'no', 'PN40', '', 'PN40', ''),
	('PN02', 'small_airport', 'Offutt Acres Airport', 40.984798431396484, -79.56639862060547, 865, 'US', 'US-PA', 'East Brady', 'no', 'PN02', '', 'PN02', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OH42', 'small_airport', 'Hawk''s Nest Airport', 40.54010009765625, -82.393798828125, 1260, 'US', 'US-OH', 'Butler', 'no', 'OH42', '', 'OH42', ''),
	('82PA', 'small_airport', 'Frame Field', 40.39670181274414, -80.3052978515625, 1210, 'US', 'US-PA', 'Candor', 'no', '82PA', '', '82PA', ''),
	('P45', 'small_airport', 'Mount Pleasant/Scottdale Airport', 40.108398, -79.541397, 1160, 'US', 'US-PA', 'Mount Pleasant', 'no', 'P45', '', 'P45', ''),
	('7G8', 'small_airport', 'Geauga County Airport', 41.4496, -81.062897, 1174, 'US', 'US-OH', 'Middlefield', 'no', '', '', '7G8', ''),
	('OI98', 'heliport', 'St. Luke''s Solon Emergency Center Heliport', 41.390098571777, -81.445098876953, 745, 'US', 'US-OH', 'Solon', 'no', '', '', 'OI98', 'OI98'),
	('1OA7', 'small_airport', 'Yoder Airport', 40.84170150756836, -81.24150085449219, 1149, 'US', 'US-OH', 'Louisville', 'no', '1OA7', '', '1OA7', ''),
	('85NK', 'small_airport', 'Campbell Field', 42.155334, -79.015757, 1665, 'US', 'US-NY', 'Randolph', 'no', '85NK', '', '85NK', 'D85, Randolph Airport'),
	('9PS2', 'small_airport', 'J T Willie Airport', 40.80870056152344, -79.6697998046875, 1200, 'US', 'US-PA', 'Worthington', 'no', '9PS2', '', '9PS2', ''),
	('9OI3', 'small_airport', 'Johns Landing Airport', 39.89860153198242, -82.11029815673828, 1000, 'US', 'US-OH', 'Zanesville', 'no', '9OI3', '', '9OI3', ''),
	('WV29', 'small_airport', 'Valley Point Airport', 39.57979965209961, -79.6498031616211, 2000, 'US', 'US-WV', 'Valley Point', 'no', 'WV29', '', 'WV29', ''),
	('KBTP', 'small_airport', 'Pittsburgh/Butler Regional Airport', 40.776901, -79.949699, 1248, 'US', 'US-PA', 'Butler', 'no', 'KBTP', 'BTP', 'BTP', 'Graham Field, Butler-Graham Airport, Butler County-K W Scholter Field'),
	('KCDI', 'small_airport', 'Cambridge Municipal Airport', 39.974998, -81.577599, 799, 'US', 'US-OH', 'Cambridge', 'no', 'KCDI', '', 'CDI', ''),
	('2OI4', 'small_airport', 'Aero Lake Farm Airport', 41.0452995300293, -81.9365005493164, 1195, 'US', 'US-OH', 'Westfield Center', 'no', '2OI4', '', '2OI4', ''),
	('6P7', 'small_airport', 'McVille Airport', 40.734551, -79.59569, 1090, 'US', 'US-PA', 'Freeport', 'no', '', '', '6P7', ''),
	('KIDI', 'small_airport', 'Indiana County–Jimmy Stewart Airport', 40.631119, -79.101884, 1405, 'US', 'US-PA', 'Indiana', 'no', 'KIDI', 'IDI', 'IDI', 'Jimmy Stewart Field'),
	('OH03', 'small_airport', 'Woodworth Airport', 41.792301177978516, -81.05819702148438, 678, 'US', 'US-OH', 'Madison', 'no', 'OH03', '', 'OH03', ''),
	('89OI', 'small_airport', 'Circle C Airport', 41.03889846801758, -80.98400115966797, 1042, 'US', 'US-OH', 'Berlin Center', 'no', '89OI', '', '89OI', ''),
	('73OI', 'small_airport', 'Rick''s Airport', 41.574501037597656, -81.07569885253906, 1265, 'US', 'US-OH', 'Montville', 'no', '73OI', '', '73OI', ''),
	('3G3', 'small_airport', 'Wadsworth Municipal Airport', 41.003101, -81.7565, 974, 'US', 'US-OH', 'Wadsworth', 'no', 'K3G3', '', '3G3', ''),
	('7D8', 'small_airport', 'Gates Airport', 41.3512, -81.099503, 1110, 'US', 'US-OH', 'Garrettsville', 'no', '7D8', '', '7D8', ''),
	('OH29', 'small_airport', 'Petersburg Airport', 40.90060043334961, -80.5553970336914, 1174, 'US', 'US-OH', 'Petersburg', 'no', 'OH29', '', 'OH29', ''),
	('G05', 'small_airport', 'Finleyville Airpark', 40.24589920043945, -80.01229858398438, 1240, 'US', 'US-PA', 'Finleyville', 'no', 'G05', '', 'G05', ''),
	('OH27', 'small_airport', 'Salem Lakefront Airport', 40.807800292969, -80.845397949219, 1170, 'US', 'US-OH', 'Salem', 'no', '', '', 'OH27', 'OH27'),
	('KJHW', 'medium_airport', 'Chautauqua County-Jamestown Airport', 42.15425, -79.254008, 1723, 'US', 'US-NY', 'Jamestown', 'no', 'KJHW', 'JHW', 'JHW', ''),
	('KJST', 'medium_airport', 'John Murtha Johnstown Cambria County Airport', 40.31610107421875, -78.83390045166016, 2284, 'US', 'US-PA', 'Johnstown', 'yes', 'KJST', 'JST', 'JST', ''),
	('3PN6', 'small_airport', 'Gravel Run Airport', 41.742484, -80.07484, 1240, 'US', 'US-PA', 'Saegertown', 'no', '3PN6', '', '3PN6', ''),
	('4OI7', 'closed', 'R & M Aviation Airport', 41.453701, -81.970327, 690, 'US', 'US-OH', 'Avon', 'no', '', '', '', '4OI7'),
	('78OH', 'small_airport', 'Valley City Flying Club Airport', 41.258037, -81.969729, 850, 'US', 'US-OH', 'Valley City', 'no', '78OH', '', '78OH', ''),
	('PS87', 'closed', 'Home Safe Airport', 40.1059, -80.033897, 1140, 'US', 'US-PA', 'Scenery Hill', 'no', '', '', '', 'PS87'),
	('6PA1', 'small_airport', 'Tower Airfield', 40.51029968261719, -79.57980346679688, 1300, 'US', 'US-PA', 'North Washington', 'no', '6PA1', '', '6PA1', ''),
	('OH20', 'closed', 'Spring Valley Farm Airport', 40.9198, -81.701202, 1000, 'US', 'US-OH', 'Marshallville', 'no', '', '', '', 'OH20'),
	('KYNG', 'medium_airport', 'Youngstown Warren Regional Airport', 41.26070023, -80.67910004, 1192, 'US', 'US-OH', 'Youngstown/Warren', 'no', 'KYNG', 'YNG', 'YNG', ''),
	('0PN5', 'small_airport', 'Nichols Airport', 41.77920150756836, -79.59839630126953, 1761, 'US', 'US-PA', 'Spartansburg', 'no', '0PN5', '', '0PN5', ''),
	('0PA5', 'small_airport', 'Fisher Airport', 41.49449920654297, -79.83090209960938, 1500, 'US', 'US-PA', 'Franklin', 'no', '0PA5', '', '0PA5', ''),
	('3OI6', 'small_airport', 'Vogel Airpark', 40.96120071411133, -82.37069702148438, 1028, 'US', 'US-OH', 'Savannah', 'no', '3OI6', '', '3OI6', ''),
	('25OI', 'small_airport', 'Morrison Field', 41.42259979248047, -80.87789916992188, 865, 'US', 'US-OH', 'Bristolville', 'no', '25OI', '', '25OI', ''),
	('2G2', 'small_airport', 'Jefferson County Airpark', 40.359402, -80.700104, 1196, 'US', 'US-OH', 'Steubenville', 'no', 'K2G2', '', '2G2', ''),
	('66OI', 'small_airport', 'Gorman-Green Airport', 40.781386, -82.057614, 1210, 'US', 'US-OH', 'Wooster', 'no', '66OI', '', '66OI', 'Gorman-Freeman Airport'),
	('67D', 'small_airport', 'Reader-Botsford Airport', 41.162601470947266, -82.20269775390625, 864, 'US', 'US-OH', 'Wellington', 'no', '67D', '', '67D', ''),
	('80G', 'small_airport', 'Tri-City Airport', 40.247799, -81.736, 844, 'US', 'US-OH', 'West Lafayette', 'no', '80G', '', '80G', ''),
	('PN11', 'small_airport', 'Reno Airport', 40.889801025390625, -80.48650360107422, 1160, 'US', 'US-PA', 'Enon Valley', 'no', 'PN11', '', 'PN11', ''),
	('I10', 'small_airport', 'Noble County Airport', 39.80099868774414, -81.53630065917969, 879, 'US', 'US-OH', 'Caldwell', 'no', 'KI10', '', 'I10', ''),
	('KBAW', 'N/A', 'N/A', 39.93342250585556, -81.15889191627502, 390, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('88PA', 'small_airport', 'Mc Coy Airport', 40.539199829100006, -80.4131011963, 1200, 'US', 'US-PA', 'Clinton', 'no', '88PA', '', '88PA', ''),
	('7PA1', 'small_airport', 'Warren Airpark', 41.865838, -79.206684, 1790, 'US', 'US-PA', 'Warren', 'no', '7PA1', '', '7PA1', ''),
	('P64', 'N/A', 'N/A', 40.454849638044834, -80.43527841567993, 365, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WV65', 'small_airport', 'Carr Airport', 39.449036, -80.011775, 1670, 'US', 'US-WV', 'Fairmont', 'no', 'WV65', '', 'WV65', ''),
	('93OH', 'closed', 'Gay Airport', 41.044498, -81.185898, 1200, 'US', 'US-OH', 'Atwater', 'no', '', '', '', '93OH'),
	('2PN4', 'small_airport', 'Quemahening Flightpark Ultralightport', 40.0817985534668, -78.94550323486328, 1997, 'US', 'US-PA', 'Stoystown', 'no', '2PN4', '', '2PN4', ''),
	('8OH4', 'small_airport', 'York Aerodrome', 40.84407, -80.703195, 1260, 'US', 'US-OH', 'Leetonia', 'no', '8OH4', '', '8OH4', 'Bartholow'),
	('KPJC', 'small_airport', 'Zelienople Municipal Airport', 40.801601, -80.160698, 898, 'US', 'US-PA', 'Zelienople', 'no', 'KPJC', '', 'PJC', 'Formerly 8G7');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('92D', 'closed', 'Lagrange Airport', 41.202801, -82.115196, 843, 'US', 'US-OH', 'Lagrange', 'no', '', '', '', '92D'),
	('4PS5', 'small_airport', 'Muddy Creek Airport', 39.920502, -79.948198, 1080, 'US', 'US-PA', 'Carmichaels', 'no', '4PS5', '', '4PS5', ''),
	('PN16', 'small_airport', 'Pabst Blue Ribbon Airport', 40.758399963378906, -80.01370239257813, 1250, 'US', 'US-PA', 'Evans City', 'no', 'PN16', '', 'PN16', ''),
	('26OH', 'closed', 'Hitz Airport', 40.877028, -81.294665, 1180, 'US', 'US-OH', 'Louisville', 'no', '', '', '', '26OH'),
	('41OH', 'closed', 'Sleepy Hollow Airport', 40.783699, -81.098999, 1050, 'US', 'US-OH', 'Minerva', 'no', '', '', '', '41OH'),
	('7OH2', 'small_airport', 'Canal Fulton Airport', 40.900299, -81.533699, 1150, 'US', 'US-OH', 'Canal Fulton', 'no', '7OH2', '', '7OH2', ''),
	('PN95', 'small_airport', 'Horne Airport', 40.101349, -80.039035, 1040, 'US', 'US-PA', 'Scenery Hill', 'no', 'PN95', '', 'PN95', ''),
	('N35', 'small_airport', 'Punxsutawney Municipal Airport', 40.966702, -78.93, 1439, 'US', 'US-PA', 'Punxsutawney', 'no', 'KN35', '', 'N35', ''),
	('40OH', 'small_airport', 'Bucks Airport', 41.450479, -81.234512, 1220, 'US', 'US-OH', 'Newbury Township', 'no', '40OH', '', '40OH', ''),
	('42I', 'small_airport', 'Parr Airport', 40.00699996948242, -82.01239776611328, 790, 'US', 'US-OH', 'Zanesville', 'no', 'K42I', '', '42I', ''),
	('PN47', 'small_airport', 'Lohr''s Landing Airport', 40.20830154418945, -79.05580139160156, 1970, 'US', 'US-PA', 'Jennerstown', 'no', 'PN47', '', 'PN47', ''),
	('4G3', 'small_airport', 'Miller Airport', 40.9818, -81.042099, 1070, 'US', 'US-OH', 'North Benton', 'no', '', '', '4G3', ''),
	('3OH8', 'small_airport', 'Gnadenhutten Airport', 40.360802, -81.423302, 842, 'US', 'US-OH', 'Gnadenhutten', 'no', '3OH8', '', '3OH8', ''),
	('9OI8', 'small_airport', 'Brothers Aviation Airport', 40.031558, -81.465425, 1040, 'US', 'US-OH', 'Cambridge', 'no', '9OI8', '', '9OI8', ''),
	('9NY4', 'small_airport', 'Kennedy Airfield', 42.100799560546875, -79.08180236816406, 1760, 'US', 'US-NY', 'Kennedy', 'no', '9NY4', '', '9NY4', ''),
	('4G1', 'small_airport', 'Greenville Municipal Airport', 41.4468, -80.391296, 1202, 'US', 'US-PA', 'Greenville', 'no', '4G1', '', '4G1', ''),
	('OI39', 'small_airport', 'Vensil Farms Airport', 40.1067008972168, -82.1321029663086, 760, 'US', 'US-OH', 'Frazeysburg', 'no', 'OI39', '', 'OI39', ''),
	('29OH', 'small_airport', 'Fox Airport', 40.6864013671875, -81.30259704589844, 1020, 'US', 'US-OH', 'Magnolia', 'no', '29OH', '', '29OH', ''),
	('OH13', 'small_airport', 'Bulick Field', 40.76810073852539, -81.05819702148438, 1285, 'US', 'US-OH', 'Minerva', 'no', 'OH13', '', 'OH13', ''),
	('4PN0', 'small_airport', 'Flying M Ranch Airport', 41.216400146484375, -80.09369659423828, 1348, 'US', 'US-PA', 'Grove City', 'no', '4PN0', '', '4PN0', ''),
	('5OI3', 'small_airport', 'Sheets Field', 41.413700103759766, -80.5248031616211, 1225, 'US', 'US-OH', 'Kinsman', 'no', '5OI3', '', '5OI3', ''),
	('2D7', 'small_airport', 'Beach City Airport', 40.64659881591797, -81.55609893798828, 984, 'US', 'US-OH', 'Beach City', 'no', '2D7', '', '2D7', ''),
	('OA00', 'small_airport', 'Taildragger Airport', 40.117000579833984, -81.57119750976563, 800, 'US', 'US-OH', 'Cambridge', 'no', 'OA00', '', 'OA00', ''),
	('NY89', 'small_airport', 'Goose Creek Airport', 42.078285, -79.393506, 1350, 'US', 'US-NY', 'Jamestown', 'no', 'NY89', '', 'NY89', 'Fairbank Farms'),
	('7OI9', 'small_airport', 'Massengill Airport', 40.069000244140625, -82.13600158691406, 955, 'US', 'US-OH', 'Nashport', 'no', '7OI9', '', '7OI9', ''),
	('PN13', 'small_airport', 'C & W Milliron Flying Field', 41.28730010986328, -79.16639709472656, 1700, 'US', 'US-PA', 'Sigel', 'no', 'PN13', '', 'PN13', ''),
	('36OH', 'small_airport', 'Wright''s Field', 40.19029998779297, -81.9739990234375, 770, 'US', 'US-OH', 'Conesville', 'no', '36OH', '', '36OH', ''),
	('PN31', 'small_airport', 'Sagulla Airport', 41.243099212646484, -80.11419677734375, 1378, 'US', 'US-PA', 'Grove City', 'no', 'PN31', '', 'PN31', ''),
	('PA02', 'small_airport', 'Dillen Personal Airport', 41.85073, -80.11964, 1028, 'US', 'US-PA', 'Edinboro', 'no', 'PA02', '', 'PA02', ''),
	('PA01', 'small_airport', 'Merrys Pymatuning Airport', 41.67509841918945, -80.43450164794922, 1203, 'US', 'US-PA', 'Linesville', 'no', 'PA01', '', 'PA01', ''),
	('PA52', 'small_airport', 'Oberlander Airport', 41.859333, -79.907167, 1626, 'US', 'US-PA', 'Union City', 'no', 'PA52', '', 'PA52', ''),
	('60OA', 'small_airport', 'Flemming Field', 41.400831, -80.578585, 962, 'US', 'US-OH', 'Kinsman', 'no', '60OA', '', '60OA', ''),
	('0OH5', 'small_airport', 'Freeman Swank Farms Airport', 40.59683, -82.43173, 1071, 'US', 'US-OH', 'Butler', 'no', '0OH5', '', '0OH5', ''),
	('OH55', 'closed', 'St Elizabeth Medical Center Heliport', 39.750099, -84.199899, 800, 'US', 'US-OH', 'Dayton', 'no', '', '', '', 'OH55'),
	('7E3', 'small_airport', 'Mills Airport', 41.2384, -81.253799, 1140, 'US', 'US-OH', 'Ravenna', 'no', '', '', '7E3', ''),
	('75PA', 'small_airport', 'Marther Field', 41.87310028076172, -80.45899963378906, 950, 'US', 'US-PA', 'Albion', 'no', '75PA', '', '75PA', ''),
	('WV15', 'small_airport', 'Gerstell Farms Airport', 39.4833984375, -78.92639923095703, 700, 'US', 'US-WV', 'Keyser', 'no', 'WV15', '', 'WV15', ''),
	('OI31', 'small_airport', 'Pheasant Run Airport', 41.709800720214844, -81.12480163574219, 960, 'US', 'US-OH', 'Leroy', 'no', 'OI31', '', 'OI31', ''),
	('KPHD', 'small_airport', 'Harry Clever Field', 40.470901489258, -81.419700622559, 894, 'US', 'US-OH', 'New Philadelphia', 'no', 'KPHD', 'PHD', 'PHD', ''),
	('PS27', 'small_airport', 'Juergensen Airpark and Maritime Facility Airport', 39.73139953613281, -79.375, 1890, 'US', 'US-PA', 'Addison', 'no', 'PS27', '', 'PS27', ''),
	('45OI', 'small_airport', 'Plane Country Airport', 40.56119918823242, -81.54570007324219, 920, 'US', 'US-OH', 'Strasburg', 'no', '45OI', '', '45OI', ''),
	('4G8', 'small_airport', 'Columbia Airport', 41.318802, -81.960197, 813, 'US', 'US-OH', 'Columbia Station', 'no', 'K4G8', '', '4G8', ''),
	('PN57', 'small_airport', 'Marion Center Speedway Airport', 40.8120002746582, -79.03730010986328, 1500, 'US', 'US-PA', 'Marion Center', 'no', 'PN57', '', 'PN57', ''),
	('0PN0', 'small_airport', 'Fletcher Airport', 41.441875, -80.15537, 1335, 'US', 'US-PA', 'Hadley', 'no', '0PN0', '', '0PN0', ''),
	('55OI', 'small_airport', 'Aero Flight Center Airport', 40.858699798583984, -80.5353012084961, 1140, 'US', 'US-OH', 'East Palestine', 'no', '55OI', '', '55OI', ''),
	('PA22', 'closed', 'Hermitage Airport', 41.201389, -80.422604, 1100, 'US', 'US-PA', 'Sharon', 'no', '', '', '', 'PA22'),
	('KLBE', 'medium_airport', 'Arnold Palmer Regional Airport', 40.275902, -79.4048, 1199, 'US', 'US-PA', 'Latrobe', 'yes', 'KLBE', 'LBE', 'LBE', ''),
	('42MD', 'small_airport', 'Herrington Field', 39.46829987, -79.4253006, 2470, 'US', 'US-MD', 'Oakland', 'no', '42MD', '', '42MD', ''),
	('3G6', 'small_airport', 'Tri City Airport', 40.905998, -81, 1188, 'US', 'US-OH', 'Sebring', 'no', 'K3G6', '', '3G6', ''),
	('PN46', 'small_airport', 'River Hill Aviation Airport', 40.56439971923828, -79.5457992553711, 1250, 'US', 'US-PA', 'Apollo', 'no', 'PN46', '', 'PN46', ''),
	('OI41', 'small_airport', 'Far View Airport', 41.29393, -81.156006, 1300, 'US', 'US-OH', 'Hiram', 'no', 'OI41', '', 'OI41', '86D');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('PS64', 'small_airport', 'Morton''s Airport', 41.829873, -80.072308, 1200, 'US', 'US-PA', 'Cambridge Springs', 'no', 'PS64', '', 'PS64', ''),
	('39PN', 'small_airport', 'Nelson''s Run Airport', 41.21590042114258, -80.19760131835938, 1305, 'US', 'US-PA', 'Mercer', 'no', '39PN', '', '39PN', ''),
	('WV57', 'small_airport', 'Mckee Sky Ranch Airport', 39.46310043334961, -79.5425033569336, 2757, 'US', 'US-WV', 'Terra Alta', 'no', 'WV57', '', 'WV57', ''),
	('KPOV', 'small_airport', 'Portage County Regional Airport', 41.210201, -81.251602, 1197, 'US', 'US-OH', 'Ravenna', 'no', 'KPOV', '', 'POV', '29G'),
	('PN66', 'small_airport', 'Dunlea Airpark', 40.42559814453125, -79.36360168457031, 1220, 'US', 'US-PA', 'New Alexandria', 'no', 'PN66', '', 'PN66', ''),
	('5PA9', 'small_airport', 'Taylor Flight Park Ultralightport', 41.18840026855469, -79.28230285644531, 1580, 'US', 'US-PA', 'Strattanville', 'no', '5PA9', '', '5PA9', ''),
	('5OH4', 'closed', 'Armington Airport', 41.734336, -80.875301, 820, 'US', 'US-OH', 'Austinburg', 'no', '', '', '', '5OH4'),
	('OI08', 'closed', 'Davies Air Field', 40.738006, -81.875288, 1200, 'US', 'US-OH', 'Wooster', 'no', '', '', '', 'OI08'),
	('OH36', 'small_airport', 'Riverside Airport', 39.98619842529297, -81.98370361328125, 700, 'US', 'US-OH', 'Zanesville', 'no', 'OH36', '', 'OH36', ''),
	('PN83', 'closed', 'Skunk Hollow Airport', 40.802799, -79.202499, 1380, 'US', 'US-PA', 'Plumville', 'no', '', '', '', 'PN83'),
	('KVTA', 'small_airport', 'Newark Heath Airport', 40.024700164799995, -82.46179962160001, 884, 'US', 'US-OH', 'Newark', 'no', 'KVTA', '', 'VTA', '2I8'),
	('OI45', 'small_airport', 'Shootz Field', 41.265098571777344, -81.65869903564453, 1250, 'US', 'US-OH', 'Richfield', 'no', 'OI45', '', 'OI45', ''),
	('64OH', 'closed', 'O K Dies Airport', 40.898701, -80.929298, 1280, 'US', 'US-OH', 'Salem', 'no', '', '', '', '64OH'),
	('7OH8', 'small_airport', 'Curtis Airport', 41.635771, -81.100724, 1250, 'US', 'US-OH', 'Chardon', 'no', '7OH8', '', '7OH8', ''),
	('KMIF', 'N/A', 'N/A', 39.95027482509613, -79.14840281009674, 619, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCLE', 'large_airport', 'Cleveland Hopkins International Airport', 41.411701, -81.8498, 791, 'US', 'US-OH', 'Cleveland', 'yes', 'KCLE', 'CLE', 'CLE', ''),
	('61OH', 'small_airport', 'Jetway Airport', 41.19810104370117, -81.20950317382813, 1130, 'US', 'US-OH', 'Ravenna', 'no', '61OH', '', '61OH', ''),
	('PA21', 'small_airport', 'West Middlesex Airport', 41.16529846191406, -80.50260162353516, 1100, 'US', 'US-PA', 'West Middlesex', 'no', 'PA21', '', 'PA21', ''),
	('KBLF', 'medium_airport', 'Mercer County Airport', 37.295799, -81.207703, 2857, 'US', 'US-WV', 'Bluefield', 'no', 'KBLF', 'BLF', 'BLF', ''),
	('KSXL', 'small_airport', 'Summersville Airport', 38.231602, -80.870796, 1820, 'US', 'US-WV', 'Mount Lookout', 'no', 'KSXL', '', 'SXL', 'I07'),
	('WV00', 'small_airport', 'Deer Creek Farm Airport', 38.47079849243164, -79.80059814453125, 2650, 'US', 'US-WV', 'Arbovale', 'no', 'WV00', '', 'WV00', ''),
	('VA72', 'small_airport', 'Covington Airport', 36.600101470947266, -80.0386962890625, 940, 'US', 'US-VA', 'Martinsville', 'no', 'VA72', '', 'VA72', ''),
	('27WV', 'small_airport', 'Kurt''s Field', 38.4788193, -81.8036944, 670, 'US', 'US-WV', 'Poca', 'no', '27WV', '', '27WV', ''),
	('KWEP', 'N/A', 'N/A', 39.32159822434187, -79.1694974899292, 797, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('00VA', 'small_airport', 'Vaughan Airport', 36.574964, -78.998437, 551, 'US', 'US-VA', 'Alton', 'no', '00VA', '', '00VA', ''),
	('00VI', 'small_airport', 'Groundhog Mountain Airport', 36.663299560546875, -80.49949645996094, 2680, 'US', 'US-VA', 'Hillsville', 'no', '00VI', '', '00VI', ''),
	('VG22', 'small_airport', 'Rockfish Airport', 37.878819, -78.893558, 760, 'US', 'US-VA', 'Nellysford', 'no', 'VG22', '', 'VG22', 'Rockfish Airpark, Shenandoah Valley Soaring, Wintergreen'),
	('6VA9', 'small_airport', 'Bush Airport', 36.84260177612305, -80.2384033203125, 1500, 'US', 'US-VA', 'Woolwine', 'no', '6VA9', '', '6VA9', ''),
	('3I4', 'small_airport', 'Richwood Municipal Airport', 38.258351, -80.650783, 2486, 'US', 'US-WV', 'Richwood', 'no', 'K3I4', '', '3I4', ''),
	('WV28', 'small_airport', 'Ruth Field STOLport', 39.324306, -80.397627, 1200, 'US', 'US-WV', 'Clarksburg', 'no', 'WV28', '', 'WV28', ''),
	('00WV', 'small_airport', 'Lazy J. Aerodrome', 38.82889938354492, -79.86609649658203, 2060, 'US', 'US-WV', 'Beverly', 'no', '00WV', '', '00WV', ''),
	('WV11', 'closed', 'Swope Farm Airport', 37.566502, -81.619301, 1802, 'US', 'US-WV', 'Fan Rock', 'no', '', '', '', 'WV11'),
	('KMEH', 'N/A', 'N/A', 37.85607744008303, -79.4798693060875, 347, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KUNI', 'small_airport', 'Ohio University Airport', 39.211839, -82.22949, 766, 'US', 'US-OH', 'Albany', 'no', 'KUNI', 'ATO', 'UNI', 'Athens, Gordon K Bush Airport, Snyder Field'),
	('12VA', 'small_airport', 'Hop-Along Airport', 37.78810119628906, -79.7677993774414, 1060, 'US', 'US-VA', 'Clifton Forge', 'no', '12VA', '', '12VA', ''),
	('VG58', 'small_airport', 'Abbott Airport', 36.945202, -79.791942, 981, 'US', 'US-VA', 'Rocky Mount', 'no', 'VG58', '', 'VG58', ''),
	('KMTV', 'small_airport', 'Blue Ridge Airport', 36.630699, -80.018303, 941, 'US', 'US-VA', 'Martinsville', 'no', 'KMTV', '', 'MTV', ''),
	('VG40', 'small_airport', 'Woody Field Airport', 36.886759, -79.863911, 1150, 'US', 'US-VA', 'Rocky Mount', 'no', 'VG40', '', 'VG40', ''),
	('WV32', 'small_airport', 'New River Gorge Airport', 38.0890007019043, -81.06510162353516, 1720, 'US', 'US-WV', 'Lansing', 'no', 'WV32', '', 'WV32', ''),
	('WV09', 'small_airport', 'Mike Ferrell Field', 37.55889, -81.350616, 2220, 'US', 'US-WV', 'Corinne', 'no', 'WV09', '', 'WV09', 'Perry and Hylton'),
	('VA52', 'small_airport', 'Frank Field', 38.4851, -78.945297, 1650, 'US', 'US-VA', 'Harrisonburg', 'no', 'VA52', '', 'VA52', 'Lester Frank'),
	('WV12', 'small_airport', 'Mallory Airport', 38.33509826660156, -81.73179626464844, 880, 'US', 'US-WV', 'South Charleston', 'no', 'WV12', '', 'WV12', ''),
	('8VA6', 'small_airport', 'Flatwoods Airport', 37.73820114135742, -78.96219635009766, 840, 'US', 'US-VA', 'Lovingston', 'no', '8VA6', '', '8VA6', ''),
	('KDAN', 'medium_airport', 'Danville Regional Airport', 36.572899, -79.336098, 571, 'US', 'US-VA', 'Danville', 'no', 'KDAN', 'DAN', 'DAN', ''),
	('6VA4', 'small_airport', 'Summit Airport', 37.284355, -80.068882, 1030, 'US', 'US-VA', 'Salem', 'no', '6VA4', '', '6VA4', 'Trussmark Airport'),
	('OH38', 'small_airport', 'Blue Bird Airport', 39.313217, -81.615157, 780, 'US', 'US-OH', 'Belpre', 'no', 'OH38', '', 'OH38', ''),
	('4WV4', 'small_airport', 'Heaven''s Landing Airstrip', 39.176342, -79.068142, 1220, 'US', 'US-WV', 'Medley', 'no', '4WV4', '', '4WV4', ''),
	('33VA', 'small_airport', 'Fox Fire Airport', 36.7843017578125, -79.04969787597656, 535, 'US', 'US-VA', 'Halifax', 'no', '33VA', '', '33VA', ''),
	('VA06', 'small_airport', 'Deer Run Airport', 36.994300842285156, -80.45449829101563, 2400, 'US', 'US-VA', 'Floyd', 'no', 'VA06', '', 'VA06', ''),
	('W07', 'closed', 'Leon Airport', 38.703499, -81.952202, 563, 'US', 'US-WV', 'Leon', 'no', '', '', '', 'W07'),
	('WV23', 'closed', 'Louis Bennett Field', 39.091499, -80.469498, 1014, 'US', 'US-WV', 'Weston', 'no', '', '', '', 'WV23, WV23');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VA68', 'small_airport', 'Lakeview Aerodrome', 37.116908, -79.603844, 1020, 'US', 'US-VA', 'Moneta', 'no', 'VA68', '', 'VA68', ''),
	('06VA', 'small_airport', 'Mount Horeb Field', 38.249000549316406, -78.85530090332031, 1160, 'US', 'US-VA', 'Grottoes', 'no', '06VA', '', '06VA', ''),
	('0VA1', 'small_airport', 'Johnson Fox Field', 37.23350143432617, -79.58529663085938, 900, 'US', 'US-VA', 'Bedford', 'no', '0VA1', '', '0VA1', ''),
	('KPKB', 'medium_airport', 'Mid Ohio Valley Regional Airport', 39.3451, -81.439201, 858, 'US', 'US-WV', 'Parkersburg (Williamstown)', 'yes', 'KPKB', 'PKB', 'PKB', ''),
	('WV53', 'small_airport', 'Larew Airport', 39.37200164794922, -79.8927993774414, 1790, 'US', 'US-WV', 'Newburg', 'no', 'WV53', '', 'WV53', ''),
	('4VA5', 'small_airport', 'Starr Airport', 37.65959930419922, -78.92220306396484, 640, 'US', 'US-VA', 'Arrington', 'no', '4VA5', '', '4VA5', ''),
	('WV47', 'closed', 'Rexroad Airport', 39.139246, -80.206118, 1350, 'US', 'US-WV', 'Buckhannon', 'no', '', '', '', 'WV47, Clarksburg'),
	('W13', 'small_airport', 'Eagle''s Nest Airport', 38.077099, -78.944199, 1437, 'US', 'US-VA', 'Waynesboro', 'no', 'W13', '', 'W13', ''),
	('I41', 'small_airport', 'Robert Newlon Field', 38.457000732421875, -82.31379699707031, 550, 'US', 'US-WV', 'Huntington', 'no', 'I41', '', 'I41', ''),
	('VA48', 'seaplane_base', 'Lockerman Seaplane Base', 37.03820037841797, -79.59609985351563, 795, 'US', 'US-VA', 'Gretna', 'no', 'VA48', '', 'VA48', ''),
	('KHLX', 'small_airport', 'Twin County Airport', 36.766102, -80.823601, 2693, 'US', 'US-VA', 'Hillsville', 'no', 'KHLX', '', 'HLX', 'Galax'),
	('3I2', 'small_airport', 'Mason County Airport', 38.9146, -82.098602, 643, 'US', 'US-WV', 'Point Pleasant', 'no', 'K3I2', '', '3I2', ''),
	('KLWB', 'medium_airport', 'Greenbrier Valley Airport', 37.857914, -80.400438, 2302, 'US', 'US-WV', 'Lewisburg', 'yes', 'KLWB', 'LWB', 'LWB', ''),
	('WV63', 'small_airport', 'Herold Airport', 38.334599, -80.653099, 2346, 'US', 'US-WV', 'Craigsville', 'no', 'WV63', '', 'WV63', ''),
	('93VA', 'small_airport', 'Timberdoodle Airport', 37.53630065917969, -79.02339935302734, 810, 'US', 'US-VA', 'Amherst', 'no', '93VA', '', '93VA', ''),
	('VA04', 'small_airport', 'Barrows Airport', 37.49209976196289, -79.92870330810547, 1100, 'US', 'US-VA', 'Fincastle', 'no', 'VA04', '', 'VA04', ''),
	('VA13', 'small_airport', 'Breezy Knoll Airport', 37.26539993286133, -79.04280090332031, 785, 'US', 'US-VA', 'Rustburg', 'no', 'VA13', '', 'VA13', ''),
	('0V4', 'small_airport', 'Brookneal/Campbell County Airport', 37.141701, -79.016403, 596, 'US', 'US-VA', 'Gladys', 'no', '', '', '0V4', ''),
	('WV59', 'small_airport', 'Fayette Airport', 38.026798248291016, -81.11979675292969, 1960, 'US', 'US-WV', 'Fayetteville', 'no', 'WV59', '', 'WV59', ''),
	('KLYH', 'medium_airport', 'Lynchburg Regional Airport - Preston Glenn Field', 37.326698, -79.200401, 938, 'US', 'US-VA', 'Lynchburg', 'yes', 'KLYH', 'LYH', 'LYH', ''),
	('79D', 'small_airport', 'Philippi Barbour County Regional Airport', 39.166199, -80.062599, 1755, 'US', 'US-WV', 'Philippi', 'no', '', '', '79D', ''),
	('W99', 'small_airport', 'Grant County Airport', 38.9948997498, -79.1458969116, 963, 'US', 'US-WV', 'Petersburg', 'no', 'W99', 'PGC', 'W99', ''),
	('W22', 'small_airport', 'Upshur County Regional Airport', 39.00049973, -80.2736969, 1635, 'US', 'US-WV', 'Buckhannon', 'no', 'KW22', '', 'W22', ''),
	('6L4', 'small_airport', 'Logan County Airport', 37.855701, -81.915901, 1667, 'US', 'US-WV', 'Logan', 'no', '6L4', '', '6L4', ''),
	('VA83', 'small_airport', 'Fincastle Airport', 37.52239990234375, -79.85199737548828, 1140, 'US', 'US-VA', 'Fincastle', 'no', 'VA83', '', 'VA83', ''),
	('2VA0', 'small_airport', 'Red Birds Airyard Airport', 37.11307, -79.609417, 940, 'US', 'US-VA', 'Moneta', 'no', '2VA0', '', '2VA0', ''),
	('W78', 'small_airport', 'William M Tuck Airport', 36.709999, -78.848, 420, 'US', 'US-VA', 'South Boston', 'no', '', '', 'W78', 'JXY'),
	('OI59', 'small_airport', 'Miller Airport', 39.131699, -81.931801, 690, 'US', 'US-OH', 'Pomeroy', 'no', 'OI59', '', 'OI59', ''),
	('VA75', 'closed', 'Smith Field', 38.30415, -79.507686, 2020, 'US', 'US-VA', 'Mc Dowell', 'no', '', '', '', 'VA75'),
	('VA07', 'small_airport', 'Burkes Garden Airport', 37.096025, -81.369359, 3060, 'US', 'US-VA', 'Tazewell', 'no', 'VA07', '', 'VA07', 'MBC Ranch'),
	('VG16', 'small_airport', 'Landis Airport', 36.624012, -80.169342, 1100, 'US', 'US-VA', 'Patrick Springs', 'no', 'VG16', '', 'VG16', 'Collins Airport'),
	('I18', 'small_airport', 'Jackson County Airport', 38.929798, -81.819504, 758, 'US', 'US-WV', 'Ravenswood', 'no', 'KI18', '', 'I18', ''),
	('0VA2', 'small_airport', 'Riverwood Airport', 37.79650115966797, -79.7667007446289, 1020, 'US', 'US-VA', 'Iron Gate', 'no', '0VA2', '', '0VA2', ''),
	('KHTW', 'small_airport', 'Lawrence County Airpark', 38.419082, -82.494922, 568, 'US', 'US-OH', 'South Point', 'no', 'KHTW', 'HTW', 'HTW', 'Chesapeake, Huntington'),
	('19VA', 'small_airport', 'Flying W Airport', 36.88882, -82.300558, 1760, 'US', 'US-VA', 'Castlewood', 'no', '19VA', '', '19VA', ''),
	('KCKB', 'medium_airport', 'North Central West Virginia Airport', 39.2966, -80.228104, 1217, 'US', 'US-WV', 'Bridgeport', 'yes', 'KCKB', 'CKB', 'CKB', ''),
	('12V', 'small_airport', 'Ona Airpark', 38.44089889526367, -82.20079803466797, 572, 'US', 'US-WV', 'Milton', 'no', 'K12V', '', '12V', ''),
	('KMKJ', 'small_airport', 'Mountain Empire Airport', 36.894901, -81.349899, 2558, 'US', 'US-VA', 'Rural Retreat', 'no', 'KMKJ', '', 'MKJ', ''),
	('9OA3', 'small_airport', 'Bellville Dam Landing Strip', 39.08340072631836, -81.77760314941406, 591, 'US', 'US-OH', 'Long Bottom', 'no', '9OA3', '', '9OA3', ''),
	('KVBW', 'N/A', 'N/A', 38.3666667714715, -78.96027758717537, 354, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2MD8', 'small_airport', 'Greater Gortner Airport', 39.33340072631836, -79.44139862060547, 2500, 'US', 'US-MD', 'Oakland', 'no', '2MD8', '', '2MD8', ''),
	('KUSW', 'N/A', 'N/A', 38.82380571216345, -81.34883344173431, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KVJI', 'small_airport', 'Virginia Highlands Airport', 36.687099, -82.033302, 2087, 'US', 'US-VA', 'Abingdon', 'no', 'KVJI', 'VJI', 'VJI', ''),
	('W91', 'small_airport', 'Smith Mountain Lake Airport', 37.1077, -79.592499, 892, 'US', 'US-VA', 'Moneta', 'no', 'KW91', '', 'W91', ''),
	('KEBD', 'small_airport', 'Southern West Virginia Regional Airport', 37.6818, -82.1221, 1883, 'US', 'US-WV', 'Varney', 'no', 'KEBD', '', 'EBD', 'Appalachian Regional'),
	('VA63', 'closed', 'Twin River Airport', 37.679434, -79.4202, 720, 'US', 'US-VA', 'Glasgow', 'no', '', '', '', 'VA63'),
	('KJFZ', 'small_airport', 'Tazewell County Airport', 37.063702, -81.798302, 2653, 'US', 'US-VA', 'Cedar Bluff', 'no', 'KJFZ', '', 'JFZ', '6V3, KBNK, BNK, Richlands'),
	('WV77', 'small_airport', 'Hinton-Alderson Airport', 37.679647, -80.70969, 1520, 'US', 'US-WV', 'Pence Springs', 'no', 'WV77', '', 'WV77', 'Pence Airways'),
	('VA49', 'closed', 'Robertson Airport', 37.705399, -77.372498, 193, 'US', 'US-VA', 'Hanover', 'no', '', '', '', 'VA49'),
	('44VA', 'small_airport', 'Big Hill Airport', 37.731201171875, -79.81120300292969, 1620, 'US', 'US-VA', 'Eagle Rock', 'no', '44VA', '', '44VA', ''),
	('WV52', 'small_airport', 'Green Bank Observatory Airport', 38.430791, -79.825523, 2710, 'US', 'US-WV', 'Green Bank', 'no', 'WV52', '', 'WV52', 'NRAO Green Bank, National Radio Astronomy Observatory');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WV30', 'small_airport', 'Rainelle Airport', 37.948699951171875, -80.71649932861328, 3446, 'US', 'US-WV', 'Rainelle', 'no', 'WV30', '', 'WV30', ''),
	('82VA', 'small_airport', 'Root Field', 38.17319869995117, -78.96920013427734, 1290, 'US', 'US-VA', 'Verona', 'no', '82VA', '', '82VA', ''),
	('32VA', 'closed', 'Old South Aerodrome', 36.677791, -81.929612, 1970, 'US', 'US-VA', 'Abingdon', 'no', '', '', '', '32VA'),
	('W24', 'small_airport', 'Falwell Airport', 37.377899, -79.1222, 939, 'US', 'US-VA', 'Lynchburg', 'no', 'W24', '', 'W24', ''),
	('W90', 'small_airport', 'New London Airport', 37.271801, -79.335899, 849, 'US', 'US-VA', 'Forest', 'no', 'KW90', '', 'W90', ''),
	('20VG', 'small_airport', 'Hawk Ridge Airport', 37.288700103759766, -79.4468994140625, 760, 'US', 'US-VA', 'Bedford', 'no', '20VG', '', '20VG', ''),
	('KBCB', 'small_airport', 'Virginia Tech Montgomery Executive Airport', 37.207599639899996, -80.4077987671, 2132, 'US', 'US-VA', 'Blacksburg', 'no', 'KBCB', 'BCB', 'BCB', ''),
	('VA00', 'small_airport', 'Brook Hill Farm Airport', 37.928199768066406, -79.1781005859375, 1600, 'US', 'US-VA', 'Steeles Tavern', 'no', 'VA00', '', 'VA00', ''),
	('9W3', 'small_airport', 'Simpson Airport', 39.09339904785156, -80.0259017944336, 1960, 'US', 'US-WV', 'Philippi', 'no', '9W3', '', '9W3', ''),
	('47I', 'N/A', 'N/A', 39.17784657329321, -81.52459904551506, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WV70', 'small_airport', 'Fairview Airport', 38.956199645996094, -79.7886962890625, 2600, 'US', 'US-WV', 'Elkins', 'no', 'WV70', '', 'WV70', ''),
	('1VA3', 'small_airport', 'Tye River Airport', 37.658199310302734, -78.94560241699219, 650, 'US', 'US-VA', 'Lovingston', 'no', '1VA3', '', '1VA3', ''),
	('2WV3', 'small_airport', 'Hales Landing Airport', 39.11631, -81.392512, 650, 'US', 'US-WV', 'Elizabeth', 'no', '2WV3', '', '2WV3', ''),
	('I16', 'small_airport', 'Kee Field', 37.600399, -81.559303, 1783, 'US', 'US-WV', 'Pineville', 'no', '', '', 'I16', ''),
	('48I', 'small_airport', 'Braxton County Airport', 38.68700027, -80.65180206, 1276, 'US', 'US-WV', 'Sutton', 'no', 'K48I', '', '48I', ''),
	('55I', 'small_airport', 'Slate Run Airport', 38.777599, -81.310402, 1000, 'US', 'US-WV', 'Spencer', 'no', '', '', '55I', 'WV76'),
	('WV62', 'small_airport', 'Windwood Fly-In Resort Airport', 39.055099487300005, -79.43139648440001, 3210, 'US', 'US-WV', 'Davis', 'no', 'WV62', '', 'WV62', ''),
	('0VA4', 'small_airport', 'Worley Field', 36.95009994506836, -79.87950134277344, 1219, 'US', 'US-VA', 'Rocky Mount', 'no', '0VA4', '', '0VA4', ''),
	('79VG', 'small_airport', 'Perkey Airport', 37.663873, -79.810749, 1200, 'US', 'US-VA', 'Eagle Rock', 'no', '79VG', '', '79VG', ''),
	('08VA', 'small_airport', 'Springwood Airstrip', 37.55400085449219, -79.74980163574219, 1000, 'US', 'US-VA', 'Buchanan', 'no', '08VA', '', '08VA', ''),
	('3VG9', 'small_airport', 'Potts Landing Airport', 36.711385, -79.136266, 550, 'US', 'US-VA', 'South Boston', 'no', '3VG9', '', '3VG9', 'Birch Creek Plantation Airport'),
	('VG18', 'small_airport', 'Sky Bryce Airport', 38.81589889526367, -78.77030181884766, 1263, 'US', 'US-VA', 'Basye', 'no', 'VG18', '', 'VG18', ''),
	('91VA', 'small_airport', 'Miller Airport', 37.327598571777344, -79.40480041503906, 760, 'US', 'US-VA', 'Bedford', 'no', '91VA', '', '91VA', ''),
	('WV08', 'small_airport', 'Island Airport', 38.220557, -81.528844, 600, 'US', 'US-WV', 'Chesapeake', 'no', 'WV08', '', 'WV08', ''),
	('KSHD', 'medium_airport', 'Shenandoah Valley Regional Airport', 38.263802, -78.8964, 1201, 'US', 'US-VA', 'Weyers Cave', 'yes', 'KSHD', 'SHD', 'SHD', 'Harrisonburg, Staunton, Waynesboro'),
	('KHSP', 'small_airport', 'Ingalls Field', 37.95140076, -79.83390045, 3793, 'US', 'US-VA', 'Hot Springs', 'no', 'KHSP', 'HSP', 'HSP', ''),
	('KUNH', 'N/A', 'N/A', 36.906962022185326, -79.64976355433464, 263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('16VA', 'closed', 'Smith Heliport', 39.150101, -78.2164, 800, 'US', 'US-VA', 'Winchester', 'no', '', '', '', '16VA'),
	('9VA0', 'small_airport', 'Bath Alum Airport', 38.0526008605957, -79.72889709472656, 1779, 'US', 'US-VA', 'Warm Springs', 'no', '9VA0', '', '9VA0', ''),
	('75WV', 'small_airport', 'Nicholson Airport', 39.1659, -80.650806, 1008, 'US', 'US-WV', 'West Union', 'no', '75WV', '', '75WV', ''),
	('97VA', 'small_airport', 'Singleton Airport', 38.21070098876953, -79.7134017944336, 2060, 'US', 'US-VA', 'Warm Springs', 'no', '97VA', '', '97VA', ''),
	('KROA', 'medium_airport', 'Roanoke–Blacksburg Regional Airport', 37.3255, -79.975403, 1175, 'US', 'US-VA', 'Roanoke', 'yes', 'KROA', 'ROA', 'ROA', 'Woodrum Field'),
	('VA85', 'small_airport', 'New Castle International Airport', 37.48350143432617, -80.09980010986328, 1320, 'US', 'US-VA', 'New Castle', 'no', 'VA85', '', 'VA85', ''),
	('VA10', 'small_airport', 'Catawba Valley Airport', 37.28010177612305, -80.30139923095703, 1720, 'US', 'US-VA', 'Blacksburg', 'no', 'VA10', '', 'VA10', ''),
	('8VG4', 'small_airport', 'Buffalo Ridge Airport', 37.605522, -79.016903, 660, 'US', 'US-VA', 'Amherst', 'no', '8VG4', '', '8VG4', ''),
	('KGAS', 'small_airport', 'Gallia Meigs Regional Airport', 38.834099, -82.163399, 566, 'US', 'US-OH', 'Gallipolis', 'no', 'KGAS', '', 'GAS', ''),
	('1VA1', 'small_airport', 'Micro Airport', 36.735198974609375, -80.44879913330078, 2923, 'US', 'US-VA', 'Stuart', 'no', '1VA1', '', '1VA1', ''),
	('9VA7', 'closed', 'Fire Station No. 14 Heliport', 37.3549, -77.415497, 169, 'US', 'US-VA', 'Chester', 'no', '', '', '', '9VA7'),
	('KBKW', 'medium_airport', 'Raleigh County Memorial Airport', 37.7873, -81.124199, 2504, 'US', 'US-WV', 'Beaver', 'yes', 'KBKW', 'BKW', 'BKW', 'Beckley'),
	('VA12', 'small_airport', 'Gravely Airport', 36.64680099487305, -79.7969970703125, 750, 'US', 'US-VA', 'Martinsville', 'no', 'VA12', '', 'VA12', ''),
	('70VA', 'small_airport', 'Burnt Chimney Airport', 37.075027, -79.827193, 1034, 'US', 'US-VA', 'Wirtz', 'no', '70VA', '', '70VA', ''),
	('KPSK', 'small_airport', 'New River Valley Airport', 37.137298583984, -80.678497314453, 2105, 'US', 'US-VA', 'Dublin', 'no', 'KPSK', 'PSK', 'PSK', ''),
	('VG52', 'small_airport', 'Woodridge Field', 37.83919906616211, -78.82170104980469, 663, 'US', 'US-VA', 'Lovingston', 'no', 'VG52', '', 'VG52', ''),
	('57KY', 'small_airport', 'Belcher Regional Airport', 37.36940002441406, -82.32420349121094, 1700, 'US', 'US-KY', 'Belcher', 'no', '57KY', '', '57KY', ''),
	('07VA', 'small_airport', 'Alpha Hotel Airport', 36.81959915161133, -78.78309631347656, 350, 'US', 'US-VA', 'Clover', 'no', '07VA', '', '07VA', ''),
	('I25', 'closed', 'Welch Municipal Airport', 37.418719, -81.531064, 2118, 'US', 'US-WV', 'Welch', 'no', '', '', '', 'I25'),
	('2WV5', 'small_airport', 'Willow Bend Airport', 37.545445, -80.534163, 2150, 'US', 'US-WV', 'Union', 'no', '2WV5', '', '2WV5', ''),
	('KCRW', 'medium_airport', 'Yeager Airport', 38.3731, -81.593201, 981, 'US', 'US-WV', 'Charleston', 'yes', 'KCRW', 'CRW', 'CRW', ''),
	('2VG3', 'small_airport', 'Cub Haven Airport', 38.54859924316406, -78.87110137939453, 1350, 'US', 'US-VA', 'Harrisonburg', 'no', '2VG3', '', '2VG3', ''),
	('22I', 'small_airport', 'Vinton County Airport', 39.328098, -82.441803, 958, 'US', 'US-OH', 'Mc Arthur', 'no', 'K22I', '', '22I', ''),
	('VA11', 'small_airport', 'White Oak Stand Airport', 36.807899475097656, -81.70120239257813, 2100, 'US', 'US-VA', 'Chilhowie', 'no', 'VA11', '', 'VA11', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KGDY', 'N/A', 'N/A', 37.23232872784138, -82.12500035762787, 703, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('81VA', 'small_airport', 'Ferguson Airport', 37.117221, -79.787048, 1050, 'US', 'US-VA', 'Wirtz', 'no', '81VA', '', '81VA', ''),
	('7VA9', 'small_airport', 'Hannah Field', 38.398821, -79.599724, 3049, 'US', 'US-VA', 'Monterey', 'no', '7VA9', '', '7VA9', ''),
	('6VA2', 'small_airport', 'Loury Lester Airpark', 36.741798400878906, -79.8478012084961, 1030, 'US', 'US-VA', 'Martinsville', 'no', '6VA2', '', '6VA2', ''),
	('KEKN', 'medium_airport', 'Elkins-Randolph County Regional Airport', 38.889759, -79.857651, 1987, 'US', 'US-WV', 'Elkins', 'no', 'KEKN', 'EKN', 'EKN', ''),
	('94VA', 'closed', 'Highview Farms Airport', 37.2631, -78.849403, 765, 'US', 'US-VA', 'Appomattox', 'no', '', '', '', '94VA'),
	('4I0', 'N/A', 'N/A', 37.68794819712639, -82.25958958268166, 457, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5VG1', 'N/A', 'N/A', 37.61553894728422, -79.50531676411629, 246, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VG25', 'small_airport', 'Robinson Airport', 37.3484992981, -79.5719985962, 850, 'US', 'US-VA', 'Bedford', 'no', 'VG25', '', 'VG25', ''),
	('KFAE', 'N/A', 'N/A', 35.704744309186935, -80.35214558243752, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('67NC', 'heliport', 'Carolinas ContinueCARE Hospital at Pineville Heliport', 35.093333, -80.872944, 628, 'US', 'US-NC', 'Charlotte', 'no', '67NC', '', '67NC', 'Atrium Health Pineville Heliport, CHS-Pineville Heliport'),
	('KBEX', 'N/A', 'N/A', 35.834128707647324, -81.23390838503838, 333, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1NC0', 'small_airport', 'Delk''s Airport', 35.722406, -79.934889, 460, 'US', 'US-NC', 'Asheboro', 'no', '1NC0', '', '1NC0', ''),
	('SC39', 'small_airport', 'Green Pond Airport', 34.808553, -82.077377, 788, 'US', 'US-SC', 'Woodruff', 'no', 'SC39', '', 'SC39', ''),
	('KHKY', 'medium_airport', 'Hickory Regional Airport', 35.74110031, -81.38950348, 1190, 'US', 'US-NC', 'Hickory', 'no', 'KHKY', 'HKY', 'HKY', ''),
	('35A', 'small_airport', 'Union County, Troy Shelton Field', 34.687046, -81.64105, 610, 'US', 'US-SC', 'Union', 'no', 'K35A', 'USC', '35A', ''),
	('2GC', 'small_airport', 'Grays Creek Airport', 34.8937, -78.843498, 160, 'US', 'US-NC', 'Fayetteville', 'no', '', '', '2GC', ''),
	('KLUX', 'small_airport', 'Laurens County Airport', 34.507099, -81.947197, 697, 'US', 'US-SC', 'Laurens', 'no', 'KLUX', '', 'LUX', 'Formerly 34A'),
	('NR42', 'N/A', 'N/A', 35.452222377061844, -81.4590610563755, 293, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4W7', 'closed', 'Hurdle Field', 36.072278, -79.280639, 680, 'US', 'US-NC', 'Mebane', 'no', '', '', '', '4W7'),
	('N63', 'small_airport', 'Meadow Brook Field', 36.30149841308594, -80.14839935302734, 631, 'US', 'US-NC', 'Walnut Cove', 'no', 'N63', '', 'N63', ''),
	('9NC2', 'small_airport', 'Flyers Airpark', 35.21820068359375, -78.79640197753906, 115, 'US', 'US-NC', 'Linden', 'no', '9NC2', '', '9NC2', ''),
	('1NC1', 'small_airport', 'Ron''s Ultralight Field', 35.811955, -79.23843, 525, 'US', 'US-NC', 'Pittsboro', 'no', '1NC1', '', '1NC1', ''),
	('NR04', 'small_airport', 'Southern Skies Airstrip', 35.960278, -81.173056, 1180, 'US', 'US-NC', 'Taylorsville', 'no', 'NR04', '', 'NR04', ''),
	('39SC', 'small_airport', 'Rizzy Ridge Airport', 35.158436, -81.2256, 775, 'US', 'US-SC', 'Clover', 'no', '39SC', '', '39SC', ''),
	('8NC8', 'small_airport', 'Lake Ridge Aero Park Airport', 36.06010055541992, -78.7833023071289, 309, 'US', 'US-NC', 'Durham', 'no', '8NC8', '', '8NC8', ''),
	('NC29', 'small_airport', 'Bradley Field', 35.62009811401367, -80.59760284423828, 795, 'US', 'US-NC', 'China Grove', 'no', 'NC29', '', 'NC29', ''),
	('SC82', 'small_airport', 'Oakhill Airpark', 34.58470153808594, -82.35169982910156, 837, 'US', 'US-SC', 'Williamson', 'no', 'SC82', '', 'SC82', ''),
	('N61', 'small_airport', 'Hinshaw (Greenacres) Airport', 35.87369918823242, -79.52749633789063, 750, 'US', 'US-NC', 'Liberty', 'no', 'N61', '', 'N61', ''),
	('SC81', 'small_airport', 'Abbeville Airport', 34.1515007019, -82.35369873050001, 550, 'US', 'US-SC', 'Abbeville', 'no', 'SC81', '', 'SC81', ''),
	('SC99', 'small_airport', 'Whiteplains Airport', 33.963902, -81.3592, 520, 'US', 'US-SC', 'Lexington', 'no', '', '', '9SC', 'SC99'),
	('KRCZ', 'small_airport', 'Richmond County Airport', 34.8913, -79.759598, 358, 'US', 'US-NC', 'Rockingham', 'no', 'KRCZ', '', 'RCZ', '45J, Rockingham-Hamlet Airport'),
	('NC77', 'small_airport', 'Chalfant Airport', 35.4556999206543, -80.57559967041016, 587, 'US', 'US-NC', 'Concord', 'no', 'NC77', '', 'NC77', ''),
	('KAKH', 'small_airport', 'Gastonia Municipal Airport', 35.202598, -81.149902, 798, 'US', 'US-NC', 'Gastonia', 'no', 'KAKH', '', 'AKH', '0A6'),
	('09NR', 'small_airport', 'Dakota Air Ranch Airport', 35.650122, -79.650311, 561, 'US', 'US-NC', 'Ramseur', 'no', '09NR', '', '09NR', ''),
	('61NC', 'small_airport', 'Southern Comforts Aerodrome', 34.8713, -78.965599, 175, 'US', 'US-NC', 'Parkton', 'no', '61NC', '', '61NC', 'Southern Comfort Air Ranch'),
	('NC78', 'closed', 'Turbeville Airport', 34.210201, -78.955299, 105, 'US', 'US-NC', 'Tabor City', 'no', '', '', '', 'NC78'),
	('NC02', 'small_airport', 'Boomerang Airport', 35.21260070800781, -81.86650085449219, 850, 'US', 'US-NC', 'Harris', 'no', 'NC02', '', 'NC02', ''),
	('2NC6', 'small_airport', 'Flying M Airport', 35.799598693847656, -80.39620208740234, 845, 'US', 'US-NC', 'Lexington', 'no', '2NC6', '', '2NC6', ''),
	('NC67', 'small_airport', 'Six Oaks Airport', 35.467778, -82.4525, 2015, 'US', 'US-NC', 'Fletcher', 'no', 'NC67', '', 'NC67', ''),
	('NC21', 'small_airport', 'Aero Plantation Airport', 34.991798400878906, -80.74839782714844, 634, 'US', 'US-NC', 'Weddington', 'no', 'NC21', '', 'NC21', ''),
	('NC70', 'closed', 'McKee Airport', 34.506132, -79.105339, 110, 'US', 'US-NC', 'Fairmont', 'no', '', '', '', 'NC70'),
	('NC50', 'small_airport', 'Skyland Airport', 36.460098, -81.361504, 2860, 'US', 'US-NC', 'Jefferson', 'no', 'NC50', '', 'NC50', ''),
	('1NC9', 'small_airport', 'Northbrook International Ultraport Ultralightport', 35.450497, -81.426888, 1030, 'US', 'US-NC', 'Cherryville', 'no', '1NC9', '', '1NC9', ''),
	('NC35', 'closed', 'Spencer Airport', 35.402901, -80.622002, 755, 'US', 'US-NC', 'Concord', 'no', '', '', '', 'NC35'),
	('78NC', 'small_airport', 'Fuquay Airport / Angier Field', 35.543262, -78.750386, 349, 'US', 'US-NC', 'Fuquay-Varina', 'no', '78NC', '', '78NC', ''),
	('SC88', 'small_airport', 'Turner Field', 35.147301, -81.794268, 935, 'US', 'US-SC', 'Chesnee', 'no', 'SC88', '', 'SC88', 'Davis Field'),
	('0A9', 'small_airport', 'Elizabethton Municipal Airport', 36.371201, -82.173302, 1593, 'US', 'US-TN', 'Elizabethton', 'no', '', '', '0A9', ''),
	('28A', 'small_airport', 'Goose Creek Airport', 35.12099838256836, -80.5873031616211, 565, 'US', 'US-NC', 'Indian Trail', 'no', '28A', '', '28A', ''),
	('W88', 'small_airport', 'Air Harbor Airport', 36.17359924316406, -79.8031005859375, 822, 'US', 'US-NC', 'Greensboro', 'no', 'W88', '', 'W88', ''),
	('SC56', 'small_airport', 'Thomason Airfield', 34.36349868774414, -81.99320220947266, 642, 'US', 'US-SC', 'Mountville', 'no', 'SC56', '', 'SC56', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NC15', 'small_airport', 'Raeford Rhyne Airpark', 35.95709991455078, -80.97899627685547, 1140, 'US', 'US-NC', 'Statesville', 'no', 'NC15', '', 'NC15', ''),
	('7NC9', 'small_airport', 'Spencer Field', 35.72740173339844, -79.91110229492188, 460, 'US', 'US-NC', 'Asheboro', 'no', '7NC9', '', '7NC9', ''),
	('36NC', 'closed', 'Greensboro North Airport', 36.253601, -79.908096, 900, 'US', 'US-NC', 'Greensboro', 'no', '', '', '', '36NC'),
	('KEXX', 'small_airport', 'Davidson County Executive Airport', 35.781101, -80.303802, 733, 'US', 'US-NC', 'Lexington', 'no', 'KEXX', '', 'EXX', ''),
	('KMRN', 'small_airport', 'Foothills Regional Airport', 35.820202, -81.611397, 1270, 'US', 'US-NC', 'Morganton', 'no', 'KMRN', 'MRN', 'MRN', 'Morganton-Lenoir'),
	('4NC0', 'small_airport', 'Boyd''s Hawks Creek Airport', 35.89849853515625, -80.61620330810547, 815, 'US', 'US-NC', 'Mocksville', 'no', '4NC0', '', '4NC0', ''),
	('KMEB', 'small_airport', 'Laurinburg Maxton Airport', 34.791901, -79.365799, 216, 'US', 'US-NC', 'Maxton', 'no', 'KMEB', 'MXE', 'MEB', ''),
	('32NC', 'small_airport', 'Hall Field', 34.896400451660156, -79.04309844970703, 175, 'US', 'US-NC', 'Parkton', 'no', '32NC', '', '32NC', ''),
	('94NC', 'small_airport', 'Viking Airport', 35.008988, -79.261766, 295, 'US', 'US-NC', 'Raeford', 'no', '94NC', '', '94NC', ''),
	('KZEF', 'small_airport', 'Elkin Municipal Airport', 36.279998779296875, -80.78610229492188, 1068, 'US', 'US-NC', 'Elkin', 'no', 'KZEF', '', 'ZEF', ''),
	('SC92', 'small_airport', 'Rambos Field', 34.103454, -82.282104, 550, 'US', 'US-SC', 'Abbeville', 'no', 'SC92', '', 'SC92', ''),
	('00SC', 'small_airport', 'Flying O Airport', 34.0093994140625, -80.26719665527344, 150, 'US', 'US-SC', 'Sumter', 'no', '00SC', '', '00SC', ''),
	('KSSC', 'medium_airport', 'Shaw Air Force Base', 33.972698, -80.470596, 241, 'US', 'US-SC', 'Sumter', 'no', 'KSSC', 'SSC', 'SSC', ''),
	('NC79', 'closed', 'Bear Creek Airport', 35.407101, -80.357597, 795, 'US', 'US-NC', 'Mount Pleasant', 'no', '', '', '', 'NC79'),
	('KCAE', 'medium_airport', 'Columbia Metropolitan Airport', 33.938801, -81.119499, 236, 'US', 'US-SC', 'Columbia', 'yes', 'KCAE', 'CAE', 'CAE', ''),
	('8NC6', 'small_airport', 'Brooks Field', 35.693638, -79.411624, 620, 'US', 'US-NC', 'Siler City', 'no', '8NC6', '', '8NC6', ''),
	('SC01', 'closed', 'Sugar Hill Airport', 33.039001, -81.294296, 203, 'US', 'US-SC', 'Allendale', 'no', '', '', '', 'SC01'),
	('1NC6', 'small_airport', 'Arant Airport', 35.055999755859375, -80.45010375976563, 535, 'US', 'US-NC', 'Wingate', 'no', '1NC6', '', '1NC6', ''),
	('51J', 'small_airport', 'Lake City Municipal Airport - CJ Evans Field', 33.8536, -79.768097, 80, 'US', 'US-SC', 'Lake City', 'no', 'K51J', '', '51J', ''),
	('SC13', 'small_airport', 'Darden Airport', 33.840711, -81.185746, 450, 'US', 'US-SC', 'Gaston', 'no', 'SC13', '', 'SC13', ''),
	('6J7', 'small_airport', 'Branhams Airport', 34.282100677490234, -79.92870330810547, 165, 'US', 'US-SC', 'Darlington', 'no', 'K6J7', '', '6J7', ''),
	('53NC', 'small_airport', 'Mynatt Field', 34.378721, -79.079343, 95, 'US', 'US-NC', 'Orrum', 'no', '53NC', '', '53NC', ''),
	('3A4', 'small_airport', 'Greensboro Executive Airport', 35.942001, -79.685527, 737, 'US', 'US-NC', 'Climax', 'no', '', '', '3A4', ''),
	('25SC', 'small_airport', 'Mountain Ridge Airport', 34.96095, -82.337058, 980, 'US', 'US-SC', 'Taylors', 'no', '25SC', '', '25SC', ''),
	('88NC', 'small_airport', 'Corriher Field', 35.6325, -80.685303, 840, 'US', 'US-NC', 'Mount Ulla', 'no', '88NC', '', '88NC', ''),
	('KUDG', 'small_airport', 'Darlington County Airport', 34.449401, -79.890098, 192, 'US', 'US-SC', 'Darlington', 'no', 'KUDG', '', 'UDG', '04J, Darlington County Jetport'),
	('29NC', 'closed', 'Self Field', 35.311755, -81.625296, 930, 'US', 'US-NC', 'Shelby', 'no', '', '', '', '29NC'),
	('KIGX', 'closed', 'Horace Williams Airport', 35.935001, -79.065902, 512, 'US', 'US-NC', 'Chapel Hill', 'no', '', '', '', 'KIGX, IGX, W52, Martindale Field'),
	('KGSP', 'medium_airport', 'Greenville Spartanburg International Airport', 34.895699, -82.218903, 964, 'US', 'US-SC', 'Greer', 'yes', 'KGSP', 'GSP', 'GSP', ''),
	('KSIF', 'small_airport', 'Rockingham County NC Shiloh Airport', 36.437199, -79.850998, 694, 'US', 'US-NC', 'Stoneville', 'no', 'KSIF', '', 'SIF', '78N'),
	('9NC3', 'small_airport', 'Edwards Airport', 35.07080078125, -80.56639862060547, 640, 'US', 'US-NC', 'Monroe', 'no', '9NC3', '', '9NC3', ''),
	('KLBT', 'medium_airport', 'Lumberton Regional Airport', 34.610773, -79.05943, 126, 'US', 'US-NC', 'Lumberton', 'no', 'KLBT', 'LBT', 'LBT', ''),
	('19SC', 'small_airport', 'Sexton Airport', 34.353428, -81.809263, 593, 'US', 'US-SC', 'Kinards', 'no', '19SC', '', '19SC', ''),
	('58J', 'small_airport', 'Huggins Memorial Airport', 34.137699127197266, -79.92060089111328, 143, 'US', 'US-SC', 'Timmonsville', 'no', '58J', '', '58J', ''),
	('9W9', 'small_airport', 'Clio Crop Care Airport', 34.5614013671875, -79.53810119628906, 192, 'US', 'US-SC', 'Clio', 'no', '9W9', '', '9W9', ''),
	('KPOB', 'medium_airport', 'Pope Field', 35.170898, -79.014503, 217, 'US', 'US-NC', 'Fort Bragg', 'no', 'KPOB', 'POB', 'POB', 'Pope AFB, Pope Army Airfield'),
	('0NC1', 'closed', 'Bearwallow Farm Airport', 35.4571, -82.375397, 3608, 'US', 'US-NC', 'Hendersonville', 'no', '', '', '', '0NC1'),
	('8A6', 'N/A', 'N/A', 35.2135543897748, -80.66818132996559, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6J0', 'small_airport', 'Lexington County Airport', 33.794601, -81.245903, 452, 'US', 'US-SC', 'Pelion', 'no', '', '', '6J0', ''),
	('3NC6', 'small_airport', 'Mc Cachren Field', 35.3117980957, -80.644203186, 565, 'US', 'US-NC', 'Harrisburg', 'no', '3NC6', '', '3NC6', ''),
	('71TN', 'N/A', 'N/A', 36.38333346694708, -80.73666661977768, 396, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEHO', 'small_airport', 'Shelby-Cleveland County Regional Airport', 35.2556, -81.600998, 847, 'US', 'US-NC', 'Shelby', 'no', 'KEHO', '', 'EHO', ''),
	('NC32', 'small_airport', 'Rivercliff Airport', 36.025799, -80.436402, 690, 'US', 'US-NC', 'Clemmons', 'no', 'NC32', '', 'NC32', 'Berts Airport'),
	('SC78', 'small_airport', 'King Field', 35.0906982421875, -82.49539947509766, 1250, 'US', 'US-SC', 'Cleveland', 'no', 'SC78', '', 'SC78', ''),
	('NR94', 'small_airport', 'Heavenly Acres Airport', 36.522324, -80.27755, 1050, 'US', 'US-NC', 'Lawsonville', 'no', 'NR94', '', 'NR94', 'https://www.airnav.com/airport/NR94'),
	('NC2', 'small_airport', 'Taylorsville Airport', 35.930801, -81.196702, 1090, 'US', 'US-NC', 'Taylorsville', 'no', '', '', 'NC2', '4NC3'),
	('KMWK', 'small_airport', 'Mount Airy Surry County Airport', 36.45970154, -80.5530014, 1249, 'US', 'US-NC', 'Mount Airy', 'no', 'KMWK', '', 'MWK', ''),
	('KCDN', 'small_airport', 'Woodward Field', 34.2835998535, -80.56490325930001, 302, 'US', 'US-SC', 'Camden', 'no', 'KCDN', 'CDN', 'CDN', ''),
	('KSOP', 'small_airport', 'Moore County Airport', 35.237184, -79.389381, 455, 'US', 'US-NC', 'Carthage', 'no', 'KSOP', 'SOP', 'SOP', ''),
	('SC93', 'closed', 'Paul''s Plantation Airport', 34.366001, -79.824203, 180, 'US', 'US-SC', 'Darlington', 'no', '', '', '', 'SC93'),
	('6NC2', 'small_airport', 'Wilhelm Airport', 35.511199951171875, -80.55809783935547, 750, 'US', 'US-NC', 'Kannapolis', 'no', '6NC2', '', '6NC2', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NC93', 'small_airport', 'South River Airport', 35.777801513671875, -80.50140380859375, 650, 'US', 'US-NC', 'Salisbury', 'no', 'NC93', '', 'NC93', ''),
	('KGYH', 'small_airport', 'Donaldson Field Airport', 34.758301, -82.376404, 955, 'US', 'US-SC', 'Greenville', 'no', 'KGYH', 'GDC', 'GYH', '7A1'),
	('KCUB', 'medium_airport', 'Jim Hamilton L.B. Owens Airport', 33.970500946, -80.9952011108, 193, 'US', 'US-SC', 'Columbia', 'no', 'KCUB', 'CUB', 'CUB', ''),
	('KHVS', 'small_airport', 'Hartsville Regional Airport', 34.4030990601, -80.11920166019999, 364, 'US', 'US-SC', 'Hartsville', 'no', 'KHVS', 'HVS', 'HVS', ''),
	('KSHF', 'N/A', 'N/A', 35.38703665137291, -81.62563472986221, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBEY', 'N/A', 'N/A', 35.85382953286171, -81.30982473492622, 353, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('34SC', 'small_airport', 'Toms Creek Airport', 33.771833, -79.96625, 80, 'US', 'US-SC', 'Kingstree', 'no', '34SC', '', '34SC', ''),
	('N92', 'small_airport', 'Laneys Airport', 35.57429885864258, -81.11730194091797, 1025, 'US', 'US-NC', 'Maiden', 'no', 'N92', '', 'N92', ''),
	('NR02', 'small_airport', 'Jordan Field', 35.237778, -79.995556, 600, 'US', 'US-NC', 'Mount Gilead', 'no', 'NR02', '', 'NR02', ''),
	('KLID', 'N/A', 'N/A', 35.493671894073486, -81.34441003203392, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NC75', 'small_airport', 'Schneider Haven Airstrip', 35.89830017089844, -80.72029876708984, 865, 'US', 'US-NC', 'Harmony', 'no', 'NC75', '', 'NC75', ''),
	('69NC', 'small_airport', 'Clute''s Hilltop Airport', 35.433401, -81.846012, 1078, 'US', 'US-NC', 'Forest City', 'no', '69NC', '', '69NC', ''),
	('KFBG', 'medium_airport', 'Simmons Army Air Field', 35.13180161, -78.93669891, 244, 'US', 'US-NC', 'Fort Bragg', 'no', 'KFBG', 'FBG', 'FBG', ''),
	('33A', 'small_airport', 'Fairview Airport', 35.15729904174805, -82.12229919433594, 1046, 'US', 'US-SC', 'Landrum', 'no', '33A', '', '33A', ''),
	('KIPJ', 'small_airport', 'Lincolnton Lincoln County Regional Airport', 35.483299, -81.161301, 877, 'US', 'US-NC', 'Lincolnton', 'no', 'KIPJ', '', 'IPJ', '5N4'),
	('NC39', 'small_airport', 'Enochville Airport', 35.52429962158203, -80.64779663085938, 789, 'US', 'US-NC', 'Kannapolis', 'no', 'NC39', '', 'NC39', ''),
	('08NC', 'small_airport', 'Whiteheart Farm Airport', 36.06760025024414, -80.4655990600586, 750, 'US', 'US-NC', 'Lewisville', 'no', '08NC', '', '08NC', ''),
	('KGMU', 'medium_airport', 'Greenville Downtown Airport', 34.847903, -82.350217, 1048, 'US', 'US-SC', 'Greenville', 'no', 'KGMU', 'GMU', 'GMU', ''),
	('SC47', 'small_airport', 'Parker Field', 34.76139831542969, -82.1613998413086, 860, 'US', 'US-SC', 'Simpsonville', 'no', 'SC47', '', 'SC47', ''),
	('KPYG', 'small_airport', 'Pageland Airport', 34.7421, -80.3452, 575, 'US', 'US-SC', 'Pageland', 'no', 'KPYG', '', 'PYG', ''),
	('NC14', 'small_airport', 'Boone Inc Airport', 36.196800231933594, -81.6395034790039, 3120, 'US', 'US-NC', 'Boone', 'no', 'NC14', '', 'NC14', ''),
	('KEQY', 'small_airport', 'Charlotte-Monroe Executive Airport', 35.01879883, -80.62020111, 679, 'US', 'US-NC', 'Monroe', 'no', 'KEQY', '', 'EQY', ''),
	('3NC5', 'small_airport', 'Flying Bj Airport', 35.812198638916016, -81.06999969482422, 1000, 'US', 'US-NC', 'Stony Point', 'no', '3NC5', '', '3NC5', ''),
	('S79', 'small_airport', 'Green Sea Airport', 34.186222, -79.020045, 95, 'US', 'US-SC', 'Green Sea', 'no', 'KS79', '', 'S79', ''),
	('1NC2', 'small_airport', 'Atwell Airport', 35.654701232910156, -80.78939819335938, 830, 'US', 'US-NC', 'Mooresville', 'no', '1NC2', '', '1NC2', ''),
	('KMAO', 'small_airport', 'Marion County Airport', 34.181198, -79.334702, 92, 'US', 'US-SC', 'Mullins', 'no', 'KMAO', '', 'MAO', ''),
	('4NC3', 'small_airport', 'Taylorsville Airport', 35.930801, -81.196702, 1090, 'US', 'US-NC', 'Taylorsville', 'no', '', '', 'NC2', '4NC3'),
	('89NC', 'small_airport', 'Strickland Field', 34.26639938354492, -79.02359771728516, 98, 'US', 'US-NC', 'Fair Bluff', 'no', '89NC', '', '89NC', ''),
	('KSVH', 'small_airport', 'Statesville Regional Airport', 35.765301, -80.953903, 968, 'US', 'US-NC', 'Statesville', 'no', 'KSVH', 'SVH', 'SVH', ''),
	('20NC', 'small_airport', 'Mountain View Airport', 35.59239959716797, -81.05590057373047, 1020, 'US', 'US-NC', 'Sherrills Ford', 'no', '20NC', '', '20NC', ''),
	('NC11', 'small_airport', 'Deck Airpark', 35.741501, -78.924698, 338, 'US', 'US-NC', 'Apex', 'no', 'NC11', '', 'NC11', '02W'),
	('2NC8', 'small_airport', 'Goodnight''s Airport', 35.52539825439453, -80.63980102539063, 740, 'US', 'US-NC', 'Kannapolis', 'no', '2NC8', '', '2NC8', ''),
	('44NC', 'small_airport', 'Broadway Airfield', 35.54330062866211, -80.65190124511719, 650, 'US', 'US-NC', 'Landis', 'no', '44NC', '', '44NC', ''),
	('BQ1', 'small_airport', 'Gilliam-McConnell Airfield', 35.341702, -79.436897, 445, 'US', 'US-NC', 'Carthage', 'no', 'KBQ1', '', 'BQ1', '5NC3'),
	('56NC', 'small_airport', 'Wheat Field', 35.20669937133789, -82.03189849853516, 960, 'US', 'US-NC', 'Tryon', 'no', '56NC', '', '56NC', ''),
	('NC34', 'small_airport', 'Miles Airport', 35.97891, -79.12715, 580, 'US', 'US-NC', 'Hillsborough', 'no', 'NC34', '', 'NC34', ''),
	('SC29', 'small_airport', 'Mc Kay Airport', 34.1106987, -79.90149688720001, 135, 'US', 'US-SC', 'Timmonsville', 'no', 'SC29', '', 'SC29', ''),
	('0NC8', 'small_airport', 'Flying S Ranch Airport', 35.755699, -80.735298, 830, 'US', 'US-NC', 'Cleveland', 'no', '0NC8', '', '0NC8', 'Double Creek Ranch'),
	('38NC', 'closed', 'Annie Penn Hospital Heliport', 36.353901, -79.666702, 816, 'US', 'US-NC', 'Reidsville', 'no', '', '', '', '38NC'),
	('68NC', 'small_airport', 'Winstead ''76'' Airport', 36.399600982666016, -79.12809753417969, 615, 'US', 'US-NC', 'Leasburg', 'no', '68NC', '', '68NC', ''),
	('NR20', 'small_airport', 'Raeford West Airport', 35.030554, -79.236649, 280, 'US', 'US-NC', 'Raeford', 'no', 'NR20', '', 'NR20', ''),
	('58NC', 'small_airport', 'Fox Haven Plantation Airport', 35.348434, -82.052915, 800, 'US', 'US-NC', 'Rutherfordton', 'no', '58NC', '', '58NC', ''),
	('KMOU', 'N/A', 'N/A', 35.57490427047014, -81.42761260271072, 326, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('59NC', 'small_airport', 'Mclean Brothers Airport', 36.0974006652832, -79.5552978515625, 696, 'US', 'US-NC', 'Gibsonville', 'no', '59NC', '', '59NC', ''),
	('5NC5', 'small_airport', 'The Duchy Airport', 35.982329, -79.274125, 650, 'US', 'US-NC', 'Haw River', 'no', '5NC5', '', '5NC5', 'Duchy Airpark'),
	('41NC', 'small_airport', 'Sloop Airport', 35.52180099487305, -80.52200317382813, 794, 'US', 'US-NC', 'Kannapolis', 'no', '41NC', '', '41NC', ''),
	('4NC8', 'small_airport', 'Buffalo Creek Airport', 35.422401428222656, -80.62059783935547, 600, 'US', 'US-NC', 'Concord', 'no', '4NC8', '', '4NC8', ''),
	('NC09', 'small_airport', 'Stoneriver Airport', 35.8838996887207, -80.77670288085938, 820, 'US', 'US-NC', 'Statesville', 'no', 'NC09', '', 'NC09', ''),
	('3NC3', 'small_airport', 'Tucker Field', 35.24689865112305, -80.40750122070313, 645, 'US', 'US-NC', 'Locust', 'no', '3NC3', '', '3NC3', ''),
	('2A5', 'small_airport', 'Causey Airport', 35.911800384521484, -79.61759948730469, 723, 'US', 'US-NC', 'Liberty', 'no', 'K2A5', '', '2A5', ''),
	('2NC1', 'small_airport', 'Hawk''s Knoll Airport', 34.997398376464844, -80.8009033203125, 695, 'US', 'US-NC', 'Waxhaw', 'no', '2NC1', '', '2NC1', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8A7', 'small_airport', 'Twin Lakes Airport', 35.914902, -80.456802, 818, 'US', 'US-NC', 'Advance', 'no', '', '', '8A7', ''),
	('NC25', 'small_airport', 'Gold Hill Airport', 35.5089988708, -80.3112030029, 720, 'US', 'US-NC', 'Gold Hill', 'no', 'NC25', '', 'NC25', ''),
	('06NC', 'small_airport', 'Tailwinds Airport', 34.82749938964844, -78.9302978515625, 163, 'US', 'US-NC', 'St. Pauls', 'no', '06NC', '', '06NC', ''),
	('N52', 'small_airport', 'Jaars Townsend Airport', 34.8638, -80.748001, 602, 'US', 'US-NC', 'Waxhaw', 'no', '', '', 'N52', 'NC18'),
	('SC66', 'closed', 'E M M D Plant Heliport', 34.684898, -81.733398, 580, 'US', 'US-SC', 'Union', 'no', '', '', '', 'SC66'),
	('KUKF', 'small_airport', 'Wilkes County Airport', 36.2228012085, -81.09829711910001, 1301, 'US', 'US-NC', 'North Wilkesboro', 'no', 'KUKF', 'IKB', 'UKF', ''),
	('W77', 'N/A', 'N/A', 35.432664044201374, -79.1833546757698, 130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KAFP', 'small_airport', 'Anson County Airport - Jeff Cloud Field', 35.020599, -80.077103, 300, 'US', 'US-NC', 'Wadesboro', 'no', 'KAFP', '', 'AFP', '3A3'),
	('KLKR', 'small_airport', 'Lancaster County-Mc Whirter Field', 34.7229, -80.854599, 486, 'US', 'US-SC', 'Lancaster', 'no', 'KLKR', '', 'LKR', ''),
	('KBUY', 'small_airport', 'Burlington Alamance Regional Airport', 36.048500061035156, -79.47489929199219, 617, 'US', 'US-NC', 'Burlington', 'no', 'KBUY', '', 'BUY', ''),
	('NC40', 'small_airport', 'Holeman Field', 36.499698638916016, -79.11859893798828, 578, 'US', 'US-NC', 'Roxboro', 'no', 'NC40', '', 'NC40', ''),
	('26NC', 'small_airport', 'Boonville Airport', 36.222900390625, -80.7155990600586, 1003, 'US', 'US-NC', 'Boonville', 'no', '26NC', '', '26NC', ''),
	('SC23', 'small_airport', 'Eagles Nest-Fairview Airpark', 33.76764, -81.35772, 460, 'US', 'US-SC', 'Leesville', 'no', 'SC23', '', 'SC23', ''),
	('46SC', 'closed', 'Gaffney Airport', 35.139529, -81.695055, 840, 'US', 'US-SC', 'Gaffney', 'no', '', '', '', '46SC'),
	('4NC6', 'small_airport', 'Cane Creek Airport', 35.441363, -82.482223, 2100, 'US', 'US-NC', 'Fletcher', 'no', '4NC6', '', '4NC6', ''),
	('SC72', 'small_airport', 'Chandelle Airport', 34.824161, -82.14632, 850, 'US', 'US-SC', 'Greer', 'no', 'SC72', '', 'SC72', ''),
	('6A4', 'small_airport', 'Johnson County Airport', 36.41780090332031, -81.82510375976563, 2240, 'US', 'US-TN', 'Mountain City', 'no', 'K6A4', '', '6A4', ''),
	('NC06', 'small_airport', 'Elk River Airport', 36.160474, -81.894809, 3468, 'US', 'US-NC', 'Banner Elk', 'no', 'NC06', '', 'NC06', ''),
	('NR88', 'small_airport', 'Tobacco Road Airport', 35.280564, -79.387797, 478, 'US', 'US-NC', 'Carthage', 'no', 'NR88', '', 'NR88', ''),
	('47NC', 'small_airport', 'Windemere Airport', 35.138099670410156, -78.82279968261719, 98, 'US', 'US-NC', 'Fayetteville', 'no', '47NC', '', '47NC', ''),
	('KGEV', 'small_airport', 'Ashe County Airport', 36.432418, -81.418519, 3180, 'US', 'US-NC', 'Jefferson', 'no', 'KGEV', '', 'GEV', 'NC67'),
	('5J9', 'small_airport', 'Twin City Airport', 34.088402, -78.864899, 99, 'US', 'US-SC', 'Loris', 'no', 'K5J9', '', '5J9', ''),
	('KHYW', 'small_airport', 'Conway Horry County Airport', 33.828499, -79.1222, 35, 'US', 'US-SC', 'Conway', 'no', 'KHYW', '', 'HYW', ''),
	('3NC1', 'small_airport', 'Welborn Farm Airport', 36.20539855957031, -80.65840148925781, 1030, 'US', 'US-NC', 'Boonville', 'no', '3NC1', '', '3NC1', ''),
	('08NR', 'small_airport', 'Bell Mountain Airport', 35.217541, -82.426, 2150, 'US', 'US-NC', 'Zirconia', 'no', '08NR', '', '08NR', ''),
	('3NC0', 'small_airport', 'Clyde Valley Airport', 35.690399169921875, -81.7123031616211, 1100, 'US', 'US-NC', 'Morganton', 'no', '3NC0', '', '3NC0', ''),
	('8NC2', 'small_airport', 'Twin Airpark', 35.289202, -81.785746, 1000, 'US', 'US-NC', 'Caroleen', 'no', '8NC2', '', '8NC2', 'Summey'),
	('6NC8', 'small_airport', 'Marchmont Plantation Airpark', 35.938201904296875, -80.3844985961914, 730, 'US', 'US-NC', 'Advance', 'no', '6NC8', '', '6NC8', ''),
	('9NC9', 'small_airport', 'Meylor Field', 36.209085, -79.894182, 910, 'US', 'US-NC', 'Greensboro', 'no', '9NC9', '', '9NC9', ''),
	('17SC', 'small_airport', 'Carolina Cow Country Airport', 34.53260040283203, -81.88619995117188, 680, 'US', 'US-SC', 'Clinton', 'no', '17SC', '', '17SC', ''),
	('3NC7', 'small_airport', 'Maxwell Airport', 36.5192985534668, -81.13670349121094, 3050, 'US', 'US-NC', 'Sparta', 'no', '3NC7', '', '3NC7', ''),
	('NC27', 'small_airport', 'Lower Creek Airport', 35.94459915161133, -81.49009704589844, 1195, 'US', 'US-NC', 'Lenoir', 'no', 'NC27', '', 'NC27', ''),
	('8NC1', 'small_airport', 'Dean Field', 35.377311, -79.239535, 480, 'US', 'US-NC', 'Cameron', 'no', '8NC1', '', '8NC1', 'Dean Wings Past Airport'),
	('KROF', 'N/A', 'N/A', 34.974131025373936, -79.07464250922203, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6NC4', 'small_airport', 'Brown Airport', 35.905701, -81.139503, 1170, 'US', 'US-NC', 'Taylorsville', 'no', '6NC4', '', '6NC4', 'Brown STOLport'),
	('NC52', 'small_airport', 'Silver Creek Airport', 35.72850036621094, -81.72899627685547, 1020, 'US', 'US-NC', 'Morganton', 'no', 'NC52', '', 'NC52', ''),
	('2SC5', 'small_airport', 'Ridgewood Air Airport', 34.29169845581055, -82.05390167236328, 560, 'US', 'US-SC', 'Waterloo', 'no', '2SC5', '', '2SC5', ''),
	('9A9', 'small_airport', 'Shiflet Field', 35.720699, -82.009804, 1212, 'US', 'US-NC', 'Marion', 'no', '9A9', '', '9A9', ''),
	('KSCR', 'N/A', 'N/A', 35.70427492260933, -79.50429707765579, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SC14', 'small_airport', 'Shealy Airport', 34.062599182128906, -81.40979766845703, 380, 'US', 'US-SC', 'Gilbert', 'no', 'SC14', '', 'SC14', ''),
	('6NC3', 'small_airport', 'Eastover Air Ranch Airport', 35.08639907836914, -78.77220153808594, 160, 'US', 'US-NC', 'Fayetteville', 'no', '6NC3', '', '6NC3', ''),
	('80C', 'small_airport', 'Lone Hickory Airport', 36.060444, -80.69016, 1000, 'US', 'US-NC', 'Yadkinville', 'no', '', '', '80C', 'NC74'),
	('KRUQ', 'small_airport', 'Mid-Carolina Regional Airport', 35.645901, -80.520302, 772, 'US', 'US-NC', 'Salisbury', 'no', 'KRUQ', 'SRW', 'RUQ', 'Rowan County Airport'),
	('SC97', 'small_airport', 'Riverbend Airpark', 34.72669982910156, -82.3396987915039, 920, 'US', 'US-SC', 'Mauldin', 'no', 'SC97', '', 'SC97', ''),
	('5NC1', 'small_airport', 'Tara Airbase Airport', 35.7932014465332, -80.51229858398438, 756, 'US', 'US-NC', 'Mocksville', 'no', '5NC1', '', '5NC1', ''),
	('KVUJ', 'small_airport', 'Stanly County Airport', 35.416698455811, -80.150802612305, 609, 'US', 'US-NC', 'Albemarle', 'no', 'KVUJ', '', 'VUJ', '6A6'),
	('KSMS', 'small_airport', 'Sumter Airport', 33.994998931885, -80.361297607422, 182, 'US', 'US-SC', 'Sumter', 'no', 'KSMS', 'SUM', 'SMS', ''),
	('NC59', 'small_airport', 'Alexander County Airport', 35.85070037841797, -81.14399719238281, 1110, 'US', 'US-NC', 'Taylorsville', 'no', 'NC59', '', 'NC59', ''),
	('16SC', 'small_airport', 'Horseshoe Landing Airport', 34.627473, -81.89903, 600, 'US', 'US-SC', 'Cross Anchor', 'no', '16SC', '', '16SC', 'Southern Aero Sports'),
	('SC76', 'small_airport', 'Unity Aerodrome', 34.80270004272461, -80.68009948730469, 640, 'US', 'US-SC', 'Lancaster', 'no', 'SC76', '', 'SC76', ''),
	('SC48', 'small_airport', 'Byrd Field', 33.884300231933594, -79.99980163574219, 110, 'US', 'US-SC', 'Turbeville', 'no', 'SC48', '', 'SC48', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('3TN0', 'small_airport', 'Indian Springs Airport', 36.535, -82.423889, 1580, 'US', 'US-TN', 'Kingsport', 'no', '3TN0', '', '3TN0', ''),
	('NC05', 'small_airport', 'Bradford Field Airport', 35.408699, -80.794197, 649, 'US', 'US-NC', 'Huntersville', 'no', 'NC05', '', 'NC05', ''),
	('07NC', 'small_airport', 'Hawks Meadow Airport', 34.83319854736328, -80.7511978149414, 625, 'US', 'US-NC', 'Waxhaw', 'no', '07NC', '', '07NC', ''),
	('S19', 'small_airport', 'McCormick County Airport', 33.9081, -82.266899, 459, 'US', 'US-SC', 'McCormick', 'no', '', '', 'S19', 'SC41'),
	('6A5', 'small_airport', 'Warf Airport', 36.323474, -79.709272, 820, 'US', 'US-NC', 'Reidsville', 'no', '', '', '6A5', ''),
	('0A4', 'small_airport', 'Johnson City Airport', 36.363701, -82.308998, 1550, 'US', 'US-TN', 'Johnson City', 'no', 'K0A4', '', '0A4', ''),
	('43NC', 'small_airport', 'Bahnson Airport', 36.02080154418945, -80.51640319824219, 810, 'US', 'US-NC', 'Mocksville', 'no', '43NC', '', '43NC', ''),
	('2SC8', 'small_airport', 'Gaston Airport', 33.785818, -81.092105, 460, 'US', 'US-SC', 'Gaston', 'no', '2SC8', '', '2SC8', ''),
	('KTTA', 'small_airport', 'Raleigh Executive Jetport', 35.583698, -79.1008, 246, 'US', 'US-NC', 'Sanford', 'no', 'KTTA', '', 'TTA', 'Raleigh Exec: The Raleigh Executive Jetport, Raleigh Exec Jetport at Sanford-Lee County, Sanford-Lee County Regional Airport'),
	('13NR', 'small_airport', 'Dusenbury Field', 36.297634, -80.16207, 646, 'US', 'US-NC', 'Walnut Cove', 'no', '13NR', '', '13NR', ''),
	('52J', 'small_airport', 'Lee County Butters Field', 34.244499, -80.236, 211, 'US', 'US-SC', 'Bishopville', 'no', 'K52J', '', '52J', ''),
	('82NC', 'small_airport', 'Pineview Air Airport', 35.308101654052734, -79.07330322265625, 300, 'US', 'US-NC', 'Sanford', 'no', '82NC', '', '82NC', ''),
	('NC58', 'small_airport', 'Gryder-Teague Airport', 35.918656, -81.11942, 1190, 'US', 'US-NC', 'Taylorsville', 'no', 'NC58', '', 'NC58', ''),
	('KJQF', 'medium_airport', 'Concord-Padgett Regional Airport', 35.387798, -80.709099, 705, 'US', 'US-NC', 'Concord', 'yes', 'KJQF', 'USA', 'JQF', '3N8, "NASCAR''s Airport"'),
	('KTDF', 'small_airport', 'Raleigh Regional Airport at Person County', 36.284901, -78.9842, 609, 'US', 'US-NC', 'Timberlake', 'no', 'KTDF', '', 'TDF', ''),
	('0A7', 'small_airport', 'Hendersonville Airport', 35.308258, -82.432948, 2084, 'US', 'US-NC', 'Hendersonville', 'no', '', '', '0A7', ''),
	('4W4', 'small_airport', 'Whitfield Farms Airport', 36.28350067138672, -79.07890319824219, 653, 'US', 'US-NC', 'Hurdle Mills', 'no', '4W4', '', '4W4', ''),
	('NC71', 'small_airport', 'E T Field', 34.91790008544922, -79.05249786376953, 187, 'US', 'US-NC', 'Parkton', 'no', 'NC71', '', 'NC71', ''),
	('KFLO', 'medium_airport', 'Florence Regional Airport', 34.18539810180664, -79.7238998413086, 146, 'US', 'US-SC', 'Florence', 'yes', 'KFLO', 'FLO', 'FLO', ''),
	('SC94', 'small_airport', 'Weaver Field', 33.889400482177734, -79.50640106201172, 75, 'US', 'US-SC', 'Johnsonville', 'no', 'SC94', '', 'SC94', ''),
	('KDCM', 'small_airport', 'Chester Catawba Regional Airport', 34.789299, -81.195801, 656, 'US', 'US-SC', 'Chester', 'no', 'KDCM', '', 'DCM', 'Formerly 9A6'),
	('09NC', 'small_airport', 'William Irving Lewis Airport', 35.32929992675781, -79.02999877929688, 310, 'US', 'US-NC', 'Broadway', 'no', '09NC', '', '09NC', ''),
	('3NC4', 'small_airport', 'Mc Donald Field', 35.05350113, -80.40899658, 545, 'US', 'US-NC', 'Marshville', 'no', '3NC4', '', '3NC4', ''),
	('9NR4', 'small_airport', 'Wolf Pit Airport', 35.355102, -80.431461, 535, 'US', 'US-NC', 'Mount Pleasant', 'no', '9NR4', '', '9NR4', ''),
	('KHBI', 'small_airport', 'Asheboro Regional Airport', 35.65449905, -79.8946991, 671, 'US', 'US-NC', 'Asheboro', 'no', 'KHBI', '', 'HBI', ''),
	('7A8', 'small_airport', 'Avery County Morrison Field', 35.94459915161133, -81.99569702148438, 2750, 'US', 'US-NC', 'Spruce Pine', 'no', 'K7A8', '', '7A8', ''),
	('9NC7', 'small_airport', 'Willow Creek Airport', 35.36970138549805, -80.44000244140625, 572, 'US', 'US-NC', 'Mt Pleasant', 'no', '9NC7', '', '9NC7', ''),
	('5NC2', 'closed', 'Lathan Strip', 34.876301, -80.619202, 575, 'US', 'US-NC', 'Monroe', 'no', '', '', '', '5NC2'),
	('42SC', 'small_airport', 'Chicken Coop Airport', 34.162866, -79.666066, 74, 'US', 'US-SC', 'Florence', 'no', '42SC', '', '42SC', ''),
	('NC63', 'small_airport', 'Robertson Field', 36.135101318359375, -80.18479919433594, 848, 'US', 'US-NC', 'Winston Salem', 'no', 'NC63', '', 'NC63', ''),
	('SC40', 'small_airport', 'Pearson''s Farm Airport', 35.05730056762695, -81.9448013305664, 850, 'US', 'US-SC', 'Spartanburg', 'no', 'SC40', '', 'SC40', ''),
	('46NC', 'small_airport', 'Brown Field', 34.892799377441406, -80.37329864501953, 400, 'US', 'US-NC', 'Marshville', 'no', '46NC', '', '46NC', ''),
	('6NC1', 'small_airport', 'Little Mountain Airport', 35.591767, -81.080421, 1030, 'US', 'US-NC', 'Denver', 'no', '6NC1', '', '6NC1', '66A'),
	('18SC', 'closed', 'Connelly Field', 34.271324, -81.77285, 570, 'US', 'US-SC', 'Silverstreet', 'no', '', '', '', '18SC'),
	('93TN', 'small_airport', 'Center Field', 36.360809, -82.45044, 1700, 'US', 'US-TN', 'Gray', 'no', '93TN', '', '93TN', ''),
	('NC42', 'small_airport', 'Piney Ridge Airport', 36.07210159301758, -80.69979858398438, 960, 'US', 'US-NC', 'Yadkinville', 'no', 'NC42', '', 'NC42', ''),
	('KBBP', 'small_airport', 'Marlboro County Jetport - H E Avent Field Airport', 34.6217, -79.734398, 147, 'US', 'US-SC', 'Bennettsville', 'no', 'KBBP', 'BTN', 'BBP', ''),
	('01SC', 'small_airport', 'York Airport', 35.032100677490234, -81.25279998779297, 779, 'US', 'US-SC', 'York', 'no', '01SC', '', '01SC', ''),
	('78A', 'small_airport', 'Swan Creek Airport', 36.20240020751953, -80.86810302734375, 1135, 'US', 'US-NC', 'Jonesville', 'no', '78A', '', '78A', ''),
	('NR77', 'N/A', 'N/A', 35.48611108213663, -78.85027796030045, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('24NC', 'small_airport', 'Mc Gee Field', 35.1272010803, -80.47499847410002, 550, 'US', 'US-NC', 'Monroe', 'no', '24NC', '', '24NC', ''),
	('6NR6', 'small_airport', 'Patton Valley Airport', 35.662518, -81.873239, 1270, 'US', 'US-NC', 'Nebo', 'no', '6NR6', '', '6NR6', ''),
	('NC19', 'small_airport', 'Propst Airport', 35.391035, -80.57527, 621, 'US', 'US-NC', 'Concord', 'no', 'NC19', '', 'NC19', '0A1'),
	('80NC', 'closed', 'May Airport', 35.999001, -79.689301, 777, 'US', 'US-NC', 'Greensboro', 'no', '', '', '', '80NC'),
	('NC00', 'small_airport', 'Moretz Riverside Landing Airport', 35.560001373291016, -79.193603515625, 326, 'US', 'US-NC', 'Sanford', 'no', 'NC00', '', 'NC00', ''),
	('3GE8', 'small_airport', 'Prater Ranch Airport', 33.843616, -82.478807, 460, 'US', 'US-GA', 'Lincolnton', 'no', '3GE8', '', '3GE8', ''),
	('0NC7', 'small_airport', 'Lindsay Airport', 36.36481, -79.99614, 700, 'US', 'US-NC', 'Madison', 'no', '0NC7', '', '0NC7', ''),
	('SC89', 'small_airport', 'Price Airport', 34.474998474121094, -79.39360046386719, 138, 'US', 'US-SC', 'Dillon', 'no', 'SC89', '', 'SC89', ''),
	('SC58', 'closed', 'Hartness Airport', 34.847099, -82.251801, 850, 'US', 'US-SC', 'Greenville', 'no', '', '', '', 'SC58'),
	('NC26', 'small_airport', 'Long Island Airpark', 35.661718, -80.971705, 864, 'US', 'US-NC', 'Catawba', 'no', 'NC26', '', 'NC26', ''),
	('KLOC', 'N/A', 'N/A', 35.2990997582674, -80.45849695801735, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SC43', 'small_airport', 'Moores Field', 34.593685, -82.399002, 871, 'US', 'US-SC', 'Williamston', 'no', 'SC43', '', 'SC43', 'Moore''s'),
	('KCLT', 'large_airport', 'Charlotte Douglas International Airport', 35.2140007019043, -80.94309997558594, 748, 'US', 'US-NC', 'Charlotte', 'yes', 'KCLT', 'CLT', 'CLT', ''),
	('55SC', 'small_airport', 'Falls Landing', 34.909197, -81.07466, 587, 'US', 'US-SC', 'Rock Hill', 'no', '', '', '55SC', 'SC67, Country Squire Airport'),
	('9NR8', 'small_airport', 'Buie Field', 34.793333, -79.193611, 203, 'US', 'US-NC', 'Red Springs', 'no', '9NR8', '', '9NR8', ''),
	('KTRI', 'medium_airport', 'Tri-Cities Regional TN/VA Airport', 36.475201, -82.407401, 1519, 'US', 'US-TN', 'Blountville', 'yes', 'KTRI', 'TRI', 'TRI', ''),
	('30NC', 'small_airport', 'Happy Bottom Airport', 36.04859924316406, -80.45690155029297, 705, 'US', 'US-NC', 'Advance', 'no', '30NC', '', '30NC', ''),
	('N83', 'small_airport', 'DS Butler Farm and Airfield', 36.195099, -80.005302, 950, 'US', 'US-NC', 'Oak Ridge', 'no', '', '', 'N83', ''),
	('NC60', 'heliport', 'Atrium Health Cabarrus Heliport', 35.435101, -80.601382, 711, 'US', 'US-NC', 'Concord', 'no', 'NC60', '', 'NC60', 'CHS Northeast Medical Center Heliport'),
	('62NR', 'small_airport', 'West Airport', 35.429444, -80.450277, 700, 'US', 'US-NC', 'Mount Pleasant', 'no', '', '', '62NR', ''),
	('NC13', 'small_airport', 'Yorks Field', 35.753566, -79.667933, 571, 'US', 'US-NC', 'Ramseur', 'no', 'NC13', '', 'NC13', ''),
	('KUZA', 'small_airport', 'Rock Hill - York County Airport', 34.9878006, -81.05719757, 666, 'US', 'US-SC', 'Rock Hill', 'no', 'KUZA', 'RKH', 'UZA', '29J, Bryant Field'),
	('T73', 'small_airport', 'Kirk Air Base', 34.67430114746094, -80.68229675292969, 578, 'US', 'US-SC', 'Lancaster', 'no', 'T73', '', 'T73', ''),
	('KMMT', 'medium_airport', 'Mc Entire Joint National Guard Base', 33.92079926, -80.80130005, 254, 'US', 'US-SC', 'Eastover', 'no', 'KMMT', 'MMT', 'MMT', ''),
	('SC44', 'small_airport', 'El Porvenir Airpark', 34.12879944, -80.54730225, 250, 'US', 'US-SC', 'Boykin', 'no', 'SC44', '', 'SC44', ''),
	('KOAG', 'N/A', 'N/A', 35.074335001409054, -82.21687138080597, 298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SC61', 'small_airport', 'Wild Irish Rose Airport', 34.61790084838867, -80.15170288085938, 376, 'US', 'US-SC', 'Cheraw', 'no', 'SC61', '', 'SC61', ''),
	('KGIB', 'N/A', 'N/A', 36.00014436990023, -79.59130123257637, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KRDU', 'large_airport', 'Raleigh Durham International Airport', 35.877602, -78.787498, 435, 'US', 'US-NC', 'Raleigh/Durham', 'yes', 'KRDU', 'RDU', 'RDU', ''),
	('8NC', 'small_airport', 'Adams Airport', 34.576023, -79.248828, 143, 'US', 'US-NC', 'Rowland', 'no', '', '', '8NC', '8NC5'),
	('71NC', 'small_airport', 'K & D Airport', 36.263961, -79.450216, 800, 'US', 'US-NC', 'Elon', 'no', '71NC', '', '71NC', ''),
	('12SC', 'small_airport', 'Over the Hill Airport', 34.14139938354492, -80.74669647216797, 250, 'US', 'US-SC', 'Elgin', 'no', '12SC', '', '12SC', ''),
	('1NC8', 'small_airport', 'Lonesome Field', 35.5158, -80.258102, 665, 'US', 'US-NC', 'Gold Hill', 'no', '1NC8', '', '1NC8', 'Richfield'),
	('6J5', 'N/A', 'N/A', 33.915269672870636, -80.12854903936386, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NC30', 'small_airport', 'Miller Air Park', 35.61399841308594, -80.74150085449219, 864, 'US', 'US-NC', 'Mooresville', 'no', 'NC30', '', 'NC30', ''),
	('3SC4', 'small_airport', 'Crooked Fence Farm Airport', 34.771301, -81.98822, 645, 'US', 'US-SC', 'Woodruff', 'no', '3SC4', '', '3SC4', ''),
	('35NC', 'small_airport', 'Johnston Airport', 35.538299560546875, -80.75140380859375, 715, 'US', 'US-NC', 'Mooresville', 'no', '35NC', '', '35NC', ''),
	('NC03', 'small_airport', 'Darr Field', 35.906607, -79.989223, 874, 'US', 'US-NC', 'High Point', 'no', 'NC03', '', 'NC03', ''),
	('66SC', 'small_airport', 'The Flying Few Airport', 35.034057, -82.298508, 1001, 'US', 'US-SC', 'Greer', 'no', '66SC', '', '66SC', ''),
	('84NC', 'small_airport', 'Rooster Field', 35.272724, -79.248548, 340, 'US', 'US-NC', 'Cameron', 'no', '84NC', '', '84NC', ''),
	('SC60', 'small_airport', 'Cockfield Aerodrome', 33.90409851074219, -79.68399810791016, 82, 'US', 'US-SC', 'Scranton', 'no', 'SC60', '', 'SC60', ''),
	('43A', 'small_airport', 'Montgomery County Airport', 35.384097, -79.790546, 628, 'US', 'US-NC', 'Star', 'no', '', '', '43A', ''),
	('75NR', 'small_airport', 'Hamptonville Airport', 36.092013, -80.788975, 1028, 'US', 'US-NC', 'Hamptonville', 'no', '75NR', '', '75NR', ''),
	('6J4', 'small_airport', 'Saluda County Airport', 33.9268, -81.794601, 555, 'US', 'US-SC', 'Saluda', 'no', 'K6J4', '', '6J4', ''),
	('28NR', 'small_airport', 'Dry Pond Airport', 35.3475, -81.995001, 1130, 'US', 'US-NC', 'Rutherfordton', 'no', '28NR', '', '28NR', ''),
	('KGSO', 'medium_airport', 'Piedmont Triad International Airport', 36.097801, -79.937302, 925, 'US', 'US-NC', 'Greensboro', 'yes', 'KGSO', 'GSO', 'GSO', ''),
	('NC37', 'small_airport', 'Mountain View Aerodrome', 36.338952, -79.823295, 800, 'US', 'US-NC', 'Reidsville', 'no', 'NC37', '', 'NC37', ''),
	('SC79', 'small_airport', 'Bermuda High Gliderport', 34.61130142211914, -80.44979858398438, 550, 'US', 'US-SC', 'Lancaster', 'no', 'SC79', '', 'SC79', ''),
	('21SC', 'small_airport', 'Graham Airport', 34.347900390625, -79.87999725341797, 154, 'US', 'US-SC', 'Darlington', 'no', '21SC', '', '21SC', ''),
	('14A', 'small_airport', 'Lake Norman Airpark', 35.612998962402344, -80.89939880371094, 839, 'US', 'US-NC', 'Mooresville', 'no', 'K14A', '', '14A', ''),
	('8NC4', 'small_airport', 'Dead Dog Airport', 35.729455, -79.313121, 525, 'US', 'US-NC', 'Fearrington', 'no', '8NC4', '', '8NC4', ''),
	('24SC', 'small_airport', 'The Farm Airport', 33.93579864501953, -81.42970275878906, 580, 'US', 'US-SC', 'Summit', 'no', '24SC', '', '24SC', ''),
	('5W4', 'small_airport', 'P K Airpark', 35.019901, -79.191002, 304, 'US', 'US-NC', 'Raeford', 'no', '', '', '5W4', ''),
	('50NC', 'small_airport', 'Ervin Airfield', 35.54499816894531, -80.6686019897461, 905, 'US', 'US-NC', 'Kannapolis', 'no', '50NC', '', '50NC', ''),
	('6W4', 'small_airport', 'Caswell Airport', 36.39970016479492, -79.3927993774414, 648, 'US', 'US-NC', 'Yanceyville', 'no', '6W4', '', '6W4', ''),
	('KSPA', 'small_airport', 'Spartanburg Downtown Memorial Airport', 34.915699005127, -81.956497192383, 801, 'US', 'US-SC', 'Spartanburg', 'no', 'KSPA', 'SPA', 'SPA', ''),
	('KCQW', 'small_airport', 'Cheraw Municipal Airport/Lynch Bellinger Field', 34.712898, -79.957001, 239, 'US', 'US-SC', 'Cheraw', 'no', 'KCQW', 'HCW', 'CQW', '47J'),
	('SC21', 'small_airport', 'Myrtle Beach Hardee Airpark', 33.942902, -78.828984, 45, 'US', 'US-SC', 'Loris', 'no', 'SC21', '', 'SC21', ''),
	('9NC8', 'small_airport', 'Eagles Landing Airport', 35.6869010925293, -79.21880340576172, 430, 'US', 'US-NC', 'Pittsboro', 'no', '9NC8', '', '9NC8', ''),
	('KFDW', 'small_airport', 'Fairfield County Airport', 34.315498, -81.108803, 577, 'US', 'US-SC', 'Winnsboro', 'no', 'KFDW', '', 'FDW', ''),
	('KDLC', 'small_airport', 'Dillon County Airport', 34.4491004944, -79.368598938, 133, 'US', 'US-SC', 'Dillon', 'no', 'KDLC', 'DLL', 'DLC', ''),
	('KFQD', 'small_airport', 'Rutherford County Marchman Field', 35.4282, -81.935097, 1077, 'US', 'US-NC', 'Rutherfordton', 'no', 'KFQD', '', 'FQD', '57A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NC81', 'small_airport', 'Cox Airport', 35.751800537109375, -78.85970306396484, 455, 'US', 'US-NC', 'Apex', 'no', 'NC81', '', 'NC81', ''),
	('SC45', 'small_airport', 'Gilbert International Airpark', 33.882958, -81.383972, 551, 'US', 'US-SC', 'Gilbert', 'no', 'SC45', '', 'SC45', ''),
	('VA27', 'small_airport', 'Moorefield''s Airstrip', 36.559898376464844, -80.13780212402344, 1110, 'US', 'US-VA', 'Critz', 'no', 'VA27', '', 'VA27', ''),
	('E40', 'small_airport', 'Wilson''s Airport', 35.650069, -81.356737, 985, 'US', 'US-NC', 'Hickory', 'no', 'KE40', '', 'E40', ''),
	('KLIE', 'N/A', 'N/A', 35.49007639288902, -81.32637664675713, 258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KINT', 'medium_airport', 'Smith Reynolds Airport', 36.13370132446289, -80.22200012207031, 969, 'US', 'US-NC', 'Winston Salem', 'no', 'KINT', 'INT', 'INT', ''),
	('22NC', 'small_airport', 'Flint Ridge Airport', 35.821098, -79.4683, 650, 'US', 'US-NC', 'Siler City', 'no', '22NC', '', '22NC', 'Flying Dove Field'),
	('KHFF', 'small_airport', 'Mackall Army Air Field', 35.036087, -79.498615, 376, 'US', 'US-NC', 'Hoffman', 'no', 'KHFF', 'HFF', 'HFF', 'Canp Hoffman'),
	('3NC9', 'small_airport', 'Womble Field', 35.878176, -79.086778, 475, 'US', 'US-NC', 'Chapel Hill', 'no', '3NC9', '', '3NC9', ''),
	('25NC', 'small_airport', 'Smith Air Strip', 35.632717, -79.711768, 560, 'US', 'US-NC', 'Asheboro', 'no', '25NC', '', '25NC', ''),
	('48NC', 'small_airport', 'Morrison Field', 35.781700134277344, -80.41690063476563, 825, 'US', 'US-NC', 'Lexington', 'no', '48NC', '', '48NC', ''),
	('20SC', 'closed', 'O Neal Field', 35.006413, -82.2682, 929, 'US', 'US-SC', 'Greer', 'no', '', '', '', '20SC'),
	('KFAY', 'medium_airport', 'Fayetteville Regional Airport - Grannis Field', 34.991199, -78.880302, 189, 'US', 'US-NC', 'Fayetteville', 'yes', 'KFAY', 'FAY', 'FAY', ''),
	('NC64', 'small_airport', 'Barringer Field', 35.527801513671875, -80.69670104980469, 800, 'US', 'US-NC', 'Kannapolis', 'no', 'NC64', '', 'NC64', ''),
	('N88', 'small_airport', 'Kecks Airport', 35.92649841308594, -79.62750244140625, 724, 'US', 'US-NC', 'Julian', 'no', 'N88', '', 'N88', ''),
	('2NC0', 'small_airport', 'Mountain Air Airport', 35.86869812011719, -82.341796875, 4432, 'US', 'US-NC', 'Burnsville', 'no', '2NC0', '', '2NC0', ''),
	('NC97', 'small_airport', 'Dirt Dobber''s Grass Strip', 35.3689, -81.522499, 930, 'US', 'US-NC', 'Shelby', 'no', 'NC97', '', 'NC97', ''),
	('N26', 'small_airport', 'Derby Aerodrome', 35.1332, -79.6313, 517, 'US', 'US-NC', 'Ellerbe', 'no', 'KN26', '', 'N26', 'NR08'),
	('N97', 'small_airport', 'Hiatt Airport', 35.830079, -80.109451, 855, 'US', 'US-NC', 'Thomasville', 'no', 'KN97', '', 'N97', ''),
	('NC31', 'small_airport', 'Quiet Acres Airport', 35.76490020751953, -80.02420043945313, 740, 'US', 'US-NC', 'Thomasville', 'no', 'NC31', '', 'NC31', ''),
	('KEOE', 'small_airport', 'Newberry County Airport', 34.309299, -81.639702, 570, 'US', 'US-SC', 'Newberry', 'no', 'KEOE', '', 'EOE', 'Formerly 27J'),
	('2SC9', 'closed', 'McIntosh Airport', 33.750278, -79.957777, 76, 'US', 'US-SC', 'Kingstree', 'no', '', '', '', '2SC9'),
	('SC46', 'small_airport', 'House Movers Field', 33.85100173950195, -81.54840087890625, 540, 'US', 'US-SC', 'Batesburg', 'no', 'SC46', '', 'SC46', ''),
	('5NC3', 'small_airport', 'Gilliam-McConnell Airfield', 35.341702, -79.436897, 445, 'US', 'US-NC', 'Carthage', 'no', 'KBQ1', '', 'BQ1', '5NC3'),
	('KGRD', 'small_airport', 'Greenwood County Airport', 34.248699, -82.159103, 631, 'US', 'US-SC', 'Greenwood', 'no', 'KGRD', 'GRD', 'GRD', ''),
	('3W6', 'small_airport', 'Bladenboro Airport', 34.542921, -78.778131, 115, 'US', 'US-NC', 'Bladenboro', 'no', 'K3W6', '', '3W6', ''),
	('SC00', 'small_airport', 'Triple Tree Airport', 34.667949, -81.999979, 680, 'US', 'US-SC', 'Woodruff', 'no', 'SC00', '', 'SC00', ''),
	('S17', 'small_airport', 'Twin Lakes Airport', 33.645699, -81.867104, 540, 'US', 'US-SC', 'Trenton', 'no', 'S17', '', 'S17', 'SC42'),
	('12GE', 'seaplane_base', 'Harvest Lake Seaplane Base', 31.73080062866211, -81.35970306396484, 4, 'US', 'US-GA', 'Riceboro', 'no', '12GE', '', '12GE', ''),
	('SC65', 'small_airport', 'Raven''s Run Airport', 32.82379913330078, -79.80670166015625, 8, 'US', 'US-SC', 'Mount Pleasant', 'no', 'SC65', '', 'SC65', ''),
	('61GA', 'small_airport', 'Pea Patch Aerodrome', 33.30179977416992, -82.17230224609375, 434, 'US', 'US-GA', 'Blythe', 'no', '61GA', '', '61GA', ''),
	('KTBR', 'small_airport', 'Statesboro Bulloch County Airport', 32.4827003479, -81.73690032959999, 187, 'US', 'US-GA', 'Statesboro', 'no', 'KTBR', 'TBR', 'TBR', ''),
	('KCHS', 'medium_airport', 'Charleston International Airport', 32.898602, -80.040497, 46, 'US', 'US-SC', 'Charleston', 'yes', 'KCHS', 'CHS', 'CHS', 'Charleston Air Force Base'),
	('KRVJ', 'small_airport', 'Swinton Smith Field at Reidsville Municipal Airport', 32.0595, -82.153777, 195, 'US', 'US-GA', 'Reidsville', 'no', 'KRVJ', '', 'RVJ', ''),
	('99SC', 'small_airport', 'St. Mathews Airport', 33.689167, -80.688611, 278, 'US', 'US-SC', 'St. Mathews', 'no', '99SC', '', '99SC', ''),
	('SC95', 'small_airport', 'Perry International Airport', 33.62929916381836, -81.32969665527344, 438, 'US', 'US-SC', 'Perry', 'no', 'SC95', '', 'SC95', ''),
	('KAYS', 'small_airport', 'Waycross Ware County Airport', 31.2490997314, -82.39550018310001, 142, 'US', 'US-GA', 'Waycross', 'no', 'KAYS', 'AYS', 'AYS', ''),
	('KJES', 'small_airport', 'Jesup Wayne County Airport', 31.554001, -81.8825, 107, 'US', 'US-GA', 'Jesup', 'no', 'KJES', '', 'JES', ''),
	('SC17', 'small_airport', 'Russell Airport', 33.357703, -80.459146, 110, 'US', 'US-SC', 'Holly Hill', 'no', 'SC17', '', 'SC17', ''),
	('GA47', 'small_airport', 'Bivins Airport', 31.184121, -82.271421, 134, 'US', 'US-GA', 'Waycross', 'no', 'GA47', '', 'GA47', ''),
	('3J1', 'small_airport', 'Ridgeland-Claude Dean Airport', 32.492699, -80.992302, 79, 'US', 'US-SC', 'Ridgeland', 'no', 'K3J1', '', '3J1', 'Ridgeland Airport'),
	('GA34', 'closed', 'Tootle Airport', 32.032028, -82.044178, 202, 'US', 'US-GA', 'Reidsville', 'no', '', '', '', 'GA34'),
	('SC90', 'small_airport', 'Do-Little Field', 33.676015, -80.947373, 369, 'US', 'US-SC', 'Orangeburg', 'no', 'SC90', '', 'SC90', ''),
	('SC51', 'small_airport', 'Too Goo Doo Farms Airport', 32.7046012878418, -80.2531967163086, 15, 'US', 'US-SC', 'Meggett', 'no', 'SC51', '', 'SC51', ''),
	('KSBO', 'small_airport', 'Emanuel County Airport', 32.6091, -82.369904, 327, 'US', 'US-GA', 'Swainsboro', 'no', 'KSBO', '', 'SBO', ''),
	('09J', 'small_airport', 'Jekyll Island Airport', 31.074499, -81.427803, 11, 'US', 'US-GA', 'Jekyll Island', 'no', '09J', '', '09J', ''),
	('SC38', 'small_airport', 'Pocotaligo Airport', 33.7075, -80.080597, 112, 'US', 'US-SC', 'Manning', 'no', 'SC38', '', 'SC38', ''),
	('02SC', 'small_airport', 'Harpers Airport', 32.760211, -81.225872, 111, 'US', 'US-SC', 'Estill', 'no', '02SC', '', '02SC', ''),
	('0GE7', 'small_airport', 'Carpenter Airport', 33.520301818847656, -82.37249755859375, 450, 'US', 'US-GA', 'Appling', 'no', '0GE7', '', '0GE7', ''),
	('9GA2', 'closed', 'Berg Park Aerodrome', 31.8025, -81.3975, 15, 'US', 'US-GA', 'Midway', 'no', '', '', '', '9GA2'),
	('KSSI', 'medium_airport', 'St Simons Island Airport', 31.1518, -81.391296, 19, 'US', 'US-GA', 'St Simons Island', 'no', 'KSSI', 'SSI', 'SSI', 'Malcolm McKinnon, NAS St. Simons Island, Brunswick');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KVDI', 'small_airport', 'Vidalia Regional Airport', 32.192699432373, -82.371200561523, 275, 'US', 'US-GA', 'Vidalia', 'no', 'KVDI', 'VDI', 'VDI', 'Vidalia-Lyons AAF, Turner AAF AuxAF No. 8'),
	('KFAC', 'N/A', 'N/A', 33.024967052042484, -81.224445104599, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6J2', 'small_airport', 'Saint George Airport', 33.195499, -80.508499, 85, 'US', 'US-SC', 'Saint George', 'no', '', '', '6J2', 'St George'),
	('KGGE', 'small_airport', 'Georgetown County Airport', 33.3116989136, -79.3196029663, 39, 'US', 'US-SC', 'Georgetown', 'no', 'KGGE', 'GGE', 'GGE', ''),
	('GA88', 'closed', 'Wade Plantation Airport', 32.9771, -81.5362, 146, 'US', 'US-GA', 'Sylvania', 'no', '', '', '', 'GA88'),
	('GA21', 'small_airport', 'Patterson Island Airport', 31.461299896240234, -81.33869934082031, 10, 'US', 'US-GA', 'Darien', 'no', 'GA21', '', 'GA21', ''),
	('2SC3', 'seaplane_base', 'Melrose Landing Seaplane Base', 32.139198303222656, -80.86810302734375, 0, 'US', 'US-SC', 'Hilton Head', 'no', '2SC3', '', '2SC3', ''),
	('SC57', 'closed', 'Creech Aviation Facility Airport', 33.8843, -80.494796, 178, 'US', 'US-SC', 'Wedgefield', 'no', '', '', '', 'SC57'),
	('1GA4', 'small_airport', 'Southern Agricultural Aviation Airport', 32.32849884033203, -81.75540161132813, 180, 'US', 'US-GA', 'Statesboro', 'no', '1GA4', '', '1GA4', ''),
	('KJZI', 'small_airport', 'Charleston Executive Airport', 32.698238, -80.005675, 17, 'US', 'US-SC', 'Johns Island', 'no', 'KJZI', '', 'JZI', ''),
	('7GA2', 'small_airport', 'Alyssas Animal Sanctuary Air Park', 30.777552, -83.205729, 229, 'US', 'US-GA', 'Valdosta', 'no', '7GA2', '', '7GA2', 'McClellan Airport'),
	('GA43', 'small_airport', 'Briggs Field', 32.3213996887207, -81.42669677734375, 78, 'US', 'US-GA', 'Guyton', 'no', 'GA43', '', 'GA43', ''),
	('6SC1', 'small_airport', 'Lesesne Airport', 33.36920166015625, -80.22329711914063, 83, 'US', 'US-SC', 'Cross', 'no', '6SC1', '', '6SC1', ''),
	('76GA', 'small_airport', 'Landings East Sylvania Airport', 32.743904, -81.614084, 155, 'US', 'US-GA', 'Sylvania', 'no', '76GA', '', '76GA', ''),
	('SC69', 'small_airport', 'Shiloh Plantation Airport', 33.120601654052734, -80.95079803466797, 131, 'US', 'US-SC', 'Ehrhardt', 'no', 'SC69', '', 'SC69', ''),
	('44SC', 'small_airport', '4 Holes Field', 33.481943, -80.777026, 184, 'US', 'US-SC', 'Orangeburg', 'no', '44SC', '', '44SC', ''),
	('KPHH', 'small_airport', 'Robert F Swinnie Airport', 33.4516983032, -79.5261993408, 26, 'US', 'US-SC', 'Andrews', 'no', 'KPHH', 'ADR', 'PHH', ''),
	('KHXD', 'medium_airport', 'Hilton Head Airport', 32.2244, -80.697502, 19, 'US', 'US-SC', 'Hilton Head Island', 'yes', 'KHXD', 'HHH', 'HXD', '49J'),
	('GA35', 'small_airport', 'Cypress Lakes Airport', 32.157848, -81.396418, 30, 'US', 'US-GA', 'Bloomingdale', 'no', 'GA35', '', 'GA35', ''),
	('KARW', 'small_airport', 'Beaufort Executive Airport', 32.412201, -80.634399, 10, 'US', 'US-SC', 'Beaufort', 'no', 'KARW', 'BFT', 'ARW', '73J, Beaufort County Airport, Frogmore International Airport'),
	('1GE6', 'small_airport', 'Daystar Strip Airport', 31.373752, -82.107524, 105, 'US', 'US-GA', 'Patterson', 'no', '1GE6', '', '1GE6', 'Forestry-Strip'),
	('2J2', 'small_airport', 'Liberty County Airport', 31.784599, -81.641197, 98, 'US', 'US-GA', 'Hinesville', 'no', 'K2J2', '', '2J2', ''),
	('KAIK', 'small_airport', 'Aiken Regional Airport', 33.649399, -81.684998, 528, 'US', 'US-SC', 'Aiken', 'no', 'KAIK', 'AIK', 'AIK', 'Aiken Air Force Station, Aiken Municipal'),
	('13GE', 'small_airport', 'Holt Airpark', 32.360801696777344, -82.31809997558594, 280, 'US', 'US-GA', 'Oak Park', 'no', '13GE', '', '13GE', ''),
	('GE30', 'small_airport', 'Sandy Hill Airport', 33.221099853515625, -81.99530029296875, 310, 'US', 'US-GA', 'Waynesboro', 'no', 'GE30', '', 'GE30', ''),
	('KAGS', 'medium_airport', 'Augusta Regional At Bush Field', 33.3699, -81.9645, 144, 'US', 'US-GA', 'Augusta', 'yes', 'KAGS', 'AGS', 'AGS', ''),
	('KBXG', 'small_airport', 'Burke County Airport', 33.04130172729492, -82.00270080566406, 302, 'US', 'US-GA', 'Waynesboro', 'no', 'KBXG', '', 'BXG', ''),
	('2J5', 'small_airport', 'Millen Airport', 32.89360046386719, -81.96540069580078, 237, 'US', 'US-GA', 'Millen', 'no', 'K2J5', '', '2J5', ''),
	('KALE', 'N/A', 'N/A', 32.99522269517183, -81.34635910391808, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSVN', 'medium_airport', 'Hunter Army Air Field', 32.00999832, -81.14569855, 41, 'US', 'US-GA', 'Savannah', 'no', 'KSVN', 'SVN', 'SVN', ''),
	('51SC', 'closed', 'Moccasin Creek Airport', 33.1422, -80.955597, 142, 'US', 'US-SC', 'Ehrhardt', 'no', '', '', '', '51SC'),
	('KLHW', 'small_airport', 'MidCoast Regional Airport at Wright Army Airfield', 31.891237, -81.561003, 45, 'US', 'US-GA', 'Hinesville', 'no', 'KLHW', 'LIY', 'LHW', 'Fort Stewart'),
	('GA41', 'small_airport', 'Daniels Airport', 32.61410140991211, -82.2970962524414, 288, 'US', 'US-GA', 'Swainsboro', 'no', 'GA41', '', 'GA41', ''),
	('72GA', 'small_airport', 'Barbour Island Airport', 31.583599090576172, -81.23320007324219, 10, 'US', 'US-GA', 'Shellman Bluff', 'no', '72GA', '', '72GA', ''),
	('99N', 'small_airport', 'Bamberg County Airport', 33.304501, -81.108398, 231, 'US', 'US-SC', 'Bamberg', 'no', 'K99N', '', '99N', ''),
	('2GA2', 'small_airport', 'Swaids Field', 32.39459991455078, -81.28070068359375, 85, 'US', 'US-GA', 'Springfield', 'no', '2GA2', '', '2GA2', ''),
	('SC06', 'small_airport', 'Pluff Mud Field', 32.63456, -80.09143, 15, 'US', 'US-SC', 'Johns Island', 'no', 'SC06', '', 'SC06', 'W B Upshur Private'),
	('KMIY', 'N/A', 'N/A', 31.725135035812855, -81.23619228601456, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SC41', 'small_airport', 'Palmetto Air Plantation Airport', 33.664833, -80.24703, 140, 'US', 'US-SC', 'Manning', 'no', 'SC41', '', 'SC41', ''),
	('SC35', 'small_airport', 'Ehrhardt Airport', 33.089599609375, -81.0082015991211, 146, 'US', 'US-SC', 'Ehrhardt', 'no', 'SC35', '', 'SC35', ''),
	('5J5', 'small_airport', 'Holly Hill Airport', 33.30099868774414, -80.39399719238281, 96, 'US', 'US-SC', 'Holly Hill', 'no', '5J5', '', '5J5', ''),
	('GA39', 'small_airport', 'Hodges Airpark', 31.984399795532227, -81.24620056152344, 10, 'US', 'US-GA', 'Savannah', 'no', 'GA39', '', 'GA39', ''),
	('4SC7', 'small_airport', 'Wexford Landing Airport', 33.57830047607422, -81.51170349121094, 350, 'US', 'US-SC', 'Aiken', 'no', '4SC7', '', '4SC7', ''),
	('SC20', 'small_airport', 'Harman Airport', 33.48429870605469, -81.82589721679688, 458, 'US', 'US-SC', 'Langley', 'no', 'SC20', '', 'SC20', ''),
	('2J3', 'small_airport', 'Louisville Municipal Airport', 32.98649978637695, -82.38569641113281, 328, 'US', 'US-GA', 'Louisville', 'no', 'K2J3', '', '2J3', ''),
	('KJYL', 'small_airport', 'Plantation Airpark', 32.645302, -81.597099, 188, 'US', 'US-GA', 'Sylvania', 'no', 'KJYL', '', 'JYL', 'Jump Georgia Skydiving, Sylvania Screven'),
	('38J', 'small_airport', 'Hemingway Stuckey Airport', 33.728599548339844, -79.51599884033203, 54, 'US', 'US-SC', 'Hemingway', 'no', 'K38J', '', '38J', ''),
	('KZ34', 'N/A', 'N/A', 32.06970937550068, -81.82140782475471, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GA30', 'closed', 'Eliott Barrow Airport', 33.2001, -82.266502, 400, 'US', 'US-GA', 'Matthews', 'no', '', '', '', 'GA30'),
	('1DS', 'small_airport', 'Dry Swamp Airport', 33.386124, -80.906839, 180, 'US', 'US-SC', 'Cordova', 'no', 'K1DS', '', '1DS', ''),
	('KMHP', 'small_airport', 'Metter Municipal Airport', 32.373885, -82.081775, 197, 'US', 'US-GA', 'Metter', 'no', 'KMHP', '', 'MHP', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KGER', 'N/A', 'N/A', 32.03577842563391, -81.26315340399742, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3J0', 'small_airport', 'Hampton County Airport', 32.8665, -81.081001, 113, 'US', 'US-SC', 'Hampton', 'no', '', '', '3J0', 'Hampton Varnville'),
	('SC37', 'small_airport', 'Crosswinds-Wilson Private Airport', 33.27180099487305, -80.25430297851563, 90, 'US', 'US-SC', 'Cross', 'no', 'SC37', '', 'SC37', ''),
	('15GA', 'small_airport', 'Darla''s Airport', 32.680199, -82.478996, 328, 'US', 'US-GA', 'Kite', 'no', '15GA', '', '15GA', ''),
	('2SC4', 'seaplane_base', 'Salty Fare Landng Seaplane Base', 32.2338981628418, -80.75420379638672, 0, 'US', 'US-SC', 'Hilton Head', 'no', '2SC4', '', '2SC4', ''),
	('KWAX', 'N/A', 'N/A', 33.200319819152355, -82.04668298363686, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('03GA', 'small_airport', 'HIA Airport', 32.561626, -81.85509, 238, 'US', 'US-GA', 'Statesboro', 'no', '03GA', '', '03GA', ''),
	('KDNL', 'medium_airport', 'Daniel Field', 33.4664993286, -82.0393981934, 423, 'US', 'US-GA', 'Augusta', 'no', 'KDNL', 'DNL', 'DNL', ''),
	('SC42', 'small_airport', 'Hondarosa Airport', 32.687606, -80.106297, 13, 'US', 'US-SC', 'Wadmalaw Island', 'no', 'SC42', '', 'SC42', ''),
	('SC12', 'small_airport', 'Davis Airport', 32.67210006713867, -81.31120300292969, 82, 'US', 'US-SC', 'Garnett', 'no', 'SC12', '', 'SC12', ''),
	('2SC7', 'small_airport', 'Laurel Hill Farms Airport', 33.051701, -79.541397, 8, 'US', 'US-SC', 'McClellanville', 'no', '2SC7', '', '2SC7', ''),
	('KLRO', 'small_airport', 'Mount Pleasant Regional Airport Faison Field', 32.8978, -79.782898, 12, 'US', 'US-SC', 'Mount Pleasant', 'no', 'KLRO', '', 'LRO', ''),
	('SC15', 'small_airport', 'Airy Hall Airport', 32.63209915161133, -80.50399780273438, 20, 'US', 'US-SC', 'Green Pond', 'no', 'SC15', '', 'SC15', ''),
	('3GE7', 'closed', 'Eden Field', 31.412701, -81.437302, 30, 'US', 'US-GA', 'Darien', 'no', '', '', '', '3GE7'),
	('KBNL', 'small_airport', 'Barnwell Regional Airport', 33.25780106, -81.38829803, 246, 'US', 'US-SC', 'Barnwell', 'no', 'KBNL', 'BNL', 'BNL', ''),
	('SC50', 'closed', 'Yonges Island Airport', 32.697398, -80.225899, 10, 'US', 'US-SC', 'Yonges Island', 'no', '', '', '', 'SC50'),
	('KOGB', 'medium_airport', 'Orangeburg Municipal Airport', 33.456798553467, -80.859497070312, 195, 'US', 'US-SC', 'Orangeburg', 'no', 'KOGB', 'OGB', 'OGB', ''),
	('08GA', 'small_airport', 'Sapelo Island Airport', 31.425800323486328, -81.28589630126953, 12, 'US', 'US-GA', 'Darien', 'no', '08GA', '', '08GA', ''),
	('82GA', 'small_airport', 'Paces South Farms Airport', 32.808799743652344, -82.38529968261719, 275, 'US', 'US-GA', 'Wadley', 'no', '82GA', '', '82GA', ''),
	('SC07', 'small_airport', 'Alan''s Airport', 33.675328, -80.950098, 369, 'US', 'US-SC', 'Orangeburg', 'no', 'SC07', '', 'SC07', ''),
	('KMIL', 'N/A', 'N/A', 32.86767326295376, -82.06925332546234, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SC67', 'small_airport', 'Falls Landing', 34.909197, -81.07466, 587, 'US', 'US-SC', 'Rock Hill', 'no', '', '', '55SC', 'SC67, Country Squire Airport'),
	('7GA3', 'small_airport', 'Hacienda De Gay Airstrip', 32.663299560546875, -82.07530212402344, 328, 'US', 'US-GA', 'Garfield', 'no', '7GA3', '', '7GA3', ''),
	('KDYB', 'small_airport', 'Summerville Airport', 33.0634, -80.279297, 56, 'US', 'US-SC', 'Summerville', 'no', 'KDYB', '', 'DYB', ''),
	('SC87', 'small_airport', 'Avinger Field', 33.44279861450195, -80.45559692382813, 138, 'US', 'US-SC', 'Vance', 'no', 'SC87', '', 'SC87', ''),
	('6J6', 'small_airport', 'Edgefield County Airport', 33.73680114746094, -81.8196029663086, 610, 'US', 'US-SC', 'Trenton', 'no', '6J6', '', '6J6', ''),
	('65J', 'small_airport', 'Wrens Memorial Airport', 33.22278, -82.384443, 450, 'US', 'US-GA', 'Wrens', 'no', 'K65J', '', '65J', ''),
	('0GE9', 'small_airport', 'Pegasus Ranch Airport', 32.69390106201172, -81.79859924316406, 230, 'US', 'US-GA', 'Rocky Ford', 'no', '0GE9', '', '0GE9', ''),
	('KSAV', 'large_airport', 'Savannah Hilton Head International Airport', 32.127602, -81.202103, 50, 'US', 'US-GA', 'Savannah', 'yes', 'KSAV', 'SAV', 'SAV', ''),
	('SC74', 'small_airport', 'Marsh Point Airport', 32.46189880371094, -80.60089874267578, 12, 'US', 'US-SC', 'Beaufort', 'no', 'SC74', '', 'SC74', ''),
	('KBQK', 'medium_airport', 'Brunswick Golden Isles Airport', 31.258801, -81.466499, 26, 'US', 'US-GA', 'Brunswick', 'yes', 'KBQK', 'BQK', 'BQK', 'Glynco Jetport'),
	('KRBW', 'small_airport', 'Lowcountry Regional Airport', 32.921001434299995, -80.6406021118, 101, 'US', 'US-SC', 'Walterboro', 'no', 'KRBW', 'RBW', 'RBW', 'C.C. Anderson Landing Field, Walterboro AAF'),
	('KNBC', 'medium_airport', 'Beaufort MCAS - Merritt Field', 32.4774017334, -80.723197937, 37, 'US', 'US-SC', 'Beaufort', 'no', 'KNBC', '', 'NBC', 'BFT'),
	('SC55', 'small_airport', 'Broxton Bridge Plantation Airport', 33.008878, -81.048203, 120, 'US', 'US-SC', 'Ehrhardt', 'no', 'SC55', '', 'SC55', ''),
	('KMKS', 'small_airport', 'Berkeley County Airport', 33.185501, -80.036301, 73, 'US', 'US-SC', 'Moncks Corner', 'no', 'KMKS', '', 'MKS', 'Formerly 50J'),
	('4J1', 'small_airport', 'Brantley County Airport', 31.207399368286133, -81.90579986572266, 83, 'US', 'US-GA', 'Nahunta', 'no', 'K4J1', '', '4J1', ''),
	('KCKI', 'small_airport', 'Williamsburg Regional Airport', 33.717201, -79.857002, 67, 'US', 'US-SC', 'Kingstree', 'no', 'KCKI', '', 'CKI', ''),
	('KCWV', 'small_airport', 'Claxton Evans County Airport', 32.195099, -81.869598, 112, 'US', 'US-GA', 'Claxton', 'no', 'KCWV', '', 'CWV', ''),
	('92GE', 'small_airport', 'Midville International Airport', 32.845298767089844, -82.27079772949219, 265, 'US', 'US-GA', 'Midville', 'no', '92GE', '', '92GE', ''),
	('KAQX', 'small_airport', 'Allendale County Airport', 32.995098, -81.270203, 161, 'US', 'US-SC', 'Allendale', 'no', 'KAQX', '', 'AQX', 'j88, kj88'),
	('KMYR', 'medium_airport', 'Myrtle Beach International Airport', 33.679699, -78.928299, 25, 'US', 'US-SC', 'Myrtle Beach', 'yes', 'KMYR', 'MYR', 'MYR', ''),
	('92SC', 'small_airport', 'Mack''s Patch-Derrick Field', 33.52135, -81.578361, 400, 'US', 'US-SC', 'Aiken', 'no', '92SC', '', '92SC', ''),
	('KXNO', 'small_airport', 'North Air Force Auxillary Airfield', 33.609355, -81.08328, 321, 'US', 'US-SC', 'North', 'no', 'KXNO', '', 'XNO', ''),
	('SC03', 'small_airport', 'Mc Neil Airport', 33.5570983887, -80.648399353, 170, 'US', 'US-SC', 'Cameron', 'no', 'SC03', '', 'SC03', ''),
	('67SC', 'small_airport', 'Lanes Landing', 32.948217, -80.7663, 80, 'US', 'US-SC', 'Ruffin', 'no', '67SC', '', '67SC', ''),
	('3SC2', 'closed', 'Spirit Field', 33.603959, -80.305595, 140, 'US', 'US-SC', 'Summerton', 'no', '', '', '', 'Yahu Field, 3SC2, 3SC2'),
	('SC98', 'small_airport', 'Mount Holly Airport', 33.054298400878906, -80.0833969116211, 55, 'US', 'US-SC', 'Goose Creek', 'no', 'SC98', '', 'SC98', ''),
	('4GE0', 'small_airport', 'Millhaven Airport', 32.93600082397461, -81.66210174560547, 164, 'US', 'US-GA', 'Millhaven', 'no', '4GE0', '', '4GE0', ''),
	('3GA7', 'closed', 'Rhodes Air Ranch Airport', 33.162631, -81.768816, 195, 'US', 'US-GA', 'Waynesboro', 'no', '', '', '', '3GA7'),
	('1GA0', 'small_airport', 'Eagle Neck Airport', 31.639400482177734, -81.3290023803711, 10, 'US', 'US-GA', 'Shellman Bluff', 'no', '1GA0', '', '1GA0', ''),
	('KMNI', 'small_airport', 'Santee Cooper Regional Airport', 33.587101, -80.208702, 103, 'US', 'US-SC', 'Manning', 'no', 'KMNI', '', 'MNI', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('29SC', 'small_airport', 'Hannah Rhea Field', 32.90140151977539, -80.85359954833984, 89, 'US', 'US-SC', 'Walterboro', 'no', '29SC', '', '29SC', ''),
	('KBHC', 'small_airport', 'Baxley Municipal Airport', 31.71380043029785, -82.393798828125, 201, 'US', 'US-GA', 'Baxley', 'no', 'KBHC', '', 'BHC', ''),
	('KMEG', 'N/A', 'N/A', 32.458592131733894, -82.00280383229256, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('9GA1', 'small_airport', 'Briar Patch Airport', 32.449315, -81.337781, 100, 'US', 'US-GA', 'Clyo', 'no', '9GA1', '', '9GA1', ''),
	('3FD4', 'closed', 'Florida Flying Gators Airport', 28.6278, -81.802902, 30, 'US', 'US-FL', 'Minneola', 'no', '', '', '', '3FD4, Florida Flying Gators UL'),
	('1J6', 'N/A', 'N/A', 29.1041112318635, -81.31419450044632, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBEW', 'N/A', 'N/A', 28.979717418551445, -82.03324913978577, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FA13', 'seaplane_base', 'Treasure Lagoon Seaplane Base', 28.4475, -80.722361, 0, 'US', 'US-FL', 'Cocoa', 'no', 'FA13', '', 'FA13', ''),
	('KDED', 'small_airport', 'Deland Municipal Sidney H Taylor Field', 29.066999, -81.283798, 79, 'US', 'US-FL', 'Deland', 'no', 'KDED', '', 'DED', ''),
	('34FA', 'seaplane_base', 'Gezik Seaplane Base', 28.25189971923828, -80.66889953613281, 0, 'US', 'US-FL', 'Rockledge', 'no', '34FA', '', '34FA', ''),
	('GA46', 'small_airport', 'High Point Airport', 30.92701, -81.43221, 28, 'US', 'US-GA', 'Saint Marys', 'no', '', '', 'GA46', ''),
	('2FA2', 'small_airport', 'Monroe Airpark', 29.01889991760254, -82.11370086669922, 75, 'US', 'US-FL', 'Belleview', 'no', '2FA2', '', '2FA2', ''),
	('KFIN', 'N/A', 'N/A', 29.465149976313114, -81.2076473236084, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('31FA', 'small_airport', 'S & S Avion Ranch Airport', 28.959199905395508, -82.13420104980469, 70, 'US', 'US-FL', 'Oxford', 'no', '31FA', '', '31FA', ''),
	('FL97', 'small_airport', 'Tangerine Airport', 28.760299682617188, -81.60590362548828, 125, 'US', 'US-FL', 'Zellwood', 'no', 'FL97', '', 'FL97', ''),
	('KJAX', 'large_airport', 'Jacksonville International Airport', 30.492469, -81.687813, 30, 'US', 'US-FL', 'Jacksonville', 'yes', 'KJAX', 'JAX', 'JAX', ''),
	('FD22', 'small_airport', 'Melrose Landing Airport', 29.666997, -81.952734, 159, 'US', 'US-FL', 'Hawthorne', 'no', 'FD22', '', 'FD22', ''),
	('28J', 'small_airport', 'Palatka Municipal - Lt. Kay Larkin Field', 29.6586, -81.688904, 48, 'US', 'US-FL', 'Palatka', 'no', 'K28J', '', '28J', ''),
	('0FD0', 'small_airport', 'The 2A Ranch Airport', 29.26757, -81.223331, 40, 'US', 'US-FL', 'Ormond Beach', 'no', '0FD0', '', '0FD0', 'Big ''G'' Airport'),
	('KSGJ', 'medium_airport', 'Northeast Florida Regional Airport', 29.9592, -81.339798, 10, 'US', 'US-FL', 'St Augustine', 'yes', 'KSGJ', 'UST', 'SGJ', 'St Augustine Airport, NAAS St. Augustine'),
	('FA49', 'small_airport', 'Shady International Airport', 29.096099853515625, -82.17900085449219, 102, 'US', 'US-FL', 'Ocala', 'no', 'FA49', '', 'FA49', ''),
	('KHEG', 'small_airport', 'Herlong Airport', 30.2778, -81.805901, 87, 'US', 'US-FL', 'Jacksonville', 'no', 'KHEG', '', 'HEG', '23J'),
	('FL82', 'small_airport', 'Oak Ridge Airport', 29.580536, -81.861181, 72, 'US', 'US-FL', 'Interlachen', 'no', 'FL82', '', 'FL82', ''),
	('KEVB', 'small_airport', 'New Smyrna Beach Municipal Airport', 29.0557, -80.948898, 10, 'US', 'US-FL', 'New Smyrna Beach', 'no', 'KEVB', '', 'EVB', '34J, Jack Bolt Field'),
	('5FD7', 'small_airport', 'Chinsegut Airport', 28.6117000579834, -82.3678970336914, 80, 'US', 'US-FL', 'Brooksville', 'no', '5FD7', '', '5FD7', ''),
	('17FL', 'small_airport', 'Jumbolair-Greystone Airport', 29.277416, -82.120709, 100, 'US', 'US-FL', 'Ocala', 'no', '17FL', '', '17FL', ''),
	('KOMN', 'small_airport', 'Ormond Beach Municipal Airport', 29.300600051879883, -81.11360168457031, 29, 'US', 'US-FL', 'Ormond Beach', 'no', 'KOMN', '', 'OMN', ''),
	('FD53', 'small_airport', 'Cub Haven Airport', 28.4533, -82.214996, 70, 'US', 'US-FL', 'Dade City', 'no', 'FD53', '', 'FD53', 'STOLport'),
	('FD90', 'small_airport', 'Lafayette Landings Airport', 29.16860008239746, -81.26480102539063, 35, 'US', 'US-FL', 'De Leon Springs', 'no', 'FD90', '', 'FD90', ''),
	('FL13', 'small_airport', 'Spencer''s Airpark', 30.068599700927734, -81.96070098876953, 150, 'US', 'US-FL', 'Middleburg', 'no', 'FL13', '', 'FL13', ''),
	('10FD', 'small_airport', 'Seven Feathers Airport', 29.00659942626953, -82.40460205078125, 68, 'US', 'US-FL', 'Dunnellon', 'no', '10FD', '', '10FD', ''),
	('KBKV', 'small_airport', 'Hernando County Airport', 28.47360039, -82.45539856, 76, 'US', 'US-FL', 'Brooksville', 'no', 'KBKV', '', 'BKV', ''),
	('0FL2', 'seaplane_base', 'Alligator Drink Seaplane Base', 28.787799835205078, -81.16419982910156, 19, 'US', 'US-FL', 'Geneva', 'no', '0FL2', '', '0FL2', ''),
	('57FA', 'small_airport', 'Lake X Airport', 28.208599090576172, -81.11920166015625, 72, 'US', 'US-FL', 'St Cloud', 'no', '57FA', '', '57FA', ''),
	('FA1', 'seaplane_base', 'Tavares Seaplane Base', 28.800472, -81.727672, 62, 'US', 'US-FL', 'Tavares', 'no', 'KFA1', '', 'FA1', ''),
	('X05', 'small_airport', 'Pilot Country Airport', 28.3302993774, -82.4964981079, 80, 'US', 'US-FL', 'Brooksville', 'no', 'X05', '', 'X05', ''),
	('FL57', 'small_airport', 'Carter Airport', 28.618900299072266, -81.50869750976563, 80, 'US', 'US-FL', 'Apopka', 'no', 'FL57', '', 'FL57', ''),
	('FD48', 'small_airport', 'Deep Forest Airport', 30.241899490356445, -81.44979858398438, 24, 'US', 'US-FL', 'Jacksonville', 'no', 'FD48', '', 'FD48', ''),
	('25FL', 'small_airport', 'Connells Wahoo Airport', 28.631901, -82.157799, 65, 'US', 'US-FL', 'Bushnell', 'no', '25FL', '', '25FL', 'Connell''s'),
	('FL80', 'small_airport', 'Lee Farms Airport', 29.334699630737305, -82.16680145263672, 100, 'US', 'US-FL', 'Lowell', 'no', 'FL80', '', 'FL80', ''),
	('34FD', 'small_airport', 'Blue Ridge Flightpark Airport', 28.857200622558594, -80.90699768066406, 25, 'US', 'US-FL', 'Oakhill', 'no', '34FD', '', '34FD', ''),
	('2FD6', 'small_airport', 'Highlander Airport', 28.88800048828125, -80.86640167236328, 15, 'US', 'US-FL', 'Oak Hill', 'no', '2FD6', '', '2FD6', ''),
	('00FA', 'small_airport', 'Grass Patch Airport', 28.64550018310547, -82.21900177001953, 53, 'US', 'US-FL', 'Bushnell', 'no', '00FA', '', '00FA', ''),
	('02FA', 'small_airport', 'Osborn Airfield', 28.526699, -81.874802, 121, 'US', 'US-FL', 'Groveland', 'no', '02FA', '', '02FA', ''),
	('2FD1', 'small_airport', 'Hobby Hill STOLport', 28.975500106811523, -81.918701171875, 95, 'US', 'US-FL', 'Weirsdale', 'no', '2FD1', '', '2FD1', ''),
	('3FD6', 'small_airport', 'Tradewinds Aerodrome', 28.76420021057129, -80.85389709472656, 5, 'US', 'US-FL', 'Scottsmoor', 'no', '3FD6', '', '3FD6', ''),
	('78FL', 'small_airport', 'Pomona Landing Airport', 29.502199, -81.5784, 50, 'US', 'US-FL', 'Pomona Park', 'no', '78FL', '', '78FL', ''),
	('X23', 'small_airport', 'Umatilla Municipal Airport', 28.924286, -81.651826, 107, 'US', 'US-FL', 'Umatilla', 'no', 'KX23', '', 'X23', ''),
	('91FL', 'seaplane_base', 'Lake Conway North Seaplane Base', 28.47920036315918, -81.36759948730469, 80, 'US', 'US-FL', 'Orlando', 'no', '91FL', '', '91FL', ''),
	('01FL', 'small_airport', 'Cedar Knoll Flying Ranch Airport', 28.78190040588379, -81.1592025756836, 19, 'US', 'US-FL', 'Geneva', 'no', '01FL', '', '01FL', ''),
	('3FL', 'seaplane_base', 'St Cloud Seaplane Base', 28.270833, -81.285, 54, 'US', 'US-FL', 'St Cloud', 'no', '', '', '3FL', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('X21', 'small_airport', 'Arthur Dunn Air Park', 28.622633, -80.835257, 30, 'US', 'US-FL', 'Titusville', 'no', 'KX21', '', 'X21', ''),
	('3FA7', 'small_airport', 'Flying 4 Ranch Airport', 29.042662, -81.05695, 27, 'US', 'US-FL', 'New Smyrna Beach', 'no', '3FA7', '', '3FA7', ''),
	('KTTS', 'medium_airport', 'Space Florida Launch and Landing Facility', 28.615, -80.694504, 10, 'US', 'US-FL', 'Titusville', 'no', 'KTTS', '', 'TTS', ''),
	('7FD2', 'small_airport', 'Drake Ranch Airport', 28.990299224853516, -82.33039855957031, 50, 'US', 'US-FL', 'Hernando', 'no', '7FD2', '', '7FD2', ''),
	('25FD', 'closed', 'Sacred Heart Hospital of Pensacola Heliport', 30.384399, -86.397697, 16, 'US', 'US-FL', 'Destin', 'no', '', '', '', '25FD'),
	('KTIX', 'medium_airport', 'Space Coast Regional Airport', 28.514799118042, -80.799201965332, 34, 'US', 'US-FL', 'Titusville', 'no', 'KTIX', 'TIX', 'TIX', ''),
	('FD29', 'small_airport', 'Flying Dutchman Ranch Airport', 29.130800247192383, -82.11930084228516, 75, 'US', 'US-FL', 'Ocala', 'no', 'FD29', '', 'FD29', ''),
	('04FL', 'small_airport', 'Cross Creek Farms Airport', 29.240353, -81.222525, 30, 'US', 'US-FL', 'Ormond Beach', 'no', '04FL', '', '04FL', ''),
	('KNIP', 'medium_airport', 'Jacksonville Naval Air Station (Towers Field)', 30.2358, -81.680603, 21, 'US', 'US-FL', 'Jacksonville', 'no', 'KNIP', 'NIP', 'NIP', ''),
	('13FA', 'small_airport', 'Earle Airpark', 29.68928, -81.50689, 25, 'US', 'US-FL', 'Hastings', 'no', '13FA', '', '13FA', ''),
	('KDAB', 'medium_airport', 'Daytona Beach International Airport', 29.179899, -81.058098, 34, 'US', 'US-FL', 'Daytona Beach', 'yes', 'KDAB', 'DAB', 'DAB', ''),
	('FD37', 'small_airport', 'Gentry Airport', 28.13719940185547, -81.26339721679688, 80, 'US', 'US-FL', 'St Cloud', 'no', 'FD37', '', 'FD37', ''),
	('43FL', 'small_airport', 'Rockin G Ranch Airport', 28.984023, -81.826184, 67, 'US', 'US-FL', 'Umatilla', 'no', '4FA1', '', '4FA1', '43FL, Fly''n R Ranch'),
	('KCOI', 'small_airport', 'Merritt Island Airport', 28.341600418099997, -80.6855010986, 6, 'US', 'US-FL', 'Merritt Island', 'no', 'KCOI', 'COI', 'COI', ''),
	('6FL0', 'small_airport', 'Seminole Lake Gliderport', 28.405799865722656, -81.83789825439453, 120, 'US', 'US-FL', 'Groveland', 'no', '6FL0', '', '6FL0', ''),
	('FD02', 'small_airport', 'Patch O Blue Airport', 29.485001, -82.022003, 80, 'US', 'US-FL', 'Orange Springs', 'no', 'FD02', '', 'FD02', '85th Avenue Airstrip'),
	('KCRG', 'medium_airport', 'Jacksonville Executive at Craig Airport', 30.3362998962, -81.51439666750001, 41, 'US', 'US-FL', 'Jacksonville', 'no', 'KCRG', 'CRG', 'CRG', 'Craig Municipal Airport'),
	('FD86', 'small_airport', 'Deep Woods Ranch Airport', 29.03030014038086, -81.4469985961914, 45, 'US', 'US-FL', 'Deland', 'no', 'FD86', '', 'FD86', ''),
	('X35', 'small_airport', 'Dunnellon Marion Co & Park of Commerce Airport', 29.0618, -82.37660217, 65, 'US', 'US-FL', 'Dunnellon', 'no', 'X35', '', 'X35', ''),
	('FD83', 'small_airport', 'Stout Airport', 28.25860023498535, -81.38400268554688, 65, 'US', 'US-FL', 'Kissimmee', 'no', 'FD83', '', 'FD83', ''),
	('FL84', 'small_airport', 'Flying-A-Ranch Airport', 30.60110092163086, -81.57039642333984, 25, 'US', 'US-FL', 'Fernandina Beach', 'no', 'FL84', '', 'FL84', ''),
	('FL43', 'small_airport', 'Burntwood Ranch Airport', 28.258100509643555, -81.93060302734375, 119, 'US', 'US-FL', 'Lakeland', 'no', 'FL43', '', 'FL43', ''),
	('FA08', 'small_airport', 'Orlampa Inc Airport / Fantasy of Flight', 28.166763, -81.809603, 139, 'US', 'US-FL', 'Polk City', 'no', 'FA08', '', 'FA08', 'fantasy of flight'),
	('8FL3', 'small_airport', 'Back Achers Airport', 29.072999954223633, -81.99949645996094, 90, 'US', 'US-FL', 'Belleview', 'no', '8FL3', '', '8FL3', ''),
	('47FL', 'small_airport', 'Flying Exotics Airport', 28.96419906616211, -81.77899932861328, 150, 'US', 'US-FL', 'Weirsdale', 'no', '47FL', '', '47FL', ''),
	('89FL', 'seaplane_base', 'Lake Hiawassee Seaplane Base', 28.529199600219727, -81.48090362548828, 70, 'US', 'US-FL', 'Orlando', 'no', '89FL', '', '89FL', ''),
	('KGNV', 'medium_airport', 'Gainesville Regional Airport', 29.6900997162, -82.2717971802, 152, 'US', 'US-FL', 'Gainesville', 'yes', 'KGNV', 'GNV', 'GNV', ''),
	('KVQQ', 'medium_airport', 'Cecil Airport', 30.2187, -81.876701, 81, 'US', 'US-FL', 'Jacksonville', 'no', 'KVQQ', 'VQQ', 'VQQ', 'NZC, KNCZ, Cecil Field NAS'),
	('9FL1', 'small_airport', 'Flying W Airranch Airport', 28.6835994720459, -82.15760040283203, 58, 'US', 'US-FL', 'Bushnell', 'no', '9FL1', '', '9FL1', ''),
	('01FA', 'small_airport', 'Rybolt Ranch Airport', 28.589399337768555, -81.14420318603516, 55, 'US', 'US-FL', 'Orlando', 'no', '01FA', '', '01FA', ''),
	('4FD7', 'small_airport', 'Flanders Field', 28.20639991760254, -81.8279037475586, 131, 'US', 'US-FL', 'Polk City', 'no', '4FD7', '', '4FD7', ''),
	('6FD2', 'small_airport', 'Big Oaks Ranch Airport', 28.666900634765625, -81.08450317382813, 25, 'US', 'US-FL', 'Chuluota', 'no', '6FD2', '', '6FD2', ''),
	('FD44', 'small_airport', 'Eagles Nest Aerodrome', 29.4269444, -81.6041667, 63, 'US', 'US-FL', 'Crescent City', 'no', 'FD44', '', 'FD44', ''),
	('63FD', 'small_airport', 'Link Field', 29.69809913635254, -82.49140167236328, 108, 'US', 'US-FL', 'Alachua', 'no', '63FD', '', '63FD', ''),
	('2FD8', 'closed', 'Lib Field', 29.521099, -81.632301, 50, 'US', 'US-FL', 'Welaka', 'no', '', '', '', '2FD8'),
	('0FA5', 'seaplane_base', 'Briley Farm Seaplane Base', 28.5727778, -81.6286111, 66, 'US', 'US-FL', 'Oakland', 'no', '0FA5', '', '0FA5', ''),
	('62FD', 'seaplane_base', 'Doctors Lake Seaplane Base', 30.12529945373535, -81.74420166015625, 0, 'US', 'US-FL', 'Orange Park', 'no', '62FD', '', '62FD', ''),
	('28FL', 'small_airport', 'Jim Finlay Farm Airport', 29.4419002532959, -81.58309936523438, 40, 'US', 'US-FL', 'Cresent City', 'no', '28FL', '', '28FL', ''),
	('FL46', 'closed', 'Bartram Farms Air Park', 29.821178, -81.497058, 17, 'US', 'US-FL', 'Elkton', 'no', '', '', '', 'FL46'),
	('3FL0', 'small_airport', 'Mount Royal Airport', 29.436100006103516, -81.65670013427734, 60, 'US', 'US-FL', 'Welaka', 'no', '3FL0', '', '3FL0', ''),
	('FD81', 'small_airport', 'Gleim Field', 29.702699661254883, -82.42569732666016, 170, 'US', 'US-FL', 'Gainesville', 'no', 'FD81', '', 'FD81', ''),
	('8FA4', 'small_airport', 'Samsula / Coe Field', 29.009948, -81.133869, 40, 'US', 'US-FL', '', 'no', '8FA4', '', '', ''),
	('42J', 'small_airport', 'Keystone Heights Airport', 29.8447, -82.047501, 196, 'US', 'US-FL', 'Keystone Heights', 'no', '', '', '42J', 'Keystone Airpark'),
	('FL58', 'small_airport', 'Johary Airport', 29.026399612426758, -81.98789978027344, 72, 'US', 'US-FL', 'Belleview', 'no', 'FL58', '', 'FL58', ''),
	('3FD9', 'seaplane_base', 'Prairie Lake Private Residential Seaplane Base', 28.6567, -81.353401, 86, 'US', 'US-FL', 'Altamonte Springs', 'no', '3FD9', '', '3FD9', ''),
	('FL11', 'small_airport', 'Thrifts Airport', 30.34939956665039, -82.12090301513672, 100, 'US', 'US-FL', 'Macclenny', 'no', 'FL11', '', 'FL11', ''),
	('7FL4', 'small_airport', 'Haller Airpark', 29.904057, -81.68515, 75, 'US', 'US-FL', 'Green Cove Springs', 'no', '7FL4', '', '7FL4', ''),
	('11FL', 'small_airport', 'Williams Field', 30.043724, -81.885217, 88, 'US', 'US-FL', 'Middleburg', 'no', '11FL', '', '11FL', ''),
	('2CB', 'small_airport', 'Camp Blanding Army Air Field/NG Airfield', 29.952499, -81.979698, 196, 'US', 'US-FL', 'Camp Blanding Mil Res(Starke)', 'no', '', '', '2CB', ''),
	('F15', 'seaplane_base', 'Halifax River Seaplane Base', 29.241827, -81.03233, 5, 'US', 'US-FL', 'Holly Hill', 'no', '', '', 'F15', ''),
	('FL35', 'small_airport', 'Geraci Airpark', 28.174999237060547, -82.48777770996094, 65, 'US', 'US-FL', 'Lutz', 'no', 'FL35', '', 'FL35', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('35FA', 'small_airport', 'Rimes Lakecrest Airport', 29.467899322509766, -82.15879821777344, 65, 'US', 'US-FL', 'Cross Creek', 'no', '35FA', '', '35FA', ''),
	('FA50', 'small_airport', 'Wings-N-Wheels Airport', 29.3614006042, -82.1498031616, 82, 'US', 'US-FL', 'Reddick', 'no', 'FA50', '', 'FA50', ''),
	('FD04', 'small_airport', 'Leeward Air Ranch Airport', 29.0841007232666, -82.03230285644531, 86, 'US', 'US-FL', 'Ocala/Belleview', 'no', 'FD04', '', 'FD04', ''),
	('0FA9', 'seaplane_base', 'Paradise Landing Seaplane Base', 28.653888888900003, -81.3769444444, 59, 'US', 'US-FL', 'Altamonte Springs', 'no', '', '', '0FA9', ''),
	('2FA1', 'small_airport', 'Squillacote Airport', 29.251264, -81.200535, 40, 'US', 'US-FL', 'Ormond Beach', 'no', '2FA1', '', '2FA1', 'FD63, Dan Rice'),
	('0FL5', 'seaplane_base', 'Lake Conway South Seaplane Base', 28.458599090576172, -81.34970092773438, 80, 'US', 'US-FL', 'Belle Isle', 'no', '0FL5', '', '0FL5', ''),
	('2FA5', 'small_airport', 'Thunderbird Air Park', 29.472200393676758, -81.5719985961914, 67, 'US', 'US-FL', 'Crescent City', 'no', '2FA5', '', '2FA5', ''),
	('X61', 'small_airport', 'Bob White Field', 28.735101, -81.62918, 78, 'US', 'US-FL', 'Zellwood', 'no', '', '', 'X61', ''),
	('FD27', 'small_airport', 'Cuyler Field', 30.362699508666992, -82.2261962890625, 120, 'US', 'US-FL', 'Glen St Mary', 'no', 'FD27', '', 'FD27', ''),
	('97FL', 'small_airport', 'Love Field', 28.96190071105957, -81.8915023803711, 80, 'US', 'US-FL', 'Weirsdale', 'no', '97FL', '', '97FL', ''),
	('7FL6', 'small_airport', 'Spruce Creek Airport', 29.0802001953125, -81.04669952392578, 24, 'US', 'US-FL', 'Daytona Beach', 'no', '7FL6', '', '7FL6', ''),
	('FD49', 'small_airport', 'Montgomery''s Flying M Ranch Airport', 28.77359962463379, -82.13040161132813, 70, 'US', 'US-FL', 'Lake Panasoffkee', 'no', 'FD49', '', 'FD49', ''),
	('06FD', 'small_airport', 'Grass Roots Airpark', 28.641700744628906, -81.88500213623047, 105, 'US', 'US-FL', 'Mascotte', 'no', '06FD', '', '06FD', ''),
	('24FA', 'closed', 'Lake Weir Seaplane Base', 29.034401, -81.9506, 56, 'US', 'US-FL', 'Oklawaha', 'no', '', '', '', '24FA'),
	('51FD', 'small_airport', 'Tex Merritt Private Airstrip', 28.667800903320313, -81.91809844970703, 95, 'US', 'US-FL', 'Leesburg', 'no', '51FD', '', '51FD', ''),
	('GA20', 'small_airport', 'Stafford Airport', 30.8111, -81.462799, 28, 'US', 'US-GA', 'Saint Marys', 'no', 'GA20', '', 'GA20', ''),
	('5FL4', 'small_airport', 'Byrd Air Field', 29.800800323486328, -81.50090026855469, 21, 'US', 'US-FL', 'Elkton', 'no', '5FL4', '', '5FL4', ''),
	('10FA', 'small_airport', 'Flying Baron Estates Airport', 28.797500610351563, -81.93589782714844, 75, 'US', 'US-FL', 'Leesburg', 'no', '10FA', '', '10FA', ''),
	('X55', 'small_airport', 'Mid Florida at Eustis Airport', 28.8461, -81.630302, 167, 'US', 'US-FL', 'Eustis', 'no', '', '', 'X55', 'Mid Florida Air Service'),
	('KORL', 'small_airport', 'Orlando Executive Airport', 28.5455, -81.332901, 113, 'US', 'US-FL', 'Orlando', 'no', 'KORL', 'ORL', 'ORL', 'Herndon Airport, Orlando Executive Airport, KORL, ORL, Orlando Municipal Airport, Orlando Army Air Base, Orlando Air Force Base, Naval Training Center Orlando'),
	('FD92', 'small_airport', 'Southerland Strip', 28.732799530029297, -81.07869720458984, 15, 'US', 'US-FL', 'Geneva', 'no', 'FD92', '', 'FD92', ''),
	('KFHB', 'N/A', 'N/A', 30.611833222210407, -81.46119430661201, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FL54', 'small_airport', 'Flying Tiger Field', 29.93549919128418, -82.41069793701172, 115, 'US', 'US-FL', 'Worthington', 'no', 'FL54', '', 'FL54', ''),
	('5FL7', 'small_airport', 'Twelve Oaks Airport', 28.97800064086914, -82.36370086669922, 50, 'US', 'US-FL', 'Hernando', 'no', '5FL7', '', '5FL7', ''),
	('5FA1', 'small_airport', 'Flying Palomino Ranch Airport', 28.878000259399414, -81.94090270996094, 85, 'US', 'US-FL', 'Fruitland Park', 'no', '5FA1', '', '5FA1', ''),
	('FL61', 'small_airport', 'Mc Ginley Airport', 29.0261001587, -82.2123031616, 84, 'US', 'US-FL', 'Ocala', 'no', 'FL61', '', 'FL61', ''),
	('KLEE', 'medium_airport', 'Leesburg International Airport', 28.82309914, -81.80870056, 76, 'US', 'US-FL', 'Leesburg', 'no', 'KLEE', 'LEE', 'LEE', 'Leesburg AAF'),
	('KISM', 'medium_airport', 'Kissimmee Gateway Airport', 28.2898006439, -81.4371032715, 82, 'US', 'US-FL', 'Orlando', 'no', 'KISM', 'ISM', 'ISM', ''),
	('98FL', 'seaplane_base', 'Sand Lake Seaplane Base', 28.4335994720459, -81.49150085449219, 90, 'US', 'US-FL', 'Orlando/Buena Vista', 'no', '98FL', '', '98FL', ''),
	('2J8', 'small_airport', 'Pierson Municipal Airport', 29.25, -81.45919799804688, 63, 'US', 'US-FL', 'Pierson', 'no', '2J8', '', '2J8', ''),
	('46FD', 'small_airport', 'Tater Farms Strip', 29.674779, -81.500649, 14, 'US', 'US-FL', 'Hastings', 'no', '46FD', '', '46FD', ''),
	('KNEN', 'small_airport', 'Whitehouse Naval Outlying Field', 30.353900909424, -81.87190246582, 99, 'US', 'US-FL', 'Jacksonville', 'no', 'KNEN', 'NEN', 'NEN', 'Whitehouse NOLF'),
	('8FL2', 'small_airport', 'Kiever Airport', 29.001101, -82.100601, 67, 'US', 'US-FL', 'Summerfield', 'no', '8FL2', '', '8FL2', 'Belleview, Norton Airport'),
	('X39', 'small_airport', 'Tampa North Aero Park Airport', 28.2213001251, -82.37449646, 68, 'US', 'US-FL', 'Tampa', 'no', 'X39', 'KYO', 'X39', 'Wesley Chapel, Topp of Tampa Airport'),
	('KCOF', 'medium_airport', 'Patrick Space Force Base', 28.2349, -80.6101, 8, 'US', 'US-FL', 'Cocoa Beach', 'no', 'KCOF', 'COF', 'COF', 'Naval Air Station Banana River'),
	('16FD', 'small_airport', 'Skinners Wholesale Nursery Airport', 29.405000686645508, -81.49590301513672, 20, 'US', 'US-FL', 'Crescent City', 'no', '16FD', '', '16FD', ''),
	('43FD', 'seaplane_base', 'Cole''s Seaplane Base', 28.28773, -81.385705, 53, 'US', 'US-FL', 'Kissimmee', 'no', '43FD', '', '43FD', ''),
	('93FL', 'closed', 'Pine Lakes Farm Airport', 28.9447, -81.408096, 60, 'US', 'US-FL', 'Deland', 'no', '', '', '', '93FL'),
	('FA63', 'closed', 'Leffler Airport', 28.976279, -81.118211, 43, 'US', 'US-FL', 'Alamana', 'no', '', '', '', 'X76, FA63'),
	('FA42', 'small_airport', 'Sheets Airport', 28.532899856567383, -81.8467025756836, 118, 'US', 'US-FL', 'Groveland', 'no', 'FA42', '', 'FA42', ''),
	('KNRB', 'medium_airport', 'Naval Station Mayport / Admiral David L McDonald Field', 30.3911, -81.424698, 15, 'US', 'US-FL', 'Jacksonville', 'no', 'KNRB', 'NRB', 'NRB', ''),
	('X04', 'small_airport', 'Orlando Apopka Airport', 28.707199096679688, -81.58170318603516, 143, 'US', 'US-FL', 'Apopka', 'no', 'KX04', '', 'X04', ''),
	('0FL8', 'seaplane_base', 'Gary Gale Seaplane Base', 30.193899154663086, -81.68190002441406, 0, 'US', 'US-FL', 'Jacksonville', 'no', '0FL8', '', '0FL8', ''),
	('34FL', 'closed', 'Ellis Agricultural Field', 30.965853, -86.302135, 324, 'US', 'US-FL', 'Paxton', 'no', '', '', '', '34FL'),
	('14FD', 'closed', 'Sunshine Farms Airport', 29.9491, -81.490402, 23, 'US', 'US-FL', 'St Augustine', 'no', '', '', '', '14FD'),
	('FD43', 'closed', 'Oaks Helistop', 27.2064, -82.488197, 14, 'US', 'US-FL', 'Venice', 'no', '', '', '', 'FD43'),
	('3J6', 'small_airport', 'Davis Field', 30.797501, -82.027603, 68, 'US', 'US-GA', 'Folkston', 'no', '3J6', '', '3J6', ''),
	('FA38', 'small_airport', 'Woods and Lakes Airpark', 29.123600006103516, -81.88700103759766, 100, 'US', 'US-FL', 'Oklawaha', 'no', 'FA38', '', 'FA38', ''),
	('21FA', 'closed', 'Rockledge Airport', 28.299086, -80.720781, 27, 'US', 'US-FL', 'Rockledge', 'no', '', '', '', '21FA, 21FA, 21FA'),
	('FL36', 'closed', 'Tocoi Airport', 29.867472, -81.367361, 35, 'US', 'US-FL', 'St. Augustine', 'no', '', '', '', 'FL36'),
	('FL99', 'small_airport', 'Flying-H Airport', 28.876100540161133, -81.88899993896484, 80, 'US', 'US-FL', 'Fruitland Park', 'no', 'FL99', '', 'FL99', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KZPH', 'small_airport', 'Zephyrhills Municipal Airport', 28.228201, -82.155899, 90, 'US', 'US-FL', 'Zephyrhills', 'no', 'KZPH', 'ZPH', 'ZPH', ''),
	('FL03', 'closed', 'Department of Corrections Field', 29.99001, -82.362058, 131, 'US', 'US-FL', 'Lake Butler', 'no', '', '', '', 'FL03'),
	('FD14', 'small_airport', 'Paniola Air Ranch Airport', 29.37529945373535, -82.05809783935547, 140, 'US', 'US-FL', 'Citra', 'no', 'FD14', '', 'FD14', ''),
	('4J6', 'small_airport', 'St Marys Airport', 30.753, -81.5588, 23, 'US', 'US-GA', 'St Marys', 'no', 'K4J6', '', '4J6', ''),
	('FA09', 'small_airport', 'Arliss M Airport', 29.34079933166504, -82.26370239257813, 200, 'US', 'US-FL', 'Fairfield', 'no', 'FA09', '', 'FA09', ''),
	('6FD6', 'small_airport', 'Britt Brown & Porter Ranch Airport', 28.905000686645508, -81.43309783935547, 167, 'US', 'US-FL', 'Eustis', 'no', '6FD6', '', '6FD6', ''),
	('4FL9', 'small_airport', 'Gore Airport', 28.143400192260742, -81.64700317382813, 135, 'US', 'US-FL', 'Haines City', 'no', '4FL9', '', '4FL9', ''),
	('39FA', 'small_airport', 'Sanders Ranch Airport', 29.6625, -82.0093, 150, 'US', 'US-FL', 'Hawthorne', 'no', '39FA', '', '39FA', ''),
	('09FD', 'small_airport', 'Cheryl-Lane Landings Airport', 28.671100616455078, -82.0873031616211, 71, 'US', 'US-FL', 'Bushnell', 'no', '09FD', '', '09FD', ''),
	('85FA', 'small_airport', 'North Exuma Airport', 29.093122, -81.277635, 62, 'US', 'US-FL', 'DeLand', 'no', '85FA', '', '85FA', ''),
	('KSFB', 'large_airport', 'Orlando Sanford International Airport', 28.777599334716797, -81.23750305175781, 55, 'US', 'US-FL', 'Orlando', 'yes', 'KSFB', 'SFB', 'SFB', ''),
	('KINF', 'small_airport', 'Inverness Airport', 28.803588, -82.318311, 50, 'US', 'US-FL', 'Inverness', 'no', 'KINF', '', 'INF', 'X40'),
	('KXMR', 'medium_airport', 'Cape Canaveral SFS Skid Strip', 28.4676, -80.566597, 10, 'US', 'US-FL', 'Cocoa Beach', 'no', 'KXMR', '', 'XMR', ''),
	('FD33', 'small_airport', 'Green Swamp Aerodrome', 28.211700439453125, -81.99870300292969, 115, 'US', 'US-FL', 'Lakeland', 'no', 'FD33', '', 'FD33', ''),
	('FL5', 'seaplane_base', 'Orlando Seaplane Base', 28.621111, -81.639167, 66, 'US', 'US-FL', 'Orlando', 'no', '', '', 'FL5', 'FA07'),
	('9FD2', 'small_airport', 'Blackwater Creek Ultralightport', 28.136999130249023, -82.14649963378906, 80, 'US', 'US-FL', 'Plant City', 'no', '9FD2', '', '9FD2', ''),
	('83FL', 'small_airport', 'Nassau Airport', 30.618799209594727, -81.53369903564453, 20, 'US', 'US-FL', 'Yulee', 'no', '83FL', '', '83FL', ''),
	('FA83', 'small_airport', 'Orlando North Airpark', 28.72156, -81.654825, 80, 'US', 'US-FL', 'Zellwood', 'no', 'FA83', '', 'FA83', ''),
	('8FA1', 'small_airport', 'Clark Field', 30.052951, -82.241775, 123, 'US', 'US-FL', 'Raiford', 'no', '8FA1', '', '8FA1', ''),
	('X60', 'small_airport', 'Williston Municipal Airport', 29.35420036315918, -82.472900390625, 76, 'US', 'US-FL', 'Williston', 'no', 'KX60', '', 'X60', ''),
	('22FL', 'closed', 'Farm Air Service Airport', 30.6019, -85.1399, 150, 'US', 'US-FL', 'Altha', 'no', '', '', '', '22FL'),
	('8FL0', 'small_airport', 'Hutson Airfield', 29.72800064086914, -81.4397964477539, 50, 'US', 'US-FL', 'Hastings', 'no', '8FL0', '', '8FL0', ''),
	('2FD2', 'small_airport', 'Marjorie Kennan Rawlings Airport', 29.47929955, -82.05329895, 78, 'US', 'US-FL', 'Island Grove', 'no', '2FD2', '', '2FD2', ''),
	('8FD2', 'small_airport', 'The Flying Horseman Airport', 29.715153, -82.097139, 192, 'US', 'US-FL', 'Melrose', 'no', '81FL', '', '81FL', '8FD2'),
	('FL66', 'small_airport', 'Peach Orchard Airport', 29.55970001220703, -82.49949645996094, 75, 'US', 'US-FL', 'Archer', 'no', 'FL66', '', 'FL66', ''),
	('9FD5', 'small_airport', 'Thompson''s Goinbroke Aero Ranch Airport', 29.386600494384766, -82.14289855957031, 85, 'US', 'US-FL', 'Citra', 'no', '9FD5', '', '9FD5', ''),
	('3FL1', 'small_airport', 'Two J''s Flying Ranch Airport', 28.452499389648438, -82.20780181884766, 60, 'US', 'US-FL', 'Dade City', 'no', '3FL1', '', '3FL1', ''),
	('98FD', 'seaplane_base', 'Lake Jessup Seaplane Base', 28.716899871826172, -81.23310089111328, 32, 'US', 'US-FL', 'Oviedo', 'no', '98FD', '', '98FD', ''),
	('FL60', 'small_airport', 'Reynolds Airpark', 29.97249984741211, -81.66089630126953, 21, 'US', 'US-FL', 'Green Cove Springs', 'no', 'FL60', '', 'FL60', ''),
	('01J', 'small_airport', 'Hilliard Airpark', 30.685568, -81.906346, 59, 'US', 'US-FL', 'Hilliard', 'no', 'K01J', '', '01J', ''),
	('FL62', 'small_airport', 'Bradshaw Tree Farm Airport', 28.948601, -81.413101, 55, 'US', 'US-FL', 'Deland', 'no', 'FL62', '', 'FL62', 'Bradshaw Farm Airport'),
	('2FA7', 'small_airport', 'Kathrinstadt Airport', 29.634436, -81.464935, 10, 'US', 'US-FL', 'Hastings', 'no', '', '', '2FA7', 'Kathrinstadt, Aeromarine, Vintage Airplane, Vintage Airline, 1920''s'),
	('KOCF', 'small_airport', 'Ocala International Airport - Jim Taylor Field', 29.17259979, -82.22419739, 90, 'US', 'US-FL', 'Ocala', 'no', 'KOCF', 'OCF', 'OCF', ''),
	('KMCO', 'large_airport', 'Orlando International Airport', 28.429399490356445, -81.30899810791016, 96, 'US', 'US-FL', 'Orlando', 'yes', 'KMCO', 'MCO', 'MCO', 'Disney World,Epcot Center'),
	('FL19', 'small_airport', 'Crosswind Farm Airport', 29.24530029296875, -82.35369873046875, 74, 'US', 'US-FL', 'Ocala', 'no', 'FL19', '', 'FL19', ''),
	('2FA6', 'small_airport', 'Freeflight International Airport', 28.811100006103516, -82.06539916992188, 55, 'US', 'US-FL', 'Coleman', 'no', '2FA6', '', '2FA6', ''),
	('21FL', 'small_airport', 'Kings Field', 28.50860023498535, -81.80030059814453, 98, 'US', 'US-FL', 'Clermont', 'no', '21FL', '', '21FL', ''),
	('X50', 'small_airport', 'Massey Ranch Airpark', 28.978901, -80.925102, 12, 'US', 'US-FL', 'New Smyrna Beach', 'no', 'KX50', '', 'X50', ''),
	('2FL8', 'small_airport', 'Tiger Lake Airport', 27.88360023498535, -81.36309814453125, 54, 'US', 'US-FL', 'River Ranch', 'no', '2FL8', '', '2FL8', ''),
	('KSUA', 'small_airport', 'Witham Field', 27.18169975, -80.22109985, 16, 'US', 'US-FL', 'Stuart', 'no', 'KSUA', 'SUA', 'SUA', 'NAAS Witham Field'),
	('4FA3', 'small_airport', 'Tranquility Bay Strip', 26.643400192260742, -82.1178970336914, 8, 'US', 'US-FL', 'Fort Myers', 'no', '4FA3', '', '4FA3', ''),
	('FL75', 'small_airport', 'Indian Hammock Airport', 27.54199981689453, -80.83309936523438, 65, 'US', 'US-FL', 'Fort Drum', 'no', 'FL75', '', 'FL75', ''),
	('FD30', 'small_airport', 'Southeastern Airport', 27.411399841308594, -80.52619934082031, 23, 'US', 'US-FL', 'Fort Pierce', 'no', 'FD30', '', 'FD30', ''),
	('79FD', 'small_airport', 'Midway Lake Airport', 28.04199981689453, -82.09230041503906, 150, 'US', 'US-FL', 'Plant City', 'no', '79FD', '', '79FD', ''),
	('KMLB', 'medium_airport', 'Melbourne Orlando International Airport', 28.1028, -80.645302, 33, 'US', 'US-FL', 'Melbourne', 'yes', 'KMLB', 'MLB', 'MLB', ''),
	('06FA', 'small_airport', 'William P Gwinn Airport', 26.90839958190918, -80.32890319824219, 28, 'US', 'US-FL', 'Jupiter', 'no', '06FA', '', '06FA', ''),
	('KRSW', 'large_airport', 'Southwest Florida International Airport', 26.53619956970215, -81.75520324707031, 30, 'US', 'US-FL', 'Fort Myers', 'yes', 'KRSW', 'RSW', 'RSW', ''),
	('7FL8', 'small_airport', 'Dragonfly Airport', 27.443899154663086, -80.56510162353516, 25, 'US', 'US-FL', 'Fort Pierce', 'no', '7FL8', '', '7FL8', ''),
	('9FL7', 'small_airport', 'Oasis Ranger Station - US Government Airport', 25.860072, -81.034727, 10, 'US', 'US-FL', 'Everglades City', 'no', '9FL7', '', '9FL7', ''),
	('09FL', 'closed', 'Sunnybreeze Airport', 27.049955, -81.970739, 60, 'US', 'US-FL', 'Arcadia', 'no', '', '', '', '09FL'),
	('4FL3', 'small_airport', 'Fellsmere Airport', 27.740214, -80.666792, 24, 'US', 'US-FL', 'Fellsmere', 'no', '4FL3', '', '4FL3', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('20FA', 'closed', 'Golden Land Ranch Airport', 27.3962, -80.920601, 43, 'US', 'US-FL', 'Okeechobee', 'no', '', '', '', '20FA, 20FA, 20FA'),
	('KBOW', 'small_airport', 'Bartow Executive Airport', 27.943399, -81.783401, 125, 'US', 'US-FL', 'Bartow', 'no', 'KBOW', 'BOW', 'BOW', 'Bartow Municipal'),
	('X49', 'small_airport', 'South Lakeland Airport', 27.933399200439453, -82.04399871826172, 110, 'US', 'US-FL', 'Lakeland', 'no', 'KX49', '', 'X49', ''),
	('KLNA', 'small_airport', 'Palm Beach County Park Airport', 26.59300041, -80.08509827, 14, 'US', 'US-FL', 'West Palm Beach', 'no', 'KLNA', 'LNA', 'LNA', ''),
	('8FD5', 'small_airport', 'Lykes Brighton Airport', 27.188899993896484, -81.08699798583984, 30, 'US', 'US-FL', 'Okeechobee', 'no', '8FD5', '', '8FD5', ''),
	('X58', 'small_airport', 'Indiantown Airport', 27.036399841308594, -80.44010162353516, 30, 'US', 'US-FL', 'Indiantown', 'no', 'KX58', '', 'X58', ''),
	('07FA', 'small_airport', 'Ocean Reef Club Airport', 25.325399398804, -80.274803161621, 8, 'US', 'US-FL', 'Key Largo', 'no', '07FA', 'OCA', '07FA', ''),
	('FD77', 'small_airport', 'Wimauma Air Park', 27.711999893188477, -82.28289794921875, 100, 'US', 'US-FL', 'Wimauma', 'no', 'FD77', '', 'FD77', ''),
	('2RR', 'small_airport', 'River Ranch Resort Airport', 27.78219985961914, -81.2052993774414, 55, 'US', 'US-FL', 'River Ranch', 'no', 'K2RR', '', '2RR', ''),
	('05FL', 'small_airport', 'Charlton Strip', 26.52018, -81.41031, 36, 'US', 'US-FL', 'La Belle', 'no', '05FL', '', '05FL', ''),
	('X06', 'small_airport', 'Arcadia Municipal Airport', 27.195549, -81.837287, 63, 'US', 'US-FL', 'Arcadia', 'no', '', '', 'X06', ''),
	('X10', 'small_airport', 'Belle Glade State Municipal Airport', 26.700899, -80.6623, 14, 'US', 'US-FL', 'Belle Glade', 'no', 'KX10', '', 'X10', ''),
	('4FL1', 'small_airport', 'Escape Ranch Airport', 27.86280059814453, -80.95809936523438, 71, 'US', 'US-FL', 'Kenansville', 'no', '4FL1', '', '4FL1', ''),
	('FL37', 'small_airport', 'Treasure Coast Airpark', 27.238399505615234, -80.49140167236328, 30, 'US', 'US-FL', 'Fort Pierce', 'no', 'FL37', '', 'FL37', ''),
	('1FD4', 'small_airport', 'Corkscrew Trace Airpark', 26.44540023803711, -81.6072998046875, 29, 'US', 'US-FL', 'Estero', 'no', '1FD4', '', '1FD4', ''),
	('32FA', 'small_airport', 'Sunset Strip Airpark', 27.23419952392578, -80.90370178222656, 34, 'US', 'US-FL', 'Okeechobee', 'no', '32FA', '', '32FA', ''),
	('9FD0', 'seaplane_base', 'Sage Seadrome Seaplane Base', 27.945600509643555, -81.40339660644531, 53, 'US', 'US-FL', 'Lake Wales', 'no', '9FD0', '', '9FD0', ''),
	('FL56', 'closed', 'Williams Hawgwild Airport', 27.410157, -80.429342, 20, 'US', 'US-FL', 'Fort Pierce', 'no', '', '', '', 'FL56'),
	('KAPF', 'medium_airport', 'Naples Municipal Airport', 26.1525993347, -81.7752990723, 8, 'US', 'US-FL', 'Naples', 'no', 'KAPF', 'APF', 'APF', ''),
	('70FA', 'small_airport', 'Wee Bee Sky Ranch Airport', 27.562175, -80.5993694, 27, 'US', 'US-FL', 'Vero Beach', 'no', '70FA', '', '70FA', ''),
	('X25', 'small_airport', 'Chalet Suzanne Air Strip', 27.9538002014, -81.60140228270001, 130, 'US', 'US-FL', 'Lake Wales', 'no', 'X25', '', 'X25', ''),
	('16FA', 'small_airport', 'Little Deer Airport', 26.033956, -81.042345, 14, 'US', 'US-FL', 'Ochopee', 'no', '16FA', '', '16FA', ''),
	('1FL0', 'seaplane_base', 'Londono''s Landing Seaplane Base', 28.1036, -81.805901, 147, 'US', 'US-FL', 'Auburndale', 'no', '1FL0', '', '1FL0', 'Garner Landing'),
	('83FD', 'small_airport', 'Lake Montaza Airport', 27.580299377441406, -80.81529998779297, 52, 'US', 'US-FL', 'Okeechobee', 'no', '83FD', '', '83FD', ''),
	('FD96', 'small_airport', 'Hilliard''s Private Airport', 26.832599639892578, -81.0801010131836, 13, 'US', 'US-FL', 'Moore Haven', 'no', 'FD96', '', 'FD96', ''),
	('FL65', 'closed', 'Mac-Ivor & Friends Airstrip', 26.0448, -80.373398, 4, 'US', 'US-FL', 'Hollywood', 'no', '', '', '', 'FL65'),
	('58FD', 'small_airport', 'Southerly Airport', 28.01420021057129, -81.54060363769531, 78, 'US', 'US-FL', 'Dundee', 'no', '58FD', '', '58FD', ''),
	('FA18', 'small_airport', 'Devils Garden Strip', 28.451099395751953, -81.00029754638672, 18, 'US', 'US-FL', 'La Belle', 'no', 'FA18', '', 'FA18', ''),
	('26FD', 'small_airport', 'Hennessy Airport', 27.05120086669922, -81.84809875488281, 50, 'US', 'US-FL', 'Arcadia', 'no', '26FD', '', '26FD', ''),
	('2IS', 'small_airport', 'Airglades Airport', 26.735195, -81.051078, 20, 'US', 'US-FL', 'Clewiston', 'no', '', '', '2IS', ''),
	('FL41', 'small_airport', 'Okeelanta Airport', 26.581199645996094, -80.75589752197266, 14, 'US', 'US-FL', 'South Bay', 'no', 'FL41', '', 'FL41', ''),
	('KMKY', 'small_airport', 'Marco Island Executive Airport', 25.995001, -81.672501, 5, 'US', 'US-FL', 'Marco Island', 'no', 'KMKY', 'MRK', 'MKY', ''),
	('FD15', 'small_airport', 'Tailwinds Airport', 26.97949981689453, -80.21869659423828, 19, 'US', 'US-FL', 'Jupiter', 'no', 'FD15', '', 'FD15', ''),
	('KFLR', 'closed', 'Fall River Airport', 41.75555, -71.10907, 190, 'US', 'US-MA', 'Fall River', 'no', '', '', '', 'KFLR, KFLR, FLR'),
	('29FA', 'seaplane_base', 'Caloosa Downtown Seaplane Base', 26.635000228881836, -81.875, 2, 'US', 'US-FL', 'Fort Myers', 'no', '29FA', '', '29FA', ''),
	('KFMY', 'medium_airport', 'Page Field', 26.58659935, -81.86329650879999, 17, 'US', 'US-FL', 'Fort Myers', 'no', 'KFMY', 'FMY', 'FMY', ''),
	('FL01', 'small_airport', 'Crews Homestead Ranch Airport', 27.6210994720459, -81.61060333251953, 90, 'US', 'US-FL', 'Avon Park', 'no', 'FL01', '', 'FL01', ''),
	('KBIC', 'N/A', 'N/A', 25.87653335183859, -80.16054287552834, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPMP', 'small_airport', 'Pompano Beach Airpark', 26.247100830078, -80.111099243164, 19, 'US', 'US-FL', 'Pompano Beach', 'no', 'KPMP', 'PPM', 'PMP', ''),
	('08FL', 'small_airport', 'J. H. Hendrie Farms Airport', 27.08449935913086, -81.32869720458984, 103, 'US', 'US-FL', 'Lake Placid', 'no', '08FL', '', '08FL', ''),
	('1FA3', 'small_airport', 'Pine Island Airport', 26.656200408935547, -82.12120056152344, 12, 'US', 'US-FL', 'Fort Myers', 'no', '1FA3', '', '1FA3', ''),
	('96FD', 'small_airport', 'Citrus Hedging Ranch Airport', 27.352, -80.736198, 60, 'US', 'US-FL', 'Okeechobee', 'no', '96FD', '', '96FD', ''),
	('X36', 'small_airport', 'Buchan Airport', 26.990101, -82.374001, 15, 'US', 'US-FL', 'Englewood', 'no', 'X36', '', 'X36', ''),
	('FA60', 'small_airport', 'Vince''s Condominium Association Airport', 27.23889923095703, -81.38590240478516, 115, 'US', 'US-FL', 'Lake Placid', 'no', 'FA60', '', 'FA60', ''),
	('KFPR', 'medium_airport', 'St Lucie County International Airport', 27.49510002, -80.36830139, 24, 'US', 'US-FL', 'Fort Pierce', 'no', 'KFPR', 'FPR', 'FPR', ''),
	('FL88', 'small_airport', 'Bob Paul Airport', 26.683700561523438, -81.44979858398438, 28, 'US', 'US-FL', 'La Belle', 'no', 'FL88', '', 'FL88', ''),
	('X01', 'small_airport', 'Everglades Airpark', 25.8486995697, -81.3900985718, 5, 'US', 'US-FL', 'Everglades', 'no', 'X01', '', 'X01', ''),
	('80FA', 'seaplane_base', 'Lake Marian Seaplane Base', 27.8863889, -81.0838888, 62, 'US', 'US-FL', 'Kenansville', 'no', '80FA', '', '80FA', ''),
	('KIMM', 'small_airport', 'Immokalee Regional Airport', 26.427933, -81.403531, 37, 'US', 'US-FL', 'Immokalee', 'no', 'KIMM', 'IMM', 'IMM', ''),
	('KHST', 'medium_airport', 'Homestead ARB Airport', 25.48859978, -80.38359833, 5, 'US', 'US-FL', 'Homestead', 'no', 'KHST', 'HST', 'HST', 'Dade County Airport'),
	('MYCC', 'small_airport', 'Cat Cay Airport', 25.554425, -79.275404, 14, 'BS', 'BS-BI', 'North Cat Cay', 'no', 'MYCC', 'CXY', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FA64', 'small_airport', 'Montgomery Ranch Airport', 27.074499130249023, -81.58650207519531, 75, 'US', 'US-FL', 'Arcadia', 'no', 'FA64', '', 'FA64', ''),
	('MYGW', 'small_airport', 'West End Airport', 26.685301, -78.974998, 5, 'BS', 'BS-WG', 'West End', 'no', 'MYGW', 'WTD', '', ''),
	('FL90', 'small_airport', 'Salty Approach Airport', 26.6033992767, -82.2201004028, 6, 'US', 'US-FL', 'Fort Myers', 'no', 'FL90', '', 'FL90', ''),
	('0FA1', 'small_airport', 'Ott''s Landing Airport', 27.3039, -81.880403, 65, 'US', 'US-FL', 'Arcadia', 'no', '0FA1', '', '0FA1', 'Frierson Grove Airport'),
	('20FL', 'small_airport', 'Lake Suzy Estates Airport', 27.042600631713867, -82.043701171875, 25, 'US', 'US-FL', 'Port Charlotte', 'no', '20FL', '', '20FL', ''),
	('FA27', 'closed', 'Ellsworth Field', 27.205838, -81.780617, 60, 'US', 'US-FL', 'Arcadia', 'no', '', '', '', 'FA27'),
	('FD88', 'small_airport', 'Aero Acres Airport', 27.341999053955078, -80.52200317382813, 25, 'US', 'US-FL', 'Fort Pierce', 'no', 'FD88', '', 'FD88', ''),
	('9FL3', 'seaplane_base', 'Lake Josephine Seaplane Base', 27.396900177001953, -81.42669677734375, 85, 'US', 'US-FL', 'Sebring', 'no', '9FL3', '', '9FL3', ''),
	('08FA', 'small_airport', 'Duda Airstrip', 26.57979965209961, -81.48370361328125, 35, 'US', 'US-FL', 'La Belle', 'no', '08FA', '', '08FA', ''),
	('04FA', 'small_airport', 'Richards Field', 25.558700561523438, -80.51509857177734, 9, 'US', 'US-FL', 'Homestead', 'no', '04FA', '', '04FA', ''),
	('MYBO', 'heliport', 'Ocean Cay Heliport', 25.424885, -79.210192, 5, 'BS', 'BS-BI', 'Ocean Cay', 'no', 'MYBO', '', '', 'Sandy Cay'),
	('FA80', 'closed', 'Lost Horn Ranch Airport', 25.9681, -81.081497, 12, 'US', 'US-FL', 'Ochopee', 'no', '', '', '', 'FA80, FA80, FA80'),
	('92FL', 'closed', 'Carlstrom Field', 27.1206, -81.8498, 35, 'US', 'US-FL', 'Arcadia', 'no', '', '', '', '92FL'),
	('90FL', 'small_airport', 'Paxton Airport', 27.3612003326416, -80.76090240478516, 66, 'US', 'US-FL', 'Okeechobee', 'no', '90FL', '', '90FL', ''),
	('64FA', 'small_airport', 'Naked Lady Ranch Airport', 27.142799377441406, -80.33779907226563, 22, 'US', 'US-FL', 'Stuart', 'no', '64FA', '', '64FA', ''),
	('FA24', 'small_airport', 'Horseshoe Acres Airpark', 27.093299865722656, -80.61219787597656, 9, 'US', 'US-FL', 'Indiantown', 'no', 'FA24', '', 'FA24', ''),
	('03FA', 'small_airport', 'Lake Persimmon Airstrip', 27.353099822998047, -81.40809631347656, 70, 'US', 'US-FL', 'Lake Placid', 'no', '03FA', '', '03FA', ''),
	('KVRB', 'medium_airport', 'Vero Beach Regional Airport', 27.6556, -80.417901, 24, 'US', 'US-FL', 'Vero Beach', 'yes', 'KVRB', 'VRB', 'VRB', 'Vero Beach Municipal'),
	('3FD0', 'small_airport', 'Last Chance Ranch Airport', 27.021699905395508, -81.45120239257813, 70, 'US', 'US-FL', 'Lake Placid', 'no', '3FD0', '', '3FD0', ''),
	('X59', 'small_airport', 'Valkaria Airport', 27.962, -80.559799, 26, 'US', 'US-FL', 'Malabar', 'no', 'KX59', '', 'X59', ''),
	('KCHN', 'small_airport', 'Wauchula Municipal Airport', 27.51490020752, -81.880500793457, 106, 'US', 'US-FL', 'Wauchula', 'no', 'KCHN', '', 'CHN', 'FD06, F37'),
	('8FA0', 'seaplane_base', 'Lake Gibson Seaplane Base', 28.108600616455078, -81.95870208740234, 142, 'US', 'US-FL', 'Lakeland', 'no', '8FA0', '', '8FA0', ''),
	('KTPF', 'small_airport', 'Peter O Knight Airport', 27.915599822998, -82.44930267334, 8, 'US', 'US-FL', 'Tampa', 'no', 'KTPF', 'TPF', 'TPF', ''),
	('7FL3', 'closed', 'Adams Ranch Airport', 27.441653, -80.584953, 25, 'US', 'US-FL', 'Fort Pierce', 'no', '', '', '', '7FL3'),
	('FA35', 'small_airport', 'Lindbergh''s Landing Airport', 25.61949920654297, -80.48870086669922, 9, 'US', 'US-FL', 'Miami', 'no', 'FA35', '', 'FA35', ''),
	('FA02', 'small_airport', 'Big Cypress Ranch Airfield', 26.309799, -81.227303, 22, 'US', 'US-FL', 'Sunniland', 'no', 'FA02', '', 'FA02', 'FL91, Hendry Correctional Institution, Counter Terrorism Advanced Training Center'),
	('FL74', 'small_airport', 'Indian River Aerodrome', 27.598600387573242, -80.50199890136719, 25, 'US', 'US-FL', 'Vero Beach', 'no', 'FL74', '', 'FL74', ''),
	('00FL', 'small_airport', 'River Oak Airport', 27.230899810791016, -80.96920013427734, 35, 'US', 'US-FL', 'Okeechobee', 'no', '00FL', '', '00FL', ''),
	('FD25', 'small_airport', 'Fly In Ranches Airport', 27.5625, -80.49980163574219, 25, 'US', 'US-FL', 'Vero Beach', 'no', 'FD25', '', 'FD25', ''),
	('FL31', 'small_airport', 'Mjd STOLport', 25.55459976196289, -80.55390167236328, 6, 'US', 'US-FL', 'Miami', 'no', 'FL31', '', 'FL31', ''),
	('X51', 'small_airport', 'Miami Homestead General Aviation Airport', 25.499201, -80.554296, 7, 'US', 'US-FL', 'Homestead', 'no', '', '', 'X51', ''),
	('FL78', 'small_airport', 'Lewis Airport', 27.89859962463379, -82.18260192871094, 45, 'US', 'US-FL', 'Brandon', 'no', 'FL78', '', 'FL78', ''),
	('X26', 'small_airport', 'Sebastian Municipal Airport', 27.812599, -80.495903, 21, 'US', 'US-FL', 'Sebastian', 'no', 'KX26', '', 'X26', ''),
	('F45', 'small_airport', 'North Palm Beach County General Aviation Airport', 26.8444, -80.221298, 22, 'US', 'US-FL', 'West Palm Beach', 'no', 'KF45', '', 'F45', ''),
	('14FA', 'closed', 'Burrs Strip', 25.568621, -80.398822, 10, 'US', 'US-FL', 'Miami', 'no', '', '', '', '14FA'),
	('X14', 'small_airport', 'La Belle Municipal Airport', 26.7442, -81.432602, 20, 'US', 'US-FL', 'La Belle', 'no', 'X14', '', 'X14', ''),
	('FD10', 'closed', 'Ringhaver Heliport', 28.631701, -82.422302, 100, 'US', 'US-FL', 'Brooksville', 'no', '', '', '', 'FD10'),
	('31FL', 'small_airport', 'Forever Florida Airport', 28.043352, -81.01923, 54, 'US', 'US-FL', 'St Cloud', 'no', '31FL', '', '31FL', 'Tedford Ranch Airport'),
	('78FD', 'small_airport', 'Mac''s Field', 25.546499252319336, -80.4655990600586, 16, 'US', 'US-FL', 'Homestead', 'no', '78FD', '', '78FD', ''),
	('7FD6', 'small_airport', 'Loxahatchee Airport', 26.622600555419922, -80.3052978515625, 14, 'US', 'US-FL', 'Lake Worth', 'no', '7FD6', '', '7FD6', ''),
	('KHWO', 'small_airport', 'North Perry Airport', 26.0012, -80.2407, 8, 'US', 'US-FL', 'Hollywood', 'no', 'KHWO', 'HWO', 'HWO', ''),
	('22FA', 'small_airport', 'Hidden River Airport', 27.3031005859375, -82.27259826660156, 47, 'US', 'US-FL', 'Sarasota', 'no', '22FA', '', '22FA', ''),
	('MYBS', 'medium_airport', 'South Bimini Airport', 25.6998996735, -79.2647018433, 10, 'BS', 'BS-BI', 'South Bimini', 'yes', 'MYBS', 'BIM', '', ''),
	('2FL6', 'heliport', 'I-10 Helistop', 30.27325, -82.784392, 125, 'US', 'US-FL', 'Winfield', 'no', '2FL6', '', '2FL6', ''),
	('95FD', 'small_airport', 'South Point Airport', 26.768299102783203, -81.53890228271484, 22, 'US', 'US-FL', 'La Belle', 'no', '95FD', '', '95FD', ''),
	('FA51', 'small_airport', 'Sky Manor Airport', 26.739, -81.506203, 15, 'US', 'US-FL', 'La Belle', 'no', 'FA51', '', 'FA51', 'William''s Sky Manor'),
	('KBCT', 'medium_airport', 'Boca Raton Airport', 26.3785, -80.107697, 13, 'US', 'US-FL', 'Boca Raton', 'no', 'KBCT', 'BCT', 'BCT', ''),
	('6FD5', 'small_airport', 'Blanket Bay Airport', 27.778600692749023, -81.09980010986328, 65, 'US', 'US-FL', 'Yeehaw Junction', 'no', '6FD5', '', '6FD5', ''),
	('FD70', 'small_airport', 'River Acres Airport', 27.325300216674805, -81.02870178222656, 30, 'US', 'US-FL', 'Okeechobee', 'no', 'FD70', '', 'FD70', ''),
	('FD08', 'small_airport', 'Antiquers Aerodrome', 26.465401, -80.149803, 23, 'US', 'US-FL', 'Delray Beach', 'no', 'FD08', '', 'FD08', ''),
	('KPBI', 'large_airport', 'Palm Beach International Airport', 26.683201, -80.095596, 19, 'US', 'US-FL', 'West Palm Beach', 'yes', 'KPBI', 'PBI', 'PBI', 'MFW, South Florida');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('23FD', 'closed', 'Scott 2000 Airport', 27.5473, -80.662003, 27, 'US', 'US-FL', 'Vero Beach', 'no', '', '', '', '23FD'),
	('FD59', 'closed', 'Babcock H.Q. Airport', 26.869499, -81.717598, 34, 'US', 'US-FL', 'Punta Gorda', 'no', '', '', '', 'FD59'),
	('FL77', 'small_airport', 'Calusa Ranch Airport', 26.05578, -81.06318, 15, 'US', 'US-FL', 'Miles City', 'no', 'FL77', '', 'FL77', ''),
	('8FL1', 'small_airport', 'Mc Donald''s Field', 27.197000503499996, -81.9156036377, 54, 'US', 'US-FL', 'Arcadia', 'no', '8FL1', '', '8FL1', ''),
	('KVDF', 'small_airport', 'Tampa Executive Airport', 28.013999939, -82.3452987671, 22, 'US', 'US-FL', 'Tampa', 'no', 'KVDF', '', 'VDF', 'X16, Vandenberg Airport'),
	('3FL5', 'small_airport', 'Mills Ranch South Airport', 27.77829933166504, -80.9218978881836, 60, 'US', 'US-FL', 'Kenansville', 'no', '3FL5', '', '3FL5', ''),
	('17FA', 'small_airport', 'Cotton Strip', 26.71339988708496, -81.535400390625, 18, 'US', 'US-FL', 'La Belle', 'no', '17FA', '', '17FA', ''),
	('KPCM', 'small_airport', 'Plant City Municipal Airport', 28.0002, -82.1642, 153, 'US', 'US-FL', 'Plant City', 'no', 'KPCM', '', 'PCM', ''),
	('62FL', 'small_airport', 'David Wine''s Airstrip', 27.8444004059, -81.4396972656, 100, 'US', 'US-FL', 'Lake Wales', 'no', '62FL', '', '62FL', ''),
	('FA54', 'small_airport', 'Coral Creek Airport', 26.8545, -82.251198, 4, 'US', 'US-FL', 'Placida', 'no', 'FA54', '', 'FA54', ''),
	('23FL', 'small_airport', 'Gyro Town Usa STOLport', 27.68440055847168, -82.24420166015625, 65, 'US', 'US-FL', 'Wimauma', 'no', '23FL', '', '23FL', ''),
	('FD38', 'small_airport', 'Wellington Aero Club Airport', 26.646499633789063, -80.29419708251953, 19, 'US', 'US-FL', 'West Palm Beach', 'no', 'FD38', '', 'FD38', ''),
	('FA44', 'small_airport', 'Willis Gliderport', 26.548099517822266, -80.21479797363281, 18, 'US', 'US-FL', 'Boynton Beach', 'no', 'FA44', '', 'FA44', ''),
	('KELT', 'N/A', 'N/A', 27.508301809430122, -82.36724629998207, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FD20', 'small_airport', 'Sundance Farms Airport', 26.80030059814453, -81.48509979248047, 50, 'US', 'US-FL', 'La Belle', 'no', 'FD20', '', 'FD20', ''),
	('KTNT', 'small_airport', 'Dade Collier Training and Transition Airport', 25.861799240112, -80.897003173828, 13, 'US', 'US-FL', 'Miami', 'no', 'KTNT', 'TNT', 'TNT', ''),
	('KAGR', 'small_airport', 'MacDill Air Force Base Auxiliary Field', 27.6506, -81.349403, 68, 'US', 'US-FL', 'Avon Park', 'no', 'KAGR', '', 'AGR', ''),
	('80FD', 'small_airport', 'Brady Ranch Airport', 27.113399505615234, -80.6333999633789, 18, 'US', 'US-FL', 'Indiantown', 'no', '80FD', '', '80FD', ''),
	('0FL9', 'small_airport', 'Mc Daniel Ranch Inc. Airport', 26.393051, -81.02874, 18, 'US', 'US-FL', 'Clewiston', 'no', '0FL9', '', '0FL9', ''),
	('0FD6', 'seaplane_base', 'Fulton Seaplane Base', 27.907499313354492, -80.48639678955078, 0, 'US', 'US-FL', 'Sebastian', 'no', '0FD6', '', '0FD6', ''),
	('52FL', 'small_airport', 'Lake Clinch Airpark', 27.75029945373535, -81.55950164794922, 140, 'US', 'US-FL', 'Frostproof', 'no', '52FL', '', '52FL', ''),
	('FL86', 'small_airport', 'Woodstock Airport', 26.582599639892578, -82.09839630126953, 5, 'US', 'US-FL', 'Fort Myers', 'no', 'FL86', '', 'FL86', ''),
	('90FD', 'closed', 'Blue Head Ranch Airport', 27.1625, -81.542901, 77, 'US', 'US-FL', 'Lake Placid', 'no', '', '', '', '90FD'),
	('08FD', 'small_airport', 'Sunniland Ranch Airport', 27.363100051879883, -80.77279663085938, 65, 'US', 'US-FL', 'Okeechobee', 'no', '08FD', '', '08FD', ''),
	('KVNC', 'small_airport', 'Venice Municipal Airport', 27.071599960327, -82.440299987793, 18, 'US', 'US-FL', 'Venice', 'no', 'KVNC', 'VNC', 'VNC', 'Venice AAF'),
	('87FL', 'heliport', 'King Heliport', 28.25271, -82.743718, 8, 'US', 'US-FL', 'New Port Richey', 'no', '', '', '87FL', '87FL'),
	('4FL5', 'small_airport', 'Ridge Landing Airport', 27.7572, -81.600601, 140, 'US', 'US-FL', 'Frostproof', 'no', '4FL5', '', '4FL5', ''),
	('94FL', 'small_airport', 'Pine Shadows Airpark', 26.732799530029297, -81.89730072021484, 20, 'US', 'US-FL', 'Fort Myers', 'no', '94FL', '', '94FL', ''),
	('KPHK', 'small_airport', 'Palm Beach County Glades Airport', 26.78499985, -80.69339752, 16, 'US', 'US-FL', 'Pahokee', 'no', 'KPHK', 'PHK', 'PHK', 'Pahokee Airport'),
	('6FL3', 'small_airport', 'Payson Ranch Airport', 26.937299728393555, -81.56700134277344, 62, 'US', 'US-FL', 'Punta Gorda', 'no', '6FL3', '', '6FL3', ''),
	('KPON', 'N/A', 'N/A', 28.055205903947353, -81.40475124120712, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLAL', 'medium_airport', 'Lakeland Linder International Airport', 27.987656, -82.018776, 142, 'US', 'US-FL', 'Lakeland', 'yes', 'KLAL', 'LAL', 'LAL', ''),
	('F13', 'small_airport', 'Shell Creek Airpark', 26.968900680541992, -81.91560363769531, 20, 'US', 'US-FL', 'Punta Gorda', 'no', 'F13', '', 'F13', ''),
	('FL29', 'small_airport', 'Hales 700 Airport', 27.3612003326416, -80.5708999633789, 26, 'US', 'US-FL', 'Fort Pierce', 'no', 'FL29', '', 'FL29', ''),
	('2FA4', 'small_airport', 'Southern Ranch Airport', 26.379499435424805, -80.94560241699219, 18, 'US', 'US-FL', 'Clewiston', 'no', '2FA4', '', '2FA4', ''),
	('X07', 'small_airport', 'Lake Wales Municipal Airport', 27.893801, -81.620399, 127, 'US', 'US-FL', 'Lake Wales', 'no', 'KX07', '', 'X07', ''),
	('KTMB', 'medium_airport', 'Miami Executive Airport', 25.6479, -80.4328, 8, 'US', 'US-FL', 'Miami', 'no', 'KTMB', 'TMB', 'TMB', 'Kendall-Tamiami Executive Airport'),
	('FL95', 'small_airport', 'Broocke Air Patch Airport', 27.708599090576172, -80.45279693603516, 22, 'US', 'US-FL', 'Winter Beach', 'no', 'FL95', '', 'FL95', ''),
	('KFLL', 'large_airport', 'Fort Lauderdale Hollywood International Airport', 26.072599, -80.152702, 9, 'US', 'US-FL', 'Fort Lauderdale', 'yes', 'KFLL', 'FLL', 'FLL', 'MFW, South Florida'),
	('KGIF', 'small_airport', 'Winter Haven Regional Airport - Gilbert Field', 28.062901, -81.753304, 145, 'US', 'US-FL', 'Winter Haven', 'no', 'KGIF', 'GIF', 'GIF', ''),
	('X52', 'small_airport', 'New Hibiscus Airpark', 27.632299423217773, -80.52760314941406, 25, 'US', 'US-FL', 'Vero Beach', 'no', 'X52', '', 'X52', ''),
	('13FD', 'closed', 'Yelvington Heliport', 28.5186, -81.383102, 110, 'US', 'US-FL', 'Orlando', 'no', '', '', '', '13FD'),
	('52FA', 'small_airport', 'Bent Willies Airport', 27.939611, -81.432028, 73, 'US', 'US-FL', 'Lake Wales', 'no', '52FA', '', '52FA', ''),
	('FD24', 'small_airport', 'Southern Fruit Groves Airport', 27.221200942993164, -80.52059936523438, 26, 'US', 'US-FL', 'Port St. Lucie', 'no', 'FD24', '', 'FD24', ''),
	('KFXE', 'medium_airport', 'Fort Lauderdale Executive Airport', 26.1972999573, -80.1707000732, 13, 'US', 'US-FL', 'Fort Lauderdale', 'no', 'KFXE', 'FXE', 'FXE', 'West Prospect Satellite Field'),
	('27FA', 'closed', 'Orange County Sheriff''s Office Heliport', 28.507493, -81.413401, 98, 'US', 'US-FL', 'Orlando', 'no', '', '', '', '27FA'),
	('09FA', 'small_airport', 'Placid Lakes Airport', 27.2455997467041, -81.41310119628906, 130, 'US', 'US-FL', 'Lake Placid', 'no', '09FA', '', '09FA', ''),
	('KSEF', 'small_airport', 'Sebring Regional Airport', 27.45639992, -81.3423996, 62, 'US', 'US-FL', 'Sebring', 'no', 'KSEF', 'SEF', 'SEF', ''),
	('KOPF', 'medium_airport', 'Miami-Opa Locka Executive Airport', 25.907, -80.278397, 8, 'US', 'US-FL', 'Miami', 'yes', 'KOPF', 'OPF', 'OPF', ''),
	('18FA', 'closed', 'Tropical Plantation Airport', 27.099405, -80.296005, 19, 'US', 'US-FL', 'Palm City', 'no', '', '', '', '18FA'),
	('FA69', 'small_airport', 'Duda Airstrip', 26.587799072265625, -80.63729858398438, 14, 'US', 'US-FL', 'Belle Glade', 'no', 'FA69', '', 'FA69', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KMIA', 'large_airport', 'Miami International Airport', 25.79319953918457, -80.29060363769531, 8, 'US', 'US-FL', 'Miami', 'yes', 'KMIA', 'MIA', 'MIA', 'MFW, South Florida'),
	('1FL', 'seaplane_base', 'Fort Pierce Seaplane Base', 27.43935, -80.312139, 0, 'US', 'US-FL', 'Fort Pierce', 'no', '', '', '1FL', ''),
	('FD74', 'small_airport', 'Gamebird Groves Airstrip', 28.066814, -80.902536, 36, 'US', 'US-FL', 'St Cloud', 'no', 'FD74', '', 'FD74', ''),
	('FA37', 'small_airport', 'Wing South Airpark', 26.116538, -81.702318, 9, 'US', 'US-FL', 'Naples', 'no', 'FA37', '', 'FA37', ''),
	('59FD', 'small_airport', 'Big Cypress Airfield', 26.32615, -80.987919, 20, 'US', 'US-FL', 'Immokalee', 'no', '59FD', '', '59FD', ''),
	('0FL0', 'small_airport', 'Harper''s Fly-In Ranch Airport', 26.707834, -81.175549, 30, 'US', 'US-FL', 'Clewiston', 'no', '0FL0', '', '0FL0', ''),
	('FL59', 'small_airport', 'Buckingham Field', 26.6434, -81.710403, 23, 'US', 'US-FL', 'Fort Myers', 'no', 'FL59', '', 'FL59', ''),
	('11FA', 'small_airport', 'B & L Farms Airport', 25.582892, -80.498993, 9, 'US', 'US-FL', 'Homestead', 'no', '11FA', '', '11FA', ''),
	('1FA9', 'small_airport', 'Villa Char Mar Airport', 27.785144, -81.651354, 134, 'US', 'US-FL', 'Fort Meade', 'no', '1FA9', '', '1FA9', ''),
	('KOBE', 'small_airport', 'Okeechobee County Airport', 27.262800216699997, -80.8498001099, 34, 'US', 'US-FL', 'Okeechobee', 'no', 'KOBE', 'OBE', 'OBE', ''),
	('40FL', 'closed', 'Fred Babcock Airport', 26.885099, -81.751198, 38, 'US', 'US-FL', 'Punta Gorda', 'no', '', '', '', '40FL'),
	('FL00', 'small_airport', 'Griffins Peace River Ranch Airport', 27.418899536132813, -81.83260345458984, 65, 'US', 'US-FL', 'Zolfo Springs', 'no', 'FL00', '', 'FL00', ''),
	('KPGD', 'medium_airport', 'Punta Gorda Airport', 26.9202, -81.990501, 26, 'US', 'US-FL', 'Punta Gorda', 'yes', 'KPGD', 'PGD', 'PGD', 'Charlotte County, Punta Gorda AAF'),
	('FA74', 'small_airport', 'Romor Ranch Airport', 25.98564, -81.041733, 12, 'US', 'US-FL', 'Ochopee', 'no', 'FA74', '', 'FA74', ''),
	('X46', 'N/A', 'N/A', 25.951379723846912, -80.4212835431099, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FD39', 'small_airport', 'Flying Cow Air Ranch Airport', 27.1556, -80.691704, 19, 'US', 'US-FL', 'Okeechobee', 'no', 'FD39', '', 'FD39', 'Baggett Airpark'),
	('FD72', 'small_airport', 'Kings Port Airport', 27.18280029296875, -81.3906021118164, 148, 'US', 'US-FL', 'Lake Placid', 'no', 'FD72', '', 'FD72', ''),
	('7FD1', 'closed', 'Pine Ridge Helistop', 26.49023, -81.933352, 5, 'US', 'US-FL', 'Fort Myers', 'no', '', '', '', '7FD1'),
	('47FD', 'small_airport', 'Strayhorn Ranch Airport', 26.662799835205078, -81.77059936523438, 20, 'US', 'US-FL', 'Fort Myers', 'no', '47FD', '', '47FD', ''),
	('FL67', 'small_airport', 'Evans Properties Inc Airport', 27.277799606323242, -80.58589935302734, 24, 'US', 'US-FL', 'Fort Pierce', 'no', 'FL67', '', 'FL67', ''),
	('33FL', 'small_airport', 'Flying S Ranch Airport', 27.860861, -80.999862, 72, 'US', 'US-FL', 'Kenansville', 'no', '33FL', '', '33FL', ''),
	('33FA', 'small_airport', 'Recreation Corporation Airport', 27.598100662231445, -80.84590148925781, 67, 'US', 'US-FL', 'Okeechobee', 'no', '33FA', '', '33FA', ''),
	('67FL', 'small_airport', 'Myakka Head Airport', 27.45560073852539, -82.1050033569336, 80, 'US', 'US-FL', 'Zolfo Springs', 'no', '67FL', '', '67FL', ''),
	('7FA3', 'small_airport', 'Flying L Airport', 26.797887, -81.525448, 40, 'US', 'US-FL', 'LaBelle', 'no', '7FA3', '', '7FA3', ''),
	('KAVO', 'small_airport', 'Avon Park Executive Airport', 27.59119987, -81.52780151, 160, 'US', 'US-FL', 'Avon Park', 'no', 'KAVO', 'AVO', 'AVO', ''),
	('KNQX', 'medium_airport', 'Naval Air Station Key West/Boca Chica Field', 24.57579994, -81.68890381, 6, 'US', 'US-FL', 'Key West', 'no', 'KNQX', 'NQX', 'NQX', ''),
	('FD51', 'small_airport', 'Summerland Key Cove Airport', 24.658796, -81.445341, 4, 'US', 'US-FL', 'Summerland Key', 'no', 'FD51', '', 'FD51', ''),
	('MUVR', 'large_airport', 'Juan Gualberto Gomez International Airport', 23.034401, -81.435303, 210, 'CU', 'CU-04', 'Matanzas', 'yes', 'MUVR', 'VRA', '', 'Varadero'),
	('MUSG', 'small_airport', 'Sagua La Grande Airport', 22.801599502563477, -80.05480194091797, 36, 'CU', 'CU-05', 'Sagua la Grande', 'no', 'MUSG', '', '', ''),
	('MUMG', 'small_airport', 'Managua Airport', 22.9699, -82.274803, 377, 'CU', 'CU-03', 'Managua', 'no', 'MUMG', '', '', ''),
	('MUCO', 'small_airport', 'Colón Airport', 22.7111, -80.922798, 155, 'CU', 'CU-04', 'Colón', 'no', 'MUCO', '', '', 'QCO'),
	('MUCK', 'N/A', 'N/A', 22.616745494306087, -79.72855746746063, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMTH', 'medium_airport', 'The Florida Keys Marathon Airport', 24.726101, -81.051399, 5, 'US', 'US-FL', 'Marathon', 'no', 'KMTH', 'MTH', 'MTH', ''),
	('MUUN', 'N/A', 'N/A', 22.80332263559103, -81.49825751781464, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FA81', 'small_airport', 'Tavernaero Park Airport', 25.004848, -80.533279, 10, 'US', 'US-FL', 'Tavernier', 'no', 'FA81', '', 'FA81', ''),
	('7FA1', 'small_airport', 'Sugar Loaf Shores Airport', 24.648938, -81.578357, 4, 'US', 'US-FL', 'Key West', 'no', '7FA1', '', '7FA1', ''),
	('MUCQ', 'N/A', 'N/A', 22.99235600978136, -80.66463768482208, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUHA', 'large_airport', 'José Martí International Airport', 22.989200592041016, -82.40910339355469, 210, 'CU', 'CU-03', 'Havana', 'yes', 'MUHA', 'HAV', '', 'Habana'),
	('MUBO', 'small_airport', 'Batabanó Airport', 22.718599, -82.2686, 0, 'CU', 'CU-16', 'Batabanó', 'no', 'MUBO', '', '', ''),
	('MUCW', 'N/A', 'N/A', 22.971194721758366, -81.12979173660278, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEYW', 'medium_airport', 'Key West International Airport', 24.556101, -81.759598, 3, 'US', 'US-FL', 'Key West', 'yes', 'KEYW', 'EYW', 'EYW', ''),
	('MULH', 'N/A', 'N/A', 22.73275002837181, -80.73553919792175, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUNB', 'medium_airport', 'San Nicolás de Bari Airport', 22.756514, -81.920743, 49, 'CU', 'CU-16', 'San Nicolás de Bari', 'no', 'MUNB', '', '', 'QSN'),
	('MUGU', 'N/A', 'N/A', 22.691535875201225, -82.03896135091782, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCB', 'closed', 'Caibarién Airport', 22.506399, -79.469803, 50, 'CU', 'CU-05', 'Caibarién', 'no', '', '', '', 'MUCB'),
	('MUMI', 'N/A', 'N/A', 22.95084848999977, -80.89389279484749, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUBR', 'small_airport', 'Las Brujas Airport', 22.6213, -79.147202, 13, 'CU', 'CU-07', 'Cayo Santa Maria', 'no', 'MUBR', 'BWW', '', ''),
	('MUCZ', 'N/A', 'N/A', 22.68331792205572, -79.88780334591866, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUKW', 'medium_airport', 'Kawama Airport', 23.124001, -81.301598, 16, 'CU', 'CU-04', 'Santa Marta', 'no', 'MUKW', 'VRO', '', 'Varadero'),
	('MUJG', 'N/A', 'N/A', 22.589129135012627, -81.11173778772354, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MULB', 'small_airport', 'Ciudad Libertad Airport', 23.093901, -82.438103, 98, 'CU', 'CU-03', 'Havana', 'no', 'MULB', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MUMD', 'N/A', 'N/A', 22.987182028591633, -81.89216628670692, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('42FL', 'seaplane_base', 'Plantation Key Seaplane Base', 24.971200942993164, -80.59559631347656, 0, 'US', 'US-FL', 'Marathon', 'no', '42FL', '', '42FL', ''),
	('3NY9', 'closed', 'Hilltop Airport', 42.664398, -78.670775, 1385, 'US', 'US-NY', 'Colden', 'no', '', '', '', '3NY9'),
	('KSYR', 'large_airport', 'Syracuse Hancock International Airport', 43.11119842529297, -76.1063003540039, 421, 'US', 'US-NY', 'Syracuse', 'yes', 'KSYR', 'SYR', 'SYR', ''),
	('CDU5', 'small_airport', 'Dunsford Airport', 44.454667, -78.630522, 900, 'CA', 'CA-ON', 'Dunsford', 'no', 'CDU5', '', 'CDU5', ''),
	('KCAN', 'N/A', 'N/A', 43.156361505389214, -75.78626945614815, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NK53', 'small_airport', 'Dodge/Coppola/Wheeler Airport', 42.20560073852539, -76.77050018310547, 1030, 'US', 'US-NY', 'Sullivanville', 'no', 'NK53', '', 'NK53', ''),
	('25NK', 'small_airport', 'Loucks Airport', 42.43619918823242, -77.1322021484375, 1425, 'US', 'US-NY', 'Hammondsport', 'no', '25NK', '', '25NK', ''),
	('NK24', 'small_airport', 'Tilden Airport', 42.34775, -76.87035, 900, 'US', 'US-NY', 'Montour Falls', 'no', 'NK24', '', 'NK24', ''),
	('CNT7', 'small_airport', 'Picton Airport', 43.989200592, -77.1391983032, 465, 'CA', 'CA-ON', 'Prince Edward County', 'no', 'CNT7', '', 'CNT7', 'NT7'),
	('84NY', 'small_airport', 'Skyview Airport', 42.98619842529297, -77.61250305175781, 642, 'US', 'US-NY', 'Rush', 'no', '84NY', '', '84NY', ''),
	('5G0', 'small_airport', 'Le Roy Airport', 42.9814, -77.9375, 780, 'US', 'US-NY', 'Le Roy', 'no', '5G0', '', '5G0', ''),
	('N34', 'N/A', 'N/A', 42.79538881033659, -78.73993903398514, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('92G', 'small_airport', 'Midlakes Airport', 42.812599182128906, -77.20390319824219, 1080, 'US', 'US-NY', 'Gorham', 'no', '92G', '', '92G', ''),
	('NY55', 'small_airport', 'Grund Field', 42.44729995727539, -76.5969009399414, 1453, 'US', 'US-NY', 'Ithaca', 'no', 'NY55', '', 'NY55', ''),
	('N56', 'small_airport', 'Great Valley Airport', 42.205101, -78.647202, 1450, 'US', 'US-NY', 'Great Valley', 'no', 'N56', '', 'N56', ''),
	('CYSX', 'N/A', 'N/A', 44.754833355546, -76.92841529846191, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NY00', 'small_airport', 'Basher Field', 42.567052, -78.557739, 1855, 'US', 'US-NY', 'Sardinia', 'no', 'NY00', '', 'NY00', ''),
	('5NK5', 'closed', 'Kingdom Field', 43.408699, -76.441299, 380, 'US', 'US-NY', 'Oswego', 'no', '', '', '', '5NK5'),
	('CYPF', 'N/A', 'N/A', 44.38360020518303, -78.1581848859787, 228, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYOM', 'N/A', 'N/A', 44.063754826784134, -78.49963143467903, 215, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0NK3', 'small_airport', 'Seven Gullies Airport', 42.695653, -77.792451, 600, 'US', 'US-NY', 'Groveland', 'no', '0NK3', '', '0NK3', ''),
	('KROC', 'medium_airport', 'Frederick Douglass Greater Rochester International Airport', 43.1189, -77.672401, 559, 'US', 'US-NY', 'Rochester', 'yes', 'KROC', 'ROC', 'ROC', ''),
	('KFZY', 'small_airport', 'Oswego County Airport', 43.3508, -76.3881, 475, 'US', 'US-NY', 'Fulton', 'no', 'KFZY', '', 'FZY', ''),
	('92NY', 'small_airport', 'Bloecher Farm Airport', 42.752936, -78.462124, 1430, 'US', 'US-NY', 'Strykersville', 'no', '92NY', '', '92NY', ''),
	('8B4', 'N/A', 'N/A', 43.193882927298546, -76.88339486718178, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('36NY', 'closed', 'Dew Airpark', 42.235901, -78.2117, 2100, 'US', 'US-NY', 'Cuba', 'no', '', '', '', '36NY'),
	('KART', 'medium_airport', 'Watertown International Airport', 43.991901, -76.021698, 325, 'US', 'US-NY', 'Watertown', 'yes', 'KART', 'ART', 'ART', ''),
	('NY79', 'small_airport', 'Keysa Airport', 42.59669876098633, -78.34030151367188, 1620, 'US', 'US-NY', 'Bliss', 'no', 'NY79', '', 'NY79', ''),
	('1G6', 'small_airport', 'Michael Airfield', 43.181702, -76.1278, 400, 'US', 'US-NY', 'Cicero', 'no', '1G6', '', '1G6', ''),
	('35NK', 'small_airport', 'Tiger Paw Aerodrome', 43.367099, -78.414026, 295, 'US', 'US-NY', 'Lyndonville', 'no', '35NK', '', '35NK', ''),
	('54NY', 'closed', 'Erb Acres Airport', 42.354091, -78.03554, 1940, 'US', 'US-NY', 'Angelica', 'no', '', '', '', '54NY'),
	('21NK', 'small_airport', 'Don Kichote-Quixote Airport', 42.552799, -75.191102, 1750, 'US', 'US-NY', 'Morris', 'no', '21NK', '', '21NK', ''),
	('CPJ5', 'small_airport', 'Stirling Airport', 44.241401672399995, -77.5616989136, 625, 'CA', 'CA-ON', 'Stirling', 'no', 'CPJ5', '', 'CPJ5', 'PJ5'),
	('23NK', 'small_airport', 'Long Acre Farms Airport', 43.11249923706055, -77.3125, 520, 'US', 'US-NY', 'Macedon', 'no', '23NK', '', '23NK', ''),
	('KITH', 'medium_airport', 'Ithaca Tompkins Regional Airport', 42.49100112915039, -76.4583969116211, 1099, 'US', 'US-NY', 'Ithaca', 'yes', 'KITH', 'ITH', 'ITH', ''),
	('CME2', 'small_airport', 'Omemee Airport', 44.2854, -78.6276, 835, 'CA', 'CA-ON', 'Omemee', 'no', 'CME2', '', 'CME2', ''),
	('34NY', 'closed', 'Hendershot Airport', 43.291173, -77.827139, 300, 'US', 'US-NY', 'Hilton', 'no', '', '', '', '34NY'),
	('4N2', 'small_airport', 'Middlesex Valley Airport', 42.713133, -77.27271, 735, 'US', 'US-NY', 'Middlesex', 'no', 'K4N2', '', '4N2', ''),
	('D82', 'small_airport', 'Ovid Airport', 42.65480041503906, -76.79630279541016, 1062, 'US', 'US-NY', 'Ovid', 'no', 'D82', '', 'D82', ''),
	('CLH5', 'small_airport', 'Bobcaygeon / Chesher Lakehurst Airport', 44.525564, -78.44827, 892, 'CA', 'CA-ON', 'Buckhorn', 'no', 'CLH5', '', 'CLH5', ''),
	('NY96', 'small_airport', 'Mexico Airdrome Airport', 43.426700592041016, -76.19380187988281, 470, 'US', 'US-NY', 'Mexico', 'no', 'NY96', '', 'NY96', ''),
	('KHTF', 'N/A', 'N/A', 42.38213885575533, -77.68211111426353, 367, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CNP7', 'small_airport', 'Iroquois Airport', 44.84217834472656, -75.31140899658203, 246, 'CA', 'CA-ON', 'Iroquois', 'no', 'CNP7', '', 'CNP7', 'NP7'),
	('KSSN', 'closed', 'Seneca Army Field', 42.715209, -76.882098, 0, 'US', 'US-NY', 'Romulus', 'no', '', '', '', 'KSSN, KSSN'),
	('CYRX', 'N/A', 'N/A', 44.9508223682642, -78.58441561460495, 348, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('D70', 'closed', 'Honeoye Falls Airport', 42.946475, -77.599173, 683, 'US', 'US-NY', 'Honeoye Falls', 'no', '', '', '', 'D70'),
	('1NY0', 'heliport', 'Woodlawn Beach State Park Heliport', 42.7881126404, -78.8494796753, 590, 'US', 'US-NY', 'Hamburg', 'no', '1NY0', '', '1NY0', ''),
	('7NK6', 'small_airport', 'Blueberry Field', 42.29169845581055, -75.06670379638672, 2100, 'US', 'US-NY', 'Treadwell', 'no', '7NK6', '', '7NK6', ''),
	('N23', 'small_airport', 'Sidney Municipal Airport', 42.302600860596, -75.416000366211, 1027, 'US', 'US-NY', 'Sidney', 'no', 'N23', 'SXY', 'N23', ''),
	('NY95', 'small_airport', 'Creekside Airport', 42.915191, -77.384474, 820, 'US', 'US-NY', 'Holcomb', 'no', 'NY95', '', 'NY95', 'D67');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1NK8', 'small_airport', 'Chenango Bridge Airport', 42.19169998168945, -75.84130096435547, 940, 'US', 'US-NY', 'Binghamton', 'no', '1NK8', '', '1NK8', ''),
	('KSDC', 'small_airport', 'Williamson Sodus Airport', 43.234573, -77.119403, 424, 'US', 'US-NY', 'Williamson/Sodus', 'no', 'KSDC', '', 'SDC', '3G7'),
	('56NY', 'small_airport', 'Maynard''s Airport', 43.324857, -78.051548, 342, 'US', 'US-NY', 'Kendall', 'no', '56NY', '', '56NY', ''),
	('8NY3', 'small_airport', 'North Fork Airport', 42.268699645996094, -75.55970001220703, 1455, 'US', 'US-NY', 'Afton', 'no', '8NY3', '', '8NY3', ''),
	('NK01', 'small_airport', 'Countryman''s Landing Strip', 43.9995002746582, -75.60489654541016, 790, 'US', 'US-NY', 'Carthage', 'no', 'NK01', '', 'NK01', ''),
	('4NK4', 'small_airport', 'Woodford Airfield', 42.82720184326172, -76.02580261230469, 1280, 'US', 'US-NY', 'Fabius', 'no', '4NK4', '', '4NK4', ''),
	('KUCA', 'closed', 'Oneida County Airport', 43.1451, -75.383904, 742, 'US', 'US-NY', 'Utica', 'no', '', '', '', 'KUCA, UCA'),
	('NY91', 'small_airport', 'Smithfield Airport', 42.994026, -75.702774, 1465, 'US', 'US-NY', 'Peterboro', 'no', 'NY91', '', 'NY91', 'Cloverdale Farm'),
	('5NK1', 'small_airport', 'Toggenburg Farms Airport', 43.111752, -77.052231, 435, 'US', 'US-NY', 'Newark', 'no', '5NK1', '', '5NK1', ''),
	('0G0', 'small_airport', 'North Buffalo Suburban Airport', 43.103199, -78.7033, 588, 'US', 'US-NY', 'Lockport', 'no', 'K0G0', '', '0G0', ''),
	('27NK', 'small_airport', 'Mohawk Air Park', 43.113317, -75.044467, 1079, 'US', 'US-NY', 'Schyler', 'no', '27NK', '', '27NK', ''),
	('1NY3', 'small_airport', 'Richland Airpark', 43.5667, -76.032997, 560, 'US', 'US-NY', 'Richland', 'no', '1NY3', '', '1NY3', ''),
	('CPZ3', 'small_airport', 'Trenton/Mountain View Airport', 44.069401, -77.338097, 362, 'CA', 'CA-ON', 'Ameliasburgh', 'no', 'CPZ3', '', 'CPZ3', 'PZ3, Mountain View'),
	('KBUF', 'large_airport', 'Buffalo Niagara International Airport', 42.940498, -78.732201, 728, 'US', 'US-NY', 'Buffalo', 'yes', 'KBUF', 'BUF', 'BUF', ''),
	('CNU4', 'small_airport', 'Belleville Aerodrome', 44.1922, -77.309402, 320, 'CA', 'CA-ON', 'Belleville', 'no', 'CNU4', '', 'CNU4', 'NU4'),
	('KGTB', 'medium_airport', 'Wheeler Sack Army Air Field', 44.05559921, -75.71949768, 688, 'US', 'US-NY', 'Fort Drum', 'no', 'KGTB', '', 'GTB', ''),
	('7NY4', 'small_airport', 'Culver Airfield', 42.42509841918945, -76.71499633789063, 1455, 'US', 'US-NY', 'Mecklenburg', 'no', '7NY4', '', '7NY4', ''),
	('CNS8', 'closed', 'Morrisburg Airport', 44.946993, -75.076961, 254, 'CA', 'CA-ON', 'Morrisburg', 'no', '', '', '', 'CNS8'),
	('B16', 'small_airport', 'Whitfords Airport', 43.080299, -76.538399, 400, 'US', 'US-NY', 'Weedsport', 'no', 'KB16', '', 'B16', ''),
	('52NY', 'small_airport', 'Bedson''s Land Base Airport', 42.930599212646484, -77.64420318603516, 804, 'US', 'US-NY', 'Honeoye Falls', 'no', '52NY', '', '52NY', ''),
	('0NY4', 'heliport', 'Bridgeview Heliport', 41.982698, -73.963206, 133, 'US', 'US-NY', 'Kingston', 'no', '0NY4', '', '0NY4', ''),
	('1B4', 'N/A', 'N/A', 43.134958148002625, -75.64794480800629, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NY59', 'small_airport', 'Valenty Mierek Airport', 43.387298583984375, -75.48629760742188, 1220, 'US', 'US-NY', 'Ava', 'no', 'NY59', '', 'NY59', ''),
	('5NY3', 'closed', 'Keech Airport', 42.492902, -76.386901, 1070, 'US', 'US-NY', 'Etna', 'no', '', '', '', '5NY3'),
	('NY04', 'closed', 'East Arcade Airport', 42.585602, -78.3491968, 1830, 'US', 'US-NY', 'Arcade', 'no', '', '', '', 'NY04'),
	('KFAN', 'N/A', 'N/A', 42.404494397342205, -77.41592958569527, 362, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0NK9', 'closed', 'Lakeview Airport', 43.009449, -75.826006, 1050, 'US', 'US-NY', 'Chittenango', 'no', '', '', '', '0NK9'),
	('NK82', 'closed', 'Engineers Airport', 43.315764, -76.014916, 480, 'US', 'US-NY', 'Constantia', 'no', '', '', '', 'NK82'),
	('KGVQ', 'small_airport', 'Genesee County Airport', 43.0317, -78.167603, 914, 'US', 'US-NY', 'Batavia', 'no', 'KGVQ', '', 'GVQ', ''),
	('6B9', 'small_airport', 'Skaneateles Aero Drome', 42.914001, -76.440804, 1038, 'US', 'US-NY', 'Skaneateles', 'no', '', '', '6B9', ''),
	('49NK', 'small_airport', 'Trump MTN Airport', 42.793259, -78.292372, 1501, 'US', 'US-NY', 'Attica', 'no', '49NK', '', '49NK', ''),
	('19NK', 'small_airport', 'Riveredge Airpark', 43.243900299072266, -76.15280151367188, 378, 'US', 'US-NY', 'Central Square', 'no', '19NK', '', '19NK', ''),
	('NK04', 'small_airport', 'Shepard Airport', 43.250099182128906, -75.99960327148438, 463, 'US', 'US-NY', 'Constantia', 'no', 'NK04', '', 'NK04', ''),
	('7G0', 'small_airport', 'Ledgedale Airpark', 43.181099, -77.915802, 665, 'US', 'US-NY', 'Brockport', 'no', 'K7G0', '', '7G0', ''),
	('KVGC', 'small_airport', 'Hamilton Municipal Airport', 42.8438, -75.561401, 1137, 'US', 'US-NY', 'Hamilton', 'no', 'KVGC', '', 'VGC', 'Formerly H30'),
	('KOGS', 'medium_airport', 'Ogdensburg International Airport', 44.6819, -75.4655, 297, 'US', 'US-NY', 'Ogdensburg', 'yes', 'KOGS', 'OGS', 'OGS', ''),
	('9G6', 'small_airport', 'Pine Hill Airport', 43.173546, -78.275126, 669, 'US', 'US-NY', 'Albion', 'no', '9G6', '', '9G6', ''),
	('NY70', 'small_airport', 'Scott''S Sky Ranch Airport', 42.648889, -77.920278, 1221, 'US', 'US-NY', 'Mount Morris', 'no', 'NY70', '', 'NY70', ''),
	('NY16', 'small_airport', 'Oak Ridge Airport', 43.0984001159668, -77.18190002441406, 540, 'US', 'US-NY', 'East Palmyra', 'no', 'NY16', '', 'NY16', ''),
	('8NK4', 'small_airport', 'Bethany Airpark', 42.94329833984375, -78.13829803466797, 1000, 'US', 'US-NY', 'Bethany Center', 'no', '8NK4', '', '8NK4', ''),
	('35NY', 'closed', 'Ciszak Airport', 42.512293, -78.734894, 1397, 'US', 'US-NY', 'Springville', 'no', '', '', '', '35NY'),
	('6NK1', 'closed', 'Casey''s Airport', 42.756401, -78.175598, 1600, 'US', 'US-NY', 'Warsaw', 'no', '', '', '', '6NK1'),
	('NK89', 'small_airport', 'Ultralight Flight Farm Ultralightport', 42.29169845581055, -77.05799865722656, 1200, 'US', 'US-NY', 'Monterey', 'no', 'NK89', '', 'NK89', ''),
	('NY07', 'small_airport', 'Hurlbut Field', 44.545799255371094, -75.16110229492188, 500, 'US', 'US-NY', 'Canton', 'no', 'NY07', '', 'NY07', ''),
	('CGB3', 'small_airport', 'Greenbush Airport', 44.0011, -77.0735, 436, 'CA', 'CA-ON', 'Picton', 'no', 'CGB3', '', 'CGB3', ''),
	('NK81', 'closed', 'Roberts Roost Airport', 42.6334, -78.355301, 1751, 'US', 'US-NY', 'Arcade', 'no', '', '', '', 'NK81'),
	('CTN7', 'closed', 'Canton Aerodrome', 44.002807, -78.361816, 520, 'CA', 'CA-ON', 'Port Hope', 'no', '', '', '', 'CTN7'),
	('5NK9', 'small_airport', 'Treichler Farm Airport', 42.76169967651367, -78.49610137939453, 1140, 'US', 'US-NY', 'Wales', 'no', '5NK9', '', '5NK9', ''),
	('NK12', 'closed', 'Donnelly Airport', 42.770518, -78.542258, 1030, 'US', 'US-NY', 'Wales Center', 'no', '', '', '', 'NK12'),
	('NY18', 'small_airport', 'Neno Airport', 42.4487, -76.616897, 1283, 'US', 'US-NY', 'Ithaca', 'no', 'NY18', '', 'NY18', 'Neno International'),
	('CYNP', 'N/A', 'N/A', 44.252869337797165, -76.99420094490051, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('30NY', 'small_airport', 'Coye Field', 42.750099182128906, -77.55809783935547, 1610, 'US', 'US-NY', 'Canadice', 'no', '30NY', '', '30NY', ''),
	('4NK5', 'small_airport', 'Harvs Airport', 43.101200103759766, -77.3677978515625, 500, 'US', 'US-NY', 'Macedon', 'no', '4NK5', '', '4NK5', ''),
	('4NK6', 'closed', 'Ag-Alley Airport', 43.161098, -77.177498, 450, 'US', 'US-NY', 'Marion', 'no', '', '', '', '4NK6'),
	('CNL3', 'small_airport', 'Brockville - Thousand Islands Regional Tackaberry Airport', 44.6394004822, -75.7502975464, 402, 'CA', 'CA-ON', 'Brockville', 'no', 'CNL3', 'XBR', 'CNL3', 'NL3'),
	('48NY', 'closed', 'Tennessee Gas Nr 2 Heliport', 42.675097, -78.830299, 1050, 'US', 'US-NY', 'Hamburg', 'no', '', '', '', '48NY'),
	('NY15', 'small_airport', 'Lakeville Airport', 42.8265, -77.714401, 935, 'US', 'US-NY', 'Lakeville', 'no', 'NY15', '', 'NY15', 'Hannas Acres'),
	('CYPQ', 'medium_airport', 'Peterborough Municipal Airport', 44.23, -78.363297, 628, 'CA', 'CA-ON', 'Peterborough', 'no', 'CYPQ', 'YPQ', '', ''),
	('38NY', 'small_airport', 'Greenlawn Farm Airport', 42.54869842529297, -76.95800018310547, 1010, 'US', 'US-NY', 'Dundee', 'no', '38NY', '', '38NY', ''),
	('NY73', 'small_airport', 'Miller Field', 42.31809997558594, -75.5990982055664, 1580, 'US', 'US-NY', 'Coventryville', 'no', 'NY73', '', 'NY73', ''),
	('7NY2', 'closed', 'Butterville Airport', 43.843399, -76.094704, 510, 'US', 'US-NY', 'Adams', 'no', '', '', '', '7NY2'),
	('6NY2', 'small_airport', 'Omni Airpark', 42.231998443603516, -76.8469009399414, 970, 'US', 'US-NY', 'Horseheads', 'no', '6NY2', '', '6NY2', ''),
	('89NY', 'small_airport', 'Maxson Airfield', 44.312002, -75.90034, 340, 'US', 'US-NY', 'Alexandria Bay', 'no', '89NY', 'AXB', '89NY', '89N'),
	('46NY', 'small_airport', 'Savannah Agri-Air Airport', 43.018798828125, -76.76100158691406, 465, 'US', 'US-NY', 'Savannah', 'no', '46NY', '', '46NY', ''),
	('NY31', 'small_airport', 'Rabbit Lane Airport', 43.22370147705078, -76.3687973022461, 405, 'US', 'US-NY', 'Phoenix', 'no', 'NY31', '', 'NY31', ''),
	('8NY8', 'small_airport', 'Hawks Field', 43.048694, -75.292311, 940, 'US', 'US-NY', 'Utica', 'no', '8NY8', '', '8NY8', ''),
	('CSW6', 'small_airport', 'Hastings / Sweetwater Farms Airport', 44.345991, -77.928141, 690, 'CA', 'CA-ON', 'Asphodel-Norwood', 'no', 'CSW6', '', 'CSW6', ''),
	('0NK1', 'small_airport', 'Spring Brook Airport', 43.361698150634766, -76.22019958496094, 450, 'US', 'US-NY', 'Central Square', 'no', '0NK1', '', '0NK1', ''),
	('N03', 'small_airport', 'Cortland County Chase Field', 42.59260178, -76.21489716, 1198, 'US', 'US-NY', 'Cortland', 'no', 'KN03', 'CTX', 'N03', ''),
	('D91', 'small_airport', 'Spencerport Airpark', 43.169498443603516, -77.81829833984375, 614, 'US', 'US-NY', 'Spencerport', 'no', 'D91', '', 'D91', ''),
	('1NY9', 'closed', 'Caughdenoy Airport', 43.2659, -76.188004, 400, 'US', 'US-NY', 'Caughdenoy', 'no', '', '', '', '1NY9'),
	('1NK7', 'small_airport', 'Boonville Inc Airport', 43.46670150756836, -75.24960327148438, 1200, 'US', 'US-NY', 'Boonville', 'no', '1NK7', '', '1NK7', ''),
	('98NY', 'small_airport', 'Krenzers Airport', 42.883399963378906, -77.53309631347656, 1035, 'US', 'US-NY', 'West Bloomfield', 'no', '98NY', '', '98NY', ''),
	('KOLE', 'small_airport', 'Cattaraugus County-Olean Airport', 42.241199, -78.371399, 2135, 'US', 'US-NY', 'Olean', 'no', 'KOLE', 'OLE', 'OLE', ''),
	('NY28', 'small_airport', 'Anthonson Airport', 43.070899963378906, -76.40799713134766, 430, 'US', 'US-NY', 'Jordan', 'no', 'NY28', '', 'NY28', ''),
	('NK51', 'N/A', 'N/A', 43.02923317998648, -75.8454667031765, 226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('85NY', 'small_airport', 'High Acres Airport', 42.578399658203125, -78.5199966430664, 1540, 'US', 'US-NY', 'Sardinia', 'no', '85NY', '', '85NY', ''),
	('NY69', 'small_airport', 'John Gonzales Field', 44.12009811401367, -76.30130004882813, 260, 'US', 'US-NY', 'Cape Vincent', 'no', 'NY69', '', 'NY69', ''),
	('24NY', 'closed', 'Ely Air Park', 43.0667, -77.9589, 690, 'US', 'US-NY', 'Bergen', 'no', '', '', '', '24NY'),
	('1E8', 'small_airport', 'Degrasse Moores Airport', 44.388266, -75.066376, 814, 'US', 'US-NY', 'Russell', 'no', 'K1E8', '', '1E8', 'Degrasse'),
	('CYPJ', 'N/A', 'N/A', 44.034326300024986, -77.14677929878235, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NK16', 'small_airport', 'Hendricks Field', 44.368099, -75.402397, 480, 'US', 'US-NY', 'Gouverneur', 'no', 'NK16', '', 'NK16', ''),
	('NK31', 'small_airport', 'Dawn Patrol Aviation Airport', 43.269500732421875, -78.14530181884766, 480, 'US', 'US-NY', 'Albion', 'no', 'NK31', '', 'NK31', ''),
	('D52', 'small_airport', 'Geneseo Airport', 42.79869842529297, -77.84249877929688, 560, 'US', 'US-NY', 'Geneseo', 'no', 'D52', '', 'D52', ''),
	('42NY', 'small_airport', 'Walter''s Field', 42.66899871826172, -76.05619812011719, 1560, 'US', 'US-NY', 'East Homer', 'no', '42NY', '', '42NY', ''),
	('D80', 'small_airport', 'Olcott-Newfane Airport', 43.321712, -78.726033, 315, 'US', 'US-NY', 'Burt', 'no', 'D80', '', 'D80', 'Fly Inn Lodge'),
	('77NY', 'seaplane_base', 'Hut Haven Seaplane Base', 43.337701, -76.726725, 279, 'US', 'US-NY', 'Fair Haven', 'no', '77NY', '', '77NY', 'Dodge Haven SPB, Wolcott'),
	('N66', 'small_airport', 'Albert S Nader Regional Airport', 42.5247, -75.0644, 1763, 'US', 'US-NY', 'Oneonta', 'no', '', 'ONH', 'N66', 'Oneonta Municipal'),
	('7NK7', 'small_airport', 'Morin Airport', 42.71329879760742, -75.88999938964844, 1068, 'US', 'US-NY', 'Sherburne', 'no', '7NK7', '', '7NK7', ''),
	('NY72', 'small_airport', 'Poolsbrook Aerodrome', 43.07229995727539, -75.9384994506836, 500, 'US', 'US-NY', 'Manlius', 'no', 'NY72', '', 'NY72', ''),
	('8NK6', 'small_airport', 'Suntime Airport', 42.713056, -75.168333, 1650, 'US', 'US-NY', 'West Burlington', 'no', '8NK6', '', '8NK6', ''),
	('0G7', 'small_airport', 'Finger Lakes Regional Airport', 42.883598, -76.782246, 492, 'US', 'US-NY', 'Seneca Falls', 'no', '', '', '0G7', ''),
	('CNA9', 'small_airport', 'Tomvale Airport', 44.916528, -76.936655, 890, 'CA', 'CA-ON', 'Arioch', 'no', 'CNA9', '', 'CNA9', 'NA9, Plevna'),
	('NY01', 'small_airport', 'Knowlesville Airport', 43.22090148925781, -78.31500244140625, 555, 'US', 'US-NY', 'Knowlesville', 'no', 'NY01', '', 'NY01', ''),
	('CYTR', 'medium_airport', 'CFB Trenton', 44.118900299072266, -77.5280990600586, 283, 'CA', 'CA-ON', 'Trenton', 'no', 'CYTR', 'YTR', '', ''),
	('NY92', 'small_airport', 'Owasco Airport', 42.736493, -76.486065, 1378, 'US', 'US-NY', 'Moravia', 'no', '', '', '2N4', '92NK, NY92, Y92'),
	('51NY', 'closed', 'Maxon Field', 43.179501, -78.039704, 615, 'US', 'US-NY', 'Holley', 'no', '', '', '', '51NY'),
	('NK87', 'small_airport', 'Merkle Airport', 43.06669998168945, -78.59970092773438, 590, 'US', 'US-NY', 'Clarence Center', 'no', 'NK87', '', 'NK87', ''),
	('CYTM', 'N/A', 'N/A', 44.35440368950367, -76.85525313019753, 130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NK05', 'small_airport', 'Tom N'' Jerry Airport', 42.354801177978516, -76.51609802246094, 1490, 'US', 'US-NY', 'Danby', 'no', 'NK05', '', 'NK05', ''),
	('NY38', 'closed', 'Mc Bride''s Airport', 42.8531, -77.124702, 915, 'US', 'US-NY', 'Gorham', 'no', '', '', '', 'NY38'),
	('NK27', 'small_airport', 'Hedge Hop Field', 42.488666, -78.634923, 1400, 'US', 'US-NY', 'Springville', 'no', 'NK27', '', 'NK27', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NY62', 'small_airport', 'Curtis Airport', 43.144419, -75.548757, 535, 'US', 'US-NY', 'Verona', 'no', 'NY62', '', 'NY62', ''),
	('95NY', 'small_airport', 'Cummings Airfield', 42.7892, -78.476402, 1280, 'US', 'US-NY', 'Wales Center/Cowlesville/', 'no', '95NY', '', '95NY', 'Fisher Airport'),
	('94NY', 'small_airport', 'St Bernard Field', 42.82509994506836, -76.69129943847656, 540, 'US', 'US-NY', 'Union Springs', 'no', '94NY', '', '94NY', ''),
	('5NK0', 'small_airport', 'Salubrious Point Airport', 44.0442008972168, -76.14360046386719, 295, 'US', 'US-NY', 'Chaumont', 'no', '5NK0', '', '5NK0', ''),
	('NY53', 'closed', 'Tri County Airways Airport', 42.738998, -75.300201, 1150, 'US', 'US-NY', 'West Edmeston', 'no', '', '', '', 'NY53'),
	('2NY9', 'small_airport', 'Kayutah Lake/James & Helene D Allen Memorial Airport', 42.367811, -76.724406, 1385, 'US', 'US-NY', 'Alpine', 'no', '2NY9', '', '2NY9', 'Alpine-Cayuta Regional Airport'),
	('D93', 'closed', 'Airtrek Airport', 42.847497, -76.853936, 590, 'US', 'US-NY', 'Waterloo', 'no', '', '', '', 'KD93, D93'),
	('CYOB', 'N/A', 'N/A', 43.97633694112301, -78.70789289474487, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('K16', 'small_airport', 'Becks Grove Airport', 43.250334, -75.606194, 450, 'US', 'US-NY', 'Rome', 'no', 'KK16', '', 'K16', ''),
	('20NY', 'small_airport', 'Stafford Airport', 43.005303, -78.039572, 891, 'US', 'US-NY', 'Le Roy', 'no', '20NY', '', '20NY', ''),
	('01G', 'small_airport', 'Perry-Warsaw Airport', 42.741453, -78.052646, 1559, 'US', 'US-NY', 'Perry', 'no', 'K01G', '', '01G', ''),
	('KPEO', 'small_airport', 'Penn Yan Airport', 42.6371, -77.052902, 990, 'US', 'US-NY', 'Penn Yan', 'no', 'KPEO', '', 'PEO', ''),
	('0D5', 'N/A', 'N/A', 43.17578103393316, -76.830815076828, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6NY3', 'small_airport', 'Airy-Acres Airport', 42.64400100708008, -76.72969818115234, 805, 'US', 'US-NY', 'Interlaken', 'no', '6NY3', '', '6NY3', ''),
	('NK74', 'small_airport', 'Match Mate Airport', 42.74449920654297, -76.6635971069336, 840, 'US', 'US-NY', 'Aurora', 'no', 'NK74', '', 'NK74', ''),
	('1NY8', 'closed', 'Killian Airfield', 42.800098, -76.583, 1020, 'US', 'US-NY', 'Scipio', 'no', '', '', '', '1NY8'),
	('CBM2', 'small_airport', 'Blackstock / Martyn', 44.093, -78.7367, 1000, 'CA', 'CA-ON', '', 'no', 'CBM2', '', '', ''),
	('CNN8', 'small_airport', 'Gananoque Airport', 44.40190124511719, -76.24420166015625, 395, 'CA', 'CA-ON', 'Gananoque', 'no', 'CNN8', '', 'CNN8', 'NN8'),
	('NY19', 'small_airport', 'Walls Airport', 43.04399871826172, -76.46189880371094, 610, 'US', 'US-NY', 'Elbridge', 'no', 'NY19', '', 'NY19', ''),
	('KBQR', 'small_airport', 'Buffalo Lancaster Regional Airport', 42.922298, -78.612297, 750, 'US', 'US-NY', 'Lancaster', 'no', 'KBQR', '', 'BQR', ''),
	('NY42', 'small_airport', 'Paradise Airport', 43.219988, -76.68945, 420, 'US', 'US-NY', 'Red Creek', 'no', 'NY42', '', 'NY42', ''),
	('3NY1', 'closed', 'Old Orchard Road Heliport', 41.116438, -73.715563, 527, 'US', 'US-NY', 'Armonk', 'no', '', '', '', '3NY1, IBM North Castle'),
	('CCE6', 'small_airport', 'Camden East Airstrip', 44.325629, -76.792502, 0, 'CA', 'CA-ON', 'Odessa', 'no', '', '', 'CCE6', ''),
	('9G3', 'small_airport', 'Akron Airport/Jesson Field', 43.021099, -78.482498, 840, 'US', 'US-NY', 'Akron', 'no', '', '', '9G3', ''),
	('KDSV', 'small_airport', 'Dansville Municipal Airport', 42.570545, -77.713273, 662, 'US', 'US-NY', 'Dansville', 'no', 'KDSV', 'DSV', 'DSV', ''),
	('CPU6', 'small_airport', 'Tyendinaga Mohawk Airport', 44.1847, -77.107803, 260, 'CA', 'CA-ON', 'Tyendinaga', 'no', 'CPU6', '', 'CPU6', 'PU6, Deseronto Airport, Napanee'),
	('59NY', 'small_airport', 'Bent-Wing Airport', 43.230821, -78.686485, 370, 'US', 'US-NY', 'Lockport', 'no', '59NY', '', '59NY', ''),
	('53NY', 'small_airport', 'Smiths Land Base Airport', 42.95840072631836, -77.61579895019531, 627, 'US', 'US-NY', 'Honeoye Falls', 'no', '53NY', '', '53NY', ''),
	('23NY', 'small_airport', 'Jolamtra Landing Area Airport', 42.27980041503906, -77.33999633789063, 1700, 'US', 'US-NY', 'Bath', 'no', '23NY', '', '23NY', ''),
	('NK72', 'small_airport', 'Henion Private Field Airport', 42.376029, -76.531938, 1300, 'US', 'US-NY', 'Danby', 'no', 'NK72', '', 'NK72', 'James Henion Private Field'),
	('NK09', 'small_airport', 'Eagle Ridge Airport', 42.405999, -76.820011, 1480, 'US', 'US-NY', 'Burdett', 'no', 'NK09', '', 'NK09', ''),
	('CYIE', 'N/A', 'N/A', 44.20802716165781, -76.2970595061779, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYTI', 'N/A', 'N/A', 44.31529808789492, -76.95842295885086, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NY29', 'small_airport', 'Schuyler Airport', 42.451625, -76.912215, 870, 'US', 'US-NY', 'Watkins Glen', 'no', 'NY29', '', 'NY29', ''),
	('19NY', 'small_airport', 'Four Seasons Airport', 42.40620040893555, -77.96080017089844, 1650, 'US', 'US-NY', 'Reading', 'no', '19NY', '', '19NY', ''),
	('64NY', 'closed', 'Hemlock Run Airport', 42.366805, -76.925068, 1300, 'US', 'US-NY', 'Watkins Glen', 'no', '', '', '', '64NY'),
	('6B4', 'small_airport', 'Frankfort-Highland Airport', 43.016101, -75.169573, 1325, 'US', 'US-NY', 'Frankfort', 'no', 'K6B4', '', '6B4', ''),
	('5R5', 'small_airport', 'R & R Aero Airport', 42.721133, -78.186114, 1650, 'US', 'US-NY', 'Warsaw', 'no', '', '', '5R5', ''),
	('1H1', 'small_airport', 'Airlane Enterprises Airport', 43.205101013183594, -76.17880249023438, 385, 'US', 'US-NY', 'Clay', 'no', '1H1', '', '1H1', ''),
	('66NY', 'small_airport', 'Maple Ridge Airport', 43.20280075073242, -78.35389709472656, 646, 'US', 'US-NY', 'Medina', 'no', '66NY', '', '66NY', ''),
	('NK23', 'heliport', 'Tetz Landing Heliport', 41.548667, -74.469722, 961, 'US', 'US-NY', 'Bloomingburg', 'no', 'NK23', '', 'NK23', ''),
	('73NY', 'small_airport', 'Olmstead Landing Strip', 42.265767, -75.310033, 1160, 'US', 'US-NY', 'Masonville', 'no', '73NY', '', '73NY', ''),
	('9G5', 'small_airport', 'Royalton Airport', 43.181999, -78.5578, 628, 'US', 'US-NY', 'Gasport', 'no', '9G5', '', '9G5', ''),
	('06NY', 'small_airport', 'Murphy Field', 42.836797, -76.437614, 1100, 'US', 'US-NY', 'Auburn', 'no', '06NY', '', '06NY', ''),
	('CYCU', 'N/A', 'N/A', 43.94003726541996, -78.44505429267883, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3NK6', 'small_airport', 'Tuscarora Plateau Airport', 42.637001037597656, -77.88390350341797, 900, 'US', 'US-NY', 'Tuscarora', 'no', '3NK6', '', '3NK6', ''),
	('92NK', 'N/A', 'N/A', 42.73655388504267, -76.48633450269699, 421, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NK19', 'small_airport', 'Potoczak Airport', 43.06119918823242, -78.6613998413086, 582, 'US', 'US-NY', 'Clarence Center', 'no', 'NK19', '', 'NK19', ''),
	('4N7', 'small_airport', 'Greene Airport', 42.30419921875, -75.78710174560547, 935, 'US', 'US-NY', 'Greene', 'no', '4N7', '', '4N7', ''),
	('CYQE', 'N/A', 'N/A', 43.916301392018795, -77.52540618181229, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2NK1', 'closed', 'Gaskin''s Hilltop Airport', 42.2962, -77.465502, 1730, 'US', 'US-NY', 'Canisteo', 'no', '', '', '', '2NK1');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CPY4', 'closed', 'Norwood Airport', 44.365692, -77.997785, 650, 'CA', 'CA-ON', 'Norwood', 'no', '', '', '', 'PY4, CPY4'),
	('2NY4', 'small_airport', 'Byron Airpark', 43.073699951200005, -78.0500030518, 665, 'US', 'US-NY', 'Byron', 'no', '2NY4', '', '2NY4', 'Sackett Farms Airstrip'),
	('CMF4', 'small_airport', 'Port Hope (Millson Field)', 43.989209, -78.428691, 525, 'CA', 'CA-ON', '', 'no', 'CMF4', '', 'CMF4', ''),
	('9G0', 'small_airport', 'Buffalo Airfield', 42.862, -78.716599, 670, 'US', 'US-NY', 'Buffalo', 'no', '9G0', '', '9G0', ''),
	('NY06', 'small_airport', 'Gaines Valley Aviation Airport', 43.2963981628418, -78.21389770507813, 380, 'US', 'US-NY', 'Albion', 'no', 'NY06', '', 'NY06', ''),
	('NY11', 'small_airport', 'Lakestone Farm Airport', 43.035301208496094, -77.30799865722656, 520, 'US', 'US-NY', 'Macedon', 'no', 'NY11', '', 'NY11', ''),
	('KRME', 'medium_airport', 'Griffiss International Airport', 43.23379898, -75.40699768, 504, 'US', 'US-NY', 'Rome', 'no', 'KRME', 'RME', 'RME', ''),
	('74NY', 'small_airport', 'New Salem Aerodrome', 43.00559997558594, -77.29139709472656, 660, 'US', 'US-NY', 'Farmington', 'no', '74NY', '', '74NY', ''),
	('8NY7', 'closed', 'Sha-Wan-Ga Valley Airport', 41.571517, -74.401095, 437, 'US', 'US-NY', 'Bloomingburg', 'no', '', '', '', '8NY7'),
	('CYSH', 'medium_airport', 'Smiths Falls-Montague (Russ Beach) Airport', 44.945801, -75.940598, 416, 'CA', 'CA-ON', 'Smiths Falls', 'no', 'CYSH', 'YSH', '', 'Smith Falls'),
	('NK76', 'small_airport', 'Grammar Airport', 42.88249969482422, -77.05169677734375, 755, 'US', 'US-NY', 'Geneva', 'no', 'NK76', '', 'NK76', ''),
	('68NK', 'N/A', 'N/A', 44.567383490502834, -75.63833311200142, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CNN7', 'seaplane_base', 'Gooderham/Pencil Lake Seaplane Base', 44.799999, -78.349998, 1060, 'CA', 'CA-ON', '', 'no', 'CNN7', '', 'CNN7', 'NN7'),
	('7NY9', 'heliport', 'Yorktown Helipad', 41.211825, -73.803363, 499, 'US', 'US-NY', 'Yorktown', 'no', '7NY9', '', '7NY9', ''),
	('NY40', 'small_airport', 'Gentzke Aeronautical Park Airport', 42.610599517822266, -78.59559631347656, 1750, 'US', 'US-NY', 'Holland', 'no', 'NY40', '', 'NY40', ''),
	('3NK0', 'small_airport', 'Mc Kinney Airport', 43.2030982971, -77.90249633790002, 547, 'US', 'US-NY', 'Brockport', 'no', '3NK0', '', '3NK0', ''),
	('D23', 'small_airport', 'Arcade Tri County Airport', 42.565367, -78.424766, 1745, 'US', 'US-NY', 'Arcade', 'no', 'D23', '', 'D23', ''),
	('NY67', 'small_airport', 'Carter Flight Park Ultralightport', 42.993099212646484, -75.91169738769531, 1301, 'US', 'US-NY', 'Manlius', 'no', 'NY67', '', 'NY67', ''),
	('NK0', 'seaplane_base', 'Maus Marineland Seaplane Base', 42.810298919677734, -76.31079864501953, 863, 'US', 'US-NY', 'New Hope', 'no', 'NK0', '', 'NK0', ''),
	('50NY', 'small_airport', 'Old Fort Farm Airport', 42.81449890136719, -77.57330322265625, 1050, 'US', 'US-NY', 'Hemlock', 'no', '50NY', '', '50NY', ''),
	('90NY', 'small_airport', 'Hopewell Airpark', 42.919508, -77.242778, 730, 'US', 'US-NY', 'Canandaigua', 'no', '90NY', '', '90NY', ''),
	('KIUA', 'N/A', 'N/A', 42.908902913331985, -77.32522487640381, 244, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2NY1', 'N/A', 'N/A', 42.856278978288174, -77.91064113378525, 260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CPF8', 'N/A', 'N/A', 44.40426830202341, -77.76040032505989, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7NK4', 'small_airport', 'Ridge Road West Airport', 43.222599029541016, -77.81060028076172, 400, 'US', 'US-NY', 'Spenceport', 'no', '7NK4', '', '7NK4', ''),
	('D48', 'N/A', 'N/A', 42.53371685743332, -76.96196258068085, 308, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NY41', 'closed', 'Best Western Red Jacket Inn Heliport', 43.072601, -78.985298, 575, 'US', 'US-NY', 'Niagara Falls', 'no', '', '', '', 'NY41'),
	('0NY2', 'heliport', 'Amar Heliport', 41.231009, -74.047353, 507, 'US', 'US-NY', 'Stony Point', 'no', '0NY2', '', '0NY2', ''),
	('00NY', 'small_airport', 'Weiss Airfield', 42.89576, -77.495263, 1000, 'US', 'US-NY', 'West Bloomfield', 'no', '00NY', '', '00NY', ''),
	('CHF4', 'small_airport', 'Orono / Hawkefield Aerodrome', 44, -78.6488, 620, 'CA', 'CA-ON', 'Clarington', 'no', 'CHF4', '', 'CHF4', ''),
	('CVL3', 'small_airport', 'Camden East / Varty Lake Airport', 44.409, -76.8051, 480, 'CA', 'CA-ON', 'Camden East', 'no', 'CVL3', '', 'CVL3', ''),
	('91NY', 'small_airport', 'Manitou Field', 43.19559860229492, -77.74810028076172, 470, 'US', 'US-NY', 'Spencerport', 'no', '91NY', '', '91NY', ''),
	('NY13', 'small_airport', 'D''Amico Airport', 43.0908, -76.98864, 515, 'US', 'US-NY', 'Lyons', 'no', 'NY13', '', 'NY13', ''),
	('NY57', 'small_airport', 'Remsen City Airport', 43.36009979248047, -75.18460083007813, 1220, 'US', 'US-NY', 'Remsen', 'no', 'NY57', '', 'NY57', ''),
	('15NK', 'closed', 'Knox Landing Airport', 42.576401, -78.556702, 1845, 'US', 'US-NY', 'Sardinia', 'no', '', '', '', '15NK'),
	('KBGM', 'medium_airport', 'Greater Binghamton/Edwin A Link field', 42.20869827, -75.97979736, 1636, 'US', 'US-NY', 'Binghamton', 'yes', 'KBGM', 'BGM', 'BGM', 'Broome County Airport, Edwin A Link Field'),
	('88NY', 'small_airport', 'Zelazny Airport', 43.157798767089844, -78.3583984375, 635, 'US', 'US-NY', 'Shelby', 'no', '88NY', '', '88NY', ''),
	('D51', 'small_airport', 'Clarence Aerodrome', 43.06669998168945, -78.68309783935547, 589, 'US', 'US-NY', 'Buffalo', 'no', 'D51', '', 'D51', ''),
	('NK71', 'small_airport', 'Marcellus Airport', 43.011199951171875, -76.34970092773438, 850, 'US', 'US-NY', 'Marcellus', 'no', 'NK71', '', 'NK71', ''),
	('KATC', 'N/A', 'N/A', 42.75788079947233, -78.39309856295586, 477, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOIC', 'small_airport', 'Lt Warren Eaton Airport', 42.566600799561, -75.524101257324, 1025, 'US', 'US-NY', 'Norwich', 'no', 'KOIC', 'OIC', 'OIC', ''),
	('28NK', 'small_airport', 'Ritchie Airfield', 44.186789, -76.075981, 385, 'US', 'US-NY', 'Clayton', 'no', '28NK', '', '28NK', ''),
	('4NK1', 'small_airport', 'B-Ville Airpark', 43.144798278808594, -76.3113021850586, 375, 'US', 'US-NY', 'Baldwinsville', 'no', '4NK1', '', '4NK1', ''),
	('17NK', 'small_airport', 'Re-Dun Field', 42.457059, -76.951053, 1351, 'US', 'US-NY', 'Rock Stream', 'no', '17NK', '', '17NK', ''),
	('KXAC', 'N/A', 'N/A', 43.0512373521924, -75.22766277194023, 340, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRL2', 'small_airport', 'Westport / Rideau Lakes Airport', 44.666665176600006, -76.3966673613, 500, 'CA', 'CA-ON', 'Westport', 'no', 'CRL2', '', 'CRL2', 'RL2'),
	('CYGK', 'medium_airport', 'Kingston Norman Rogers Airport', 44.2253, -76.596901, 305, 'CA', 'CA-ON', 'Kingston', 'no', 'CYGK', 'YGK', '', ''),
	('NY10', 'small_airport', 'Duflo Airport', 43.84260177612305, -75.43070220947266, 789, 'US', 'US-NY', 'New Bremen', 'no', 'NY10', '', 'NY10', ''),
	('CFG8', 'seaplane_base', 'Fenelon Falls/Sturgeon Lake Seaplane Base', 44.523899, -78.730301, 812, 'CA', 'CA-ON', '', 'no', 'CFG8', '', 'CFG8', ''),
	('CPD5', 'seaplane_base', 'Paudash Lake Seaplane Base', 44.959206, -78.036835, 1126, 'CA', 'CA-ON', 'Paudash', 'no', 'CPD5', '', 'CPD5', ''),
	('CYBI', 'N/A', 'N/A', 44.105472564697266, -77.45948016643524, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NY25', 'closed', 'F&F Airpark Airport', 42.452024, -75.010956, 1110, 'US', 'US-NY', 'Oneonta', 'no', '', '', '', 'NY25'),
	('07N', 'small_airport', 'Bermudian Valley Airpark', 40.0168, -77.003899, 470, 'US', 'US-PA', 'Washington Township', 'no', 'K07N', '', '07N', ''),
	('8N1', 'small_airport', 'Grimes Airport', 40.484798, -76.263603, 582, 'US', 'US-PA', 'Bethel', 'no', 'K8N1', '', '8N1', ''),
	('KFIG', 'small_airport', 'Clearfield Lawrence Airport', 41.049032, -78.415003, 1516, 'US', 'US-PA', 'Clearfield', 'no', 'KFIG', '', 'FIG', ''),
	('MD78', 'small_airport', 'Woodbine Airport', 39.383399963378906, -77.07029724121094, 720, 'US', 'US-MD', 'Woodbine', 'no', 'MD78', '', 'MD78', ''),
	('MD88', 'small_airport', 'Links Airport', 39.6800167, -76.4527694, 450, 'US', 'US-MD', 'Pylesville', 'no', 'MD88', '', 'MD88', ''),
	('N30', 'small_airport', 'Cherry Ridge Airport', 41.515301, -75.251503, 1357, 'US', 'US-PA', 'Honesdale', 'no', 'N30', '', 'N30', ''),
	('4PA5', 'small_airport', 'Ponderosa Airport', 41.30839920043945, -77.52469635009766, 1820, 'US', 'US-PA', 'Lock Haven', 'no', '4PA5', '', '4PA5', ''),
	('2NJ1', 'small_airport', 'Jugtown Mountain Airport', 40.633399963378906, -75.06629943847656, 600, 'US', 'US-NJ', 'Pattenburg', 'no', '2NJ1', '', '2NJ1', ''),
	('16MD', 'small_airport', 'High Valley Airport', 39.668611, -75.960278, 363, 'US', 'US-MD', 'North East', 'no', '16MD', '', '16MD', ''),
	('4MD6', 'small_airport', 'Moxley''s Airport', 39.625, -76.26249694824219, 410, 'US', 'US-MD', 'Dublin', 'no', '4MD6', '', '4MD6', ''),
	('PA96', 'N/A', 'N/A', 41.459309086203575, -75.23344293236732, 441, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('79N', 'small_airport', 'Ridge Soaring Gliderport', 40.8838996887207, -77.9072036743164, 815, 'US', 'US-PA', 'Unionville', 'no', '79N', '', '79N', ''),
	('6PS8', 'small_airport', 'Tyler Airport', 41.820464, -75.69859, 1401, 'US', 'US-PA', 'New Milford', 'no', '6PS8', '', '6PS8', ''),
	('57PN', 'small_airport', 'Ransome STOLport', 40.39759826660156, -75.01069641113281, 360, 'US', 'US-PA', 'Solebury', 'no', '57PN', '', '57PN', ''),
	('49PA', 'small_airport', 'Gap View Airport', 40.85929870605469, -75.13379669189453, 780, 'US', 'US-PA', 'Stone Church', 'no', '49PA', '', '49PA', ''),
	('JY31', 'small_airport', 'Wide Sky Airpark', 39.446800231933594, -75.31320190429688, 100, 'US', 'US-NJ', 'Bridgeton', 'no', 'JY31', '', 'JY31', ''),
	('0PN4', 'small_airport', 'Kitner Airport', 40.4128990173, -77.24140167239999, 960, 'US', 'US-PA', 'New Bloomfield', 'no', '0PN4', '', '0PN4', ''),
	('0PA4', 'small_airport', 'Ecko Field', 40.23759841918945, -76.72470092773438, 380, 'US', 'US-PA', 'Hummelstown', 'no', '0PA4', '', '0PA4', ''),
	('KLOM', 'small_airport', 'Wings Field', 40.1375007629, -75.2650985718, 302, 'US', 'US-PA', 'Philadelphia', 'no', 'KLOM', 'BBX', 'LOM', ''),
	('KSUH', 'N/A', 'N/A', 39.7556808963418, -76.35077074170113, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KELZ', 'small_airport', 'Wellsville Municipal Airport - Tarantine Field', 42.109501, -77.989998, 2124, 'US', 'US-NY', 'Wellsville', 'no', 'KELZ', 'ELZ', 'ELZ', ''),
	('PA81', 'small_airport', '5 Lakes Airport', 39.91279983520508, -77.53279876708984, 819, 'US', 'US-PA', 'Fayetteville', 'no', 'PA81', '', 'PA81', ''),
	('KREL', 'N/A', 'N/A', 39.88734349608421, -76.6205433011055, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PA71', 'small_airport', 'Dwight''s Delight Airport', 41.52090072631836, -76.46219635009766, 1717, 'US', 'US-PA', 'Dushore', 'no', 'PA71', '', 'PA71', ''),
	('6NJ9', 'closed', 'Bridgeport-Cahill Field', 39.795874, -75.342264, 15, 'US', 'US-NJ', 'Bridgeport', 'no', '', '', '', '6NJ9, 6NJ9'),
	('PS02', 'small_airport', 'Heberlig Airport', 40.16429901123047, -77.37049865722656, 560, 'US', 'US-PA', 'Newville', 'no', 'PS02', '', 'PS02', ''),
	('N76', 'N/A', 'N/A', 40.316571705043316, -76.5358217060566, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PA70', 'small_airport', 'Fetters Construction Airport', 40.091800689697266, -75.71080017089844, 500, 'US', 'US-PA', 'Downingtown', 'no', 'PA70', '', 'PA70', ''),
	('2PN3', 'closed', 'Market Garden Airport', 39.960231, -77.102201, 600, 'US', 'US-PA', 'York Springs', 'no', '', '', '', '2PN3, 2PN3'),
	('KNXX', 'closed', 'NAS/JRB Willow Grove', 40.199795, -75.148201, 358, 'US', 'US-PA', 'Horsham', 'no', '', '', '', 'NXX, KNXX, Horsham Air Guard Station'),
	('07MD', 'small_airport', 'Baugher''s Orchard Airport', 39.608299255371094, -77.0519027709961, 700, 'US', 'US-MD', 'Westminster', 'no', '07MD', '', '07MD', ''),
	('N31', 'closed', 'Kutztown Airport', 40.503276, -75.785758, 512, 'US', 'US-PA', 'Kutztown', 'no', '', '', '', 'N31'),
	('KTRO', 'N/A', 'N/A', 41.02448411285877, -78.06183457374573, 473, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('N94', 'small_airport', 'Carlisle Airport', 40.187901, -77.174301, 510, 'US', 'US-PA', 'Carlisle', 'no', 'KN94', '', 'N94', ''),
	('PA39', 'small_airport', 'Beaver Springs Airport', 40.776500701904, -77.216400146484, 642, 'US', 'US-PA', 'Benfer', 'no', '', '', 'PA39', 'PA39'),
	('6PA3', 'small_airport', 'Hackenburg-Penny Hill Airport', 41.15010070800781, -76.89969635009766, 1000, 'US', 'US-PA', 'Montoursville', 'no', '6PA3', '', '6PA3', ''),
	('N27', 'small_airport', 'Bradford County Airport', 41.740002, -76.447098, 730, 'US', 'US-PA', 'Towanda', 'no', 'KN27', '', 'N27', ''),
	('KRDG', 'medium_airport', 'Reading Regional Airport (Carl A Spaatz Field)', 40.378502, -75.965202, 344, 'US', 'US-PA', 'Reading', 'no', 'KRDG', 'RDG', 'RDG', ''),
	('15PA', 'closed', 'Pittsburgh-Monroeville Airport', 40.45258, -79.774958, 1187, 'US', 'US-PA', 'Monroeville', 'no', '', '', '', '4G0, 15PA'),
	('3PS4', 'small_airport', 'Mountain Hide-Away Airport', 40.72359848022461, -77.98739624023438, 1604, 'US', 'US-PA', 'Millcreek', 'no', '3PS4', '', '3PS4', ''),
	('KMUU', 'closed', 'Huntingdon County Airport', 40.329182, -77.862478, 0, 'US', 'US-PA', '', 'no', '', '', '', 'KMUU, KMUU'),
	('6NY1', 'small_airport', 'Old Port Royal Airport', 42.11289978027344, -77.08940124511719, 1700, 'US', 'US-NY', 'Corning', 'no', '6NY1', '', '6NY1', ''),
	('KMIN', 'N/A', 'N/A', 40.984819270670414, -76.83609500527382, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KWEV', 'N/A', 'N/A', 40.390789434313774, -76.07434719800949, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NJ95', 'small_airport', 'Herr Brothers Airport', 40.55569839477539, -75.07240295410156, 330, 'US', 'US-NJ', 'Milford', 'no', 'NJ95', '', 'NJ95', ''),
	('25N', 'N/A', 'N/A', 39.55535240471363, -75.06366401910782, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('04PS', 'N/A', 'N/A', 40.51682475954294, -75.17323449254036, 165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1PA3', 'small_airport', 'Ridgeview Airport', 40.45009994506836, -75.19960021972656, 520, 'US', 'US-PA', 'Kellers Church', 'no', '1PA3', '', '1PA3', ''),
	('7PA5', 'small_airport', 'Fauser Ultralightport', 41.102901458740234, -76.80549621582031, 565, 'US', 'US-PA', 'Turbotville', 'no', '7PA5', '', '7PA5', ''),
	('2PA4', 'small_airport', 'Boden Airport', 41.84669876098633, -75.44629669189453, 2120, 'US', 'US-PA', 'Lakewood', 'no', '2PA4', '', '2PA4', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('6W6', 'closed', 'Hanover Airport', 39.792599, -77.024696, 560, 'US', 'US-PA', 'Hanover', 'no', '', '', '', 'K6W6, K6W6, 6W6'),
	('14PS', 'small_airport', 'Hideaway Ultralightport', 39.8843994140625, -76.11859893798828, 630, 'US', 'US-PA', 'Quarryville', 'no', '14PS', '', '14PS', ''),
	('KELM', 'medium_airport', 'Elmira Corning Regional Airport', 42.1599006652832, -76.8916015625, 954, 'US', 'US-NY', 'Elmira/Corning', 'yes', 'KELM', 'ELM', 'ELM', ''),
	('S37', 'small_airport', 'Smoketown Airport', 40.041605, -76.201386, 370, 'US', 'US-PA', 'Smoketown', 'no', 'KS37', '', 'S37', ''),
	('KHAQ', 'N/A', 'N/A', 41.41453430056572, -75.16764834523201, 465, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PN48', 'small_airport', 'Bullfly Ultralightport', 40.70854, -75.68662, 812, 'US', 'US-PA', 'Germansville', 'no', 'PN48', '', 'PN48', ''),
	('8PN2', 'small_airport', 'Hallett''s Airport', 40.910499572753906, -75.16510009765625, 700, 'US', 'US-PA', 'Bangor', 'no', '8PN2', '', '8PN2', ''),
	('2NJ5', 'small_airport', 'Sanduff Farms Landing Field', 40.652002, -75.185997, 350, 'US', 'US-NJ', 'Phillipsburg', 'no', '2NJ5', '', '2NJ5', 'Hartung Airport'),
	('KDMW', 'small_airport', 'Carroll County Regional Jack B Poage Field', 39.60829926, -77.00769806, 789, 'US', 'US-MD', 'Westminster', 'no', 'KDMW', '', 'DMW', ''),
	('KTHV', 'small_airport', 'York Airport', 39.917, -76.873001, 495, 'US', 'US-PA', 'Thomasville', 'no', 'KTHV', 'THV', 'THV', ''),
	('3PA6', 'small_airport', 'Fox Hollow Airport', 40.992446, -76.902474, 540, 'US', 'US-PA', 'Lewisburg', 'no', '3PA6', '', '3PA6', ''),
	('0PA6', 'small_airport', 'Hostetler Airport', 40.63090133666992, -77.85030364990234, 760, 'US', 'US-PA', 'Huntingdon', 'no', '0PA6', '', '0PA6', ''),
	('06PA', 'small_airport', 'Freefall Oz Airport', 41.995792, -78.288152, 1440, 'US', 'US-PA', 'Ceres', 'no', '06PA', '', '06PA', '04D, Ceres Airport'),
	('KHGR', 'medium_airport', 'Hagerstown Regional Richard A Henson Field', 39.708771, -77.728014, 703, 'US', 'US-MD', 'Hagerstown', 'yes', 'KHGR', 'HGR', 'HGR', ''),
	('3PA8', 'small_airport', 'Harris Airport', 39.82040023803711, -75.92579650878906, 575, 'US', 'US-PA', 'Lincoln University', 'no', '3PA8', '', '3PA8', ''),
	('PA72', 'small_airport', 'Circle W Airfield', 39.95869827270508, -76.9708023071289, 460, 'US', 'US-PA', 'East Berlin', 'no', 'PA72', '', 'PA72', ''),
	('KORU', 'N/A', 'N/A', 40.6904511898756, -76.06518432497978, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PA92', 'small_airport', 'Blue Mountain Academy (Private) Airport', 40.55289840698242, -76.02880096435547, 531, 'US', 'US-PA', 'Hamburg', 'no', 'PA92', '', 'PA92', ''),
	('4PS7', 'closed', 'Cohen Airport', 39.734656, -75.942514, 418, 'US', 'US-PA', 'Oxford', 'no', '', '', '', '4PS7'),
	('PN15', 'small_airport', 'Greeley Airport', 41.877518, -77.957139, 2300, 'US', 'US-PA', 'Coudersport', 'no', 'PN15', '', 'PN15', ''),
	('KCKZ', 'small_airport', 'Pennridge Airport', 40.389198303222656, -75.29049682617188, 568, 'US', 'US-PA', 'Perkasie', 'no', 'KCKZ', '', 'CKZ', 'Formerly N70'),
	('6PS3', 'small_airport', 'Champ Field', 41.95899963378906, -77.42610168457031, 1220, 'US', 'US-PA', 'Knoxville', 'no', '6PS3', '', '6PS3', ''),
	('4MD9', 'small_airport', 'St John Airport', 39.48059844970703, -76.7605972290039, 461, 'US', 'US-MD', 'Owings Mills', 'no', '4MD9', '', '4MD9', ''),
	('N71', 'small_airport', 'Donegal Springs Airpark', 40.092201232910156, -76.57440185546875, 458, 'US', 'US-PA', 'Mount Joy/Marietta', 'no', 'KN71', '', 'N71', ''),
	('69N', 'small_airport', 'Slatington Airport', 40.763599, -75.604897, 380, 'US', 'US-PA', 'Slatington', 'no', '', '', '69N', ''),
	('0W3', 'small_airport', 'Harford County Airport', 39.566799, -76.2024, 409, 'US', 'US-MD', 'Churchville', 'no', 'K0W3', '', '0W3', ''),
	('PN56', 'closed', 'Miller Airport', 40.8853, -78.739197, 1540, 'US', 'US-PA', 'Mahaffey', 'no', '', '', '', 'PN56'),
	('P96', 'small_airport', 'Jersey Shore Airport', 41.207001, -77.226097, 547, 'US', 'US-PA', 'Jersey Shore', 'no', 'P96', '', 'P96', ''),
	('MD95', 'small_airport', 'Reservoir Airport', 39.481998443603516, -76.88159942626953, 550, 'US', 'US-MD', 'Finksburg', 'no', 'MD95', '', 'MD95', ''),
	('KPNE', 'medium_airport', 'Northeast Philadelphia Airport', 40.082406, -75.010614, 120, 'US', 'US-PA', 'Philadelphia', 'no', 'KPNE', 'PNE', 'PNE', ''),
	('8G3', 'small_airport', 'Giermek Executive Airport', 42.06869888305664, -78.40450286865234, 1420, 'US', 'US-NY', 'Olean', 'no', '8G3', '', '8G3', ''),
	('96PA', 'closed', 'Franklin Center Airport', 41.920898, -80.249803, 1225, 'US', 'US-PA', 'Cranesville', 'no', '', '', '', '96PA'),
	('61NJ', 'small_airport', 'Thomas Browne Airpark', 39.69150161743164, -75.14320373535156, 145, 'US', 'US-NJ', 'Glassboro', 'no', '61NJ', '', '61NJ', ''),
	('KWBW', 'small_airport', 'Wilkes Barre Wyoming Valley Airport', 41.2971992493, -75.8511962891, 545, 'US', 'US-PA', 'Wilkes-Barre', 'no', 'KWBW', 'WBW', 'WBW', ''),
	('2NK7', 'small_airport', 'Walton Airport', 42.157901763916016, -75.14790344238281, 1200, 'US', 'US-NY', 'Walton', 'no', '2NK7', '', '2NK7', ''),
	('KAOO', 'medium_airport', 'Altoona Blair County Airport', 40.296398, -78.32, 1503, 'US', 'US-PA', 'Altoona', 'yes', 'KAOO', 'AOO', 'AOO', ''),
	('18PA', 'small_airport', 'Slack Airport', 40.30009841918945, -75.08290100097656, 275, 'US', 'US-PA', 'Forest Grove', 'no', '18PA', '', '18PA', ''),
	('C01', 'small_airport', 'Southern Cross Airport', 39.655602, -75.014397, 145, 'US', 'US-NJ', 'Williamstown', 'no', 'C01', '', 'C01', ''),
	('KILG', 'medium_airport', 'Wilmington Airport', 39.678699, -75.606499, 80, 'US', 'US-DE', 'Wilmington', 'yes', 'KILG', 'ILG', 'ILG', 'New Castle'),
	('N96', 'small_airport', 'Bellefonte Airport', 40.885502, -77.816299, 1071, 'US', 'US-PA', 'Bellefonte', 'no', 'KN96', '', 'N96', ''),
	('NY78', 'closed', 'Downsville Airport', 42.0528, -75.014753, 1087, 'US', 'US-NY', 'Downsville', 'no', '', '', '', 'NY78'),
	('8N7', 'small_airport', 'Mc Ginness Airport', 40.025101, -76.487198, 334, 'US', 'US-PA', 'Columbia', 'no', '8N7', '', '8N7', ''),
	('4PS4', 'small_airport', 'Mountain Top Airport', 41.815224, -75.534243, 2114, 'US', 'US-PA', 'Thompson', 'no', '4PS4', '', '4PS4', ''),
	('70NJ', 'small_airport', 'Parker Airport', 40.67756, -75.024629, 307, 'US', 'US-NJ', 'Asbury', 'no', '70NJ', '', '70NJ', ''),
	('9N1', 'small_airport', 'Van Sant Airport', 40.483559, -75.10088, 390, 'US', 'US-PA', 'Erwinna', 'no', '', '', '9N1', 'Vansant'),
	('KOQN', 'small_airport', 'Brandywine Regional Airport', 39.990101, -75.581902, 466, 'US', 'US-PA', 'West Chester', 'no', 'KOQN', '', 'OQN', 'Formerly N99'),
	('KUNV', 'medium_airport', 'State College Regional Airport', 40.849374, -77.84852, 1239, 'US', 'US-PA', 'State College', 'yes', 'KUNV', 'SCE', 'UNV', 'University Park'),
	('32PA', 'closed', 'Yost Personal Use Airport', 40.330101, -77.1772, 560, 'US', 'US-PA', 'Shermans Dale', 'no', '', '', '', '32PA'),
	('51PA', 'small_airport', 'Lamberson Airport', 39.883399963378906, -77.08300018310547, 540, 'US', 'US-PA', 'New Oxford', 'no', '51PA', '', '51PA', ''),
	('NY34', 'small_airport', 'Randall''s Roost Airport', 42.162200927734375, -77.42749786376953, 1825, 'US', 'US-NY', 'Cameron', 'no', 'NY34', '', 'NY34', ''),
	('N32', 'N/A', 'N/A', 41.98572311550379, -76.56587541103363, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('73PN', 'small_airport', 'Finkhaven Airport', 41.36840057373047, -77.07109832763672, 640, 'US', 'US-PA', 'Trout Run', 'no', '73PN', '', '73PN', ''),
	('3PA2', 'closed', 'Neeb Airport', 40.881585, -75.642471, 825, 'US', 'US-PA', 'Lehighton', 'no', '', '', '', '3PA2'),
	('KFOY', 'N/A', 'N/A', 41.78436029702425, -75.41290909051895, 603, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('28PA', 'closed', 'Yarrow Airport', 40.252198, -75.444317, 330, 'US', 'US-PA', 'Schwenksville', 'no', '', '', '', '28PA'),
	('PA36', 'small_airport', 'Stefanik Airport', 40.45289993286133, -75.20379638671875, 520, 'US', 'US-PA', 'Bedminster', 'no', 'PA36', '', 'PA36', ''),
	('58M', 'small_airport', 'Cecil County Airport', 39.5742, -75.869797, 106, 'US', 'US-MD', 'Elkton', 'no', 'K58M', '', '58M', ''),
	('0PN7', 'small_airport', 'Drillmore Acres Airport', 40.128299713134766, -77.63140106201172, 680, 'US', 'US-PA', 'Newburg', 'no', '0PN7', '', '0PN7', ''),
	('PS20', 'small_airport', 'Fairview Farm Airfield', 40.537284, -76.46626, 600, 'US', 'US-PA', 'Pine Grove', 'no', 'PS20', '', 'PS20', ''),
	('MD03', 'small_airport', 'Woodstock Airport', 39.488391, -75.811531, 81, 'US', 'US-MD', 'Chesapeake City', 'no', 'MD03', '', 'MD03', ''),
	('59PA', 'small_airport', 'Erkes Airport', 40.537601470947266, -75.08709716796875, 340, 'US', 'US-PA', 'Upper Black Eddy', 'no', '59PA', '', '59PA', ''),
	('9D4', 'small_airport', 'Deck Airport', 40.351799, -76.329597, 523, 'US', 'US-PA', 'Myerstown', 'no', 'K9D4', '', '9D4', ''),
	('PS11', 'small_airport', 'Mc Cardle Farm Airport', 40.6453018188, -77.55529785159999, 600, 'US', 'US-PA', 'Burnham', 'no', 'PS11', '', 'PS11', ''),
	('0PS3', 'small_airport', 'Carsonville Airport', 40.49039840698242, -76.7666015625, 800, 'US', 'US-PA', 'Carsonville', 'no', '0PS3', '', '0PS3', ''),
	('PN50', 'small_airport', 'Skyline Airstrip', 40.506500244140625, -75.94329833984375, 580, 'US', 'US-PA', 'Shoemakersville', 'no', 'PN50', '', 'PN50', ''),
	('1PN0', 'small_airport', 'Bentley Airport', 40.20140075683594, -75.71420288085938, 690, 'US', 'US-PA', 'Pottstown', 'no', '1PN0', '', '1PN0', ''),
	('PA77', 'small_airport', 'Erwinna Private Airport', 40.500099182128906, -75.06629943847656, 350, 'US', 'US-PA', 'Erwinna', 'no', 'PA77', '', 'PA77', ''),
	('8PS0', 'small_airport', 'Middlebury Airport', 41.847900390625, -77.28140258789063, 1170, 'US', 'US-PA', 'Middlebury Center', 'no', '8PS0', '', '8PS0', ''),
	('62PA', 'small_airport', 'Shreveport North Airport', 40.03620147705078, -76.99549865722656, 550, 'US', 'US-PA', 'Wellsville', 'no', '62PA', '', '62PA', ''),
	('PS03', 'small_airport', 'Elephant Path Airport', 40.410400390625, -75.22930145263672, 370, 'US', 'US-PA', 'Perkasie', 'no', 'PS03', '', 'PS03', ''),
	('PA17', 'small_airport', 'Canaan Field', 42.002239, -77.096402, 1600, 'US', 'US-NY', 'Corning', 'no', 'NK12', '', 'NK12', 'PA17, Canaan''s Field, Lawrenceville, Lindley'),
	('59PN', 'closed', 'Brookside Farms Airport', 40.315899, -76.685799, 489, 'US', 'US-PA', 'Hershey', 'no', '', '', '', '59PN'),
	('KMDT', 'medium_airport', 'Harrisburg International Airport', 40.193501, -76.763397, 310, 'US', 'US-PA', 'Harrisburg', 'yes', 'KMDT', 'MDT', 'MDT', 'Harrisburg, Lancaster, York, HIA, Middletown'),
	('W35', 'small_airport', 'Potomac Airpark', 39.6926, -78.1661, 412, 'US', 'US-WV', 'Berkeley Springs', 'no', 'KW35', '', 'W35', ''),
	('08N', 'small_airport', 'Keller Brothers Airport', 40.291801, -76.328796, 550, 'US', 'US-PA', 'Lebanon', 'no', '08N', '', '08N', ''),
	('8PA1', 'small_airport', 'Dee Jay Airport', 40.40840148925781, -76.50389862060547, 505, 'US', 'US-PA', 'Ono', 'no', '8PA1', '', '8PA1', ''),
	('KZER', 'small_airport', 'Schuylkill County Joe Zerbey Airport', 40.706501, -76.3731, 1729, 'US', 'US-PA', 'Pottsville', 'no', 'KZER', '', 'ZER', ''),
	('DE34', 'small_airport', 'Townsend A Airport', 39.41429901123047, -75.66300201416016, 65, 'US', 'US-DE', 'Townsend', 'no', 'DE34', '', 'DE34', ''),
	('8PN9', 'small_airport', 'Marsh Creek Airport', 39.821998596191406, -77.29190063476563, 530, 'US', 'US-PA', 'Gettysburg', 'no', '8PN9', '', '8PN9', ''),
	('34PA', 'small_airport', 'Waltz Airport', 39.76070022583008, -77.19300079345703, 542, 'US', 'US-PA', 'Gettysburg', 'no', '34PA', '', '34PA', ''),
	('2PA6', 'small_airport', 'The Old Commonwealth Aerodrome', 40.4911994934082, -76.09770202636719, 540, 'US', 'US-PA', 'Shartlesville', 'no', '2PA6', '', '2PA6', ''),
	('9N2', 'seaplane_base', 'Philadelphia Seaplane Base', 39.859001159668, -75.299598693848, 0, 'US', 'US-PA', 'Essington', 'no', '9N2', 'PSQ', '9N2', 'Chandler Field'),
	('KEVY', 'small_airport', 'Summit Airport', 39.520401, -75.720398, 70, 'US', 'US-DE', 'Middletown', 'no', 'KEVY', '', 'EVY', 'N92'),
	('8MD0', 'small_airport', 'Suzie Field', 39.376996, -77.017164, 560, 'US', 'US-MD', 'Woodbine', 'no', '8MD0', '', '8MD0', ''),
	('2PA2', 'small_airport', 'Hillview Airport', 40.5986, -76.13695, 780, 'US', 'US-PA', 'Auburn', 'no', '2PA2', '', '2PA2', ''),
	('KTOD', 'N/A', 'N/A', 41.80562250316143, -76.26143708825111, 419, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('71PN', 'small_airport', 'Schulteis Field', 39.91815, -77.045533, 550, 'US', 'US-PA', 'New Oxford', 'no', '71PN', '', '71PN', ''),
	('PA66', 'closed', 'Cumberland Valley Airstrip', 39.816799, -77.726097, 550, 'US', 'US-PA', 'Greencastle', 'no', '', '', '', 'PA66'),
	('N62', 'N/A', 'N/A', 40.300352051854134, -75.59059783816338, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOYM', 'small_airport', 'St Marys Municipal Airport', 41.412498474121, -78.502601623535, 1934, 'US', 'US-PA', 'St Marys', 'no', 'KOYM', 'STQ', 'OYM', ''),
	('PA49', 'small_airport', 'Mountain Bay Air Park Inc Airport', 41.3801, -75.232399, 1500, 'US', 'US-PA', 'Greentown', 'no', 'PA49', '', 'PA49', ''),
	('05PS', 'small_airport', 'Mills Brothers Airport', 40.143075, -77.86221, 1210, 'US', 'US-PA', 'Neelyton', 'no', '05PS', '', '05PS', ''),
	('PN04', 'closed', 'Strittmatter Airport', 40.547001, -78.694702, 2080, 'US', 'US-PA', 'Ebensburg', 'no', '', '', '', 'PN04'),
	('5PN8', 'small_airport', 'Lincoln Farms Airport', 40.32889938354492, -78.04499816894531, 1200, 'US', 'US-PA', 'Calvin', 'no', '5PN8', '', '5PN8', ''),
	('PA40', 'small_airport', 'Benton Airport', 41.20009994506836, -76.38719940185547, 780, 'US', 'US-PA', 'Benton', 'no', 'PA40', '', 'PA40', ''),
	('7PA6', 'closed', 'Stott Private Airport', 40.245398, -74.9913, 143, 'US', 'US-PA', 'Newtown', 'no', '', '', '', '7PA6'),
	('3PN1', 'small_airport', 'Ashlawn Airport', 41.62200164794922, -75.59629821777344, 1511, 'US', 'US-PA', 'Clifford', 'no', '3PN1', '', '3PN1', ''),
	('9PN8', 'small_airport', 'Malinchak Private Airport', 41.625099182099994, -75.53299713130001, 1700, 'US', 'US-PA', 'Carbondale', 'no', '9PN8', '', '9PN8', ''),
	('PN71', 'small_airport', 'Jansen Vineyards Airport', 40.650001525878906, -77.05750274658203, 860, 'US', 'US-PA', 'Richfield', 'no', 'PN71', '', 'PN71', ''),
	('3PS8', 'small_airport', 'Yingst Airport', 40.39580154418945, -76.74579620361328, 701, 'US', 'US-PA', 'Harrisburg', 'no', '3PS8', '', '3PS8', ''),
	('PN10', 'small_airport', 'Cash Creek Airport', 41.8651008605957, -76.50990295410156, 1250, 'US', 'US-PA', 'Ulster', 'no', 'PN10', '', 'PN10', ''),
	('PS46', 'small_airport', 'Graystrip Airport', 40.362300872802734, -75.1801986694336, 642, 'US', 'US-PA', 'Dublin', 'no', 'PS46', '', 'PS46', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8N8', 'small_airport', 'Danville Airport', 40.948344, -76.64408, 559, 'US', 'US-PA', 'Danville', 'no', 'K8N8', '', '8N8', ''),
	('9NJ8', 'small_airport', 'High Meadow Farms Airport', 40.89565, -75.00359, 630, 'US', 'US-NJ', 'Blairstown', 'no', '9NJ8', '', '9NJ8', ''),
	('KMPO', 'small_airport', 'Pocono Mountains Municipal Airport', 41.136025, -75.379572, 1915, 'US', 'US-PA', 'Mount Pocono', 'no', 'KMPO', 'MPO', 'MPO', ''),
	('76N', 'small_airport', 'Skyhaven Airport', 41.529202, -75.946899, 639, 'US', 'US-PA', 'Tunkhannock', 'no', '76N', '', '76N', ''),
	('PS21', 'small_airport', 'Flying Eagle Airport', 40.64590072631836, -76.81220245361328, 660, 'US', 'US-PA', 'Dalmatia', 'no', 'PS21', '', 'PS21', ''),
	('8PA6', 'small_airport', 'Turtle Rock Airstrip', 40.329306, -77.167639, 626, 'US', 'US-PA', 'Shermansdale', 'no', '8PA6', '', '8PA6', ''),
	('O03', 'small_airport', 'Morgantown Airport', 40.157541, -75.869222, 600, 'US', 'US-PA', 'Morgantown', 'no', 'KO03', '', 'O03', ''),
	('29N', 'small_airport', 'Kroelinger Airport', 39.523998, -75.046303, 93, 'US', 'US-NJ', 'Vineland', 'no', '29N', '', '29N', ''),
	('17N', 'small_airport', 'Cross Keys Airport', 39.705502, -75.032997, 162, 'US', 'US-NJ', 'Cross Keys', 'no', 'K17N', '', '17N', ''),
	('03PS', 'closed', 'Ziggy''s Field', 40.849998, -77.905602, 1050, 'US', 'US-PA', 'Bellefonte', 'no', '', '', '', '03PS'),
	('27PN', 'closed', 'Shelley Private Airport', 40.681198, -77.161903, 750, 'US', 'US-PA', 'Richfield', 'no', '', '', '', '27PN'),
	('5PS5', 'small_airport', 'Chestnut Hill Airport', 40.39680099487305, -77.0740966796875, 620, 'US', 'US-PA', 'Duncannon', 'no', '5PS5', '', '5PS5', ''),
	('PA89', 'closed', 'Ben''s Landing Ultralightport', 39.959, -77.049698, 550, 'US', 'US-PA', 'East Berlin', 'no', '', '', '', 'PA89'),
	('PA61', 'small_airport', 'Kunda Airport', 40.16680145263672, -75.44960021972656, 252, 'US', 'US-PA', 'Collegeville', 'no', 'PA61', '', 'PA61', ''),
	('79PA', 'small_airport', 'Little Britain Airport', 39.79119873046875, -76.1416015625, 470, 'US', 'US-PA', 'Quarryville', 'no', '79PA', '', '79PA', ''),
	('7PA3', 'small_airport', 'Charles G. Kalko Airport', 41.708053, -75.287872, 1400, 'US', 'US-PA', 'Honesdale', 'no', '7PA3', '', '7PA3', ''),
	('07PA', 'small_airport', 'Dream Air Airport', 41.852933, -80.407192, 870, 'US', 'US-PA', 'Albion', 'no', '', '', '07PA', 'PA47, Jim Shearer'),
	('MD93', 'small_airport', 'Hexton Farms Airport', 39.375099182128906, -75.90660095214844, 65, 'US', 'US-MD', 'Cecilton', 'no', 'MD93', '', 'MD93', ''),
	('PN30', 'small_airport', 'Schrenkel Airport', 40.26279830932617, -78.10250091552734, 1200, 'US', 'US-PA', 'Cassville', 'no', 'PN30', '', 'PN30', ''),
	('67NJ', 'small_airport', 'Mount Pleasant Landing Strip', 40.969799, -75.066803, 800, 'US', 'US-NJ', 'Columbia', 'no', '67NJ', '', '67NJ', ''),
	('KFAH', 'N/A', 'N/A', 39.79717165231705, -77.38178059458733, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('30PA', 'closed', 'Kings Airport', 40.265741, -75.437837, 290, 'US', 'US-PA', 'Schwenksville', 'no', '', '', '', '30PA'),
	('KAPG', 'medium_airport', 'Phillips Army Air Field', 39.466202, -76.1688, 57, 'US', 'US-MD', 'Aberdeen', 'no', 'KAPG', 'APG', 'APG', 'Aberdeen Proving Grounds'),
	('7PN0', 'small_airport', 'Tidmore Airport', 40.70500183105469, -76.23639678955078, 930, 'US', 'US-PA', 'Minersville', 'no', '7PN0', '', '7PN0', ''),
	('NJ74', 'small_airport', 'Salem Airfield', 39.562599182128906, -75.44960021972656, 15, 'US', 'US-NJ', 'Salem', 'no', 'NJ74', '', 'NJ74', ''),
	('PS18', 'small_airport', 'Pecora Field', 41.90370178222656, -78.62750244140625, 1500, 'US', 'US-PA', 'Bradford', 'no', 'PS18', '', 'PS18', ''),
	('07PN', 'small_airport', 'Folmar Airport', 40.998889, -78.125278, 1690, 'US', 'US-PA', 'Grassflat', 'no', '07PN', '', '07PN', ''),
	('14PA', 'small_airport', 'Dimascio Field', 40.29090118408203, -75.65910339355469, 350, 'US', 'US-PA', 'Pottstown', 'no', '14PA', '', '14PA', ''),
	('1DE5', 'small_airport', 'Mckeown Airport', 39.495601654052734, -75.7332992553711, 60, 'US', 'US-DE', 'Middletown', 'no', '1DE5', '', '1DE5', ''),
	('N38', 'small_airport', 'Wellsboro Johnston Airport', 41.727901, -77.3965, 1892, 'US', 'US-PA', 'Wellsboro', 'no', 'KN38', '', 'N38', ''),
	('PA31', 'small_airport', 'Rover Airport', 40.28340148925781, -76.53939819335938, 500, 'US', 'US-PA', 'Annville', 'no', 'PA31', '', 'PA31', ''),
	('PA54', 'small_airport', 'Kellachows Airport', 41.522300720214844, -75.39600372314453, 1430, 'US', 'US-PA', 'Carbondale', 'no', 'PA54', '', 'PA54', ''),
	('KCZG', 'small_airport', 'Tri Cities Airport', 42.078499, -76.096296, 833, 'US', 'US-NY', 'Endicott', 'no', 'KCZG', '', 'CZG', 'N17'),
	('0PA0', 'small_airport', 'Philadelphia Gliderport', 40.331227, -75.248125, 670, 'US', 'US-PA', 'Hilltown', 'no', '3PA2', '', '3PA2', '0PA0'),
	('77PN', 'small_airport', 'Gilfert Airport', 40.784000396728516, -77.20659637451172, 630, 'US', 'US-PA', 'Benfer', 'no', '77PN', '', '77PN', ''),
	('PA45', 'small_airport', 'Logue Airport', 41.41669845581055, -76.93299865722656, 1320, 'US', 'US-PA', 'Bodines', 'no', 'PA45', '', 'PA45', ''),
	('1PA4', 'small_airport', 'Wagner Airport', 40.55207, -77.61139, 520, 'US', 'US-PA', 'Lewistown', 'no', '1PA4', '', '1PA4', ''),
	('2NJ6', 'small_airport', 'Markle Airport', 40.77370071411133, -75.1593017578125, 320, 'US', 'US-NJ', 'Phillipsburg', 'no', '2NJ6', '', '2NJ6', ''),
	('2PA7', 'small_airport', 'Egolf Airport', 40.33340072631836, -77.29969787597656, 610, 'US', 'US-PA', 'Landisburg', 'no', '2PA7', '', '2PA7', ''),
	('9N3', 'small_airport', 'Seamans Field', 41.58940124511719, -75.756103515625, 1209, 'US', 'US-PA', 'Factoryville', 'no', '9N3', '', '9N3', ''),
	('N74', 'small_airport', 'Penns Cave Airport', 40.890301, -77.602501, 1260, 'US', 'US-PA', 'Centre Hall', 'no', 'N74', '', 'N74', ''),
	('47NY', 'small_airport', 'Elk Creek Airport', 42.04499816894531, -77.3499984741211, 1540, 'US', 'US-NY', 'Borden', 'no', '47NY', '', '47NY', ''),
	('45PN', 'small_airport', 'Chambers Airport', 41.554, -76.054583, 1021, 'US', 'US-PA', 'Tunkhannock', 'no', '45PN', '', '45PN', '5PA8, Mehoopany'),
	('MD20', 'small_airport', 'Greer Airport', 39.635919, -77.122886, 520, 'US', 'US-MD', 'Taneytown', 'no', 'MD20', '', 'MD20', ''),
	('43PA', 'small_airport', 'Kolb Airport', 40.160099029541016, -75.54630279541016, 290, 'US', 'US-PA', 'Spring City', 'no', '43PA', '', '43PA', ''),
	('40PN', 'small_airport', 'Eagles Mere Field Airport', 41.391438, -76.611179, 1900, 'US', 'US-PA', 'Muncy Valley', 'no', '40PN', '', '40PN', ''),
	('84PN', 'small_airport', 'Draco STOLport', 39.752601623535156, -76.5354995727539, 625, 'US', 'US-PA', 'Stewartstown', 'no', '84PN', '', '84PN', ''),
	('PS73', 'small_airport', 'Poverty Airport', 41.06174, -77.43318, 860, 'US', 'US-PA', 'Mackeyville', 'no', 'PS73', '', 'PS73', ''),
	('70N', 'small_airport', 'Spring Hill Airport', 41.3474006652832, -75.41590118408203, 1729, 'US', 'US-PA', 'Sterling', 'no', '70N', '', '70N', ''),
	('W05', 'small_airport', 'Gettysburg Regional Airport', 39.841222, -77.274699, 590, 'US', 'US-PA', 'Gettysburg', 'no', 'KW05', 'GTY', 'W05', ''),
	('PA86', 'closed', 'Krill Personal Use Airport', 40.447601, -76.341103, 520, 'US', 'US-PA', 'Myerstown', 'no', '', '', '', 'PA86');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KELX', 'N/A', 'N/A', 40.097382590174675, -75.81545323133469, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PA73', 'small_airport', 'D.Evans Farm Airport', 39.97949981689453, -76.53610229492188, 525, 'US', 'US-PA', 'East Prospect', 'no', 'PA73', '', 'PA73', ''),
	('7N7', 'small_airport', 'Spitfire Aerodrome', 39.7356, -75.397697, 40, 'US', 'US-NJ', 'Pedricktown', 'no', '7N7', '', '7N7', ''),
	('PA19', 'small_airport', 'Strizki Ultralightport', 41.69729995727539, -75.59490203857422, 1260, 'US', 'US-PA', 'Elkdale', 'no', 'PA19', '', 'PA19', ''),
	('KHUE', 'N/A', 'N/A', 41.2401270121336, -76.7620325088501, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('33MD', 'N/A', 'N/A', 39.678404442965984, -77.11378052830696, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('N10', 'small_airport', 'Perkiomen Valley Airport', 40.203999, -75.430298, 277, 'US', 'US-PA', 'Collegeville', 'no', '', '', '32PA', 'N10'),
	('19PA', 'small_airport', 'Lake Airport', 41.117000579833984, -76.52079772949219, 750, 'US', 'US-PA', 'Millville', 'no', '19PA', '', '19PA', ''),
	('9PA2', 'small_airport', 'Old Plains Airport', 40.388566, -75.441811, 660, 'US', 'US-PA', 'Pennsburg', 'no', '9PA2', '', '9PA2', ''),
	('1C4', 'seaplane_base', 'Raintree Seaplane Base', 39.56919860839844, -75.8478012084961, 0, 'US', 'US-MD', 'Elkton', 'no', '1C4', '', '1C4', ''),
	('N57', 'small_airport', 'New Garden Airport', 39.830501556396484, -75.76969909667969, 436, 'US', 'US-PA', 'Toughkenamon', 'no', 'KN57', '', 'N57', ''),
	('90PA', 'small_airport', 'Adams Airport', 41.8805, -78.114295, 1780, 'US', 'US-PA', 'Shinglehouse', 'no', '90PA', '', '90PA', ''),
	('MD42', 'small_airport', 'Keymar Airpark', 39.619392, -77.228544, 437, 'US', 'US-MD', 'Keymar', 'no', 'MD42', '', 'MD42', ''),
	('5PS9', 'closed', 'Tate Airport', 40.385365, -75.333016, 570, 'US', 'US-PA', 'West Rockhill', 'no', '', '', '', '5PS9'),
	('0P2', 'small_airport', 'Shoestring Aviation Airfield', 39.795243, -76.647678, 1000, 'US', 'US-PA', 'Stewartstown', 'no', 'K0P2', '', '0P2', ''),
	('KMQS', 'small_airport', 'Chester County G O Carlson Airport', 39.97900009, -75.8655014, 660, 'US', 'US-PA', 'Coatesville', 'no', 'KMQS', 'CTH', 'MQS', '40N'),
	('NJ02', 'closed', 'Alloway Airfield', 39.541803, -75.304397, 140, 'US', 'US-NJ', 'Alloway', 'no', '', '', '', 'NJ02'),
	('24NJ', 'heliport', 'Central Jersey Bank Heliport', 40.244598388672, -74.284301757812, 100, 'US', 'US-NJ', 'Freehold', 'no', '', '', '24NJ', '24NJ'),
	('3PN2', 'small_airport', 'Karlindo Airport', 39.75899887084961, -77.34750366210938, 530, 'US', 'US-PA', 'Fairfield', 'no', '3PN2', '', '3PN2', ''),
	('P34', 'small_airport', 'Mifflintown Airport', 40.598899841308594, -77.40570068359375, 545, 'US', 'US-PA', 'Mifflintown', 'no', 'P34', '', 'P34', ''),
	('50PA', 'small_airport', 'Pegasus Air Park', 40.93339920043945, -75.34960174560547, 620, 'US', 'US-PA', 'Stroudsburg', 'no', '50PA', '', '50PA', ''),
	('PS69', 'small_airport', 'Barnhart Airport', 40.72700119018555, -78.53949737548828, 1640, 'US', 'US-PA', 'Flinton', 'no', 'PS69', '', 'PS69', ''),
	('KBFD', 'medium_airport', 'Bradford Regional Airport', 41.8031005859375, -78.64009857177734, 2143, 'US', 'US-PA', 'Bradford', 'yes', 'KBFD', 'BFD', 'BFD', ''),
	('PN53', 'small_airport', 'Strohmier Airport', 40.551498, -78.623398, 1962, 'US', 'US-PA', 'Loretto', 'no', 'PN53', '', 'PN53', ''),
	('PS82', 'small_airport', 'Lazy J. Ranch Airport', 41.2958984375, -75.59770202636719, 1650, 'US', 'US-PA', 'Springbrook', 'no', 'PS82', '', 'PS82', ''),
	('WV17', 'small_airport', 'Michaels Farms Airport', 39.39339828491211, -78.15579986572266, 510, 'US', 'US-WV', 'Martinsburg', 'no', 'WV17', '', 'WV17', ''),
	('1PA9', 'small_airport', 'Schadels Airport', 40.66680145263672, -76.68299865722656, 700, 'US', 'US-PA', 'Klingerstown', 'no', '1PA9', '', '1PA9', ''),
	('2PA8', 'small_airport', 'Shulls Airport', 40.30009841918945, -77.29969787597656, 640, 'US', 'US-PA', 'Landisburg', 'no', '2PA8', '', '2PA8', ''),
	('5PN7', 'small_airport', 'Jarrett Airport', 40.233299255371094, -75.07499694824219, 210, 'US', 'US-PA', 'Ivyland', 'no', '5PN7', '', '5PN7', ''),
	('PA75', 'small_airport', 'Baker Airport', 41.9650993347168, -77.31580352783203, 1800, 'US', 'US-PA', 'Elkland', 'no', 'PA75', '', 'PA75', ''),
	('1PA0', 'small_airport', 'Hinaman Acres Airport', 41.133399963378906, -77.19969940185547, 800, 'US', 'US-PA', 'Jersey Shore', 'no', '1PA0', '', '1PA0', ''),
	('MD48', 'small_airport', 'Albrecht Airstrip', 39.4734001159668, -76.50019836425781, 325, 'US', 'US-MD', 'Long Green', 'no', 'MD48', '', 'MD48', ''),
	('55PA', 'small_airport', 'Sency Airport', 40.895599365234375, -75.94409942626953, 1350, 'US', 'US-PA', 'Treskow', 'no', '55PA', '', '55PA', ''),
	('PN90', 'small_airport', 'Ranch-Aero Airport', 41.74869918823242, -78.09970092773438, 1575, 'US', 'US-PA', 'Roulette', 'no', 'PN90', '', 'PN90', ''),
	('NK47', 'closed', 'Dalrymples Airport', 42.041698, -76.833, 900, 'US', 'US-NY', 'Elmira', 'no', '', '', '', 'NK47'),
	('P91', 'small_airport', 'Flying M Aerodrome', 40.737603, -75.705178, 735, 'US', 'US-PA', 'Germansville', 'no', '', '', 'P91', ''),
	('KHAT', 'N/A', 'N/A', 40.59288550168276, -78.71463105082512, 640, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1PS9', 'small_airport', 'Wicker & Wings Aerodrome', 40.4034, -75.370499, 590, 'US', 'US-PA', 'Quakertown', 'no', '1PS9', '', '1PS9', ''),
	('0PS4', 'small_airport', 'Old Orchard Airport', 41.009746, -78.561838, 1980, 'US', 'US-PA', 'Curwensville', 'no', '0PS4', '', '0PS4', ''),
	('8MD5', 'small_airport', 'Harrison Farm Airport', 39.49829864501953, -77.2217025756836, 610, 'US', 'US-MD', 'Libertytown', 'no', '8MD5', '', '8MD5', ''),
	('KHMZ', 'small_airport', 'Bedford County Airport', 40.085952, -78.513359, 1162, 'US', 'US-PA', 'Bedford', 'no', 'KHMZ', '', 'HMZ', ''),
	('18PN', 'small_airport', 'Spud View Airport', 40.065399169921875, -77.69280242919922, 733, 'US', 'US-PA', 'Upper Strasburg', 'no', '18PN', '', '18PN', ''),
	('1MD8', 'small_airport', 'Mayberry Run Airport', 39.682899475097656, -77.09719848632813, 580, 'US', 'US-MD', 'Westminster/Silver Run', 'no', '1MD8', '', '1MD8', ''),
	('4PA6', 'small_airport', 'Hiawatha Airport', 41.91510009765625, -75.3644027709961, 1670, 'US', 'US-PA', 'Starlight', 'no', '4PA6', '', '4PA6', ''),
	('NK68', 'small_airport', 'White Birch Airport', 42.051627, -75.316823, 1860, 'US', 'US-NY', 'Hancock', 'no', 'NK68', '', 'NK68', 'White Birch Field'),
	('71N', 'small_airport', 'Sunbury Airport', 40.89179992675781, -76.77890014648438, 450, 'US', 'US-PA', 'Sunbury', 'no', 'K71N', '', '71N', ''),
	('W73', 'small_airport', 'Mid Atlantic Soaring Center Airport', 39.75699996948242, -77.35140228271484, 573, 'US', 'US-PA', 'Fairfield', 'no', 'W73', '', 'W73', ''),
	('PA23', 'closed', 'Kingsdale Air Park', 39.727001, -77.112342, 595, 'US', 'US-PA', 'Littlestown', 'no', '', '', '', 'PA23'),
	('56PA', 'small_airport', 'Hoge Farm Airport', 40.46950149536133, -75.08209991455078, 430, 'US', 'US-PA', 'Tinicum', 'no', '56PA', '', '56PA', ''),
	('KSUQ', 'N/A', 'N/A', 39.723911471664906, -76.3463643193245, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('41PA', 'small_airport', 'Deitch Airport', 40.25790023803711, -77.0813980102539, 420, 'US', 'US-PA', 'New Kingstown', 'no', '41PA', '', '41PA', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('N53', 'N/A', 'N/A', 41.03587210178375, -75.16067773103714, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('N43', 'small_airport', 'Braden Airpark', 40.742199, -75.242897, 399, 'US', 'US-PA', 'Easton', 'no', 'N43', '', 'N43', ''),
	('5PA2', 'small_airport', 'Double D Skyranch Airport', 41.034883, -76.02185, 1140, 'US', 'US-PA', 'Drums', 'no', '5PA2', '', '5PA2', 'Hazleton, Reifenberg'),
	('PS25', 'closed', 'Captain''s Folly Airport', 39.843399, -77.164703, 641, 'US', 'US-PA', 'Gettysburg', 'no', '', '', '', 'PS25'),
	('01PN', 'small_airport', 'Bierly(Personal Use) Airport', 40.930599212646484, -77.73889923095703, 960, 'US', 'US-PA', 'Bellefonte', 'no', '01PN', '', '01PN', ''),
	('KAVP', 'medium_airport', 'Wilkes Barre Scranton International Airport', 41.338500976599995, -75.72339630130001, 962, 'US', 'US-PA', 'Wilkes-Barre/Scranton', 'yes', 'KAVP', 'AVP', 'AVP', ''),
	('9PS8', 'small_airport', 'Manor Landing Airport', 39.81268, -77.30273, 560, 'US', 'US-PA', 'Gettysburg', 'no', '9PS8', '', '9PS8', ''),
	('KFDK', 'small_airport', 'Frederick Municipal Airport', 39.417598724399994, -77.3742980957, 303, 'US', 'US-MD', 'Frederick', 'no', 'KFDK', 'FDK', 'FDK', ''),
	('N16', 'small_airport', 'Centre Airpark', 40.810951, -77.658019, 1307, 'US', 'US-PA', 'Centre Hall', 'no', 'N16', '', 'N16', ''),
	('61PA', 'small_airport', 'Hi Line Lodge Airport', 41.69449996948242, -77.16500091552734, 2202, 'US', 'US-PA', 'Wellsboro', 'no', '61PA', '', '61PA', ''),
	('PA51', 'small_airport', 'Bowtie Airport', 39.90850067138672, -77.2052001953125, 560, 'US', 'US-PA', 'Biglerville', 'no', 'PA51', '', 'PA51', ''),
	('7N8', 'small_airport', 'Butter Valley Golf Port Airport', 40.398201, -75.564301, 500, 'US', 'US-PA', 'Bally', 'no', '7N8', '', '7N8', ''),
	('1N3', 'small_airport', 'Albert Airport', 40.9715, -78.242897, 1784, 'US', 'US-PA', 'Philipsburg', 'no', 'K1N3', '', '1N3', ''),
	('P17', 'small_airport', 'Greater Breezewood Regional Airport', 39.874077, -78.297736, 1200, 'US', 'US-PA', 'Breezewood', 'no', '', '', 'P17', ''),
	('5PA4', 'closed', 'Black Swan Farm Heliport', 39.966801, -75.649695, 273, 'US', 'US-PA', 'West Chester', 'no', '', '', '', '5PA4'),
	('14N', 'small_airport', 'Beltzville Airport', 40.844755, -75.634217, 899, 'US', 'US-PA', 'Lehighton', 'no', '', '', '14N', ''),
	('00N', 'small_airport', 'Bucks Airport', 39.472998, -75.184346, 105, 'US', 'US-NJ', 'Bridgeton', 'no', 'K00N', '', '00N', ''),
	('22MD', 'small_airport', 'Laura''s Landing Airport', 39.58689880371094, -77.6449966430664, 550, 'US', 'US-MD', 'Hagerstown', 'no', '22MD', '', '22MD', ''),
	('69PA', 'small_airport', 'Hurst Airport', 40.343404, -76.208382, 540, 'US', 'US-PA', 'Newmanstown', 'no', '69PA', '', '69PA', '65N, Hurst STOLport'),
	('KLNS', 'medium_airport', 'Lancaster Airport', 40.121700286865234, -76.29609680175781, 403, 'US', 'US-PA', 'Lancaster', 'yes', 'KLNS', 'LNS', 'LNS', ''),
	('NJ63', 'small_airport', 'Eagles Lair Airport', 40.467899322509766, -75.05039978027344, 460, 'US', 'US-NJ', 'Frenchtown', 'no', 'NJ63', '', 'NJ63', ''),
	('8PA0', 'small_airport', 'Numidia Airport', 40.866199, -76.3974, 1070, 'US', 'US-PA', 'Catawissa', 'no', '8PA0', '', '8PA0', ''),
	('KHZL', 'small_airport', 'Hazleton Municipal Airport', 40.986801147499996, -75.9949035645, 1603, 'US', 'US-PA', 'Hazleton', 'no', 'KHZL', 'HZL', 'HZL', ''),
	('44PA', 'small_airport', 'Pennfield Farm Airport', 40.850101470947266, -77.61640167236328, 1200, 'US', 'US-PA', 'Spring Mills', 'no', '44PA', '', '44PA', ''),
	('N13', 'small_airport', 'Bloomsburg Municipal Airport', 40.997676, -76.435256, 481, 'US', 'US-PA', 'Bloomsburg', 'no', 'KN13', '', 'N13', ''),
	('02PS', 'closed', 'Hughes Ultralightport', 41.90063, -77.230025, 1700, 'US', 'US-PA', 'Tioga', 'no', '', '', '', '02PS'),
	('8PA4', 'small_airport', 'J F T Airport', 40.94449996948242, -77.0457992553711, 660, 'US', 'US-PA', 'Mifflinburg', 'no', '8PA4', '', '8PA4', ''),
	('N42', 'small_airport', 'Shippensburg Airport', 40.053747, -77.461739, 760, 'US', 'US-PA', 'Shippensburg', 'no', 'N42', '', 'N42', ''),
	('5N5', 'small_airport', 'Kirkwood Airpark', 42.00040054321289, -75.76020050048828, 870, 'US', 'US-NY', 'Kirkwood', 'no', '5N5', '', '5N5', ''),
	('4PA8', 'small_airport', 'Russo Airstrip', 40.432899475097656, -75.14959716796875, 400, 'US', 'US-PA', 'Pipersville', 'no', '4PA8', '', '4PA8', ''),
	('93MD', 'small_airport', 'Knollwood Farm Airport', 39.561833, -75.834833, 100, 'US', 'US-MD', 'Elkton', 'no', '93MD', '', '93MD', ''),
	('6PA5', 'small_airport', 'Botsford Aerodrome', 40.113399505615234, -77.4542007446289, 615, 'US', 'US-PA', 'Shippensburg', 'no', '6PA5', '', '6PA5', ''),
	('92NJ', 'small_airport', 'Flying B Farm Landing Strip', 40.468399, -75.002403, 530, 'US', 'US-NJ', 'Kingwood Township', 'no', '92NJ', '', '92NJ', 'Fly-N-D'),
	('6MD3', 'small_airport', 'Harp Airport', 39.596900939941406, -77.54669952392578, 1360, 'US', 'US-MD', 'Wolfsville', 'no', '6MD3', '', '6MD3', ''),
	('3PA0', 'small_airport', 'Horst Airport', 40.383399963378906, -76.46640014648438, 450, 'US', 'US-PA', 'Lebanon', 'no', '3PA0', '', '3PA0', ''),
	('37PA', 'small_airport', 'Roadcap Airport', 40.78839874267578, -77.1061019897461, 731, 'US', 'US-PA', 'Middleburg', 'no', '37PA', '', '37PA', ''),
	('MD31', 'small_airport', 'Forest Hill Airport', 39.580101013183594, -76.37470245361328, 476, 'US', 'US-MD', 'Forest Hill', 'no', 'MD31', '', 'MD31', ''),
	('3PN0', 'small_airport', 'Schulteis Airport', 39.96039962768555, -77.25910186767578, 680, 'US', 'US-PA', 'Biglerville', 'no', '3PN0', '', '3PN0', ''),
	('0PS7', 'small_airport', 'Harman Airport', 40.522396, -76.846297, 720, 'US', 'US-PA', 'Elizabethville', 'no', '0PS7', '', '0PS7', ''),
	('23NJ', 'small_airport', 'Alliance Airport', 39.50469970703125, -75.09310150146484, 110, 'US', 'US-NJ', 'Pittsgrove', 'no', '23NJ', '', '23NJ', ''),
	('NJ25', 'small_airport', 'Peaslees Airstrip', 39.789299, -75.229103, 99, 'US', 'US-NJ', 'Clarksboro', 'no', 'NJ25', '', 'NJ25', ''),
	('KMRB', 'medium_airport', 'Eastern WV Regional Airport/Shepherd Field', 39.40190125, -77.98459625, 565, 'US', 'US-WV', 'Martinsburg', 'no', 'KMRB', 'MRB', 'MRB', ''),
	('PS99', 'small_airport', 'West Penn Township Airport', 40.74625, -75.932608, 1200, 'US', 'US-PA', 'Tamaqua', 'no', 'PS99', '', 'PS99', ''),
	('4MD7', 'small_airport', 'Catoctin Crosswind Airport', 39.645255, -77.367826, 451, 'US', 'US-MD', 'Thurmont', 'no', '4MD7', '', '4MD7', ''),
	('74N', 'small_airport', 'Bendigo Airport', 40.55849838256836, -76.55960083007813, 791, 'US', 'US-PA', 'Tower City', 'no', '74N', '', '74N', ''),
	('2PA1', 'small_airport', 'Boehm''s Field', 41.4431, -75.007896, 1330, 'US', 'US-PA', 'Greeley', 'no', '2PA1', '', '2PA1', ''),
	('KCXY', 'small_airport', 'Capital City Airport', 40.2170982361, -76.85150146480001, 347, 'US', 'US-PA', 'Harrisburg', 'no', 'KCXY', 'HAR', 'CXY', 'Harrisburg Skyport, Harrisburg-Capital Landing Field, Harrisburg-York State Airport'),
	('9PA5', 'small_airport', 'Solt Field', 40.78010177612305, -75.71630096435547, 520, 'US', 'US-PA', 'Leighton', 'no', '9PA5', '', '9PA5', ''),
	('PS54', 'small_airport', 'Gunden Airport', 40.3293, -75.281601, 530, 'US', 'US-PA', 'Perkasie', 'no', 'PS54', '', 'PS54', ''),
	('KFAJ', 'N/A', 'N/A', 40.20091149955988, -77.26633340120316, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KABE', 'medium_airport', 'Lehigh Valley International Airport', 40.651773, -75.442797, 393, 'US', 'US-PA', 'Allentown', 'yes', 'KABE', 'ABE', 'ABE', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('3PN7', 'small_airport', 'Stahl''s Mountain Airport', 41.74789810180664, -75.49739837646484, 1950, 'US', 'US-PA', 'Union Dale', 'no', '3PN7', '', '3PN7', ''),
	('NJ06', 'small_airport', 'B J Farms Airport', 39.45759963989258, -75.27320098876953, 100, 'US', 'US-NJ', 'Shiloh', 'no', 'NJ06', '', 'NJ06', ''),
	('KRVL', 'small_airport', 'Mifflin County Airport', 40.6773986816, -77.6268005371, 819, 'US', 'US-PA', 'Reedsville', 'no', 'KRVL', 'RED', 'RVL', ''),
	('2N5', 'small_airport', 'Kampel Airport', 40.04840087890625, -76.97799682617188, 610, 'US', 'US-PA', 'Wellsville', 'no', '2N5', '', '2N5', ''),
	('2PA0', 'closed', 'Zettlemoyer Airport', 40.557336, -75.693785, 550, 'US', 'US-PA', 'Breinigsville', 'no', '', '', '', '2PA0'),
	('1PS0', 'small_airport', 'Ickes Airport', 40.191898345947266, -78.564697265625, 1320, 'US', 'US-PA', 'Osterburg', 'no', '1PS0', '', '1PS0', ''),
	('KDYL', 'small_airport', 'Doylestown Airport', 40.3330001831, -75.1222991943, 394, 'US', 'US-PA', 'Doylestown', 'no', 'KDYL', 'DYL', 'DYL', 'N88'),
	('47PA', 'small_airport', 'Homan Airport', 40.71670150756836, -77.98310089111328, 1200, 'US', 'US-PA', 'State College', 'no', '47PA', '', '47PA', ''),
	('KLOF', 'N/A', 'N/A', 40.46758409589529, -78.62877085804939, 622, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KMEK', 'N/A', 'N/A', 40.59961952269077, -77.6159955561161, 247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2PA5', 'small_airport', 'Johnson Airport', 41.780601501464844, -78.26920318603516, 1506, 'US', 'US-PA', 'Port Allegany', 'no', '2PA5', '', '2PA5', ''),
	('KLHV', 'small_airport', 'William T. Piper Memorial Airport', 41.13560104, -77.42230225, 556, 'US', 'US-PA', 'Lock Haven', 'no', 'KLHV', 'LHV', 'LHV', ''),
	('5PS4', 'closed', 'Hansen Airport', 40.342602, -75.578201, 320, 'US', 'US-PA', 'Sassamansville', 'no', '', '', '', '5PS4'),
	('61PN', 'small_airport', 'A G A Farms Airport', 40.42570114135742, -75.2323989868164, 450, 'US', 'US-PA', 'Perkasie', 'no', '61PN', '', '61PN', ''),
	('73PA', 'small_airport', 'Gilbert Airport', 39.929500579833984, -76.77079772949219, 530, 'US', 'US-PA', 'York', 'no', '73PA', '', '73PA', ''),
	('58N', 'small_airport', 'Reigle Field', 40.287601, -76.577499, 489, 'US', 'US-PA', 'Palmyra', 'no', '58N', '', '58N', ''),
	('PA25', 'small_airport', 'Cuatros Vientos Airport', 40.6593017578125, -75.8738021850586, 500, 'US', 'US-PA', 'Quaker City', 'no', 'PA25', '', 'PA25', ''),
	('0P8', 'N/A', 'N/A', 40.02442516386509, -76.81529983878136, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PN73', 'small_airport', 'Beers Farm Airport', 40.230098724365234, -77.92060089111328, 630, 'US', 'US-PA', 'Orbisona/Rockhill', 'no', 'PN73', '', 'PN73', ''),
	('WV61', 'small_airport', 'Buzzards Gap Ultralightport', 39.46950149536133, -78.23560333251953, 960, 'US', 'US-WV', 'Berkeley Springs', 'no', 'WV61', '', 'WV61', ''),
	('KSUF', 'N/A', 'N/A', 41.95426482707262, -75.64971193671227, 270, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PA76', 'closed', 'Rosenzweig Airport', 41.136585, -75.860789, 1930, 'US', 'US-PA', 'Wilkes Barre', 'no', '', '', '', 'PA76, Ballywick'),
	('KUKT', 'small_airport', 'Quakertown Airport', 40.4352, -75.381897, 526, 'US', 'US-PA', 'Quakertown', 'no', 'KUKT', 'UKT', 'UKT', ''),
	('NJ61', 'small_airport', 'Malone Airport', 40.541116, -75.024292, 480, 'US', 'US-NJ', 'Frenchtown', 'no', 'NJ61', '', 'NJ61', ''),
	('4PS6', 'closed', 'Krout Airport', 40.63691, -77.483661, 600, 'US', 'US-PA', 'Lewistown', 'no', '', '', '', '4PS6'),
	('KFAK', 'N/A', 'N/A', 40.218032374978065, -77.23591759800911, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KQUA', 'N/A', 'N/A', 39.85008493065834, -76.21527761220932, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('86PN', 'small_airport', 'Seesholtz Airport', 41.044498443603516, -76.3552017211914, 730, 'US', 'US-PA', 'Bloomsburg', 'no', '86PN', '', '86PN', ''),
	('KNEV', 'N/A', 'N/A', 40.194454081356525, -77.51855492591858, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2W2', 'small_airport', 'Clearview Airpark', 39.466999, -77.017403, 799, 'US', 'US-MD', 'Westminster', 'no', '2W2', '', '2W2', ''),
	('8N4', 'small_airport', 'Flying Dollar Airport', 41.214536, -75.247162, 1400, 'US', 'US-PA', 'Canadensis', 'no', 'K8N4', '', '8N4', ''),
	('7PN4', 'closed', 'Knorr Farm Heliport', 40.396, -75.834503, 825, 'US', 'US-PA', 'Reading', 'no', '', '', '', '7PN4'),
	('22N', 'small_airport', 'Jake Arner Memorial Airport', 40.809502, -75.761497, 534, 'US', 'US-PA', 'Lehighton', 'no', 'K22N', '', '22N', ''),
	('2MD5', 'small_airport', 'Hoby Wolf Airport', 39.4079444, -76.9275556, 600, 'US', 'US-MD', 'Eldersburg', 'no', '2MD5', '', '2MD5', '1W5'),
	('PA05', 'small_airport', 'Monesmith Airport', 40.441200256347656, -75.07489776611328, 390, 'US', 'US-PA', 'Point Pleasant', 'no', 'PA05', '', 'PA05', ''),
	('28NJ', 'heliport', 'Steel Pier Taj Mahal Heliport', 39.356426, -74.418232, 29, 'US', 'US-NJ', 'Atlantic City', 'no', '28NJ', '', '28NJ', 'Formerly 92N'),
	('1PS4', 'closed', 'Sankey Airport', 40.860901, -78.258102, 1620, 'US', 'US-PA', 'Osceola Mills', 'no', '', '', '', '1PS4'),
	('65PA', 'small_airport', 'Cherry Valley Airport', 40.89590072631836, -75.29630279541016, 670, 'US', 'US-PA', 'Saylorsburg', 'no', '65PA', '', '65PA', ''),
	('4PN7', 'small_airport', 'Merritt Field', 41.418098, -76.534401, 2000, 'US', 'US-PA', 'Sonestown', 'no', '4PN7', '', '4PN7', ''),
	('KGAJ', 'N/A', 'N/A', 41.87808305025101, -77.7105724811554, 779, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PN33', 'closed', 'Branning Field', 41.548179, -75.281164, 1420, 'US', 'US-PA', 'Honesdale', 'no', '', '', '', 'PN33'),
	('34PN', 'small_airport', 'Fox Field', 40.485556, -77.220556, 730, 'US', 'US-PA', 'Newport', 'no', '34PN', '', '34PN', ''),
	('8PN0', 'closed', 'Lost Acres Airport', 39.938641, -77.615921, 730, 'US', 'US-PA', 'Chambersburg', 'no', '', '', '', '8PN0'),
	('52PA', 'small_airport', 'Wildcat Airport', 40.76253, -76.00487, 980, 'US', 'US-PA', 'Tamaqua', 'no', '52PA', '', '52PA', ''),
	('PA30', 'small_airport', 'East Penn Airport', 40.76679992675781, -75.77459716796875, 885, 'US', 'US-PA', 'Andreas', 'no', 'PA30', '', 'PA30', ''),
	('KCLJ', 'N/A', 'N/A', 39.613575115799904, -75.10438218712807, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6G6', 'small_airport', 'Cove Valley Airport', 40.454498291015625, -78.23809814453125, 1156, 'US', 'US-PA', 'Williamsburg', 'no', '6G6', '', '6G6', ''),
	('PN64', 'small_airport', 'Hilling International Airport', 40.50239944458008, -77.93939971923828, 1400, 'US', 'US-PA', 'Huntingdon', 'no', 'PN64', '', 'PN64', ''),
	('PA58', 'small_airport', 'Rocktop Airport', 39.974998474121094, -77.55780029296875, 770, 'US', 'US-PA', 'Chambersburg', 'no', 'PA58', '', 'PA58', ''),
	('04NJ', 'small_airport', 'Emmanuel Airport', 39.596801757799994, -75.2334976196, 155, 'US', 'US-NJ', 'Elmer', 'no', '04NJ', '', '04NJ', ''),
	('9NJ5', 'closed', 'Stallone Airport', 39.680099, -75.252403, 80, 'US', 'US-NJ', 'Harrisonville', 'no', '', '', '', '9NJ5, 9NJ5, 9NJ5');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KJEY', 'N/A', 'N/A', 41.403958685696125, -77.33253434300423, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3NY5', 'small_airport', 'Luke Airport', 42.02370071411133, -75.95709991455078, 1558, 'US', 'US-NY', 'Binghamton', 'no', '3NY5', '', '3NY5', ''),
	('34NJ', 'closed', 'Chilton Memorial Hospital Heliport', 40.957901, -74.309601, 186, 'US', 'US-NJ', 'Pequannock', 'no', '', '', '', '34NJ'),
	('0PA2', 'small_airport', 'Haunstein Ultralightport', 40.31679916379999, -77.1247024536, 600, 'US', 'US-PA', 'Shermans Dale', 'no', '0PA2', '', '0PA2', ''),
	('68PA', 'small_airport', 'Don''s Place Airpark', 40.5181999206543, -75.91629791259766, 510, 'US', 'US-PA', 'Hamburg', 'no', '68PA', '', '68PA', ''),
	('KPHL', 'large_airport', 'Philadelphia International Airport', 39.871899, -75.241096, 36, 'US', 'US-PA', 'Philadelphia', 'yes', 'KPHL', 'PHL', 'PHL', ''),
	('7NJ2', 'small_airport', 'Stoe Creek Farm Airport', 39.481300354003906, -75.4052963256836, 15, 'US', 'US-NJ', 'Canton', 'no', '7NJ2', '', '7NJ2', ''),
	('JY17', 'small_airport', 'Woodcrest Farms Airstrip', 39.469695, -75.276303, 90, 'US', 'US-NJ', 'Bridgeton', 'no', 'JY17', '', 'JY17', ''),
	('3PA4', 'small_airport', 'Giffin Airport', 41.77790069580078, -76.13719940185547, 840, 'US', 'US-PA', 'Leraysville', 'no', '3PA4', '', '3PA4', ''),
	('2PA3', 'small_airport', 'Reed Airport', 41.497394, -75.40947, 1400, 'US', 'US-PA', 'Lake Ariel', 'no', '2PA3', '', '2PA3', ''),
	('PA82', 'small_airport', 'Grayce Farms Airport', 41.600101470947266, -75.68299865722656, 1300, 'US', 'US-PA', 'Fleetville', 'no', 'PA82', '', 'PA82', ''),
	('N47', 'small_airport', 'Pottstown Municipal Airport', 40.26029968261719, -75.6707992553711, 256, 'US', 'US-PA', 'Pottstown', 'no', 'KN47', '', 'N47', ''),
	('W42', 'small_airport', 'Fallston Airport', 39.501499, -76.411102, 460, 'US', 'US-MD', 'Fallston', 'no', 'W42', '', 'W42', ''),
	('PA84', 'small_airport', 'Level Acres Farm Airport', 39.953819, -76.909261, 523, 'US', 'US-PA', 'Thomasville', 'no', 'PA84', '', 'PA84', 'Fordville'),
	('PA35', 'small_airport', 'Bally Spring Farm Airport', 40.43199920654297, -75.6259994506836, 660, 'US', 'US-PA', 'Bally', 'no', 'PA35', '', 'PA35', ''),
	('4NY8', 'small_airport', 'Harris Hill Gliderport', 42.12089920043945, -76.9011001586914, 1709, 'US', 'US-NY', 'Elmira', 'no', '4NY8', '', '4NY8', ''),
	('2PN5', 'small_airport', 'Baker-Sell Airport', 40.2484016418457, -78.36080169677734, 1371, 'US', 'US-PA', 'Woodbury', 'no', '2PN5', '', '2PN5', ''),
	('PS47', 'closed', 'Hamilton Hill Airport', 40.426892, -78.730688, 2245, 'US', 'US-PA', 'Summerhill', 'no', '', '', '', 'PS47, PS47, PS47'),
	('9PA3', 'closed', 'Meadow Strip Ultralightport', 40.475142, -75.309981, 499, 'US', 'US-PA', 'Richlandtown', 'no', '', '', '', '9PA3'),
	('KIPT', 'medium_airport', 'Williamsport Regional Airport', 41.242126, -76.92245, 529, 'US', 'US-PA', 'Williamsport', 'yes', 'KIPT', 'IPT', 'IPT', ''),
	('PN21', 'closed', 'McClure Airport', 41.8279, -76.856598, 1470, 'US', 'US-PA', 'Troy', 'no', '', '', '', 'PN21'),
	('KTOT', 'N/A', 'N/A', 40.591926611959934, -76.51393175125122, 255, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1PA6', 'small_airport', 'Auer Field', 40.360983, -76.74389, 536, 'US', 'US-PA', 'Linglestown', 'no', '1PA6', '', '1PA6', ''),
	('WV67', 'small_airport', 'Eastview Airport', 39.39469909667969, -78.67939758300781, 1590, 'US', 'US-WV', 'Romney', 'no', 'WV67', '', 'WV67', ''),
	('3PA9', 'small_airport', 'Moyer Airport', 40.29679870605469, -75.24800109863281, 330, 'US', 'US-PA', 'Line Lexington', 'no', '3PA9', '', '3PA9', ''),
	('NJ64', 'closed', 'Reeder Airport', 39.7057, -75.0802, 145, 'US', 'US-NJ', 'Glassboro', 'no', '', '', '', 'NJ64'),
	('P32', 'closed', 'Husky Haven Airport', 41.788273, -75.889817, 1670, 'US', 'US-PA', 'Montrose', 'no', '', '', '', 'PA52, P32, Zaverton'),
	('N79', 'small_airport', 'Northumberland County Airport', 40.836899, -76.552498, 881, 'US', 'US-PA', 'Shamokin', 'no', 'KN79', '', 'N79', ''),
	('8PA3', 'small_airport', 'Deer Meadows Airstrip', 40.99589920043945, -75.7405014038086, 1210, 'US', 'US-PA', 'Weatherly', 'no', '8PA3', '', '8PA3', ''),
	('2PN1', 'small_airport', 'Malco Airport', 41.9833984375, -77.52469635009766, 1990, 'US', 'US-PA', 'Westfield', 'no', '2PN1', '', '2PN1', ''),
	('PA18', 'closed', 'Buzzards Field', 41.0942, -77.414398, 760, 'US', 'US-PA', 'Mill Hall', 'no', '', '', '', 'PA18'),
	('2PS3', 'small_airport', 'Mathna Airport', 40.015751, -77.042398, 490, 'US', 'US-PA', 'Dillsburg', 'no', '2PS3', '', '2PS3', ''),
	('KMUI', 'medium_airport', 'Muir Army Air Field (Fort Indiantown Gap) Airport', 40.435214, -76.568661, 488, 'US', 'US-PA', 'Fort Indiantown Gap(Annville)', 'no', 'KMUI', 'MUI', 'MUI', ''),
	('PS15', 'small_airport', 'Vicars Private Airport', 40.54759979248047, -78.3917007446289, 1370, 'US', 'US-PA', 'Altoona', 'no', 'PS15', '', 'PS15', ''),
	('48P', 'small_airport', 'Rocky Hill Ultralightport', 41.148575, -75.27518, 1240, 'US', 'US-PA', 'Cresco', 'no', 'K48P', '', '48P', ''),
	('29PA', 'closed', 'Gardner Airport', 40.555847, -75.645283, 500, 'US', 'US-PA', 'Breinigsville', 'no', '', '', '', '29PA'),
	('NJ09', 'small_airport', 'Matthews Airport', 40.79180145263672, -75.07039642333984, 750, 'US', 'US-NJ', 'Belvidere', 'no', 'NJ09', '', 'NJ09', ''),
	('75NY', 'small_airport', 'Reiss Game Farm Airport', 42.11669921875, -78.31559753417969, 1698, 'US', 'US-NY', 'Olean', 'no', '75NY', '', '75NY', ''),
	('KMIH', 'N/A', 'N/A', 40.94991333782673, -77.41646647453308, 388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('19PN', 'closed', 'Spooky Nook Heliport', 40.106389, -76.423333, 370, 'US', 'US-PA', 'Landisville', 'no', '', '', '', '19PN'),
	('7PA4', 'closed', 'Orson Field', 41.8423, -75.436302, 2100, 'US', 'US-PA', 'Orson', 'no', '', '', '', '7PA4'),
	('9N7', 'small_airport', 'Farmers Pride Airport', 40.442902, -76.441597, 495, 'US', 'US-PA', 'Fredericksburg', 'no', '9N7', '', '9N7', ''),
	('JY08', 'small_airport', 'Var-Sky Airport', 39.650541, -75.285594, 135, 'US', 'US-NJ', 'Pilesgrove', 'no', 'JY08', '', 'JY08', ''),
	('6PN5', 'small_airport', 'Sam''s Field', 41.907501220703125, -78.62889862060547, 1540, 'US', 'US-PA', 'Bradford', 'no', '6PN5', '', '6PN5', ''),
	('5PA1', 'small_airport', 'Broadt Personal Use Airport', 40.997877, -76.384184, 920, 'US', 'US-PA', 'Bloomsburg', 'no', '5PA1', '', '5PA1', ''),
	('13PN', 'small_airport', 'Richland Acres Ultralightport', 40.45429992675781, -75.30460357666016, 550, 'US', 'US-PA', 'Quakertown', 'no', '13PN', '', '13PN', ''),
	('KSEI', 'N/A', 'N/A', 40.694681368768215, -76.93166121840477, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSEG', 'small_airport', 'Penn Valley Airport', 40.820598602295, -76.863899230957, 450, 'US', 'US-PA', 'Selinsgrove', 'no', 'KSEG', 'SEG', 'SEG', ''),
	('PS12', 'small_airport', 'Grover Airport', 40.91680145263672, -75.86630249023438, 1223, 'US', 'US-PA', 'Weatherly', 'no', 'PS12', '', 'PS12', ''),
	('2NY7', 'small_airport', 'Towner Farm Airport', 42.121498107910156, -77.2114028930664, 1248, 'US', 'US-NY', 'Addison', 'no', '2NY7', '', '2NY7', ''),
	('KPSB', 'small_airport', 'Mid-State Regional Airport', 40.884399, -78.087303, 1948, 'US', 'US-PA', 'Philipsburg', 'no', 'KPSB', 'PSB', 'PSB', 'Black Moshannon Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('0PA3', 'small_airport', 'Robbins Farm Airport', 41.747319, -76.760624, 1207, 'US', 'US-PA', 'Troy', 'no', '0PA3', '', '0PA3', ''),
	('KSUC', 'N/A', 'N/A', 41.852935664355755, -75.59854701161385, 508, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KKUU', 'N/A', 'N/A', 40.179522559046745, -75.35716652870178, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WV22', 'small_airport', 'Green Landings Airport', 39.57469940185547, -77.97149658203125, 510, 'US', 'US-WV', 'Hedgesville', 'no', 'WV22', '', 'WV22', ''),
	('9W8', 'small_airport', 'Baublitz Commercial Airport', 39.85272, -76.485114, 750, 'US', 'US-PA', 'Brogue', 'no', 'K9W8', '', '9W8', ''),
	('1PA8', 'closed', 'Motola''s Helicopter Service Inc. Heliport', 40.814201, -75.765503, 534, 'US', 'US-PA', 'Lehighton', 'no', '', '', '', '1PA8'),
	('23PA', 'small_airport', 'Cedar Acres Private Group Airport', 40.500099182128906, -75.14679718017578, 500, 'US', 'US-PA', 'Revere', 'no', '23PA', '', '23PA', ''),
	('7NJ7', 'small_airport', 'Coombs Airport', 39.571458, -75.214891, 120, 'US', 'US-NJ', 'Elmer', 'no', '7NJ7', '', '7NJ7', ''),
	('4PN8', 'closed', 'C.J.K. Airport', 41.531235, -75.879028, 1100, 'US', 'US-PA', 'Tunkhannock', 'no', '', '', '', '4PN8'),
	('0PN6', 'small_airport', 'Memmi Airport', 40.16899871826172, -77.99250030517578, 1138, 'US', 'US-PA', 'Three Springs', 'no', '0PN6', '', '0PN6', ''),
	('MD74', 'small_airport', 'Good Neighbor Farm Airport', 39.4743, -77.195297, 580, 'US', 'US-MD', 'Mount Airy', 'no', 'MD74', '', 'MD74', 'Unionville'),
	('PA68', 'small_airport', 'Bugs Airport', 40.712943, -75.308055, 430, 'US', 'US-PA', 'Nazareth', 'no', 'PA68', '', 'PA68', ''),
	('N68', 'small_airport', 'Franklin County Regional Airport', 39.973099, -77.643303, 697, 'US', 'US-PA', 'Chambersburg', 'no', 'KN68', '', 'N68', ''),
	('KXLL', 'small_airport', 'Allentown Queen City Municipal Airport', 40.570105, -75.486763, 399, 'US', 'US-PA', 'Allentown', 'no', 'KXLL', '', 'XLL', 'Formerly 1N9, JVU, KJVU, Convair Field'),
	('4PA3', 'closed', 'Frymoyer Airport', 40.6306, -77.0103, 520, 'US', 'US-PA', 'Liverpool', 'no', '', '', '', '4PA3'),
	('0MD6', 'small_airport', 'Walters Airport', 39.38119888305664, -77.10579681396484, 750, 'US', 'US-MD', 'Mount Airy', 'no', '0MD6', '', '0MD6', ''),
	('PS00', 'closed', 'Tallman West Airport', 40.4056, -76.94, 480, 'US', 'US-PA', 'Dauphin', 'no', '', '', '', 'PS00'),
	('4PA7', 'closed', 'Sheepshead Airport', 40.564804, -76.746597, 610, 'US', 'US-PA', 'Lykens', 'no', '', '', '', '4PA7'),
	('JY39', 'small_airport', 'Rainbow''s End Airport', 39.661111, -75.465278, 11, 'US', 'US-NJ', 'Salem', 'no', 'JY39', '', 'JY39', ''),
	('PS50', 'small_airport', 'MSM Airport', 41.768015, -75.723925, 1600, 'US', 'US-PA', 'Kingsley', 'no', 'PS50', '', 'PS50', 'Adams Airport, Huf Airport'),
	('PA08', 'small_airport', 'JJ & PK Airport', 39.7934, -77.778099, 542, 'US', 'US-PA', 'Greencastle', 'no', 'PA08', '', 'PA08', ''),
	('3PA1', 'closed', 'Navarro Airport', 40.371667, -75.337468, 540, 'US', 'US-PA', 'Sellersville', 'no', '', '', '', '3PA1'),
	('6PN9', 'small_airport', 'Mc Donald''s Airport', 40.886199951200005, -76.153503418, 1200, 'US', 'US-PA', 'Brandonville', 'no', '6PN9', '', '6PN9', ''),
	('6PA9', 'closed', 'Shangri La Airport', 40.6856, -77.474701, 760, 'US', 'US-PA', 'McClure', 'no', '', '', '', '6PA9'),
	('7N1', 'small_airport', 'Corning Painted Post Airport', 42.1759, -77.112198, 962, 'US', 'US-NY', 'Corning', 'no', 'K7N1', '', '7N1', ''),
	('4PA1', 'small_airport', 'Sauers-Haven Airport', 40.8838996887207, -76.9800033569336, 590, 'US', 'US-PA', 'New Berlin', 'no', '4PA1', '', '4PA1', ''),
	('PA33', 'small_airport', 'Lars/Private Airport', 41.9501, -76.483002, 1300, 'US', 'US-PA', 'Athens', 'no', 'PA33', '', 'PA33', 'Osas Ponderosa'),
	('4NJ0', 'small_airport', 'Windward Farms Airport', 40.44929885864258, -75.0177001953125, 425, 'US', 'US-NJ', 'Rosemont', 'no', '4NJ0', '', '4NJ0', ''),
	('KHAK', 'N/A', 'N/A', 40.01160655170679, -76.59073993563652, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MD56', 'small_airport', 'Three J Airport', 39.569000244140625, -77.12139892578125, 510, 'US', 'US-MD', 'New Windsor', 'no', 'MD56', '', 'MD56', ''),
	('PN91', 'small_airport', 'Sharretts Airport', 41.827578, -77.500964, 2360, 'US', 'US-PA', 'Sabinsville', 'no', 'PN91', '', 'PN91', ''),
	('9PN7', 'small_airport', 'Veit Airport', 41.81809997558594, -76.4126968383789, 1360, 'US', 'US-PA', 'Wysox', 'no', '9PN7', '', '9PN7', ''),
	('33PA', 'closed', 'Sutliff Private Airport', 41.166801, -76.249702, 800, 'US', 'US-PA', 'Shickshinny', 'no', '', '', '', '33PA'),
	('5G6', 'N/A', 'N/A', 41.66471801698208, -77.81679108738899, 708, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('38PA', 'small_airport', 'Aerequus Airport', 40.390899658203125, -75.01409912109375, 390, 'US', 'US-PA', 'Solebury', 'no', '38PA', '', '38PA', ''),
	('09PA', 'small_airport', 'Eagle Field', 40.82699966430664, -77.98809814453125, 1780, 'US', 'US-PA', 'Port Matilda', 'no', '09PA', '', '09PA', ''),
	('PS06', 'small_airport', 'Snook Airport', 40.7333984375, -77.26640319824219, 710, 'US', 'US-PA', 'Beaver Springs', 'no', 'PS06', '', 'PS06', ''),
	('NJ84', 'small_airport', 'Hidden Acres Farm Airport', 39.433101654052734, -75.39669799804688, 60, 'US', 'US-NJ', 'Bridgeton', 'no', 'NJ84', '', 'NJ84', ''),
	('KPTW', 'small_airport', 'Heritage Field', 40.239601, -75.556702, 309, 'US', 'US-PA', 'Pottstown', 'no', 'KPTW', 'PTW', 'PTW', 'Pottstown Limerick Airport'),
	('PN54', 'small_airport', 'AKM Airfield', 41.837554, -76.745238, 1393, 'US', 'US-PA', 'Columbia Cross Roads', 'no', 'PN54', '', 'PN54', ''),
	('KLIG', 'N/A', 'N/A', 41.068304032087326, -76.4313393831253, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PA74', 'small_airport', 'Gusler Airport', 40.465242, -76.840664, 700, 'US', 'US-PA', 'Halifax', 'no', 'PA74', '', 'PA74', ''),
	('DE33', 'closed', 'Okolona Plantation Airport', 39.475444, -75.69177, 61, 'US', 'US-DE', 'Middletown', 'no', '', '', '', 'DE33'),
	('5MD5', 'small_airport', 'Arcadia Farms Airport', 38.196476, -75.709641, 18, 'US', 'US-MD', 'Princess Anne', 'no', '5MD5', '', '5MD5', 'Flying W'),
	('2VA1', 'small_airport', 'Jett Airpark', 37.895999908447266, -76.3552017211914, 90, 'US', 'US-VA', 'Edwardsville', 'no', '2VA1', '', '2VA1', ''),
	('KRIC', 'large_airport', 'Richmond International Airport', 37.505199, -77.319702, 167, 'US', 'US-VA', 'Richmond', 'yes', 'KRIC', 'RIC', 'RIC', ''),
	('VG34', 'small_airport', 'Merifield Airport', 36.584599, -78.500801, 355, 'US', 'US-VA', 'Clarksville', 'no', 'VG34', '', 'VG34', ''),
	('W63', 'medium_airport', 'Lake Country Regional Airport', 36.595798, -78.560097, 421, 'US', 'US-VA', 'Clarksville', 'no', 'KW63', '', 'W63', ''),
	('KRJD', 'small_airport', 'Ridgely Airpark', 38.9701, -75.866302, 64, 'US', 'US-MD', 'Ridgely', 'no', 'KRJD', '', 'RJD', ''),
	('DE15', 'small_airport', 'Pevey Airport', 38.61259841918945, -75.69969940185547, 40, 'US', 'US-DE', 'Seaford', 'no', 'DE15', '', 'DE15', ''),
	('05VA', 'small_airport', 'Providence Airport', 37.22420120239258, -78.4186019897461, 445, 'US', 'US-VA', 'Farmville', 'no', '05VA', '', '05VA', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VA44', 'small_airport', 'Rose Retreat Farm Airport', 37.716800689697266, -77.88390350341797, 250, 'US', 'US-VA', 'Goochland', 'no', 'VA44', '', 'VA44', ''),
	('MD64', 'small_airport', 'Stewart Airport', 38.799599, -76.2724, 10, 'US', 'US-MD', 'McDaniel', 'no', 'MD64', '', 'MD64', ''),
	('KSBY', 'medium_airport', 'Salisbury Ocean City Wicomico Regional Airport', 38.34049987792969, -75.51029968261719, 52, 'US', 'US-MD', 'Salisbury', 'yes', 'KSBY', 'SBY', 'SBY', ''),
	('04VG', 'small_airport', 'Manquin Flight Park Ultralightport', 37.706546, -77.201621, 50, 'US', 'US-VA', 'Manquin', 'no', '04VG', '', '04VG', ''),
	('5VG2', 'small_airport', 'Foster Field', 37.454436, -76.372191, 13, 'US', 'US-VA', 'Mathews', 'no', '5VG2', '', '5VG2', ''),
	('3VA7', 'small_airport', 'White Post Airport', 39.061816, -78.092365, 610, 'US', 'US-VA', 'White Post', 'no', '3VA7', '', '3VA7', ''),
	('DE00', 'small_airport', 'Doyle''s Airport', 39.02069854736328, -75.57710266113281, 51, 'US', 'US-DE', 'Felton', 'no', 'DE00', '', 'DE00', ''),
	('2MD1', 'small_airport', 'Recompense Farm Airport', 38.30435, -76.7288, 30, 'US', 'US-MD', 'Clements', 'no', '2MD1', '', '2MD1', ''),
	('KBWI', 'large_airport', 'Baltimore/Washington International Thurgood Marshall Airport', 39.1754, -76.668297, 146, 'US', 'US-MD', 'Baltimore', 'yes', 'KBWI', 'BWI', 'BWI', 'WAS, United States, Marshall'),
	('VG39', 'small_airport', 'Earth Airport', 37.221529, -76.008568, 9, 'US', 'US-VA', 'Cape Charles', 'no', 'VG39', '', 'VG39', ''),
	('KFRR', 'small_airport', 'Front Royal Warren County Airport', 38.9175, -78.253502, 709, 'US', 'US-VA', 'Front Royal', 'no', 'KFRR', 'FRR', 'FRR', ''),
	('MD00', 'small_airport', 'Fair''s Airport', 38.046199798583984, -75.55329895019531, 22, 'US', 'US-MD', 'Pocomoke City', 'no', 'MD00', '', 'MD00', ''),
	('3MD8', 'small_airport', 'Pokety Airport', 38.612300872802734, -76.17109680175781, 10, 'US', 'US-MD', 'Cambridge', 'no', '3MD8', '', '3MD8', ''),
	('VG10', 'closed', 'Cathro Airport', 37.927972, -78.551216, 500, 'US', 'US-VA', 'Charlottesville', 'no', '', '', '', 'VG10'),
	('KADW', 'large_airport', 'Joint Base Andrews', 38.810799, -76.866997, 280, 'US', 'US-MD', 'Camp Springs', 'no', 'KADW', 'ADW', 'ADW', 'Andrews Air Force Base'),
	('VA94', 'small_airport', 'Plainview Airport', 37.535701751708984, -77.89140319824219, 400, 'US', 'US-VA', 'Powhatan', 'no', 'VA94', '', 'VA94', ''),
	('MD23', 'small_airport', 'Kennersley Airport', 39.144798, -76.040497, 30, 'US', 'US-MD', 'Church Hill', 'no', 'MD23', '', 'MD23', 'MD23'),
	('1MD3', 'closed', 'Krastel Farms Airport', 39.308998, -75.987701, 75, 'US', 'US-MD', 'Kennedyville', 'no', '', '', '', '1MD3'),
	('DE20', 'small_airport', 'Spirit Airpark', 39.373600006103516, -75.74579620361328, 80, 'US', 'US-DE', 'Townsend', 'no', 'DE20', '', 'DE20', ''),
	('2VA2', 'small_airport', 'Melville Airstrip', 37.145999908447266, -76.79000091552734, 90, 'US', 'US-VA', 'Surry', 'no', '2VA2', '', '2VA2', ''),
	('3VA3', 'small_airport', 'Flying Circus Aerodrome', 38.551488, -77.715411, 315, 'US', 'US-VA', 'Bealeton', 'no', '3VA3', '', '3VA3', ''),
	('0VA9', 'small_airport', 'Handy Strip', 37.4473991394043, -76.45379638671875, 8, 'US', 'US-VA', 'Gloucester Court House', 'no', '0VA9', '', '0VA9', ''),
	('VA19', 'small_airport', 'Snow Hill Airport', 37.95399856567383, -78.36920166015625, 268, 'US', 'US-VA', 'Charlottesville', 'no', 'VA19', '', 'VA19', ''),
	('3VG4', 'closed', 'Knight''s Landing LLC Airport', 36.558333, -76.116389, 11, 'US', 'US-VA', 'Virginia Beach', 'no', '', '', '', '3VG4'),
	('KFCI', 'small_airport', 'Richmond Executive-Chesterfield County Airport', 37.406502, -77.525002, 236, 'US', 'US-VA', 'North Chesterfield', 'no', 'KFCI', '', 'FCI', ''),
	('KORF', 'large_airport', 'Norfolk International Airport', 36.895341, -76.201, 26, 'US', 'US-VA', 'Norfolk', 'yes', 'KORF', 'ORF', 'ORF', ''),
	('14VG', 'small_airport', 'Abilene Airport', 37.16913, -78.52092, 590, 'US', 'US-VA', 'Keysville', 'no', '14VG', '', '14VG', ''),
	('2VA6', 'small_airport', 'Nimcock Airport', 37.623342, -76.600027, 85, 'US', 'US-VA', 'Saluda', 'no', '2VA6', '', '2VA6', 'Arrowhead Point Airport, Camp Nimcock Airport'),
	('MD05', 'small_airport', 'Finagin Airfield', 38.510921, -77.122193, 185, 'US', 'US-MD', 'Welcome', 'no', 'MD05', '', 'MD05', ''),
	('KHEX', 'N/A', 'N/A', 37.94386446475983, -76.45437598228455, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2W5', 'small_airport', 'Maryland Airport', 38.596572, -77.072639, 170, 'US', 'US-MD', 'Indian Head', 'no', 'K2W5', '', '2W5', ''),
	('20VA', 'small_airport', 'Woodford Airpark', 38.082401, -77.488297, 245, 'US', 'US-VA', 'Woodford', 'no', '20VA', '', '20VA', ''),
	('MD35', 'small_airport', 'Spring Hill Airport', 38.432179, -75.659237, 42, 'US', 'US-MD', 'Salisbury', 'no', 'MD35', '', 'MD35', ''),
	('KFAF', 'medium_airport', 'Felker Army Air Field', 37.1325, -76.608803, 12, 'US', 'US-VA', 'Newport News (Fort Eustis)', 'no', 'KFAF', 'FAF', 'FAF', ''),
	('4VA4', 'closed', 'Hepner Airport', 38.934944, -78.540337, 1150, 'US', 'US-VA', 'Maurertown', 'no', '', '', '', '4VA4'),
	('53VA', 'small_airport', 'Horse Feathers Airport', 38.63399887084961, -77.75749969482422, 390, 'US', 'US-VA', 'Midland', 'no', '53VA', '', '53VA', ''),
	('W50', 'small_airport', 'Davis Airstrip', 39.244499, -77.148598, 630, 'US', 'US-MD', 'Laytonsville', 'no', 'W50', '', 'W50', ''),
	('KLUA', 'N/A', 'N/A', 38.66671107709408, -78.50083619356155, 275, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KVKX', 'N/A', 'N/A', 38.74864183366299, -76.95592224597931, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5MD7', 'closed', 'Bluemel Field', 38.133598, -75.7631, 3, 'US', 'US-MD', 'Princess Anne', 'no', '', '', '', '5MD7'),
	('KNHK', 'medium_airport', 'Patuxent River Naval Air Station (Trapnell Field)', 38.285999, -76.411797, 39, 'US', 'US-MD', 'Patuxent River', 'no', 'KNHK', 'NHK', 'NHK', ''),
	('15VA', 'small_airport', 'Fox Acres Airport', 38.7223014831543, -77.89969635009766, 450, 'US', 'US-VA', 'Warrenton', 'no', '15VA', '', '15VA', ''),
	('8MD6', 'small_airport', 'Burgess Field', 38.397098541259766, -77.14689636230469, 35, 'US', 'US-MD', 'Riverside', 'no', '8MD6', '', '8MD6', ''),
	('0VA3', 'small_airport', 'Hunt Airport', 37.698799, -77.095299, 150, 'US', 'US-VA', 'King William', 'no', '0VA3', '', '0VA3', ''),
	('VG30', 'small_airport', 'Scott Farm Strip', 37.22710037231445, -75.97689819335938, 33, 'US', 'US-VA', 'Cape Charles', 'no', 'VG30', '', 'VG30', ''),
	('3VA0', 'small_airport', 'Ayres-Aicp Airport', 38.775901794433594, -77.91059875488281, 530, 'US', 'US-VA', 'Warrenton', 'no', '3VA0', '', '3VA0', ''),
	('3MD0', 'small_airport', 'Burhans Memorial Airport', 39.348201751708984, -77.33609771728516, 490, 'US', 'US-MD', 'Frederick', 'no', '3MD0', '', '3MD0', ''),
	('VA32', 'small_airport', 'Longs Airport', 38.804298400878906, -78.5719985961914, 870, 'US', 'US-VA', 'Edinburg', 'no', 'VA32', '', 'VA32', ''),
	('KFVX', 'small_airport', 'Farmville Regional Airport', 37.35749817, -78.43779755, 416, 'US', 'US-VA', 'Farmville', 'no', 'KFVX', '', 'FVX', ''),
	('0N6', 'small_airport', 'Albanna Aviation Airport', 39.012602, -75.533501, 50, 'US', 'US-DE', 'Felton', 'no', '', '', '28DE', 'Henderson Aviation'),
	('MD70', 'small_airport', 'Flying Acres Airport', 39.18119812011719, -75.90879821777344, 70, 'US', 'US-MD', 'Sudlersville', 'no', 'MD70', '', 'MD70', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VA92', 'small_airport', 'Peace and Plenty Farm Airport', 37.7238, -75.785998, 8, 'US', 'US-VA', 'Onancock', 'no', 'VA92', '', 'VA92', ''),
	('MD19', 'small_airport', 'Hybarc Farm Airport', 39.20320129394531, -76.02490234375, 50, 'US', 'US-MD', 'Chestertown', 'no', 'MD19', '', 'MD19', ''),
	('KOKV', 'small_airport', 'Winchester Regional Airport', 39.14350128, -78.14440155, 726, 'US', 'US-VA', 'Winchester', 'no', 'KOKV', 'WGO', 'OKV', ''),
	('DE27', 'closed', 'Warrington Field', 38.462601, -75.174896, 26, 'US', 'US-DE', 'Selbyville', 'no', '', '', '', 'DE27'),
	('MD21', 'small_airport', 'Ashland Landing Farm Airport', 39.118099212646484, -76.09639739990234, 10, 'US', 'US-MD', 'Centreville', 'no', 'MD21', '', 'MD21', ''),
	('VG29', 'small_airport', 'Branham Mill Airpark', 37.969847, -76.70886, 100, 'US', 'US-VA', 'Warsaw', 'no', 'VG29', '', 'VG29', ''),
	('4VA8', 'small_airport', 'Christian''s Airport', 37.613800048828125, -77.2957992553711, 125, 'US', 'US-VA', 'Richmond', 'no', '4VA8', '', '4VA8', ''),
	('8W2', 'small_airport', 'New Market Airport', 38.655683, -78.708995, 975, 'US', 'US-VA', 'New Market', 'no', 'K8W2', '', '8W2', 'Skydive Shenandoah'),
	('0VA5', 'closed', 'Coffman Field', 37.694144, -77.660894, 280, 'US', 'US-VA', 'Richmond', 'no', '', '', '', '0VA5, Rockville'),
	('DE49', 'closed', 'Josephs Airport', 38.636956, -75.356374, 42, 'US', 'US-DE', 'Georgetown', 'no', '', '', '', 'DE49'),
	('23VA', 'small_airport', 'Wheatland Airport', 37.556894, -78.620181, 490, 'US', 'US-VA', 'Buckingham', 'no', '23VA', '', '23VA', ''),
	('53VG', 'small_airport', 'The Salmon Farm Airport (Pvt)', 37.6138889, -75.8011111, 41, 'US', 'US-VA', 'Painter', 'no', '53VG', '', '53VG', ''),
	('KHWY', 'small_airport', 'Warrenton Fauquier Airport', 38.5863, -77.710602, 336, 'US', 'US-VA', 'Midland', 'no', 'KHWY', '', 'HWY', 'Formerly W66'),
	('MD43', 'small_airport', 'Mountain Road Airport', 39.11840057373047, -76.49659729003906, 70, 'US', 'US-MD', 'Lakeshore', 'no', 'MD43', '', 'MD43', ''),
	('KTGI', 'small_airport', 'Tangier Island Airport', 37.8251, -75.997803, 5, 'US', 'US-VA', 'Tangier', 'no', 'KTGI', '', 'TGI', ''),
	('WV06', 'small_airport', 'Lost Mountain Airport', 39.285099029541016, -78.73829650878906, 1960, 'US', 'US-WV', 'Romney', 'no', 'WV06', '', 'WV06', ''),
	('0MD2', 'small_airport', 'Squier Landing Airport', 38.287781, -76.867575, 16, 'US', 'US-MD', 'Newburg', 'no', '0MD2', '', '0MD2', ''),
	('2W6', 'small_airport', 'St. Mary''s County Regional Airport', 38.315399, -76.550102, 142, 'US', 'US-MD', 'California', 'no', '', 'LTW', '2W6', ''),
	('W96', 'small_airport', 'New Kent County Airport', 37.5032, -77.125501, 123, 'US', 'US-VA', 'Quinton', 'no', '', '', 'W96', ''),
	('KOMH', 'small_airport', 'Orange County Airport', 38.2472, -78.045601, 465, 'US', 'US-VA', 'Orange', 'no', 'KOMH', '', 'OMH', ''),
	('KANP', 'small_airport', 'Lee Airport', 38.942902, -76.568398, 34, 'US', 'US-MD', 'Annapolis', 'no', 'KANP', 'ANP', 'ANP', ''),
	('8MD7', 'small_airport', 'Deerfield Airport', 38.23860168457031, -76.65969848632813, 25, 'US', 'US-MD', 'Leonardtown', 'no', '8MD7', '', '8MD7', ''),
	('VG05', 'small_airport', 'Payne Airport', 37.879600524902344, -78.05750274658203, 463, 'US', 'US-VA', 'Tabscott', 'no', 'VG05', '', 'VG05', ''),
	('MD46', 'small_airport', 'Glenair Airport', 39.2696, -77.005302, 590, 'US', 'US-MD', 'Dayton', 'no', 'MD46', '', 'MD46', ''),
	('KNUI', 'small_airport', 'Naval Outlying Landing Field Webster', 38.144222, -76.426892, 22, 'US', 'US-MD', 'St Inigoes', 'no', 'KNUI', '', 'NUI', ''),
	('DE07', 'closed', 'Flying C Airport', 39.144299, -75.691299, 70, 'US', 'US-DE', 'Hartly', 'no', '', '', '', 'DE07'),
	('DE11', 'small_airport', 'Drummond Airport', 38.90570068359375, -75.4010009765625, 33, 'US', 'US-DE', 'Milford', 'no', 'DE11', '', 'DE11', ''),
	('VG20', 'small_airport', 'Onley Airport', 37.67509841918945, -75.70989990234375, 45, 'US', 'US-VA', 'Onley', 'no', 'VG20', '', 'VG20', ''),
	('7MD9', 'small_airport', 'Tilghman Whipp Airport', 38.73609924316406, -76.31670379638672, 5, 'US', 'US-MD', 'Tilghman', 'no', '7MD9', '', '7MD9', ''),
	('MD22', 'small_airport', 'Deale Airport', 38.78340148925781, -76.564697265625, 15, 'US', 'US-MD', 'Deale', 'no', 'MD22', '', 'MD22', ''),
	('KCGE', 'small_airport', 'Cambridge Dorchester Airport', 38.53929901, -76.03040314, 20, 'US', 'US-MD', 'Cambridge', 'no', 'KCGE', 'CGE', 'CGE', ''),
	('VA25', 'small_airport', 'Twin Towers Airport', 36.76430130004883, -78.3604965209961, 470, 'US', 'US-VA', 'Chase City', 'no', 'VA25', '', 'VA25', ''),
	('VG57', 'small_airport', 'Maples Field', 38.605701, -77.584702, 225, 'US', 'US-VA', 'Catlett', 'no', 'VG57', '', 'VG57', '0V5, Manassas, Whitman Strip'),
	('1N5', 'small_airport', 'Bennett Airport', 38.411097, -75.614691, 42, 'US', 'US-MD', 'Salisbury', 'no', '', '', '1N5', ''),
	('VA45', 'closed', 'Lous Airport', 38.12821, -78.163519, 480, 'US', 'US-VA', 'Gordonsville', 'no', '', '', '', 'VA45'),
	('9NJ6', 'small_airport', 'Halka Nurseries Airport', 39.36640167236328, -75.26830291748047, 10, 'US', 'US-NJ', 'Fairton', 'no', '9NJ6', '', '9NJ6', ''),
	('KJYO', 'small_airport', 'Leesburg Executive Airport', 39.077999, -77.557503, 389, 'US', 'US-VA', 'Leesburg', 'no', 'KJYO', '', 'JYO', 'ADIZ'),
	('KCJR', 'small_airport', 'Culpeper Regional Airport', 38.526699, -77.858902, 316, 'US', 'US-VA', 'Culpeper', 'no', 'KCJR', '', 'CJR', ''),
	('9VA4', 'small_airport', 'Franwood Farms Inc. Airport', 38.69089889526367, -78.62950134277344, 990, 'US', 'US-VA', 'New Market', 'no', '9VA4', '', '9VA4', ''),
	('KCGS', 'small_airport', 'College Park Airport', 38.9805984497, -76.9223022461, 48, 'US', 'US-MD', 'College Park', 'no', 'KCGS', 'CGS', 'CGS', 'DC3, FRZ, ADIZ'),
	('88VA', 'small_airport', 'Belmont Farm Airport', 38.37419891357422, -77.99189758300781, 305, 'US', 'US-VA', 'Culpeper', 'no', '88VA', '', '88VA', ''),
	('2DE2', 'small_airport', 'Willaview Airport', 38.85499954223633, -75.57219696044922, 63, 'US', 'US-DE', 'Farmington', 'no', '2DE2', '', '2DE2', ''),
	('KFKN', 'small_airport', 'Franklin Regional Airport', 36.698101, -76.903801, 41, 'US', 'US-VA', 'Franklin', 'no', 'KFKN', 'FKN', 'FKN', 'Franklin Municipal-John Beverly Rose'),
	('MD47', 'small_airport', 'Barnes Airport', 39.33290100097656, -77.0969009399414, 780, 'US', 'US-MD', 'Lisbon', 'no', 'MD47', '', 'MD47', ''),
	('5VA5', 'small_airport', 'Chimney View Airport', 38.403499603271484, -77.31580352783203, 25, 'US', 'US-VA', 'Fredericksburg', 'no', '5VA5', '', '5VA5', ''),
	('6MD8', 'small_airport', 'Delmarvair Airport', 38.441456, -75.403075, 55, 'US', 'US-MD', 'Pittsville', 'no', '6MD8', '', '6MD8', 'White''s Airstrip'),
	('0VI1', 'small_airport', 'Brooklyn Airport', 37.6889, -77.101402, 145, 'US', 'US-VA', 'King William', 'no', '0VI1', '', '0VI1', ''),
	('W94', 'small_airport', 'Camp Peary Landing Strip', 37.312805, -76.638228, 41, 'US', 'US-VA', 'Williamsburg', 'no', '', '', 'W94', ''),
	('KPHF', 'medium_airport', 'Newport News Williamsburg International Airport', 37.131901, -76.492996, 42, 'US', 'US-VA', 'Newport News', 'yes', 'KPHF', 'PHF', 'PHF', ''),
	('KGAI', 'small_airport', 'Montgomery County Airpark', 39.168301, -77.166, 539, 'US', 'US-MD', 'Gaithersburg', 'no', 'KGAI', 'GAI', 'GAI', ''),
	('8MD4', 'small_airport', 'Spiering Airport', 38.98059844970703, -75.77780151367188, 55, 'US', 'US-MD', 'Greensboro', 'no', '8MD4', '', '8MD4', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KFAO', 'N/A', 'N/A', 39.2328979074955, -76.63066104054451, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2VG2', 'small_airport', 'Upperville Airport', 38.9718017578125, -77.86969757080078, 551, 'US', 'US-VA', 'Upperville', 'no', '2VG2', '', '2VG2', ''),
	('67VA', 'closed', 'Karmy''s Airport', 38.837601, -78.5195, 890, 'US', 'US-VA', 'Woodstock', 'no', '', '', '', '67VA'),
	('VG55', 'small_airport', 'Woodstock Airport', 38.881078, -78.55815, 965, 'US', 'US-VA', 'Woodstock', 'no', 'VG55', '', 'VG55', 'Burner'),
	('KHEF', 'small_airport', 'Manassas Regional Airport/Harry P. Davis Field', 38.72140121, -77.51540375, 192, 'US', 'US-VA', 'Manassas', 'no', 'KHEF', 'MNZ', 'HEF', ''),
	('MD77', 'small_airport', 'Flying M Farms Airport', 39.25979995727539, -77.34140014648438, 590, 'US', 'US-MD', 'Comus', 'no', 'MD77', '', 'MD77', ''),
	('2MD3', 'small_airport', 'Fly Away Farm Airport', 39.229, -77.345333, 501, 'US', 'US-MD', 'Boyds', 'no', '2MD3', '', '2MD3', ''),
	('03VA', 'closed', 'Whipoorwill Springs Airport', 38.66460037231445, -77.57969665527344, 250, 'US', 'US-VA', 'Nokesville', 'no', '', '', '', '03VA, 03VA, 03VA'),
	('DE25', 'small_airport', 'Eagle Crest-Hudson Airport', 38.776100158691406, -75.23359680175781, 28, 'US', 'US-DE', 'Milton', 'no', 'DE25', '', 'DE25', ''),
	('VA64', 'closed', 'Hill Top Airport', 37.41563, -77.954206, 254, 'US', 'US-VA', 'Amelia Court House', 'no', '', '', '', 'VA64'),
	('VA62', 'small_airport', 'The Grass Patch Airport', 39.257856, -77.65407, 530, 'US', 'US-VA', 'Lovettsville', 'no', 'VA62', '', 'VA62', ''),
	('7NJ9', 'small_airport', 'Dave''s Aerodrome', 39.318199157714844, -75.206298828125, 8, 'US', 'US-NJ', 'Cedarville', 'no', '7NJ9', '', '7NJ9', ''),
	('0N4', 'small_airport', 'Chandelle Airport', 39.202301, -75.485497, 22, 'US', 'US-DE', 'Dover', 'no', '', '', '0N4', 'Chandelle Estates'),
	('VG24', 'small_airport', 'Mayers Airport', 37.77666, -77.48727, 215, 'US', 'US-VA', 'Ashland', 'no', 'VG24', '', 'VG24', ''),
	('58VA', 'small_airport', 'Walnut Hill Airport', 38.59510040283203, -77.64610290527344, 285, 'US', 'US-VA', 'Calverton', 'no', '58VA', '', '58VA', ''),
	('32MD', 'small_airport', 'Roseland Airport', 39.18939971923828, -75.87680053710938, 70, 'US', 'US-MD', 'Sudlersville', 'no', '32MD', '', '32MD', ''),
	('VA93', 'small_airport', 'Ayers Airport', 38.90510177612305, -78.65470123291016, 1340, 'US', 'US-VA', 'Columbia Furnace', 'no', 'VA93', '', 'VA93', ''),
	('KPVG', 'small_airport', 'Hampton Roads Executive Airport', 36.780391, -76.44881, 28, 'US', 'US-VA', 'Chesapeake', 'no', 'KPVG', '', 'PVG', ''),
	('2MD0', 'small_airport', 'Anderson Farm Airport', 38.04897, -75.704169, 8, 'US', 'US-MD', 'Marion', 'no', '2MD0', '', '2MD0', ''),
	('48MD', 'small_airport', 'Le Champ Airport', 38.149062, -75.662161, 14, 'US', 'US-MD', 'Princess Anne', 'no', '48MD', '', '48MD', ''),
	('VA91', 'closed', 'Johnson Field', 37.704899, -75.726601, 38, 'US', 'US-VA', 'Onancock', 'no', '', '', '', 'VA91'),
	('WV68', 'closed', 'Durrett Ranches Airport', 38.950001, -80.030602, 2300, 'US', 'US-WV', 'Belington', 'no', '', '', '', 'WV68'),
	('VA46', 'small_airport', 'Timber Ridge Airpark', 39.2962, -78.362198, 1024, 'US', 'US-VA', 'Gore', 'no', 'VA46', '', 'VA46', ''),
	('01MD', 'seaplane_base', 'Annapolis Seaplane Base', 38.999199, -76.456001, 0, 'US', 'US-MD', 'Annapolis', 'no', '01MD', '', '01MD', ''),
	('DE04', 'small_airport', 'Newberg Airport', 39.29169845581055, -75.57499694824219, 20, 'US', 'US-DE', 'Smyrna', 'no', 'DE04', '', 'DE04', ''),
	('W32', 'N/A', 'N/A', 38.74826095998287, -76.93281680345535, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('25MD', 'small_airport', 'Whalen Field', 39.16749954223633, -75.84020233154297, 70, 'US', 'US-MD', 'Sudlersville', 'no', '25MD', '', '25MD', ''),
	('VA87', 'closed', 'Valley View Airport', 38.691799, -77.551102, 240, 'US', 'US-VA', 'Nokesville', 'no', '', '', '', 'VA87'),
	('VG07', 'small_airport', 'Rular Airport', 38.53889846801758, -77.82830047607422, 305, 'US', 'US-VA', 'Remington', 'no', 'VG07', '', 'VG07', ''),
	('92VA', 'small_airport', 'New Quarter Farm Airport', 37.34469985961914, -76.56439971923828, 38, 'US', 'US-VA', 'Gloucester', 'no', '92VA', '', '92VA', ''),
	('7MD8', 'small_airport', 'Kent Fort Manor Airport', 38.85649871826172, -76.36160278320313, 10, 'US', 'US-MD', 'Stevensville', 'no', '7MD8', '', '7MD8', ''),
	('57VA', 'closed', 'Toga Airport', 37.450954, -78.678857, 725, 'US', 'US-VA', 'Dillwyn', 'no', '', '', '', '57VA'),
	('DE17', 'small_airport', 'Sugar Hill Airport', 38.77790069580078, -75.58329772949219, 45, 'US', 'US-DE', 'Greenwood', 'no', 'DE17', '', 'DE17', ''),
	('KPTB', 'small_airport', 'Dinwiddie County Airport', 37.183799743652, -77.507400512695, 193, 'US', 'US-VA', 'Petersburg', 'no', 'KPTB', 'PTB', 'PTB', ''),
	('3VA8', 'small_airport', 'Garner Airport', 36.856300354003906, -76.68219757080078, 80, 'US', 'US-VA', 'Windsor', 'no', '3VA8', '', '3VA8', ''),
	('VG09', 'small_airport', 'Starbase Airport', 37.23142, -75.984535, 20, 'US', 'US-VA', 'Cape Charles', 'no', 'VG09', '', 'VG09', ''),
	('2G6', 'seaplane_base', 'Mc Laughlin Seaplane Base', 37.320598602299995, -77.3458023071, 7, 'US', 'US-VA', 'Chester', 'no', '2G6', '', '2G6', ''),
	('MD1', 'small_airport', 'Massey Aerodrome', 39.299198, -75.7994, 73, 'US', 'US-MD', 'Massey', 'no', 'MD1', '', 'MD1', ''),
	('VA17', 'small_airport', 'Mulberry Run Airport', 39.0359, -78.392197, 820, 'US', 'US-VA', 'Strasburg', 'no', 'VA17', '', 'VA17', ''),
	('29MD', 'closed', 'Schlosser Airport', 39.362805, -75.812681, 53, 'US', 'US-MD', 'Galena', 'no', '', '', '', '29MD'),
	('KOFP', 'small_airport', 'Hanover County Municipal Airport', 37.709, -77.436699, 207, 'US', 'US-VA', 'Hanover', 'no', 'KOFP', '', 'OFP', ''),
	('KXSA', 'small_airport', 'Tappahannock-Essex County Airport', 37.8596, -76.894096, 135, 'US', 'US-VA', 'Tappahannock', 'no', 'KXSA', '', 'XSA', ''),
	('3VA1', 'small_airport', 'The Meadows Airport', 38.770587, -77.797278, 584, 'US', 'US-VA', 'Warrenton', 'no', '3VA1', '', '3VA1', ''),
	('7MD1', 'small_airport', 'Magennis Farm Airport', 38.703399658203125, -75.85099792480469, 40, 'US', 'US-MD', 'Federalsburg', 'no', '7MD1', '', '7MD1', ''),
	('KOXB', 'small_airport', 'Ocean City Municipal Airport', 38.310398101807, -75.124000549316, 11, 'US', 'US-MD', 'Ocean City', 'no', 'KOXB', 'OCE', 'OXB', ''),
	('VA41', 'small_airport', 'High Hopes Airport', 37.934600830078125, -75.60990142822266, 9, 'US', 'US-VA', 'Withams', 'no', 'VA41', '', 'VA41', ''),
	('90VA', 'small_airport', 'Hen & Bacon Airport', 38.218101501464844, -78.21189880371094, 430, 'US', 'US-VA', 'Orange', 'no', '90VA', '', '90VA', ''),
	('KAPH', 'small_airport', 'Mary Walker LZ Airport', 38.068631, -77.319318, 220, 'US', 'US-VA', 'Bowling Green', 'no', 'KAPH', 'APH', 'APH', 'A P Hill AAF, Fort A P Hill'),
	('VG01', 'small_airport', 'Eureka Airport', 37.060258, -78.563233, 420, 'US', 'US-VA', 'Keysville', 'no', 'VG01', '', 'VG01', ''),
	('4MD0', 'small_airport', 'Mears Creek Airfield', 38.374298095703125, -76.48300170898438, 27, 'US', 'US-MD', 'Lusby', 'no', '4MD0', '', '4MD0', ''),
	('4VA0', 'small_airport', 'Wood Farm Airport', 37.636501312256, -78.730003356934, 350, 'US', 'US-VA', 'Wingina', 'no', '', '', '4VA0', '4VA0');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VA61', 'small_airport', 'Lovettsville Airfield', 39.26532, -77.653598, 529, 'US', 'US-VA', 'Lovettsville', 'no', 'VA61', '', 'VA61', 'Scott Airpark'),
	('05MD', 'small_airport', 'Breezecroft Airport', 39.244232, -76.198661, 20, 'US', 'US-MD', 'Chestertown', 'no', '05MD', '', '05MD', ''),
	('VA99', 'small_airport', 'Federhart-Ophelia Airport', 37.905998, -76.290497, 13, 'US', 'US-VA', 'Reedville', 'no', 'VA99', '', 'VA99', 'STOLport'),
	('VA97', 'closed', 'Harris Airport', 38.912601, -77.881699, 566, 'US', 'US-VA', 'Rectortown', 'no', '', '', '', 'VA97'),
	('02VA', 'small_airport', 'The Greenhouse Airport', 38.435699462890625, -77.8572006225586, 320, 'US', 'US-VA', 'Culpeper', 'no', '02VA', '', '02VA', ''),
	('VA30', 'small_airport', 'Berryvale Airport', 38.526798248291016, -77.9563980102539, 470, 'US', 'US-VA', 'Culpeper', 'no', 'VA30', '', 'VA30', ''),
	('77VA', 'closed', 'Camp Friendship Airfield', 37.888199, -78.285797, 345, 'US', 'US-VA', 'Palmyra', 'no', '', '', '', '77VA'),
	('KNDY', 'small_airport', 'Dahlgren Naval Surface Warfare Center Airport', 38.3325, -77.037201, 18, 'US', 'US-VA', 'Dahlgren', 'no', 'KNDY', 'DGN', '', ''),
	('MD82', 'small_airport', 'Ragged Island Airport', 38.539798736572266, -76.27549743652344, 5, 'US', 'US-MD', 'Cambridge', 'no', 'MD82', '', 'MD82', ''),
	('9VA3', 'closed', 'Crippen Creek Farm Airport', 37.752958, -75.577548, 6, 'US', 'US-VA', 'Parksley', 'no', '', '', '', '9VA3'),
	('MD84', 'small_airport', 'Nyce Airport', 38.35103, -76.86327, 19, 'US', 'US-MD', 'Newburg', 'no', 'MD84', '', 'MD84', ''),
	('4MD3', 'small_airport', 'Carey Field', 38.439917, -75.159391, 23, 'US', 'US-MD', 'Bishopville', 'no', '4MD3', '', '4MD3', ''),
	('KNFE', 'small_airport', 'Fentress Naval Auxiliary Landing Field', 36.691641, -76.134996, 16, 'US', 'US-VA', 'Fentress', 'no', 'KNFE', '', 'NFE', ''),
	('2MD4', 'small_airport', 'Ennis Aerodrome', 38.39459991455078, -75.55740356445313, 44, 'US', 'US-MD', 'Salisbury', 'no', '2MD4', '', '2MD4', ''),
	('KMFV', 'small_airport', 'Accomack County Airport', 37.646900177, -75.761100769, 47, 'US', 'US-VA', 'Melfa', 'no', 'KMFV', 'MFV', 'MFV', 'Melfa Flight Strip'),
	('VA57', 'small_airport', 'Powhatan Airport', 38.24850082397461, -77.21910095214844, 60, 'US', 'US-VA', 'King George', 'no', 'VA57', '', 'VA57', ''),
	('KIAD', 'large_airport', 'Washington Dulles International Airport', 38.9445, -77.455803, 312, 'US', 'US-VA', 'Dulles', 'yes', 'KIAD', 'IAD', 'IAD', 'WAS'),
	('8VA4', 'small_airport', 'Lotus International Airport', 37.67290115356445, -78.70330047607422, 340, 'US', 'US-VA', 'Buckinham', 'no', '8VA4', '', '8VA4', ''),
	('1MD1', 'small_airport', 'Big Oak Farm Airport', 38.569126, -76.286189, 4, 'US', 'US-MD', 'Cambridge', 'no', '1MD1', '', '1MD1', ''),
	('MD04', 'small_airport', 'Rossneck Airport', 38.56890106201172, -76.23580169677734, 5, 'US', 'US-MD', 'Cambridge', 'no', 'MD04', '', 'MD04', ''),
	('VG37', 'small_airport', 'Umphlett Airstrip', 36.589206, -76.638458, 75, 'US', 'US-VA', 'Whaleyville', 'no', 'VG37', '', 'VG37', ''),
	('VA58', 'small_airport', 'River Bend Airport', 38.90610122680664, -78.44439697265625, 606, 'US', 'US-VA', 'Maurertown', 'no', 'VA58', '', 'VA58', ''),
	('00MD', 'small_airport', 'Slater Field', 38.75709915161133, -75.75379943847656, 45, 'US', 'US-MD', 'Federalsburg', 'no', '00MD', '', '00MD', ''),
	('VA14', 'closed', 'Southampton Correctional Center Airport', 36.740389, -77.262962, 50, 'US', 'US-VA', 'Capron', 'no', '', '', '', 'VA14'),
	('0VA0', 'closed', 'Mostly Harmless Heliport', 37.965401, -77.777496, 330, 'US', 'US-VA', 'Bumpass', 'no', '', '', '', '0VA0'),
	('KCHO', 'medium_airport', 'Charlottesville Albemarle Airport', 38.13859939575195, -78.4529037475586, 639, 'US', 'US-VA', 'Charlottesville', 'yes', 'KCHO', 'CHO', 'CHO', ''),
	('DE23', 'small_airport', 'Ockel Farms Airport', 38.750301361083984, -75.36000061035156, 47, 'US', 'US-DE', 'Milton', 'no', 'DE23', '', 'DE23', ''),
	('4VG2', 'small_airport', 'Cool Water Airport', 37.858104, -77.545511, 250, 'US', 'US-VA', 'Beaverdam', 'no', '4VG2', '', '4VG2', ''),
	('VG56', 'small_airport', 'Midway Airport', 37.80958, -75.615034, 50, 'US', 'US-VA', 'Bloxom', 'no', 'VG56', '', 'VG56', ''),
	('4MD8', 'small_airport', 'Ijamsville Airport', 39.358299255371094, -77.3396987915039, 490, 'US', 'US-MD', 'Frederick', 'no', '4MD8', '', '4MD8', ''),
	('VA22', 'closed', 'Big River Ranch Airport', 36.675097, -78.695, 375, 'US', 'US-VA', 'Clarksville', 'no', '', '', '', 'VA22'),
	('2DE3', 'small_airport', 'Hrupsa Airport', 39.002044, -75.682175, 55, 'US', 'US-DE', 'Felton', 'no', '2DE3', '', '2DE3', ''),
	('KMTN', 'medium_airport', 'Martin State Airport', 39.325699, -76.413803, 21, 'US', 'US-MD', 'Baltimore', 'no', 'KMTN', 'MTN', 'MTN', ''),
	('VA20', 'closed', 'SRMC Heliport', 37.216801, -77.397797, 126, 'US', 'US-VA', 'Petersburg', 'no', '', '', '', 'VA20'),
	('1VG2', 'small_airport', 'Whithall Farm Airport', 38.12466, -76.68858, 23, 'US', 'US-VA', 'Montross', 'no', '1VG2', '', '1VG2', ''),
	('VA79', 'small_airport', 'Hickory Tree Farms Airport', 38.9529, -77.746902, 544, 'US', 'US-VA', 'The Plains', 'no', 'VA79', '', 'VA79', ''),
	('VA42', 'small_airport', 'Dogwood Airpark', 38.358972, -77.452744, 180, 'US', 'US-VA', 'Fredericksburg', 'no', 'VA42', '', 'VA42', ''),
	('KGED', 'small_airport', 'Delaware Coastal Airport', 38.689201, -75.358902, 53, 'US', 'US-DE', 'Georgetown', 'no', 'KGED', 'GED', 'GED', ''),
	('W41', 'small_airport', 'Crisfield-Somerset County Airport', 38.018277, -75.825834, 4, 'US', 'US-MD', 'Crisfield', 'no', 'KW41', '', 'W41', 'Crisfield Municipal'),
	('KLVL', 'small_airport', 'Brunswick Municipal Airport', 36.774229, -77.793846, 329, 'US', 'US-VA', 'Lawrenceville', 'no', 'KLVL', 'LVL', 'LVL', ''),
	('14VA', 'small_airport', 'Krens Farm Airport', 39.229000091552734, -77.74669647216797, 790, 'US', 'US-VA', 'Hillsboro', 'no', '14VA', '', '14VA', ''),
	('70MD', 'closed', 'Washington Field', 38.458734, -77.23498, 95, 'US', 'US-MD', 'Nanjemoy', 'no', '', '', '', '70MD'),
	('VA73', 'small_airport', 'Mazza Airport', 37.244789, -77.4939, 190, 'US', 'US-VA', 'Matoaca', 'no', 'VA73', '', 'VA73', ''),
	('MD69', 'small_airport', 'Harris Airport', 39.33340072631836, -76.08300018310547, 80, 'US', 'US-MD', 'Still Pond', 'no', 'MD69', '', 'MD69', ''),
	('MD85', 'closed', 'Carmean Airport', 38.933033, -75.890483, 58, 'US', 'US-MD', 'Ridgely', 'no', '', '', '', 'MD85'),
	('W29', 'small_airport', 'Bay Bridge Airport', 38.976398, -76.329597, 15, 'US', 'US-MD', 'Stevensville', 'no', 'W29', '', 'W29', ''),
	('4MD1', 'small_airport', 'Bunting''s Field', 38.36819839477539, -75.23069763183594, 5, 'US', 'US-MD', 'Berlin', 'no', '4MD1', '', '4MD1', ''),
	('42VA', 'small_airport', 'Virginia Beach Airport', 36.678979, -76.032677, 15, 'US', 'US-VA', 'Virginia Beach', 'no', '42VA', '', '42VA', ''),
	('W81', 'small_airport', 'Crewe Municipal Airport', 37.181, -78.098297, 420, 'US', 'US-VA', 'Crewe', 'no', '', '', 'W81', ''),
	('VA98', 'small_airport', 'Reedville Airport', 37.82820129394531, -76.27330017089844, 12, 'US', 'US-VA', 'Reedville', 'no', 'VA98', '', 'VA98', ''),
	('VA36', 'closed', 'F. U. M. A. Airport', 37.744598, -78.270302, 400, 'US', 'US-VA', 'Fork Union', 'no', '', '', '', 'VA36');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('3MD4', 'small_airport', 'Fairview Airport', 38.97760009765625, -76.63939666748047, 150, 'US', 'US-MD', 'Annapolis', 'no', '3MD4', '', '3MD4', ''),
	('1VA8', 'small_airport', 'Hazelswart Airport', 36.862249, -78.410025, 485, 'US', 'US-VA', 'Chase City', 'no', '1VA8', '', '1VA8', ''),
	('KCXE', 'small_airport', 'Chase City Municipal Airport', 36.788299560546875, -78.50160217285156, 503, 'US', 'US-VA', 'Chase City', 'no', 'KCXE', '', 'CXE', ''),
	('VA28', 'small_airport', 'Layne Farm Airstrip', 37.121299743652344, -78.64360046386719, 560, 'US', 'US-VA', 'Cullen', 'no', 'VA28', '', 'VA28', ''),
	('KAKQ', 'small_airport', 'Wakefield Municipal Airport', 36.98720169067383, -77.0010986328125, 113, 'US', 'US-VA', 'Wakefield', 'no', 'KAKQ', '', 'AKQ', ''),
	('MD45', 'small_airport', 'Hampton Airport', 38.2307014465332, -76.62879943847656, 18, 'US', 'US-MD', 'Leonardtown', 'no', 'MD45', '', 'MD45', ''),
	('VA33', 'closed', 'Beaver Dam Airpark', 37.0443, -76.768204, 100, 'US', 'US-VA', 'Surry', 'no', '', '', '', 'VA33'),
	('87VA', 'small_airport', 'Cottonwood Farm Airport', 38.08110046386719, -78.69560241699219, 690, 'US', 'US-VA', 'Crozet', 'no', '87VA', '', '87VA', ''),
	('2VA3', 'small_airport', 'Merlin Aerodrome', 37.316693, -77.866373, 235, 'US', 'US-VA', 'Amelia Court House', 'no', '2VA3', '', '2VA3', ''),
	('23MD', 'seaplane_base', 'Breezecroft Seaplane Base', 39.25559997558594, -76.20690155029297, 10, 'US', 'US-MD', 'Chestertown', 'no', '23MD', '', '23MD', ''),
	('DE14', 'small_airport', 'Huey Airport', 38.74399948120117, -75.53489685058594, 45, 'US', 'US-DE', 'Bridgeville', 'no', 'DE14', '', 'DE14', ''),
	('MD91', 'small_airport', 'Saxon Farms Airport', 39.15230178833008, -76.01860046386719, 70, 'US', 'US-MD', 'Church Hill', 'no', 'MD91', '', 'MD91', ''),
	('KEZF', 'small_airport', 'Shannon Airport', 38.2668, -77.449203, 85, 'US', 'US-VA', 'Fredericksburg', 'no', 'KEZF', '', 'EZF', ''),
	('VA81', 'small_airport', 'Cub Field', 37.94540023803711, -77.89939880371094, 396, 'US', 'US-VA', 'Mineral', 'no', 'VA81', '', 'VA81', ''),
	('VG43', 'small_airport', 'Arrowpoint Airport', 38.307079, -78.098953, 315, 'US', 'US-VA', 'Madison', 'no', 'VG43', '', 'VG43', ''),
	('0MD1', 'small_airport', 'Taylor Field', 39.18730163574219, -75.7927017211914, 75, 'US', 'US-MD', 'Sudlersville', 'no', '0MD1', '', '0MD1', ''),
	('25VA', 'small_airport', 'Toddsbury Farm Airport', 37.821377, -77.112522, 50, 'US', 'US-VA', 'Aylett', 'no', '25VA', '', '25VA', ''),
	('KNGU', 'medium_airport', 'Norfolk Naval Station (Chambers Field)', 36.937599, -76.289299, 17, 'US', 'US-VA', 'Norfolk', 'no', 'KNGU', 'NGU', 'NGU', ''),
	('2DE8', 'small_airport', 'Murphy''s Landing Airport', 38.91357, -75.345334, 10, 'US', 'US-DE', 'Milford', 'no', '2DE8', '', '2DE8', ''),
	('4MD4', 'small_airport', 'Clements Airport', 38.340599060058594, -76.73719787597656, 105, 'US', 'US-MD', 'Clements', 'no', '4MD4', '', '4MD4', ''),
	('VG19', 'small_airport', 'Sawyer Airport', 37.990522, -75.592872, 13, 'US', 'US-VA', 'New Church', 'no', 'VG19', '', 'VG19', '01W, Sawyer STOLport'),
	('31VA', 'small_airport', 'Aberdeen Field', 37.023799896240234, -76.5886001586914, 33, 'US', 'US-VA', 'Smithfield', 'no', '31VA', '', '31VA', ''),
	('48VA', 'small_airport', 'Al''s Field', 39.291265, -78.351445, 1120, 'US', 'US-VA', 'Gore', 'no', '48VA', '', '48VA', ''),
	('7VG0', 'small_airport', 'Warrenton Air Park', 38.65570068359375, -77.78720092773438, 442, 'US', 'US-VA', 'Warrenton', 'no', '7VG0', '', '7VG0', ''),
	('N06', 'small_airport', 'Laurel Airport', 38.542198, -75.594398, 30, 'US', 'US-DE', 'Laurel', 'no', '', '', 'N06', 'Western Sussex Airport-Booth Field'),
	('29VA', 'small_airport', 'Rhynalds Ranch Airport', 38.529300689697266, -77.73889923095703, 285, 'US', 'US-VA', 'Remington', 'no', '29VA', '', '29VA', ''),
	('6MD7', 'small_airport', 'D''Angelo Airport', 39.33919906616211, -75.7667007446289, 82, 'US', 'US-MD', 'Golts', 'no', '6MD7', '', '6MD7', ''),
	('2VA5', 'small_airport', 'Rosegill Farm Airstrip', 37.630699, -76.565002, 32, 'US', 'US-VA', 'Saluda', 'no', '2VA5', '', '2VA5', ''),
	('W79', 'closed', 'Tappahannock Municipal Airport', 37.925098, -76.871597, 31, 'US', 'US-VA', 'Tappahannock', 'no', '', '', '', 'W79'),
	('23DE', 'small_airport', 'Full Throttle Farm Airport', 39.312567, -75.728983, 81, 'US', 'US-DE', 'Clayton', 'no', '23DE', '', '23DE', ''),
	('MD01', 'small_airport', 'Wingfield Airport', 38.143254, -76.357244, 20, 'US', 'US-MD', 'Dameron', 'no', 'MD01', '', 'MD01', 'Ridge'),
	('MD80', 'closed', 'Clements Creek Seaplane Base', 39.021198, -76.522697, 0, 'US', 'US-MD', 'Annapolis', 'no', '', '', '', 'MD80'),
	('9VA1', 'small_airport', 'Holly Point Airport', 37.405142, -76.388272, 12, 'US', 'US-VA', 'Bohannon', 'no', '9VA1', '', '9VA1', ''),
	('4VA9', 'small_airport', 'Pleasantdale Field', 38.569218, -77.92001, 420, 'US', 'US-VA', 'Rixeyville', 'no', '4VA9', '', '4VA9', ''),
	('3W3', 'small_airport', 'Kentmorr Airpark', 38.918201, -76.358002, 10, 'US', 'US-MD', 'Stevensville', 'no', '3W3', '', '3W3', ''),
	('MD62', 'small_airport', 'Church Hill Airport', 39.125, -76.00160217285156, 70, 'US', 'US-MD', 'Church Hill', 'no', 'MD62', '', 'MD62', ''),
	('KJGG', 'small_airport', 'Williamsburg Jamestown Airport', 37.239201, -76.716103, 49, 'US', 'US-VA', 'Williamsburg', 'no', 'KJGG', '', 'JGG', ''),
	('33N', 'small_airport', 'Delaware Airpark', 39.21874, -75.600424, 56, 'US', 'US-DE', 'Dover/Cheswold', 'no', 'K33N', '', '33N', ''),
	('DE29', 'small_airport', 'Scotty''s Place Airport', 39.375099182128906, -75.64409637451172, 40, 'US', 'US-DE', 'Smyrna', 'no', 'DE29', '', 'DE29', ''),
	('MD96', 'closed', 'Piney Point Airport', 38.14846, -76.52218, 9, 'US', 'US-MD', 'Piney Point', 'no', '', '', '', 'MD96'),
	('38N', 'small_airport', 'Smyrna Airport', 39.3036, -75.5839, 18, 'US', 'US-DE', 'Smyrna', 'no', '38N', '', '38N', ''),
	('0MD4', 'small_airport', 'Pond View Private Airport', 39.26679992675781, -76.18720245361328, 47, 'US', 'US-MD', 'Chestertown', 'no', '0MD4', '', '0MD4', ''),
	('MD50', 'small_airport', 'Chesapeake Ranch Airport', 38.361198, -76.405197, 116, 'US', 'US-MD', 'Lusby', 'no', 'MD50', '', 'MD50', ''),
	('VA56', 'small_airport', 'Wells Airport', 37.003501892089844, -76.82749938964844, 88, 'US', 'US-VA', 'Ivor', 'no', 'VA56', '', 'VA56', ''),
	('2VG8', 'small_airport', 'Folly Neck Airport', 37.870653, -76.73235, 12, 'US', 'US-VA', 'Warsaw', 'no', '2VG8', '', '2VG8', ''),
	('3VG2', 'small_airport', 'Machipongo International Airport', 37.3883018494, -75.8925018311, 36, 'US', 'US-VA', 'Machipongo', 'no', '3VG2', '', '3VG2', ''),
	('61VA', 'small_airport', 'High View Farm Airport', 39.23540115356445, -78.01190185546875, 595, 'US', 'US-VA', 'Berryville', 'no', '61VA', '', '61VA', ''),
	('DE09', 'small_airport', 'Johnsons Airport', 39.068199157714844, -75.4885025024414, 43, 'US', 'US-DE', 'Magnolia', 'no', 'DE09', '', 'DE09', ''),
	('46VA', 'small_airport', 'Byrd Creek Airport', 37.817467, -78.048547, 315, 'US', 'US-VA', 'Columbia', 'no', '46VA', '', '46VA', 'Caldonia'),
	('VG12', 'small_airport', 'Simpsonville Airport', 38.317796, -77.867402, 400, 'US', 'US-VA', 'Rhoadesville', 'no', 'VG12', '', 'VG12', ''),
	('3VA5', 'small_airport', 'Goose Hunt Farm Airport', 39.028889, -77.625, 340, 'US', 'US-VA', 'Leesburg', 'no', '3VA5', '', '3VA5', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KLKU', 'small_airport', 'Louisa County Airport / Freeman Field', 38.0098, -77.9701, 493, 'US', 'US-VA', 'Louisa', 'no', 'KLKU', 'LOW', 'LKU', ''),
	('MD28', 'small_airport', 'Ewing Airport', 38.80929946899414, -75.99220275878906, 50, 'US', 'US-MD', 'Easton', 'no', 'MD28', '', 'MD28', ''),
	('2VA8', 'small_airport', 'Brandywyne Farms Airport', 36.686936, -76.823369, 66, 'US', 'US-VA', 'Holland', 'no', '2VA8', '', '2VA8', ''),
	('KRMN', 'small_airport', 'Stafford Regional Airport', 38.398102, -77.455498, 211, 'US', 'US-VA', 'Fredericksburg', 'no', 'KRMN', '', 'RMN', ''),
	('6MD2', 'closed', 'Spring Landing Airport', 39.2458, -75.884399, 50, 'US', 'US-MD', 'Crumpton', 'no', '', '', '', '6MD2'),
	('W48', 'small_airport', 'Essex Skypark Airport', 39.2626, -76.432999, 15, 'US', 'US-MD', 'Baltimore', 'no', 'W48', '', 'W48', ''),
	('KBKT', 'small_airport', 'Allen C Perkinson Blackstone Army Air Field', 37.0741996765, -77.9574966431, 439, 'US', 'US-VA', 'Blackstone', 'no', 'KBKT', 'BKT', 'BKT', ''),
	('0VA8', 'small_airport', 'Jayarz Airport', 37.285801, -77.791199, 210, 'US', 'US-VA', 'Amelia Court House', 'no', '0VA8', '', '0VA8', ''),
	('0VA7', 'small_airport', 'Flatrock Air Strip', 37.52320098876953, -77.81939697265625, 425, 'US', 'US-VA', 'Richmond', 'no', '0VA7', '', '0VA7', ''),
	('MD97', 'small_airport', 'Lanseair Farms Airport', 38.46149826049805, -77.04640197753906, 40, 'US', 'US-MD', 'La Plata', 'no', 'MD97', '', 'MD97', ''),
	('01VA', 'small_airport', 'Pickles Airport', 39.125, -77.9250030518, 500, 'US', 'US-VA', 'Berryville', 'no', '01VA', '', '01VA', ''),
	('9VG', 'small_airport', 'Campbell Field', 37.458845, -75.877209, 40, 'US', 'US-VA', 'Weirwood', 'no', '', '', '9VG', 'Kellum Field, W08, VG26'),
	('1VA0', 'small_airport', 'Sabot Airport', 37.629299, -77.747498, 255, 'US', 'US-VA', 'Manakin-Sabot', 'no', '1VA0', '', '1VA0', ''),
	('WV21', 'small_airport', 'Needwood Farm Airport', 39.329756, -77.796221, 440, 'US', 'US-WV', 'Harpers Ferry', 'no', 'WV21', '', 'WV21', ''),
	('W31', 'small_airport', 'Lunenburg County Airport', 36.960201263427734, -78.18499755859375, 526, 'US', 'US-VA', 'Kenbridge', 'no', 'KW31', '', 'W31', ''),
	('KMIV', 'medium_airport', 'Millville Municipal Airport', 39.367802, -75.072197, 85, 'US', 'US-NJ', 'Millville', 'no', 'KMIV', 'MIV', 'MIV', ''),
	('KAVC', 'small_airport', 'Mecklenburg Brunswick Regional Airport', 36.688301, -78.054497, 441, 'US', 'US-VA', 'Brodnax', 'no', 'KAVC', '', 'AVC', ''),
	('21VA', 'small_airport', 'Eagles Nest Airport', 37.303382, -75.93574, 40, 'US', 'US-VA', 'Cape Charles', 'no', '21VA', '', '21VA', ''),
	('15N', 'small_airport', 'Jenkins Airport', 39.119598, -75.583801, 53, 'US', 'US-DE', 'Wyoming', 'no', '15N', '', '15N', ''),
	('8VA2', 'small_airport', 'Shivok Airport', 38.00899887084961, -76.56300354003906, 22, 'US', 'US-VA', 'Callao', 'no', '8VA2', '', '8VA2', ''),
	('KFME', 'medium_airport', 'Tipton Airport', 39.08539962769999, -76.7593994141, 150, 'US', 'US-MD', 'Fort Meade(Odenton)', 'no', 'KFME', 'FME', 'FME', 'Fort George G. Meade Army Airfield'),
	('DE19', 'small_airport', 'Duffy''s Airport', 39.325801849365234, -75.7416000366211, 69, 'US', 'US-DE', 'Townsend', 'no', 'DE19', '', 'DE19', ''),
	('VG38', 'closed', 'Easter Field', 37.367757, -78.08319, 380, 'US', 'US-VA', 'Amelia Court House', 'no', '', '', '', 'VG38'),
	('VA50', 'small_airport', 'Woods Farm Airstrip', 37.7150993347168, -77.30249786376953, 57, 'US', 'US-VA', 'Hanover', 'no', 'VA50', '', 'VA50', ''),
	('W75', 'small_airport', 'Hummel Field', 37.602402, -76.446701, 30, 'US', 'US-VA', 'Saluda', 'no', 'KW75', '', 'W75', ''),
	('MD90', 'N/A', 'N/A', 38.800803422927856, -76.25547632575035, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VA18', 'closed', 'Bundoran Airport', 37.968121, -78.681765, 840, 'US', 'US-VA', 'North Garden', 'no', '', '', '', 'VA18'),
	('VG36', 'small_airport', 'Keysville Airport', 37.03820037841797, -78.46279907226563, 627, 'US', 'US-VA', 'Keysville', 'no', 'VG36', '', 'VG36', ''),
	('VG00', 'closed', 'Mears Field', 37.370089, -75.944796, 22, 'US', 'US-VA', 'Cape Charles', 'no', '', '', '', 'VG00'),
	('4VA6', 'small_airport', 'Taylor Airport', 37.880699157714844, -75.50599670410156, 48, 'US', 'US-VA', 'Atlantic', 'no', '4VA6', '', '4VA6', ''),
	('DE21', 'small_airport', 'West Private Airport', 38.517901, -75.159874, 21, 'US', 'US-DE', 'Frankford', 'no', 'DE21', '', 'DE21', ''),
	('DE32', 'small_airport', 'Belfair Airport', 38.974998474121094, -75.61669921875, 64, 'US', 'US-DE', 'Felton', 'no', 'DE32', '', 'DE32', ''),
	('KFYJ', 'small_airport', 'Middle Peninsula Regional Airport', 37.521299, -76.762762, 20, 'US', 'US-VA', 'Shacklefords', 'no', 'KFYJ', '', 'FYJ', ''),
	('KDAA', 'medium_airport', 'Davison Army Air Field', 38.715000152600005, -77.1809997559, 73, 'US', 'US-VA', 'Fort Belvoir', 'no', 'KDAA', 'DAA', 'DAA', ''),
	('MD11', 'small_airport', 'Wright Field', 39.277099609375, -76.06269836425781, 80, 'US', 'US-MD', 'Chestertown', 'no', 'MD11', '', 'MD11', ''),
	('11VG', 'small_airport', 'Devil''s Reach Landing Airport', 38.20940017700195, -77.00060272216797, 28, 'US', 'US-VA', 'Oak Grove', 'no', '11VG', '', '11VG', ''),
	('VA08', 'small_airport', 'Longbranch Airport', 37.717098236083984, -76.35880279541016, 20, 'US', 'US-VA', 'Kilmarnock', 'no', 'VA08', '', 'VA08', ''),
	('1VA7', 'small_airport', 'Aaron Penston Field', 36.664725, -78.722091, 413, 'US', 'US-VA', 'Virgilina', 'no', '1VA7', '', '1VA7', ''),
	('3VG3', 'small_airport', 'Serenity Farm Airport', 37.936100006103516, -76.34860229492188, 10, 'US', 'US-VA', 'Burgess', 'no', '3VG3', '', '3VG3', ''),
	('KSFQ', 'small_airport', 'Suffolk Executive Airport', 36.6824, -76.601898, 72, 'US', 'US-VA', 'Suffolk', 'no', 'KSFQ', '', 'SFQ', ''),
	('5VA9', 'closed', 'Kilmarnock/Tolbert Field', 37.692896, -76.317939, 7, 'US', 'US-VA', 'Kilmarnock', 'no', '', '', '', '5VA9'),
	('MD39', 'small_airport', 'Buds Ferry Airport', 38.520999908447266, -77.25189971923828, 50, 'US', 'US-MD', 'Indian Head', 'no', 'MD39', '', 'MD39', ''),
	('27MD', 'small_airport', 'Myles Landing Airport', 39.098332, -75.895029, 70, 'US', 'US-MD', 'Church Hill', 'no', '27MD', '', '27MD', ''),
	('VA66', 'small_airport', 'Breeden Airport', 38.607601165771484, -77.56939697265625, 210, 'US', 'US-VA', 'Catlett', 'no', 'VA66', '', 'VA66', ''),
	('3VA2', 'small_airport', 'Aviacres Airport', 38.624298095703125, -77.78610229492188, 435, 'US', 'US-VA', 'Warrenton', 'no', '3VA2', '', '3VA2', ''),
	('VA31', 'small_airport', 'Apple Grove Airport', 37.76259994506836, -76.34629821777344, 15, 'US', 'US-VA', 'Kilmarnock', 'no', 'VA31', '', 'VA31', ''),
	('MD57', 'small_airport', 'Beverly Airport', 38.00597, -75.616236, 10, 'US', 'US-MD', 'Pocomoke City', 'no', 'MD57', '', 'MD57', ''),
	('3VA4', 'small_airport', 'Bill Davenport Memorial Airport', 37.857067, -76.736097, 10, 'US', 'US-VA', 'Warsaw', 'no', '3VA4', '', '3VA4', 'Shandy Hall Farm'),
	('VG64', 'small_airport', 'Lee Field', 37.561036, -76.851135, 20, 'US', 'US-VA', 'West Point', 'no', 'VG64', '', 'VG64', ''),
	('62VA', 'small_airport', 'Grasso Salvage Airport', 36.669898986816406, -76.72859954833984, 70, 'US', 'US-VA', 'Holland', 'no', '62VA', '', '62VA', ''),
	('2VA9', 'small_airport', 'Airlie Airport', 38.75790023803711, -77.78720092773438, 522, 'US', 'US-VA', 'Warrenton', 'no', '2VA9', '', '2VA9', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MD55', 'small_airport', 'Holly Springs Farm Airport', 38.39759826660156, -77.18609619140625, 90, 'US', 'US-MD', 'Nanjemoy', 'no', 'MD55', '', 'MD55', ''),
	('2MD6', 'small_airport', 'Cherry Field', 38.14400100708008, -76.47219848632813, 8, 'US', 'US-MD', 'Lexington Park', 'no', '2MD6', '', '2MD6', ''),
	('3MD6', 'small_airport', 'West St Mary''s Airport', 38.18899917602539, -76.4468994140625, 50, 'US', 'US-MD', 'Drayden', 'no', '3MD6', '', '3MD6', ''),
	('KNTU', 'medium_airport', 'Oceana Naval Air Station', 36.820702, -76.033501, 23, 'US', 'US-VA', 'Virginia Beach', 'no', 'KNTU', 'NTU', 'NTU', 'Apollo Soucek Field'),
	('MD18', 'closed', 'Horn Point Airport', 38.589601, -76.138497, 12, 'US', 'US-MD', 'Cambridge', 'no', '', '', '', 'MD18'),
	('VA34', 'closed', 'Big Buffalo Airstrip', 37.288219, -78.453404, 510, 'US', 'US-VA', 'Farmville', 'no', '', '', '', 'VA34'),
	('KEMV', 'small_airport', 'Emporia Greensville Regional Airport', 36.6869010925293, -77.48280334472656, 127, 'US', 'US-VA', 'Emporia', 'no', 'KEMV', '', 'EMV', ''),
	('23VG', 'small_airport', 'Murdock''s Holly Bu Airport', 36.70970153808594, -78.4281005859375, 465, 'US', 'US-VA', 'Boydton', 'no', '23VG', '', '23VG', ''),
	('38WV', 'small_airport', 'River''s Edge Farm Airport', 39.32529830932617, -78.42559814453125, 810, 'US', 'US-WV', 'Capon Bridge', 'no', '38WV', '', '38WV', ''),
	('7MD0', 'small_airport', 'Our Domain Airport', 39.06669998168945, -75.7332992553711, 65, 'US', 'US-MD', 'Marydel', 'no', '7MD0', '', '7MD0', ''),
	('KNYG', 'medium_airport', 'Quantico Marine Corps Airfield / Turner Field', 38.501701, -77.305298, 10, 'US', 'US-VA', 'Quantico', 'no', 'KNYG', 'NYG', 'NYG', ''),
	('MD63', 'small_airport', 'Cromwell Farm Airport', 39.27479934692383, -76.00990295410156, 65, 'US', 'US-MD', 'Chestertown', 'no', 'MD63', '', 'MD63', ''),
	('KGVE', 'N/A', 'N/A', 38.15599735826254, -78.16578045487404, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KXAA', 'N/A', 'N/A', 38.590840101242065, -78.22857588529587, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('62MD', 'small_airport', 'Sandy Point Airport', 38.488806, -76.643633, 20, 'US', 'US-MD', 'Prince Frederick', 'no', '62MD', '', '62MD', ''),
	('8VA1', 'closed', 'Grand Pre Farm Airport', 38.454303, -78.186402, 500, 'US', 'US-VA', 'Brightwood', 'no', '', '', '', '8VA1'),
	('KESN', 'small_airport', 'Easton Airport / Newnam Field', 38.804199, -76.069, 72, 'US', 'US-MD', 'Easton', 'no', 'KESN', 'ESN', 'ESN', ''),
	('MD14', 'small_airport', 'Robinson Private Airport', 38.524208, -76.683161, 20, 'US', 'US-MD', 'Hughesville', 'no', 'MD14', '', 'MD14', ''),
	('KDOV', 'medium_airport', 'Dover Air Force Base', 39.129501, -75.466003, 24, 'US', 'US-DE', 'Dover', 'no', 'KDOV', 'DOV', 'DOV', 'Municipal Airport - Dover Airdrome, Dover Army Airbase, Dover Army Airfield'),
	('VG32', 'small_airport', 'Eastview Airport', 37.61429977416992, -78.60359954833984, 500, 'US', 'US-VA', 'Buckingham', 'no', 'VG32', '', 'VG32', ''),
	('KDCA', 'large_airport', 'Ronald Reagan Washington National Airport', 38.8521, -77.037697, 15, 'US', 'US-DC', 'Washington', 'yes', 'KDCA', 'DCA', 'DCA', 'WAS'),
	('MD75', 'small_airport', 'Stolcrest STOLport', 39.341800689697266, -77.30359649658203, 530, 'US', 'US-MD', 'Urbana', 'no', 'MD75', '', 'MD75', ''),
	('VA23', 'small_airport', 'Sanford Field', 38.119714, -76.613674, 15, 'US', 'US-VA', 'Hague', 'no', 'VA23', '', 'VA23', ''),
	('KLFI', 'medium_airport', 'Langley Air Force Base', 37.082901, -76.360497, 11, 'US', 'US-VA', 'Hampton', 'no', 'KLFI', 'LFI', 'LFI', 'Langley Field'),
	('W18', 'closed', 'Suburban Airport', 39.0769, -76.828003, 148, 'US', 'US-MD', 'Laurel', 'no', '', '', '', 'W18'),
	('KCPK', 'small_airport', 'Chesapeake Regional Airport', 36.6656, -76.320702, 19, 'US', 'US-VA', 'Chesapeake', 'no', 'KCPK', '', 'CPK', ''),
	('3MD9', 'small_airport', 'Chandler Airport', 38.11819839477539, -76.39129638671875, 17, 'US', 'US-MD', 'Ridge', 'no', '3MD9', '', '3MD9', ''),
	('3MD5', 'small_airport', 'Hidden Hills Airport', 38.62120056152344, -75.84130096435547, 20, 'US', 'US-MD', 'Hurlock', 'no', '3MD5', '', '3MD5', ''),
	('85VA', 'seaplane_base', 'Land''s End Seaplane Base', 37.853599548339844, -76.24669647216797, 0, 'US', 'US-VA', 'Reedville', 'no', '85VA', '', '85VA', ''),
	('MD06', 'small_airport', 'Pilots Cove Airport', 38.336764, -76.88058, 20, 'US', 'US-MD', 'Newburg', 'no', 'MD06', '', 'MD06', ''),
	('7W4', 'small_airport', 'Lake Anna Airport', 37.9656982421875, -77.74579620361328, 355, 'US', 'US-VA', 'Bumpass', 'no', '7W4', '', '7W4', ''),
	('24VA', 'small_airport', 'Cherrystone Airport', 37.287951, -75.999835, 14, 'US', 'US-VA', 'Cape Charles', 'no', '24VA', '', '24VA', ''),
	('D74', 'small_airport', 'Chorman Airport', 38.849672, -75.61284, 66, 'US', 'US-DE', 'Farmington', 'no', '', '', 'D74', 'DE20'),
	('5MD4', 'closed', 'AAI Heliport', 39.469601, -76.640503, 350, 'US', 'US-MD', 'Cockeysville', 'no', '', '', '', '5MD4'),
	('5MD8', 'small_airport', 'Edelen Field', 38.49100112915039, -77.0115966796875, 151, 'US', 'US-MD', 'La Plata', 'no', '5MD8', '', '5MD8', ''),
	('VG42', 'small_airport', 'Henshaw Airport', 37.26469, -77.16544, 85, 'US', 'US-VA', 'Hopewell', 'no', 'VG42', '', 'VG42', ''),
	('02MD', 'small_airport', 'Garner Field', 38.672544, -76.709739, 141, 'US', 'US-MD', 'Brandywine', 'no', '02MD', '', '02MD', ''),
	('9VG9', 'small_airport', 'Jucapa Farms Airport', 39.371381, -78.306277, 1160, 'US', 'US-VA', 'Winchester', 'no', '9VG9', '', '9VG9', ''),
	('MD83', 'small_airport', 'Ty-Ti-To Airport', 38.519833, -77.069092, 170, 'US', 'US-MD', 'La Plata', 'no', 'MD83', '', 'MD83', ''),
	('MD59', 'small_airport', 'Silver Hill Airport', 39.139801025391, -76.093597412109, 30, 'US', 'US-MD', 'Chestertown', 'no', '', '', 'MD59', 'MD59'),
	('W00', 'small_airport', 'Freeway Airport', 38.941397, -76.772401, 168, 'US', 'US-MD', 'Bowie', 'no', '', '', 'W00', 'SFRA, FRZ, "Outside FRZ", Mitchellville'),
	('KWAL', 'small_airport', 'Wallops Flight Facility Airport', 37.940813, -75.462255, 40, 'US', 'US-VA', 'Wallops Island', 'no', 'KWAL', 'WAL', 'WAL', 'Naval Auxiliary Air Station Chincoteague'),
	('NC22', 'small_airport', 'Charles Field', 35.227500915527344, -78.5551986694336, 185, 'US', 'US-NC', 'Dunn', 'no', 'NC22', '', 'NC22', ''),
	('66NC', 'small_airport', 'Hood Field', 35.174400329589844, -77.48359680175781, 59, 'US', 'US-NC', 'Dover', 'no', '66NC', '', '66NC', ''),
	('KWIQ', 'N/A', 'N/A', 35.824119709432125, -77.06481009721756, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('42NC', 'small_airport', 'Spring Paths Airport', 35.957801818847656, -78.17060089111328, 290, 'US', 'US-NC', 'Spring Hope', 'no', '42NC', '', '42NC', ''),
	('2NC7', 'small_airport', 'Scotland Neck East Airport', 36.16790008544922, -77.3989028930664, 103, 'US', 'US-NC', 'Scotland Neck', 'no', '2NC7', '', '2NC7', ''),
	('KCEB', 'N/A', 'N/A', 35.534302331507206, -76.62495017051697, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NC54', 'small_airport', 'Jackson Private Airport', 34.878444, -76.358328, 10, 'US', 'US-NC', 'Atlantic', 'no', 'NC54', '', 'NC54', ''),
	('NC73', 'small_airport', 'Hodges Farm Airport', 35.43875, -76.449587, 6, 'US', 'US-NC', 'Sladesville', 'no', 'NC73', '', 'NC73', 'Garrish Farm'),
	('KACZ', 'small_airport', 'Henderson Field', 34.717899, -78.003601, 39, 'US', 'US-NC', 'Wallace', 'no', 'KACZ', '', 'ACZ', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KGSB', 'medium_airport', 'Seymour Johnson Air Force Base', 35.339401, -77.960602, 109, 'US', 'US-NC', 'Goldsboro', 'no', 'KGSB', 'GSB', 'GSB', ''),
	('23NR', 'small_airport', 'Whitfield''s East Airport', 35.560934, -76.232415, 1, 'US', 'US-NC', 'Fairfield', 'no', '23NR', '', '23NR', ''),
	('1NC4', 'small_airport', 'Bell Strip', 34.995399475097656, -77.25769805908203, 35, 'US', 'US-NC', 'Pollocksville', 'no', '1NC4', '', '1NC4', ''),
	('1NC5', 'small_airport', 'Riley Field', 35.93320083618164, -78.34860229492188, 360, 'US', 'US-NC', 'Bunn', 'no', '1NC5', '', '1NC5', ''),
	('54NC', 'small_airport', 'Dillard Airport', 36.23939895629883, -76.41719818115234, 15, 'US', 'US-NC', 'Winfall', 'no', '54NC', '', '54NC', ''),
	('W17', 'small_airport', 'Raleigh East (Duplicate)', 35.80614, -78.34655, 313, 'US', 'US-NC', 'Knightdale', 'no', 'RE99', '', 'RE99', ''),
	('NC3', 'N/A', 'N/A', 34.56672661006451, -77.44061976671219, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCPC', 'small_airport', 'Columbus County Municipal Airport', 34.27289963, -78.71499634, 99, 'US', 'US-NC', 'Whiteville', 'no', 'KCPC', '', 'CPC', ''),
	('NC48', 'small_airport', 'Safe Field', 34.75019836425781, -78.05999755859375, 50, 'US', 'US-NC', 'Wallace', 'no', 'NC48', '', 'NC48', ''),
	('NC66', 'small_airport', 'Ventosa Plantation Airport', 36.13130187988281, -77.2957992553711, 30, 'US', 'US-NC', 'Scotland Neck', 'no', 'NC66', '', 'NC66', ''),
	('01NC', 'small_airport', 'Topsail Airpark', 34.47529983520508, -77.5813980102539, 65, 'US', 'US-NC', 'Holly Ridge', 'no', '01NC', '', '01NC', ''),
	('60J', 'small_airport', 'Odell Williamson Municipal Airport', 33.90850067138672, -78.43669891357422, 32, 'US', 'US-NC', 'Ocean Isle Beach', 'no', 'K60J', '', '60J', ''),
	('KFFA', 'small_airport', 'First Flight Airport', 36.0181999207, -75.67130279540001, 13, 'US', 'US-NC', 'Kill Devil Hills', 'no', 'KFFA', 'FFA', 'FFA', ''),
	('03NC', 'small_airport', 'Pilots Ridge Airport', 34.10430145263672, -77.9041976928711, 35, 'US', 'US-NC', 'Carolina Beach', 'no', '03NC', '', '03NC', ''),
	('NC84', 'closed', 'West Wind Heliport', 35.534801, -82.9532, 2700, 'US', 'US-NC', 'Lake Junaluska', 'no', '', '', '', 'NC84'),
	('NC61', 'small_airport', 'NC61 Airport', 36.459589, -76.210855, 12, 'US', 'US-NC', 'Moyock', 'no', 'NC61', '', 'NC61', 'Academi Airstrip, Blackwater Airstrip'),
	('27NR', 'small_airport', 'C A G Farms Airport', 35.468762, -78.652003, 310, 'US', 'US-NC', 'Angier', 'no', '', '', '27NR', '87NC'),
	('7NC2', 'small_airport', 'Pine Island Airport', 36.252744, -75.785256, 16, 'US', 'US-NC', 'Corolla', 'no', '7NC2', 'DUF', '7NC2', ''),
	('2NC4', 'small_airport', 'Scottbrook Farm Airport', 35.33789825439453, -78.15470123291016, 160, 'US', 'US-NC', 'Goldsboro', 'no', '2NC4', '', '2NC4', ''),
	('KGWW', 'small_airport', 'Wayne Executive Jetport', 35.460602, -77.964897, 134, 'US', 'US-NC', 'Pikeville', 'no', 'KGWW', '', 'GWW', 'Goldsboro-Wayne Municipal Airport'),
	('KNKT', 'medium_airport', 'Cherry Point MCAS / Cunningham Field/', 34.900902, -76.880699, 29, 'US', 'US-NC', 'Cherry Point', 'no', 'KNKT', '', 'NKT', 'Cherry Point MCAS'),
	('KDPL', 'small_airport', 'Duplin County Airport', 35.00009918, -77.98169708, 136, 'US', 'US-NC', 'Kenansville', 'no', 'KDPL', '', 'DPL', ''),
	('15NC', 'small_airport', 'Dragonfly Field', 36.239945, -76.973537, 49, 'US', 'US-NC', 'Ahoskie', 'no', '15NC', '', '15NC', ''),
	('13NC', 'small_airport', 'Oak Grove Marine Corps Outlying Field', 35.025006, -77.255945, 27, 'US', 'US-NC', 'Pollocksville', 'no', '13NC', '', '13NC', ''),
	('5W5', 'small_airport', 'Triple W Airport', 35.6203, -78.700302, 244, 'US', 'US-NC', 'Raleigh', 'no', '', '', '5W5', ''),
	('KRIS', 'N/A', 'N/A', 34.8517481982708, -77.6638899743557, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('63NC', 'closed', 'Wood Airport', 35.834898, -77.996385, 170, 'US', 'US-NC', 'Wilson', 'no', '', '', '', '63NC'),
	('KRWI', 'medium_airport', 'Rocky Mount Wilson Regional Airport', 35.8563, -77.891899, 159, 'US', 'US-NC', 'Rocky Mount', 'no', 'KRWI', 'RWI', 'RWI', ''),
	('NR40', 'small_airport', 'Als Airport', 35.820833, -77.378889, 65, 'US', 'US-NC', 'Bethel', 'no', 'NR40', '', 'NR40', ''),
	('05W', 'N/A', 'N/A', 35.580739080905914, -76.51560097932816, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6N9', 'closed', 'Eagles Nest Airport', 34.980942, -77.699604, 115, 'US', 'US-NC', 'Pink Hill', 'no', '', '', '', '6N9, Flying W'),
	('KPGV', 'medium_airport', 'Pitt-Greenville Airport', 35.635535, -77.384262, 26, 'US', 'US-NC', 'Greenville', 'yes', 'KPGV', 'PGV', 'PGV', ''),
	('N08', 'small_airport', 'Flanagan Field', 35.55670166015625, -77.56060028076172, 75, 'US', 'US-NC', 'Farmville', 'no', 'N08', '', 'N08', ''),
	('NR10', 'N/A', 'N/A', 35.05071949213743, -77.73608610033989, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NC65', 'small_airport', 'Yonder Airport', 34.559600830078125, -78.26809692382813, 35, 'US', 'US-NC', 'Atkinson', 'no', 'NC65', '', 'NC65', ''),
	('NC28', 'small_airport', 'Meadstown Airstrip', 36.200215, -76.234252, 7, 'US', 'US-NC', 'Elizabeth City', 'no', 'NC28', '', 'NC28', ''),
	('KHRJ', 'small_airport', 'Harnett Regional Jetport Airport', 35.379398, -78.733002, 202, 'US', 'US-NC', 'Erwin', 'no', 'KHRJ', '', 'HRJ', '37W, Harnett County Airport'),
	('19NC', 'small_airport', 'Double S Airport', 36.064306, -77.923121, 195, 'US', 'US-NC', 'Red Oak', 'no', '19NC', '', '19NC', ''),
	('NC47', 'small_airport', 'South Oaks Aerodrome', 35.482164, -77.355904, 50, 'US', 'US-NC', 'Winterville', 'no', '', '', '05N', 'NC47'),
	('17NC', 'small_airport', 'Mitchell Field', 34.46630096435547, -78.32859802246094, 23, 'US', 'US-NC', 'Elizabethtown', 'no', '17NC', '', '17NC', ''),
	('4NC7', 'small_airport', 'Peacock STOLport', 35.6963005065918, -78.5374984741211, 390, 'US', 'US-NC', 'Garner', 'no', '4NC7', '', '4NC7', ''),
	('7NC3', 'small_airport', 'Kenly Airport', 35.596389, -78.098611, 225, 'US', 'US-NC', 'Kenly', 'no', '7NC3', '', '7NC3', ''),
	('KISO', 'medium_airport', 'Kinston Regional Jetport At Stallings Field', 35.331401825, -77.60880279540001, 93, 'US', 'US-NC', 'Kinston', 'no', 'KISO', 'ISO', 'ISO', ''),
	('79NC', 'small_airport', 'Ball Airport', 36.134300231933594, -78.28189849853516, 366, 'US', 'US-NC', 'Louisburg', 'no', '79NC', '', '79NC', ''),
	('W40', 'small_airport', 'Mount Olive Municipal Airport', 35.221409, -78.038678, 168, 'US', 'US-NC', 'Mount Olive', 'no', 'W40', '', 'W40', ''),
	('58NR', 'small_airport', 'Chase Field', 35.42527, -77.597401, 56, 'US', 'US-NC', 'Hookerton', 'no', '58NR', '', '58NR', ''),
	('KOCW', 'small_airport', 'Warren Field', 35.570499420166, -77.049797058105, 38, 'US', 'US-NC', 'Washington', 'no', 'KOCW', 'OCW', 'OCW', ''),
	('12NC', 'small_airport', 'Atlantic Field Marine Corps Outlying Field', 34.892099, -76.349029, 20, 'US', 'US-NC', 'Atlantic', 'no', '12NC', '', '12NC', ''),
	('KSCT', 'N/A', 'N/A', 36.070850752294064, -77.27106615900993, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('1NC3', 'small_airport', 'Fletcher''s Airport', 36.180999, -76.150332, 7, 'US', 'US-NC', 'Elizabeth City', 'no', '1NC3', '', '1NC3', ''),
	('9NR7', 'small_airport', 'Triple F Airpark', 35.018333, -78.565833, 148, 'US', 'US-NC', 'Salemburg', 'no', '9NR7', '', '9NR7', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('16NC', 'small_airport', 'Lee''s Airport', 36.19609832763672, -76.66529846191406, 31, 'US', 'US-NC', 'Edenton', 'no', '16NC', '', '16NC', ''),
	('NC44', 'small_airport', 'Barclaysville Field', 35.46689987182617, -78.68389892578125, 300, 'US', 'US-NC', 'Angier', 'no', 'NC44', '', 'NC44', ''),
	('1NR7', 'small_airport', 'Boyd Field', 36.274059, -78.46862, 336, 'US', 'US-NC', 'Henderson', 'no', '1NR7', '', '1NR7', ''),
	('W95', 'small_airport', 'Ocracoke Island Airport', 35.1012, -75.966003, 5, 'US', 'US-NC', 'Ocracoke', 'no', 'KW95', '', 'W95', ''),
	('KMRH', 'small_airport', 'Michael J. Smith Field', 34.73360062, -76.66059875, 11, 'US', 'US-NC', 'Beaufort', 'no', 'KMRH', '', 'MRH', ''),
	('KETC', 'small_airport', 'Tarboro Edgecombe Airport', 35.93709945678711, -77.54660034179688, 53, 'US', 'US-NC', 'Tarboro', 'no', 'KETC', '', 'ETC', ''),
	('52NC', 'small_airport', 'Epley Airport', 34.844600677490234, -77.2667007446289, 43, 'US', 'US-NC', 'Jacksonville', 'no', '52NC', '', '52NC', ''),
	('21NC', 'heliport', 'Isbell Heliport', 36.18669891357422, -76.27940368652344, 12, 'US', 'US-NC', 'Hertford', 'no', '21NC', '', '21NC', ''),
	('70NR', 'small_airport', 'Ruby''s Landing', 35.218562, -78.366777, 144, 'US', 'US-NC', 'Newton Grove', 'no', '70NR', '', '70NR', ''),
	('14NC', 'small_airport', 'Camp Davis Marine Corps Outlying Field', 34.516458, -77.545109, 60, 'US', 'US-NC', 'Holly Ridge', 'no', '14NC', '', '14NC', 'Camp Davis MCOLF, DZ Pheasant, LZ Duck'),
	('86NC', 'small_airport', 'Craig Craft Airport', 36.263355, -76.49126, 14, 'US', 'US-NC', 'Hertford', 'no', '86NC', '', '86NC', 'Craft Air Services'),
	('NR37', 'small_airport', 'Suter Field', 35.057099, -77.462266, 35, 'US', 'US-NC', 'Trenton', 'no', 'NR37', '', 'NR37', ''),
	('77NC', 'small_airport', 'Winnabow Airport', 34.152099609375, -78.10549926757813, 33, 'US', 'US-NC', 'Winnabow', 'no', '77NC', '', '77NC', ''),
	('NC72', 'small_airport', 'Hinton Field', 35.451499938964844, -78.16000366210938, 152, 'US', 'US-NC', 'Princeton', 'no', 'NC72', '', 'NC72', ''),
	('KNJM', 'small_airport', 'Marine Corps Auxiliary Landing Field Bogue', 34.690399, -77.029701, 21, 'US', 'US-NC', 'Bogue', 'no', 'KNJM', '', 'NJM', 'Bogue Field, MCALF, MCOLF, Marine Corps Outlying Landing Field Bogue'),
	('NC20', 'small_airport', 'Canaan Air Base Airport', 35.087273, -77.162468, 33, 'US', 'US-NC', 'New Bern', 'no', 'NC20', '', 'NC20', ''),
	('45NC', 'small_airport', 'Glover Airport', 36.528381, -77.455308, 120, 'US', 'US-NC', 'Seaboard', 'no', '45NC', '', '45NC', ''),
	('KFRO', 'N/A', 'N/A', 35.48126835376024, -77.89681032299995, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEDE', 'small_airport', 'Northeastern Regional Airport', 36.027698516799994, -76.56710052490001, 20, 'US', 'US-NC', 'Edenton', 'no', 'KEDE', 'EDE', 'EDE', 'MCAS Edenton, NAAS Edenton'),
	('8NC7', 'small_airport', 'Parker Field', 34.9364013671875, -77.27670288085938, 40, 'US', 'US-NC', 'Maysville', 'no', '8NC7', '', '8NC7', ''),
	('33NC', 'closed', 'Pettigrew Moore Aerodrome', 34.428222, -78.091636, 30, 'US', 'US-NC', 'Wilmington', 'no', '', '', '', '33NC'),
	('NC36', 'closed', 'Benton''s Airfield', 35.502899, -78.030296, 145, 'US', 'US-NC', 'Pikeville', 'no', '', '', '', 'NC36'),
	('KSUT', 'small_airport', 'Cape Fear Regional Jetport / Howie Franklin Field Airport', 33.929298, -78.074997, 24, 'US', 'US-NC', 'Southport', 'no', 'KSUT', '', 'SUT', 'Brunswick County'),
	('7NC', 'small_airport', 'Donald''s Air Park Inc. Airport', 35.731581, -76.671381, 18, 'US', 'US-NC', 'Plymouth', 'no', '7NC', '', '7NC', 'Formerly 1NC7'),
	('KILM', 'medium_airport', 'Wilmington International Airport', 34.270599365234375, -77.90260314941406, 32, 'US', 'US-NC', 'Wilmington', 'yes', 'KILM', 'ILM', 'ILM', ''),
	('7NC1', 'small_airport', 'Stag Air Park', 34.52790069580078, -77.85030364990234, 23, 'US', 'US-NC', 'Burgaw', 'no', '7NC1', '', '7NC1', ''),
	('N21', 'small_airport', 'Holly Ridge/Topsail Island Airport', 34.490335, -77.531934, 49, 'US', 'US-NC', 'Holly Ridge', 'no', 'NR32', '', 'NR32', 'NC95, N21'),
	('NC76', 'closed', 'Massengill Airport', 35.315966, -78.386292, 190, 'US', 'US-NC', 'Newton Grove', 'no', '', '', '', 'NC76'),
	('NC12', 'small_airport', 'Lee Creek Airport', 35.38959884643555, -76.78469848632813, 3, 'US', 'US-NC', 'Aurora', 'no', 'NC12', '', 'NC12', ''),
	('NR82', 'small_airport', 'Carolina Bay Airport', 34.097222, -78.719722, 50, 'US', 'US-NC', 'Clarendon', 'no', '', '', 'NR82', ''),
	('4NC5', 'small_airport', 'Triple M Airport', 34.7295, -77.05133, 30, 'US', 'US-NC', 'Cape Carteret', 'no', '4NC5', '', '4NC5', ''),
	('75NC', 'closed', 'JW Stone Airport', 35.846156, -78.179049, 246, 'US', 'US-NC', 'Middlesex', 'no', '', '', '', '75NC'),
	('KLHZ', 'small_airport', 'Triangle North Executive Airport', 36.0233, -78.330299, 369, 'US', 'US-NC', 'Louisburg', 'no', 'KLHZ', 'LFN', 'LHZ', '2N9, Franklin County Airport'),
	('KHSE', 'small_airport', 'Billy Mitchell Airport', 35.232799530029, -75.617797851562, 17, 'US', 'US-NC', 'Hatteras', 'no', 'KHSE', 'HNC', 'HSE', '8W5'),
	('KLOD', 'N/A', 'N/A', 36.12512893974781, -78.16239014267921, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCUR', 'N/A', 'N/A', 36.40880975872278, -76.09012931585312, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCRE', 'medium_airport', 'Grand Strand Airport', 33.8116989136, -78.72389984130001, 32, 'US', 'US-SC', 'North Myrtle Beach', 'no', 'KCRE', 'CRE', 'CRE', ''),
	('6NC7', 'small_airport', 'Circle P Farm Airport', 34.751399993896484, -76.90609741210938, 30, 'US', 'US-NC', 'Newport', 'no', '6NC7', '', '6NC7', ''),
	('KCTZ', 'small_airport', 'Sampson County Airport', 34.9756011963, -78.3646011353, 148, 'US', 'US-NC', 'Clinton', 'no', 'KCTZ', 'CTZ', 'CTZ', ''),
	('KEWN', 'medium_airport', 'Coastal Carolina Regional Airport', 35.0730018616, -77.04290008539999, 18, 'US', 'US-NC', 'New Bern', 'yes', 'KEWN', 'EWN', 'EWN', ''),
	('2NR2', 'small_airport', 'Elkins Field', 34.458754, -78.618627, 93, 'US', 'US-NC', 'Clarkton', 'no', '2NR2', '', '2NR2', '1E6'),
	('KMCZ', 'small_airport', 'Martin County Airport', 35.86220169067383, -77.1781997680664, 76, 'US', 'US-NC', 'Williamston', 'no', 'KMCZ', '', 'MCZ', ''),
	('17NR', 'small_airport', 'Zombie Air Force Airport', 34.78325, -78.577008, 86, 'US', 'US-NC', 'Ammon', 'no', '17NR', '', '17NR', ''),
	('KWIX', 'N/A', 'N/A', 36.05816725641489, -76.85894295573235, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KOAJ', 'medium_airport', 'Albert J Ellis Airport', 34.829201, -77.612099, 94, 'US', 'US-NC', 'Richlands', 'yes', 'KOAJ', 'OAJ', 'OAJ', ''),
	('70NC', 'small_airport', 'Martindale Executive Airpark', 36.54460144042969, -78.14800262451172, 300, 'US', 'US-NC', 'Paschall', 'no', '70NC', '', '70NC', ''),
	('KMUF', 'closed', 'Pikeville Airfield', 37.50285, -82.536614, 669, 'US', 'US-KY', 'Pikeville', 'no', '', '', '', 'KMUF'),
	('NC49', 'small_airport', 'Boyd Field', 35.527801513671875, -77.19670104980469, 50, 'US', 'US-NC', 'Grimesland', 'no', 'NC49', '', 'NC49', ''),
	('KOAN', 'N/A', 'N/A', 34.28441271185875, -78.37459176778793, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NC99', 'small_airport', 'Bagwell Airport', 35.67430114746094, -78.6072006225586, 300, 'US', 'US-NC', 'Garner', 'no', 'NC99', '', 'NC99', ''),
	('62NC', 'small_airport', 'Hickory Hill Airport', 34.936798, -76.944702, 30, 'US', 'US-NC', 'Havelock', 'no', '62NC', '', '62NC', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('51NC', 'small_airport', 'Phillip R Bunn Airport', 35.862262, -78.348262, 355, 'US', 'US-NC', 'Zebulon', 'no', '51NC', '', '51NC', 'Field of Dreams, Zebulon Airport'),
	('KHNZ', 'small_airport', 'Henderson Oxford Airport', 36.361599, -78.529198, 526, 'US', 'US-NC', 'Oxford', 'no', 'KHNZ', '', 'HNZ', ''),
	('7NC5', 'small_airport', 'Crooked Creek Airport', 35.933799743652344, -78.24669647216797, 250, 'US', 'US-NC', 'Bunn', 'no', '7NC5', '', '7NC5', ''),
	('NC01', 'small_airport', 'Harvey Point Defense Testing Activity Airport', 36.09619903564453, -76.32710266113281, 10, 'US', 'US-NC', 'Hertford', 'no', 'NC01', '', 'NC01', ''),
	('KONX', 'small_airport', 'Currituck County Regional Airport', 36.398899, -76.016296, 18, 'US', 'US-NC', 'Maple', 'no', 'KONX', '', 'ONX', '9W7'),
	('KIXA', 'small_airport', 'Halifax-Northampton Regional Airport', 36.3298, -77.635231, 145, 'US', 'US-NC', 'Halifax', 'no', 'KIXA', '', 'IXA', ''),
	('VG28', 'small_airport', 'Mann Airport', 36.549, -77.191399, 35, 'US', 'US-VA', 'Boykins', 'no', 'VG28', '', 'VG28', ''),
	('6NC5', 'small_airport', 'Thompson Farms Airport', 36.024887, -77.659416, 100, 'US', 'US-NC', 'Whitakers', 'no', '6NC5', '', '6NC5', ''),
	('KASJ', 'small_airport', 'Tri-County Airport at Henry Joyner Field', 36.297501, -77.170898, 68, 'US', 'US-NC', 'Aulander', 'no', 'KASJ', '', 'ASJ', ''),
	('N22', 'small_airport', 'Sky Manor Airport', 34.716801, -77.592201, 60, 'US', 'US-NC', 'Jacksonville', 'no', 'N22', '', 'N22', ''),
	('6NC0', 'small_airport', 'Cox-Grantham Airfield', 35.289059, -78.179611, 157, 'US', 'US-NC', 'Grantham', 'no', '6NC0', '', '6NC0', 'Grantham Airpark'),
	('NC10', 'small_airport', 'Nocarva Airport', 36.54180145263672, -78.05799865722656, 275, 'US', 'US-NC', 'Macon', 'no', 'NC10', '', 'NC10', ''),
	('NC56', 'small_airport', 'Deer Run Airport', 36.2047004699707, -78.46890258789063, 405, 'US', 'US-NC', 'Kittrell', 'no', 'NC56', '', 'NC56', ''),
	('NC17', 'small_airport', 'Wolf''s Den Airport', 34.980051, -76.302308, 10, 'US', 'US-NC', 'Cedar Island', 'no', 'NC17', '', 'NC17', ''),
	('4NC2', 'closed', 'Bay Creek Airport', 35.206437, -76.611511, 2, 'US', 'US-NC', 'Bayboro', 'no', '', '', '', '4NC2'),
	('KANG', 'N/A', 'N/A', 35.54526653140783, -78.59285295009613, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KJNX', 'medium_airport', 'Johnston Regional Airport', 35.540901, -78.390297, 164, 'US', 'US-NC', 'Smithfield', 'no', 'KJNX', '', 'JNX', 'Johnston County Airport'),
	('7NC8', 'closed', 'Fish Airpark', 35.534901, -78.696404, 280, 'US', 'US-NC', 'Angier', 'no', '', '', '', '7NC8'),
	('KECG', 'medium_airport', 'Elizabeth City Regional Airport & Coast Guard Air Station', 36.260601, -76.174599, 11, 'US', 'US-NC', 'Elizabeth City', 'no', 'KECG', 'ECG', 'ECG', ''),
	('NC69', 'small_airport', 'Twin Oak Airport', 34.86942, -78.472681, 125, 'US', 'US-NC', 'Roseboro', 'no', 'NC69', '', 'NC69', ''),
	('10NC', 'small_airport', 'Johnston Farm Airport', 36.340711, -77.508974, 60, 'US', 'US-NC', 'Jackson', 'no', '10NC', '', '10NC', ''),
	('87NC', 'small_airport', 'C A G Farms Airport', 35.468762, -78.652003, 310, 'US', 'US-NC', 'Angier', 'no', '', '', '27NR', '87NC'),
	('KMQI', 'small_airport', 'Dare County Regional Airport', 35.91879, -75.695662, 13, 'US', 'US-NC', 'Manteo', 'no', 'KMQI', 'MEO', 'MQI', ''),
	('76NC', 'small_airport', 'Dunroamin Farms Airport', 36.1599006652832, -77.62470245361328, 100, 'US', 'US-NC', 'Enfield', 'no', '76NC', '', '76NC', ''),
	('KNCA', 'medium_airport', 'MCAS New River / McCutcheon Field', 34.708401, -77.439697, 26, 'US', 'US-NC', 'Jacksonville', 'no', 'KNCA', '', 'NCA', 'New River MCAS'),
	('NC43', 'small_airport', 'Bear Pen Airport', 34.12519836425781, -78.33809661865234, 63, 'US', 'US-NC', 'Supply', 'no', 'NC43', '', 'NC43', ''),
	('00NC', 'small_airport', 'North Raleigh Airport', 36.085201263427734, -78.37139892578125, 348, 'US', 'US-NC', 'Louisburg', 'no', '00NC', '', '00NC', ''),
	('KPMZ', 'small_airport', 'Plymouth Municipal Airport', 35.808399, -76.7593, 39, 'US', 'US-NC', 'Plymouth', 'no', 'KPMZ', '', 'PMZ', ''),
	('NC82', 'small_airport', 'Dublin Field', 34.67084, -78.700304, 126, 'US', 'US-NC', 'Dublin', 'no', 'NC82', '', 'NC82', ''),
	('6NC9', 'small_airport', 'Moss Hill Airport', 35.207793, -77.759771, 30, 'US', 'US-NC', 'Kinston', 'no', '6NC9', '', '6NC9', ''),
	('81NC', 'small_airport', 'Cox Field', 34.0408325195, -78.7399978638, 50, 'US', 'US-NC', 'Tabor City', 'no', '81NC', '', '81NC', ''),
	('3NR4', 'small_airport', 'Crabbe Airport', 36.281394, -76.336688, 15, 'US', 'US-NC', 'Elizabeth City', 'no', '3NR4', '', '3NR4', ''),
	('7W6', 'small_airport', 'Hyde County Airport', 35.562400817871094, -75.9552001953125, 8, 'US', 'US-NC', 'Engelhard', 'no', 'K7W6', '', '7W6', ''),
	('05NC', 'closed', 'Brunswick Community Hospital Heliport', 34.008099, -78.2911, 63, 'US', 'US-NC', 'Supply', 'no', '', '', '', '05NC'),
	('KEYF', 'small_airport', 'Curtis L Brown Jr Field', 34.60179901, -78.57929993, 131, 'US', 'US-NC', 'Elizabethtown', 'no', 'KEYF', '', 'EYF', '4W1'),
	('W03', 'small_airport', 'Wilson Industrial Air Center Airport', 35.77040100097656, -77.96980285644531, 161, 'US', 'US-NC', 'Wilson', 'no', 'KW03', '', 'W03', ''),
	('MYAW', 'small_airport', 'Walkers Cay Airport', 27.259656, -78.400455, 10, 'BS', 'BS-NO', 'Walkers Cay', 'no', 'MYAW', 'WKR', '', ''),
	('MYGF', 'medium_airport', 'Grand Bahama International Airport', 26.5587005615, -78.695602417, 7, 'BS', 'BS-FP', 'Freeport', 'yes', 'MYGF', 'FPO', '', ''),
	('MYXI', 'N/A', 'N/A', 26.64124857634306, -77.06646680831909, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MYAM', 'medium_airport', 'Leonard M Thompson International Airport', 26.510711, -77.084262, 6, 'BS', 'BS-CO', 'Marsh Harbour', 'yes', 'MYAM', 'MHH', '', 'Marsh Harbour International'),
	('MYBG', 'medium_airport', 'Great Harbour Cay Airport', 25.7383, -77.840103, 18, 'BS', 'BS-BY', 'Bullocks Harbour', 'no', 'MYBG', 'GHC', '', ''),
	('MYXZ', 'N/A', 'N/A', 26.631118543446064, -77.92083352804184, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MYGM', 'small_airport', 'Grand Bahama Auxiliary Airfield', 26.631901, -78.3592, 8, 'BS', 'BS-EG', 'High Rock', 'no', 'MYGM', '', '', ''),
	('MYAO', 'small_airport', 'Moores Island Airport', 26.317729, -77.561331, 16, 'BS', 'BS-SO', 'Moore''s Island', 'no', 'MYAO', '', 'MYAO', 'Hard Bargain'),
	('MYAS', 'small_airport', 'Sandy Point Airport', 26.004698, -77.395622, 8, 'BS', 'BS-SO', 'Sandy Point', 'no', 'MYAS', '', '', ''),
	('MYX5', 'closed', 'Cistern Field', 25.7787, -77.885201, 18, 'BS', 'BS-BY', 'Cistern Cay', 'no', '', '', '', 'MYBT, MYX5'),
	('MYAT', 'medium_airport', 'Treasure Cay Airport', 26.745300293, -77.3912963867, 8, 'BS', 'BS-CO', 'Treasure Cay', 'yes', 'MYAT', 'TCB', '', ''),
	('MYAX', 'small_airport', 'Spanish Cay Airport', 26.9503, -77.5438, 10, 'BS', 'BS-NO', '', 'no', 'MYAX', '', '', ''),
	('MYZ3', 'small_airport', 'Little Whale Cay Berry Islands Airport', 25.449349, -77.759991, 5, 'BS', 'BS-NS', 'Little Whale Cay', 'no', 'MYBX', '', 'MYZ3', ''),
	('MYX4', 'small_airport', 'Big Whale Cay Airport', 25.399599, -77.791, 16, 'BS', 'BS-NS', 'Big Whale Cay', 'no', 'MYBW', '', '', 'MYX4'),
	('MYBC', 'medium_airport', 'Chub Cay Airport', 25.41710090637207, -77.88089752197266, 5, 'BS', 'BS-NS', '', 'yes', 'MYBC', 'CCZ', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MYEH', 'medium_airport', 'North Eleuthera Airport', 25.474899292, -76.6835021973, 13, 'BS', 'BS-HI', 'North Eleuthera', 'yes', 'MYEH', 'ELH', '', ''),
	('MYEN', 'medium_airport', 'Normans Cay Airport', 24.594299, -76.820198, 8, 'BS', 'BS-EX', 'Normans Cay', 'no', 'MYEN', 'NMC', '', ''),
	('MYLD', 'medium_airport', 'Deadman''s Cay Airport', 23.1790008545, -75.09359741210001, 9, 'BS', 'BS-LI', 'Deadman''s Cay', 'yes', 'MYLD', 'LGI', '', ''),
	('MYEF', 'medium_airport', 'Exuma International Airport', 23.562599, -75.877998, 9, 'BS', 'BS-EX', 'Moss Town', 'yes', 'MYEF', 'GGT', '', ''),
	('MYZ2', 'closed', 'Cape Eleuthera Airport', 24.7861, -76.2962, 9, 'BS', 'BS-SE', 'Cape Eleuthera', 'no', '', '', '', 'CEL, MYEC, MYZ2'),
	('MYXF', 'small_airport', 'Little Darby Island Airport', 23.85814, -76.22309, 0, 'BS', 'BS-EX', 'Little Darby Island', 'no', 'MYXF', '', '', ''),
	('MYAN', 'medium_airport', 'San Andros Airport', 25.053800582885742, -78.04900360107422, 5, 'BS', 'BS-NS', 'Andros Island', 'yes', 'MYAN', 'SAQ', '', ''),
	('MYZ1', 'N/A', 'N/A', 23.397409804165363, -75.49715101718903, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MYCX', 'closed', 'Cutlass Bay Airport', 24.149141, -75.398, 3, 'BS', 'BS-CI', 'Cutlass Bay', 'no', '', '', '', 'MYCX'),
	('MYCB', 'medium_airport', 'New Bight Airport', 24.3153, -75.452301, 5, 'BS', 'BS-CI', 'Cat Island', 'yes', 'MYCB', 'TBI', '', ''),
	('MYLS', 'medium_airport', 'Stella Maris Airport', 23.582317, -75.268621, 10, 'BS', 'BS-LI', 'Stella Maris', 'yes', 'MYLS', 'SML', '', ''),
	('MYAF', 'medium_airport', 'Andros Town Airport', 24.697900772094727, -77.79560089111328, 5, 'BS', 'BS-NS', '', 'no', 'MYAF', 'ASD', '', ''),
	('MYAB', 'medium_airport', 'Clarence A. Bain Airport', 24.287701, -77.684601, 19, 'BS', 'BS-SA', 'Mangrove Cay', 'no', 'MYAB', 'MAY', '', ''),
	('MYAK', 'medium_airport', 'Congo Town Airport', 24.158701, -77.589798, 15, 'BS', 'BS-SA', 'Andros', 'yes', 'MYAK', 'TZN', 'COX', 'Congotown Airport, South Andros Airport'),
	('MYXD', 'small_airport', 'Leaf Cay Airport', 24.149612, -76.473534, 0, 'BS', 'BS-EX', 'Leaf Cay', 'no', 'MYXD', '', '', ''),
	('MYXE', 'N/A', 'N/A', 23.77552282065153, -76.10378444194794, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MYE3', 'N/A', 'N/A', 23.96157994866371, -76.32615342736244, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MYEM', 'medium_airport', 'Governor''s Harbour Airport', 25.2847, -76.331001, 26, 'BS', 'BS-CE', 'Governor''s Harbour', 'yes', 'MYEM', 'GHB', '', ''),
	('MYNN', 'large_airport', 'Lynden Pindling International Airport', 25.039, -77.466202, 16, 'BS', 'BS-NP', 'Nassau', 'yes', 'MYNN', 'NAS', '', 'Nassau International Airport'),
	('MYXA', 'N/A', 'N/A', 24.270688109099865, -76.54098808765411, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MYCA', 'medium_airport', 'Arthur''s Town Airport', 24.6294, -75.673797, 18, 'BS', 'BS-CI', 'Arthur''s Town', 'yes', 'MYCA', 'ATC', '', ''),
	('MYXH', 'small_airport', 'Sampson Cay Airport', 24.216, -76.4785, 8, 'BS', 'BS-EX', 'Sampson Cay', 'no', 'MYXH', '', 'MYXH', ''),
	('MYXC', 'small_airport', 'Hog Key Airport', 23.60070037841797, -75.33930206298828, 5, 'BS', 'BS-LI', 'Long Island', 'no', 'MYXC', '', 'MYXC', ''),
	('MYER', 'medium_airport', 'Rock Sound Airport', 24.8950787333, -76.1768817902, 10, 'BS', 'BS-SE', 'Rock Sound', 'no', 'MYER', 'RSD', '', ''),
	('MYX7', 'small_airport', 'Rudder Cut Cay Airport', 23.88640022277832, -76.25370025634766, 10, 'BS', 'BS-EX', 'Rudder Cut Cay', 'no', 'MYX7', '', 'MYX7', ''),
	('MYEB', 'small_airport', 'Black Point Airstrip', 24.089488, -76.397917, 10, 'BS', 'BS-EX', 'Black Point', 'no', 'MYEB', '', '', ''),
	('MYLM', 'N/A', 'N/A', 23.64974867552519, -75.32422408461571, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MYES', 'medium_airport', 'Staniel Cay Airport', 24.1691, -76.439102, 5, 'BS', 'BS-EX', '', 'no', 'MYES', 'TYM', '', ''),
	('MYE4', 'N/A', 'N/A', 24.15431510657072, -75.5191795527935, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NY98', 'N/A', 'N/A', 42.272130735218525, -74.39452841877937, 547, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NY60', 'small_airport', 'Vasile Field', 44.76250076293945, -73.5593032836914, 580, 'US', 'US-NY', 'Beekmanton', 'no', 'NY60', '', 'NY60', ''),
	('3NY7', 'small_airport', 'Hiserts Airpark Inc Airport', 42.984398, -74.519083, 813, 'US', 'US-NY', 'Ephratah', 'no', '3NY7', '', '3NY7', 'Eparatha'),
	('5B2', 'small_airport', 'Saratoga County Airport', 43.0513, -73.861198, 434, 'US', 'US-NY', 'Saratoga Springs', 'no', 'K5B2', '', '5B2', ''),
	('42VT', 'small_airport', 'Frogs End Airport', 44.36690139770508, -73.15019989013672, 320, 'US', 'US-VT', 'Shelburne', 'no', '42VT', '', '42VT', ''),
	('2N2', 'small_airport', 'Newfound Valley Airport', 43.591116, -71.751691, 510, 'US', 'US-NH', 'Bristol', 'no', 'K2N2', '', '2N2', ''),
	('0B7', 'small_airport', 'Warren-Sugarbush Airport', 44.117724, -72.826867, 1470, 'US', 'US-VT', 'Warren', 'no', 'K0B7', '', '0B7', ''),
	('48VT', 'seaplane_base', 'Cub Cove Seaplane Base', 44.553547, -73.231497, 95, 'US', 'US-VT', 'Colchester', 'no', '48VT', '', '48VT', ''),
	('NY05', 'small_airport', 'Hogan Airport', 42.78150177001953, -74.32569885253906, 1260, 'US', 'US-NY', 'Esperance', 'no', 'NY05', '', 'NY05', ''),
	('1I1', 'small_airport', 'Marcy Field', 44.220901, -73.791298, 985, 'US', 'US-NY', 'Keene', 'no', '1I1', '', '1I1', ''),
	('3NY0', 'small_airport', 'The Ranch Airport', 42.827301, -74.403999, 1110, 'US', 'US-NY', 'Sprakers', 'no', '3NY0', '', '3NY0', ''),
	('NY81', 'closed', 'Heldeberg Airstrip', 42.611198, -74.064796, 1237, 'US', 'US-NY', 'East Berne', 'no', '', '', '', 'NY81'),
	('NH20', 'small_airport', 'Ward Field', 43.4922981262207, -71.6458969116211, 440, 'US', 'US-NH', 'Sanbornton', 'no', 'NH20', '', 'NH20', ''),
	('6B0', 'small_airport', 'Middlebury State Airport', 43.986392, -73.09556, 490, 'US', 'US-VT', 'Middlebury', 'no', 'K6B0', '', '6B0', ''),
	('0NK2', 'small_airport', 'Westwind Farm Airport', 42.9833984375, -74.01619720458984, 800, 'US', 'US-NY', 'Charlton', 'no', '0NK2', '', '0NK2', ''),
	('NY77', 'small_airport', 'Wandervogel Gliderport', 42.718101501464844, -74.16349792480469, 1260, 'US', 'US-NY', 'Delanson', 'no', 'NY77', '', 'NY77', ''),
	('4NY4', 'small_airport', 'Cross'' Farm Airport', 42.55950164794922, -73.77210235595703, 55, 'US', 'US-NY', 'Delmar', 'no', '4NY4', '', '4NY4', ''),
	('KCEF', 'medium_airport', 'Westover Metropolitan Airport / Westover Air Reserve Base', 42.194, -72.534798, 241, 'US', 'US-MA', 'Chicopee', 'no', 'KCEF', 'CEF', 'CEF', ''),
	('3B3', 'small_airport', 'Sterling Airport', 42.4259, -71.7929, 459, 'US', 'US-MA', 'Sterling', 'no', '3B3', '', '3B3', ''),
	('12NH', 'small_airport', 'Gile Pond Airport', 43.495278, -71.654444, 485, 'US', 'US-NH', 'Sanbornton', 'no', '12NH', '', '12NH', ''),
	('1MA5', 'small_airport', 'Unknown Field', 42.27899932861328, -71.54779815673828, 432, 'US', 'US-MA', 'Southborough', 'no', '1MA5', '', '1MA5', ''),
	('NY0', 'small_airport', 'Fulton County Airport', 42.998199, -74.329597, 881, 'US', 'US-NY', 'Johnstown', 'no', 'KNY0', '', 'NY0', 'Fulco');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NH07', 'small_airport', 'Cooper Farm Airport', 43.280399322509766, -71.45659637451172, 485, 'US', 'US-NH', 'Loudon', 'no', 'NH07', '', 'NH07', ''),
	('W57', 'small_airport', 'Round Lake Airport and Seaplane Base', 42.92919921875, -73.770401000977, 175, 'US', 'US-NY', 'Round Lake', 'no', 'W57', '', 'W57', 'NY46'),
	('KALB', 'medium_airport', 'Albany International Airport', 42.74829864501953, -73.80169677734375, 285, 'US', 'US-NY', 'Albany', 'yes', 'KALB', 'ALB', 'ALB', ''),
	('1P1', 'small_airport', 'Plymouth Municipal Airport', 43.778299, -71.753919, 505, 'US', 'US-NH', 'Plymouth', 'no', '1P1', '', '1P1', ''),
	('1VT8', 'small_airport', 'Mortimer Brown Landing', 43.665221, -73.166263, 900, 'US', 'US-VT', 'Castleton', 'no', '1VT8', '', '1VT8', ''),
	('NY1', 'small_airport', 'Kline Kill Airport', 42.350101470947266, -73.63710021972656, 380, 'US', 'US-NY', 'Ghent', 'no', 'NY1', '', 'NY1', ''),
	('B06', 'small_airport', 'Basin Harbor Airport', 44.191499, -73.358889, 132, 'US', 'US-VT', 'Vergennes', 'no', 'KB06', '', 'B06', ''),
	('VT39', 'small_airport', 'Taylor Airport', 44.607601165771484, -72.48040008544922, 1140, 'US', 'US-VT', 'Wolcott', 'no', 'VT39', '', 'VT39', ''),
	('KDDH', 'small_airport', 'William H Morse State Airport', 42.8913, -73.246399, 827, 'US', 'US-VT', 'Bennington', 'no', 'KDDH', '', 'DDH', '5B5'),
	('KCDA', 'small_airport', 'Caledonia County Airport', 44.5690994263, -72.0179977417, 1188, 'US', 'US-VT', 'Lyndonville', 'no', 'KCDA', 'LLX', 'CDA', 'Formerly 6B8'),
	('KEFK', 'small_airport', 'Northeast Kingdom International Airport', 44.888802, -72.229202, 930, 'US', 'US-VT', 'Newport', 'no', 'KEFK', 'EFK', 'EFK', 'Newport State Airport'),
	('NY74', 'small_airport', 'Deer Run Airport', 42.323699951171875, -73.87319946289063, 320, 'US', 'US-NY', 'Coxsackie', 'no', 'NY74', '', 'NY74', ''),
	('35NH', 'seaplane_base', 'Cobbetts Pond Seaplane Base', 42.806914, -71.275853, 177, 'US', 'US-NH', 'Windham', 'no', '35NH', '', '35NH', ''),
	('KMHT', 'medium_airport', 'Manchester-Boston Regional Airport', 42.932598, -71.435699, 266, 'US', 'US-NH', 'Manchester', 'yes', 'KMHT', 'MHT', 'MHT', ''),
	('6NY4', 'small_airport', 'West Township Airport', 42.700401, -74.155098, 1260, 'US', 'US-NY', 'Delanson', 'no', '6NY4', '', '6NY4', ''),
	('KORH', 'medium_airport', 'Worcester Regional Airport', 42.2673, -71.875702, 1009, 'US', 'US-MA', 'Worcester', 'yes', 'KORH', 'ORH', 'ORH', ''),
	('MA89', 'small_airport', 'B&B Farm Airport', 42.346099853515625, -72.10389709472656, 980, 'US', 'US-MA', 'New Braintree', 'no', 'MA89', '', 'MA89', ''),
	('NY17', 'small_airport', 'Adirondack Airpark Estates Airport', 44.601983, -73.853138, 1352, 'US', 'US-NY', 'Saranac', 'no', 'NY17', '', 'NY17', ''),
	('KHIE', 'small_airport', 'Mount Washington Regional Airport', 44.36752, -71.545765, 1074, 'US', 'US-NH', 'Whitefield', 'no', 'KHIE', 'HIE', 'HIE', ''),
	('VT56', 'small_airport', 'West Burke Aerodrome', 44.61309814453125, -71.98090362548828, 1285, 'US', 'US-VT', 'West Burke', 'no', 'VT56', '', 'VT56', ''),
	('K31', 'small_airport', 'Sharon Airport', 42.77840042114258, -74.57759857177734, 1508, 'US', 'US-NY', 'Sharon Springs', 'no', 'K31', '', 'K31', ''),
	('KSLK', 'medium_airport', 'Adirondack Regional Airport', 44.38691, -74.204629, 1663, 'US', 'US-NY', 'Saranac Lake', 'yes', 'KSLK', 'SLK', 'SLK', ''),
	('NY65', 'closed', 'Circle K Ranch Airport', 43.136788, -74.115357, 920, 'US', 'US-NY', 'Broadalbin', 'no', '', '', '', 'NY65'),
	('NY20', 'small_airport', 'Nellis Field', 42.962592, -74.681904, 700, 'US', 'US-NY', 'Fort Plain', 'no', 'NY20', '', 'NY20', ''),
	('74NK', 'small_airport', 'Sunside Airport', 42.327207, -74.063501, 360, 'US', 'US-NY', 'Cairo', 'no', '74NK', '', '74NK', ''),
	('16NH', 'seaplane_base', 'Bossey''s Seaplane Base', 43.60419845581055, -71.51249694824219, 624, 'US', 'US-NH', 'Meredith', 'no', '16NH', '', '16NH', ''),
	('NY63', 'small_airport', 'Archdale Meadows Airport', 43.05438, -73.47197, 584, 'US', 'US-NY', 'Greenwich', 'no', 'NY63', '', 'NY63', ''),
	('12NK', 'small_airport', 'Westport Airport', 44.15840148925781, -73.43289947509766, 276, 'US', 'US-NY', 'Westport', 'no', '12NK', '', '12NK', ''),
	('KHRK', 'N/A', 'N/A', 44.61505305022001, -71.48551896214485, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('8B2', 'small_airport', 'Twin Mountain Airport', 44.263995, -71.546981, 1459, 'US', 'US-NH', 'Twin Mountain', 'no', '8B2', '', '8B2', ''),
	('8MA4', 'small_airport', 'Crow Island Airport (Pvt)', 42.417222, -71.494444, 185, 'US', 'US-MA', 'Stow', 'no', '8MA4', '', '8MA4', ''),
	('1C3', 'small_airport', 'Argyle Airport', 43.2542, -73.470901, 330, 'US', 'US-NY', 'Argyle', 'no', '1C3', '', '1C3', ''),
	('4V8', 'small_airport', 'Deerfield Valley Regional Airport', 42.927101, -72.8657, 1953, 'US', 'US-VT', 'West Dover', 'no', '4V8', '', '4V8', 'Mount Snow'),
	('31MA', 'small_airport', 'Norm''s Field', 42.26242, -72.409308, 460, 'US', 'US-MA', 'Belchertown', 'no', '31MA', '', '31MA', ''),
	('33NY', 'small_airport', 'Wayne Delp Airport', 42.393243, -73.867779, 800, 'US', 'US-NY', 'West Coxsackie', 'no', '33NY', '', '33NY', ''),
	('3N3', 'N/A', 'N/A', 43.221382945775986, -72.71329522132874, 530, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('6B6', 'small_airport', 'Minute Man Air Field', 42.460298, -71.519031, 268, 'US', 'US-MA', 'Stow', 'no', 'K6B6', 'MMN', '6B6', ''),
	('KGFL', 'medium_airport', 'Floyd Bennett Memorial Airport', 43.3412017822, -73.6102981567, 328, 'US', 'US-NY', 'Glens Falls', 'no', 'KGFL', 'GFL', 'GFL', ''),
	('41NY', 'small_airport', 'Bonebender Airport', 44.312400817871094, -73.38490295410156, 336, 'US', 'US-NY', 'Essex', 'no', '41NY', '', '41NY', ''),
	('VT8', 'small_airport', 'Shelburne Airport', 44.359451, -73.226194, 325, 'US', 'US-VT', 'Shelburne', 'no', 'KVT8', '', 'VT8', ''),
	('25NH', 'heliport', 'Phantom Three Heliport', 43.317111, -72.389722, 410, 'US', 'US-NH', 'Charlestown', 'no', '25NH', '', '25NH', ''),
	('4NK2', 'small_airport', 'Tracy Field', 43.145233, -73.41965, 455, 'US', 'US-NY', 'Greenwich', 'no', '4NK2', '', '4NK2', ''),
	('70NH', 'small_airport', 'Surette Heliport', 43.264916, -71.548417, 412, 'US', 'US-NH', 'Concord', 'no', '70NH', '', '70NH', ''),
	('4B0', 'small_airport', 'South Albany Airport', 42.560699462890625, -73.83390045166016, 196, 'US', 'US-NY', 'South Bethlehem', 'no', '4B0', '', '4B0', ''),
	('16NY', 'closed', 'Station 241 Heliport', 42.939804, -76.114899, 1380, 'US', 'US-NY', 'Syracuse', 'no', '', '', '', '16NY'),
	('5NY1', 'small_airport', 'Tomahawk Hills Airport', 42.39979934692383, -74.90630340576172, 2380, 'US', 'US-NY', 'Meridale', 'no', '5NY1', '', '5NY1', ''),
	('1NK6', 'small_airport', 'Catalano Airfield', 44.423807, -73.758777, 840, 'US', 'US-NY', 'Wilmington', 'no', '1NK6', '', '1NK6', ''),
	('NK26', 'small_airport', 'Old Forge Airport', 43.725183, -74.976217, 1753, 'US', 'US-NY', 'Old Forge', 'no', 'NK26', '', 'NK26', ''),
	('0NY0', 'small_airport', 'Bennetts Airport', 43.692973, -73.978013, 1040, 'US', 'US-NY', 'North Creek', 'no', '0NY0', '', '0NY0', ''),
	('VT14', 'small_airport', 'Axinn Airport', 44.045101165771484, -73.1895980834961, 450, 'US', 'US-VT', 'Weybridge', 'no', 'VT14', '', 'VT14', ''),
	('4B1', 'small_airport', 'Duanesburg Airport', 42.7584, -74.132896, 710, 'US', 'US-NY', 'Duanesburg', 'no', '4B1', '', '4B1', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NH17', 'small_airport', 'Zim Airport', 42.72760009765625, -71.71759796142578, 520, 'US', 'US-NH', 'Mason', 'no', 'NH17', '', 'NH17', ''),
	('NK83', 'closed', 'Nettie''s Place Airport', 42.709876, -74.223701, 1330, 'US', 'US-NY', 'Delanson', 'no', '', '', '', 'NK83, Boss Airport'),
	('01NK', 'N/A', 'N/A', 43.42294458299875, -73.26802521944046, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KASH', 'small_airport', 'Nashua Airport / Boire Field', 42.7817, -71.514801, 199, 'US', 'US-NH', 'Nashua', 'no', 'KASH', 'ASH', 'ASH', ''),
	('7NY8', 'closed', 'Shaw Field', 43.198007, -73.632524, 190, 'US', 'US-NY', 'Gansevoort', 'no', '', '', '', '7NY8'),
	('NH76', 'small_airport', 'Mason Airfield', 42.729000091552734, -71.7842025756836, 740, 'US', 'US-NH', 'Mason', 'no', 'NH76', '', 'NH76', ''),
	('1I5', 'small_airport', 'Freehold Airport', 42.3643, -74.066002, 440, 'US', 'US-NY', 'Freehold', 'no', 'K1I5', '', '1I5', ''),
	('2NK0', 'closed', 'Northwest Waterbird Seaplane Base', 43.593399, -73.625099, 320, 'US', 'US-NY', 'Bolten Landing', 'no', '', '', '', '2NK0'),
	('NY26', 'small_airport', 'Sky-Ranch Airport', 42.983398, -74.899597, 1330, 'US', 'US-NY', 'Mohawk', 'no', 'NY26', '', 'NY26', ''),
	('1B1', 'small_airport', 'Columbia County Airport', 42.2913017273, -73.7102966309, 198, 'US', 'US-NY', 'Hudson', 'no', '1B1', 'HCC', '1B1', ''),
	('10MA', 'seaplane_base', 'Beaver Lake Seaplane Base', 42.26259994506836, -72.30699920654297, 384, 'US', 'US-MA', 'Ware', 'no', '10MA', '', '10MA', ''),
	('KATB', 'N/A', 'N/A', 42.28301044553518, -73.84548738598824, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('12NY', 'closed', 'TGP-245 Heliport', 42.873402, -75.170998, 1440, 'US', 'US-NY', 'West Winfield', 'no', '', '', '', '12NY'),
	('9B1', 'closed', 'Marlboro Airport', 42.343201, -71.509002, 285, 'US', 'US-MA', 'Marlboro', 'no', '', '', '', '9B1, MXG, MXG'),
	('VT11', 'small_airport', 'Ass-Pirin Acres Airport', 44.06869888305664, -73.37339782714844, 130, 'US', 'US-VT', 'Addison', 'no', 'VT11', '', 'VT11', ''),
	('65NK', 'small_airport', 'Apex Airport', 42.7295, -74.164001, 1130, 'US', 'US-NY', 'Delanson', 'no', '65NK', '', '65NK', 'N65, Knox'),
	('NY23', 'small_airport', 'MAC Airport', 42.987597, -74.966499, 1210, 'US', 'US-NY', 'Mohawk', 'no', 'NY23', '', 'NY23', 'Mohawk Aviation Center'),
	('NY48', 'small_airport', 'Grace''s Landing Airport', 42.33810043334961, -74.7490005493164, 1500, 'US', 'US-NY', 'South Kortright', 'no', 'NY48', '', 'NY48', ''),
	('0NY8', 'small_airport', 'Wenskoski Field', 42.99729919433594, -74.24539947509766, 800, 'US', 'US-NY', 'Perth', 'no', '0NY8', '', '0NY8', ''),
	('09MA', 'small_airport', 'Kallander Field', 42.304298400878906, -71.50589752197266, 403, 'US', 'US-MA', 'Southborough', 'no', '09MA', '', '09MA', ''),
	('3MA2', 'small_airport', 'Baines Airport', 42.316200256347656, -73.03199768066406, 1160, 'US', 'US-MA', 'Middlefield', 'no', '3MA2', '', '3MA2', ''),
	('VT46', 'small_airport', 'Northern Lights Airport', 44.872002, -73.286499, 130, 'US', 'US-VT', 'Alburg', 'no', 'VT46', '', 'VT46', ''),
	('6NK0', 'small_airport', 'Knapp Airport', 42.595618, -74.820607, 1300, 'US', 'US-NY', 'Schenevus', 'no', '6NK0', '', '6NK0', ''),
	('NH60', 'small_airport', 'Huff Memorial Airport', 42.958877, -71.653126, 840, 'US', 'US-NH', 'New Boston', 'no', 'NH60', '', 'NH60', ''),
	('3NY6', 'small_airport', 'Six Ponds Airport', 42.84120178222656, -74.17870330810547, 1125, 'US', 'US-NY', 'Duanesburg', 'no', '3NY6', '', '3NY6', ''),
	('26MA', 'small_airport', 'Pepperell Airport', 42.69620132446289, -71.55010223388672, 176, 'US', 'US-MA', 'Pepperell', 'no', '26MA', '', '26MA', ''),
	('VT47', 'small_airport', 'Miller Farm Airfield', 42.778599, -72.527802, 285, 'US', 'US-VT', 'Vernon', 'no', 'VT47', '', 'VT47', 'Miller''s Pleasure'),
	('53NH', 'seaplane_base', 'Meredith Bay Seaplane Base', 43.651658, -71.482614, 503, 'US', 'US-NH', 'Meredith', 'no', '53NH', '', '53NH', ''),
	('NY50', 'small_airport', 'Johnson Airport', 42.992144, -74.137459, 760, 'US', 'US-NY', 'Amsterdam', 'no', 'NY50', '', 'NY50', ''),
	('VT41', 'closed', 'Moore''s Field', 42.924198, -72.5298, 310, 'US', 'US-VT', 'Putney', 'no', '', '', '', 'VT41'),
	('07NH', 'seaplane_base', 'Diving Rock Seaplane Base', 43.17559814453125, -72.06390380859375, 1404, 'US', 'US-NH', 'Washington', 'no', '07NH', '', '07NH', ''),
	('VT59', 'small_airport', 'Ardell Flying Field', 43.277801513671875, -72.91079711914063, 1919, 'US', 'US-VT', 'Manchester', 'no', 'VT59', '', 'VT59', ''),
	('MA70', 'small_airport', 'Sudbury Airport', 42.35089874267578, -71.42980194091797, 135, 'US', 'US-MA', 'Sudbury', 'no', 'MA70', '', 'MA70', ''),
	('4NK8', 'closed', 'Longwell Airport', 43.0009, -74.187103, 800, 'US', 'US-NY', 'Amsterdam', 'no', '', '', '', '4NK8'),
	('VT31', 'small_airport', 'Carriers Skypark Airport', 44.11119842529297, -72.44400024414063, 1600, 'US', 'US-VT', 'Washington', 'no', 'VT31', '', 'VT31', ''),
	('NH96', 'small_airport', 'Wentworth Aerodrome Airport', 43.872344, -71.90496, 610, 'US', 'US-NH', 'Wentworth', 'no', 'NH96', '', 'NH96', ''),
	('KEEN', 'medium_airport', 'Dillant Hopkins Airport', 42.898399, -72.270798, 488, 'US', 'US-NH', 'Keene', 'no', 'KEEN', 'EEN', 'EEN', ''),
	('KMAL', 'small_airport', 'Malone Dufort Airport', 44.853699, -74.328903, 790, 'US', 'US-NY', 'Malone', 'no', 'KMAL', '', 'MAL', ''),
	('VT49', 'N/A', 'N/A', 44.230141304433346, -72.7917793393135, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('97NY', 'closed', 'Hunter Mountain Airport', 42.235317, -74.237752, 2000, 'US', 'US-NY', 'Hunter', 'no', '', '', '', '97NY'),
	('2B3', 'small_airport', 'Parlin Field', 43.3881, -72.189301, 784, 'US', 'US-NH', 'Newport', 'no', 'K2B3', 'NWH', '2B3', ''),
	('VT17', 'small_airport', 'Smith Airport', 43.36899948120117, -72.67430114746094, 1502, 'US', 'US-VT', 'Ludlow', 'no', 'VT17', '', 'VT17', ''),
	('07VT', 'small_airport', 'Meadow STOLport', 44.447200775146484, -72.91470336914063, 801, 'US', 'US-VT', 'Jericho', 'no', '07VT', '', '07VT', ''),
	('1NK0', 'small_airport', 'Roxbury Runway Airport', 42.297298431396484, -74.54820251464844, 1600, 'US', 'US-NY', 'Roxbury', 'no', '1NK0', '', '1NK0', ''),
	('NY58', 'closed', 'Snow Field', 42.956699, -74.081497, 775, 'US', 'US-NY', 'Amsterdam', 'no', '', '', '', 'NY58'),
	('KFAQ', 'N/A', 'N/A', 42.510254234075546, -73.7396590411663, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VT22', 'small_airport', 'Shelburne Farms Airport', 44.40140151977539, -73.26709747314453, 130, 'US', 'US-VT', 'Shelburne', 'no', 'VT22', '', 'VT22', ''),
	('NY64', 'small_airport', 'The Pines Airport', 43.102901458740234, -74.15509796142578, 850, 'US', 'US-NY', 'Broadalbin', 'no', 'NY64', '', 'NY64', ''),
	('0NY1', 'small_airport', 'Russell Field', 43.139198303222656, -73.6531982421875, 260, 'US', 'US-NY', 'Northumberland', 'no', '0NY1', '', '0NY1', ''),
	('NH88', 'small_airport', 'Country Club Air Park', 43.067298889160156, -71.61119842529297, 780, 'US', 'US-NH', 'Goffstown', 'no', 'NH88', '', 'NH88', ''),
	('KFSO', 'small_airport', 'Franklin County State Airport', 44.9403, -73.097504, 228, 'US', 'US-VT', 'Swanton', 'no', 'KFSO', '', 'FSO', 'Highgate');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('8NY5', 'small_airport', 'Mariaville Aerodrome', 42.819052, -74.14644, 1260, 'US', 'US-NY', 'Duanesburg', 'no', '8NY5', '', '8NY5', ''),
	('VT45', 'small_airport', 'Davis Private Airport', 44.51729965209961, -72.97930145263672, 640, 'US', 'US-VT', 'Jericho', 'no', 'VT45', '', 'VT45', ''),
	('5B1', 'small_airport', 'John H Boylan State (Island Pond) Airport', 44.789694, -71.826068, 1194, 'US', 'US-VT', 'Island Pond', 'no', '', '', '5B1', ''),
	('0B5', 'small_airport', 'Turners Falls Airport', 42.5914001465, -72.5227966309, 356, 'US', 'US-MA', 'Montague', 'no', '0B5', '', '0B5', ''),
	('KAQW', 'small_airport', 'Harriman and West Airport', 42.6959, -73.170403, 654, 'US', 'US-MA', 'North Adams', 'no', 'KAQW', '', 'AQW', ''),
	('03MA', 'small_airport', 'Hadley Airport', 42.393431, -72.551553, 150, 'US', 'US-MA', 'Hadley', 'no', '03MA', '', '03MA', ''),
	('VT15', 'small_airport', 'Savage Island Airport', 44.70389938354492, -73.24600219726563, 125, 'US', 'US-VT', 'Grand Isle', 'no', 'VT15', '', 'VT15', ''),
	('VT53', 'small_airport', 'Bailey Airport', 44.117795, -73.377546, 140, 'US', 'US-VT', 'Panton', 'no', 'VT53', '', 'VT53', 'Staton Airport'),
	('NY66', 'small_airport', 'Lewis Field', 43.128532, -74.124758, 900, 'US', 'US-NY', 'Broadalbin', 'no', 'NY66', '', 'NY66', 'The Farm Airport'),
	('94NH', 'small_airport', 'Tucker Farm Airport', 43.47645, -71.7474, 620, 'US', 'US-NH', 'Andover', 'no', '94NH', '', '94NH', ''),
	('VT01', 'small_airport', 'Teal Farm Airport', 44.282386, -72.937557, 1440, 'US', 'US-VT', 'Huntington', 'no', 'VT01', '', 'VT01', ''),
	('B04', 'small_airport', 'Garnseys Airport', 43.067552, -73.583737, 100, 'US', 'US-NY', 'Schuylerville', 'no', '', '', 'B04', ''),
	('MA77', 'small_airport', 'Blueberry Hill Airport', 42.375099182128906, -73.14759826660156, 2000, 'US', 'US-MA', 'Washington', 'no', 'MA77', '', 'MA77', ''),
	('NH78', 'small_airport', 'Steck Farm Airport', 42.74720001220703, -71.36920166015625, 460, 'US', 'US-NH', 'Pelham', 'no', 'NH78', '', 'NH78', ''),
	('06VT', 'N/A', 'N/A', 43.1335000321269, -73.07705372571945, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KVOO', 'N/A', 'N/A', 42.62050811201334, -73.91766518354416, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KPSF', 'small_airport', 'Pittsfield Municipal Airport', 42.4268, -73.2929, 1188, 'US', 'US-MA', 'Pittsfield', 'no', 'KPSF', 'PSF', 'PSF', ''),
	('KAFN', 'small_airport', 'Jaffrey Airfield Silver Ranch Airport', 42.805099, -72.002998, 1040, 'US', 'US-NH', 'Jaffrey', 'no', 'KAFN', 'AFN', 'AFN', ''),
	('36VT', 'seaplane_base', 'North Hero Passage Seaplane Base', 44.854722, -73.285556, 102, 'US', 'US-VT', 'North Hero', 'no', '36VT', '', '36VT', ''),
	('KADD', 'N/A', 'N/A', 42.59590990841389, -73.10923844575882, 391, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MA86', 'small_airport', 'Kendalls Lndg Area Airport', 42.5055999756, -73.0597991943, 2102, 'US', 'US-MA', 'Windsor', 'no', 'MA86', '', 'MA86', ''),
	('00NK', 'seaplane_base', 'Cliche Cove Seaplane Base', 44.8118612, -73.3698057, 96, 'US', 'US-NY', 'Beekmantown', 'no', '00NK', '', '00NK', ''),
	('66VT', 'small_airport', 'Symon Airport', 43.882785, -73.2862, 300, 'US', 'US-VT', 'Shoreham', 'no', '66VT', '', '66VT', ''),
	('1H4', 'small_airport', 'Greenville-Rainbow Airport', 42.419465, -74.006889, 840, 'US', 'US-NY', 'Greenville', 'no', '', '', '1H4', ''),
	('4B6', 'small_airport', 'Ticonderoga Municipal Airport', 43.8773, -73.413101, 273, 'US', 'US-NY', 'Ticonderoga', 'no', 'K4B6', '', '4B6', ''),
	('2NY0', 'small_airport', 'Catskill Valley Airpark', 42.280601501464844, -73.9529037475586, 190, 'US', 'US-NY', 'South Cairo', 'no', '2NY0', '', '2NY0', ''),
	('K13', 'closed', 'Mohawk Valley Airport', 42.868099, -74.028702, 240, 'US', 'US-NY', 'Scotia', 'no', '', '', '', 'K13, 31NK, K13'),
	('1B8', 'small_airport', 'Chapin Field', 43.050098, -73.366203, 508, 'US', 'US-NY', 'Cambridge', 'no', '1B8', '', '1B8', ''),
	('NH16', 'small_airport', 'Brookline Airport', 42.741798, -71.707603, 415, 'US', 'US-NH', 'Brookline', 'no', 'NH16', '', 'NH16', ''),
	('5B9', 'small_airport', 'Dean Memorial Airport', 44.080601, -72.007896, 582, 'US', 'US-NH', 'North Haverhill', 'no', '5B9', '', '5B9', ''),
	('NH39', 'small_airport', 'Frank D. Comerford Airport', 43.03340148925781, -72.42980194091797, 640, 'US', 'US-NH', 'Walpole', 'no', 'NH39', '', 'NH39', ''),
	('NH49', 'small_airport', 'Bradley Field', 43.969262, -71.680758, 650, 'US', 'US-NH', 'Woodstock', 'no', 'NH49', '', 'NH49', ''),
	('NY84', 'closed', 'Richter Aero Airport', 44.279202, -73.3787, 360, 'US', 'US-NY', 'Essex', 'no', '', '', '', 'NY84'),
	('VT09', 'small_airport', 'Spencer Airport', 44.11360168457031, -73.29029846191406, 310, 'US', 'US-VT', 'Addison', 'no', 'VT09', '', 'VT09', ''),
	('VT33', 'closed', 'Yankee Kingdom Airport', 44.105598, -73.377899, 200, 'US', 'US-VT', 'West Addison', 'no', '', '', '', 'VT33'),
	('KCNH', 'small_airport', 'Claremont Municipal Airport', 43.3703994751, -72.36869812009999, 545, 'US', 'US-NH', 'Claremont', 'no', 'KCNH', 'CNH', 'CNH', ''),
	('2VT2', 'seaplane_base', 'Northern Lights Seaplane Base', 44.872798919677734, -73.28170013427734, 95, 'US', 'US-VT', 'Alburg', 'no', '2VT2', '', '2VT2', ''),
	('88VT', 'small_airport', 'Hawk''s Nest Airport', 44.878299713134766, -73.35030364990234, 140, 'US', 'US-VT', 'Isle Lamotte', 'no', '88VT', '', '88VT', ''),
	('47VT', 'small_airport', 'Cub Field', 44.125677, -73.369616, 140, 'US', 'US-VT', 'Panton', 'no', '47VT', '', '47VT', ''),
	('VT52', 'small_airport', 'Shaw Meadow Airport', 44.64339828491211, -73.1875991821289, 230, 'US', 'US-VT', 'Milton', 'no', 'VT52', '', 'VT52', ''),
	('3NH2', 'seaplane_base', 'Flying Loon Seaplane Base', 42.9737639, -72.0847278, 1400, 'US', 'US-NH', 'Nelson', 'no', '3NH2', '', '3NH2', ''),
	('94D', 'seaplane_base', 'Wells Seaplane Base', 42.84980010986328, -73.90480041503906, 210, 'US', 'US-NY', 'Schenectady', 'no', '94D', '', '94D', ''),
	('5B7', 'small_airport', 'Rensselaer County Airport', 42.69089889526367, -73.57959747314453, 440, 'US', 'US-NY', 'Troy', 'no', '5B7', '', '5B7', ''),
	('29VT', 'seaplane_base', 'Middle Hero Seaplane Base', 44.756389, -73.266667, 105, 'US', 'US-VT', 'Grand Isle', 'no', '29VT', '', '29VT', ''),
	('0NY3', 'small_airport', 'Kermizian Airport', 43.31399917602539, -74.93209838867188, 1440, 'US', 'US-NY', 'Ohio', 'no', '0NY3', '', '0NY3', ''),
	('VT62', 'small_airport', 'Catamount Airfield', 44.39039993286133, -72.35060119628906, 1350, 'US', 'US-VT', 'Cabot', 'no', 'VT62', '', 'VT62', ''),
	('NY82', 'small_airport', 'Alexander Farm Airport', 42.58060073852539, -73.61620330810547, 525, 'US', 'US-NY', 'East Schodack', 'no', 'NY82', '', 'NY82', ''),
	('VT43', 'small_airport', 'Onyon Airport', 43.01919937133789, -72.65290069580078, 427, 'US', 'US-VT', 'Townshend', 'no', 'VT43', '', 'VT43', ''),
	('8B1', 'small_airport', 'Hawthorne Feather Airpark', 43.061958, -71.905343, 600, 'US', 'US-NH', 'Hillsboro', 'no', 'K8B1', '', '8B1', ''),
	('33VT', 'small_airport', 'Sky View Acres Airport', 44.118333, -72.565833, 1350, 'US', 'US-VT', 'Williamstown', 'no', '33VT', '', '33VT', ''),
	('KBED', 'medium_airport', 'Laurence G Hanscom Field', 42.470001, -71.289001, 133, 'US', 'US-MA', 'Bedford', 'yes', 'KBED', 'BED', 'BED', 'Hanscom Air Force Base');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('1NY4', 'small_airport', 'High Banks Farm Landing Area Airport', 44.61750030517578, -73.91100311279297, 1520, 'US', 'US-NY', 'Saranac', 'no', '1NY4', '', '1NY4', ''),
	('1B5', 'small_airport', 'Franconia Airport', 44.195611, -71.751023, 970, 'US', 'US-NH', 'Franconia', 'no', '', '', '1B5', ''),
	('NY87', 'small_airport', 'Amsterdam Airfield', 42.96260070800781, -74.25370025634766, 340, 'US', 'US-NY', 'Fort Johnson', 'no', 'NY87', '', 'NY87', ''),
	('7NY1', 'small_airport', 'Gar Field', 42.76340103149414, -74.27850341796875, 640, 'US', 'US-NY', 'Esperance', 'no', '7NY1', '', '7NY1', ''),
	('48NH', 'seaplane_base', 'Winter Harbor Seaplane Base', 43.59389877319336, -71.26139831542969, 504, 'US', 'US-NH', 'Wolfeboro', 'no', '48NH', '', '48NH', ''),
	('KMPV', 'medium_airport', 'Edward F Knapp State Airport', 44.20349884, -72.56230164, 1166, 'US', 'US-VT', 'Barre/Montpelier', 'no', 'KMPV', 'MPV', 'MPV', ''),
	('VT06', 'small_airport', 'Santa''s Airport', 43.004398345947266, -72.47370147705078, 673, 'US', 'US-VT', 'Putney', 'no', 'VT06', '', 'VT06', ''),
	('NY97', 'small_airport', 'Northway Airport', 44.66669845581055, -73.56620025634766, 420, 'US', 'US-NY', 'Morrisonville', 'no', 'NY97', '', 'NY97', ''),
	('VT63', 'small_airport', 'Douglas Field', 44.99530029296875, -72.37899780273438, 650, 'US', 'US-VT', 'North Troy', 'no', 'VT63', '', 'VT63', ''),
	('KBTV', 'medium_airport', 'Burlington International Airport', 44.471901, -73.153297, 335, 'US', 'US-VT', 'South Burlington', 'yes', 'KBTV', 'BTV', 'BTV', ''),
	('3NY4', 'closed', 'Di Stefano Airpark', 42.923811, -74.626758, 500, 'US', 'US-NY', 'Fort Plain', 'no', '', '', '', '3NY4'),
	('NY68', 'small_airport', 'Richfield Airport', 42.86119842529297, -74.94539642333984, 1450, 'US', 'US-NY', 'Richfield Springs', 'no', 'NY68', '', 'NY68', ''),
	('4C4', 'small_airport', 'Gifford Field', 44.8834, -71.499496, 1010, 'US', 'US-NH', 'Colebrook', 'no', '4C4', '', '4C4', ''),
	('KCON', 'medium_airport', 'Concord Municipal Airport', 43.20270157, -71.50229645, 342, 'US', 'US-NH', 'Concord', 'no', 'KCON', 'CON', 'CON', ''),
	('3NK5', 'small_airport', 'Secret Spot Airport', 44.61669921875, -73.46530151367188, 155, 'US', 'US-NY', 'Plattsburgh', 'no', '3NK5', '', '3NK5', ''),
	('KRUT', 'medium_airport', 'Rutland - Southern Vermont Regional Airport', 43.5294, -72.9496, 787, 'US', 'US-VT', 'Rutland', 'yes', 'KRUT', 'RUT', 'RUT', ''),
	('NK17', 'small_airport', 'August Field', 43.209361, -73.581711, 131, 'US', 'US-NY', 'Gansevoort', 'no', 'NK17', '', 'NK17', ''),
	('K23', 'small_airport', 'Cooperstown-Westville Airport', 42.629552, -74.890445, 1260, 'US', 'US-NY', 'Cooperstown', 'no', 'KK23', 'COP', 'K23', ''),
	('N25', 'small_airport', 'Blue Heron Airport', 42.6973, -74.1996, 1200, 'US', 'US-NY', 'Delanson', 'no', '', '', 'N25', 'Flying K Ranch'),
	('VT60', 'small_airport', 'Hulett Landing Strip', 43.330101013183594, -73.24259948730469, 720, 'US', 'US-VT', 'West Pawlett', 'no', 'VT60', '', 'VT60', ''),
	('NH40', 'small_airport', 'Eagles Nest Airport', 43.40459, -71.94878, 998, 'US', 'US-NH', 'New London', 'no', 'NH40', '', 'NH40', ''),
	('NY33', 'closed', 'Westerlo Airport', 42.522301, -74.028702, 1400, 'US', 'US-NY', 'Westerlo', 'no', '', '', '', 'NY33'),
	('37NH', 'seaplane_base', 'Hooksett''s Seaplane Landing', 43.085833, -71.466944, 175, 'US', 'US-NH', 'Hooksett', 'no', '37NH', '', '37NH', ''),
	('KLKP', 'small_airport', 'Lake Placid Airport', 44.2644996643, -73.96189880370001, 1747, 'US', 'US-NY', 'Lake Placid', 'no', 'KLKP', 'LKP', 'LKP', ''),
	('KSCH', 'medium_airport', 'Schenectady County Airport', 42.852500915527, -73.928901672363, 378, 'US', 'US-NY', 'Schenectady', 'no', 'KSCH', 'SCH', 'SCH', ''),
	('NH86', 'small_airport', 'Intervale Airport', 43.17509841918945, -71.78730010986328, 425, 'US', 'US-NH', 'Henniker', 'no', 'NH86', '', 'NH86', ''),
	('VT13', 'small_airport', 'Holloway Airport', 43.30009841918945, -72.71759796142578, 1520, 'US', 'US-VT', 'Chester', 'no', 'VT13', '', 'VT13', ''),
	('KGDM', 'small_airport', 'Gardner Municipal Airport', 42.5499992371, -72.0160980225, 955, 'US', 'US-MA', 'Gardner', 'no', 'KGDM', 'GDM', 'GDM', ''),
	('VT73', 'small_airport', 'Melrose Springs Airfield', 43.944861, -73.316833, 300, 'US', 'US-VT', 'Bridport', 'no', 'VT73', '', 'VT73', ''),
	('6NK2', 'small_airport', 'Meerwarth Airport', 42.950599670410156, -73.33470153808594, 640, 'US', 'US-NY', 'White Creek', 'no', '6NK2', '', '6NK2', ''),
	('9NY6', 'small_airport', 'Mason Airway Airport', 42.324798583984375, -74.98629760742188, 2170, 'US', 'US-NY', 'Treadwell', 'no', '9NY6', '', '9NY6', ''),
	('KMIU', 'N/A', 'N/A', 43.952973894774914, -73.196502327919, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2B9', 'small_airport', 'Post Mills Airport', 43.8842010498, -72.2537002563, 693, 'US', 'US-VT', 'Post Mills', 'no', '2B9', '', '2B9', ''),
	('3NY3', 'small_airport', 'De Ronda Airport', 42.859798431396484, -74.82430267333984, 1650, 'US', 'US-NY', 'Springfield', 'no', '3NY3', '', '3NY3', ''),
	('NH12', 'seaplane_base', 'Evans Seaplane Base', 43.038295, -71.468561, 182, 'US', 'US-NH', 'Manchester', 'no', 'NH12', '', 'NH12', ''),
	('4B7', 'small_airport', 'Schroon Lake Airport', 43.857886, -73.740577, 830, 'US', 'US-NY', 'Schroon Lake', 'no', '', '', '4B7', ''),
	('KPBG', 'medium_airport', 'Plattsburgh International Airport', 44.650901794433594, -73.46810150146484, 234, 'US', 'US-NY', 'Plattsburgh', 'yes', 'KPBG', 'PBG', 'PBG', 'Plattsburgh Air Force Base'),
	('VT44', 'small_airport', 'Perras Field', 44.52669906616211, -72.58149719238281, 820, 'US', 'US-VT', 'Morrisville', 'no', 'VT44', '', 'VT44', ''),
	('NY02', 'small_airport', 'Mountain Top Airport', 42.487300872802734, -74.78019714355469, 1960, 'US', 'US-NY', 'Davenport', 'no', 'NY02', '', 'NY02', ''),
	('04NY', 'small_airport', 'Klaverack Airport', 42.262298584, -73.6961975098, 250, 'US', 'US-NY', 'Hudson', 'no', '04NY', '', '04NY', ''),
	('NK60', 'closed', 'Bostrup''s Landing Seaplane Base', 43.484798, -74.351799, 1725, 'US', 'US-NY', 'Lake Pleasant', 'no', '', '', '', 'NK60'),
	('7NY6', 'small_airport', 'Sherwood Farm Airport', 42.893699645996094, -73.50789642333984, 530, 'US', 'US-NY', 'Johnsonville', 'no', '7NY6', '', '7NY6', ''),
	('NK43', 'small_airport', 'Jerry Phibbs Airport', 42.753296, -73.916528, 340, 'US', 'US-NY', 'Schenectady', 'no', 'NK43', '', 'NK43', ''),
	('7B2', 'small_airport', 'Northampton Airport', 42.328098, -72.611397, 121, 'US', 'US-MA', 'Northampton', 'no', '', '', '7B2', ''),
	('KFIT', 'small_airport', 'Fitchburg Municipal Airport', 42.554100036621094, -71.75900268554688, 348, 'US', 'US-MA', 'Fitchburg', 'no', 'KFIT', '', 'FIT', ''),
	('KLCI', 'small_airport', 'Laconia Municipal Airport', 43.572701, -71.4189, 545, 'US', 'US-NH', 'Laconia / Gilford', 'no', 'KLCI', 'LCI', 'LCI', ''),
	('KVSF', 'small_airport', 'Hartness State Airport', 43.343601, -72.517303, 577, 'US', 'US-VT', 'North Springfield', 'no', 'KVSF', 'VSF', 'VSF', 'Springfield'),
	('NY9', 'seaplane_base', 'Long Lake /Helms Seaplane Base', 43.975101, -74.420403, 1629, 'US', 'US-NY', 'Long Lake', 'no', '', '', 'NY9', 'NY33'),
	('0NY7', 'small_airport', 'Murphys Landing Strip', 43.026623, -74.177055, 940, 'US', 'US-NY', 'Amsterdam', 'no', '0NY7', '', '0NY7', ''),
	('NY51', 'small_airport', 'Russell Airport', 42.87009811401367, -74.49929809570313, 700, 'US', 'US-NY', 'Canajoharie', 'no', 'NY51', '', 'NY51', ''),
	('1F2', 'small_airport', 'Plateau Sky Ranch Airport', 43.225101, -74.114899, 1070, 'US', 'US-NY', 'Edinburg', 'no', '1F2', '', '1F2', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NY88', 'small_airport', 'Hickory Acres Airport', 42.883399963378906, -74.69129943847656, 970, 'US', 'US-NY', 'Fort Plain', 'no', 'NY88', '', 'NY88', ''),
	('KMSS', 'medium_airport', 'Massena International Airport Richards Field', 44.936157, -74.844304, 215, 'US', 'US-NY', 'Massena', 'yes', 'KMSS', 'MSS', 'MSS', ''),
	('K09', 'small_airport', 'Piseco Airport', 43.453399658203125, -74.5176010131836, 1703, 'US', 'US-NY', 'Piseco', 'no', 'KK09', '', 'K09', ''),
	('K30', 'small_airport', 'Heber Airpark', 43.18339920043945, -73.6332015991211, 230, 'US', 'US-NY', 'Gansevoort', 'no', 'K30', '', 'K30', ''),
	('1B3', 'closed', 'Fair Haven Municipal Airport', 43.615299, -73.274597, 370, 'US', 'US-VT', 'Fair Haven', 'no', '', '', '', '1B3'),
	('KMVL', 'small_airport', 'Morrisville-Stowe State Airport', 44.534599, -72.613998, 732, 'US', 'US-VT', 'Morrisville', 'no', 'KMVL', 'MVL', 'MVL', ''),
	('VT55', 'small_airport', 'Brandon Airport', 43.90119934082031, -72.58290100097656, 710, 'US', 'US-VT', 'Randolph', 'no', 'VT55', '', 'VT55', ''),
	('VT26', 'small_airport', 'Allenholm Airport', 44.624612, -73.306495, 140, 'US', 'US-VT', 'South Hero', 'no', 'VT26', '', 'VT26', ''),
	('9NY7', 'small_airport', 'Hart Airport', 43.032452, -74.151013, 925, 'US', 'US-NY', 'Broadalbin', 'no', '9NY7', '', '9NY7', ''),
	('14NK', 'small_airport', 'Mountain View Airport', 43.34000015258789, -73.47899627685547, 243, 'US', 'US-NY', 'Kingsbury', 'no', '14NK', '', '14NK', ''),
	('MA53', 'small_airport', 'Ware Airport', 42.282001495361, -72.214797973633, 483, 'US', 'US-MA', 'Ware', 'no', 'MA53', 'UWA', 'MA53', ''),
	('23NH', 'small_airport', 'Windswept Airport', 43.13029861, -72.01499939, 1289, 'US', 'US-NH', 'Windsor', 'no', '23NH', '', '23NH', ''),
	('MA52', 'small_airport', 'Sids Airport', 42.43817138671875, -71.47024536132813, 220, 'US', 'US-MA', 'Maynard', 'no', 'MA52', '', 'MA52', ''),
	('5MA3', 'small_airport', 'Pasport Airport', 42.187599182128906, -72.14309692382813, 1010, 'US', 'US-MA', 'West Brookfield', 'no', '5MA3', '', '5MA3', ''),
	('KPTD', 'small_airport', 'Potsdam Municipal Airport Damon Field', 44.67657, -74.948583, 474, 'US', 'US-NY', 'Potsdam', 'no', 'KPTD', '', 'PTD', ''),
	('VT23', 'small_airport', 'Bostwick Farm Airport', 44.369147, -73.250656, 220, 'US', 'US-VT', 'Shelburne', 'no', 'VT23', '', 'VT23', ''),
	('MA16', 'small_airport', 'Marshall''s Airport', 42.363399505615234, -71.82170104980469, 630, 'US', 'US-MA', 'Holden', 'no', 'MA16', '', 'MA16', ''),
	('01NH', 'small_airport', 'Moore Airfield', 43.6445, -72.086998, 835, 'US', 'US-NH', 'Canaan', 'no', '01NH', '', '01NH', 'Enfield'),
	('8B5', 'small_airport', 'Tanner Hiller Airport', 42.3564, -72.130096, 584, 'US', 'US-MA', 'Barre/Barre Plains', 'no', 'K8B5', '', '8B5', ''),
	('KPLB', 'closed', 'Clinton County Airport', 44.6875, -73.52449798583984, 371, 'US', 'US-NY', 'Plattsburgh', 'no', '', '', '', 'KPLB, KPLB, PLB, PLB'),
	('2NH5', 'small_airport', 'Pilgrim''s Home Airfield', 42.990299224853516, -72.40170288085938, 600, 'US', 'US-NH', 'Westmoreland', 'no', '2NH5', '', '2NH5', ''),
	('04VT', 'small_airport', 'Lightning Bolt Field Airport', 44.4011001587, -72.26360321039999, 2156, 'US', 'US-VT', 'Cabot', 'no', '04VT', '', '04VT', ''),
	('K27', 'closed', 'Burrello-Mechanicville Airport', 42.892747, -73.668844, 195, 'US', 'US-NY', 'Mechanicville', 'no', '', '', '', 'K27'),
	('KLEB', 'medium_airport', 'Lebanon Municipal Airport', 43.626098632799994, -72.30419921880001, 603, 'US', 'US-NH', 'Lebanon', 'yes', 'KLEB', 'LEB', 'LEB', ''),
	('MA88', 'small_airport', 'Albert Farms Airport', 42.390098571777344, -72.93090057373047, 1425, 'US', 'US-MA', 'Worthington', 'no', 'MA88', '', 'MA88', ''),
	('KORE', 'small_airport', 'Orange Municipal Airport', 42.570098877, -72.2885971069, 555, 'US', 'US-MA', 'Orange', 'no', 'KORE', '', 'ORE', ''),
	('4NY0', 'small_airport', 'Mountain View Airpark', 44.66889953613281, -73.54620361328125, 500, 'US', 'US-NY', 'Beekmantown', 'no', '4NY0', '', '4NY0', ''),
	('60M', 'small_airport', 'Spencer Airport', 42.290501, -71.964699, 1040, 'US', 'US-MA', 'Spencer', 'no', '60M', '', '60M', ''),
	('NY37', 'small_airport', 'Galway Airport', 43.00920104980469, -74.09120178222656, 950, 'US', 'US-NY', 'Galway', 'no', 'NY37', '', 'NY37', ''),
	('KMSV', 'small_airport', 'Sullivan County International Airport', 41.701596, -74.794997, 1403, 'US', 'US-NY', 'Monticello', 'no', 'KMSV', 'MSV', 'MSV', ''),
	('N04', 'closed', 'Griswold Airport', 41.271198, -72.549698, 15, 'US', 'US-CT', 'Madison', 'no', '', '', '', 'N04, MPE'),
	('KSWF', 'medium_airport', 'New York Stewart International Airport', 41.504101, -74.104797, 491, 'US', 'US-NY', 'Newburgh', 'yes', 'KSWF', 'SWF', 'SWF', ''),
	('NK07', 'small_airport', 'Big Island Airport', 41.32789993286133, -74.40989685058594, 410, 'US', 'US-NY', 'Goshen', 'no', 'NK07', '', 'NK07', ''),
	('KTEB', 'medium_airport', 'Teterboro Airport', 40.850101, -74.060799, 9, 'US', 'US-NJ', 'Teterboro', 'yes', 'KTEB', 'TEB', 'TEB', 'Manhattan, New York City, NYC'),
	('CT31', 'closed', 'Swift Airport', 41.965099, -72.332901, 515, 'US', 'US-CT', 'Stafford Springs', 'no', '', '', '', 'CT31'),
	('MA80', 'small_airport', 'Mundale Airport', 42.121431, -72.812046, 280, 'US', 'US-MA', 'Westfield', 'no', 'MA80', '', 'MA80', ''),
	('NJ59', 'small_airport', 'Ekdahl Airport', 40.182899475097656, -74.27880096435547, 118, 'US', 'US-NJ', 'Freehold', 'no', 'NJ59', '', 'NJ59', ''),
	('N75', 'closed', 'Twin Pine Airport', 40.3083992004, -74.75789642330001, 230, 'US', 'US-NJ', 'Pennington', 'no', '', '', '', 'N75, N75, N75'),
	('NK08', 'small_airport', 'Sheeley''s Farm Airport', 41.8317985534668, -74.12989807128906, 260, 'US', 'US-NY', 'High Falls', 'no', 'NK08', '', 'NK08', ''),
	('MA97', 'small_airport', 'Waters Airport', 42.125099182128906, -71.73979949951172, 700, 'US', 'US-MA', 'Sutton', 'no', 'MA97', '', 'MA97', ''),
	('KTTN', 'medium_airport', 'Trenton Mercer Airport', 40.276699, -74.813499, 213, 'US', 'US-NJ', 'Ewing Township', 'yes', 'KTTN', 'TTN', 'TTN', ''),
	('CT39', 'small_airport', 'Maplewood Farm Airport', 41.468575, -72.708857, 280, 'US', 'US-CT', 'Durham', 'no', 'CT39', '', 'CT39', ''),
	('C44', 'small_airport', 'Toutant Airport', 41.9557, -72.054398, 770, 'US', 'US-CT', 'Woodstock', 'no', 'C44', '', 'C44', 'CT04, George Campert Memorial, Putnam'),
	('3NJ1', 'small_airport', 'Pemberton Airport', 39.982101, -74.692703, 65, 'US', 'US-NJ', 'Pemberton', 'no', '3NJ1', '', '3NJ1', 'Formerly 3N7'),
	('5CT7', 'small_airport', 'Mile Creek Airport', 41.30229949951172, -72.29620361328125, 30, 'US', 'US-CT', 'Old Lyme', 'no', '5CT7', '', '5CT7', ''),
	('06N', 'small_airport', 'Randall Airport', 41.431999, -74.391602, 523, 'US', 'US-NY', 'Middletown', 'no', 'K06N', '', '06N', ''),
	('CT14', 'small_airport', 'Bancroft Airport', 41.866798400878906, -72.61620330810547, 52, 'US', 'US-CT', 'East Windsor Hill', 'no', 'CT14', '', 'CT14', ''),
	('KUUU', 'small_airport', 'Newport State Airport', 41.532398, -71.281502, 172, 'US', 'US-RI', 'Newport', 'yes', 'KUUU', 'NPT', 'UUU', '2B4'),
	('2N6', 'small_airport', 'Redwing Airport', 40.026501, -74.692703, 75, 'US', 'US-NJ', 'Jobstown', 'no', '2N6', '', '2N6', ''),
	('11N', 'small_airport', 'Candlelight Farms Airport', 41.566799, -73.466202, 675, 'US', 'US-CT', 'New Milford', 'no', '11N', '', '11N', ''),
	('03NY', 'small_airport', 'Talmage Field', 40.958308, -72.717326, 95, 'US', 'US-NY', 'Riverhead', 'no', '03NY', '', '03NY', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('0NK8', 'closed', 'Rocky Reef Farm Airport', 41.920898, -73.670403, 450, 'US', 'US-NY', 'Attlebury', 'no', '', '', '', '0NK8'),
	('CT08', 'closed', 'Gardner Lake Airport', 41.50922, -72.244334, 485, 'US', 'US-CT', 'Colchester', 'no', '', '', '', 'CT08'),
	('KHWV', 'small_airport', 'Brookhaven Calabro Airport', 40.821899, -72.8694, 81, 'US', 'US-NY', 'Shirley', 'no', 'KHWV', 'WSH', 'HWV', ''),
	('KSPP', 'N/A', 'N/A', 41.065985932946205, -72.09238663315773, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NJ72', 'small_airport', 'Hop Brook Farm Airport', 40.351200103759766, -74.1812973022461, 140, 'US', 'US-NJ', 'Holmdel', 'no', 'NJ72', '', 'NJ72', ''),
	('44NJ', 'closed', 'Highlands Seaplane Base', 40.366797, -74.032898, 0, 'US', 'US-NJ', 'Rumson', 'no', '', '', '', '44NJ'),
	('1N7', 'small_airport', 'Blairstown Airport', 40.9711, -74.997498, 372, 'US', 'US-NJ', 'Blairstown', 'no', '1N7', '', '1N7', ''),
	('49N', 'small_airport', 'Lufker Airport', 40.824799, -72.7509, 57, 'US', 'US-NY', 'East Moriches', 'no', '49N', '', '49N', ''),
	('N51', 'small_airport', 'Solberg/Hunterdon Airport', 40.583698, -74.736198, 195, 'US', 'US-NJ', 'Whitehouse Station', 'no', '', '', 'N51', ''),
	('N87', 'small_airport', 'Trenton Robbinsville Airport', 40.21390152, -74.60179901, 118, 'US', 'US-NJ', 'Robbinsville', 'no', 'N87', '', 'N87', ''),
	('N07', 'small_airport', 'Lincoln Park Airport', 40.9474983215332, -74.31449890136719, 182, 'US', 'US-NJ', 'Lincoln Park', 'no', 'N07', '', 'N07', 'Manhattan, New York City, NYC'),
	('KMMK', 'small_airport', 'Meriden Markham Municipal Airport', 41.50870132446289, -72.82949829101563, 103, 'US', 'US-CT', 'Meriden', 'no', 'KMMK', '', 'MMK', ''),
	('KOQU', 'medium_airport', 'Quonset State Airport', 41.597099304199, -71.412101745605, 18, 'US', 'US-RI', 'North Kingstown', 'no', 'KOQU', 'NCO', 'OQU', 'Quonset Point NAS'),
	('6PA0', 'small_airport', 'Myer Airport', 41.350101470947266, -74.93289947509766, 1345, 'US', 'US-PA', 'Milford', 'no', '6PA0', '', '6PA0', ''),
	('43M', 'N/A', 'N/A', 42.15114802122116, -71.83902204036713, 238, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KEWR', 'large_airport', 'Newark Liberty International Airport', 40.692501, -74.168701, 18, 'US', 'US-NJ', 'Newark', 'yes', 'KEWR', 'EWR', 'EWR', 'Manhattan, New York City, NYC'),
	('3NJ6', 'small_airport', 'Inductotherm Airport', 40.015098571777344, -74.84290313720703, 65, 'US', 'US-NJ', 'Rancocas', 'no', '3NJ6', '', '3NJ6', ''),
	('NJ20', 'small_airport', 'Coyle Field', 39.812599, -74.424599, 190, 'US', 'US-NJ', 'Chatsworth', 'no', 'NJ20', '', 'NJ20', ''),
	('4NY2', 'seaplane_base', 'Edo Seaplane Base', 40.783401, -73.866203, 0, 'US', 'US-NY', 'College Point', 'no', '4NY2', '', '4NY2', ''),
	('CT16', 'seaplane_base', 'Fetske Seaplane Base', 41.375099182128906, -72.37449645996094, 0, 'US', 'US-CT', 'Essex', 'no', 'CT16', '', 'CT16', ''),
	('89NJ', 'small_airport', 'Strawberry Fields Airport', 39.489201, -74.723602, 45, 'US', 'US-NJ', 'Mays Landing', 'no', '89NJ', '', '89NJ', ''),
	('KNEL', 'medium_airport', 'Lakehurst Maxfield Field Airport', 40.03329849, -74.353302, 101, 'US', 'US-NJ', 'Lakehurst', 'no', 'KNEL', 'NEL', 'NEL', 'Maxfield Field, Hindenburg, Lakehurst NAES, Lakehurst Naval Air Engineering Station'),
	('MA30', 'small_airport', 'Dresser Hill Airport', 42.10217, -71.969118, 810, 'US', 'US-MA', 'Charlton', 'no', 'MA30', '', 'MA30', ''),
	('3NJ5', 'small_airport', 'Mock Airport', 40.53340148925781, -74.91629791259766, 560, 'US', 'US-NJ', 'Quakertown', 'no', '3NJ5', '', '3NJ5', ''),
	('44N', 'small_airport', 'Sky Acres Airport', 41.707401, -73.737999, 698, 'US', 'US-NY', 'Millbrook', 'no', '44N', '', '44N', ''),
	('KOAU', 'N/A', 'N/A', 41.50692231953144, -73.76130402088165, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('07L', 'N/A', 'N/A', 42.073006220161915, -72.58910849690437, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CT09', 'small_airport', 'Heckler Field', 41.802898, -72.391701, 793, 'US', 'US-CT', 'Coventry', 'no', 'CT09', '', 'CT09', ''),
	('KSFZ', 'small_airport', 'North Central State Airport', 41.9207992554, -71.49140167239999, 441, 'US', 'US-RI', 'Pawtucket', 'no', 'KSFZ', 'SFZ', 'SFZ', ''),
	('N69', 'N/A', 'N/A', 41.57697223126888, -73.73235270380974, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CT11', 'small_airport', 'Devils Hopyard Field', 41.444, -72.338997, 125, 'US', 'US-CT', 'East Haddam', 'no', 'CT11', '', 'CT11', ''),
	('NY94', 'small_airport', 'Old Rhinebeck Aerodrome', 41.9715, -73.8629, 323, 'US', 'US-NY', 'Rhinebeck', 'no', 'NY94', '', 'NY94', ''),
	('3N5', 'small_airport', 'Newton Airport', 41.027302, -74.758499, 620, 'US', 'US-NJ', 'Newton', 'no', '3N5', '', '3N5', ''),
	('1N2', 'small_airport', 'Spadaro Airport', 40.82789993286133, -72.74870300292969, 50, 'US', 'US-NY', 'East Moriches', 'no', '1N2', '', '1N2', ''),
	('KACY', 'medium_airport', 'Atlantic City International Airport', 39.45759963989258, -74.57720184326172, 75, 'US', 'US-NJ', 'Atlantic City', 'yes', 'KACY', 'ACY', 'ACY', ''),
	('5CT5', 'small_airport', 'Thomson Field', 41.632301330566406, -73.21620178222656, 820, 'US', 'US-CT', 'Bethlehem', 'no', '5CT5', '', '5CT5', ''),
	('N12', 'small_airport', 'Lakewood Airport', 40.066799, -74.177696, 43, 'US', 'US-NJ', 'Lakewood', 'no', 'KN12', '', 'N12', ''),
	('KBDL', 'large_airport', 'Bradley International Airport', 41.93851, -72.688066, 173, 'US', 'US-CT', 'Hartford', 'yes', 'KBDL', 'BDL', 'BDL', 'HFD, Hartford'),
	('12N', 'small_airport', 'Aeroflex-Andover Airport', 41.008598, -74.737999, 583, 'US', 'US-NJ', 'Andover', 'no', '', '', '12N', ''),
	('NJ46', 'small_airport', 'Mar Bar L Farms Airport', 40.276995, -74.387874, 80, 'US', 'US-NJ', 'Manalapan Township', 'no', 'NJ46', '', 'NJ46', ''),
	('KVAY', 'small_airport', 'South Jersey Regional Airport', 39.942902, -74.845703, 53, 'US', 'US-NJ', 'Lumberton', 'no', 'KVAY', 'LLY', 'VAY', 'Burlington County Airport, Mount Holly'),
	('KGON', 'medium_airport', 'Groton New London Airport', 41.330101, -72.045097, 9, 'US', 'US-CT', 'Groton', 'no', 'KGON', 'GON', 'GON', 'New London'),
	('21JY', 'seaplane_base', 'Soaring Sun Seaplane Base', 39.70000076293945, -74.15280151367188, 0, 'US', 'US-NJ', 'Harvey Cedars', 'no', '21JY', '', '21JY', ''),
	('CT32', 'small_airport', 'Gallup Farm Airport', 41.535400390625, -71.83450317382813, 440, 'US', 'US-CT', 'Voluntown', 'no', 'CT32', '', 'CT32', ''),
	('2NK3', 'small_airport', 'Rose Field', 41.151686, -72.266564, 20, 'US', 'US-NY', 'Orient', 'no', '2NK3', '', '2NK3', ''),
	('3NJ9', 'small_airport', 'Allen Airstrip', 39.9411125183, -74.77083587650002, 51, 'US', 'US-NJ', 'Vincentown', 'no', '3NJ9', '', '3NJ9', ''),
	('5CT6', 'small_airport', 'Buell Farm Ultralightport', 41.919498443603516, -72.11840057373047, 670, 'US', 'US-CT', 'Eastford', 'no', '5CT6', '', '5CT6', ''),
	('6N7', 'seaplane_base', 'New York Skyports Inc Seaplane Base', 40.735061, -73.972814, 0, 'US', 'US-NY', 'New York', 'yes', '', 'NYS', '6N7', 'QNY'),
	('KLIR', 'N/A', 'N/A', 42.038660533726215, -74.77588891983032, 655, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('7B9', 'small_airport', 'Ellington Airport', 41.925302, -72.457066, 253, 'US', 'US-CT', 'Ellington', 'no', 'K7B9', '', '7B9', ''),
	('08R', 'small_airport', 'Richmond Airport', 41.489498, -71.620598, 130, 'US', 'US-RI', 'West Kingston', 'no', '', '', '08R', 'RI04');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KJPX', 'N/A', 'N/A', 40.9597647562623, -72.25159719586372, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('21N', 'small_airport', 'Mattituck Airport', 40.987598, -72.518997, 30, 'US', 'US-NY', 'Mattituck', 'no', '21N', '', '21N', ''),
	('MA43', 'small_airport', 'Morehaven Airport', 42.072173, -72.899963, 1120, 'US', 'US-MA', 'Granville', 'no', 'MA43', '', 'MA43', ''),
	('KLDJ', 'small_airport', 'Linden Airport', 40.617401123, -74.2445983887, 23, 'US', 'US-NJ', 'Linden', 'no', 'KLDJ', 'LDJ', 'LDJ', 'Manhattan, New York City, NYC'),
	('KHVN', 'medium_airport', 'Tweed New Haven Airport', 41.26369858, -72.88680267, 12, 'US', 'US-CT', 'New Haven', 'yes', 'KHVN', 'HVN', 'HVN', ''),
	('4N1', 'small_airport', 'Greenwood Lake Airport', 41.128200531, -74.34670257570001, 791, 'US', 'US-NJ', 'West Milford', 'no', '4N1', '', '4N1', ''),
	('58NJ', 'seaplane_base', 'Harrah''s Landing Seaplane Base', 39.386199951171875, -74.4260025024414, 17, 'US', 'US-NJ', 'Atlantic City', 'no', '58NJ', '', '58NJ', ''),
	('KWST', 'medium_airport', 'Westerly State Airport', 41.349602, -71.803398, 81, 'US', 'US-RI', 'Westerly', 'yes', 'KWST', 'WST', 'WST', ''),
	('N41', 'small_airport', 'Waterbury Airport', 41.632381, -73.048182, 850, 'US', 'US-CT', 'Waterbury', 'no', 'KN41', '', 'N41', ''),
	('NJ50', 'small_airport', 'The Landing Airport', 40.4807014465, -74.96179962160001, 470, 'US', 'US-NJ', 'Flemington', 'no', 'NJ50', '', 'NJ50', ''),
	('3B0', 'small_airport', 'Southbridge Municipal Airport', 42.10089874267578, -72.03839874267578, 699, 'US', 'US-MA', 'Southbridge', 'no', 'K3B0', '', '3B0', ''),
	('6NY6', 'seaplane_base', 'Firemans White Lake Seaplane Base', 41.68429946899414, -74.83159637451172, 1323, 'US', 'US-NY', 'Kauneonga Lake', 'no', '6NY6', '', '6NY6', ''),
	('CT29', 'small_airport', 'Valley Farm Airport', 42.013271, -72.472519, 221, 'US', 'US-CT', 'Somers', 'no', 'CT29', '', 'CT29', ''),
	('CT96', 'small_airport', 'Green Acres Airport', 41.709355, -72.971253, 950, 'US', 'US-CT', 'Bristol', 'no', 'CT96', '', 'CT96', ''),
	('09N', 'small_airport', 'Airhaven Airport', 41.83259963989258, -73.8759994506836, 450, 'US', 'US-NY', 'Staatsburg', 'no', '09N', '', '09N', ''),
	('N40', 'small_airport', 'Sky Manor Airport', 40.56629943847656, -74.97859954833984, 560, 'US', 'US-NJ', 'Pittstown', 'no', 'KN40', '', 'N40', ''),
	('KBID', 'small_airport', 'Block Island State Airport', 41.168446, -71.578631, 108, 'US', 'US-RI', 'Block Island', 'yes', 'KBID', 'BID', 'BID', ''),
	('08CT', 'seaplane_base', 'Seavair''s Landing Seaplane Base', 41.895999908447266, -73.09310150146484, 881, 'US', 'US-CT', 'Winsted', 'no', '08CT', '', '08CT', ''),
	('RI11', 'small_airport', 'Riconn Airport', 41.6968, -71.783699, 385, 'US', 'US-RI', 'Greene', 'no', 'RI11', '', 'RI11', ''),
	('N05', 'small_airport', 'Hackettstown Airport', 40.820099, -74.855202, 670, 'US', 'US-NJ', 'Hackettstown', 'no', 'N05', '', 'N05', ''),
	('N89', 'small_airport', 'Joseph Y Resnick Airport', 41.727901, -74.377403, 292, 'US', 'US-NY', 'Ellenville', 'no', 'N89', '', 'N89', ''),
	('N72', 'small_airport', 'Warwick Municipal Airport', 41.287601470947266, -74.28710174560547, 540, 'US', 'US-NY', 'Warwick', 'no', 'N72', '', 'N72', ''),
	('3N6', 'small_airport', 'Old Bridge Airport', 40.329899, -74.346802, 87, 'US', 'US-NJ', 'Old Bridge', 'no', 'K3N6', '', '3N6', ''),
	('4NJ8', 'closed', 'Peters Airport', 40.600101, -74.732903, 150, 'US', 'US-NJ', 'Whitehouse Station', 'no', '', '', '', '4NJ8, 4NJ8, 4NJ8'),
	('6N6', 'seaplane_base', 'Evers Seaplane Base', 40.84590148925781, -73.81620025634766, 0, 'US', 'US-NY', 'New York', 'no', '6N6', '', '6N6', ''),
	('MA18', 'small_airport', 'Cmelak Field', 42.0791015625, -73.30719757080078, 980, 'US', 'US-MA', 'Sheffield', 'no', 'MA18', '', 'MA18', ''),
	('NK06', 'closed', 'S.O.P. Airport', 42.096199, -73.8554, 190, 'US', 'US-NY', 'Germantown', 'no', '', '', '', 'NK06, NK06, NK06'),
	('2N7', 'seaplane_base', 'Little Ferry Seaplane Base', 40.850101, -74.032898, 0, 'US', 'US-NJ', 'Little Ferry', 'no', '2N7', '', '2N7', ''),
	('KPVD', 'large_airport', 'Theodore Francis Green State Airport', 41.725038, -71.425668, 55, 'US', 'US-RI', 'Warwick', 'yes', 'KPVD', 'PVD', 'PVD', ''),
	('47N', 'small_airport', 'Central Jersey Regional Airport', 40.5243988037, -74.59839630130001, 86, 'US', 'US-NJ', 'Manville', 'no', '47N', 'JVI', '47N', 'Kupper Airport'),
	('6NJ1', 'closed', 'Vliet Airport', 40.742704, -74.95858, 460, 'US', 'US-NJ', 'Washington', 'no', '', '', '', '6NJ1'),
	('KSMQ', 'small_airport', 'Somerset Airport', 40.625999450683594, -74.67019653320313, 105, 'US', 'US-NJ', 'Somerville', 'no', 'KSMQ', '', 'SMQ', ''),
	('N81', 'small_airport', 'Hammonton Municipal Airport', 39.6675, -74.757698, 65, 'US', 'US-NJ', 'Hammonton', 'no', 'KN81', '', 'N81', ''),
	('CT82', 'seaplane_base', 'Quaddick Lake Seaplane Base', 41.95840072631836, -71.81670379638672, 403, 'US', 'US-CT', 'Thompson', 'no', 'CT82', '', 'CT82', ''),
	('KSNC', 'small_airport', 'Chester Airport', 41.384177, -72.506011, 416, 'US', 'US-CT', 'Chester', 'no', 'KSNC', '', 'SNC', '3B9'),
	('5NY5', 'small_airport', 'Gardiner Airport', 41.66680145263672, -74.14959716796875, 340, 'US', 'US-NY', 'Gardiner', 'no', '5NY5', '', '5NY5', ''),
	('2MA7', 'seaplane_base', 'Falls Pond Seaplane Base', 41.95840072631836, -71.32640075683594, 175, 'US', 'US-MA', 'North Attleborough', 'no', '2MA7', '', '2MA7', ''),
	('CT36', 'small_airport', 'Gager Field', 41.564499, -72.197304, 465, 'US', 'US-CT', 'Bozrah', 'no', 'CT36', '', 'CT36', ''),
	('32M', 'N/A', 'N/A', 42.128590643405914, -71.37024566531181, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLGA', 'large_airport', 'LaGuardia Airport', 40.777199, -73.872597, 21, 'US', 'US-NY', 'New York', 'yes', 'KLGA', 'LGA', 'LGA', 'Manhattan, New York City, NYC, Glenn H. Curtiss Airport, North Beach Airport, La Guardia'),
	('CT59', 'small_airport', 'Good Hill Farm Airport', 41.55009841918945, -73.26619720458984, 949, 'US', 'US-CT', 'Roxbury', 'no', 'CT59', '', 'CT59', ''),
	('KHFD', 'medium_airport', 'Hartford Brainard Airport', 41.736698150635, -72.649398803711, 18, 'US', 'US-CT', 'Hartford', 'no', 'KHFD', 'HFD', 'HFD', ''),
	('N82', 'small_airport', 'Wurtsboro-Sullivan County Airport', 41.597991, -74.459467, 560, 'US', 'US-NY', 'Wurtsboro', 'no', '', '', 'N82', ''),
	('JY73', 'small_airport', 'Red Lion Airport', 39.904202, -74.749496, 54, 'US', 'US-NJ', 'Vincentown', 'no', 'JY73', '', 'JY73', 'N73'),
	('KBDR', 'medium_airport', 'Igor I Sikorsky Memorial Airport', 41.163502, -73.126198, 9, 'US', 'US-CT', 'Bridgeport', 'no', 'KBDR', 'BDR', 'BDR', ''),
	('KJFK', 'large_airport', 'John F Kennedy International Airport', 40.639447, -73.779317, 13, 'US', 'US-NY', 'New York', 'yes', 'KJFK', 'JFK', 'JFK', 'Manhattan, New York City, NYC, Idlewild, IDL, KIDL'),
	('NJ81', 'small_airport', 'Free Spirit Airport', 39.442298889160156, -74.94270324707031, 85, 'US', 'US-NJ', 'Vineland', 'no', 'NJ81', '', 'NJ81', ''),
	('1NY5', 'closed', 'Sherman Field', 41.639, -73.742897, 625, 'US', 'US-NY', 'Poughkeepsie', 'no', '', '', '', '1NY5'),
	('NY35', 'small_airport', 'Stanton Airport', 41.750099182128906, -74.11630249023438, 303, 'US', 'US-NY', 'New Paltz', 'no', 'NY35', '', 'NY35', ''),
	('CT24', 'small_airport', 'North Canaan Aviation Facilities Inc Airport', 42.0453987121582, -73.33869934082031, 658, 'US', 'US-CT', 'North Canaan', 'no', 'CT24', '', 'CT24', ''),
	('4B9', 'small_airport', 'Simsbury Airport', 41.915755, -72.777128, 195, 'US', 'US-CT', 'Simsbury', 'no', '', '', '4B9', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KMGJ', 'small_airport', 'Orange County Airport', 41.50999832, -74.26460266, 364, 'US', 'US-NY', 'Montgomery', 'no', 'KMGJ', 'MGJ', 'MGJ', ''),
	('80NY', 'N/A', 'N/A', 40.923055708408356, -72.27833345532417, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NJ24', 'small_airport', 'Warren Grove Range Airport', 39.701138, -74.404382, 105, 'US', 'US-NJ', 'Bass River', 'no', 'NJ24', '', 'NJ24', ''),
	('22B', 'N/A', 'N/A', 41.77258808165789, -73.01058366894722, 312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('49NY', 'small_airport', 'Westmoreland Airport', 41.055672, -72.360486, 22, 'US', 'US-NY', 'Shelter Island', 'no', '49NY', '', '49NY', ''),
	('28N', 'small_airport', 'Vineland-Downtown Airport', 39.537601, -74.966301, 120, 'US', 'US-NJ', 'Vineland', 'no', '', '', '28N', ''),
	('NJ69', 'small_airport', 'Ideal Mfg Corp Airport', 39.65850067138672, -74.80239868164063, 80, 'US', 'US-NJ', 'Hammonton', 'no', 'NJ69', '', 'NJ69', ''),
	('9NK4', 'small_airport', 'Greig Farm Airport', 42.024318, -73.856292, 215, 'US', 'US-NY', 'Red Hook', 'no', '9NK4', '', '9NK4', ''),
	('1NY7', 'closed', 'Minard Farms Airport', 41.708401, -74.061798, 450, 'US', 'US-NY', 'Clinton Dale', 'no', '', '', '', '1NY7'),
	('6NY7', 'small_airport', 'Piolis Brookside Airport', 41.86539840698242, -74.33290100097656, 1060, 'US', 'US-NY', 'Kerhonkson', 'no', '6NY7', '', '6NY7', ''),
	('NY03', 'closed', 'Skytop Airport', 41.874428, -74.978528, 2094, 'US', 'US-NY', 'Roscoe', 'no', '', '', '', 'NY03'),
	('KPOU', 'medium_airport', 'Dutchess County Airport', 41.6265983581543, -73.88420104980469, 165, 'US', 'US-NY', 'Poughkeepsie', 'no', 'KPOU', 'POU', 'POU', ''),
	('1B6', 'small_airport', 'Hopedale Industrial Park Airport', 42.106499, -71.510101, 269, 'US', 'US-MA', 'Hopedale', 'no', 'K1B6', '', '1B6', ''),
	('CT07', 'small_airport', 'Skis Landing Area Airport', 41.573393, -72.301318, 510, 'US', 'US-CT', 'Colchester', 'no', 'CT07', '', 'CT07', ''),
	('CT48', 'small_airport', 'Wychwood Field', 41.436798095703125, -71.92539978027344, 316, 'US', 'US-CT', 'Mystic', 'no', 'CT48', '', 'CT48', ''),
	('5NJ2', 'small_airport', 'Herr Mountain Airport', 40.592752, -74.840405, 560, 'US', 'US-NJ', 'Stanton', 'no', '5NJ2', '', '5NJ2', ''),
	('82NY', 'small_airport', 'Silvernails Field', 42.001389, -73.67111, 571, 'US', 'US-NY', 'Gallatin', 'no', '82NY', '', '82NY', ''),
	('KGBR', 'small_airport', 'Walter J. Koladza Airport', 42.18420029, -73.40319824, 739, 'US', 'US-MA', 'Great Barrington', 'no', 'KGBR', 'GBR', 'GBR', ''),
	('6NJ7', 'seaplane_base', 'Greenwood Lake Seaplane Base', 41.18009948730469, -74.33429718017578, 635, 'US', 'US-NJ', 'West Milford', 'no', '6NJ7', '', '6NJ7', ''),
	('KHPN', 'medium_airport', 'Westchester County Airport', 41.06700134277344, -73.70760345458984, 439, 'US', 'US-NY', 'White Plains', 'yes', 'KHPN', 'HPN', 'HPN', 'Manhattan, New York City, NYC'),
	('KLZD', 'small_airport', 'Danielson Airport', 41.819698333740234, -71.9010009765625, 238, 'US', 'US-CT', 'Danielson', 'no', 'KLZD', '', 'LZD', 'Formerly 5B3'),
	('CGAS', 'N/A', 'N/A', 40.59553720057011, -73.89105632901192, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2N8', 'N/A', 'N/A', 40.366265662014484, -74.2543588578701, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NJ65', 'small_airport', 'John E. Rogers Airport', 40.854501, -74.928005, 500, 'US', 'US-NJ', 'Great Meadows', 'no', 'NJ65', '', 'NJ65', ''),
	('KISP', 'medium_airport', 'Long Island Mac Arthur Airport', 40.79520035, -73.10019684, 99, 'US', 'US-NY', 'Islip', 'yes', 'KISP', 'ISP', 'ISP', ''),
	('CT78', 'seaplane_base', 'Lord Creek Seaplane Base', 41.35150146484375, -72.3551025390625, 0, 'US', 'US-CT', 'Lyme', 'no', 'CT78', '', 'CT78', ''),
	('64CT', 'small_airport', 'Woodstock Airport', 41.920956, -71.953117, 465, 'US', 'US-CT', 'Woodstock', 'no', '64CT', '', '64CT', ''),
	('NJ52', 'closed', 'Folsom Airport', 39.60042, -74.8322, 90, 'US', 'US-NJ', 'Folsom', 'no', '', '', '', 'NJ52'),
	('N14', 'small_airport', 'Flying W Airport', 39.934299, -74.807297, 49, 'US', 'US-NJ', 'Lumberton', 'no', 'KN14', '', 'N14', ''),
	('NJ96', 'closed', 'Als Landing Strip', 39.526199, -74.956596, 115, 'US', 'US-NJ', 'Minotola', 'no', '', '', '', 'NJ96'),
	('19N', 'small_airport', 'Camden County Airport', 39.7784, -74.9478, 149, 'US', 'US-NJ', 'Berlin', 'no', 'K18N', '', '19N', ''),
	('20N', 'small_airport', 'Kingston-Ulster Airport', 41.985298, -73.964104, 149, 'US', 'US-NY', 'Kingston', 'no', 'K20N', '', '20N', ''),
	('CT15', 'small_airport', 'Wysocki Field', 41.94540023803711, -72.47760009765625, 390, 'US', 'US-CT', 'Ellington', 'no', 'CT15', '', 'CT15', ''),
	('KBAF', 'medium_airport', 'Westfield-Barnes Regional Airport', 42.157799, -72.715599, 271, 'US', 'US-MA', 'Westfield', 'no', 'KBAF', 'BAF', 'BAF', 'Barnes Municipal Airport, Springfield'),
	('11NY', 'closed', 'Saikkonen Airport', 42.209162, -76.448979, 969, 'US', 'US-NY', 'Spencer', 'no', '', '', '', ''),
	('N45', 'small_airport', 'Kobelt Airport', 41.627899, -74.133797, 420, 'US', 'US-NY', 'Wallkill', 'no', 'N45', '', 'N45', ''),
	('7B6', 'small_airport', 'Skylark Airpark', 41.929298, -72.574501, 120, 'US', 'US-CT', 'Warehouse Point', 'no', 'K7B6', '', '7B6', ''),
	('18NY', 'small_airport', 'Strip in the Woods Airport', 42.017362, -74.047593, 500, 'US', 'US-NY', 'Woodstock', 'no', '18NY', '', '18NY', ''),
	('4B8', 'small_airport', 'Robertson Field', 41.690399169921875, -72.86479949951172, 200, 'US', 'US-CT', 'Plainville', 'no', 'K4B8', '', '4B8', ''),
	('7N2', 'closed', 'Peekskill Seaplane Base', 41.245899, -73.962097, 0, 'US', 'US-NY', 'Peekskill', 'no', '', '', '', '7N2'),
	('46N', 'small_airport', 'Sky Park Airport', 41.9846, -73.835999, 323, 'US', 'US-NY', 'Red Hook', 'no', '46N', '', '46N', ''),
	('9B8', 'small_airport', 'Salmon River Airfield', 41.589262, -72.44246, 540, 'US', 'US-CT', 'Marlborough', 'no', '', '', '9B8', ''),
	('NJ98', 'closed', 'Zitone Airport', 41.316374, -74.738356, 587, 'US', 'US-NJ', 'Montague', 'no', '', '', '', 'NJ98'),
	('CT80', 'small_airport', 'Stonington Airpark', 41.3473014831543, -71.88590240478516, 7, 'US', 'US-CT', 'Stonington', 'no', 'CT80', '', 'CT80', ''),
	('KBLM', 'small_airport', 'Monmouth Executive Airport', 40.18690109, -74.12490082, 153, 'US', 'US-NJ', 'Belmar/Farmingdale', 'no', 'KBLM', 'BLM', 'BLM', ''),
	('KIJD', 'small_airport', 'Windham Airport', 41.743999, -72.180298, 247, 'US', 'US-CT', 'North Windham', 'no', 'KIJD', '', 'IJD', ''),
	('KDHD', 'N/A', 'N/A', 41.38831805437803, -71.59366741776466, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('2NJ3', 'small_airport', 'Weidel/Private/ Airport', 40.3404006958, -74.8543014526, 301, 'US', 'US-NJ', 'Pennington', 'no', '2NJ3', '', '2NJ3', ''),
	('KMEO', 'N/A', 'N/A', 41.63693267852068, -71.34863421320915, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('33CT', 'small_airport', 'Irish Hills Farms Airport', 41.609444, -73.239722, 830, 'US', 'US-CT', 'Bethlehem', 'no', '33CT', '', '33CT', ''),
	('NJ79', 'small_airport', 'Goat Hill Airport', 40.35150146484375, -74.9093017578125, 350, 'US', 'US-NJ', 'Lambertville', 'no', 'NJ79', '', 'NJ79', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('KWRI', 'medium_airport', 'Mc Guire Air Force Base', 40.0155983, -74.59169769, 131, 'US', 'US-NJ', 'Wrightstown', 'no', 'KWRI', 'WRI', 'WRI', ''),
	('7N3', 'seaplane_base', 'Sands Point Seaplane Base', 40.83760070800781, -73.71620178222656, 0, 'US', 'US-NY', 'Port Washington', 'no', '7N3', '', '7N3', ''),
	('54NJ', 'seaplane_base', 'Highlands Seaplane Base', 40.41680145263672, -73.99960327148438, 0, 'US', 'US-NJ', 'Highlands', 'no', '54NJ', '', '54NJ', ''),
	('CT87', 'seaplane_base', 'Bootlegger''s Seaplane Base', 41.9984016418457, -72.60590362548828, 35, 'US', 'US-CT', 'Enfield', 'no', 'CT87', '', 'CT87', ''),
	('39N', 'small_airport', 'Princeton Airport', 40.3992004395, -74.6588973999, 128, 'US', 'US-NJ', 'Princeton/Rocky Hill', 'no', '39N', 'PCT', '39N', ''),
	('JY43', 'small_airport', 'Hill Top Airport', 41.083221, -74.338554, 921, 'US', 'US-NJ', 'West Milford', 'no', 'JY43', '', 'JY43', ''),
	('3NK8', 'small_airport', 'B Flat Farm Airport', 42.14059829711914, -73.61190032958984, 800, 'US', 'US-NY', 'Copake', 'no', '3NK8', '', '3NK8', ''),
	('KCDW', 'small_airport', 'Essex County Airport', 40.875198364300005, -74.2814025879, 173, 'US', 'US-NJ', 'Caldwell', 'no', 'KCDW', 'CDW', 'CDW', 'Manhattan, New York City, NYC'),
	('KMMU', 'medium_airport', 'Morristown Municipal Airport', 40.799062, -74.414949, 187, 'US', 'US-NJ', 'Morristown', 'no', 'KMMU', 'MMU', 'MMU', 'Manhattan, New York City, NYC'),
	('31E', 'small_airport', 'Eagles Nest Airport', 39.665401, -74.307899, 35, 'US', 'US-NJ', 'West Creek', 'no', 'K31E', '', '31E', ''),
	('KFWN', 'small_airport', 'Sussex Airport', 41.200199127197266, -74.62300109863281, 421, 'US', 'US-NJ', 'Sussex', 'no', 'KFWN', '', 'FWN', ''),
	('NK79', 'small_airport', 'Lewis Landing Airport', 41.418399810791016, -74.53240203857422, 880, 'US', 'US-NY', 'Slate Hill', 'no', 'NK79', '', 'NK79', ''),
	('CT01', 'small_airport', 'Whelan Farms Airport', 41.66619873046875, -73.18900299072266, 1020, 'US', 'US-CT', 'Bethlehem', 'no', 'CT01', '', 'CT01', ''),
	('KEXE', 'N/A', 'N/A', 41.54973708093166, -71.52501985430717, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CT66', 'small_airport', 'Long View Landing Airport', 41.66680145263672, -73.28289794921875, 940, 'US', 'US-CT', 'Washington', 'no', 'CT66', '', 'CT66', ''),
	('KFRG', 'medium_airport', 'Republic Airport', 40.7288017273, -73.4133987427, 82, 'US', 'US-NY', 'Farmingdale', 'no', 'KFRG', 'FRG', 'FRG', 'Fairchild Flying Field'),
	('NJ60', 'small_airport', 'Cuddihy Landing Strip', 40.18709945678711, -74.26709747314453, 105, 'US', 'US-NJ', 'Freehold', 'no', 'NJ60', '', 'NJ60', ''),
	('KDXR', 'medium_airport', 'Danbury Municipal Airport', 41.371656, -73.482227, 458, 'US', 'US-CT', 'Danbury', 'no', 'KDXR', 'DXR', 'DXR', ''),
	('KMJX', 'small_airport', 'Ocean County Airport', 39.92750168, -74.29239655, 82, 'US', 'US-NJ', 'Toms River', 'no', 'KMJX', 'MJX', 'MJX', 'N44, Robert J. Miller Air Park'),
	('CT85', 'small_airport', 'Roberts Farm Airport', 41.889801025390625, -72.61509704589844, 37, 'US', 'US-CT', 'East Windsor', 'no', 'CT85', '', 'CT85', ''),
	('23N', 'small_airport', 'Bayport Aerodrome', 40.75804, -73.052716, 41, 'US', 'US-NY', 'Bayport', 'no', '', '', '23N', ''),
	('KFOK', 'small_airport', 'Francis S Gabreski Airport', 40.8437004089, -72.6317977905, 67, 'US', 'US-NY', 'Westhampton Beach', 'no', 'KFOK', 'FOK', 'FOK', 'Suffolk County AFB, Suffolk County Airport'),
	('46NJ', 'closed', 'Perl Acres Airport', 40.152903, -74.455202, 150, 'US', 'US-NJ', 'Clarksburg', 'no', '', '', '', '46NJ'),
	('CT42', 'small_airport', 'Wings Ago Airstrip', 41.850101470947266, -73.26619720458984, 1585, 'US', 'US-CT', 'Goshen', 'no', 'CT42', '', 'CT42', ''),
	('1NK5', 'closed', 'Westtown Airport', 41.3615, -74.5243, 600, 'US', 'US-NY', 'Westtown', 'no', '', '', '', '1NK5'),
	('CT52', 'small_airport', 'Flying Ridge Airstrip', 41.36819839477539, -73.29119873046875, 610, 'US', 'US-CT', 'Newtown', 'no', 'CT52', '', 'CT52', ''),
	('CT19', 'small_airport', 'Laurie Field', 41.968201, -72.539803, 129, 'US', 'US-CT', 'Hazardville', 'no', 'CT19', '', 'CT19', ''),
	('KOXC', 'small_airport', 'Waterbury Oxford Airport', 41.47859954834, -73.135200500488, 726, 'US', 'US-CT', 'Oxford', 'no', 'KOXC', 'OXC', 'OXC', ''),
	('13N', 'closed', 'Trinca Airport', 40.966801, -74.780197, 600, 'US', 'US-NJ', 'Andover', 'no', '', '', '', '13N'),
	('KMTP', 'small_airport', 'Montauk Airport', 41.0765, -71.920797, 6, 'US', 'US-NY', 'Montauk', 'yes', 'KMTP', 'MTP', 'MTP', ''),
	('CT43', 'small_airport', 'Spruce Airport', 41.59370040893555, -71.93119812011719, 200, 'US', 'US-CT', 'Jewett City', 'no', 'CT43', '', 'CT43', ''),
	('2NK9', 'small_airport', 'Old Orchard Airpark', 41.65719985961914, -74.07720184326172, 660, 'US', 'US-NY', 'Modena', 'no', '2NK9', '', '2NK9', ''),
	('1A1', 'small_airport', 'Green Acres Airport', 42.14870071411133, -73.7509994506836, 295, 'US', 'US-NY', 'Livingston', 'no', '1A1', '', '1A1', ''),
	('0B8', 'small_airport', 'Elizabeth Field', 41.25130081179999, -72.0316009521, 9, 'US', 'US-NY', 'Fishers Island', 'no', '0B8', 'FID', '0B8', ''),
	('16NJ', 'seaplane_base', 'Hummel Seaplane Base', 39.93730163574219, -74.13569641113281, 0, 'US', 'US-NJ', 'Island Heights', 'no', '16NJ', '', '16NJ', ''),
	('28MA', 'small_airport', 'Cannizzaro Field', 42.078238, -72.818792, 250, 'US', 'US-MA', 'Southwick', 'no', '28MA', '', '28MA', ''),
	('JY35', 'seaplane_base', 'Allen''s Seaplane Base', 40.03350067138672, -74.05789947509766, 0, 'US', 'US-NJ', 'Brick', 'no', 'JY35', '', 'JY35', ''),
	('3C8', 'N/A', 'N/A', 40.91509725898504, -72.7919054031372, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('42B', 'small_airport', 'Goodspeed Airport', 41.446072, -72.45698, 9, 'US', 'US-CT', 'East Haddam', 'no', '', '', '42B', ''),
	('CT74', 'small_airport', 'Westford Airstrip', 41.951405, -72.181578, 900, 'US', 'US-CT', 'Ashford', 'no', 'CT74', '', 'CT74', ''),
	('KOBI', 'small_airport', 'Woodbine Municipal Airport', 39.2192, -74.7948, 42, 'US', 'US-NJ', 'Woodbine', 'no', 'KOBI', '', 'OBI', 'Formerly 1N4'),
	('KWWD', 'medium_airport', 'Cape May County Airport', 39.008499145500004, -74.9083023071, 23, 'US', 'US-NJ', 'Wildwood', 'no', 'KWWD', 'WWD', 'WWD', ''),
	('JY04', 'small_airport', 'Paramount Airport', 39.064365, -74.907116, 8, 'US', 'US-NJ', 'Cape May Court House', 'no', 'JY04', '', 'JY04', ''),
	('26N', 'small_airport', 'Ocean City Municipal Airport', 39.2635, -74.607498, 5, 'US', 'US-NJ', 'Ocean City', 'no', 'K26N', '', '26N', ''),
	('KAIY', 'closed', 'Atlantic City Municipal Bader Field', 39.360001, -74.4561, 8, 'US', 'US-NJ', 'Atlantic City', 'no', '', '', '', 'KAIY, AIY'),
	('MYLR', 'medium_airport', 'Hard Bargain Airport', 23.011194, -74.905889, 0, 'BS', 'BS-LI', '', 'no', 'MYLR', '', '', ''),
	('MYX1', 'N/A', 'N/A', 22.829726301133633, -74.34396028518677, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MYSM', 'medium_airport', 'San Salvador Airport', 24.063299, -74.524002, 24, 'BS', 'BS-SS', 'San Salvador', 'yes', 'MYSM', 'ZSA', '', ''),
	('MYCI', 'medium_airport', 'Colonel Hill Airport', 22.7456, -74.182404, 5, 'BS', 'BS-CK', 'Colonel Hill', 'yes', 'MYCI', 'CRI', '', 'Crooked Island Airport'),
	('MYRP', 'small_airport', 'Rum Cay International Airport', 23.68344, -74.836302, 15, 'BS', 'BS-RC', 'Port Nelson', 'no', 'MYRP', 'RCY', '', 'Port Nelson Airport, New Port Nelson Airport'),
	('2G8', 'small_airport', 'Gorham Airport', 44.39310073852539, -71.19670104980469, 835, 'US', 'US-NH', 'Gorham', 'no', '2G8', '', '2G8', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ME35', 'small_airport', 'Terra B & B Airport', 44.93149948120117, -69.0073013305664, 382, 'US', 'US-ME', 'Levant', 'no', 'ME35', '', 'ME35', ''),
	('68JY', 'seaplane_base', 'Hancock Pond Seaplane Base', 43.93170166015625, -70.75669860839844, 500, 'US', 'US-ME', 'Denmark', 'no', '68JY', '', '68JY', ''),
	('18ME', 'small_airport', 'Ruby Airport', 43.893597, -69.495406, 216, 'US', 'US-ME', 'Bristol', 'no', '18ME', '', '18ME', ''),
	('03M', 'seaplane_base', 'Lakeside Lodge and Marina Seaplane Base', 44.3209, -69.889503, 165, 'US', 'US-ME', 'East Winthrop', 'no', '03M', '', '03M', ''),
	('KLIF', 'N/A', 'N/A', 43.959715627133846, -70.04330679774284, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3ME7', 'seaplane_base', 'Peru / Destiny Cove SPB', 44.460597, -70.396957, 580, 'US', 'US-ME', '', 'no', '3ME7', '', '', ''),
	('B10', 'small_airport', 'Bowman Field', 44.41, -70.146103, 327, 'US', 'US-ME', 'Livermore Falls', 'no', 'B10', '', 'B10', ''),
	('KBXM', 'N/A', 'N/A', 43.892355635762215, -69.93883073329926, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('03ME', 'small_airport', 'Maple Ridge Airport', 44.084251, -70.626905, 556, 'US', 'US-ME', 'Harrison', 'no', '03ME', '', '03ME', ''),
	('ME6', 'small_airport', 'Wales Airport', 44.1745, -70.018898, 210, 'US', 'US-ME', 'Wales', 'no', 'ME6', '', 'ME6', ''),
	('ME41', 'small_airport', 'Witherspoons Airport', 44.151574, -68.876306, 80, 'US', 'US-ME', 'North Haven', 'yes', 'ME41', '', 'ME41', ''),
	('PG1', 'small_airport', 'Griffin Field', 44.8677222, -68.9771056, 322, 'US', 'US-ME', 'Levant', 'no', '', '', 'PG1', ''),
	('KAUG', 'medium_airport', 'Augusta State Airport', 44.320598602299995, -69.7973022461, 352, 'US', 'US-ME', 'Augusta', 'yes', 'KAUG', 'AUG', 'AUG', ''),
	('ME45', 'small_airport', 'Goosefair Airport', 43.405601501464844, -70.43229675292969, 40, 'US', 'US-ME', 'Kennebunkport', 'no', 'ME45', '', 'ME45', ''),
	('MA36', 'small_airport', 'Snow Airport', 42.666500091552734, -70.85299682617188, 61, 'US', 'US-MA', 'Ipswich', 'no', 'MA36', '', 'MA36', ''),
	('KOWK', 'small_airport', 'Central Maine/Norridgewock Airport', 44.7155, -69.866501, 270, 'US', 'US-ME', 'Norridgewock', 'no', 'KOWK', 'OWK', 'OWK', 'Central Maine Regional Airport'),
	('NH15', 'small_airport', 'Locke Lake Airport', 43.38669967651367, -71.2333984375, 702, 'US', 'US-NH', 'Barnstead', 'no', 'NH15', '', 'NH15', ''),
	('ME69', 'small_airport', 'Cliffords Airport', 44.069000244140625, -70.06449890136719, 280, 'US', 'US-ME', 'Sabattus', 'no', 'ME69', '', 'ME69', ''),
	('15ME', 'small_airport', 'Eagle Field', 43.81529998779297, -70.22920227050781, 150, 'US', 'US-ME', 'North Yarmouth', 'no', '15ME', '', '15ME', ''),
	('KWVL', 'small_airport', 'Waterville Robert Lafleur Airport', 44.5331993103, -69.6754989624, 333, 'US', 'US-ME', 'Waterville', 'no', 'KWVL', 'WVL', 'WVL', ''),
	('76B', 'seaplane_base', 'Long Lake Seaplane Base', 43.986944, -70.618611, 268, 'US', 'US-ME', 'Naples', 'no', '', '', '76B', ''),
	('ME14', 'small_airport', 'Bald Mountain Airport', 44.23059844970703, -69.12310028076172, 570, 'US', 'US-ME', 'Camden', 'no', 'ME14', '', 'ME14', ''),
	('ME74', 'small_airport', 'Miller''s Field', 44.7495002746582, -68.98139953613281, 160, 'US', 'US-ME', 'Newburgh', 'no', 'ME74', '', 'ME74', ''),
	('74ME', 'seaplane_base', 'Labrador Landing Seaplane Base', 44.065175, -69.533522, 54, 'US', 'US-ME', 'New Castle', 'no', '74ME', '', '74ME', ''),
	('B19', 'small_airport', 'Biddeford Municipal Airport', 43.4641, -70.472397, 157, 'US', 'US-ME', 'Biddeford', 'no', '', '', 'B19', ''),
	('ME68', 'small_airport', 'Newport Sky Park Airport', 44.820098876953125, -69.2384033203125, 300, 'US', 'US-ME', 'Newport', 'no', 'ME68', '', 'ME68', ''),
	('KPWM', 'large_airport', 'Portland International Jetport', 43.646198, -70.309303, 76, 'US', 'US-ME', 'Portland', 'yes', 'KPWM', 'PWM', 'PWM', ''),
	('NH38', 'small_airport', 'Leavitt Airport', 43.972599029541016, -71.1697998046875, 860, 'US', 'US-NH', 'Albany', 'no', 'NH38', '', 'NH38', ''),
	('ME39', 'small_airport', 'Rocky Ridge Airport', 44.234829, -70.132255, 480, 'US', 'US-ME', 'Greene', 'no', 'ME39', '', 'ME39', ''),
	('57ME', 'small_airport', 'Dyer''s Landing Airport', 43.91780090332031, -70.85440063476563, 441, 'US', 'US-ME', 'Fryeburg', 'no', '57ME', '', '57ME', ''),
	('KIWI', 'small_airport', 'Wiscasset Airport', 43.9613990784, -69.712600708, 70, 'US', 'US-ME', 'Wiscasset', 'no', 'KIWI', 'ISS', 'IWI', ''),
	('KIAE', 'N/A', 'N/A', 44.14055820554495, -70.62809273600578, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KBHB', 'medium_airport', 'Hancock County-Bar Harbor Airport', 44.45000076, -68.3615036, 83, 'US', 'US-ME', 'Bar Harbor', 'yes', 'KBHB', 'BHB', 'BHB', ''),
	('ME80', 'seaplane_base', 'Dry Pond Seaplane Base', 43.93389892578125, -70.35639953613281, 309, 'US', 'US-ME', 'Gray', 'no', 'ME80', '', 'ME80', ''),
	('5ME2', 'seaplane_base', 'Frogg Island Seaplane Base', 43.870833, -70.424722, 290, 'US', 'US-ME', 'Gray', 'no', '5ME2', '', '5ME2', ''),
	('54ME', 'small_airport', 'Cliff Dow Airport', 43.949444, -70.320278, 415, 'US', 'US-ME', 'New Gloucester', 'no', '54ME', '', '54ME', ''),
	('KOLD', 'small_airport', 'Dewitt Field - Old Town Municipal Airport', 44.952801, -68.674301, 126, 'US', 'US-ME', 'Old Town', 'no', 'KOLD', 'OLD', 'OLD', ''),
	('KBGR', 'medium_airport', 'Bangor International Airport', 44.8074, -68.828102, 192, 'US', 'US-ME', 'Bangor', 'yes', 'KBGR', 'BGR', 'BGR', ''),
	('3S2', 'small_airport', 'Swans Field', 44.51409912109375, -70.40679931640625, 400, 'US', 'US-ME', 'Dixfield', 'no', '3S2', '', '3S2', ''),
	('09ME', 'small_airport', 'Perrotti Skyranch Airfield', 43.34080123901367, -70.85469818115234, 260, 'US', 'US-ME', 'Berwick', 'no', '09ME', '', '09ME', ''),
	('KOWD', 'medium_airport', 'Norwood Memorial Airport', 42.1904983521, -71.1728973389, 49, 'US', 'US-MA', 'Norwood', 'no', 'KOWD', 'OWD', 'OWD', ''),
	('KBVY', 'medium_airport', 'Beverly Regional Airport', 42.584202, -70.916496, 107, 'US', 'US-MA', 'Beverly / Danvers', 'no', 'KBVY', 'BVY', 'BVY', ''),
	('KDHE', 'N/A', 'N/A', 44.612574018538, -67.93257281184196, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ME52', 'heliport', 'Down East Community Hospital Heliport', 44.713451, -67.475908, 150, 'US', 'US-ME', 'Machias', 'no', 'ME52', '', 'ME52', ''),
	('KDAW', 'small_airport', 'Skyhaven Airport', 43.2841, -70.929298, 322, 'US', 'US-NH', 'Rochester', 'no', 'KDAW', '', 'DAW', ''),
	('ME89', 'small_airport', 'Buzzy''s Field', 43.608792, -70.972149, 650, 'US', 'US-ME', 'Acton', 'no', 'ME89', '', 'ME89', ''),
	('81B', 'small_airport', 'Oxford County Regional Airport', 44.157398, -70.4813, 346, 'US', 'US-ME', 'Oxford', 'no', 'K81B', '', '81B', ''),
	('0B2', 'small_airport', 'Brewer Airport', 44.76369857788086, -68.7677993774414, 124, 'US', 'US-ME', 'Brewer', 'no', '0B2', '', '0B2', ''),
	('8B0', 'small_airport', 'Steven A. Bean Municipal Airport', 44.991902, -70.664597, 1825, 'US', 'US-ME', 'Rangeley', 'no', '', '', '8B0', ''),
	('0B1', 'small_airport', 'Bethel Regional Airport', 44.425201, -70.809896, 654, 'US', 'US-ME', 'Bethel', 'no', '', '', '0B1', 'Dyke Airport'),
	('ME71', 'N/A', 'N/A', 44.669780507683754, -70.42815014719963, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('08B', 'small_airport', 'Merrymeeting Field', 44, -69.88710021972656, 65, 'US', 'US-ME', 'Bowdoinham', 'no', '08B', '', '08B', ''),
	('55ME', 'small_airport', 'HIghland View Field', 44.318056, -69.138333, 600, 'US', 'US-ME', 'Searsmont', 'no', '55ME', '', '55ME', ''),
	('98M', 'small_airport', 'Greaton Airfield', 43.572013, -70.525362, 170, 'US', 'US-ME', 'Saco', 'no', '', '', '98M', '98ME'),
	('24ME', 'small_airport', 'Slip Knot Landing Airport', 43.822200775146484, -70.44280242919922, 310, 'US', 'US-ME', 'Windham', 'no', '24ME', '', '24ME', ''),
	('06NH', 'small_airport', 'Cole Farm Airport', 42.92839813232422, -70.97309875488281, 160, 'US', 'US-NH', 'Kensington', 'no', '06NH', '', '06NH', ''),
	('02ME', 'small_airport', 'Nadeau''s Airfield', 43.537467, -70.930685, 700, 'US', 'US-ME', 'Acton', 'no', '02ME', '', '02ME', 'Mellion Airport, Old Acton Airfield'),
	('89ME', 'small_airport', 'Fox Field', 44.404764, -69.676436, 150, 'US', 'US-ME', 'Vassalboro', 'no', '89ME', '', '89ME', ''),
	('21ME', 'N/A', 'N/A', 43.677205592393875, -70.42261675000191, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('0ME7', 'seaplane_base', 'Sebago Lake Basin Seaplane Base', 43.839716, -70.462016, 266, 'US', 'US-ME', 'North Windham', 'no', '0ME7', '', '0ME7', ''),
	('05ME', 'small_airport', 'Drisko Airport', 44.65700149536133, -67.55919647216797, 70, 'US', 'US-ME', 'Jonesboro', 'no', '05ME', '', '05ME', ''),
	('12ME', 'small_airport', 'Ridgeview Airport', 44.32229995727539, -69.2072982788086, 240, 'US', 'US-ME', 'Searsmont', 'no', '12ME', '', '12ME', ''),
	('ME33', 'small_airport', 'Farr Field', 43.77870178222656, -70.01309967041016, 70, 'US', 'US-ME', 'Harpswell', 'no', 'ME33', '', 'ME33', ''),
	('ME5', 'small_airport', 'Banks Airport', 44.165401458740234, -68.42780303955078, 100, 'US', 'US-ME', 'Swans Island', 'no', 'ME5', '', 'ME5', ''),
	('ME64', 'small_airport', 'Skydive Lebanon Airport', 43.375, -70.92919921875, 365, 'US', 'US-ME', 'West Lebanon', 'no', 'ME64', '', 'ME64', ''),
	('02NH', 'seaplane_base', 'Iroquois Landing Seaplane Base', 44.657100677490234, -71.21910095214844, 1180, 'US', 'US-NH', 'Dummer', 'no', '02NH', '', '02NH', ''),
	('KPOK', 'N/A', 'N/A', 44.044412076473236, -70.36855682730675, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KLEW', 'small_airport', 'Auburn Lewiston Municipal Airport', 44.048500061, -70.2835006714, 288, 'US', 'US-ME', 'Auburn/Lewiston', 'no', 'KLEW', 'LEW', 'LEW', 'NAAF Lewiston'),
	('KLWM', 'medium_airport', 'Lawrence Municipal Airport', 42.717201232899995, -71.1233978271, 148, 'US', 'US-MA', 'Lawrence', 'no', 'KLWM', 'LWM', 'LWM', ''),
	('KERR', 'small_airport', 'Errol Airport', 44.7925, -71.1642, 1245, 'US', 'US-NH', 'Errol', 'no', 'KERR', 'ERR', 'ERR', ''),
	('KMIG', 'N/A', 'N/A', 44.132957831025124, -70.3409394621849, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NH18', 'small_airport', 'Chickville Airport', 43.73339844, -71.15119934, 560, 'US', 'US-NH', 'Center Ossipee', 'no', 'NH18', '', 'NH18', ''),
	('72ME', 'small_airport', 'Philbrick Mountain Airport', 44.635278, -68.6325, 667, 'US', 'US-ME', 'Ellsworth', 'no', '72ME', '', '72ME', ''),
	('14ME', 'small_airport', 'Ring Hill Airport', 44.79125, -69.071479, 340, 'US', 'US-ME', 'Carmel', 'no', '14ME', '', '14ME', 'Formerly 38B'),
	('NH01', 'seaplane_base', 'Bellamy River Seaplane Base', 43.1417917, -70.8462612, 0, 'US', 'US-NH', 'Dover', 'no', 'NH01', '', 'NH01', ''),
	('KSCU', 'N/A', 'N/A', 43.56712941080332, -70.26471823453903, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5ME', 'seaplane_base', 'Brandy Pond Seaplane Base', 43.9546012878418, -70.59110260009766, 267, 'US', 'US-ME', 'Naples', 'no', '5ME', '', '5ME', ''),
	('KSFM', 'small_airport', 'Sanford Seacoast Regional Airport', 43.393901824951, -70.708000183105, 244, 'US', 'US-ME', 'Sanford', 'no', 'KSFM', 'SFM', 'SFM', 'Sanford NAAF'),
	('ME91', 'small_airport', 'Webster Field', 43.67509841918945, -70.49559783935547, 200, 'US', 'US-ME', 'Gorham', 'no', 'ME91', '', 'ME91', ''),
	('ME20', 'small_airport', 'Bob-Mar Airport', 44.59920120239258, -69.6239013671875, 310, 'US', 'US-ME', 'Fairfield', 'no', 'ME20', '', 'ME20', ''),
	('M00', 'seaplane_base', 'Augusta Seaplane Base', 44.267601013183594, -69.78170013427734, 23, 'US', 'US-ME', 'Augusta', 'no', 'M00', '', 'M00', ''),
	('4ME4', 'seaplane_base', 'Lovewell Pond Seaplane Base', 44.00680160522461, -70.93360137939453, 390, 'US', 'US-ME', 'Fryeburg', 'no', '4ME4', '', '4ME4', ''),
	('93B', 'small_airport', 'Stonington Municipal Airport', 44.17319869995117, -68.6802978515625, 30, 'US', 'US-ME', 'Stonington', 'no', '93B', '', '93B', ''),
	('2B2', 'small_airport', 'Plum Island Airport', 42.795898, -70.841202, 11, 'US', 'US-MA', 'Newburyport', 'no', '2B2', '', '2B2', ''),
	('3ME8', 'seaplane_base', 'Mast Cove Seaplane Base', 43.994998931884766, -70.64129638671875, 267, 'US', 'US-ME', 'Naples', 'no', '3ME8', '', '3ME8', ''),
	('NH67', 'small_airport', 'Winterwood Airport', 42.97840118408203, -71.0094985961914, 130, 'US', 'US-NH', 'Brentwood', 'no', 'NH67', '', 'NH67', ''),
	('NH84', 'small_airport', 'Northwood Airport', 43.20759963989258, -71.22119903564453, 640, 'US', 'US-NH', 'Northwood', 'no', 'NH84', '', 'NH84', ''),
	('23ME', 'closed', 'Dyer''s Field', 44.526402, -70.663597, 650, 'US', 'US-ME', 'Rumford', 'no', '', '', '', '23ME'),
	('63B', 'small_airport', 'Limington Harmon Airport', 43.76300048828125, -70.67250061035156, 291, 'US', 'US-ME', 'Limington', 'no', 'K63B', '', '63B', ''),
	('21NH', 'small_airport', 'Propwash Airport', 42.916900634765625, -70.935302734375, 190, 'US', 'US-NH', 'Kensington', 'no', '21NH', '', '21NH', ''),
	('43B', 'small_airport', 'Deblois Flight Strip', 44.726398, -67.9907, 217, 'US', 'US-ME', 'Deblois', 'no', 'K43B', '', '43B', ''),
	('2B7', 'small_airport', 'Pittsfield Municipal Airport', 44.768501, -69.374397, 198, 'US', 'US-ME', 'Pittsfield', 'no', '', '', '2B7', ''),
	('B18', 'seaplane_base', 'Alton Bay Seaplane Base', 43.4776, -71.237, 504, 'US', 'US-NH', 'Alton Bay', 'no', 'B18', '', 'B18', ''),
	('KIAC', 'N/A', 'N/A', 42.80202157795429, -71.06200307607651, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ME55', 'small_airport', 'Vinalhaven Airport', 44.073203, -68.819261, 72, 'US', 'US-ME', 'Vinalhaven', 'yes', 'ME55', '', 'ME55', ''),
	('6ME6', 'small_airport', 'Abbots Airport', 44.353332, -70.395, 730, 'US', 'US-ME', 'East Sumner', 'no', '6ME6', '', '6ME6', ''),
	('ME27', 'seaplane_base', 'Double A Seaplane Base', 44.900901794433594, -68.80229949951172, 115, 'US', 'US-ME', 'Glenburn', 'no', 'ME27', '', 'ME27', ''),
	('KRKD', 'medium_airport', 'Knox County Regional Airport', 44.060101, -69.099197, 56, 'US', 'US-ME', 'Rockland', 'yes', 'KRKD', 'RKD', 'RKD', ''),
	('6MA0', 'seaplane_base', 'Lake Gardner Seaplane Base', 42.86149978637695, -70.94339752197266, 87, 'US', 'US-MA', 'Amesbury', 'no', '6MA0', '', '6MA0', ''),
	('NH43', 'small_airport', 'Murphy-Sherwood Park Airport', 43.179501, -71.137001, 200, 'US', 'US-NH', 'West Nottingham', 'no', 'NH43', '', 'NH43', ''),
	('KBST', 'small_airport', 'Belfast Municipal Airport', 44.409401, -69.011902, 198, 'US', 'US-ME', 'Belfast', 'no', 'KBST', '', 'BST', ''),
	('80ME', 'N/A', 'N/A', 43.54639157652855, -70.37439733743668, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('04MA', 'small_airport', 'Goddard Field', 42.810908, -71.140959, 200, 'US', 'US-MA', 'Haverhill', 'no', '04MA', '', '04MA', ''),
	('ME47', 'small_airport', 'Payne Field', 44.85449981689453, -69.4563980102539, 350, 'US', 'US-ME', 'Hartland', 'no', 'ME47', '', 'ME47', ''),
	('56NH', 'small_airport', 'Therriaults Landing Airport', 43.481111, -71.056861, 675, 'US', 'US-NH', 'Middleton', 'no', '56NH', '', '56NH', ''),
	('KKIF', 'N/A', 'N/A', 44.92335923016071, -70.05179196596146, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('29ME', 'seaplane_base', 'Teconnet Seaplane Base', 44.448, -69.530333, 194, 'US', 'US-ME', 'China', 'no', '29ME', '', '29ME', ''),
	('40ME', 'small_airport', 'Tib Field', 44.107519, -70.956454, 450, 'US', 'US-ME', 'Fryeburg', 'no', '', '', '40ME', ''),
	('71ME', 'small_airport', 'Twin Eagles Airport', 43.9668998718, -70.6010971069, 280, 'US', 'US-ME', 'Naples', 'no', '71ME', '', '71ME', ''),
	('78ME', 'small_airport', 'Eric''s Field Airport', 43.753056, -70.259167, 97, 'US', 'US-ME', 'Falmouth', 'no', '78ME', '', '78ME', ''),
	('06B', 'seaplane_base', 'Lucky Landing Marina and Seaplane Base', 44.907001, -68.805, 115, 'US', 'US-ME', 'Glenburn', 'no', '', '', '06B', ''),
	('04ME', 'small_airport', 'Beech Hill Airport', 44.66669845581055, -69.8938980102539, 625, 'US', 'US-ME', 'Mercer', 'no', '04ME', '', '04ME', ''),
	('0ME4', 'small_airport', 'Peasley Field', 44.742469, -68.474403, 271, 'US', 'US-ME', 'Otis', 'no', '0ME4', '', '0ME4', ''),
	('ME62', 'small_airport', 'Thompson Memorial Field', 44.809386, -69.470389, 390, 'US', 'US-ME', 'Pittsfield', 'no', 'ME62', '', 'ME62', 'Grignons Private Landing Area'),
	('KBOS', 'large_airport', 'Logan International Airport', 42.36197, -71.0079, 20, 'US', 'US-MA', 'Boston', 'yes', 'KBOS', 'BOS', 'BOS', 'General Edward Lawrence Logan International Airport'),
	('KBML', 'small_airport', 'Berlin Regional Airport', 44.57540131, -71.17590332, 1161, 'US', 'US-NH', 'Berlin', 'no', 'KBML', 'BML', 'BML', ''),
	('KIZG', 'small_airport', 'Eastern Slopes Regional Airport', 43.991100311299995, -70.9478988647, 454, 'US', 'US-ME', 'Fryeburg', 'no', 'KIZG', 'FRY', 'IZG', ''),
	('ME84', 'seaplane_base', 'Perrys Landing Seaplane Base', 44.758139, -70.850703, 1450, 'US', 'US-ME', 'Andover', 'no', 'ME84', '', 'ME84', ''),
	('3B5', 'small_airport', 'Twitchell Airport', 44.1889, -70.232903, 356, 'US', 'US-ME', 'Turner', 'no', 'K3B5', '', '3B5', ''),
	('NH69', 'small_airport', 'Windsock Village Airport', 43.825303, -71.183368, 460, 'US', 'US-NH', 'West Ossipee', 'no', 'NH69', '', 'NH69', ''),
	('3B4', 'small_airport', 'Seacoast Airfield', 43.14316, -70.773566, 130, 'US', 'US-ME', 'Eliot', 'no', '', '', '3B4', 'Littlebrook Air Park'),
	('7B3', 'small_airport', 'Hampton Airfield', 42.961382, -70.830311, 93, 'US', 'US-NH', 'Hampton', 'no', 'K7B3', '', '7B3', ''),
	('NH31', 'small_airport', 'Mountain View Field', 43.65010070800781, -71.14949798583984, 965, 'US', 'US-NH', 'Wolfeboro', 'no', 'NH31', '', 'NH31', ''),
	('ME75', 'small_airport', 'Margerison Airport', 43.953999, -70.141403, 220, 'US', 'US-ME', 'Durham', 'no', 'ME75', '', 'ME75', 'Lisbon Falls'),
	('08ME', 'small_airport', 'Lindbergh Airport', 44.81539, -70.34851, 554, 'US', 'US-ME', 'Avon', 'no', '08ME', '', '08ME', '10M, Raymond, Phillips'),
	('KPSM', 'medium_airport', 'Portsmouth International at Pease Airport', 43.0778999329, -70.8233032227, 100, 'US', 'US-NH', 'Portsmouth', 'yes', 'KPSM', 'PSM', 'PSM', ''),
	('90ME', 'small_airport', 'Zinck Airport', 44.523056, -70.545556, 620, 'US', 'US-ME', 'Rumford', 'no', '90ME', '', '90ME', ''),
	('35ME', 'small_airport', 'Matinicus Island Airport', 43.871338, -68.893504, 15, 'US', 'US-ME', 'Matinicus Island', 'yes', '35ME', '', '35ME', ''),
	('07B', 'small_airport', 'Blue Hill Airport', 44.448001861572266, -68.5697021484375, 360, 'US', 'US-ME', 'Blue Hill', 'no', '07B', '', '07B', ''),
	('NH61', 'small_airport', 'Heaton Airport', 42.968101501464844, -71.18119812011719, 188, 'US', 'US-NH', 'Chester', 'no', 'NH61', '', 'NH61', ''),
	('MA17', 'closed', 'Avco/Lowell Heliport', 42.615398, -71.3209, 131, 'US', 'US-MA', 'Lowell', 'no', '', '', '', 'MA17'),
	('57B', 'small_airport', 'Islesboro Airport', 44.302502, -68.910599, 92, 'US', 'US-ME', 'Islesboro', 'yes', '57B', '', '57B', ''),
	('ME26', 'closed', 'Super Cub Field', 43.668098, -70.363098, 85, 'US', 'US-ME', 'Westbrook', 'no', '', '', '', 'ME26'),
	('KMEQ', 'N/A', 'N/A', 44.14025343954563, -70.34793600440025, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('77ME', 'seaplane_base', 'Long Pond Seaplane Base', 44.43339920043945, -70.21620178222656, 474, 'US', 'US-ME', 'North Livermore', 'no', '77ME', '', '77ME', ''),
	('6MA2', 'small_airport', 'Meadowbrook Airport', 42.86009979248047, -70.99659729003906, 117, 'US', 'US-MA', 'Amesbury', 'no', '6MA2', '', '6MA2', ''),
	('3MA5', 'small_airport', 'Westport Airport', 41.543201, -71.035301, 80, 'US', 'US-MA', 'Westport', 'no', '3MA5', '', '3MA5', ''),
	('KTAN', 'small_airport', 'Taunton Municipal King Field', 41.874401, -71.016602, 43, 'US', 'US-MA', 'Taunton', 'no', 'KTAN', '', 'TAN', ''),
	('KGHG', 'small_airport', 'Marshfield Municipal George Harlow Field', 42.097665, -70.67283, 11, 'US', 'US-MA', 'Marshfield', 'no', 'KGHG', '', 'GHG', '3B2'),
	('6MA9', 'seaplane_base', 'Cuttyhunk Harbor Seaplane Base', 41.423199, -70.927298, 0, 'US', 'US-MA', 'Cuttyhunk', 'no', '6MA9', '', '6MA9', ''),
	('MA64', 'small_airport', 'Pheasant Field', 42.075401306152344, -70.81529998779297, 40, 'US', 'US-MA', 'Pembroke', 'no', 'MA64', '', 'MA64', ''),
	('KHYA', 'medium_airport', 'Cape Cod Gateway Airport', 41.6693, -70.280403, 54, 'US', 'US-MA', 'Hyannis', 'yes', 'KHYA', 'HYA', 'HYA', 'Barnstable, Boardman Polando'),
	('2B1', 'small_airport', 'Cape Cod Airport', 41.685299, -70.402298, 103, 'US', 'US-MA', 'Marston Mills', 'no', '2B1', '', '2B1', ''),
	('KMVY', 'small_airport', 'Martha''s Vineyard Airport', 41.3931007385, -70.6143035889, 67, 'US', 'US-MA', 'Martha''s Vineyard', 'yes', 'KMVY', 'MVY', 'MVY', ''),
	('7MA2', 'seaplane_base', 'Craig Cove Seaplane Base', 41.780556, -70.947222, 53, 'US', 'US-MA', 'East Freetown', 'no', '7MA2', '', '7MA2', ''),
	('11MA', 'small_airport', 'Bulljump Airport', 41.80730056762695, -70.7583999633789, 60, 'US', 'US-MA', 'Wareham', 'no', '11MA', '', '11MA', ''),
	('KEWB', 'medium_airport', 'New Bedford Regional Airport', 41.67610168457031, -70.95690155029297, 80, 'US', 'US-MA', 'New Bedford', 'yes', 'KEWB', 'EWB', 'EWB', ''),
	('1M8', 'small_airport', 'Myricks Airport', 41.8391, -71.026497, 71, 'US', 'US-MA', 'Berkley', 'no', '1M8', '', '1M8', ''),
	('MA87', 'closed', 'Horseneck Seaplane Base', 41.509801, -71.038101, 0, 'US', 'US-MA', 'Westport', 'no', '', '', '', 'MA87'),
	('MA07', 'small_airport', 'Friends Ultralightport', 41.56760025024414, -71.11920166015625, 131, 'US', 'US-MA', 'Westport', 'no', 'MA07', '', 'MA07', ''),
	('KPYM', 'small_airport', 'Plymouth Municipal Airport', 41.909, -70.728798, 148, 'US', 'US-MA', 'Plymouth', 'no', 'KPYM', 'PYM', 'PYM', ''),
	('KCQX', 'small_airport', 'Chatham Municipal Airport', 41.68840026855469, -69.989501953125, 68, 'US', 'US-MA', 'Chatham', 'no', 'KCQX', '', 'CQX', ''),
	('28M', 'small_airport', 'Cranland Airport', 42.025101, -70.838097, 71, 'US', 'US-MA', 'Hanson', 'no', '28M', '', '28M', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('5B6', 'small_airport', 'Falmouth Airpark', 41.585602, -70.540398, 43, 'US', 'US-MA', 'Falmouth', 'no', '5B6', '', '5B6', ''),
	('15MA', 'small_airport', 'Canapitsit Airport', 41.42251, -70.909295, 10, 'US', 'US-MA', 'Gosnold', 'no', '15MA', '', '15MA', ''),
	('KFMH', 'small_airport', 'Cape Cod Coast Guard Air Station', 41.657899, -70.52163, 131, 'US', 'US-MA', 'Falmouth', 'no', 'KFMH', 'FMH', 'FMH', 'Otis Airforce Base, Otis Air National Guard Base'),
	('MA44', 'small_airport', 'Trade Wind Airport', 41.441799, -70.570297, 43, 'US', 'US-MA', 'Oak Bluffs', 'no', 'MA44', '', 'MA44', ''),
	('1B9', 'small_airport', 'Mansfield Municipal Airport', 42.000099182099994, -71.1968002319, 122, 'US', 'US-MA', 'Mansfield', 'no', '1B9', '', '1B9', ''),
	('27MA', 'seaplane_base', 'Wamsetto Seaplane Base', 41.82059860229492, -71.11470031738281, 0, 'US', 'US-MA', 'Berkley', 'no', '27MA', '', '27MA', ''),
	('RI07', 'small_airport', 'Wing-Over Farm Airport', 41.57899856567383, -71.1417007446289, 113, 'US', 'US-RI', 'Tiverton', 'no', 'RI07', '', 'RI07', ''),
	('KPVC', 'small_airport', 'Provincetown Municipal Airport', 42.0718994141, -70.2213973999, 9, 'US', 'US-MA', 'Provincetown', 'no', 'KPVC', 'PVC', 'PVC', ''),
	('MA63', 'small_airport', 'Sherman-Private Airport', 42.07400131225586, -70.79810333251953, 34, 'US', 'US-MA', 'Pembroke', 'no', 'MA63', '', 'MA63', ''),
	('1B2', 'small_airport', 'Katama Airpark', 41.358299, -70.524399, 18, 'US', 'US-MA', 'Edgartown', 'no', '1B2', '', '1B2', ''),
	('6MA8', 'seaplane_base', 'Acushnet River Seaplane Base', 41.647300720214844, -70.9175033569336, 0, 'US', 'US-MA', 'New Bedford', 'no', '6MA8', '', '6MA8', ''),
	('MA6', 'seaplane_base', 'Monponsett Pond Seaplane Base', 42.00979995727539, -70.84310150146484, 52, 'US', 'US-MA', 'Halifax', 'no', 'MA6', '', 'MA6', ''),
	('KACK', 'medium_airport', 'Nantucket Memorial Airport', 41.25310135, -70.06020355, 47, 'US', 'US-MA', 'Nantucket', 'yes', 'KACK', 'ACK', 'ACK', ''),
	('2MA6', 'seaplane_base', 'Flynns Noquochoke Seaplane Base', 41.59360122680664, -71.06529998779297, 0, 'US', 'US-MA', 'Westport', 'no', '2MA6', '', '2MA6', ''),
	('MA12', 'closed', 'Marston Mills Seaplane Base', 41.668999, -70.417503, 44, 'US', 'US-MA', 'Marstons Mills', 'no', '', '', '', 'MA12'),
	('NZW', 'N/A', 'N/A', 42.15018443763256, -70.94022676348686, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('5MA9', 'closed', 'Allen''s Pond Airport', 41.512964, -71.029315, 60, 'US', 'US-MA', 'Westport', 'no', '', '', '', '5MA9'),
	('KEPM', 'small_airport', 'Eastport Municipal Airport', 44.910099, -67.012703, 45, 'US', 'US-ME', 'Eastport', 'no', 'KEPM', '', 'EPM', ''),
	('CYAU', 'small_airport', 'Liverpool South Shore Regional Airport', 44.230301, -64.856102, 321, 'CA', 'CA-NS', 'Greenfield', 'no', 'CYAU', '', '', 'YAU, Greenfield Dragway'),
	('CCN2', 'small_airport', 'Grand Manan Airport', 44.71329879760742, -66.79640197753906, 238, 'CA', 'CA-NB', 'Grand Manan', 'no', 'CCN2', '', 'CCN2', 'CN2'),
	('65B', 'small_airport', 'Lubec Municipal Airport', 44.83660125732422, -67.0270004272461, 85, 'US', 'US-ME', 'Lubec', 'no', '65B', '', '65B', ''),
	('CDY6', 'small_airport', 'Bridgewater / Dayspring Airpark', 44.3819007874, -64.456703186, 150, 'CA', 'CA-NS', 'Bridgewater', 'no', 'CDY6', '', 'CDY6', 'DY6'),
	('KMVM', 'small_airport', 'Machias Valley Airport', 44.70309829711914, -67.47859954833984, 96, 'US', 'US-ME', 'Machias', 'no', 'KMVM', '', 'MVM', ''),
	('CDH3', 'small_airport', 'Finlay Air Park', 43.959239, -65.998429, 145, 'CA', 'CA-NS', 'South Ohio', 'no', 'CDH3', '', 'CDH3', 'DH3'),
	('CLL2', 'seaplane_base', 'Langille Lake Seaplane Base', 44.450001, -64.4478, 185, 'CA', 'CA-NS', '', 'no', 'CLL2', '', 'CLL2', ''),
	('CYQI', 'medium_airport', 'Yarmouth Airport', 43.826900482177734, -66.08809661865234, 141, 'CA', 'CA-NS', 'Yarmouth', 'no', 'CYQI', 'YQI', '', ''),
	('CCA2', 'seaplane_base', 'New Germany Seaplane Base', 44.552222, -64.736389, 205, 'CA', 'CA-NS', 'New Germany', 'no', 'CCA2', '', 'CCA2', 'CA2'),
	('CCB6', 'N/A', 'N/A', 44.678031988441944, -65.60414135456085, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CDL5', 'seaplane_base', 'Doctor’s Lake East Water Aerodrome', 43.8817, -66.0975, 13, 'CA', 'CA-NS', 'Hebron', 'no', 'CDL5', '', 'CDL5', ''),
	('CLE4', 'small_airport', 'Lower East Pubnico (La Field) Airport', 43.62220001220703, -65.76190185546875, 107, 'CA', 'CA-NS', 'Lower East Pubnico', 'no', 'CLE4', '', 'CLE4', 'LE4'),
	('CHL3', 'seaplane_base', 'Church Lake Seaplane Base', 44.559399, -64.612198, 280, 'CA', 'CA-NS', '', 'no', 'CHL3', '', 'CHL3', ''),
	('CDL6', 'seaplane_base', 'Doctor''s Lake West Water Aerodrome', 43.8836, -66.1028, 13, 'CA', 'CA-NS', 'Lakeside', 'no', 'CDL6', '', 'CDL6', ''),
	('CML3', 'seaplane_base', 'Mink Lake Water Aerodrome', 44.010731, -65.888588, 70, 'CA', 'CA-NS', 'Carleton', 'no', 'CML3', '', 'CML3', ''),
	('CYID', 'medium_airport', 'Digby / Annapolis Regional Airport', 44.5458450365, -65.7854247093, 499, 'CA', 'CA-NS', 'Digby', 'no', 'CYID', 'YDG', '', 'YID'),
	('CYYA', 'N/A', 'N/A', 44.2568376660347, -66.35982513427734, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYZX', 'medium_airport', 'CFB Greenwood', 44.98440170288086, -64.91690063476563, 92, 'CA', 'CA-NS', 'Greenwood', 'no', 'CYZX', 'YZX', '', 'Greenwood Airport'),
	('ME2', 'small_airport', 'Cutler Regional Airport', 44.679901, -67.264397, 55, 'US', 'US-ME', 'Cutler', 'no', '', '', 'ME2', 'ME15, Ramsdell Field'),
	('TXKF', 'medium_airport', 'L.F. Wade International Airport', 32.363998, -64.678703, 12, 'BM', 'BM-U-A', 'Hamilton', 'yes', 'TXKF', 'BDA', '', 'Kindley Air Force Base, Fort Bell Army Airfield, NAS Bermuda, Naval Air Station Bermuda'),
	('CCF4', 'small_airport', 'Porters Lake Airport', 44.709994, -63.299682, 20, 'CA', 'CA-NS', 'Porters Lake', 'no', 'CCF4', '', 'CCF4', ''),
	('CYAW', 'heliport', 'Halifax / CFB Shearwater Heliport', 44.636782, -63.502107, 144, 'CA', 'CA-NS', 'Halifax', 'no', 'CYAW', '', 'YAW', 'YAW'),
	('CFR3', 'seaplane_base', 'Fall River Water Aerodrome', 44.7844, -63.6417, 122, 'CA', 'CA-NS', 'Fall River', 'no', 'CFR3', '', 'CFR3', ''),
	('CYHZ', 'large_airport', 'Halifax / Stanfield International Airport', 44.8807983398, -63.5085983276, 477, 'CA', 'CA-NS', 'Halifax', 'yes', 'CYHZ', 'YHZ', '', 'Robert L. Stanfield International Airport'),
	('MMCZ', 'large_airport', 'Aeropuerto Internacional de Cozumel', 20.511425, -86.930287, 15, 'MX', 'MX-ROO', 'Ciudad de Cozumel', 'yes', 'MMCZ', 'CZM', '', ''),
	('MMIM', 'small_airport', 'Aeropuerto Nacional de Isla Mujeres', 21.245962, -86.740365, 7, 'MX', 'MX-ROO', 'Isla Mujeres', 'no', 'MMIM', 'ISJ', '', ''),
	('MM72', 'small_airport', 'Aeródromo de Cupul', 21.155716, -88.172918, 56, 'MX', 'MX-YUC', 'Tizimin', 'no', 'MM72', 'TZM', 'MM72', 'MXA3'),
	('MMAF', 'N/A', 'N/A', 21.11134596168995, -86.8374927341938, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMTU', 'N/A', 'N/A', 20.22666659206152, -87.43250012397766, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUB', 'N/A', 'N/A', 20.423178300261497, -86.99633628129959, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUN', 'large_airport', 'Aeropuerto Internacional de Cancún', 21.039444, -86.874304, 22, 'MX', 'MX-ROO', 'Cancún', 'yes', 'MMUN', 'CUN', '', ''),
	('MMCT', 'small_airport', 'Aeropuerto Internacional de Chichen Itza', 20.6413, -88.446198, 102, 'MX', 'MX-YUC', 'Chichen Itza', 'yes', 'MMCT', 'CZA', '', ''),
	('MMMD', 'large_airport', 'Aeropuerto Internacional Manuel Crescencio Rejón', 20.933384, -89.662621, 38, 'MX', 'MX-YUC', 'Ciudad de Mérida', 'yes', 'MMMD', 'MID', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MMKA', 'N/A', 'N/A', 21.518075801432133, -87.38364413380623, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MXQC', 'N/A', 'N/A', 20.62282919883728, -87.08241149783134, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMPY', 'N/A', 'N/A', 20.58047477155924, -87.12728396058083, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MM74', 'small_airport', 'Aeródromo de Chichen Itzá', 20.68973, -88.566817, 100, 'MX', 'MX-YUC', 'Tinum', 'no', 'MM74', '', '', 'Pisté'),
	('MZVA', 'N/A', 'N/A', 17.566440626978874, -89.04680460691452, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMUC', 'N/A', 'N/A', 19.61464248597622, -87.42626890540123, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZSN', 'N/A', 'N/A', 17.038831003010273, -88.95506680011749, 470, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZSD', 'N/A', 'N/A', 18.26673086732626, -87.85523816943169, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZJC', 'small_airport', 'Johnny Chan Chen Airstrip', 18.44031, -88.45334, 26, 'BZ', 'BZ-CZL', 'Chan Chen', 'no', 'MZJC', '', '', ''),
	('MZDA', 'N/A', 'N/A', 16.982427835464478, -88.23099732398987, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZDN', 'N/A', 'N/A', 17.003563307225704, -88.30295473337173, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZ10', 'N/A', 'N/A', 17.913583517074585, -87.97170773148537, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZSP', 'N/A', 'N/A', 17.735011093318462, -88.0326846241951, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZBN', 'N/A', 'N/A', 16.97027776390314, -88.98776292800903, 470, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMXH', 'N/A', 'N/A', 19.0758004412055, -87.56073027849197, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZSR', 'N/A', 'N/A', 17.90199536830187, -88.986796438694, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZBB', 'N/A', 'N/A', 17.31859613209963, -87.79779821634293, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZOR', 'N/A', 'N/A', 18.046912103891373, -88.58410567045212, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZBM', 'N/A', 'N/A', 17.062596045434475, -88.86151626706123, 650, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMNS', 'N/A', 'N/A', 18.51113274693489, -89.40222099423409, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMDG', 'N/A', 'N/A', 18.759248480200768, -87.69976660609245, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZMF', 'small_airport', 'San Ignacio Town (Maya Flats) Airstrip', 17.104872, -89.101129, 351, 'BZ', 'BZ-CY', 'Maya Flats', 'no', 'MZMF', 'CYD', '', 'Maya Flats Airstrip'),
	('MZCO', 'N/A', 'N/A', 18.38222946971655, -88.41091454029083, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZSI', 'N/A', 'N/A', 17.185922004282475, -89.00996044278145, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGMM', 'closed', 'Melchor de Mencos Airport', 17.068609, -89.152222, 4670, 'GT', 'GT-PE', 'Melchor de Mencos', 'no', '', '', '', 'MCR, MCR'),
	('MMJV', 'N/A', 'N/A', 18.26537534594536, -88.69208604097366, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMND', 'N/A', 'N/A', 18.45330197364092, -88.82182493805885, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZBE', 'N/A', 'N/A', 17.517512440681458, -88.19622114300728, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZE', 'small_airport', 'Manatee Airport', 17.27846, -89.0238, 343, 'BZ', 'BZ-CY', '', 'no', '', 'MZE', '', ''),
	('MBCV', 'N/A', 'N/A', 17.269533164799213, -88.77626270055771, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZSA', 'N/A', 'N/A', 17.453538738191128, -87.4979580938816, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZSH', 'N/A', 'N/A', 17.88537137210369, -88.88728559017181, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZSE', 'N/A', 'N/A', 17.68383353948593, -88.04498344659805, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCM', 'medium_airport', 'Aeropuerto Internacional de Chetumal', 18.5047, -88.326797, 39, 'MX', 'MX-ROO', 'Chetumal', 'yes', 'MMCM', 'CTM', '', ''),
	('MM55', 'N/A', 'N/A', 19.61014710366726, -88.07411313056946, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZSY', 'N/A', 'N/A', 17.854927964508533, -88.5895223915577, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMCD', 'N/A', 'N/A', 18.356025628745556, -88.13094958662987, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZBZ', 'large_airport', 'Philip S. W. Goldson International Airport', 17.539951, -88.303556, 15, 'BZ', 'BZ-BZ', 'Belize City', 'yes', 'MZBZ', 'BZE', '', 'Belize International, Ladyville'),
	('MHTA', 'small_airport', 'Tamara Airport', 14.180000305175781, -87.3499984741211, 1080, 'HN', 'HN-FM', 'Tamara', 'no', 'MHTA', '', '', ''),
	('MHSC', 'medium_airport', 'Palmerola International Airport / José Enrique Soto Cano Air Base', 14.3824, -87.621201, 2061, 'HN', 'HN-CM', 'Palmerola', 'yes', 'MHPR', 'XPL', '', 'Comayagua International, MHSC, Soto Cano, Palmerola Air Base, Tegucigalpa'),
	('MHMT', 'small_airport', 'Manto Airport', 14.915555953979492, -86.38166809082031, 650, 'HN', 'HN-OL', 'Manto', 'no', 'MHMT', '', '', ''),
	('MHFC', 'small_airport', 'Fort Morgan Cay Airport', 16.403823, -86.286635, 5, 'HN', 'HN-IB', 'Fort Morgan Cay', 'no', 'MHFC', '', '', ''),
	('MZPC', 'N/A', 'N/A', 16.53679758310318, -88.36230888962746, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTA', 'small_airport', 'Victoria Airport', 14.9344, -87.394, 1200, 'HN', 'HN-YO', 'Victoria', 'no', '', '', '', ''),
	('MZPL', 'N/A', 'N/A', 16.520219184458256, -88.41010093688965, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHPV', 'small_airport', 'El Porvenir Airport', 15.530278, -86.273613, 69, 'HN', 'HN-CL', 'Manga', 'no', 'MHPV', '', '', ''),
	('MHFA', 'small_airport', 'Finca San Antonio Airport', 14.598055839538574, -86.48388671875, 646, 'HN', 'HN-OL', 'La Lima', 'no', 'MHFA', '', '', ''),
	('MHUT', 'small_airport', 'Utila Airport', 16.1131, -86.880302, 29, 'HN', 'HN-IB', 'Utila Island', 'yes', 'MHUT', 'UII', '', ''),
	('MHVE', 'small_airport', 'Villa Hermosa Airport', 14.230278015136719, -88.79944610595703, 1280, 'HN', 'HN-LE', 'Coyolillo', 'no', 'MHVE', '', '', ''),
	('MHAI', 'N/A', 'N/A', 15.583100952208042, -87.39282354712486, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZPE', 'N/A', 'N/A', 16.72839716076851, -88.36929380893707, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MHCS', 'small_airport', 'Coyoles Airport', 15.445556, -86.675278, 492, 'HN', 'HN-YO', 'Coyoles', 'no', 'MHCS', 'CYL', '', ''),
	('MTRH', 'closed', 'Trojes Airport', 15.404218, -86.682687, 170, 'HN', 'HN-YO', 'Trojes', 'no', '', '', '', 'MTRH'),
	('MGPP', 'small_airport', 'Poptún Airport', 16.325799942017, -89.41609954834, 1801, 'GT', 'GT-PE', 'Poptún', 'no', 'MGPP', 'PON', '', ''),
	('MHFD', 'closed', 'Finca 12 Airport', 15.269722, -87.902779, 116, 'HN', 'HN-YO', 'Agua Blanca', 'no', '', '', '', 'MHFD, MHFD'),
	('MHHO', 'small_airport', 'Agua Caliente Airport', 15.430653, -86.891049, 250, 'HN', 'HN-YO', 'Horcones', 'no', 'MHHO', '', '', ''),
	('MHRO', 'medium_airport', 'Juan Manuel Gálvez International Airport', 16.316799, -86.523003, 39, 'HN', 'HN-IB', 'Coxen Hole', 'yes', 'MHRO', 'RTB', '', 'Roatán, Roatan International'),
	('MHMP', 'small_airport', 'Marcos Perez Airport', 15.284682, -87.885518, 115, 'HN', 'HN-YO', 'Agua Blanca Sur', 'no', 'MHMP', '', '', ''),
	('MHJC', 'closed', 'Jocón Airport', 15.290556, -86.912224, 490, 'HN', 'HN-YO', 'Jocón', 'no', '', '', '', 'MHJC'),
	('MH14', 'N/A', 'N/A', 14.625299200415611, -88.87495771050453, 803, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHAU', 'small_airport', 'Hacienda Ulua Airport', 14.717778205871582, -86.57083129882813, 710, 'HN', 'HN-OL', 'Tasajeras', 'no', 'MHAU', '', '', ''),
	('MHEC', 'small_airport', 'El Cubo Airport', 14.457777976989746, -87.05860900878906, 780, 'HN', 'HN-FM', '', 'no', 'MHEC', '', '', ''),
	('MHDA', 'N/A', 'N/A', 14.080421179533005, -86.63556352257729, 842, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MZPU', 'N/A', 'N/A', 16.102292127907276, -88.80803972482681, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HX02', 'N/A', 'N/A', 15.442932732403278, -87.8984946012497, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHYO', 'N/A', 'N/A', 15.183333456516266, -87.06944435834885, 700, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHLC', 'medium_airport', 'Goloson International Airport', 15.7425, -86.852997, 39, 'HN', 'HN-AT', 'La Ceiba', 'yes', 'MHLC', 'LCE', '', 'Hector C Moncada Air Base'),
	('MGCH', 'N/A', 'N/A', 14.830940142273903, -89.52096417546272, 343, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHSB', 'N/A', 'N/A', 14.938055500388145, -88.24138909578323, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHLU', 'small_airport', 'Luz y Vida Airport', 15.133798, -88.442409, 764, 'HN', 'HN-SB', 'San Luis Pajón', 'no', 'MHLU', '', '', ''),
	('MHLF', 'small_airport', 'Flefil Airport', 14.423333168029785, -87.11972045898438, 810, 'HN', 'HN-FM', '', 'no', 'MHLF', '', '', ''),
	('MHTE', 'medium_airport', 'Tela Airport', 15.7759, -87.4758, 7, 'HN', 'HN-AT', 'Tela', 'no', 'MHTE', 'TEA', '', ''),
	('MGRD', 'small_airport', 'Las Vegas Airport', 15.668363, -88.961763, 28, 'GT', 'GT-IZ', 'Rio Dulce', 'no', 'MGRD', 'LCF', '', ''),
	('MGZA', 'small_airport', 'Zacapa Airport', 14.9603, -89.5392, 626, 'GT', 'GT-ZA', 'Zacapa', 'no', 'MGZA', '', '', ''),
	('MZPA', 'N/A', 'N/A', 16.53449557721615, -88.44176039099693, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHER', 'N/A', 'N/A', 14.234783314168453, -88.43700528144836, 1268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHLA', 'small_airport', 'La Alondra Airport', 14.108888626098633, -88.53388977050781, 1000, 'HN', 'HN-LE', 'Candelaria', 'no', 'MHLA', '', '', ''),
	('MHJQ', 'small_airport', 'Joya Del Quebracho Airport', 14.838889122009277, -86.96221923828125, 890, 'HN', 'HN-FM', 'Caleras/El Triunfo', 'no', 'MHJQ', '', '', ''),
	('MGBN', 'small_airport', 'Bananera Airport', 15.4735, -88.837196, 130, 'GT', 'GT-IZ', 'Morales', 'no', 'MGBN', '', '', ''),
	('MHLV', 'closed', 'Las Vegas Airport', 14.874575, -88.07353, 870, 'HN', 'HN-SB', 'Las Vegas', 'no', '', '', '', 'MHLV, MHLV'),
	('MGEL', 'N/A', 'N/A', 15.516930520534515, -89.36824187636375, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHNV', 'small_airport', 'Nueva Ocotepeque Airport', 14.428889, -89.193886, 2789, 'HN', 'HN-OC', 'Nueva Ocotepeque', 'no', 'MHNV', '', '', ''),
	('MHLM', 'medium_airport', 'Ramón Villeda Morales International Airport', 15.4526, -87.923599, 91, 'HN', 'HN-CR', 'San Pedro Sula', 'yes', 'MHLM', 'SAP', '', ''),
	('MSJC', 'small_airport', 'El Jocotillo Airport', 13.577824, -89.733238, 127, 'SV', 'SV-SO', 'El Jocotillo', 'no', 'MSJC', '', '', ''),
	('MSBS', 'small_airport', 'Barillas Airport', 13.265263, -88.49913, 32, 'SV', 'SV-US', 'Barrillas', 'no', 'MSBS', '', '', ''),
	('MSAC', 'small_airport', 'La Aramuaca Airport', 13.447990417480469, -88.12010955810547, 285, 'SV', 'SV-SM', 'San Miguel', 'no', 'MSAC', '', '', ''),
	('MHNC', 'small_airport', 'Choluteca Airport', 13.319825, -87.149025, 213, 'HN', 'HN-CH', 'Choluteca', 'no', 'MHNC', '', '', ''),
	('MSST', 'N/A', 'N/A', 13.61577708274126, -87.86350876092911, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MNLN', 'small_airport', 'Leon (Fanor Urroz) Airport', 12.4292, -86.902802, 328, 'NI', 'NI-LE', 'León', 'no', 'MNLN', '', '', ''),
	('MNCT', 'small_airport', 'Corinto Airport', 12.478899955749512, -87.17720031738281, 1, 'NI', 'NI-CI', 'Chinandega', 'no', 'MNCT', '', '', ''),
	('MSLP', 'large_airport', 'Monseñor Óscar Arnulfo Romero International Airport', 13.4409, -89.055702, 101, 'SV', 'SV-PA', 'San Salvador (San Luis Talpa)', 'yes', 'MSLP', 'SAL', '', ''),
	('MNMR', 'small_airport', 'Montelimar Airport', 11.8052, -86.511299, 94, 'NI', 'NI-MN', 'Montelimar', 'no', 'MNMR', '', 'MN1B', ''),
	('MS1A', 'small_airport', 'El Tamarindo Airport', 13.1625995636, -87.904800415, 10, 'SV', 'SV-UN', 'Canoguero', 'no', 'MSET', '', 'MS1A', ''),
	('MNCH', 'small_airport', 'Chinandega Germán Pomares Ordóñez Airport', 12.639548, -87.137753, 174, 'NI', 'NI-CI', 'Chinandega', 'no', 'MNCH', '', '', ''),
	('MSSJ', 'small_airport', 'Punta San Juan Airport', 13.178735, -88.47316, 3, 'SV', 'SV-US', 'Corral de Mulas', 'no', 'MSSJ', '', '', ''),
	('MNBR', 'small_airport', 'Los Brasiles Airport', 12.19, -86.353897, 262, 'NI', 'NI-MN', 'Los Brasiles', 'no', 'MNBR', '', '', ''),
	('MNPP', 'small_airport', 'El Papalonal Airport', 12.4657, -86.467903, 141, 'NI', 'NI-LE', 'El Papalonal', 'no', 'MNPP', '', '', ''),
	('MHCC', 'small_airport', 'Concepción Airport', 14.026666641199999, -88.3441696167, 560, 'HN', 'HN-IN', 'Concepción', 'no', '', '', '', ''),
	('MHLP', 'small_airport', 'Mapulaca Airport', 14.034167289733887, -88.62833404541016, 170, 'HN', 'HN-LE', 'Mapulaca', 'no', 'MHLP', '', '', ''),
	('MHAC', 'small_airport', 'Acensa Airport', 13.243481, -87.341427, 42, 'HN', 'HN-CH', 'Acensa', 'no', 'MHAC', '', '', ''),
	('MSZA', 'N/A', 'N/A', 13.457613922655582, -88.75958785414696, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MSRO', 'N/A', 'N/A', 13.466972149908543, -89.19122770428658, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MSLC', 'small_airport', 'La Cabaña Airport', 14.00981, -89.184761, 885, 'SV', 'SV-SS', 'La Cabaña', 'no', 'MSLC', '', '', ''),
	('MHRJ', 'small_airport', 'Rancho Jamastran Airport', 14.060999870300293, -86.40750122070313, 482, 'HN', 'HN-EP', 'Apala', 'no', 'MHRJ', '', '', ''),
	('MSSS', 'medium_airport', 'Ilopango International Airport', 13.6995, -89.119904, 2027, 'SV', 'SV-SS', 'San Salvador', 'no', 'MSSS', 'ILS', '', ''),
	('MS1B', 'small_airport', 'Los Comandos Airport', 13.7262, -88.106697, 919, 'SV', 'SV-MO', 'San Francisco Gotera', 'no', 'MSLD', '', 'MS1B', ''),
	('MSCM', 'small_airport', 'Corral De Mulas Airport', 13.205588, -88.54734, 26, 'SV', 'SV-US', 'Corral de Mulas', 'no', 'MSCM', '', '', ''),
	('MSSM', 'small_airport', 'El Papalon Airport', 13.4441, -88.126999, 283, 'SV', 'SV-SM', 'San Miguel', 'no', 'MSSM', '', '', 'MSPP, San Miguel Regional'),
	('MHLG', 'small_airport', 'La Grecia Airport', 13.214629, -87.360374, 29, 'HN', 'HN-CH', 'Monjarás', 'no', 'MHLG', '', '', ''),
	('MSPT', 'small_airport', 'El Platanar Airport', 13.9453, -89.062798, 1354, 'SV', 'SV-CU', 'Suchitoto', 'no', 'MSPT', '', '', ''),
	('MSCN', 'small_airport', 'Casas Nuevas Airport', 13.309973, -88.505867, 157, 'SV', 'SV-US', 'Jiquilisco', 'no', 'MSCN', '', '', ''),
	('MSEL', 'N/A', 'N/A', 13.408555313944817, -89.00583162903786, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHSL', 'small_airport', 'San Lorenzo Airport', 13.442222, -87.459724, 8, 'HN', 'HN-VA', 'El Hato', 'no', 'MHSL', '', '', ''),
	('MSCH', 'small_airport', 'La Chepona Airport', 13.186094, -88.406448, 13, 'SV', 'SV-US', 'La Chepona', 'no', 'MSCH', '', '', ''),
	('MHTG', 'medium_airport', 'Toncontín International Airport', 14.0609, -87.217201, 3294, 'HN', 'HN-FM', 'Tegucigalpa', 'yes', 'MHTG', 'TGU', '', ''),
	('MSES', 'small_airport', 'Espiritu Santo Airport', 13.219324, -88.554047, 1, 'SV', 'SV-US', 'Espíritu Santo', 'no', 'MSES', '', '', ''),
	('MSLM', 'small_airport', 'Las Mesas Airport', 13.487070083618164, -89.19265747070313, 187, 'SV', 'SV-LI', 'Las Mesas', 'no', 'MSLM', '', '', ''),
	('MSCU', 'N/A', 'N/A', 13.795292302966118, -89.4231328368187, 459, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MSCD', 'small_airport', 'Ceiba Doblada Airport', 13.213011, -88.602814, 10, 'SV', 'SV-US', 'Ceiba Doblada', 'no', 'MSCD', '', '', ''),
	('MUDA', 'N/A', 'N/A', 22.272200994193554, -83.440652936697, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUSJ', 'medium_airport', 'San Julián Air Base', 22.100525, -84.157376, 98, 'CU', 'CU-01', 'Sandino', 'no', 'MUSJ', 'SNJ', '', ''),
	('MUPR', 'closed', 'Pinar Del Rio Airport', 22.421095, -83.678398, 131, 'CU', 'CU-01', 'Pinar del Rio', 'no', '', '', '', 'MUPR, QPD'),
	('MULM', 'medium_airport', 'La Coloma Airport', 22.3361, -83.641899, 131, 'CU', 'CU-01', 'Pinar del Rio', 'no', 'MULM', 'LCL', '', ''),
	('MUSN', 'medium_airport', 'Siguanea Airport', 21.6425, -82.955101, 39, 'CU', 'CU-99', 'Isla de la Juventud', 'no', 'MUSN', 'SZJ', '', ''),
	('MUBE', 'small_airport', 'El Caribe Airport', 22.35126, -83.399884, 29, 'CU', 'CU-01', 'Alonso de Rojas', 'no', 'MUBE', '', '', ''),
	('MULJ', 'N/A', 'N/A', 22.423122189939022, -83.27858537435532, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCV', 'closed', 'Las Clavellinas Airport', 22.22906, -84.371792, 19, 'CU', 'CU-01', 'Las Clavellinas', 'no', '', '', '', 'MUCV, MUCV'),
	('MUNG', 'medium_airport', 'Rafael Cabrera Airport', 21.834699630737305, -82.78379821777344, 79, 'CU', 'CU-99', 'Nueva Gerona', 'yes', 'MUNG', 'GER', '', ''),
	('MUCX', 'N/A', 'N/A', 22.46089305728674, -83.36185500025749, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUMN', 'N/A', 'N/A', 22.255538776516914, -84.31350231170654, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MULL', 'N/A', 'N/A', 22.448703087866306, -83.18562626838684, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHTJ', 'medium_airport', 'Trujillo Airport', 15.926599, -85.938573, 3, 'HN', 'HN-CL', 'Trujillo', 'no', 'MHTJ', 'TJI', '', ''),
	('MH0A', 'N/A', 'N/A', 15.471272952854633, -84.35159862041473, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHRY', 'small_airport', 'Raya Airport', 15.066389083862305, -83.2972183227539, 30, 'HN', 'HN-GD', 'Raya', 'no', 'MHRY', '', '', ''),
	('MHBR', 'N/A', 'N/A', 15.719758495688438, -84.77422714233398, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHGE', 'small_airport', 'El Aguacate Airport', 14.875, -85.776108, 1296, 'HN', 'HN-OL', 'El Aguacate', 'no', 'MHGE', 'CAA', '', ''),
	('MHPC', 'small_airport', 'Palacios Airport', 15.955, -84.941391, 18, 'HN', 'HN-GD', 'Palacios', 'no', 'MHPC', 'PCH', '', ''),
	('MHCA', 'small_airport', 'Catacamas Airport', 14.917, -85.900002, 1489, 'HN', 'HN-OL', 'Catacamas', 'no', 'MHCA', '', '', 'CAA'),
	('MHTI', 'small_airport', 'Tipimuratara Airport', 15.001111030578613, -83.72222137451172, 43, 'HN', 'HN-GD', 'Tipimunatara', 'no', 'MHTI', '', '', ''),
	('MHJI', 'small_airport', 'Jicalapa Airport', 15.006111, -86.049164, 2133, 'HN', 'HN-OL', 'Jicalapa', 'no', 'MHJI', '', '', ''),
	('MHTB', 'small_airport', 'La Katabila Airport', 15.175000190734863, -83.68222045898438, 14, 'HN', 'HN-GD', 'Tuntuntara', 'no', 'MHTB', '', '', ''),
	('MNWP', 'small_airport', 'Waspam Airport', 14.7392, -83.969398, 98, 'NI', 'NI-AN', 'Waspam', 'no', 'MNWP', 'WSP', '', ''),
	('MHAZ', 'small_airport', 'Aserradero Azacualpa Airport', 14.433333396911621, -86.08916473388672, 370, 'HN', 'HN-OL', 'Cacao', 'no', 'MHAZ', '', '', ''),
	('MHRR', 'small_airport', 'Rus Rus I Airport', 14.713055610656738, -84.45249938964844, 90, 'HN', 'HN-GD', 'Rus Rus', 'no', 'MHRR', '', '', ''),
	('MHBL', 'small_airport', 'Brus Laguna Airport', 15.7631, -84.543602, 19, 'HN', 'HN-GD', 'Brus Laguna', 'no', 'MHBL', 'BHG', '', ''),
	('MHRD', 'small_airport', 'Rus Rus II Airport', 14.787221908569336, -84.36972045898438, 173, 'HN', 'HN-GD', 'Rus Rus', 'no', 'MHRD', '', '', ''),
	('MHIZ', 'closed', 'Izapan Airport', 15.910278, -85.171112, 8, 'HN', 'HN-CL', 'La Puerta', 'no', '', '', '', 'MHIZ, MHIZ'),
	('GJA', 'N/A', 'N/A', 16.44545864313841, -85.90671256184578, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHEZ', 'small_airport', 'La Esperanza Airport', 15.609722, -86.139442, 160, 'HN', 'HN-CL', 'Lérida', 'no', 'MHEZ', '', '', ''),
	('MHWI', 'N/A', 'N/A', 15.0277703627944, -84.28147181868553, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MHWS', 'small_airport', 'Wasma Airport', 15.481900215148926, -84.41609954833984, 15, 'HN', 'HN-GD', 'Wasma', 'no', 'MHWS', '', '', ''),
	('MHUC', 'small_airport', 'Auca Airport', 14.93722152709961, -83.84416961669922, 190, 'HN', 'HN-GD', 'Auca', 'no', 'MHUC', '', '', ''),
	('MHWD', 'small_airport', 'Wampusirpi II Airport', 15.159167289733887, -84.59833526611328, 250, 'HN', 'HN-GD', 'Wampusirpi', 'no', 'MHWD', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MHPA', 'small_airport', 'Barra Del Patuca Airport', 15.80138874053955, -84.29666900634766, 4, 'HN', 'HN-GD', 'Barra del Patuca', 'no', 'MHPA', '', '', ''),
	('MHBA', 'small_airport', 'Barbareta Airport', 16.432216, -86.139299, 7, 'HN', 'HN-IB', 'Barbareta Island', 'no', 'MHBA', '', '', ''),
	('MHPL', 'small_airport', 'Puerto Lempira Airport', 15.2622, -83.781197, 33, 'HN', 'HN-GD', 'Puerto Lempira', 'yes', 'MHPL', 'PEU', '', ''),
	('MHDU', 'small_airport', 'Durzona Airport', 14.9891, -84.220802, 250, 'HN', 'HN-GD', 'Mocorón', 'no', 'MHDU', '', '', ''),
	('MNHG', 'small_airport', 'Hato Grande Airport', 11.981199, -85.43357, 177, 'NI', 'NI-CO', 'Hato Grande', 'no', 'MNHG', '', '', ''),
	('MNMG', 'medium_airport', 'Augusto C. Sandino (Managua) International Airport', 12.141500473022461, -86.16819763183594, 194, 'NI', 'NI-MN', 'Managua', 'yes', 'MNMG', 'MGA', '', ''),
	('MNCI', 'small_airport', 'Corn Island Airport', 12.174785, -83.059445, 1, 'NI', 'NI-AS', 'Corn Island', 'no', 'MNCI', 'RNI', '', ''),
	('MNAL', 'small_airport', 'Alamicamba Airport', 13.5123, -84.247101, 65, 'NI', 'NI-AN', 'Alamicamba', 'no', 'MNAL', '', '', ''),
	('MNMT', 'small_airport', 'La Cumplida Airport', 12.996027, -85.852146, 2420, 'NI', 'NI-MT', 'La Cumplida', 'no', 'MNMT', '', '', 'Santa Emilia'),
	('MNPC', 'medium_airport', 'Puerto Cabezas Airport', 14.047200202941895, -83.38670349121094, 52, 'NI', 'NI-AN', 'Puerto Cabezas', 'yes', 'MNPC', 'PUZ', '', ''),
	('MNFC', 'small_airport', 'Punta Huete (Panchito) Airport', 12.3534, -86.182899, 217, 'NI', 'NI-MN', 'Punta Huete', 'no', 'MNFC', '', 'MN1A', ''),
	('MNRT', 'small_airport', 'Rosita Airport', 13.889699935913086, -84.40889739990234, 193, 'NI', 'NI-AN', 'La Rosita', 'no', 'MNRT', 'RFS', '', ''),
	('MNBZ', 'small_airport', 'San Pedro Airport', 14.031524, -84.624311, 600, 'NI', 'NI-AN', 'Bonanza', 'no', 'MNBZ', 'BZA', '', ''),
	('MNLP', 'small_airport', 'Omtepe Airport', 11.523616, -85.702995, 200, 'NI', 'NI-RI', 'Omtepe Island', 'yes', 'MNOM', '', '', 'La Paloma, Moyogalpa'),
	('MNBL', 'medium_airport', 'Bluefields Airport', 11.991, -83.774101, 20, 'NI', 'NI-AS', 'Bluefileds', 'yes', 'MNBL', 'BEF', '', ''),
	('MNFF', 'small_airport', 'El Bluff Airport', 11.989854, -83.691745, 1, 'NI', 'NI-AS', 'El Bluff', 'no', 'MNFF', '', '', ''),
	('MNRV', 'N/A', 'N/A', 11.315177008509636, -85.90823203325272, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MNAM', 'small_airport', 'Altamira Airport', 12.135983, -85.716461, 121, 'NI', 'NI-BO', 'Altamira', 'no', 'MNAM', '', '', ''),
	('MNSI', 'small_airport', 'Siuna', 13.727222, -84.777779, 606, 'NI', 'NI-AN', 'Siuna', 'no', 'MNSI', 'SIU', '', ''),
	('MRIS', 'small_airport', 'Las Islas Airport', 10.558300018310547, -83.9740982055664, 98, 'CR', 'CR-H', 'San Carlos', 'no', 'MRIS', '', '', ''),
	('MRPV', 'medium_airport', 'Tobías Bolaños International Airport', 9.95705, -84.139801, 3287, 'CR', 'CR-SJ', 'San Jose', 'yes', 'MRPV', 'SYQ', '', 'Aeropuerto Internacional Tobías Bolaños Palma'),
	('MRTL', 'small_airport', 'Talolinga Airport', 10.30840015411377, -85.46839904785156, 33, 'CR', 'CR-G', 'Nicoya', 'no', 'MRTL', '', '', ''),
	('MRSI', 'small_airport', 'San Isidro del General Airport', 9.348676, -83.712301, 2100, 'CR', 'CR-SJ', 'Pérez Zeledón', 'no', 'MRSI', 'IPZ', '', ''),
	('MRPJ', 'medium_airport', 'Puerto Jimenez Airport', 8.533329963684082, -83.30000305175781, 7, 'CR', 'CR-P', 'Puerto Jimenez', 'yes', 'MRPJ', 'PJM', '', 'Corcovado National Park'),
	('MRLM', 'medium_airport', 'Limon International Airport', 9.95796012878418, -83.02200317382813, 7, 'CR', 'CR-L', 'Puerto Limon', 'yes', 'MRLM', 'LIO', '', ''),
	('MRCJ', 'small_airport', 'Cajuela/San Isidro Airport', 9.38862, -83.68812, 2575, 'CR', 'CR-SJ', 'San Isidro', 'no', 'MRCJ', '', '', ''),
	('MLLJ', 'small_airport', 'La Javilla Airport', 9.81112003326416, -85.29550170898438, 43, 'CR', 'CR-G', 'Guanacaste', 'no', 'MLLJ', '', '', ''),
	('MRUP', 'medium_airport', 'Upala Airport', 10.8922, -85.016197, 184, 'CR', 'CR-A', 'Upala', 'no', 'MRUP', 'UPL', '', ''),
	('MRSQ', 'small_airport', 'Sarapigui Airport', 10.471518, -83.906788, 164, 'CR', 'CR-H', 'San Carlos', 'no', 'MRSQ', '', '', ''),
	('MRAM', 'small_airport', 'Amubri Airport', 9.52163028717041, -82.95469665527344, 301, 'CR', 'CR-L', 'Amubri', 'no', 'MRAM', '', '', ''),
	('MRMC', 'small_airport', 'Murcielago Airport', 10.916666984558105, -85.71666717529297, 66, 'CR', 'CR-G', 'La Cruz', 'no', 'MRMC', '', '', ''),
	('MRRF', 'small_airport', 'Rio Frio / Progreso Airport', 10.327400207519531, -83.88760375976563, 350, 'CR', 'CR-H', 'Rio Frio / Progreso', 'no', 'MRRF', 'RFR', '', ''),
	('MRTR', 'small_airport', 'Tambor Airport', 9.739307, -85.016199, 33, 'CR', 'CR-P', 'Nicoya', 'no', 'MRTR', 'TMU', '', ''),
	('MRAN', 'small_airport', 'La Fortuna Arenal Airport', 10.469311, -84.579073, 342, 'CR', 'CR-A', 'La Fortuna', 'no', 'MRAN', 'FON', '', ''),
	('MRDM', 'small_airport', 'Dos Marías Airport', 9.927909851074219, -84.98999786376953, 16, 'CR', 'CR-P', 'Chorotega', 'no', 'MRDM', '', '', ''),
	('MRBC', 'medium_airport', 'Barra del Colorado Airport', 10.7687, -83.585602, 3, 'CR', 'CR-L', 'Pococi', 'no', 'MRBC', 'BCL', '', ''),
	('MPZL', 'small_airport', 'Finca 32 Airport', 9.42708969116211, -82.56269836425781, 23, 'PA', 'PA-1', 'La Dalia', 'no', 'MPZL', '', '', ''),
	('MRGP', 'medium_airport', 'Guapiles Airport', 10.2172002792, -83.79699707030001, 883, 'CR', 'CR-L', 'Pococi', 'no', 'MRGP', 'GPL', '', ''),
	('MRLI', 'small_airport', 'La Ligia Airport', 9.515270233154297, -84.30149841308594, 16, 'CR', 'CR-P', 'Parrita', 'no', 'MRLI', '', '', ''),
	('PX02', 'N/A', 'N/A', 8.77034705132246, -82.66456738114357, 1347, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MRNI', 'small_airport', 'La Bonita Airport', 9.389821, -83.677897, 2643, 'CR', 'CR-SJ', 'San Isidro', 'no', 'MRNI', '', '', ''),
	('MRMJ', 'small_airport', 'Mojica Airport', 10.4307003021, -85.17459869380001, 87, 'CR', 'CR-G', 'Cañas', 'no', 'MRMJ', 'CSC', '', ''),
	('MRBU', 'N/A', 'N/A', 9.013301208615303, -83.17977547645569, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MRSV', 'small_airport', 'San Vito de Java Airport', 8.826971, -82.958922, 3228, 'CR', 'CR-P', 'Coto Brus', 'no', 'MRSV', 'TOO', '', ''),
	('MRDK', 'small_airport', 'Drake Bay Airport', 8.71889019012, -83.6417007446, 12, 'CR', 'CR-P', 'Puntarenas', 'no', 'MRDK', 'DRK', '', ''),
	('MRGF', 'medium_airport', 'Golfito Airport', 8.65401, -83.182198, 49, 'CR', 'CR-P', 'Golfito', 'yes', 'MRGF', 'GLF', '', ''),
	('MRSN', 'small_airport', 'Sirena Airport', 8.4776, -83.591343, 70, 'CR', 'CR-P', 'Península de Osa', 'no', 'MRSN', '', '', ''),
	('MRCV', 'small_airport', 'Cabo Velas Airport', 10.3557, -85.852898, 33, 'CR', 'CR-G', 'Nicoya', 'no', 'MRCV', '', '', ''),
	('MRAL', 'small_airport', 'Altomonte Airport', 9.363861, -83.626046, 2822, 'CR', 'CR-SJ', 'Trinidad', 'no', 'MRAL', '', '', ''),
	('MRNC', 'small_airport', 'Guanacaste Airport', 10.1394, -85.445801, 365, 'CR', 'CR-G', 'Nicoya/Guanacate', 'no', 'MRNC', 'NCT', '', ''),
	('MRPN', 'small_airport', 'Pelon Nuevo Airport', 10.486700057983398, -85.41419982910156, 49, 'CR', 'CR-G', 'Liberia', 'no', 'MRPN', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MPCH', 'medium_airport', 'Changuinola Captain Manuel Niño International Airport', 9.458962, -82.515062, 19, 'PA', 'PA-1', 'Changuinola', 'yes', 'MPCH', 'CHX', '', ''),
	('MRSM', 'small_airport', 'Santa Marta Airport', 9.916666984558105, -84.61666870117188, 417, 'CR', 'CR-A', 'Orotina', 'no', 'MRSM', '', '', ''),
	('MRLN', 'small_airport', 'La Guinea Airport', 10.420700073242188, -85.47200012207031, 33, 'CR', 'CR-G', 'Nicoya', 'no', 'MRLN', '', '', ''),
	('MRBP', 'small_airport', 'Barra de Parismina Airport', 10.3, -83.349998, 7, 'CR', 'CR-L', 'Pococi', 'no', 'MRBP', '', '', ''),
	('MRAO', 'medium_airport', 'Aerotortuguero Airport', 10.42, -83.6095, 92, 'CR', 'CR-L', 'Roxana', 'yes', 'MRAO', '', '', ''),
	('MRCR', 'small_airport', 'Playa Samara/Carrillo Airport', 9.87051, -85.4814, 50, 'CR', 'CR-G', 'Carrillo', 'no', 'MRCR', 'PLD', '', 'RIK'),
	('MRBT', 'small_airport', 'Barra del Tortuguero', 10.569, -83.5149, 19, 'CR', 'CR-L', 'Tortuguero', 'no', 'MRBT', 'TTQ', '', ''),
	('MRPY', 'small_airport', 'Playa Ballena Airport', 9.122420310974121, -83.7063980102539, 7, 'CR', 'CR-P', 'Puntarenas', 'no', 'MRPY', '', '', ''),
	('MRMR', 'small_airport', 'Monte Reina Airport', 9.89932, -85.550098, 33, 'CR', 'CR-G', '', 'no', 'MRMR', '', '', ''),
	('MRCH', 'small_airport', 'Chacarita Airport', 9.98141, -84.772697, 7, 'CR', 'CR-P', 'Puntarenas', 'no', 'MRCH', 'JAP', '', ''),
	('MRLV', 'small_airport', 'La Cueva Airport', 10.68120002746582, -85.5280990600586, 230, 'CR', 'CR-G', 'Liberia', 'no', 'MRLV', '', '', ''),
	('MRFI', 'small_airport', 'Finca 10 / Nuevo Palmar Sur Airport', 8.91635, -83.507301, 25, 'CR', 'CR-P', 'Puntarenas', 'no', 'MRFI', '', '', ''),
	('MRPA', 'small_airport', 'Palo Arco Airport', 9.85141, -85.2379, 324, 'CR', 'CR-G', 'Nandayure', 'no', 'MRPA', '', '', ''),
	('MRBO', 'small_airport', 'Boca Naranjo Airport', 9.401526, -84.11896, 15, 'CR', 'CR-P', 'Quepos', 'no', 'MRBO', '', '', ''),
	('MRIA', 'small_airport', 'Islita Airport', 9.85611, -85.370796, 7, 'CR', 'CR-G', 'Nandayure', 'no', 'MRIA', 'PBP', '', ''),
	('MRFS', 'small_airport', 'Finca 63 (Coto 63) Airport', 8.6525, -83.0653, 36, 'CR', 'CR-P', 'Puntarenas', 'no', 'MRFS', '', '', ''),
	('MRAJ', 'small_airport', 'Aranjuez Airport', 10.057268, -84.807556, 52, 'CR', 'CR-P', 'Miramar', 'no', 'MRAJ', '', '', ''),
	('MRCC', 'medium_airport', 'Coto 47 Airport', 8.60156, -82.968754, 26, 'CR', 'CR-P', 'Corredores', 'no', 'MRCC', 'OTR', '', ''),
	('MRPS', 'small_airport', 'Peñas Blancas Airport', 10.315600395202637, -85.6780014038086, 98, 'CR', 'CR-G', 'Santa Cruz', 'no', 'MRPS', '', '', ''),
	('MP27', 'small_airport', 'Deborah Airport', 9.51614, -82.595497, 20, 'PA', 'PA-1', 'Guabito', 'no', 'MP27', '', 'MP27', 'Guabito California'),
	('MRLB', 'large_airport', 'Guanacaste Airport', 10.5933, -85.544403, 270, 'CR', 'CR-G', 'Liberia', 'yes', 'MRLB', 'LIR', '', 'Daniel Oduber Quiros International, Liberia International'),
	('MRSG', 'small_airport', 'Santa Clara De Guapiles Airport', 10.2883, -83.713501, 262, 'CR', 'CR-L', 'Limón', 'no', 'MRSG', '', '', ''),
	('MP02', 'small_airport', 'Finca 45 Airport', 9.543330192565918, -82.73380279541016, 56, 'PA', 'PA-1', 'Dos Caños', 'no', 'MP02', '', 'MP02', ''),
	('MRST', 'small_airport', 'San Agustin Airport', 10.064518, -84.876189, 66, 'CR', 'CR-P', 'Puntarenas', 'no', 'MRST', '', '', ''),
	('MRLF', 'small_airport', 'La Flor Airport', 10.65, -85.532997, 177, 'CR', 'CR-G', 'Liberia', 'no', 'MRLF', '', '', ''),
	('MRQA', 'small_airport', 'Quebrada Azul Airport', 10.400451, -84.487567, 197, 'CR', 'CR-A', 'Florencia', 'no', 'MRQA', '', '', ''),
	('MNPA', 'N/A', 'N/A', 11.066874861717224, -84.41041857004166, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MRCO', 'small_airport', 'El Cerrito Airport', 10.45359992980957, -85.55819702148438, 59, 'CR', 'CR-G', 'Filadelfia', 'no', 'MRCO', '', '', ''),
	('MREC', 'small_airport', 'El Carmen de Siquirres Airport', 10.202, -83.472198, 56, 'CR', 'CR-L', 'Siquirres', 'no', 'MREC', '', '', ''),
	('MRDO', 'small_airport', 'Dieciocho Airport', 8.903091, -83.426444, 19, 'CR', 'CR-P', 'Puntarenas', 'no', 'MRDO', '', '', ''),
	('MRLE', 'small_airport', 'Laurel Airport', 8.440854, -82.909253, 213, 'CR', 'CR-P', 'Puntarenas', 'no', 'MRLE', '', '', ''),
	('MRNA', 'N/A', 'N/A', 10.094978772103786, -85.13857752084732, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MRBN', 'small_airport', 'Bataan (Monte Libano) Airport', 10.083333015441895, -83.31666564941406, 39, 'CR', 'CR-L', 'Limón', 'no', 'MRBN', '', '', ''),
	('MRSO', 'small_airport', 'Santa Maria De Guacimo Airport', 10.270833, -83.583885, 33, 'CR', 'CR-L', 'Guapiles', 'no', 'MRSO', '', '', ''),
	('MRPM', 'medium_airport', 'Palmar Sur Airport', 8.95103, -83.468597, 49, 'CR', 'CR-P', 'Palmar Sur', 'yes', 'MRPM', 'PMZ', '', ''),
	('MNSC', 'small_airport', 'San Carlos Airport', 11.13556, -84.768727, 91, 'NI', 'NI-SJ', 'San Carlos', 'no', 'MNSC', 'NCR', '', ''),
	('MRJO', 'small_airport', 'Jaco Airport', 9.55527, -84.556396, 20, 'CR', 'CR-P', 'Jaco', 'no', 'MRJO', '', '', ''),
	('MRJA', 'N/A', 'N/A', 9.730405882000923, -84.56702157855034, 445, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MRRN', 'small_airport', 'Rancho Nuevo Airport', 9.570401, -84.52399, 33, 'CR', 'CR-P', 'Puntarenas', 'no', 'MRRN', '', '', ''),
	('MNSN', 'small_airport', 'San Juan de Nicaragua Airport', 10.920328, -83.707764, 56, 'NI', 'NI-SJ', 'San Juan de Nicaragua', 'no', 'MNSN', '', '', ''),
	('MRCE', 'small_airport', 'Carate Airport', 8.441979, -83.459058, 16, 'CR', 'CR-P', 'Golfito', 'no', 'MRCE', '', '', ''),
	('MRTM', 'small_airport', 'Tamarindo Airport', 10.313500404358, -85.815498352051, 41, 'CR', 'CR-G', 'Tamarindo', 'no', 'MRTM', 'TNO', '', ''),
	('MRCN', 'N/A', 'N/A', 10.34509140998125, -85.1049479842186, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MRDC', 'small_airport', 'Duacari 2 Airport', 10.351499557495117, -83.63050079345703, 79, 'CR', 'CR-L', 'Guapiles', 'no', 'MRDC', '', '', ''),
	('MRCI', 'small_airport', 'Ciruelas Airport', 10.516667366027832, -85.3499984741211, 361, 'CR', 'CR-G', 'Bagaces', 'no', 'MRCI', '', '', ''),
	('MRFD', 'small_airport', 'Finca Delicias Airport', 8.957706, -83.550308, 26, 'CR', 'CR-P', 'Puerto Cortés', 'no', 'MRFD', '', '', 'Delicias de Puerto Cortes'),
	('MRAD', 'small_airport', 'Aerodamas Airport', 9.45777702331543, -84.20899963378906, 18, 'CR', 'CR-P', 'Quepos', 'no', 'MRAD', '', '', ''),
	('MRBA', 'medium_airport', 'Buenos Aires Airport', 9.163949, -83.330171, 1214, 'CR', 'CR-P', 'Punta Arenas', 'no', 'MRBA', 'BAI', '', ''),
	('MRSA', 'small_airport', 'San Alberto Airport', 10.148099, -83.490772, 88, 'CR', 'CR-L', 'Limón', 'no', 'MRSA', '', '', ''),
	('MRNS', 'medium_airport', 'Nosara Airport', 9.976490020750001, -85.65299987790002, 33, 'CR', 'CR-G', 'Nicoya', 'yes', 'MRNS', 'NOB', '', ''),
	('MRTG', 'small_airport', 'Taboga Airport', 10.366667, -85.1665, 79, 'CR', 'CR-G', 'Cañas', 'no', 'MRTG', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MROC', 'medium_airport', 'Juan Santamaría International Airport', 9.99386, -84.208801, 3021, 'CR', 'CR-A', 'San José (Alajuela)', 'yes', 'MROC', 'SJO', '', ''),
	('MRHP', 'small_airport', 'Hacienda La Pacífica Airport', 10.451918, -85.149725, 164, 'CR', 'CR-G', 'Cañas', 'no', 'MRHP', '', '', ''),
	('MRPD', 'small_airport', 'Pandora Airport', 9.73217, -82.9832, 98, 'CR', 'CR-L', 'Limón', 'no', 'MRPD', '', '', ''),
	('MRSX', 'small_airport', 'Sixaola Airport', 9.503889, -82.63135, 26, 'CR', 'CR-L', 'Sixaola', 'no', 'MRSX', '', '', ''),
	('MP01', 'small_airport', 'Finca Ceiba Airport', 8.354999542236328, -82.8364028930664, 52, 'PA', 'PA-4', 'Finca Jaguá', 'no', 'MP01', '', 'MP01', ''),
	('MRPO', 'small_airport', 'Punta Banco Airport', 8.35731029510498, -83.13690185546875, 16, 'CR', 'CR-P', 'Puntarenas', 'no', 'MRPO', '', '', ''),
	('MPFI', 'N/A', 'N/A', 8.39118529111147, -82.86892086267471, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MP25', 'N/A', 'N/A', 8.267393298447132, -82.86474868655205, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCJ', 'N/A', 'N/A', 22.17972580343485, -78.80969703197479, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MULF', 'N/A', 'N/A', 21.713527366518974, -79.29658815264702, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCL', 'medium_airport', 'Vilo Acuña International Airport', 21.6165008545, -81.5459976196, 10, 'CU', 'CU-99', 'Cayo Largo del Sur', 'yes', 'MUCL', 'CYO', '', ''),
	('MUAU', 'N/A', 'N/A', 22.327258363366127, -80.94662860035896, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUAG', 'N/A', 'N/A', 22.075306065380573, -81.03842988610268, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUJA', 'N/A', 'N/A', 21.904657892882824, -79.1826993227005, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCS', 'N/A', 'N/A', 22.25147221237421, -78.89663636684418, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MULE', 'N/A', 'N/A', 21.653195098042488, -79.1432149708271, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MULC', 'N/A', 'N/A', 21.60872608423233, -79.25611853599548, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MULP', 'N/A', 'N/A', 21.658393554389477, -79.33912351727486, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUSS', 'small_airport', 'Sancti Spiritus Airport', 21.9704, -79.442703, 295, 'CU', 'CU-07', 'Sancti Spiritus', 'no', 'MUSS', 'USS', '', ''),
	('MUMJ', 'small_airport', 'Mayajigua Airport', 22.23080062866211, -79.06220245361328, 173, 'CU', 'CU-07', 'Mayajigua', 'no', 'MUMJ', 'MJG', '', ''),
	('MUCF', 'medium_airport', 'Jaime Gonzalez Airport', 22.149999618530273, -80.41419982910156, 102, 'CU', 'CU-06', 'Cienfuegos', 'yes', 'MUCF', 'CFG', '', 'Las Villas Airport'),
	('MULG', 'N/A', 'N/A', 21.699731759727, -79.39784690737724, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCN', 'N/A', 'N/A', 21.739976964890957, -79.77911844849586, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MULR', 'N/A', 'N/A', 21.664219982922077, -79.21371683478355, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUSC', 'medium_airport', 'Abel Santamaria Airport', 22.492201, -79.943604, 338, 'CU', 'CU-05', 'Santa Clara', 'yes', 'MUSC', 'SNU', '', ''),
	('MURE', 'N/A', 'N/A', 22.363185547292233, -79.52946156263351, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MULI', 'N/A', 'N/A', 21.679243706166744, -79.07402068376541, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MULD', 'N/A', 'N/A', 21.722369268536568, -79.22795757651329, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUTD', 'medium_airport', 'Alberto Delgado Airport', 21.7883, -79.9972, 125, 'CU', 'CU-07', 'Trinidad', 'yes', 'MUTD', 'TND', '', ''),
	('MURD', 'N/A', 'N/A', 22.39241760224104, -80.49953788518906, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCA', 'medium_airport', 'Máximo Gómez Airport', 22.0271, -78.789597, 335, 'CU', 'CU-08', 'Ciro Redondo', 'yes', 'MUCA', 'AVI', '', 'Ciego de Ávila'),
	('MWCB', 'medium_airport', 'Charles Kirkconnell International Airport', 19.687, -79.882797, 8, 'KY', 'KY-CB', 'West End', 'yes', 'MWCB', 'CYB', '', ''),
	('MWCL', 'medium_airport', 'Edward Bodden Little Cayman Airfield', 19.660161, -80.088826, 3, 'KY', 'KY-LC', 'Blossom Village', 'no', 'MWCL', 'LYB', '', 'Little Cayman Airport'),
	('MWCR', 'large_airport', 'Owen Roberts International Airport', 19.292801, -81.357697, 8, 'KY', 'KY-GC', 'George Town', 'yes', 'MWCR', 'GCM', '', 'Grand Cayman, George Town'),
	('SKPV', 'medium_airport', 'El Embrujo Airport', 13.357461, -81.357977, 10, 'CO', 'CO-SAP', 'Providencia', 'yes', 'SKPV', 'PVA', 'PVA', ''),
	('SKSP', 'medium_airport', 'Gustavo Rojas Pinilla International Airport', 12.5836, -81.7112, 19, 'CO', 'CO-SAP', 'San Andrés', 'yes', 'SKSP', 'ADZ', 'ADZ', ''),
	('MPCL', 'N/A', 'N/A', 9.165325127542019, -79.54520478844643, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPMG', 'medium_airport', 'Marcos A. Gelabert International Airport', 8.97334, -79.555603, 31, 'PA', 'PA-8', 'Albrook', 'yes', 'MPMG', 'PAC', '', 'Balboa. Albrook AFS. MPLB'),
	('MPTU', 'N/A', 'N/A', 9.45511233061552, -79.0863262116909, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IVI', 'small_airport', 'Viveros Island Airport', 8.4693, -79.0016, 100, 'PA', 'PA-8', 'Isla Viveros', 'no', '', 'IVI', '', ''),
	('MPPS', 'N/A', 'N/A', 9.14162915199995, -79.24216210842133, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPCS', 'N/A', 'N/A', 8.520261906087399, -79.01960223913193, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPPA', 'N/A', 'N/A', 8.914999924600124, -79.59972202777863, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPBO', 'medium_airport', 'Bocas del Toro International Airport', 9.34085, -82.250801, 10, 'PA', 'PA-1', 'Isla Colón', 'yes', 'MPBO', 'BOC', '', 'Jose Ezequiel Hall'),
	('MPSN', 'N/A', 'N/A', 8.45648467540741, -78.93422529101372, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPRA', 'N/A', 'N/A', 8.62833347171545, -79.03444424271584, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPWN', 'small_airport', 'San Blas Airport', 9.452863, -78.978917, 17, 'PA', 'PS-GY', 'Warsobtugua', 'no', 'MPWN', 'NBL', '', 'Carti, Wannukandi'),
	('MP17', 'small_airport', 'Finca 67 Airport', 9.434410095214844, -82.49909973144531, 30, 'PA', 'PA-1', 'Changuinola', 'no', 'MP17', '', 'MP17', ''),
	('MPRS', 'N/A', 'N/A', 9.433817267417908, -78.83204564452171, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPPN', 'N/A', 'N/A', 8.504507280886173, -80.36046847701073, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPCM', 'N/A', 'N/A', 8.589166514575481, -79.88972201943398, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MPCI', 'N/A', 'N/A', 8.932816162705421, -82.17876568436623, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPVR', 'small_airport', 'El Porvenir Airport', 9.559212, -78.946631, 17, 'PA', 'PS-GY', 'El Porvenir', 'no', 'MPVR', 'PVE', '', ''),
	('MPEJ', 'medium_airport', 'Enrique Adolfo Jimenez Airport', 9.35664, -79.867401, 25, 'PA', 'PA-3', 'Colón', 'yes', 'MPEJ', 'ONX', '', ''),
	('MPFS', 'small_airport', 'Fort Sherman Airport', 9.365090370178223, -79.94979858398438, 10, 'PA', 'PA-3', 'Fort Sherman', 'no', 'MPFS', '', '', ''),
	('MPTO', 'large_airport', 'Tocumen International Airport', 9.07136, -79.383499, 135, 'PA', 'PA-8', 'Tocumen', 'yes', 'MPTO', 'PTY', '', 'La Joya No 1'),
	('MPPD', 'small_airport', 'Capt. J. Montenegro Airport', 7.534801, -80.043347, 148, 'PA', 'PA-7', 'Pedasí', 'yes', 'MPPD', 'PDM', '', ''),
	('MPSR', 'N/A', 'N/A', 7.841220796108246, -81.56740441918373, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPSO', 'N/A', 'N/A', 7.507336735725403, -81.69815763831139, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MP22', 'small_airport', 'Ingenio Santa Rosa Airport', 8.195219993591309, -80.65869903564453, 109, 'PA', 'PA-2', 'Ingenio Santa Rosa', 'no', 'MP22', '', 'MP22', ''),
	('SIC', 'small_airport', 'San José Island Airport', 8.2622, -79.078, 150, 'PA', 'PA-8', 'Las Perlas', 'no', '', 'SIC', '', ''),
	('MPAG', 'small_airport', 'El Aguila Airstrip', 8.37168, -80.351676, 75, 'PA', 'PA-2', 'El Aguila', 'no', 'MPAG', '', '', ''),
	('MPAU', 'N/A', 'N/A', 8.251335583627224, -80.56527614593506, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPFE', 'small_airport', 'Fernando Eleta Airport', 8.411389, -79.111115, 311, 'PA', 'PA-8', 'Pedro de Cocal', 'no', 'MPFE', '', '', ''),
	('MPTN', 'N/A', 'N/A', 7.415683977305889, -80.44665679335594, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MP00', 'closed', 'Pedasí Airport', 7.55688, -80.0233, 16, 'PA', 'PA-7', 'Pedasí', 'no', '', '', '', 'PDM, Capt Justiniano Montenegro, MP00'),
	('MPLA', 'N/A', 'N/A', 7.661002166569233, -81.00502386689186, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MP26', 'small_airport', 'Punta Cocos Airport', 8.22485, -78.904404, 66, 'PA', 'PA-8', 'Punta Cocos', 'no', 'MPPU', '', '', 'MP26'),
	('MPLL', 'N/A', 'N/A', 7.371272966265678, -80.84595322608948, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPSM', 'N/A', 'N/A', 8.38007491081953, -80.12963354587555, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPSF', 'N/A', 'N/A', 7.987306974828243, -82.03345254063606, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPDA', 'medium_airport', 'Enrique Malek International Airport', 8.391, -82.434998, 89, 'PA', 'PA-4', 'David', 'yes', 'MPDA', 'DAV', '', ''),
	('MPCE', 'medium_airport', 'Alonso Valderrama Airport', 7.98784, -80.409837, 33, 'PA', 'PA-6', 'Chitré', 'yes', 'MPCE', 'CTD', '', ''),
	('MPBE', 'N/A', 'N/A', 7.732776068150997, -80.14045670628548, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPSB', 'N/A', 'N/A', 7.6395974680781364, -81.70198112726212, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPGU', 'N/A', 'N/A', 7.8575001284480095, -80.27611121535301, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPSA', 'medium_airport', 'Ruben Cantu Airport', 8.085599899291992, -80.94529724121094, 272, 'PA', 'PA-9', 'Santiago', 'no', 'MPSA', 'SYP', '', 'Santiago'),
	('SETN', 'medium_airport', 'Carlos Concha Torres International Airport', 0.978519, -79.626602, 32, 'EC', 'EC-E', 'Tachina', 'yes', 'SETN', 'ESM', '', 'General Rivadeneira'),
	('SEKK', 'small_airport', 'Km 192 Airport', 0.18465, -79.391181, 1247, 'EC', 'EC-E', 'Vía Quinindé-La Concordia', 'no', 'SEKK', '', '', 'Lagartera, La Unión'),
	('MUPI', 'N/A', 'N/A', 21.872993744909763, -78.54082301259041, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUTI', 'small_airport', 'Manatí Agricultural Airfield', 21.310618, -76.920042, 6, 'CU', 'CU-10', 'Manatí', 'no', 'MUTI', '', '', ''),
	('MUBN', 'N/A', 'N/A', 20.73329731822014, -75.65932542085648, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUBM', 'N/A', 'N/A', 20.411446318030357, -76.79408133029938, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUFL', 'small_airport', 'Florida Airport', 21.499701, -78.202797, 197, 'CU', 'CU-09', 'Florida', 'no', 'MUFL', '', '', ''),
	('MUBT', 'N/A', 'N/A', 19.93704468011856, -76.79012194275856, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUPU', 'N/A', 'N/A', 21.11318428069353, -76.77094236016273, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUMZ', 'medium_airport', 'Sierra Maestra International Airport', 20.288605, -77.087545, 112, 'CU', 'CU-12', 'Manzanillo', 'yes', 'MUMZ', 'MZO', '', ''),
	('MUGM', 'medium_airport', 'Leeward Point Field', 19.9065, -75.2071, 56, 'CU', 'CU-14', 'Guantanamo Bay Naval Station', 'no', 'MUGM', 'NBW', '', 'Gitmo, Leeward Point Fld'),
	('MUJO', 'N/A', 'N/A', 20.90998649597168, -77.3015271127224, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUGT', 'medium_airport', 'Mariana Grajales Airport', 20.0853, -75.158302, 56, 'CU', 'CU-14', 'Guantánamo', 'no', 'MUGT', 'GAO', '', 'Aerodromo los Caños'),
	('MUAM', 'N/A', 'N/A', 20.799819119274616, -77.597366720438, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUMR', 'N/A', 'N/A', 22.079513110220432, -78.62013101577759, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MYRD', 'medium_airport', 'Duncan Town Airport', 22.181801, -75.7295, 6, 'BS', 'BS-RI', '', 'no', 'MYRD', 'DCT', '', ''),
	('MUCR', 'N/A', 'N/A', 20.3812412917614, -76.16314306855202, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUVS', 'N/A', 'N/A', 21.23904962092638, -78.11609834432602, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUYA', 'N/A', 'N/A', 20.215967260301113, -76.99963554739952, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUBY', 'medium_airport', 'Carlos Manuel de Cespedes Airport', 20.3964, -76.621399, 203, 'CU', 'CU-12', 'Bayamo', 'yes', 'MUBY', 'BYM', '', ''),
	('MUST', 'N/A', 'N/A', 20.897140726447105, -77.90201872587204, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCP', 'N/A', 'N/A', 20.218680649995804, -77.29748547077179, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCC', 'medium_airport', 'Jardines Del Rey Airport', 22.461000442499998, -78.32839965820001, 13, 'CU', 'CU-08', 'Cayo Coco', 'yes', 'MUCC', 'CCC', '', 'Cayo Coco'),
	('MUCG', 'N/A', 'N/A', 20.682020857930183, -76.37688472867012, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUGV', 'N/A', 'N/A', 21.112499982118607, -75.82277789711952, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MUNC', 'closed', 'Nicaro Airport', 20.688601, -75.531502, 26, 'CU', 'CU-11', 'Nicaro', 'no', '', '', '', 'ICR, MUNC'),
	('MUVT', 'medium_airport', 'Hermanos Ameijeiras Airport', 20.9876, -76.935799, 328, 'CU', 'CU-10', 'Las Tunas', 'yes', 'MUVT', 'VTU', '', ''),
	('MULA', 'N/A', 'N/A', 20.771848373115063, -77.0704436302185, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUEN', 'N/A', 'N/A', 21.20053008198738, -78.42062205076218, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUHG', 'medium_airport', 'Frank Pais International Airport', 20.785600662231445, -76.31510162353516, 361, 'CU', 'CU-11', 'Holguin', 'yes', 'MUHG', 'HOG', '', ''),
	('MUES', 'N/A', 'N/A', 21.83286488056183, -78.1407630443573, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUEC', 'N/A', 'N/A', 21.468300372362137, -78.46465766429901, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUVE', 'N/A', 'N/A', 21.05706375092268, -78.12155619263649, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCT', 'N/A', 'N/A', 20.44703956693411, -75.98950177431107, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUVI', 'N/A', 'N/A', 21.058085337281227, -78.31896185874939, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUVA', 'N/A', 'N/A', 21.26193355768919, -78.2346859574318, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MURO', 'N/A', 'N/A', 20.442239083349705, -76.97084605693817, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUPL', 'closed', 'Pilon Airport', 19.865882, -77.354575, 51, 'CU', 'CU-12', 'Pilon', 'no', '', '', '', 'MUPL'),
	('MUUR', 'N/A', 'N/A', 20.582348965108395, -76.12453669309616, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUSI', 'N/A', 'N/A', 21.179255805909634, -77.56592094898224, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MURA', 'N/A', 'N/A', 20.65544418990612, -76.96330279111862, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCI', 'N/A', 'N/A', 20.869532078504562, -77.44440034031868, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCU', 'medium_airport', 'Antonio Maceo International Airport', 19.96980094909668, -75.83540344238281, 249, 'CU', 'CU-13', 'Santiago', 'yes', 'MUCU', 'SCU', '', ''),
	('MURC', 'N/A', 'N/A', 20.496615171432495, -76.90621867775917, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MURU', 'N/A', 'N/A', 20.7205930352211, -77.00198695063591, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUSR', 'N/A', 'N/A', 20.939252078533173, -78.22042644023895, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MURI', 'N/A', 'N/A', 20.472035743296146, -76.79970771074295, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUEL', 'N/A', 'N/A', 21.31697215139866, -78.45151126384735, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUJE', 'N/A', 'N/A', 21.169687025249004, -76.4158183336258, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUCM', 'medium_airport', 'Ignacio Agramonte International Airport', 21.420299530029297, -77.84750366210938, 413, 'CU', 'CU-09', 'Camaguey', 'yes', 'MUCM', 'CMW', '', ''),
	('MUSL', 'small_airport', 'Joaquín de Agüero Airport', 21.509456, -77.020597, 14, 'CU', 'CU-09', 'Nuevitas', 'no', 'MUSL', '', '', 'Joaquin de Aguero, Playa Santa Lucia'),
	('MKOL', 'N/A', 'N/A', 17.89108347147703, -77.13574826717377, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKJP', 'large_airport', 'Norman Manley International Airport', 17.935699462890625, -76.7874984741211, 10, 'JM', 'JM-01', 'Kingston', 'yes', 'MKJP', 'KIN', '', ''),
	('MKCO', 'N/A', 'N/A', 18.196399323642254, -77.49227777123451, 842, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKMO', 'N/A', 'N/A', 18.28232455998659, -77.10559979081154, 329, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKMA', 'N/A', 'N/A', 18.054387755692005, -76.28294885158539, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKBO', 'N/A', 'N/A', 18.10460440814495, -76.98760941624641, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKAN', 'N/A', 'N/A', 18.3715583011508, -77.89347857236862, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKKJ', 'medium_airport', 'Ken Jones Airport', 18.1987991333, -76.53450012210001, 20, 'JM', 'JM-04', 'Ken Jones', 'no', 'MKKJ', 'POT', '', ''),
	('MKGO', 'N/A', 'N/A', 17.940540052950382, -76.30701899528503, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKJS', 'medium_airport', 'Sangster International Airport', 18.5037, -77.913399, 4, 'JM', 'JM-08', 'Montego Bay', 'yes', 'MKJS', 'MBJ', '', ''),
	('MKBS', 'medium_airport', 'Ian Fleming International Airport', 18.404079, -76.969754, 90, 'JM', 'JM-05', 'Boscobel', 'yes', 'MKBS', 'OCJ', '', 'Boscobel Aerodrome'),
	('MKLL', 'N/A', 'N/A', 18.147279024124146, -77.15901553630829, 376, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKDI', 'N/A', 'N/A', 18.466513864696026, -77.39473298192024, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKTP', 'medium_airport', 'Tinson Pen Airport', 17.98859977722168, -76.82379913330078, 16, 'JM', 'JM-02', 'Tinson Pen', 'yes', 'MKTP', 'KTP', '', ''),
	('MKEW', 'N/A', 'N/A', 18.17398678511381, -77.06855177879333, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKNA', 'N/A', 'N/A', 17.977056317031384, -77.60672181844711, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKRA', 'N/A', 'N/A', 17.890506125986576, -77.30355620384216, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKWI', 'N/A', 'N/A', 18.07936079800129, -77.47809872031212, 419, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MKNG', 'small_airport', 'Negril Airport', 18.341712, -78.334164, 9, 'JM', 'JM-09', 'Negril', 'no', 'MKNG', 'NEG', '', ''),
	('MPMN', 'N/A', 'N/A', 9.050242602825165, -77.80977174639702, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPMU', 'N/A', 'N/A', 8.945544920861721, -77.73347407579422, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPAC', 'N/A', 'N/A', 9.188411235809326, -77.99406588077545, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKCG', 'medium_airport', 'Rafael Nuñez International Airport', 10.4424, -75.513, 4, 'CO', 'CO-BOL', 'Cartagena', 'yes', 'SKCG', 'CTG', 'CTG', ''),
	('MPI', 'small_airport', 'Mamitupu Airport', 9.1851, -77.9841, 25, 'PA', 'PS-GY', 'Mamitupu', 'no', '', 'MPI', '', 'Mamitupo'),
	('SKCV', 'medium_airport', 'Coveñas Airport', 9.40092, -75.6913, 31, 'CO', 'CO-SUC', 'Coveñas', 'no', 'SKCV', 'CVE', 'CVE', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TJC', 'small_airport', 'Ticantiquí Airport', 9.4185, -78.4896, 17, 'PA', 'PS-GY', 'Ticantiquí', 'no', '', 'TJC', '', 'Tikantiki'),
	('SKMR', 'medium_airport', 'Los Garzones Airport', 8.82374, -75.8258, 41, 'CO', 'CO-COR', 'Montería', 'yes', 'SKMR', 'MTR', 'MTR', ''),
	('SKSC', 'N/A', 'N/A', 10.045991912484169, -75.26354044675827, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPAI', 'N/A', 'N/A', 9.222494065761566, -78.0235205590725, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTU', 'small_airport', 'Ustupu Airport', 9.1283, -77.9337, 9, 'PA', 'PS-GY', 'Ustupu', 'no', 'MPUP', 'UTU', '', 'Ustupo'),
	('SKTL', 'small_airport', 'Golfo de Morrosquillo Airport', 9.50945, -75.5854, 16, 'CO', 'CO-SUC', 'Santiago de Tolú', 'yes', 'SKTL', 'TLU', 'TLU', ''),
	('MPOA', 'small_airport', 'Puerto Obaldía Airport', 8.668813, -77.417399, 223, 'PA', 'PS-GY', 'Puerto Obaldía', 'no', 'MPOA', 'PUE', '', ''),
	('SKXQ', 'N/A', 'N/A', 9.774270057678223, -75.63820481300354, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKKE', 'N/A', 'N/A', 9.27835039794445, -75.25517418980598, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKNC', 'small_airport', 'Necocli Airport', 8.454429, -76.779326, 19, 'CO', 'CO-ANT', 'Necocli', 'no', 'SKNC', 'NCI', 'NCI', ''),
	('SKBR', 'small_airport', 'Berástegui Airport', 8.885319, -75.682189, 38, 'CO', 'CO-COR', 'Berástegui', 'no', 'SKBR', '', 'BIC', ''),
	('SKJZ', 'N/A', 'N/A', 8.869341015815735, -75.06417989730835, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKCA', 'small_airport', 'Capurganá Airport', 8.632169, -77.350262, 49, 'CO', 'CO-CHO', 'Acandí', 'no', 'SKCA', 'CPB', 'CPB', ''),
	('SKKC', 'N/A', 'N/A', 8.928754292428493, -75.14307662844658, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CZJ', 'small_airport', 'Corazón de Jesús Airport', 9.44686, -78.575678, 8, 'PA', 'PS-GY', 'Tupile', 'no', 'MPCJ', 'CZJ', '', 'Narganá, Usdup'),
	('SKCZ', 'medium_airport', 'Las Brujas Airport', 9.33274, -75.2856, 528, 'CO', 'CO-SUC', 'Corozal', 'yes', 'SKCZ', 'CZU', 'CZU', ''),
	('SKCW', 'N/A', 'N/A', 8.909965083003044, -75.79977795481682, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKXP', 'N/A', 'N/A', 8.500234186649323, -75.06682187318802, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKLU', 'N/A', 'N/A', 10.571403801441193, -75.06474316120148, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPPL', 'N/A', 'N/A', 9.30692832916975, -78.23526486754417, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKXR', 'N/A', 'N/A', 9.715787842869759, -75.65087959170341, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKKB', 'N/A', 'N/A', 8.947767801582813, -75.15027791261673, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDA', 'N/A', 'N/A', 9.059062711894512, -75.7812125980854, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OGM', 'small_airport', 'Ogobsucum Airport', 9.1383, -77.93385, 13, 'PA', 'PS-GY', 'Ustupu', 'no', '', 'OGM', '', 'Ogobsucun, Ogubsucum, Ogubsucun, Ustupo'),
	('SKST', 'N/A', 'N/A', 10.481778122484684, -75.41695341467857, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z09A', 'N/A', 'N/A', 8.690298199653625, -75.15968933701515, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKAD', 'small_airport', 'Alcides Fernández Airport', 8.497847, -77.274106, 50, 'CO', 'CO-CHO', 'Acandí', 'no', 'SKAD', 'ACD', 'ACD', ''),
	('MPMA', 'N/A', 'N/A', 8.902078717947006, -77.69284442067146, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPNA', 'N/A', 'N/A', 9.424768164753914, -78.62688973546028, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPJE', 'small_airport', 'Jaqué Airport', 7.51778, -78.157204, 29, 'PA', 'PA-5', 'Jaqué', 'no', 'MPJE', 'JQE', '', ''),
	('SKMD', 'medium_airport', 'Enrique Olaya Herrera Airport', 6.220549, -75.590582, 4949, 'CO', 'CO-ANT', 'Medellín', 'yes', 'SKMD', 'EOH', 'EOH', ''),
	('SKNK', 'N/A', 'N/A', 7.866773195564747, -75.6725361943245, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKNQ', 'small_airport', 'Reyes Murillo Airport', 5.710348, -77.261868, 12, 'CO', 'CO-CHO', 'Nuquí', 'yes', 'SKNQ', 'NQU', 'NQU', ''),
	('SKJU', 'N/A', 'N/A', 7.006336636841297, -77.66759052872658, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKAA', 'N/A', 'N/A', 7.833504416048527, -76.64533317089081, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPSE', 'N/A', 'N/A', 8.338570408523083, -78.13167080283165, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUQ', 'N/A', 'N/A', 8.032951466739178, -77.09181636571884, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKML', 'small_airport', 'Montelibano Airport', 7.97174, -75.4325, 160, 'CO', 'CO-COR', 'Montelíbano', 'no', 'SKML', 'MTB', 'MTB', ''),
	('SKJR', 'N/A', 'N/A', 6.878996416926384, -77.67789423465729, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTU', 'heliport', 'Gonzalo Mejía Airport', 8.071878, -76.740124, 6, 'CO', 'CO-ANT', 'Turbo', 'no', 'SKTU', 'TRB', 'TRB', ''),
	('SKUI', 'medium_airport', 'El Caraño Airport', 5.69076, -76.6412, 204, 'CO', 'CO-CHO', 'Quibdó', 'yes', 'SKUI', 'UIB', 'UIB', ''),
	('SKIG', 'small_airport', 'Jaime Ortiz Betancourt Airport', 7.677606, -76.683165, 110, 'CO', 'CO-ANT', 'Chigorodó', 'no', 'SKIG', 'IGO', 'IGO', ''),
	('SKAO', 'N/A', 'N/A', 7.969745881855488, -76.62975937128067, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKAT', 'small_airport', 'El Troncal Airport', 7.02106, -71.388901, 512, 'CO', 'CO-ARA', 'Arauquita', 'no', 'SKAT', 'ARQ', 'ARQ', ''),
	('MPMF', 'N/A', 'N/A', 8.25249295681715, -78.27909842133522, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKJA', 'N/A', 'N/A', 7.07324031740427, -77.7286984026432, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKJV', 'N/A', 'N/A', 7.620040811598301, -76.6467060148716, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFO', 'N/A', 'N/A', 6.730417124927044, -76.14654287695885, 1692, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKSR', 'small_airport', 'San Marcos Airport', 8.69, -75.156, 140, 'CO', 'CO-SUC', 'San Marcos', 'no', 'SKSR', 'SRS', '', ''),
	('SKIT', 'N/A', 'N/A', 7.1634892746806145, -75.72393849492073, 1691, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPO', 'N/A', 'N/A', 8.231961317360401, -75.05795270204544, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SKRG', 'medium_airport', 'Jose Maria Córdova International Airport', 6.16454, -75.4231, 6955, 'CO', 'CO-ANT', 'Medellín', 'yes', 'SKRG', 'MDE', 'MDE', ''),
	('SK56', 'N/A', 'N/A', 7.944336980581284, -76.6967985033989, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKCU', 'medium_airport', 'Juan H White Airport', 7.96847, -75.1985, 174, 'CO', 'CO-ANT', 'Caucasia', 'no', 'SKCU', 'CAQ', 'CAQ', 'Caucasia Airport'),
	('MPPI', 'N/A', 'N/A', 8.10725100338459, -77.72570550441742, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKBL', 'N/A', 'N/A', 8.324190750718117, -75.12795120477676, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKBS', 'medium_airport', 'José Celestino Mutis Airport', 6.20292, -77.3947, 80, 'CO', 'CO-CHO', 'Bahía Solano', 'yes', 'SKBS', 'BSC', 'BSC', ''),
	('SKLC', 'medium_airport', 'Antonio Roldán Betancur Airport', 7.81196, -76.7164, 46, 'CO', 'CO-ANT', 'Carepa', 'yes', 'SKLC', 'APO', 'APO', ''),
	('SKVD', 'N/A', 'N/A', 6.567024663090706, -76.88669487833977, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPF', 'N/A', 'N/A', 8.390877842903137, -75.79111263155937, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKQR', 'N/A', 'N/A', 8.122368603944778, -75.00765725970268, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUR', 'small_airport', 'Urrao Airport', 6.32883, -76.1425, 6090, 'CO', 'CO-ANT', 'Urrao', 'no', 'SKUR', 'URR', 'URR', ''),
	('GHE', 'small_airport', 'Garachiné Airport', 8.0644, -78.3673, 42, 'PA', 'PA-5', 'Garachiné', 'no', '', 'GHE', '', ''),
	('SKCD', 'small_airport', 'Mandinga Airport', 5.072007, -76.676373, 213, 'CO', 'CO-CHO', 'Condoto', 'no', 'SKCD', 'COG', 'COG', ''),
	('SKFI', 'N/A', 'N/A', 4.4877346605062485, -75.01064166426659, 625, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKVT', 'N/A', 'N/A', 3.3255697041749954, -75.18680110573769, 371, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKBU', 'medium_airport', 'Gerardo Tobar López Airport', 3.81963, -76.9898, 48, 'CO', 'CO-VAC', 'Buenaventura', 'yes', 'SKBU', 'BUN', 'BUN', ''),
	('SKJC', 'small_airport', 'Juanchaco Airport', 3.933991, -77.361453, 47, 'CO', 'CO-VAC', 'Juanchaco', 'no', 'SKJC', '', '', ''),
	('SKGB', 'small_airport', 'Marco Fidel Suarez Air Base', 3.45899, -76.4966, 3165, 'CO', 'CO-VAC', 'Cali', 'no', 'SKGB', '', '', ''),
	('SKHI', 'N/A', 'N/A', 3.7765345349907875, -76.3214747607708, 978, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKJO', 'N/A', 'N/A', 2.8411339223384857, -77.2370807826519, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHG', 'N/A', 'N/A', 3.6384279280900955, -76.30459874868393, 1005, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKJM', 'N/A', 'N/A', 3.2353924959897995, -76.50469288229942, 958, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGS', 'N/A', 'N/A', 4.408238343894482, -75.02345591783524, 672, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKJS', 'N/A', 'N/A', 3.3079878240823746, -76.48741409182549, 956, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFZ', 'N/A', 'N/A', 4.463943466544151, -75.03422990441322, 674, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUT', 'N/A', 'N/A', 3.066338896751404, -75.18158912658691, 537, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKIB', 'medium_airport', 'Perales Airport', 4.42161, -75.1333, 2999, 'CO', 'CO-TOL', 'Ibagué', 'yes', 'SKIB', 'IBE', 'IBE', ''),
	('SKLW', 'N/A', 'N/A', 4.894237518310547, -75.9049017727375, 900, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKYM', 'N/A', 'N/A', 4.014189653098583, -75.14646157622337, 362, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKYR', 'N/A', 'N/A', 3.5986440628767014, -76.3057042658329, 1008, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHA', 'small_airport', 'General Navas Pardo Airport', 3.724293, -75.465785, 2730, 'CO', 'CO-TOL', 'Chaparral', 'no', 'SKHA', 'CPL', 'CPL', ''),
	('SKAR', 'medium_airport', 'El Eden Airport', 4.45278, -75.7664, 3990, 'CO', 'CO-QUI', 'Armenia', 'yes', 'SKAR', 'AXM', 'AXM', ''),
	('SKNT', 'N/A', 'N/A', 2.8471652045845985, -75.31316176056862, 463, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGQ', 'N/A', 'N/A', 4.399729035794735, -75.03416866064072, 691, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKCQ', 'N/A', 'N/A', 3.127911016345024, -76.42888337373734, 987, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHD', 'N/A', 'N/A', 3.4126724302768707, -76.40406534075737, 956, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKMZ', 'medium_airport', 'La Nubia Airport', 5.0296, -75.4647, 6871, 'CO', 'CO-CAL', 'Manizales', 'yes', 'SKMZ', 'MZL', 'MZL', ''),
	('SKGX', 'N/A', 'N/A', 4.44207139313221, -75.03553166985512, 688, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKQM', 'N/A', 'N/A', 3.2687772810459137, -76.33370384573936, 990, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKNV', 'medium_airport', 'Benito Salas Airport', 2.95015, -75.294, 1464, 'CO', 'CO-HUI', 'Neiva', 'yes', 'SKNV', 'NVA', 'NVA', 'La Manguita'),
	('SKJW', 'N/A', 'N/A', 3.1038080155849457, -75.25204807519913, 422, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGO', 'medium_airport', 'Santa Ana Airport', 4.75818, -75.9557, 2979, 'CO', 'CO-VAC', 'Cartago', 'no', 'SKGO', 'CRC', 'CRC', ''),
	('SKJT', 'N/A', 'N/A', 3.5133739560842514, -76.49307936429977, 949, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKQZ', 'N/A', 'N/A', 2.914288491010666, -75.39667457342148, 539, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZR', 'N/A', 'N/A', 4.317113310098648, -76.09375208616257, 923, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKQQ', 'N/A', 'N/A', 4.960758648812771, -77.36321702599525, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGT', 'N/A', 'N/A', 3.790394179522991, -75.078344643116, 323, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKYG', 'N/A', 'N/A', 4.326660633087158, -75.07898166775703, 722, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHF', 'N/A', 'N/A', 3.394719734787941, -76.32319986820221, 987, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKXV', 'N/A', 'N/A', 3.9176660031080246, -75.01539632678032, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKIC', 'N/A', 'N/A', 4.423108510673046, -75.08455619215965, 798, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SKIA', 'N/A', 'N/A', 4.395575299859047, -75.07348671555519, 765, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRA', 'N/A', 'N/A', 2.9253391921520233, -75.41539549827576, 532, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKIE', 'N/A', 'N/A', 4.365324340760708, -75.15675991773605, 887, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFQ', 'N/A', 'N/A', 4.387005642056465, -75.02588152885437, 671, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKXZ', 'N/A', 'N/A', 4.257540442049503, -75.00850081443787, 449, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKXU', 'N/A', 'N/A', 4.345424026250839, -75.02268835902214, 646, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKCL', 'medium_airport', 'Alfonso Bonilla Aragon International Airport', 3.54322, -76.3816, 3162, 'CO', 'CO-VAC', 'Cali', 'yes', 'SKCL', 'CLO', 'CLO', 'Palmaseca International, 02-20'),
	('SKHJ', 'N/A', 'N/A', 3.3800718560814857, -76.39850735664368, 965, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHB', 'N/A', 'N/A', 3.362489975988865, -76.28576964139938, 1009, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGV', 'N/A', 'N/A', 4.428047463297844, -75.01526176929474, 654, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUL', 'medium_airport', 'Heriberto Gíl Martínez Airport', 4.08836, -76.2351, 3132, 'CO', 'CO-VAC', 'Tuluá', 'no', 'SKUL', 'ULQ', 'ULQ', 'Farfan Airport'),
	('SKYV', 'N/A', 'N/A', 3.3063724637031555, -76.33565336465836, 991, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK54', 'N/A', 'N/A', 4.37632005661726, -76.07422426342964, 924, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPE', 'medium_airport', 'Matecaña International Airport', 4.81267, -75.7395, 4416, 'CO', 'CO-RIS', 'Pereira', 'yes', 'SKPE', 'PEI', 'PEI', ''),
	('SKBT', 'N/A', 'N/A', 3.245018608868122, -75.24597868323326, 408, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPI', 'medium_airport', 'Pitalito Airport', 1.85777, -76.0857, 4212, 'CO', 'CO-HUI', 'Pitalito', 'no', 'SKPI', 'PTX', '', ''),
	('SKTZ', 'N/A', 'N/A', 2.7786126360297203, -77.66804918646812, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUV', 'N/A', 'N/A', 2.4548381567001343, -75.73468789458275, 827, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKEM', 'N/A', 'N/A', 2.45001420378685, -78.09446811676025, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOR', 'small_airport', 'Orito Airport', 0.669444, -76.88, 1132, 'CO', 'CO-PUT', 'Orito', 'no', 'SKOR', '', 'ORI', ''),
	('SKIP', 'medium_airport', 'San Luis Airport', 0.861946, -77.671783, 9765, 'CO', 'CO-NAR', 'Ipiales', 'yes', 'SKIP', 'IPI', 'IPI', ''),
	('SETU', 'medium_airport', 'Lieutenant Colonel Luis A. Mantilla International Airport', 0.809506, -77.708099, 9649, 'EC', 'EC-C', 'Tulcán', 'yes', 'SETU', 'TUA', '', 'Teniente Coronel Luis A. Mantilla'),
	('SKGZ', 'small_airport', 'La Jagua Airport', 2.1464, -75.6944, 2620, 'CO', 'CO-HUI', 'Garzón', 'yes', 'SKGZ', '', 'GLJ', 'Garzón'),
	('SKAS', 'medium_airport', 'Tres De Mayo Airport', 0.505228, -76.5008, 815, 'CO', 'CO-PUT', 'Puerto Asís', 'yes', 'SKAS', 'PUU', 'PUU', ''),
	('SKGP', 'medium_airport', 'Juan Casiano Airport', 2.57013, -77.897969, 164, 'CO', 'CO-CAU', 'Guapi', 'yes', 'SKGP', 'GPI', 'GPI', ''),
	('SEIB', 'closed', 'Atahualpa Airport', 0.338419, -78.136398, 7304, 'EC', 'EC-I', 'Ibarra', 'no', '', '', '', 'SEIB'),
	('SKPS', 'medium_airport', 'Antonio Nariño Airport', 1.39625, -77.2915, 5951, 'CO', 'CO-NAR', 'Chachagüí', 'yes', 'SKPS', 'PSO', 'PSO', 'Pasto'),
	('SKGN', 'N/A', 'N/A', 2.3021138459444046, -75.64128488302231, 696, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFL', 'medium_airport', 'Gustavo Artunduaga Paredes Airport', 1.58919, -75.5644, 803, 'CO', 'CO-CAQ', 'Florencia', 'yes', 'SKFL', 'FLA', 'FLA', ''),
	('SKCO', 'medium_airport', 'La Florida Airport', 1.81442, -78.7492, 8, 'CO', 'CO-NAR', 'Tumaco', 'yes', 'SKCO', 'TCO', 'TCO', ''),
	('SKTQ', 'medium_airport', 'Captain Ernesto Esguerra Cubides Air Base', 0.7459, -75.234, 585, 'CO', 'CO-CAQ', 'Tres Esquinas', 'no', 'SKTQ', 'TQS', 'TQS', ''),
	('SKIS', 'N/A', 'N/A', 2.4461085721850395, -77.9817482829094, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDG', 'N/A', 'N/A', 2.6240409538149834, -75.36261945962906, 581, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SEPT', 'small_airport', 'Putumayo Airport', 0.115949, -75.85022, 733, 'EC', 'EC-U', 'Puerto Putumayo', 'no', 'SEPT', 'PYO', '', ''),
	('SKPP', 'medium_airport', 'Guillermo León Valencia Airport', 2.4544, -76.6093, 5687, 'CO', 'CO-CAU', 'Popayán', 'yes', 'SKPP', 'PPN', 'PPN', ''),
	('SKJP', 'N/A', 'N/A', 0.012339502573013306, -76.27792283892632, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SENL', 'small_airport', 'Nueva Loja Airport', 0.0930560007691, -76.86750030520001, 980, 'EC', 'EC-U', 'Lago Agrio', 'no', 'SENL', 'LGQ', '', 'SELA, Lago Agrio,'),
	('MUBC', 'N/A', 'N/A', 20.08189771324396, -74.62560072541237, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MBNC', 'medium_airport', 'North Caicos Airport', 21.916094, -71.942954, 10, 'TC', 'TC-NC', 'North Caicos', 'yes', 'MBNC', 'NCA', '', ''),
	('MDMC', 'small_airport', 'Monte Cristi Airport', 19.865299224900003, -71.6453018188, 121, 'DO', 'DO-15', 'Monte Cristi', 'no', 'MDMC', '', '', ''),
	('MTPX', 'medium_airport', 'Port-de-Paix Airport', 19.934045, -72.84801, 9, 'HT', 'HT-NO', 'Port-de-Paix', 'no', 'MTPX', 'PAX', '', ''),
	('mdwo', 'small_airport', 'Walterio Airport', 19.757867, -71.623482, 33, 'DO', 'DO-15', 'Monte Cristi', 'no', 'MDWO', '', '', ''),
	('MBAC', 'small_airport', 'Harold Charles International Airport', 21.302649, -71.637168, 9, 'TC', 'TC-AC', 'Big Ambergris Cay', 'no', 'MBAC', '', '', 'Ambergris Cay Airport'),
	('MBPI', 'small_airport', 'Pine Cay Airport', 21.874661, -72.090573, 3, 'TC', 'TC-PN', 'Pine Cay', 'no', 'MBPI', 'PIC', '', ''),
	('MBPV', 'large_airport', 'Providenciales International Airport', 21.773697, -72.268321, 15, 'TC', 'TC-PR', 'Providenciales', 'yes', 'MBPV', 'PLS', '', ''),
	('MB01', 'N/A', 'N/A', 21.681696586310863, -72.4618037045002, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MUMO', 'medium_airport', 'Orestes Acosta Airport', 20.653900146484375, -74.92220306396484, 16, 'CU', 'CU-11', 'Moa', 'no', 'MUMO', 'MOA', '', ''),
	('MYAP', 'medium_airport', 'Spring Point Airport', 22.441799, -73.970901, 11, 'BS', 'BS-AK', 'Spring Point', 'yes', 'MYAP', 'AXP', '', ''),
	('MUBA', 'medium_airport', 'Gustavo Rizo Airport', 20.365299224853516, -74.5062026977539, 26, 'CU', 'CU-14', 'Baracoa', 'yes', 'MUBA', 'BCA', '', ''),
	('MYIG', 'medium_airport', 'Inagua Airport', 20.975000381469727, -73.66690063476563, 8, 'BS', 'BS-IN', 'Matthew Town', 'yes', 'MYIG', 'IGA', '', ''),
	('MBMC', 'small_airport', 'Middle Caicos Airport', 21.82602, -71.8025, 9, 'TC', 'TC-MC', 'Middle Caicos', 'no', 'MBMC', 'MDS', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MBSC', 'medium_airport', 'South Caicos Airport', 21.515699, -71.528503, 6, 'TC', 'TC-SC', 'South Caicos', 'yes', 'MBSC', 'XSC', '', ''),
	('MYMM', 'medium_airport', 'Mayaguana Airport', 22.379499, -73.013494, 11, 'BS', 'BS-MG', 'Abrahams Bay', 'yes', 'MYMM', 'MYG', '', ''),
	('MTCH', 'medium_airport', 'Cap Haitien International Airport', 19.726734, -72.199576, 10, 'HT', 'HT-ND', 'Cap Haitien', 'yes', 'MTCH', 'CAP', '', ''),
	('MTJE', 'medium_airport', 'Jérémie Airport', 18.66309928894043, -74.17030334472656, 147, 'HT', 'HT-GA', 'Jeremie', 'yes', 'MTJE', 'JEE', '', ''),
	('MTCA', 'medium_airport', 'Les Cayes Airport', 18.271099090576172, -73.78829956054688, 203, 'HT', 'HT-SD', 'Les Cayes', 'yes', 'MTCA', 'CYA', '', ''),
	('MTAS', 'N/A', 'N/A', 19.66642588376999, -73.0723375082016, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MDCO', 'N/A', 'N/A', 18.85312646627426, -71.81823581457138, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MDDJ', 'small_airport', 'Dajabon Airport', 19.563601, -71.680801, 69, 'DO', 'DO-05', 'Dajabon', 'no', 'MDDJ', '', '', ''),
	('MDVI', 'N/A', 'N/A', 19.646799489855766, -71.29580900073051, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MTJA', 'medium_airport', 'Jacmel Airport', 18.2411, -72.518501, 167, 'HT', 'HT-SE', 'Jacmel', 'no', 'MTJA', 'JAK', '', ''),
	('MTOU', 'N/A', 'N/A', 19.537169560790062, -71.72857761383057, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MTPI', 'N/A', 'N/A', 19.322382286190987, -72.11809739470482, 347, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MTHI', 'N/A', 'N/A', 19.138684161007404, -72.01605901122093, 259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MTAN', 'N/A', 'N/A', 18.841211423277855, -72.88015902042389, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MDCR', 'medium_airport', 'Cabo Rojo Airport', 17.929000854492188, -71.6447982788086, 262, 'DO', 'DO-16', 'Cabo Rojo', 'no', 'MDCR', 'CBJ', '', ''),
	('MTDA', 'N/A', 'N/A', 18.616466112434864, -74.41795885562897, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MTPP', 'large_airport', 'Toussaint Louverture International Airport', 18.58, -72.292503, 122, 'HT', 'HT-OU', 'Port-au-Prince', 'yes', 'MTPP', 'PAP', '', ''),
	('MTFO', 'N/A', 'N/A', 18.28624963760376, -73.11176642775536, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z09B', 'N/A', 'N/A', 11.787019819021225, -72.41688698530197, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNY', 'N/A', 'N/A', 11.678704507648945, -72.52932652831078, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNX', 'N/A', 'N/A', 11.643973588943481, -72.54546672105789, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUW', 'N/A', 'N/A', 12.344368435442448, -71.30459502339363, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOA', 'N/A', 'N/A', 11.615244783461094, -72.45230868458748, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPB', 'small_airport', 'Puerto Bolívar Airport', 12.2215, -71.9848, 90, 'CO', 'CO-LAG', 'Portete', 'no', 'SKPB', '', 'PBO', ''),
	('SVWW', 'N/A', 'N/A', 12.018582969903946, -71.27352610230446, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOC', 'N/A', 'N/A', 11.725404784083366, -72.46932864189148, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKMJ', 'small_airport', 'Maicao Airport', 11.3899, -72.239197, 160, 'CO', 'CO-LAG', 'Maicao', 'no', 'SKMJ', '', 'MCJ', ''),
	('SXSF', 'N/A', 'N/A', 11.615124754607677, -72.82753139734268, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXSC', 'N/A', 'N/A', 11.456443257629871, -72.78639391064644, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRH', 'medium_airport', 'Almirante Padilla Airport', 11.5262, -72.926, 43, 'CO', 'CO-LAG', 'Riohacha', 'yes', 'SKRH', 'RCH', 'RCH', ''),
	('SXSE', 'N/A', 'N/A', 11.533018983900547, -72.67764329910278, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXSB', 'N/A', 'N/A', 11.375375166535378, -72.79449060559273, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNN', 'N/A', 'N/A', 11.592807434499264, -72.6050828397274, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNZ', 'N/A', 'N/A', 11.64214164018631, -72.45857298374176, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNU', 'N/A', 'N/A', 11.657502986490726, -72.64372274279594, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOB', 'N/A', 'N/A', 11.67216058820486, -72.49088376760483, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXEA', 'N/A', 'N/A', 11.29251267760992, -73.15025255084038, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNT', 'N/A', 'N/A', 11.693236380815506, -72.65313237905502, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVWV', 'N/A', 'N/A', 11.826120726764202, -71.34911432862282, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOE', 'N/A', 'N/A', 11.723617427051067, -72.51140534877777, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXVF', 'N/A', 'N/A', 11.764256581664085, -72.30143308639526, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK66', 'N/A', 'N/A', 8.730079047381878, -73.7277951836586, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK75', 'N/A', 'N/A', 10.126040428876877, -73.6186096072197, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUY', 'N/A', 'N/A', 10.583243072032928, -73.0164384841919, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK26', 'N/A', 'N/A', 9.421496540307999, -73.39448377490044, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTB', 'small_airport', 'Tibú Airport', 8.63152, -72.7304, 194, 'CO', 'CO-NSA', 'Tibú', 'no', 'SKTB', 'TIB', 'TBU', ''),
	('SKBQ', 'medium_airport', 'Ernesto Cortissoz International Airport', 10.8896, -74.7808, 98, 'CO', 'CO-ATL', 'Barranquilla', 'yes', 'SKBQ', 'BAQ', 'BAQ', ''),
	('SKAQ', 'N/A', 'N/A', 9.92819331586361, -73.25312241911888, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSY', 'small_airport', 'San Francisco de Mérida Airport', 8.800000190734863, -71.58333587646484, 99, 'VE', 'VE-L', '', 'no', 'SVSY', '', '', ''),
	('SVMC', 'medium_airport', 'La Chinita International Airport', 10.5582084656, -71.7278594971, 239, 'VE', 'VE-V', 'Maracaibo', 'yes', 'SVMC', 'MAR', '', ''),
	('SVRV', 'N/A', 'N/A', 8.918626606464386, -71.64080277085304, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SVEV', 'N/A', 'N/A', 8.778526782989502, -71.72913864254951, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXBA', 'N/A', 'N/A', 11.197686195373535, -72.76778161525726, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDL', 'N/A', 'N/A', 10.66471952944994, -74.19566363096237, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKAX', 'N/A', 'N/A', 10.096119716763496, -73.2336750626564, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK19', 'N/A', 'N/A', 9.948741383850574, -73.38325917720795, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVON', 'small_airport', 'Oro Negro Airport', 10.3307, -71.322502, 164, 'VE', 'VE-V', 'Cabimas', 'no', 'SVON', 'CBS', '', ''),
	('SKYC', 'N/A', 'N/A', 8.60231302678585, -73.6106488108635, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKVO', 'N/A', 'N/A', 10.35241350531578, -73.32984924316406, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFE', 'small_airport', 'Hacienda Santa Fé Airport', 9.5, -72.58333587646484, 524, 'VE', 'VE-V', '', 'no', 'SVFE', '', '', ''),
	('SKMP', 'small_airport', 'San Bernardo Airport', 9.258348, -74.438393, 60, 'CO', 'CO-BOL', 'Santa Cruz de Mompóx', 'no', 'SKMP', 'MMP', 'MMP', ''),
	('SKLM', 'medium_airport', 'Jorge Isaac Airport', 11.2325, -72.4901, 281, 'CO', 'CO-LAG', 'La Mina-Maicao', 'no', 'SKLM', 'MCJ', 'LMA', ''),
	('SVSZ', 'medium_airport', 'Miguel Urdaneta Fernández Airport', 8.97455, -71.943253, 32, 'VE', 'VE-V', 'San Carlos del Zulia', 'no', 'SVSZ', 'STB', '', 'Relámpago del Catatumbo National, Santa Bárbara del Zulia'),
	('SKVR', 'N/A', 'N/A', 10.32926570624113, -73.36169332265854, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK41', 'N/A', 'N/A', 9.404662996530533, -73.53800252079964, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVRP', 'N/A', 'N/A', 8.880829252302647, -71.65358975529671, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKAV', 'N/A', 'N/A', 9.898557588458061, -73.42199116945267, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUX', 'N/A', 'N/A', 10.742170996963978, -72.99123510718346, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK04', 'N/A', 'N/A', 10.264233537018299, -73.41445326805115, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKLL', 'N/A', 'N/A', 8.621130399405956, -73.72665211558342, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSU', 'small_airport', 'San Benito Airport', 10.30222225189209, -72.0522232055664, 75, 'VE', 'VE-V', '', 'no', 'SVSU', '', '', ''),
	('SKSM', 'medium_airport', 'Simón Bolívar International Airport', 11.1196, -74.2306, 22, 'CO', 'CO-MAG', 'Santa Marta', 'yes', 'SKSM', 'SMR', 'SMR', ''),
	('SKLJ', 'N/A', 'N/A', 9.652368687093258, -73.49507734179497, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPL', 'small_airport', 'Plato Airport', 9.8, -74.7833, 69, 'CO', 'CO-MAG', 'Plato', 'no', 'SKPL', 'PLT', 'PLT', ''),
	('SKVP', 'medium_airport', 'Alfonso López Pumarejo Airport', 10.435, -73.2495, 483, 'CO', 'CO-CES', 'Valledupar', 'yes', 'SKVP', 'VUP', 'VUP', ''),
	('SKDJ', 'N/A', 'N/A', 10.867178365588188, -74.145917147398, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVWT', 'N/A', 'N/A', 10.551697947084904, -71.47278472781181, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVRX', 'small_airport', 'Hacienda Río Yaza Airport', 9.843469619750977, -72.54720306396484, 492, 'VE', 'VE-V', '', 'no', 'SVRX', '', '', ''),
	('SKBW', 'N/A', 'N/A', 11.039087176322937, -72.69629001617432, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK35', 'N/A', 'N/A', 9.213037267327309, -73.57177555561066, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDU', 'N/A', 'N/A', 11.245375871658325, -73.71653124690056, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVWQ', 'small_airport', 'El Pardillero Airport', 8.59827, -69.760803, 2001, 'VE', 'VE-E', 'Mijagual', 'no', 'SVWQ', '', '', ''),
	('SVNA', 'small_airport', 'Macana Airport', 9.923020362854004, -72.08049774169922, 200, 'VE', 'VE-V', '', 'no', 'SVNA', '', '', ''),
	('SK65', 'N/A', 'N/A', 8.55344619601965, -73.68698492646217, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDK', 'N/A', 'N/A', 10.791005641222, -74.10485699772835, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDN', 'N/A', 'N/A', 11.00356936454773, -74.21321332454681, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKLO', 'N/A', 'N/A', 9.643952921032906, -73.52659732103348, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDI', 'N/A', 'N/A', 10.014506131410599, -74.68138173222542, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK05', 'N/A', 'N/A', 10.281982384622097, -73.39964389801025, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUH', 'N/A', 'N/A', 10.207919552922249, -73.26305463910103, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVWR', 'N/A', 'N/A', 8.995965421199799, -71.37339860200882, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVWS', 'N/A', 'N/A', 10.789245441555977, -71.36406317353249, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKEP', 'N/A', 'N/A', 9.621158502995968, -73.63120704889297, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXFA', 'N/A', 'N/A', 10.670170113444328, -72.91803672909737, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKBN', 'small_airport', 'Buenavista Airport', 10.8879, -72.9004, 850, 'CO', 'CO-LAG', 'Fonseca', 'no', 'SKBN', '', 'BVA', ''),
	('SKZA', 'N/A', 'N/A', 9.737122133374214, -74.82905432581902, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDM', 'N/A', 'N/A', 10.862470082938671, -74.17146161198616, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK00', 'N/A', 'N/A', 8.78880400210619, -73.72248575091362, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK36', 'N/A', 'N/A', 9.346366859972477, -73.7966439127922, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVCG', 'small_airport', 'Casigua El Cubo Airport', 8.75814, -72.536301, 99, 'VE', 'VE-V', 'Casigua El Cubo', 'no', 'SVCG', 'CUV', '', ''),
	('SKEO', 'N/A', 'N/A', 10.130295418202877, -74.03936818242073, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKLF', 'N/A', 'N/A', 9.55369122326374, -73.37043732404709, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SKBC', 'medium_airport', 'Las Flores Airport', 9.04554, -73.9749, 111, 'CO', 'CO-MAG', 'El Banco', 'no', 'SKBC', 'ELB', 'ELB', ''),
	('SKLB', 'N/A', 'N/A', 9.585117995738983, -73.45196574926376, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVVG', 'medium_airport', 'Juan Pablo Pérez Alfonso Airport', 8.624139, -71.672668, 250, 'VE', 'VE-L', 'El Vigía', 'yes', 'SVVG', 'VIG', '', ''),
	('SK15', 'N/A', 'N/A', 9.954834692180157, -73.52225884795189, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKJF', 'N/A', 'N/A', 8.605320453643799, -72.22603395581245, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVEN', 'small_airport', 'Encontrados Airport', 9.03777, -72.24797, 66, 'VE', 'VE-V', '', 'no', 'SVEW', '', '', ''),
	('SKXS', 'N/A', 'N/A', 9.340338595211506, -74.95432242751122, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK50', 'N/A', 'N/A', 9.759860895574093, -73.65646675229073, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK47', 'N/A', 'N/A', 9.7111801430583, -73.27361449599266, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVEB', 'small_airport', 'El Guayabo del Zulia Airport', 8.676159858703613, -72.33560180664063, 79, 'VE', 'VE-V', '', 'no', 'SVEB', '', '', ''),
	('SKBB', 'N/A', 'N/A', 9.934826418757439, -73.2683515548706, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKLE', 'N/A', 'N/A', 9.585114978253841, -73.4519661962986, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKXC', 'N/A', 'N/A', 8.494301810860634, -72.59339690208435, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVGC', 'small_airport', 'La Gran China Airport', 9.77708, -72.486801, 138, 'VE', 'VE-V', '', 'no', 'SVKG', '', '', 'SVGC'),
	('SK76', 'N/A', 'N/A', 10.150045529007912, -73.65716949105263, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVAX', 'small_airport', 'Los Andes Airport', 10, -72.583336, 393, 'VE', 'VE-V', '', 'no', 'SVIA', '', '', ''),
	('SV75', 'small_airport', 'Machiques North Airport', 10.088299751281738, -72.55480194091797, 361, 'VE', 'VE-V', '', 'no', 'SV75', '', '', ''),
	('SXBB', 'N/A', 'N/A', 11.20650127530098, -72.4515862762928, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVHD', 'small_airport', 'Hacienda El Calvario Airport', 9.899999618530273, -72.55000305175781, 264, 'VE', 'VE-V', '', 'no', 'SVHD', '', '', ''),
	('SKPJ', 'N/A', 'N/A', 9.855248630046844, -74.89182740449905, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVDO', 'N/A', 'N/A', 10.370633415877819, -71.41237691044807, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKMG', 'medium_airport', 'Baracoa Airport', 9.28474, -74.8461, 178, 'CO', 'CO-BOL', 'Magangué', 'no', 'SKMG', 'MGN', 'MGN', ''),
	('SKFU', 'small_airport', 'Fundación Airport', 10.5333, -74.2, 150, 'CO', 'CO-MAG', 'Fundación', 'no', 'SKFU', 'FDA', 'FDA', ''),
	('SK68', 'N/A', 'N/A', 9.97906643897295, -73.81340593099594, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK38', 'N/A', 'N/A', 9.387695007026196, -73.50779056549072, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSJ', 'closed', 'Central Bolívar Airport', 8.935567, -71.952735, 39, 'VE', 'VE-V', '', 'no', '', '', '', 'SVSJ'),
	('SV74', 'small_airport', 'Aricuaisa Airport', 9.581870079040527, -72.78800201416016, 165, 'VE', 'VE-V', '', 'no', 'SV74', '', '', ''),
	('SKRC', 'N/A', 'N/A', 9.520803987979889, -74.34280604124069, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SV77', 'N/A', 'N/A', 10.328772850334644, -72.4808768928051, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKEQ', 'N/A', 'N/A', 8.043278641998768, -73.21150347590446, 1428, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKEJ', 'medium_airport', 'Yariguíes Airport', 7.02433, -73.8068, 412, 'CO', 'CO-SAN', 'Barrancabermeja', 'yes', 'SKEJ', 'EJA', 'EJA', ''),
	('SKAG', 'small_airport', 'Hacaritama Airport', 8.247, -73.5814, 545, 'CO', 'CO-CES', 'Aguachica', 'no', 'SKAG', 'HAY', 'AGH', ''),
	('SQUJ', 'N/A', 'N/A', 5.726791508495808, -72.10061386227608, 492, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXPE', 'N/A', 'N/A', 6.237599439918995, -71.45818904042244, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPA', 'small_airport', 'Juan Jose Rondon Airport', 5.76454, -73.1054, 8205, 'CO', 'CO-BOY', 'Paipa', 'no', 'SKPA', 'RON', '', ''),
	('SKVL', 'small_airport', 'Velásquez Airport', 5.93904, -74.457, 566, 'CO', 'CO-BOY', 'Puerto Boyacá', 'no', 'SKVL', 'PYA', '', ''),
	('SK01', 'N/A', 'N/A', 7.021081410348415, -71.38873502612114, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOX', 'N/A', 'N/A', 5.923670344054699, -71.3898865878582, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKCC', 'medium_airport', 'Camilo Daza International Airport', 7.92757, -72.5115, 1096, 'CO', 'CO-NSA', 'Cúcuta', 'yes', 'SKCC', 'CUC', 'CUC', ''),
	('SK95', 'N/A', 'N/A', 7.82047089189291, -73.57228383421898, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKXJ', 'N/A', 'N/A', 7.167301028966904, -73.57770636677742, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKCM', 'small_airport', 'Cimitarra Airport', 6.367484, -73.970658, 740, 'CO', 'CO-SAN', 'Cimitarra', 'no', 'SKCM', 'CIM', 'CIM', ''),
	('SKHC', 'small_airport', 'Hato Corozal Airport', 6.153311, -71.761969, 820, 'CO', 'CO-CAS', 'Hato Corozal', 'no', 'SKHC', 'HTZ', 'HTZ', ''),
	('SKUE', 'N/A', 'N/A', 7.8899846971035, -73.45881521701813, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXQT', 'N/A', 'N/A', 6.013361066579819, -71.2697996199131, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUN', 'N/A', 'N/A', 7.959281578660011, -73.59861463308334, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AGI', 'small_airport', 'El Paraíso Airport', 8.128611, -73.584722, 303, 'CO', 'CO-CES', 'Aguachica', 'no', '', '', 'AGI', ''),
	('SKSO', 'small_airport', 'Alberto Lleras Camargo Airport', 5.67732, -72.9703, 8155, 'CO', 'CO-BOY', 'Sogamoso', 'no', 'SKSO', 'SOX', 'SOX', ''),
	('SKXO', 'N/A', 'N/A', 6.891201138496399, -73.42940703034401, 499, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK64', 'N/A', 'N/A', 6.767297834157944, -73.28462094068527, 1789, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXQK', 'N/A', 'N/A', 5.8683279901742935, -71.27144783735275, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SXQI', 'N/A', 'N/A', 5.832628794014454, -71.26500830054283, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKET', 'N/A', 'N/A', 5.948329232633114, -73.60923752188683, 1601, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXPI', 'N/A', 'N/A', 6.211729869246483, -71.4316101372242, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSA', 'medium_airport', 'San Antonio Del Tachira Airport', 7.84083, -72.439697, 1312, 'VE', 'VE-S', '', 'yes', 'SVSA', 'SVZ', '', ''),
	('SKGD', 'N/A', 'N/A', 8.203813880681992, -73.70156183838844, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXQD', 'N/A', 'N/A', 5.782944895327091, -72.02025175094604, 507, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVPM', 'medium_airport', 'Paramillo Airport', 7.80132, -72.202904, 3314, 'VE', 'VE-S', '', 'no', 'SVPM', 'SCI', '', ''),
	('SVLF', 'medium_airport', 'La Fria Airport', 8.239167, -72.271027, 305, 'VE', 'VE-S', '', 'no', 'SVLF', 'LFR', '', ''),
	('SKKX', 'N/A', 'N/A', 6.269736662507057, -74.49470937252045, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKI', 'small_airport', 'Piscuri Airport', 7.54665994644165, -71.78839874267578, 726, 'VE', 'VE-C', '', 'no', 'SVKI', '', '', ''),
	('SKTT', 'N/A', 'N/A', 5.663576535880566, -71.68171897530556, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUG', 'N/A', 'N/A', 7.986042648553848, -73.57782125473022, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK55', 'N/A', 'N/A', 7.383284233510494, -73.50549682974815, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKEB', 'medium_airport', 'El Bagre Airport', 7.59647, -74.8089, 180, 'CO', 'CO-ANT', 'El Bagre', 'no', 'SKEB', 'EBG', 'EBG', 'El Tomin Airport'),
	('SKSA', 'small_airport', 'Los Colonizadores Airport', 6.951868, -71.857179, 680, 'CO', 'CO-ARA', 'Saravena', 'yes', 'SKSA', 'RVE', 'SRV', 'El Eden Airport'),
	('SKBG', 'medium_airport', 'Palonegro Airport', 7.1265, -73.1848, 3897, 'CO', 'CO-SAN', 'Bucaramanga', 'yes', 'SKBG', 'BGA', 'BGA', ''),
	('SXQR', 'N/A', 'N/A', 5.79969696700573, -71.75774976611137, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSO', 'medium_airport', 'Mayor Buenaventura Vivas International Airport', 7.56538, -72.035103, 1083, 'VE', 'VE-S', 'Santo Domingo', 'yes', 'SVSO', 'STD', '', ''),
	('SKSG', 'small_airport', 'San Gil Airport', 6.58444, -73.1283, 5498, 'CO', 'CO-SAN', 'San Gil', 'no', 'SKSG', '', 'SGL', ''),
	('SVFU', 'small_airport', 'La Fortuna Airport', 7.5833330154418945, -71.46666717529297, 417, 'VE', 'VE-S', 'San Antonio de Caparo', 'no', 'SVFU', '', '', ''),
	('SXUL', 'N/A', 'N/A', 5.723610743880272, -71.48334413766861, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPZ', 'medium_airport', 'Paz De Ariporo Airport', 5.87615, -71.8866, 900, 'CO', 'CO-CAS', 'Paz De Ariporo', 'no', 'SKPZ', 'PZA', 'PZA', ''),
	('SKUK', 'N/A', 'N/A', 8.026249632239342, -73.51722657680511, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK11', 'N/A', 'N/A', 5.781967230141163, -73.46329271793365, 2477, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXQL', 'N/A', 'N/A', 5.877328142523766, -71.36378735303879, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPR', 'small_airport', 'Puerto Berrio Airport', 6.46034, -74.4105, 445, 'CO', 'CO-ANT', 'Puerto Berrio', 'no', 'SKPR', 'PBE', 'PBE', ''),
	('SXPJ', 'N/A', 'N/A', 6.196542531251907, -71.4881506562233, 165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOT', 'closed', 'Otu Airport', 7.01037, -74.7155, 2060, 'CO', 'CO-ANT', 'Remedios', 'no', '', '', '', 'El Rhin, SKOT, OTU'),
	('SKXI', 'N/A', 'N/A', 7.622565776109695, -73.60810473561287, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTV', 'N/A', 'N/A', 5.731268785893917, -72.19136238098145, 690, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOW', 'N/A', 'N/A', 5.873374901711941, -71.52250349521637, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGM', 'N/A', 'N/A', 8.241527080535889, -73.69035914540291, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK99', 'N/A', 'N/A', 8.050135038793087, -73.57960358262062, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPN', 'small_airport', 'Puerto Nare Airport', 6.21002, -74.5906, 476, 'CO', 'CO-ANT', 'Armenia', 'no', 'SKPN', 'NAR', 'NAR', ''),
	('SKLA', 'small_airport', 'Málaga Regional Airport', 6.70472, -72.7303, 6710, 'CO', 'CO-SAN', 'Málaga', 'no', 'SKLA', '', 'MLG', ''),
	('SKTG', 'N/A', 'N/A', 5.763260163366795, -71.53166100382805, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK96', 'N/A', 'N/A', 7.562710605561733, -73.50654020905495, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKXM', 'N/A', 'N/A', 7.527955882251263, -73.59800085425377, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKXF', 'N/A', 'N/A', 6.383563578128815, -73.257315158844, 1569, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKSZ', 'N/A', 'N/A', 7.803833149373531, -73.44197139143944, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOU', 'N/A', 'N/A', 5.821169391274452, -71.59745067358017, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOY', 'N/A', 'N/A', 5.90499009937048, -71.51607602834702, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTM', 'medium_airport', 'Gustavo Vargas Airport', 6.45108, -71.7603, 1050, 'CO', 'CO-ARA', 'Tame', 'yes', 'SKTM', 'TME', 'TME', ''),
	('SKSB', 'N/A', 'N/A', 7.929480895400047, -73.96703034639359, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPY', 'N/A', 'N/A', 5.992077067494392, -74.5698519051075, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGC', 'N/A', 'N/A', 8.330872468650341, -73.69503512978554, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKAJ', 'N/A', 'N/A', 8.199700377881527, -73.63182350993156, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK63', 'N/A', 'N/A', 6.614174209535122, -73.91914039850235, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXUM', 'N/A', 'N/A', 5.735415481030941, -71.41565501689911, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXPL', 'N/A', 'N/A', 6.781603731215, -71.77905052900314, 253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOC', 'medium_airport', 'Aguas Claras Airport', 8.31506, -73.3583, 3850, 'CO', 'CO-NSA', 'Ocaña', 'no', 'SKOC', 'OCV', 'OCV', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SKBO', 'large_airport', 'El Dorado International Airport', 4.70159, -74.1469, 8361, 'CO', 'CO-DC', 'Bogota', 'yes', 'SKBO', 'BOG', 'BOG', 'Cundinamarca'),
	('SXDA', 'N/A', 'N/A', 4.352341443300247, -72.67715245485306, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKAP', 'medium_airport', 'Gomez Nino Apiay Air Base', 4.07607, -73.5627, 1207, 'CO', 'CO-MET', 'Apiay', 'no', 'SKAP', 'API', 'APY', ''),
	('SKTH', 'N/A', 'N/A', 4.930960983037949, -72.64165431261063, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNJ', 'N/A', 'N/A', 4.938435293734074, -72.1375921368599, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFF', 'N/A', 'N/A', 3.3917823806405067, -73.69700968265533, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWZ', 'N/A', 'N/A', 3.799242451786995, -72.47363984584808, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDV', 'N/A', 'N/A', 4.299580045044422, -73.36183503270149, 314, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKBD', 'N/A', 'N/A', 4.492154270410538, -72.84056782722473, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXQA', 'N/A', 'N/A', 3.8252924010157585, -72.25859060883522, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOD', 'N/A', 'N/A', 4.854433201253414, -71.68153926730156, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKEZ', 'N/A', 'N/A', 4.183952361345291, -74.8927192389965, 324, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDW', 'N/A', 'N/A', 4.064144119620323, -73.38377103209496, 312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKBP', 'N/A', 'N/A', 4.597683101892471, -72.83350378274918, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOP', 'N/A', 'N/A', 4.985775277018547, -71.50562569499016, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXWC', 'N/A', 'N/A', 4.99474324285984, -71.89665511250496, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKNI', 'N/A', 'N/A', 5.566288456320763, -72.06694945693016, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKBI', 'N/A', 'N/A', 4.48360238224268, -72.82289072871208, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPQ', 'medium_airport', 'German Olano Air Base', 5.48361, -74.6574, 566, 'CO', 'CO-CUN', 'La Dorada', 'no', 'SKPQ', 'PAL', 'PQE', 'Palanquero Airport'),
	('SKVY', 'N/A', 'N/A', 3.8848672807216644, -73.15958485007286, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGK', 'N/A', 'N/A', 4.7640035301446915, -74.82882007956505, 246, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKON', 'N/A', 'N/A', 4.785748198628426, -71.63103461265564, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDQ', 'N/A', 'N/A', 3.7812454998493195, -73.48211288452148, 291, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNK', 'N/A', 'N/A', 4.93377260863781, -72.18681916594505, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKBA', 'N/A', 'N/A', 4.556358642876148, -72.91925445199013, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDT', 'N/A', 'N/A', 4.3934255093336105, -72.98904910683632, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOJ', 'N/A', 'N/A', 4.828334636986256, -71.6615617275238, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKNZ', 'N/A', 'N/A', 2.903260588645935, -71.74949303269386, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKAE', 'N/A', 'N/A', 5.089976750314236, -72.44780883193016, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKEX', 'N/A', 'N/A', 4.465877003967762, -74.99466240406036, 592, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK53', 'small_airport', 'Yaguarito Airport', 3.88, -73.339996, 836, 'CO', 'CO-MET', 'Surimena', 'no', 'SK53', '', 'SK53', ''),
	('SKGF', 'N/A', 'N/A', 3.500220403075218, -73.66559028625488, 312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXQF', 'N/A', 'N/A', 5.539080128073692, -71.96753114461899, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRL', 'N/A', 'N/A', 4.205894507467747, -72.9992701113224, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOE', 'small_airport', 'Orocue Airport', 4.79222, -71.3564, 434, 'CO', 'CO-CAS', 'Orocue', 'no', 'SKOE', 'ORC', 'ORC', ''),
	('SKUB', 'small_airport', 'Uribe Airport', 3.2375, -74.347222, 8377, 'CO', 'CO-MET', 'La Uribe', 'no', 'SKUB', 'URI', '', ''),
	('SKFC', 'N/A', 'N/A', 3.4632592275738716, -73.60189363360405, 292, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXPB', 'N/A', 'N/A', 5.090630538761616, -71.28132328391075, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWF', 'N/A', 'N/A', 3.995574451982975, -73.37677583098412, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKNX', 'N/A', 'N/A', 3.487347811460495, -71.37594133615494, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFA', 'N/A', 'N/A', 3.4215300902724266, -73.72543036937714, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKKR', 'N/A', 'N/A', 4.898370802402496, -74.85143601894379, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKVJ', 'N/A', 'N/A', 5.210311710834503, -71.85079783201218, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWG', 'N/A', 'N/A', 3.4223686158657074, -73.76860588788986, 332, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKYO', 'N/A', 'N/A', 5.413191989064217, -72.28335678577423, 242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKCK', 'N/A', 'N/A', 4.387725479900837, -72.77028769254684, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKYB', 'N/A', 'N/A', 5.186079628765583, -72.31991931796074, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGI', 'medium_airport', 'Santiago Vila Airport', 4.27624, -74.7967, 900, 'CO', 'CO-CUN', 'Girardot', 'no', 'SKGI', 'GIR', 'GIR', ''),
	('SKEF', 'N/A', 'N/A', 3.8240662962198257, -73.52880343794823, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNM', 'N/A', 'N/A', 5.06456483155489, -72.30821684002876, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRV', 'N/A', 'N/A', 4.203428886830807, -72.98140704631805, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SXNH', 'N/A', 'N/A', 4.769810512661934, -72.14022159576416, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXPA', 'N/A', 'N/A', 4.644825272262096, -71.64494946599007, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXQE', 'N/A', 'N/A', 4.6149692684412, -72.00251564383507, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWV', 'N/A', 'N/A', 4.079704619944096, -73.07733982801437, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKNN', 'N/A', 'N/A', 5.429273843765259, -72.1635764837265, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFV', 'N/A', 'N/A', 4.904111735522747, -74.78097394108772, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFM', 'N/A', 'N/A', 4.568922109901905, -74.93611112236977, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKCI', 'small_airport', 'Carimagua Airport', 4.56417, -71.3364, 700, 'CO', 'CO-MET', 'Puerto López', 'no', 'SKCI', 'CCO', 'CCO', ''),
	('SKMW', 'N/A', 'N/A', 4.6716829016804695, -72.1239048242569, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKVV', 'medium_airport', 'Vanguardia Airport', 4.16787, -73.6138, 1394, 'CO', 'CO-MET', 'Villavicencio', 'yes', 'SKVV', 'VVC', 'VVC', ''),
	('SKDP', 'N/A', 'N/A', 4.023339673876762, -73.35247367620468, 256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKYL', 'N/A', 'N/A', 5.193783603608608, -72.40291893482208, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKVB', 'N/A', 'N/A', 5.395866595208645, -71.91190972924232, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKAF', 'N/A', 'N/A', 5.053947642445564, -72.44665771722794, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOS', 'N/A', 'N/A', 4.416511952877045, -71.58866241574287, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTI', 'small_airport', 'Tolemaida Air Base', 4.2448, -74.649901, 1617, 'CO', 'CO-CUN', 'Tolemaida - Nilo', 'no', 'SKTI', '', 'TOL', ''),
	('SKQS', 'N/A', 'N/A', 4.319519586861134, -73.27260687947273, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOT', 'N/A', 'N/A', 4.8050544038414955, -71.89214050769806, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKEG', 'N/A', 'N/A', 4.36175063252449, -72.82746031880379, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWS', 'N/A', 'N/A', 4.232897982001305, -73.2523213326931, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWA', 'N/A', 'N/A', 3.9507658034563065, -73.32457154989243, 247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKNU', 'N/A', 'N/A', 5.51214337348938, -72.12907567620277, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKQU', 'medium_airport', 'Mariquita Airport', 5.21256, -74.8836, 1531, 'CO', 'CO-TOL', 'Mariquita', 'no', 'SKQU', 'MQU', 'MQU', ''),
	('SKYK', 'N/A', 'N/A', 4.942021071910858, -74.90746423602104, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFX', 'N/A', 'N/A', 4.091451019048691, -74.90716964006424, 314, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOU', 'N/A', 'N/A', 4.84403595328331, -71.50808796286583, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXVA', 'N/A', 'N/A', 4.717541299760342, -72.46745958924294, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTC', 'N/A', 'N/A', 5.17409585416317, -71.42994314432144, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFW', 'N/A', 'N/A', 4.8644281178712845, -74.80376154184341, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOM', 'N/A', 'N/A', 4.827336855232716, -71.68152093887329, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWQ', 'N/A', 'N/A', 3.7021733075380325, -73.68824511766434, 416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNG', 'N/A', 'N/A', 4.718970246613026, -72.13511779904366, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKMY', 'N/A', 'N/A', 5.031675584614277, -72.35556229948997, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKVM', 'N/A', 'N/A', 5.133118741214275, -72.18263447284698, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK32', 'N/A', 'N/A', 4.4842323660850525, -73.34498852491379, 481, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKBM', 'N/A', 'N/A', 4.737276993691921, -74.80221033096313, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTJ', 'medium_airport', 'Tunja Airport', 5.54138, -73.3445, 8940, 'CO', 'CO-BOY', 'Tunja', 'no', 'SKTJ', '', '', ''),
	('SXDB', 'N/A', 'N/A', 4.335317462682724, -72.70511046051979, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTD', 'small_airport', 'Trinidad Airport', 5.43278, -71.6625, 649, 'CO', 'CO-CAS', 'Trinidad', 'no', 'SKTD', 'TDA', 'TDA', ''),
	('SKTS', 'N/A', 'N/A', 4.971670210361481, -72.59915962815285, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWP', 'N/A', 'N/A', 4.048932641744614, -73.19086745381355, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKQW', 'N/A', 'N/A', 4.288191385567188, -73.13360542058945, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKVF', 'N/A', 'N/A', 5.209638811647892, -71.81063085794449, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKVX', 'N/A', 'N/A', 3.773089572787285, -73.38578179478645, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRS', 'N/A', 'N/A', 4.196081981062889, -73.07631477713585, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKLY', 'N/A', 'N/A', 4.819728769361973, -74.92887765169144, 432, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKVU', 'N/A', 'N/A', 5.464411452412605, -72.06496953964233, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRP', 'N/A', 'N/A', 4.062447287142277, -73.13920810818672, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKNG', 'N/A', 'N/A', 4.791599102318287, -72.23675206303596, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKAU', 'N/A', 'N/A', 5.016266293823719, -72.40734100341797, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWK', 'N/A', 'N/A', 2.943853810429573, -73.2015073299408, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SKFY', 'N/A', 'N/A', 4.448829889297485, -74.96183708310127, 566, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTF', 'N/A', 'N/A', 5.108148381114006, -71.62430942058563, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFT', 'N/A', 'N/A', 3.3531471714377403, -73.57030794024467, 252, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRW', 'N/A', 'N/A', 4.064513593912125, -73.00163045525551, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKAL', 'N/A', 'N/A', 5.152477249503136, -72.51732096076012, 253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKKU', 'N/A', 'N/A', 5.351719446480274, -74.73243847489357, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWN', 'N/A', 'N/A', 4.127316847443581, -73.2388137280941, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUZ', 'N/A', 'N/A', 3.988293595612049, -73.29975128173828, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXQC', 'N/A', 'N/A', 5.557659454643726, -72.00411379337311, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNE', 'N/A', 'N/A', 4.735839664936066, -72.8439299762249, 244, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFN', 'N/A', 'N/A', 3.3660361915826797, -73.46498966217041, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRZ', 'N/A', 'N/A', 4.11831334233284, -73.0741859972477, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKNB', 'N/A', 'N/A', 4.798218458890915, -72.2335110604763, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWW', 'N/A', 'N/A', 4.190737009048462, -73.26220259070396, 228, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKYP', 'medium_airport', 'El Yopal Airport', 5.31911, -72.384, 1028, 'CO', 'CO-CAS', 'El Yopal', 'yes', 'SKYP', 'EYP', 'EYP', ''),
	('SXUD', 'N/A', 'N/A', 5.277518145740032, -71.54821023344994, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWE', 'N/A', 'N/A', 3.767703026533127, -73.20988833904266, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKNY', 'N/A', 'N/A', 2.8983819857239723, -72.1415564417839, 195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDZ', 'N/A', 'N/A', 4.062702767550945, -73.41206386685371, 306, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKQX', 'N/A', 'N/A', 4.334591254591942, -73.14375847578049, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPG', 'small_airport', 'Puerto Gaitan Airport', 4.30444, -72.0844, 510, 'CO', 'CO-CAS', 'Puerto Gaitan', 'no', 'SKPG', '', '', ''),
	('SKGW', 'N/A', 'N/A', 4.518210254609585, -74.9720299243927, 512, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRJ', 'N/A', 'N/A', 4.303923882544041, -73.07299062609673, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKSQ', 'N/A', 'N/A', 5.501415878534317, -71.76644995808601, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDY', 'N/A', 'N/A', 4.088351391255856, -73.36508005857468, 278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKYD', 'N/A', 'N/A', 5.441473200917244, -72.23392993211746, 224, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRU', 'N/A', 'N/A', 4.127759411931038, -73.1335137784481, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGE', 'N/A', 'N/A', 3.478611521422863, -73.73118191957474, 305, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGH', 'N/A', 'N/A', 3.9976032078266144, -74.9491386115551, 305, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGY', 'small_airport', 'Guaymaral Airport', 4.81233, -74.0649, 8390, 'CO', 'CO-DC', 'Chía', 'no', 'SKGY', '', 'GYM', ''),
	('SKMA', 'small_airport', 'Major Justino Mariño Cuesto Air Base', 4.727953, -74.2756, 8325, 'CO', 'CO-CUN', 'Madrid', 'no', 'SKMA', '', '', ''),
	('SKQF', 'N/A', 'N/A', 5.619465261697769, -72.0640754699707, 252, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRD', 'N/A', 'N/A', 4.115382023155689, -73.26380655169487, 229, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKXY', 'N/A', 'N/A', 3.8827962800860405, -74.98671770095825, 302, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKYE', 'N/A', 'N/A', 3.9124206081032753, -74.97474476695061, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKMM', 'N/A', 'N/A', 5.546723417937756, -74.11236941814423, 895, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKVE', 'N/A', 'N/A', 5.423897355794907, -71.99428081512451, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDR', 'N/A', 'N/A', 4.460480399429798, -72.95077487826347, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKVC', 'N/A', 'N/A', 5.446837618947029, -72.00583711266518, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNL', 'N/A', 'N/A', 4.780652336776257, -72.31184229254723, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXUC', 'N/A', 'N/A', 5.264048092067242, -71.47818356752396, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGJ', 'N/A', 'N/A', 4.134799540042877, -74.90338236093521, 322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRY', 'N/A', 'N/A', 4.090253412723541, -73.2341855764389, 222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRR', 'N/A', 'N/A', 4.1566575318574905, -72.90698289871216, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWT', 'N/A', 'N/A', 3.987397402524948, -73.20499822497368, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFJ', 'N/A', 'N/A', 4.841834530234337, -74.7758013010025, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKLX', 'N/A', 'N/A', 4.854382909834385, -74.88882154226303, 334, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTR', 'N/A', 'N/A', 5.591714791953564, -71.58941522240639, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKMO', 'N/A', 'N/A', 3.75037495046854, -71.45612508058548, 195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOK', 'N/A', 'N/A', 4.711186811327934, -71.54997915029526, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKYH', 'N/A', 'N/A', 3.9455442130565643, -74.93716612458229, 303, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SKVN', 'small_airport', 'Villanueva Airport', 4.62472, -72.9469, 1002, 'CO', 'CO-CAS', 'Villanueva', 'no', 'SKVN', '', 'VLA', ''),
	('SKVK', 'N/A', 'N/A', 5.090357959270477, -71.7871829867363, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOH', 'N/A', 'N/A', 4.892005920410156, -71.58652558922768, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFD', 'N/A', 'N/A', 3.3735229074954987, -73.61443161964417, 260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDX', 'N/A', 'N/A', 3.804885149002075, -73.51954624056816, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXNI', 'N/A', 'N/A', 4.946838654577732, -72.43645191192627, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOL', 'small_airport', 'Puerto López Airport', 4.089869, -72.976483, 599, 'CO', 'CO-MET', 'Puerto López', 'no', 'SKOL', '', '', ''),
	('SKRO', 'N/A', 'N/A', 4.243582226336002, -73.21323573589325, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOO', 'N/A', 'N/A', 4.758009798824787, -71.63899898529053, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKME', 'small_airport', 'Lieutenant Colonel Luis F. Pinto Parra Air Base', 4.21644, -74.635, 1028, 'CO', 'CO-CUN', 'Melgar', 'no', 'SKME', '', '', ''),
	('SKQV', 'N/A', 'N/A', 4.297942221164703, -73.18975567817688, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKWD', 'N/A', 'N/A', 3.6711716651916504, -73.39653253555298, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKXT', 'N/A', 'N/A', 4.689236283302307, -74.89008754491806, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHO', 'N/A', 'N/A', 5.169563256204128, -74.76499110460281, 237, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKFK', 'N/A', 'N/A', 4.2024026066064835, -74.97015863656998, 385, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTE', 'N/A', 'N/A', 4.964406788349152, -72.62806221842766, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKCF', 'N/A', 'N/A', 4.416861645877361, -72.7739542722702, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRX', 'N/A', 'N/A', 4.069222547113895, -73.18091779947281, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKRT', 'N/A', 'N/A', 3.769226185977459, -71.81851789355278, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZE', 'N/A', 'N/A', 0.554899089038372, -71.92647859454155, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKSV', 'medium_airport', 'Eduardo Falla Solano Airport', 2.15217, -74.7663, 920, 'CO', 'CO-CAQ', 'San Vicente Del Caguán', 'yes', 'SKSV', 'SVI', 'SVI', ''),
	('SKCR', 'small_airport', 'Carurú Airport', 1.013822, -71.297343, 820, 'CO', 'CO-VAU', 'Carurú', 'no', 'SKCR', 'CUO', 'CRU', ''),
	('SKNA', 'small_airport', 'La Macarena Airport', 2.17565, -73.78674, 790, 'CO', 'CO-MET', 'La Macarena', 'yes', 'SKNA', 'LMC', '', 'Aeropuerto Javier Noreña Valencia'),
	('SKKN', 'N/A', 'N/A', 1.6590109840035439, -74.09510940313339, 311, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOI', 'N/A', 'N/A', 0.9054453670978546, -71.41506716609001, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKMF', 'small_airport', 'Miraflores Airport', 1.35, -71.9444, 730, 'CO', 'CO-GUV', 'Miraflores', 'no', 'SKMF', 'MFS', 'MFS', ''),
	('SKSJ', 'medium_airport', 'Jorge E. Gonzalez Torres Airport', 2.57969, -72.6394, 605, 'CO', 'CO-GUV', 'San José Del Guaviare', 'yes', 'SKSJ', 'SJE', 'SJE', ''),
	('SKNS', 'N/A', 'N/A', 2.276519201695919, -71.7754228413105, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SK20', 'N/A', 'N/A', 1.7792805656790733, -73.81724908947945, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKNP', 'N/A', 'N/A', 1.208379752933979, -71.951172798872, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOS', 'N/A', 'N/A', 1.7659851908683777, -71.29030779004097, 336, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKDD', 'N/A', 'N/A', 1.9547858834266663, -72.53338560461998, 262, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHU', 'N/A', 'N/A', 0.26074960827827454, -71.35671705007553, 165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MBGT', 'medium_airport', 'JAGS McCartney International Airport', 21.4445, -71.142303, 13, 'TC', 'TC-GT', 'Cockburn Town', 'yes', 'MBGT', 'GDT', '', ''),
	('MBSY', 'small_airport', 'Salt Cay Airport', 21.333000183099998, -71.1999969482, 3, 'TC', 'TC-SL', 'Salt Cay', 'yes', 'MBSY', 'SLX', '', ''),
	('MDPP', 'medium_airport', 'Gregorio Luperon International Airport', 19.7579, -70.57, 15, 'DO', 'DO-18', 'Puerto Plata', 'yes', 'MDPP', 'POP', '', 'La Union'),
	('MDCY', 'medium_airport', 'Samaná El Catey International Airport', 19.269259, -69.737405, 30, 'DO', 'DO-20', 'Samana', 'yes', 'MDCY', 'AZS', '', ''),
	('mdes', 'small_airport', 'Peñuela / Esperanza Field', 19.584112, -70.956724, 328, 'DO', 'DO-27', 'Valverde', 'no', 'MDES', '', '', ''),
	('mdlm', 'small_airport', 'Los Montones Airport', 18.521233, -70.099132, 305, 'DO', 'DO-21', 'San Cristobal', 'no', 'MDLM', '', '', ''),
	('MDJB', 'medium_airport', 'La Isabela International Airport', 18.572500228881836, -69.98560333251953, 98, 'DO', 'DO-01', 'La Isabela', 'yes', 'MDJB', 'JBQ', '', 'MDLI, SDI, Dr Joaquin Balaguer International Airport'),
	('MDSP', 'small_airport', 'Cueva Las Maravillas Airport', 18.451906, -69.168373, 97, 'DO', 'DO-23', 'San Pedro de Macorís', 'no', 'MDSP', '', '', ''),
	('MDSI', 'medium_airport', 'San Isidro Air Base', 18.503700256347656, -69.76170349121094, 111, 'DO', 'DO-01', 'San Isidro', 'no', 'MDSI', '', '', 'Base Aérea de San Isidro, Base Aérea Trujillo'),
	('MDBH', 'medium_airport', 'Maria Montez International Airport', 18.25149917602539, -71.12039947509766, 10, 'DO', 'DO-04', 'Barahona', 'yes', 'MDBH', 'BRX', '', ''),
	('mdpm', 'small_airport', 'Piloto Airport', 19.5977273869, -71.205970645, 131, 'DO', 'DO-15', 'Monte Cristi', 'no', 'MDPM', '', '', ''),
	('MDCZ', 'small_airport', 'Constanza - Expedición 14 de Junio National Airport', 18.907499, -70.721901, 3952, 'DO', 'DO-13', 'Costanza', 'no', 'MDCZ', 'COZ', '', ''),
	('mdll', 'small_airport', 'Los Llanos de Sabanatosa Airport', 18.5964259778, -69.5257759094, 262, 'DO', 'DO-23', '', 'yes', 'MDLL', '', '', ''),
	('MDPC', 'large_airport', 'Punta Cana International Airport', 18.5674, -68.363403, 47, 'DO', 'DO-11', 'Punta Cana', 'yes', 'MDPC', 'PUJ', '', ''),
	('mder', 'small_airport', 'El Ranchito Airport', 19.184813237599997, -70.36496400829999, 240, 'DO', 'DO-13', 'La Vega', 'no', 'MDER', '', '', ''),
	('MDBC', 'small_airport', 'La Romana Batey Cacata airport', 18.479700088500977, -68.91590118408203, 223, 'DO', 'DO-12', 'La Romana', 'no', 'MDBC', '', '', ''),
	('MDBG', 'small_airport', 'Baigua Airport', 18.5324, -68.67, 429, 'DO', 'DO-11', 'Higuey', 'no', 'MDBG', '', '', 'Baigua Field'),
	('MDSD', 'large_airport', 'Las Américas International Airport', 18.42970085144, -69.668899536133, 59, 'DO', 'DO-01', 'Santo Domingo', 'yes', 'MDSD', 'SDQ', '', 'Aeropuerto Internacional de Las Américas, José Francisco Peña Gómez Intl');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('MDLR', 'large_airport', 'Casa De Campo International Airport', 18.452222, -68.911111, 213, 'DO', 'DO-12', 'La Romana', 'yes', 'MDLR', 'LRM', '', ''),
	('MDAB', 'small_airport', 'Arroyo Barril Airport', 19.198524, -69.429815, 57, 'DO', 'DO-20', 'Arroyo Barril', 'no', 'MDAB', '', '', ''),
	('MDBE', 'small_airport', 'La Romana Batey Lechuga Airport', 18.58679962158203, -69.0553970336914, 252, 'DO', 'DO-08', 'La Romana', 'no', 'MDBE', '', '', ''),
	('MDAN', 'small_airport', 'Cotui Angelina Airport', 19.131599, -70.221603, 200, 'DO', 'DO-24', 'Cotui Angelina', 'no', 'MDAN', '', '', ''),
	('MDST', 'medium_airport', 'Cibao International Airport', 19.406099319458008, -70.60469818115234, 565, 'DO', 'DO-25', 'Santiago', 'yes', 'MDST', 'STI', '', ''),
	('MDPU', 'N/A', 'N/A', 18.07675302028656, -67.9318155348301, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVAR', 'small_airport', 'Adícora Airport', 11.936079, -69.811965, 7, 'VE', 'VE-I', 'Adícora', 'no', 'SVAD', '', '', ''),
	('TNCB', 'large_airport', 'Flamingo International Airport', 12.131, -68.268501, 20, 'BQ', 'BQ-U-A', 'Kralendijk, Bonaire', 'yes', 'TNCB', 'BON', '', 'Bonaire'),
	('SVWU', 'N/A', 'N/A', 11.980758123099804, -71.19250506162643, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJC', 'medium_airport', 'Josefa Camejo International Airport', 11.780775, -70.151497, 75, 'VE', 'VE-I', 'Paraguaná', 'yes', 'SVJC', 'LSP', '', ''),
	('SVTA', 'N/A', 'N/A', 12.075180932879448, -71.12605333328247, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TNCC', 'large_airport', 'Hato International Airport', 12.1889, -68.959801, 29, 'CW', 'CW-U-A', 'Willemstad', 'yes', 'TNCC', 'CUR', '', 'Curaçao'),
	('SVRB', 'small_airport', 'Cumarebo Airport', 11.512376, -69.314507, 26, 'VE', 'VE-I', 'Tocópero', 'no', 'SVRB', '', '', ''),
	('TNCA', 'large_airport', 'Queen Beatrix International Airport', 12.5014, -70.015198, 60, 'AW', 'AW-U-A', 'Oranjestad', 'yes', 'TNCA', 'AUA', '', 'Playa'),
	('SVCR', 'medium_airport', 'José Leonardo Chirinos Airport', 11.414944, -69.680901, 52, 'VE', 'VE-I', 'Coro', 'yes', 'SVCR', 'CZE', '', ''),
	('SVIS', 'N/A', 'N/A', 8.869695737957954, -67.5086621940136, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVHH', 'small_airport', 'Churuguara Airport', 10.808099746704102, -69.63839721679688, 2461, 'VE', 'VE-I', 'Churuguara', 'no', 'SVHH', '', '', ''),
	('SVFO', 'N/A', 'N/A', 9.207884408533573, -69.06272783875465, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVWY', 'N/A', 'N/A', 8.646502085030079, -70.26172935962677, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVXH', 'N/A', 'N/A', 9.42228477448225, -69.01574358344078, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVQN', 'small_airport', 'Torunos Airport', 8.316666603088379, -70.05000305175781, 337, 'VE', 'VE-E', '', 'no', 'SVQN', '', '', ''),
	('SVLG', 'small_airport', 'Las Majaguas Airport', 9.649999618530273, -68.98332977294922, 793, 'VE', 'VE-P', '', 'no', 'SVLG', '', '', ''),
	('SVPC', 'medium_airport', 'General Bartolome Salom International Airport', 10.4805, -68.072998, 32, 'VE', 'VE-G', '', 'no', 'SVPC', 'PBL', '', ''),
	('SVQO', 'small_airport', 'Tocuyito Airport', 10.082300186157227, -68.11900329589844, 1710, 'VE', 'VE-G', '', 'no', 'SVQO', '', '', ''),
	('SVQU', 'small_airport', 'Santa Rosa de Guanare Airport', 8.749580383300781, -69.72250366210938, 429, 'VE', 'VE-P', 'San Isidro', 'no', 'SVQU', '', '', ''),
	('SVII', 'N/A', 'N/A', 9.454712346196175, -68.95648375153542, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVVL', 'medium_airport', 'Dr. Antonio Nicolás Briceño Airport', 9.340478, -70.584061, 2060, 'VE', 'VE-T', 'Valera', 'yes', 'SVVL', 'VLV', '', ''),
	('SVCA', 'closed', 'Cabimas Airport', 10.370879, -71.412098, 65, 'VE', 'VE-V', 'Cabimas', 'no', '', '', '', 'Cabimas, SVCA'),
	('SVTJ', 'small_airport', 'Central Matilde Airport', 10.157899856567383, -68.86160278320313, 866, 'VE', 'VE-U', 'central Matilde', 'no', 'SVTJ', '', '', ''),
	('SVKC', 'small_airport', 'El Carrao Airport', 8.543421, -68.805013, 213, 'VE', 'VE-P', '', 'no', 'SVQR', '', '', ''),
	('SVGE', 'small_airport', 'Ganadería Pedernales Airport', 9.210000038146973, -69.5816650390625, 467, 'VE', 'VE-P', '', 'no', 'SVGE', '', '', ''),
	('SVDT', 'N/A', 'N/A', 9.647683203220367, -69.11728665232658, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVHZ', 'N/A', 'N/A', 9.013420231640339, -68.75585541129112, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVXP', 'N/A', 'N/A', 9.170861542224884, -69.3401138484478, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJG', 'N/A', 'N/A', 9.013965055346489, -67.81667903065681, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYS', 'N/A', 'N/A', 9.593898206949234, -68.52731913328171, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVHF', 'N/A', 'N/A', 8.836259990930557, -68.48672971129417, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVXJ', 'N/A', 'N/A', 9.467839412391186, -69.02528911828995, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZH', 'N/A', 'N/A', 9.502690359950066, -68.74724507331848, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVHJ', 'N/A', 'N/A', 9.208384305238724, -68.30266624689102, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVEX', 'small_airport', 'La Esperanza Airport', 8.699999809265137, -69.07499694824219, 256, 'VE', 'VE-P', '', 'no', 'SVEX', '', '', ''),
	('SVBK', 'small_airport', 'Bocono Airport', 9.2671, -70.230499, 5187, 'VE', 'VE-T', 'Bocono', 'no', 'SVBO', '', '', ''),
	('SVGM', 'N/A', 'N/A', 8.853755705058575, -69.04192417860031, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVGO', 'N/A', 'N/A', 8.715619929134846, -69.24076303839684, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVIL', 'N/A', 'N/A', 9.139317087829113, -68.98734971880913, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVHK', 'small_airport', 'Hato la Guaca Airport', 9.399999618530273, -67.78333282470703, 328, 'VE', 'VE-J', '', 'no', 'SVHK', '', '', ''),
	('SVYX', 'N/A', 'N/A', 9.273274652659893, -68.85242030024529, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVIN', 'N/A', 'N/A', 9.042638540267944, -68.90641763806343, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYY', 'N/A', 'N/A', 9.299682006239891, -68.80455046892166, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVVF', 'N/A', 'N/A', 9.621452540159225, -68.39689180254936, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVIZ', 'N/A', 'N/A', 9.129348993301392, -67.58425265550613, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SVIB', 'N/A', 'N/A', 9.20814961194992, -68.86759757995605, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVOE', 'small_airport', 'Sabaneta Airport', 8.744139671325684, -69.91380310058594, 530, 'VE', 'VE-E', 'Sabaneta', 'no', 'SVOE', '', '', ''),
	('SVIP', 'N/A', 'N/A', 10.569900758564472, -68.85921612381935, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVGW', 'N/A', 'N/A', 8.702915981411934, -68.87489184737206, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZJ', 'N/A', 'N/A', 10.77449630945921, -68.45255121588707, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZB', 'N/A', 'N/A', 9.321779385209084, -68.86248752474785, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVDQ', 'N/A', 'N/A', 9.482873864471912, -69.02465611696243, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZC', 'N/A', 'N/A', 9.381860196590424, -68.94084647297859, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJA', 'N/A', 'N/A', 10.915459133684635, -68.8695140182972, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVBM', 'medium_airport', 'Barquisimeto International Airport', 10.042747, -69.35862, 2042, 'VE', 'VE-K', 'Barquisimeto', 'yes', 'SVBM', 'BRM', '', ''),
	('SVFV', 'N/A', 'N/A', 9.064767099916935, -69.01738554239273, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVXI', 'N/A', 'N/A', 9.46512769907713, -69.03905689716339, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVVA', 'medium_airport', 'Arturo Michelena International Airport', 10.14973258972168, -67.92839813232422, 1411, 'VE', 'VE-G', 'Valencia', 'yes', 'SVVA', 'VLN', '', ''),
	('SVHW', 'N/A', 'N/A', 9.119317196309566, -68.9551243185997, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJE', 'N/A', 'N/A', 9.03753899037838, -67.7797083556652, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVGN', 'N/A', 'N/A', 8.676623962819576, -69.18550863862038, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVVV', 'small_airport', 'Venepal Airport', 10.540200233459473, -68.24539947509766, 59, 'VE', 'VE-G', '', 'no', 'SVVV', '', '', ''),
	('SVNO', 'N/A', 'N/A', 10.12067198753357, -71.23805612325668, -5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFQ', 'N/A', 'N/A', 9.0141786262393, -69.02878403663635, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYU', 'N/A', 'N/A', 9.044523127377033, -68.71145412325859, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZG', 'N/A', 'N/A', 9.453196227550507, -68.67760956287384, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVIK', 'N/A', 'N/A', 9.475680850446224, -68.93852233886719, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYW', 'N/A', 'N/A', 9.274463206529617, -68.88322994112968, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVCK', 'small_airport', 'Caño Lucas Airport', 9.416666984558105, -68.88333129882813, 301, 'VE', 'VE-P', 'El Poblado', 'no', 'SVCK', '', '', ''),
	('SVHM', 'small_airport', 'Hato Los Mamones Airport', 9.333333015441895, -67.91666412353516, 594, 'VE', 'VE-H', 'Hato Los Mamomes', 'no', 'SVHM', '', '', ''),
	('SVHB', 'N/A', 'N/A', 8.925985917448997, -68.70044991374016, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVPQ', 'N/A', 'N/A', 8.597584962844849, -69.76048931479454, 610, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVGR', 'small_airport', 'El Milagro Carabobo Airport', 10.152999877929688, -68.37519836425781, 2013, 'VE', 'VE-U', '', 'no', 'SVGR', '', '', ''),
	('SVLN', 'small_airport', 'La Candelaria Airport', 10.726699829101563, -68.33350372314453, 420, 'VE', 'VE-I', '', 'no', 'SVLN', '', '', ''),
	('SVHQ', 'N/A', 'N/A', 9.290520921349525, -68.26953560113907, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVMN', 'small_airport', 'Mene Grande Airport', 9.803159713745117, -70.89219665527344, 90, 'VE', 'VE-V', 'Mene Grande', 'no', 'SVMN', '', '', ''),
	('SVZD', 'N/A', 'N/A', 9.328104704618454, -68.80553394556046, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVCI', 'closed', 'Punta de Oro Airstrip', 9.500339, -70.948704, 37, 'VE', 'VE-T', 'La Ceiba', 'no', '', '', '', 'SVCI'),
	('SVMD', 'medium_airport', 'Alberto Carnevalli Airport', 8.582078, -71.161041, 5007, 'VE', 'VE-L', 'Mérida', 'yes', 'SVMD', 'MRD', '', ''),
	('SVEI', 'N/A', 'N/A', 9.312698431313038, -68.15879836678505, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFH', 'N/A', 'N/A', 8.56992669403553, -69.03093785047531, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZK', 'N/A', 'N/A', 10.576624050736427, -68.81557881832123, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVMJ', 'small_airport', 'Hacienda Las Lomas Airport', 10.598333358764648, -68.53500366210938, 214, 'VE', 'VE-U', '', 'no', 'SVMJ', '', '', ''),
	('SVIW', 'N/A', 'N/A', 8.749777525663376, -67.54408076405525, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVMK', 'small_airport', 'El Milagro Cojedes Airport', 9.229999542236328, -67.97000122070313, 262, 'VE', 'VE-H', '', 'no', 'SVMK', '', '', ''),
	('SVFI', 'N/A', 'N/A', 8.577287346124649, -69.09331172704697, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZF', 'N/A', 'N/A', 9.405410327017307, -68.95915746688843, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVRM', 'small_airport', 'Hato La Romereña Airport', 9.5, -67.66666412353516, 665, 'VE', 'VE-J', '', 'no', 'SVRM', '', '', ''),
	('SVAD', 'N/A', 'N/A', 8.731588795781136, -68.46853494644165, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKV', 'closed', 'Corral Viejo Airport', 9.668302, -70.969759, 14, 'VE', 'VE-V', 'La Bombita', 'no', '', '', '', 'SVKV'),
	('SVIH', 'N/A', 'N/A', 9.45338599383831, -68.90996530652046, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVWA', 'small_airport', 'Mata de Agua Airport', 7.316667079925537, -67.90833282470703, 226, 'VE', 'VE-C', 'Santa Bárbara', 'no', 'SVWA', '', '', ''),
	('SVHV', 'N/A', 'N/A', 9.26225882023573, -68.31121399998665, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVXL', 'N/A', 'N/A', 9.179765805602074, -69.41095098853111, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZI', 'N/A', 'N/A', 9.756694547832012, -68.5026441514492, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJD', 'N/A', 'N/A', 9.034674726426601, -67.69966185092926, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SVZE', 'N/A', 'N/A', 9.359663240611553, -68.89502450823784, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKL', 'small_airport', 'Las Clavellinas Airport', 9.324999809265137, -70.9749984741211, 66, 'VE', 'VE-L', 'Las Clavellinasmer', 'no', 'SVKL', '', '', ''),
	('SVXO', 'N/A', 'N/A', 9.160681888461113, -69.34309735894203, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVGU', 'medium_airport', 'Guanare Airport', 9.026944, -69.75515, 606, 'VE', 'VE-P', 'Guanare', 'no', 'SVGU', 'GUQ', '', ''),
	('SVHI', 'N/A', 'N/A', 9.146677404642105, -68.23618054389954, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVIJ', 'N/A', 'N/A', 9.453880190849304, -68.9186055958271, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVXQ', 'N/A', 'N/A', 9.182454720139503, -69.32637199759483, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVIF', 'N/A', 'N/A', 9.50258206576109, -68.92890527844429, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFP', 'N/A', 'N/A', 9.198053106665611, -69.09102022647858, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVPB', 'small_airport', 'Punta Brava Airport', 10.783900260925293, -68.34369659423828, 19, 'VE', 'VE-I', '', 'no', 'SVPB', '', '', ''),
	('SVCJ', 'small_airport', 'San Carlos Airport', 9.64772, -68.574699, 512, 'VE', 'VE-H', 'San Carlos', 'no', 'SVCJ', '', '', ''),
	('SVFN', 'N/A', 'N/A', 9.101889207959175, -69.01909545063972, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSD', 'small_airport', 'Sabana Dulce Airport', 8.816666603088379, -69.63333129882813, 390, 'VE', 'VE-P', '', 'no', 'SVSD', '', '', ''),
	('SVAC', 'medium_airport', 'Oswaldo Guevara Mujica Airport', 9.553375, -69.237869, 640, 'VE', 'VE-P', 'Acarigua', 'yes', 'SVAC', 'AGV', '', 'Acarigua-Araure Airport'),
	('SVHU', 'N/A', 'N/A', 9.241358041763306, -68.30207750201225, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJB', 'N/A', 'N/A', 9.006968848407269, -67.71310687065125, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVUD', 'N/A', 'N/A', 9.406867437064648, -71.03973269462585, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSP', 'medium_airport', 'Sub Teniente Nestor Arias Airport', 10.2787, -68.755203, 761, 'VE', 'VE-U', 'San Felipe', 'no', 'SVSP', 'SNF', '', ''),
	('SVIV', 'N/A', 'N/A', 8.890585117042065, -67.5621785223484, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVIY', 'N/A', 'N/A', 9.040918238461018, -67.60300800204277, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVDU', 'small_airport', 'Dabajuro Airport', 11.0275, -70.6925, 256, 'VE', 'VE-I', '', 'no', 'SVDU', '', '', ''),
	('SVJK', 'N/A', 'N/A', 9.041166342794895, -67.96118706464767, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYV', 'N/A', 'N/A', 9.339930899441242, -68.90114441514015, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVEF', 'small_airport', 'Empujeca Airport', 10.595000267028809, -68.49500274658203, 66, 'VE', 'VE-U', '', 'no', 'SVEF', '', '', ''),
	('SVIA', 'N/A', 'N/A', 9.029428996145725, -68.7744015455246, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVWB', 'small_airport', 'La Bananera Airport', 10.479499816894531, -68.4728012084961, 49, 'VE', 'VE-U', '', 'no', 'SVWB', '', '', ''),
	('SVBL', 'medium_airport', 'El Libertador Airbase', 10.183375, -67.55732, 1450, 'VE', 'VE-D', '', 'no', 'SVBL', '', 'ELR', ''),
	('SVBQ', 'N/A', 'N/A', 10.003722310066223, -71.084004342556, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVUK', 'small_airport', 'San Ignacio Airport', 9.449999809265137, -68.36666870117188, 426, 'VE', 'VE-H', '', 'no', 'SVUK', '', '', ''),
	('SVHP', 'small_airport', 'Hacienda El Paso Airport', 10.713333129882813, -69.20833587646484, 495, 'VE', 'VE-K', 'Las Vegas del Tuy', 'no', 'SVHP', '', '', ''),
	('SVBS', 'medium_airport', 'Escuela Mariscal Sucre Airport', 10.249978065490723, -67.64942169189453, 1338, 'VE', 'VE-D', 'Maracay', 'yes', 'SVBS', 'MYC', '', ''),
	('SVSG', 'small_airport', 'San Antonio De Barinas Airport', 8.566666603088379, -70.05000305175781, 460, 'VE', 'VE-E', 'Barinas', 'no', 'SVSG', '', '', ''),
	('SVYZ', 'N/A', 'N/A', 9.290261417627335, -68.77767160534859, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVBI', 'medium_airport', 'Barinas Airport', 8.615, -70.214167, 615, 'VE', 'VE-E', 'Barinas', 'yes', 'SVBI', 'BNS', '', ''),
	('SVIO', 'N/A', 'N/A', 9.547696486115456, -68.85180026292801, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVGL', 'small_airport', 'Agua Linda Airport', 7.635000228881836, -70.8499984741211, 417, 'VE', 'VE-E', '', 'no', 'SVGL', '', '', ''),
	('SVAF', 'small_airport', 'Medano Alto Airport', 6.933332920074463, -68.01667022705078, 459, 'VE', 'VE-C', 'Médano Alto', 'no', 'SVAF', '', '', ''),
	('SVTK', 'small_airport', 'La Trinidad De Arichuna Airport', 7.108084, -69.789227, 328, 'VE', 'VE-C', 'La Trinidad de Orichuna', 'no', 'SVTH', '', '', ''),
	('SVLY', 'small_airport', 'La Yagua Airport', 7.283332824707031, -68.53333282470703, 393, 'VE', 'VE-C', '', 'no', 'SVLY', '', '', ''),
	('SVXB', 'N/A', 'N/A', 8.267075791954994, -69.48310285806656, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVOT', 'small_airport', 'San Pablo De Barinas Airport', 7.766666889190674, -70.63333129882813, 390, 'VE', 'VE-E', '', 'no', 'SVOT', '', '', ''),
	('SVXE', 'N/A', 'N/A', 8.09042114764452, -69.1195473074913, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUC', 'medium_airport', 'Santiago Perez Airport', 7.06888, -70.7369, 420, 'CO', 'CO-ARA', 'Arauca', 'yes', 'SKUC', 'AUC', 'AUC', ''),
	('SVHN', 'small_airport', 'Hato La Chaconera Airport', 8.105409622192383, -68.71910095214844, 208, 'VE', 'VE-E', '', 'no', 'SVHN', '', '', ''),
	('SVHO', 'small_airport', 'Hacienda El Oasis Airport', 8.36822, -69.9571, 354, 'VE', 'VE-E', 'La Palmita', 'no', 'SVJZ', '', '', ''),
	('SVUU', 'N/A', 'N/A', 7.429060824215412, -68.13903763890266, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVWE', 'small_airport', 'Hacienda Bella Vista Airport', 8.011667, -69.831665, 266, 'VE', 'VE-E', '', 'no', 'SVJB', '', '', ''),
	('SVYQ', 'N/A', 'N/A', 8.061840869486332, -68.75057458877563, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVQB', 'small_airport', 'Santa Elena de Río Claro Airport', 7.050000190734863, -67.76667022705078, 219, 'VE', 'VE-C', '', 'no', 'SVQB', '', '', ''),
	('SVGD', 'medium_airport', 'Guasdualito Airport', 7.210834, -70.756386, 427, 'VE', 'VE-C', 'Guasdualito', 'no', 'SVGD', 'GDO', '', ''),
	('SXDO', 'N/A', 'N/A', 5.922355055809021, -69.85281854867935, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SKLI', 'N/A', 'N/A', 5.686080604791641, -70.73759660124779, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVWZ', 'N/A', 'N/A', 8.03281232714653, -70.04615887999535, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVUS', 'N/A', 'N/A', 6.989322043955326, -68.2614617049694, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFB', 'N/A', 'N/A', 6.913380995392799, -69.85975787043571, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKQE', 'N/A', 'N/A', 6.261325925588608, -71.22753784060478, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYA', 'small_airport', 'Yaure Airport', 7.716667175292969, -71.23332977294922, 482, 'VE', 'VE-E', '', 'no', 'SVYA', '', '', ''),
	('SVDY', 'N/A', 'N/A', 8.338806442916393, -68.48848298192024, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZR', 'N/A', 'N/A', 7.019222639501095, -67.70962134003639, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZS', 'N/A', 'N/A', 7.016238011419773, -67.67234086990356, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVTF', 'small_airport', 'La Trinidad de Ferro Airport', 7.400000095367432, -67.94999694824219, 393, 'VE', 'VE-C', '', 'no', 'SVTF', '', '', ''),
	('SXQH', 'N/A', 'N/A', 5.703447908163071, -71.08777329325676, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXMF', 'N/A', 'N/A', 5.640122964978218, -70.68437218666077, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVXG', 'N/A', 'N/A', 8.308719098567963, -69.73860740661621, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSB', 'small_airport', 'Santa Bárbara de Barinas Airport', 7.803514, -71.165718, 590, 'VE', 'VE-E', 'Santa Bárbara', 'no', 'SVSB', 'SBB', '', ''),
	('SVSM', 'small_airport', 'Fundo Santa María Airport', 8.321666717529297, -70.24666595458984, 400, 'VE', 'VE-E', '', 'no', 'SVSM', '', '', ''),
	('SKQD', 'N/A', 'N/A', 6.059683486819267, -71.20014399290085, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXDP', 'N/A', 'N/A', 5.940645709633827, -69.63000699877739, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVPJ', 'small_airport', 'Pesurca Airport', 6.283332824707031, -69.31666564941406, 726, 'VE', 'VE-C', '', 'no', 'SVPJ', '', '', ''),
	('SVNT', 'small_airport', 'Mata de Turagua Airport', 7.699999809265137, -69.30000305175781, 354, 'VE', 'VE-C', 'La Guarandinga', 'no', 'SVNT', '', '', ''),
	('SXMR', 'N/A', 'N/A', 5.652622394263744, -70.03707960247993, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXMC', 'N/A', 'N/A', 5.6281063333153725, -70.70335060358047, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXRM', 'N/A', 'N/A', 6.063495576381683, -70.65993458032608, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZO', 'N/A', 'N/A', 7.512800730764866, -67.80659034848213, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVGV', 'N/A', 'N/A', 8.382722921669483, -68.61052930355072, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFD', 'N/A', 'N/A', 7.180853560566902, -69.13383275270462, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXSM', 'N/A', 'N/A', 6.6851431131362915, -68.1455871462822, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVEK', 'small_airport', 'El Capitán Airport', 10.11359977722168, -72.57659912109375, 452, 'VE', 'VE-V', '', 'no', 'SVEK', '', '', ''),
	('SXRK', 'N/A', 'N/A', 6.004210375249386, -70.73517054319382, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFF', 'N/A', 'N/A', 7.092015445232391, -69.92585599422455, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXQV', 'N/A', 'N/A', 6.045012474060059, -71.0804146528244, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFZ', 'N/A', 'N/A', 8.298699371516705, -68.8337704539299, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYE', 'N/A', 'N/A', 7.003925666213036, -68.41028094291687, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVEA', 'N/A', 'N/A', 7.432437390089035, -69.32343497872353, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYC', 'N/A', 'N/A', 6.171144023537636, -68.58992502093315, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXRJ', 'N/A', 'N/A', 6.133403666317463, -70.74564412236214, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFR', 'small_airport', 'El Frío Airport', 7.823332786560059, -68.89833068847656, 219, 'VE', 'VE-C', 'Guarico', 'no', 'SVFR', '', '', ''),
	('SXDK', 'N/A', 'N/A', 6.071377918124199, -70.36779016256332, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVUZ', 'N/A', 'N/A', 7.486863434314728, -68.89502316713333, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFW', 'small_airport', 'Finca Villa Carrara II Airport', 9.868, -63.752167, 597, 'VE', 'VE-N', '', 'no', 'SVFW', '', '', ''),
	('SVPT', 'medium_airport', 'Palmarito Airport', 7.56667, -70.183296, 347, 'VE', 'VE-C', 'Palmarito', 'no', 'SVPT', 'PTM', '', ''),
	('SXDS', 'N/A', 'N/A', 6.098230183124542, -69.30854558944702, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFT', 'small_airport', 'El Fuentero Airport', 7.1, -69.583333, 420, 'VE', 'VE-C', '', 'no', 'SVBF', '', '', ''),
	('SVZT', 'N/A', 'N/A', 7.755737118422985, -67.63441756367683, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYL', 'N/A', 'N/A', 7.8160737454891205, -68.7391246855259, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYD', 'N/A', 'N/A', 7.151714712381363, -68.18629994988441, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKQJ', 'N/A', 'N/A', 6.022542268037796, -70.89789614081383, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYR', 'N/A', 'N/A', 8.042080700397491, -68.79216179251671, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKJG', 'N/A', 'N/A', 6.58616054803133, -68.27424064278603, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVBZ', 'N/A', 'N/A', 7.6648906990885735, -69.32221323251724, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXQN', 'N/A', 'N/A', 5.82874059677124, -71.15991219878197, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXML', 'N/A', 'N/A', 5.800714194774628, -70.16541302204132, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SVMZ', 'small_airport', 'Mantecal Airport', 7.55757999420166, -69.1416015625, 295, 'VE', 'VE-C', 'Mantecal', 'no', 'SVMZ', '', '', ''),
	('SVPG', 'small_airport', 'El Progreso Airport', 7.133333206176758, -68.58333587646484, 984, 'VE', 'VE-C', '', 'no', 'SVPG', '', '', ''),
	('SVYJ', 'N/A', 'N/A', 7.6628488674759865, -68.48951384425163, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXQM', 'N/A', 'N/A', 5.951162986457348, -71.20448738336563, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFC', 'N/A', 'N/A', 7.406696565449238, -69.19955536723137, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVAM', 'small_airport', 'Mata de Caña Airport', 7.316667079925537, -69.19999694824219, 344, 'VE', 'VE-C', '', 'no', 'SVAM', '', '', ''),
	('SVCH', 'small_airport', 'Achaguas Airport', 7.739999771118164, -68.23999786376953, 187, 'VE', 'VE-C', '', 'no', 'SVCH', '', '', ''),
	('SVPZ', 'small_airport', 'La Paz Airport', 7.488333225250244, -68.99333190917969, 344, 'VE', 'VE-C', '', 'no', 'SVPZ', '', '', ''),
	('SVXW', 'N/A', 'N/A', 5.855450369417667, -68.5149621963501, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYO', 'N/A', 'N/A', 8.124958947300911, -68.52725833654404, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVXA', 'N/A', 'N/A', 7.728889212012291, -69.92687255144119, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVBB', 'N/A', 'N/A', 7.988462001085281, -69.2785795032978, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPH', 'N/A', 'N/A', 6.283945664763451, -71.09921738505363, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYN', 'N/A', 'N/A', 8.209225237369537, -68.08072686195374, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYF', 'N/A', 'N/A', 7.606695480644703, -68.26067447662354, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVES', 'small_airport', 'El Samán de Apure Airport', 7.912350177764893, -68.69270324707031, 361, 'VE', 'VE-C', 'El Samán de Apure', 'no', 'SVES', '', '', ''),
	('SXMK', 'N/A', 'N/A', 5.783475302159786, -70.05837768316269, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKCN', 'small_airport', 'Cravo Norte Airport', 6.316404, -70.21137, 341, 'CO', 'CO-ARA', 'Cravo Norte', 'no', 'SKCN', 'RAV', 'RAV', ''),
	('SVBY', 'N/A', 'N/A', 7.795926667749882, -69.33289870619774, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYH', 'N/A', 'N/A', 7.333950698375702, -68.33329528570175, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXRL', 'N/A', 'N/A', 6.224164590239525, -70.96927642822266, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKIJ', 'N/A', 'N/A', 5.9370870888233185, -69.25791844725609, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVLZ', 'small_airport', 'Las Cruces Airport', 8.328880310058594, -68.75199890136719, 494, 'VE', 'VE-P', '', 'no', 'SVLZ', '', '', ''),
	('SVYM', 'N/A', 'N/A', 8.060390129685402, -68.3136360347271, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVPX', 'N/A', 'N/A', 7.363105304539204, -68.69814276695251, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXMG', 'N/A', 'N/A', 5.90735949575901, -70.3679470717907, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXMI', 'N/A', 'N/A', 5.660005174577236, -70.15030816197395, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXMH', 'N/A', 'N/A', 5.771181397140026, -70.05790784955025, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVXC', 'N/A', 'N/A', 8.200203962624073, -69.00387033820152, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVMO', 'small_airport', 'El Milagro Oeste Airport', 7.683332920074463, -68.18333435058594, 295, 'VE', 'VE-C', '', 'no', 'SVMO', '', '', ''),
	('SVOZ', 'small_airport', 'San Pablo Paeño Airport', 7.783332824707031, -68.5, 209, 'VE', 'VE-C', '', 'no', 'SVOZ', '', '', ''),
	('SKIV', 'N/A', 'N/A', 5.47761932015419, -70.42119786143303, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKIK', 'N/A', 'N/A', 5.255340971052647, -69.73421663045883, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKIX', 'N/A', 'N/A', 4.604681991040707, -70.83910435438156, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXRY', 'N/A', 'N/A', 3.3951103314757347, -69.91782367229462, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTN', 'N/A', 'N/A', 5.556533932685852, -71.2135237455368, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKIR', 'N/A', 'N/A', 5.3080493956804276, -69.83197420835495, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKIL', 'N/A', 'N/A', 5.1326775178313255, -69.18843001127243, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXMZ', 'N/A', 'N/A', 4.617463052272797, -69.36888232827187, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXPY', 'N/A', 'N/A', 3.059522733092308, -70.51511004567146, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKIW', 'N/A', 'N/A', 3.8282857462763786, -70.58916136622429, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXRH', 'N/A', 'N/A', 4.505936466157436, -70.62223345041275, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXMO', 'N/A', 'N/A', 5.569211393594742, -70.15438377857208, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXJD', 'N/A', 'N/A', 4.559657424688339, -69.1719514131546, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXPZ', 'N/A', 'N/A', 3.1080573052167892, -70.38378685712814, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXRA', 'N/A', 'N/A', 4.08422514796257, -70.80494999885559, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVPA', 'medium_airport', 'Cacique Aramare Airport', 5.6199898719788, -67.606101989746, 245, 'VE', 'VE-Z', 'Puerto Ayacucho', 'yes', 'SVPA', 'PYH', '', 'Casique Aramare Airport'),
	('SXMA', 'N/A', 'N/A', 4.213084504008293, -70.15523761510849, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXRB', 'N/A', 'N/A', 4.207776412367821, -70.49922689795494, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKOA', 'N/A', 'N/A', 5.1725780591368675, -71.14183366298676, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVQL', 'small_airport', 'Tocomita Airport', 7.757760047912598, -63.082298278808594, 590, 'VE', 'VE-F', 'Gurí', 'no', 'SVQL', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SXMN', 'N/A', 'N/A', 5.432391911745071, -70.51955491304398, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKTK', 'N/A', 'N/A', 5.4255130514502525, -71.21653363108635, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXMQ', 'N/A', 'N/A', 5.127382166683674, -70.20394206047058, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXMM', 'N/A', 'N/A', 5.397639870643616, -70.61517342925072, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVAT', 'small_airport', 'San Fernando de Atabapo Airport', 4.051683, -67.701133, 301, 'VE', 'VE-Z', 'San Fernando de Atabapo', 'no', 'SVAT', '', '', ''),
	('SXSH', 'N/A', 'N/A', 5.596895478665829, -69.8576970398426, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXJA', 'N/A', 'N/A', 3.8909364491701126, -69.62283745408058, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKSL', 'small_airport', 'Santa Rosalia Airport', 5.1309, -70.8682, 400, 'CO', 'CO-VID', 'Santa Rosalia', 'no', 'SKSL', 'SSL', '', ''),
	('SKTP', 'N/A', 'N/A', 5.331317223608494, -71.23544633388519, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKUA', 'medium_airport', 'Marandúa Air Base', 5.52448, -68.6856, 285, 'CO', 'CO-VID', 'Marandúa', 'no', 'SKUA', '', 'MQZ', ''),
	('SXRF', 'N/A', 'N/A', 4.3082113936543465, -70.32044291496277, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXQY', 'N/A', 'N/A', 3.62919844686985, -70.32350286841393, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKIN', 'N/A', 'N/A', 3.4906623512506485, -69.81006637215614, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXME', 'N/A', 'N/A', 5.53556140512228, -70.47916620969772, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXJB', 'N/A', 'N/A', 3.9068885520100594, -69.47897717356682, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPD', 'medium_airport', 'Obando Cesar Gaviria Trujillo Airport', 3.85353, -67.9062, 460, 'CO', 'CO-GUA', 'Puerto Inírida', 'yes', 'SKPD', 'PDA', 'PDA', ''),
	('SKII', 'N/A', 'N/A', 4.4483135640621185, -69.78065460920334, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKGA', 'small_airport', 'La Gaviota Airport', 4.550543, -70.925353, 591, 'CO', 'CO-VID', '', 'no', 'SKGA', 'LGT', '', ''),
	('SXMD', 'N/A', 'N/A', 5.530843064188957, -70.44949248433113, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVXV', 'N/A', 'N/A', 5.152299888432026, -68.13982710242271, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHN', 'N/A', 'N/A', 0.1283547654747963, -70.57592555880547, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOO', 'N/A', 'N/A', 1.406751237809658, -71.01137727499008, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZH', 'N/A', 'N/A', 0.9702646359801292, -69.21279966831207, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZS', 'N/A', 'N/A', 0.6702109426259995, -69.65184733271599, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZI', 'N/A', 'N/A', 1.723361536860466, -69.84136909246445, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXRT', 'N/A', 'N/A', 1.7257319390773773, -69.75290805101395, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHR', 'N/A', 'N/A', 0.7378126680850983, -69.47160869836807, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZK', 'N/A', 'N/A', 0.6251635774970055, -69.74876895546913, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHT', 'N/A', 'N/A', 0.9745454415678978, -69.95708227157593, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXRO', 'N/A', 'N/A', 0.5779915675520897, -69.86481606960297, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHZ', 'N/A', 'N/A', 1.0762977227568626, -69.48423832654953, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHX', 'N/A', 'N/A', 0.8670783787965775, -69.61709395051003, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHP', 'N/A', 'N/A', 1.47171501070261, -70.16277685761452, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWTR', 'small_airport', 'Taraquá Airport', 0.12472199648618698, -68.54560089111328, 246, 'BR', 'BR-AM', 'São Gabriel Da Cachoeira', 'no', 'SWTR', '', '', ''),
	('SVXR', 'N/A', 'N/A', 2.4329452961683273, -68.92090067267418, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWAK', 'small_airport', 'Assunção do Içana Airport', 1.061726, -67.603585, 492, 'BR', 'BR-AM', 'São Gabriel da Cachoeira', 'no', 'SWAK', '', 'AM0042', ''),
	('SKZC', 'N/A', 'N/A', 1.597556211054325, -70.79928159713745, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXOP', 'N/A', 'N/A', 1.6903988644480705, -71.09770596027374, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBYA', 'small_airport', 'Iauaretê Airport', 0.610384, -69.179992, 466, 'BR', 'BR-AM', 'São Gabriel da Cachoeira', 'no', 'SBYA', '', 'AM9005', ''),
	('SKZO', 'N/A', 'N/A', 1.9074713811278343, -70.76244458556175, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZJ', 'N/A', 'N/A', 0.5766809731721878, -70.13025060296059, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSV', 'N/A', 'N/A', 1.3877655565738678, -68.15837502479553, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZL', 'N/A', 'N/A', 2.8086818754673004, -67.62171864509583, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXPQ', 'N/A', 'N/A', 0.9266120195388794, -70.3425881266594, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHY', 'N/A', 'N/A', 1.6609374806284904, -70.01961842179298, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZD', 'N/A', 'N/A', 0.01998279243707657, -71.00776389241219, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZM', 'N/A', 'N/A', 0.053906701505184174, -71.22411578893661, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKID', 'N/A', 'N/A', 0.6214611232280731, -70.35205587744713, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWSQ', 'small_airport', 'São Joaquim Airport', 1.700207, -69.389702, 541, 'BR', 'BR-AM', 'São Gabriel da Cachoeira', 'no', 'SWSQ', '', 'AM0053', ''),
	('SXRR', 'N/A', 'N/A', 1.7710039392113686, -69.36339721083641, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZV', 'N/A', 'N/A', 0.8752758800983429, -70.34749031066895, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SKZB', 'N/A', 'N/A', 0.47088827937841415, -70.18337041139603, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHM', 'N/A', 'N/A', 1.6530755907297134, -70.4098029434681, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXRS', 'N/A', 'N/A', 1.8666810169816017, -69.01056692004204, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZZ', 'N/A', 'N/A', 1.3829127699136734, -70.00700667500496, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKMU', 'medium_airport', 'Fabio Alberto Leon Bentley Airport', 1.25366, -70.2339, 680, 'CO', 'CO-VAU', 'Mitú', 'yes', 'SKMU', 'MVP', 'MVP', ''),
	('SWPC', 'small_airport', 'Parí Cachoeira Airport', 0.265565, -69.79404, 377, 'BR', 'BR-AM', 'São Gabriel da Cachoeira', 'no', 'SWPC', '', 'AM0051', ''),
	('SWQE', 'small_airport', 'Querari Airport', 1.08777, -69.838048, 545, 'BR', 'BR-AM', 'São Gabriel da Cachoeira', 'no', 'SWQE', '', 'AM0052', ''),
	('SXPR', 'N/A', 'N/A', 1.1556093022227287, -70.98547920584679, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZT', 'N/A', 'N/A', 0.6798551604151726, -70.43906942009926, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXRQ', 'N/A', 'N/A', 0.47114577144384384, -69.35471892356873, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXRW', 'N/A', 'N/A', 2.2582218423485756, -69.9132639169693, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKZF', 'N/A', 'N/A', 0.5449219420552254, -70.92814564704895, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHS', 'N/A', 'N/A', 0.23409884423017502, -70.16901433467865, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKHV', 'N/A', 'N/A', 0.27348775416612625, -70.4488979279995, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWUK', 'small_airport', 'Uapuí Cachoeira Airport', 1.2163889408111572, -69.20055389404297, 249, 'BR', 'BR-AM', 'São Gabriel Da Cachoeira', 'no', 'SWUK', '', '', ''),
	('PR18', 'N/A', 'N/A', 18.116092644631863, -65.42111411690712, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TJPO', 'N/A', 'N/A', 18.01187876611948, -66.50511011481285, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TUPJ', 'medium_airport', 'Terrance B. Lettsome International Airport', 18.445492, -64.541707, 15, 'VG', 'VG-U-A', 'Road Town', 'yes', 'TUPJ', 'EIS', '', 'BVI, Beef Island Airport'),
	('TJMZ', 'medium_airport', 'Eugenio Maria De Hostos Airport', 18.255699157714844, -67.14849853515625, 28, 'PR', 'PR-U-A', 'Mayaguez', 'yes', 'TJMZ', 'MAZ', 'MAZ', ''),
	('TUPW', 'small_airport', 'Virgin Gorda Airport', 18.446399688720703, -64.42749786376953, 9, 'VG', 'VG-U-A', 'Spanish Town', 'yes', 'TUPW', 'VIJ', '', ''),
	('VI22', 'seaplane_base', 'Charlotte Amalie Harbor Seaplane Base', 18.338600158691406, -64.9406967163086, 0, 'VI', 'VI-U-A', 'Charlotte Amalie St Thomas', 'yes', 'VI22', 'SPB', 'VI22', ''),
	('X63', 'small_airport', 'Dr Hermenegildo Ortiz Quinones Airport', 18.138082, -65.800728, 33, 'PR', 'PR-U-A', 'Humacao', 'no', '', 'HUC', 'X63', ''),
	('PR27', 'small_airport', 'Santa Isabel Airport', 17.963199615478516, -66.39119720458984, 27, 'PR', 'PR-U-A', 'Santa Isabel', 'no', 'PR27', '', 'PR27', ''),
	('PR20', 'small_airport', 'Adjuntas Airport', 18.1802, -66.756897, 2340, 'PR', 'PR-U-A', 'Adjuntas', 'no', 'PR20', '', 'PR20', ''),
	('TJIG', 'medium_airport', 'Fernando Luis Ribas Dominicci Airport', 18.45680046081543, -66.09809875488281, 10, 'PR', 'PR-U-A', 'San Juan', 'yes', 'TJIG', 'SIG', 'SIG', 'Isla Grande'),
	('TJRV', 'medium_airport', 'José Aponte de la Torre Airport', 18.2453, -65.643402, 38, 'PR', 'PR-U-A', 'Ceiba', 'yes', 'TJRV', 'NRR', 'RVR', 'Ceiba International Airport, NAS Roosevelt Roads, NRR, TJNR'),
	('02PR', 'small_airport', 'Cuylers Airport', 18.464924, -66.363773, 15, 'PR', 'PR-U-A', 'Vega Baja', 'no', '02PR', '', '02PR', ''),
	('VI32', 'seaplane_base', 'Christiansted Harbor Seaplane Base', 17.74720001220703, -64.70490264892578, 0, 'VI', 'VI-U-A', 'Christiansted St Croix', 'yes', 'VI32', 'SSB', 'VI32', ''),
	('PR34', 'seaplane_base', 'San Juan Seaplane Base', 18.457799911499997, -66.1211013794, 10, 'PR', 'PR-U-A', 'San Juan', 'yes', 'PR34', '', 'PR34', ''),
	('TJPS', 'medium_airport', 'Mercedita Airport', 18.00830078125, -66.56300354003906, 29, 'PR', 'PR-U-A', 'Ponce', 'yes', 'TJPS', 'PSE', 'PSE', ''),
	('TISX', 'medium_airport', 'Henry E Rohlsen Airport', 17.701567, -64.801634, 74, 'VI', 'VI-U-A', 'Christiansted', 'yes', 'TISX', 'STX', 'STX', ''),
	('TUPA', 'small_airport', 'Captain Auguste George Airport', 18.727734, -64.32852, 9, 'VG', 'VG-U-A', 'Anegada', 'no', 'TUPA', 'NGD', '', ''),
	('PR10', 'small_airport', 'Boqueron Airport', 18.010700225830078, -67.14129638671875, 3, 'PR', 'PR-U-A', 'Cabo Rojo', 'no', 'PR10', '', 'PR10', ''),
	('TJVQ', 'medium_airport', 'Antonio Rivera Rodriguez Airport', 18.1348, -65.493599, 49, 'PR', 'PR-U-A', 'Vieques', 'yes', 'TJVQ', 'VQS', 'VQS', ''),
	('TJSJ', 'large_airport', 'Luis Munoz Marin International Airport', 18.4394, -66.001801, 9, 'PR', 'PR-U-A', 'San Juan', 'yes', 'TJSJ', 'SJU', 'SJU', 'Isla Verde'),
	('TJCP', 'medium_airport', 'Benjamin Rivera Noriega Airport', 18.312954, -65.303893, 49, 'PR', 'PR-U-A', 'Culebra', 'yes', 'TJCP', 'CPX', 'CPX', 'Culebra Airport'),
	('PR25', 'small_airport', 'Lajas Airpark', 18.0125007629, -67.0691986084, 30, 'PR', 'PR-U-A', 'Lajas', 'no', '', '', 'PR25', ''),
	('TJBQ', 'medium_airport', 'Rafael Hernández International Airport', 18.4949, -67.129402, 237, 'PR', 'PR-U-A', 'Aguadilla', 'yes', 'TJBQ', 'BQN', 'BQN', 'Ramey, TJFF'),
	('PR03', 'seaplane_base', 'Fajardo Harbor Seaplane Base', 18.33970069885254, -65.62460327148438, 0, 'PR', 'PR-U-A', 'Fajardo', 'no', 'PR03', '', 'PR03', ''),
	('TJAB', 'medium_airport', 'Antonio Nery Juarbe Pol Airport', 18.45085, -66.675768, 23, 'PR', 'PR-U-A', 'Arecibo', 'no', 'TJAB', 'ARE', 'ABO', ''),
	('PR05', 'N/A', 'N/A', 18.45275178551674, -67.06648707389832, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TIST', 'medium_airport', 'Cyril E. King Airport', 18.337091, -64.977251, 23, 'VI', 'VI-U-A', 'Charlotte Amalie', 'yes', 'TIST', 'STT', 'STT', 'Harry S. Truman Airport'),
	('X64', 'small_airport', 'Patillas Airport', 17.982200622558594, -66.01930236816406, 10, 'PR', 'PR-U-A', 'Patillas', 'no', 'X64', '', 'X64', ''),
	('SVRS', 'small_airport', 'Los Roques Airport', 11.946177, -66.669836, 17, 'VE', 'VE-W', 'Gran Roque Island', 'yes', 'SVRS', 'LRV', '', ''),
	('SVLB', 'small_airport', 'La Blanquilla Airport', 11.820579, -64.586212, 59, 'VE', 'VE-O', 'La Blanquilla - Isla Margarita', 'no', 'SVIB', '', '', ''),
	('SVLO', 'small_airport', 'La Orchila Airport', 11.80823, -66.180768, 5, 'VE', 'VE-W', 'Isla La Orchila', 'no', 'SVLO', '', '', ''),
	('SVDM', 'small_airport', 'Dos Mosquises Airport', 11.794284, -66.892958, 5, 'VE', 'VE-W', 'Isla Los Roques', 'no', 'SVDM', '', '', ''),
	('SVAJ', 'small_airport', 'Mata de Juajua Airport', 8.81893, -65.886703, 394, 'VE', 'VE-J', '', 'no', 'SVNJ', '', '', ''),
	('SVTO', 'small_airport', 'El Toco Airport', 9.199999809265137, -64.8499984741211, 392, 'VE', 'VE-B', 'El Toco', 'no', 'SVTO', '', '', ''),
	('SVMP', 'medium_airport', 'Metropolitano Airport', 10.133169, -66.787827, 574, 'VE', 'VE-M', '', 'no', 'SVMP', '', '', ''),
	('SVVB', 'small_airport', 'Bajo Verde Airport', 9.05138874053955, -66.46749877929688, 492, 'VE', 'VE-J', '', 'no', 'SVVB', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SVCS', 'medium_airport', 'Oscar Machado Zuluaga Airport', 10.286111, -66.816109, 2145, 'VE', 'VE-M', 'Caracas', 'no', 'SVCS', '', '', ''),
	('SVIX', 'N/A', 'N/A', 9.486444555222988, -67.01700881123543, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZZ', 'N/A', 'N/A', 8.845344968140125, -66.41236916184425, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVAO', 'small_airport', 'Altagracia de Orituco Airport', 9.863332748413086, -66.2933349609375, 1148, 'VE', 'VE-J', '', 'no', 'SVAO', '', '', ''),
	('SVJT', 'N/A', 'N/A', 10.61447437852621, -66.37695595622063, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZU', 'N/A', 'N/A', 9.57206703722477, -67.3175485432148, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZX', 'N/A', 'N/A', 8.923001289367676, -66.48301273584366, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKJ', 'N/A', 'N/A', 8.999534100294113, -65.61981618404388, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJP', 'N/A', 'N/A', 8.898900970816612, -66.3939468562603, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVMX', 'small_airport', 'Mata Airport', 9.199999809265137, -64.05000305175781, 695, 'VE', 'VE-B', 'Las Fernández', 'no', 'SVMX', '', '', ''),
	('SVCE', 'small_airport', 'Zaraza Airport', 9.350306, -65.280655, 204, 'VE', 'VE-J', 'Zaraza', 'no', 'SVCE', 'ZRZ', '', ''),
	('SVVP', 'medium_airport', 'Valle de La Pascua Airport', 9.22202777863, -65.9935836792, 410, 'VE', 'VE-J', '', 'no', 'SVVP', 'VDP', '', ''),
	('SVCC', 'N/A', 'N/A', 9.810414500534534, -66.89333349466324, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVCZ', 'small_airport', 'Capitán Manuel Ríos Airbase', 9.372650146484375, -66.92279815673828, 595, 'VE', 'VE-J', 'Carrizal', 'no', 'SVCZ', '', '', ''),
	('SVTY', 'small_airport', 'Toromacho Airport', 9.130826, -66.391153, 148, 'VE', 'VE-J', 'Las Mercedes del Llano', 'no', 'SVTW', '', '', ''),
	('SVKD', 'N/A', 'N/A', 8.99897687137127, -65.94956785440445, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKP', 'N/A', 'N/A', 9.360377043485641, -65.47866180539131, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJS', 'N/A', 'N/A', 9.034551344811916, -66.33872017264366, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SV61', 'N/A', 'N/A', 8.932524137198925, -64.733215123415, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVPF', 'small_airport', 'Pariaguán Airport', 8.819120407104492, -64.73970031738281, 787, 'VE', 'VE-B', 'Pariaguán', 'no', 'SVPF', '', '', ''),
	('SVJM', 'medium_airport', 'San Juan de Los Morros Airport', 9.906953, -67.379639, 1404, 'VE', 'VE-J', 'San Juan de los Morros', 'no', 'SVJM', '', '', ''),
	('SVKM', 'N/A', 'N/A', 9.843138791620731, -65.8162933588028, 271, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVEP', 'small_airport', 'El Palmar Airport', 10.206666946411133, -67.44166564941406, 1554, 'VE', 'VE-D', '', 'no', 'SVEP', '', '', ''),
	('SV50', 'N/A', 'N/A', 9.143941886723042, -64.88311976194382, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVDH', 'N/A', 'N/A', 8.804340027272701, -67.11538061499596, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SV10', 'N/A', 'N/A', 9.284119829535484, -63.91124412417412, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZY', 'N/A', 'N/A', 8.764797560870647, -66.38427793979645, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJR', 'N/A', 'N/A', 9.353568255901337, -66.29728138446808, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVCL', 'medium_airport', 'Calabozo Airport', 8.924656, -67.417091, 328, 'VE', 'VE-J', 'Guarico', 'no', 'SVCL', 'CLZ', '', ''),
	('SVMI', 'large_airport', 'Simón Bolívar International Airport', 10.601194, -66.991222, 234, 'VE', 'VE-X', 'Caracas', 'yes', 'SVMI', 'CCS', '', 'Maiquetía "Simón Bolívar" International Airport'),
	('SVHG', 'small_airport', 'Higuerote Airport', 10.462474, -66.092779, 12, 'VE', 'VE-M', 'Higuerote', 'yes', 'SVHG', 'HGE', '', 'Sabana de Oro'),
	('SVKH', 'N/A', 'N/A', 8.949326500296593, -65.40886044502258, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVIQ', 'N/A', 'N/A', 8.931982330977917, -67.47261017560959, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVIT', 'N/A', 'N/A', 8.965595439076424, -67.11932390928268, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJV', 'N/A', 'N/A', 10.62012244015932, -66.39274790883064, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSN', 'small_airport', 'Los Siete Samanes Airport', 8.875639915466309, -66.83989715576172, 394, 'VE', 'VE-J', '', 'no', 'SVSN', '', '', ''),
	('SVBV', 'small_airport', 'Banco Verde Airport', 8.733332633972168, -69.53333282470703, 348, 'VE', 'VE-P', '', 'no', 'SVBV', '', '', ''),
	('SVTP', 'small_airport', 'Playa Pintada Airport', 10.141092, -65.437757, 9, 'VE', 'VE-M', '', 'no', 'SVTP', '', '', ''),
	('SVKG', 'N/A', 'N/A', 8.712367415428162, -65.08591309189796, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVCU', 'medium_airport', 'Cumaná (Antonio José de Sucre) Airport', 10.450333, -64.13047, 14, 'VE', 'VE-R', '', 'yes', 'SVCU', 'CUM', '', ''),
	('SVQG', 'N/A', 'N/A', 8.710010088980198, -64.62401434779167, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVLR', 'N/A', 'N/A', 9.166666567325592, -66.2833334505558, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVFS', 'small_airport', 'Fagotrans Airport', 9.401639938354492, -66.64309692382813, 590, 'VE', 'VE-D', '', 'no', 'SVFS', '', '', ''),
	('SVKU', 'N/A', 'N/A', 8.833472169935703, -64.20843109488487, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVST', 'medium_airport', 'San Tomé Airport', 8.9451465606689, -64.151084899902, 861, 'VE', 'VE-B', 'El Tigre', 'yes', 'SVST', 'SOM', '', 'Don Edmundo Barrios, San José de Guanipa'),
	('SVKO', 'N/A', 'N/A', 9.001391530036926, -65.4619051516056, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSL', 'small_airport', 'Hacienda Santa Elena de Mirand Airport', 10.316666603088379, -66.30000305175781, 233, 'VE', 'VE-M', '', 'no', 'SVSL', '', '', ''),
	('SVAN', 'medium_airport', 'Anaco Airport', 9.430225, -64.470726, 721, 'VE', 'VE-B', 'Anaco', 'no', 'SVAN', 'AAO', '', ''),
	('SVBC', 'large_airport', 'General José Antonio Anzoategui International Airport', 10.111111, -64.692222, 30, 'VE', 'VE-B', 'Barcelona', 'yes', 'SVBC', 'BLA', '', 'Barcelona, Puero La Cruz,Lecheria'),
	('SVKE', 'N/A', 'N/A', 8.73427301645279, -65.25361061096191, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVMG', 'medium_airport', 'Del Caribe Santiago Mariño International Airport', 10.912603378295898, -63.96659851074219, 74, 'VE', 'VE-O', 'Isla Margarita', 'yes', 'SVMG', 'PMV', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SVLJ', 'small_airport', 'La Vieja Airport', 9.683333396911621, -64.18333435058594, 1262, 'VE', 'VE-B', 'La Ceiba', 'no', 'SVLJ', '', '', ''),
	('SVRU', 'small_airport', 'Roblecito Airport', 9.200220108032227, -66.31111145019531, 459, 'VE', 'VE-J', '', 'no', 'SVRU', '', '', ''),
	('SVFM', 'medium_airport', 'Generalissimo Francisco de Miranda Air Base', 10.485033, -66.843513, 2739, 'VE', 'VE-M', 'La Carlota', 'no', 'SVFM', '', '', ''),
	('SVJZ', 'N/A', 'N/A', 8.837897144258022, -65.99084258079529, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVIR', 'N/A', 'N/A', 8.781632110476494, -67.28995442390442, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVIE', 'small_airport', 'Andrés Miguel Salazar Marcano Airport', 10.794432, -63.98159, 10, 'VE', 'VE-O', 'Isla de Coche', 'yes', 'SVIE', 'ICC', '', ''),
	('SVDA', 'small_airport', 'La Tortuga Punta Delgada Airport', 10.946759, -65.228966, 26, 'VE', 'VE-O', 'Isla La Tortuga', 'no', 'SVDA', '', '', 'ISL'),
	('SVCD', 'medium_airport', 'Caicara del Orinoco Airport', 7.62551, -66.162804, 141, 'VE', 'VE-F', '', 'no', 'SVCD', 'CXA', '', ''),
	('SVKT', 'N/A', 'N/A', 7.86239717155695, -64.36465635895729, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJQ', 'N/A', 'N/A', 8.353236392140388, -66.58461883664131, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVDZ', 'small_airport', 'Puerto Paez Airport', 6.220095, -67.447508, 146, 'VE', 'VE-C', 'Puerto Paez', 'no', 'SVDZ', 'PPZ', '', ''),
	('SVIU', 'N/A', 'N/A', 8.41065376996994, -67.3447984457016, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKY', 'N/A', 'N/A', 8.023973107337952, -64.99457627534866, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVME', 'small_airport', 'Mapire Airport', 7.7386298179626465, -64.71949768066406, 196, 'VE', 'VE-Y', '', 'no', 'SVME', '', '', ''),
	('SVUF', 'N/A', 'N/A', 6.044303700327873, -66.27127602696419, 360, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJN', 'N/A', 'N/A', 8.138439059257507, -66.16589963436127, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKR', 'N/A', 'N/A', 7.990861237049103, -64.35474425554276, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKS', 'N/A', 'N/A', 7.816983684897423, -64.03806433081627, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJW', 'N/A', 'N/A', 7.994871474802494, -65.13431891798973, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVAS', 'small_airport', 'Armando Schwarck Airport', 6.57805, -66.816902, 266, 'VE', 'VE-F', 'Guayabal', 'no', 'SVAS', 'LPJ', '', ''),
	('SVUI', 'N/A', 'N/A', 5.682428106665611, -66.35894626379013, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXSN', 'N/A', 'N/A', 6.62707831710577, -67.22876518964767, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKF', 'N/A', 'N/A', 8.106052055954933, -65.38071602582932, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKW', 'N/A', 'N/A', 8.368868306279182, -64.24733519554138, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SKPC', 'medium_airport', 'German Olano Airport', 6.18472, -67.4932, 177, 'CO', 'CO-VID', 'Puerto Carreño', 'yes', 'SKPC', 'PCR', 'PCR', 'Puerto Carreño Airport'),
	('SVQA', 'small_airport', 'Santa Rosalía Airport', 7.466667175292969, -65.56666564941406, 446, 'VE', 'VE-F', '', 'no', 'SVQA', '', '', ''),
	('SVUG', 'N/A', 'N/A', 6.4477404579520226, -65.82992658019066, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKK', 'N/A', 'N/A', 8.029115907847881, -65.71212619543076, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SV02', 'small_airport', 'San Diego De Cabrutica Airport', 8.404430389404297, -65.0155029296875, 492, 'VE', 'VE-B', 'El Roble', 'no', 'SV02', '', '', ''),
	('SVRI', 'small_airport', 'Riecito Airport', 6.784060001373291, -68.86509704589844, 442, 'VE', 'VE-C', 'Caño Riecito', 'no', 'SVRI', '', '', ''),
	('SVQC', 'small_airport', 'Santa María La Tigra Airport', 6.5, -67.13333129882813, 164, 'VE', 'VE-C', '', 'no', 'SVQC', '', '', ''),
	('SVZQ', 'N/A', 'N/A', 7.54701666533947, -67.28992715477943, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJX', 'N/A', 'N/A', 7.93110866099596, -65.18141090869904, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVBP', 'small_airport', 'Jobito Airport', 7.599999904632568, -67.19999694824219, 138, 'VE', 'VE-C', '', 'no', 'SVBP', '', '', ''),
	('SVOV', 'N/A', 'N/A', 6.325687877833843, -65.37557691335678, 345, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKX', 'N/A', 'N/A', 8.086027354001999, -64.90124434232712, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZW', 'N/A', 'N/A', 7.676194868981838, -66.25208750367165, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVHS', 'small_airport', 'Hato El Sesenta Airport', 8.245639, -65.556921, 499, 'VE', 'VE-J', 'El Socorro', 'no', 'SVXS', '', '', ''),
	('SVKQ', 'N/A', 'N/A', 7.766911871731281, -64.3598484992981, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SV30', 'N/A', 'N/A', 6.059975177049637, -63.7899474799633, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVJY', 'N/A', 'N/A', 7.891581617295742, -65.87926223874092, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSR', 'medium_airport', 'San Fernando De Apure Airport', 7.88332, -67.444, 154, 'VE', 'VE-C', 'Inglaterra', 'no', 'SVSR', 'SFD', '', ''),
	('SVZP', 'N/A', 'N/A', 7.575741447508335, -67.01342046260834, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SV60', 'N/A', 'N/A', 8.353967294096947, -64.80679526925087, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVKZ', 'N/A', 'N/A', 8.157603777945042, -64.7793048620224, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVVN', 'N/A', 'N/A', 5.125498920679092, -65.045245885849, 589, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVRJ', 'N/A', 'N/A', 3.1484131515026093, -65.86175099015236, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVUT', 'N/A', 'N/A', 5.58877844363451, -65.8624318242073, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVUB', 'N/A', 'N/A', 5.045736059546471, -65.63575878739357, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVTQ', 'N/A', 'N/A', 4.480339474976063, -65.78222215175629, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDRM', 'small_airport', 'Olomai Airstrip', 3.926666, -64.184722, 568, 'BR', 'BR-RR', 'Amajari', 'no', 'SDRM', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SDRP', 'small_airport', 'Onkiola Airstrip', 3.711335, -64.163275, 2242, 'BR', 'BR-RR', 'Amajari', 'no', 'SDRP', '', 'RR0014', ''),
	('SVMY', 'small_airport', 'Manapiare Airstrip', 5.313198, -66.049775, 656, 'VE', 'VE-Z', 'San Juan de Manapiare', 'no', 'SVUE', '', '', 'SVMY'),
	('SVWL', 'N/A', 'N/A', 4.649459794163704, -66.3014343380928, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVOG', 'small_airport', 'Santa Bárbara del Amazonas Airport', 3.953611, -67.097778, 328, 'VE', 'VE-Z', '', 'no', 'SVZA', '', '', ''),
	('SVTZ', 'N/A', 'N/A', 5.105843022465706, -66.25888332724571, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVLE', 'N/A', 'N/A', 3.1719445064663887, -65.5405555665493, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVYT', 'small_airport', 'Yutaje Airport', 5.60978, -66.110397, 722, 'VE', 'VE-Z', '', 'no', 'SVYU', '', '', ''),
	('SWBV', 'small_airport', 'Auaris Airport', 4.003466, -64.493635, 2490, 'BR', 'BR-RR', 'Boa Vista', 'no', 'SWBV', '', 'RR0108', ''),
	('SVWO', 'N/A', 'N/A', 4.73948210477829, -65.21415486931801, 282, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVQV', 'N/A', 'N/A', 4.331809803843498, -65.24981662631035, 1010, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVWK', 'N/A', 'N/A', 4.95486281812191, -64.81468141078949, 340, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJMI', 'small_airport', 'Parafuri Airstrip', 3.282719, -63.849808, 1988, 'BR', 'BR-RR', 'Alto Alegre', 'no', 'SJMI', '', 'RR0069', ''),
	('SVLV', 'N/A', 'N/A', 3.7462684884667397, -65.76226025819778, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVUE', 'N/A', 'N/A', 5.148693658411503, -64.84867885708809, 338, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVVJ', 'N/A', 'N/A', 5.479812026023865, -65.91867327690125, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVZV', 'N/A', 'N/A', 4.18633047491312, -66.43748223781586, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVVU', 'N/A', 'N/A', 4.307420812547207, -66.29146412014961, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVTX', 'N/A', 'N/A', 4.80403047055006, -65.33973097801208, 261, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVUH', 'N/A', 'N/A', 5.144996903836727, -64.83072817325592, 322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVVT', 'N/A', 'N/A', 5.1688990741968155, -66.52487933635712, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDYT', 'small_airport', 'Tucuxim Airport', 3.763889, -63.986944, 1475, 'BR', 'BR-RR', 'Amajari', 'no', 'SDYT', '', 'RR0026', ''),
	('SWKU', 'small_airport', 'Cucuí Airport', 1.120609998703003, -66.841796875, 274, 'BR', 'BR-AM', 'São Gabriel Da Cachoeira', 'no', 'SWKU', '', 'SWKU', ''),
	('SVSC', 'small_airport', 'San Carlos Río Negro Airport', 1.9166669845581055, -67.05000305175781, 367, 'VE', 'VE-Z', '', 'no', 'SVSC', '', '', ''),
	('SVTH', 'N/A', 'N/A', 1.9160635024309158, -67.07786232233047, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVND', 'N/A', 'N/A', 2.422625496983528, -64.29768025875092, 247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVOU', 'N/A', 'N/A', 2.4271808937191963, -64.90373879671097, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWMK', 'small_airport', 'Maturacá Airport', 0.6282690167427063, -66.11509704589844, 354, 'BR', 'BR-AM', 'São Gabriel Da Cachoeira', 'no', 'SWMK', '', 'SWMK', ''),
	('SJNG', 'small_airport', 'Xidea Airport', 2.611256, -63.871121, 1988, 'BR', 'BR-RR', 'Alto Alegre', 'no', 'SJNG', '', 'RR0087', ''),
	('SVNZ', 'N/A', 'N/A', 2.793579362332821, -65.21666318178177, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVOM', 'N/A', 'N/A', 2.7825316786766052, -64.23106759786606, 869, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TQPF', 'medium_airport', 'Clayton J Lloyd International Airport', 18.204773, -63.05383, 127, 'AI', 'AI-U-A', 'The Valley', 'yes', 'TQPF', 'AXA', '', 'Wallblake Airport'),
	('TNCM', 'large_airport', 'Princess Juliana International Airport', 18.041, -63.108898, 13, 'SX', 'SX-U-A', 'Saint Martin', 'yes', 'TNCM', 'SXM', '', ''),
	('TKPK', 'medium_airport', 'Robert L. Bradshaw International Airport', 17.311199188232422, -62.71870040893555, 170, 'KN', 'KN-U-A', 'Basseterre', 'yes', 'TKPK', 'SKB', '', ''),
	('TKPN', 'medium_airport', 'Vance W. Amory International Airport', 17.205699920654297, -62.589900970458984, 14, 'KN', 'KN-U-A', 'Charlestown', 'yes', 'TKPN', 'NEV', '', 'Nevis, Bambooshay Airport, Newcastle Airport'),
	('TFFG', 'medium_airport', 'Grand Case-Espérance Airport', 18.099899, -63.047199, 7, 'MF', 'MF-U-A', 'Grand Case', 'yes', 'TFFG', 'SFG', '', 'Aérodrome de Grand-Case Espérance, CCE'),
	('COCO', 'N/A', 'N/A', 17.555673234164715, -61.7641706764698, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TAPA', 'medium_airport', 'V C Bird International Airport', 17.1367, -61.792702, 62, 'AG', 'AG-03', 'Osbourn', 'yes', 'TAPA', 'ANU', '', 'St. John''s'),
	('TAPH', 'medium_airport', 'Codrington Airport', 17.635799, -61.828602, 15, 'AG', 'AG-10', 'Codrington', 'yes', 'TAPH', 'BBQ', '', ''),
	('TNCE', 'medium_airport', 'F. D. Roosevelt Airport', 17.49650001525879, -62.979400634765625, 129, 'BQ', 'BQ-U-A', 'Sint Eustatius', 'yes', 'TNCE', 'EUX', '', ''),
	('TFFJ', 'medium_airport', 'Saint Barthélemy - Rémy de Haenen Airport', 17.9044, -62.843601, 49, 'BL', 'BL-U-A', 'Gustavia / Saint-Jean', 'yes', 'TFFJ', 'SBH', '', 'Saint Barthélemy Airport, St. Jean Airport, Aérodrome de St Jean, Saint Barth, St. Barts'),
	('TNCS', 'medium_airport', 'Juancho E. Yrausquin Airport', 17.645351, -63.220571, 60, 'BQ', 'BQ-U-A', 'Saba', 'yes', 'TNCS', 'SAB', '', ''),
	('TFFB', 'small_airport', 'Basse-Terre Baillif Airport', 16.013648, -61.742928, 59, 'GP', 'GP-U-A', 'Basse-Terre', 'yes', 'TFFB', 'BBR', '', ''),
	('TFFS', 'small_airport', 'Terre-de-Haut Airport', 15.86439991, -61.5806007385, 46, 'GP', 'GP-U-A', 'Les Saintes', 'no', 'TFFS', 'LSS', '', ''),
	('TFFR', 'large_airport', 'Pointe-à-Pitre Le Raizet International  Airport', 16.265301, -61.531799, 36, 'GP', 'GP-U-A', 'Pointe-à-Pitre', 'yes', 'TFFR', 'PTP', '', 'Le Raizet, Les Abymes'),
	('TFFC', 'small_airport', 'St-François Airport', 16.257799, -61.262501, 10, 'GP', 'GP-U-A', 'St-François', 'yes', 'TFFC', 'SFC', '', ''),
	('TFFM', 'medium_airport', 'Marie-Galante Airport', 15.868925, -61.270087, 16, 'GP', 'GP-U-A', 'Grand Bourg', 'yes', 'TFFM', 'GBJ', '', 'Marie Galante'),
	('TRPG', 'medium_airport', 'John A. Osborne Airport', 16.791401, -62.193298, 550, 'MS', 'MS-SP', 'Gerald''s Park', 'yes', 'TRPG', 'MNI', '', 'Gerald''s Airport, Brades'),
	('TFFF', 'large_airport', 'Martinique Aimé Césaire International Airport', 14.591, -61.003201, 16, 'MQ', 'MQ-U-A', 'Fort-de-France', 'yes', 'TFFF', 'FDF', '', 'Le Lamentin Airport'),
	('TDPD', 'medium_airport', 'Douglas-Charles Airport', 15.547, -61.299999, 73, 'DM', 'DM-02', 'Marigot', 'yes', 'TDPD', 'DOM', '', ''),
	('TDCF', 'medium_airport', 'Canefield Airport', 15.336693, -61.392108, 13, 'DM', 'DM-10', 'Canefield', 'yes', 'TDCF', 'DCF', '', ''),
	('TFTE', 'N/A', 'N/A', 15.841926075518131, -61.631666868925095, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('TFFA', 'small_airport', 'La Désirade Airport', 16.296902, -61.0844, 10, 'GP', 'GP-U-A', 'Grande Anse', 'yes', 'TFFA', 'DSD', '', ''),
	('TLPL', 'large_airport', 'Hewanorra International Airport', 13.7332, -60.952599, 14, 'LC', 'LC-11', 'Vieux Fort', 'yes', 'TLPL', 'UVF', '', ''),
	('TGPZ', 'small_airport', 'Lauriston Airport', 12.4761, -61.472801, 5, 'GD', 'GD-PA', 'Carriacou Island', 'yes', 'TGPZ', 'CRU', '', ''),
	('TVSA', 'medium_airport', 'Argyle International Airport', 13.156695, -61.149945, 136, 'VC', 'VC-04', 'Kingstown', 'yes', 'TVSA', 'SVD', '', ''),
	('TGPY', 'medium_airport', 'Maurice Bishop International Airport', 12.0042, -61.786201, 41, 'GD', 'GD-GE', 'Saint George''s', 'yes', 'TGPY', 'GND', '', 'Point Salines'),
	('TPGP', 'N/A', 'N/A', 12.14370433241129, -61.61669924855232, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TVSU', 'medium_airport', 'Union Island International Airport', 12.600135, -61.411945, 16, 'VC', 'VC-06', 'Union Island', 'yes', 'TVSU', 'UNI', '', ''),
	('TVSB', 'medium_airport', 'J F Mitchell Airport', 12.9884, -61.262001, 15, 'VC', 'VC-06', 'Bequia', 'no', 'TVSB', 'BQU', '', ''),
	('TVSM', 'medium_airport', 'Mustique Airport', 12.8879, -61.180199, 8, 'VC', 'VC-06', 'Mustique Island', 'yes', 'TVSM', 'MQS', '', ''),
	('TLPC', 'medium_airport', 'George F. L. Charles Airport', 14.0202, -60.992901, 22, 'LC', 'LC-02', 'Castries', 'yes', 'TLPC', 'SLU', '', 'Vigie Airport'),
	('TVSV', 'closed', 'E T Joshua Airport', 13.1443, -61.210899, 66, 'VC', 'VC-04', 'Arnos Vale', 'no', '', '', '', 'Arnos Vale Airport, SVD, TVSV'),
	('TVSC', 'medium_airport', 'Canouan Airport', 12.699, -61.3424, 11, 'VC', 'VC-06', 'Canouan', 'yes', 'TVSC', 'CIW', '', ''),
	('SVOF', 'small_airport', 'Santa Bárbara de Monagas Airport', 9.69849967956543, -63.62229919433594, 804, 'VE', 'VE-N', '', 'no', 'SVOF', '', '', ''),
	('SVRN', 'small_airport', 'El Terrón Airport', 9.383333206176758, -63.266666412353516, 376, 'VE', 'VE-N', '', 'no', 'SVRN', '', '', ''),
	('SVCP', 'medium_airport', 'General Francisco Bermúdez Airport', 10.660014, -63.261681, 33, 'VE', 'VE-R', 'Carúpano', 'yes', 'SVCP', 'CUP', '', ''),
	('SVTC', 'medium_airport', 'Tucupita Airport', 9.088994, -62.094173, 16, 'VE', 'VE-Y', 'Tucupita', 'no', 'SVTC', 'TUV', '', ''),
	('SVPW', 'small_airport', 'Pelayo Airport', 9.01309, -63.664095, 574, 'VE', 'VE-B', 'Pedro María Freites', 'no', 'SVPW', '', '', ''),
	('SV73', 'small_airport', 'Uverito Airport', 8.670319557189941, -62.62540054321289, 300, 'VE', 'VE-N', '', 'no', 'SV73', '', '', ''),
	('SVNX', 'small_airport', 'Morichal Airport', 8.828149795532227, -63.095001220703125, 272, 'VE', 'VE-N', '', 'no', 'SVNX', '', '', ''),
	('SVRA', 'small_airport', 'Río de Agua Airport', 10.571700096130371, -62.9922981262207, 33, 'VE', 'VE-R', '', 'no', 'SVRA', '', '', ''),
	('SVPE', 'small_airport', 'Pedernales Airport', 9.97924, -62.2286, 25, 'VE', 'VE-Y', '', 'no', 'SVPE', 'PDZ', '', ''),
	('SVMT', 'medium_airport', 'Maturín Airport', 9.749023, -63.153348, 224, 'VE', 'VE-N', 'Maturín', 'yes', 'SVMT', 'MUN', '', ''),
	('SVGI', 'medium_airport', 'Guiria Airport', 10.574077606200001, -62.3126678467, 42, 'VE', 'VE-R', '', 'no', 'SVGI', 'GUI', '', ''),
	('TTCO', 'N/A', 'N/A', 10.426187664270401, -61.44029751420021, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVDG', 'small_airport', 'Punta Gorda Airport', 9.649999618530273, -63.7216682434082, 859, 'VE', 'VE-N', '', 'no', 'SVDG', '', '', ''),
	('TTPP', 'medium_airport', 'Piarco International Airport', 10.5954, -61.3372, 58, 'TT', 'TT-TUP', 'Port of Spain', 'yes', 'TTPP', 'POS', '', ''),
	('SVLM', 'small_airport', 'Las Flores Airport', 9.497940063476563, -62.90130615234375, 118, 'VE', 'VE-N', '', 'no', 'SVLM', '', '', ''),
	('SVUN', 'N/A', 'N/A', 8.840639367699623, -63.60509634017944, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SV13', 'N/A', 'N/A', 8.718913346529007, -62.226302325725555, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SV11', 'N/A', 'N/A', 9.015781916677952, -63.47855731844902, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVTR', 'small_airport', 'Temblador Airport', 9.016667366027832, -62.733333587646484, 104, 'VE', 'VE-N', '', 'no', 'SVTR', '', '', ''),
	('SVOK', 'small_airport', 'Oritupano Airport', 9.061304, -63.445116, 485, 'VE', 'VE-N', 'Oritupano', 'no', 'SVOK', '', '', ''),
	('SV91', 'N/A', 'N/A', 9.429249130189419, -63.33705648779869, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TTCP', 'medium_airport', 'A.N.R. Robinson International Airport', 11.1497, -60.832199, 38, 'TT', 'TT-TOB', 'Scarborough', 'yes', 'TTCP', 'TAB', '', 'Tobago-Crown Point Airport'),
	('SV33', 'N/A', 'N/A', 9.421006366610527, -62.88021460175514, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SV76', 'N/A', 'N/A', 7.757839635014534, -63.08238610625267, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SV81', 'N/A', 'N/A', 6.200324445962906, -61.47077277302742, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVPR', 'medium_airport', 'General Manuel Carlos Piar International Airport', 8.288530349731445, -62.760398864746094, 472, 'VE', 'VE-F', 'Puerto Ordaz-Ciudad Guayana', 'yes', 'SVPR', 'PZO', '', ''),
	('SV78', 'N/A', 'N/A', 6.044891104102135, -63.21197882294655, 350, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVPP', 'small_airport', 'Luepa Airport', 5.792679786682129, -61.44020080566406, 4250, 'VE', 'VE-F', '', 'no', 'SVPP', '', '', ''),
	('SVGT', 'small_airport', 'Guasipati Airport', 7.475, -61.900002, 977, 'VE', 'VE-F', '', 'no', 'SVGT', '', '', ''),
	('SVET', 'small_airport', 'El Manteco Airport', 7.349514, -62.531447, 1000, 'VE', 'VE-F', '', 'no', 'SVET', '', '', ''),
	('SV12', 'N/A', 'N/A', 8.107031397521496, -62.387830317020416, 291, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVCN', 'medium_airport', 'Canaima Airport', 6.231989, -62.85485, 1450, 'VE', 'VE-F', 'Canaima', 'yes', 'SVCN', 'CAJ', '', ''),
	('SVED', 'medium_airport', 'El Dorado Airport', 6.71573, -61.638786, 318, 'VE', 'VE-F', 'Bolivar', 'no', 'SVED', 'EOR', '', ''),
	('SVVR', 'small_airport', 'Hato La Vergareña Airport', 6.8333330154418945, -63.58333206176758, 1082, 'VE', 'VE-F', '', 'no', 'SVVR', '', '', ''),
	('SV79', 'N/A', 'N/A', 6.1185284703969955, -63.06320786476135, 347, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SYKM', 'small_airport', 'Kamarang Airport', 5.86534, -60.614201, 1601, 'GY', 'GY-CU', 'Kamarang', 'no', 'SYKM', 'KAR', '', ''),
	('SVNK', 'small_airport', 'Hato Mikitole Airport', 8.417778015136719, -63.567779541015625, 328, 'VE', 'VE-B', '', 'no', 'SVNK', '', '', ''),
	('SV82', 'N/A', 'N/A', 6.830866187810898, -61.611818075180054, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SV31', 'N/A', 'N/A', 6.3431574404239655, -63.333360850811005, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SVTE', 'small_airport', 'Antabare Airport', 6.483333110809326, -62.883331298828125, 1204, 'VE', 'VE-F', '', 'no', 'SVTE', '', '', ''),
	('SVDW', 'small_airport', 'Ciudad Piar Airport', 7.493790149688721, -63.269798278808594, 879, 'VE', 'VE-F', '', 'no', 'SVDW', '', '', ''),
	('SVUY', 'small_airport', 'Uruyen Airport', 5.680422, -62.457705, 1476, 'VE', 'VE-F', '', 'no', 'SVUY', '', '', ''),
	('SVTM', 'medium_airport', 'Tumeremo Airport', 7.24938, -61.52893, 345, 'VE', 'VE-F', '', 'no', 'SVTM', 'TMO', '', ''),
	('SVCB', 'medium_airport', 'Aeropuerto "General Tomas de Heres". Ciudad Bolivar', 8.122161, -63.536957, 197, 'VE', 'VE-F', '', 'no', 'SVCB', 'CBL', '', ''),
	('SV80', 'N/A', 'N/A', 6.302148811519146, -63.23545798659325, 354, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SV70', 'N/A', 'N/A', 6.08287587761879, -63.14426064491272, 345, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVDN', 'N/A', 'N/A', 8.278828226029873, -62.66513451933861, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVUP', 'small_airport', 'Upata Airport', 7.979939937591553, -62.32279968261719, 1056, 'VE', 'VE-F', '', 'no', 'SVUP', '', '', ''),
	('SV71', 'N/A', 'N/A', 6.075939349830151, -63.17367821931839, 351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SYIB', 'small_airport', 'Imbaimadai Airport', 5.70811, -60.294201, 1646, 'GY', 'GY-CU', 'Imbaimadai', 'no', 'SYIB', 'IMB', '', ''),
	('SVBW', 'small_airport', 'Hato El Burro Airport', 7.128957, -63.461154, 921, 'VE', 'VE-F', '', 'no', 'SVBW', '', '', ''),
	('SYMR', 'small_airport', 'Matthews Ridge Airport', 7.487736, -60.185237, 324, 'GY', 'GY-BA', 'Matthews Ridge', 'no', 'SYMR', 'MWJ', '', ''),
	('SVUX', 'N/A', 'N/A', 5.711439549922943, -62.4087730050087, 500, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJKT', 'small_airport', 'Contão Airport', 4.173141, -60.546974, 381, 'BR', 'BR-RR', 'Normândia', 'no', 'SJKT', '', 'RR0040', ''),
	('SDPI', 'small_airport', 'Makukem Airport', 4.687776, -60.244722, 617, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SDPI', '', 'RR0010', ''),
	('SVUQ', 'small_airport', 'Uon Quen Airport', 4.983333, -61.728333, 2820, 'VE', 'VE-F', '', 'no', 'SVUQ', '', '', ''),
	('SVPI', 'small_airport', 'El Paují Airport', 4.466667175292969, -61.59333419799805, 2716, 'VE', 'VE-F', '', 'no', 'SVPI', '', '', ''),
	('SDXK', 'small_airport', 'Ticoça Airport', 4.413334, -60.116667, 486, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SDXK', '', '', ''),
	('SJYS', 'small_airport', 'Camará Airport', 3.9908299446105957, -60.18170166015625, 594, 'BR', 'BR-RR', 'Normândia', 'no', 'SJYS', '', '', ''),
	('SVIC', 'small_airport', 'Icabarú Airport', 4.33632, -61.739601, 1574, 'VE', 'VE-F', '', 'no', 'SVIC', 'ICA', '', ''),
	('SJKW', 'small_airport', 'Cumanã II Airport', 4.425608, -60.826435, 1191, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJKW', '', 'RR0043', ''),
	('SJLL', 'small_airport', 'Maturucá Airport', 4.460830211639404, -60.10029983520508, 1493, 'BR', 'BR-RR', 'Normândia', 'no', 'SJLL', '', '', ''),
	('SDJS', 'small_airport', 'Andorinha Airport', 4.727303, -60.241678, 735, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SDJS', '', 'RR0003', ''),
	('SDKZ', 'small_airport', 'Caraparu 4 Airport', 4.557947, -60.470043, 784, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SDKZ', '', 'RR0006', ''),
	('SJYQ', 'small_airport', 'Barreirinha Airport', 4.330405, -60.28783, 1194, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJYQ', '', 'RR0099', ''),
	('SBBV', 'medium_airport', 'Atlas Brasil Cantanhede Airport', 2.845855, -60.690944, 276, 'BR', 'BR-RR', 'Boa Vista', 'yes', 'SBBV', 'BVB', 'RR0001', 'Boa Vista International Airport'),
	('SJKZ', 'small_airport', 'Estevão Airport', 4.444776, -60.436378, 994, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJKZ', '', 'RR0045', ''),
	('SJLW', 'small_airport', 'Mudubim I Airport', 4.421669960021973, -60.48970031738281, 1493, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJLW', '', '', ''),
	('SV90', 'N/A', 'N/A', 5.299328863620758, -63.36238548159599, 332, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWTH', 'small_airport', 'Fazenda Smith', 2.9185, -60.5107, 290, 'BR', 'BR-RR', 'Bonfim', 'no', 'SWTH', '', '', ''),
	('SJLQ', 'small_airport', 'Maracanã Airport', 4.364999771118164, -60.016700744628906, 1791, 'BR', 'BR-RR', 'Normândia', 'no', 'SJLQ', '', '', ''),
	('SJKV', 'small_airport', 'Cumanã I Airport', 4.467722, -60.777175, 1587, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJKV', '', 'RR0042', ''),
	('SJKN', 'small_airport', 'Caracanã Airport', 4.700648, -60.267033, 1988, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJKN', '', 'RR0035', ''),
	('SWSK', 'small_airport', 'Fazenda São Marco Airport', 3.052839, -60.479586, 295, 'BR', 'BR-RR', 'Boa Vista', 'no', '', '', '', 'SWSK'),
	('SWOF', 'small_airport', 'Ouro Fino Airport', 2.934148, -60.724504, 282, 'BR', 'BR-RR', 'Boa Vista', 'no', '', '', '', 'SWOF'),
	('SJKQ', 'small_airport', 'Caramambataí (Mapae) Airport', 5.129066, -60.588872, 1989, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJKQ', '', 'RR0038', ''),
	('SDVF', 'small_airport', 'Santo Antônio do Pão Airport', 4.589723, -60.181388, 653, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SDVF', '', '', ''),
	('SJMJ', 'small_airport', 'Pedra Branca Airport', 4.455811, -60.269018, 1489, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJMJ', '', 'RR0070', ''),
	('SJMH', 'small_airport', 'Palimiú Airport', 3.329557, -62.97123, 896, 'BR', 'BR-RR', 'Alto Alegre', 'no', 'SJMH', '', 'RR0068', ''),
	('SWUQ', 'small_airport', 'Surucucu Airport', 2.83528, -63.646999, 2854, 'BR', 'BR-RR', 'Alto Alegre', 'no', 'SWUQ', '', 'RR0113', ''),
	('SVVZ', 'N/A', 'N/A', 5.476688928902149, -63.619901686906815, 318, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJMK', 'small_airport', 'Pedra Preta Airport', 4.711271, -60.476604, 2188, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJMK', '', 'RR0071', ''),
	('SJKU', 'small_airport', 'Cumaipá Airport', 4.815093, -60.470941, 2188, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJKU', '', 'RR0041', 'Kumaiapá'),
	('SV94', 'N/A', 'N/A', 4.4906894490122795, -61.16069287061691, 913, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJMQ', 'small_airport', 'Santa Maria de Normândia Airstrip', 4.173909, -60.141154, 847, 'BR', 'BR-RR', 'Normândia', 'no', 'SJMQ', '', 'RR0077', ''),
	('SJKM', 'small_airport', 'Canawapai Airport', 4.812213, -60.026486, 1886, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJKM', '', 'RR0034', ''),
	('SJLN', 'small_airport', 'Maloquinha Airport', 4.726940155029297, -60.590599060058594, 1890, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJLN', '', '', ''),
	('SDZN', 'small_airport', 'Warogarem Airstrip', 4.804871, -60.219015, 2331, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SDZN', '', '', ''),
	('SJNB', 'small_airport', 'Ubaru Airport', 4.501669883728027, -60.80220031738281, 1194, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJNB', '', '', ''),
	('SITF', 'small_airport', 'Fazenda Depósito Airport', 4.10833, -60.733299, 365, 'BR', 'BR-RR', 'Pacaraima', 'no', '', '', '', 'SITF');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SDWF', 'heliport', 'Panco 9 Heliport', -22.861110687256, -43.342220306396, 131, 'BR', 'BR-RJ', 'Rio De Janeiro', 'no', '', '', '', 'SDWF'),
	('SDSD', 'small_airport', 'Samã I Airport', 4.411792, -60.951436, 554, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SDSD', '', 'RR0016', ''),
	('SJMU', 'small_airport', 'Sauparú Airport', 4.98971986771, -60.4356002808, 2287, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJMU', '', '', ''),
	('SJMP', 'small_airport', 'Santa Liberdade Airstrip', 4.288972, -60.259441, 1890, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJMP', '', 'RR0076', ''),
	('SVDP', 'small_airport', 'La Divina Pastora Airport', 4.730000019073486, -60.96500015258789, 2581, 'VE', 'VE-F', '', 'no', 'SVDP', '', '', ''),
	('SJNC', 'small_airport', 'Uraricoera Airport', 3.147511, -62.230371, 794, 'BR', 'BR-RR', 'Alto Alegre', 'no', 'SJNC', '', 'RR0084', ''),
	('SJMV', 'small_airport', 'Serra do Sol Airport', 4.942500114440918, -60.47529983520508, 2480, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJMV', '', '', ''),
	('SV95', 'N/A', 'N/A', 4.590846821665764, -61.182768791913986, 918, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SVSE', 'medium_airport', 'Santa Elena de Uairen Airport', 4.555, -61.150002, 2938, 'VE', 'VE-F', '', 'no', 'SVSE', 'SNV', '', ''),
	('SJYT', 'small_airport', 'Campo Formoso Airport', 4.71999979019165, -60.76969909667969, 1194, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJYT', '', '', ''),
	('SWAE', 'small_airport', 'Uaicas Airport', 3.551929, -63.169445, 1083, 'BR', 'BR-RR', 'Alto Alegre', 'no', 'SWAE', '', 'RR0106', ''),
	('SJLK', 'small_airport', 'Lago Grande I Airport', 3.442780017852783, -60.352500915527344, 298, 'BR', 'BR-RR', 'Bonfim', 'no', 'SJLK', '', '', ''),
	('SVKA', 'small_airport', 'Kavanayen Airport', 5.593056, -61.763333, 3900, 'VE', 'VE-F', 'Kavanayén', 'no', 'SVKA', 'KAV', '', ''),
	('SJLO', 'small_airport', 'Manalaí Airport', 5.084169864654541, -60.37889862060547, 2189, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJLO', '', '', ''),
	('SYOR', 'small_airport', 'Orinduik Airport', 4.72527, -60.035, 1797, 'GY', 'GY-PT', 'Orinduik', 'no', 'SYOR', 'ORJ', '', ''),
	('SJYM', 'small_airport', 'Bala Airport', 3.8372199535369873, -60.60329818725586, 348, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJYM', '', '', ''),
	('SJMO', 'small_airport', 'Santa Isabel Airport', 4.46907, -60.864053, 1194, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJMO', '', 'RR0075', ''),
	('SV92', 'N/A', 'N/A', 3.637089841067791, -62.399751394987106, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJLM', 'small_airport', 'Leão de Ouro Airport', 4.151669979095459, -61.427799224853516, 298, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJLM', '', '', ''),
	('SDZO', 'small_airport', 'Waromada Airstrip', 4.576131, -60.443718, 2331, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SDZO', '', '', ''),
	('SJML', 'small_airport', 'Piolho Airport', 4.702439, -60.734148, 2287, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJML', '', 'RR0072', ''),
	('SJKL', 'small_airport', 'Canã Airport', 4.620442, -60.078414, 994, 'BR', 'BR-RR', 'Normândia', 'no', 'SJKL', '', 'RR0033', ''),
	('SJLE', 'small_airport', 'Halikato-u Airport', 3.223961, -63.202282, 994, 'BR', 'BR-RR', 'Alto Alegre', 'no', 'SJLE', '', 'RR0048', ''),
	('SDPX', 'small_airport', 'Nova Vitória Airport', 4.498889, -60.941667, 1673, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SDPX', '', 'RR0012', ''),
	('SJYO', 'small_airport', 'Bananal Airport', 4.632780075073242, -60.585601806640625, 892, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJYO', '', '', ''),
	('SJKP', 'small_airport', 'Caraparu Airport', 4.542682, -60.463032, 1194, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJKP', '', 'RR0037', ''),
	('SDPQ', 'small_airport', 'Napoleão Airport', 3.906468, -60.027144, 359, 'BR', 'BR-RR', 'Normandia', 'no', '', '', 'RR0011', 'SDPQ'),
	('SJLA', 'small_airport', 'Flechal Airport', 4.666607, -60.290176, 2076, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJLA', '', 'RR0046', ''),
	('SJYP', 'small_airport', 'Bananeira Airport', 4.321109771728516, -60.19390106201172, 892, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJYP', '', '', ''),
	('SJME', 'small_airport', 'Mato Grosso Airport', 4.57056, -60.903099, 2783, 'BR', 'BR-RR', 'Pacaraima', 'no', 'SJME', '', 'RR0066', ''),
	('SJMM', 'small_airport', 'Pipi Airport', 4.931882, -60.319226, 2585, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJMM', '', 'RR0073', ''),
	('SJLU', 'small_airport', 'Missão Catrinami Airport', 1.7408299446105957, -62.286399841308594, 397, 'BR', 'BR-RR', 'Caracaraí', 'no', 'SJLU', '', '', ''),
	('SWEU', 'small_airport', 'Ecotur Univini Park Airport', 0.797558, -61.662983, 266, 'BR', 'BR-RR', 'Caracaraí', 'no', 'SIRR', '', 'RR0031', 'SWEU'),
	('SJYG', 'small_airport', 'Alto Mucajaí Airport', 2.765000104904175, -62.22140121459961, 237, 'BR', 'BR-RR', 'Alto Alegre', 'no', 'SJYG', '', '', ''),
	('SJKS', 'small_airport', 'Catrimani I Airport', 2.375485, -63.008952, 1092, 'BR', 'BR-RR', 'Mucajaí', 'no', 'SJKS', '', 'RR0039', ''),
	('SDZC', 'small_airport', 'Uxiu Airstrip', 2.708055, -62.668889, 831, 'BR', 'BR-RR', 'Mucajaí', 'no', 'SDZC', '', '', ''),
	('SJQK', 'small_airport', 'Barra do Vento Airport', 2.6955599784851074, -60.81420135498047, 279, 'BR', 'BR-RR', 'Boa Vista', 'no', 'SJQK', '', '', ''),
	('SWQI', 'small_airport', 'Caracaraí Airport', 1.84389, -61.121827, 184, 'BR', 'BR-RR', 'Caracaraí', 'no', 'SBQI', '', 'RR9001', 'SWQI'),
	('SWMV', 'small_airport', 'Paa-Piu Airport', 2.72694, -62.9506, 984, 'BR', 'BR-RR', 'Mucajaí', 'no', 'SWMV', '', '', ''),
	('SBHR', 'N/A', 'N/A', 1.045026183128357, -60.38300558924675, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJLC', 'small_airport', 'Hakoma Airport', 2.722243, -63.577944, 2335, 'BR', 'BR-RR', 'Alto Alegre', 'no', 'SJLC', '', 'RR0047', ''),
	('SBBO', 'N/A', 'N/A', 1.0181859880685806, -60.02603620290756, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWNP', 'closed', 'Novo Paraiso Airport', 1.2381900548934937, -60.48630142211914, 213, 'BR', 'BR-RR', 'Novo Paraiso', 'no', '', '', '', 'SWNP, SWNP'),
	('SJYL', 'small_airport', 'Baixo Mucajaí Airport', 2.7369399070739746, -62.01940155029297, 499, 'BR', 'BR-RR', 'Alto Alegre', 'no', 'SJYL', '', '', ''),
	('SDMG', 'small_airport', 'Haxiu Airport', 2.675404, -63.746667, 394, 'BR', 'BR-RR', 'Alto Alegre', 'no', 'SDMG', '', 'RR0008', ''),
	('SJLF', 'small_airport', 'Homoxi Airport', 2.499447, -63.728696, 2284, 'BR', 'BR-RR', 'Iracema', 'no', '', '', 'RR0049', 'SJLF'),
	('SWEO', 'small_airport', 'Itapara Sport Fishing Airport', 0.20972199738025665, -61.54999923706055, 262, 'BR', 'BR-RR', 'Rorainópolis', 'no', 'SWEO', '', '', ''),
	('SBUW', 'N/A', 'N/A', 1.616109050810337, -63.65357056260109, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWPD', 'small_airport', 'Pouso da Águia Airport', 2.787444, -60.595531, 282, 'BR', 'BR-RR', 'Cantá', 'no', 'SWPD', '', 'RR0111', ''),
	('SEST', 'small_airport', 'San Cristóbal Airport', -0.910206, -89.617401, 62, 'EC', 'EC-W', 'Puerto Baquerizo Moreno', 'yes', 'SEST', 'SCY', '', ''),
	('SECT', 'N/A', 'N/A', -1.6532247886061668, -79.51777517795563, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SE09', 'small_airport', 'San Rafael Airport', -2.174602, -79.234887, 190, 'EC', 'EC-G', 'Bucay', 'no', 'SESR', '', '', 'SE09'),
	('SEMT', 'medium_airport', 'Eloy Alfaro International Airport', -0.9460780024528503, -80.67880249023438, 48, 'EC', 'EC-M', 'Manta', 'yes', 'SEMT', 'MEC', '', ''),
	('SESD', 'small_airport', 'Santo Domingo de Los Colorados Airport', -0.248288, -79.209062, 1640, 'EC', 'EC-26', 'Santo Domingo de Los Colorades', 'no', 'SESD', '', '', ''),
	('SEPE', 'small_airport', 'Pechichal Airport', -2.658895, -79.618793, 55, 'EC', 'EC-G', 'Naranjal', 'no', 'SEPE', '', '', ''),
	('SE10', 'small_airport', 'Vinces Airport', -1.59611, -79.726097, 32, 'EC', 'EC-R', 'Vinces', 'no', 'SEVN', '', '', 'SE10'),
	('SEAY', 'small_airport', 'Ayangue Airport', -1.977683, -80.745158, 16, 'EC', 'EC-25', 'Ayangue', 'no', 'SEAY', '', '', 'San Pedro'),
	('SESA', 'medium_airport', 'General Ulpiano Paez Airport', -2.210057, -80.985067, 18, 'EC', 'EC-25', 'Salinas', 'no', 'SESA', 'SNC', '', ''),
	('SESV', 'small_airport', 'Los Perales Airport', -0.608111, -80.402702, 10, 'EC', 'EC-M', 'Bahía de Caraquez', 'no', 'SESV', 'BHA', '', 'SEBC, San Vicente'),
	('SESN', 'N/A', 'N/A', -1.8451663479208946, -80.7384230196476, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SELJ', 'small_airport', 'Hacienda La Julia Airport', -1.70438, -79.552299, 50, 'EC', 'EC-R', 'Julia', 'no', 'SELJ', '', '', ''),
	('SETA', 'small_airport', 'Taura Air Base', -2.26104, -79.680199, 56, 'EC', 'EC-G', 'Virgen de Fatima', 'no', 'SETA', '', '', ''),
	('SEGU', 'large_airport', 'José Joaquín de Olmedo International Airport', -2.15742, -79.883598, 19, 'EC', 'EC-G', 'Guayaquil', 'yes', 'SEGU', 'GYE', '', 'Simon Bolivar International Airport'),
	('SEQE', 'small_airport', 'Quevedo Airport', -0.989013, -79.465571, 350, 'EC', 'EC-R', 'Quevedo', 'no', 'SEQE', '', '', ''),
	('SE11', 'small_airport', 'Km 60 Airport', -0.536183, -79.371976, 1640, 'EC', 'EC-26', 'Luz de América', 'no', 'SEKI', '', '', 'SE11, Consumulo'),
	('SE02', 'small_airport', 'Guabital Airport', -2.773399, -79.702411, 45, 'EC', 'EC-G', 'Soledad', 'no', 'SEGB', '', '', 'SE02'),
	('SEPO', 'small_airport', 'Posorja Airport', -2.681735, -80.276606, 30, 'EC', 'EC-G', 'Posorja', 'no', 'SEPO', '', '', ''),
	('SECN', 'N/A', 'N/A', -2.292368710041046, -79.50201943516731, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SEPV', 'medium_airport', 'Reales Tamarindos Airport', -1.04165, -80.472198, 130, 'EC', 'EC-M', 'Portoviejo', 'no', 'SEPV', 'PVO', '', ''),
	('SECM', 'small_airport', 'Hacienda Clementina Airport', -1.7062699794769287, -79.37889862060547, 328, 'EC', 'EC-R', 'Pozuelos', 'no', 'SECM', '', '', ''),
	('SPJE', 'medium_airport', 'Shumba Airport', -5.59248, -78.774002, 2477, 'PE', 'PE-CAJ', 'Jaén', 'yes', 'SPJE', 'JAE', '', ''),
	('SE0B', 'N/A', 'N/A', -3.340974301099777, -79.86385881900787, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SE22', 'small_airport', 'Celia María Airport', -3.27905, -79.80118, 112, 'EC', 'EC-O', 'Pasaje', 'no', 'SEEL', '', '', 'SE22'),
	('SPME', 'medium_airport', 'Captain Pedro Canga Rodríguez International Airport', -3.552074, -80.381086, 115, 'PE', 'PE-TUM', 'Tumbes', 'yes', 'SPME', 'TBP', '', 'Capitan FAP Pedro Canga Rodriguez'),
	('SE59', 'small_airport', 'La Mina Airport', -3.202759, -79.79825, 13, 'EC', 'EC-O', 'El Guabo', 'no', 'SEIN', '', '', 'SE59'),
	('SPYL', 'medium_airport', 'Captain Victor Montes Arias International Airport', -4.57664, -81.254097, 282, 'PE', 'PE-PIU', 'Talara', 'yes', 'SPYL', 'TYL', '', 'Capitan FAP Victor Montes Arias'),
	('SPTP', 'small_airport', 'El Pato Air Base', -4.54981, -81.224098, 286, 'PE', 'PE-PIU', 'Talara', 'no', 'SPTP', '', '', ''),
	('SECA', 'N/A', 'N/A', -3.995833285152912, -79.37194436788559, 1220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SERO', 'medium_airport', 'Santa Rosa - Artillery Colonel Victor Larrea International Airport', -3.441986, -79.996957, 20, 'EC', 'EC-O', 'Santa Rosa', 'yes', 'SERO', 'ETR', '', 'Machala International Airport'),
	('SECU', 'medium_airport', 'Mariscal Lamar Airport', -2.88947, -78.984398, 8306, 'EC', 'EC-A', 'Cuenca', 'yes', 'SECU', 'CUE', '', ''),
	('SEMA', 'medium_airport', 'Jose Maria Velasco Ibarra Airport', -4.37823009491, -79.94100189210002, 1508, 'EC', 'EC-L', 'Macará', 'no', 'SEMA', 'MRR', '', ''),
	('SPAL', 'small_airport', 'Alao Airport', -6.5, -76.7166976928711, 1740, 'PE', 'PE-SAM', 'El Dorado', 'no', 'SPAL', '', '', ''),
	('SEMH', 'closed', 'General Manuel Serrano Airport', -3.2689, -79.961601, 11, 'EC', 'EC-O', 'Machala', 'no', '', '', '', 'MCH, SEMH'),
	('SE03', 'small_airport', 'Las Peñas Airport', -2.94716, -80.1007, 3, 'EC', 'EC-G', 'Puerto Grande', 'no', 'SEEN', '', '', 'SE03'),
	('SEBZ', 'small_airport', 'Cumbaratza Airport', -4.018793, -78.887293, 2871, 'EC', 'EC-Z', 'Cumbaratza', 'no', 'SEBZ', '', '', ''),
	('SEPS', 'small_airport', 'Amable Calle Gutierrez Airport', -3.31967, -79.769203, 22, 'EC', 'EC-O', 'Pasaje', 'no', 'SEPS', '', '', ''),
	('SPWB', 'small_airport', 'Walter Braedt Segú Airport', -4.08687, -81.02577, 30, 'PE', 'PE-TUM', 'Máncora', 'no', 'SPWB', 'PTL', 'SPWB', ''),
	('SETG', 'small_airport', 'Tenguel Airport', -2.998017, -79.795922, 33, 'EC', 'EC-G', 'Tenguel', 'no', 'SETG', '', '', ''),
	('SPAB', 'small_airport', 'Huancabamba Airport', -5.256770133972168, -79.44290161132813, 6312, 'PE', 'PE-PIU', 'Huancabamba', 'no', 'SPAB', '', 'SP72', ''),
	('SPUR', 'medium_airport', 'Capitán FAP Guillermo Concha Iberico International Airport', -5.20574998856, -80.61640167239999, 120, 'PE', 'PE-PIU', 'Piura', 'yes', 'SPUR', 'PIU', '', ''),
	('SEMX', 'small_airport', 'Maragrosa Airport', -2.8511, -79.803596, 18, 'EC', 'EC-G', 'Puerto Balao', 'no', 'SEMX', '', '', ''),
	('SPRU', 'medium_airport', 'Capitan FAP Carlos Martinez De Pinillos International Airport', -8.08141040802002, -79.10880279541016, 106, 'PE', 'PE-LAL', 'Trujillo', 'yes', 'SPRU', 'TRU', '', ''),
	('SPYO', 'small_airport', 'Pacasmayo Airport', -7.40694, -79.568901, 95, 'PE', 'PE-LAL', 'Pacasmayo', 'no', 'SPYO', '', '', ''),
	('SPHI', 'medium_airport', 'Air Force Captain Jose A Quinones Gonzales International Airport', -6.78748, -79.828102, 97, 'PE', 'PE-LAM', 'Chiclayo', 'yes', 'SPHI', 'CIX', '', ''),
	('SETR', 'medium_airport', 'Tarapoa Airport', -0.122956, -76.337799, 814, 'EC', 'EC-U', 'Tarapoa', 'no', 'SETR', 'TPC', '', ''),
	('SELT', 'medium_airport', 'Cotopaxi International Airport', -0.906833, -78.615799, 9205, 'EC', 'EC-X', 'Latacunga', 'yes', 'SELT', 'LTX', '', 'Latacunga, Vulcano, Ecuador, Cargo, Long runway, Height'),
	('SETB', 'N/A', 'N/A', -2.4831227213144302, -77.20098361372948, 277, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SEMF', 'N/A', 'N/A', -2.5688303634524345, -76.66036382317543, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SEPY', 'N/A', 'N/A', -1.4982537925243378, -77.47453406453133, 347, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SEAM', 'medium_airport', 'Chachoán Regional Airport', -1.21207, -78.5746, 8502, 'EC', 'EC-T', 'Ambato', 'no', 'SEAM', 'ATF', '', 'Chachoan, Izamba'),
	('SEMO', 'small_airport', 'El Carmen Airport', -2.06701, -76.9757, 960, 'EC', 'EC-Y', 'Montalvo', 'no', 'SEMO', '', '', ''),
	('SPPF', 'N/A', 'N/A', -0.9518130496144295, -75.1796954870224, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SEMV', 'N/A', 'N/A', -1.3691429793834686, -76.94706737995148, 249, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SETO', 'small_airport', 'Andes Aeroclub Airport', 0.061667, -78.222833, 9760, 'EC', 'EC-P', '', 'no', 'SETO', '', '', ''),
	('SEQU', 'heliport', 'Mariscal Sucre Air Base', -0.136782, -78.490598, 9228, 'EC', 'EC-P', 'Quito', 'no', '', '', '', 'Quito, Ecuador, Dangerous, Closed, Mountains, Volcano, America, Middle of the world, SEQU'),
	('SETC', 'N/A', 'N/A', -2.213331386446953, -77.57272750139236, 555, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SECO', 'medium_airport', 'Francisco De Orellana Airport', -0.462886, -76.986801, 834, 'EC', 'EC-D', 'Coca', 'yes', 'SECO', 'OCC', '', ''),
	('SEMN', 'N/A', 'N/A', -1.5786737948656082, -76.353330463171, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SETD', 'N/A', 'N/A', -2.1641601249575615, -77.5779077410698, 499, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SESM', 'small_airport', 'Rio Amazonas Airport', -1.50524, -78.062698, 3465, 'EC', 'EC-Y', 'Shell Mera', 'no', 'SESM', 'PTZ', '', ''),
	('SEPC', 'small_airport', 'Patuca Airport', -2.75172, -78.263603, 1781, 'EC', 'EC-S', 'Patuca', 'no', 'SEPC', '', '', ''),
	('SPGP', 'small_airport', 'Güeppi­ Airport', -0.119056, -75.247902, 680, 'PE', 'PE-LOR', '', 'no', 'SPGP', '', 'SP01', ''),
	('SERB', 'small_airport', 'Chimborazo Airport', -1.653324, -78.656342, 9151, 'EC', 'EC-H', 'Riobamba', 'no', 'SERB', '', '', ''),
	('SEMC', 'medium_airport', 'Coronel E Carvajal Airport', -2.2991700172424316, -78.12079620361328, 3452, 'EC', 'EC-S', 'Macas', 'yes', 'SEMC', 'XMS', '', ''),
	('SPAS', 'small_airport', 'Alferez FAP Alfredo Vladimir Sara Bauer Airport', -2.79612994194, -76.46659851070001, 728, 'PE', 'PE-LOR', 'Andoas', 'no', 'SPAS', 'AOP', '', ''),
	('SEJD', 'N/A', 'N/A', -1.0602778941392899, -77.58055552840233, 371, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SETF', 'N/A', 'N/A', -2.0828600227832794, -77.58092433214188, 541, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SEML', 'small_airport', 'Manglaralto Airport', -1.844848, -80.73696, 30, 'EC', 'EC-G', '', 'no', 'SEML', '', '', ''),
	('SPPT', 'N/A', 'N/A', -0.9276949614286423, -75.3943558037281, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SEME', 'N/A', 'N/A', -2.3836151137948036, -76.65666192770004, 256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SEQM', 'large_airport', 'Mariscal Sucre International Airport', -0.125399, -78.354306, 7841, 'EC', 'EC-P', 'Quito', 'yes', 'SEQM', 'UIO', 'UIO', 'Nuevo Aeropuerto Internacional Mariscal Sucre'),
	('SETI', 'small_airport', 'Tiputini Airport', -0.776111, -75.526398, 997, 'EC', 'EC-D', 'Tiputini', 'no', 'SETI', 'TPN', '', ''),
	('SEMI', 'N/A', 'N/A', -2.4632777273654938, -76.99277892708778, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SECR', 'small_airport', 'Curaray Airport', -1.384465, -76.938944, 832, 'EC', 'EC-Y', 'Curacay', 'no', 'SECR', '', '', ''),
	('SETE', 'small_airport', 'Mayor Galo Torres Airport', -0.986767, -77.819504, 1708, 'EC', 'EC-N', 'Tena', 'no', 'SETE', '', '', ''),
	('SESC', 'small_airport', 'Sucúa Airport', -2.474201, -78.169041, 3116, 'EC', 'EC-S', 'Sucúa', 'no', 'SESC', 'SUQ', '', ''),
	('SESQ', 'N/A', 'N/A', -0.8512382581830025, -78.62239122390747, 2856, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SEPR', 'N/A', 'N/A', -1.9894028082489967, -77.71730929613113, 659, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SESU', 'N/A', 'N/A', -2.8523623198270798, -77.94226124882698, 308, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPGB', 'small_airport', 'Galilea Airport', -4.03188, -77.758797, 597, 'PE', 'PE-AMA', '', 'no', 'SPGB', '', '', ''),
	('SPQM', 'N/A', 'N/A', -4.824249967932701, -76.56034737825394, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPLU', 'N/A', 'N/A', -5.248619690537453, -75.67746698856354, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SEGZ', 'small_airport', 'Gualaquiza Airport', -3.42321, -78.567001, 2640, 'EC', 'EC-S', 'Santiago', 'no', 'SEGZ', '', '', ''),
	('SPAC', 'small_airport', 'Ciro Alegria Airport', -4.607492, -77.940935, 547, 'PE', 'PE-AMA', 'Santa María de Nieva', 'no', 'SPAC', '', '', 'Bagua'),
	('SPDR', 'small_airport', 'Trompeteros Airport', -3.80601, -75.039299, 427, 'PE', 'PE-LOR', 'Corrientes', 'no', 'SPDR', 'TDP', '', ''),
	('SPQI', 'small_airport', 'Kiteni Airport', -12.648669, -73.036579, 2589, 'PE', 'PE-CUS', 'La Convención', 'no', 'SPKI', '', '', ''),
	('SPBB', 'small_airport', 'Moyobamba Airport', -6.018889, -76.988327, 2749, 'PE', 'PE-SAM', 'Moyobamba', 'no', 'SPBB', 'MBP', '', ''),
	('SPST', 'medium_airport', 'Cadete FAP Guillermo Del Castillo Paredes Airport', -6.508739948272705, -76.37319946289063, 869, 'PE', 'PE-SAM', 'Tarapoto', 'yes', 'SPST', 'TPP', '', ''),
	('SPAI', 'small_airport', 'Urpay Airport', -8.3495, -77.3985, 10400, 'PE', 'PE-LAL', 'Pataz', 'no', 'SPAI', '', '', ''),
	('SPNE', 'N/A', 'N/A', -8.334104530513287, -76.38557061553001, 489, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPUC', 'small_airport', 'Huamachuco Airport', -7.81808, -78.02834, 10367, 'PE', 'PE-LAL', 'Huamachuco', 'no', 'SPUC', '', '', ''),
	('spgl', 'small_airport', 'Chagual Airport', -7.798106, -77.6495, 3967, 'PE', 'PE-LAL', '', 'no', 'SPGL', '', '', ''),
	('SPJI', 'medium_airport', 'Juanjui Airport', -7.1691, -76.7286, 1148, 'PE', 'PE-SAM', 'Juanjuí', 'no', 'SPJI', 'JJI', '', ''),
	('SPON', 'small_airport', 'Orellana Airport', -6.896733, -75.153182, 424, 'PE', 'PE-LOR', 'Orellana', 'no', 'SPON', '', '', ''),
	('SPJR', 'medium_airport', 'Mayor General FAP Armando Revoredo Iglesias Airport', -7.1391801834106445, -78.4894027709961, 8781, 'PE', 'PE-CAJ', 'Cajamarca', 'yes', 'SPJR', 'CJA', '', ''),
	('SPIS', 'small_airport', 'Pias Airport', -7.92062, -77.52518, 8500, 'PE', 'PE-LAL', 'Pataz', 'no', 'SPIS', '', '', ''),
	('SPJA', 'medium_airport', 'Juan Simons Vela Airport', -6.06786, -77.160004, 2707, 'PE', 'PE-SAM', 'Rioja', 'no', 'SPJA', 'RIJ', '', ''),
	('SPPN', 'small_airport', 'Palmas del Espino Airport', -8.343722, -76.48935, 1667, 'PE', 'PE-SAM', 'Palmas del Espino', 'no', 'SPPN', '', '', ''),
	('SPMS', 'medium_airport', 'Moises Benzaquen Rengifo Airport', -5.893770217895508, -76.11820220947266, 587, 'PE', 'PE-LOR', 'Yurimaguas', 'yes', 'SPMS', 'YMS', '', ''),
	('SP0A', 'N/A', 'N/A', -6.392173133790493, -77.501370459795, 1567, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPOA', 'small_airport', 'Saposoa Airport', -6.96003, -76.768402, 982, 'PE', 'PE-SAM', 'Plaza Saposoa', 'no', 'SPOA', 'SQU', '', ''),
	('SPPY', 'medium_airport', 'Chachapoyas Airport', -6.201911, -77.856195, 8333, 'PE', 'PE-AMA', 'Chachapoyas', 'yes', 'SPPY', 'CHH', '', ''),
	('SPTO', 'small_airport', 'Tulpo Airport', -8.127167, -77.988, 10702, 'PE', 'PE-LAL', 'Santa Clara de Tulpo', 'no', 'SPTO', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SPHZ', 'medium_airport', 'Comandante FAP German Arias Graziani Airport', -9.347439765930176, -77.59839630126953, 9097, 'PE', 'PE-ANC', 'Anta', 'no', 'SPHZ', 'ATA', '', ''),
	('SPEO', 'medium_airport', 'FAP Lieutenant Jaime Andres de Montreuil Morales Airport', -9.14961, -78.523804, 69, 'PE', 'PE-ANC', 'Chimbote', 'yes', 'SPEO', 'CHM', '', ''),
	('SPVI', 'small_airport', 'Vicco Airport', -10.847844, -76.246956, 13464, 'PE', 'PE-PAS', 'Vicco', 'no', 'SPVI', '', '', ''),
	('SPPG', 'closed', 'Paramonga Airport', -10.667, -77.833, 16, 'PE', 'PE-LIM', 'Paramonga', 'no', '', '', '', 'SPPG, SPPG'),
	('SPGM', 'small_airport', 'Tingo Maria Airport', -9.289667, -76.005058, 2146, 'PE', 'PE-HUC', 'Tingo Maria', 'no', 'SPGM', 'TGI', '', ''),
	('SPCC', 'small_airport', 'Ciudad Constitución Airport', -9.865278, -75.008888, 775, 'PE', 'PE-PAS', 'Ciudad Constitución', 'no', 'SPCC', '', '', ''),
	('SPRM', 'small_airport', 'Capitán FAP Leonardo Alvariño Herr Airport', -11.128600120544434, -75.35050201416016, 2600, 'PE', 'PE-JUN', 'San Ramón', 'no', 'SPRM', '', '', ''),
	('SPNC', 'medium_airport', 'Alferez Fap David Figueroa Fernandini Airport', -9.878809928894043, -76.20480346679688, 6070, 'PE', 'PE-HUC', 'Huánuco', 'yes', 'SPNC', 'HUU', '', ''),
	('SPHA', 'closed', 'Chincha Airport', -13.37036, -76.11276, 640, 'PE', 'PE-ICA', 'Chincha', 'no', '', '', '', 'SPHA, SPHA'),
	('SPLX', 'small_airport', 'Lib Mandi Metropolitan Airport', -12.38875, -76.75834, 200, 'PE', 'PE-LIM', 'San Bartolo', 'no', 'SPLX', '', '', ''),
	('SPLP', 'small_airport', 'Las Palmas Air Base', -12.16069984436, -76.998901367188, 250, 'PE', 'PE-LIM', 'Chorrillos', 'no', 'SPLP', '', '', ''),
	('SPJC', 'N/A', 'N/A', -12.021886110305786, -77.1143165230751, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPLH', 'N/A', 'N/A', -14.035180695354939, -75.7602833211422, 414, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPSO', 'medium_airport', 'Captain Renán Elías Olivera International Airport', -13.7449, -76.220299, 39, 'PE', 'PE-ICA', 'Pisco', 'no', 'SPSO', 'PIO', '', 'Capitán FAP Renán Elías Olivera'),
	('SPJJ', 'medium_airport', 'Francisco Carle Airport', -11.7831001282, -75.47339630130001, 11034, 'PE', 'PE-JUN', 'Jauja', 'yes', 'SPJJ', 'JAU', '', ''),
	('SPJN', 'small_airport', 'San Juan de Marcona Airport', -15.357508, -75.135005, 144, 'PE', 'PE-ICA', 'San Juan de Marcona', 'no', 'SPJN', 'SJA', '', ''),
	('SKLG', 'small_airport', 'Caucaya Airport', -0.182278, -74.7708, 573, 'CO', 'CO-PUT', 'Puerto Leguízamo', 'yes', 'SKLG', 'LQM', 'LQM', ''),
	('SPEE', 'small_airport', 'El Estrecho Airport', -2.45406, -72.670601, 421, 'PE', 'PE-LOR', '', 'no', 'SPEE', '', 'SP69', ''),
	('SPIQ', 'N/A', 'N/A', -1.7527806758880615, -73.20539072155952, 120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPPR', 'N/A', 'N/A', -1.4573423936963081, -72.80159264802933, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPQT', 'medium_airport', 'Coronel FAP Francisco Secada Vignetta International Airport', -3.78474, -73.3088, 306, 'PE', 'PE-LOR', 'Iquitos', 'yes', 'SPQT', 'IQT', '', ''),
	('SPQN', 'closed', 'Requena Airport', -5.078026, -73.856404, 393, 'PE', 'PE-LOR', 'Requena', 'no', '', '', '', 'REQ, SPQN'),
	('SPID', 'N/A', 'N/A', -3.742249868810177, -73.26033353805542, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWJV', 'small_airport', 'Palmeiras do Javari Airport', -5.127240180969238, -72.80999755859375, 394, 'BR', 'BR-AM', 'Atalaia Do Norte', 'no', 'SWJV', '', 'SWJV', ''),
	('SWEE', 'small_airport', 'Estirão do Equador Airport', -4.52378, -71.560799, 98, 'BR', 'BR-AM', 'Atalaia Do Norte', 'no', 'SWEE', '', 'AM9004', ''),
	('SPYC', 'small_airport', 'Yarinacocha Airport', -8.340436, -74.597906, 489, 'PE', 'PE-UCA', 'Pucallpa', 'no', 'SPYC', '', '', ''),
	('SPPU', 'N/A', 'N/A', -8.361933790147305, -74.6568600833416, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPCL', 'medium_airport', 'Cap FAP David Abenzur Rengifo International Airport', -8.37794017791748, -74.57430267333984, 513, 'PE', 'PE-UCA', 'Pucallpa', 'yes', 'SPCL', 'PCL', '', ''),
	('SPCM', 'small_airport', 'Contamana Airport', -7.335827, -74.992531, 480, 'PE', 'PE-LOR', 'Contamana', 'no', 'SPCM', '', 'CTF', ''),
	('SSPR', 'small_airport', 'Porto Walter Airport', -8.276196, -72.7458, 651, 'BR', 'BR-AC', 'Porto Walter', 'no', 'SDL4', '', 'AC0008', 'SIRW, SSPR, SWPV'),
	('SBFJ', 'N/A', 'N/A', -7.036011256277561, -71.68763682246208, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBCZ', 'medium_airport', 'Cruzeiro do Sul Airport', -7.59991, -72.769501, 637, 'BR', 'BR-AC', 'Cruzeiro Do Sul', 'yes', 'SBCZ', 'CZS', 'AC0002', ''),
	('SPSE', 'small_airport', 'Sepahua Airport', -11.14227, -73.034327, 886, 'PE', 'PE-UCA', 'Sepahua', 'no', 'SPSE', '', '', ''),
	('SSQB', 'small_airport', 'Jordão Airport', -9.189444, -71.946944, 873, 'BR', 'BR-AC', 'Jordão', 'no', 'SJOD', '', 'AC0009', 'SSQB'),
	('SPBE', 'N/A', 'N/A', -9.398404061794281, -72.71872267127037, 247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPSS', 'small_airport', 'Masisea Airport', -8.61142, -74.309962, 522, 'PE', 'PE-UCA', 'Masisea', 'no', 'SPSS', '', '', ''),
	('SPAY', 'medium_airport', 'Teniente General Gerardo Pérez Pinedo Airport', -10.7291, -73.766502, 751, 'PE', 'PE-UCA', 'Atalaya', 'no', 'SPAY', 'AYX', '', ''),
	('SPBT', 'small_airport', 'Obenteni Airport', -10.755137, -74.221749, 3290, 'PE', 'PE-UCA', 'Obenteni', 'no', 'SPBT', '', '', ''),
	('SPPB', 'small_airport', 'Tipishsa Airport', -9.53306, -72.756897, 783, 'PE', 'PE-UCA', 'Puerto Breu', 'no', 'SPPB', '', '', ''),
	('SSPV', 'small_airport', 'Marechal Thaumaturgo Airport', -8.959443, -72.779721, 751, 'BR', 'BR-AC', 'Marechal Thaumaturgo', 'no', 'SDP8', '', 'AC0010', 'SSMH, SSPV'),
	('SPLA', 'small_airport', 'Luisiana Airport', -12.673815, -73.710266, 0, 'PE', 'PE-AYA', 'Luisiana', 'no', 'SPLA', '', '', ''),
	('SPHY', 'small_airport', 'Andahuaylas Airport', -13.706399917602539, -73.35040283203125, 11300, 'PE', 'PE-APU', 'Andahuaylas', 'yes', 'SPHY', 'ANS', '', ''),
	('SPZO', 'large_airport', 'Alejandro Velasco Astete International Airport', -13.535699844400002, -71.9387969971, 10860, 'PE', 'PE-CUS', 'Cusco', 'yes', 'SPZO', 'CUZ', '', ''),
	('SPPE', 'small_airport', 'Palmapampa Airport', -12.763889, -73.652778, 1988, 'PE', 'PE-AYA', 'Palmapampa', 'no', 'SPPE', '', '', ''),
	('SPHO', 'medium_airport', 'Air Force Colonel Alfredo Mendivil Duarte Airport', -13.1548, -74.204399, 8917, 'PE', 'PE-AYA', 'Ayacucho', 'yes', 'SPHO', 'AYP', '', 'Coronel FAP Alfredo Mendivil Duarte'),
	('SPNM', 'small_airport', 'Nuevo Mundo Airport', -11.541500091552734, -73.14219665527344, 1090, 'PE', 'PE-CUS', 'Nuevo Mundo', 'no', 'SPNM', '', '', ''),
	('SPMF', 'small_airport', 'Mayor PNP Nancy Flores Paucar Airport', -11.3254, -74.535598, 2247, 'PE', 'PE-JUN', 'Mazamari', 'no', 'SPMF', 'MZA', '', 'Manuel Prado Ugarteche'),
	('SPKI', 'N/A', 'N/A', -12.648633196949959, -73.03659707307816, 789, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPWT', 'N/A', 'N/A', -11.854941733181477, -72.93933615088463, 384, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPHM', 'N/A', 'N/A', -13.678361736238003, -73.92657548189163, 3619, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SP70', 'N/A', 'N/A', -16.791443824768066, -71.88730046153069, 1184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SPPP', 'small_airport', 'Huanacopampa Airport', -14.14334, -72.33455, 13130, 'PE', 'PE-APU', 'Huanacopampa', 'no', 'SPPP', '', '', ''),
	('SPUA', 'N/A', 'N/A', -16.045732721686363, -73.09450596570969, 2164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPYU', 'small_airport', 'Yauca Airport', -15.618900299072266, -74.53610229492188, 488, 'PE', 'PE-ARE', 'Yauca', 'no', 'SPYU', '', '', ''),
	('SPQU', 'medium_airport', 'Rodríguez Ballón International Airport', -16.3411006927, -71.5830993652, 8405, 'PE', 'PE-ARE', 'Arequipa', 'yes', 'SPQU', 'AQP', '', ''),
	('SPVR', 'small_airport', 'Vitor Airport', -16.429199, -71.837799, 0, 'PE', 'PE-ARE', 'La Joya', 'no', 'SPVR', '', '', ''),
	('SPIY', 'small_airport', 'Yauri Airport', -14.796129, -71.431818, 12972, 'PE', 'PE-CUS', 'Yauri', 'no', 'SPIY', '', '', ''),
	('SPOY', 'small_airport', 'Atico Airport', -16.232846, -73.605652, 9, 'PE', 'PE-ARE', 'Atico', 'no', 'SPOY', '', '', ''),
	('SPZA', 'medium_airport', 'Maria Reiche Neuman Airport', -14.854, -74.961502, 1860, 'PE', 'PE-ICA', 'Nazca', 'yes', 'SPZA', 'NZC', '', ''),
	('SPHC', 'small_airport', 'Chala Airport', -15.80703, -74.28699, 112, 'PE', 'PE-ARE', 'Puerto Chala', 'no', 'SPHC', '', '', ''),
	('SPOR', 'small_airport', 'Orcopampa Airport', -15.315232, -72.352095, 12200, 'PE', 'PE-ARE', 'Orcopampa', 'no', 'SPOR', '', '', ''),
	('SPCI', 'small_airport', 'Campamento De Ilo Aerodrome', -17.615403, -71.330883, 197, 'PE', 'PE-MOQ', '', 'no', 'SPCI', '', '', ''),
	('SPDO', 'small_airport', 'Mollendo Airport', -17.045401, -71.983704, 9, 'PE', 'PE-ARE', 'Mollendo', 'no', 'SPDO', '', '', ''),
	('SPLO', 'medium_airport', 'General Jorge Fernandez Maldon Airport', -17.695, -71.344002, 72, 'PE', 'PE-MOQ', 'Ilo', 'yes', 'SPLO', 'ILQ', '', ''),
	('SXPM', 'N/A', 'N/A', -0.8883040398359299, -70.98654046654701, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWJP', 'small_airport', 'Bittencourt Airport', -1.4039299488067627, -69.42379760742188, 257, 'BR', 'BR-AM', 'Japurá', 'no', 'SWJP', '', 'SWJP', ''),
	('SKLP', 'small_airport', 'La Pedrera Airport', -1.32861, -69.5797, 590, 'CO', 'CO-AMA', 'La Pedrera', 'yes', 'SKLP', 'LPD', 'LPD', ''),
	('SKMI', 'N/A', 'N/A', -0.567883662879467, -69.63815197348595, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SXPO', 'N/A', 'N/A', -0.11850602924823761, -70.19278317689896, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBSK', 'N/A', 'N/A', -3.0846577137708664, -67.95839175581932, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDCG', 'small_airport', 'Senadora Eunice Micheles Airport', -3.46907, -68.921056, 335, 'BR', 'BR-AM', 'São Paulo De Olivença', 'no', 'SDCG', 'OLC', 'AM0016', ''),
	('SKLT', 'medium_airport', 'Alfredo Vásquez Cobo International Airport', -4.19355, -69.9432, 277, 'CO', 'CO-AMA', 'Leticia', 'yes', 'SKLT', 'LET', 'LET', ''),
	('SPBC', 'medium_airport', 'Caballococha Airport', -3.91686010361, -70.5082015991, 328, 'PE', 'PE-LOR', 'Caballococha', 'no', 'SPBC', '', 'LHC', ''),
	('SWII', 'small_airport', 'Ipiranga Airport', -2.940141, -69.694264, 220, 'BR', 'BR-AM', 'Santo Antônio do Içá', 'no', 'SWII', 'IPG', 'AM0013', ''),
	('SBTT', 'medium_airport', 'Tabatinga Airport', -4.25567, -69.935799, 263, 'BR', 'BR-AM', 'Tabatinga', 'yes', 'SBTT', 'TBT', 'AM0005', ''),
	('SKTA', 'N/A', 'N/A', -2.895767167210579, -69.74966838955879, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBTK', 'medium_airport', 'Tarauacá Airport', -8.155534, -70.782985, 646, 'BR', 'BR-AC', 'Tarauacá', 'no', 'SBTK', 'TRQ', 'AC0004', ''),
	('SBHP', 'N/A', 'N/A', -7.443780116736889, -70.0192303955555, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNOU', 'small_airport', 'Feijó Airport', -8.141213, -70.340821, 551, 'BR', 'BR-AC', 'Feijó', 'no', 'SNOU', 'FEJ', 'AC0003', 'Novo Aeródromo de Feijó'),
	('SBJQ', 'N/A', 'N/A', -6.415414474904537, -68.25740933418274, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWEI', 'small_airport', 'Eirunepé Airport', -6.63953, -69.879799, 412, 'BR', 'BR-AM', 'Eirunepé', 'no', 'SWEI', 'ERN', 'SWEI', ''),
	('SSPX', 'small_airport', 'Manoel Urbano Airport', -8.8501, -69.260038, 531, 'BR', 'BR-AC', 'Manoel Urbano', 'no', 'SIMB', '', 'AC0007', 'SSPX'),
	('SPEP', 'small_airport', 'Puerto Esperanza Airport', -9.76813, -70.706497, 725, 'PE', 'PE-UCA', 'Esperanza', 'no', 'SPEP', '', '', ''),
	('SPIB', 'N/A', 'N/A', -10.924741923809052, -69.55708041787148, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWSX', 'closed', 'Seringal Nova Olinda Airport', -10.100445, -69.21258, 673, 'BR', 'BR-AC', 'Sena Madureira', 'no', '', '', '', 'SWSX'),
	('SLCO', 'medium_airport', 'Capitán Aníbal Arab Airport', -11.040399551400002, -68.7829971313, 889, 'BO', 'BO-N', 'Cobija', 'yes', 'SLCO', 'CIJ', '', ''),
	('SPIN', 'small_airport', 'Iñapari Airport', -10.979, -69.559402, 917, 'PE', 'PE-MDD', 'Iñapari', 'no', 'SPIN', '', '', ''),
	('SBRB', 'medium_airport', 'Rio Branco-Plácido de Castro International Airport', -9.869031, -67.893984, 633, 'BR', 'BR-AC', 'Rio Branco', 'yes', 'SBRB', 'RBR', 'AC0001', ''),
	('ZMD', 'small_airport', 'Sena Madureira Airport', -9.116, -68.6108, 540, 'BR', 'BR-AC', 'Sena Madureira', 'no', '', 'ZMD', '', ''),
	('SD7H', 'N/A', 'N/A', -10.663333497941494, -68.4861110150814, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSPQ', 'small_airport', 'Santa Rosa do Purus Airport', -9.446646, -70.483364, 751, 'BR', 'BR-AC', 'Santa Rosa do Purus', 'no', 'SSRA', '', 'AC0011', 'SSPQ'),
	('SLCM', 'small_airport', 'Camacho Airport', -11.505, -67.6847, 690, 'BO', 'BO-N', 'Camacho', 'no', 'SLCM', '', '', ''),
	('SPTU', 'medium_airport', 'Padre Aldamiz International Airport', -12.6135997772, -69.2285995483, 659, 'PE', 'PE-MDD', 'Puerto Maldonado', 'yes', 'SPTU', 'PEM', '', 'Puerto Maldonado International Airport'),
	('SPAR', 'small_airport', 'Alerta Airport', -11.65018, -69.229614, 797, 'PE', 'PE-MDD', 'Fortaleza', 'no', 'SPAR', 'ALD', '', ''),
	('SPBR', 'medium_airport', 'Iberia Airport', -11.4116, -69.488701, 750, 'PE', 'PE-MDD', 'Iberia', 'no', 'SPBR', 'IBP', '', ''),
	('SPNU', 'small_airport', 'Manu Airport', -12.289721, -70.890199, 1010, 'PE', 'PE-MDD', 'Manu', 'no', 'SPNU', '', '', ''),
	('SLIX', 'small_airport', 'Ixiamas Airport', -13.76, -68.136833, 725, 'BO', 'BO-L', 'Iturralde', 'no', 'SLIX', '', '', ''),
	('SLRE', 'N/A', 'N/A', -14.014578983187675, -67.87215739488602, 242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLUP', 'small_airport', 'Puerto America Airport', -11.7616, -67.95864, 571, 'BO', 'BO-N', 'Puerto America', 'no', 'SLUP', '', '', ''),
	('SPRF', 'small_airport', 'San Rafael Airport', -14.28201, -70.37989, 14422, 'PE', 'PE-PUN', 'San Rafael', 'no', 'SPRF', '', '', ''),
	('SLLP', 'medium_airport', 'El Alto International Airport', -16.5132999420166, -68.19229888916016, 13355, 'BO', 'BO-L', 'La Paz / El Alto', 'yes', 'SLLP', 'LPB', '', ''),
	('SPJL', 'medium_airport', 'Inca Manco Capac International Airport', -15.467100143432617, -70.158203125, 12552, 'PE', 'PE-PUN', 'Juliaca', 'yes', 'SPJL', 'JUL', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SLCC', 'small_airport', 'Copacabana Airport', -16.191099, -69.095596, 12591, 'BO', 'BO-L', 'Copacabana', 'no', 'SLCC', '', '', ''),
	('SLUU', 'small_airport', 'Ulla Ulla Airport', -15.033334, -69.25, 14360, 'BO', 'BO-L', 'Franz Tamayo', 'no', 'SLUU', '', '', ''),
	('SLTE', 'small_airport', 'Teoponte Airport', -15.498333, -67.816666, 1400, 'BO', 'BO-L', 'Larecaja', 'no', 'SLTE', '', '', ''),
	('SLAP', 'small_airport', 'Apolo Airport', -14.7356, -68.411903, 4639, 'BO', 'BO-L', 'Apolo', 'no', 'SLAP', 'APB', '', ''),
	('SLCN', 'small_airport', 'Charaña Airport', -17.5947, -69.433098, 13339, 'BO', 'BO-L', 'Charaña', 'no', 'SLCN', '', '', ''),
	('SLCZ', 'N/A', 'N/A', -19.473084211349487, -68.65875318646431, 3779, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCQJ', 'N/A', 'N/A', -18.318578638136387, -69.606554210186, 3361, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCAR', 'medium_airport', 'Chacalluta Airport', -18.348499, -70.338699, 167, 'CL', 'CL-AP', 'Arica', 'yes', 'SCAR', 'ARI', '', ''),
	('SPTQ', 'small_airport', 'Toquepala Airport', -17.2995, -70.652802, 8536, 'PE', 'PE-TAC', 'Toquepala', 'no', 'SPTQ', '', '', ''),
	('SCAW', 'N/A', 'N/A', -19.286270700395107, -70.00615954399109, 1188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPEQ', 'small_airport', 'Cesar Torke Podesta Airport', -17.179001, -70.930801, 4480, 'PE', 'PE-MOQ', 'Moquegua', 'no', 'SPEQ', '', '', ''),
	('SCIQ', 'N/A', 'N/A', -19.624072797596455, -69.91044536232948, 1159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPTN', 'medium_airport', 'Coronel FAP Carlos Ciriani Santa Rosa International Airport', -18.053300857500002, -70.2758026123, 1538, 'PE', 'PE-TAC', 'Tacna', 'yes', 'SPTN', 'TCQ', '', ''),
	('SLVA', 'small_airport', 'Villa Aroma Airport', -17.32101, -67.75322, 12533, 'BO', 'BO-L', 'Aroma', 'no', 'SLVA', '', '', ''),
	('SCAE', 'small_airport', 'El Buitre Airport', -18.508938, -70.290707, 328, 'CL', 'CL-AP', 'Arica', 'no', 'SCAE', '', '', ''),
	('SCBE', 'medium_airport', 'Barriles Airport', -22.1411, -70.062897, 3475, 'CL', 'CL-AN', 'Tocopilla', 'no', 'SCBE', 'TOQ', '', ''),
	('SCDA', 'medium_airport', 'Diego Aracena Airport', -20.5352, -70.181297, 155, 'CL', 'CL-TA', 'Iquique', 'yes', 'SCDA', 'IQQ', '', ''),
	('SCKP', 'small_airport', 'Coposa Airport', -20.7505, -68.683502, 12468, 'CL', 'CL-TA', 'Pica', 'no', 'SCKP', 'CPP', '', ''),
	('SC1A', 'small_airport', 'Canchones West Airport', -20.427099227905273, -69.6415023803711, 3251, 'CL', 'CL-TA', 'Canchones', 'no', 'SC1A', '', '', ''),
	('SCCZ', 'N/A', 'N/A', -21.222276091575623, -68.23836475610733, 3703, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCNE', 'closed', 'María Elena Airport', -22.303669, -69.705527, 4003, 'CL', 'CL-AN', 'Maria Elena', 'no', '', '', '', 'SCNE, SCNE'),
	('SC49', 'heliport', 'Bamberg County Memorial Hospital Heliport', 33.307174, -81.028461, 152, 'US', 'US-SC', 'Bamberg', 'no', '', '', 'SC49', ''),
	('SBFG', 'N/A', 'N/A', -1.8959606811404228, -67.01945409178734, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWTP', 'small_airport', 'Tapuruquara Airport', -0.3786, -64.9923, 223, 'BR', 'BR-AM', 'Santa Isabel Do Rio Negro', 'yes', 'SWTP', 'IRZ', '', ''),
	('SWWD', 'small_airport', 'C.F. de Souza Bais Airport', -1.691388889, -63.785, 207, 'BR', 'BR-AM', 'Barcelos', 'no', '', '', '', 'SWWD'),
	('SBUA', 'medium_airport', 'São Gabriel da Cachoeira Airport', -0.14835, -66.9855, 249, 'BR', 'BR-AM', 'São Gabriel da Cachoeira', 'yes', 'SBUA', 'SJL', 'AM0003', 'Uaupés'),
	('SBTF', 'medium_airport', 'Tefé Airport', -3.38294, -64.724098, 186, 'BR', 'BR-AM', 'Tefé', 'yes', 'SBTF', 'TFF', 'AM0004', ''),
	('SWCA', 'small_airport', 'Carauari Airport', -4.871473, -66.897552, 355, 'BR', 'BR-AM', 'Carauari', 'yes', 'SWCA', 'CAF', 'AM0007', ''),
	('SBHQ', 'N/A', 'N/A', -3.4822888299822807, -66.05760365724564, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBUY', 'small_airport', 'Urucu Airport', -4.884263, -65.355421, 210, 'BR', 'BR-AM', 'Urucu', 'no', 'SBUY', 'RPU', 'AM0025', 'SWUY'),
	('SDDS', 'small_airport', 'Fazenda Scheffer Airport', -8.343408, -65.713456, 293, 'BR', 'BR-AM', 'Lábrea', 'no', '', '', '', 'SDDS'),
	('SBFH', 'N/A', 'N/A', -7.280080206692219, -65.19130915403366, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBDL', 'N/A', 'N/A', -6.529507264494896, -64.38391372561455, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWUI', 'heliport', 'Ilha do Maia Heliport', -23.027213, -44.331926, 0, 'BR', 'BR-RJ', 'Ilha do Maia', 'no', 'SWUI', '', 'RJ0167', ''),
	('SWLB', 'small_airport', 'Lábrea Airport', -7.27897, -64.769501, 243, 'BR', 'BR-AM', 'Lábrea', 'yes', 'SWLB', 'LBR', 'AM0024', ''),
	('SBGJ', 'N/A', 'N/A', -10.399505384266376, -65.34731224179268, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBPV', 'medium_airport', 'Governador Jorge Teixeira de Oliveira Airport', -8.707854, -63.90242, 295, 'BR', 'BR-RO', 'Porto Velho', 'yes', 'SBPV', 'PVH', 'RO0001', ''),
	('SWKB', 'small_airport', 'Fazenda Campina Airport', -9.142499923706055, -67.44583129882813, 699, 'BR', 'BR-AM', 'Boca Do Acre', 'no', 'SWKB', '', '', ''),
	('SWNK', 'small_airport', 'Novo Campo Airport', -8.83456, -67.312401, 394, 'BR', 'BR-AM', 'Boca do Acre', 'no', 'SWNK', 'BCR', 'SWNK', 'SBBA'),
	('SLNU', 'N/A', 'N/A', -9.771319963037968, -66.33166372776031, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBRN', 'N/A', 'N/A', -9.569168910384178, -67.30537846684456, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWGF', 'closed', 'Jirau Hydroelectric Plant Airport', -9.288032, -64.625487, 295, 'BR', 'BR-RO', 'Jaci Paraná', 'no', '', '', '', 'SWGF'),
	('SWRG', 'small_airport', 'Fazenda Rancho Maria e Tereza Airport', -10.825833320617676, -65.2286148071289, 492, 'BR', 'BR-RO', 'Guajará-Mirim', 'no', 'SWRG', '', '', ''),
	('SJNN', 'small_airport', 'Fazenda Botelho Airport', -10.218966, -64.34348, 535, 'BR', 'BR-RO', 'Nova Mamoré', 'no', '', '', '', 'SJNN'),
	('SBAP', 'N/A', 'N/A', -10.20603395998478, -63.854145258665085, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLGY', 'small_airport', 'Capitán de Av. Emilio Beltrán Airport', -10.820306, -65.346494, 557, 'BO', 'BO-B', 'Guayaramerín', 'no', 'SLGY', '', '', 'GYA'),
	('SBGM', 'medium_airport', 'Guajará-Mirim Airport', -10.78641, -65.28486, 478, 'BR', 'BR-RO', 'Guajará-Mirim', 'no', 'SBGM', 'GJM', 'RO0006', ''),
	('SDNQ', 'small_airport', 'Fazenda Água Limpa', -9.980571, -67.491113, 646, 'BR', 'BR-AC', 'Senador Guiomard', 'no', 'SDNQ', '', 'AC0006', ''),
	('SWRO', 'small_airport', 'Aeroclube de Rondônia Airport', -8.794348, -63.857494, 371, 'BR', 'BR-RO', 'Porto Velho', 'no', 'SWRO', '', 'RO0002', ''),
	('SLGM', 'medium_airport', 'Guayaramerín Airport', -10.88856, -65.380955, 456, 'BO', 'BO-B', 'Guayaramerín', 'yes', 'SLGM', 'GYA', '', ''),
	('SLUA', 'N/A', 'N/A', -13.85322667658329, -65.80440893769264, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SLVN', 'small_airport', 'Villa Negrita Airport', -13.2658, -65.875801, 872, 'BO', 'BO-B', 'Yacuma', 'no', 'SLVN', '', '', ''),
	('SLEC', 'small_airport', 'El Cairo Airport', -13.783334, -66.400002, 722, 'BO', 'BO-B', 'Yacuma', 'no', 'SLEC', '', '', ''),
	('SLMG', 'small_airport', 'Magdalena Airport', -13.2607483767, -64.0607643127, 462, 'BO', 'BO-B', 'Magdalena', 'no', 'SLMG', 'MGD', '', ''),
	('SLUG', 'N/A', 'N/A', -13.606638126075268, -63.87883320450783, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLCV', 'small_airport', 'Cavinas Airport', -12.5498, -66.912498, 656, 'BO', 'BO-B', 'Ballivian', 'no', 'SLCV', '', '', ''),
	('SWCQ', 'small_airport', 'Costa Marques Airport', -12.4211, -64.251602, 623, 'BR', 'BR-RO', 'Costa Marques', 'no', 'SWCQ', 'CQS', 'RO0007', ''),
	('SLTY', 'small_airport', 'Tiguipa Airport', -13.800000190734863, -66.23332977294922, 722, 'BO', 'BO-B', 'Yacuma', 'no', 'SLTY', '', '', ''),
	('SLLI', 'small_airport', 'La India Airport', -13.573833, -66.83567, 540, 'BO', 'BO-B', 'Ballivian', 'no', 'SLLI', '', '', ''),
	('SLSO', 'N/A', 'N/A', -12.342982739210129, -64.5205982029438, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWPB', 'small_airport', 'Forte Príncipe da Beira Airport', -12.420665, -64.418603, 591, 'BR', 'BR-RO', 'Costa Marques', 'no', 'SWPB', '', 'RO9001', ''),
	('SLSL', 'N/A', 'N/A', -12.426391392946243, -65.5073918402195, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLIG', 'small_airport', 'Inglaterra Airport', -13.4438, -66.505997, 780, 'BO', 'BO-B', 'Ballivian', 'no', 'SLIG', '', '', ''),
	('SLTH', 'N/A', 'N/A', -12.860156893730164, -66.63960456848145, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLUD', 'N/A', 'N/A', -13.281444422900677, -65.80252289772034, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLNV', 'small_airport', 'Nieve Airport', -14.016666, -65.800003, 780, 'BO', 'BO-B', 'Yacuma', 'no', 'SLNV', '', '', ''),
	('SLIN', 'small_airport', 'Santa Catalina Airport', -15.5, -65.91666412353516, 722, 'BO', 'BO-B', 'Moxos', 'no', 'SLIN', '', '', ''),
	('SLTV', 'N/A', 'N/A', -13.318964503705502, -65.25873139500618, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLBF', 'small_airport', 'Blanca Flor Airport', -11.7272, -66.9263, 598, 'BO', 'BO-N', 'Madre De Dios', 'no', 'SLBF', '', '', ''),
	('SLSA', 'medium_airport', 'Santa Ana Del Yacuma Airport', -13.762200355500001, -65.4352035522, 472, 'BO', 'BO-B', 'Santa Ana del Yacuma', 'no', 'SLSA', 'SBL', '', ''),
	('SLPM', 'small_airport', 'Palmira Airport', -13.737951, -66.409333, 530, 'BO', 'BO-B', 'Yacuma', 'no', 'SLPM', '', '', ''),
	('SLSW', 'N/A', 'N/A', -13.678613528609276, -67.06762924790382, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLVV', 'small_airport', 'Villa Elvira Airport', -13.6443, -64.440804, 722, 'BO', 'BO-B', 'Mamore', 'no', 'SLVV', '', '', ''),
	('SLUB', 'N/A', 'N/A', -13.137524798512459, -65.13311460614204, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLBN', 'small_airport', 'Bella Unión Airport', -13.633333, -65.283333, 722, 'BO', 'BO-B', 'Mamoré', 'no', 'SLBN', '', '', ''),
	('SLZF', 'small_airport', 'San Francisco Naciff Airport', -13.7486, -64.453697, 482, 'BO', 'BO-B', 'Nacif', 'no', 'SLZF', '', '', ''),
	('SLBH', 'small_airport', 'Buena Hora Airport', -12.133333, -66.533333, 656, 'BO', 'BO-B', 'Ballivian', 'no', 'SLBH', '', '', ''),
	('SLEF', 'small_airport', 'El Triunfo Airport', -13.883333, -65.76667, 486, 'BO', 'BO-B', 'Yacuma', 'no', 'SLEF', '', '', ''),
	('SLRA', 'small_airport', 'San Ramón Airport', -13.2639, -64.603897, 698, 'BO', 'BO-B', 'San Ramón / Mamoré', 'no', 'SLRA', 'SRD', '', ''),
	('SLBT', 'small_airport', 'Buen Retiro Ballivian Airport', -13.9, -66.550003, 886, 'BO', 'BO-B', 'Ballivian', 'no', 'SLBT', '', '', ''),
	('SLEA', 'small_airport', 'El Cocal Airport', -13.569948, -66.071841, 722, 'BO', 'BO-B', 'Yacuma', 'no', 'SLEA', '', '', ''),
	('SLJO', 'small_airport', 'San Joaquín Airport', -13.0528, -64.661697, 456, 'BO', 'BO-B', 'San Joaquín', 'no', 'SLJO', 'SJB', '', ''),
	('SLTN', 'N/A', 'N/A', -14.262191131711006, -64.8722568154335, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLJN', 'small_airport', 'San Juan Estancias Airport', -14.162648, -64.759276, 820, 'BO', 'BO-B', 'Cercado', 'no', '', '', '', 'SLJN'),
	('SLTD', 'N/A', 'N/A', -14.081752561032772, -65.65779536962509, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLCQ', 'N/A', 'N/A', -16.265845522284508, -65.17828032374382, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLSR', 'small_airport', 'Santa Rosa De Yacuma Airport', -14.0662, -66.786797, 738, 'BO', 'BO-B', 'Santa Rosa', 'no', 'SLSR', 'SRB', '', ''),
	('SLUF', 'N/A', 'N/A', -15.329541340470314, -64.95646074414253, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLTP', 'N/A', 'N/A', -14.521708264946938, -65.55576905608177, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLEV', 'small_airport', 'El Salvador Airport', -14.4983, -66.762901, 574, 'BO', 'BO-B', 'Ballivian', 'no', 'SLEV', '', '', ''),
	('SLDN', 'small_airport', 'El Desengano Airport', -14.2736, -65.440002, 730, 'BO', 'BO-B', 'Yacuma', 'no', 'SLDN', '', '', ''),
	('SLTM', 'N/A', 'N/A', -15.483358316123486, -65.35826861858368, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLTT', 'N/A', 'N/A', -14.202687665820122, -65.427425801754, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLTG', 'small_airport', 'Santiago Airport', -15.2278, -65.450104, 1000, 'BO', 'BO-B', 'Moxos', 'no', 'SLTG', '', '', ''),
	('SLSM', 'small_airport', 'San Ignacio de Moxos Airport', -14.9658, -65.6338, 545, 'BO', 'BO-B', 'San Ignacio de Moxos', 'no', 'SLSM', 'SNM', '', ''),
	('SLSB', 'small_airport', 'Capitán Av. German Quiroga G. Airport', -14.859199523925781, -66.73750305175781, 633, 'BO', 'BO-B', 'San Borja', 'yes', 'SLSB', 'SRJ', '', ''),
	('SLPG', 'small_airport', 'Progreso Airport', -14.1784, -65.375603, 754, 'BO', 'BO-B', 'Moxos', 'no', 'SLPG', '', '', ''),
	('SLSY', 'N/A', 'N/A', -14.904821589589119, -66.39866441488266, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLTR', 'medium_airport', 'Teniente Av. Jorge Henrich Arauz Airport', -14.8186998367, -64.9179992676, 509, 'BO', 'BO-B', 'Trinidad', 'no', 'SLTR', 'TDD', '', ''),
	('SLTK', 'N/A', 'N/A', -15.279649570584297, -65.78476399183273, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLTQ', 'N/A', 'N/A', -14.416982755064964, -65.51792666316032, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLLZ', 'small_airport', 'San Lorenzo Airport', -15.383333, -65.75, 825, 'BO', 'BO-B', 'Moxos', 'no', 'SLLZ', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SLUE', 'N/A', 'N/A', -15.767023712396622, -64.97249409556389, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLLB', 'small_airport', 'Las Brizas Airport', -14.516666, -65.76667, 722, 'BO', 'BO-B', 'Yacuma', 'no', 'SLLB', '', '', ''),
	('SLSZ', 'N/A', 'N/A', -14.333054758608341, -66.75245404243469, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLAN', 'small_airport', 'Angora Airport', -14.4323, -65.768799, 731, 'BO', 'BO-B', 'Ballivian', 'no', 'SLAN', '', '', ''),
	('SLRU', 'N/A', 'N/A', -14.427072890102863, -67.49975368380547, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLUS', 'small_airport', 'Urusi Airport', -14.316667, -66.166664, 805, 'BO', 'BO-B', 'Ballivian', 'no', 'SLUS', '', '', ''),
	('SLPI', 'small_airport', 'Pitai Airport', -15.808492, -65.619471, 605, 'BO', 'BO-B', 'Moxos', 'no', 'SLPI', '', '', ''),
	('SLVE', 'small_airport', 'Venecia Airport', -14.636, -66.750298, 722, 'BO', 'BO-B', 'Yacuma', 'no', 'SLVE', '', '', ''),
	('SLBB', 'small_airport', 'Bulo Bulo Airport', -17.257334, -64.366669, 886, 'BO', 'BO-C', 'Carrasco', 'no', 'SLBB', '', '', ''),
	('SLCL', 'small_airport', 'Collpani Airport', -18.891666, -66.783333, 12185, 'BO', 'BO-O', 'Abaroa', 'no', 'SLCL', '', '', ''),
	('SLAM', 'small_airport', 'Arampampa Airport', -17.883333, -66.099998, 10250, 'BO', 'BO-P', 'Gral. Ballivian', 'no', 'SLAM', '', '', ''),
	('SLPO', 'medium_airport', 'Capitan Nicolas Rojas Airport', -19.543331, -65.723734, 12922, 'BO', 'BO-P', 'Potosí', 'no', 'SLPO', 'POI', '', ''),
	('SLYI', 'small_airport', 'Yapacani Airport', -17.015667, -64.056335, 816, 'BO', 'BO-S', 'Ichilo', 'no', 'SLYI', '', '', ''),
	('SLAQ', 'small_airport', 'Aiquile Airport', -18.215401, -65.187798, 7208, 'BO', 'BO-C', 'Campero', 'no', 'SLAQ', '', '', ''),
	('SLHI', 'N/A', 'N/A', -16.977499946951866, -65.14444425702095, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLCB', 'medium_airport', 'Jorge Wilsterman International Airport', -17.421100616455078, -66.1771011352539, 8360, 'BO', 'BO-C', 'Cochabamba', 'yes', 'SLCB', 'CBB', '', ''),
	('SLSU', 'medium_airport', 'Juana Azurduy De Padilla Airport', -19.007099, -65.288696, 9540, 'BO', 'BO-H', 'Sucre', 'no', 'SLSU', '', '', 'military'),
	('SLMZ', 'small_airport', 'Mizque Airport', -17.931, -65.380203, 7030, 'BO', 'BO-C', 'Mizque', 'no', 'SLMZ', '', '', ''),
	('SLPL', 'small_airport', 'Padilla Airport', -19.2994, -64.294098, 6770, 'BO', 'BO-H', 'J. Mendoza', 'no', 'SLPL', '', '', ''),
	('SLVG', 'small_airport', 'Capitán Av. Vidal Villagomez Toledo Airport', -18.4825, -64.099403, 6551, 'BO', 'BO-S', 'Vallegrande', 'no', 'SLVG', 'VAH', '', ''),
	('SLOR', 'medium_airport', 'Juan Mendoza Airport', -17.962601, -67.076202, 12152, 'BO', 'BO-O', 'Oruro', 'no', 'SLOR', 'ORU', '', ''),
	('SLLQ', 'small_airport', 'Copaquilla Airport', -19.33333396911621, -67.08333587646484, 12150, 'BO', 'BO-O', 'L. Cabrera', 'no', 'SLLQ', '', '', ''),
	('SLTZ', 'small_airport', 'Tupiza-Mochará Airport', -21.337012, -65.612228, 11300, 'BO', 'BO-P', 'Sud Chichas', 'no', 'SLTZ', '', '', ''),
	('SLVZ', 'small_airport', 'Villazon Airport', -22.053604, -65.639249, 1100, 'BO', 'BO-P', 'M.Omiste', 'no', 'SLVZ', '', '', ''),
	('SLTL', 'small_airport', 'San Cristóbal Toldos Airport', -21.175602, -67.166689, 11800, 'BO', 'BO-P', 'Nor Lipez', 'no', 'SLTL', '', '', ''),
	('SA95', 'N/A', 'N/A', -22.28424645960331, -64.69433650374413, 1559, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLHC', 'small_airport', 'Huacareta Airport', -20.3908, -64.015404, 4668, 'BO', 'BO-H', 'H. Silez', 'no', 'SLHC', '', '', ''),
	('SLUY', 'small_airport', 'Uyuni Joya Andina Airport', -20.441304, -66.857553, 11136, 'BO', 'BO-P', 'Quijarro', 'no', 'SLUY', 'UYU', '', ''),
	('SLTJ', 'medium_airport', 'Capitan Oriel Lea Plaza Airport', -21.5557, -64.701302, 6079, 'BO', 'BO-T', 'Tarija', 'yes', 'SLTJ', 'TJA', '', ''),
	('SA94', 'N/A', 'N/A', -22.498829215765, -64.7700360417366, 1479, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLVC', 'N/A', 'N/A', -21.395539417862892, -63.75688835978508, 722, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLCS', 'small_airport', 'Cerdas Airport', -20.808333, -66.401111, 12640, 'BO', 'BO-P', 'Nor Lipez', 'no', 'SLCS', '', '', ''),
	('SLAG', 'small_airport', 'Monteagudo Airport', -19.827, -63.960999, 3674, 'BO', 'BO-H', 'El Bañado', 'no', 'SLAG', 'MHW', '', ''),
	('SASQ', 'small_airport', 'Laboulaye Airport', -34.135399, -63.362301, 449, 'AR', 'AR-X', 'Laboulaye', 'no', 'SAOL', '', 'LYE', ''),
	('SLCI', 'small_airport', 'Caigua Airport', -21.136389, -63.752778, 1685, 'BO', 'BO-T', 'Gran Chaco', 'no', 'SLCI', '', '', 'Carapari, Caigua'),
	('SLVO', 'N/A', 'N/A', -22.05324925482273, -65.6390717625618, 3483, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLCU', 'small_airport', 'Culpina Airport', -20.833334, -64.966667, 9676, 'BO', 'BO-H', 'Sud Cinti', 'no', 'SLCU', '', '', ''),
	('SWOW', 'small_airport', 'Moura Airport', -1.463542, -61.633088, 190, 'BR', 'BR-AM', 'Moura', 'no', 'SWOW', '', 'AM9003', ''),
	('SJVP', 'small_airport', 'Vila Pitinga Airport', -0.799166977406, -60.0838890076, 876, 'BR', 'BR-AM', 'Presidente Figueiredo', 'no', 'SJVP', '', '', ''),
	('SBRI', 'N/A', 'N/A', -1.990082748234272, -60.148997604846954, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWBC', 'small_airport', 'Barcelos Airport', -0.981191, -62.918603, 112, 'BR', 'BR-AM', 'Barcelos', 'yes', 'SWBC', 'BAZ', 'AM0017', ''),
	('SWNA', 'small_airport', 'Novo Aripuanã Airport', -5.11803, -60.364899, 118, 'BR', 'BR-AM', 'Novo Aripuanã', 'no', 'SWNA', 'NVP', 'AM0050', ''),
	('SBAO', 'N/A', 'N/A', -3.725702315568924, -61.6669736802578, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBEG', 'large_airport', 'Eduardo Gomes International Airport', -3.03861, -60.049702, 264, 'BR', 'BR-AM', 'Manaus', 'yes', 'SBEG', 'MAO', 'AM0001', ''),
	('SWFN', 'small_airport', 'Flores Airport', -3.072917, -60.021937, 203, 'BR', 'BR-AM', 'Manaus', 'no', 'SWFN', '', '', 'Amazonas Aeroclub'),
	('SWKO', 'small_airport', 'Coari Airport', -4.13406, -63.132599, 131, 'BR', 'BR-AM', 'Coari', 'no', 'SWKO', 'CIZ', 'SWKO', ''),
	('SBDC', 'N/A', 'N/A', -5.636260583996773, -63.18580001592636, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWHT', 'small_airport', 'Humaitá Airport', -7.532120227810001, -63.072101593, 230, 'BR', 'BR-AM', 'Humaitá', 'no', 'SWHT', 'HUW', 'SWHT', ''),
	('SDDE', 'small_airport', 'Fazenda Dois Irmãos Airport', -8.012773, -61.777196, 344, 'BR', 'BR-AM', 'Manicoré', 'no', 'SDDE', '', 'AM0026', ''),
	('SBMY', 'medium_airport', 'Manicoré Airport', -5.81138, -61.278301, 174, 'BR', 'BR-AM', 'Manicoré', 'yes', 'SBMY', 'MNX', 'AM0015', ''),
	('SWMM', 'small_airport', 'Buritizal Agropastoril Ltda Airport', -9.289453, -60.696678, 315, 'BR', 'BR-MT', 'Aripuanã', 'no', '', '', '', 'SWMM');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBJI', 'N/A', 'N/A', -10.870555602014065, -61.84666648507118, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWVX', 'small_airport', 'Fazenda Guariba Airstrip', -10.2415, -60.1409, 517, 'BR', 'BR-MT', 'Aripuanã', 'no', 'SWVX', '', 'SWVX', ''),
	('SJOG', 'small_airport', 'Ariquemes Airport', -9.880436, -63.047115, 466, 'BR', 'BR-RO', 'Ariquemes', 'no', 'SJOG', 'AQM', 'RO0008', ''),
	('SJJF', 'small_airport', 'Pousada do Rio Roosevelt Airport', -8.49523, -60.955747, 335, 'BR', 'BR-AM', 'Novo Aripuanã', 'no', 'SJJF', '', 'AM0034', ''),
	('SWIU', 'small_airport', 'Agropecuári Madeirinha Airport', -9.847383, -61.417572, 502, 'BR', 'BR-MT', 'Aripuanã', 'no', 'SJP6', '', 'MT0355', 'SWIU'),
	('SWLP', 'small_airport', 'Fazenda Rosa - Paralelo 10 Airport', -9.968610763549805, -61.22972106933594, 535, 'BR', 'BR-MT', 'Aripuanã', 'no', 'SWLP', '', '', ''),
	('SJHJ', 'small_airport', 'Fazenda Remanso Airport', -11.18294, -61.088936, 745, 'BR', 'BR-RO', 'Cacoal', 'no', 'SWRM', '', 'RO0036', 'SJHJ'),
	('SBJW', 'N/A', 'N/A', -10.440394654870033, -62.506678998470306, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWMQ', 'small_airport', 'Fazenda Muiraquitã Airport', -10.416943550109863, -60.55055618286133, 367, 'BR', 'BR-MT', 'Aripuanã', 'no', 'SWMQ', '', '', ''),
	('SBJM', 'N/A', 'N/A', -10.114545151591301, -61.39111742377281, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSXY', 'small_airport', 'Barradão Airport', -9.619722, -60.6675, 459, 'BR', 'BR-MT', 'Colniza', 'no', '', '', '', 'SSXY'),
	('SBJG', 'N/A', 'N/A', -9.403145536780357, -62.00605407357216, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWDS', 'small_airport', 'Fazenda Favo de Mel Airport', -15.648567, -59.327427, 846, 'BR', 'BR-MT', 'Pontes E Lacerda', 'no', '', '', '', 'SWDS'),
	('SBJN', 'N/A', 'N/A', -10.861400552093983, -61.495253294706345, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBJB', 'N/A', 'N/A', -10.359504595398903, -62.46072560548782, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNXV', 'small_airport', 'Fazenda Lagoa das Conchas Airport', -9.099247, -61.192789, 348, 'BR', 'BR-MT', 'Colniza', 'no', '', '', '', 'SNXV'),
	('SSZD', 'heliport', 'Aficel Heliport', -5.116667, -37.343334, 33, 'BR', 'BR-RN', 'Mossoró', 'no', '', '', '', 'SSZD'),
	('SNOP', 'small_airport', 'Propriá Airport', -10.25612, -36.80237, 164, 'BR', 'BR-SE', 'Propriá', 'no', '', '', '', 'SNOP'),
	('SIFM', 'small_airport', 'Fazenda Mudança Airport', -9.9122219085693, -60.86194229126, 499, 'BR', 'BR-MT', 'Aripuanã', 'no', '', '', '', 'SIFM'),
	('SWQH', 'small_airport', 'Agropecuária Nova Santana Airport', -10.147221565246582, -60.538612365722656, 797, 'BR', 'BR-MT', 'Aripuanã', 'no', 'SWQH', '', '', ''),
	('SWNI', 'small_airport', 'Nova Vida Airport', -10.178313, -62.825747, 459, 'BR', 'BR-RO', 'Cacaulândia', 'no', 'SIZ3', '', 'RO0101', 'SJVD, SWNI, Ariquemes'),
	('SWPM', 'small_airport', 'Pimenta Bueno Airport', -11.6416, -61.1791, 682, 'BR', 'BR-RO', 'Pimenta Bueno', 'no', 'SWPM', 'PBQ', 'RO0009', 'SNNB'),
	('SJHU', 'small_airport', 'Agropecuária Vale do Guaporé Airport', -13.882563, -60.096176, 958, 'BR', 'BR-MT', 'Vila Bela da Santíssima Trindade', 'no', 'SJHU', '', 'MT0180', ''),
	('SWTL', 'small_airport', 'Fazenda Corumbiara Airport', -12.500555992126465, -61.28361129760742, 1371, 'BR', 'BR-RO', 'Pimenta Bueno', 'no', 'SWTL', '', 'SWTL', ''),
	('SB03', 'closed', 'Fazenda Sao Sebastiao Airport', -12.736300468444824, -61.110198974609375, 919, 'BR', 'BR-RO', 'Sao Jose so Barreiro', 'no', '', '', '', 'SB03, SB03, SB03'),
	('SBVL', 'N/A', 'N/A', -13.18311832845211, -60.83963826298714, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBDE', 'N/A', 'N/A', -11.65582224726677, -61.77592143416405, 246, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDSW', 'heliport', 'Carta Fabril 01 Heliport', -22.582173, -43.992648, 1434, 'BR', 'BR-RJ', 'Piraí', 'no', 'SDSW', '', 'RJ0180', ''),
	('SJJU', 'small_airport', 'Fazenda Barra Mansa Airport', -14.045111, -60.15419, 725, 'BR', 'BR-MT', 'Nova Lacerda', 'no', 'SJJU', '', 'MT0188', ''),
	('SLBA', 'N/A', 'N/A', -13.657304048538208, -63.70271757245064, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIYD', 'heliport', 'Weril Heliport', -23.333332061768, -46.678890228271, 2576, 'BR', 'BR-SP', 'Franco Da Rocha', 'no', '', '', '', 'SIYD'),
	('SBPU', 'N/A', 'N/A', -11.547910943627357, -61.02269634604454, 258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBVE', 'N/A', 'N/A', -13.475780189037323, -61.0351936519146, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWKK', 'closed', 'Old Cacoal Airport', -11.43, -61.48, 640, 'BR', 'BR-RO', 'Cacoal', 'no', '', '', '', 'SWKK'),
	('SLPN', 'small_airport', 'Porvenir Norte Airport', -13.987333, -61.545666, 595, 'BO', 'BO-S', 'Velasco', 'no', 'SLPN', '', '', ''),
	('SWUM', 'small_airport', 'Fazenda Rancho Novo Airport', -13.4425, -60.272778, 984, 'BR', 'BR-MT', 'Comodoro', 'no', '', '', '', 'SWUM'),
	('SJAG', 'small_airport', 'Fazenda Paredão Airport', -13.63208, -60.283854, 778, 'BR', 'BR-MT', 'Comodoro', 'no', 'SJPC', '', 'MT0204', 'SJAG'),
	('SNNX', 'small_airport', 'Fazenda Boa Vista Airport', -12.8275, -61.354722, 745, 'BR', 'BR-RO', 'Corumbiara', 'no', 'SI4P', '', 'RO0074', 'SNNX'),
	('SBVX', 'N/A', 'N/A', -13.99428404867649, -60.07208839058876, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWKL', 'small_airport', 'Fazenda Primavera do Terebinto Airport', -12.557778358459473, -61.99611282348633, 590, 'BR', 'BR-RO', 'Alto Alegre Dos Parecis', 'no', 'SWKL', '', '', ''),
	('SBVH', 'medium_airport', 'Brigadeiro Camarão Airport', -12.6944, -60.098301, 2018, 'BR', 'BR-RO', 'Vilhena', 'yes', 'SBVH', 'BVH', 'RO0003', 'Vilhena Airport'),
	('SSKW', 'small_airport', 'Cacoal Airport', -11.496, -61.4508, 778, 'BR', 'BR-RO', 'Cacoal', 'yes', 'SSKW', 'OAL', 'RO0004', ''),
	('SSQA', 'small_airport', 'Fazenda Guaporé Airport', -13.723055839538574, -60.315277099609375, 830, 'BR', 'BR-MT', 'Comodoro', 'no', 'SSQA', '', '', ''),
	('SIZR', 'small_airport', 'Fazenda Carolina Airport', -12.900555610657, -61.130001068115, 853, 'BR', 'BR-RO', 'Corumbiara', 'no', '', '', '', 'SIZR'),
	('SJFP', 'small_airport', 'Fazenda Perobal Airport', -12.91236, -61.370498, 984, 'BR', 'BR-RO', 'Corumbiara', 'no', 'SWBO', '', 'RO0027', 'SJFP'),
	('SBDD', 'N/A', 'N/A', -11.919690929353237, -61.9761161506176, 353, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIRQ', 'small_airport', 'Fazenda Maranata Airport', -12.771169, -60.872107, 1000, 'BR', 'BR-RO', 'Chupinguaia', 'no', '', '', '', 'SIRQ'),
	('SLIR', 'small_airport', 'Ibori Airport', -13.050000190734863, -63.66666793823242, 775, 'BO', 'BO-B', 'Itenes', 'no', 'SLIR', '', '', ''),
	('SWXZ', 'small_airport', 'Fazenda Taquarussu Airport', -13.31002, -60.293255, 899, 'BR', 'BR-MT', 'Comodoro', 'no', 'SWXZ', '', 'MT0433', ''),
	('SB3S', 'N/A', 'N/A', -12.62789636850357, -60.900128334760666, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJPA', 'small_airport', 'EMAL - Pimenta Bueno Airport', -11.686111450195, -60.629722595215, 1001, 'BR', 'BR-RO', 'Pimenta Bueno', 'no', '', '', '', 'SJPA');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SNNY', 'small_airport', 'Fazenda Espírito Santo Airport', -13.280555725098, -60.331111907959, 1001, 'BR', 'BR-MT', 'Comodoro', 'no', '', '', '', 'SNNY'),
	('SWCF', 'small_airport', 'Fazenda Fronteira do Guaporé Airport', -13.735278, -60.477222, 673, 'BR', 'BR-MT', 'Comodoro', 'no', 'SDE4', '', 'MT0746', 'SWCF, Fazenda Confap'),
	('SJTF', 'small_airport', 'Fazenda Mequens Airport', -13.061944007873535, -62.25749969482422, 552, 'BR', 'BR-RO', 'Alta Floresta D`Oeste', 'no', 'SJTF', '', '', ''),
	('SBPM', 'N/A', 'N/A', -11.702830977737904, -62.67963498830795, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJJJ', 'small_airport', 'Fazenda Juliana Airport', -12.682861, -61.089262, 1161, 'BR', 'BR-RO', 'Chupinguaia', 'no', 'SIWO', '', 'RO0014', 'SJJJ'),
	('SIYN', 'small_airport', 'Eletro Primavera LTDA Airport', -11.902683, -61.22775, 749, 'BR', 'BR-RO', 'Pimenta Bueno', 'no', 'SIEL', '', 'RO0013', 'SIYN'),
	('SNIZ', 'small_airport', 'Fazenda Jaqueline Airport', -12.8825, -60.119444, 1772, 'BR', 'BR-RO', 'Vilhena', 'no', 'SNIZ', '', '', ''),
	('SJNK', 'small_airport', 'Fazenda Três Perobas Airport', -12.081667, -61.639999, 1119, 'BR', 'BR-RO', 'Santa Luzia D`Oeste', 'no', 'SJNK', '', 'RO0017', ''),
	('SBVI', 'N/A', 'N/A', -13.113245107233524, -60.52438169717789, 455, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLFO', 'small_airport', 'Flor De Oro Airport', -13.5548, -61.004101, 560, 'BO', 'BO-S', 'Moxos', 'no', 'SLFO', '', '', ''),
	('SWDK', 'small_airport', 'Fazenda Dona Olga Airport', -13.019721984863, -61.168609619141, 680, 'BR', 'BR-RO', 'Colorado D`Oeste', 'no', '', '', '', 'SWDK'),
	('SLPF', 'small_airport', 'Piso Firme Airport', -13.628834, -61.738667, 575, 'BO', 'BO-S', 'Velasco', 'no', 'SLPF', '', '', ''),
	('SJYD', 'small_airport', 'Fazenda Kajussol Airport', -11.9647216796875, -61.686668395996094, 636, 'BR', 'BR-RO', 'Santa Luzia D`Oeste', 'no', 'SJYD', '', '', ''),
	('SBPO', 'N/A', 'N/A', -13.657643012702465, -62.80210331082344, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIZN', 'N/A', 'N/A', -13.00482016056776, -61.240449249744415, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWRL', 'small_airport', 'Fazenda Pouso Redondo Airport', -12.977222442626953, -61.04916763305664, 1086, 'BR', 'BR-RO', 'Corumbiara', 'no', 'SWRL', '', '', ''),
	('SWXC', 'small_airport', 'Fazenda Tropical Airport', -12.886099815368652, -61.298301696777344, 981, 'BR', 'BR-RO', 'Cerejeiras', 'no', 'SWXC', '', 'SWXC', ''),
	('SWLM', 'small_airport', 'Fazenda Excalibur Airport', -15.296307, -60.368679, 971, 'BR', 'BR-MT', 'Vila Bela da Santíssima Trindade', 'no', '', '', '', 'SWLM'),
	('SWVS', 'small_airport', 'Baia do Padre Airport', -15.861972, -60.04039, 675, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', 'SWVS', '', '', 'Fazenda Sto Antônio do Guaporé'),
	('SWXT', 'small_airport', 'Fazenda Medalha Milagrosa Airport', -16.105056, -60.067974, 853, 'BR', 'BR-MT', 'Vila Bela da Santíssima Trindade', 'no', '', '', '', 'SWXT'),
	('SD6V', 'small_airport', 'Aeródromo Privado Fazenda Maringá III', -14.447571, -60.124823, 669, 'BR', 'BR-MT', 'Vila Bela da Santíssima Trindade', 'no', 'SD6V', '', 'MT0497', ''),
	('SWRX', 'small_airport', 'Fazenda Santa Cruz do Pessoê Airport', -15.161573, -60.440383, 764, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', '', '', '', 'SWRX'),
	('SSPD', 'small_airport', 'Fazenda Paraguá Airport', -14.766667, -60.033333, 922, 'BR', 'BR-MT', 'Comodoro', 'no', 'SSPD', '', 'SSPD', ''),
	('SLUR', 'N/A', 'N/A', -14.298123009502888, -63.40908497571945, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLRF', 'small_airport', 'Refugio Airport', -14.7627, -61.032001, 610, 'BO', 'BO-S', 'Velasco', 'no', 'SLRF', '', '', ''),
	('SWSY', 'small_airport', 'São Simão Airport', -15.914596, -60.148355, 705, 'BR', 'BR-MT', 'Vila Bela da Santíssima Trindade', 'no', '', '', '', 'SWSY'),
	('SLCP', 'small_airport', 'Concepción Airport', -16.142688, -62.026595, 1620, 'BO', 'BO-S', 'Concepción', 'no', 'SLCP', 'CEP', '', ''),
	('SWTK', 'small_airport', 'Fazenda Santa Maria do Guaporé Airport', -14.2019443512, -60.280834198, 797, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', 'SWTK', '', '', ''),
	('SD30', 'small_airport', 'Selle Airport', 43.071905, -98.954982, 1988, 'US', 'US-SD', 'Bonesteel', 'no', 'SD30', '', 'SD30', ''),
	('SNOM', 'small_airport', 'Fazenda Guaporeí Airport', -15.006699562099998, -60.2206993103, 1001, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', 'SNOM', '', 'SNOM', ''),
	('SLJV', 'small_airport', 'San Javier Airport', -16.2708, -62.470299, 1702, 'BO', 'BO-S', 'San Javier', 'no', 'SLJV', 'SJV', '', ''),
	('SSDP', 'small_airport', 'Fazenda Fortaleza do Guaporé Airport', -14.463956, -60.174884, 778, 'BR', 'BR-MT', 'Vila Bela da Santíssima Trindade', 'no', 'SSDP', '', 'MT0284', ''),
	('SWQU', 'small_airport', 'Fazenda Guaporé Airport', -14.587499618499999, -60.126388549800005, 728, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', 'SWQU', '', '', ''),
	('SLCW', 'N/A', 'N/A', -16.79191455245018, -60.68326681852341, 418, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLUH', 'N/A', 'N/A', -16.402912102639675, -61.04494571685791, 457, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SD8N', 'small_airport', 'Fazenda Nova Era Agropecuária Airstrip', -15.356406, -60.105561, 791, 'BR', 'BR-MT', 'Vila Bela da Santíssima Trindade', 'no', 'SD8N', '', 'MT0655', ''),
	('SLAS', 'small_airport', 'Ascención De Guarayos Airport', -15.9303, -63.1567, 807, 'BO', 'BO-S', 'Ascensión de Guarayos', 'no', 'SLAS', 'ASC', '', ''),
	('SJVB', 'small_airport', 'Fazenda Sagrado Coração de Jesus Airport', -15.089966, -60.116555, 499, 'BR', 'BR-MT', 'Vila Bela da Santíssima Trindade', 'no', '', '', '', 'SJVB'),
	('SWCV', 'small_airport', 'Casalvasco Airport', -15.489443779, -60.0855560303, 676, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', '', '', '', 'SWCV'),
	('SWBW', 'small_airport', 'Agro Pousadas do Guaporé Airport', -14.777229, -60.039213, 886, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', '', '', '', 'SWBW'),
	('SWVV', 'small_airport', 'Fazenda Bela Vista Airport', -15.755166, -60.096052, 692, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', 'SWVV', '', '', 'Fazenda Esperança'),
	('SIFT', 'small_airport', 'Fazenda Travessão Airport', -16.144278, -60.12017, 906, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', 'SIFT', '', 'MT0094', ''),
	('SBPT', 'N/A', 'N/A', -14.130323678255081, -61.82135134935379, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLCJ', 'N/A', 'N/A', -16.226598098874092, -60.546599328517914, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLFL', 'small_airport', 'Florida Airport', -14.607418, -61.198396, 600, 'BO', 'BO-S', 'Moira', 'no', 'SLFL', '', '', ''),
	('SLSI', 'small_airport', 'Capitán Av. Juan Cochamanidis S. Airport', -16.38719, -60.962318, 1354, 'BO', 'BO-S', 'San Ignacio de Velasco', 'no', 'SLSI', 'SNG', '', ''),
	('SWSF', 'small_airport', 'Fazenda São Francisco Airport', -15.2241001129, -60.217201232899995, 863, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', 'SWSF', '', 'SWSF', ''),
	('SNWI', 'small_airport', 'Fazenda São João do Guapore Airport', -14.068889, -60.009167, 594, 'BR', 'BR-MT', 'Nova Lacerda', 'no', 'SNWI', '', '', 'Fazenda São João II Airport'),
	('SLBE', 'N/A', 'N/A', -17.647240161895752, -62.619158774614334, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLTC', 'small_airport', 'Tres Cruces Airport', -17.3604, -62.2796, 880, 'BO', 'BO-S', 'Chiquitos', 'no', 'SLTC', '', '', ''),
	('SLCE', 'small_airport', 'Cabezas Airport', -18.797433, -63.301611, 1328, 'BO', 'BO-S', 'Cordillera', 'no', 'SLCE', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SLDL', 'small_airport', 'Dalmacia Airport', -17.4426, -62.2442, 888, 'BO', 'BO-S', '', 'no', 'SLDL', '', '', ''),
	('SLRS', 'small_airport', 'Rio Seco Airport', -18.200834274291992, -63.25600051879883, 1836, 'BO', 'BO-S', 'Campo Ingelmeco', 'no', 'SLRS', '', '', ''),
	('SLAB', 'closed', 'Abapó Airport', -18.63447, -62.936735, 2752, 'BO', 'BO-S', 'Abapó', 'no', '', '', '', 'SLAB, SLAB'),
	('SLJE', 'small_airport', 'San José De Chiquitos Airport', -17.830799, -60.743099, 974, 'BO', 'BO-S', 'San José de Chiquitos', 'no', 'SLJE', 'SJS', '', ''),
	('SLGP', 'small_airport', 'Guirapembi Airport', -18.056, -63.163166, 1493, 'BO', 'BO-S', 'Cordillera', 'no', 'SLGP', '', '', ''),
	('SLVR', 'large_airport', 'Viru Viru International Airport', -17.6448, -63.135399, 1224, 'BO', 'BO-S', 'Santa Cruz', 'yes', 'SLVR', 'VVI', '', ''),
	('SLSK', 'small_airport', 'Santa Rosa Del Sara Airport', -17.104719, -63.608372, 850, 'BO', 'BO-S', 'A. Ibañez', 'no', 'SLSK', '', '', ''),
	('SLNL', 'small_airport', 'Cañada Larga Airport', -17.601, -62.3957, 1197, 'BO', 'BO-S', 'Chiquitos', 'no', 'SLNL', '', '', ''),
	('SLLS', 'small_airport', 'Lagunillas Airport', -19.600000381469727, -63.650001525878906, 2950, 'BO', 'BO-S', 'Caraparicito', 'no', 'SLLS', '', '', ''),
	('SLPB', 'small_airport', 'Palos Blancos Airport', -21.395556, -63.756667, 2242, 'BO', 'BO-T', 'Entre Ríos, O''Connor', 'no', 'SLPB', '', '', 'Palos-Blancos'),
	('SLSF', 'small_airport', 'San Rafael Airport', -17.2891, -62.304, 890, 'BO', 'BO-S', '', 'no', 'SLSF', '', '', ''),
	('SLGQ', 'small_airport', 'Chiquitos Airport', -18.5222, -60.6804, 1058, 'BO', 'BO-S', '', 'no', 'SLGQ', '', '', ''),
	('SLET', 'medium_airport', 'El Trompillo Airport', -17.8115997314, -63.1715011597, 1371, 'BO', 'BO-S', 'Santa Cruz', 'yes', 'SLET', 'SRZ', '', ''),
	('SLIZ', 'small_airport', 'Izozog Airport', -18.663834, -63.002335, 1082, 'BO', 'BO-S', 'Cordillera', 'no', 'SLIZ', '', '', ''),
	('SLCF', 'N/A', 'N/A', -19.394929334521294, -63.07175248861313, 625, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLVL', 'N/A', 'N/A', -21.533170267939568, -62.97150269150734, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLVS', 'N/A', 'N/A', -21.17634292691946, -63.425166606903076, 472, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLCK', 'N/A', 'N/A', -21.684357337653637, -62.39534988999367, 277, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLVM', 'medium_airport', 'Teniente Coronel Rafael Pabón Airport', -21.255199432399998, -63.4056015015, 1305, 'BO', 'BO-T', 'Villamontes', 'no', 'SLVM', 'VLM', '', ''),
	('SLYC', 'N/A', 'N/A', -22.123485580086708, -63.29057961702347, 365, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLCD', 'small_airport', 'Cañada Airport', -20.0254, -63.0891, 1954, 'BO', 'BO-S', 'Gutierrez', 'no', 'SLCD', '', '', ''),
	('SLTA', 'small_airport', 'Taquipirenda Airport', -20.3433, -63.1394, 2340, 'BO', 'BO-S', 'Cordillera', 'no', 'SLTA', '', '', ''),
	('SLCA', 'small_airport', 'Camiri Airport', -20.00656, -63.527827, 2614, 'BO', 'BO-S', 'Camiri', 'no', 'SLCA', 'CAM', '', ''),
	('SGFI', 'small_airport', 'Aeródromo de Filadelfia', -22.354611, -60.053211, 423, 'PY', 'PY-19', 'Filadelfia', 'no', 'SGFI', 'FLM', '', ''),
	('SLYA', 'medium_airport', 'Yacuiba Airport', -21.960899353027344, -63.65169906616211, 2112, 'BO', 'BO-T', 'Yacuíba', 'no', 'SLYA', 'BYC', '', ''),
	('SLEE', 'small_airport', 'El Escondido Airport', -21.466999, -63.352798, 1246, 'BO', 'BO-T', 'Tesoro', 'no', 'SLEE', '', '', ''),
	('SLIT', 'small_airport', 'Itaguazurenda Airport', -19.7775, -63.087799, 1598, 'BO', 'BO-S', 'Cordillera', 'no', 'SLIT', '', '', ''),
	('SGCT', 'N/A', 'N/A', -21.372484154999256, -61.48456111550331, 222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLCG', 'small_airport', 'Charagua Airport', -19.785601, -63.1884, 2040, 'BO', 'BO-S', 'Cordillera', 'no', 'SLCG', '', '', ''),
	('SGME', 'large_airport', 'Aeropuerto Internacional Dr. Luis Maria Argaña', -22.033912, -60.618964, 553, 'PY', 'PY-19', 'Mariscal Estigarribia', 'no', 'SGME', 'ESG', '', ''),
	('SLVB', 'N/A', 'N/A', -21.28394242376089, -63.29515054821968, 379, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLEN', 'N/A', 'N/A', -20.753415562212467, -63.20928767323494, 685, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLSP', 'small_airport', 'Sipuati Airport', -21.0735, -63.109501, 1400, 'BO', 'BO-T', 'Gran Chaco', 'no', 'SLSP', '', '', ''),
	('SLVU', 'small_airport', 'Vuelta Grande Airport', -20.904833, -63.192165, 1900, 'BO', 'BO-H', 'Luis Calvo', 'no', 'SLVU', '', '', ''),
	('VIT', 'small_airport', 'Santa Victoria Airport', -22.285699844399996, -62.7136993408, 918, 'AR', 'AR-A', 'Salta', 'no', 'SA22', '', 'VIT', 'SA22'),
	('SCFX', 'small_airport', 'Isla San Felix Airport', -26.2939, -80.096199, 165, 'CL', 'CL-AT', 'Isla San Felix', 'no', 'SCFX', '', '', ''),
	('SCIR', 'small_airport', 'Robinson Crusoe Airport', -33.6650009155, -78.9297027588, 433, 'CL', 'CL-VS', 'Isla Robinson Crusoe', 'no', 'SCIR', '', '', ''),
	('SCAD', 'small_airport', 'Santa Adriana Airport', -30.628611, -71.273056, 558, 'CL', 'CL-CO', 'Ovalle', 'no', 'SCAD', '', '', ''),
	('SCFJ', 'small_airport', 'Fray Jorge Airport', -30.68, -71.578613, 492, 'CL', 'CL-CO', 'Ovalle', 'no', 'SCFJ', '', '', ''),
	('SCQT', 'small_airport', 'LasTacas Airport', -30.096399, -71.364098, 140, 'CL', 'CL-CO', 'Quebrada Las Tacas', 'no', 'SCQT', '', '', ''),
	('SCOY', 'small_airport', 'Huayanay Airport', -30.430555, -71.532219, 164, 'CL', 'CL-CO', 'Ovalle', 'no', 'SCOY', '', '', ''),
	('SCGV', 'small_airport', 'Punta Gaviota Airport', -29.084444, -71.467222, 99, 'CL', 'CL-AT', 'Caleta Chañaral De Aceituno', 'no', 'SCGV', '', '', ''),
	('SCTG', 'small_airport', 'Tongoy Airport', -30.266388, -71.483612, 49, 'CL', 'CL-CO', 'Tongoy', 'no', 'SCTG', '', '', ''),
	('SCOA', 'small_airport', 'Estancia Los Loros Airport', -30.789444, -71.618332, 820, 'CL', 'CL-CO', 'Ovalle', 'no', 'SCOA', '', '', ''),
	('SCOT', 'small_airport', 'Santa Rosa de Tabalí Airport', -30.6765, -71.401001, 787, 'CL', 'CL-CO', 'Ovalle', 'no', 'SCOT', '', '', ''),
	('SCER', 'small_airport', 'Quintero Airport', -32.790199, -71.521698, 12, 'CL', 'CL-VS', 'Quintero', 'no', 'SCER', '', '', ''),
	('SCAB', 'small_airport', 'El Alba Airport', -33.658694, -71.289877, 450, 'CL', 'CL-RM', 'La Lumbrera', 'no', 'SCAB', '', '', ''),
	('SCVM', 'medium_airport', 'Viña del Mar Airport', -32.9496, -71.4786, 461, 'CL', 'CL-VS', 'Viña del Mar', 'no', 'SCVM', 'KNA', '', 'Torquemada'),
	('SCRX', 'N/A', 'N/A', -31.68228305876255, -71.26555636525154, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCFL', 'small_airport', 'Fundo Loma Larga Airport', -33.279999, -71.379204, 869, 'CL', 'CL-VS', 'Casablanca', 'no', 'SCFL', '', '', ''),
	('SCTS', 'small_airport', 'Santa Teresa del Almendral Airport', -33.575554, -71.260834, 574, 'CL', 'CL-RM', 'Melipilla', 'no', 'SCTS', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SCLV', 'small_airport', 'La Viña Airport', -32.138054, -71.398056, 870, 'CL', 'CL-CO', 'Guangali', 'no', 'SCLV', '', '', ''),
	('SCRS', 'small_airport', 'El Rosario Airport', -33.488889, -71.405556, 804, 'CL', 'CL-VS', 'Cartagena', 'no', 'SCRS', '', '', ''),
	('SCHO', 'small_airport', 'Punta Chungo Airport', -31.882778, -71.476387, 249, 'CL', 'CL-CO', 'Los Vilos', 'no', 'SCHO', '', '', ''),
	('SCTW', 'small_airport', 'El Tapihue Airport', -33.320278, -71.336113, 935, 'CL', 'CL-VS', 'Casablanca', 'no', 'SCTW', '', '', ''),
	('SCSN', 'small_airport', 'Santo Domingo Airport', -33.656399, -71.614403, 246, 'CL', 'CL-VS', 'Santo Domingo', 'no', 'SCSN', '', '', ''),
	('SCSG', 'small_airport', 'San Gerónimo Airport', -33.3532981873, -71.6260986328, 341, 'CL', 'CL-VS', 'Algarrobo', 'no', 'SCSG', '', '', ''),
	('SCRD', 'small_airport', 'Rodelillo Airport', -33.0681, -71.557503, 1100, 'CL', 'CL-VS', 'Viña Del Mar', 'no', 'SCRD', 'VAP', '', ''),
	('SCLQ', 'small_airport', 'Diego Portales Airport', -32.452499, -71.258888, 250, 'CL', 'CL-VS', 'La Ligua', 'no', 'SCLQ', '', '', ''),
	('SCVA', 'small_airport', 'Viñamar Airport', -33.356945, -71.354164, 935, 'CL', 'CL-VS', 'Casablanca', 'no', 'SCVA', '', '', ''),
	('SCCS', 'small_airport', 'Santa Rita Airport', -33.2775, -71.45639, 738, 'CL', 'CL-VS', 'Casablanca', 'no', 'SCCS', '', '', ''),
	('SCDI', 'small_airport', 'Pichidangui Airport', -32.143055, -71.50528, 98, 'CL', 'CL-CO', 'Pichidangui', 'no', 'SCDI', '', '', ''),
	('SCZC', 'small_airport', 'Casas Viejas Airport', -32.595276, -71.347221, 262, 'CL', 'CL-VS', 'Zapallar', 'no', 'SCZC', '', '', ''),
	('SCSL', 'N/A', 'N/A', -34.11230843514204, -71.93862408399582, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCVK', 'small_airport', 'El Alamo Airport', -34.847778, -72.022224, 33, 'CL', 'CL-ML', 'Vichuquen', 'no', 'SCVK', '', '', ''),
	('SCGI', 'small_airport', 'San Guillermo Airport', -36.00111, -71.829445, 495, 'CL', 'CL-ML', 'Retiro', 'no', 'SCGI', '', '', ''),
	('SCMR', 'small_airport', 'Las Aguilas Oriente Airport', -34.169167, -71.531111, 450, 'CL', 'CL-LI', 'Rapel', 'no', 'SCMR', '', '', ''),
	('SCFO', 'small_airport', 'La Reforma Airport', -35.458057, -71.281113, 853, 'CL', 'CL-ML', 'Pelarco', 'no', 'SCFO', '', '', ''),
	('SCEO', 'small_airport', 'El Salto Airport', -36.13028, -71.857498, 564, 'CL', 'CL-ML', 'Parral', 'no', 'SCEO', '', '', ''),
	('SCVQ', 'small_airport', 'Cuatro Pantanos Airport', -34.837223, -72.065002, 82, 'CL', 'CL-ML', 'Vichuquen', 'no', 'SCVQ', '', '', ''),
	('SCSK', 'small_airport', 'Colorado Airport', -35.663055, -71.303612, 1410, 'CL', 'CL-ML', 'San Clemente', 'no', 'SCSK', '', '', ''),
	('SCTU', 'small_airport', 'Litueche Airport', -34.110554, -71.715836, 787, 'CL', 'CL-LI', 'Litueche', 'no', 'SCTU', '', '', ''),
	('SCLI', 'small_airport', 'Torca Airport', -34.783333, -72.050835, 66, 'CL', 'CL-ML', 'Llico', 'no', 'SCLI', '', '', ''),
	('SCVJ', 'small_airport', 'Paredes Viejas Airport', -34.395832, -71.54528, 449, 'CL', 'CL-LI', 'Marchigue', 'no', 'SCVJ', '', '', ''),
	('SCMG', 'small_airport', 'Santa María de Mingre Airport', -35.570557, -72.003891, 574, 'CL', 'CL-ML', 'San Javier', 'no', 'SCMG', '', '', ''),
	('SCHG', 'small_airport', 'Almahue Airport', -34.398613, -71.371109, 420, 'CL', 'CL-LI', 'Pichidegua', 'no', 'SCHG', '', '', ''),
	('SCUZ', 'small_airport', 'Aerosanta Cruz Airport', -34.649166, -71.386108, 502, 'CL', 'CL-LI', 'Santa Cruz', 'no', 'SCUZ', '', '', ''),
	('SCNA', 'small_airport', 'Fundo La Caña Airport', -35.976389, -71.597222, 525, 'CL', 'CL-ML', 'Linares', 'no', 'SCNA', '', '', ''),
	('SCSO', 'small_airport', 'Costa del Sol Airport', -34.120834, -71.527222, 390, 'CL', 'CL-LI', 'Lago Rapel', 'no', 'SCSO', '', '', ''),
	('SCEK', 'small_airport', 'Chépica Airport', -34.739723, -71.324722, 610, 'CL', 'CL-LI', 'Chepica', 'no', 'SCEK', '', '', ''),
	('SCSV', 'small_airport', 'Viñasutil Airport', -34.448891, -71.385834, 427, 'CL', 'CL-LI', 'Peralillo', 'no', 'SCSV', '', '', ''),
	('SCMH', 'small_airport', 'La Esperanza Airport', -34.287224, -71.558334, 540, 'CL', 'CL-LI', 'Marchigue', 'no', 'SCMH', '', '', ''),
	('SCSW', 'N/A', 'N/A', -34.21646095812321, -71.84061124920845, 359, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCPT', 'small_airport', 'La Puerta Airport', -34.613056, -71.375833, 509, 'CL', 'CL-LI', 'Santa Cruz', 'no', 'SCPT', '', '', ''),
	('SCCN', 'small_airport', 'Alto Cauquenes Airport', -35.88028, -72.327225, 568, 'CL', 'CL-ML', 'Cauquenes', 'no', 'SCCN', '', '', ''),
	('SCCT', 'small_airport', 'Quivolgo Airport', -35.308601, -72.392799, 36, 'CL', 'CL-ML', 'Constitucion', 'no', 'SCCT', '', '', ''),
	('SCQR', 'small_airport', 'Los Morros Airport', -36.122624, -72.804916, 7, 'CL', 'CL-NB', 'Cobquecura', 'no', 'SCQR', '', '', ''),
	('SCUT', 'small_airport', 'Verfrut Sur Airport', -36.212502, -71.544441, 1132, 'CL', 'CL-ML', 'Longavi', 'no', 'SCUT', '', '', ''),
	('SCRW', 'small_airport', 'Rucalonco Airport', -34.548611, -72.04528, 240, 'CL', 'CL-LI', 'Paredones', 'no', 'SCRW', '', '', ''),
	('SCTD', 'N/A', 'N/A', -35.095912367105484, -71.73287898302078, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCSC', 'N/A', 'N/A', -35.71920745074749, -72.03702315688133, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCLM', 'small_airport', 'Las Mercedes Airport', -35.5, -71.880836, 246, 'CL', 'CL-ML', 'San Javier', 'no', 'SCLM', '', '', ''),
	('SCBD', 'small_airport', 'El Boldal Airport', -34.684444, -71.206108, 574, 'CL', 'CL-LI', 'Santa Cruz', 'no', 'SCBD', '', '', ''),
	('SCVF', 'small_airport', 'Verfrut Airport', -34.007221, -71.391945, 443, 'CL', 'CL-RM', 'San Pedro', 'no', 'SCVF', '', '', ''),
	('SCKE', 'small_airport', 'Piedra Negra Airport', -35.854443, -72.645836, 164, 'CL', 'CL-ML', 'Pelluhue', 'no', 'SCKE', '', '', ''),
	('SCMZ', 'small_airport', 'Marina de Rapel Airport', -34.151669, -71.445831, 344, 'CL', 'CL-LI', 'El Manzano', 'no', 'SCMZ', '', '', ''),
	('SCCE', 'small_airport', 'El Arenal Airport', -35.896389, -72.055833, 397, 'CL', 'CL-ML', 'Cauquenes', 'no', 'SCCE', '', '', ''),
	('SCRT', 'small_airport', 'El Almendro Airport', -35.960556, -71.793335, 486, 'CL', 'CL-ML', 'Retiro', 'no', 'SCRT', '', '', ''),
	('SCAO', 'small_airport', 'Palo Alto Airport', -34.733055, -71.740837, 279, 'CL', 'CL-LI', 'Lolol', 'no', 'SCAO', '', '', ''),
	('SCMS', 'small_airport', 'Las Moras Airport', -36.010278, -71.594444, 512, 'CL', 'CL-ML', 'Longavi', 'no', 'SCMS', '', '', ''),
	('SCIV', 'closed', 'Panimavida Airport', -35.760957, -71.40653, 591, 'CL', 'CL-ML', 'Panimavida', 'no', '', '', '', 'SCIV, SCIV'),
	('SCKA', 'small_airport', 'Santa Marta Airport', -36.490767, -71.890692, 577, 'CL', 'CL-NB', 'San Carlos', 'no', 'SCKA', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SCED', 'small_airport', 'Los Cedros Airport', -35.154999, -71.585281, 305, 'CL', 'CL-ML', 'Sagrada Familia', 'no', 'SCED', '', '', ''),
	('SCGL', 'small_airport', 'Las Aguilas Airport', -34.169167, -71.531113, 450, 'CL', 'CL-LI', 'Rapel', 'no', 'SCGL', '', '', ''),
	('SCRZ', 'small_airport', 'El Carrizal Airport', -34.443333, -71.706111, 492, 'CL', 'CL-LI', 'Marchigue', 'no', 'SCRZ', '', '', ''),
	('SCNI', 'small_airport', 'Santa Eugenia Airport', -36.437157, -72.15917, 410, 'CL', 'CL-NB', 'San Nicolas', 'no', 'SCNI', '', '', ''),
	('SCLU', 'small_airport', 'La Laguna Airport', -34.352501, -71.663887, 528, 'CL', 'CL-LI', 'Marchigue', 'no', 'SCLU', '', '', ''),
	('SCVB', 'small_airport', 'Hospital Villa Baviera Airport', -36.400276, -71.563332, 1040, 'CL', 'CL-ML', 'Parral', 'no', 'SCVB', '', '', ''),
	('SCSX', 'N/A', 'N/A', -33.84657293558121, -71.68101757764816, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCAJ', 'small_airport', 'Las Alpacas Airport', -36.145279, -71.763054, 550, 'CL', 'CL-ML', 'Retiro', 'no', 'SCAJ', '', '', ''),
	('SCDM', 'small_airport', 'San Damian Airport', -34.878056, -72.145554, 220, 'CL', 'CL-ML', 'Duao', 'no', 'SCDM', '', '', ''),
	('SCBV', 'small_airport', 'Bellavista Airport', -35.189724, -71.296669, 885, 'CL', 'CL-ML', 'Rio Claro', 'no', 'SCBV', '', '', ''),
	('SCLG', 'small_airport', 'La Aguada Airport', -35.342777, -71.776947, 246, 'CL', 'CL-ML', 'Pencahue', 'no', 'SCLG', '', '', ''),
	('SCMO', 'small_airport', 'Los Monos Airport', -35.190277, -71.41861, 574, 'CL', 'CL-ML', 'Molina', 'no', 'SCMO', '', '', ''),
	('SCCA', 'small_airport', 'El Boldo Airport', -35.97139, -72.224998, 525, 'CL', 'CL-ML', 'Cauquenes', 'no', 'SCCA', '', '', ''),
	('SCKT', 'small_airport', 'Torreón Airport', -36.499399, -72.679857, 216, 'CL', 'CL-NB', 'Coelemu', 'no', 'SCKT', '', '', ''),
	('SCMV', 'small_airport', 'Viña San Pedro Airport', -35.105835, -71.327774, 738, 'CL', 'CL-ML', 'Molina', 'no', 'SCMV', '', '', ''),
	('SCMU', 'small_airport', 'Panilonco Airport', -34.281113, -71.946945, 574, 'CL', 'CL-LI', 'Pichilemu', 'no', 'SCMU', '', '', ''),
	('SCSJ', 'small_airport', 'San Javier Airport', -35.629723, -71.699722, 361, 'CL', 'CL-ML', 'San Javier', 'no', 'SCSJ', '', '', ''),
	('SCOI', 'small_airport', 'Los Coipos Airport', -34.912778, -71.660833, 318, 'CL', 'CL-ML', 'Hualanne', 'no', 'SCOI', '', '', ''),
	('SCRP', 'small_airport', 'Rapelhuapi Airport', -34.105801, -71.512802, 568, 'CL', 'CL-LI', 'Rapel', 'no', 'SCRP', '', '', ''),
	('SCAG', 'small_airport', 'Agua Santa Airport', -34.551476, -71.335891, 476, 'CL', 'CL-LI', 'Palmilla', 'no', 'SCAG', '', '', ''),
	('SCTL', 'medium_airport', 'Panguilemo Airport', -35.3778, -71.6017, 371, 'CL', 'CL-ML', 'Talca', 'no', 'SCTL', 'TLX', '', ''),
	('SCUM', 'small_airport', 'La Obra Airport', -35.300556, -71.330276, 673, 'CL', 'CL-ML', 'Cumpeo', 'no', 'SCUM', '', '', ''),
	('SCYR', 'small_airport', 'Los Maitenes Airport', -36.031666, -71.741112, 538, 'CL', 'CL-ML', 'Retiro', 'no', 'SCYR', '', '', ''),
	('SCHP', 'small_airport', 'Copihue Airport', -36.077499, -71.779724, 551, 'CL', 'CL-ML', 'Retiro', 'no', 'SCHP', '', '', ''),
	('SCLN', 'small_airport', 'Municipal de Linares Airport', -35.861698, -71.548599, 591, 'CL', 'CL-ML', 'Linares', 'no', 'SCLN', 'ZLR', '', ''),
	('SCRL', 'small_airport', 'La Estrella Airport', -34.201111, -71.481667, 397, 'CL', 'CL-LI', 'Rapel', 'no', 'SCRL', '', '', ''),
	('SCPM', 'small_airport', 'Pichilemu Airport', -34.394165, -72.019165, 82, 'CL', 'CL-LI', 'Pichilemu', 'no', 'SCPM', '', '', ''),
	('SCKN', 'small_airport', 'Licancel Airport', -34.989166, -72.01889, 59, 'CL', 'CL-ML', 'Licanten', 'no', 'SCKN', '', '', ''),
	('SCLW', 'N/A', 'N/A', -37.227408550679684, -72.81900644302368, 226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCIS', 'small_airport', 'Puerto Sur Airport', -37.026112, -73.506943, 20, 'CL', 'CL-BI', 'Isla Santa Maria', 'no', 'SCIS', '', '', ''),
	('SCJC', 'small_airport', 'James Conrad Airport', -36.580454, -72.7724, 528, 'CL', 'CL-NB', 'Ranguelmo', 'no', 'SCJC', '', '', ''),
	('SCKC', 'small_airport', 'Roberto Chavéz Airport', -38.906944274902344, -72.21527862548828, 895, 'CL', 'CL-AR', 'Cunco', 'no', 'SCKC', '', '', ''),
	('SCUR', 'small_airport', 'Rucamalen Airport', -36.811943, -72.167221, 475, 'CL', 'CL-NB', 'Bulnes', 'no', 'SCUR', '', '', ''),
	('SCQC', 'small_airport', 'La Colmena Airport', -38.333057, -72.586945, 823, 'CL', 'CL-AR', 'Quino', 'no', 'SCQC', '', '', ''),
	('SCTO', 'medium_airport', 'Victoria Airport', -38.245602, -72.348602, 1148, 'CL', 'CL-AR', 'Victoria', 'no', 'SCTO', 'ZIC', '', ''),
	('SCFK', 'small_airport', 'Fundo El Carmen Airport', -36.641796, -72.011862, 557, 'CL', 'CL-NB', 'Chillan', 'no', 'SCFK', '', '', ''),
	('SCVY', 'small_airport', 'Malla Airport', -38.691387, -72.285553, 820, 'CL', 'CL-AR', 'Vilcun', 'no', 'SCVY', '', '', ''),
	('SCGH', 'small_airport', 'Cholguahue Airport', -37.469723, -72.138611, 732, 'CL', 'CL-BI', 'Los Angeles', 'no', 'SCGH', '', '', ''),
	('SCBB', 'small_airport', 'Del Bío Bío Airport', -37.587222, -72.503611, 249, 'CL', 'CL-BI', 'Negrete', 'no', 'SCBB', '', '', ''),
	('SCQK', 'small_airport', 'Lequecahue Airport', -38.362655, -73.48978, 220, 'CL', 'CL-BI', 'Tirua', 'no', 'SCQK', '', '', ''),
	('SCLS', 'small_airport', 'Esperanza Airport', -38.548889, -72.145836, 1230, 'CL', 'CL-AR', 'Lautaro', 'no', 'SCLS', '', '', ''),
	('SCLY', 'small_airport', 'La Playa Airport', -37.216389, -73.233055, 32, 'CL', 'CL-BI', 'Arauco', 'no', 'SCLY', '', '', ''),
	('SCVU', 'small_airport', 'Agromanzún Airport', -38.695835, -72.340553, 738, 'CL', 'CL-AR', 'Vilcun', 'no', 'SCVU', '', '', ''),
	('SCPI', 'small_airport', 'Pullami Airport', -36.586667, -71.807778, 804, 'CL', 'CL-NB', 'Coihueco', 'no', 'SCPI', '', '', ''),
	('SCTC', 'medium_airport', 'Maquehue Airport', -38.766799926758, -72.637100219727, 304, 'CL', 'CL-AR', 'Temuco', 'no', 'SCTC', 'PZS', '', 'ZCO'),
	('SCML', 'small_airport', 'Melipeuco Airport', -38.856111, -71.8125, 1388, 'CL', 'CL-AR', 'Melipeuco', 'no', 'SCML', '', '', ''),
	('SAQF', 'N/A', 'N/A', -38.051584996283054, -71.29213705658913, 1026, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCTA', 'small_airport', 'Santa Luisa Airport', -37.743889, -71.71, 1818, 'CL', 'CL-BI', 'Santa Barbara', 'no', 'SCTA', '', '', ''),
	('SCAK', 'small_airport', 'Atacalco Airport', -36.919383, -71.577764, 2362, 'CL', 'CL-NB', 'Recinto', 'no', 'SCAK', '', '', ''),
	('SCDQ', 'small_airport', 'San Lorenzo Airport', -37.523335, -71.726112, 1902, 'CL', 'CL-BI', 'Duqueco', 'no', 'SCDQ', '', '', ''),
	('SCMN', 'closed', 'Mansel Airport', -33.862398, -70.771008, 1411, 'CL', 'CL-RM', 'Paine', 'no', '', '', '', 'SCMN');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SCPC', 'small_airport', 'Pucón Airport', -39.292801, -71.915901, 853, 'CL', 'CL-AR', 'Pucon', 'yes', 'SCPC', 'ZPC', '', ''),
	('SCSH', 'small_airport', 'El Budi Airport', -39.062778, -73.169998, 82, 'CL', 'CL-AR', 'Teodoro Schmidt', 'no', 'SCSH', '', '', ''),
	('SCVI', 'small_airport', 'Villarrica Airport', -39.316672, -72.228696, 945, 'CL', 'CL-AR', 'Villarrica', 'no', 'SCVI', '', '', ''),
	('SCCU', 'small_airport', 'Lolco Airport', -38.158054, -71.423889, 2132, 'CL', 'CL-AR', 'Lonquimay', 'no', 'SCCU', '', '', ''),
	('SCKQ', 'small_airport', 'Curimanque Airport', -39.326946, -72.027222, 1476, 'CL', 'CL-AR', 'Pucon', 'no', 'SCKQ', '', '', ''),
	('SCLA', 'small_airport', 'General Tovarías Airport', -38.542778, -72.45472, 699, 'CL', 'CL-AR', 'Lautaro', 'no', 'SCLA', '', '', ''),
	('SCKB', 'small_airport', 'Llollenorte Airport', -39.057499, -71.68972, 1641, 'CL', 'CL-AR', 'Lago Caburga', 'no', 'SCKB', '', '', ''),
	('SCLB', 'small_airport', 'Los Pehuenches Airport', -37.658054, -73.629448, 587, 'CL', 'CL-BI', 'Lebu', 'no', 'SCLB', '', '', ''),
	('SCNH', 'small_airport', 'Ainhoa Airport', -38.683333, -72.243889, 992, 'CL', 'CL-AR', 'Vilcún', 'no', 'SCNH', '', '', ''),
	('SCGB', 'small_airport', 'Guadaba Airport', -37.977779, -72.929443, 272, 'CL', 'CL-AR', 'Los Sauces', 'no', 'SCGB', '', '', ''),
	('SCUL', 'small_airport', 'El Litral Airport', -36.796764, -72.417288, 218, 'CL', 'CL-NB', 'Bulnes', 'no', 'SCUL', '', '', ''),
	('SCCH', 'medium_airport', 'Gral. Bernardo O´Higgins Airport', -36.5825, -72.031403, 495, 'CL', 'CL-NB', 'Chillan', 'no', 'SCCH', 'YAI', '', ''),
	('SCKO', 'small_airport', 'Agua Buena Airport', -37.993889, -72.249168, 1420, 'CL', 'CL-AR', 'Collipulli', 'no', 'SCKO', '', '', ''),
	('SCTR', 'small_airport', 'Traiguén Airport', -38.271389, -72.662498, 812, 'CL', 'CL-AR', 'Traiguen', 'no', 'SCTR', '', '', ''),
	('SCLK', 'small_airport', 'Lago Colico Airport', -39.057499, -72.074165, 1148, 'CL', 'CL-AR', 'Cunco', 'no', 'SCLK', '', '', ''),
	('SCIM', 'small_airport', 'Isla Mocha Airport', -38.384998, -73.868896, 52, 'CL', 'CL-BI', 'Isla Mocha', 'no', 'SCIM', '', '', ''),
	('SCQY', 'small_airport', 'Villa Portales Airport', -38.449902, -71.354797, 3182, 'CL', 'CL-AR', 'Lonquimay', 'no', 'SCQY', '', '', ''),
	('SCSU', 'small_airport', 'Santa Lucía Airport', -38.919167, -72.366669, 705, 'CL', 'CL-AR', 'Freire', 'no', 'SCSU', '', '', ''),
	('SCGE', 'small_airport', 'María Dolores Airport', -37.401699, -72.4254, 374, 'CL', 'CL-BI', 'Los Angeles', 'no', 'SCGE', 'LSQ', '', ''),
	('SCIE', 'medium_airport', 'Carriel Sur Airport', -36.772701, -73.063103, 26, 'CL', 'CL-BI', 'Concepcion', 'yes', 'SCIE', 'CCP', '', ''),
	('SCQP', 'medium_airport', 'La Araucanía Airport', -38.9259, -72.6515, 333, 'CL', 'CL-AR', 'Temuco', 'yes', 'SCQP', 'ZCO', '', ''),
	('SCGY', 'small_airport', 'Los Guayes Airport', -39.053055, -71.993614, 1312, 'CL', 'CL-AR', 'Cunco', 'no', 'SCGY', '', '', ''),
	('SCVO', 'small_airport', 'María Ester Airport', -38.231945, -72.48333, 978, 'CL', 'CL-AR', 'Victoria', 'no', 'SCVO', '', '', ''),
	('SCHE', 'small_airport', 'Rucamanqui Airport', -37.199722, -71.896667, 1132, 'CL', 'CL-BI', 'Huepil', 'no', 'SCHE', '', '', ''),
	('SCVP', 'N/A', 'N/A', -38.43149442225695, -71.92317500710487, 496, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCGS', 'small_airport', 'Siberia Airport', -37.177223, -72.07972, 722, 'CL', 'CL-BI', 'Cholguan', 'no', 'SCGS', '', '', ''),
	('SCMF', 'small_airport', 'Malloco Airport', -39.255833, -72.34333, 935, 'CL', 'CL-AR', 'Villarrica', 'no', 'SCMF', '', '', ''),
	('SCNM', 'small_airport', 'Las Misiones Airport', -37.776112, -73.383614, 252, 'CL', 'CL-BI', 'Cañete', 'no', 'SCNM', '', '', ''),
	('SCGO', 'small_airport', 'Los Confines Airport', -37.794701, -72.687202, 240, 'CL', 'CL-AR', 'Angol', 'no', 'SCGO', '', '', ''),
	('SCAC', 'small_airport', 'Pupelde Airport', -41.904251, -73.796571, 315, 'CL', 'CL-LL', 'Ancud', 'no', 'SCAC', 'ZUD', '', ''),
	('SCPU', 'small_airport', 'Peulla Airport', -41.054165, -72.008331, 900, 'CL', 'CL-LL', 'Peulla', 'no', 'SCPU', '', '', ''),
	('SASK', 'N/A', 'N/A', -40.33496595919132, -71.33926346898079, 933, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCJK', 'small_airport', 'Juan Kemp Airport', -40.884445, -72.368889, 459, 'CL', 'CL-LL', 'Osorno', 'no', 'SCJK', '', '', ''),
	('SAZZ', 'N/A', 'N/A', -40.02916865050793, -71.72129228711128, 608, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCXR', 'small_airport', 'Las Bandurrias Airport', -40.32, -72.224998, 328, 'CL', 'CL-LR', 'Lago Ranco', 'no', 'SCXR', '', '', ''),
	('SCFR', 'small_airport', 'Frutillar Airport', -41.130833, -73.06472, 469, 'CL', 'CL-LL', 'Frutillar', 'no', 'SCFR', '', '', ''),
	('SCCP', 'closed', 'Callipulli Airport', -40.620277, -72.84639, 377, 'CL', 'CL-LL', 'Osorno', 'no', '', '', '', 'SCCP'),
	('SCKD', 'small_airport', 'El Cardal Airport', -40.4678, -72.684998, 525, 'CL', 'CL-LR', 'Rio Bueno', 'no', 'SCKD', '', '', ''),
	('SCRQ', 'small_airport', 'Rucañanco Airport', -40.5219, -72.772797, 502, 'CL', 'CL-LR', 'Rio Bueno', 'no', 'SCRQ', '', '', ''),
	('SCAQ', 'small_airport', 'Arquilhué Airport', -40.198299, -72.029198, 590, 'CL', 'CL-LR', 'Lago Ranco', 'no', 'SCAQ', '', '', ''),
	('SCRR', 'small_airport', 'Purrahuín Airport', -40.365278, -72.776667, 345, 'CL', 'CL-LR', 'Rio Bueno', 'no', 'SCRR', '', '', ''),
	('SCHN', 'small_airport', 'Chan Chan Airport', -39.865799, -72.131401, 457, 'CL', 'CL-LR', 'Choshuenco', 'no', 'SCHN', '', '', ''),
	('SCCK', 'small_airport', 'Contao Airport', -41.800304, -72.722237, 10, 'CL', 'CL-LL', 'Contao', 'no', 'SCCK', '', '', ''),
	('SCPV', 'small_airport', 'El Mirador Airport', -41.3494, -72.946701, 430, 'CL', 'CL-LL', 'Puerto Varas', 'no', 'SCPV', 'PUX', '', ''),
	('SCGF', 'small_airport', 'Golfo Azul Airport', -40.140833, -72.283611, 486, 'CL', 'CL-LR', 'Futrono', 'no', 'SCGF', '', '', ''),
	('SCAA', 'small_airport', 'Añorada Airport', -41.042778015100005, -73.04750061040001, 459, 'CL', 'CL-LL', 'Frutillar', 'no', 'SCAA', '', '', ''),
	('SCPB', 'small_airport', 'Puelo Bajo Airport', -41.662224, -72.302223, 120, 'CL', 'CL-LL', 'Puelo Bajo', 'no', 'SCPB', '', '', ''),
	('SCRN', 'small_airport', 'Río Negro Airport', -41.962223, -72.453888, 10, 'CL', 'CL-LL', 'Río Negro', 'no', 'SCRN', '', '', ''),
	('SAKX', 'N/A', 'N/A', -41.506667509675026, -71.85120195150375, 423, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCGA', 'small_airport', 'Punta Galera Airport', -40.0019, -73.696404, 118, 'CL', 'CL-LR', 'La Union', 'no', 'SCGA', '', '', ''),
	('SCLD', 'small_airport', 'Llanada Grande Airport', -41.866699, -71.934402, 1001, 'CL', 'CL-LL', 'Llanada Grande', 'no', 'SCLD', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SCPG', 'small_airport', 'Municipal de Panguipulli Airport', -39.653301, -72.360298, 940, 'CL', 'CL-LR', 'Panguipulli', 'no', 'SCPG', '', '', ''),
	('SCUH', 'N/A', 'N/A', -40.413275733590126, -72.75966078042984, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCQW', 'small_airport', 'Quemchi Airport', -42.152779, -73.516945, 393, 'CL', 'CL-LL', 'Quemchi', 'no', 'SCQW', '', '', ''),
	('SCVD', 'medium_airport', 'Pichoy Airport', -39.6500015259, -73.0860977173, 59, 'CL', 'CL-LR', 'Valdivia', 'yes', 'SCVD', 'ZAL', '', ''),
	('SCYU', 'small_airport', 'Cuyumaique Airport', -40.940556, -73.011667, 443, 'CL', 'CL-LL', 'Purranque', 'no', 'SCYU', '', '', ''),
	('SCVL', 'small_airport', 'Las Marías Airport', -39.7969017029, -73.24169921880001, 13, 'CL', 'CL-LR', 'Valdivia', 'yes', 'SCVL', '', '', ''),
	('SAVB', 'medium_airport', 'El Bolson Airport', -41.943199, -71.532303, 1141, 'AR', 'AR-R', 'El Bolson', 'no', 'SAVB', 'EHL', 'BOL', ''),
	('SCVV', 'small_airport', 'Los Maitenes de Villa Vieja Airport', -40.317423, -72.980365, 147, 'CL', 'CL-LR', 'La Union', 'no', 'SCVV', '', '', ''),
	('SCGP', 'closed', 'Curaco Airport', -39.536914, -72.356129, 820, 'CL', 'CL-LR', 'Panguipulli', 'no', '', '', '', 'SCGP'),
	('SCPR', 'small_airport', 'Corte Alto Airport', -40.943333, -73.169998, 416, 'CL', 'CL-LL', 'Purranque', 'no', 'SCPR', '', '', ''),
	('SCFI', 'small_airport', 'Fundo Tehuén Airport', -41.095001, -73.126663, 377, 'CL', 'CL-LL', 'Frutillar', 'no', 'SCFI', '', '', ''),
	('SCDD', 'small_airport', 'Don Dobri Airport', -41.234722, -72.514999, 226, 'CL', 'CL-LL', 'Puerto Varas', 'no', 'SCDD', '', '', ''),
	('SCNO', 'small_airport', 'Ñochaco Airport', -40.892868, -72.879997, 328, 'CL', 'CL-LL', 'Ñochaco', 'no', 'SCNO', '', '', ''),
	('SCBT', 'small_airport', 'Rincón Bonito Airport', -42.028889, -72.096107, 705, 'CL', 'CL-LL', 'Cochamo', 'no', 'SCBT', '', '', ''),
	('SCSR', 'small_airport', 'Segundo Corral Alto Airport', -42.083332, -71.863892, 1200, 'CL', 'CL-LL', 'Segundo Corral', 'no', 'SCSR', '', '', ''),
	('SCOP', 'small_airport', 'Pilauco Airport', -40.569168, -73.129997, 213, 'CL', 'CL-LL', 'Osorno', 'no', 'SCOP', '', '', ''),
	('SCPL', 'small_airport', 'Calpulli Airport', -40.128899, -72.661697, 755, 'CL', 'CL-LR', 'Paillaco', 'no', 'SCPL', '', '', ''),
	('SCQM', 'small_airport', 'Las Quemas Airport', -40.638332, -73.127792, 250, 'CL', 'CL-LL', 'Osorno', 'no', 'SCQM', '', '', ''),
	('SCHK', 'small_airport', 'Hueicolla Airport', -40.1586, -73.654404, 59, 'CL', 'CL-LR', 'La Union', 'no', 'SCHK', '', '', ''),
	('SCHW', 'small_airport', 'Hualaihué Airport', -42.02861, -72.689445, 30, 'CL', 'CL-LL', 'Hualaihue', 'no', 'SCHW', '', '', ''),
	('SCIF', 'small_airport', 'Chollinco Airport', -40.205799, -72.2314, 330, 'CL', 'CL-LR', 'Llifen', 'no', 'SCIF', '', '', ''),
	('SCYC', 'small_airport', 'La Capilla Airport', -40.627777, -72.762222, 485, 'CL', 'CL-LL', 'Puyehue', 'no', 'SCYC', '', '', ''),
	('SCOS', 'small_airport', 'Osorno Pampa Ale Airport', -40.547199, -73.155602, 79, 'CL', 'CL-LL', 'Osorno', 'no', 'SCOS', '', '', ''),
	('SCVG', 'small_airport', 'El Vergel Airport', -39.829399, -72.488297, 820, 'CL', 'CL-LR', 'Riñihue', 'no', 'SCVG', '', '', ''),
	('SCOC', 'small_airport', 'Las Araucarias Airport', -40.993057, -72.659721, 600, 'CL', 'CL-LL', 'Puerto Octay', 'no', 'SCOC', '', '', ''),
	('SCKM', 'small_airport', 'Cochamó Airport', -41.483334, -72.300003, 130, 'CL', 'CL-LL', 'Cochamo', 'no', 'SCKM', '', '', ''),
	('SCQG', 'N/A', 'N/A', -39.865603521466255, -72.56370216608047, 222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCZB', 'small_airport', 'Pozo Brujo Airport', -40.205278, -72.568056, 394, 'CL', 'CL-LR', 'La Unión', 'no', 'SCZB', '', '', ''),
	('SCOL', 'small_airport', 'Refugio del Lago Airport', -40.689445, -72.345558, 676, 'CL', 'CL-LL', 'Puyehue', 'no', 'SCOL', '', '', ''),
	('SCSQ', 'small_airport', 'Quilpe Airport', -40.34111, -73.317223, 157, 'CL', 'CL-LL', 'San Pablo', 'no', 'SCSQ', '', '', ''),
	('SCCM', 'small_airport', 'Molco Airport', -39.825001, -72.082497, 479, 'CL', 'CL-LR', 'Choshuenco', 'no', 'SCCM', '', '', ''),
	('SCJO', 'medium_airport', 'Cañal Bajo Carlos - Hott Siebert Airport', -40.611198, -73.060997, 187, 'CL', 'CL-LL', 'Osorno', 'yes', 'SCJO', 'ZOS', '', ''),
	('SCFU', 'small_airport', 'Loncopan Airport', -40.066399, -72.537804, 886, 'CL', 'CL-LR', 'Futrono', 'no', 'SCFU', '', '', ''),
	('SCTE', 'medium_airport', 'El Tepual Airport', -41.438899993896484, -73.09400177001953, 294, 'CL', 'CL-LL', 'Puerto Montt', 'yes', 'SCTE', 'PMC', '', ''),
	('SCPF', 'small_airport', 'Marcel Marchant Airport', -41.457779, -72.91861, 367, 'CL', 'CL-LL', 'Puerto Montt', 'no', 'SCPF', '', '', ''),
	('SCLT', 'small_airport', 'Topocalma Airport', -34.112222, -71.938056, 38, 'CL', 'CL-LI', 'Litueche', 'no', 'SCLT', '', '', ''),
	('SCBN', 'small_airport', 'Cotreumo Airport', -40.4006, -72.6614, 607, 'CL', 'CL-LR', 'Rio Bueno', 'no', 'SCBN', '', '', ''),
	('SCLF', 'small_airport', 'Calcurrupe Airport', -40.244202, -72.2369, 335, 'CL', 'CL-LR', 'Llifen', 'no', 'SCLF', '', '', ''),
	('SCLH', 'N/A', 'N/A', -40.40651924908161, -73.16055849194527, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCMK', 'small_airport', 'Melinka Airport', -43.895, -73.738892, 35, 'CL', 'CL-AI', 'Melinka', 'no', 'SCMK', '', '', ''),
	('SCAH', 'small_airport', 'Tolquien Airport', -42.4494018555, -73.5246963501, 551, 'CL', 'CL-LL', 'Achao', 'no', 'SCAH', '', '', ''),
	('SCPH', 'small_airport', 'Puyuhuapi Airport', -44.385601, -72.5942, 43, 'CL', 'CL-AI', 'Puyuhuapi', 'no', 'SCPH', '', '', ''),
	('SCST', 'small_airport', 'Gamboa Airport', -42.490299, -73.772797, 151, 'CL', 'CL-LL', 'Castro', 'no', 'SCST', 'WCA', '', ''),
	('SAYZ', 'N/A', 'N/A', -42.90420603007078, -71.60059288144112, 540, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCCJ', 'N/A', 'N/A', -42.603929713368416, -73.67008119821548, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUQ', 'N/A', 'N/A', -43.088164664804935, -71.47890731692314, 373, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCPJ', 'N/A', 'N/A', -43.53320013731718, -71.48531645536423, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCLJ', 'small_airport', 'La Junta Airport', -43.975277, -72.413055, 120, 'CL', 'CL-AI', 'La Junta', 'no', 'SCLJ', '', '', ''),
	('SCBC', 'small_airport', 'Cacique Blanco Airport', -44.23111, -71.864166, 750, 'CL', 'CL-AI', 'Lago Verde', 'no', 'SCBC', '', '', ''),
	('SCCD', 'N/A', 'N/A', -42.32454679906368, -73.38871255517006, 130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCOO', 'small_airport', 'Melimoyu Airport', -44.0975, -73.096944, 20, 'CL', 'CL-AI', 'Cisnes', 'no', 'SCOO', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SCFT', 'small_airport', 'Futaleufú Airport', -43.189201, -71.851097, 1148, 'CL', 'CL-LL', 'Futaleufu', 'no', 'SCFT', 'FFU', '', ''),
	('SCGN', 'small_airport', 'Caleta Gonzalo Airport', -42.56361, -72.599724, 33, 'CL', 'CL-LL', 'Chaiten', 'no', 'SCGN', '', '', ''),
	('SCHD', 'small_airport', 'Chumilden Airport', -42.524445, -72.816948, 66, 'CL', 'CL-LL', 'Chaiten', 'no', 'SCHD', '', '', ''),
	('SCLR', 'small_airport', 'Los Alerces Airport', -42.780893, -72.64524, 345, 'CL', 'CL-LL', 'Chaiten', 'no', 'SCLR', '', '', ''),
	('SCTN', 'closed', 'Chaitén Airfield', -42.9328, -72.6991, 13, 'CL', 'CL-LL', 'Chaitén', 'no', '', '', '', 'WCH, SCTN'),
	('SCYO', 'small_airport', 'Poyo Airport', -42.226667, -72.693611, 13, 'CL', 'CL-LL', 'El Chaiten', 'no', 'SCYO', '', '', ''),
	('SCIA', 'small_airport', 'Isla Apiao Airport', -42.599724, -73.212219, 250, 'CL', 'CL-LL', 'Isla Apiao', 'no', 'SCIA', '', '', ''),
	('SCRH', 'small_airport', 'Reñihúe Airport', -42.585556, -72.494446, 16, 'CL', 'CL-LL', 'Reñihue', 'no', 'SCRH', '', '', ''),
	('SALE', 'N/A', 'N/A', -42.48070601373911, -71.45704507827759, 553, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCQF', 'N/A', 'N/A', -43.351635709404945, -74.11581560969353, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCRE', 'small_airport', 'Estancia Río Cisnes Airport', -44.5, -71.321663, 2150, 'CL', 'CL-AI', 'Rio Cisnes', 'no', 'SCRE', '', '', ''),
	('SCPK', 'small_airport', 'Puerto Cisnes Airport', -44.758657, -72.698325, 45, 'CL', 'CL-AI', 'Puerto Cisnes', 'no', 'SCPK', '', '', ''),
	('SCPQ', 'small_airport', 'Mocopulli Airport', -42.340388, -73.715693, 528, 'CL', 'CL-LL', 'Dalcahue', 'yes', 'SCPQ', 'MHC', '', ''),
	('SCPN', 'small_airport', 'Pillán Airport', -42.546112, -72.494164, 33, 'CL', 'CL-LL', 'Chaiten', 'no', 'SCPN', '', '', ''),
	('SCMA', 'small_airport', 'Puerto Marín Balmaceda Airport', -43.787633, -72.950994, 10, 'CL', 'CL-AI', 'Puerto Marin Balmaceda', 'no', 'SCMA', '', '', ''),
	('SCIK', 'small_airport', 'Isla Talcan Airport', -42.744357, -72.966861, 45, 'CL', 'CL-LL', 'Isla Talcan', 'no', 'SCIK', '', '', ''),
	('SCQX', 'small_airport', 'Queilén Airport', -42.893055, -73.476387, 60, 'CL', 'CL-LL', 'Queilen', 'no', 'SCQX', '', '', ''),
	('SCRC', 'small_airport', 'Villa Tapera Airport', -44.626389, -71.638885, 1640, 'CL', 'CL-AI', 'Rio Cisnes', 'no', 'SCRC', '', '', ''),
	('SCCX', 'N/A', 'N/A', -42.84578785300255, -72.7937100827694, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCDH', 'small_airport', 'Vodudahue Airport', -42.488888, -72.350555, 98, 'CL', 'CL-LL', 'Chaiten', 'no', 'SCDH', '', '', ''),
	('SCQE', 'small_airport', 'Quenac Airport', -42.467224, -73.335831, 164, 'CL', 'CL-LL', 'Isla Quenac', 'no', 'SCQE', '', '', ''),
	('SCCW', 'N/A', 'N/A', -43.17260630428791, -72.43448808789253, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCEA', 'small_airport', 'El Amarillo Airport', -43.006111, -72.478333, 1083, 'CL', 'CL-LL', 'Chaiten', 'no', 'SCEA', '', '', ''),
	('SCON', 'small_airport', 'Quellón Airport', -43.1367, -73.635002, 16, 'CL', 'CL-LL', 'Quellon', 'no', 'SCON', '', '', ''),
	('SALG', 'N/A', 'N/A', -42.217102870345116, -71.80550068616867, 507, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCFS', 'small_airport', 'Los Calafates Airport', -42.67889, -73.896667, 82, 'CL', 'CL-LL', 'Chonchi', 'no', 'SCFS', '', '', ''),
	('SCHT', 'small_airport', 'Tic Toc Airport', -43.613056, -72.897499, 13, 'CL', 'CL-LL', 'Chaiten', 'no', 'SCHT', '', '', ''),
	('SCAP', 'small_airport', 'Alto Palena Airport', -43.6119003296, -71.806098938, 794, 'CL', 'CL-LL', 'Alto Palena', 'no', 'SCAP', 'WAP', '', ''),
	('SCIB', 'small_airport', 'Butachauques Airport', -42.308334, -73.14222, 150, 'CL', 'CL-LL', 'Isla Butachauques', 'no', 'SCIB', '', '', ''),
	('SCTF', 'N/A', 'N/A', -25.09635988622904, -69.50990349054337, 2763, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCPA', 'small_airport', 'Paranal Airport', -24.6394, -70.3489, 6834, 'CL', 'CL-AN', 'Antofagasta', 'no', 'SCPA', '', '', ''),
	('SCCF', 'medium_airport', 'El Loa Airport', -22.498199, -68.903603, 7543, 'CL', 'CL-AN', 'Calama', 'yes', 'SCCF', 'CJC', '', ''),
	('SCFA', 'medium_airport', 'Andrés Sabella Gálvez International Airport', -23.444501, -70.445099, 455, 'CL', 'CL-AN', 'Antofagasta', 'yes', 'SCFA', 'ANF', '', 'Cerro Moreno Airport'),
	('SCMY', 'small_airport', 'Carolina Airport', -22.703611, -70.282501, 128, 'CL', 'CL-AN', 'Michilla', 'no', 'SCMY', '', '', ''),
	('SCSM', 'small_airport', 'Minsal Airport', -23.585278, -68.382774, 7776, 'CL', 'CL-AN', 'Salar De Atacama', 'no', 'SCSM', '', '', ''),
	('SCGU', 'small_airport', 'Aguas Blancas Airport', -24.123091, -69.845917, 3346, 'CL', 'CL-AN', 'Antofagasta', 'no', 'SCGU', '', '', ''),
	('SCMB', 'closed', 'La Chimba Airport', -23.5536003113, -70.3961029053, 131, 'CL', 'CL-AN', 'La Chimba', 'no', '', '', '', 'SCMB, SCMB'),
	('SCPE', 'small_airport', 'San Pedro de Atacama Airport', -22.9217, -68.158401, 7960, 'CL', 'CL-AN', 'San Pedro De Atacama', 'no', 'SCPE', '', '', ''),
	('SCSI', 'small_airport', 'El Salar Airport', -23.648899, -68.305, 7556, 'CL', 'CL-AN', 'Salar De Atacama', 'no', 'SCSL', '', '', ''),
	('SCPD', 'N/A', 'N/A', -22.575151808559895, -69.66804251074791, 1413, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCLE', 'small_airport', 'La Escondida Airport', -24.294701, -69.131699, 10289, 'CL', 'CL-AN', 'Antofagasta', 'no', 'SCLE', '', '', ''),
	('SCAI', 'small_airport', 'Curacautín Airport', -38.431514, -71.923027, 1667, 'CL', 'CL-AR', 'Curacautín', 'no', 'SCAI', '', '', ''),
	('SCHU', 'small_airport', 'Gran Cañon Airport', -28.098888, -71.146667, 230, 'CL', 'CL-AT', 'Huasco', 'no', 'SCHU', '', '', ''),
	('SCHA', 'small_airport', 'Chamonate Airport', -27.2968997955, -70.4131011963, 984, 'CL', 'CL-AT', 'Copiapo', 'no', 'SCHA', '', '', 'CPO'),
	('SCCL', 'small_airport', 'Caldera Airport', -27.0781, -70.795303, 180, 'CL', 'CL-AT', 'Caldera', 'no', 'SCCL', '', '', ''),
	('SA46', 'small_airport', 'Fiambala Airport', -27.6422, -67.624702, 5029, 'AR', 'AR-K', 'Fiambala', 'no', 'SA46', '', '2380', 'SA46'),
	('SCTT', 'medium_airport', 'Las Breas Airport', -25.564301, -70.3759, 2580, 'CL', 'CL-AN', 'Taltal', 'no', 'SCTT', 'TTC', '', ''),
	('SCDE', 'N/A', 'N/A', -26.873273737728596, -69.34589445590973, 3289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCES', 'medium_airport', 'Ricardo García Posada Airport', -26.3111, -69.765198, 5240, 'CL', 'CL-AT', 'El Salvador', 'yes', 'SCES', 'ESR', '', ''),
	('SCAT', 'medium_airport', 'Desierto de Atacama Airport', -27.2611999512, -70.7791976929, 670, 'CL', 'CL-AT', 'Copiapo', 'yes', 'SCAT', 'CPO', '', ''),
	('SCPS', 'small_airport', 'Perales Airport', -27.351667404174805, -70.58944702148438, 633, 'CL', 'CL-AT', 'Copiapo', 'no', 'SCPS', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SANI', 'closed', 'Tinogasta Airport', -28.037801, -67.580299, 3968, 'AR', 'AR-K', 'Tinogasta', 'no', '', '', '', 'SANI, SANI, TIN'),
	('SCRA', 'medium_airport', 'Chañaral Airport', -26.3325, -70.6073, 97, 'CL', 'CL-AT', 'Chañaral', 'no', 'SCRA', 'CNR', '', ''),
	('SCCQ', 'small_airport', 'Tambillos Airport', -30.198889, -71.246944, 656, 'CL', 'CL-CO', 'Coquimbo', 'no', 'SCCQ', 'COW', '', ''),
	('SAQL', 'N/A', 'N/A', -30.262921415269375, -69.21792715787888, 1852, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKZ', 'N/A', 'N/A', -30.67006330937147, -69.43923935294151, 2614, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCVC', 'small_airport', 'El Indio Airport', -29.834444, -70.046112, 11975, 'CL', 'CL-CO', 'Vicuña', 'no', 'SCVC', '', '', ''),
	('SCOV', 'small_airport', 'El Tuqui Airport', -30.5592, -71.175598, 1100, 'CL', 'CL-CO', 'Ovalle', 'no', 'SCOV', 'OVL', '', ''),
	('SCLL', 'medium_airport', 'Vallenar Airport', -28.596399, -70.755997, 1725, 'CL', 'CL-AT', 'Vallenar', 'no', 'SCLL', 'VLR', '', ''),
	('SCTQ', 'small_airport', 'Tres Quebradas Airport', -29.26, -70.087, 11690, 'CL', 'CL-AT', 'Alto Del Carmen', 'no', 'SCTQ', '', '', ''),
	('SCFF', 'small_airport', 'Freirina Airport', -28.526388, -71.061943, 738, 'CL', 'CL-AT', 'Freirina', 'no', 'SCFF', '', '', ''),
	('SCMI', 'small_airport', 'Los Tricahues Airport', -30.737499, -70.859726, 1650, 'CL', 'CL-CO', 'Mialqui', 'no', 'SCMI', '', '', ''),
	('SAQR', 'N/A', 'N/A', -29.243954233825207, -68.24551194906235, 1197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCSE', 'medium_airport', 'La Florida Airport', -29.916201, -71.199501, 481, 'CL', 'CL-CO', 'La Serena-Coquimbo', 'yes', 'SCSE', 'LSC', '', 'COW'),
	('SCVN', 'small_airport', 'Huancara Airport', -30.032615, -70.742083, 1968, 'CL', 'CL-CO', 'Vicuña', 'no', 'SCVN', '', '', ''),
	('SCEC', 'small_airport', 'Pelícano Airport', -29.144899, -70.887802, 3678, 'CL', 'CL-CO', 'Estacion Chañaral', 'no', 'SCEC', '', '', ''),
	('SCOB', 'small_airport', 'Tabalí Bajo Airport', -30.643333, -71.401944, 732, 'CL', 'CL-CO', 'Ovalle', 'no', 'SCOB', '', '', ''),
	('SCHC', 'small_airport', 'Chicureo Airport', -33.267776, -70.647224, 1886, 'CL', 'CL-RM', 'Santiago', 'no', 'SCHC', '', '', ''),
	('SAME', 'medium_airport', 'El Plumerillo Airport', -32.8316993713, -68.7929000854, 2310, 'AR', 'AR-M', 'Mendoza', 'yes', 'SAME', 'MDZ', 'DOZ', ''),
	('SCSP', 'small_airport', 'El Sobrante Airport', -32.223611, -70.8, 2559, 'CL', 'CL-VS', 'Petorca', 'no', 'SCSP', '', '', ''),
	('SCDL', 'small_airport', 'El Algarrobo Airport', -32.471943, -70.993057, 951, 'CL', 'CL-VS', 'Cabildo', 'no', 'SCDL', '', '', ''),
	('SAHA', 'N/A', 'N/A', -32.72139899432659, -68.63425746560097, 612, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCHL', 'small_airport', 'Hacienda Lipangue Airport', -33.335278, -70.91111, 1745, 'CL', 'CL-RM', 'Lampa', 'no', 'SCHL', '', '', ''),
	('SA40', 'small_airport', 'San Juan Aeroclub Airport', -31.602800369300002, -68.5473022461, 2079, 'AR', 'AR-J', 'San Juan', 'no', 'SA40', '', 'SJA', 'SA40'),
	('SCSA', 'small_airport', 'Alberto Santos Dumont Airport', -33.02861, -70.879997, 2346, 'CL', 'CL-RM', 'Til Til', 'no', 'SCSA', '', '', ''),
	('SCVH', 'small_airport', 'La Victoria de Chacabuco Airport', -33.050835, -70.708885, 2139, 'CL', 'CL-RM', 'Santiago', 'no', 'SCVH', '', '', ''),
	('SASB', 'N/A', 'N/A', -31.35451678186655, -68.47104951739311, 647, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCCV', 'small_airport', 'Curacaví Airport', -33.4128, -71.165604, 686, 'CL', 'CL-RM', 'Curacaví', 'no', 'SCCV', '', '', ''),
	('SCSY', 'N/A', 'N/A', -32.079876624047756, -71.17090567946434, 478, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCOM', 'small_airport', 'Olmué Airport', -32.997093, -71.17169, 396, 'CL', 'CL-VS', 'Olmué', 'no', 'SCOM', '', '', 'aeródromo Olmué, SCOM'),
	('SCQL', 'small_airport', 'El Boco Airport', -32.851112, -71.246391, 459, 'CL', 'CL-VS', 'Quillota', 'no', 'SCQL', '', '', ''),
	('SARD', 'closed', 'Resistencia (City) Airport', -27.465700149499998, -58.97900009159999, 175, 'AR', 'AR-H', 'Resistencia', 'no', '', '', '', 'SARD, SARD'),
	('SCLC', 'small_airport', 'Municipal de Vitacura Airport', -33.380798, -70.582199, 2274, 'CL', 'CL-RM', 'Santiago', 'no', 'SCLC', '', '', ''),
	('SCSF', 'small_airport', 'Víctor Lafón Airport', -32.7458, -70.705002, 2162, 'CL', 'CL-VS', 'San Felipe', 'no', 'SCSF', 'SSD', '', ''),
	('SAMU', 'small_airport', 'Uspallata Airport', -32.538898, -69.345802, 6525, 'AR', 'AR-M', 'Uspallata', 'no', 'SAMU', '', 'USP', ''),
	('SCEG', 'small_airport', 'El Corte Airport', -33.709999, -70.913055, 1024, 'CL', 'CL-RM', 'Talagante', 'no', 'SCEG', '', '', ''),
	('SCAN', 'small_airport', 'San Rafael Airport', -32.814201, -70.646698, 2461, 'CL', 'CL-VS', 'Los Andes', 'no', 'SCAN', 'LOB', '', ''),
	('SCCB', 'small_airport', 'Pedro Villarroel C. Airport', -31.221945, -71.070274, 3002, 'CL', 'CL-CO', 'Combarbala', 'no', 'SCCB', '', '', ''),
	('SCBQ', 'small_airport', 'El Bosque Airport', -33.561798, -70.6884, 1844, 'CL', 'CL-RM', 'Santiago', 'no', 'SCBQ', '', '', ''),
	('DOP', 'small_airport', 'La Puntilla Airport', -32.962799, -68.873703, 3091, 'AR', 'AR-M', 'La Puntilla', 'no', 'SA16', '', 'DOP', 'SA16'),
	('SAMQ', 'small_airport', 'Mendoza Airpark', -32.8652992249, -68.87190246579999, 2694, 'AR', 'AR-M', 'Mendoza', 'no', 'SAMQ', '', 'MAE', ''),
	('SATP', 'N/A', 'N/A', -33.0626031383872, -68.50853249430656, 657, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCKL', 'small_airport', 'Lipangui Airport', -33.331112, -70.849998, 1558, 'CL', 'CL-RM', 'Lampa', 'no', 'SCKL', '', '', ''),
	('SCZE', 'small_airport', 'Estero Seco Airport', -33.744999, -70.549446, 2461, 'CL', 'CL-RM', 'Pirque', 'no', 'SCZE', '', '', ''),
	('SALC', 'N/A', 'N/A', -33.728977516293526, -69.17335152626038, 1073, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCCG', 'small_airport', 'La Pelícana Airport', -31.063889, -70.954445, 2790, 'CL', 'CL-CO', 'Combarbala', 'no', 'SCCG', '', '', ''),
	('SCMP', 'small_airport', 'Melipilla Airport', -33.673889, -71.193611, 574, 'CL', 'CL-RM', 'Melipilla', 'no', 'SCMP', '', '', ''),
	('SARK', 'N/A', 'N/A', -33.22856180369854, -68.47408086061478, 661, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCNK', 'small_airport', 'Los Pelambres Airport', -31.873056, -70.618332, 4003, 'CL', 'CL-CO', 'Cuncumen', 'no', 'SCNK', '', '', ''),
	('SANU', 'medium_airport', 'Domingo Faustino Sarmiento Airport', -31.571501, -68.418198, 1958, 'AR', 'AR-J', 'San Juan', 'yes', 'SANU', 'UAQ', 'JUA', ''),
	('SCEP', 'small_airport', 'El Principal Airport', -33.724998, -70.5103, 2592, 'CL', 'CL-RM', 'Pirque', 'no', 'SCEP', '', '', ''),
	('SCTB', 'small_airport', 'Eulogio Sánchez Airport', -33.456299, -70.5467, 2129, 'CL', 'CL-RM', 'Santiago', 'no', 'SCTB', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SCUU', 'small_airport', 'El Peral Airport', -31.653369, -71.243344, 1064, 'CL', 'CL-CO', '', 'no', 'SCUU', '', '', ''),
	('SC1B', 'N/A', 'N/A', -31.57777849584818, -71.11086711287498, 429, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCXB', 'small_airport', 'Las Brujas Airport', -31.786667, -71.011108, 1483, 'CL', 'CL-CO', 'Salamanca', 'no', 'SCXB', '', '', ''),
	('SCEL', 'large_airport', 'Comodoro Arturo Merino Benítez International Airport', -33.393001556396484, -70.78579711914063, 1555, 'CL', 'CL-RM', 'Santiago', 'yes', 'SCEL', 'SCL', '', ''),
	('SCSD', 'small_airport', 'San Fernando Airport', -34.5658, -70.9683, 1079, 'CL', 'CL-LI', 'San Fernando', 'no', 'SCSD', '', '', ''),
	('SCKK', 'small_airport', 'La Cascada Airport', -35.384998, -71.106667, 1804, 'CL', 'CL-ML', 'Molina', 'no', 'SCKK', '', '', ''),
	('SCGM', 'small_airport', 'Los Gomeros Airport', -34.361111, -70.881943, 1034, 'CL', 'CL-LI', 'Rengo', 'no', 'SCGM', '', '', ''),
	('SAMA', 'small_airport', 'General Alvear Airport', -35.058899, -67.692802, 1489, 'AR', 'AR-M', 'General Alvear', 'no', 'SAMA', '', 'GNA', ''),
	('SAMS', 'small_airport', 'San Carlos Airport', -33.7757, -69.053703, 3050, 'AR', 'AR-M', 'San Carlos', 'no', 'SAMS', '', 'CAR', ''),
	('SCNR', 'closed', 'Fundo Naicura Airport', -34.320278, -70.92028, 1050, 'CL', 'CL-LI', 'Rengo', 'no', '', '', '', 'SCNR'),
	('SCAM', 'small_airport', 'Alempue Airport', -34.865002, -71.101944, 1083, 'CL', 'CL-ML', 'Teno', 'no', 'SCAM', '', '', ''),
	('SAQZ', 'N/A', 'N/A', -36.34578488767147, -67.97713369131088, 810, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMM', 'medium_airport', 'Comodoro D.R. Salomón Airport', -35.493599, -69.574303, 4685, 'AR', 'AR-M', 'Malargue', 'no', 'SAMM', 'LGS', 'MLG', ''),
	('SCUN', 'small_airport', 'Uni Frutti Airport', -34.813057, -71.046112, 950, 'CL', 'CL-ML', 'Teno', 'no', 'SCUN', '', '', ''),
	('SCRG', 'medium_airport', 'La Independencia Airport', -34.173698, -70.775703, 1446, 'CL', 'CL-LI', 'Rancagua', 'no', 'SCRG', '', '', 'QRC'),
	('SCKI', 'small_airport', 'Los Lirios Airport', -34.903889, -71.201385, 820, 'CL', 'CL-ML', 'Curico', 'no', 'SCKI', '', '', ''),
	('SCVT', 'small_airport', 'Viña Tarapacá Airport', -33.766109, -70.923889, 1066, 'CL', 'CL-RM', 'Isla De Maipo', 'no', 'SCVT', '', '', ''),
	('SCXA', 'small_airport', 'Alupenhue Airport', -35.239445, -71.070831, 1600, 'CL', 'CL-ML', 'Molina', 'no', 'SCXA', '', '', ''),
	('SCAU', 'small_airport', 'Juan Enrique Airport', -33.8936, -70.885597, 1263, 'CL', 'CL-RM', 'Paine', 'no', 'SCAU', '', '', ''),
	('SCPO', 'small_airport', 'Los Paltos Airport', -34.328056, -70.964165, 869, 'CL', 'CL-LI', 'Quinta Tilcoco', 'no', 'SCPO', '', '', ''),
	('SCBU', 'small_airport', 'El Baúl Airstrip', -35.341435, -70.9108, 3070, 'CL', 'CL-ML', 'Molina', 'no', 'SCBU', '', '', ''),
	('SCPW', 'small_airport', 'Peumo Airport', -34.40889, -71.168892, 557, 'CL', 'CL-LI', 'Peumo', 'no', 'SCPW', '', '', ''),
	('SCOE', 'small_airport', 'San Miguel Airport', -34.962223, -71.016388, 1509, 'CL', 'CL-ML', 'Romeral', 'no', 'SCOE', '', '', ''),
	('SCIC', 'small_airport', 'General Freire Airport', -34.966667, -71.216393, 722, 'CL', 'CL-ML', 'Curico', 'no', 'SCIC', '', '', ''),
	('SCUP', 'small_airport', 'Lontuecito Airport', -35.282223, -71.236389, 1066, 'CL', 'CL-ML', 'Cumpeo', 'no', 'SCUP', '', '', ''),
	('SAGB', 'N/A', 'N/A', -34.97231516987085, -67.7258089184761, 473, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMR', 'medium_airport', 'Suboficial Ay Santiago Germano Airport', -34.588299, -68.4039, 2470, 'AR', 'AR-M', 'San Rafael', 'yes', 'SAMR', 'AFA', 'SRA', ''),
	('SCET', 'small_airport', 'El Tambo Airport', -34.475555, -71.014168, 748, 'CL', 'CL-LI', 'San Vicente De Tagua Tagua', 'no', 'SCET', '', '', ''),
	('SALV', 'N/A', 'N/A', -36.999417431652546, -70.7425045967102, 1316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABN', 'N/A', 'N/A', -36.77555926144123, -69.85948786139488, 1065, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHR', 'small_airport', 'Dr. Arturo H. Illia Airport', -39.000702, -67.620499, 852, 'AR', 'AR-R', 'General Roca', 'no', 'SAHR', 'GNR', 'GNR', ''),
	('SAZW', 'medium_airport', 'Cutral-Co Airport', -38.939701, -69.264603, 2132, 'AR', 'AR-Q', 'Cutral-Co', 'no', 'SAZW', 'CUT', 'CUT', ''),
	('SAAD', 'N/A', 'N/A', -37.202148512005806, -70.69629594683647, 1082, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA07', 'small_airport', 'El Porton Airport', -37.19432, -69.612619, 2853, 'AR', 'AR-Q', 'Buta Ranquil', 'no', 'SA07', '', 'BRQ', 'SA07'),
	('SA20', 'small_airport', 'Loma La Lata Airport', -38.413799, -68.737297, 1328, 'AR', 'AR-Q', 'Neuquen', 'no', '', '', 'OMA', 'SA20'),
	('SALL', 'N/A', 'N/A', -38.79942744970322, -70.43464735150337, 1197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZN', 'medium_airport', 'Presidente Peron Airport', -38.949001, -68.155701, 895, 'AR', 'AR-Q', 'Neuquen', 'yes', 'SAZN', 'NQN', 'NEU', ''),
	('SAEI', 'N/A', 'N/A', -37.273300141096115, -70.38535192608833, 1088, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA21', 'small_airport', 'Veinticinco De Mayo Airport', -37.8097991943, -67.6593017578, 1138, 'AR', 'AR-L', 'Colonia Veinticinco de Mayo', 'no', 'SA21', '', 'MAO', 'SA21'),
	('SABT', 'N/A', 'N/A', -37.36529286950827, -69.30183917284012, 888, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJB', 'N/A', 'N/A', -37.06551041454077, -69.39571470022202, 932, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA43', 'small_airport', 'Alvear Airpark', -33.0467, -60.5969, 85, 'AR', 'AR-S', 'Rosario', 'no', '', '', 'SA43', 'Aeroparque Rosario, AVA'),
	('SAHS', 'medium_airport', 'Rincon De Los Sauces Airport', -37.390598, -68.904198, 1968, 'AR', 'AR-Q', 'Rincon de los Sauces', 'no', 'SAHS', 'RDS', 'RIN', ''),
	('SACF', 'N/A', 'N/A', -38.89283571392298, -67.98860996961594, 270, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABC', 'N/A', 'N/A', -36.77118759602308, -69.53877076506615, 1513, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHC', 'small_airport', 'Chos Malal Airport', -37.444698, -70.222504, 2788, 'AR', 'AR-Q', 'Chos Malal', 'no', 'SAHC', 'HOS', 'CHM', ''),
	('SCQI', 'small_airport', 'Icalma Airport', -38.733339, -71.218067, 3806, 'CL', 'CL-AR', 'Lonquimay', 'no', 'SCMC', '', '', 'SCQI'),
	('LCP', 'small_airport', 'Loncopue Airport', -38.081902, -70.643898, 3627, 'AR', 'AR-Q', 'Loncopue', 'no', '', 'LCP', 'LCP', 'SA18'),
	('SAAX', 'N/A', 'N/A', -39.10074010491371, -70.99933505058289, 992, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHZ', 'medium_airport', 'Zapala Airport', -38.975498, -70.113602, 3330, 'AR', 'AR-Q', 'Zapala', 'no', 'SAHZ', 'APZ', 'ZAP', ''),
	('SA30', 'closed', 'Colonia Catriel Airport', -37.9101982117, -67.8349990845, 1026, 'AR', 'AR-R', 'Colonia Catriel', 'no', '', '', '', 'SA30, SA0U, SA30, CCT, CLT');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SA38', 'small_airport', 'Las Lajas Airport', -38.538898, -70.337097, 2788, 'AR', 'AR-Q', 'Las Lajas', 'no', 'SA38', '', 'LLJ', 'SA38'),
	('SADN', 'N/A', 'N/A', -38.80018584430218, -68.03694605827332, 359, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAE', 'N/A', 'N/A', -38.957775346934795, -67.80163586139679, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPC', 'N/A', 'N/A', -41.12645734101534, -70.71312099695206, 975, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQX', 'N/A', 'N/A', -40.599921606481075, -67.7651135623455, 665, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVA', 'small_airport', 'Piedra Del Aguila Airport', -40.192199707, -70.0100021362, 2128, 'AR', 'AR-Q', 'Piedra del Aguila', 'no', 'SAVA', '', 'AGI', ''),
	('SA37', 'N/A', 'N/A', -41.320885978639126, -69.57470834255219, 888, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJD', 'N/A', 'N/A', -39.70212422311306, -71.17284089326859, 864, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SASM', 'N/A', 'N/A', -40.39364330470562, -70.9639585018158, 710, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SASD', 'N/A', 'N/A', -41.09697684645653, -71.17742747068405, 779, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALO', 'N/A', 'N/A', -40.8158203214407, -68.0716024339199, 785, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAON', 'N/A', 'N/A', -42.16632731258869, -70.67578196525574, 694, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVD', 'small_airport', 'El Maiten Airport', -42.029202, -71.172501, 2355, 'AR', 'AR-U', 'El Maiten', 'no', 'SAVD', 'EMX', 'EMA', ''),
	('SAJL', 'N/A', 'N/A', -39.84556172043085, -70.86531981825829, 685, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZY', 'medium_airport', 'Aviador C. Campos Airport', -40.075401, -71.137299, 2569, 'AR', 'AR-Q', 'Chapelco/San Martin de los Andes', 'yes', 'SAZY', 'CPC', 'CHP', ''),
	('SAZS', 'medium_airport', 'San Carlos De Bariloche Airport', -41.151199, -71.157501, 2774, 'AR', 'AR-R', 'San Carlos de Bariloche', 'yes', 'SAZS', 'BRC', 'BAR', ''),
	('SAVQ', 'small_airport', 'Maquinchao Airport', -41.2430992126, -68.7078018188, 2912, 'AR', 'AR-R', 'Maquinchao', 'no', 'SAVQ', 'MQD', 'MAQ', ''),
	('SAVE', 'medium_airport', 'Brigadier Antonio Parodi Airport', -42.908000946, -71.139503479, 2621, 'AR', 'AR-U', 'Esquel', 'yes', 'SAVE', 'EQS', 'ESQ', ''),
	('SAIA', 'N/A', 'N/A', -42.5216918438673, -68.2960107922554, 915, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAW', 'N/A', 'N/A', -44.77573111653328, -70.19651010632515, 559, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVP', 'small_airport', 'Paso De Los Indios Airport', -43.8666992188, -69.05000305179999, 575, 'AR', 'AR-U', 'Paso de los Indios', 'no', 'SAVP', '', 'IND', ''),
	('SAUF', 'N/A', 'N/A', -43.721429854631424, -71.24585598707199, 735, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIB', 'N/A', 'N/A', -42.27667506784201, -69.23802718520164, 1043, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWS', 'small_airport', 'Jose De San Martin Airport', -44.048599243199995, -70.4589004517, 2407, 'AR', 'AR-U', 'Chubut', 'no', 'SAWS', 'JSM', 'JSM', ''),
	('SAJO', 'N/A', 'N/A', -44.43501178175211, -70.4404704272747, 615, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATX', 'N/A', 'N/A', -43.61257340759039, -71.02093353867531, 724, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOY', 'N/A', 'N/A', -24.80892464518547, -64.18076455593109, 457, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA24', 'small_airport', 'Calilegua Airport', -23.7819, -64.749496, 1449, 'AR', 'AR-Y', 'Calilegua', 'no', 'SA24', '', 'CLI', 'SA24'),
	('SASJ', 'medium_airport', 'Gobernador Horacio Guzman International Airport', -24.392799, -65.097801, 3019, 'AR', 'AR-Y', 'San Salvador de Jujuy', 'yes', 'SASJ', 'JUJ', 'JUJ', ''),
	('SAIP', 'N/A', 'N/A', -23.212708197534084, -64.03389751911163, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEV', 'N/A', 'N/A', -25.186629965901375, -64.08146470785141, 365, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKR', 'N/A', 'N/A', -24.993014708161354, -64.34149235486984, 509, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPP', 'N/A', 'N/A', -24.314698465168476, -65.24717152118683, 1194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA01', 'small_airport', 'Cachi Airport', -25.1049995422, -66.15720367429999, 8232, 'AR', 'AR-A', 'Cachi', 'no', 'SA01', '', 'CCS', 'SA01'),
	('SASA', 'medium_airport', 'Martin Miguel De Guemes International Airport', -24.856000900299996, -65.4861984253, 4088, 'AR', 'AR-A', 'Salta', 'yes', 'SASA', 'SLA', 'SAL', ''),
	('SASO', 'medium_airport', 'Orán Airport', -23.1528, -64.329201, 1171, 'AR', 'AR-A', 'Orán', 'no', 'SASO', 'ORA', 'ORA', ''),
	('SAFC', 'N/A', 'N/A', -24.44792378693819, -65.17549619078636, 986, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAST', 'medium_airport', 'General Enrique Mosconi Airport', -22.6196, -63.793701, 1472, 'AR', 'AR-A', 'Tartagal', 'yes', 'SAST', 'TTG', 'TAR', ''),
	('SLBJ', 'medium_airport', 'Bermejo Airport', -22.7733001709, -64.31289672850001, 1249, 'BO', 'BO-T', 'Bermejo', 'no', 'SLBJ', 'BJO', '', ''),
	('SAOT', 'N/A', 'N/A', -24.747145995497704, -64.23458129167557, 492, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKT', 'N/A', 'N/A', -23.336017057299614, -64.24437895417213, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUI', 'N/A', 'N/A', -24.745814613997936, -65.4187385737896, 1241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFH', 'N/A', 'N/A', -27.345241606235504, -65.61719834804535, 384, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKE', 'N/A', 'N/A', -26.869739927351475, -64.74603563547134, 341, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA11', 'small_airport', 'Campo Arenal Airport', -27.0723, -66.586098, 7622, 'AR', 'AR-K', 'Campo Arenal', 'no', '', '', 'CAL', 'SA11'),
	('SA35', 'small_airport', 'Andalgalá Airport', -27.631701, -66.3508, 2952, 'AR', 'AR-K', 'Andalgalá', 'no', 'SA35', '', 'AND', 'SA35'),
	('SA42', 'small_airport', 'Santa Maria Airport', -26.673400878900004, -66.0240020752, 5904, 'AR', 'AR-K', 'Santa Maria', 'no', 'SA42', '', 'SMC', 'SA42'),
	('SARX', 'N/A', 'N/A', -25.82612995058298, -64.9631966650486, 824, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMW', 'N/A', 'N/A', -25.514339916408062, -64.96557801961899, 843, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA00', 'N/A', 'N/A', -26.576610691845417, -65.49063473939896, 1711, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANR', 'medium_airport', 'Termas de Río Hondo international Airport', -27.4966, -64.93595, 935, 'AR', 'AR-G', 'Termas de Río Hondo', 'yes', 'SANR', 'RHD', 'TRH', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SAIY', 'N/A', 'N/A', -25.43275784701109, -63.857950419187546, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABZ', 'N/A', 'N/A', -26.732010506093502, -64.88440811634064, 463, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA44', 'small_airport', 'Londres/Belén Airport', -27.7078990936, -67.0951004028, 3936, 'AR', 'AR-K', 'Londres/Belén', 'no', 'SA44', '', 'BLN', 'SA44'),
	('SABV', 'N/A', 'N/A', -27.03575223684311, -65.15724956989288, 364, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA14', 'small_airport', 'Miramar Airport', -38.2271, -57.8697, 42, 'AR', 'AR-B', 'Miramar', 'no', 'SAEM', 'MJR', 'IRA', 'SA14'),
	('SAYR', 'N/A', 'N/A', -26.795992590487003, -65.30945375561714, 567, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA02', 'small_airport', 'Cafayate Airport', -26.056101, -65.936897, 5375, 'AR', 'AR-A', 'Cafayate', 'no', '', '', 'CAF', 'SA02, Gilberto Lavaque'),
	('SABU', 'N/A', 'N/A', -26.579167507588863, -64.5286913216114, 354, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANE', 'medium_airport', 'Vicecomodoro Angel D. La Paz Aragonés Airport', -27.765556335399996, -64.3099975586, 656, 'AR', 'AR-G', 'Santiago del Estero', 'yes', 'SANE', 'SDE', 'SDE', ''),
	('SANT', 'medium_airport', 'Teniente Benjamin Matienzo Airport', -26.8409, -65.104897, 1493, 'AR', 'AR-T', 'San Miguel de Tucumán', 'yes', 'SANT', 'TUC', 'TUC', ''),
	('SAEF', 'N/A', 'N/A', -30.379306487739086, -64.37975227832794, 622, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACT', 'closed', 'Chamical Airport', -30.34530067, -66.29360198, 1502, 'AR', 'AR-F', 'Gobernador Gordillo', 'no', '', '', '', 'SACT, SACT, GOR'),
	('SAUN', 'N/A', 'N/A', -30.274111926555634, -63.85754004120827, 420, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANC', 'medium_airport', 'Coronel Felipe Varela International Airport', -28.593117, -65.7512, 1522, 'AR', 'AR-K', 'Catamarca', 'yes', 'SANC', 'CTC', 'CAT', ''),
	('FRS', 'small_airport', 'Frias Airport', -28.634399414100002, -65.1091995239, 1082, 'AR', 'AR-G', 'Frias', 'no', 'SA45', '', 'FRS', 'SA45'),
	('SANL', 'medium_airport', 'Capitan V A Almonacid Airport', -29.381599, -66.795799, 1437, 'AR', 'AR-F', 'La Rioja', 'yes', 'SANL', 'IRJ', 'LAR', ''),
	('SANO', 'small_airport', 'Chilecito Airport', -29.2239, -67.438904, 3099, 'AR', 'AR-F', 'Chilecito', 'no', 'SANO', '', 'ITO', ''),
	('SAKM', 'N/A', 'N/A', -28.79450384527445, -66.91442862153053, 1297, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACS', 'small_airport', 'Villa De Soto Airport', -30.875419, -64.99288, 2013, 'AR', 'AR-X', 'Villa de Soto', 'no', 'SACS', '', 'SOT', ''),
	('SA90', 'N/A', 'N/A', -30.63062109053135, -67.45768278837204, 845, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJY', 'N/A', 'N/A', -32.03936353325844, -64.19180318713188, 477, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAZ', 'N/A', 'N/A', -31.650257483124733, -64.36899483203888, 539, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALB', 'N/A', 'N/A', -31.401018910109997, -64.30026635527611, 504, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWW', 'N/A', 'N/A', -31.964949667453766, -64.56443801522255, 781, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOD', 'medium_airport', 'Villa Dolores Airport', -31.9452, -65.146301, 1847, 'AR', 'AR-X', 'Villa Dolores', 'no', 'SAOD', 'VDR', 'LDR', ''),
	('SAXA', 'N/A', 'N/A', -32.18437884002924, -64.48870047926903, 542, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACP', 'closed', 'Chepes Airport', -31.356142, -66.591888, 714, 'AR', 'AR-F', 'Chepes', 'no', '', '', '', 'CHE, SACP'),
	('SAIK', 'N/A', 'N/A', -32.08817470818758, -64.16997447609901, 443, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOR', 'medium_airport', 'Villa Reynolds Airport', -33.7299003601, -65.3873977661, 1591, 'AR', 'AR-D', 'Villa Mercedes', 'no', 'SAOR', 'VME', 'RYD', 'Pringles'),
	('SA17', 'small_airport', 'Rio Cuarto Aeroclub Airport', -33.1605987549, -64.3382034302, 1423, 'AR', 'AR-X', 'Rio Cuarto', 'no', 'SA17', '', 'CUA', 'SA17'),
	('SAMX', 'N/A', 'N/A', -31.73278771340847, -64.98601511120796, 982, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFJ', 'N/A', 'N/A', -33.61742913722992, -64.61711347103119, 366, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMN', 'N/A', 'N/A', -31.21164120733738, -64.16058987379074, 514, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOS', 'small_airport', 'Valle Del Conlara International Airport', -32.384701, -65.186501, 2021, 'AR', 'AR-D', 'Merlo', 'no', 'SAOS', 'RLO', 'SRC', ''),
	('SACI', 'small_airport', 'Pilar Airport', -31.6819992065, -63.863800048799995, 1072, 'AR', 'AR-X', 'Pilar', 'no', 'SACI', '', 'PIL', ''),
	('SACA', 'small_airport', 'Captain D Omar Darío Gelardi Airport', -31.4419, -64.258202, 1594, 'AR', 'AR-X', 'Córdoba', 'no', 'SACA', '', 'FMA', 'Area de Material'),
	('SACC', 'small_airport', 'La Cumbre Airport', -31.0058, -64.531898, 3733, 'AR', 'AR-X', 'La Cumbre', 'no', 'SACC', 'LCM', 'CUM', ''),
	('SAVZ', 'N/A', 'N/A', -31.45508386194706, -64.52620133757591, 717, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOU', 'medium_airport', 'Brigadier Mayor D Cesar Raul Ojeda Airport', -33.273201, -66.3564, 2328, 'AR', 'AR-D', 'San Luis', 'yes', 'SAOU', 'LUQ', 'UIS', ''),
	('SAJE', 'N/A', 'N/A', -30.98826851695776, -64.07796263694763, 518, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALR', 'N/A', 'N/A', -32.74497024714947, -63.79608303308487, 278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOC', 'medium_airport', 'Area De Material Airport', -33.085098, -64.261299, 1380, 'AR', 'AR-X', 'Rio Cuarto', 'no', 'SAOC', 'RCU', 'TRC', ''),
	('SAOE', 'small_airport', 'Rio Tercero Airport', -32.173302, -64.088303, 1246, 'AR', 'AR-X', 'Rio Tercero', 'no', 'SAOE', '', 'RCR', ''),
	('SACO', 'medium_airport', 'Ingeniero Ambrosio Taravella Airport', -31.323601, -64.208, 1604, 'AR', 'AR-X', 'Cordoba', 'yes', 'SACO', 'COR', 'CBA', ''),
	('SAAT', 'N/A', 'N/A', -31.651966720819473, -64.39421117305756, 544, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEB', 'N/A', 'N/A', -31.28585860133171, -64.45570930838585, 680, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACD', 'small_airport', 'Coronel Olmedo Airport', -31.487499, -64.141403, 1416, 'AR', 'AR-X', 'Cordoba', 'no', 'SACD', '', 'EDO', ''),
	('SA9O', 'N/A', 'N/A', -33.64410538226366, -65.41928753256798, 505, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATY', 'N/A', 'N/A', -32.75223098695278, -65.28152212500572, 756, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACE', 'small_airport', 'Escuela de Aviación Militar (Military Aviation School) Airport', -31.444223, -64.283377, 1646, 'AR', 'AR-X', 'Córdoba', 'no', 'SACE', '', 'ESC', ''),
	('SAJT', 'N/A', 'N/A', -33.746747486293316, -65.2455684542656, 467, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CAM', 'small_airport', 'Alfomso Mengo Airport', -32.02444, -64.27944, 1781, 'AR', 'AR-X', 'Corralito', 'no', '', '', 'CAM', ''),
	('SAVI', 'N/A', 'N/A', -33.644306883215904, -65.41939795017242, 506, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANP', 'N/A', 'N/A', -31.247962675988674, -64.0384604036808, 412, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARR', 'N/A', 'N/A', -33.092903047800064, -64.42934453487396, 465, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJJ', 'N/A', 'N/A', -35.08937079459429, -65.19770622253418, 293, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXP', 'N/A', 'N/A', -33.938233740627766, -64.40783321857452, 244, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARB', 'N/A', 'N/A', -35.05889017134905, -64.21280533075333, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVK', 'N/A', 'N/A', -33.94300941377878, -64.37118396162987, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIN', 'N/A', 'N/A', -35.35524409264326, -64.47559610009193, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZG', 'medium_airport', 'General Pico Airport', -35.696201, -63.758301, 459, 'AR', 'AR-L', 'General Pico', 'no', 'SAZG', 'GPO', 'GPI', ''),
	('SAXV', 'N/A', 'N/A', -34.35643371194601, -64.89964976906776, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAYD', 'N/A', 'N/A', -34.52771186828613, -63.960837721824646, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXM', 'N/A', 'N/A', -36.55286148190498, -63.76674368977547, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEU', 'N/A', 'N/A', -35.88024627417326, -64.27501782774925, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXS', 'N/A', 'N/A', -36.23663172125816, -66.94626465439796, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWQ', 'N/A', 'N/A', -36.23744007200003, -65.45190453529358, 303, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXR', 'N/A', 'N/A', -33.934008590877056, -64.41603899002075, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJS', 'N/A', 'N/A', -34.0010742098093, -65.36655306816101, 436, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VMC', 'small_airport', 'Comequechen Airport', -33.93402, -64.415946, 805, 'AR', 'AR-X', 'Vicuña Mackenna', 'no', '', '', 'VMC', ''),
	('SAXQ', 'N/A', 'N/A', -33.93756318837404, -64.41517397761345, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHU', 'N/A', 'N/A', -34.82021179050207, -64.37442943453789, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEL', 'small_airport', 'Oakley Municipal Airport', 39.109901428222656, -100.81600189208984, 3045, 'US', 'US-KS', 'Oakley', 'no', 'KOEL', '', 'OEL', ''),
	('SAZR', 'medium_airport', 'Santa Rosa Airport', -36.588299, -64.275703, 630, 'AR', 'AR-L', 'Santa Rosa', 'yes', 'SAZR', 'RSA', 'OSA', ''),
	('SAZU', 'small_airport', 'Puelches Airport', -38.145103, -65.922943, 180, 'AR', 'AR-L', 'Puelches', 'no', 'SAZU', '', 'PUE', ''),
	('SAWY', 'N/A', 'N/A', -39.07463550567627, -67.07856461405754, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPE', 'N/A', 'N/A', -37.33997818082571, -65.64737096428871, 278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA80', 'N/A', 'N/A', -38.904407769441605, -64.08420100808144, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZQ', 'small_airport', 'Rio Colorado Airport', -38.995, -64.1408, 275, 'AR', 'AR-R', 'Rio Colorado', 'no', 'SAZQ', '', 'COL', ''),
	('SAOZ', 'N/A', 'N/A', -37.120186910033226, -66.70399904251099, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEA', 'small_airport', 'General Acha Airport', -37.400799, -64.612801, 908, 'AR', 'AR-L', 'General Acha', 'no', 'SAEA', '', 'ACH', ''),
	('SASS', 'N/A', 'N/A', -36.59714173525572, -64.18674945831299, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVN', 'small_airport', 'Antoine de Saint Exupéry Airport', -40.7512, -65.0343, 85, 'AR', 'AR-R', 'San Antonio Oeste', 'yes', 'SAVN', 'OES', 'SAN', ''),
	('SA92', 'N/A', 'N/A', -40.981619730591774, -64.17735233902931, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAYN', 'N/A', 'N/A', -40.7994320243597, -64.86443549394608, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAYK', 'N/A', 'N/A', -41.43962871283293, -66.08993008732796, 434, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAYH', 'N/A', 'N/A', -40.52464406937361, -67.21534296870232, 465, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVS', 'small_airport', 'Sierra Grande Airport', -41.591702, -65.339401, 688, 'AR', 'AR-R', 'Sierra Grande', 'no', 'SAVS', 'SGV', 'SGR', ''),
	('SAYI', 'N/A', 'N/A', -41.67016692459583, -66.09597131609917, 454, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVL', 'N/A', 'N/A', -40.69647911936045, -66.15278944373131, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATT', 'N/A', 'N/A', -41.8373654410243, -65.07376715540886, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA91', 'N/A', 'N/A', -41.64153400808573, -65.02967566251755, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA45', 'small_airport', 'Frias Airport', -28.634399414100002, -65.1091995239, 1082, 'AR', 'AR-G', 'Frias', 'no', 'SA45', '', 'FRS', 'SA45'),
	('SAHY', 'N/A', 'N/A', -44.779297448694706, -65.71953400969505, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVY', 'medium_airport', 'El Tehuelche Airport', -42.7592, -65.1027, 427, 'AR', 'AR-U', 'Puerto Madryn', 'yes', 'SAVY', 'PMY', 'DRY', ''),
	('SAVT', 'medium_airport', 'Almirante Marco Andres Zar Airport', -43.2105, -65.2703, 141, 'AR', 'AR-U', 'Rawson', 'yes', 'SAVT', 'REL', 'TRE', 'Trelew Airport'),
	('SAPT', 'N/A', 'N/A', -42.55260597914457, -64.27382558584213, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARW', 'N/A', 'N/A', -43.29485233873129, -65.0630459189415, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA34', 'small_airport', 'Trelew Aeroclub Airport', -43.2356, -65.3241, 127, 'AR', 'AR-U', 'Trelew', 'no', 'SA34', '', 'TRW', 'SA34'),
	('SAKG', 'N/A', 'N/A', -44.572866931557655, -65.37050396203995, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOO', 'N/A', 'N/A', -43.729948215186596, -67.2840915620327, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPQ', 'N/A', 'N/A', -43.67355812340975, -66.49582296609879, 263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SAIR', 'N/A', 'N/A', -22.613474540412426, -63.66257518529892, 372, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGPG', 'small_airport', 'Base de la Fuerza Aérea Paraguaya "Teniente Pelayo Prats Gill"', -22.559962, -61.611972, 690, 'PY', 'PY-19', '', 'no', 'SGPG', '', '', ''),
	('SATK', 'small_airport', 'Alferez Armando Rodriguez Airport', -24.721399, -60.548801, 426, 'AR', 'AR-P', 'Las Lomitas', 'no', 'SATK', 'LLS', 'ITA', ''),
	('SAIQ', 'N/A', 'N/A', -23.240320533514023, -63.32289844751358, 242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPV', 'N/A', 'N/A', -24.444903284311295, -61.688991487026215, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKN', 'N/A', 'N/A', -23.905906677246094, -61.82012155652046, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SASR', 'small_airport', 'Rivadavia Airport', -24.188600540200003, -62.883399963399995, 679, 'AR', 'AR-A', 'Rivadavia', 'no', 'SASR', '', 'RIV', ''),
	('SAID', 'N/A', 'N/A', -23.039484433829784, -63.72092843055725, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCF', 'N/A', 'N/A', -22.67700534313917, -60.11849954724312, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQD', 'N/A', 'N/A', -24.001551568508148, -60.342418402433395, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIU', 'N/A', 'N/A', -27.260060012340546, -61.47439107298851, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHN', 'N/A', 'N/A', -27.478459551930428, -61.64486110210419, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKS', 'N/A', 'N/A', -27.142418324947357, -61.76429986953735, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARS', 'N/A', 'N/A', -26.751041784882545, -60.48749104142189, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADC', 'N/A', 'N/A', -25.93058355152607, -60.62786355614662, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHW', 'N/A', 'N/A', -27.476834803819656, -61.62445887923241, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGA', 'N/A', 'N/A', -27.494766041636467, -61.65881887078285, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PSV', 'small_airport', 'Rovere Airport', -26.783029, -60.487414, 295, 'AR', 'AR-H', 'Presidencia Roque Sáenz Peña', 'no', '', '', 'PSV', ''),
	('SAGP', 'N/A', 'N/A', -27.34319306910038, -61.27485305070877, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHF', 'N/A', 'N/A', -27.31015495955944, -61.21370226144791, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXK', 'N/A', 'N/A', -26.895201466977596, -62.30963096022606, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACQ', 'small_airport', 'Monte Quemado Airport', -25.783563, -62.82884, 722, 'AR', 'AR-G', 'Monte Quemado', 'no', 'SACQ', '', 'MTQ', ''),
	('SARV', 'small_airport', 'Villa Angela Airport', -27.5915, -60.6864, 246, 'AR', 'AR-H', 'Villa Angela', 'no', 'SARV', '', 'VAN', ''),
	('SACH', 'N/A', 'N/A', -27.216451317071915, -61.210146993398666, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABH', 'N/A', 'N/A', -28.85539971292019, -62.264568507671356, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXG', 'N/A', 'N/A', -30.320279449224472, -61.90165534615517, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANW', 'small_airport', 'Ceres Airport', -29.872292, -61.927925, 285, 'AR', 'AR-S', 'Ceres', 'no', 'SANW', 'CRR', 'ERE', ''),
	('SAYT', 'N/A', 'N/A', -30.534570515155792, -60.438029766082764, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIF', 'N/A', 'N/A', -29.851754866540432, -60.290690660476685, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQC', 'N/A', 'N/A', -28.286128342151642, -61.76485687494278, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJQ', 'N/A', 'N/A', -28.86995740234852, -62.24107548594475, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATL', 'N/A', 'N/A', -30.765735022723675, -60.56641861796379, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z01O', 'N/A', 'N/A', -28.619007915258408, -61.603507697582245, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMT', 'N/A', 'N/A', -30.73091860860586, -62.008123844861984, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABI', 'N/A', 'N/A', -30.92965319752693, -62.050424963235855, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUA', 'N/A', 'N/A', -29.23543654382229, -61.78836598992348, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAY', 'N/A', 'N/A', -28.479508571326733, -62.84586936235428, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXJ', 'N/A', 'N/A', -29.779534712433815, -62.03172594308853, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANF', 'N/A', 'N/A', -30.676006078720093, -62.025921642780304, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATF', 'N/A', 'N/A', -30.26389606297016, -61.2204010784626, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SASU', 'N/A', 'N/A', -30.387672297656536, -60.36545321345329, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWK', 'N/A', 'N/A', -29.46825060993433, -60.226461589336395, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA96', 'N/A', 'N/A', -30.177991278469563, -62.94667974114418, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOW', 'N/A', 'N/A', -30.777389891445637, -62.01475515961647, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGO', 'N/A', 'N/A', -33.046888411045074, -60.59754878282547, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOM', 'small_airport', 'Marcos Juarez Airport', -32.6836, -62.157801, 360, 'AR', 'AR-X', 'Marcos Juarez', 'no', 'SAOM', '', 'MJZ', ''),
	('SAFP', 'N/A', 'N/A', -31.38982705771923, -61.14258214831352, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGV', 'N/A', 'N/A', -32.03357968479395, -61.17771863937378, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFM', 'N/A', 'N/A', -33.42910889536142, -61.511148512363434, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA23', 'small_airport', 'Apóstoles Airport', -27.903200149499998, -55.765499115, 581, 'AR', 'AR-N', 'Apóstoles', 'no', 'SA23', '', 'APO', 'SA23'),
	('SAIO', 'N/A', 'N/A', -32.25174352526665, -61.65207356214523, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SAOI', 'N/A', 'N/A', -32.06032298505306, -63.548158407211304, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMY', 'N/A', 'N/A', -33.210524283349514, -62.630877792835236, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFQ', 'N/A', 'N/A', -33.07911850512028, -61.31626456975937, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADY', 'N/A', 'N/A', -33.28074987977743, -62.1523118019104, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIV', 'N/A', 'N/A', -33.223077692091465, -62.40461781620979, 120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHM', 'N/A', 'N/A', -32.805263958871365, -60.797671526670456, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFT', 'N/A', 'N/A', -32.99616750329733, -61.774722039699554, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALJ', 'N/A', 'N/A', -31.89177431166172, -62.704646587371826, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEG', 'N/A', 'N/A', -32.01624423265457, -60.583325922489166, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWV', 'N/A', 'N/A', -31.579296626150608, -63.53921681642532, 252, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SASP', 'N/A', 'N/A', -31.75751131027937, -60.37366658449173, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATJ', 'N/A', 'N/A', -31.883517801761627, -61.84403344988823, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFF', 'N/A', 'N/A', -32.24357083439827, -61.759166568517685, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SASC', 'N/A', 'N/A', -30.960752069950104, -60.887099504470825, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIC', 'N/A', 'N/A', -33.06851305067539, -60.66686511039734, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJG', 'N/A', 'N/A', -32.73717675358057, -62.53141567111015, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVU', 'N/A', 'N/A', -33.26440550386906, -60.28354972600937, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFZ', 'N/A', 'N/A', -33.00866425037384, -61.016882210969925, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIZ', 'N/A', 'N/A', -33.0755840241909, -60.71502506732941, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNY', 'medium_airport', 'Sidney Municipal Airport Lloyd W Carr Field', 41.101299, -102.985001, 4313, 'US', 'US-NE', 'Sidney', 'no', 'KSNY', 'SNY', 'SNY', ''),
	('SA05', 'small_airport', 'Bell Ville Airport', -32.6599, -62.702, 429, 'AR', 'AR-X', 'Bell Ville', 'no', 'SA05', '', 'BEL', 'SA05'),
	('SASW', 'N/A', 'N/A', -32.641720958054066, -60.75363278388977, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAH', 'N/A', 'N/A', -31.422572806477547, -63.00518184900284, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKC', 'N/A', 'N/A', -32.33649764209986, -63.685014098882675, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABY', 'N/A', 'N/A', -33.272246941924095, -60.570666790008545, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVJ', 'small_airport', 'Ingeniero Jacobacci - Captain H R Bordón Airport', -41.3209, -69.574898, 2925, 'AR', 'AR-R', 'Ingeniero Jacobacci', 'no', 'SAVJ', 'IGB', 'IJC', ''),
	('SALN', 'N/A', 'N/A', -32.641992531716824, -62.3166860640049, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACG', 'N/A', 'N/A', -33.56235198676586, -62.86897569894791, 120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALH', 'N/A', 'N/A', -32.49259080737829, -61.58097580075264, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFI', 'N/A', 'N/A', -33.43852713704109, -61.30314722657204, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANX', 'N/A', 'N/A', -31.857910752296448, -62.844771444797516, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFX', 'N/A', 'N/A', -33.0093002691865, -61.062889248132706, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXT', 'N/A', 'N/A', -32.43815168738365, -63.28927740454674, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXI', 'N/A', 'N/A', -31.35548774152994, -61.82981461286545, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJH', 'N/A', 'N/A', -33.46586253494024, -60.62855198979378, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA65', 'N/A', 'N/A', -33.09784401208162, -60.77775791287422, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKK', 'N/A', 'N/A', -32.130641117691994, -61.893283277750015, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CSA', 'small_airport', 'Aerocampo CSA airport', -31.661454441500002, -63.277130127, 630, 'AR', 'AR-X', 'Calchin', 'no', 'CSA', '', 'CSA', ''),
	('SAEC', 'N/A', 'N/A', -33.0082019045949, -61.83712810277939, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAER', 'N/A', 'N/A', -32.105585262179375, -61.61344438791275, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATW', 'N/A', 'N/A', -30.957124046981335, -61.527266800403595, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SASZ', 'N/A', 'N/A', -32.57976394146681, -60.909483432769775, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPJ', 'N/A', 'N/A', -32.52218160778284, -61.55049026012421, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFU', 'N/A', 'N/A', -32.88843624293804, -60.84361016750336, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAL', 'N/A', 'N/A', -33.34820240736008, -63.730072528123856, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEO', 'N/A', 'N/A', -32.21621632575989, -61.71641618013382, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOQ', 'N/A', 'N/A', -33.38773883879185, -63.305407762527466, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIG', 'N/A', 'N/A', -31.99348334223032, -61.59901723265648, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHB', 'N/A', 'N/A', -33.08168236166239, -60.564753860235214, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAET', 'small_airport', 'Ñanco Lauquen Airport', -35.9715, -62.7724, 301, 'AR', 'AR-B', 'Trenque Lauquen', 'no', 'SAET', '', 'TQL', ''),
	('SAEP', 'N/A', 'N/A', -31.473428159952164, -60.84576219320297, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SAHT', 'N/A', 'N/A', -33.17766956984997, -61.205225586891174, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUC', 'N/A', 'N/A', -31.873971484601498, -61.9519579410553, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACL', 'small_airport', 'Laguna Larga Airport', -31, -63, 1013, 'AR', 'AR-X', 'Laguna Larga', 'no', 'SACL', '', 'LRG', ''),
	('SALA', 'N/A', 'N/A', -32.62819994240999, -61.54423534870148, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAR', 'medium_airport', 'Rosario Islas Malvinas International Airport', -32.9036, -60.785, 85, 'AR', 'AR-S', 'Rosario', 'yes', 'SAAR', 'ROS', 'ROS', 'Fisherton Airport'),
	('SACJ', 'N/A', 'N/A', -32.80888829380274, -61.36580362915993, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXL', 'N/A', 'N/A', -32.293034456670284, -63.40197488665581, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABW', 'N/A', 'N/A', -33.66454482078552, -62.37508222460747, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VNO', 'small_airport', 'Venado Tuerto Airport', -33.6818, -61.9564, 367, 'AR', 'AR-S', 'Venado Tuerto', 'no', 'SAFV', '', 'VNO', 'SA32'),
	('SAYW', 'N/A', 'N/A', -31.92269381135702, -61.69246628880501, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA51', 'N/A', 'N/A', -33.471484780311584, -62.32680782675743, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWN', 'N/A', 'N/A', -32.58455537259579, -60.18472954630852, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA52', 'N/A', 'N/A', -32.68180824816227, -62.08819895982742, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAO', 'N/A', 'N/A', -33.30605451017618, -60.65611347556114, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA50', 'N/A', 'N/A', -33.125694058835506, -62.07700029015541, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHK', 'N/A', 'N/A', -32.58408598601818, -61.841681599617004, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAES', 'N/A', 'N/A', -31.404225155711174, -60.89915335178375, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADA', 'N/A', 'N/A', -33.06242946535349, -61.209754943847656, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXU', 'N/A', 'N/A', -32.42729511111975, -63.30237373709679, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACV', 'small_airport', 'Villa Maria Airport', -32.389400482199996, -63.2585983276, 672, 'AR', 'AR-X', 'Villa Maria del Rio Seco', 'no', 'SAOI', '', 'MRA', ''),
	('SAOG', 'N/A', 'N/A', -32.93181695044041, -62.43594691157341, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATH', 'N/A', 'N/A', -31.41358070075512, -62.13329628109932, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFK', 'N/A', 'N/A', -32.890990041196346, -61.1242139339447, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABP', 'N/A', 'N/A', -32.48771220445633, -62.67242431640625, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALD', 'N/A', 'N/A', -33.15467298030853, -62.89018750190735, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADH', 'N/A', 'N/A', -33.3391073718667, -62.03695356845856, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVW', 'N/A', 'N/A', -31.731678619980812, -60.220170468091965, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQA', 'N/A', 'N/A', -31.172158420085907, -60.71856290102005, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOV', 'medium_airport', 'Presidente Néstor Kirchner Regional Airport', -32.3201, -63.22663, 670, 'AR', 'AR-X', 'Villa Maria', 'yes', 'SAOV', '', 'VMR', ''),
	('SAAV', 'medium_airport', 'Sauce Viejo Airport', -31.7117, -60.8117, 55, 'AR', 'AR-S', 'Santa Fe', 'yes', 'SAAV', 'SFN', 'SVO', ''),
	('SABM', 'N/A', 'N/A', -33.324036709964275, -60.66618651151657, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFA', 'N/A', 'N/A', -32.827700302004814, -60.78166276216507, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEX', 'N/A', 'N/A', -32.271447367966175, -61.66232228279114, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIS', 'N/A', 'N/A', -33.24671298265457, -62.4154195189476, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAP', 'medium_airport', 'General Urquiza Airport', -31.7948, -60.4804, 242, 'AR', 'AR-E', 'Parana', 'yes', 'SAAP', 'PRA', 'PAR', ''),
	('SAUH', 'N/A', 'N/A', -32.36050810664892, -60.982531160116196, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKF', 'N/A', 'N/A', -33.10549668967724, -63.192977607250214, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWI', 'N/A', 'N/A', -35.446570962667465, -60.0886170566082, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZX', 'small_airport', 'Nueve de Julio Airport', -35.3997, -60.9358, 246, 'AR', 'AR-B', 'Nueve de Julio', 'no', 'SAZX', '', 'LIO', ''),
	('SAFW', 'N/A', 'N/A', -34.81046564877033, -62.52284601330757, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGN', 'N/A', 'N/A', -34.801433980464935, -61.86977282166481, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKH', 'N/A', 'N/A', -35.10481830686331, -62.02736243605614, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJC', 'N/A', 'N/A', -35.13588331639767, -61.99713930487633, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZP', 'medium_airport', 'Comodoro Pedro Zanni Airport', -35.8446, -61.8576, 278, 'AR', 'AR-B', 'Pehuajó', 'no', 'SAZP', 'PEH', 'PEH', ''),
	('SAII', 'N/A', 'N/A', -36.48873891681433, -63.43289718031883, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARZ', 'N/A', 'N/A', -34.28334753960371, -62.67010152339935, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADR', 'closed', 'Merlo Airport', -34.680283, -58.742658, 49, 'AR', 'AR-B', 'Merlo', 'no', '', '', '', 'SADR, SADR, MER'),
	('SAJN', 'N/A', 'N/A', -34.654517993330956, -61.00924551486969, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGE', 'N/A', 'N/A', -34.9958274140954, -62.999431639909744, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARQ', 'N/A', 'N/A', -34.21483654528856, -60.67304939031601, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALK', 'N/A', 'N/A', -34.890686832368374, -61.531318724155426, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SAPH', 'N/A', 'N/A', -35.791470520198345, -61.943107545375824, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJV', 'N/A', 'N/A', -35.1517153903842, -60.50582528114319, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BMO', 'small_airport', 'Malfatto Airport', -35.1517, -60.5056, 187, 'AR', 'AR-B', 'Bragado', 'no', '', '', 'BMO', 'Pulverizaciones Aereas Walter Malfatto'),
	('SAHE', 'small_airport', 'Caviahue Airport', -37.851398, -71.009201, 5435, 'AR', 'AR-Q', 'Lafontaine', 'no', 'SAHE', 'CVH', 'CVH', ''),
	('SAKA', 'N/A', 'N/A', -34.81118682771921, -60.51662564277649, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJM', 'N/A', 'N/A', -34.81796443462372, -62.47706964612007, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUB', 'N/A', 'N/A', -34.27938021719456, -60.50198033452034, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAJ', 'closed', 'Junin Airport', -34.546359, -60.930487, 262, 'AR', 'AR-B', 'Junin', 'no', '', '', '', 'SAAJ, SAAJ, JNI, NIN'),
	('SAXE', 'N/A', 'N/A', -33.77872779965401, -61.976088881492615, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWF', 'N/A', 'N/A', -33.96094735711813, -61.633270382881165, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGL', 'N/A', 'N/A', -34.22235041856766, -61.38670787215233, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZI', 'small_airport', 'Bolívar Airport', -36.1866, -61.0764, 308, 'AR', 'AR-B', 'Bolívar', 'no', 'SAZI', '', 'BLR', ''),
	('SAUG', 'N/A', 'N/A', -34.23417057842016, -60.58435633778572, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIE', 'N/A', 'N/A', -35.19530799239874, -63.59655439853668, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFL', 'N/A', 'N/A', -34.84540410339832, -62.48264193534851, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKI', 'N/A', 'N/A', -34.576122388243675, -61.0053987801075, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJX', 'N/A', 'N/A', -35.64812421798706, -61.35043725371361, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATN', 'N/A', 'N/A', -36.01473122835159, -62.693991959095, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUS', 'N/A', 'N/A', -35.99774345755577, -62.70632788538933, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADK', 'N/A', 'N/A', -34.96306054294109, -60.03315880894661, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJU', 'N/A', 'N/A', -34.61325589567423, -61.02398157119751, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOL', 'small_airport', 'La Quiaca Airport', -22.165264, -65.569918, 11414, 'AR', 'AR-Y', 'La Quiaca', 'no', 'SASQ', '', 'IAC', ''),
	('SAEH', 'N/A', 'N/A', -33.88902995735407, -60.86540088057518, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA06', 'small_airport', 'Santa Rita Airport', -35.8283, -60.1467, 177, 'AR', 'AR-B', 'Saladillo', 'no', 'SA06', '', 'SSR', 'SA06'),
	('SAYF', 'N/A', 'N/A', -33.7855976074934, -62.12900564074516, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHQ', 'N/A', 'N/A', -34.83057618141174, -62.46784284710884, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TQL', 'small_airport', 'Ñanco Lauquen Airport', -35.9715, -62.7724, 301, 'AR', 'AR-B', 'Trenque Lauquen', 'no', 'SAET', '', 'TQL', ''),
	('SAOP', 'N/A', 'N/A', -33.81368234753609, -61.335760205984116, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXO', 'N/A', 'N/A', -35.44934839010239, -60.16092091798782, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUP', 'N/A', 'N/A', -34.356823302805424, -60.156037509441376, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABR', 'N/A', 'N/A', -35.14462295919657, -60.48088252544403, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGH', 'N/A', 'N/A', -34.9748357757926, -61.018071323633194, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADE', 'N/A', 'N/A', -34.60807587951422, -60.41097566485405, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAN', 'small_airport', 'Pergamino Airport', -33.919, -60.648, 236, 'AR', 'AR-B', 'Pergamino', 'no', 'SAAN', '', 'PER', ''),
	('SA12', 'small_airport', 'Quemu Quemu Airport', -36.0587, -63.6313, 396, 'AR', 'AR-L', 'Quemu Quemu', 'no', 'SA12', '', 'MUQ', 'SA12'),
	('SAPG', 'N/A', 'N/A', -33.85694570839405, -60.70038914680481, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIX', 'N/A', 'N/A', -35.27566093951464, -61.55643850564957, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJF', 'N/A', 'N/A', -35.10042652487755, -62.01652094721794, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXC', 'N/A', 'N/A', -34.17740296572447, -61.50646671652794, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABQ', 'N/A', 'N/A', -34.05701771378517, -60.13775870203972, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKQ', 'N/A', 'N/A', -35.636566914618015, -63.49873602390289, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SASE', 'N/A', 'N/A', -34.54659663140774, -63.12450930476189, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVG', 'N/A', 'N/A', -34.48412664234638, -61.49095103144646, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACW', 'N/A', 'N/A', -35.63149955123663, -61.39291673898697, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAF', 'N/A', 'N/A', -34.07848309725523, -60.04602491855621, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPL', 'N/A', 'N/A', -36.28051567822695, -63.14682126045227, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGR', 'N/A', 'N/A', -35.503875352442265, -62.98979088664055, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUZ', 'N/A', 'N/A', -34.2492563277483, -62.67407789826393, 120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHP', 'N/A', 'N/A', -34.31502543389797, -62.01570376753807, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SASY', 'N/A', 'N/A', -34.30625829845667, -60.28640270233154, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGF', 'N/A', 'N/A', -34.7859750688076, -61.91410928964615, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SALI', 'N/A', 'N/A', -34.944787323474884, -61.30233362317085, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJW', 'N/A', 'N/A', -35.56914087384939, -61.36822298169136, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACX', 'N/A', 'N/A', -35.42512871325016, -62.46623441576958, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATS', 'N/A', 'N/A', -36.443724408745766, -62.87996381521225, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXN', 'N/A', 'N/A', -35.53637869656086, -60.12885242700577, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAYC', 'N/A', 'N/A', -38.74349132180214, -60.55343180894852, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADW', 'N/A', 'N/A', -38.00622750073671, -61.33193761110306, 249, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPB', 'N/A', 'N/A', -37.523050010204315, -62.4523763358593, 260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUL', 'N/A', 'N/A', -38.347754180431366, -60.2752710878849, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHO', 'N/A', 'N/A', -38.20517063140869, -61.76118224859238, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABA', 'N/A', 'N/A', -38.67103077471256, -62.3540335893631, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADV', 'N/A', 'N/A', -38.74171435832977, -61.25571236014366, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPI', 'N/A', 'N/A', -37.74962592869997, -62.33354553580284, 357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEE', 'N/A', 'N/A', -36.59075874835253, -61.77505865693092, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACK', 'N/A', 'N/A', -37.19365227967501, -62.781607657670975, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPU', 'N/A', 'N/A', -38.49843867123127, -61.884550005197525, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPA', 'N/A', 'N/A', -37.5387067347765, -62.73403376340866, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACZ', 'N/A', 'N/A', -37.446057200431824, -61.89063146710396, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIH', 'N/A', 'N/A', -37.214700914919376, -62.780829817056656, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZF', 'small_airport', 'Olavarria Airport', -36.889999, -60.216599, 551, 'AR', 'AR-B', 'Olavarria', 'no', 'SAZF', 'OVR', 'OLA', ''),
	('SA49', 'N/A', 'N/A', -37.145846262574196, -63.678668439388275, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZB', 'medium_airport', 'Comandante Espora Airport', -38.725, -62.1693, 246, 'AR', 'AR-B', 'Bahia Blanca', 'yes', 'SAZB', 'BHI', 'BCA', 'Bahía Blanca Airport'),
	('SASX', 'N/A', 'N/A', -36.75659604370594, -62.94407397508621, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAE3', 'N/A', 'N/A', -36.590760089457035, -61.77503675222397, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUG', 'small_airport', 'Huanguelen Airport', -37.0330543518, -61.934165954600005, 518, 'AR', 'AR-B', 'Huanguelen', 'no', '', '', 'HUG', ''),
	('SAOA', 'N/A', 'N/A', -36.96377355605364, -60.2751025557518, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPN', 'N/A', 'N/A', -38.83406314998865, -62.08694368600845, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMG', 'N/A', 'N/A', -37.109058760106564, -63.548229932785034, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZH', 'medium_airport', 'Tres Arroyos Airport', -38.3869, -60.3297, 400, 'AR', 'AR-B', 'Tres Arroyos', 'no', 'SAZH', 'OYO', 'YOS', ''),
	('SATE', 'N/A', 'N/A', -38.03109459578991, -60.13499245047569, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKB', 'N/A', 'N/A', -36.581028029322624, -61.784625202417374, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA27', 'small_airport', 'Puerto Rosales Airport', -38.897098541259766, -62.01029968261719, 16, 'AR', 'AR-B', 'Puerto Rosales', 'no', 'SA27', '', '', 'SA27'),
	('SALF', 'N/A', 'N/A', -37.5202065333724, -60.779147297143936, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJA', 'N/A', 'N/A', -38.06575309485197, -63.42885106801987, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKL', 'N/A', 'N/A', -36.97363872081041, -62.43686601519585, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATZ', 'N/A', 'N/A', -38.09494726359844, -62.25009262561798, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMD', 'N/A', 'N/A', -38.730397783219814, -63.286956399679184, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGI', 'small_airport', 'Santagiulian Airport', -38.40573, -60.29968, 350, 'AR', 'AR-B', 'Tres Arroyos', 'no', '', '', 'SGI', ''),
	('SAGT', 'N/A', 'N/A', -37.71216318011284, -63.16261500120163, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZE', 'small_airport', 'Pigüé Airport', -37.607098, -62.382641, 997, 'AR', 'AR-B', 'Pigüé', 'no', 'SAZE', '', 'PIG', ''),
	('SAGM', 'N/A', 'N/A', -37.2263215854764, -61.279424875974655, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA64', 'N/A', 'N/A', -39.658062905073166, -62.1793632209301, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFG', 'N/A', 'N/A', -40.77763136476278, -62.98185020685196, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANK', 'N/A', 'N/A', -39.455319084227085, -62.672975957393646, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAYQ', 'N/A', 'N/A', -40.41656848043203, -63.66235792636871, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFD', 'N/A', 'N/A', -40.20940840244293, -62.619227170944214, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVV', 'medium_airport', 'Gobernador Castello Airport', -40.8692, -63.0004, 20, 'AR', 'AR-R', 'Viedma / Carmen de Patagones', 'yes', 'SAVV', 'VDM', 'VIE', ''),
	('SAPO', 'N/A', 'N/A', -42.765343710780144, -63.645344227552414, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPM', 'N/A', 'N/A', -42.45651952922344, -63.62045019865036, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCRF', 'small_airport', 'Laguna San Rafael Airport', -46.638889, -73.849998, 20, 'CL', 'CL-AI', 'Laguna San Rafael', 'no', 'SCRF', '', '', ''),
	('SAQE', 'N/A', 'N/A', -46.55829034745693, -71.6096779704094, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SCMC', 'small_airport', 'Meseta Cosmelli Airport', -46.74606, -72.527319, 950, 'CL', 'CL-AI', 'Puerto Guadal', 'no', '', '', '', 'SCMC'),
	('SCND', 'small_airport', 'Ñadis Airport', -47.47072, -72.93013, 262, 'CL', 'CL-AI', 'Ñadis', 'no', 'SCND', '', '', ''),
	('SCEB', 'small_airport', 'Entrada Baker Airport', -47.184166, -71.976112, 1640, 'CL', 'CL-AI', 'Entrada Baker', 'no', 'SCEB', '', '', ''),
	('SCHH', 'small_airport', 'Punta Baja Airport', -46.792906, -72.79614, 721, 'CL', 'CL-AI', 'Chile Chico', 'no', 'SCHH', '', '', ''),
	('SCBA', 'medium_airport', 'Balmaceda Airport', -45.915968, -71.689499, 1722, 'CL', 'CL-AI', 'Balmaceda', 'yes', 'SCBA', 'BBA', '', ''),
	('SCCC', 'medium_airport', 'Chile Chico Airport', -46.5831, -71.686323, 1070, 'CL', 'CL-AI', 'Chile Chico', 'no', 'SCCC', 'CCH', '', ''),
	('SCAL', 'small_airport', 'Valchac Airport', -47.116279, -72.481975, 1116, 'CL', 'CL-AI', 'Cochrane', 'no', 'SCAL', '', '', ''),
	('SCEX', 'small_airport', 'Río Exploradores Airport', -46.353611, -73.327778, 59, 'CL', 'CL-AI', 'Aysén', 'no', 'SCEX', '', '', ''),
	('SCRU', 'small_airport', 'Río Murta Airport', -46.455673, -72.676653, 600, 'CL', 'CL-AI', 'Rio Murta', 'no', 'SCRU', '', '', ''),
	('SCSZ', 'small_airport', 'Puerto Sanchéz Airport', -46.592434, -72.585932, 680, 'CL', 'CL-AI', 'Puerto Sanchez', 'no', 'SCSZ', '', '', ''),
	('SCFC', 'small_airport', 'Fachinal Airport', -46.548343, -72.218714, 693, 'CL', 'CL-AI', 'Fachinal', 'no', 'SCFC', '', '', ''),
	('SCVS', 'small_airport', 'Lago Vargas Airport', -47.679513, -73.071039, 56, 'CL', 'CL-AI', 'Cochrane', 'no', 'SCVS', '', '', ''),
	('SCCY', 'medium_airport', 'Teniente Vidal Airport', -45.5942, -72.106102, 1020, 'CL', 'CL-AI', 'Coyhaique', 'no', 'SCCY', 'GXQ', '', ''),
	('SCCO', 'N/A', 'N/A', -47.55380865186453, -71.73943430185318, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCII', 'small_airport', 'Puerto Ingeniero Ibañez Airport', -46.293966, -71.949601, 820, 'CL', 'CL-AI', 'Puerto Ingeniero Ibañez', 'no', 'SCII', '', '', ''),
	('SCIH', 'small_airport', 'Caleta Andrade Airport', -45.147777, -73.508614, 115, 'CL', 'CL-AI', 'Isla Las Huichas', 'no', 'SCIH', '', '', 'Caleta Blanco'),
	('SCAS', 'small_airport', 'Cabo 1° Juan Román Airport', -45.3992, -72.670303, 30, 'CL', 'CL-AI', 'Puerto Aysen', 'no', 'SCAS', 'WPA', '', ''),
	('SCQO', 'small_airport', 'Quitralco Airport', -45.580556, -73.225556, 46, 'CL', 'CL-AI', 'Aysén', 'no', 'SCQO', '', '', ''),
	('SCCR', 'small_airport', 'Enrique Mayer Soto Airport', -47.787079, -73.533028, 4, 'CL', 'CL-AI', 'Caleta Tortel', 'no', 'SCCR', '', '', ''),
	('SCHR', 'medium_airport', 'Cochrane Airport', -47.243591, -72.58815, 643, 'CL', 'CL-AI', 'Cochrane', 'no', 'SCHR', 'LGR', '', ''),
	('SCBR', 'small_airport', 'Lago Brown Airport', -47.391945, -72.317497, 540, 'CL', 'CL-AI', 'Lago Brown', 'no', 'SCBR', '', '', ''),
	('SCLO', 'small_airport', 'Leones Airport', -46.765556, -72.818336, 705, 'CL', 'CL-AI', 'Chile Chico', 'no', 'SCLO', '', '', ''),
	('SCEY', 'small_airport', 'Entrada Mayer Airport', -48.201452, -72.32759, 1550, 'CL', 'CL-AI', 'Entrada Mayer', 'no', 'SCEY', '', '', ''),
	('SAWC', 'medium_airport', 'El Calafate - Commander Armando Tola International Airport', -50.2803, -72.053101, 669, 'AR', 'AR-Z', 'El Calafate', 'yes', 'SAWC', 'FTE', 'ECA', ''),
	('SCRB', 'small_airport', 'Río Bravo Airport', -47.990466, -73.142261, 37, 'CL', 'CL-AI', 'Tortel', 'no', 'SCRB', '', '', ''),
	('SCIO', 'small_airport', 'Laguna Redonda Airport', -48.93357849121094, -72.79961395263672, 1970, 'CL', 'CL-AI', 'Villa O''Higgins', 'no', 'SCIO', '', '', ''),
	('SCOH', 'small_airport', 'Villa O''Higgins Airport', -48.469212, -72.564316, 898, 'CL', 'CL-AI', 'Villa O''Higgins', 'no', 'SCOH', '', '', ''),
	('SCTP', 'small_airport', 'Río Pascua Airport', -48.22903, -73.299127, 197, 'CL', 'CL-AI', 'Tortel', 'no', 'SCTP', '', '', ''),
	('SCDV', 'small_airport', 'Lago Viedma Airstrip', -49.410757, -72.780266, 903, 'AR', 'AR-Z', 'El Chaltén', 'no', '', '', '', ''),
	('SCPY', 'small_airport', 'Cerro Castillo Airport', -51.262222, -72.337502, 427, 'CL', 'CL-MA', 'Cerro Castillo', 'no', 'SCPY', '', '', ''),
	('SCNT', 'medium_airport', 'Lieutenant Julio Gallardo Airport', -51.67067, -72.529078, 217, 'CL', 'CL-MA', 'Puerto Natales', 'yes', 'SCNT', 'PNT', '', ''),
	('SAWT', 'small_airport', '28 de Noviembre Airport', -51.605, -72.2203, 909, 'AR', 'AR-Z', 'Rio Turbio', 'yes', 'SAWT', 'RYO', 'BIO', 'El Turbio'),
	('SCGD', 'N/A', 'N/A', -50.96941474825144, -72.41684317588806, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVH', 'medium_airport', 'Las Heras Airport', -46.538517, -68.965323, 1082, 'AR', 'AR-Z', 'Las Heras', 'yes', 'SAVH', 'LHS', 'CLH', ''),
	('SAUT', 'N/A', 'N/A', -45.58217514306307, -69.00045275688171, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQP', 'N/A', 'N/A', -46.426289454102516, -68.00354763865471, 336, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQS', 'N/A', 'N/A', -46.78221959620714, -67.97337278723717, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQH', 'N/A', 'N/A', -47.164980210363865, -70.66095784306526, 653, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQV', 'N/A', 'N/A', -46.775562688708305, -67.91640356183052, 278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWM', 'small_airport', 'Rio Mayo Airport', -45.703899, -70.245598, 1784, 'AR', 'AR-U', 'Rio Mayo', 'no', 'SAWM', 'ROY', 'RMY', ''),
	('SAVM', 'small_airport', 'Lago Musters Airport', -45.5752, -69.077, 889, 'AR', 'AR-U', 'Sarmiento', 'no', 'SAVM', 'OLN', 'LGM', ''),
	('SAPR', 'N/A', 'N/A', -46.576103903353214, -70.94881877303123, 388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWP', 'medium_airport', 'Perito Moreno Airport', -46.537899, -70.978699, 1410, 'AR', 'AR-Z', 'Perito Moreno', 'yes', 'SAWP', 'PMQ', 'PTM', ''),
	('SAVR', 'small_airport', 'D. Casimiro Szlapelis Airport', -45.013599, -70.812202, 2286, 'AR', 'AR-U', 'Alto Rio Senguerr', 'no', 'SAVR', 'ARR', 'ARS', ''),
	('SAQO', 'N/A', 'N/A', -46.61410879343748, -68.55411127209663, 357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARA', 'N/A', 'N/A', -45.90384140610695, -67.5574180483818, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQQ', 'N/A', 'N/A', -45.72555396705866, -68.30610394477844, 533, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQK', 'N/A', 'N/A', -46.65157254785299, -69.2091254889965, 292, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALW', 'N/A', 'N/A', -46.19071036577225, -69.28037747740746, 426, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQG', 'N/A', 'N/A', -47.43700549006462, -70.93121990561485, 602, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CDS', 'medium_airport', 'Childress Municipal Airport', 34.4337997437, -100.288002014, 1954, 'US', 'US-TX', 'Childress', 'no', 'KCDS', 'CDS', 'CDS', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SAQW', 'N/A', 'N/A', -46.374386698007584, -67.59514287114143, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWR', 'small_airport', 'Gobernador Gregores Airport', -48.7831, -70.150002, 356, 'AR', 'AR-Z', 'Gobernador Gregores', 'yes', 'SAWR', 'GGS', 'GRE', ''),
	('SA33', 'small_airport', 'Comandante Luis Piedrabuena Airport', -49.9951, -68.9531, 78, 'AR', 'AR-Z', 'Comandante Luis Piedrabuena', 'no', 'SA33', '', 'LPB', 'SA33'),
	('SAEK', 'N/A', 'N/A', -50.303983837366104, -69.92625117301941, 378, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWJ', 'medium_airport', 'Capitan D Daniel Vazquez Airport', -49.306816, -67.802596, 203, 'AR', 'AR-Z', 'San Julian', 'yes', 'SAWJ', 'ULA', 'SJU', ''),
	('SAYG', 'N/A', 'N/A', -48.138573467731476, -67.65553772449493, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQN', 'N/A', 'N/A', -48.373648300766945, -68.10694858431816, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJK', 'N/A', 'N/A', -49.728370383381844, -68.75742584466934, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWU', 'medium_airport', 'Santa Cruz Airport', -50.0165, -68.5792, 364, 'AR', 'AR-Z', 'Puerto Santa Cruz', 'yes', 'SAWU', 'RZA', 'SCZ', ''),
	('SCFM', 'medium_airport', 'Captain Fuentes Martinez Airport', -53.2537, -70.319199, 104, 'CL', 'CL-MA', 'Porvenir', 'no', 'SCFM', 'WPR', '', ''),
	('SCQH', 'N/A', 'N/A', -51.891361735761166, -70.64492672681808, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCTH', 'small_airport', 'Tres Chorrillos Airport', -52.525278, -70.723889, 322, 'CL', 'CL-MA', 'San Gregorio', 'no', 'SCTH', '', '', ''),
	('SAUV', 'N/A', 'N/A', -52.943451181054115, -68.40251326560974, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUW', 'N/A', 'N/A', -53.432082273066044, -68.16737070679665, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCID', 'small_airport', 'Marco Davison Bascur Airport', -52.881537, -70.753365, 30, 'CL', 'CL-MA', 'Punta Arenas', 'no', 'SCID', '', '', ''),
	('SCPX', 'small_airport', 'Punta Catalina Airport', -52.555011, -68.749884, 90, 'CL', 'CL-MA', 'Punta Catalina', 'no', 'SCPX', '', '', ''),
	('SARJ', 'N/A', 'N/A', -51.66902035474777, -69.26618456840515, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z00S', 'N/A', 'N/A', -52.884849943220615, -68.4150843322277, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXW', 'N/A', 'N/A', -51.16254083812237, -69.48654189705849, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWG', 'medium_airport', 'Piloto Civil N. Fernández Airport', -51.6089, -69.3126, 61, 'AR', 'AR-Z', 'Rio Gallegos', 'yes', 'SAWG', 'RGL', 'GAL', 'Brigadier General D. A. Parodi'),
	('SAKY', 'N/A', 'N/A', -52.12676849216223, -69.50709477066994, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCBS', 'small_airport', 'Posesión Airport', -52.292588, -68.933029, 100, 'CL', 'CL-MA', 'Bahia Posesion', 'no', 'SCBS', '', '', ''),
	('SCSB', 'small_airport', 'Franco Bianco Airport', -52.736698, -69.333603, 104, 'CL', 'CL-MA', 'Cerro Sombrero', 'no', 'SCSB', 'SMB', '', ''),
	('SCCI', 'medium_airport', 'President Carlos Ibañez del Campo International Airport', -53.002602, -70.854599, 139, 'CL', 'CL-MA', 'Punta Arenas', 'yes', 'SCCI', 'PUQ', '', ''),
	('SCNS', 'closed', 'Sandra Scabini Airport', -52.393909, -69.756446, 236, 'CL', 'CL-MA', 'San Gregorio', 'no', '', '', '', 'SCNS'),
	('SCQB', 'N/A', 'N/A', -52.542683221399784, -70.53505539894104, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCQA', 'N/A', 'N/A', -52.59504832327366, -70.3515113890171, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCQD', 'N/A', 'N/A', -53.38113505393267, -69.29296866059303, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCSS', 'small_airport', 'San Sebastián Airport', -53.316262, -68.657343, 50, 'CL', 'CL-MA', 'San Sebastian', 'no', 'SCSS', '', '', ''),
	('Z00T', 'N/A', 'N/A', -54.34296011924744, -67.83730924129486, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAYX', 'N/A', 'N/A', -53.89240264892578, -68.8000363111496, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCNY', 'small_airport', 'Yendegaia Airport', -54.830973, -68.834926, 164, 'CL', 'CL-MA', 'Navarino', 'no', 'SCNY', '', '', ''),
	('SCFN', 'small_airport', 'Russfin Airport', -53.799, -69.12, 684, 'CL', 'CL-MA', 'Timaukel', 'no', 'SCFN', '', '', ''),
	('SAUY', 'N/A', 'N/A', -54.06920179724693, -67.65323504805565, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCBI', 'small_airport', 'Pampa Guanaco Airport', -54.049977, -68.809193, 591, 'CL', 'CL-MA', 'Bahia Inutil', 'no', 'SCBI', 'DPB', '', ''),
	('SAWH', 'medium_airport', 'Malvinas Argentinas Airport', -54.8433, -68.2958, 102, 'AR', 'AR-V', 'Ushuaia', 'yes', 'SAWH', 'USH', 'USU', ''),
	('SAWO', 'N/A', 'N/A', -54.822613187134266, -68.30427467823029, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z00U', 'N/A', 'N/A', -53.98306600749493, -68.52360785007477, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SCAZ', 'small_airport', 'Azopardo Airport', -54.481014, -68.940689, 59, 'CL', 'CL-MA', 'Timaukel', 'no', 'SCAZ', '', '', ''),
	('SCGZ', 'medium_airport', 'Guardiamarina Zañartu Airport', -54.931099, -67.626297, 88, 'CL', 'CL-MA', 'Puerto Williams', 'no', 'SCGZ', 'WPU', '', 'Ensign Zañartu'),
	('SCDW', 'small_airport', 'Almirante Schroeders Airport', -53.610699, -70.470497, 160, 'CL', 'CL-MA', 'Isla Dawson', 'no', 'SCDW', '', '', ''),
	('SAWE', 'medium_airport', 'Gobernador Ramón Trejo Noel International Airport', -53.7777, -67.7494, 65, 'AR', 'AR-V', 'Rio Grande', 'yes', 'SAWE', 'RGA', 'GRA', 'Hermes Quijada'),
	('SA60', 'N/A', 'N/A', -47.07576625049114, -66.69303372502327, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWD', 'medium_airport', 'Puerto Deseado Airport', -47.7353, -65.9041, 268, 'AR', 'AR-Z', 'Puerto Deseado', 'yes', 'SAWD', 'PUD', 'ADO', ''),
	('SA62', 'N/A', 'N/A', -47.5969610363245, -66.07072994112968, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKJ', 'N/A', 'N/A', -47.02180087566376, -67.24479496479034, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA32', 'small_airport', 'Venado Tuerto Airport', -33.6818, -61.9564, 367, 'AR', 'AR-S', 'Venado Tuerto', 'no', 'SAFV', '', 'VNO', 'SA32'),
	('SAVC', 'medium_airport', 'General E. Mosconi Airport', -45.7853, -67.4655, 189, 'AR', 'AR-U', 'Comodoro Rivadavia', 'yes', 'SAVC', 'CRD', 'CRV', ''),
	('SA63', 'N/A', 'N/A', -47.7891181781888, -65.92424511909485, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA19', 'small_airport', 'Puerto Deseado West Airport', -47.7201004028, -65.9324035645, 271, 'AR', 'AR-Z', 'Puerto Deseado', 'no', 'SA19', '', 'DES', 'SA19'),
	('SA61', 'N/A', 'N/A', -47.21363380551338, -66.69692605733871, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SA31', 'small_airport', 'San Nicolas de los Arroyos Airport', -33.3907, -60.1957, 98, 'AR', 'AR-B', 'San Nicolas', 'no', 'SA31', '', 'SNY', 'SA31'),
	('SAPK', 'N/A', 'N/A', -48.33143536001444, -66.4165310561657, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAWL', 'small_airport', 'Tolhuin Lago Fagnano Airport', -54.499596, -67.172084, 90, 'AR', 'AR-V', 'Tolhuin', 'no', 'SAWL', '', 'TOL', ''),
	('SFSF', 'N/A', 'N/A', -51.377982906997204, -60.09103685617447, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSL', 'N/A', 'N/A', -51.34535048156977, -60.68417742848396, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFTG', 'N/A', 'N/A', -51.420693062245846, -60.42291149497032, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSJ', 'N/A', 'N/A', -51.753171645104885, -60.41589394211769, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSB', 'N/A', 'N/A', -51.82987879961729, -60.4524028301239, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSP', 'N/A', 'N/A', -51.74631390720606, -61.28175392746925, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSY', 'N/A', 'N/A', -51.53972513973713, -60.356515645980835, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSZ', 'N/A', 'N/A', -51.87523126602173, -60.905651897192, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFST', 'N/A', 'N/A', -51.93438000977039, -60.06268545985222, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFTE', 'N/A', 'N/A', -51.9549760222435, -60.063278675079346, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSH', 'N/A', 'N/A', -52.0934534445405, -60.85327550768852, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFTB', 'N/A', 'N/A', -52.090930826961994, -60.28259351849556, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSM', 'N/A', 'N/A', -51.50456842035055, -60.1443649828434, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSO', 'N/A', 'N/A', -51.71921018511057, -60.06259694695473, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSG', 'N/A', 'N/A', -51.260959804058075, -60.59204801917076, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSK', 'N/A', 'N/A', -51.75578948110342, -60.534701496362686, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSI', 'N/A', 'N/A', -52.20536760985851, -60.53485348820686, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFTA', 'N/A', 'N/A', -51.84027973562479, -61.23401328921318, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BGUQ', 'small_airport', 'Qaarsut Airport', 70.7342, -52.696201, 289, 'GL', 'GL-AV', 'Uummannaq', 'yes', 'BGUQ', 'JQA', '', ''),
	('BGUK', 'small_airport', 'Upernavik Airport', 72.790199, -56.1306, 414, 'GL', 'GL-AV', 'Upernavik', 'yes', 'BGUK', 'JUV', '', 'Mittarfik Upernavik'),
	('BGAA', 'medium_airport', 'Aasiaat Airport', 68.721802, -52.784698, 74, 'GL', 'GL-QK', 'Aasiaat', 'yes', 'BGAA', 'JEG', '', 'Mittarfik Aasiaat, Aasiaat Lufthavn, Egedesminde'),
	('BGJN', 'medium_airport', 'Ilulissat Airport', 69.243202, -51.057098, 95, 'GL', 'GL-AV', 'Ilulissat', 'yes', 'BGJN', 'JAV', '', 'Mittarfik Ilulissat, Ilulissat Lufthavn, Jakobshavn'),
	('CYCA', 'small_airport', 'Cartwright Airport', 53.682501, -57.042303, 40, 'CA', 'CA-NL', 'Cartwright', 'yes', 'CYCA', 'YRF', '', 'YCA'),
	('CCD4', 'small_airport', 'Postville Airport', 54.9105, -59.78507, 193, 'CA', 'CA-NL', 'Postville', 'yes', 'CCD4', 'YSO', 'CCD4', 'CD4'),
	('CCZ2', 'small_airport', 'Rigolet Airport', 54.1796989440918, -58.45750045776367, 180, 'CA', 'CA-NL', 'Rigolet', 'yes', 'CCZ2', 'YRG', 'CCZ2', 'CZ2'),
	('CYIF', 'medium_airport', 'St Augustin Airport', 51.2117, -58.658298, 20, 'CA', 'CA-QC', 'St-Augustin', 'yes', 'CYIF', 'YIF', '', 'Pakuashipi Airport'),
	('CYBX', 'medium_airport', 'Lourdes-de-Blanc-Sablon Airport', 51.4436, -57.185299, 121, 'CA', 'CA-QC', 'Blanc-Sablon', 'yes', 'CYBX', 'YBX', '', ''),
	('CTU5', 'small_airport', 'La Tabatière Airport', 50.8307991027832, -58.97560119628906, 102, 'CA', 'CA-QC', 'La Tabatière', 'yes', 'CTU5', 'ZLT', 'CTU5', 'TU5'),
	('CCM4', 'small_airport', 'Port au Choix Airport', 50.6889, -57.331402, 90, 'CA', 'CA-NL', 'Port au Choix', 'no', 'CCM4', '', 'CCM4', 'CM4'),
	('CTB6', 'small_airport', 'Tête-à-la-Baleine Airport', 50.674400329589844, -59.38359832763672, 107, 'CA', 'CA-QC', 'Tête-à-la-Baleine', 'yes', 'CTB6', 'ZTB', 'CTB6', 'TB6'),
	('CCP4', 'small_airport', 'Port Hope Simpson Airport', 52.528099060058594, -56.28609848022461, 347, 'CA', 'CA-NL', 'Port Hope Simpson', 'yes', 'CCP4', 'YHA', 'CCP4', 'CP4'),
	('CYHR', 'small_airport', 'Chevery Airport', 50.468322, -59.637823, 39, 'CA', 'CA-QC', 'Chevery', 'yes', 'CYHR', 'YHR', '', ''),
	('CYJT', 'medium_airport', 'Dymond Airport', 48.544201, -58.549999, 84, 'CA', 'CA-NL', 'Stephenville', 'no', 'CYJT', 'YJT', '', 'Ernest Harmon AFB'),
	('CYDF', 'medium_airport', 'Deer Lake Airport', 49.2108, -57.391399, 72, 'CA', 'CA-NL', 'Deer Lake', 'yes', 'CYDF', 'YDF', '', ''),
	('CCT5', 'seaplane_base', 'South Brook Seaplane Base', 49.016701, -57.633301, 17, 'CA', 'CA-NL', '', 'no', 'CCT5', '', 'CCT5', 'CT5'),
	('LFVM', 'small_airport', 'Miquelon Airport', 47.095501, -56.380299, 10, 'PM', 'PM-ML', 'Miquelon', 'yes', 'LFVM', 'MQC', '', ''),
	('CDA5', 'small_airport', 'St. Andrews Codroy Valley Airport', 47.775098, -59.312525, 65, 'CA', 'CA-NL', 'St. Andrews', 'no', 'CDA5', '', 'CDA5', 'DA5'),
	('BGSS', 'medium_airport', 'Sisimiut Airport', 66.951302, -53.729301, 33, 'GL', 'GL-QA', 'Sisimiut', 'yes', 'BGSS', 'JHS', '', ''),
	('BGMQ', 'small_airport', 'Maniitsoq Airport', 65.412498, -52.9394, 91, 'GL', 'GL-QA', 'Maniitsoq', 'yes', 'BGMQ', 'JSU', '', 'Mittarfik Maniitsoq, Sukkertoppen'),
	('CCE4', 'small_airport', 'Black Tickle Airport', 53.469836, -55.787501, 57, 'CA', 'CA-NL', 'Black Tickle', 'yes', 'CCE4', 'YBI', 'CCE4', 'CE4'),
	('CCA6', 'small_airport', 'Williams Harbour Airport', 52.567377, -55.784883, 70, 'CA', 'CA-NL', 'Williams Harbour', 'yes', 'CCA6', 'YWM', 'CCA6', ''),
	('CYMH', 'small_airport', 'Mary''s Harbour Airport', 52.302837, -55.847433, 38, 'CA', 'CA-NL', 'Mary''s Harbour', 'yes', 'CYMH', 'YMH', '', ''),
	('CCH4', 'small_airport', 'Charlottetown Airport', 52.765774, -56.11237, 209, 'CA', 'CA-NL', 'Charlottetown', 'yes', 'CCH4', 'YHG', 'CCH4', 'CH4'),
	('CCK4', 'small_airport', 'St. Lewis (Fox Harbour) Airport', 52.372799, -55.673901, 74, 'CA', 'CA-NL', 'St. Lewis', 'yes', 'CCK4', 'YFX', 'CCK4', 'CK4'),
	('CCZ3', 'small_airport', 'Clarenville Airport', 48.27470016479492, -53.92390060424805, 199, 'CA', 'CA-NL', 'Clarenville', 'no', 'CCZ3', '', 'CCZ3', 'CZ3'),
	('CDY3', 'small_airport', 'Fogo Airport', 49.657501, -54.237499, 80, 'CA', 'CA-NL', 'Fogo', 'yes', 'CDY3', '', 'CDY3', 'DY3'),
	('CCR8', 'seaplane_base', 'Conne River Seaplane Base', 47.924999, -55.577801, 350, 'CA', 'CA-NL', '', 'no', 'CCR8', '', 'CCR8', ''),
	('CCD2', 'small_airport', 'Springdale Airport', 49.479446, -56.177773, 250, 'CA', 'CA-NL', 'Springdale', 'no', 'CCD2', '', 'CCD2', 'CD2');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CDU4', 'seaplane_base', 'Springdale/Davis Pond Seaplane Base', 49.550052, -56.064591, 80, 'CA', 'CA-NL', 'Springdale', 'no', 'CDU4', '', 'CDU4', 'DU4'),
	('CCW5', 'seaplane_base', 'Thorburn Lake Seaplane Base', 48.266701, -54.150002, 350, 'CA', 'CA-NL', 'Thorburn Lake', 'no', 'CCW5', '', 'CCW5', 'CW5'),
	('CCP2', 'small_airport', 'Exploits Valley Botwood Airport', 49.055999755859375, -55.44770050048828, 365, 'CA', 'CA-NL', 'Exploits Valley', 'no', 'CCP2', '', 'CCP2', 'CP2'),
	('CCX4', 'N/A', 'N/A', 47.95837227255106, -55.85408717393875, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CYQX', 'medium_airport', 'Gander International Airport / CFB Gander', 48.936258, -54.567719, 496, 'CA', 'CA-NL', 'Gander', 'yes', 'CYQX', 'YQX', '', 'CFB Gander'),
	('CHG2', 'small_airport', 'Harbour Grace Airport', 47.685427, -53.253629, 325, 'CA', 'CA-NL', 'Harbour Grace', 'no', 'CHG2', '', 'CHG2', 'HG2'),
	('LFVP', 'medium_airport', 'St Pierre Airport', 46.762901306152344, -56.173099517822266, 27, 'PM', 'PM-SP', 'Saint-Pierre', 'yes', 'LFVP', 'FSP', '', ''),
	('CCQ5', 'seaplane_base', 'St. John''s (Paddys Pond) Seaplane Base', 47.468257, -52.889542, 375, 'CA', 'CA-NL', 'St. John''s', 'no', 'CCQ5', '', 'CCQ5', 'CQ5'),
	('CCC2', 'small_airport', 'Winterland Airport', 47.13706, -55.329176, 156, 'CA', 'CA-NL', 'Winterland', 'no', 'CCC2', '', 'CCC2', 'CC2, Marystown Aerodrome'),
	('CYYT', 'large_airport', 'St. John''s International Airport', 47.618599, -52.7519, 461, 'CA', 'CA-NL', 'St. John''s', 'yes', 'CYYT', 'YYT', '', ''),
	('CCV4', 'small_airport', 'Bell Island Airport', 47.635031, -52.980452, 150, 'CA', 'CA-NL', 'Bell Island', 'no', 'CCV4', '', 'CCV4', 'CV4'),
	('BGSF', 'medium_airport', 'Kangerlussuaq Airport', 67.010446, -50.715294, 165, 'GL', 'GL-QA', 'Kangerlussuaq', 'yes', 'BGSF', 'SFJ', '', 'Bluie West 8, Sondrestrom Air Base, Sondrestromfjord Air Base'),
	('BGPT', 'small_airport', 'Paamiut Airport', 62.014736, -49.670937, 120, 'GL', 'GL-SE', 'Paamiut', 'yes', 'BGPT', 'JFR', '', 'Mittarfik Paamiut, Frederikshåb'),
	('BGGH', 'medium_airport', 'Nuuk Airport', 64.193022, -51.676512, 283, 'GL', 'GL-SE', 'Nuuk', 'yes', 'BGGH', 'GOH', '', 'Godthåb, Nuussuaq, Mittarfik Nuuk'),
	('BGBW', 'medium_airport', 'Narsarsuaq Airport', 61.1605, -45.425999, 112, 'GL', 'GL-KU', 'Narsarsuaq', 'yes', 'BGBW', 'UAK', '', 'Mittarfik Narsarsuaq'),
	('BGKK', 'medium_airport', 'Kulusuk Airport', 65.573601, -37.1236, 117, 'GL', 'GL-SE', 'Kulusuk', 'yes', 'BGKK', 'KUS', '', 'Kap Dan, BGKD'),
	('LPFL', 'medium_airport', 'Flores Airport', 39.455299377441406, -31.131399154663086, 112, 'PT', 'PT-20', 'Santa Cruz das Flores', 'yes', 'LPFL', 'FLW', '', ''),
	('LPCR', 'small_airport', 'Corvo Airport', 39.671501, -31.1136, 0, 'PT', 'PT-20', 'Corvo', 'yes', 'LPCR', 'CVU', '', ''),
	('TBPB', 'medium_airport', 'Grantley Adams International Airport', 13.0746, -59.4925, 169, 'BB', 'BB-01', 'Bridgetown', 'yes', 'TBPB', 'BGI', '', 'Seawell'),
	('SYAR', 'N/A', 'N/A', 7.640208341181278, -58.96177902817726, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SYBT', 'small_airport', 'Bartica A Airport', 6.358864, -58.655207, 3, 'GY', 'GY-CU', 'Bartica', 'no', 'SYBT', 'GFO', '', ''),
	('SMNI', 'small_airport', 'Nieuw Nickerie - Major Henk Fernandes Airport', 5.955435, -57.040617, 9, 'SR', 'SR-NI', 'Nieuw Nickerie', 'no', 'SMNI', 'ICK', '', ''),
	('SYNA', 'small_airport', 'New Amsterdam Airport', 6.244324, -57.474172, 3, 'GY', 'GY-EB', 'New Amsterdam', 'no', 'SYNA', 'QSX', '', ''),
	('SYRO', 'N/A', 'N/A', 6.254594922065735, -57.54279837012291, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SYEC', 'N/A', 'N/A', 6.805911250412464, -58.107605427503586, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SYCJ', 'medium_airport', 'Cheddi Jagan International Airport', 6.49855, -58.254101, 95, 'GY', 'GY-DE', 'Georgetown', 'yes', 'SYCJ', 'GEO', 'SYGT', ''),
	('SMCO', 'small_airport', 'Totness Airport', 5.86583, -56.327499, 10, 'SR', 'SR-CR', 'Totness', 'no', 'SMCO', 'TOT', '', ''),
	('SYLD', 'small_airport', 'Linden Airport', 5.96592, -58.270302, 180, 'GY', 'GY-UD', 'Linden', 'no', 'SYLD', '', '', ''),
	('SMWG', 'N/A', 'N/A', 5.819674730300903, -56.81549280881882, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SYSK', 'small_airport', 'Skeldon Airport', 5.8599, -57.14894, 13, 'GY', 'GY-EB', 'Skeldon', 'no', 'SYSK', 'SKM', '', ''),
	('SMWA', 'small_airport', 'Wageningen Airstrip', 5.841252, -56.673247, 6, 'SR', 'SR-NI', 'Wageningen', 'yes', 'SMWA', 'AGI', '', ''),
	('SMKE', 'small_airport', 'Kayser Airport', 3.094343, -56.472702, 849, 'SR', 'SR-SI', 'Kayserberg', 'no', 'SMKE', '', '', ''),
	('SYKS', 'small_airport', 'Karasabai Airport', 4.03333, -59.533298, 731, 'GY', 'GY-UT', 'Karasabai', 'no', 'SYKS', 'KRG', '', ''),
	('SJKX', 'small_airport', 'Cutia Airport', 4.166814, -59.747576, 505, 'BR', 'BR-RR', 'Normândia', 'no', 'SJKX', '', 'RR0044', ''),
	('SYLE', 'N/A', 'N/A', 3.5478705167770386, -57.63420715928078, 129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJLX', 'small_airport', 'Mutum Airport', 4.453060150146484, -59.85390090942383, 1792, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJLX', '', '', ''),
	('SYAP', 'small_airport', 'Apoteri Airport', 4.013879776000977, -58.60499954223633, 301, 'GY', 'GY-UT', 'Apoteri', 'no', 'SYAP', '', '', ''),
	('SMKA', 'small_airport', 'Kabalebo Airport', 4.406617, -57.223678, 535, 'SR', 'SR-SI', 'Kabalebo', 'no', 'SMKA', '', '', ''),
	('SYDW', 'small_airport', 'Dadanawa Airport', 2.82555, -59.5242, 372, 'GY', 'GY-UT', 'Dadanawa', 'no', 'SYDW', '', '', ''),
	('SYKT', 'small_airport', 'Kato Airport', 4.64916, -59.832199, 2299, 'GY', 'GY-PT', 'Kato', 'no', 'SYKT', 'KTO', '', ''),
	('SDKL', 'small_airport', 'Caracaranã Airport', 3.835853, -59.777179, 2116, 'BR', 'BR-RR', 'Normandia', 'no', 'SDKL', '', 'RR0005', ''),
	('SDKA', 'small_airport', 'Angical Airport', 4.164573, -59.835001, 184, 'BR', 'BR-RR', 'Normandia', 'no', 'SDKA', '', 'RR0004', ''),
	('SYKR', 'small_airport', 'Karanambo Airport', 3.752572, -59.30902, 300, 'GY', 'GY-UT', 'Karanambo', 'no', 'SYKR', 'KRM', '', ''),
	('SYKZ', 'small_airport', 'Konawaruk Airport', 5.2684, -58.995, 230, 'GY', 'GY-PT', 'Konawaruk', 'no', 'SYKZ', 'KKG', '', ''),
	('SWNM', 'small_airport', 'Normândia Airport', 3.879933, -59.623589, 282, 'BR', 'BR-RR', 'Normândia', 'no', '', '', '', 'SWNM'),
	('SYMP', 'small_airport', 'Mountain Point Airport', 2.998971, -59.629261, 400, 'GY', 'GY-UT', 'Mountain Point', 'no', 'SYMP', '', '', ''),
	('SYLH', 'N/A', 'N/A', 3.6175308376550674, -59.680579751729965, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PKSA', 'medium_airport', 'Kaieteur International Airport', 5.17275476456, -59.491481781, 1520, 'GY', 'GY-PT', 'Kaieteur Falls', 'yes', 'SYKA', 'KAI', '', ''),
	('SMCI', 'small_airport', 'Coeroeni Airport', 3.370684, -57.346046, 479, 'SR', 'SR-SI', 'Coeroeni', 'no', 'SMCI', '', '', ''),
	('SYMD', 'small_airport', 'Mahdia Airport', 5.27749, -59.1511, 300, 'GY', 'GY-PT', 'Mahdia', 'no', 'SYMD', 'MHA', '', ''),
	('SMBG', 'small_airport', 'Bakhuys Airstrip', 4.778882, -56.768699, 307, 'SR', 'SR-SI', 'Bakhuys', 'no', 'SMBG', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SMDK', 'small_airport', 'Donderskamp Airstrip', 5.350385, -56.363047, 0, 'SR', 'SR-SI', 'Donderskamp', 'no', 'SMDK', '', '', ''),
	('SJLV', 'small_airport', 'Morro Airport', 4.35722017288208, -59.970001220703125, 1792, 'BR', 'BR-RR', 'Uiramutã', 'no', 'SJLV', '', '', ''),
	('SYAN', 'small_airport', 'Annai Airport', 3.95944, -59.124199, 301, 'GY', 'GY-UT', 'Annai', 'no', 'SYAN', 'NAI', '', ''),
	('SYLT', 'medium_airport', 'Lethem Airport', 3.37276, -59.789398, 351, 'GY', 'GY-UT', 'Lethem', 'yes', 'SYLT', 'LTM', '', ''),
	('SYPM', 'small_airport', 'Paramakatoi Airport', 4.6975, -59.7125, 2600, 'GY', 'GY-PT', 'Paramakatoi', 'no', 'SYPM', 'PMT', '', ''),
	('SMRN', 'small_airport', 'Ragoebarsing Airstrip', 4.884722, -56.940278, 141, 'SR', 'SR-SI', 'Ragoebarsing', 'no', 'SMRN', '', '', ''),
	('SMVO', 'small_airport', 'Avanavero Airstrip', 4.825685, -57.282415, 0, 'SR', 'SR-SI', 'Avanavero', 'no', 'SMVO', '', '', ''),
	('SMDU', 'small_airport', 'Alalapadu Airstrip', 2.5235, -56.3247, 880, 'SR', 'SR-SI', 'Alalapadi', 'no', 'SMDU', '', '', ''),
	('SBHS', 'N/A', 'N/A', 2.3744211718440056, -59.89207237958908, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJLJ', 'small_airport', 'Jatapuzinho Airport', 0.5972219705581665, -59.22169876098633, 397, 'BR', 'BR-RR', 'Caroebe', 'no', 'SJLJ', '', '', ''),
	('SJLH', 'small_airport', 'Jacamim Airport', 2.176110029220581, -59.78390121459961, 495, 'BR', 'BR-RR', 'Bonfim', 'no', 'SJLH', '', '', ''),
	('SYAH', 'small_airport', 'Aishalton Airport', 2.47403, -59.320786, 587, 'GY', 'GY-UT', 'Aishalton', 'no', 'SYAH', 'AHL', '', ''),
	('SMSM', 'small_airport', 'Kwamalasoemoetoe Airport', 2.354427, -56.792431, 905, 'SR', 'SR-SI', 'Kwamalasoemoetoe Airport', 'no', 'SMSM', '', '', ''),
	('SYLP', 'small_airport', 'Lumid Pau Airport', 2.3939299583399998, -59.4410018921, 656, 'GY', 'GY-UT', 'Lumid Pau', 'no', 'SYLP', 'LUB', '', ''),
	('SJLS', 'small_airport', 'Marupá Airport', 2.1252799034118652, -59.8213996887207, 495, 'BR', 'BR-RR', 'Bonfim', 'no', 'SJLS', '', '', ''),
	('SMJA', 'small_airport', 'Jarikaba Airstrip', 5.826389, -55.3375, 19, 'SR', 'SR-SA', 'Jarikaba', 'no', 'SMJA', '', '', ''),
	('SMZO', 'small_airport', 'Zorg en Hoop Airport', 5.811131, -55.1913, 10, 'SR', 'SR-PM', 'Paramaribo', 'yes', 'SMZO', 'ORG', '', ''),
	('SOMA', 'N/A', 'N/A', 5.663382411003113, -53.76476123929024, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SOOA', 'small_airport', 'Maripasoula Airport', 3.655907, -54.039431, 406, 'GF', 'GF-SL', 'Maripasoula', 'yes', 'SOOA', 'MPY', '', ''),
	('SOOM', 'small_airport', 'Saint-Laurent-du-Maroni Airport', 5.48306, -54.034401, 16, 'GF', 'GF-SL', 'Saint-Laurent-du-Maroni', 'yes', 'SOOM', 'LDX', '', ''),
	('SMTB', 'small_airport', 'Rudi Kappel Airport', 3.787625, -56.149487, 1112, 'SR', 'SR-SI', 'Tafelberg', 'no', 'SMTB', '', '', ''),
	('SMRA', 'small_airport', 'Ralleigh Airstrip', 4.722778, -56.208333, 109, 'SR', 'SR-SI', 'Ralleigh', 'no', 'SMRA', '', '', ''),
	('SMTA', 'small_airport', 'Tabiki Airstrip', 3.679806, -54.085207, 309, 'SR', 'SR-SI', 'Benzdorp', 'yes', 'SMTA', '', '', ''),
	('SMAF', 'small_airport', 'Afobakka Airstrip', 4.998505, -54.992033, 80, 'SR', 'SR-BR', 'Afobakka', 'yes', 'SMAF', '', '', ''),
	('SMGH', 'small_airport', 'Godo Holo Airstrip', 4.0583, -54.7861, 280, 'SR', 'SR-SI', 'Pikienkondre of Miranda', 'yes', 'SMGH', '', '', ''),
	('SOGN', 'N/A', 'N/A', 3.7414559349417686, -53.53600591421127, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SMJP', 'large_airport', 'Johan Adolf Pengel International Airport', 5.45283, -55.187801, 59, 'SR', 'SR-PR', 'Zandery', 'yes', 'SMJP', 'PBM', '', 'Zanderij, JAP International Airport, JAPI Airport, JAPIA, ZY Airport'),
	('SMBO', 'N/A', 'N/A', 4.007170647382736, -55.480546206235886, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SMGR', 'small_airport', 'Gross Rosebel Airstrip', 5.091667, -55.249167, 0, 'SR', 'SR-BR', '', 'no', 'SMGR', '', '', ''),
	('SMAN', 'small_airport', 'Lawa Antino Airstrip', 3.619932, -54.142714, 740, 'SR', 'SR-SI', 'Benzdorp', 'no', 'SMAN', '', '', ''),
	('SMLT', 'small_airport', 'Langatabbetje Airstrip', 4.996111, -54.441667, 33, 'SR', 'SR-SI', 'Langatabbetje', 'no', 'SMLT', '', '', ''),
	('SMLA', 'small_airport', 'Lawa Anapaike Airstrip', 3.410484, -54.028294, 373, 'SR', 'SR-SI', 'Anapaike', 'no', 'SMLA', '', '', 'Kamalasoela'),
	('SMPG', 'small_airport', 'Poesoegroenoe(Pusugrunu) Airstrip', 4.397914, -55.793374, 390, 'SR', 'SR-SI', 'Poesoegroenoe', 'no', 'SMPG', '', '', ''),
	('SMLI', 'small_airport', 'Lelygebergte Airstrip', 4.268056, -54.743056, 2217, 'SR', 'SR-SI', 'Lelygebergte', 'no', 'SMLI', '', '', ''),
	('SOOS', 'small_airport', 'Saül Airport', 3.61361, -53.204201, 656, 'GF', 'GF-SL', 'Saül', 'yes', 'SOOS', 'XAU', '', ''),
	('SMCT', 'small_airport', 'Cottica Airstrip', 3.85216, -54.228201, 330, 'SR', 'SR-SI', 'Lawa Cottica', 'yes', 'SMCT', '', '', ''),
	('SMMO', 'small_airport', 'Moengo Airstrip', 5.6076, -54.4003, 49, 'SR', 'SR-MA', 'Moengo', 'yes', 'SMMO', 'MOJ', '', ''),
	('SMGA', 'small_airport', 'Gakaba Airstrip', 4.454167, -54.445833, 192, 'SR', 'SR-SI', 'Gakaba', 'no', 'SMGA', '', '', ''),
	('SMST', 'small_airport', 'Stoelmanseiland Airport', 4.35, -54.416668, 187, 'SR', 'SR-SI', 'Stoelmanseiland', 'no', 'SMST', 'SMZ', '', ''),
	('SMPE', 'small_airport', 'Poeketi Airstrip', 4.126389, -54.623611, 0, 'SR', 'SR-SI', 'Poeketi', 'no', 'SMPE', '', '', ''),
	('SMPT', 'small_airport', 'Apetina Airstrip', 3.502836, -55.057989, 0, 'SR', 'SR-SI', 'Apetina', 'no', 'SMPT', '', '', ''),
	('SMBS', 'N/A', 'N/A', 5.0228725746273994, -55.1651032269001, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SMDA', 'small_airport', 'Drietabbetje Airport', 4.111359, -54.672766, 236, 'SR', 'SR-SI', 'Drietabbetje', 'yes', 'SMDA', 'DRJ', '', ''),
	('SMKM', 'N/A', 'N/A', 4.548743851482868, -54.60314825177193, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SMBN', 'small_airport', 'Albina Airport', 5.51272, -54.050098, 19, 'SR', 'SR-MA', 'Albina', 'no', 'SMBN', 'ABN', '', ''),
	('SMBE', 'N/A', 'N/A', 3.8986407592892647, -55.57798236608505, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SMPA', 'small_airport', 'Vincent Fayks Airport', 3.346051, -55.443707, 714, 'SR', 'SR-SI', 'Paloemeu', 'no', 'SMPA', 'OEM', '', 'Faiks'),
	('SMOL', 'small_airport', 'Oelemari Airport', 3.104167, -54.543056, 483, 'SR', 'SR-SI', '', 'no', 'SMOL', '', '', ''),
	('SMCB', 'small_airport', 'Cabana Airstrip', 4.852778, -55.593056, 0, 'SR', 'SR-SI', 'Cabana', 'no', 'SMCB', '', '', ''),
	('SNSL', 'small_airport', 'Fazenda Califórnia Airport', 0.338457, -53.818049, 1680, 'BR', 'BR-PA', 'Almeirim', 'no', 'SDI3', '', 'PA0270', 'SNSL, Fazenda Ipitinga'),
	('SMVG', 'small_airport', 'Vier Gebroeders Airstrip', 1.9625, -55.929167, 1110, 'SR', 'SR-SI', 'Vier Gebroeders', 'no', 'SMVG', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBTS', 'medium_airport', 'Tiriós Airport', 2.224537, -55.944711, 1127, 'BR', 'BR-PA', 'Aldeia Tiriós', 'no', 'SBTS', '', 'PA9002', 'Óbidos, Base das Canoas'),
	('SMSI', 'small_airport', 'Sipaliwini Airport', 2.026438, -56.126412, 744, 'SR', 'SR-SI', 'Sipaliwini', 'no', 'SMSI', '', '', ''),
	('SJVN', 'small_airport', 'Fazenda do Limão Airport', 0.28916698694229, -53.869998931885, 984, 'BR', 'BR-PA', 'Almeirim', 'no', '', '', '', 'SJVN'),
	('SOOG', 'medium_airport', 'Saint-Georges-de-l''Oyapock Airport', 3.8976, -51.8041, 46, 'GF', 'GF-CY', 'Saint-Georges-de-l''Oyapock', 'no', 'SOOG', 'OYP', '', ''),
	('SOCM', 'N/A', 'N/A', 3.1728219240903854, -52.33604058623314, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBOI', 'medium_airport', 'Oiapoque Airport', 3.85412, -51.797056, 53, 'BR', 'BR-AP', 'Oiapoque', 'no', 'SBOI', 'OYK', 'AP0002', ''),
	('SOCA', 'large_airport', 'Cayenne – Félix Eboué Airport', 4.819964, -52.361326, 26, 'GF', 'GF-CY', 'Matoury', 'yes', 'SOCA', 'CAY', '', 'Cayenne-Rochambeau, Matoury'),
	('SOSA', 'N/A', 'N/A', 4.2110249027609825, -51.6666305065155, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNKV', 'small_airport', 'Fazenda Campo Verde Airport', 1.04278004169, -50.516700744599994, 49, 'BR', 'BR-AP', 'Tartarugalzinho', 'no', 'SNKV', '', '', ''),
	('SJKI', 'small_airport', 'Hangar Comandante Salomão Alcolumbre Airport', 0.208793, -51.012373, 66, 'BR', 'BR-AP', 'Macapá', 'no', 'SJKI', '', 'AP0006', 'Curiaú Airport'),
	('SWVP', 'small_airport', 'Fazenda Santa Isabel Airport', 1.156667, -50.330276, 33, 'BR', 'BR-AP', 'Cutias', 'no', '', '', '', 'SWVP'),
	('SJOR', 'small_airport', 'Fazenda Parabúfalos Airport', 1.020029, -50.21229, 30, 'BR', 'BR-AP', 'Macapá', 'no', '', '', '', 'SJOR'),
	('SSTQ', 'small_airport', 'Silvestre Airport', 0.886389, -51.879444, 459, 'BR', 'BR-AP', 'Pedra Branca Do Amapari', 'no', 'SSTQ', '', '', ''),
	('SBMQ', 'medium_airport', 'Macapá - Alberto Alcolumbre International Airport', 0.050664, -51.072201, 56, 'BR', 'BR-AP', 'Macapá', 'yes', 'SBMQ', 'MCP', 'AP0001', ''),
	('SNXE', 'small_airport', 'Aero Z Ferrus Airport', 0.993333, -51.120833, 239, 'BR', 'BR-AP', 'Ferreira Gomes', 'no', 'SNXE', '', 'AP0009', ''),
	('SBAM', 'small_airport', 'Amapá Airport', 2.07751, -50.8582, 45, 'BR', 'BR-AP', 'Amapá', 'no', 'SBAM', '', '', ''),
	('SBNH', 'N/A', 'N/A', -2.1311716362833977, -56.732435524463654, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBTB', 'medium_airport', 'Trombetas Airport', -1.4896, -56.396801, 167, 'BR', 'BR-PA', 'Oriximiná', 'yes', 'SBTB', 'TMT', 'PA0012', 'Porto Trombetas'),
	('SWWK', 'small_airport', 'Urucará Airport', -2.5288898944855, -57.755798339844, 98, 'BR', 'BR-AM', 'Urucará', 'no', '', '', 'SWWK', 'SWWK'),
	('SJTS', 'small_airport', 'Terra Santa Airport', -2.0727779865264893, -56.488887786865234, 83, 'BR', 'BR-PA', 'Terra Santa', 'no', 'SJTS', '', '', ''),
	('SWBL', 'small_airport', 'Balbina Airport', -1.92481, -59.4123, 564, 'BR', 'BR-AM', 'Presidente Figueiredo', 'no', '', '', 'SWBL', 'SWBL'),
	('SBUU', 'N/A', 'N/A', -2.7367711812257767, -58.02660942077637, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBNA', 'heliport', 'Plataforma Namorado 2 PNA-2 Helipad', -22.373333, -40.413056, 171, 'BR', 'BR-RJ', 'Macaé', 'no', 'SBNA', '', '', ''),
	('SWPI', 'small_airport', 'Parintins Airport', -2.673521, -56.777625, 87, 'BR', 'BR-AM', 'Parintins', 'no', 'SWPI', 'PIN', 'AM0006', ''),
	('SJCW', 'small_airport', 'Jatapu Airport', -1.71205, -58.5112, 132, 'BR', 'BR-AM', 'Urucará', 'no', 'SJCW', '', 'AM0033', ''),
	('SWBI', 'small_airport', 'Barreirinha Airport', -2.79192, -57.058023, 46, 'BR', 'BR-AM', 'Barreirinha', 'no', 'SJ9A', '', 'AM0111', 'SWBI'),
	('SBUV', 'N/A', 'N/A', -0.6989799812436104, -57.969629019498825, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SISZ', 'small_airport', 'Santa Felicidade Airport', -5.575832843780518, -56.63972091674805, 821, 'BR', 'BR-PA', 'Itaituba', 'no', 'SISZ', '', '', ''),
	('SITD', 'small_airport', 'Cara Preta Airport', -5.1061110496521, -57.482498168945, 155, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SITD'),
	('SWNO', 'small_airport', 'Nova Olinda do Norte Airport', -3.888357, -59.07998, 121, 'BR', 'BR-AM', 'Nova Olinda do Norte', 'no', '', '', '', 'SWNO'),
	('SWBR', 'small_airport', 'Borba Airport', -4.40634, -59.602402, 98, 'BR', 'BR-AM', 'Borba', 'yes', 'SWBR', 'RBB', 'AM0018', ''),
	('SIYT', 'small_airport', 'Mamuru Airport', -3.117976, -56.583568, 99, 'BR', 'BR-PA', 'Juruti', 'no', '', '', '', 'SIYT'),
	('SBJY', 'N/A', 'N/A', -5.339503325521946, -57.76336535811424, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIUJ', 'small_airport', 'Pista Santa Tereza Airport', -5.1858329772949, -57.584442138672, 401, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SIUJ'),
	('SNYQ', 'small_airport', 'Pista São Pedro Airport', -5.3205561637878, -56.664722442627, 459, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SNYQ'),
	('SBKC', 'N/A', 'N/A', -5.468320436775684, -56.84978038072586, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBIC', 'medium_airport', 'Itacoatiara Airport', -3.126539, -58.481668, 142, 'BR', 'BR-AM', 'Itacoatiara', 'no', 'SBIC', 'ITA', 'AM0012', ''),
	('SDWX', 'small_airport', 'Pista Sol Nascente', -6.156449, -56.418924, 541, 'BR', 'BR-PA', 'Itaituba', 'no', 'SDWX', '', 'PA0040', ''),
	('SBBK', 'N/A', 'N/A', -3.5986125469207764, -59.12658467888832, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJIY', 'small_airport', 'São Leopoldo Airport', -4.979167, -56.927223, 814, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', ''),
	('SIKO', 'small_airport', 'Fazenda Pison Airport', -5.0199999809265, -57.780277252197, 541, 'BR', 'BR-AM', 'Maués', 'no', '', '', '', 'SIKO'),
	('SBMN', 'medium_airport', 'Ponta Pelada Airport / Manaus Air Base', -3.14604, -59.986301, 267, 'BR', 'BR-AM', 'Manaus', 'no', 'SBMN', 'PLL', 'AM9001', ''),
	('SIFN', 'small_airport', 'Fazenda Planura Airport', -3.5936110019684, -59.652221679688, 188, 'BR', 'BR-AM', 'Autazes', 'no', '', '', '', 'SIFN'),
	('SWMW', 'small_airport', 'Maués Airport', -3.37217, -57.7248, 69, 'BR', 'BR-AM', 'Maués', 'no', 'SWMW', 'MBZ', 'SWMW', ''),
	('SNEH', 'small_airport', 'Mineração Porquinho Airport', -5.1672220230103, -57.625831604004, 298, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SNEH'),
	('SD39', 'small_airport', 'Pista Santa Rita', -5.50723, -56.568259, 591, 'BR', 'BR-PA', 'Trairão', 'no', 'SD39', '', 'PA0251', ''),
	('SJFG', 'small_airport', 'Fazenda Penedo Airport', -5.5211110115051, -57.107498168945, 250, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SJFG'),
	('SJPG', 'small_airport', 'Pista Branca de Neve', -6.125325, -56.399391, 545, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SNVE, SJPG'),
	('SIUK', 'small_airport', 'Serra Verde Airport', -6.9250001907349, -56.991390228271, 840, 'BR', 'BR-PA', 'Jacareacanga', 'no', '', '', '', 'SIUK'),
	('SWYN', 'small_airport', 'Apuí Airport', -7.172773, -59.8396, 197, 'BR', 'BR-AM', 'Apuí', 'no', 'SWYN', 'IUP', 'AM0023', ''),
	('SIIN', 'small_airport', 'Independência Airport', -7.594391, -56.699019, 1040, 'BR', 'BR-PA', 'Itaituba', 'no', 'SITT', '', 'PA0058', 'SIIN');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SNFL', 'small_airport', 'Garimbo Tocantinzinho Airport', -6.0505561828613, -56.302223205566, 590, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SNFL'),
	('SSEU', 'small_airport', 'Tabocal Airport', -7.281926, -56.582297, 915, 'BR', 'BR-PA', 'Itaituba', 'no', 'SSEU', '', 'PA0125', 'Monte Carmelo'),
	('SNDG', 'closed', 'São Domingos Airport', -5.573609828948975, -44.43170166015625, 787, 'BR', 'BR-MA', 'São Domingos Do Maranhão', 'no', '', '', '', 'SNDG, SNDG'),
	('SJEL', 'small_airport', 'Eldorado Airport', -6.9555559158325, -56.471111297607, 837, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SJEL'),
	('SBKA', 'N/A', 'N/A', -7.896354608237743, -56.68476104736328, 256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIWT', 'small_airport', 'Santa Helena Airport', -7.8402781486511, -56.659442901611, 699, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SIWT'),
	('SIWV', 'small_airport', 'Fazenda Boa Vista Airport', -7.856935, -56.716441, 902, 'BR', 'BR-PA', 'Itaituba', 'no', 'SD4R', '', 'PA0267', 'SIWV'),
	('SBKD', 'N/A', 'N/A', -5.6997280195355415, -56.85572415590286, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNQW', 'small_airport', 'Cururu Airport', -7.564736, -57.739871, 453, 'BR', 'BR-PA', 'Jacareacanga', 'no', 'SNQW', '', 'PA0102', ''),
	('SIYW', 'small_airport', 'Fazenda Salvação Airport', -5.9522218704224, -56.54333114624, 601, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SIYW'),
	('SNRQ', 'small_airport', 'Porto Rico Airport', -6.1041669845581055, -57.37944412231445, 331, 'BR', 'BR-PA', 'Jacareacanga', 'no', 'SNRQ', '', '', ''),
	('SJGE', 'small_airport', 'Nações Unidas Airstrip', -6.083471, -56.29239, 591, 'BR', 'BR-PA', 'Itaituba', 'no', 'SJGE', '', 'PA0069', ''),
	('SDUS', 'small_airport', 'Mayrowy Airport', -7.958802, -57.839962, 400, 'BR', 'BR-MT', 'Apiacás', 'no', '', '', 'MT0066', 'SDUS, SDUY'),
	('SNYC', 'small_airport', 'Rosa Branca Airport', -7.0091671943665, -56.904445648193, 552, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SNYC'),
	('SSOW', 'small_airport', 'Comandante Carmelo Airport', -6.84, -56.586667, 974, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SSOW'),
	('SNYJ', 'small_airport', 'Pista São Jorge Airport', -6.135433, -57.401467, 810, 'BR', 'BR-PA', 'Jacareacanga', 'no', 'SNYJ', '', 'PA0115', ''),
	('SDOZ', 'small_airport', 'Aldeia Pontal Airport', -8.100681, -58.284104, 354, 'BR', 'BR-MT', 'Apiacás', 'no', 'SI8J', '', 'MT0736', 'SDOZ'),
	('SJJP', 'small_airport', 'São Francisco Airport', -7.8352780342102, -56.538333892822, 778, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SJJP'),
	('SNMD', 'small_airport', 'Mundico Coelho Airport', -6.837733, -56.843234, 469, 'BR', 'BR-PA', 'Itaituba', 'no', 'SNMD', '', 'PA0097', ''),
	('SJPU', 'small_airport', 'Pau D`Arco Airport', -7.1199998855591, -56.814445495605, 866, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SJPU'),
	('SITO', 'small_airport', 'Muriçoca Airport', -7.154167175293, -56.636112213135, 361, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SITO'),
	('SIKQ', 'small_airport', 'Fazenda Samaúma Airport', -7.237056, -57.103969, 612, 'BR', 'BR-PA', 'Jacareacanga', 'no', 'SW22', '', 'PA0409', 'SIKQ'),
	('SILS', 'small_airport', 'Big Master Airport', -14.63693, -57.608147, 1138, 'BR', 'BR-MT', 'Tangará da Serra', 'no', 'SILS', '', 'MT0105', ''),
	('SNDI', 'small_airport', 'Pista Castanheirinho', -7.093676, -56.851664, 623, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SNDI'),
	('SJND', 'small_airport', 'Nova Descoberta Airport', -6.6188888549805, -56.692501068115, 821, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SJND'),
	('SIVR', 'small_airport', 'Fazenda São Raimundo Airport', -7.625, -56.740001678467, 909, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SIVR'),
	('SNXR', 'small_airport', 'Fazenda Conforto Airport', -7.389945, -56.520532, 771, 'BR', 'BR-PA', 'Itaituba', 'no', 'SNXR', '', 'PA0112', ''),
	('SIJZ', 'small_airport', 'Fazenda Vera Paz Airport', -7.394722, -56.764721, 801, 'BR', 'BR-PA', 'Itaituba', 'no', 'SIJZ', '', 'PA0049', ''),
	('SNIF', 'small_airport', 'Fazenda Serra Dourada Airport', -5.717222213745117, -56.43611145019531, 443, 'BR', 'BR-PA', 'Itaituba', 'no', 'SNIF', '', '', ''),
	('SJKR', 'small_airport', 'Pista KRB', -6.078767, -56.389514, 706, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SJKR'),
	('SNGC', 'small_airport', 'Pista Canaã Airport', -7.1936111450195, -57.048889160156, 741, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SNGC'),
	('SIID', 'small_airport', 'Crepurizão Airport', -6.819947, -56.841396, 623, 'BR', 'BR-PA', 'Itaituba', 'no', 'SBOJ', '', 'PA0165', 'SIID'),
	('SJRJ', 'small_airport', 'Agromineral Mutum Airport', -7.6402778625488, -56.787776947021, 752, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SJRJ'),
	('SBEK', 'medium_airport', 'Jacareacanga Airport', -6.23316, -57.776901, 295, 'BR', 'BR-PA', 'Jacareacanga', 'no', 'SBEK', 'JCR', 'PA0011', ''),
	('SWJU', 'small_airport', 'Juruena Airport', -10.305833, -58.489445, 525, 'BR', 'BR-MT', 'Juruena', 'no', '', 'JRN', '', 'SWJU'),
	('SBBL', 'N/A', 'N/A', -10.386991538107395, -57.71715447306633, 393, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWFZ', 'small_airport', 'Fazenda Shalon Airport', -9.987398, -56.675869, 876, 'BR', 'BR-MT', 'Alta Floresta', 'no', 'SDSH', '', 'MT0060', 'SWFZ, Serafino Ferruzzi'),
	('SWSZ', 'small_airport', 'Fazenda Santa Luzia Airport', -9.773611068725586, -58.06277847290039, 741, 'BR', 'BR-MT', 'Nova Bandeirantes', 'no', 'SWSZ', '', '', ''),
	('SWHN', 'small_airport', 'Fazenda Nossa Senhora de Fátima Airport', -10.156389, -56.98111, 853, 'BR', 'BR-MT', 'Nova Monte Verde', 'no', '', '', '', 'SWHN'),
	('SWUN', 'small_airport', 'Fazenda Santa Eunice Airport', -10.166063, -57.554777, 886, 'BR', 'BR-MT', 'Nova Monte Verde', 'no', '', '', '', 'SWUN'),
	('SWWN', 'small_airport', 'Fazenda Santa Amália Airport', -10.307853, -56.579088, 1043, 'BR', 'BR-MT', 'Alta Floresta', 'no', 'SDVX', '', 'MT0069', 'SWWN'),
	('SJZB', 'small_airport', 'Vale do Tucanã Airport', -10.689443588256836, -58.649723052978516, 879, 'BR', 'BR-MT', 'Castanheira', 'no', 'SJZB', '', '', ''),
	('SNOI', 'small_airport', 'Fazenda Rio Mutuca Airport', -10.434484, -58.163115, 758, 'BR', 'BR-MT', 'Juara', 'no', 'SJRY', '', 'MT0652', 'SNOI'),
	('SSHT', 'small_airport', 'Ingazeira Airport', -10.1304620248, -56.7186355591, 853, 'BR', 'BR-MT', 'Alta Floresta', 'no', 'SSHT', '', '', ''),
	('SJKC', 'small_airport', 'Fazenda Costa Norte II Airport', -9.291942, -58.033236, 787, 'BR', 'BR-MT', 'Apiacás', 'no', '', '', '', 'SJKC'),
	('SWQW', 'small_airport', 'Fazenda Bacaeri Airport', -10.051621, -56.832232, 1050, 'BR', 'BR-MT', 'Alta Floresta', 'no', 'SWQW', '', 'MT0385', ''),
	('SBHX', 'N/A', 'N/A', -10.914188772439957, -56.35261908173561, 303, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWQT', 'small_airport', 'Fazenda São Nicolau Airport', -9.8644437789917, -58.229167938232, 738, 'BR', 'BR-MT', 'Cotriguaçu', 'no', 'SWQT', '', '', ''),
	('SJFT', 'small_airport', 'Fazenda Triunfo Rio Turvo Airport', -10.093056, -57.726944, 850, 'BR', 'BR-MT', 'Nova Bandeirantes', 'no', 'SJFT', '', 'MT0170', ''),
	('SSMN', 'small_airport', 'Kururuzinho Airport', -8.88, -57.33, 1640, 'BR', 'BR-MA', 'Jacareacanga', 'no', '', '', '', 'SSMN'),
	('SIWA', 'small_airport', 'Fazenda Estrela do Aripuanã Airport', -10.74854, -59.373776, 925, 'BR', 'BR-MT', 'Aripuanã', 'no', 'SIWA', '', 'MT0145', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SNFJ', 'small_airport', 'Pousada Thaimaçu Airport', -9.06277847290039, -56.59333419799805, 751, 'BR', 'BR-PA', 'Jacareacanga', 'no', 'SNFJ', '', '', ''),
	('SBVB', 'N/A', 'N/A', -11.135247722268105, -58.5991707444191, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWCH', 'small_airport', 'Fazenda Charqueada Norte Airport', -10.0002784729, -57.067222595215, 820, 'BR', 'BR-MT', 'Alta Floresta', 'no', '', '', '', 'SWCH'),
	('SJGT', 'small_airport', 'Salto Augusto Airport', -8.8927783966064, -58.54972076416, 1559, 'BR', 'BR-MT', 'Apiacás', 'no', '', '', '', 'SJGT'),
	('SWNC', 'small_airport', 'Fazenda Vale do Juruena Airport', -9.400047, -58.229372, 673, 'BR', 'BR-MT', 'Nova Bandeirantes', 'no', '', '', 'MT0649', 'SWNC, Fazenda Procomp, SIKS'),
	('SIRR', 'small_airport', 'Lagoa dos Coqueiros Airport', -9.235556, -56.987778, 1280, 'BR', 'BR-MT', 'Paranaíta', 'no', '', '', '', 'SIRR'),
	('SSXI', 'small_airport', 'Fazenda Macisa Airport', -11.182804, -56.798977, 1193, 'BR', 'BR-MT', 'Tabaporã', 'no', 'SIT7', '', 'MT1027', 'SSXI'),
	('SWRP', 'small_airport', 'Aripuanã Airport', -10.187375, -59.457469, 755, 'BR', 'BR-MT', 'Aripuanã', 'no', 'SSOU', 'AIR', 'MT0303', 'SWRP'),
	('SWHJ', 'small_airport', 'Fazenda Bela Vista Airport', -10.056322, -56.991573, 866, 'BR', 'BR-MT', 'Nova Monte Verde', 'no', 'SWRA', '', 'MT0625', 'SWHJ'),
	('SWCL', 'small_airport', 'Chácara Santa Eulália Airport', -9.562828, -57.382689, 669, 'BR', 'BR-MT', 'Alta Floresta', 'no', '', '', '', 'SWCL'),
	('SBBA', 'N/A', 'N/A', -9.446070939302444, -59.199447333812714, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJNS', 'small_airport', 'Ilha dos Macacos Airport', -9.2255563735962, -57.022499084473, 1266, 'BR', 'BR-MT', 'Paranaíta', 'no', '', '', '', 'SJNS'),
	('SIGX', 'small_airport', 'Fazenda Gairova Airport', -11.198073, -58.235682, 1083, 'BR', 'BR-MT', 'Juara', 'no', 'SIGX', '', 'MT0095', ''),
	('SJOM', 'small_airport', 'Fazenda Karla Renata Airport', -10.632499694824, -58.444999694824, 991, 'BR', 'BR-MT', 'Castanheira', 'no', '', '', '', 'SJOM'),
	('SWOP', 'small_airport', 'Fazenda Embú Airport', -9.785799, -57.621937, 866, 'BR', 'BR-MT', 'Nova Monte Verde', 'no', 'SI2E', '', 'MT0821', 'SWOP, Fazenda Agropecuária Embu'),
	('SBAL', 'N/A', 'N/A', -10.257219560444355, -58.259103298187256, 247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBBN', 'N/A', 'N/A', -8.863243348896503, -57.42048114538193, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBDZ', 'N/A', 'N/A', -11.175938844680786, -57.66872987151146, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OTT', 'small_airport', 'Andre Maggi Airport', -9.898611, -58.581944, 900, 'BR', 'BR-MT', 'Cotriguaçu', 'no', '', 'OTT', '', 'SJKB'),
	('SWLK', 'small_airport', 'Fazenda Conceição Airport', -11.0002784729, -58.215278625488, 1164, 'BR', 'BR-MT', 'Juara', 'no', '', '', '', 'SWLK'),
	('SBVN', 'N/A', 'N/A', -12.099558860063553, -58.00188213586807, 318, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWCY', 'small_airport', 'Fazenda Aparecida do Norte Airport', -12.845088, -56.97719, 1004, 'BR', 'BR-MT', 'Nova Maringá', 'no', '', '', '', 'SWCY'),
	('SIZX', 'small_airport', 'Inácio Luís do Nascimento Airport', -11.2966, -57.5495, 870, 'BR', 'BR-MT', 'Juara', 'no', 'SIZX', 'JUA', 'MT0018', 'Juara Sul Airport'),
	('SWJN', 'small_airport', 'Juína Airport', -11.419444, -58.701668, 1083, 'BR', 'BR-MT', 'Juína', 'no', 'SWJN', 'JIA', '', ''),
	('SIXO', 'small_airport', 'Fazenda Nossa Senhora de Fátima Airport', -13.983586, -59.656623, 1516, 'BR', 'BR-MT', 'Comodoro', 'no', 'SIXO', '', 'MT0150', ''),
	('SJAF', 'small_airport', 'Fazenda Água Limpa Airport', -13.671667, -57.899783, 1804, 'BR', 'BR-MT', 'Campo Novo do Parecis', 'no', '', '', '', 'SJAF'),
	('SITC', 'N/A', 'N/A', -11.29800919443369, -56.83663755655289, 357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWNN', 'small_airport', 'Novo Intento Airport', 2.7799999713898, -60.616668701172, 282, 'BR', 'BR-RR', 'Cantá', 'no', '', '', 'SWNN', 'SWNN'),
	('SJWM', 'small_airport', 'Fazenda Sanga Funda Airport', -13.066666603088, -58.705833435059, 1949, 'BR', 'BR-MT', 'Sapezal', 'no', '', '', '', 'SJWM'),
	('SNOT', 'small_airport', 'Fazenda Santa Fé do Guaporé Airport', -14.013917, -59.88146, 951, 'BR', 'BR-MT', 'Comodoro', 'no', 'SIAY', '', 'MT0674', 'SNOT'),
	('SWTU', 'small_airport', 'Fazenda Tucunaré Airport', -13.465528, -58.866935, 1814, 'BR', 'BR-MT', 'Sapezal', 'no', 'SWTU', 'AZL', 'MT0410', ''),
	('SBFF', 'N/A', 'N/A', -12.993015088140965, -57.41078495979309, 361, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIEQ', 'small_airport', 'Fazenda Táua Airport', -13.306521, -56.573196, 1099, 'BR', 'BR-MT', 'Nova Mutum', 'no', 'SIEQ', '', 'MT0092', ''),
	('SINM', 'small_airport', 'Fazenda Itanhangá Airport', -13.101111412048, -56.529998779297, 938, 'BR', 'BR-MT', 'Nova Mutum', 'no', '', '', '', 'SINM'),
	('SWZA', 'small_airport', 'Agrosan Airport', -11.397556, -58.121521, 1040, 'BR', 'BR-MT', 'Juara', 'no', 'SWZA', '', 'MT0443', ''),
	('SWEB', 'small_airport', 'Fazenda Araúna Airport', -11.564014, -58.02652, 951, 'BR', 'BR-MT', 'Juara', 'no', '', '', '', 'SWEB'),
	('SWLN', 'small_airport', 'Fazenda Franciosi Airport', -13.417998, -58.471792, 1690, 'BR', 'BR-MT', 'Sapezal', 'no', 'SWFF', '', 'MT0340', 'SWLN'),
	('SBSW', 'N/A', 'N/A', -11.87220711261034, -56.27696290612221, 358, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBHV', 'N/A', 'N/A', -13.184510730206966, -57.99727901816368, 490, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBVW', 'N/A', 'N/A', -12.01755702495575, -56.4136004447937, 401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBDU', 'N/A', 'N/A', -13.434553295373917, -56.73050746321678, 352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWOT', 'small_airport', 'Fazenda Planorte Airport', -13.943333, -58.895278, 2106, 'BR', 'BR-MT', 'Sapezal', 'no', 'SWOT', '', '', ''),
	('SJQF', 'small_airport', 'Fazenda Londrina Airport', -13.355555534362793, -57.755001068115234, 1690, 'BR', 'BR-MT', 'Campo Novo Do Parecis', 'no', 'SJQF', '', '', ''),
	('SJPW', 'small_airport', 'Fazenda Guimarães II Airport', -12.901944160461426, -56.371944427490234, 1312, 'BR', 'BR-MT', 'Lucas Do Rio Verde', 'no', 'SJPW', '', '', ''),
	('SWSG', 'small_airport', 'Fazenda Simarelli Airport', -13.606800079345703, -59.31679916381836, 2136, 'BR', 'BR-MT', 'Campos De Júlio', 'no', 'SWSG', '', 'SWSG', ''),
	('SIWI', 'small_airport', 'Fazenda Guapirama Airport', -13.927482, -57.242759, 1788, 'BR', 'BR-MT', 'Diamantino', 'no', 'SIRT', '', 'MT0126', 'SIWI'),
	('SILG', 'small_airport', 'Fazenda Panamá Airport', -13.762288, -58.747817, 1690, 'BR', 'BR-MT', 'Sapezal', 'no', 'SILG', '', 'MT0104', ''),
	('SBVD', 'N/A', 'N/A', -11.324934884905815, -58.35167348384857, 271, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWOJ', 'small_airport', 'Fazenda Nova Alvorada Airport', -11.57333278656, -58.269721984863, 1092, 'BR', 'BR-MT', 'Brasnorte', 'no', '', '', '', 'SWOJ'),
	('SBVQ', 'N/A', 'N/A', -11.542236730456352, -56.521413177251816, 387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWOG', 'small_airport', 'Fazenda Itaipu Airport', -13.7525, -56.96111, 1470, 'BR', 'BR-MT', 'São José Do Rio Claro', 'no', 'SWOG', '', 'SWOG', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWYQ', 'small_airport', 'Fazenda Nova Fronteira Airport', -11.4678, -56.437599, 1017, 'BR', 'BR-MT', 'Sinop', 'no', '', '', '', 'SWYQ'),
	('SJNL', 'small_airport', 'Fazenda Reata Airport', -13.626771, -57.583187, 1791, 'BR', 'BR-MT', 'Campo Novo Do Parecis', 'no', 'SJNL', '', 'MT0194', ''),
	('SSMZ', 'small_airport', 'Fazenda São Mateus Airport', -13.917222, -59.983333, 1070, 'BR', 'BR-MT', 'Comodoro', 'no', 'SSMZ', '', '', ''),
	('SJGN', 'small_airport', 'Fazenda Agromar Airport', -13.668074, -56.481761, 1237, 'BR', 'BR-MT', 'São José Do Rio Claro', 'no', 'SJGN', '', 'MT0174', ''),
	('SWFD', 'small_airport', 'Fazenda Tombador Airport', -11.716667175293, -58.048057556152, 863, 'BR', 'BR-MT', 'Brasnorte', 'no', '', '', '', 'SWFD'),
	('SWBQ', 'small_airport', 'Barracão Queimado Airport', -13.7336111069, -59.7172203064, 2067, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', '', '', '', 'SWBQ'),
	('SDLW', 'small_airport', 'Fazenda Campo Real Airport', -13.442765, -57.785465, 1703, 'BR', 'BR-MT', 'Campo Novo do Parecis', 'no', 'SD99', '', 'MT0704', 'SDLW'),
	('SJVZ', 'small_airport', 'Fazenda São Paulo Airport', -13.610278129578, -58.56916809082, 2012, 'BR', 'BR-MT', 'Sapezal', 'no', '', '', '', 'SJVZ'),
	('SSOY', 'small_airport', 'FazendaMorada do Sol Airport', -12.290556, -57.019444, 971, 'BR', 'BR-MT', 'Nova Maringá', 'no', 'SSOY', '', 'SSOY', ''),
	('SJRV', 'small_airport', 'PCH Garganta da Jararaca Airport', -13.38611125946045, -57.61555480957031, 1394, 'BR', 'BR-MT', 'Nova Maringá', 'no', 'SJRV', '', '', ''),
	('SJIE', 'small_airport', 'Grupo Scheffer Airport', -13.547941, -58.858556, 1739, 'BR', 'BR-MT', 'Sapezal', 'no', '', '', 'MT0182', 'SJIE, Aero Agrícola Sapezal, SJIF'),
	('SWPG', 'closed', 'Porto dos Gaúchos Airport', -11.5404, -57.3782, 1312, 'BR', 'BR-MT', 'Porto dos Gaúchos', 'no', '', '', '', 'SWPG, SWPG, PBV, MT0010'),
	('SJTU', 'small_airport', 'Fazenda Tucano Airport', -13.582777976989746, -57.559444427490234, 1765, 'BR', 'BR-MT', 'Campo Novo Do Parecis', 'no', 'SJTU', '', '', ''),
	('SWQJ', 'small_airport', 'Campos de Júlio Airport', -13.414722442627, -59.267501831055, 2132, 'BR', 'BR-MT', 'Campos De Júlio', 'no', '', '', '', 'SWQJ'),
	('SBSX', 'N/A', 'N/A', -12.2796980291605, -57.34255760908127, 387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNNO', 'small_airport', 'Fazenda São Domingos Airport', -14.063888549804688, -59.866390228271484, 1001, 'BR', 'BR-MT', 'Comodoro', 'no', 'SNNO', '', '', ''),
	('SISV', 'small_airport', 'Fazenda Promissão Airport', -13.897372, -57.104208, 1690, 'BR', 'BR-MT', 'Diamantino', 'no', 'SISV', '', 'MT0130', ''),
	('SDOL', 'small_airport', 'Fazenda Agropesp Airport', -12.442313, -56.907682, 991, 'BR', 'BR-MT', 'Tapurah', 'no', 'SDOL', '', 'MT0050', 'Tapurá'),
	('SJHM', 'small_airport', 'Fazenda Globo Airport', -12.949012, -58.587798, 1588, 'BR', 'BR-MT', 'Sapezal', 'no', 'SNSU', '', 'MT0615', 'SJHM'),
	('SICJ', 'small_airport', 'Gaivota Aviação Agrícola Airport', -13.462628, -58.778328, 1837, 'BR', 'BR-MT', 'Sapezal', 'no', 'SICJ', '', 'MT0084', ''),
	('SWOI', 'small_airport', 'Fazenda Juara Airport', -11.817694, -57.566954, 1200, 'BR', 'BR-MT', 'Juara', 'no', '', '', '', 'SWOI'),
	('SJFR', 'small_airport', 'Fazenda São Gabriel 2 Airport', -12.523889, -58.235558, 1434, 'BR', 'BR-MT', 'Brasnorte', 'no', 'SD3O', '', 'MT0646', 'SJFR, Fronteira Airport'),
	('SSXK', 'closed', 'Fazenda Alvorada do Marape Airport', -12.887366, -56.736478, 1001, 'BR', 'BR-MT', 'Tapurá', 'no', '', '', '', 'SSXK'),
	('SWXK', 'small_airport', 'Fazenda Rio Alegre Airport', -13.274331, -56.892163, 1240, 'BR', 'BR-MT', 'São José do Rio Claro', 'no', '', '', 'SWXK', 'SWXK'),
	('SIRT', 'small_airport', 'Marca de Casco Airport', -13.727499961853, -57.021667480469, 1158, 'BR', 'BR-MT', 'São José Do Rio Claro', 'no', '', '', '', 'SIRT'),
	('SIAF', 'small_airport', 'Fazenda São José Airport', -13.741112, -58.885555, 1903, 'BR', 'BR-MT', 'Sapezal', 'no', 'SWSJ', '', 'SWSJ', 'SIAF'),
	('SJTP', 'small_airport', 'Tapurah Airport', -12.722894, -56.502102, 1260, 'BR', 'BR-MT', 'Tapurá', 'no', 'SJTP', '', 'MT0221', 'Boa Safra'),
	('SNSJ', 'small_airport', 'Fazenda Fogliatelli Airport', -13.529722213745117, -58.573333740234375, 1723, 'BR', 'BR-MT', 'Sapezal', 'no', 'SNSJ', '', '', ''),
	('SJKA', 'small_airport', 'Aerocampo Airport', -13.62797, -57.900965, 1798, 'BR', 'BR-MT', 'Campo Novo Do Parecis', 'no', 'SJKA', '', 'MT0189', ''),
	('SISW', 'small_airport', 'Fazenda Mato Grosso Airport', -13.824526, -59.163458, 1690, 'BR', 'BR-MT', 'Campos de Júlio', 'no', 'SISW', '', 'MT0131', ''),
	('SDAO', 'small_airport', 'Fazenda Portela Airport', -14.025612, -56.543219, 1522, 'BR', 'BR-MT', 'São José do Rio Claro', 'no', 'SDAO', '', 'MT0029', ''),
	('SWLA', 'small_airport', 'Fazenda Amália Airport', -11.884721755981445, -58.63166809082031, 1030, 'BR', 'BR-MT', 'Juína', 'no', 'SWLA', '', '', ''),
	('SBHN', 'N/A', 'N/A', -12.79958188533783, -57.129191905260086, 397, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJTV', 'small_airport', 'Fazenda Guerra Airport', -11.474167, -57.921112, 984, 'BR', 'BR-MT', 'Juara', 'no', '', '', '', 'SJTV'),
	('SJYY', 'small_airport', 'Rio do Sangue Airport', -11.522221565247, -58.177223205566, 935, 'BR', 'BR-MT', 'Brasnorte', 'no', '', '', '', 'SJYY'),
	('SWVN', 'small_airport', 'Nova Era & Thomazi Agropecuárias Airport', -13.634017, -59.796052, 2054, 'BR', 'BR-MT', 'Comodoro', 'no', 'SD4H', '', 'MT0698', 'SWVN, Valdir Masutti Airport'),
	('SWXP', 'small_airport', 'Fazenda Santa Luzia Airport', -13.732873, -58.888168, 1955, 'BR', 'BR-MT', 'Sapezal', 'no', 'SNBW', '', 'MT0568', 'SWXP'),
	('SNIX', 'small_airport', 'Fazenda Masutti Airport', -13.553333, -59.100278, 1617, 'BR', 'BR-MT', 'Campos De Júlio', 'no', 'SNIX', '', '', ''),
	('SJNZ', 'small_airport', 'Fazenda Três Lagoas Airport', -13.258413, -58.727975, 1755, 'BR', 'BR-MT', 'Sapezal', 'no', 'SNZP', '', 'MT0577', 'SJNZ'),
	('SWZY', 'small_airport', 'Fazenda Sete Estrelas Airport', -11.576917, -58.234363, 984, 'BR', 'BR-MT', 'Brasnorte', 'no', 'SWZY', '', 'MT0451', ''),
	('SWET', 'small_airport', 'Fazenda Encantado Airport', -13.312904, -58.799697, 558, 'BR', 'BR-MT', 'Sapezal', 'no', 'SIEM', '', 'MT0091', 'SWET'),
	('SIJU', 'small_airport', 'Fazenda Areia Branca Airport', -11.790368, -58.456117, 1073, 'BR', 'BR-MT', 'Juína', 'no', 'SIJU', '', 'MT0100', ''),
	('SJGB', 'small_airport', 'Fazenda Ponte de Pedra Airport', -13.584166526794, -57.463054656982, 1690, 'BR', 'BR-MT', 'Campo Novo Do Parecis', 'no', '', '', '', 'SJGB'),
	('SWZC', 'small_airport', 'Fazenda Corixo Airport', -16.245331, -58.894444, 492, 'BR', 'BR-MT', 'Porto Esperidião', 'no', 'SWZC', '', 'MT0444', ''),
	('SIAI', 'small_airport', 'Fazenda Gaivota Airport', -16.236110687256, -56.918888092041, 541, 'BR', 'BR-MT', 'Poconé', 'no', '', '', '', 'SIAI'),
	('SWWY', 'small_airport', 'Posto de Proteção Ambiental Espírito Santo Airport', -16.587221145629883, -56.279998779296875, 354, 'BR', 'BR-MT', 'Barão De Melgaço', 'no', 'SWWY', '', '', ''),
	('SJXB', 'small_airport', 'Aquapey Airport', -15.762033, -58.804064, 600, 'BR', 'BR-MT', 'Porto Esperdião', 'no', 'SNEY', '', 'MT0248', 'SJXB'),
	('SWOX', 'small_airport', 'Estância Barbosa Airport', -15.765556, -56.495556, 623, 'BR', 'BR-MT', 'Nossa Senhora do Livramento', 'no', '', '', '', 'SWOX'),
	('SWRB', 'small_airport', 'Fazenda Rio dos Bugres Airport', -14.816944122314, -56.95055770874, 1148, 'BR', 'BR-MT', 'Barra Do Bugres', 'no', '', '', '', 'SWRB'),
	('SWNL', 'small_airport', 'Fazenda Araçatuba Airport', -15.190932, -57.708372, 493, 'BR', 'BR-MT', 'Lambari d''Oeste', 'no', '', '', '', 'SWNL'),
	('SJAA', 'small_airport', 'Fazenda São José do Rio Branco Airport', -15.071389, -59.153332, 1142, 'BR', 'BR-MT', 'Pontes E Lacerda', 'no', '', '', '', 'SJAA');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWRY', 'small_airport', 'Fazenda Santa Maria Airport', -15.737500190734863, -57.47055435180664, 1853, 'BR', 'BR-MT', 'Porto Estrela', 'no', 'SWRY', '', '', ''),
	('SWYC', 'small_airport', 'Jair Feliciano de Deus Airport', -15.693403, -58.107917, 849, 'BR', 'BR-MT', 'Mirassol d`Oeste', 'no', 'SIUY', '', 'MT0139', 'SWYC'),
	('SNWJ', 'small_airport', 'Fazenda Rancho Alegre Airport', -15.208056449890137, -58.62472152709961, 1345, 'BR', 'BR-MT', 'Araputanga', 'no', 'SNWJ', '', '', ''),
	('SLSE', 'small_airport', 'Santa Teresita Airport', -16.285, -59.495167, 756, 'BO', 'BO-S', 'Angel Sandoval', 'no', 'SLSE', '', '', ''),
	('SSUT', 'small_airport', 'Fazenda Agrofel Airport', -14.4496, -58.294859, 705, 'BR', 'BR-MT', 'Tangará da Serra', 'no', '', '', '', 'SSUT'),
	('SNEG', 'small_airport', 'Fazenda Netolândia Airport', -14.650115, -57.888688, 1066, 'BR', 'BR-MT', 'Tangará da Serra', 'no', 'SNEG', '', '', ''),
	('SWBB', 'small_airport', 'Barra do Bugres Airport', -15.058610916138, -57.183055877686, 722, 'BR', 'BR-MT', 'Barra Do Bugres', 'no', '', '', '', 'SWBB'),
	('SWRZ', 'small_airport', 'Fazenda Arrossensal Airport', -14.353099822998047, -56.71379852294922, 1306, 'BR', 'BR-MT', 'Nortelândia', 'no', 'SWRZ', '', 'SWRZ', ''),
	('SNFB', 'small_airport', 'Fazenda Minas Gerais Airport', -14.773264, -59.047437, 2395, 'BR', 'BR-MT', 'Pontes E Lacerda', 'no', 'SDVM', '', 'MT0068', 'SNFB'),
	('SIEL', 'small_airport', 'Fazenda Várzea Funda Airport', -16.589899, -57.727698, 659, 'BR', 'BR-MT', 'Cáceres', 'no', 'SJVF', '', 'MT0230', 'SIEL'),
	('SDKR', 'small_airport', 'Fazenda Triângulo Airport', -15.173463, -59.172084, 1116, 'BR', 'BR-MT', 'Pontes E Lacerda', 'no', '', '', '', 'SDKR'),
	('SWUW', 'small_airport', 'Fazenda Okuhara Airport', -15.110948, -56.836696, 807, 'BR', 'BR-MT', 'Barra do Bugres', 'no', 'SWUW', '', 'MT0414', 'Fazenda Santa Bárbara II, Alto Paraguai'),
	('SIWF', 'small_airport', 'Algodoeira Airport', -14.185556, -57.550556, 2035, 'BR', 'BR-MT', 'Diamantino', 'no', '', '', '', 'SIWF'),
	('SJLD', 'small_airport', 'Fazenda Porto do Campo Airport', -15.715556, -57.711388, 433, 'BR', 'BR-MT', 'Lambari d''Oeste', 'no', 'SJLD', '', 'MT0193', ''),
	('SWGH', 'small_airport', 'Fazenda Primavera Airport', -16.246111, -57.621388, 1299, 'BR', 'BR-MT', 'Cáceres', 'no', 'SWUH', '', 'SWUH', 'SWGH'),
	('SWUS', 'small_airport', 'Sede Fazenda São Benedito Airport', -14.232227, -57.710624, 1798, 'BR', 'BR-MT', 'Campo Novo Do Parecis', 'no', '', '', '', 'SWUS'),
	('SWZS', 'small_airport', 'Fazenda Nova Larga Airport', -16.670163, -57.675261, 371, 'BR', 'BR-MT', 'Cáceres', 'no', 'SWZS', '', 'MT0450', ''),
	('SWGB', 'N/A', 'N/A', -14.776721633970737, -57.18884378671646, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWTJ', 'small_airport', 'Fazenda Cachoeira Airport', -14.603333473205566, -57.79722213745117, 1070, 'BR', 'BR-MT', 'Tangará Da Serra', 'no', 'SWTJ', '', '', ''),
	('SWRJ', 'small_airport', 'Fazenda Panflora Airport', -15.084167, -56.552222, 757, 'BR', 'BR-MT', 'Rosário Oeste', 'no', 'SJOP', '', 'MT0201', 'SWRJ'),
	('SDPR', 'heliport', 'Pirelli S/A Heliport', -22.942777633667, -47.149723052979, 2100, 'BR', 'BR-SP', 'Campinas', 'no', '', '', '', 'SDPR'),
	('SWYH', 'small_airport', 'Fazenda Aliança Airport', -15.292499542236328, -58.31444549560547, 984, 'BR', 'BR-MT', 'Araputanga', 'no', 'SWYH', '', '', ''),
	('SSYE', 'small_airport', 'Fazenda Roberta Airport', -15.320833206176758, -58.50166702270508, 1033, 'BR', 'BR-MT', 'Araputanga', 'no', 'SSYE', '', '', ''),
	('SWXW', 'small_airport', 'Fazenda São João do Guaporé Airport', -15.973614, -59.889221, 722, 'BR', 'BR-MT', 'Pontes E Lacerda', 'no', 'SDDC', '', 'MT0033', 'SWXW'),
	('SNQR', 'small_airport', 'Fazenda Bahia - Don Bosco Airport', -16.7277774810791, -57.233333587646484, 3, 'BR', 'BR-MT', 'Poconé', 'no', 'SNQR', '', '', ''),
	('SWNB', 'small_airport', 'Nobres Airport', -14.707222, -56.338333, 722, 'BR', 'BR-MT', 'Nobres', 'no', '', '', '', 'SWNB'),
	('SIIZ', 'small_airport', 'Fazenda Chalana Airport', -14.165164, -57.158732, 1785, 'BR', 'BR-MT', 'Diamantino', 'no', 'SSZB', '', 'MT0474', 'SIIZ'),
	('SJRC', 'small_airport', 'Serra da Borda Airport', -14.8272218704, -59.68805694579999, 1575, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', 'SJRC', '', '', ''),
	('SJLB', 'small_airport', 'Fazenda Chaparral Airport', -15.570615, -57.773998, 571, 'BR', 'BR-MT', 'Lambari d`Oeste', 'no', 'SJLB', '', 'MT0192', ''),
	('SWQM', 'small_airport', 'Fazenda Boa Vista Airport', -15.093319, -56.37704, 688, 'BR', 'BR-MT', 'Acorizal', 'no', '', '', '', 'SWQM'),
	('SIQS', 'small_airport', 'Fazenda Terra do Sol Airport', -15.375074, -57.131084, 722, 'BR', 'BR-MT', 'Porto Estrela', 'no', 'SIQS', '', 'MT0119', ''),
	('SWLX', 'N/A', 'N/A', -15.41250005364418, -58.82916659116745, 348, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWIN', 'small_airport', 'Fazenda Itamarati Norte Airport', -14.243000030517578, -57.99530029296875, 2188, 'BR', 'BR-MT', 'Campo Novo Do Parecis', 'no', 'SWIN', '', 'SWIN', ''),
	('SWZG', 'small_airport', 'Fazenda Lagoa Encantada Airport', -16.021695, -58.894873, 800, 'BR', 'BR-MT', 'Porto Esperidião', 'no', 'SWZG', '', 'MT0446', ''),
	('SWGQ', 'small_airport', 'Fazenda Monte Alegre Airport', -14.78083324432373, -57.35416793823242, 755, 'BR', 'BR-MT', 'Nova Olímpia', 'no', 'SWGQ', '', '', ''),
	('SWRW', 'small_airport', 'Fazenda Santa Alice Airport', -15.587499618530273, -58.0444450378418, 1115, 'BR', 'BR-MT', 'Mirassol D`Oeste', 'no', 'SWRW', '', '', ''),
	('SNVJ', 'small_airport', 'Fazenda Salto Grande Airport', -15.258869, -58.792709, 1444, 'BR', 'BR-MT', 'Jauru', 'no', '', '', '', 'SNVJ'),
	('SJIZ', 'small_airport', 'Módulo Aguapei Airport', -15.826944, -59.234167, 1129, 'BR', 'BR-MT', 'Porto Esperidião', 'no', 'SWNM', '', 'MT0651', 'SJIZ'),
	('SWXR', 'small_airport', 'Faria Airport', -15.646366, -58.774302, 787, 'BR', 'BR-MT', 'Porto Esperidião', 'no', '', '', '', 'SWXR'),
	('SBDV', 'N/A', 'N/A', -14.498593658208847, -56.8514558672905, 258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWYR', 'small_airport', 'Fazenda Nossa Senhora do Pillar Airport', -15.348282, -58.794586, 1040, 'BR', 'BR-MT', 'Jauru', 'no', 'SWYR', '', 'MT0439', ''),
	('SWTV', 'small_airport', 'Fazenda Rio Preto Airport', -15.054098, -57.968368, 676, 'BR', 'BR-MT', 'Salto do Céu', 'no', 'SD7U', '', 'MT0313', 'SWTV'),
	('SWDT', 'small_airport', 'Fazenda Pioneira Airport', -14.283611297607, -57.70055770874, 2178, 'BR', 'BR-MT', 'Diamantino', 'no', '', '', '', 'SWDT'),
	('SIRV', 'small_airport', 'Fazenda Morro Branco Airport', -16.118055, -58.765835, 400, 'BR', 'BR-MT', 'Porto Esperidião', 'no', 'SIRV', '', 'MT0127', ''),
	('SWEZ', 'small_airport', 'Fazenda Santa Rita de Cássia Airport', -15.2502784729, -56.481109619141, 666, 'BR', 'BR-MT', 'Jangada', 'no', '', '', '', 'SWEZ'),
	('SJUK', 'N/A', 'N/A', -14.361622966825962, -57.91631430387497, 678, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWSM', 'small_airport', 'Fazenda Santa Maria Airport', -15.35833, -57.69444, 525, 'BR', 'BR-MT', 'Lambari d`Oeste', 'no', '', '', '', 'SWSM'),
	('SWTN', 'small_airport', 'Fazenda Arapucel Airport', -15.041389465332031, -58.72916793823242, 1345, 'BR', 'BR-MT', 'Araputanga', 'no', 'SWTN', '', '', ''),
	('SWTI', 'small_airport', 'São Vicente Airport', -14.5202999115, -59.7798995972, 791, 'BR', 'BR-MT', 'Nova Lacerda', 'no', 'SWTI', '', 'SWTI', ''),
	('SIXP', 'small_airport', 'Fazenda Paiaguás Airport', -14.0723, -57.450699, 2038, 'BR', 'BR-MT', 'Diamantino', 'no', 'SD24', '', 'MT0678', 'SIXP'),
	('SWDM', 'small_airport', 'Diamantino Airport', -14.376899719238281, -56.40039825439453, 1476, 'BR', 'BR-MT', 'Diamantino', 'no', 'SWDM', 'DMT', 'SWDM', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SJPS', 'small_airport', 'Fazenda Monte Belo Airport', -14.979999542236, -57.991668701172, 636, 'BR', 'BR-MT', 'Barra Do Bugres', 'no', '', '', '', 'SJPS'),
	('SIQX', 'small_airport', 'Fazenda Barranquinho Airport', -15.647606, -57.470176, 558, 'BR', 'BR-MT', 'Porto Estrela', 'no', '', '', '', 'SIQX'),
	('SNLM', 'small_airport', 'Fazenda Agropecuária Rancho 11 Airport', -15.614169, -58.900272, 1001, 'BR', 'BR-MT', 'Porto Esperidião', 'no', '', '', '', 'SNLM'),
	('SJOO', 'small_airport', 'Doutor João Osmar de Oliveira Airport', -14.134166717529297, -59.81972122192383, 864, 'BR', 'BR-MT', 'Comodoro', 'no', 'SJOO', '', '', ''),
	('SDQV', 'small_airport', 'Fazenda Santa Fé Airport', -16.140032, -58.515394, 551, 'BR', 'BR-MT', 'Cáceres', 'no', 'SIWS', '', 'MT0146', 'SDQV'),
	('SWLF', 'small_airport', 'Fazenda Dona Laura Airport', -15.620278358459473, -58.20888900756836, 725, 'BR', 'BR-MT', 'São José Dos Quatro Marcos', 'no', 'SWLF', '', '', ''),
	('SWWJ', 'small_airport', 'Posto de Proteção Ambiental Nossa Senhora do Carmo Airport', -16.680833816528, -56.299167633057, 348, 'BR', 'BR-MT', 'Barão De Melgaço', 'no', '', '', '', 'SWWJ'),
	('SWKP', 'small_airport', 'Chácara Veneza Airport', -15.242500305175781, -59.2852783203125, 866, 'BR', 'BR-MT', 'Pontes E Lacerda', 'no', 'SWKP', '', '', ''),
	('SWEW', 'small_airport', 'Fazenda Felicidade Airport', -15.842222213745117, -58.63166809082031, 656, 'BR', 'BR-MT', 'Porto Esperidião', 'no', 'SWEW', '', '', ''),
	('SDB3', 'small_airport', 'AFG I Airport', -14.600279, -58.903478, 2582, 'BR', 'BR-MT', 'Vale de São Domingos', 'no', 'SDB3', '', 'MT0624', ''),
	('SBQM', 'small_airport', 'Fazenda São Miguel Airstrip', -22.765333, -53.908334, 1214, 'BR', 'BR-MS', 'Iateí', 'no', 'SBQM', '', 'MS0526', ''),
	('SIMX', 'small_airport', 'Fazenda Jangada Airport', -15.240833, -56.578056, 722, 'BR', 'BR-MT', 'Jangada', 'no', 'SIMX', '', 'MT0109', ''),
	('SSVW', 'small_airport', 'Fazenda Galera Airport', -14.513055801391602, -59.55694580078125, 975, 'BR', 'BR-MT', 'Conquista D`Oeste', 'no', 'SSVW', '', '', ''),
	('SWVB', 'small_airport', 'Vila Bela da Santíssima Trindade Airport', -14.9942, -59.9458, 660, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', 'SWVB', 'MTG', 'SWVB', 'Mato Grosso Airport'),
	('SIQW', 'small_airport', 'Fazenda Santa Maria do Jauru Airport', -15.823852, -58.551443, 680, 'BR', 'BR-MT', 'Porto Esperidião', 'no', '', '', '', 'SIQW'),
	('SWDO', 'small_airport', 'Rosário do Leste Airport', -14.816944, -56.417221, 699, 'BR', 'BR-MT', 'Rosário do Leste', 'no', '', '', '', 'SWDO'),
	('SWTS', 'small_airport', 'Tangará da Serra Airport', -14.662, -57.443744, 1473, 'BR', 'BR-MT', 'Tangará da Serra', 'yes', 'SWTS', 'TGQ', 'MT0012', ''),
	('SWYM', 'small_airport', 'Fazenda Anhanguera Airport', -14.642499923706055, -59.449100494384766, 951, 'BR', 'BR-MT', 'Pontes E Lacerda', 'no', 'SWYM', '', 'SWYM', ''),
	('SWPK', 'small_airport', 'Poconé Airport', -16.272778, -56.650833, 591, 'BR', 'BR-MT', 'Poconé', 'no', 'SWPK', '', '', ''),
	('SLTI', 'small_airport', 'San Matías Airport', -16.339199, -58.401901, 403, 'BO', 'BO-S', 'San Matías', 'no', 'SLTI', 'MQK', '', ''),
	('SWFU', 'small_airport', 'Fortuna Airport', -16.16694450378418, -59.50055694580078, 866, 'BR', 'BR-MT', 'Fortuna', 'no', 'SWFU', '', '', ''),
	('SWDZ', 'small_airport', 'Fazenda Água Limpa Airport', -15.289443969727, -58.530277252197, 1181, 'BR', 'BR-MT', 'Indiavaí', 'no', '', '', '', 'SWDZ'),
	('SDA3', 'small_airport', 'Fazenda Serra Dourada Airport', -14.339912, -59.649242, 873, 'BR', 'BR-MT', 'Nova Lacerda', 'no', 'SDA3', '', 'MT0716', ''),
	('SIWC', 'closed', 'Fazenda Santa Rita Airport', -14.131665, -57.362838, 2054, 'BR', 'BR-MT', 'Diamantino', 'no', '', '', '', 'SIWC'),
	('SWZE', 'small_airport', 'Fazenda Tamboril Airport', -15.059733, -59.379215, 1099, 'BR', 'BR-MT', 'Pontes E Lacerda', 'no', 'SWZE', '', 'MT0445', ''),
	('SWRQ', 'small_airport', 'Fazenda Vittória Airport', -15.558611, -58.586944, 1033, 'BR', 'BR-MT', 'Figueirópolis d''Oeste', 'no', '', '', '', 'SWRQ'),
	('SNVH', 'small_airport', 'Fazenda Santa Helena Airport', -16.168611526489258, -58.13833236694336, 492, 'BR', 'BR-MT', 'Cáceres', 'no', 'SNVH', '', '', ''),
	('SBPQ', 'N/A', 'N/A', -16.741308644413948, -56.836605817079544, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWJB', 'small_airport', 'Fazenda Juba Airport', -14.744999885559082, -58.128334045410156, 1667, 'BR', 'BR-MT', 'Tangará Da Serra', 'no', 'SWJB', '', '', ''),
	('SSWN', 'small_airport', 'Fazenda Figueira Branca Airport', -16.228332519531, -57.592220306396, 820, 'BR', 'BR-MT', 'Cáceres', 'no', '', '', '', 'SSWN'),
	('SWHQ', 'small_airport', 'Fazenda Santa Cruz Airport', -15.189167022700001, -59.9391670227, 1060, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', 'SWHQ', '', '', ''),
	('SWNR', 'closed', 'Nortelândia Airport', -14.473833, -56.766895, 1460, 'BR', 'BR-MT', 'Nortelândia', 'no', '', '', '', 'SWNR, MT0019'),
	('SWTA', 'small_airport', 'Fazenda Bandeirantes Airport', -15.416306, -58.408187, 968, 'BR', 'BR-MT', 'Araputanga', 'no', 'SJL2', '', 'MT0884', 'SWTA, Santa Márcia'),
	('SIOJ', 'small_airport', 'Fazenda Soroteca Airport', -15.631388664246, -58.308334350586, 749, 'BR', 'BR-MT', 'São José Dos Quatro Marcos', 'no', '', '', '', 'SIOJ'),
	('SNQI', 'small_airport', 'Fazenda Camagril Agropecuária Airport', -14.118056297302246, -57.34111022949219, 2756, 'BR', 'BR-MT', 'Diamantino', 'no', 'SNQI', '', '', ''),
	('SIPK', 'small_airport', 'SESC Pantanal Airport', -16.4974, -56.422199, 348, 'BR', 'BR-MT', 'Poconé', 'no', 'SIPK', '', 'MT0116', ''),
	('SWKC', 'small_airport', 'Cáceres Airport', -16.0436, -57.629902, 492, 'BR', 'BR-MT', 'Cáceres', 'no', 'SWKC', 'CCX', 'SWKC', ''),
	('SWVF', 'small_airport', 'Fazenda Sto Antônio Guaporé - Sede Nova Airport', -16.0094432831, -59.9280548096, 709, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', 'SWVF', '', '', ''),
	('SJWO', 'small_airport', 'Terra Santa Airport', -14.806943893433, -57.973609924316, 699, 'BR', 'BR-MT', 'Barra Do Bugres', 'no', '', '', '', 'SJWO'),
	('SWFO', 'small_airport', 'Fazenda Bocaína Airport', -15.346388816833, -56.711109161377, 1037, 'BR', 'BR-MT', 'Jangada', 'no', '', '', '', 'SWFO'),
	('SWKF', 'N/A', 'N/A', -15.044700130820274, -59.42170009016991, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNQL', 'small_airport', 'Bom Jesus Airport', -15.734999656677, -57.346389770508, 482, 'BR', 'BR-MT', 'Cáceres', 'no', '', '', '', 'SNQL'),
	('SWWF', 'small_airport', 'Hotel Baiazinha Airport', -16.569721, -57.83139, 446, 'BR', 'BR-MT', 'Cáceres', 'no', 'SDF8', '', 'MT0745', 'SWWF'),
	('SWBG', 'small_airport', 'André Antônio Maggi Airport', -15.1934, -59.3848, 870, 'BR', 'BR-MT', 'Pontes e Lacerda', 'yes', 'SWBG', 'LCB', 'MT0009', 'União do Vale Airport'),
	('SNDA', 'small_airport', 'Fazenda Vale Formoso Airstrip', -15.381944, -58.649722, 778, 'BR', 'BR-MT', 'Figueirópolis d''Oeste', 'no', 'SNDA', '', 'MT0243', ''),
	('SDK8', 'small_airport', 'Fazenda Baú Airstrip', -16.503831, -57.599282, 558, 'BR', 'BR-MT', 'Cáceres', 'no', 'SDK8', '', 'MT0729', ''),
	('SJTO', 'small_airport', 'São José Airport', -14.143889427185, -57.780555725098, 2083, 'BR', 'BR-MT', 'Campo Novo Do Parecis', 'no', '', '', '', 'SJTO'),
	('SWUT', 'small_airport', 'Lavoura Fazenda São Benedito Airport', -14.220000267029, -57.778888702393, 2001, 'BR', 'BR-MT', 'Campo Novo Do Parecis', 'no', '', '', '', 'SWUT'),
	('SDVI', 'small_airport', 'Comandante Gastão Airport', -14.65, -57.5, 1391, 'BR', 'BR-MT', 'Tangará Da Serra', 'no', 'SDVI', '', '', ''),
	('SWTW', 'small_airport', 'Fazenda São Lucas Airport', -15.714392, -59.241918, 833, 'BR', 'BR-MT', 'Pontes e Lacerda', 'no', '', '', '', 'SWTW'),
	('SIAU', 'small_airport', 'Fazenda Jatobá Airport', -16.483333587646, -56.270000457764, 404, 'BR', 'BR-MT', 'Barão De Melgaço', 'no', '', '', '', 'SIAU');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWOE', 'small_airport', 'Fazenda Duas Lagoas Airport', -16.165826, -58.185139, 688, 'BR', 'BR-MT', 'Cáceres', 'no', 'SSDU', '', 'MT0286', 'SWOE'),
	('SWWX', 'small_airport', 'Posto de Proteção Ambiental São Joaquim Airport', -16.746110916137695, -56.369998931884766, 338, 'BR', 'BR-MT', 'Barão De Melgaço', 'no', 'SWWX', '', '', ''),
	('SNUG', 'small_airport', 'Fazenda Eunice Airport', -14.9555559158, -59.622779846200004, 787, 'BR', 'BR-MT', 'Vila Bela Da Santíssima Trindade', 'no', 'SNUG', '', '', ''),
	('SWXS', 'small_airport', 'Fazenda São João do Ibiporã Airport', -15.784687, -59.636653, 951, 'BR', 'BR-MT', 'Pontes e Lacerda', 'no', 'SSPU', '', 'MT0308', 'SWXS'),
	('SWIG', 'small_airport', 'Fazenda São José Airport', -15.011337, -59.253345, 879, 'BR', 'BR-MT', 'Pontes E Lacerda', 'no', '', '', '', 'SWIG'),
	('SLUI', 'N/A', 'N/A', -16.842387355864048, -57.58496046066284, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWQV', 'small_airport', 'Fazenda Maristela Airport', -16.116667, -58.969166, 833, 'BR', 'BR-MT', 'Porto Esperidião', 'no', '', '', '', 'SWQV'),
	('SWVZ', 'small_airport', 'EMAL - Empresa de Mineração Aripuanã Ltda Airport', -14.75, -56.352779388427734, 2362, 'BR', 'BR-MT', 'Nobres', 'no', 'SWVZ', '', '', ''),
	('SWSN', 'small_airport', 'Fazenda São Valentim Airport', -14.962222, -59.321389, 1007, 'BR', 'BR-MT', 'Pontes e Lacerda', 'no', 'SWSN', '', 'MT0401', ''),
	('SWUB', 'small_airport', 'Fazenda Serra Alegre Airport', -15.674167, -59.191666, 1115, 'BR', 'BR-MT', 'Pontes E Lacerda', 'no', '', '', '', 'SWUB'),
	('SWDV', 'small_airport', 'Descalvados Lenda Turismo Airport', -16.737443, -57.757403, 354, 'BR', 'BR-MT', 'Cáceres', 'no', 'SDE2', '', 'MT0692', 'SWDV'),
	('SIFD', 'small_airport', 'Fazenda Dois Irmãos Airport', -16.387222290039, -57.288612365723, 591, 'BR', 'BR-MT', 'Cáceres', 'no', '', '', '', 'SIFD'),
	('SJON', 'small_airport', 'Fazenda São José do Generoso Airport', -18.872499465942, -56.789165496826, 328, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SJON'),
	('SD4Z', 'small_airport', 'Fazenda Santo Eugênio Airstrip', -19.334227, -56.720752, 325, 'BR', 'BR-MS', 'Corumbá', 'no', 'SD4Z', '', 'MS0539', ''),
	('SDQE', 'small_airport', 'Fazenda Carambola Airport', -22.56944465637207, -55.636112213134766, 2041, 'BR', 'BR-MS', 'Ponta Porã', 'no', 'SDQE', '', '', ''),
	('SSGJ', 'small_airport', 'Fazenda Poleiro Grande Airport', -17.250266, -56.272494, 390, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSGJ', '', 'MS0274', ''),
	('SIOR', 'small_airport', 'Fazenda São Miguel Airport', -18.098057, -57.153332, 358, 'BR', 'BR-MS', 'Corumbá', 'no', 'SN89', '', 'MS0597', 'SIOR'),
	('SIXB', 'small_airport', 'Fazenda Ilha Verde Airport', -18.505556106567, -57.402221679688, 312, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SIXB'),
	('SSSH', 'small_airport', 'Fazenda Santo Inácio Airport', -19.199167251586914, -57.011112213134766, 275, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSSH', '', '', ''),
	('SSZM', 'small_airport', 'Reserva Acurizal Airport', -17.832875, -57.554401, 351, 'BR', 'BR-MS', 'Corumbá', 'no', 'SDV7', '', 'MS0577', 'SSZM'),
	('SSJO', 'small_airport', 'Fazenda Angico Airport', -19.376388549804688, -57.45277786254883, 511, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSJO', '', '', ''),
	('SLRB', 'small_airport', 'Roboré Airport', -18.328224, -59.765339, 905, 'BO', 'BO-S', 'Roboré', 'no', 'SLRB', 'RBO', '', ''),
	('SIJO', 'small_airport', 'Fazenda São João do Jatobazinho Airport', -18.577222, -57.511111, 381, 'BR', 'BR-MS', 'Corumbá', 'no', 'SIJO', '', 'MS0091', ''),
	('SJED', 'small_airport', 'Fazenda Abath Airport', -18.680000305176, -57.224998474121, 348, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SJED'),
	('SNXF', 'small_airport', 'Retiro Santo Antônio da Fazenda Triunfo Airport', -17.892909, -56.996995, 394, 'BR', 'BR-MS', 'Corumbá', 'no', 'SIXX', '', 'MS0144', 'SNXF'),
	('SIZT', 'small_airport', 'Fazenda Buriti Airport', -19.354444503784, -56.793056488037, 299, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SIZT'),
	('SIWU', 'small_airport', 'Fazenda Nossa Senhora da Candelária Airport', -18.518611907959, -57.598331451416, 365, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SIWU'),
	('SWLI', 'small_airport', 'Fazenda Liberdade Airport', -17.005154, -56.471658, 361, 'BR', 'BR-MT', 'Barão de Melgaço', 'no', '', '', '', 'SWLI'),
	('SJQI', 'small_airport', 'Porto Jofre Airport', -17.358759, -56.773707, 361, 'BR', 'BR-MT', 'Poconé', 'no', 'SJQI', '', 'MT0210', 'Hotel Porto Jofre'),
	('SSVX', 'small_airport', 'Fazenda Manduri Airport', -18.508231, -56.424667, 394, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', 'MS0041', 'SSVX, SDNV'),
	('SLRX', 'small_airport', 'Rincon Del Tigre Airport', -18.200834, -58.169998, 664, 'BO', 'BO-S', 'German Busch', 'no', 'SLRX', '', '', ''),
	('SSKA', 'small_airport', 'Fazenda Campinas Airport', -18.905555725097656, -56.35972213745117, 328, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSKA', '', '', ''),
	('SSLD', 'small_airport', 'Fazenda Lourdes Airport', -18.643888473510742, -56.75944519042969, 328, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSLD', '', '', ''),
	('SSTF', 'small_airport', 'Fazenda Triunfo Airport', -17.872499465942383, -57.130001068115234, 328, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSTF', '', '', ''),
	('SLSQ', 'small_airport', 'Santiago De Chiquitos Airport', -18.3458, -59.604801, 1990, 'BO', 'BO-S', 'Santiago de Chiquitos', 'no', 'SLSQ', '', '', ''),
	('SJEV', 'small_airport', 'Fazenda São Francisco Airport', -17.648332595825, -56.886112213135, 401, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SJEV'),
	('SSPY', 'small_airport', 'Porto Índio Airport', -17.672559, -57.748711, 390, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSPY', '', 'MS9001', ''),
	('SJGI', 'small_airport', 'Fazenda Cypi Airport', -19.334916, -56.905017, 305, 'BR', 'BR-MS', 'Corumbá', 'no', 'SJFX', '', 'MS0165', 'SJGI'),
	('SWPW', 'small_airport', 'Pouso da Garça Airport', -16.967222, -56.417221, 377, 'BR', 'BR-MT', 'Barão de Melgaço', 'no', '', '', '', 'SWPW'),
	('SWYK', 'small_airport', 'Fazenda Ilha Camargo Airport', -17.062599, -56.583698, 358, 'BR', 'BR-MT', 'Poconé', 'no', 'SWYK', '', 'MT0437', ''),
	('SLPS', 'medium_airport', 'Capitán Av. Salvador Ogaya G. airport', -18.975301, -57.820599, 440, 'BO', 'BO-S', 'Puerto Suárez', 'yes', 'SLPS', 'PSZ', '', ''),
	('SJXN', 'small_airport', 'Parque Fazenda Bom Futuro Airport', -17.191389083862, -57.033889770508, 361, 'BR', 'BR-MT', 'Poconé', 'no', '', '', '', 'SJXN'),
	('SWGE', 'small_airport', 'Fazenda Pirigara Airport', -17.006745, -56.47934, 344, 'BR', 'BR-MT', 'Barão De Melgaço', 'no', '', '', '', 'SWGE'),
	('SIFF', 'small_airport', 'Fazenda Firme Airport', -19.259443283081, -57.011665344238, 233, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SIFF'),
	('SSNY', 'small_airport', 'Fazenda Florida Airport', -17.183611, -58.216667, 541, 'BR', 'BR-MT', 'Cáceres', 'no', 'SSNY', '', '', ''),
	('SSNV', 'small_airport', 'Fazenda Novo Hamburgo Airport', -19.233055114746094, -57.029720306396484, 285, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSNV', '', '', ''),
	('SIJM', 'small_airport', 'Fazenda Santa Maria do Porto da Capivara Airport', -17.144444, -56.597778, 328, 'BR', 'BR-MT', 'Barão de Melgaço', 'no', 'SJHK', '', 'MT0177', 'SIJM'),
	('SIWZ', 'small_airport', 'Fazenda Fazendinha Airport', -19.481135, -56.484526, 344, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SIWZ', '', 'MS0139', ''),
	('SBCR', 'medium_airport', 'Corumbá International Airport', -19.01193, -57.672772, 463, 'BR', 'BR-MS', 'Corumbá', 'yes', 'SBCR', 'CMG', 'MS0009', ''),
	('SJET', 'small_airport', 'Fazenda Recreio Airport', -17.564722061157, -56.786666870117, 404, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SJET'),
	('SSXb', 'small_airport', 'Casa das Onças Airport', -17.152219, -56.570669, 351, 'BR', 'BR-MT', 'Barão de Melgaço', 'no', 'SDU7', '', 'MT0778', 'SSXB, Fazenda Alaska II');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SSEV', 'small_airport', 'São Camilo Airport', -18.089084, -57.130864, 289, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSEV', '', 'MS0263', ''),
	('SIFW', 'small_airport', 'Fazenda São Lourenço Airport', -17.719113, -56.996706, 400, 'BR', 'BR-MS', 'Corumbá', 'no', 'SIFW', '', 'MS0084', ''),
	('SJSC', 'small_airport', 'Fazenda São Sebastião do Castelo Airport', -18.661111831665, -57.623889923096, 358, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SJSC'),
	('SITN', 'small_airport', 'Fazenda Santo Antônio Diamandoré Airport', -18.243055343628, -57.55611038208, 493, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SITN'),
	('SSVA', 'small_airport', 'Fazenda Visa Estância Airport', -19.0625, -57.62916564941406, 805, 'BR', 'BR-MS', 'Ladário', 'no', 'SSVA', '', '', ''),
	('SSKB', 'small_airport', 'Fazenda Tupanciretan Airport', -19.474443435668945, -56.377220153808594, 312, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SSKB', '', '', ''),
	('SIDS', 'small_airport', 'Fazenda Santa Lucinha Airport', -18.023332595825, -56.732223510742, 300, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SIDS'),
	('SJZO', 'small_airport', 'Fazenda Boi Branco Airport', -18.46555519104, -56.763332366943, 394, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SJZO'),
	('SWMJ', 'small_airport', 'Pousada Xaraés Airport', -19.495832443237305, -56.959999084472656, 318, 'BR', 'BR-MS', 'Corumbá', 'no', 'SWMJ', '', '', ''),
	('SLSS', 'small_airport', 'Sunsas Airport', -18.4754, -58.2767, 855, 'BO', 'BO-S', 'Sunsas', 'no', 'SLSS', '', '', ''),
	('SJZD', 'small_airport', 'Fazenda Bandeiras Airport', -17.8619441986084, -56.70305633544922, 361, 'BR', 'BR-MS', 'Corumbá', 'no', 'SJZD', '', '', ''),
	('SJNO', 'small_airport', 'Fazenda Nazaré Airport', -18.672115, -57.123735, 348, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSFN', '', 'MS0269', 'SJNO'),
	('SWCT', 'small_airport', 'Santa Rosa Pantanal Hotel Airport', -17.366367, -56.791377, 364, 'BR', 'BR-MT', 'Poconé', 'no', 'SWJS', '', 'MT0686', 'SWCT, Complexo Turístico S. R. Pantanal Hotéis LTDA'),
	('SIMA', 'small_airport', 'Fazenda Mandioré Airport', -17.925578, -57.625598, 299, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SIMA'),
	('SNQO', 'closed', 'Fazenda Campanário Airport', -20.410992, -56.530562, 558, 'BR', 'BR-MS', 'Bodoquena', 'no', '', '', '', 'SNQO, SSNK, MS0310'),
	('SSJV', 'small_airport', 'Fazenda Piratininga Airport', -17.938848, -56.480037, 150, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSJV', '', 'MS0293', ''),
	('SWBN', 'small_airport', 'Fazenda Barreirinhos Airport', -16.945033, -56.391278, 377, 'BR', 'BR-MT', 'Barão de Melgaço', 'no', '', '', '', 'SWBN'),
	('SSHF', 'small_airport', 'Sítio Serra Negra Airport', -18.032449, -57.489259, 328, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SSHF'),
	('SIOU', 'small_airport', 'Fazenda Santa Helena Airport', -18.298055648804, -57.014720916748, 378, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SIOU'),
	('SIKP', 'small_airport', 'Fazenda Santa Teresa Airport', -18.303611, -57.506944, 404, 'BR', 'BR-MS', 'Corumbá', 'no', 'SIKP', '', 'MS0096', ''),
	('SSJX', 'small_airport', 'São Bento Airport', -19.478055953979492, -57.01416778564453, 150, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSJX', '', '', ''),
	('SSLR', 'small_airport', 'Ocorema Airport', -19.104999542236328, -57.59333419799805, 413, 'BR', 'BR-MS', 'Ladário', 'no', 'SSLR', '', '', ''),
	('SJQD', 'small_airport', 'Fazenda São Roque do Vale do Rio Negro Airport', -19.369167327881, -56.348888397217, 296, 'BR', 'BR-MS', 'Aquidauana', 'no', '', '', '', 'SJQD'),
	('SJES', 'small_airport', 'Fazenda Água Pê Airport', -18.117778778076, -56.641109466553, 407, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SJES'),
	('SBQZ', 'heliport', 'Fazenda Mariane Heliport', -22.240253, -48.319211, 1696, 'BR', 'BR-SP', 'Brotas', 'no', 'SBQZ', '', 'SP1295', ''),
	('SIJE', 'small_airport', 'Fazenda Joana Estãncia Airport', -20.013385, -57.389231, 476, 'BR', 'BR-MS', 'Corumbá', 'no', 'SIJE', '', 'MS0089', ''),
	('SIOO', 'small_airport', 'Fazenda Água Doce do Pantanal Airport', -22.025799, -57.902884, 273, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SIOO', '', 'MS0111', 'Fazenda Piquiri'),
	('SGFE', 'N/A', 'N/A', -20.23004651069641, -58.170311003923416, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSDF', 'small_airport', 'Fazenda São José Airport', -20.099443435669, -57.346111297607, 312, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SSDF'),
	('SILU', 'small_airport', 'BRPEC Agro-Pecuária Airport', -19.865306, -56.987917, 427, 'BR', 'BR-MS', 'Miranda', 'no', 'SILU', '', 'MS0098', 'Fazenda Cristo Redentor'),
	('SSZQ', 'small_airport', 'Fazenda Panorama Airport', -22.038999557495117, -56.26940155029297, 1197, 'BR', 'BR-MS', 'Bela Vista', 'no', 'SSZQ', '', 'SSZQ', ''),
	('SDWU', 'small_airport', 'Fazenda Anahí Airport', -21.708332061799997, -57.7405548096, 279, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SDWU', '', '', ''),
	('SGFT', 'N/A', 'N/A', -20.90937528759241, -57.92668059468269, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJOI', 'small_airport', 'Fazenda Jaguatirica Airport', -22.032222747803, -57.981945037842, 289, 'BR', 'BR-MS', 'Porto Murtinho', 'no', '', '', '', 'SJOI'),
	('SIFA', 'small_airport', 'Fazenda Sete Airport', -19.791055, -56.476336, 328, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SJZ9', '', 'MS0078', 'SIFA, Miranda'),
	('SDMQ', 'closed', 'Fazenda Quebracho Brasil Airport', -21.848368, -57.899913, 266, 'BR', 'BR-MS', 'Porto Murtinho', 'no', '', '', '', 'SDMQ, MS0039'),
	('SJGJ', 'small_airport', 'Namocoli Airport', -20.608923, -57.555499, 282, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', 'MS0219', 'SJGJ'),
	('SSGM', 'small_airport', 'Fazenda Seriema Airport', -21.69333267211914, -56.5625, 1151, 'BR', 'BR-MS', 'Bela Vista', 'no', 'SSGM', '', '', ''),
	('SSYN', 'small_airport', 'Arrozeira Airport', -20.082928, -56.667116, 427, 'BR', 'BR-MS', 'Miranda', 'no', '', '', '', 'SSYN'),
	('SSEX', 'small_airport', 'Estância Caiman Airport', -19.968191, -56.311269, 289, 'BR', 'BR-MS', 'Miranda', 'no', 'SSEX', '', 'MS0264', ''),
	('SISF', 'small_airport', 'Fazenda Santa Feliciana Airport', -20.941110610962, -56.673332214355, 2198, 'BR', 'BR-MS', 'Bonito', 'no', '', '', '', 'SISF'),
	('SDXR', 'small_airport', 'Fazenda Vaca Mocha Airport', -22.2216, -57.158207, 433, 'BR', 'BR-MS', 'Caracol', 'no', 'SJZL', '', 'MS0197', 'SDXR'),
	('SDFE', 'small_airport', 'Fazenda Santo Antônio Airport', -22.068056, -56.702499, 633, 'BR', 'BR-MS', 'Bela Vista', 'no', '', '', '', 'SDFE'),
	('SSLP', 'small_airport', 'Fazenda Lucero Porã Airport', -21.91083335876465, -57.64666748046875, 299, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SSLP', '', '', ''),
	('SNNZ', 'small_airport', 'Fazenda Água Turva Airport', -22.123611, -57.103397, 746, 'BR', 'BR-MS', 'Caracol', 'no', '', '', '', 'SNNZ'),
	('SBOO', 'small_airport', 'Fazenda Ceita Corê Airport', -20.838737, -56.588897, 1555, 'BR', 'BR-MS', 'Bonito', 'no', 'SBOO', '', 'MS0434', ''),
	('SINP', 'small_airport', 'Fazenda Santa Maria Airport', -21.506016, -56.420438, 1063, 'BR', 'BR-MS', 'Jardim', 'no', 'SI4B', '', 'MS0602', 'SINP'),
	('SSIP', 'small_airport', 'Fazenda Santa Otília Airport', -21.186742, -57.043427, 833, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SI8B', '', 'MS0601', 'SSIP, SWXR'),
	('SGBV', 'N/A', 'N/A', -22.121666707098484, -56.50750011205673, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSDQ', 'small_airport', 'Fazenda Marema Airport', -20.180732, -56.634712, 463, 'BR', 'BR-MS', 'Miranda', 'no', 'SSDQ', '', 'MS0259', ''),
	('SBQS', 'small_airport', 'Santa Rosa Airstrip', -15.405795, -54.964051, 2208, 'BR', 'BR-MT', 'Campo Verde', 'no', 'SBQS', '', 'MT0642', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SJJD', 'closed', 'Jijoca de Jericoacoara Airport', -2.888889, -40.474167, 66, 'BR', 'BR-CE', 'Jijoca de Jericoacoara', 'no', '', '', '', 'SJJD'),
	('SSLW', 'small_airport', 'Fazenda Três Cerros Airport', -21.973333358765, -56.797500610352, 853, 'BR', 'BR-MS', 'Bela Vista', 'no', '', '', '', 'SSLW'),
	('SSLU', 'small_airport', 'Fazenda Aurora Airport', -21.523332, -56.611667, 754, 'BR', 'BR-MS', 'Jardim', 'no', 'SSXU', '', 'SSXU', 'SSLU'),
	('SWZV', 'closed', 'Fazenda Rodoserv III Airport', -21.868957, -56.771121, 1001, 'BR', 'BR-MS', 'Bela Vista', 'no', '', '', '', 'SWZV, MS0404'),
	('SSBB', 'small_airport', 'Estrela Dalva Airport', -20.674999, -56.629645, 1207, 'BR', 'BR-MS', 'Bodoquena', 'no', '', '', '', 'SSBB'),
	('SBQT', 'small_airport', 'Fazenda Campo Formoso Airstrip', -15.801978, -53.556395, 1877, 'BR', 'BR-MT', 'Tesouro', 'no', 'SBQT', '', 'MT0660', ''),
	('SSBV', 'small_airport', 'Bela Vista Airport', -22.0816, -56.538601, 770, 'BR', 'BR-MS', 'Bela Vista', 'no', 'SSBV', '', 'MS0011', ''),
	('SIEV', 'small_airport', 'Fazenda Boca da Onça Airport', -20.767219, -56.706834, 1050, 'BR', 'BR-MS', 'Bodoquena', 'no', 'SIEV', '', 'MS0077', ''),
	('SIMG', 'small_airport', 'Fazenda Seis Palmas Airport', -21.096121, -57.716895, 312, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SIMG', '', 'MS0099', ''),
	('SSXL', 'small_airport', 'Laguna Airport', -20.434722900390625, -56.33583450317383, 554, 'BR', 'BR-MS', 'Miranda', 'no', 'SSXL', '', '', ''),
	('SGCD', 'N/A', 'N/A', -22.369902469217777, -59.77081686258316, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJDW', 'small_airport', 'Fazenda Canadá Airport', -22.122402, -57.290997, 548, 'BR', 'BR-MS', 'Caracol', 'no', 'SJDW', '', 'MS0155', ''),
	('SJZX', 'small_airport', 'Fazenda Rebojo Airport', -20.026388168335, -57.918888092041, 397, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SJZX'),
	('SSOD', 'small_airport', 'Fazenda Pouso Alegre Airport', -20.247777938842773, -56.415279388427734, 374, 'BR', 'BR-MS', 'Miranda', 'no', 'SSOD', '', '', ''),
	('SBQX', 'small_airport', 'Fazenda São Carlos Airstrip', -13.578333, -57.936944, 1841, 'BR', 'BR-MT', 'Campo Novo do Parecis', 'no', 'SBQX', '', 'MT0585', ''),
	('SJVR', 'small_airport', 'Fazenda São Joaquim Airport', -21.491943359375, -56.487220764160156, 1181, 'BR', 'BR-MS', 'Jardim', 'no', 'SJVR', '', '', ''),
	('SSAV', 'small_airport', 'Fazenda Amonguijá Airport', -21.689941, -57.475126, 400, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SSAV', '', 'MS0245', ''),
	('SGFR', 'N/A', 'N/A', -21.0451802238822, -57.88252115249634, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWOC', 'small_airport', 'Fazenda São Bento do Bocajá Airport', -22.025278091430664, -57.364723205566406, 443, 'BR', 'BR-MS', 'Caracol', 'no', 'SWOC', '', '', ''),
	('SNSF', 'small_airport', 'Fazenda Entre Rios Airport', -21.358627, -57.101212, 1050, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SWER', '', 'MS0370', 'SNSF'),
	('SDTZ', 'small_airport', 'Fazenda Santa Júlia Airport', -20.119167327881, -57.11194229126, 492, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SDTZ'),
	('SSFO', 'small_airport', 'Fazenda Novo Horizonte Airport', -20.039722442626953, -56.32027816772461, 354, 'BR', 'BR-MS', 'Miranda', 'no', 'SSFO', '', '', ''),
	('SDVQ', 'small_airport', 'Fazenda Baía das Conchas Airport', -21.19603, -57.639327, 364, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SD7D', '', 'MS0551', 'SDVQ'),
	('SSBY', 'small_airport', 'Orlando Chesini Ometto Airport', -20.099501, -56.7939, 443, 'BR', 'BR-MS', 'Miranda', 'no', 'SSBY', '', 'MS0254', ''),
	('SBQW', 'heliport', 'Paíto Motors Helipad', -22.355589, -47.37373, 2041, 'BR', 'BR-SP', 'Araras', 'no', 'SBQW', '', 'SP1241', ''),
	('SG65', 'N/A', 'N/A', -22.159008756279945, -57.94250696897507, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSPM', 'small_airport', 'Porto Murtinho Airport', -21.7096, -57.880199, 260, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SSPM', '', 'SSPM', ''),
	('SIOP', 'small_airport', 'Fazenda Londrina II Airport', -21.973176, -57.853875, 272, 'BR', 'BR-MS', 'Porto Murtinho', 'no', '', '', '', 'SIOP'),
	('SSBU', 'small_airport', 'Fazenda Baguassu Airport', -21.45465, -57.146527, 1132, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SJ97', '', 'MS0251', 'SSBU, Baguaçu, Miragem'),
	('SSIW', 'small_airport', 'Fazenda Damaro Airport', -19.980153, -56.435725, 344, 'BR', 'BR-MS', 'Miranda', 'no', 'SDMF', '', 'MS0038', 'SSIW'),
	('SSFK', 'small_airport', 'Forte Coimbra Airport', -19.906111, -57.779889, 279, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSFK', '', 'MS9002', ''),
	('SJEG', 'small_airport', 'Estância Esmeralda Airport', -20.159584, -57.158804, 433, 'BR', 'BR-MS', 'Corumbá', 'no', 'SJEG', '', 'MS0159', ''),
	('SILD', 'small_airport', 'Fazenda Colorado Airport', -20.630556106567, -56.771942138672, 512, 'BR', 'BR-MS', 'Bodoquena', 'no', '', '', '', 'SILD'),
	('SGFL', 'N/A', 'N/A', -22.344095930457115, -59.96952697634697, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGFU', 'N/A', 'N/A', -21.272329464554787, -57.924512922763824, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNZB', 'N/A', 'N/A', -21.269701905548573, -56.51309609413147, 323, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSZK', 'small_airport', 'São Carlos Airport', -22.215152, -57.30693, 410, 'BR', 'BR-MS', 'Caracol', 'no', '', '', '', 'SSZK'),
	('SBQQ', 'heliport', 'Comandante Gravatá Helipad', -23.018611, -44.319444, 33, 'BR', 'BR-RJ', 'Angra dos Reis', 'no', 'SBQQ', '', 'RJ0349', ''),
	('SSEI', 'small_airport', 'Fazenda Santo André Airport', -20.338611602783, -56.698333740234, 489, 'BR', 'BR-MS', 'Miranda', 'no', '', '', '', 'SSEI'),
	('SBHW', 'N/A', 'N/A', -21.887310035526752, -56.887286603450775, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIDR', 'small_airport', 'Retiro Piúva Airport', -19.837257, -56.703293, 328, 'BR', 'BR-MS', 'Miranda', 'no', 'SIDR', '', 'MS0070', ''),
	('SINU', 'small_airport', 'Fazenda Xerez Airport', -21.923333, -56.706944, 958, 'BR', 'BR-MS', 'Bela Vista', 'no', 'SDJ4', '', 'MS0588', 'SINU'),
	('SIGW', 'small_airport', 'Estância Miranda Airport', -21.914443969727, -57.143890380859, 640, 'BR', 'BR-MS', 'Caracol', 'no', '', '', '', 'SIGW'),
	('SSMI', 'small_airport', 'Fazenda Morrinhos Airport', -22.083889007568, -56.300556182861, 1148, 'BR', 'BR-MS', 'Bela Vista', 'no', '', '', '', 'SSMI'),
	('SSRM', 'small_airport', 'Fazenda São Sebastião Airport', -21.019444, -56.276112, 791, 'BR', 'BR-MS', 'Bonito', 'no', 'SD2R', '', 'MS0535', 'SNWB, SSRM'),
	('SIPN', 'small_airport', 'Fazenda Progresso Airport', -21.516014, -57.69055, 328, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SIPN', '', 'MS0115', ''),
	('SNSY', 'small_airport', 'Fazenda São José Airport', -20.94499969482422, -56.49611282348633, 1247, 'BR', 'BR-MS', 'Bonito', 'no', 'SNSY', '', '', ''),
	('SBHU', 'N/A', 'N/A', -21.999726109206676, -57.036841213703156, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDUF', 'small_airport', 'Fazenda Touro Peru Airport', -21.080556, -57.497222, 492, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SDUF', '', '', ''),
	('SBDB', 'small_airport', 'Bonito Airport', -21.2473, -56.452399, 1180, 'BR', 'BR-MS', 'Bonito', 'yes', 'SBDB', 'BYO', 'MS0004', 'SJDB'),
	('SDTR', 'small_airport', 'Fazenda Bandeirantes Airport', -20.883333206177, -57.417778015137, 499, 'BR', 'BR-MS', 'Porto Murtinho', 'no', '', '', '', 'SDTR');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SIET', 'small_airport', 'Estância Tara Airport', -20.088333129883, -56.724723815918, 607, 'BR', 'BR-MS', 'Miranda', 'no', '', '', '', 'SIET'),
	('SJRP', 'small_airport', 'Fazenda Santângelo Agropecuária Airport', -20.13247, -56.371143, 479, 'BR', 'BR-MS', 'Miranda', 'no', 'SI99', '', 'MS0589', 'SJRP'),
	('SBHH', 'N/A', 'N/A', -21.33255109190941, -56.91080912947655, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCM', 'N/A', 'N/A', -22.356044836342335, -59.83890742063522, 129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNWE', 'small_airport', 'Fazenda Baia da Bugra Airport', -20.27805519104, -57.233890533447, 507, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SNWE'),
	('SIAD', 'small_airport', 'Estância Regina Airport', -21.010744, -57.353032, 394, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SIAD', '', 'MS0064', ''),
	('SBGU', 'small_airport', 'Tancredo Thomas de Faria Airport', -25.388327, -51.52349, 3494, 'BR', 'BR-PR', 'Guarapuava', 'yes', 'SSGG', 'GPB', 'PR0009', 'SBGU, Guarapuava Airport'),
	('SIFY', 'small_airport', 'Fazenda Yndiana Airport', -21.777778, -57.496389, 530, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SIE4', '', 'MS0661', 'SIFY'),
	('SSNA', 'small_airport', 'Estância Miranda Airport', -19.896503, -56.427346, 436, 'BR', 'BR-MS', 'Miranda', 'no', 'SSNA', '', 'MS0307', ''),
	('SDHR', 'small_airport', 'Fazenda União Airport', -20.904766, -57.230247, 476, 'BR', 'BR-MS', 'Porto Murtinho', 'no', 'SDHR', '', 'MS0033', ''),
	('SSII', 'closed', 'Fazenda Orion Airport', -22.024088, -56.325231, 1001, 'BR', 'BR-MS', 'Bela Vista', 'no', '', '', '', 'SSII'),
	('SNOX', 'small_airport', 'Oriximiná Airport', -1.71408, -55.836201, 262, 'BR', 'BR-PA', 'Oriximiná', 'no', 'SNOX', 'ORX', 'SNOX', ''),
	('SNTI', 'small_airport', 'Óbidos Municipal Airport', -1.867981, -55.514596, 328, 'BR', 'BR-PA', 'Óbidos', 'yes', 'SNTI', 'OBI', 'PA0016', ''),
	('SNYA', 'small_airport', 'Almeirim Airport', -1.479524, -52.578214, 584, 'BR', 'BR-PA', 'Almeirim', 'yes', 'SNYA', 'GGF', 'PA0024', ''),
	('SBMD', 'medium_airport', 'Monte Dourado - Serra do Areão Airport', -0.889839, -52.6022, 677, 'BR', 'BR-PA', 'Almeirim', 'yes', 'SBMD', 'MEU', 'PA0009', ''),
	('SD9P', 'small_airport', 'Zo´é Airport', -0.327078, -55.837444, 974, 'BR', 'BR-PA', 'Óbidos', 'no', 'SD9P', '', 'PA0302', ''),
	('SNMA', 'small_airport', 'Monte Alegre Airport', -1.9958, -54.0742, 325, 'BR', 'BR-PA', 'Monte Alegre', 'no', 'SNMA', 'MTE', 'SNMA', ''),
	('SWIV', 'small_airport', 'Águia Branca do Paru Airport', -1.26805603504, -53.261390686, 479, 'BR', 'BR-PA', 'Almeirim', 'no', 'SWIV', '', '', ''),
	('SBHO', 'N/A', 'N/A', -1.9169791415333748, -54.72309350967407, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNSH', 'small_airport', 'São José Airport', -2.574525, -54.734431, 440, 'BR', 'BR-PA', 'Santarém', 'no', 'SNSH', '', '', ''),
	('SNCB', 'small_airport', 'Castanhal Airport', -2.523611068725586, -53.939720153808594, 502, 'BR', 'BR-PA', 'Prainha', 'no', 'SNCB', '', '', ''),
	('SJOH', 'small_airport', 'Juruti Airport', -2.186667, -56.090279, 108, 'BR', 'BR-PA', 'Juruti', 'yes', 'SNRJ', 'JRT', 'PA0103', 'SJOH'),
	('SBAK', 'N/A', 'N/A', -2.288956604897976, -55.47811344265938, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNCJ', 'small_airport', 'Piquiatuba Airport', -2.543727, -54.711039, 407, 'BR', 'BR-PA', 'Santarém', 'no', 'SNCJ', '', '', ''),
	('SBSN', 'medium_airport', 'Santarém - Maestro Wilson Fonseca International Airport', -2.422423, -54.79306, 198, 'BR', 'BR-PA', 'Santarém', 'yes', 'SBSN', 'STM', 'PA0002', ''),
	('SIRJ', 'small_airport', 'Caima Airport', -4.304645, -56.218103, 115, 'BR', 'BR-PA', 'Itaituba', 'no', 'SIRJ', '', 'PA0054', ''),
	('SJKG', 'small_airport', 'Fazenda Jatobá Airport', -3.503126, -54.09343, 499, 'BR', 'BR-PA', 'Uruará', 'no', '', '', '', 'SJKG'),
	('SNRB', 'small_airport', 'Fazenda Rosa de Maio Airport', -4.31616, -56.108461, 102, 'BR', 'BR-PA', 'Itaituba', 'no', 'SIYR', '', 'PA0064', 'SNRB'),
	('SBIH', 'medium_airport', 'Itaituba Airport', -4.242131, -56.000651, 110, 'BR', 'BR-PA', 'Itaituba', 'yes', 'SBIH', 'ITB', 'PA0010', ''),
	('SNDB', 'small_airport', 'Rurópolis Airport', -4.0855560302734, -54.910831451416, 325, 'BR', 'BR-PA', 'Rurópolis', 'no', '', '', '', 'SNDB'),
	('SBAH', 'N/A', 'N/A', -3.5151194036006927, -53.48577618598938, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBII', 'N/A', 'N/A', -3.7910794839262962, -55.470741391181946, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNTJ', 'small_airport', 'Santa Teresa Airport', -4.2913889884949, -56.087501525879, 98, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SNTJ'),
	('SJQX', 'small_airport', 'Fazenda Uruará Airport', -3.523351, -53.393923, 797, 'BR', 'BR-PA', 'Uruará', 'no', 'SJQX', '', '', ''),
	('SIYR', 'closed', 'Santa Terezinha Airport', -28.052062, -51.958949, 2199, 'BR', 'BR-RS', 'Tapajara', 'no', '', '', '', 'SIYR, SWQJ, RS0102'),
	('SBAJ', 'N/A', 'N/A', -3.401298187673092, -52.95407384634018, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWYJ', 'small_airport', 'Fazenda Agropecuária FR Ltda. Airport', -7.622604, -56.071694, 860, 'BR', 'BR-PA', 'Novo Progresso', 'no', '', '', '', 'SWYJ'),
	('SJRA', 'small_airport', 'Pesqueiro Xingu Airport', -5.7750000953674, -52.622222900391, 525, 'BR', 'BR-PA', 'São Félix Do Xingu', 'no', '', '', '', 'SJRA'),
	('SJNP', 'small_airport', 'Novo Progresso Airport', -7.125833, -55.400833, 794, 'BR', 'BR-PA', 'Novo Progresso', 'no', 'SJNP', 'NPR', 'PA0026', ''),
	('SSXN', 'small_airport', 'Aéreo Amazônia Airport', -8.298333333, -55.11472222, 820, 'BR', 'BR-PA', 'Altamira', 'no', 'SSXN', '', '', ''),
	('SJSE', 'small_airport', 'Serabi Airport', -6.3197221755981445, -55.79499816894531, 1017, 'BR', 'BR-PA', 'Itaituba', 'no', 'SJSE', '', '', ''),
	('SNXD', 'small_airport', 'Fazenda Beradão Airport', -6.2727780342102, -55.785831451416, 764, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SNXD'),
	('SNXM', 'small_airport', 'Fazenda Itumbiara Airport', -6.4202780723572, -53.611389160156, 886, 'BR', 'BR-PA', 'Altamira', 'no', '', '', '', 'SNXM'),
	('SWXO', 'small_airport', 'Fazenda Porto Seguro Airport', -7.131667137145996, -52.72722244262695, 800, 'BR', 'BR-PA', 'São Félix Do Xingu', 'no', 'SWXO', '', '', ''),
	('SIUZ', 'small_airport', 'Boa Esperança Airport', -7.661388874054, -55.960277557373, 788, 'BR', 'BR-PA', 'Novo Progresso', 'no', '', '', '', 'SIUZ'),
	('SNXK', 'small_airport', 'Fazenda Lagoa do Triunfo Airport', -6.536944, -52.769169, 558, 'BR', 'BR-PA', 'São Félix Do Xingu', 'no', 'SNXK', '', 'PA0111', ''),
	('SNJZ', 'small_airport', 'Fazenda Jaú Airport', -7.090949, -52.935777, 735, 'BR', 'BR-PA', 'São Félix do Xingu', 'no', 'SI3O', '', 'PA0383', 'SNJZ, Santa Izabel do Porto Seguro da Jaú'),
	('SJJA', 'small_airport', 'Fazenda Jamanxin Airport', -8.375365, -55.306839, 800, 'BR', 'BR-PA', 'Novo Progresso', 'no', '', '', '', 'SJJA'),
	('SNZQ', 'small_airport', 'Pista Santa Lúcia Airport', -7.2286109924316, -56.232776641846, 1968, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SNZQ'),
	('SJBK', 'small_airport', 'Iriri Airport', -5.679363, -54.244999, 581, 'BR', 'BR-PA', 'Altamira', 'no', 'SJBK', '', 'PA0067', ''),
	('SIUX', 'small_airport', 'Pista Comunidade São Domingos', -6.420052, -56.049438, 985, 'BR', 'BR-PA', 'Itaituba', 'no', '', '', '', 'SIUX');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWHE', 'small_airport', 'Agropecuária Cajabi Airport', -10.734443664551, -54.534442901611, 1352, 'BR', 'BR-MT', 'Marvelândia', 'no', '', '', '', 'SWHE'),
	('SIQG', 'small_airport', 'Fazenda Morro Alto Airport', -10.504746, -55.709881, 899, 'BR', 'BR-MT', 'Nova Canaã do Norte', 'no', 'SNYL', '', 'MT0278', 'SIQG'),
	('SJZP', 'small_airport', 'Mathovi Airport', -9.833056449890137, -55.4647216796875, 1070, 'BR', 'BR-MT', 'Novo Mundo', 'no', 'SJZP', '', '', ''),
	('SIUF', 'small_airport', 'Fazenda São Francisco Airport', -10.156944, -53.701668, 1165, 'BR', 'BR-MT', 'Peixoto De Azevedo', 'no', 'SIUF', '', 'MT0134', ''),
	('SIRC', 'small_airport', 'Fazenda Jarinã Airport', -10.325341, -53.58592, 1112, 'BR', 'BR-MT', 'Peixoto De Azevedo', 'no', 'SJDM', '', 'MT0167', 'SIRC'),
	('SBCC', 'medium_airport', 'Campo de Provas Brigadeiro Veloso', -9.33394, -54.965401, 1777, 'BR', 'BR-PA', 'Novo Progresso', 'no', 'SBCC', '', 'PA9001', 'Cachimbo'),
	('SWSH', 'small_airport', 'São Raimundo II Airport', -9.965737, -56.154791, 932, 'BR', 'BR-MT', 'Alta Floresta', 'no', '', '', '', 'SWSH'),
	('SWBU', 'small_airport', 'Projeto Paraíba Airport', -10.213519, -55.08553, 948, 'BR', 'BR-MT', 'Peixoto de Azevedo', 'no', 'SN2D', '', 'MT0900', 'SWBU, Fartura Baixão Novo'),
	('SBVZ', 'N/A', 'N/A', -11.089840270578861, -54.532799273729324, 306, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWIB', 'small_airport', 'Fazenda Santa Laura Airport', -10.862777709960938, -54.91416549682617, 1096, 'BR', 'BR-MT', 'Nova Santa Helena', 'no', 'SWIB', '', '', ''),
	('SIKJ', 'small_airport', 'Fazenda Cristalino Airport', -9.6677780151367, -55.976665496826, 919, 'BR', 'BR-MT', 'Alta Floresta', 'no', '', '', '', 'SIKJ'),
	('SJVM', 'small_airport', 'Estância Califórnia Airport', -9.89194393157959, -56.12944412231445, 945, 'BR', 'BR-MT', 'Alta Floresta', 'no', 'SJVM', '', '', ''),
	('SWKV', 'small_airport', 'Fazenda Beira Rio Airport', -10.900833129882813, -55.858333587646484, 1096, 'BR', 'BR-MT', 'Itaúba', 'no', 'SWKV', '', '', ''),
	('SNOL', 'small_airport', 'Agropecuária Mariana Airport', -9.969649, -56.216799, 1001, 'BR', 'BR-MT', 'Alta Floresta', 'no', 'SNOL', '', 'MT0260', ''),
	('SWUE', 'small_airport', 'Fazenda Tapayuna Airport', -10.703332901000977, -55.936668395996094, 1197, 'BR', 'BR-MT', 'Nova Canaã Do Norte', 'no', 'SWUE', '', '', ''),
	('SIXX', 'small_airport', 'Usinas Braco Norte Airport', -9.658332824707, -54.954444885254, 1159, 'BR', 'BR-MT', 'Guarantã Do Norte', 'no', '', '', '', 'SIXX'),
	('SWDF', 'small_airport', 'Fazenda Braço Forte Airport', -9.521803, -55.040259, 1417, 'BR', 'BR-MT', 'Novo Mundo', 'no', '', '', '', 'SWDF'),
	('SNJU', 'small_airport', 'Nossa Senhora da Penha Airport', -10.812993, -52.746539, 1138, 'BR', 'BR-MT', 'São José do Xingu', 'no', 'SNJU', '', 'MT0256', ''),
	('SSWX', 'small_airport', 'Fazenda Retiro Campanha Airport', -19.02805519104, -56.290557861328, 262, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SSWX'),
	('SDWM', 'small_airport', 'Aldeia de Metuktire Airport', -10.063611, -52.996666, 2953, 'BR', 'BR-MT', 'Peixoto De Azevedo', 'no', '', '', '', 'SDWM'),
	('SWVH', 'small_airport', 'Fazenda Vaca Branca Airport', -9.523333, -56.238333, 899, 'BR', 'BR-MT', 'Alta Floresta', 'no', 'SBQD', '', 'MT0694', 'SWVH'),
	('SSND', 'small_airport', 'Santa Maria Airport', -11.16, -52.82, 1119, 'BR', 'BR-MT', 'São Félix Do Araguaia', 'no', 'SSND', '', '', ''),
	('SJNW', 'small_airport', 'Fazenda Nhandu Airport', -9.632569, -55.216341, 1103, 'BR', 'BR-MT', 'Novo Mundo', 'no', 'SJNW', '', 'MT0197', ''),
	('SBDW', 'N/A', 'N/A', -8.64224374294281, -55.04153296351433, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBAT', 'medium_airport', 'Piloto Osvaldo Marques Dias Airport', -9.866389, -56.106298, 948, 'BR', 'BR-MT', 'Alta Floresta', 'yes', 'SBAT', 'AFL', 'MT0003', ''),
	('SJZH', 'small_airport', 'Fazenda Rio do Fogo Airport', -10.881667137145996, -54.997779846191406, 981, 'BR', 'BR-MT', 'Nova Santa Helena', 'no', 'SJZH', '', '', ''),
	('SDNV', 'small_airport', 'Aldeia Nacepoti Airport', -9.503889, -54.011944, 1001, 'BR', 'BR-PA', 'Altamira', 'no', 'SDNV', '', '', ''),
	('SDNW', 'small_airport', 'Aldeia Piaracu Airport', -10.788333, -53.071667, 1148, 'BR', 'BR-MT', 'São José Do Xingu', 'no', '', '', '', 'SDNW'),
	('SWPE', 'small_airport', 'Fazenda Lagoa da Mata Airport', -10.133185, -55.585796, 866, 'BR', 'BR-MT', 'Carlinda', 'no', 'SWPE', '', 'MT0378', ''),
	('SWNF', 'small_airport', 'Agropecuária Tratex Airport', -10.893154, -55.566101, 1033, 'BR', 'BR-MT', 'Colider', 'no', '', '', '', 'SWNF'),
	('SSNM', 'small_airport', 'Guarantã Airport', -9.962281, -54.884974, 968, 'BR', 'BR-MT', 'Guarantã do Norte', 'no', 'SDN7', '', 'MT0754', 'SSNM'),
	('SJPP', 'small_airport', 'Aero Rural Airport', -9.85694408416748, -56.00444412231445, 879, 'BR', 'BR-MT', 'Alta Floresta', 'no', 'SJPP', '', '', ''),
	('SIKC', 'small_airport', 'Colider Airport', -10.760403, -55.462283, 984, 'BR', 'BR-MT', 'Colider', 'no', 'SWCD', '', 'MT0330', 'SIKC'),
	('SILX', 'small_airport', 'Fazenda Jandaia Airport', -10.513488, -53.645388, 1070, 'BR', 'BR-MT', 'Peixoto de Azevedo', 'no', '', '', '', 'SILX'),
	('SJRB', 'small_airport', 'Fazenda VR Airport', -10.113056182861328, -52.505001068115234, 1191, 'BR', 'BR-MT', 'Santa Cruz Do Xingu', 'no', 'SJRB', '', '', ''),
	('SJJM', 'small_airport', 'Michels Aviação Agrícola LTDA Airport', -13.532221794128, -58.765277862549, 1884, 'BR', 'BR-MT', 'Sapezal', 'no', '', '', '', 'SJJM'),
	('SJUJ', 'small_airport', 'Fazenda Juína Airport', -13.440685, -59.256831, 1900, 'BR', 'BR-MT', 'Campos De Júlio', 'no', 'SJJH', '', 'MT0184', 'SJUJ'),
	('SWXM', 'small_airport', 'Regional Orlando Villas Boas Airport', -10.170277595500002, -54.9527778625, 886, 'BR', 'BR-MT', 'Matupá', 'no', 'SWXM', 'MBK', '', 'Matupá Airport'),
	('SDWJ', 'small_airport', 'Aldeia Kubenkroke Airport', -8.7252779006958, -53.390277862549, 1099, 'BR', 'BR-PA', 'Altamira', 'no', '', '', '', 'SDWJ'),
	('SBHI', 'N/A', 'N/A', -10.067947804927826, -55.99491074681282, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SD6N', 'small_airport', 'Fazenda Chapadão Airport', -9.744952, -54.016668, 1168, 'BR', 'BR-MT', 'Matupá', 'no', 'SD6N', '', 'MT0697', 'Margarida'),
	('SIUH', 'small_airport', 'Fazenda Santa Ana Airport', -11.139721870422, -55.879722595215, 1038, 'BR', 'BR-MT', 'Itaúba', 'no', '', '', '', 'SIUH'),
	('SWHZ', 'small_airport', 'Fazenda Taquaruçu Retiro Airport', -10.338610649108887, -55.96555709838867, 1010, 'BR', 'BR-MT', 'Carlinda', 'no', 'SWHZ', '', '', ''),
	('SWEN', 'small_airport', 'Estância Recanto Airport', -9.937751, -56.087244, 1004, 'BR', 'BR-MT', 'Alta Floresta', 'no', 'SWEN', '', 'MT0336', ''),
	('SWFF', 'small_airport', 'Fazenda Figueira Branca Airport', -10.723610877991, -54.838333129883, 1001, 'BR', 'BR-MT', 'Sinop', 'no', '', '', '', 'SWFF'),
	('SJHZ', 'small_airport', 'Fazenda Dois Netos Airport', -13.245555877686, -54.033889770508, 1165, 'BR', 'BR-MT', 'Paranatinga', 'no', '', '', '', 'SJHZ'),
	('SWFE', 'small_airport', 'Fazenda Colen Airport', -13.314443588257, -56.112777709961, 1345, 'BR', 'BR-MT', 'Lucas Do Rio Verde', 'no', '', '', '', 'SWFE'),
	('SNQN', 'small_airport', 'Fazenda Estrela Airport', -13.15562, -52.569736, 1102, 'BR', 'BR-MT', 'Canarana', 'no', 'SNQN', '', '', ''),
	('SJHE', 'small_airport', 'Fazenda Palmeira Airport', -12.088032, -55.992689, 1194, 'BR', 'BR-MT', 'Ipiranga Do Norte', 'no', 'SJHE', '', 'MT0175', ''),
	('SWSC', 'small_airport', 'Fazenda Santa Cruz Airport', -11.65102, -52.736311, 1083, 'BR', 'BR-MT', 'São Félix Do Araguaia', 'no', 'SIVF', '', 'MT0140', 'SWSC'),
	('SWFS', 'small_airport', 'Fazenda Sucuri Airport', -13.536238, -54.935095, 1575, 'BR', 'BR-MT', 'Sinop', 'no', '', '', '', 'SWFS');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWUJ', 'small_airport', 'Taguá Agropecuária Airport', -12.208737, -55.375568, 1230, 'BR', 'BR-MT', 'Vera', 'no', '', '', '', 'SWUJ'),
	('SSWI', 'heliport', 'Escas-Ipê Heliport', -23.157222, -46.320833, 2848, 'BR', 'BR-SP', 'Nazaré Paulista', 'no', 'SSWI', '', '', ''),
	('SIVG', 'small_airport', 'Clube Aerodesportivo Selva Airport', -11.876013, -55.444443, 1280, 'BR', 'BR-MT', 'Sinop', 'no', 'SIVG', '', 'MT0141', ''),
	('SWBZ', 'small_airport', 'JPO Airport', -12.60692, -55.764263, 1155, 'BR', 'BR-MT', 'Sorriso', 'no', 'SWIX', '', 'MT0356', 'SWBZ'),
	('SIDW', 'small_airport', 'Fazenda Cortezia Airport', -13.004636, -56.087606, 1355, 'BR', 'BR-MT', 'Lucas do Rio Verde', 'no', 'SIDW', '', 'MT0089', ''),
	('SWPA', 'closed', 'Pedro Afonso Airport', -8.997572, -48.155372, 630, 'BR', 'BR-TO', 'Pedro Afonso', 'no', '', '', '', 'SWPA'),
	('SNFP', 'small_airport', 'Fazenda Pirapó Airport', -12.181388854980469, -55.788612365722656, 1273, 'BR', 'BR-MT', 'Sorriso', 'no', 'SNFP', '', '', ''),
	('SDYF', 'small_airport', 'Fazenda Irmãos Munaretto Airport', -13.109637, -55.992991, 1375, 'BR', 'BR-MT', 'Lucas Do Rio Verde', 'no', 'SDYF', '', 'MT0074', ''),
	('SDQW', 'small_airport', 'Fazenda Criciúma Airport', -13.41, -55.233611, 1575, 'BR', 'BR-MT', 'Sorriso', 'no', '', '', '', 'SDQW'),
	('SWJT', 'small_airport', 'Joatão do Colorado Airport', -11.493914, -52.620184, 1165, 'BR', 'BR-MT', 'São Félix do Araguaia', 'no', 'SWXD', '', 'MT0505', 'SWJT, Fazenda Joatão'),
	('SSWQ', 'small_airport', 'Santa Anastácia II Airport', -12.5275, -55.6247222222, 1283, 'BR', 'BR-MT', 'Sorriso', 'no', '', '', 'SSWQ', 'SSWQ'),
	('SIZS', 'small_airport', 'Agropecuária Equus Airport', -13.536658, -53.440619, 1201, 'BR', 'BR-MT', 'Gaúcha', 'no', 'SIZS', '', 'MT0159', ''),
	('SWVT', 'small_airport', 'Fazenda Estrela D`Alva Airport', -12.120271, -52.641184, 1050, 'BR', 'BR-MT', 'Querência', 'no', '', '', '', 'SWVT'),
	('SIXL', 'small_airport', 'Fazenda São Francisco Airport', -13.310556411743, -52.892223358154, 1152, 'BR', 'BR-MT', 'Canarana', 'no', '', '', '', 'SIXL'),
	('SIWK', 'small_airport', 'Fazenda Mãe Margarida Airport', -14.050007, -55.38485, 1759, 'BR', 'BR-MT', 'Santa Rita Do Trivelato', 'no', 'SIMA', '', 'MT0106', 'SIWK, Fazenda Santa Fé'),
	('SJUR', 'small_airport', 'Fazenda Reunidas Airport', -13.483526, -54.103724, 1575, 'BR', 'BR-MT', 'Paranatinga', 'no', 'SJUR', '', 'MT0227', ''),
	('SBWD', 'N/A', 'N/A', -12.162448950111866, -53.42870369553566, 297, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJSS', 'small_airport', 'Agrifor Airport', -12.508333206176758, -55.69527816772461, 1100, 'BR', 'BR-MT', 'Sorriso', 'no', 'SJSS', '', '', ''),
	('SWKG', 'small_airport', 'Fazenda Água Limpa Airport', -13.407221794128418, -54.75194549560547, 1623, 'BR', 'BR-MT', 'Nova Ubiratã', 'no', 'SWKG', '', '', ''),
	('SWVK', 'small_airport', 'Fazenda Vale do Rio Celeste Airport', -13.035319, -55.32782, 1411, 'BR', 'BR-MT', 'Nova Ubiratã', 'no', 'SWVK', '', '', ''),
	('SNBF', 'small_airport', 'Fazenda Vale Verde Airport', -13.356903, -52.749112, 1217, 'BR', 'BR-MT', 'Canarana', 'no', 'SNBF', '', 'MT0241', ''),
	('SBQP', 'small_airport', 'Fazenda Três Santos Airstrip', -7.752392, -44.315921, 1526, 'BR', 'BR-PI', 'Uruçuí', 'no', 'SBQP', '', 'PI0079', ''),
	('SWWB', 'small_airport', 'Fazenda Rio Azul Airport', -11.258173, -54.927735, 1083, 'BR', 'BR-MT', 'Cláudia', 'no', '', '', '', 'SWWB'),
	('SWXE', 'small_airport', 'PCH Paranatinga II Airport', -13.867, -53.25, 1174, 'BR', 'BR-MT', 'Campinápolis', 'no', 'SWXE', '', 'SWXE', ''),
	('SJNM', 'small_airport', 'Fazenda Santa Luzia Airport', -13.993894, -55.940962, 1526, 'BR', 'BR-MT', 'Nova Mutum', 'no', 'SJNM', '', 'MT0195', ''),
	('SSQI', 'small_airport', 'Santa Anastácia Airport', -12.509166666699999, -55.684722222199994, 1250, 'BR', 'BR-MT', 'Sorriso', 'no', 'SSQI', '', 'SSQI', ''),
	('SIOI', 'small_airport', 'Rio Arraias Airport', -11.762222290039, -54.345279693604, 3773, 'BR', 'BR-MT', 'União Do Sul', 'no', '', '', '', 'SIOI'),
	('SJUV', 'heliport', 'A Universal Heliport', -23.517221450806, -46.627220153809, 2507, 'BR', 'BR-SP', 'São Paulo', 'no', '', '', '', 'SJUV'),
	('SNRO', 'heliport', 'Fazenda Salto de Bota Heliport', -22.313333511353, -48.018890380859, 2372, 'BR', 'BR-SP', 'Brotas', 'no', '', '', '', 'SNRO'),
	('SJXG', 'small_airport', 'Fazenda Agroplan Airport', -11.662765, -52.861164, 1083, 'BR', 'BR-MT', 'Querência', 'no', 'SWEH', '', 'MT0334', 'SJXG'),
	('SILC', 'small_airport', 'Municipal Bom Futuro Airport', -13.037861, -55.95025, 1358, 'BR', 'BR-MT', 'Lucas do Rio Verde', 'no', 'SILC', 'LVR', 'MT0025', ''),
	('SWIW', 'N/A', 'N/A', -13.82100060582161, -56.03857532143593, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWVR', 'small_airport', 'Aeródromo do Canarinho', -11.906131, -55.456099, 1460, 'BR', 'BR-MT', 'Sinop', 'no', 'SWVR', '', '', 'Estância Rosália'),
	('SIOM', 'small_airport', 'Rio Ouro Airport', -11.538888931274, -54.19388961792, 3741, 'BR', 'BR-MT', 'União Do Sul', 'no', '', '', '', 'SIOM'),
	('SWVJ', 'small_airport', 'Fazenda Uiapuru Airport', -13.663888931274, -56.002220153809, 1519, 'BR', 'BR-MT', 'Nova Mutum', 'no', '', '', '', 'SWVJ'),
	('SJWL', 'small_airport', 'Botuvera Airport', -13.58332, -53.982009, 1654, 'BR', 'BR-MT', 'Gaúcha do Norte', 'no', 'SJ9B', '', 'MT0878', 'SJWL, Boca da Mata'),
	('SJGW', 'small_airport', 'Tasi Airport', -11.783531, -55.540395, 1280, 'BR', 'BR-MT', 'Sinop', 'no', 'SDTA', '', 'MT0061', 'SJGW, Estância Floresta'),
	('SJNI', 'small_airport', 'Fazenda Mutum Airport', -13.919721603394, -56.084442138672, 1575, 'BR', 'BR-MT', 'Nova Mutum', 'no', '', '', '', 'SJNI'),
	('SICO', 'small_airport', 'Aviação Estrela Bôscoli Airport', -13.325756, -56.049893, 1411, 'BR', 'BR-MT', 'Lucas Do Rio Verde', 'no', 'SWSL', '', 'MT0399', 'SICO, SOLAG - Sol e Lua Aviação Agrícola'),
	('SSDW', 'small_airport', 'Fazenda Potrich Airport', -12.915799, -55.535563, 1335, 'BR', 'BR-MT', 'Sorriso', 'no', 'SSDW', '', 'MT0287', ''),
	('SJAK', 'small_airport', 'Fazenda F5 Airport', -18.364181, -48.872128, 1726, 'BR', 'BR-MG', 'Tupaciguara', 'no', 'SSEC', '', 'MG0179', 'SJAK'),
	('SSPH', 'small_airport', 'Fazenda Santa Lucia Airport', -12.928641, -56.097017, 1352, 'BR', 'BR-MT', 'Lucas do Rio Verde', 'no', 'SSPH', '', 'MT0636', ''),
	('SBVF', 'N/A', 'N/A', -13.001204542815685, -55.21377056837082, 419, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWCM', 'small_airport', 'Fazenda Couto Magalhães Airport', -13.994372, -52.933202, 1378, 'BR', 'BR-MT', 'Água Boa', 'no', 'SIRM', '', 'MT0123', 'SWCM'),
	('SWPL', 'small_airport', 'Posto Leonardo Vilas Boas Airport', -12.198332786560059, -53.38166809082031, 1083, 'BR', 'BR-MT', 'Chapada Dos Guimarães', 'no', 'SWPL', '', '', ''),
	('SBSO', 'small_airport', 'Adolino Bedin Regional Airport', -12.479177, -55.672341, 1266, 'BR', 'BR-MT', 'Sorriso', 'yes', 'SBSO', 'SMT', 'MT0005', 'SDSS'),
	('SJEM', 'small_airport', 'Vera Municipal Airport', -12.319167, -55.333889, 1231, 'BR', 'BR-MT', 'Vera', 'no', 'SIOV', '', 'MT0114', 'SJEM, Estância Pousada dos Pássaros'),
	('SDKW', 'small_airport', 'Fazenda Sodema Airport', -12.296355, -55.538442, 1181, 'BR', 'BR-MT', 'Vera', 'no', 'SDBD', '', 'MT0031', 'SDKW'),
	('SWPS', 'closed', 'Porto São Sebastião Airport', -12.966944, -56.183887, 1106, 'BR', 'BR-MT', 'Diamantino', 'no', '', '', '', 'SWPS'),
	('SIIX', 'small_airport', 'Fazenda Córrego Fundo Airport', -13.736944, -52.589443, 1207, 'BR', 'BR-MT', 'Água Boa', 'no', '', '', '', 'SJCF, SIIX'),
	('SITV', 'small_airport', 'Fazenda Chapadão Airport', -13.410938, -55.673611, 1450, 'BR', 'BR-MT', 'Santa Rita do Trivelato', 'no', '', '', '', 'SITV');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWYP', 'small_airport', 'Fazenda Ribeiro do Céu Airport', -13.955319, -55.778993, 1683, 'BR', 'BR-MT', 'Nova Mutum', 'no', 'SWRX', '', 'MT0392', 'SWYP'),
	('SWSP', 'small_airport', 'Sopave Norte Airport', -13.725278, -54.737996, 1690, 'BR', 'BR-MT', 'Paranatinga', 'no', 'SWSP', '', 'MT0402', ''),
	('SBVY', 'N/A', 'N/A', -11.263386905193329, -54.20920729637146, 322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWJR', 'small_airport', 'Fazenda União Airport', -11.948888778687, -54.515556335449, 1180, 'BR', 'BR-MT', 'Santa Carmen', 'no', '', '', '', 'SWJR'),
	('SIQY', 'small_airport', 'Fazenda Amizade Airport', -12.628056, -55.945, 1264, 'BR', 'BR-MT', 'Sorriso', 'no', 'SIQY', '', 'MT0121', ''),
	('SWGV', 'small_airport', 'Fazenda Cocal II Airport', -12.801944, -52.607777, 1004, 'BR', 'BR-MT', 'Água Boa', 'no', 'SWGV', '', 'MT0346', ''),
	('SJCZ', 'small_airport', 'Fazenda Paraíso Airport', -12.430112, -54.250435, 1158, 'BR', 'BR-MT', 'Nova Ubiratã', 'no', 'SI4R', '', 'MT0820', 'SJCZ'),
	('SBWA', 'N/A', 'N/A', -11.506528817117214, -54.886102974414825, 360, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWNG', 'small_airport', 'Fazenda Nossa Senhora das Graças Airport', -12.896987, -55.834751, 1279, 'BR', 'BR-MT', 'Sorriso', 'no', 'SSDG', '', 'MT0283', 'SWNG'),
	('SWXG', 'small_airport', 'Xingu Airport', -12.005556106567, -53.402221679688, 1000, 'BR', 'BR-MT', 'Barra Do Garças', 'no', '', '', '', 'SWXG'),
	('SSAC', 'closed', 'Fazenda Santana Airport', -19.708055, -55.421112, 426, 'BR', 'BR-MS', 'Aquidauana', 'no', '', '', '', 'SSAC'),
	('SBSI', 'N/A', 'N/A', -11.884975098073483, -55.586280673742294, 390, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWUU', 'small_airport', 'Fazenda Uirapuru Airport', -12.100592, -54.175429, 1148, 'BR', 'BR-MT', 'Sinop', 'no', '', '', '', 'SWUU'),
	('SSDA', 'heliport', 'Água Mansa Heliport', -23.741404, -45.404187, 7, 'BR', 'BR-SP', 'São Sebastião', 'no', 'SSDA', '', 'SP0746', ''),
	('SJBH', 'heliport', 'Tranportadora Americana Heliport', -23.514999, -46.738458, 2407, 'BR', 'BR-SP', 'São Paulo', 'no', 'SJSI', '', 'SP0657', 'SJBH'),
	('SWYX', 'small_airport', 'Horizonte Azul Airport', -13.181, -53.27585, 1277, 'BR', 'BR-MT', 'Gaúcha do Norte', 'no', '', '', 'MT0441', 'SWYX'),
	('SBEA', 'heliport', 'DIRAD Heliport', -22.867886, -43.370934, 61, 'BR', 'BR-RJ', 'Rio de Janeiro', 'no', 'SBEA', '', 'RJ9011', ''),
	('SWPJ', 'small_airport', 'Fazenda São Caetano Airport', -16.041653, -53.030139, 1587, 'BR', 'BR-MT', 'Pontal do Araguaia', 'no', '', '', '', 'SWPJ'),
	('SBLU', 'N/A', 'N/A', -16.32693450897932, -55.956482738256454, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBQL', 'heliport', 'Centro de Convenções Ponta da Praia Helipad', -23.984846, -46.294311, 85, 'BR', 'BR-SP', 'Santos', 'no', 'SBQL', '', 'SP1281', ''),
	('SIEN', 'small_airport', 'Fazenda São Marcos Airport', -15.404999732971, -53.342220306396, 1503, 'BR', 'BR-MT', 'General Carneiro', 'no', '', '', '', 'SIEN'),
	('SDMX', 'small_airport', 'Fazenda Fontana Airport', -15.50233, -55.381261, 2283, 'BR', 'BR-MT', 'Campo Verde', 'no', 'SDMX', '', 'MT0043', ''),
	('SICQ', 'small_airport', 'Fazenda Luar Airport', -15.554542, -55.690899, 768, 'BR', 'BR-MT', 'Cuiabá', 'no', 'SICQ', '', 'MT0502', ''),
	('SJTB', 'small_airport', 'Fazenda Buriti Airport', -15.46500015258789, -55.622501373291016, 2451, 'BR', 'BR-MT', 'Chapada Dos Guimarães', 'no', 'SJTB', '', '', ''),
	('SWVL', 'small_airport', 'Fazenda Vertente Airport', -15.896666526794, -55.31555557251, 2444, 'BR', 'BR-MT', 'Santo Antônio Do Leverger', 'no', '', '', '', 'SWVL'),
	('SWNX', 'small_airport', 'Fazenda Independência Airport', -14.863708, -53.495098, 2067, 'BR', 'BR-MT', 'Santo Antônio do Leste', 'no', 'SI83', '', 'MT0834', 'ZWNX'),
	('SWJZ', 'small_airport', 'Fazenda Morro Vermelho Airport', -15.967222, -54.531667, 1713, 'BR', 'BR-MT', 'Juscimeira', 'no', 'SN4C', '', 'MT0731', 'SWJZ'),
	('SBGI', 'N/A', 'N/A', -16.073401048779488, -53.56928139925003, 450, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJRT', 'small_airport', 'Fazenda Arrendamento Airport', -14.369443893433, -54.002498626709, 1499, 'BR', 'BR-MT', 'Paranatinga', 'no', '', '', '', 'SJRT'),
	('SIAQ', 'small_airport', 'Bom Futuro Airport', -15.506389, -56.098333, 768, 'BR', 'BR-MT', 'Cuiabá', 'no', 'SIAQ', '', 'MT0078', ''),
	('SIOK', 'small_airport', 'Fazenda Água Doce Airport', -14.64222240448, -56.238887786865, 1313, 'BR', 'BR-MT', 'Nobres', 'no', '', '', '', 'SIOK'),
	('SBBB', 'N/A', 'N/A', -16.49268664419651, -52.701122760772705, 505, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJCM', 'small_airport', 'Fazenda São Marcus Airport', -16.121667861938, -52.950832366943, 4361, 'BR', 'BR-MT', 'Pontal Do Araguaia', 'no', '', '', '', 'SJCM'),
	('SNBE', 'small_airport', 'Fazenda Botuverá Airport', -14.470277, -53.667778, 1001, 'BR', 'BR-MT', 'Paranatinga', 'no', '', '', '', 'SNBE'),
	('SWEJ', 'closed', 'Fazenda Marazul Airport', -16.541854, -55.91845, 479, 'BR', 'BR-MT', 'Barão de Melgaço', 'no', '', '', '', 'SWEJ'),
	('SBAG', 'N/A', 'N/A', -16.19966570287943, -52.52620294690132, 390, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBRD', 'N/A', 'N/A', -16.588055603206158, -54.72166657447815, 442, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWCE', 'small_airport', 'Fazenda Colibri Airport', -16.2043, -55.398701, 2310, 'BR', 'BR-MT', 'Santo Antônio do Leverger', 'no', 'SWDD', '', 'MT0473', 'SWCE, Fazenda Cedro'),
	('SWYW', 'small_airport', 'Fazenda Adriana Airport', -16.834061, -53.83648, 2451, 'BR', 'BR-MT', 'Alto Garças', 'no', 'SWYW', '', 'MT0440', ''),
	('SBCY', 'medium_airport', 'Marechal Rondon Airport', -15.6529, -56.116699, 617, 'BR', 'BR-MT', 'Cuiabá', 'yes', 'SBCY', 'CGB', 'MT0001', ''),
	('SNNV', 'small_airport', 'Fazenda Estrela do Sul Airport', -16.570556640625, -54.170833587646, 1099, 'BR', 'BR-MT', 'Pedra Preta', 'no', '', '', '', 'SNNV'),
	('SWDQ', 'small_airport', 'Fazenda Saltos do Poente Airport', -16.437618, -55.266176, 1352, 'BR', 'BR-MT', 'Santo Antônio do Leverger', 'no', 'SNES', '', 'MT0247', 'SWDQ'),
	('SIGF', 'small_airport', 'Fazenda Jopejó Airport', -14.99125, -55.817712, 1020, 'BR', 'BR-MT', 'Chapada dos Guimarães', 'no', '', '', '', 'SIGF'),
	('SWYA', 'small_airport', 'Fazenda Nossa Senhora Aparecida Airport', -16.044166564941406, -54.95166778564453, 1082, 'BR', 'BR-MT', 'Jaciara', 'no', 'SWYA', '', '', ''),
	('SDZV', 'small_airport', 'Fazenda Gandu Airport', -22.476110458374, -49.470001220703, 1841, 'BR', 'BR-SP', 'Duartina', 'no', '', '', '', 'SDZV'),
	('SDUK', 'small_airport', 'Fazenda Xaimite Airport', -14.0966672897, -52.9019432068, 1601, 'BR', 'BR-MT', 'Água Boa', 'no', 'SDUK', '', '', ''),
	('SWRR', 'small_airport', 'Fazenda Serra Azul Airport', -14.66749, -54.567477, 1667, 'BR', 'BR-MT', 'Planalto Da Serra', 'no', 'SIZA', '', 'MT0154', 'SWRR'),
	('SILB', 'small_airport', 'Aviador Mário Luiz Spinelli Airport', -15.003333091736, -55.501110076904, 1247, 'BR', 'BR-MT', 'Chapada Dos Guimarães', 'no', '', '', '', 'SILB'),
	('SWFC', 'small_airport', 'Fazenda Colorado Airport', -16.167221, -54.842777, 1191, 'BR', 'BR-MT', 'Juscimeira', 'no', '', '', '', 'SWFC'),
	('SIMO', 'small_airport', 'Posto de Proteção Ambiental Santo André Airport', -16.770832, -56.172677, 449, 'BR', 'BR-MT', 'Barão de Melgaço', 'no', 'SSAM', '', 'MT0280', 'SIMO'),
	('SWXB', 'small_airport', 'Fazenda Jangada Airstrip', -15.296, -55.175, 2350, 'BR', 'BR-MT', 'Campo Verde', 'no', 'SWXB', '', 'SWXB', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWNJ', 'small_airport', 'Fazenda Itaquerê Airport', -15.12833309173584, -53.491668701171875, 1749, 'BR', 'BR-MT', 'Novo São Joaquim', 'no', 'SWNJ', '', '', ''),
	('SWLV', 'small_airport', 'Santo Antônio do Lerverger Airport', -15.8534, -56.087399, 544, 'BR', 'BR-MT', 'Santo Antônio Do Leverger', 'no', 'SWLV', '', 'SWLV', ''),
	('SSDY', 'small_airport', 'Fazenda Duas Irmãs Airport', -16.156667, -53.009722, 1410, 'BR', 'BR-MT', 'Guiratinga', 'no', '', '', '', 'SSDY'),
	('SBKK', 'N/A', 'N/A', -16.299232989549637, -52.644028812646866, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWOZ', 'small_airport', 'Fazenda Santo Antônio Airport', -15.310556411743164, -54.899166107177734, 2164, 'BR', 'BR-MT', 'Campo Verde', 'no', 'SWOZ', '', '', ''),
	('SIQJ', 'small_airport', 'Morro do Chapéu II Airport', -14.9583, -55.800701, 989, 'BR', 'BR-MT', 'Chapada Dos Guimarães', 'no', 'SIQJ', '', 'MT0117', ''),
	('SJCY', 'small_airport', 'Estância Santa Rita Airport', -15.680085, -55.95603, 617, 'BR', 'BR-MT', 'Cuiabá', 'no', 'SJCY', '', 'MT0166', ''),
	('SWEX', 'small_airport', 'Fazenda Santa Escolastica Airport', -16.846666, -54.458889, 1145, 'BR', 'BR-MT', 'Pedra Preta', 'no', '', '', '', 'SWEX'),
	('SJZZ', 'small_airport', 'Fazenda Passo Fundo Airport', -15.013956, -53.933451, 2070, 'BR', 'BR-MT', 'Primavera do Leste', 'no', 'SIP2', '', 'MT1022', 'SJZZ'),
	('SJFI', 'small_airport', 'CIFI Airport', -15.645028, -55.990239, 644, 'BR', 'BR-MT', 'Cuiabá', 'no', 'SIXM', '', 'MT0149', 'SJFI'),
	('SSNK', 'small_airport', 'Sementes Petrovina Airport', -16.848464, -54.064558, 2362, 'BR', 'BR-MT', 'Pedra Preta', 'no', 'SWAP', '', 'MT0326', 'SSNK'),
	('SWOY', 'small_airport', 'Fazenda Duas Barras Airport', -16.016865, -52.810407, 1239, 'BR', 'BR-MT', 'Pontal do Araguaia', 'no', '', '', '', 'SWOY'),
	('SWTX', 'small_airport', 'Fazenda Olho d''Água Airport', -16.141908, -52.967341, 1201, 'BR', 'BR-MT', 'Torixoreu', 'no', '', '', '', 'SWTX'),
	('SWWI', 'small_airport', 'Fazenda Fortaleza Airport', -15.673333168029785, -53.57833480834961, 1995, 'BR', 'BR-MT', 'General Carneiro', 'no', 'SWWI', '', '', ''),
	('SBGH', 'N/A', 'N/A', -16.47491231560707, -53.91112178564072, 659, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSGS', 'N/A', 'N/A', -15.399643890559673, -54.18124169111252, 608, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNIY', 'small_airport', 'Ibimirim Airport', -8.5002784729004, -37.666942596436, 1329, 'BR', 'BR-PE', 'Ibimirim', 'no', '', '', '', 'SNIY'),
	('SWWZ', 'small_airport', 'Darinha Airport', -4.109722, -38.242778, 62, 'BR', 'BR-CE', 'Cascavel', 'no', 'SJND', '', 'CE0020', 'SWWZ'),
	('SNWK', 'small_airport', 'Fazenda Santa Terezinha Airport', -16.6744441986084, -54.266387939453125, 722, 'BR', 'BR-MT', 'Pedra Preta', 'no', 'SNWK', '', '', ''),
	('SWHL', 'small_airport', 'Fazenda Marabá Airport', -15.274999618530273, -55.121665954589844, 2247, 'BR', 'BR-MT', 'Campo Verde', 'no', 'SWHL', '', '', ''),
	('SWMZ', 'small_airport', 'Aeroporto Agroer Aviação', -16.442424, -54.701269, 1047, 'BR', 'BR-MT', 'Rondonópolis', 'no', 'SWMZ', '', 'MT0369', 'Estância Aeronaldo'),
	('SWGM', 'small_airport', 'Ninho das Águias Airport', -15.490542, -55.814774, 2464, 'BR', 'BR-MT', 'Cuiabá', 'no', '', '', '', 'SWGM'),
	('SNWN', 'small_airport', 'Fazenda Aliança Airport', -16.670708, -54.391648, 968, 'BR', 'BR-MT', 'Pedra Preta', 'no', 'SDQ2', '', 'MT0702', 'SNWN'),
	('SDZX', 'small_airport', 'Fazenda Suri Airport', -14.813348, -53.124617, 1250, 'BR', 'BR-MT', 'Campinápolis', 'no', 'SDZX', '', 'MT0076', ''),
	('SWWV', 'small_airport', 'Posto de Proteção Ambiental Santa Maria Airport', -16.706388473510742, -56.02916717529297, 381, 'BR', 'BR-MT', 'Barão De Melgaço', 'no', 'SWWV', '', '', ''),
	('SWZP', 'small_airport', 'Fazenda Vale Rico Airport', -16.385464, -54.204144, 1050, 'BR', 'BR-MT', 'São José do Povo', 'no', 'SWZP', '', 'MT0449', 'Guiratinga'),
	('SWER', 'small_airport', 'Estância Santana Airport', -15.469677, -56.051903, 801, 'BR', 'BR-MT', 'Cuiabá', 'no', '', '', '', 'SWER'),
	('SDRO', 'small_airport', 'Agropastoril bom Pastor Airport', -16.465555, -54.711945, 1034, 'BR', 'BR-MT', 'Rondonópolis', 'no', '', '', 'MT0070', 'SDRO, SDWC'),
	('SSNL', 'small_airport', 'Fazenda Essência Airport', -14.316667, -55.766944, 1818, 'BR', 'BR-MT', 'Nobres', 'no', '', '', '', 'SSNL'),
	('SWKH', 'small_airport', 'Fazenda Floresta Airport', -15.221111297607422, -55.13277816772461, 2050, 'BR', 'BR-MT', 'Campo Verde', 'no', 'SWKH', '', '', ''),
	('SBGA', 'N/A', 'N/A', -16.279685385525227, -53.77134293317795, 542, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBGT', 'N/A', 'N/A', -16.347886249423027, -53.777245581150055, 531, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWJY', 'small_airport', 'Fazenda Campo Alegre III Airport', -16.844722747802734, -53.73444366455078, 2625, 'BR', 'BR-MT', 'Alto Garças', 'no', 'SWJY', '', '', ''),
	('SBKF', 'N/A', 'N/A', -14.217267818748951, -53.23085770010948, 380, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIPL', 'small_airport', 'Fazenda Entre Serras Airport', -14.622221946716, -54.476665496826, 1824, 'BR', 'BR-MT', 'Planalto Da Serra', 'no', '', '', '', 'SIPL'),
	('SBAD', 'N/A', 'N/A', -16.175262294709682, -52.57622614502907, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWIH', 'small_airport', 'Fazenda Felicidade Airport', -14.901675, -52.734673, 1355, 'BR', 'BR-MT', 'Novo São Joaquim', 'no', 'SWIH', '', 'MT0351', ''),
	('SJWH', 'small_airport', 'Fazenda Santa Inês Airport', -14.651110649109, -55.383888244629, 1330, 'BR', 'BR-MT', 'Nova Brasilândia', 'no', '', '', '', 'SJWH'),
	('SWZO', 'small_airport', 'Fazenda Lagoa Funda Airport', -15.340785, -55.140771, 2329, 'BR', 'BR-MT', 'Campo Verde', 'no', 'SWZO', '', 'MT0448', ''),
	('SBKJ', 'N/A', 'N/A', -16.27490434795618, -52.72257640957832, 525, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWPY', 'small_airport', 'Primavera do Leste Airport', -15.565556, -54.337776, 2149, 'BR', 'BR-MT', 'Primavera Do Leste', 'no', 'SWPY', '', '', ''),
	('SIWJ', 'small_airport', 'Campo Verde Airport', -15.528713, -55.141441, 2533, 'BR', 'BR-MT', 'Campo Verde', 'no', 'SDLZ', '', 'MT0042', 'SIWJ, Luiz Eduardo Magalhães'),
	('SJYZ', 'small_airport', 'Fazenda Lagoa Encantada Airport', -15.273504, -54.262292, 1968, 'BR', 'BR-MT', 'Primavera do Leste', 'no', '', '', '', 'SJYZ'),
	('SDNK', 'small_airport', 'Fazenda Vitória Airport', -14.964991, -54.058585, 2333, 'BR', 'BR-MT', 'Primavera do Leste', 'no', 'SDNK', '', 'MT0046', ''),
	('SJOU', 'small_airport', 'Marfrig Frigorífico Airport', -14.453332901000977, -54.03361129760742, 1628, 'BR', 'BR-MT', 'Paranatinga', 'no', 'SJOU', '', '', ''),
	('SWKJ', 'small_airport', 'Fazenda Mutum Airport', -15.398056030273438, -54.608333587646484, 1821, 'BR', 'BR-MT', 'Dom Aquino', 'no', 'SWKJ', '', '', ''),
	('SJRH', 'small_airport', 'Fazenda Galheiro Airport', -15.308055877685547, -54.59972381591797, 1788, 'BR', 'BR-MT', 'Campo Verde', 'no', 'SJRH', '', '', ''),
	('SWWW', 'small_airport', 'Posto de Proteção Ambiental São Luiz Airport', -16.68833351135254, -56.176387786865234, 367, 'BR', 'BR-MT', 'Barão De Melgaço', 'no', 'SWWW', '', '', ''),
	('SBQH', 'small_airport', 'CMTE Juliano Rambo Airstrip', -10.699027, -51.614688, 728, 'BR', 'BR-MT', 'Confresa', 'no', 'SBQH', '', 'MT0627', ''),
	('SIWG', 'small_airport', 'Fazenda São José Airport', -14.55638885498, -55.819999694824, 735, 'BR', 'BR-MT', 'Rosário Oeste', 'no', '', '', '', 'SIWG'),
	('SBPY', 'N/A', 'N/A', -16.75432574003935, -52.84255877137184, 483, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWOM', 'small_airport', 'Fazenda Salto Bello II Airport', -14.961111, -53.488056, 1889, 'BR', 'BR-MT', 'Novo São Joaquim', 'no', '', '', '', 'SWOM'),
	('SBXX', 'N/A', 'N/A', -15.829283148050308, -54.933262914419174, 341, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJVD', 'small_airport', 'Fazenda Nazaré Airport', -17.848373, -45.248167, 2513, 'BR', 'BR-MG', 'Buritizeiro', 'no', 'SI9B', '', 'MG0562', 'SJVD, Nazaré da Felicidade'),
	('SWRU', 'small_airport', 'Umberto Bosaipo Regional Airport', -15.5564, -53.075298, 1460, 'BR', 'BR-MT', 'Tesouro', 'no', '', '', '', 'SWRU, Meruri Airport'),
	('SJRL', 'small_airport', 'Fazenda do Açucar Airport', -14.459435, -56.053869, 1001, 'BR', 'BR-MT', 'Nobres', 'no', '', '', '', 'SJRL'),
	('SSPE', 'small_airport', 'Essência Retiro do Rio Cuiabá Airport', -14.435556, -55.609444, 837, 'BR', 'BR-MT', 'Nobres', 'no', 'SSPE', '', '', ''),
	('SWEM', 'small_airport', 'Emal - Empresa de Mineiração Aripuanã Ltda. Airport', -14.618888855, -54.003334045399995, 1837, 'BR', 'BR-MT', 'Primavera Do Leste', 'no', 'SWEM', '', '', ''),
	('SJPX', 'small_airport', 'Fazenda Cidade Verde Airport', -15.4152784348, -54.3722229004, 2028, 'BR', 'BR-MT', 'Poxoréo', 'no', 'SJPX', '', '', ''),
	('SSBK', 'small_airport', 'Fazenda Araruna Airport', -17.583754, -54.641158, 1886, 'BR', 'BR-MS', 'Sonora', 'no', 'SSBK', '', 'MS0248', ''),
	('SJVF', 'small_airport', 'Fazenda Colorado Airport', -18.817778, -53.865002, 1785, 'BR', 'BR-MS', 'Figueirão', 'no', '', '', '', 'SJVF'),
	('SWBX', 'small_airport', 'Fazenda Santo Antônio do Paraíso Airport', -17.491674, -55.222148, 653, 'BR', 'BR-MT', 'Itiquira', 'no', 'SWBX', '', 'MT0329', ''),
	('SSUA', 'small_airport', 'Fazenda Sonora Estância Airport', -17.63111114501953, -54.77000045776367, 1575, 'BR', 'BR-MS', 'Sonora', 'no', 'SSUA', '', '', ''),
	('SSZZ', 'small_airport', 'Fazenda Thauá Airport', -17.714736, -54.411307, 2024, 'BR', 'BR-MS', 'Sonora', 'no', '', '', '', 'SSZZ'),
	('SSZF', 'small_airport', 'Fazenda Santa Gertrudes Airport', -18.4777774810791, -56.02166748046875, 150, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSZF', '', '', ''),
	('SDXJ', 'small_airport', 'Costa Rica Airport', -18.491283, -53.168135, 2428, 'BR', 'BR-MS', 'Costa Rica', 'no', 'SDXJ', '', 'MS0017', ''),
	('SIFH', 'small_airport', 'Santa Rita do Araguaia Airport', -17.3208, -53.194, 2490, 'BR', 'BR-GO', 'Santa Rita do Araguaia', 'no', '', '', '', 'SIFH'),
	('SJRW', 'small_airport', 'PCH Buriti Airport', -19.341592, -52.690202, 1608, 'BR', 'BR-MS', 'Paraíso das Águas', 'no', 'SJRW', '', 'MS0182', ''),
	('SDH3', 'small_airport', 'Fazenda São Jorge Airport', -17.328333, -54.665, 1781, 'BR', 'BR-MT', 'Itiquira', 'no', 'SDH3', '', 'MT0761', ''),
	('SWHM', 'small_airport', 'Lobo Agropecuaria Airport', -18.3125, -53.662833, 1450, 'BR', 'BR-MS', 'Alcinópolis', 'no', 'SWHM', '', 'MS0376', 'MS0377, Fazenda Glória'),
	('SISL', 'small_airport', 'Fazenda Santa Lúcia Airport', -16.894737, -55.90672, 509, 'BR', 'BR-MT', 'Barão De Melgaço', 'no', 'SISL', '', 'MT0129', ''),
	('SDSG', 'heliport', 'Fazenda Nossa Senhora da Conceição Heliport', -22.752500534058, -48.521110534668, 2231, 'BR', 'BR-SP', 'São Manuel', 'no', '', '', '', 'SDSG'),
	('SSZC', 'small_airport', 'Fazenda Lambari Airport', -18.025275, -54.999262, 564, 'BR', 'BR-MS', 'Coxim', 'no', 'SI4E', '', 'MS0603', 'SWLL, SSCZ'),
	('SSXW', 'small_airport', 'Fazendas Reunidas Schlatter Airport', -18.807777, -52.600277, 2625, 'BR', 'BR-MS', 'Chapadão Do Sul', 'no', 'SSLW', '', 'MS0304', 'SSXW, Aero Porto Dal Lago'),
	('SJFJ', 'small_airport', 'Fazenda Santa Joana Airport', -17.234575, -55.226651, 522, 'BR', 'BR-MT', 'Santo Antônio do Leverger', 'no', 'SD8F', '', 'MT0623', 'SJFJ, Três Marias da Pitangueiras'),
	('SSDJ', 'small_airport', 'Fazenda Bonanza Airport', -19.050832748413, -54.064998626709, 1252, 'BR', 'BR-MS', 'Camapuã', 'no', '', '', '', 'SSDJ'),
	('SSOQ', 'small_airport', 'Fazenda Barranco Alto Airport', -19.577777862548828, -56.1522216796875, 502, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SSOQ', '', '', ''),
	('SDRV', 'heliport', 'VR Heliport', -23.594444274902, -46.706943511963, 2614, 'BR', 'BR-SP', 'São Paulo', 'no', '', '', '', 'SDRV'),
	('SIVV', 'small_airport', 'Fazenda Bororeo Airport', -16.931465, -56.228961, 489, 'BR', 'BR-MT', 'Barão De Melgaço', 'no', 'SIVV', '', 'MT0143', ''),
	('SISX', 'small_airport', 'Santa Terezinha Airport', -19.379788, -56.057986, 361, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SISX', '', 'MS0126', ''),
	('SJDX', 'small_airport', 'Fazenda Bandeirantes Airport', -19.412815, -55.549932, 427, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SJDX', '', 'MS0156', ''),
	('SSFW', 'small_airport', 'Fazenda Grotão Airport', -18.677499771118, -54.392223358154, 1063, 'BR', 'BR-MS', 'Coxim', 'no', '', '', '', 'SSFW'),
	('SBRO', 'N/A', 'N/A', -17.181074246764183, -54.15168642997742, 558, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SISJ', 'small_airport', 'Fazenda São José do Piquiri Airport', -17.455984, -55.56373, 427, 'BR', 'BR-MS', 'Corumbá', 'no', 'SISJ', '', 'MS0125', ''),
	('SWRT', 'small_airport', 'Fazenda Santa Rita Airport', -17.3477783203125, -53.19305419921875, 2346, 'BR', 'BR-GO', 'Santa Rita Do Araguaia', 'no', 'SWRT', '', '', ''),
	('SJBS', 'small_airport', 'Fazenda Livramento Airport', -19.268611907959, -56.031112670898, 443, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SJBS'),
	('SDXT', 'small_airport', 'Fazenda Boa Vista Airport', -19.441362, -55.063562, 1100, 'BR', 'BR-MS', 'Rio Negro', 'no', '', '', '', 'SDXT'),
	('SIWY', 'small_airport', 'Fazenda Campo Augusta Airport', -17.512801, -55.773161, 443, 'BR', 'BR-MS', 'Corumbá', 'no', 'SIWY', '', 'MS0138', ''),
	('SJIJ', 'small_airport', 'Fazenda Amparo Airport', -17.781944274902, -53.461109161377, 2766, 'BR', 'BR-MT', 'Alto Taquari', 'no', '', '', '', 'SJIJ'),
	('SJDY', 'small_airport', 'Fazenda da Barra Airport', -18.663055, -54.068611, 1533, 'BR', 'BR-MS', 'Camapuã', 'no', 'SJDY', '', 'MS0157', ''),
	('SSJY', 'small_airport', 'São João Airport', -17.707500457763672, -56.217220306396484, 150, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSJY', '', '', ''),
	('SSBH', 'small_airport', 'Fazenda Baia do Lara Airport', -17.567778, -55.287945, 453, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SSBH'),
	('SWQQ', 'small_airport', 'Fazenda Fundão Alegre Airport', -18.628055572509766, -54.10388946533203, 1391, 'BR', 'BR-MS', 'Camapuã', 'no', 'SWQQ', '', '', ''),
	('SSYB', 'small_airport', 'Fazenda Santa Elza Airport', -18.684504, -53.287468, 1762, 'BR', 'BR-MS', 'Costa Rica', 'no', '', '', '', 'SSYB'),
	('SSYY', 'small_airport', 'Fazenda Fundãozinho Airport', -18.95111083984375, -53.149444580078125, 1923, 'BR', 'BR-MS', 'Costa Rica', 'no', 'SSYY', '', '', ''),
	('SWIL', 'small_airport', 'Fazenda Tarumã Airport', -17.015832901, -54.3497238159, 1499, 'BR', 'BR-MT', 'Pedra Preta', 'no', 'SWIL', '', '', ''),
	('SSTU', 'small_airport', 'Fazenda Jauru Airport', -18.729999542236328, -54.10499954223633, 1250, 'BR', 'BR-MS', 'Camapuã', 'no', 'SSTU', '', '', ''),
	('SSGX', 'small_airport', 'Fazenda Rio Negro Airport', -19.569416, -56.245297, 358, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SNIH', '', 'MS0209', 'SSGX'),
	('SIAO', 'closed', 'Fazenda Araras Airport', -19.62966, -55.254687, 1493, 'BR', 'BR-MS', 'Corguinho', 'no', '', '', '', 'SIAO, MS0065'),
	('SSBE', 'small_airport', 'Camapuã Airport', -19.5984, -54.021099, 1848, 'BR', 'BR-MS', 'Camapuã', 'no', '', '', 'MS0014', 'SSBE'),
	('SWAT', 'small_airport', 'Fazenda Cachoeira Airport', -17.095972, -53.346133, 2795, 'BR', 'BR-MT', 'Alto Araguaia', 'no', '', '', '', 'SWAT'),
	('SWMO', 'small_airport', 'Fazenda Maria José Airport', -17.452777862548828, -54.74222183227539, 1716, 'BR', 'BR-MT', 'Itiquira', 'no', 'SWMO', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBOQ', 'small_airport', 'Fazenda Irmãs Prata Airport', -18.622041, -52.833071, 2808, 'BR', 'BR-GO', 'Chapadão do Céu', 'no', 'SBOQ', '', 'GO0281', ''),
	('SJDT', 'small_airport', 'Fazenda São Roque Airport', -19.51876, -55.312922, 453, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SJDT', '', 'MS0153', ''),
	('SBHZ', 'N/A', 'N/A', -18.08731086552143, -54.547801315784454, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSAD', 'small_airport', 'Fazenda Ribeirão Airport', -18.764, -52.917599, 2736, 'BR', 'BR-MS', 'Chapadão do Sul', 'no', 'SSAD', '', 'MS0243', ''),
	('SSHU', 'small_airport', 'Fazenda Centenário Airport', -19.45805549621582, -56.0452766418457, 426, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SSHU', '', '', ''),
	('SSJB', 'small_airport', 'Salenco Airport', -18.862268, -54.348861, 1263, 'BR', 'BR-MS', 'São Gabriel d`Oeste', 'no', 'SIW8', '', 'MS0738', 'SWDD, Fazenda São Luiz do Oeste, SSJB'),
	('SIIM', 'small_airport', 'Fazenda Giruá Airport', -18.803423, -54.851448, 1394, 'BR', 'BR-MS', 'Rio Verde Do Mato Grosso', 'no', 'SNFW', '', 'MS0206', 'SIIM'),
	('SIXV', 'small_airport', 'Fazenda Rancho do Planalto Airport', -18.145292, -53.363466, 2707, 'BR', 'BR-MS', 'Alcinópolis', 'no', 'SIXV', '', 'MS0143', ''),
	('SIKY', 'small_airport', 'Fazenda Beira Rio Airport', -18.719444274902, -53.337501525879, 2100, 'BR', 'BR-MS', 'Costa Rica', 'no', '', '', '', 'SIKY'),
	('SSWC', 'small_airport', 'Fazenda Campo Verde Airport', -18.92212, -53.062763, 2608, 'BR', 'BR-MS', 'Costa Rica', 'no', '', '', '', 'SSWC'),
	('SSYW', 'small_airport', 'Fazenda Terra Forte Airport', -18.268333435058594, -54.782501220703125, 1460, 'BR', 'BR-MS', 'Coxim', 'no', 'SSYW', '', '', ''),
	('SBRM', 'N/A', 'N/A', -19.411548301577568, -55.17380654811859, 537, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWDC', 'small_airport', 'Fazenda Arco-Íris Airport', -16.93555, -53.573424, 2710, 'BR', 'BR-MT', 'Alto Garças', 'no', 'SIBA', '', 'MT0081', 'SWDC'),
	('SWVD', 'small_airport', 'Fazenda Rio Verde Airport', -17.984285, -52.574043, 2592, 'BR', 'BR-GO', 'Serranópolis', 'no', '', '', '', 'SWVD'),
	('SDLG', 'small_airport', 'Salviano Inácio Rocha Airport', -10.972399, -41.068031, 1890, 'BR', 'BR-BA', 'Ourolândia', 'no', '', '', '', 'SDLG'),
	('SIQC', 'small_airport', 'Fazenda Paraíso Airport', -19.163066, -52.99721, 1592, 'BR', 'BR-MS', 'Costa Rica', 'no', 'SIQC', '', 'MS0117', ''),
	('SNMV', 'small_airport', 'Fazenda Flávia Airport', -18.350000381469727, -53.75, 1250, 'BR', 'BR-MS', 'Alcinópolis', 'no', 'SNMV', '', '', ''),
	('SWOV', 'small_airport', 'Retiro Arrombadinho Airport', -17.507499694824, -55.408054351807, 423, 'BR', 'BR-MT', 'Itiquira', 'no', '', '', '', 'SWOV'),
	('SSDU', 'small_airport', 'Fazenda Modelo Airport', -17.990748, -54.225684, 1309, 'BR', 'BR-MS', 'Pedro Gomes', 'no', '', '', '', 'SSDU'),
	('SISN', 'small_airport', 'Fazenda Nossa Senhora Aparecida Airport', -17.545000076293945, -53.893890380859375, 2001, 'BR', 'BR-MS', 'Sonora', 'no', 'SISN', '', '', ''),
	('SWIJ', 'small_airport', 'Fazenda São Jorge Airport', -17.524061, -54.821186, 1683, 'BR', 'BR-MT', 'Itiquira', 'no', '', '', '', 'SWIJ'),
	('SBKE', 'N/A', 'N/A', -17.278077006340027, -53.25426131486893, 750, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSBA', 'small_airport', 'Fazenda Bela Vista Airport', -19.031944, -53.671112, 2017, 'BR', 'BR-MS', 'Camapuã', 'no', '', '', '', 'SSBA'),
	('SJDL', 'small_airport', 'Fazenda Paraíso Airport', -17.302378, -55.852776, 1313, 'BR', 'BR-MS', 'Corumbá', 'no', 'SJDL', '', 'MS0151', ''),
	('SDXW', 'small_airport', 'Fazenda Sombra da Serra Airport', -18.996412, -55.133827, 0, 'BR', 'BR-MS', 'Rio Verde de Mato Grosso', 'no', 'SDXW', '', '', ''),
	('SINR', 'small_airport', 'Fazenda Recanto Airport', -18.007405, -54.009289, 1093, 'BR', 'BR-MS', 'Alcinópolis', 'no', 'SNRC', '', 'MS0227', 'SINR'),
	('SJJG', 'small_airport', 'Fazenda Tanguru Airport', -12.721846, -52.38028, 1050, 'BR', 'BR-MT', 'Querência', 'no', 'SNGV', '', 'MT0253', 'SJJG'),
	('SSVV', 'small_airport', 'Fazenda Vaticano Airport', -21.285926, -56.120272, 1027, 'BR', 'BR-MS', 'Nioaque', 'no', 'SSWT', '', 'MS0345', ''),
	('SSLK', 'small_airport', 'Fazenda Aldeia Airport', -18.216388702393, -55.158889770508, 394, 'BR', 'BR-MS', 'Coxim', 'no', '', '', '', 'SSLK'),
	('SWOK', 'small_airport', 'Fazenda Pontal Airport', -17.30555534362793, -53.93555450439453, 2164, 'BR', 'BR-MT', 'Itiquira', 'no', 'SWOK', '', '', ''),
	('SSBX', 'small_airport', 'Fazenda Lageado Airport', -18.445355, -54.796101, 728, 'BR', 'BR-MS', 'Coxim', 'no', 'SSBX', '', 'MS0253', ''),
	('SJJW', 'small_airport', 'Fazenda Santa Emília Airport', -19.507939, -55.614402, 443, 'BR', 'BR-MS', 'Aquidauana', 'no', '', '', '', 'SJJW'),
	('SIQO', 'small_airport', 'Fazenda Mercedes Estância Airport', -18.334167480469, -55.485000610352, 499, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SIQO'),
	('SDAU', 'small_airport', 'Fazenda Itau Airport', -19.4685, -52.6214, 1516, 'BR', 'BR-MS', 'Água Clara', 'no', 'SDAU', '', 'MS0023', ''),
	('SJCD', 'small_airport', 'Fazenda Pingo d`Água Airport', -17.72516, -53.938361, 1303, 'BR', 'BR-MS', 'Pedro Gomes', 'no', 'SN2N', '', 'MS0716', 'SJCD'),
	('SJBT', 'small_airport', 'Fazenda Vera Lúcia Airport', -19.575061, -56.100508, 417, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SJBT', '', 'MS0148', 'Fazenda São João'),
	('SJOK', 'closed', 'Fazenda Modelo Airport', -19.31431, -52.976446, 2041, 'BR', 'BR-MS', 'Água Clara', 'no', '', '', '', 'SJOK, MS0178'),
	('SWME', 'small_airport', 'Mineiros Airport', -17.551399, -52.556702, 2707, 'BR', 'BR-GO', 'Mineiros', 'no', 'SWME', '', 'SWME', ''),
	('SBRV', 'N/A', 'N/A', -18.90878800302744, -54.831938445568085, 342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIIQ', 'small_airport', 'Fazenda Aracoxim Airport', -17.403739, -53.716557, 2198, 'BR', 'BR-MS', 'Sonora', 'no', '', '', '', 'SIIQ'),
	('SWIX', 'small_airport', 'Fazenda Michelin Airport', -17.379842, -54.736344, 1640, 'BR', 'BR-MT', 'Itiquira', 'no', '', '', '', 'SWIX'),
	('SSGO', 'small_airport', 'Rosada Airport', -19.429722, -54.587223, 2211, 'BR', 'BR-MS', 'São Gabriel D`Oeste', 'no', 'SSGO', '', '', ''),
	('SWJC', 'small_airport', 'Jaciara Airport', -15.971667289733887, -54.96861267089844, 1198, 'BR', 'BR-MT', 'Jaciara', 'no', 'SWJC', '', '', ''),
	('SSCA', 'small_airport', 'Fazenda Pantanal Airport', -18.73438, -52.604213, 2730, 'BR', 'BR-MS', 'Chapadão do Sul', 'no', 'SSCA', '', 'MS0255', 'Campo Bom'),
	('SSZJ', 'small_airport', 'Fazenda Torrão de Ouro Airport', -18.181182, -54.502115, 899, 'BR', 'BR-MS', 'Pedro Gomes', 'no', '', '', '', 'SSZJ'),
	('SBPI', 'N/A', 'N/A', -18.388533666729927, -52.653528302907944, 835, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJNX', 'small_airport', 'Cosmos Aviação Agrícola Airport', -18.408056, -52.63028, 2730, 'BR', 'BR-GO', 'Chapadão Do Céu', 'no', 'SJNX', '', 'GO0082', ''),
	('SSSU', 'N/A', 'N/A', -18.875799849629402, -55.060299932956696, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNQJ', 'small_airport', 'Rancho Paraíso Airport', -17.522777557373, -55.400554656982, 499, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SNQJ'),
	('SBPE', 'N/A', 'N/A', -17.349660471081734, -52.66354590654373, 878, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSNJ', 'small_airport', 'Fazenda Primavera Airport', -19.5075, -55.90528, 341, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SSNJ', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SIYE', 'small_airport', 'Fazenda Campo Hélio Airport', -19.09639, -55.569721, 463, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SD7A', '', 'MS0562', 'SIYE'),
	('SJEU', 'small_airport', 'Fazenda São Cristóvão Airport', -17.869167327881, -56.19388961792, 404, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SJEU'),
	('SNXT', 'small_airport', 'Pousada Alvorada Airport', -17.181518, -56.021894, 407, 'BR', 'BR-MT', 'Barão de Melgaço', 'no', 'SNXT', '', 'MT0511', ''),
	('SIYH', 'small_airport', 'Fazenda Cruzeiro Airport', -18.981943, -55.291829, 508, 'BR', 'BR-MS', 'Rio Verde Do Mato Grosso', 'no', 'SIYH', '', 'MS0145', ''),
	('SJFN', 'small_airport', 'Fazenda Brasil Novo Airport', -18.371768, -54.927159, 752, 'BR', 'BR-MS', 'Coxim', 'no', 'SJFN', '', 'MS0163', ''),
	('SITY', 'small_airport', 'Fazenda São Geraldo Airport', -19.403888702393, -55.862777709961, 486, 'BR', 'BR-MS', 'Aquidauana', 'no', '', '', '', 'SITY'),
	('SIRH', 'small_airport', 'Fazenda Morada da Lua Airport', -18.263323, -54.311836, 1450, 'BR', 'BR-MS', 'Coxim', 'no', 'SIRH', '', 'MS0124', ''),
	('SIRU', 'small_airport', 'Fazenda Bahia Airport', -16.927115, -54.070919, 6234, 'BR', 'BR-MT', 'Pedra Preta', 'no', 'SIXU', '', 'MT0151', 'SIRU'),
	('SWMA', 'small_airport', 'Aero Agrícola Fulanete Airport', -11.833610534667969, -46.266666412353516, 2828, 'BR', 'BR-BA', 'Barreiras', 'no', 'SWMA', '', '', ''),
	('SSZG', 'small_airport', 'Fazenda São João Airport', -19.257221221923828, -52.89638900756836, 1575, 'BR', 'BR-MS', 'Água Clara', 'no', 'SSZG', '', '', ''),
	('SJKJ', 'small_airport', 'Fazenda Mangabas Airport', -17.440417, -53.809748, 2592, 'BR', 'BR-MS', 'Sonora', 'no', 'SIB2', '', 'MS0729', 'SJKJ, Fazenda Cangaia'),
	('SJDN', 'small_airport', 'Fazenda Campo Alegre Airport', -19.456729, -55.741625, 558, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SJDN', '', 'MS0152', ''),
	('SBRT', 'N/A', 'N/A', -19.517109990119934, -55.231873691082, 635, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJSJ', 'small_airport', 'Fazenda São José do Cangalha Airport', -19.515556335449, -52.604721069336, 1201, 'BR', 'BR-MS', 'Água Clara', 'no', '', '', '', 'SJSJ'),
	('SSIB', 'small_airport', 'Fazenda Primavera', -19.480568, -52.798395, 1574, 'BR', 'BR-MS', 'Água Clara', 'no', '', '', '', 'SSIB, Fazenda Suely, SWPJ.'),
	('SSLB', 'small_airport', 'Fazenda São Paulino Airport', -19.025278091430664, -55.926109313964844, 394, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSLB', '', '', ''),
	('SSYC', 'small_airport', 'Fazenda Mimoso Airport', -19.049771, -52.966901, 1959, 'BR', 'BR-MS', 'Chapadão do Sul', 'no', 'SIFM', '', 'MS0081', 'SSYC'),
	('SSZU', 'small_airport', 'Fazenda Três Marias Airport', -19.503125, -53.049556, 1821, 'BR', 'BR-MS', 'Água Clara', 'no', 'SWUU', '', 'MS0425', 'SJTE, SSZU'),
	('SIMZ', 'small_airport', 'Fazenda Primeiro de Maio Airport', -17.875572, -54.941565, 584, 'BR', 'BR-MS', 'Sonora', 'no', 'SIMZ', '', 'MS0105', ''),
	('SIUR', 'small_airport', 'Fazenda Ribeirão Airport', -19.610011, -53.496045, 1549, 'BR', 'BR-MS', 'Camapuã', 'no', 'SIUR', '', 'MS0133', ''),
	('SSDV', 'small_airport', 'Fazenda Santa Maria Airport', -18.209771, -55.465482, 518, 'BR', 'BR-MS', 'Corumbá', 'no', 'SSDV', '', 'MS0260', ''),
	('SSCW', 'small_airport', 'Fazenda Santa Glória Airport', -18.039722, -56.005554, 456, 'BR', 'BR-MS', 'Corumbá', 'no', 'SIQO', '', 'MS0121', 'SSCW, Fazenda São Sebastião'),
	('SSED', 'small_airport', 'Fazenda Escalada Airport', -17.96497, -54.430442, 932, 'BR', 'BR-MS', 'Pedro Gomes', 'no', 'SSED', '', 'MS0261', ''),
	('SSNR', 'small_airport', 'Fazenda Novo Horizonte Airport', -18.31861114501953, -54.93555450439453, 754, 'BR', 'BR-MS', 'Coxim', 'no', 'SSNR', '', '', ''),
	('SSCI', 'small_airport', 'Coxim Airport', -18.477699, -54.714699, 965, 'BR', 'BR-MS', 'Coxim', 'no', 'SSCI', '', 'MS0012', ''),
	('SJWC', 'small_airport', 'Fazenda Nossa Senhora da Muxima Airport', -19.587221, -52.951942, 1532, 'BR', 'BR-MS', 'Água Clara', 'no', '', '', '', 'SJWC'),
	('SDDD', 'small_airport', 'Fazenda São Francisco Airport', -17.8615, -55.78457, 433, 'BR', 'BR-MS', 'Corumbá', 'no', 'SDDD', '', 'MS0027', ''),
	('SDCJ', 'small_airport', 'Fazenda São Domingos Airstrip', -17.689156, -53.584238, 1810, 'BR', 'BR-MT', 'Alto Araguaia', 'no', 'SDCJ', '', 'MT0032', ''),
	('SIMQ', 'small_airport', 'Fazenda Dois de Maio Airport', -18.208867, -55.753373, 492, 'BR', 'BR-MS', 'Corumbá', 'no', 'SIMQ', '', 'MS0100', 'Fazenda Nascente'),
	('SINJ', 'small_airport', 'Fazenda Novo Horizonte - TATTERSAL Airport', -18.368055343628, -54.776943206787, 1205, 'BR', 'BR-MS', 'Coxim', 'no', '', '', '', 'SINJ'),
	('SJGZ', 'small_airport', 'Fazenda Araçatuba Airport', -22.093583, -52.674999, 1231, 'BR', 'BR-MS', 'Anaurilândia', 'no', 'SJGZ', '', 'MS0167', ''),
	('SJII', 'small_airport', 'Fazenda São Marcos Airport', -22.296667098999, -54.941387176514, 1395, 'BR', 'BR-MS', 'Dourados', 'no', '', '', '', 'SJII'),
	('SJJB', 'small_airport', 'Fazenda Cacique Airport', -20.769296, -52.77758, 1421, 'BR', 'BR-MS', 'Brasilândia', 'no', 'SJJB', '', 'MS0171', ''),
	('SIDG', 'small_airport', 'Fazenda Jatobasso Airport', -22.429166793823, -55.533332824707, 2152, 'BR', 'BR-MS', 'Ponta Porã', 'no', '', '', '', 'SIDG'),
	('SISU', 'small_airport', 'Fazenda Pontal do Lagoa Airport', -20.870000839233, -53.154998779297, 1264, 'BR', 'BR-MS', 'Santa Rita Do Pardo', 'no', '', '', '', 'SISU'),
	('SDTS', 'small_airport', 'Fazenda Planalto Airport', -20.341388702392578, -54.41583251953125, 2329, 'BR', 'BR-MS', 'Jaraguari', 'no', 'SDTS', '', '', ''),
	('SWQG', 'small_airport', 'Fazenda Sossego Airport', -21.45722198486328, -55.421112060546875, 1706, 'BR', 'BR-MS', 'Maracaju', 'no', 'SWQG', '', 'SWQG', ''),
	('SWVU', 'small_airport', 'Fazenda Ramalhete Airport', -21.733299255371094, -54.576698303222656, 1099, 'BR', 'BR-MS', 'Rio Brilhante', 'no', 'SWVU', '', '', ''),
	('SJSD', 'small_airport', 'Fazenda São Bento Airport', -21.071248, -55.123229, 1752, 'BR', 'BR-MS', 'Sidrolândia', 'no', 'SIEB', '', 'MS0072', 'SJSD'),
	('SSUR', 'small_airport', 'Fazenda Tamanduá Bandeira Airport', -21.585423, -52.869372, 1260, 'BR', 'BR-MS', 'Santa Rita do Pardo', 'no', 'SIJ4', '', 'MS0731', 'SSUR, Fazenda Água Branca'),
	('SDVK', 'closed', 'Viação Cometa Móoca Heliport', -23.560833, -46.605, 2441, 'BR', 'BR-SP', 'São Paulo', 'no', '', '', '', 'SDVK'),
	('SSPO', 'small_airport', 'Aplicação Aviação Agrícola II Airport', -22.009166717499998, -54.789722442599995, 1165, 'BR', 'BR-MS', 'Itaporã', 'no', 'SSPO', '', '', ''),
	('SBIY', 'N/A', 'N/A', -22.162637449800968, -53.33004221320152, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBFM', 'N/A', 'N/A', -21.31587378680706, -53.08886647224426, 307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSGH', 'small_airport', 'Fazenda Capão Verde Airport', -20.073735, -56.073249, 413, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SSGH', '', 'MS0273', ''),
	('SSSA', 'small_airport', 'Fazenda Sant`Anna do Apa Airport', -21.996186, -56.240001, 1047, 'BR', 'BR-MS', 'Bela Vista', 'no', 'SSSA', '', 'MS0329', ''),
	('SSMJ', 'small_airport', 'Maracaju Airport', -21.633888, -55.144906, 1280, 'BR', 'BR-MS', 'Maracaju', 'no', 'SSMJ', '', 'MS0020', ''),
	('SSRJ', 'small_airport', 'Fazenda Jequitibá Airport', -21.878395, -53.815477, 1181, 'BR', 'BR-MS', 'Nova Alvorada do Sul', 'no', 'SJQB', '', 'MS0180', 'SSRJ'),
	('SNUV', 'N/A', 'N/A', -22.21804417669773, -52.746043503284454, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSIE', 'small_airport', 'Teruel Ipanema Estância Airport', -20.604145, -54.59553, 1732, 'BR', 'BR-MS', 'Campo Grande', 'no', 'SSIE', '', 'MS0002', ''),
	('SSVG', 'small_airport', 'Fazenda Santa Virgínia Airport', -22.279057, -55.653944, 2087, 'BR', 'BR-MS', 'Ponta Porã', 'no', 'SDG2', '', 'MS0627', 'SSVG');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SJWD', 'small_airport', 'Usina Passa Tempo Airport', -21.507221221924, -54.715831756592, 984, 'BR', 'BR-MS', 'Rio Brilhante', 'no', '', '', '', 'SJWD'),
	('SIUQ', 'small_airport', 'Fazenda Primavera Airport', -20.975095, -54.329528, 1624, 'BR', 'BR-MS', 'Campo Grande', 'no', 'SJJV', '', 'MS0174', 'SIUQ'),
	('SSAW', 'small_airport', 'Fazenda Japecanga Airport', -20.803995, -54.079343, 1493, 'BR', 'BR-MS', 'Ribas Do Rio Pardo', 'no', '', '', '', 'SSAW'),
	('SIBV', 'small_airport', 'Fazenda Bela Vista Airport', -21.450333, -54.489515, 1211, 'BR', 'BR-MS', 'Nova Alvorada do Sul', 'no', 'SIBV', '', 'MS0067', ''),
	('SB7P', 'N/A', 'N/A', -22.306188605725765, -54.824285209178925, 419, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIVQ', 'small_airport', 'Fazenda Annalu Airport', -22.082222, -54.201111, 1083, 'BR', 'BR-MS', 'Deodápolis', 'no', 'SJIS', '', 'MS0170', 'SIVQ'),
	('SWQZ', 'small_airport', 'Fazenda Quatro Irmãos Airport', -20.876941, -53.556023, 1509, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', '', '', '', 'SWQZ'),
	('SSKO', 'small_airport', 'Independência Airport', -20.476110458374, -55.833610534668, 544, 'BR', 'BR-MS', 'Anastácio', 'no', '', '', '', 'SSKO'),
	('SSEQ', 'small_airport', 'Fazenda Aldebaran Airport', -21.92332, -53.940833, 1099, 'BR', 'BR-MS', 'Angélica', 'no', 'SDQA', '', 'MS0044', 'SSEQ, Fazenda Rio Brilhante'),
	('SIBA', 'small_airport', 'Fazenda Jatobá Airport', -20.099167, -55.926945, 400, 'BR', 'BR-MS', 'Aquidauana', 'no', '', '', '', 'SIBA'),
	('SSAR', 'small_airport', 'Fazenda Jacaré Airport', -21.503056, -53.967499, 1214, 'BR', 'BR-MS', 'Campo Grande', 'no', 'SJRJ', '', 'MS0181', 'SSAR'),
	('SSYU', 'small_airport', 'Fazenda Três Pontes Airport', -19.830639, -52.585309, 1440, 'BR', 'BR-MS', 'Três Lagoas', 'no', 'SJGT', '', 'MS0166', 'SSYU, Água Clara'),
	('SSEA', 'closed', 'Spessato Aviacao Agricola Airport', -22.215900421142578, -54.74190139770508, 1470, 'BR', 'BR-MS', 'Dourados', 'no', '', '', '', 'SSEA, SSEA, SSEA'),
	('SJTJ', 'N/A', 'N/A', -21.121318079531193, -54.446609169244766, 436, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDHP', 'small_airport', 'Modelo II Airport', -21.162035, -53.283775, 1168, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', 'SDHP', '', 'MS0032', ''),
	('SDQL', 'small_airport', 'Fazenda Cerro Azul Airport', -21.182418, -55.73428, 1191, 'BR', 'BR-MS', 'Nioaque', 'no', 'SDQL', '', 'MS0045', ''),
	('SSKV', 'small_airport', 'Retiro São João Airport', -22.396511, -55.490542, 1738, 'BR', 'BR-MS', 'Ponta Porã', 'no', '', '', '', 'SSKV'),
	('SSCM', 'small_airport', 'Fazenda Caçadinha Airport', -21.61412, -54.79561, 1299, 'BR', 'BR-MS', 'Rio Brilhante', 'no', 'SSCM', '', 'MS0258', ''),
	('SSVJ', 'small_airport', 'Fazenda Cedro Airport', -21.870832, -55.747501, 2280, 'BR', 'BR-MS', 'Ponta Porã', 'no', '', '', '', 'SSVJ'),
	('SJXW', 'small_airport', 'Fazenda 3M Airport', -21.673610687256, -54.035831451416, 1155, 'BR', 'BR-MS', 'Nova Alvorada Do Sul', 'no', '', '', '', 'SJXW'),
	('SNSZ', 'small_airport', 'Fazenda Itaguassu Airport', -21.355556488037, -55.619720458984, 1401, 'BR', 'BR-MS', 'Maracaju', 'no', '', '', '', 'SNSZ'),
	('SJPL', 'small_airport', 'Fazenda Austrália Airport', -21.974166870117, -54.147777557373, 1116, 'BR', 'BR-MS', 'Deodápolis', 'no', '', '', '', 'SJPL'),
	('SSLL', 'small_airport', 'Fazenda Itaguassu Airport', -22.249873, -55.926764, 1788, 'BR', 'BR-MS', 'Antônio João', 'no', 'SJTC', '', 'MS0432', 'SSLL'),
	('SDMK', 'small_airport', 'Letícia Airport', -21.552032, -53.558751, 1191, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', '', '', '', 'SDMK'),
	('SSDO', 'small_airport', 'Dourados Airport', -22.2019, -54.926601, 1503, 'BR', 'BR-MS', 'Dourados', 'yes', 'SBDO', 'DOU', 'MS0008', 'SSDO'),
	('SJBA', 'heliport', 'Friboi Heliport', -23.513706, -46.73104, 2445, 'BR', 'BR-SP', 'São Paulo', 'no', 'SWTF', '', 'SP0832', 'SJBA'),
	('SIIE', 'small_airport', 'Fazenda Cachoeira Branca Airport', -20.891107, -53.406103, 1063, 'BR', 'BR-MS', 'Ribas Do Rio Pardo', 'no', 'SIFN', '', 'MS0082', 'SIIE'),
	('SSGC', 'small_airport', 'General Canrobert Pereira da Costa Airport', -20.453300476074, -55.757598876953, 566, 'BR', 'BR-MS', 'Aquidauana', 'no', '', '', 'SSGC', 'SSGC'),
	('SDRH', 'small_airport', 'Fazenda Chaparral Airport', -20.844444274902344, -54.5261116027832, 1509, 'BR', 'BR-MS', 'Campo Grande', 'no', 'SDRH', '', '', ''),
	('SSJI', 'small_airport', 'Jardim Airport', -21.493099, -56.152599, 1053, 'BR', 'BR-MS', 'Jardim', 'no', 'SSJI', '', 'SSJI', ''),
	('SWWH', 'small_airport', 'Fazenda Marca Salto Airstrip', -21.9827, -53.904, 1164, 'BR', 'BR-MS', 'Angélica', 'no', 'SWWH', '', 'SWWH', ''),
	('SSFV', 'closed', 'Fazenda Recreio 3 Airport', -20.207542, -53.778935, 1509, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', '', '', '', 'SSFV'),
	('SSIH', 'small_airport', 'Fazenda Fortaleza Airport', -20.946947, -52.721681, 1296, 'BR', 'BR-MS', 'Brasilândia', 'no', 'SNYF', '', 'MS0240', 'SSIH'),
	('SSMC', 'small_airport', 'Fazenda São Miguel da Catequese Airport', -22.087778091430664, -53.52000045776367, 1209, 'BR', 'BR-MS', 'Nova Andradina', 'no', 'SSMC', '', '', ''),
	('SSUC', 'small_airport', 'Fazenda Aurora II Airport', -21.491111755371094, -53.203887939453125, 1194, 'BR', 'BR-MS', 'Ribas Do Rio Pardo', 'no', 'SSUC', '', '', ''),
	('SBRL', 'N/A', 'N/A', -21.552743688225746, -54.234132170677185, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSAY', 'small_airport', 'Sítio Pouso do Aviador Airport', -20.48616, -54.48339, 1946, 'BR', 'BR-MS', 'Campo Grande', 'no', 'SSAY', '', 'MS0246', ''),
	('SBRU', 'N/A', 'N/A', -20.43638315051794, -52.91179418563843, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSDB', 'closed', 'Fazenda Kurupay Airport', -22.036142, -53.735837, 1280, 'BR', 'BR-MS', 'Angélica', 'no', '', '', '', 'SSDB, SWFK, MS0374'),
	('SWQS', 'small_airport', 'Fazenda Santa Rosa', -20.941333, -53.435333, 1424, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', 'SWQS', '', 'SWQS', ''),
	('SSKD', 'small_airport', 'Fazenda União Airport', -19.75627, -55.478729, 410, 'BR', 'BR-MS', 'Aquidauana', 'no', '', '', '', 'SSKD'),
	('SSWR', 'small_airport', 'Fazenda Campana Airport', -21.894132, -54.294185, 1043, 'BR', 'BR-MS', 'Rio Brilhante', 'no', 'SSWR', '', 'MS0344', ''),
	('SJWI', 'small_airport', 'Fazenda Flor Airport', -21.496944427490234, -53.74972152709961, 1420, 'BR', 'BR-MS', 'Campo Grande', 'no', 'SJWI', '', '', ''),
	('SITX', 'small_airport', 'Fazenda Chapéu de Pano Airport', -19.774445, -55.521667, 519, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SITX', '', '', 'SITX'),
	('SSHD', 'small_airport', 'Fazenda Bipandora II Airport', -22.001521, -54.904273, 1335, 'BR', 'BR-MS', 'Itaporã', 'no', 'SJ7T', '', 'MS0673', 'SSHD'),
	('SSGQ', 'closed', 'Fazenda São Francisco Airport', -19.3808326721, -53.0416679382, 1099, 'BR', 'BR-MS', 'Água Clara', 'no', '', '', '', 'SSGQ, SSGQ'),
	('SIWQ', 'small_airport', 'Fazenda Mateira Airport', -20.96167, -53.070509, 1260, 'BR', 'BR-MS', 'Santa Rita Do Pardo', 'no', 'SIWQ', '', 'MS0137', ''),
	('SIIK', 'small_airport', 'Fazenda Santa Lídia Airport', -20.721889, -53.687986, 1371, 'BR', 'BR-MS', 'Ribas Do Rio Pardo', 'no', 'SIIK', '', 'MS0087', ''),
	('SSRB', 'small_airport', 'Rio Brilhante Airport', -21.847778, -54.527779, 1024, 'BR', 'BR-MS', 'Rio Brilhante', 'no', 'SSRB', '', '', ''),
	('SIDD', 'small_airport', 'Fazenda São João do Monte Alto Airport', -21.497222900391, -55.263889312744, 1476, 'BR', 'BR-MS', 'Maracaju', 'no', '', '', '', 'SIDD'),
	('SSCJ', 'small_airport', 'Fazenda Celeiro Airport', -21.545365, -54.661987, 1070, 'BR', 'BR-MS', 'Rio Brilhante', 'no', 'SSCJ', '', 'MS0257', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SSEO', 'small_airport', 'Fazenda Mimoso Airport', -20.730548, -53.562494, 1404, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', 'SN2S', '', 'MS0772', 'SSEO'),
	('SNJJ', 'small_airport', 'Fazenda Vô Anízio Airport', -20.715278, -55.379722, 837, 'BR', 'BR-MS', 'Dois Irmãos Do Buriti', 'no', 'SNJJ', '', 'SNJJ', ''),
	('SSYS', 'small_airport', 'Fazenda Imbaúba Airport', -19.908889770507813, -52.5363883972168, 1552, 'BR', 'BR-MS', 'Três Lagoas', 'no', 'SSYS', '', '', ''),
	('SSBW', 'small_airport', 'Fazenda Boa Sorte Airport', -20.914864, -55.016881, 1197, 'BR', 'BR-MS', 'Sidrolândia', 'no', 'SJR2', '', 'MS0252', 'SSBW'),
	('SSGK', 'small_airport', 'Fazenda Volta Grande Airport', -21.455833, -55.456944, 1699, 'BR', 'BR-MS', 'Maracaju', 'no', '', '', '', 'SSGK'),
	('SSRA', 'small_airport', 'Fazenda Rancho Belo Airport', -21.708332061768, -53.099445343018, 1384, 'BR', 'BR-MS', 'Nova Andradina', 'no', '', '', '', 'SSRA'),
	('SSEL', 'small_airport', 'Fazenda Jatiuca Airport', -20.169721603394, -52.933055877686, 1601, 'BR', 'BR-MS', 'Água Clara', 'no', '', '', '', 'SSEL'),
	('SSHJ', 'small_airport', 'Fazenda Santa Rita Airport', -22.267221450806, -55.488056182861, 1686, 'BR', 'BR-MS', 'Ponta Porã', 'no', '', '', '', 'SSHJ'),
	('SSCH', 'small_airport', 'Fazenda Cachoeirão Airport', -21.598487, -53.226976, 1066, 'BR', 'BR-MS', 'Nova Andradina', 'no', 'SSCH', '', 'MS0256', ''),
	('SSBM', 'closed', 'Fazenda Lageado Airport', -20.291135, -55.44717, 650, 'BR', 'BR-MS', 'Dois Irmãos do Buriti', 'no', '', '', '', 'SSBM, MS0249'),
	('SJID', 'small_airport', 'Fazenda Goiaba Airport', -19.917221069335938, -52.63138961791992, 1549, 'BR', 'BR-MS', 'Três Lagoas', 'no', 'SJID', '', '', ''),
	('SBDO', 'N/A', 'N/A', -22.200555503368378, -54.92555558681488, 456, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSFJ', 'small_airport', 'Fazenda Retiro da Cachoeira Airport', -20.810952, -54.618119, 1460, 'BR', 'BR-MS', 'Campo Grande', 'no', 'SSFJ', '', 'MS0268', ''),
	('SJIC', 'small_airport', 'Pedro da Costa Lima Airport', -21.244874, -52.76981, 1444, 'BR', 'BR-MS', 'Santa Rita Do Pardo', 'no', 'SJIC', '', 'MS0168', ''),
	('SSJJ', 'small_airport', 'Fazenda Tupi Airport', -21.805647, -53.128837, 1377, 'BR', 'BR-MS', 'Nova Andradina', 'no', 'SWBT', '', 'MS0365', 'SSJJ'),
	('SSME', 'small_airport', 'Fazenda Ipiranga Airport', -20.98055648803711, -55.565834045410156, 804, 'BR', 'BR-MS', 'Anastácio', 'no', 'SSME', '', '', ''),
	('SSSR', 'small_airport', 'Fazenda Santa Rosa Airport', -20.316389083862305, -52.733333587646484, 1476, 'BR', 'BR-MS', 'Água Clara', 'no', 'SSSR', '', '', ''),
	('SIOF', 'small_airport', 'Fazenda Cachoeira Airport', -21.429301, -54.37623, 1247, 'BR', 'BR-MS', 'Nova Alvorada do Sul', 'no', '', '', '', ''),
	('SJEF', 'small_airport', 'Fazenda Costa Rica Airport', -19.747751, -56.042912, 342, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SJEF', '', 'MS0158', ''),
	('SDTW', 'small_airport', 'Fazenda São João Airport', -20.326110839844, -55.100555419922, 919, 'BR', 'BR-MS', 'Terenos', 'no', '', '', '', 'SDTW'),
	('SDPZ', 'small_airport', 'Sossego Airport', -21.24112, -53.351389, 1292, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', 'SDPZ', '', 'MS0043', ''),
	('SDBU', 'small_airport', 'Fazenda Douradinho Airport', -21.6433, -53.3106, 1177, 'BR', 'BR-MS', 'Nova Andradina', 'no', '', '', '', 'SDBU, SIZM'),
	('SBHG', 'N/A', 'N/A', -22.038861215114594, -53.84613052010536, 373, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSHA', 'small_airport', 'Aeroclube de Aquidauana Airport', -20.480833053588867, -55.76944351196289, 620, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SSHA', '', '', ''),
	('SIQD', 'small_airport', 'Fazenda Estância Regina Airport', -20.644541, -54.791619, 1968, 'BR', 'BR-MS', 'Terenos', 'no', 'SIQD', '', 'MS0118', ''),
	('SWIZ', 'small_airport', 'Fazenda 7 Reis Airport', -21.296667, -54.479167, 1555, 'BR', 'BR-MS', 'Nova Alvorada do Sul', 'no', 'SWIZ', '', 'MS0379', ''),
	('SSDE', 'small_airport', 'Fazenda Barra Dourada Airport', -21.993932, -54.245632, 1083, 'BR', 'BR-MS', 'Dourados', 'no', '', '', '', 'SSDE'),
	('SSQU', 'small_airport', 'Fazenda Alegrete - Retiro Carabda Airport', -20.064722061157227, -55.70166778564453, 410, 'BR', 'BR-MS', 'Aquidauana', 'no', 'SSQU', '', '', ''),
	('SJWA', 'small_airport', 'Usina Maracaju Airport', -21.345303, -55.435739, 1509, 'BR', 'BR-MS', 'Maracaju', 'no', '', '', '', 'SJWA'),
	('SINS', 'small_airport', 'Fazenda Cachoeira do Lontra Airport', -21.288333892822, -53.710556030273, 1211, 'BR', 'BR-MS', 'Campo Grande', 'no', '', '', '', 'SINS'),
	('SSID', 'small_airport', 'Independência Airport', -22.278894, -53.38323, 1135, 'BR', 'BR-MS', 'Nova Andradina', 'no', '', '', '', 'SSID'),
	('SSJH', 'small_airport', 'Fazenda Guarani Airport', -22.164289, -53.56893, 988, 'BR', 'BR-MS', 'Nova Andradina', 'no', 'SSYN', '', 'MS0353', 'SSJH'),
	('SSXF', 'heliport', 'Alexandre Castro e Silva Helipad', -8.111772, -34.892798, 199, 'BR', 'BR-PE', 'Recife', 'no', 'SNWN', '', 'PE0050', 'SSXF'),
	('SSRL', 'small_airport', 'Fazenda Santa Ana Airport', -22.034728, -54.190412, 1001, 'BR', 'BR-MS', 'Deodápolis', 'no', '', '', '', 'SSRL'),
	('SSRH', 'small_airport', 'Fazenda Marimbondo Airport', -20.778055, -55.982938, 577, 'BR', 'BR-MS', 'Anastácio', 'no', 'SJF9', '', 'MS0709', 'SSRH'),
	('SBCG', 'medium_airport', 'Campo Grande Airport', -20.469998, -54.673988, 1833, 'BR', 'BR-MS', 'Campo Grande', 'yes', 'SBCG', 'CGR', 'MS0001', ''),
	('SSKG', 'small_airport', 'Estância Santa Maria Airport', -20.505300521850586, -54.5255012512207, 2028, 'BR', 'BR-MS', 'Campo Grande', 'no', 'SSKG', '', 'SSKG', ''),
	('SNUX', 'small_airport', 'Fazenda Santo Antônio Airport', -21.404722213745117, -53.30694580078125, 1142, 'BR', 'BR-MS', 'Ribas Do Rio Pardo', 'no', 'SNUX', '', '', ''),
	('SNQS', 'small_airport', 'Fazenda Nossa Senhora Auxiliadora Airport', -22.304443359375, -54.030555725097656, 1001, 'BR', 'BR-MS', 'Ivinhema', 'no', 'SNQS', '', '', ''),
	('SSRI', 'closed', 'Fazenda dos Sonhos Airport', -20.762013, -56.032548, 551, 'BR', 'BR-MS', 'Anastácio', 'no', '', '', '', 'SSRI, SIFS, MS0083'),
	('SSQR', 'small_airport', 'Fazenda Primavera Airport', -21.385867, -53.597493, 1184, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', 'SSQR', '', 'MS0324', ''),
	('SBRS', 'N/A', 'N/A', -20.49429003149271, -53.28772455453873, 401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWZR', 'closed', 'Fazenda Ponto de Apoio Airport', -20.463225, -52.686535, 1319, 'BR', 'BR-MS', 'Água Clara', 'no', '', '', '', 'SWZR, SJJN, MS0403'),
	('SSHQ', 'small_airport', 'Fazenda Paraíso Airport', -20.562363, -54.864178, 1280, 'BR', 'BR-MS', 'Terenos', 'no', '', '', '', 'SSHQ'),
	('SSGF', 'small_airport', 'Fazenda Formosa Airport', -20.198188, -53.223825, 1640, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', 'SSGF', '', 'MS0272', ''),
	('SBQI', 'N/A', 'N/A', -21.273623295128345, -52.85370960831642, 357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSAJ', 'small_airport', 'Fazenda Esperança Airport', -22.275557, -53.311943, 1109, 'BR', 'BR-MS', 'Bataiporã', 'no', '', '', '', 'SSAJ'),
	('SIMW', 'small_airport', 'Fazenda Retiro do Cervo I Airport', -20.350089, -53.970519, 1562, 'BR', 'BR-MS', 'Jaraguari', 'no', 'SIMW', '', 'MS0103', ''),
	('SISS', 'small_airport', 'Fazenda Lagoa do Campo Airport', -20.384721756, -53.4011116028, 1542, 'BR', 'BR-MS', 'Ribas Do Rio Pardo', 'no', '', '', '', 'SISS'),
	('SSIV', 'small_airport', 'Fazenda Experimental Airport', -22.295927, -53.848994, 1194, 'BR', 'BR-MS', 'Ivinhema', 'no', '', '', '', 'SSIV'),
	('SITR', 'small_airport', 'Fazenda Córrego Limpo Airport', -20.140971, -55.074709, 745, 'BR', 'BR-MS', 'Terenos', 'no', 'SI8L', '', 'MS0645', 'SITR');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SIOD', 'closed', 'Fazenda Santa Helena Airport', -21.997223, -53.424721, 952, 'BR', 'BR-MS', 'Nova Andradina', 'no', '', '', '', 'SIOD, SSHF'),
	('SSUQ', 'small_airport', 'Fazenda Santa Olinda Airport', -20.757508, -55.032374, 915, 'BR', 'BR-MS', 'Sidrolândia', 'no', '', '', '', 'SSUQ'),
	('SSAG', 'small_airport', 'Fazenda Lobo Airport', -19.711728, -52.726921, 1410, 'BR', 'BR-MS', 'Água Clara', 'no', 'SSAG', '', 'MS0244', 'Agropecuária Lobo Ltda'),
	('SIRB', 'small_airport', 'Fazenda Mimoso Airport', -21.77111053466797, -54.38166809082031, 1476, 'BR', 'BR-MS', 'Rio Brilhante', 'no', 'SIRB', '', '', ''),
	('SJHP', 'small_airport', 'Monte Belo Airport', -20.276388, -53.661667, 1624, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', '', '', '', 'SJHP'),
	('SIEF', 'small_airport', 'Fazenda São José Airport', -20.572287, -54.716721, 1722, 'BR', 'BR-MS', 'Campo Grande', 'no', 'SIEF', '', 'MS0075', ''),
	('SSEK', 'small_airport', 'Fazenda Lontra Airport', -20.01777, -53.254715, 1299, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', 'SSEK', '', 'MS0262', ''),
	('SNWF', 'small_airport', 'Fazenda Cachoeirinha Airport', -22.43805694580078, -55.231666564941406, 1476, 'BR', 'BR-MS', 'Ponta Porã', 'no', 'SNWF', '', '', ''),
	('SBDT', 'N/A', 'N/A', -20.040526315569878, -54.15109142661095, 591, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSGT', 'small_airport', 'Fazenda Capão Alto Airport', -21.698888778686523, -54.81388854980469, 1050, 'BR', 'BR-MS', 'Rio Brilhante', 'no', 'SSGT', '', '', ''),
	('SSNQ', 'small_airport', 'Nioaque Airport', -21.184723, -55.830276, 984, 'BR', 'BR-MS', 'Nioaque', 'no', 'SSNQ', '', '', ''),
	('SIMU', 'small_airport', 'Fazenda Mutum Airport', -22.278524, -52.844485, 978, 'BR', 'BR-MS', 'Anaurilândia', 'no', 'SIMU', '', 'MS0102', ''),
	('SSBT', 'small_airport', 'Fazenda Santa Ilídia Airport', -22.323932, -53.095477, 942, 'BR', 'BR-MS', 'Bataiporã', 'no', 'SSBT', '', 'MS0250', ''),
	('SSFI', 'small_airport', 'Fazenda Itamaratí Airport', -22.1882, -55.577801, 1837, 'BR', 'BR-MS', 'Ponta Porã', 'no', '', '', '', 'SSFI'),
	('SNVM', 'small_airport', 'Fazenda Guaivira Airport', -20.664443969727, -52.767223358154, 1112, 'BR', 'BR-MS', 'Brasilândia', 'no', '', '', '', 'SNVM'),
	('SSHG', 'small_airport', 'Fazenda Tereré Airport', -22.357945, -55.763847, 2277, 'BR', 'BR-MS', 'Antônio João', 'no', 'SITF', '', 'MS0128', 'SSHG, Hyran Garcete'),
	('SSJT', 'small_airport', 'Fazenda Rio Lagoa Airport', -20.835246, -53.203787, 1082, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', '', '', '', 'SSJT'),
	('SSFF', 'small_airport', 'Fazenda São Francisco Airport', -21.177449, -54.301043, 1204, 'BR', 'BR-MS', 'Nova Alvorada Do Sul', 'no', '', '', '', 'SSFF'),
	('SDQN', 'small_airport', 'Fazenda Tangará Airport', -20.898611068726, -55.709999084473, 919, 'BR', 'BR-MS', 'Nioaque', 'no', '', '', '', 'SDQN'),
	('SJUQ', 'small_airport', 'Fazenda Vista Alegre Airport', -19.739166259766, -52.606109619141, 1349, 'BR', 'BR-MS', 'Três Lagoas', 'no', '', '', '', 'SJUQ'),
	('SJWW', 'small_airport', 'Fazenda Cachoeira Preta Airport', -20.02138900756836, -53.21611022949219, 1083, 'BR', 'BR-MS', 'Água Clara', 'no', 'SJWW', '', '', ''),
	('SJUD', 'small_airport', 'Usina Dourados Airport', -21.990278244019, -55.113056182861, 1420, 'BR', 'BR-MS', 'Dourados', 'no', '', '', '', 'SJUD'),
	('SNWX', 'closed', 'Newton Heliport', -22.5388889313, -47.419445037799996, 2001, 'BR', 'BR-SP', 'Limeira', 'no', '', '', '', 'SNWX, SNWX'),
	('SSIG', 'small_airport', 'Fazenda Santa Maria Airport', -20.267874, -55.73184, 617, 'BR', 'BR-MS', 'Aquidauana', 'no', '', '', '', 'SSIG'),
	('SSYV', 'small_airport', 'Fazenda Progresso Airport', -19.726388931274414, -52.85139083862305, 1650, 'BR', 'BR-MS', 'Água Clara', 'no', 'SSYV', '', '', ''),
	('SIGU', 'small_airport', 'Fazenda San Jose I Airport', -19.815147, -53.827834, 2116, 'BR', 'BR-MS', 'Ribas do Rio Pardo', 'no', 'SI6A', '', 'MS0660', 'SIGU, Fazenda Café no Bule'),
	('SSVQ', 'small_airport', 'Fazenda Serrito Airport', -22.410278320312, -54.988609313965, 1510, 'BR', 'BR-MS', 'Laguna Carapã', 'no', '', '', '', 'SSVQ'),
	('SSJW', 'small_airport', 'Fazenda Jauru Airport', -21.782499313354492, -53.8922233581543, 1017, 'BR', 'BR-MS', 'Rio Brilhante', 'no', 'SSJW', '', '', ''),
	('SNUL', 'small_airport', 'Fazenda Aurora III Airport', -21.452499389648, -53.353332519531, 1214, 'BR', 'BR-MS', 'Ribas Do Rio Pardo', 'no', '', '', '', 'SNUL'),
	('SSRC', 'small_airport', 'Fazenda Santa Inês Airport', -21.70305633544922, -54.36833190917969, 1084, 'BR', 'BR-MS', 'Rio Brilhante', 'no', 'SSRC', '', '', ''),
	('SD7N', 'small_airport', 'Fazenda Lago Azul Airstrip', -21.953501, -54.814668, 1073, 'BR', 'BR-MS', 'Itaporã', 'no', 'SD7N', '', 'MS0529', ''),
	('SBTG', 'N/A', 'N/A', -0.21709062159061432, -49.76121962070465, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBTM', 'N/A', 'N/A', -0.2523767575621605, -49.51971262693405, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SINQ', 'small_airport', 'Laranjal Airport', -0.790406, -52.488164, 250, 'BR', 'BR-AP', 'Laranjal Do Jari', 'no', 'SINQ', '', 'AP0004', ''),
	('SNGU', 'closed', 'Gurupá Airport', -1.416944, -51.633888, 66, 'BR', 'BR-PA', 'Gurupá', 'no', '', '', '', 'SNGU'),
	('SDWV', 'small_airport', 'Chácara Maringá Airport', -2.572744, -51.953758, 98, 'BR', 'BR-PA', 'Senador José Porfírio', 'no', 'SDWV', '', 'PA0039', ''),
	('SBDX', 'N/A', 'N/A', -1.3979576155543327, -48.857266902923584, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBMU', 'N/A', 'N/A', -1.5368138998746872, -49.23246055841446, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CMT', 'small_airport', 'New Cametá Airport', -2.2468, -49.56, 60, 'BR', 'BR-PA', 'Cametá', 'no', '', 'CMT', '', ''),
	('SNVS', 'small_airport', 'Breves Airport', -1.63653, -50.4436, 98, 'BR', 'BR-PA', 'Breves', 'yes', 'SNVS', 'BVS', 'PA0015', ''),
	('SBOE', 'small_airport', 'Fazenda Americana Airport', -12.587371, -52.095226, 1181, 'BR', 'BR-MT', 'Querência', 'no', 'SBOE', '', 'MT0679', ''),
	('SIPY', 'small_airport', 'Ambrósio Airport', -1.9813890457153, -50.811389923096, 96, 'BR', 'BR-PA', 'Portel', 'no', '', '', '', 'SIPY'),
	('SBAC', 'medium_airport', 'Aracati Dragão do Mar Regional Airport', -4.568896, -37.805135, 128, 'BR', 'BR-CE', 'Aracati', 'no', 'SBAC', 'ARX', 'CE0004', 'SNAT, Dragão do Mar Regional'),
	('SNWR', 'small_airport', 'Wilma Rabelo Airport', -2.636603, -51.82708, 201, 'BR', 'BR-PA', 'Senador José Porfírio', 'no', 'SNWR', '', 'PA0109', ''),
	('SBTH', 'N/A', 'N/A', -0.9852491319179535, -49.93934065103531, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNRR', 'small_airport', 'Fazenda Aratau Airport', -4.151456, -50.163867, 541, 'BR', 'BR-PA', 'Novo Repartimento', 'no', 'SN7M', '', 'PA0373', 'SNRR'),
	('SIML', 'small_airport', 'Codenorte Airport', -3.2855560779572, -49.206111907959, 220, 'BR', 'BR-PA', 'Moju', 'no', '', '', '', 'SIML'),
	('SNGJ', 'small_airport', 'Grajaú Airport', -5.806353, -46.116636, 773, 'BR', 'BR-MA', 'Grajaú', 'no', '', '', '', 'SNGJ'),
	('SIQB', 'small_airport', 'Monte Verde Airport', -3.2741670608521, -50.321388244629, 249, 'BR', 'BR-PA', 'Portel', 'no', '', '', '', 'SIQB'),
	('SBMA', 'medium_airport', 'João Correa da Rocha Airport', -5.36859, -49.138, 357, 'BR', 'BR-PA', 'Marabá', 'yes', 'SBMA', 'MAB', 'PA0004', 'Marabá Airport'),
	('SJJH', 'small_airport', 'Pousada Rio Xingu Airport', -3.2494440078735, -51.722499847412, 233, 'BR', 'BR-PA', 'Vitória Do Xingu', 'no', '', '', '', 'SJJH');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SNZE', 'small_airport', 'Aeroxingu Airport', -3.168979, -52.19025, 369, 'BR', 'BR-PA', 'Altamira', 'no', 'SJJJ', '', 'PA0070', 'SNZE'),
	('SNGQ', 'small_airport', 'Fazenda Estrela Dalva Airport', -4.2508330345154, -48.768054962158, 446, 'BR', 'BR-PA', 'Rondon Do Pará', 'no', '', '', '', 'SNGQ'),
	('SINC', 'small_airport', 'Nova Conceição Agroindustrial Airport', -2.924426, -49.785479, 49, 'BR', 'BR-PA', 'Baião', 'no', '', '', '', 'SINC'),
	('SJQQ', 'small_airport', 'Fazenda Terra Alta Airport', -2.865000009536743, -50.99277877807617, 66, 'BR', 'BR-PA', 'Portel', 'no', 'SJQQ', '', '', ''),
	('SNKY', 'small_airport', 'Fazenda Cikel Airport', -3.657594, -48.823726, 299, 'BR', 'BR-PA', 'Paragominas', 'no', 'SNKY', '', '', ''),
	('SBKL', 'N/A', 'N/A', -3.0535749346017838, -52.09717512130737, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWGZ', 'small_airport', 'Usinas Itamarati Airport', -14.776846, -57.188846, 988, 'BR', 'BR-MT', 'Nova Olímpia', 'no', 'SSUT', '', 'MT0316', ''),
	('SSXR', 'small_airport', 'Galletti II Airport', -2.9513890743256, -51.146110534668, 974, 'BR', 'BR-PA', 'Portel', 'no', '', '', '', 'SSXR'),
	('SBWL', 'N/A', 'N/A', -3.8638441264629364, -49.68314006924629, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBHT', 'medium_airport', 'Altamira Interstate Airport', -3.253144, -52.253938, 368, 'BR', 'BR-PA', 'Altamira', 'yes', 'SBHT', 'ATM', 'PA0003', ''),
	('SJJX', 'small_airport', 'Maca Aero Airport', -2.898056, -48.958611, 179, 'BR', 'BR-PA', 'Tailândia', 'no', 'SIJA', '', 'PA0047', 'SJJX'),
	('SBTU', 'medium_airport', 'Tucuruí Airport', -3.78601, -49.720299, 830, 'BR', 'BR-PA', 'Tucuruí', 'yes', 'SBTU', 'TUR', 'PA0007', ''),
	('SNDC', 'small_airport', 'Redenção Airport', -8.03329, -49.9799, 670, 'BR', 'BR-PA', 'Redenção', 'no', 'SNDC', 'RDC', 'SNDC', ''),
	('SNVA', 'small_airport', 'Fazenda Bela Vista Airport', -7.987500190734863, -50.63166809082031, 1037, 'BR', 'BR-PA', 'Cumaru Do Norte', 'no', 'SNVA', '', '', ''),
	('SBEO', 'N/A', 'N/A', -7.645628415048122, -49.05831679701805, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBAA', 'medium_airport', 'Conceição do Araguaia Airport', -8.34835, -49.301498, 653, 'BR', 'BR-PA', 'Conceição do Araguaia', 'no', 'SBAA', 'CDJ', 'PA0008', ''),
	('SBSH', 'N/A', 'N/A', -7.015858814120293, -49.36608463525772, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNVP', 'small_airport', 'Fazenda Araçatuba Airport', -6.9769439697266, -49.199443817139, 541, 'BR', 'BR-TO', 'Santa Fé', 'no', '', '', '', 'SNVP'),
	('SNHC', 'heliport', 'Hospital Regional de Caraguatatuba Helipad', -23.657222, -45.44, 118, 'BR', 'BR-SP', 'Caraguatatuba', 'no', 'SNHC', '', 'SP0702', ''),
	('SNQE', 'small_airport', 'Fazenda Serra Grande Airport', -6.068889141082764, -49.84000015258789, 682, 'BR', 'BR-PA', 'Parauapebas', 'no', 'SNQE', '', '', ''),
	('SNLA', 'small_airport', 'Fazenda Lagoa das Antas Airport', -6.567500114440918, -49.719444274902344, 899, 'BR', 'BR-PA', 'Canaã Dos Carajás', 'no', 'SNLA', '', 'SNLA', ''),
	('SNXG', 'small_airport', 'Fazenda dos Castanhais Airport', -6.774796, -49.361131, 745, 'BR', 'BR-PA', 'Sapucaia', 'no', 'SNXG', '', 'PA0110', ''),
	('SSUI', 'small_airport', 'Fazenda Novo Horizonte Airport', -7.096976, -48.760541, 607, 'BR', 'BR-TO', 'Santa Fé do Araguaia', 'no', 'SSUI', '', 'TO0040', ''),
	('SNAC', 'small_airport', 'Fazenda Santa Rosa Airport', -7.033812, -50.091425, 699, 'BR', 'BR-PA', 'Xinguara', 'no', 'SNAC', '', 'PA0081', ''),
	('SIHI', 'small_airport', 'Fazenda Itaipavas Airport', -6.620254, -48.995762, 633, 'BR', 'BR-PA', 'Piçarras', 'no', 'SIHI', '', 'PA0046', ''),
	('SNSU', 'small_airport', 'Chácara Araguaia Airport', -6.882288, -49.15766, 485, 'BR', 'BR-PA', 'Xinguara', 'no', 'SJX8', '', 'PA0368', 'SNSU, Usina Santa Cruz, Fazenda Pontão'),
	('SDOW', 'small_airport', 'Ourilândia do Norte Airport', -6.762992, -51.04993, 751, 'BR', 'BR-PA', 'Ourilândia do Norte', 'no', 'SDOW', 'OIA', 'PA0021', ''),
	('SIBD', 'small_airport', 'Benedito Mutran Airport', -5.758452, -49.176216, 551, 'BR', 'BR-PA', 'Marabá', 'no', '', '', '', 'SIBD, Fazenda Cedro'),
	('SDJ3', 'small_airport', 'Fazenda Santa Rita Airport', -7.245846, -49.436457, 502, 'BR', 'BR-PA', 'Rio Maria', 'no', 'SDJ3', '', 'PA0297', ''),
	('SJQB', 'small_airport', 'Fazenda Symalu Airport', -8.3275003433228, -51.104999542236, 601, 'BR', 'BR-PA', 'Cumaru Do Norte', 'no', '', '', '', 'SJQB'),
	('XIG', 'small_airport', 'Xinguara Municipal Airport', -7.0906, -49.9765, 810, 'BR', 'BR-PA', 'Xinguara', 'no', 'SWSX', 'XIG', 'PA0150', ''),
	('SDLJ', 'small_airport', 'Igarapé Bahia Airport', -6.04778, -50.580147, 2257, 'BR', 'BR-PA', 'Parauapebas', 'no', '', '', '', 'SDLJ'),
	('SNFX', 'small_airport', 'São Félix do Xingu Airport', -6.6413, -51.9523, 656, 'BR', 'BR-PA', 'São Félix do Xingu', 'no', 'SNFX', 'SXX', 'PA0013', ''),
	('SNKJ', 'small_airport', 'Fazenda Rio Dourado Airport', -8.34416675567627, -51.45138931274414, 814, 'BR', 'BR-PA', 'Cumaru Do Norte', 'no', 'SNKJ', '', '', ''),
	('SBEL', 'N/A', 'N/A', -7.875017300248146, -48.895839750766754, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBEQ', 'N/A', 'N/A', -7.301217019557953, -50.0498329102993, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSDT', 'small_airport', 'Fazenda Pau d''Arco Airport', -7.941807, -50.180906, 794, 'BR', 'BR-PA', 'Redenção', 'no', 'SSDT', '', 'PA0124', ''),
	('SJHL', 'N/A', 'N/A', -6.091683581471443, -49.359082728624344, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWED', 'small_airport', 'Fazenda Eldorado Airport', -7.7572221755981445, -49.121665954589844, 686, 'BR', 'BR-TO', 'Arapoema', 'no', 'SWED', '', '', ''),
	('SNLC', 'small_airport', 'Las Casas Airport', -7.9669442176819, -50.017223358154, 1969, 'BR', 'BR-PA', 'Las Casas', 'no', '', '', '', 'SNLC'),
	('SNAY', 'small_airport', 'Fazenda Rio Lages Airport', -6.2811107635498, -51.746112823486, 853, 'BR', 'BR-PA', 'São Félix Do Xingu', 'no', '', '', '', 'SNAY'),
	('SNRV', 'small_airport', 'Fazenda Rio Vermelho Airport', -6.882778167724609, -49.463890075683594, 450, 'BR', 'BR-PA', 'Sapucaia', 'no', 'SNRV', '', '', ''),
	('SBCJ', 'medium_airport', 'Carajás Airport', -6.117841, -50.003372, 2064, 'BR', 'BR-PA', 'Parauapebas', 'yes', 'SBCJ', 'CKS', 'PA0006', ''),
	('SNLZ', 'small_airport', 'Fazenda Boca da Mata Airport', -9.431943893429999, -49.5911102295, 669, 'BR', 'BR-TO', 'Divinópolis Do Tocantins', 'no', 'SNLZ', '', '', ''),
	('SWIS', 'small_airport', 'Caiapo Airport', -9.186566, -49.775399, 648, 'BR', 'BR-TO', 'Caseara', 'no', 'SWIS', '', 'TO0046', ''),
	('SWZW', 'small_airport', 'Fazenda Santa Fé do Xingu Airport', -10.321111, -52.210556, 1036, 'BR', 'BR-MT', 'São José do Xingu', 'no', '', '', '', 'SWZW'),
	('SJZG', 'small_airport', 'Leonel de Moura Brizola Airport', -10.658332824707, -51.436111450195, 843, 'BR', 'BR-MT', 'Confresa', 'no', '', '', '', 'SJZG'),
	('SWPO', 'small_airport', 'Fazenda Porta do Amazônia Airport', -10.265277862549, -51.241390228271, 787, 'BR', 'BR-MT', 'Santa Terezinha', 'no', '', '', '', 'SWPO'),
	('SBGE', 'N/A', 'N/A', -10.184301696717739, -52.09920823574066, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJGP', 'small_airport', 'Fazenda Grupal Airport', -10.042222222222, -51.589166666667, 1050, 'BR', 'BR-MT', 'Vila Rica', 'no', '', '', 'SJGP', 'SJGP'),
	('SWBF', 'small_airport', 'Fazenda Boa Fortuna Airport', -10.005019, -49.492019, 741, 'BR', 'BR-TO', 'Pium', 'no', 'SWBF', '', 'TO0042', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SSWP', 'small_airport', 'Fazenda Araguaia Airport', -8.741466, -50.209812, 771, 'BR', 'BR-PA', 'Santa Maria das Barreiras', 'no', 'SJO8', '', 'PA0398', 'SSWP'),
	('SJJT', 'small_airport', 'Fazenda Vale Verde Airport', -9.957995, -49.754587, 581, 'BR', 'BR-TO', 'Pium', 'no', 'SJDC', '', 'TO0024', 'SJJT'),
	('SBQD', 'N/A', 'N/A', -10.755410715937614, -48.91518160700798, 357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJBB', 'small_airport', 'Fazenda Bacaba Airport', -9.525193, -49.889005, 640, 'BR', 'BR-TO', 'Caseara', 'no', 'SJBB', '', 'TO0023', ''),
	('SSCU', 'small_airport', 'Fazenda Santa Marina Airport', -8.86894, -50.481324, 1007, 'BR', 'BR-PA', 'Santa Maria Das Barreiras', 'no', 'SSCU', '', 'PA0123', ''),
	('SJBC', 'small_airport', 'Fazenda União Airport', -8.989448, -51.215305, 1099, 'BR', 'BR-PA', 'Cumaru do Norte', 'no', 'SJBC', '', 'PA0066', ''),
	('SBVV', 'N/A', 'N/A', -9.286467768251896, -51.75225377082825, 297, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWVC', 'small_airport', 'Vila Rica Airport', -9.979444, -51.142223, 892, 'BR', 'BR-MT', 'Vila Rica', 'no', 'SWVC', 'VLP', '', ''),
	('SD2E', 'small_airport', 'Fazenda Santa Ana Airport', -10.689722, -51.473056, 715, 'BR', 'BR-MT', 'Confresa', 'no', 'SD2E', '', 'MT0645', ''),
	('SWFP', 'small_airport', 'Fazenda Primavera Airport', -10.637303, -52.028684, 801, 'BR', 'BR-MT', 'Porto Alegre Do Norte', 'no', 'SD4B', '', 'MT0699', 'SWFP, Fazenda Paraíso'),
	('SIOZ', 'small_airport', 'Fazenda Santa Fé Airport', -9.575096, -50.351872, 591, 'BR', 'BR-PA', 'Santana do Araguaia', 'no', '', '', '', 'SIOZ'),
	('SWST', 'small_airport', 'Santa Terezinha Airport', -10.464722, -50.518612, 663, 'BR', 'BR-MT', 'Santa Terezinha', 'no', '', 'STZ', '', 'SWST'),
	('SJNH', 'small_airport', 'Fazenda Nhu-Verá Airport', -18.027221679688, -55.460277557373, 492, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SJNH'),
	('SWTO', 'small_airport', 'Paraíso do Tocantins Airport', -10.1742, -48.9328, 1083, 'BR', 'BR-TO', 'Paraíso Do Tocantins', 'no', 'SWTO', '', 'SWTO', ''),
	('SBED', 'N/A', 'N/A', -9.252955913543701, -49.05611380934715, 256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJHG', 'small_airport', 'Confresa Airport', -10.633296, -51.565836, 781, 'BR', 'BR-MT', 'Confresa', 'no', 'SJHG', 'CFO', 'MT0176', ''),
	('SIHG', 'small_airport', 'Fazenda Ponderosa Airport', -10.071666717529, -49.995555877686, 656, 'BR', 'BR-TO', 'Pium', 'no', '', '', '', 'SIHG'),
	('SSUU', 'small_airport', 'Fazenda Colorado Airport', -10.741666793823242, -49.47999954223633, 761, 'BR', 'BR-TO', 'Lagoa Da Confusão', 'no', 'SSUU', '', '', ''),
	('SBKW', 'N/A', 'N/A', -9.413880743086338, -50.427215695381165, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SD0E', 'small_airport', 'Fazenda Tangará Airport', -9.668485, -50.782555, 689, 'BR', 'BR-PA', 'Santana do Araguaia', 'no', 'SD0E', '', 'PA0265', ''),
	('SBHD', 'N/A', 'N/A', -10.361847504973412, -50.61030372977257, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWFL', 'small_airport', 'Fazenda Peixe Bravo Airport', -10.093889, -50.382778, 600, 'BR', 'BR-MT', 'Santa Terezinha', 'no', 'SWFL', '', 'MT0341', ''),
	('SIUO', 'small_airport', 'Fazenda Santa Adélia Airport', -10.720669, -52.27856, 1063, 'BR', 'BR-MT', 'São José do Xingu', 'no', 'SIUO', '', 'MT0135', ''),
	('SJYW', 'small_airport', 'Fazenda Santa Terezinha Airport', -10.331389427185059, -50.940277099609375, 748, 'BR', 'BR-MT', 'Santa Terezinha', 'no', 'SJYW', '', '', ''),
	('SWGS', 'small_airport', 'Fazenda Divisa Airport', -9.791667, -50.82, 755, 'BR', 'BR-MT', 'Santana do Araguaia', 'no', '', '', '', 'SWGS'),
	('SJRK', 'small_airport', 'Agropecuária São Roberto Airport', -9.232221603393555, -50.93027877807617, 860, 'BR', 'BR-PA', 'Santana Do Araguaia', 'no', 'SJRK', '', '', ''),
	('SNKE', 'closed', 'Santana do Araguaia Airport', -9.31997, -50.328499, 597, 'BR', 'BR-PA', 'Santana do Araguaia', 'no', '', '', '', 'SNKE, CMP, PA0017'),
	('SWPQ', 'small_airport', 'Fazenda Piraguassu Airport', -10.85935, -51.688152, 643, 'BR', 'BR-MT', 'Porto Alegre do Norte', 'no', 'SWPQ', 'PBX', 'MT0380', ''),
	('SNYH', 'small_airport', 'Fazenda Vale Sereno Airport', -8.700599, -51.172743, 1096, 'BR', 'BR-PA', 'Cumaru do Norte', 'no', 'SNYH', '', 'PA0114', 'Agropecuária Castanhais'),
	('SBEH', 'N/A', 'N/A', -8.586815558373928, -48.946725726127625, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBEI', 'heliport', 'Plataforma Petrobrás PRA-1 Helipad', -22.171507, -40.122036, 128, 'BR', 'BR-RJ', 'Macaé', 'no', 'SBEI', '', '', ''),
	('SJAU', 'small_airport', 'Araguacema Airport', -8.83772, -49.557499, 680, 'BR', 'BR-TO', 'Araguacema', 'no', 'SJAU', '', 'TO0007', ''),
	('SJHQ', 'small_airport', 'Fazenda São José da Reunidas Airport', -11.016676, -52.368194, 1155, 'BR', 'BR-MT', 'São José Do Xingu', 'no', 'SJHQ', '', 'MT0179', ''),
	('SWXY', 'small_airport', 'Fazenda Vô Zeca Airport', -10.355752, -50.676797, 732, 'BR', 'BR-MT', 'Santa Terezinha', 'no', 'SNZS', '', 'MT0665', 'Fazenda Transoeste, SWXY'),
	('SBEF', 'N/A', 'N/A', -9.30282186716795, -49.946339428424835, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIPH', 'small_airport', 'Fazenda Palmeiras Airport', -9.6019439697266, -49.773887634277, 722, 'BR', 'BR-TO', 'Caseara', 'no', '', '', '', 'SIPH'),
	('SJYH', 'small_airport', 'Fazenda Cachoeira Alta Airport', -8.780178, -50.969022, 1020, 'BR', 'BR-PA', 'Santana do Araguaia', 'no', 'SJYH', '', 'PA0080', ''),
	('SBDJ', 'N/A', 'N/A', -8.922599963843822, -50.3482948243618, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJ93', 'small_airport', 'Fazenda Paranoá Airport', -13.203146, -52.194675, 1250, 'BR', 'BR-MT', 'Canarana', 'no', 'SJ93', '', 'MT0862', ''),
	('SBTW', 'N/A', 'N/A', -13.738027140498161, -50.01427352428436, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNGV', 'N/A', 'N/A', -12.72694431245327, -52.384166568517685, 345, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBSF', 'N/A', 'N/A', -13.291167430579662, -50.546745210886, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBTQ', 'N/A', 'N/A', -12.948436103761196, -49.822074472904205, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJCF', 'small_airport', 'Fazenda Estrela D`Alva Airport', -13.191879, -52.312903, 1250, 'BR', 'BR-MT', 'Querência', 'no', 'SDQB', '', 'MT0053', 'SJCF, Canarana'),
	('SWDE', 'small_airport', 'Fazenda Piratininga Airport', -12.822572, -50.328188, 722, 'BR', 'BR-GO', 'São Miguel Do Araguaia', 'no', 'SDPH', '', 'GO0042', 'SWDE'),
	('SJBR', 'small_airport', 'Fazenda Santa Luzia Airport', -17.876667022705, -56.388889312744, 401, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SJBR'),
	('SWIY', 'small_airport', 'Santa Izabel do Morro Airport', -11.57229995727539, -50.66619873046875, 647, 'BR', 'BR-TO', 'Cristalândia', 'no', 'SWIY', 'IDO', 'SWIY', ''),
	('SNHG', 'small_airport', 'Fazenda Varjadão Airport', -12.341389, -49.621111, 794, 'BR', 'BR-TO', 'Sandolândia', 'no', 'SNHG', '', 'SNHG', ''),
	('SSPA', 'small_airport', 'Fazenda Marajoara Airport', -11.963583, -49.038368, 873, 'BR', 'BR-TO', 'Cariri do Tocantins', 'no', 'SSPA', '', 'TO0057', ''),
	('SBWH', 'N/A', 'N/A', -13.600848577916622, -50.31379356980324, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWFG', 'small_airport', 'Fazenda Guanabara Airport', -12.029999732971191, -51.6775016784668, 1116, 'BR', 'BR-MT', 'Barra Do Garças', 'no', 'SWFG', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SD2J', 'small_airport', 'Fazenda Vale do Forquilha Airport', -13.004455, -50.982823, 715, 'BR', 'BR-MT', 'Cocalinho', 'no', 'SD2J', '', 'MT0650', ''),
	('SWRC', 'small_airport', 'Fazenda Sevilha Airport', -12.626667022705078, -51.934165954589844, 951, 'BR', 'BR-MT', 'Ribeirão Cascalheira', 'no', 'SWRC', '', '', ''),
	('SJQP', 'small_airport', 'Estância Rebog Airport', -12.801619, -50.628347, 801, 'BR', 'BR-MT', 'Cocalinho', 'no', 'SJQP', '', 'MT0211', ''),
	('SBGD', 'N/A', 'N/A', -11.295702829957008, -48.92623946070671, 324, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWBJ', 'small_airport', 'Fazenda Itarema Airport', -13.255318, -52.044446, 1339, 'BR', 'BR-MT', 'Canarana', 'no', 'SWBJ', '', 'MT0328', ''),
	('SWEK', 'small_airport', 'Canarana Airport', -13.574444, -52.270557, 1314, 'BR', 'BR-MT', 'Canarana', 'no', 'SWEK', 'CQA', '', ''),
	('SJ36', 'small_airport', 'Mekdessi Airport', -12.622778, -51.765833, 1234, 'BR', 'BR-MT', 'Ribeirão Cascalheira', 'no', 'SJ36', '', 'MT0804', ''),
	('SNXL', 'small_airport', 'Primavera Airport', -12.616667, -52.153889, 1201, 'BR', 'BR-MT', 'Querência', 'no', 'SDLN', '', 'MT0040', 'SNXL'),
	('SJTT', 'small_airport', 'Fazenda Lagoa do Barro Airport', -13.238611221313477, -49.709442138671875, 926, 'BR', 'BR-GO', 'Novo Planalto', 'no', 'SJTT', '', '', ''),
	('SBBC', 'N/A', 'N/A', -12.805909216403961, -49.092042446136475, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSJQ', 'small_airport', 'Fazenda Floresta Airport', -12.806725, -51.873778, 1266, 'BR', 'BR-MT', 'Ribeirão Cascalheira', 'no', 'SSJQ', '', '', ''),
	('SIRD', 'small_airport', 'Rancho Jatobá Airport', -12.241211, -50.935497, 677, 'BR', 'BR-MT', 'Novo Santo Antônio', 'no', '', '', '', 'SIRD'),
	('SJWV', 'small_airport', 'Fazenda São Judas Airport', -13.378055572509766, -50.424442291259766, 1030, 'BR', 'BR-GO', 'São Miguel Do Araguaia', 'no', 'SJWV', '', '', ''),
	('SJAE', 'small_airport', 'Fazenda Furnas Airport', -13.158297, -51.807606, 1618, 'BR', 'BR-MT', 'Ribeirão Cascalheira', 'no', '', '', '', 'SJAE'),
	('SWLG', 'closed', 'Recanto Airport', -12.99667, -51.906681, 1335, 'BR', 'BR-MT', 'Ribeirão Cascalheira', 'no', '', '', '', ''),
	('SIWR', 'small_airport', 'Fazenda Amazonas Airport', -13.799722, -50.488808, 919, 'BR', 'BR-GO', 'Nova Crixás', 'no', 'SIWR', '', 'GO0060', ''),
	('SIVO', 'small_airport', 'Fazenda Malu Airport', -12.448056, -51.774166, 1378, 'BR', 'BR-MT', 'Bom Jesus Do Araguaia', 'no', 'SIVO', '', 'MT0142', ''),
	('SBQB', 'small_airport', 'Fazenda Pedrinhas II Airport', -13.261944, -45.076944, 2533, 'BR', 'BR-BA', 'Correntina', 'no', 'SBQB', '', 'BA0357', ''),
	('SDKX', 'small_airport', 'Fazenda Agrovás Airport', -11.513307, -52.411426, 1070, 'BR', 'BR-MT', 'São Félix do Araguaia', 'no', 'SJXG', '', 'MT0618', 'SDKX'),
	('SBVJ', 'N/A', 'N/A', -12.140806876122952, -50.67737862467766, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBMX', 'N/A', 'N/A', -13.54051899164915, -52.20860257744789, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSZV', 'small_airport', 'Fazenda Bordolândia Airport', -12.061019, -51.530589, 1066, 'BR', 'BR-MT', 'Serra Nova Dourada', 'no', '', '', '', 'SSZV'),
	('SIVC', 'small_airport', 'Fazenda Iporanga Airport', -13.760061, -49.477873, 1231, 'BR', 'BR-GO', 'Mutunópolis', 'no', 'SIIZ', '', 'GO0050', 'SIVC'),
	('SIQR', 'small_airport', 'Fazenda Triângulo Airport', -13.581944465637, -49.820556640625, 804, 'BR', 'BR-GO', 'Bonópolis', 'no', '', '', '', 'SIQR'),
	('SJAI', 'small_airport', 'Fazenda Davilândia Airport', -13.184792, -48.753031, 1263, 'BR', 'BR-GO', 'Montividiu do Norte', 'no', 'SJAI', '', 'GO0065', ''),
	('SJAC', 'small_airport', 'Fazenda Rio Preto Airport', -11.47151, -51.688922, 886, 'BR', 'BR-MT', 'São Félix Do Araguaia', 'no', 'SDWR', '', 'MT0072', 'SJAC'),
	('SWWA', 'small_airport', 'Porangatu Airport', -13.404800415039063, -49.15829849243164, 1201, 'BR', 'BR-GO', 'Porangatu', 'no', 'SWWA', '', 'SWWA', ''),
	('SBGB', 'N/A', 'N/A', -11.814355216920376, -49.56946447491646, 226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJSR', 'small_airport', 'Fazenda Santa Rosa Airport', -13.99222183227539, -49.763057708740234, 1044, 'BR', 'BR-GO', 'Mara Rosa', 'no', 'SJSR', '', '', ''),
	('SIRG', 'small_airport', 'Fazenda Esperança Airport', -12.035795, -51.634884, 1214, 'BR', 'BR-MT', 'Alto da Boa Vista', 'no', '', '', '', 'SIRG'),
	('SWXL', 'small_airport', 'Fazenda Lago Grande Airport', -12.101389, -49.951111, 600, 'BR', 'BR-TO', 'Sandolândia', 'no', '', '', '', 'SWXL'),
	('SWCJ', 'small_airport', 'Coperjava Airport', -11.835873, -49.712237, 630, 'BR', 'BR-TO', 'Formoso Do Araguaia', 'no', 'SJLZ', '', 'TO0031', 'SWCJ'),
	('SJFK', 'small_airport', 'Fazenda Cachoeira Airport', -12.591994, -49.532516, 771, 'BR', 'BR-TO', 'Araguaçu', 'no', 'SJFK', '', 'TO0027', ''),
	('SBSE', 'N/A', 'N/A', -13.154584988951683, -50.592932403087616, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWGU', 'small_airport', 'Fazenda Água Fria Airport', -12.402723, -50.063592, 738, 'BR', 'BR-TO', 'Sandolândia', 'no', 'SDV3', '', 'TO0098', 'SWGU'),
	('SBWJ', 'N/A', 'N/A', -13.481015861034393, -50.28034865856171, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBVM', 'N/A', 'N/A', -12.297038175165653, -50.97860366106033, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSDS', 'small_airport', 'Fazenda Bandeirantes Airport', -13.7072219849, -50.6477775574, 935, 'BR', 'BR-GO', 'Nova Crixás', 'no', '', '', '', 'SSDS'),
	('SDOQ', 'small_airport', 'Fazenda Campo Claro Airstrip', -12.674353, -51.739294, 1135, 'BR', 'BR-MT', 'Ribeirão Cascalheira', 'no', 'SDOQ', '', 'MT0051', ''),
	('SDLX', 'small_airport', 'Fazenda Jacareúna Airport', -11.441834, -52.200036, 1417, 'BR', 'BR-MT', 'São Félix do Araguaia', 'no', 'SDLX', '', 'MT0041', ''),
	('SBPG', 'N/A', 'N/A', -13.239596597850323, -49.51334372162819, 314, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWFX', 'small_airport', 'São Félix do Araguaia Airport', -11.6324, -50.689602, 650, 'BR', 'BR-MT', 'São Félix Do Araguaia', 'no', 'SWFX', 'SXO', 'SWFX', ''),
	('SWRI', 'small_airport', 'Fazenda Roncador I Airport', -12.155400276184082, -52.27899932861328, 993, 'BR', 'BR-MT', 'Querência', 'no', 'SWRI', '', 'SWRI', ''),
	('SWGK', 'small_airport', 'Fazenda Sete Barras Airport', -12.56158, -51.694515, 801, 'BR', 'BR-MT', 'Ribeirão Cascalheira', 'no', 'SSXP', '', 'MT0495', 'SWGK'),
	('SWCU', 'small_airport', 'Fazenda Canuanã Airport', -11.975223, -49.9037, 787, 'BR', 'BR-TO', 'Formoso do Araguaia', 'no', 'SNHE', '', 'TO0036', 'SWCU'),
	('SSCB', 'small_airport', 'Fazenda Santa Maria Airport', -13.769663, -49.935701, 978, 'BR', 'BR-GO', 'Mundo Novo', 'no', 'SWWQ', '', 'SWWQ', 'SSCB'),
	('SSRX', 'small_airport', 'Fazenda Marruá Airport', -12.77502, -51.106803, 591, 'BR', 'BR-MT', 'Ribeirão Cascalheira', 'no', '', '', '', 'SSRX'),
	('SBBF', 'N/A', 'N/A', -12.499216385185719, -49.10839945077896, 296, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBLH', 'N/A', 'N/A', -11.484339907765388, -49.95520323514938, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWGI', 'small_airport', 'Gurupi Airport', -11.7396, -49.132198, 1148, 'BR', 'BR-TO', 'Gurupi', 'no', 'SWGI', 'GRP', 'TO0004', ''),
	('SSPC', 'small_airport', 'Fazenda Santa Júlia Airport', -13.731667, -51.34, 866, 'BR', 'BR-MT', 'Cocalinho', 'no', 'SSPC', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBGC', 'N/A', 'N/A', -11.782091595232487, -49.57174614071846, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWUA', 'small_airport', 'São Miguel do Araguaia Airport', -13.331299781799316, -50.197601318359375, 1249, 'BR', 'BR-GO', 'São Miguel Do Araguaia', 'no', 'SWUA', 'SQM', 'SWUA', ''),
	('SBUC', 'N/A', 'N/A', -14.037218168377876, -49.165112525224686, 520, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWIE', 'small_airport', 'Fazenda São Francisco Airport', -13.919444, -50.009998, 984, 'BR', 'BR-GO', 'Mundo Novo', 'no', 'SIGS', '', 'GO0049', 'SWIE'),
	('SJNU', 'small_airport', 'Fazenda Campo Alto Airport', -13.038091, -51.713889, 1099, 'BR', 'BR-MT', 'Ribeirão Cascalheira', 'no', 'SJNU', '', 'MT0196', ''),
	('SISE', 'small_airport', 'Fazenda Kanaxuê Airport', -12.015832901001, -50.866668701172, 650, 'BR', 'BR-MT', 'São Félix Do Araguaia', 'no', '', '', '', 'SISE'),
	('SBWI', 'N/A', 'N/A', -13.520004451274872, -50.3839610517025, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWAR', 'small_airport', 'Fazenda Aruanã Airport', -13.081903, -51.587892, 968, 'BR', 'BR-MT', 'Ribeirão Cascalheira', 'no', 'SWAR', '', 'MT0327', ''),
	('SJFL', 'small_airport', 'Fazenda Campo Formoso Airport', -12.560166, -49.866018, 1083, 'BR', 'BR-TO', 'Sandolândia', 'no', 'SJFL', '', 'TO0028', ''),
	('SBQC', 'small_airport', 'Fazenda Cantagalo Airstrip', -13.366514, -55.8551, 1421, 'BR', 'BR-MT', 'Nova Mutum', 'no', 'SBQC', '', 'MT0635', ''),
	('SWID', 'small_airport', 'Fazenda Indiara Airport', -13.3149, -49.774899, 909, 'BR', 'BR-GO', 'São Miguel do Araguaia', 'no', '', '', '', 'SWID'),
	('SISB', 'closed', 'Fazenda Eldorado - Agropecuária Paleana S/A Airport', -12.154167, -51.686943, 1108, 'BR', 'BR-MT', 'Bom Jesus Do Araguaia', 'no', '', '', '', 'SISB'),
	('SWHP', 'small_airport', 'Frederico Carlos Müller Airport', -14.019959, -52.152003, 1476, 'BR', 'BR-MT', 'Água Boa', 'no', 'SWHP', 'GGB', 'MT0006', 'Olhos-d''Água'),
	('SBSB', 'N/A', 'N/A', -13.211859203875065, -50.56545674800873, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBBD', 'N/A', 'N/A', -12.149697057902813, -49.18421968817711, 299, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBOR', 'small_airport', 'Fazenda Agro Tamareira Airport', -13.732032, -50.357632, 814, 'BR', 'BR-GO', 'Mundo Novo', 'no', 'SBOR', '', 'GO0290', ''),
	('SBQA', 'small_airport', 'Fazenda Floresta Airport', -16.536119, -49.838244, 2274, 'BR', 'BR-GO', 'Nazário', 'no', 'SBQA', '', 'GO0271', ''),
	('SWTD', 'small_airport', 'Fazenda Sete de Setembro Airport', -13.880673, -52.400002, 1066, 'BR', 'BR-MT', 'Água Boa', 'no', '', '', '', 'SWTD'),
	('SWAV', 'closed', 'Fazenda Água Verde Airport', -14.072778, -57.454723, 2037, 'BR', 'BR-MT', 'Diamantino', 'no', '', '', '', 'SWAV'),
	('SDOV', 'small_airport', 'Mozarlândia Airport', -14.770575, -50.5642, 1076, 'BR', 'BR-GO', 'Mozarlândia', 'no', 'SDOV', '', 'GO0005', ''),
	('SWFT', 'small_airport', 'Fazenda Santa Márcia Airport', -16.579439, -52.141618, 2175, 'BR', 'BR-GO', 'Caiapônia', 'no', 'SWOS', '', 'GO0141', 'SWFT'),
	('SWXV', 'small_airport', 'Xavantina Airport', -14.697778, -52.347246, 1037, 'BR', 'BR-MT', 'Nova Xavantina', 'no', 'SWXV', 'NOK', 'MT0013', 'SWXN'),
	('SBTP', 'N/A', 'N/A', -16.20991375297308, -50.336677730083466, 625, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSQS', 'small_airport', 'Fazenda Brasil Airport', -15.032426, -52.310209, 1001, 'BR', 'BR-MT', 'Barra do Garças', 'no', 'SSQS', '', 'MT0312', ''),
	('SWDJ', 'small_airport', 'Fazenda Tundavala Airport', -14.85733, -52.036239, 886, 'BR', 'BR-MT', 'Barra do Garças', 'no', 'SNOH', '', 'MT0501', 'SWDJ, Fazenda Duas Âncoras - Seção JAÓ'),
	('SBND', 'N/A', 'N/A', -14.999092854559422, -51.28657802939415, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBGO', 'medium_airport', 'Santa Genoveva Airport', -16.632, -49.220699, 2450, 'BR', 'BR-GO', 'Goiânia', 'yes', 'SBGO', 'GYN', 'GO0001', ''),
	('SIZO', 'small_airport', 'Calcário Vale do Araguaia Airport', -14.1903, -51.643902, 853, 'BR', 'BR-MT', 'Cocalinho', 'no', 'SIZO', '', 'MT0157', ''),
	('SWBO', 'small_airport', 'Fazenda São João Airport', -14.27109, -49.647245, 1542, 'BR', 'BR-GO', 'Campos Verdes', 'no', '', '', '', 'SWBO'),
	('SBIB', 'N/A', 'N/A', -16.023588739335537, -49.77018490433693, 774, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDQZ', 'small_airport', 'Fazenda Espinhaço II Airport', -15.397221565199999, -52.07472229, 991, 'BR', 'BR-MT', 'Barra Do Garças', 'no', 'SDQZ', '', '', ''),
	('SWFW', 'small_airport', 'Fazenda Jangada Airport', -14.719644, -51.914434, 919, 'BR', 'BR-MT', 'Nova Xavantina', 'no', '', '', '', 'SWFW'),
	('SIZK', 'small_airport', 'Fazenda Vera Cruz Airport', -14.875, -52.11555480957031, 995, 'BR', 'BR-MT', 'Barra Do Garças', 'no', 'SIZK', '', '', ''),
	('SWQL', 'small_airport', 'Fazenda Três Companheiros Airport', -16.6825008392334, -52.252498626708984, 2070, 'BR', 'BR-GO', 'Doverlândia', 'no', 'SWQL', '', '', ''),
	('SBAS', 'N/A', 'N/A', -16.20543345808983, -52.16062858700752, 418, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJNJ', 'small_airport', 'Fazenda Lakanka Airport', -15.436083, -51.583798, 892, 'BR', 'BR-GO', 'Jussara', 'no', '', '', '', 'SJNJ'),
	('SWDA', 'small_airport', 'Fazenda Duas Âncoras - Seção Sede Airport', -14.938389, -52.173471, 925, 'BR', 'BR-MT', 'Barra Do Garças', 'no', '', '', '', 'SWDA'),
	('SWWU', 'small_airport', 'Uruaçu Airport', -14.544723, -49.09111, 1706, 'BR', 'BR-GO', 'Uruaçu', 'no', 'SWWU', '', 'GO0013', ''),
	('SWKA', 'small_airport', 'Fazenda Canadá Airport', -15.595277786254883, -51.25722122192383, 951, 'BR', 'BR-GO', 'Jussara', 'no', 'SWKA', '', '', ''),
	('SBIA', 'N/A', 'N/A', -15.37547517567873, -51.04545056819916, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWEF', 'small_airport', 'Fazenda Europa Airport', -14.80166667, -51.34, 899, 'BR', 'BR-MT', 'Cocalinho', 'no', 'SWEF', '', '', ''),
	('SWCZ', 'small_airport', 'Ceres Airport', -15.34422, -49.604019, 1962, 'BR', 'BR-GO', 'Ceres', 'no', 'SWCZ', '', 'GO0024', ''),
	('SWOL', 'small_airport', 'Fazenda Roncador Airport', -15.096111297607422, -52.400001525878906, 1351, 'BR', 'BR-MT', 'Barra Do Garças', 'no', 'SWOL', '', '', ''),
	('SNJG', 'small_airport', 'Fazenda São José da Lagoa Airport', -14.58202, -50.708303, 1286, 'BR', 'BR-GO', 'Nova Crixás', 'no', '', '', 'GO0099', 'SNJG'),
	('SWXA', 'small_airport', 'Fazenda Canadazinho Airport', -15.044121, -51.404677, 889, 'BR', 'BR-GO', 'Jussara', 'no', 'SWXA', '', 'GO0149', ''),
	('SBGS', 'N/A', 'N/A', -15.920267701148987, -50.193548798561096, 515, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWOA', 'small_airport', 'Arnapar Airport', -16.539443969726563, -49.398887634277344, 2625, 'BR', 'BR-GO', 'Goianira', 'no', 'SWOA', '', '', ''),
	('SBKI', 'N/A', 'N/A', -16.71430852264166, -52.31809660792351, 503, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNEZ', 'small_airport', 'Fazenda Palmeira do Capim Airport', -15.960277, -50.714757, 1220, 'BR', 'BR-GO', 'Novo Brasil', 'no', 'SNEZ', '', 'GO0094', ''),
	('SWNS', 'small_airport', 'Anápolis Airport', -16.363575, -48.9288, 3648, 'BR', 'BR-GO', 'Anápolis', 'no', 'SWNS', 'APS', 'GO0004', ''),
	('SWNH', 'small_airport', 'Aruanã Airport', -14.932499885559082, -51.048099517822266, 820, 'BR', 'BR-GO', 'Aruanã', 'no', 'SWNH', '', 'SWNH', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWIK', 'small_airport', 'Fazenda Vanguarda Airport', -14.917222023, -51.2838897705, 935, 'BR', 'BR-MT', 'Cocalinho', 'no', 'SWIK', '', '', ''),
	('SWWL', 'small_airport', 'Fazenda Agrocentro Airport', -15.696700096130371, -52.26390075683594, 1119, 'BR', 'BR-MT', 'Barra Do Garças', 'no', 'SWWL', '', 'SWWL', ''),
	('SBPD', 'N/A', 'N/A', -16.383117400109768, -51.5803237259388, 432, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBIV', 'N/A', 'N/A', -15.848684571683407, -50.42893722653389, 393, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWCN', 'small_airport', 'Fazenda Saudade Airport', -14.143333, -51.014999, 784, 'BR', 'BR-MT', 'Cocalinho', 'no', '', '', '', 'SWCN'),
	('SWSV', 'small_airport', 'Fazenda Santa Sílvia Airport', -14.3886108398, -51.3805541992, 837, 'BR', 'BR-MT', 'Cocalinho', 'no', 'SWSV', '', '', ''),
	('SWJK', 'small_airport', 'Fazenda São Paulo Airport', -14.980438, -51.333375, 984, 'BR', 'BR-GO', 'Britânia', 'no', '', '', '', 'SWJK'),
	('SWOR', 'small_airport', 'Fazenda Colorado Airport', -15.450833320617676, -51.223331451416016, 896, 'BR', 'BR-GO', 'Britânia', 'no', 'SWOR', '', '', ''),
	('SWMH', 'small_airport', 'Fazenda Bom Pastor Airport', -15.542222023010254, -51.01777648925781, 895, 'BR', 'BR-GO', 'Itapirapuã', 'no', 'SWMH', '', '', ''),
	('SBTN', 'N/A', 'N/A', -16.547554582357407, -50.418477952480316, 558, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJVO', 'small_airport', 'Aragarças Airport', -15.8994, -52.2411, 1061, 'BR', 'BR-GO', 'Aragarças', 'no', 'SJVO', 'ARS', 'GO0030', 'SWAC'),
	('SBIO', 'N/A', 'N/A', -16.602733992040157, -50.828658789396286, 592, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIDM', 'small_airport', 'Fazenda Cibrapa Airport', -15.036799, -52.099529, 919, 'BR', 'BR-MT', 'Barra Do Garças', 'no', 'SIDM', '', 'MT0088', ''),
	('SBBW', 'medium_airport', 'Barra do Garças Airport', -15.861417, -52.389008, 1147, 'BR', 'BR-MT', 'Barra do Garças', 'no', 'SBBW', 'BPG', 'MT0008', ''),
	('SBIU', 'N/A', 'N/A', -15.544875115156174, -49.94463354349136, 656, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWJE', 'small_airport', 'Fazenda Ibia Airport', -16.396944046020508, -52.328609466552734, 2634, 'BR', 'BR-GO', 'Baliza', 'no', 'SWJE', '', '', ''),
	('SWSD', 'small_airport', 'Fazenda Santo Antônio Airport', -15.623888969421387, -51.81388854980469, 1079, 'BR', 'BR-MT', 'Araguaiana', 'no', 'SWSD', '', '', ''),
	('SWOS', 'small_airport', 'Fazenda Tapajós Airport', -15.171944, -48.953056, 2289, 'BR', 'BR-GO', 'Goianésia', 'no', '', '', '', 'SWOS'),
	('SNLL', 'heliport', 'Brennand Heliport', -8.580003, -35.03974, 3, 'BR', 'BR-PE', 'Ipojuca', 'no', 'SNBD', '', 'PE0063', 'SJBR, SNLL'),
	('SBUD', 'N/A', 'N/A', -14.196108877658844, -49.36304658651352, 385, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWNV', 'small_airport', 'Aeródromo Nacional de Aviação', -16.62584, -49.348832, 2707, 'BR', 'BR-GO', 'Goiânia', 'no', 'SBNV', '', 'GO0002', 'SWNV'),
	('SDMW', 'small_airport', 'Fazenda Karajá Airport', -14.1125, -50.680833, 833, 'BR', 'BR-GO', 'Nova Crixás', 'no', 'SDMW', '', 'GO0041', ''),
	('SWCO', 'small_airport', 'Fazenda Continental Airport', -14.715556144714355, -51.209720611572266, 919, 'BR', 'BR-MT', 'Cocalinho', 'no', 'SWCO', '', '', ''),
	('SSQL', 'small_airport', 'Fazenda Matrichã Airport', -14.114289, -50.117869, 3609, 'BR', 'BR-GO', 'Uirapuru', 'no', '', '', '', 'SSQL'),
	('SSKQ', 'small_airport', 'Fazenda Santa Rosa Airport', -14.541111, -50.461944, 1001, 'BR', 'BR-GO', 'Nova Crixás', 'no', 'SSKQ', '', '', ''),
	('SBUN', 'N/A', 'N/A', -15.520887114107609, -49.690403044223785, 607, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWYU', 'small_airport', 'Fazenda Entre Rios Airport', -14.439712, -50.86458, 833, 'BR', 'BR-GO', 'Aruanã', 'no', 'SJD7', '', 'GO0335', 'SWYU'),
	('SJUS', 'small_airport', 'Fazenda Acará Airport', -15.074443817138672, -51.15888977050781, 804, 'BR', 'BR-GO', 'Britânia', 'no', 'SJUS', '', '', ''),
	('SWEC', 'small_airport', 'Estância das Cascatas Airport', -15.896699905396, -52.095600128174, 1017, 'BR', 'BR-GO', 'Aragarças', 'no', 'SWEC', '', 'SWEC', ''),
	('SWZQ', 'small_airport', 'Fazenda Jussara Airport', -15.845633, -51.072487, 1063, 'BR', 'BR-GO', 'Jussara', 'no', 'SWZQ', '', 'GO0153', ''),
	('SBID', 'N/A', 'N/A', -15.083994157612324, -49.29522022604942, 610, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIRN', 'small_airport', 'Fazenda Jaó Airport', -14.769135, -51.985738, 854, 'BR', 'BR-MT', 'Nova Xavantina', 'no', 'SIRN', '', 'MT0124', ''),
	('SNDZ', 'closed', 'Via Brasil Heliport', -19.8419437408, -43.9661102295, 2676, 'BR', 'BR-MG', 'Belo Horizonte', 'no', '', '', '', 'SNDZ, SNDZ'),
	('SWIM', 'small_airport', 'Fazenda Três Ranchos Airport', -16.126667022705078, -51.66972351074219, 1142, 'BR', 'BR-GO', 'Montes Claros De Goiás', 'no', 'SWIM', '', '', ''),
	('SWMN', 'small_airport', 'Fazenda Montana Airport', -15.214686, -50.836191, 1076, 'BR', 'BR-GO', 'Matrinchã', 'no', 'SJSX', '', 'GO0086', 'SWMN, Fazenda Forquilha'),
	('SNLQ', 'small_airport', 'Fazenda Conforto Airport', -14.065799713134766, -50.41590118408203, 1001, 'BR', 'BR-GO', 'Nova Crixás', 'no', 'SNLQ', '', 'SNLQ', ''),
	('SBIR', 'N/A', 'N/A', -15.332848839461803, -50.04697635769844, 697, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJGR', 'small_airport', 'Fazenda Cavalgada Grande Airport', -14.60472202301, -50.152778625488, 1050, 'BR', 'BR-GO', 'Crixás', 'no', '', '', '', 'SJGR'),
	('SWAA', 'small_airport', 'Fazenda Ykaraí Airport', -14.5439, -50.592777, 896, 'BR', 'BR-GO', 'Nova Crixás', 'no', 'SWAA', '', 'GO0114', ''),
	('SWOO', 'small_airport', 'Fazenda Três Marias do Água Limpa Airport', -15.07364, -51.3943, 1050, 'BR', 'BR-GO', 'Britânia', 'no', '', '', 'GO0139', 'SWOO'),
	('SWHA', 'small_airport', 'Fazenda Boa Esperança Soberbinho Airport', -14.644721984863, -49.816387176514, 1553, 'BR', 'BR-GO', 'Guarinos', 'no', '', '', '', 'SWHA'),
	('SJSN', 'small_airport', 'Fazenda Carvalho Airport', -14.83666706085205, -49.36138916015625, 1871, 'BR', 'BR-GO', 'São Luiz Do Norte', 'no', 'SJSN', '', '', ''),
	('SWSB', 'small_airport', 'Fazenda Sabiá Airport', -15.228871, -51.975217, 951, 'BR', 'BR-MT', 'Araguaiana', 'no', '', '', '', 'SWSB'),
	('SBKQ', 'N/A', 'N/A', -16.405025012791157, -51.08881786465645, 625, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SB06', 'small_airport', 'Pirenopolis Centeral Airport', -15.8489, -48.982601, 2625, 'BR', 'BR-GO', 'Pirenópolis', 'no', 'SNMH', '', 'SNMH', ''),
	('SIPG', 'small_airport', 'Fazenda Água Preta Airport', -14.137595, -51.469531, 794, 'BR', 'BR-MT', 'Cocalinho', 'no', 'SIPG', '', 'MT0115', ''),
	('SBIS', 'N/A', 'N/A', -15.81461850553751, -50.60734882950783, 377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SINT', 'small_airport', 'Fazenda Santa Adélia Airport', -15.193743, -49.37641, 2251, 'BR', 'BR-GO', 'Santa Isabel', 'no', 'SINT', '', 'GO0052', ''),
	('SBEB', 'N/A', 'N/A', -14.452435858547688, -49.67480555176735, 355, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBAN', 'medium_airport', 'Base Aérea Airport', -16.2292, -48.964298, 3731, 'BR', 'BR-GO', 'Anápolis', 'no', 'SBAN', '', 'GO9001', ''),
	('SWPH', 'small_airport', 'Fazenda Paulo Abreu Airport', -15.226674, -52.12875, 991, 'BR', 'BR-MT', 'Barra do Garças', 'no', 'SWPH', '', 'MT0379', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWDB', 'small_airport', 'Fazenda Eldorado Airport', -15.576944, -52.218887, 1086, 'BR', 'BR-MT', 'Barra Do Garças', 'no', '', '', '', 'SWDB'),
	('SIVP', 'small_airport', 'Bela Manhã Airport', -14.441618, -50.535837, 899, 'BR', 'BR-GO', 'Nova Crixás', 'no', 'SIVP', '', 'GO0058', 'Fazenda Bandeirante'),
	('SWGO', 'small_airport', 'Santa Cecília Airport', -15.342632, -49.13533, 2219, 'BR', 'BR-GO', 'Goianésia', 'no', 'SWGO', '', 'GO0123', ''),
	('SBDQ', 'N/A', 'N/A', -14.538358747959137, -49.9347822368145, 454, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBLF', 'N/A', 'N/A', -16.591681614518166, -49.39411640167236, 834, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBGN', 'N/A', 'N/A', -15.117606930434704, -49.3124395608902, 569, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWPP', 'small_airport', 'Fazenda Pica-Pau Airport', -14.753055572509766, -50.665000915527344, 1001, 'BR', 'BR-GO', 'Mozarlândia', 'no', 'SWPP', '', '', ''),
	('SBAI', 'N/A', 'N/A', -16.446801759302616, -49.97134566307068, 739, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWDY', 'small_airport', 'Fazenda Água Fria Airport', -14.754721641540527, -50.377498626708984, 1175, 'BR', 'BR-GO', 'Nova Crixás', 'no', 'SWDY', '', '', ''),
	('SWGW', 'small_airport', 'Fazenda Santa Rita do Araguaia Airport', -15.437529, -51.599684, 1047, 'BR', 'BR-GO', 'Jussara', 'no', 'SWGW', '', 'GO0126', ''),
	('SWYY', 'small_airport', 'Fazenda Nova Viena Airport', -14.88443, -52.278779, 974, 'BR', 'BR-MT', 'Nova Xavantina', 'no', 'SWYY', '', 'MT0442', ''),
	('SJCL', 'small_airport', 'Fazenda Araçatuba Airport', -14.529421, -50.411162, 1100, 'BR', 'BR-GO', 'Nova Crixás', 'no', 'SJAR', '', 'GO0066', 'SJCL'),
	('SWGP', 'small_airport', 'Palmeiras de Goiás Airport', -16.826900482177734, -49.87889862060547, 1995, 'BR', 'BR-GO', 'Palmeiras De Goiás', 'no', 'SWGP', '', 'SWGP', ''),
	('SWAY', 'small_airport', 'Araguaiana Airport', -15.708652, -51.837865, 994, 'BR', 'BR-MT', 'Araguaiana', 'no', '', '', 'MT0026', 'SWAY'),
	('SBPH', 'N/A', 'N/A', -16.440511643886566, -51.77351877093315, 387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIQM', 'small_airport', 'Fazenda Bom Jardim Airport', -17.900278091431, -50.123611450195, 1693, 'BR', 'BR-GO', 'Porteirão', 'no', '', '', '', 'SIQM'),
	('SIOL', 'small_airport', 'Fazenda Pontal Airport', -18.322459, -48.84401, 1706, 'BR', 'BR-GO', 'Corumbaíba', 'no', 'SWWP', '', 'GO0147', 'SIOL'),
	('SJBZ', 'small_airport', 'Fazenda Três Barras Airport', -18.958246, -51.110233, 1552, 'BR', 'BR-GO', 'Itarumã', 'no', 'SJBZ', '', 'GO0068', ''),
	('SBRY', 'N/A', 'N/A', -17.274505980312824, -49.013354033231735, 813, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNYB', 'small_airport', 'Ituiutaba Airport', -19.002434, -49.487442, 1985, 'BR', 'BR-MG', 'Ituiutaba', 'no', 'SNYB', '', 'MG0047', 'Tito Teixeira'),
	('SBRZ', 'N/A', 'N/A', -17.499729730188847, -49.40775588154793, 679, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBCU', 'N/A', 'N/A', -18.78078058362007, -51.358646750450134, 506, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWCG', 'small_airport', 'Fazenda Varjão Grande Airport', -18.491501, -51.298801, 2060, 'BR', 'BR-GO', 'Caçu', 'no', '', '', '', 'SWCG'),
	('SSZX', 'small_airport', 'Fazenda Lapa do Lobo Airport', -19.527221679688, -50.970279693604, 1447, 'BR', 'BR-MS', 'Paranaíba', 'no', '', '', '', 'SSZX'),
	('SJVS', 'small_airport', 'Vale do Paranaíba Airport', -18.70305633544922, -49.68694305419922, 1739, 'BR', 'BR-MG', 'Capinópolis', 'no', 'SJVS', '', '', ''),
	('SWJL', 'small_airport', 'Fazenda Invernada Airport', -19.04111099243164, -51.25944519042969, 1345, 'BR', 'BR-GO', 'Itajá', 'no', 'SWJL', '', '', ''),
	('SIQQ', 'closed', 'Aero Resende Airport', -18.131918, -49.796308, 6825, 'BR', 'BR-GO', 'Bom Jesus', 'no', '', '', '', 'SIQQ'),
	('SNGK', 'small_airport', 'Fazenda Bela Vista Airport', -19.04833221435547, -48.97222137451172, 1984, 'BR', 'BR-MG', 'Monte Alegre De Minas', 'no', 'SNGK', '', '', ''),
	('SBIT', 'small_airport', 'Francisco Vilela do Amaral Airport', -18.4447, -49.213402, 1630, 'BR', 'BR-GO', 'Itumbiara', 'no', 'SBIT', 'ITR', 'GO0035', 'Hidroelétrica Airport'),
	('SWLC', 'small_airport', 'General Leite de Castro Airport', -17.834723, -50.956112, 2464, 'BR', 'BR-GO', 'Rio Verde', 'no', 'SWLC', 'RVD', 'SWLC', ''),
	('SBWG', 'N/A', 'N/A', -17.445089109241962, -51.13984376192093, 886, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNQM', 'small_airport', 'Queimadas Airport', -10.988332748413086, -39.62055587768555, 1050, 'BR', 'BR-BA', 'Queimadas', 'no', 'SNQM', '', '', ''),
	('SWBA', 'closed', 'Buriti Alegre Airport', -18.116373, -49.048877, 2848, 'BR', 'BR-GO', 'Buriti Alegre', 'no', '', '', '', 'SWBA, GO0022'),
	('SNYN', 'small_airport', 'Fazenda Rio das Pedras Airport', -19.551666259766, -48.837501525879, 2300, 'BR', 'BR-MG', 'Prata', 'no', '', '', '', 'SNYN'),
	('SBJT', 'N/A', 'N/A', -18.28876420855522, -51.94122299551964, 779, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBCK', 'N/A', 'N/A', -18.833323046565056, -52.0589742064476, 624, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIPR', 'small_airport', 'Fazenda São José Airport', -17.001110076904, -50.742778778076, 2451, 'BR', 'BR-GO', 'Paraúna', 'no', '', '', '', 'SIPR'),
	('SIYO', 'small_airport', 'Fazenda Goiás Barreiro Airport', -17.255556106567383, -51.30638885498047, 2848, 'BR', 'BR-GO', 'Montividiu', 'no', 'SIYO', '', '', ''),
	('SJER', 'small_airport', 'Fazenda Canadá Airport', -17.360044, -50.338433, 1811, 'BR', 'BR-GO', 'Acreúna', 'no', 'SJER', '', 'GO0070', ''),
	('SIZI', 'small_airport', 'Fazenda Vitória Airport', -18.755003, -51.477224, 1680, 'BR', 'BR-GO', 'Itarumã', 'no', 'SJVY', '', 'GO0091', 'SIZI'),
	('SBDA', 'N/A', 'N/A', -16.96945633739233, -51.823208034038544, 753, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNAA', 'small_airport', 'Fazenda da Barra Airport', -19.097706, -51.716482, 1542, 'BR', 'BR-GO', 'Aporé', 'no', '', '', 'GO0093', 'SNAA'),
	('SWGT', 'small_airport', 'Fazenda Nova Airport', -17.172918, -50.208507, 1909, 'BR', 'BR-GO', 'Jandaia', 'yes', 'SWGT', '', 'GO0125', ''),
	('SISD', 'small_airport', 'Fazenda São Sebastião Airport', -18.14522, -51.273805, 1982, 'BR', 'BR-GO', 'Aparecida Do Rio Doce', 'no', 'SISD', '', 'GO0054', ''),
	('SSCD', 'small_airport', 'Chapadão do Sul Airport', -18.839125, -52.488116, 2680, 'BR', 'BR-MS', 'Chapadão do Sul', 'no', 'SSCD', '', 'MS0007', 'Júlio Alves Martins'),
	('SSJM', 'small_airport', 'Fazenda Júlio Martins Airport', -18.842500686645508, -52.49944305419922, 2621, 'BR', 'BR-MS', 'Chapadão Do Sul', 'no', 'SSJM', '', '', ''),
	('SJFV', 'small_airport', 'Fazenda Gaia Airport', -18.766281, -48.754891, 2697, 'BR', 'BR-MG', 'Monte Alegre De Minas', 'no', 'SJFV', '', 'MG0120', ''),
	('SBCQ', 'N/A', 'N/A', -18.787180334329605, -50.936473309993744, 519, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSYO', 'small_airport', 'Cachoeira Rica Airport', -15.262499809265137, -55.614723205566406, 1155, 'BR', 'BR-MT', 'Chapada Dos Guimarães', 'no', 'SSYO', '', '', ''),
	('SITU', 'small_airport', 'Fazenda Santa Genoveva Airport', -17.944125, -50.339237, 1526, 'BR', 'BR-GO', 'Turvelândia', 'no', 'SITU', '', 'GO0057', ''),
	('SDRW', 'small_airport', 'Fazenda Pirapitinga Airport', -18.7775, -49.231667, 2172, 'BR', 'BR-MG', 'Canápolis', 'no', '', '', '', 'SDRW');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBCE', 'N/A', 'N/A', -18.93996935337782, -51.922888308763504, 561, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSJU', 'small_airport', 'Fazenda Santa Paula Airport', -19.38138961792, -52.309722900391, 1200, 'BR', 'BR-MS', 'Inocência', 'no', '', '', '', 'SSJU'),
	('SJNV', 'small_airport', 'Fazenda São Francisco Airport', -18.431389, -50.256111, 1857, 'BR', 'BR-GO', 'Gouvelândia', 'no', 'SJNV', '', 'GO0081', ''),
	('SITH', 'small_airport', 'Fazenda Itaipu Airport', -17.668163, -50.390614, 1644, 'BR', 'BR-GO', 'Turvelândia', 'no', '', '', '', 'SITH'),
	('SNFI', 'small_airport', 'Fazenda São José do Parnaíba Airport', -18.387500762939453, -48.86166763305664, 1676, 'BR', 'BR-MG', 'Tupaciguara', 'no', 'SNFI', '', 'SNFI', ''),
	('SJCP', 'small_airport', 'Fazenda São Roberto Airport', -17.068934, -50.846266, 2516, 'BR', 'BR-GO', 'Paraúna', 'no', 'SJCP', '', 'GO0069', ''),
	('SWKR', 'small_airport', 'Fazenda Mangue Che II Airport', -18.670000076300003, -51.585277557400005, 1752, 'BR', 'BR-GO', 'Itarumã', 'no', 'SWKR', '', '', ''),
	('SWJW', 'small_airport', 'Jataí Airport', -17.8299007416, -51.7729988098, 2529, 'BR', 'BR-GO', 'Jataí', 'no', 'SWJW', 'JTI', 'SWJW', ''),
	('SJIQ', 'small_airport', 'Usina Coruripe - Filial Limeira do Oeste Airport', -19.520191, -50.654031, 1384, 'BR', 'BR-MG', 'Limeira Do Oeste', 'no', 'SSZW', '', 'MG0460', 'SJIQ'),
	('SNEW', 'small_airport', 'Fazenda Congonhas Airport', -19.662599563598633, -50.95130157470703, 1375, 'BR', 'BR-MG', 'Carneirinho', 'no', 'SNEW', '', 'SNEW', ''),
	('SJWB', 'small_airport', 'Pouso Alto Airport', -17.457778930664, -48.983055114746, 2428, 'BR', 'BR-GO', 'Piracanjuba', 'no', '', '', '', 'SJWB'),
	('SWTQ', 'small_airport', 'Rio Quente Resorts Airport', -17.768871, -48.761807, 2247, 'BR', 'BR-GO', 'Rio Quente', 'no', 'SWTQ', '', 'GO0146', 'Termas Pousada do Rio Quente'),
	('SD2X', 'small_airport', 'Fazenda Santo Antônio Airstrip', -19.289761, -52.374738, 1480, 'BR', 'BR-MS', 'Cassilândia', 'no', 'SD2X', '', 'MS0477', ''),
	('SSXQ', 'small_airport', 'Fazenda Jota III Airport', -19.330599, -51.971108, 1700, 'BR', 'BR-MS', 'Inocência', 'no', 'SIN8', '', 'MS0349', 'SSXQ'),
	('SIEX', 'small_airport', 'Fazenda São Joaquim I Airport', -19.010015, -50.431983, 1450, 'BR', 'BR-MG', 'Santa Vitória', 'no', 'SIEX', '', 'MG0098', ''),
	('SDTQ', 'small_airport', 'Fazenda Santa Thereza Airport', -18.229061, -51.207886, 2149, 'BR', 'BR-GO', 'Aparecida do Rio Doce', 'no', 'SWXK', '', 'GO0150', 'SDTQ'),
	('SIWN', 'small_airport', 'Fazenda Vargem das Flores Airport', -17.849879, -49.582296, 2146, 'BR', 'BR-GO', 'Joviânia', 'no', 'SIWN', '', 'GO0059', ''),
	('SJRR', 'small_airport', 'Fazenda Barreiro Airport', -17.054166793823242, -50.9283332824707, 2461, 'BR', 'BR-GO', 'Paraúna', 'no', 'SJRR', '', '', ''),
	('SWAD', 'small_airport', 'Fazenda Santa Adelaide Airport', -18.260878, -49.597006, 1598, 'BR', 'BR-GO', 'Bom Jesus de Goiás', 'no', 'SWAD', '', 'GO0115', ''),
	('SBVR', 'N/A', 'N/A', -17.74167973548174, -50.968429148197174, 856, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSKR', 'small_airport', 'Fazenda Primavera Airport', -17.17, -50.82, 2306, 'BR', 'BR-GO', 'Paraúna', 'no', 'SSKR', '', '', ''),
	('SJHH', 'small_airport', 'Fazenda Poruína Airport', -18.119722, -52.217222, 2244, 'BR', 'BR-GO', 'Serranópolis', 'no', 'SJHH', '', 'GO0076', ''),
	('SJQN', 'small_airport', 'Quirinópolis Airport', -18.44610023498535, -50.40919876098633, 1922, 'BR', 'BR-GO', 'Quirinópolis', 'no', 'SJQN', '', 'SJQN', ''),
	('SSCL', 'small_airport', 'Cassilândia Airport', -19.146861, -51.676941, 1568, 'BR', 'BR-MS', 'Cassilândia', 'no', 'SSCL', 'CSS', 'MS0018', ''),
	('SBKO', 'N/A', 'N/A', -16.9289231300354, -51.85012310743332, 833, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWQC', 'small_airport', 'Fazenda São Francisco Airport', -17.500746, -51.597187, 3123, 'BR', 'BR-GO', 'Rio Verde', 'no', 'SWQC', '', 'SWQC', ''),
	('SWGJ', 'closed', 'Fazenda São Jorge Airstrip', -18.6448, -51.4828, 1885, 'BR', 'BR-GO', 'Itaruma', 'no', '', '', '', 'SWGJ'),
	('SWIO', 'small_airport', 'Fazenda Triângulo Airport', -17.621323, -50.142009, 1562, 'BR', 'BR-GO', 'Edéia', 'no', '', '', '', 'SWIO'),
	('SDNA', 'small_airport', 'Fazenda Vale Verde Airport', -19.671944, -48.994722, 2336, 'BR', 'BR-MG', 'Comendador Gomes', 'no', 'SDNA', '', 'MG0085', ''),
	('SNGP', 'small_airport', 'Fazenda Santa Maria Airport', -18.586944580078125, -48.86916732788086, 2624, 'BR', 'BR-MG', 'Tupaciguara', 'no', 'SNGP', '', '', ''),
	('SBKN', 'N/A', 'N/A', -18.836277835071087, -51.79308861494064, 570, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBCS', 'N/A', 'N/A', -19.06792178750038, -51.529853492975235, 479, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SISK', 'small_airport', 'Fazenda Cimal Airstrip', -18.8645, -52.0474, 2158, 'BR', 'BR-GO', 'Aporé', 'no', 'SISK', '', 'GO0055', ''),
	('SWZD', 'small_airport', 'Fazenda Denusa Destilaria Nova União Airport', -17.255833, -50.142674, 1699, 'BR', 'BR-GO', 'Jandaia', 'no', 'SWZD', '', 'GO0151', ''),
	('SNCV', 'small_airport', 'Campina Verde Airport', -19.551478, -49.497425, 1805, 'BR', 'BR-MG', 'Campina Verde', 'no', 'SNCV', '', 'MG0062', ''),
	('SSKC', 'small_airport', 'Fazenda União Airport', -19.292785, -52.05937, 1758, 'BR', 'BR-MS', 'Inocência', 'no', 'SWUN', '', 'MS0397', 'SSKC'),
	('SDQF', 'closed', 'Ita Heliport', -23.7, -46.83, 2638, 'BR', 'BR-SP', 'Itapecerica Da Serra', 'no', '', '', '', 'SDQF, SDQF'),
	('SSEC', 'heliport', 'Edifício Sequóia Heliport', -21.218996, -47.804453, 2411, 'BR', 'BR-SP', 'Ribeirão Preto', 'no', 'SNEO', '', 'SP0696', 'SSEC'),
	('SJVQ', 'small_airport', 'Triálcool Airport', -18.889444351196, -49.286109924316, 2231, 'BR', 'BR-MG', 'Canápolis', 'no', '', '', '', 'SJVQ'),
	('SSNC', 'N/A', 'N/A', -18.71299311518669, -51.87119945883751, 608, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBKM', 'N/A', 'N/A', -18.57477854937315, -51.16049900650978, 568, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIMJ', 'small_airport', 'Capinópolis - Aviação Agrícola Buttarello Ltda. Airport', -18.659201, -49.5476, 2005, 'BR', 'BR-MG', 'Capinópolis', 'no', 'SIMJ', '', 'MG0103', ''),
	('SSTP', 'small_airport', 'Fazenda Baessa Airport', -17.970833, -50.320556, 1591, 'BR', 'BR-GO', 'Turvelândia', 'no', 'SSTP', '', '', ''),
	('SWWG', 'small_airport', 'Fazenda Canamari Airport', -18.549552, -50.381241, 1699, 'BR', 'BR-GO', 'Quirinópolis', 'no', 'SJJW', '', 'GO0079', 'SWWG'),
	('SBLE', 'small_airport', 'Coronel Horácio de Mattos Airport', -12.4823, -41.277, 1676, 'BR', 'BR-BA', 'Lençóis', 'yes', 'SBLE', 'LEC', 'SP0008', 'Chapada Diamantina National Park, Lençóis Airport'),
	('SJSM', 'small_airport', 'Fazenda Santa Rita Airport', -19.007837, -50.951318, 1451, 'BR', 'BR-GO', 'Itarumã', 'no', '', '', '', 'SJSM'),
	('SJLG', 'N/A', 'N/A', -17.240800000727177, -51.49470001459122, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJFO', 'small_airport', 'Fazenda Califórnia Airport', -18.036666870117, -50.199443817139, 1549, 'BR', 'BR-GO', 'Porteirão', 'no', '', '', '', 'SJFO'),
	('SSPN', 'small_airport', 'Paranaíba Airport', -19.651199340820313, -51.19940185546875, 1446, 'BR', 'BR-MS', 'Paranaíba', 'no', 'SSPN', 'PBB', 'SSPN', ''),
	('SWHS', 'small_airport', 'Fazenda São João Airport', -18.053333282470703, -50.38694381713867, 1729, 'BR', 'BR-GO', 'Maurilândia', 'no', 'SWHS', '', '', ''),
	('SWMX', 'small_airport', 'Morrinhos Airport', -17.761758, -49.121654, 2634, 'BR', 'BR-GO', 'Morrinhos', 'no', 'SJ4Y', '', 'GO0028', 'SWMX, SB48');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBVS', 'N/A', 'N/A', -18.681440949440002, -49.987652599811554, 427, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIMR', 'small_airport', 'Fazenda Reunidas Airport', -17.751364, -51.151936, 2362, 'BR', 'BR-GO', 'Rio Verde', 'no', 'SIMR', '', 'GO0051', ''),
	('SNND', 'small_airport', 'Bertin Ltda Airport', -18.935313, -49.473345, 1815, 'BR', 'BR-MG', 'Ituiutaba', 'no', '', '', '', 'SNND'),
	('SWZN', 'small_airport', 'Fazenda Francês Airport', -17.314771, -50.424987, 2210, 'BR', 'BR-GO', 'Acreúna', 'no', 'SSSF', '', 'GO0201', 'SWZN'),
	('SNIV', 'small_airport', 'Fazenda Jumari Airport', -18.646843, -49.88542, 1424, 'BR', 'BR-MG', 'Ipiaçu', 'no', 'SNIV', '', '', ''),
	('SBDS', 'N/A', 'N/A', -18.310919925570488, -49.83840197324753, 557, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDIG', 'small_airport', 'Ibitinga Airport', -21.74723, -48.855595, 1778, 'BR', 'BR-SP', 'Ibitinga', 'no', 'SDIG', '', 'SP0038', ''),
	('SWYO', 'small_airport', 'Usina Branco Peres Airport', -21.48292, -51.025562, 1335, 'BR', 'BR-SP', 'Adamantina', 'no', 'SWYO', '', 'SP0284', ''),
	('SDNE', 'small_airport', 'Fazenda São Joaquim Airport', -22.198999, -51.975562, 1585, 'BR', 'BR-SP', 'Marabá Paulista', 'no', 'SDNE', '', 'SP0126', ''),
	('SBQJ', 'small_airport', 'Osvaldo de Carvalho Airport', -23.846436, -50.208429, 2615, 'BR', 'BR-PR', 'Ibaiti', 'no', 'SBQJ', '', 'PR0155', ''),
	('SBBU', 'small_airport', 'Bauru Airport', -22.344999, -49.053799, 2025, 'BR', 'BR-SP', 'Bauru', 'no', 'SBBU', '', 'SP0017', 'BAU'),
	('SNKW', 'small_airport', 'Fazenda Boa Sorte Airport', -21.918889, -50.64074, 1398, 'BR', 'BR-SP', 'Iacri', 'no', '', '', '', 'SNKW'),
	('SDUE', 'small_airport', 'Fazenda Figueira Airport', -21.511944, -50.121113, 1526, 'BR', 'BR-SP', 'Penápolis', 'no', '', '', '', 'SDUE'),
	('SDFD', 'small_airport', 'Fernandópolis - Coronel Aviador Carlos Orleans Guimarães Airport', -20.276901, -50.214937, 1640, 'BR', 'BR-SP', 'Fernandópolis', 'no', 'SDFD', '', 'SDFD', ''),
	('SIOC', 'small_airport', 'Santo Expedito Airport', -21.14321, -51.544011, 1300, 'BR', 'BR-SP', 'Nova Independência', 'no', 'SIOC', '', 'SP0190', ''),
	('SNRN', 'small_airport', 'Fazenda Vinte de Maio Airport', -21.808889389038086, -49.97111129760742, 1509, 'BR', 'BR-SP', 'Getulina', 'no', 'SNRN', '', '', ''),
	('SJRO', 'small_airport', 'Fazenda Santa Elisa Airport', -20.530555725097656, -50.6349983215332, 1312, 'BR', 'BR-SP', 'Auriflama', 'no', 'SJRO', '', '', ''),
	('SSBS', 'small_airport', 'Fazenda Boa Esperança Airport', -21.249166488647, -52.289443969727, 1155, 'BR', 'BR-MS', 'Brasilândia', 'no', '', '', '', 'SSBS'),
	('SWTG', 'small_airport', 'Fazenda Santa Marina Airport', -20.847244, -50.788229, 1126, 'BR', 'BR-SP', 'Santo Antônio do Aracanguá', 'no', 'SWTG', '', 'SWTG', 'SDAJ'),
	('SJSF', 'small_airport', 'Agropecuária Barrinha Airport', -19.831655, -49.679395, 1310, 'BR', 'BR-MG', 'São Francisco Sales', 'no', '', '', '', 'SJSF'),
	('SDZU', 'small_airport', 'Fazenda Anhumas Airport', -22.121936, -52.19793, 1001, 'BR', 'BR-SP', 'Marabá Paulista', 'no', 'SDZU', '', 'SP0168', ''),
	('SBLD', 'N/A', 'N/A', -21.040451154112816, -49.710683673620224, 463, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDFA', 'small_airport', 'Fazenda Bonança Airport', -20.676399, -51.0308, 1200, 'BR', 'BR-SP', 'Pereira Barreto', 'no', '', '', 'SP0171', 'SDFA, SIBC'),
	('SDDN', 'small_airport', 'Andradina Airport', -20.925031, -51.382252, 1247, 'BR', 'BR-SP', 'Andradina', 'no', 'SDDN', '', 'SP0020', 'Paulino Ribeiro de Andrade'),
	('SSSO', 'small_airport', 'Fazenda São José I Airport', -21.412791, -52.032259, 971, 'BR', 'BR-MS', 'Brasilândia', 'no', 'SDM4', '', 'MS0586', 'SSSO, Fazenda Santa Odila'),
	('SING', 'small_airport', 'Fazenda São João Airport', -20.556667, -49.288334, 1739, 'BR', 'BR-SP', 'Nova Granada', 'no', 'SING', '', 'SP0187', ''),
	('SJZF', 'small_airport', 'Fazenda Campo Triste Airport', -20.629329, -52.028074, 1197, 'BR', 'BR-MS', 'Três Lagoas', 'no', 'SJZF', '', '', ''),
	('SDUU', 'small_airport', 'Usina Califórnia Airport', -21.91111, -50.86833, 1476, 'BR', 'BR-SP', 'Parapuã', 'no', 'SDUU', '', 'SDUU', ''),
	('SWJQ', 'small_airport', 'Fazenda Colibri Airport', -20.226944, -51.845833, 1391, 'BR', 'BR-MS', 'Selvíria', 'no', 'SWHN', '', 'MS0377', 'SWJQ'),
	('SDUQ', 'small_airport', 'Paraguaçu Paulista Airport', -22.42690086364746, -50.60689926147461, 1525, 'BR', 'BR-SP', 'Paraguaçu Paulista', 'no', 'SDUQ', '', '', 'SDSS'),
	('SNTA', 'small_airport', 'Fazenda São Miguel Airport', -21.868610382080078, -50.116390228271484, 1444, 'BR', 'BR-SP', 'Pompéia', 'no', 'SNTA', '', '', ''),
	('SSYR', 'small_airport', 'Fazenda Santa Maria Airport', -20.346468, -52.319283, 1306, 'BR', 'BR-MS', 'Três Lagoas', 'no', 'SD3D', '', 'MS0542', 'SSYR'),
	('SNFU', 'small_airport', 'Frutal Airport', -20.0028, -48.958401, 1808, 'BR', 'BR-MG', 'Frutal', 'no', 'SNFU', '', 'SNFU', ''),
	('SNIJ', 'heliport', 'Suape Helipad', -8.363247, -35.008932, 47, 'BR', 'BR-PE', 'Ipojuca', 'no', 'SIUE', '', 'PE0034', 'SNIJ'),
	('SDTX', 'small_airport', 'Fazenda São José Airport', -20.541945, -51.357498, 1236, 'BR', 'BR-SP', 'Ilha Solteira', 'no', 'SDTX', '', '', ''),
	('SDNH', 'small_airport', 'Novo Horizonte Airport', -21.497551, -49.234441, 1526, 'BR', 'BR-SP', 'Novo Horizonte', 'no', 'SDNH', '', 'SP0060', ''),
	('SIOB', 'small_airport', 'Fazenda Guanabara Airport', -20.818202, -51.266799, 1362, 'BR', 'BR-SP', 'Andradina', 'no', 'SIOB', '', 'SP0189', ''),
	('SDMH', 'small_airport', 'Mirassol Airport', -20.806853, -49.485301, 1916, 'BR', 'BR-SP', 'Mirassol', 'no', 'SDMH', '', 'SP0059', ''),
	('SDCW', 'small_airport', 'Fazenda Paloma Airport', -20.321423, -48.833504, 1709, 'BR', 'BR-SP', 'Colômbia', 'no', 'SDCW', '', 'SP0085', ''),
	('SDWZ', 'small_airport', 'Palo Verde Airport', -21.190584, -50.562228, 1276, 'BR', 'BR-SP', 'Araçatuba', 'no', 'SDWZ', '', '', ''),
	('SNQP', 'small_airport', 'Fazenda São Francisco Airport', -20.5674991607666, -50.23030090332031, 1437, 'BR', 'BR-SP', 'Magda', 'no', 'SNQP', '', '', ''),
	('SDLR', 'small_airport', 'Fazenda Sonho Dourado Airport', -20.469131, -50.140786, 1722, 'BR', 'BR-SP', 'Valentim Gentil', 'no', '', '', '', 'SDLR'),
	('SDFK', 'small_airport', 'Fazenda Figueira Airport', -22.067804, -52.151064, 1234, 'BR', 'BR-SP', 'Marabá Paulista', 'no', 'SDFK', '', 'SP0100', ''),
	('SDAD', 'small_airport', 'Everaldo Moras Barreto Airport', -21.696275, -51.097509, 1394, 'BR', 'BR-SP', 'Adamantina', 'no', 'SDAD', '', 'SP0046', ''),
	('SNOW', 'small_airport', 'Fazenda Turmalina Airport', -21.982221603393555, -50.97222137451172, 1378, 'BR', 'BR-SP', 'Martinópolis', 'no', 'SNOW', '', '', ''),
	('SDQG', 'small_airport', 'Fazenda Nova Floresta Airport', -21.892177, -51.178021, 1460, 'BR', 'BR-SP', 'Caiabu', 'no', 'SDQG', '', 'SP0135', ''),
	('SJAR', 'small_airport', 'Fazenda Bela Manhã Airport', -20.017684, -50.893669, 1227, 'BR', 'BR-SP', 'Santa Clara d`Oeste', 'no', 'SSYB', '', 'SP0263', 'SJAR'),
	('SJOW', 'small_airport', 'Fazenda Guadalupe Airport', -20.981666564941406, -50.52694320678711, 1188, 'BR', 'BR-SP', 'Santo Antônio Do Aracanguá', 'no', 'SJOW', '', '', ''),
	('SDRU', 'small_airport', 'Fazenda Caramuru Airport', -21.693889617919922, -50.93611145019531, 1285, 'BR', 'BR-SP', 'Inúbia Paulista', 'no', 'SDRU', '', '', ''),
	('SDPN', 'small_airport', 'Penápolis Airport', -21.410012, -50.033659, 1352, 'BR', 'BR-SP', 'Penápolis', 'no', 'SDPN', '', 'SP0024', ''),
	('SWHR', 'small_airport', 'Estância Rio Paraná Airstrip', -21.856125, -52.185663, 919, 'BR', 'BR-SP', 'Presidente Epitácio', 'no', 'SWHR', '', 'SP0275', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SNPN', 'small_airport', 'Fazenda Água Fria Airport', -21.030277252197266, -50.92583465576172, 1378, 'BR', 'BR-SP', 'Lavínia', 'no', 'SNPN', '', '', ''),
	('SSBQ', 'small_airport', 'Marfrig Bataguassu MS Airport', -21.744471, -52.4805, 1224, 'BR', 'BR-MS', 'Bataguassu', 'no', 'SDD8', '', 'MS0518', 'SSBQ, Frigorífico Marfrig'),
	('SDPV', 'small_airport', 'Presidente Venceslau Airport', -21.893299, -51.884399, 1460, 'BR', 'BR-SP', 'Presidente Venceslau', 'no', 'SDPV', '', 'SP0040', ''),
	('SWLY', 'small_airport', 'Chácara MCL Airport', -20.880883, -51.356143, 1345, 'BR', 'BR-SP', 'Andradina', 'no', 'SWLY', '', '', ''),
	('SDSO', 'small_airport', 'Fazenda São Geraldo Airport', -22.003889083862, -51.811111450195, 1476, 'BR', 'BR-SP', 'Piquerobi', 'no', '', '', '', 'SDSO'),
	('SBDN', 'medium_airport', 'Presidente Prudente Airport', -22.1751, -51.424599, 1477, 'BR', 'BR-SP', 'Presidente Prudente', 'yes', 'SBDN', 'PPB', 'SP0005', ''),
	('SSOP', 'small_airport', 'Fazenda Cachoeirinha Airport', -20.048738, -51.476297, 1539, 'BR', 'BR-MS', 'Aparecida do Taboado', 'no', '', '', '', 'SSOP'),
	('SWCC', 'small_airport', 'Fazenda Curitiba Airport', -13.546667, -60.418333, 705, 'BR', 'BR-MT', 'Comodoro', 'no', 'SIYD', '', 'MT0153', 'SWCC'),
	('SSJE', 'small_airport', 'Fazenda São Joaquim Airport', -20.352222, -51.555833, 1325, 'BR', 'BR-MS', 'Selvíria', 'no', '', '', '', 'SSJE'),
	('SDIZ', 'small_airport', 'Fazenda São Paulo Airport', -20.155555, -49.934723, 1656, 'BR', 'BR-SP', 'Cardoso', 'no', '', '', '', 'SDIZ'),
	('SBNB', 'N/A', 'N/A', -22.17812318354845, -51.17815241217613, 503, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDFC', 'small_airport', 'Fazenda Constância Airport', -20.489442, -49.188638, 1970, 'BR', 'BR-SP', 'Altair', 'no', 'SDFC', '', 'SP0098', ''),
	('SSWE', 'small_airport', 'Fazenda Califórnia Airport', -21.74388885498, -50.947498321533, 1450, 'BR', 'BR-SP', 'Inúbia Paulista', 'no', '', '', '', 'SSWE'),
	('SDCD', 'small_airport', 'Catanduva Airport', -21.1492, -48.988701, 1841, 'BR', 'BR-SP', 'Catanduva', 'no', 'SDCD', '', 'SP0082', ''),
	('SDHC', 'small_airport', 'Fazenda Koga Airport', -21.86889, -49.981367, 1293, 'BR', 'BR-SP', 'Getulina', 'no', 'SDHC', '', 'SP0105', ''),
	('SJFF', 'small_airport', 'Frigo Estrela Airport', -20.294722, -50.41055, 1595, 'BR', 'BR-SP', 'Estrela D`Oeste', 'no', 'SJFF', '', 'SP0207', ''),
	('SNKP', 'small_airport', 'Conquista do Pontal Airport', -22.385159, -52.110901, 1342, 'BR', 'BR-SP', 'Mirante do Paranapanema', 'no', 'SNKP', '', 'SP0230', ''),
	('SINK', 'small_airport', 'Fazenda Negrinha Airport', -21.874831, -50.8729, 1582, 'BR', 'BR-SP', 'Parapuã', 'no', 'SINK', '', 'SP0188', ''),
	('SNPL', 'small_airport', 'Fazenda Pacuruxu Airport', -21.256389617919922, -51.72888946533203, 1181, 'BR', 'BR-SP', 'Santa Mercedes', 'no', 'SNPL', '', '', ''),
	('SJWQ', 'small_airport', 'Aeroclube de Birigui - CMTE Munir Djabak Airport', -21.21655, -50.305613, 1338, 'BR', 'BR-SP', 'Birigui', 'no', 'SJWQ', '', 'SP0221', 'José Doná Airport, Comandante Munir Djabak'),
	('SIZH', 'small_airport', 'Fazenda Vista Alegre Airport', -19.99305534362793, -51.51416778564453, 1483, 'BR', 'BR-MS', 'Aparecida Do Taboado', 'no', 'SIZH', '', '', ''),
	('SDJQ', 'small_airport', 'Fazenda São Joaquim O.B. Airport', -20.8284, -51.007999, 1204, 'BR', 'BR-SP', 'Pereira Barreto', 'no', 'SDJQ', '', 'SP0115', ''),
	('SDJR', 'small_airport', 'Fazenda Santa Inês Airport', -20.881442, -49.388393, 1804, 'BR', 'BR-SP', 'São José Do Rio Preto', 'no', '', '', '', 'SDJR'),
	('SNZL', 'small_airport', 'Fazenda Santa Thereza Airport', -21.567418, -49.301448, 1401, 'BR', 'BR-SP', 'Novo Horizonte', 'no', '', '', '', 'SNZL'),
	('SBMP', 'heliport', 'Plataforma PPM-1 Helipad', -22.795833, -40.763889, 200, 'BR', 'BR-RJ', 'Macaé', 'no', 'SBMP', '', '', ''),
	('SIXA', 'small_airport', 'Fazenda União Suzanópolis Airport', -20.529893, -51.096039, 1398, 'BR', 'BR-SP', 'Suzanópolis', 'no', 'SIXA', '', 'SP0199', ''),
	('SDJL', 'small_airport', 'Jales Airport', -20.292296, -50.545546, 1493, 'BR', 'BR-SP', 'Jales', 'no', 'SDJL', 'JLS', 'SP0113', ''),
	('SBFT', 'N/A', 'N/A', -20.278487876057625, -49.1874834895134, 486, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDEM', 'small_airport', 'Estância Machado Airport', -22.104056, -51.454858, 1388, 'BR', 'BR-SP', 'Álvares Machado', 'no', 'SDEM', '', 'SP0094', ''),
	('SDQQ', 'small_airport', 'Companhia Agrícola de Quatá Airport', -22.286100387573242, -50.63890075683594, 1919, 'BR', 'BR-SP', 'Quatá', 'no', 'SDQQ', '', 'SDQQ', ''),
	('SWYV', 'small_airport', 'Clube Aerodesportivo de Ibirá Airport', -21.09149, -49.224249, 1578, 'BR', 'BR-SP', 'Ibirá', 'no', 'SWYV', '', 'SP0285', 'Clube de Marte Ibirá de Pará-Quedismo'),
	('SNXI', 'small_airport', 'Estância Turística de Pereira Barreto Airport', -20.6247215271, -51.084999084473, 1289, 'BR', 'BR-SP', 'Pereira Barreto', 'no', '', '', '', 'SNXI'),
	('SDWN', 'small_airport', 'Fazenda Barreiro Grande Airport', -20.34749984741211, -48.772499084472656, 1857, 'BR', 'BR-SP', 'Colômbia', 'no', 'SDWN', '', '', ''),
	('SWXQ', 'medium_airport', 'Lins Airport', -21.663999557495, -49.730499267578, 1559, 'BR', 'BR-SP', 'Lins', 'no', 'SWXQ', 'LIP', 'SWXQ', 'SBLN'),
	('SDGC', 'small_airport', 'Garça Airport', -22.181484, -49.656346, 2178, 'BR', 'BR-SP', 'Garça', 'no', 'SDGC', '', 'SP0055', ''),
	('SWXD', 'small_airport', 'Aerogardi Airport', -21.561111, -48.798611, 1762, 'BR', 'BR-SP', 'Itápolis', 'no', '', '', '', 'SWXD'),
	('SSBF', 'small_airport', 'Fazenda JL Airport', -20.002079, -51.38345, 1400, 'BR', 'BR-MS', 'Aparecida do Taboado', 'no', 'SSBF', '', 'MS0247', ''),
	('SNSX', 'small_airport', 'Fazenda São Martinho Airport', -20.357312, -51.255308, 1148, 'BR', 'BR-SP', 'Ilha Solteira', 'no', 'SNDS', '', 'SP0226', 'SNSX'),
	('SDAS', 'small_airport', 'Fazenda Santo Antônio Airport', -21.276203, -51.283088, 1141, 'BR', 'BR-SP', 'Mirandópolis', 'no', 'SDAS', '', 'SP0079', ''),
	('SNHJ', 'small_airport', 'Usina de José Bonifácio Airport', -21.095, -49.914722, 1404, 'BR', 'BR-SP', 'José Bonifácio', 'no', 'SNHJ', '', '', ''),
	('SNWM', 'small_airport', 'Fazenda Bonito Airport', -20.387468, -51.197617, 1181, 'BR', 'BR-SP', 'Ilha Solteira', 'no', 'SI4C', '', 'SP1215', 'SNWM'),
	('SIJV', 'small_airport', 'Fazenda Santa Julieta Airport', -21.579521, -49.874464, 1394, 'BR', 'BR-SP', 'Promissão', 'no', '', '', 'SIJV', 'SIJV'),
	('SJTM', 'small_airport', 'Santa Cecília Airport', -20.88777732849121, -50.98833465576172, 1260, 'BR', 'BR-SP', 'Mirandópolis', 'no', 'SJTM', '', '', ''),
	('SDKP', 'small_airport', 'Fazenda Jamaica Airport', -22.188569, -50.274373, 1598, 'BR', 'BR-SP', 'Pompéia', 'no', 'SWAN', '', 'SP1285', 'SDKP'),
	('SBAE', 'N/A', 'N/A', -22.15777762234211, -49.06833350658417, 593, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SICH', 'small_airport', 'Fazenda Serrinha Airport', -20.661722, -52.339675, 1188, 'BR', 'BR-MS', 'Três Lagoas', 'no', '', '', '', 'SICH'),
	('SBUP', 'N/A', 'N/A', -20.777320079505444, -51.56415492296219, 356, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNVO', 'small_airport', 'Fazenda Pontal Airport', -19.970496, -50.970002, 1329, 'BR', 'BR-MG', 'Carneirinho', 'no', 'SNXP', '', 'MG0169', 'SNVO'),
	('SNVK', 'small_airport', 'Fazenda Santa Terezinha Airport', -20.501388549805, -52.36888885498, 1214, 'BR', 'BR-MS', 'Três Lagoas', 'no', '', '', '', 'SNVK'),
	('SDTI', 'small_airport', 'Tupi Paulista Airport', -21.393056869506836, -51.5988883972168, 1198, 'BR', 'BR-SP', 'Tupi Paulista', 'no', 'SDTI', '', '', ''),
	('SWTC', 'closed', 'Tocantínia Airport', -9.545695, -48.399067, 656, 'BR', 'BR-TO', 'Tocantínia', 'no', '', '', '', 'NTM, SWTC, Miracema do Norte');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SDND', 'small_airport', 'Fazenda Nova Damasco Airport', -22.483974, -51.529044, 1411, 'BR', 'BR-SP', 'Narandiba', 'no', 'SDND', '', 'SP0125', ''),
	('SWKW', 'N/A', 'N/A', -21.328905299305916, -50.19245266914368, 413, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIEC', 'small_airport', 'Fazenda Anhumas II Airport', -22.042752, -52.287397, 955, 'BR', 'BR-SP', 'Presidente Eptácio', 'no', '', '', '', 'SIEC'),
	('SSKX', 'small_airport', 'Fazenda São Luíz do Matão Airport', -19.869993, -50.652886, 1168, 'BR', 'BR-MG', 'Carneirinho', 'no', 'SNLD', '', 'MG0154', 'SSKX'),
	('SJTA', 'small_airport', 'Cristal Airport', -22.181667327881, -50.492500305176, 1355, 'BR', 'BR-SP', 'Borá', 'no', '', '', '', 'SJTA'),
	('SSTL', 'small_airport', 'Plínio Alarcom Airport', -20.752643, -51.682026, 1063, 'BR', 'BR-MS', 'Três Lagoas', 'yes', 'SBTG', 'TJL', 'MS0006', 'SSTL, Três Lagoas Airport'),
	('SDTP', 'small_airport', 'Tupã Airport', -21.889099, -50.5051, 1805, 'BR', 'BR-SP', 'Tupã', 'no', 'SDTP', '', 'SDTP', ''),
	('SDXO', 'small_airport', 'Fazenda Santa Maria da Mata Airport', -20.727500915527, -50.971668243408, 1142, 'BR', 'BR-SP', 'Sud Menucci', 'no', '', '', '', 'SDXO'),
	('SJZE', 'small_airport', 'Fazenda Brioso Airport', -20.237858, -52.380688, 1270, 'BR', 'BR-MS', 'Três Lagoas', 'no', '', '', '', 'SJZE'),
	('SSZL', 'small_airport', 'Fazenda Córrego Azul Airport', -21.44161, -52.157492, 1047, 'BR', 'BR-MS', 'Brasilândia', 'no', 'SSZL', '', 'MS0360', ''),
	('SSSF', 'closed', 'Fazenda San Marino Airport', -20.10219955444336, -52.44390106201172, 1476, 'BR', 'BR-MS', 'Tres Lagoas', 'no', '', '', '', 'SSSF, SSSF, SSSF'),
	('SJHD', 'small_airport', 'Fazenda Modelo Airport', -21.382221221924, -52.198890686035, 1375, 'BR', 'BR-MS', 'Brasilândia', 'no', '', '', '', 'SJHD'),
	('SDRC', 'small_airport', 'Fazenda Santana Airport', -22.181943893432617, -50.8658332824707, 1608, 'BR', 'BR-SP', 'Rancharia', 'no', 'SDRC', '', '', ''),
	('SWDG', 'small_airport', 'Fazenda São José Airport', -21.744444, -49.164722, 1509, 'BR', 'BR-SP', 'Reginópolis', 'no', 'SWDG', '', '', ''),
	('SJAS', 'small_airport', 'Fazenda São Roque Airport', -21.669166564941406, -49.173057556152344, 1450, 'BR', 'BR-SP', 'Reginópolis', 'no', 'SJAS', '', '', ''),
	('SDGY', 'small_airport', 'Fazenda Anhangaí Airport', -20.926714, -50.743803, 1181, 'BR', 'BR-SP', 'Araçatuba', 'no', 'SDGY', '', 'SP0104', ''),
	('SDZW', 'small_airport', 'Fazenda Ipanema Airport', -20.811666488647, -51.294166564941, 1181, 'BR', 'BR-SP', 'Andradina', 'no', '', '', '', 'SDZW'),
	('SDDI', 'small_airport', 'Fazenda Tamara Airport', -21.59237, -50.833044, 1306, 'BR', 'BR-SP', 'Salmourão', 'no', 'SDDI', '', 'SP0086', ''),
	('SSOI', 'small_airport', 'Pederneiras Airport', -22.307222366333008, -48.771942138671875, 1788, 'BR', 'BR-SP', 'Pederneiras', 'no', 'SSOI', '', '', ''),
	('SDGR', 'closed', 'Guararapes Airport', -21.263056, -50.652579, 1312, 'BR', 'BR-SP', 'Guararapes', 'no', '', '', '', 'SDGR, SP0074'),
	('SDLC', 'small_airport', 'Aeroclube de Lucélia - Cmte João Possibom Airport', -21.748877, -51.017632, 1460, 'BR', 'BR-SP', 'Lucélia', 'no', 'SJ2Y', '', 'SP0039', 'SDLC'),
	('SDWG', 'small_airport', 'Fazenda Itapiranga Airport', -22.063056945801, -51.92472076416, 1394, 'BR', 'BR-SP', 'Marabá Paulista', 'no', '', '', '', 'SDWG'),
	('SDFU', 'small_airport', 'Fazenda Ponte Funda Airport', -21.871309, -52.164249, 968, 'BR', 'BR-SP', 'Presidente Eptácio', 'no', 'SDFU', '', 'SP0102', ''),
	('SIOT', 'small_airport', 'Fazenda Santa Vergínia Airport', -21.488074, -52.407285, 1043, 'BR', 'BR-MS', 'Santa Rita Do Pardo', 'no', 'SIOT', '', 'MS0114', ''),
	('SSGE', 'small_airport', 'Fazenda Periquitos Airport', -20.501698, -51.833131, 1180, 'BR', 'BR-MS', 'Três Lagoas', 'no', 'SSGE', '', 'MS0271', ''),
	('SSXZ', 'small_airport', 'Fazenda Santa Rosa Airport', -19.747499465942383, -50.12916564941406, 1348, 'BR', 'BR-MG', 'Iturama', 'no', 'SSXZ', '', '', ''),
	('SSFP', 'small_airport', 'Fazenda São Paulo Airport', -20.864166259766, -52.17472076416, 1145, 'BR', 'BR-MS', 'Três Lagoas', 'no', '', '', '', 'SSFP'),
	('SDYJ', 'small_airport', 'José Martins da Silva Airport', -22.225555419921875, -51.34805679321289, 1663, 'BR', 'BR-SP', 'Regente Feijó', 'no', 'SDYJ', '', '', ''),
	('SJVC', 'small_airport', 'Ibiporanga da Felicidade Airport', -20.459167480469, -49.533611297607, 1779, 'BR', 'BR-SP', 'Tanabi', 'no', '', '', '', 'SJVC'),
	('SIJG', 'small_airport', 'Fazenda Jaguaretê Airport', -21.443322, -50.725465, 1290, 'BR', 'BR-SP', 'Guararapes', 'no', 'SIJG', '', 'SP0184', ''),
	('SILT', 'small_airport', 'Fazenda Trêz Irmãos Airport', -20.227777, -50.968334, 1460, 'BR', 'BR-SP', 'Santa Fé Do Sul', 'no', 'SILT', 'SFV', 'SP0186', ''),
	('SDDR', 'small_airport', 'Dracena Airport', -21.460501, -51.606899, 1220, 'BR', 'BR-SP', 'Dracena', 'no', 'SDDR', '', 'SP0021', 'QDC'),
	('SIQU', 'small_airport', 'Alcoolvare Airport', -20.08639, -51.309468, 1280, 'BR', 'BR-MS', 'Aparecida Do Taboado', 'no', 'SIQU', '', 'MS0122', ''),
	('SBAU', 'medium_airport', 'Araçatuba Airport', -21.141479, -50.424575, 1361, 'BR', 'BR-SP', 'Araçatuba', 'yes', 'SBAU', 'ARU', 'SP0009', 'Dario Guarita State Airport,'),
	('SDSE', 'small_airport', 'Sítio Santa Helena Airport', -21.47333335876465, -50.61555480957031, 1414, 'BR', 'BR-SP', 'Gabriel Monteiro', 'no', 'SDSE', '', '', ''),
	('SWQO', 'small_airport', 'Fazenda Renascença Airstrip', -20.387728, -48.915386, 1558, 'BR', 'BR-MG', 'Frutal', 'no', 'SWQO', '', 'MG0422', ''),
	('SBKU', 'N/A', 'N/A', -21.32258601486683, -50.316685885190964, 379, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDZA', 'small_airport', 'Fazenda Santa Maria Airport', -22.006244, -49.412743, 1804, 'BR', 'BR-SP', 'Pirajuí', 'no', '', '', '', 'SDZA'),
	('SNYU', 'small_airport', 'Iturama Airport', -19.71799, -50.22018, 1558, 'BR', 'BR-MG', 'Iturama', 'no', 'SNYU', '', 'MG0014', ''),
	('SWYS', 'small_airport', 'Usina Cerradão Airport', -19.929763, -49.122725, 1706, 'BR', 'BR-MG', 'Frutal', 'no', 'SWYS', '', 'MG0302', ''),
	('SSZY', 'N/A', 'N/A', -19.809866063296795, -50.78156501054764, 441, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDXU', 'small_airport', 'Fazenda Araçatuba Airport', -21.343332, -51.251667, 1401, 'BR', 'BR-SP', 'Pacaembu', 'no', '', '', '', 'SDXU'),
	('SJE2', 'N/A', 'N/A', -21.494600102305412, -50.7354998588562, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SICM', 'small_airport', 'Fazenda Nossa Senhora de Fátima Airport', -21.539444, -52.111745, 984, 'BR', 'BR-MS', 'Brasilândia', 'no', 'SICM', '', 'MS0068', ''),
	('SSOJ', 'small_airport', 'Fazenda Estrela Airport', -19.979167, -51.735, 1509, 'BR', 'BR-MS', 'Inocência', 'no', 'SSOJ', '', '', ''),
	('SSBC', 'small_airport', 'Fazenda Barra do Tietê Airport', -20.72611, -51.588612, 1115, 'BR', 'BR-SP', 'Castilho', 'no', 'SSBC', '', 'SP0243', 'Malibu Confinamento, JBS Agropecuária LTDA'),
	('SDSH', 'small_airport', 'Fazenda Sangrilá Airport', -22.295555114746, -49.212223052979, 1755, 'BR', 'BR-SP', 'Bauru', 'no', '', '', '', 'SDSH'),
	('SSUY', 'small_airport', 'Fazenda Menina Airport', -20.640499, -51.476898, 1115, 'BR', 'BR-SP', 'Itapura', 'no', 'SSUK', '', 'SP0258', 'SSUY'),
	('SDGJ', 'small_airport', 'Fazenda Suíssa Airport', -21.907652, -49.856334, 1795, 'BR', 'BR-SP', 'Guaimbê', 'no', 'SN68', '', 'SP1437', 'SDGJ'),
	('SNWB', 'closed', 'Fazenda São Lucas Airport', -20.932222, -50.956944, 1099, 'BR', 'BR-SP', 'Mirandópolis', 'no', '', '', '', 'SNWB'),
	('SSNF', 'small_airport', 'Fazenda Naisa Airport', -20.329721450805664, -48.810001373291016, 1739, 'BR', 'BR-SP', 'Colômbia', 'no', 'SSNF', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SSVO', 'small_airport', 'Usina de Monções Airport', -20.8716678619, -50.1269454956, 1437, 'BR', 'BR-SP', 'Monções', 'no', 'SSVO', '', '', ''),
	('SDEG', 'small_airport', 'Fazenda Nova Califórnia Airport', -22.4667, -51.200804, 1450, 'BR', 'BR-SP', 'Martinópolis', 'no', '', '', '', 'SDEG'),
	('SDQK', 'small_airport', 'Fazenda Taboca Airport', -18.883, -55.366876, 505, 'BR', 'BR-MS', 'Rio Verde de Mato Grosso', 'no', 'SDQK', '', 'MS0413', ''),
	('SSUZ', 'small_airport', 'Fazenda Vista Alegre Airport', -20.661666870117, -50.841667175293, 1322, 'BR', 'BR-SP', 'Sud Menucci', 'no', '', '', '', 'SSUZ'),
	('SNZY', 'small_airport', 'Fazenda Bandeira Airport', -21.999513, -50.596862, 1450, 'BR', 'BR-SP', 'Tupã', 'no', '', '', '', 'SWQM, SNZY'),
	('SDKC', 'closed', 'Fazenda São Lucas Airport', -22.303612, -49.462223, 1771, 'BR', 'BR-SP', 'Gália', 'no', '', '', '', 'Eldorado, SDKC, SP0116'),
	('SIAY', 'small_airport', 'Auriflama Airport', -20.741943359375, -50.531665802002, 1277, 'BR', 'BR-SP', 'Auriflama', 'no', '', '', '', 'SIAY'),
	('SDEP', 'small_airport', 'Geraldo Moacir Bordon State Airport', -21.774665, -52.143281, 974, 'BR', 'BR-SP', 'Presidente Epitácio', 'no', 'SDEP', '', 'SP0052', ''),
	('SDPC', 'small_airport', 'Atena Airport', -22.153256, -51.029373, 1585, 'BR', 'BR-SP', 'Rancharia', 'no', 'SDPC', '', 'SP0133', ''),
	('SJQR', 'small_airport', 'Jacarezinho Airport', -21.14233, -50.900817, 1312, 'BR', 'BR-SP', 'Valparaíso', 'no', 'SSJC', '', 'SP0249', 'SJQR'),
	('SDDJ', 'small_airport', 'Fazenda Santa Maria Airport', -20.849434, -50.083376, 1506, 'BR', 'BR-SP', 'Monções', 'no', 'SDDJ', '', 'SP0087', ''),
	('SDVE', 'small_airport', 'Vera Cruz Airport', -22.230199813842773, -49.81719970703125, 2100, 'BR', 'BR-SP', 'Vera Cruz', 'no', 'SDVE', '', 'SDVE', ''),
	('SSOO', 'small_airport', 'Estância J.D.S Airport', -22.337221, -49.543056, 1903, 'BR', 'BR-SP', 'Fernão', 'no', '', '', '', 'SSOO'),
	('SDDX', 'small_airport', 'Fazenda Paiquerê Airport', -19.884363, -50.504632, 1411, 'BR', 'BR-SP', 'Populina', 'no', 'SDDX', '', 'SP0090', ''),
	('SDER', 'small_airport', 'Fazenda Entre Rios Airport', -20.764496, -50.856979, 1214, 'BR', 'BR-SP', 'Sud Menucci', 'no', 'SDER', '', 'SP0096', ''),
	('SDKO', 'small_airport', 'Fazenda Campo Grande Airport', -20.2577, -48.788601, 1830, 'BR', 'BR-SP', 'Colômbia', 'no', 'SDKO', '', 'SP0117', ''),
	('SIBX', 'small_airport', 'WEM Agropecuária Airport', -21.091756, -50.24378, 1345, 'BR', 'BR-SP', 'Buritama', 'no', 'SIBX', '', 'SP0172', 'Rosana Camargo'),
	('SIEA', 'small_airport', 'Fazenda Ibiporã Airport', -21.466359, -50.79856, 1181, 'BR', 'BR-SP', 'Guararapes', 'no', 'SIEA', '', 'SP0175', ''),
	('SNVN', 'small_airport', 'Fazenda Santa Clara Airport', -21.305062, -50.757018, 1529, 'BR', 'BR-SP', 'Rubiácea', 'no', 'SJF4', '', 'SP1330', 'SNSA, SNVN'),
	('SDIO', 'small_airport', 'Aeroclube de Itápolis Airport', -21.600287, -48.833057, 1827, 'BR', 'BR-SP', 'Itápolis', 'no', 'SDIO', '', 'SP0109', ''),
	('SDVG', 'small_airport', 'Domingos Pignatari Airport', -20.458426, -50.003134, 1676, 'BR', 'BR-SP', 'Votuporanga', 'no', 'SDVG', 'VOT', 'SP0026', ''),
	('SDDV', 'small_airport', 'Usina Catanduva Airport', -21.12886, -48.845197, 1860, 'BR', 'BR-SP', 'Palmares Paulista', 'no', 'SDDV', '', 'SP0089', ''),
	('SBSR', 'medium_airport', 'Prof. Eribelto Manoel Reino State Airport', -20.817113, -49.406963, 1784, 'BR', 'BR-SP', 'São José do Rio Preto', 'yes', 'SBSR', 'SJP', 'SP0006', 'São José do Rio Preto Airport'),
	('SIUV', 'small_airport', 'Fazenda São Matheus Airport', -20.317777633667, -51.783611297607, 1365, 'BR', 'BR-MS', 'Selvíria', 'no', '', '', '', 'SIUV'),
	('SSSW', 'small_airport', 'Fazenda Santa Maria Airport', -19.722091, -51.950343, 1460, 'BR', 'BR-MS', 'Inocência', 'no', 'SWXL', '', 'MS0401', 'SSSW'),
	('SJEJ', 'small_airport', 'Fazenda Bonanza Airport', -22.155000686646, -49.287776947021, 1713, 'BR', 'BR-SP', 'Avaí', 'no', '', '', '', 'SJEJ'),
	('SIIG', 'small_airport', 'Eliza Camargo de Arruda Botelho Airport', -22.359959, -51.101661, 1756, 'BR', 'BR-SP', 'Rancharia', 'no', 'SIIG', '', 'SP0182', ''),
	('SBWF', 'N/A', 'N/A', -20.506991632282734, -52.2240985929966, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDTO', 'small_airport', 'Fazenda Cataco Airport', -21.263599395751953, -49.79309844970703, 1447, 'BR', 'BR-SP', 'Ubarana', 'no', 'SDTO', '', '', ''),
	('SBRX', 'N/A', 'N/A', -22.013640739023685, -49.49809402227402, 563, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDWH', 'small_airport', 'Fazenda Avanhandava Airport', -21.188600540161133, -49.936100006103516, 1444, 'BR', 'BR-SP', 'José Bonifácio', 'no', 'SDWH', '', 'SDWH', ''),
	('SBML', 'medium_airport', 'Frank Miloye Milenkowichi–Marília State Airport', -22.196899, -49.926485, 2134, 'BR', 'BR-SP', 'Marília', 'yes', 'SBML', 'MII', 'SP0014', 'Marília Airport'),
	('SJRS', 'small_airport', 'Fazenda Guanabara Airport', -21.343610763549805, -51.4033317565918, 1017, 'BR', 'BR-SP', 'Junqueirópolis', 'no', 'SJRS', '', '', ''),
	('SWQP', 'small_airport', 'Rio Vermelho Açucar e Álcool Airport', -21.315277099609375, -51.369998931884766, 1148, 'BR', 'BR-SP', 'Junqueirópolis', 'no', 'SWQP', '', '', ''),
	('SB6X', 'N/A', 'N/A', -1.2307178601622581, -47.20064789056778, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNZF', 'small_airport', 'Fazenda Bela Vista Airport', -0.27314, -48.577588, 66, 'BR', 'BR-PA', 'Soure', 'no', '', '', '', 'SNZF'),
	('SBSU', 'N/A', 'N/A', -0.7687388733029366, -48.52795824408531, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNSM', 'small_airport', 'Salinópolis Airport', -0.696111, -47.336111, 105, 'BR', 'BR-PA', 'Salinópolis', 'yes', 'SNSM', 'OPP', 'SNSM', ''),
	('SNQA', 'small_airport', 'Fazenda Tracajá Airport', -2.6405560970306396, -47.862220764160156, 138, 'BR', 'BR-PA', 'Paragominas', 'no', 'SNQA', '', '', ''),
	('SBLX', 'N/A', 'N/A', -1.0464370250701904, -46.781994849443436, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNFG', 'small_airport', 'Citropar Airport', -1.840391, -47.184196, 220, 'BR', 'BR-PA', 'Capitão Poço', 'no', 'SJAC', '', 'PA0065', 'SNFG'),
	('SIPC', 'small_airport', 'Portal do Céu Airport', -1.314722, -48.429443, 16, 'BR', 'BR-PA', 'Belém', 'no', '', '', '', 'SIPC'),
	('SBIK', 'N/A', 'N/A', -2.265330031514168, -47.59081542491913, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNBV', 'small_airport', 'Campo de Boi Airport', -2.5233099460602, -47.517398834229, 186, 'BR', 'BR-PA', 'Ipixuna Do Pará', 'no', '', '', 'SNBV', 'SNBV'),
	('SBJC', 'closed', 'Belém/Brigadeiro Protásio de Oliveira Airport', -1.415051, -48.459805, 52, 'BR', 'BR-PA', 'Belém', 'no', '', '', '', 'Júlio César Airport, SBJC, PA0005'),
	('SBBE', 'large_airport', 'Val de Cans/Júlio Cezar Ribeiro International Airport', -1.379279, -48.476207, 54, 'BR', 'BR-PA', 'Belém', 'yes', 'SBBE', 'BEL', 'PA0001', ''),
	('SNYV', 'small_airport', 'Fazenda Socôco Airport', -2.119009, -48.642923, 102, 'BR', 'BR-PA', 'Moju', 'no', 'SNYV', '', 'PA0118', ''),
	('SNGY', 'heliport', 'Fazenda Santapazienza Heliport', -23.0683, -46.8267, 2520, 'BR', 'BR-SP', 'Itatiba', 'no', 'SITY', '', 'SP0557', 'SNGY'),
	('SBUZ', 'N/A', 'N/A', -2.4242720380425453, -48.24164092540741, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJNR', 'small_airport', 'Norte Jet Airport', -1.307274, -48.255972, 88, 'BR', 'BR-PA', 'Benevides', 'no', '', '', '', 'SJNR'),
	('SBWV', 'N/A', 'N/A', -2.5125452131032944, -46.958134174346924, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SNIA', 'small_airport', 'Igarapé-Açu Airport', -1.126959, -47.598753, 180, 'BR', 'BR-PA', 'Igarapé-Açu', 'no', '', '', '', 'SNIA'),
	('SBLW', 'N/A', 'N/A', -2.273578494787216, -46.97869822382927, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJNA', 'small_airport', 'Clube de Esportes Aéreos e Náuticos do Pará Airport', -1.267222, -48.43, 17, 'BR', 'BR-PA', 'Belém', 'no', 'SWEQ', '', 'PA0139', 'SJNA'),
	('SNYP', 'small_airport', 'Chácara Paraíso Airport', -1.317782, -48.298706, 69, 'BR', 'BR-PA', 'Benevides', 'no', 'SNYP', '', 'PA0116', ''),
	('SNSW', 'small_airport', 'Soure Airport', -0.697844, -48.519759, 43, 'BR', 'BR-PA', 'Soure', 'no', 'SNSW', 'SFK', 'SNSW', ''),
	('SBIQ', 'N/A', 'N/A', -2.042244002223015, -47.52685546875, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNYE', 'small_airport', 'Pinheiro Airport', -2.477426, -45.105003, 66, 'BR', 'BR-MA', 'Pinheiro', 'no', 'SNYE', 'PHI', 'MA0004', ''),
	('SNKX', 'small_airport', 'Marborges Airport', -1.971231, -48.629113, 114, 'BR', 'BR-PA', 'Moju', 'no', '', '', '', 'SNKX'),
	('SJOJ', 'small_airport', 'Simasa Airport', -4.870714, -47.390409, 656, 'BR', 'BR-MA', 'Açailândia', 'no', 'SJOJ', '', 'MA0030', ''),
	('SJTZ', 'small_airport', 'Dom Eliseu Airport', -4.3027777671813965, -47.581668853759766, 800, 'BR', 'BR-PA', 'Dom Eliseu', 'no', 'SJTZ', '', '', ''),
	('SNZV', 'small_airport', 'Fazenda Jamaica Airport', -3.722566, -47.477739, 361, 'BR', 'BR-PA', 'Ulianópolis', 'no', 'SNZV', '', 'PA0122', ''),
	('SWAI', 'small_airport', 'Fazenda Alvorada I Airport', -10.706667, -52.654444, 1699, 'BR', 'BR-MT', 'São José do Xingu', 'no', 'SSWA', '', 'MT0319', 'SWAI'),
	('SNZT', 'small_airport', 'Fazenda Recreio Airport', -3.504396, -48.333146, 499, 'BR', 'BR-PA', 'Paragominas', 'no', 'SNZT', '', 'PA0120', ''),
	('SNGW', 'small_airport', 'Fazenda Cauaxi Airport', -3.7633330821991, -48.173889160156, 754, 'BR', 'BR-PA', 'Paragominas', 'no', '', '', '', 'SNGW'),
	('SJAL', 'small_airport', 'Fazenda Santa Maria Airport', -4.646389, -47.233334, 1077, 'BR', 'BR-MA', 'Açailândia', 'no', '', '', '', 'SJAL'),
	('SNNC', 'small_airport', 'Rio Capim Airport', -2.8202779293060303, -47.8930549621582, 236, 'BR', 'BR-PA', 'Ipixuna Do Pará', 'no', 'SNNC', '', '', ''),
	('SILN', 'small_airport', 'Fazenda Rio Capim Airport', -3.556841, -48.648546, 325, 'BR', 'BR-PA', 'Paragominas', 'no', '', '', '', 'SILN'),
	('SNAD', 'small_airport', 'Fazenda Águia Branca Airport', -3.327482, -46.777507, 410, 'BR', 'BR-MA', 'Gurupi', 'no', 'SNAD', '', 'MA0033', ''),
	('SWHY', 'small_airport', 'Fazenda Boa Esperança I Airport', -4.131535, -48.686382, 285, 'BR', 'BR-PA', 'Rondon do Pará', 'no', '', '', '', 'SWHY'),
	('SBIZ', 'medium_airport', 'Prefeito Renato Moreira Airport', -5.53129, -47.459999, 430, 'BR', 'BR-MA', 'Imperatriz', 'yes', 'SBIZ', 'IMP', 'MA0002', ''),
	('SNHW', 'small_airport', 'Fazenda Agro-Maratá Airport', -4.3222222328186035, -46.22833251953125, 1001, 'BR', 'BR-MA', 'Santa Luzia', 'no', 'SNHW', '', '', ''),
	('SIKN', 'small_airport', 'Fazenda Bonanza Airport', -5.157222, -45.915558, 928, 'BR', 'BR-MA', 'Arame', 'no', 'SIKN', '', 'MA0021', ''),
	('SNQB', 'small_airport', 'Fazenda Val Paraíso Airport', -3.1683330535889, -48.071388244629, 256, 'BR', 'BR-PA', 'Paragominas', 'no', '', '', '', 'SNQB'),
	('SIAW', 'small_airport', 'Sítio Gurupi Airport', -3.739167, -47.516389, 420, 'BR', 'BR-PA', 'Ulianópolis', 'no', 'SIAW', '', 'PA0041', ''),
	('SBAZ', 'N/A', 'N/A', -3.263646215200424, -45.662219524383545, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJBY', 'small_airport', 'João Silva Airport', -3.65428, -45.3452, 82, 'BR', 'BR-MA', 'Santa Inês', 'no', 'SJBY', '', 'MA0007', ''),
	('SNLX', 'small_airport', 'Fazenda Primavera I Airport', -4.800556, -48.393333, 1050, 'BR', 'BR-PA', 'Rondon Do Pará', 'no', '', '', '', 'SNLX'),
	('SBAY', 'N/A', 'N/A', -5.582280121743679, -46.74068704247475, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNEB', 'small_airport', 'Nagib Demachki Airport', -3.019798, -47.316474, 443, 'BR', 'BR-PA', 'Paragominas', 'yes', 'SNEB', 'JPE', 'PA0018', ''),
	('SDXI', 'small_airport', 'Fazenda Cajueiro Airport', -4.236688, -48.4791, 577, 'BR', 'BR-PA', 'São Domingos do Capim', 'no', '', '', '', 'SDXI'),
	('SNHU', 'small_airport', 'FazendaBola Sete Airport', -4.57, -47.47, 699, 'BR', 'BR-MA', 'Itinga Do Maranhão', 'no', 'SNHU', '', '', ''),
	('SINO', 'small_airport', 'Fazenda Mapisa Airport', -4.413055896759, -46.518054962158, 634, 'BR', 'BR-MA', 'Bom Jesus Das Selvas', 'no', '', '', '', 'SINO'),
	('SIME', 'small_airport', 'Comandante Carlos Inácio Agnes Airport', -5.583771, -47.428032, 443, 'BR', 'BR-MA', 'Davinópolis', 'no', 'SIME', '', 'MA0023', ''),
	('SIKM', 'small_airport', 'Fazenda Viamão Airport', -5.289167, -46.001667, 863, 'BR', 'BR-MA', 'Arame', 'no', 'SIKM', '', 'MA0020', ''),
	('SJVX', 'small_airport', 'Pagrisa Airport', -3.7005560398101807, -47.76333236694336, 453, 'BR', 'BR-PA', 'Ulianópolis', 'no', 'SJVX', '', '', ''),
	('SJLI', 'small_airport', 'Fazenda Lilliani Airport', -4.213611125946045, -46.974998474121094, 958, 'BR', 'BR-MA', 'Bom Jardim', 'no', 'SJLI', '', '', ''),
	('SBWR', 'N/A', 'N/A', -3.1591855734586716, -48.543439507484436, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBLA', 'N/A', 'N/A', -4.2512815073132515, -45.2331568300724, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNDD', 'small_airport', 'Fazenda Eldorado Airport', -3.692355, -45.26903, 118, 'BR', 'BR-MA', 'Igarapé do Meio', 'no', 'SBOT', '', 'MA0110', 'SNDD'),
	('SNDF', 'small_airport', 'Fazenda Santa Lúcia Airport', -3.655, -45.451111, 272, 'BR', 'BR-MA', 'Santa Inês', 'no', '', '', '', 'SNDF'),
	('SJHX', 'closed', 'Frisama Açailândia Airport', -4.940974, -47.461796, 926, 'BR', 'BR-MA', 'Açailândia', 'no', '', '', '', 'SJHX'),
	('SIJS', 'small_airport', 'Fazenda Tonga Airport', -3.45472, -47.528613, 561, 'BR', 'BR-PA', 'Paragominas', 'no', 'SIJS', '', 'PA0048', ''),
	('SIHB', 'small_airport', 'Fazenda Soberana Airport', -5.455833, -46.0625, 417, 'BR', 'BR-MA', 'Grajaú', 'no', 'SIHB', '', 'MA0019', ''),
	('SNZU', 'small_airport', 'Fazenda Nova Conceição Airport', -2.855909, -48.231727, 243, 'BR', 'BR-PA', 'Tomé Açu', 'no', 'SNZU', '', 'PA0121', ''),
	('SBBY', 'N/A', 'N/A', -7.231135256588459, -45.88267832994461, 352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBDI', 'N/A', 'N/A', -8.14362209290266, -48.478515297174454, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBMB', 'N/A', 'N/A', -5.838772729039192, -47.05815151333809, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJRI', 'small_airport', 'Condomínio Boa Esperança Airport', -8.406389236450195, -45.44138717651367, 1825, 'BR', 'BR-PI', 'Baixa Grande Do Ribeiro', 'no', 'SJRI', '', '', ''),
	('SBUK', 'N/A', 'N/A', -7.70714957267046, -47.33135238289833, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBXC', 'N/A', 'N/A', -6.874787695705891, -45.30696675181389, 502, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJFB', 'small_airport', 'Fazenda Bacuri Airport', -8.377661, -46.4404, 1815, 'BR', 'BR-MA', 'Riachão', 'no', 'SJFB', '', 'MA0028', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SITT', 'small_airport', 'Fazenda Guaíra Airport', -7.089905, -45.95139, 1900, 'BR', 'BR-MA', 'Balsas', 'no', '', '', '', 'SITT'),
	('SBUM', 'N/A', 'N/A', -6.418380327522755, -48.55025812983513, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBDH', 'N/A', 'N/A', -8.389522656798363, -48.49054053425789, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBPW', 'N/A', 'N/A', -6.333625204861164, -47.47229799628258, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBEU', 'N/A', 'N/A', -6.782899908721447, -48.289100378751755, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIUL', 'small_airport', 'Agrosserra Airport', -6.7755560874939, -45.891666412354, 1926, 'BR', 'BR-MA', 'São Raimundo Das Mangabeiras', 'no', '', '', '', 'SIUL'),
	('SBUO', 'N/A', 'N/A', -6.341675519943237, -48.074080646038055, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSFQ', 'small_airport', 'Fazenda Barra Nova Airport', -21.319721, -54.735279, 1608, 'BR', 'BR-MS', 'Rio Brilhante', 'no', '', '', '', 'SSFQ'),
	('SNBS', 'small_airport', 'Balsas Airport', -7.52603, -46.053299, 930, 'BR', 'BR-MA', 'Balsas', 'no', 'SNBS', 'BSS', 'SNBS', ''),
	('SJQO', 'heliport', 'Unidade Administrativa Conjunta do IAP/BPAMB Heliport', -25.514167785645, -48.499168395996, 27, 'BR', 'BR-PR', 'Paranaguá', 'no', '', '', '', 'SJQO'),
	('SDSI', 'heliport', 'SESI - FIESP Heliport', -23.56379, -46.654558, 2986, 'BR', 'BR-SP', 'São Paulo', 'no', '', '', 'SP0460', 'SDSI, SDZR'),
	('SNXN', 'small_airport', 'Heringer Airport', -7.3752779960632, -45.989723205566, 1021, 'BR', 'BR-MA', 'Balsas', 'no', '', '', '', 'SNXN'),
	('SSDL', 'small_airport', 'Fazenda Ribeirão Airport', -8.008883, -45.333596, 1588, 'BR', 'BR-PI', 'Ribeirão Gonçalves', 'no', 'SSDL', '', 'PI0034', ''),
	('SIYI', 'small_airport', 'Fazenda Planalto Airport', -17.261915, -51.146516, 2874, 'BR', 'BR-GO', 'Montividiu', 'no', 'SIYI', '', 'GO0181', ''),
	('SDVO', 'closed', 'Varam Heliport', -23.567499, -46.655556, 2926, 'BR', 'BR-SP', 'São Paulo', 'no', '', '', '', 'SDVO, SDVO'),
	('SJAH', 'small_airport', 'Fazenda Gesso Integral', -5.773889, -45.164722, 755, 'BR', 'BR-MA', 'Grajaú', 'no', 'SJAH', '', 'MA0027', ''),
	('SWGN', 'medium_airport', 'Araguaína Airport', -7.22787, -48.240501, 771, 'BR', 'BR-TO', 'Araguaína', 'yes', 'SWGN', 'AUX', 'TO0002', ''),
	('SDOE', 'small_airport', 'Fazenda Sibéria Airport', -5.719401, -45.779741, 771, 'BR', 'BR-MA', 'Grajaú', 'no', 'SDOE', '', 'MA0015', ''),
	('SBEN', 'heliport', 'Plataforma Fixa Central de Enchova PCE-1 Helipad', -22.709226, -40.693268, 73, 'BR', 'BR-RJ', 'Macaé', 'no', 'SBEN', '', '', ''),
	('SJGU', 'small_airport', 'Araguatins Airport', -5.68603, -48.11427, 411, 'BR', 'BR-TO', 'Araguatins', 'no', 'SJGU', '', 'TO0005', 'SWAI'),
	('SNJC', 'small_airport', 'Fazenda Agua Boa Airport', -5.9611110687256, -47.392223358154, 495, 'BR', 'BR-MA', 'Ribamar Fiquene', 'no', '', '', '', 'SNJC'),
	('SBER', 'N/A', 'N/A', -7.170381546020508, -48.53364676237106, 338, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNRX', 'small_airport', 'Riachão Airport', -7.350279808044434, -46.6338996887207, 1312, 'BR', 'BR-MA', 'Riachão', 'no', 'SNRX', '', '', ''),
	('SBCI', 'medium_airport', 'Brig. Lysias Augusto Rodrigues Airport', -7.32044, -47.458698, 565, 'BR', 'BR-MA', 'Carolina', 'no', 'SBCI', 'CLN', 'MA0003', ''),
	('SBEM', 'N/A', 'N/A', -7.773502059280872, -48.5589399933815, 294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNVQ', 'small_airport', 'Fazenda Santa Mônica Airport', -6.5230560302734, -48.26583480835, 600, 'BR', 'BR-TO', 'Piraquê', 'no', '', '', '', 'SNVQ'),
	('SITW', 'small_airport', 'Fazenda Santa Luzia Airport', -6.8233327865601, -45.411945343018, 1720, 'BR', 'BR-MA', 'São Raimundo Das Mangabeiras', 'no', '', '', '', 'SITW'),
	('SJUI', 'heliport', 'Fazenda São Francisco Heliport', -22.382795, -47.008821, 2149, 'BR', 'BR-SP', 'Mogi Mirim', 'no', 'SWFS', '', 'SP0803', 'SJUI'),
	('SWUL', 'small_airport', 'Fazenda Furna Azul Airport', -6.2180562019348145, -48.421390533447266, 407, 'BR', 'BR-TO', 'Ananás', 'no', 'SWUL', '', '', ''),
	('SB29', 'small_airport', 'Vista Alegre Airport', -6.87094, -48.534901, 587, 'BR', 'BR-TO', 'Araguanã', 'no', '', '', '', 'SB29, SJOT, Fazenda Bela Vista'),
	('SBET', 'N/A', 'N/A', -6.823531351983547, -47.97802582383156, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBAW', 'N/A', 'N/A', -7.623914256691933, -48.41194108128548, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDOD', 'small_airport', 'Fazenda Vida Airport', -5.837362, -45.530848, 820, 'BR', 'BR-MA', 'Barra Do Corda', 'no', 'SDOD', '', 'MA0014', ''),
	('SITJ', 'small_airport', 'Fazenda São Gabriel Airport', -7.4904, -46.144934, 738, 'BR', 'BR-MA', 'Balsas', 'no', 'SWBN', '', 'MA0078', 'SITJ'),
	('SIUM', 'small_airport', 'Fazenda Planeste Airport', -8.556111, -46.849998, 1841, 'BR', 'BR-MA', 'Balsas', 'no', 'SIUM', '', 'MA0025', ''),
	('SDNT', 'small_airport', 'Fazenda Terra Prometida Airport', -10.414444, -48.256667, 889, 'BR', 'BR-TO', 'Porto Nacional', 'no', 'SDNT', '', 'TO0014', ''),
	('SBGZ', 'N/A', 'N/A', -9.400369115173817, -45.12931689620018, 640, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBMC', 'medium_airport', 'Minaçu Airport', -13.5491, -48.195301, 1401, 'BR', 'BR-GO', 'Minaçu', 'no', 'SWIQ', 'MQH', 'SWIQ', 'SBMC'),
	('SIZM', 'small_airport', 'Fazenda Santa Clara', -10.7027777778, -48.1944444444, 1024, 'BR', 'BR-TO', 'Porto Nacional', 'no', '', '', '', 'SIZM'),
	('SSDN', 'small_airport', 'Fazenda Galiléia Airport', -9.1044, -45.4166679382, 1932, 'BR', 'BR-PI', 'Baixa Grande Do Ribeiro', 'no', '', '', '', 'SSDN'),
	('SINN', 'small_airport', 'Fazenda Nova Holanda Airport', -8.806944, -46.358891, 1657, 'BR', 'BR-MA', 'Balsas', 'no', 'SWLH', '', 'SWLH', 'SINN'),
	('SNRW', 'small_airport', 'Fazenda Barreiro Airport', -9.90712, -48.635044, 1033, 'BR', 'BR-TO', 'Miracema do Tocantins', 'no', '', '', '', 'SNRW'),
	('SNZH', 'small_airport', 'Fazenda Pequena Holanda Airport', -9.009188, -46.136162, 2835, 'BR', 'BR-MA', 'Alto Parnaíba', 'no', 'SIWD', '', 'MA0026', 'SNZH'),
	('SBHL', 'N/A', 'N/A', -9.05875626951456, -45.50456464290619, 541, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWAG', 'small_airport', 'Agrícola Rio Galhão Airport', -10.424722, -46.076944, 2552, 'BR', 'BR-TO', 'Mateiros', 'no', 'SWAG', '', 'TO0041', ''),
	('SWYT', 'small_airport', 'Fazenda Formosa Airport', -10.013056, -47.681667, 1132, 'BR', 'BR-TO', 'Novo Acordo', 'no', '', '', '', 'SWYT'),
	('SWFQ', 'small_airport', 'Fazenda Alvorada Airport', -10.392000198364258, -48.67919921875, 943, 'BR', 'BR-TO', 'Porto Nacional', 'no', 'SWFQ', '', 'SWFQ', ''),
	('SSDG', 'small_airport', 'Fazenda Nazaré Airport', -9.335862, -45.57298, 2034, 'BR', 'BR-PI', 'Santa Filomena', 'no', 'SNXZ', '', 'PI0033', 'SSDG'),
	('SDKJ', 'small_airport', 'Formosa do Rio Preto Airport', -11.0216, -45.186699, 1732, 'BR', 'BR-BA', 'Formosa do Rio Preto', 'no', 'SDKJ', '', 'BA0025', ''),
	('SJVW', 'small_airport', 'Campos Gerais Airport', -8.5169439315796, -46.74694442749, 1706, 'BR', 'BR-MA', 'Balsas', 'no', '', '', '', 'SJVW'),
	('SNYF', 'small_airport', 'Fazenda Parnaíba Airport', -8.509897, -46.074772, 1847, 'BR', 'BR-MA', 'Tasso Fragoso', 'no', 'SJ9Y', '', 'MA0130', 'SNYF, SWIG, Balsas');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBPJ', 'medium_airport', 'Brigadeiro Lysias Rodrigues Airport', -10.2915, -48.356998, 774, 'BR', 'BR-TO', 'Palmas', 'yes', 'SBPJ', 'PMW', 'TO0001', ''),
	('SBFO', 'N/A', 'N/A', -10.60474969446659, -46.2487967312336, 598, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBWQ', 'N/A', 'N/A', -9.545443765819073, -48.39912191033363, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJQZ', 'small_airport', 'Dona Iracema Airport', -10.606389045715, -48.348609924316, 919, 'BR', 'BR-TO', 'Porto Nacional', 'no', '', '', '', 'SJQZ'),
	('SBPN', 'medium_airport', 'Porto Nacional Airport', -10.719402, -48.3997, 870, 'BR', 'BR-TO', 'Porto Nacional', 'no', 'SDPE', 'PNB', 'TO0003', 'SBPN'),
	('SBQK', 'small_airport', 'Fazenda Mundial Airport', -6.539099, -51.442256, 778, 'BR', 'BR-PA', 'São Félix do Xingu', 'no', 'SBQK', '', 'PA0246', ''),
	('SNSP', 'heliport', 'Moinho II Heliport', -21.944721221924, -45.620277404785, 2958, 'BR', 'BR-MG', 'São Gonçalo Do Sapucaí', 'no', '', '', '', 'SNSP'),
	('SBWP', 'N/A', 'N/A', -10.182695724070072, -48.54518115520477, 302, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBMF', 'N/A', 'N/A', -10.161678940057755, -46.66718780994415, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIHJ', 'small_airport', 'Sítio Flyer Airport', -10.108056, -48.326389, 958, 'BR', 'BR-TO', 'Palmas', 'no', 'SJCF', '', 'TO0060', 'SDNB, SIHJ'),
	('SWBH', 'small_airport', 'Brejinho de Nazaré Airport', -11.025208, -48.575406, 869, 'BR', 'BR-TO', 'Brejinho De Nazaré', 'no', '', '', 'TO0010', 'SWBH'),
	('SNKR', 'small_airport', 'Corrente Airport', -10.451944, -45.136391, 1552, 'BR', 'BR-PI', 'Corrente', 'no', 'SNKR', '', '', ''),
	('SNAI', 'small_airport', 'Alto Parnaíba Airport', -9.083611, -45.950558, 968, 'BR', 'BR-MA', 'Alto Parnaíba', 'no', '', 'APY', '', 'SNAI'),
	('SBDG', 'N/A', 'N/A', -8.544090315699577, -48.50829318165779, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBEJ', 'N/A', 'N/A', -8.56444425880909, -48.70358571410179, 378, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDYE', 'heliport', 'Hotal Fazenda Dona Carolina Heliport', -22.941489, -46.701277, 2625, 'BR', 'BR-SP', 'Itatiba', 'no', 'SWDO', '', 'SP0799', 'SDYE'),
	('SWHF', 'small_airport', 'Fazenda Frigovale I Airport', -10.490778, -48.3372, 860, 'BR', 'BR-TO', 'Porto Nacional', 'no', '', '', '', 'SWHF'),
	('SBDF', 'N/A', 'N/A', -8.871893137693405, -48.50167170166969, 246, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJUA', 'small_airport', 'Fazenda Ipanema Airport', -13.621507, -46.1379, 3101, 'BR', 'BR-BA', 'Correntina', 'no', 'SIPH', '', 'BA0093', 'SJUA'),
	('SWJD', 'small_airport', 'Fazenda Genipapo Airport', -13.452221870422363, -46.679443359375, 1279, 'BR', 'BR-GO', 'São Domingos', 'no', 'SWJD', '', '', ''),
	('SBXB', 'N/A', 'N/A', -12.150613367557526, -45.869660675525665, 731, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJAX', 'small_airport', 'Fazenda Acalanto Airport', -12.95931, -45.972805, 2657, 'BR', 'BR-BA', 'São Desidério', 'no', 'SNEK', '', 'BA0135', 'SJAX'),
	('SBGF', 'N/A', 'N/A', -11.304164864122868, -48.679391741752625, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJPK', 'small_airport', 'Marcos da Cunha Airport', -12.361389160156, -46.134166717529, 2815, 'BR', 'BR-BA', 'Luís Eduardo Magalhães', 'no', '', '', '', 'SJPK'),
	('SSNW', 'small_airport', 'Aeródromo Fazenda Milano', -12.302778, -45.513889, 2264, 'BR', 'BR-BA', 'Barreiras', 'no', 'SI4N', '', 'BA0389', 'SSNW, Fazenda Buriti'),
	('SJJO', 'small_airport', 'João de Oliveira Bueno Airport', -13.192744, -47.120251, 1431, 'BR', 'BR-GO', 'Monte Alegre De Goiás', 'no', 'SJJO', '', 'GO0078', ''),
	('SWRA', 'small_airport', 'Arraias Airport', -13.025154, -46.884107, 1923, 'BR', 'BR-TO', 'Arraias', 'no', '', 'AAI', '', 'SWRA'),
	('SJJL', 'small_airport', 'Fazenda Campo Aberto Airport', -11.787449, -45.965409, 2418, 'BR', 'BR-BA', 'Barreiras', 'no', 'SJJL', '', 'BA0115', ''),
	('SNDH', 'small_airport', 'Aba Airport', -12.162858, -45.033695, 1682, 'BR', 'BR-BA', 'Barreiras', 'no', 'SNDH', '', '', ''),
	('SJEX', 'small_airport', 'Fazenda Vitória Airport', -13.008656, -46.107366, 2966, 'BR', 'BR-BA', 'São Desidério', 'no', 'SJEX', '', 'BA0106', ''),
	('SJEW', 'small_airport', 'Fazenda Horita Airport', -13.011111, -46.238056, 3163, 'BR', 'BR-BA', 'São Desidério', 'no', '', '', 'BA0245', 'SJEW, SJWH'),
	('SJTN', 'small_airport', 'Fazenda Alvorada do Caxingó Airport', -13.375, -46.897499084473, 1742, 'BR', 'BR-GO', 'Monte Alegre De Goiás', 'no', '', '', '', 'SJTN'),
	('SBSS', 'N/A', 'N/A', -13.295549489557743, -46.37876629829407, 640, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNBR', 'small_airport', 'Dom Ricardo Weberberger Airport', -12.0789, -45.008999, 2451, 'BR', 'BR-BA', 'Barreiras', 'yes', 'SNBR', 'BRA', 'BA0011', ''),
	('SBVU', 'N/A', 'N/A', -13.751918636262417, -46.162410378456116, 967, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWXH', 'small_airport', 'Fazenda São Sebastião Airport', -13.064413, -46.258833, 2999, 'BR', 'BR-BA', 'São Desidério', 'no', 'SSTL', '', 'BA0257', 'SWXH'),
	('SBGG', 'N/A', 'N/A', -11.706075109541416, -47.7505686879158, 323, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDQM', 'heliport', 'Helicentro Ribeirão Preto Heliport', -21.210278, -47.770212, 1837, 'BR', 'BR-SP', 'Ribeirão Preto', 'no', 'SSUE', '', 'SP0780', 'SDQM'),
	('SWBK', 'small_airport', 'Fazenda Paladino Airport', -13.089444, -45.8325, 2746, 'BR', 'BR-BA', 'São Desidério', 'no', 'SWBK', '', 'BA0256', ''),
	('SJEA', 'small_airport', 'Cadete 56-147 Santana Airport', -12.850863, -48.226832, 985, 'BR', 'BR-TO', 'Palmeirópolis', 'no', 'SJEA', '', 'TO0025', ''),
	('SJMZ', 'small_airport', 'Fazenda Mizote Airport', -12.95748, -46.006204, 2701, 'BR', 'BR-BA', 'São Desidério', 'no', 'SJMZ', '', 'BA0116', ''),
	('SJOX', 'small_airport', 'Fazenda Brinquinho Airport', -12.825, -46.244999, 3145, 'BR', 'BR-BA', 'São Desidério', 'no', 'SDRQ', '', 'BA0078', 'SJOX'),
	('SJVV', 'small_airport', 'Fazenda Catelani Airport', -13.473333358765, -48.459167480469, 2461, 'BR', 'BR-GO', 'Minaçu', 'no', '', '', '', 'SJVV'),
	('SWDN', 'small_airport', 'Dianópolis Airport', -11.5953998566, -46.846698761, 2001, 'BR', 'BR-TO', 'Dianópolis', 'no', 'SWDN', 'DNO', '', ''),
	('SWPN', 'small_airport', 'Paranã Airport', -12.627595, -47.847759, 886, 'BR', 'BR-TO', 'Paranã', 'no', '', '', '', 'SWPN'),
	('SWIQ', 'medium_airport', 'Minaçu Airport', -13.5491, -48.195301, 1401, 'BR', 'BR-GO', 'Minaçu', 'no', 'SWIQ', 'MQH', 'SWIQ', 'SBMC'),
	('SJUU', 'small_airport', 'Fazenda Paraná Airport', -14.028056144714355, -46.87111282348633, 1450, 'BR', 'BR-GO', 'Nova Roma', 'no', 'SJUU', '', '', ''),
	('SJZM', 'small_airport', 'Carlos Alberto Pinto Airport', -12.606944084167, -46.747222900391, 1338, 'BR', 'BR-TO', 'Arraias', 'no', '', '', '', 'SJZM'),
	('SBTO', 'N/A', 'N/A', -12.549733445048332, -46.887013614177704, 393, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDJX', 'small_airport', 'Fazenda Serra Dourada Airport', -13.102172, -48.386468, 1585, 'BR', 'BR-TO', 'Palmeirópolis', 'no', 'SDJX', '', 'TO0013', ''),
	('SWTY', 'small_airport', 'Taguatinga Airport', -12.433889389038086, -46.40055465698242, 1959, 'BR', 'BR-TO', 'Taguatinga', 'no', 'SWTY', 'QHN', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWYI', 'small_airport', 'Barragem Manoel Alves Airport', -11.557041, -46.985109, 2067, 'BR', 'BR-TO', 'Dianópolis', 'no', '', '', '', 'SWYI'),
	('SBUI', 'N/A', 'N/A', -12.231158427894115, -47.32624143362045, 411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWML', 'small_airport', 'Monte Alegre de Goiás Airport', -13.2497215271, -46.871387481689, 1821, 'BR', 'BR-GO', 'Monte Alegre De Goiás', 'no', '', '', '', 'SWML'),
	('SBFQ', 'N/A', 'N/A', -12.96763937920332, -46.857703775167465, 620, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJWP', 'small_airport', 'Warpol Airport', -12.619443893432617, -45.92361068725586, 2650, 'BR', 'BR-BA', 'São Desidério', 'no', 'SJWP', '', '', ''),
	('SD3Q', 'small_airport', 'Fazenda Panorama Airport', -13.400127, -46.10003, 3058, 'BR', 'BR-BA', 'Correntina', 'no', 'SD3Q', '', 'BA0290', ''),
	('SSQZ', 'small_airport', 'Mimoso do Oeste Airport', -12.106389, -45.895, 2543, 'BR', 'BR-BA', 'Luíz Eduardo Magalhães', 'no', 'SSQZ', '', 'BA0033', ''),
	('SNZD', 'small_airport', 'Fazenda Dona Hilda Airport', -13.204167366028, -48.600833892822, 1424, 'BR', 'BR-GO', 'Montividiu Do Norte', 'no', '', '', '', 'SNZD'),
	('SJGY', 'small_airport', 'Fazenda Barriguda Airport', -13.708326, -46.743243, 1965, 'BR', 'BR-GO', 'São Domingos', 'no', 'SJGY', '', 'GO0075', ''),
	('SJOY', 'small_airport', 'Fazenda São Miguel Airport', -12.607222, -46.239445, 2999, 'BR', 'BR-BA', 'São Desidério', 'no', 'SDTV', '', 'BA0079', 'SJOY'),
	('SJCC', 'heliport', 'Álvaro Gama Heliport', -22.868333816528, -42.046943664551, 17, 'BR', 'BR-RJ', 'Cabo Frio', 'no', '', '', '', 'SJCC'),
	('SBUX', 'N/A', 'N/A', -11.580073647201061, -47.16177999973297, 450, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBNJ', 'N/A', 'N/A', -12.06837348639965, -45.71176528930664, 770, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBUH', 'N/A', 'N/A', -12.227676250040531, -47.27664738893509, 412, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDA8', 'small_airport', 'Fazenda Passagem Funda Airport', -13.959684, -46.103506, 2772, 'BR', 'BR-BA', 'Correntina', 'no', 'SDA8', '', 'BA0367', ''),
	('SWXF', 'closed', 'Chácara Córrego Fundo Airport', -15.59, -56.05, 630, 'BR', 'BR-MT', 'Cuiabá', 'no', '', '', '', 'SWXF, SWXF'),
	('SBSQ', 'N/A', 'N/A', -13.703293539583683, -45.61396166682243, 816, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWCB', 'small_airport', 'Campos Belos Airport', -13.006213, -46.711208, 2198, 'BR', 'BR-GO', 'Campos Belos', 'no', 'SWCB', '', 'GO0023', ''),
	('SWVI', 'closed', 'Fazenda Pirassununga Airport', -11.517778, -48.31111, 787, 'BR', 'BR-TO', 'São Valério', 'no', '', '', '', 'SWVI'),
	('SBCW', 'N/A', 'N/A', -13.778106719255447, -47.28202521800995, 797, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNDQ', 'small_airport', 'Fazenda Soya Airport', -12.921111106872559, -45.56944274902344, 2549, 'BR', 'BR-BA', 'São Desidério', 'no', 'SNDQ', '', '', ''),
	('SBSD', 'N/A', 'N/A', -13.412030450999737, -46.297763139009476, 722, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJGC', 'small_airport', 'Fazenda Busato I Airport', -12.899685, -45.494492, 1201, 'BR', 'BR-BA', 'São Desidério', 'no', 'SJGC', '', 'BA0109', ''),
	('SNSD', 'small_airport', 'Franor Airport', -12.91656, -45.722453, 2664, 'BR', 'BR-BA', 'São Desidério', 'no', 'SJFA', '', 'BA0107', 'SNSD, São Luiz'),
	('SWCW', 'small_airport', 'Cavalcante Airport', -13.778604, -47.412121, 2625, 'BR', 'BR-GO', 'Cavalcante', 'no', '', '', '', 'SWCW'),
	('SWRH', 'small_airport', 'Fazenda Aurora Airport', -12.710022, -46.156952, 2904, 'BR', 'BR-BA', 'São Desidério', 'no', 'SWRH', '', '', ''),
	('SNBB', 'small_airport', 'Fazenda Agronol Airport', -11.954774, -45.723528, 2464, 'BR', 'BR-BA', 'Luís Eduardo Magalhães', 'no', 'SJVW', '', 'BA0124', 'SNBB'),
	('SIRE', 'small_airport', 'Fazenda Rancho Estrela IV Airport', -13.651944160461, -46.541389465332, 2549, 'BR', 'BR-GO', 'São Domingos', 'no', '', '', '', 'SIRE'),
	('SWQX', 'small_airport', 'Fazenda Barro Preto Airport', -13.335495, -46.901991, 1578, 'BR', 'BR-GO', 'Monte Alegre De Goiás', 'no', '', '', '', 'SWQX'),
	('SDFZ', 'closed', 'Vivo Barra Funda Heliport', -23.509166, -46.68111, 2441, 'BR', 'BR-SP', 'São Paulo', 'no', '', '', '', 'SDFZ'),
	('SNFS', 'small_airport', 'Fazenda Mimoso S/A Airport', -11.871389389, -45.7372207642, 2536, 'BR', 'BR-BA', 'Barreiras', 'no', '', '', '', 'SNFS'),
	('SBUE', 'N/A', 'N/A', -12.178572379052639, -46.97088271379471, 428, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJFX', 'small_airport', 'Fazenda Santo Ângelo Airport', -12.79833316803, -46.095832824707, 2799, 'BR', 'BR-BA', 'São Desidério', 'no', '', '', '', 'SJFX'),
	('SDCM', 'small_airport', 'Sete Povos Airport', -12.863937, -46.163263, 2957, 'BR', 'BR-BA', 'São Desidério', 'no', 'SDCM', '', 'BA0069', ''),
	('SDEX', 'small_airport', 'Fazenda Nossa Senhora do Carmo Airstrip', -12.58051, -45.824347, 2543, 'BR', 'BR-BA', 'São Desidério', 'no', 'SI4S', '', 'BA0391', 'SDEX'),
	('SDDQ', 'small_airport', 'Fazenda São Francisco Airport', -11.69435, -45.51127, 2480, 'BR', 'BR-BA', 'Riachão das Neves', 'no', 'SDDQ', '', 'BA0071', ''),
	('SBUJ', 'N/A', 'N/A', -11.826150566339493, -47.6263864338398, 305, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBFP', 'N/A', 'N/A', -13.434068150818348, -47.15330645442009, 394, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJAZ', 'small_airport', 'Fazenda Querubim Airport', -12.770401, -46.023488, 2733, 'BR', 'BR-BA', 'São Desidério', 'no', 'SJAZ', '', 'BA0102', ''),
	('SWMG', 'small_airport', 'Fazenda Caraíbas Airport', -13.3855562210083, -46.775001525878906, 1637, 'BR', 'BR-GO', 'Monte Alegre De Goiás', 'no', 'SWMG', '', '', ''),
	('SJGD', 'small_airport', 'Fazenda Rio Brilhante Airport', -12.7948, -45.721911, 2799, 'BR', 'BR-BA', 'São Desidério', 'no', 'SJGD', '', 'BA0110', ''),
	('SNUN', 'small_airport', 'Unaí Airport', -16.356501, -46.9277, 1998, 'BR', 'BR-MG', 'Unaí', 'no', 'SNUN', '', 'SNUN', ''),
	('SWCD', 'small_airport', 'Fazenda Santa Mônica Airport', -15.9353, -48.646599, 3888, 'BR', 'BR-GO', 'Alexânia', 'no', '', '', 'SWCD', 'SWCD'),
	('SBQF', 'heliport', 'Ferigolo Heliport', -29.461667, -53.463611, 381, 'BR', 'BR-RS', 'Nova Palma', 'no', 'SBQF', '', 'RS0177', ''),
	('SSWB', 'closed', 'Fazenda Sorte Grande Airport', -24.61, -52.36, 2339, 'BR', 'BR-PR', 'Roncador', 'no', '', '', '', 'SSWB, SSWB'),
	('SBGK', 'N/A', 'N/A', -15.867341011762619, -48.33855226635933, 1116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSLJ', 'small_airport', 'Fazenda Santa Izabel Airport', -14.265278, -47.0275, 1434, 'BR', 'BR-GO', 'Flores De Goiás', 'no', '', '', '', 'SSLJ'),
	('SSGD', 'heliport', 'Pereira Alvim Heliport', -21.218889, -47.805, 2096, 'BR', 'BR-SP', 'Ribeirão Preto', 'no', '', '', '', 'SSGD'),
	('SIQE', 'small_airport', 'Botelho Airport', -15.937469, -47.726636, 3399, 'BR', 'BR-DF', 'Brasília', 'no', 'SIQE', '', 'DF0005', 'Esquadrilha Fox'),
	('SWUZ', 'small_airport', 'Brigadeiro Araripe Macedo Airport', -16.2617, -47.9687, 3269, 'BR', 'BR-GO', 'Luziânia', 'no', 'SWUZ', '', 'SWUZ', ''),
	('SNFA', 'small_airport', 'Fazenda Santo Antônio Airport', -16.7162, -46.521198, 1795, 'BR', 'BR-MG', 'Unaí', 'no', 'SNFA', '', 'MG0143', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWPV', 'closed', 'Planaltina Airport', -15.680044, -47.540225, 3822, 'BR', 'BR-DF', 'Brasília', 'no', '', '', '', 'SWPV, DF0002'),
	('SNJE', 'small_airport', 'Fazenda Trijunção Airport', -14.795278, -46.005, 3097, 'BR', 'BR-BA', 'Jaborandi', 'no', 'SDZI', '', 'BA0083', 'SNJE, Fazenda Sertão do Formoso'),
	('SJPH', 'small_airport', 'Fazenda Palma Airport', -16.189444, -48.078056, 3297, 'BR', 'BR-GO', 'Luziânia', 'no', '', '', '', 'SJPH'),
	('SIMF', 'small_airport', 'Fazenda São Miguel Airport', -15.973055839539, -46.709442138672, 3287, 'BR', 'BR-MG', 'Unaí', 'no', '', '', 'SWWE', 'SIMF, SWWE'),
	('SBBR', 'large_airport', 'Presidente Juscelino Kubitschek International Airport', -15.869167, -47.920834, 3497, 'BR', 'BR-DF', 'Brasília', 'yes', 'SBBR', 'BSB', 'DF0001', ''),
	('SJAQ', 'small_airport', 'Fazenda Renascença Airport', -16.116865, -46.354453, 3038, 'BR', 'BR-MG', 'Unaí', 'no', 'SJAQ', '', 'MG0116', ''),
	('SNYM', 'small_airport', 'Fazenda Flexas Airport', -16.376388549805, -45.123054504395, 1594, 'BR', 'BR-MG', 'São Romão', 'no', '', '', '', 'SNYM'),
	('SDXD', 'heliport', 'IBM Tutóia Heliport', -23.579962, -46.649376, 2786, 'BR', 'BR-SP', 'São Paulo', 'no', 'SSTO', '', 'SP0778', 'SDXD'),
	('SDZF', 'small_airport', 'Fazenda Lamarão Airport', -15.98442, -47.467459, 2945, 'BR', 'BR-DF', 'Brasília', 'no', 'SDZF', '', '', ''),
	('SNPS', 'small_airport', 'Fazenda Córrego da Ponte Airport', -15.2601, -46.762402, 3277, 'BR', 'BR-MG', 'Buritis', 'no', 'SN4G', '', 'MG0587', 'SNPS, Pontezinha Airport'),
	('SILM', 'small_airport', 'Fazenda Regalito Airport', -14.466194, -46.870703, 1598, 'BR', 'BR-GO', 'Flores De Goiás', 'no', 'SNNW', '', 'GO0198', 'SILM'),
	('SWIA', 'small_airport', 'Iaciara Airport', -14.107609, -46.666918, 1854, 'BR', 'BR-GO', 'Iaciara', 'no', '', '', '', ''),
	('SJTH', 'small_airport', 'Fazenda Pôr do Sol', -16.249545, -47.37075, 2963, 'BR', 'BR-GO', 'Paraúna', 'no', 'SJTH', '', 'GO0288', ''),
	('SBEV', 'N/A', 'N/A', -15.890764407813549, -46.099500954151154, 526, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNQQ', 'heliport', 'Atlântico Offices Heliport', -22.389999389648, -41.776390075684, 118, 'BR', 'BR-RJ', 'Macaé', 'no', '', '', '', 'SNQQ'),
	('SSAI', 'small_airport', 'Fazenda Panamá Airport', -14.10529, -46.797615, 1640, 'BR', 'BR-GO', 'Iaciara', 'no', 'SSAI', '', 'GO0104', ''),
	('SNYO', 'small_airport', 'Fazenda Logradouro Vereda da Ponte Airport', -16.299167633057, -46.159442901611, 2848, 'BR', 'BR-MG', 'Riachinho', 'no', '', '', '', 'SNYO'),
	('SWNQ', 'small_airport', 'Niquelândia Airport', -14.434869, -48.491615, 2756, 'BR', 'BR-GO', 'Niquelândia', 'no', 'SWNQ', 'NQL', 'GO0016', ''),
	('SSOV', 'small_airport', 'Fazenda Hora Airport', -16.144897, -45.82042, 1837, 'BR', 'BR-MG', 'Urucuia', 'no', '', '', '', 'SSOV'),
	('SWFA', 'small_airport', 'Fazenda Pamplona Airport', -16.25055694580078, -47.61722183227539, 3281, 'BR', 'BR-GO', 'Cristalina', 'no', 'SWFA', '', '', ''),
	('SSGP', 'small_airport', 'Piquet Airport', -15.854347, -47.808685, 3281, 'BR', 'BR-DF', 'Brasília', 'no', 'SSGP', '', '', ''),
	('SWLD', 'small_airport', 'Porto Cajueiro Airport', -14.88405, -45.338569, 2510, 'BR', 'BR-MG', 'Januária', 'no', 'SNCK', '', 'MG0140', 'SWLD'),
	('SBBS', 'N/A', 'N/A', -15.303857512772083, -45.631946325302124, 869, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWRM', 'small_airport', 'Santo Antônio do Descoberto Airport', -15.930556, -48.333611, 3674, 'BR', 'BR-GO', 'Santo Antônio do Descoberto', 'no', '', '', '', 'SWRM'),
	('SNYI', 'small_airport', 'Fazenda HJ Airport', -16.611883, -47.296011, 2815, 'BR', 'BR-MG', 'Unaí', 'no', 'SIAX', '', 'MG0471', 'SNYI'),
	('SNTD', 'small_airport', 'Fazenda Mamoneira Airport', -16.586200714111328, -46.5010986328125, 1862, 'BR', 'BR-MG', 'Natalândia', 'no', 'SNTD', '', 'SNTD', ''),
	('SJXO', 'heliport', 'HP Padilha Heliport', -23.038610458374, -44.153331756592, 16, 'BR', 'BR-RJ', 'Mangaratiba', 'no', '', '', '', 'SJXO'),
	('SDXB', 'small_airport', 'Cristalina Airport', -16.791, -47.645199, 3937, 'BR', 'BR-GO', 'Cristalina', 'no', '', '', 'GO0027', 'SDXB'),
	('SJPQ', 'small_airport', 'Fazenda Buriti Airport', -16.319721, -47.225277, 3215, 'BR', 'BR-MG', 'Unaí', 'no', 'SBOB', '', 'MG0470', 'SJPQ, Avstal Airport'),
	('SSVM', 'small_airport', 'Fazenda Santa Alaíde Airport', -22.002501, -54.974167, 1499, 'BR', 'BR-MS', 'Itaporã', 'no', '', '', '', 'SSVM'),
	('SBAB', 'N/A', 'N/A', -16.061793453991413, -48.52918803691864, 1091, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBEW', 'N/A', 'N/A', -15.825510285794735, -46.468451768159866, 924, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIQZ', 'small_airport', 'Fazenda Carolina Airport', -15.594296, -46.603227, 1871, 'BR', 'BR-MG', 'Buritis', 'no', 'SSFZ', '', 'MG0182', 'SIQZ'),
	('SBLQ', 'N/A', 'N/A', -16.74465235322714, -47.987083196640015, 860, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSOT', 'small_airport', 'Fazenda Saco da Tapera Airport', -16.34694480895996, -45.34916687011719, 1946, 'BR', 'BR-MG', 'São Romão', 'no', 'SSOT', '', '', ''),
	('SWPZ', 'small_airport', 'Oriçanga de Abreu Airport', -14.1181, -46.345402, 2759, 'BR', 'BR-GO', 'Posse', 'no', 'SWPZ', '', 'GO0010', ''),
	('SBLR', 'N/A', 'N/A', -15.767545402050018, -47.904954850673676, 1135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBXA', 'N/A', 'N/A', -16.420214027166367, -45.01297205686569, 483, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDS2', 'small_airport', 'Fazenda Macaúba Airport', -14.29264, -46.406655, 2920, 'BR', 'BR-GO', 'Posse', 'no', 'SDS2', '', 'GO0280', ''),
	('SJPI', 'small_airport', 'Fazenda Pirapitinga Airport', -15.417558, -48.634816, 2323, 'BR', 'BR-GO', 'Cocalzinho De Goiás', 'no', 'SWIW', '', 'GO0129', 'SJPI'),
	('SWFR', 'small_airport', 'Formosa Airport', -15.5551, -47.345699, 3166, 'BR', 'BR-GO', 'Formosa', 'no', 'SWFR', '', 'SWFR', ''),
	('SBTX', 'N/A', 'N/A', -15.56347019970417, -45.41526809334755, 654, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDXF', 'small_airport', 'Alto Paraíso Airport', -14.121000289916992, -47.53089904785156, 4413, 'BR', 'BR-GO', 'Alto Paraíso', 'no', 'SDXF', '', 'SDXF', ''),
	('SJGL', 'heliport', 'Pitangueira Heliport', -27.37611, -49.830833, 1290, 'BR', 'BR-SC', 'Agrolândia', 'no', 'SSFF', '', 'SC0089', 'SJGL'),
	('SJFW', 'small_airport', 'Fazenda W. Egídio III Airport', -15.938055992126, -46.477500915527, 2648, 'BR', 'BR-MG', 'Unaí', 'no', '', '', '', 'SJFW'),
	('SJCN', 'small_airport', 'Aero Agrícola Cristalina Airport', -16.906944274902, -47.708332061768, 3544, 'BR', 'BR-GO', 'Cristalina', 'no', '', '', '', 'SJCN'),
	('SIIU', 'small_airport', 'Santa Marta Airport', -19.642052, -48.712231, 2218, 'BR', 'BR-MG', 'Campo Florido', 'no', 'SIIU', '', 'MG0101', ''),
	('SBBX', 'N/A', 'N/A', -17.124699912965298, -45.60449078679085, 526, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBUL', 'medium_airport', 'Ten. Cel. Aviador César Bombonato Airport', -18.883579, -48.225936, 3094, 'BR', 'BR-MG', 'Uberlândia', 'yes', 'SBUL', 'UDI', 'MG0002', ''),
	('SIXG', 'small_airport', 'Fazenda Pouso Alegre Airport', -18.03226, -47.463856, 2812, 'BR', 'BR-GO', 'Catalão', 'no', 'SIXG', '', 'GO0061', ''),
	('SNPO', 'small_airport', 'Pompeu Airport', -19.20330047607422, -45.02330017089844, 2313, 'BR', 'BR-MG', 'Pompeu', 'no', 'SNPO', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SSNN', 'small_airport', 'Salvaterra II Airport', -17.197500228882, -45.776668548584, 1749, 'BR', 'BR-MG', 'João Pinheiro', 'no', '', '', '', 'SSNN'),
	('SNDY', 'closed', 'Dores Do Indaia Airport', -19.457199, -45.5844, 2490, 'BR', 'BR-MG', 'Dores Do Indiaia', 'no', '', '', '', 'SNDY, SNDY'),
	('SNTK', 'small_airport', 'Monte Carmelo Airport', -18.718712, -47.485187, 2969, 'BR', 'BR-MG', 'Monte Carmelo', 'no', 'SD4L', '', 'MG0067', 'SNTK'),
	('SJHS', 'small_airport', 'Fazenda São Vicente Airport', -19.310409, -48.343315, 2477, 'BR', 'BR-MG', 'Uberlândia', 'no', 'SJHS', '', 'MG0122', ''),
	('SNSA', 'small_airport', 'Fazenda Bom Sucesso Airport', -17.608610153198, -46.703887939453, 2454, 'BR', 'BR-MG', 'Vazante', 'no', '', '', '', 'SNSA'),
	('SNAG', 'small_airport', 'Araguari Airport', -18.668301, -48.190498, 3107, 'BR', 'BR-MG', 'Araguari', 'no', 'SNAG', '', 'MG0020', ''),
	('SNAS', 'small_airport', 'Três Marias Airport', -18.222401, -45.188999, 2579, 'BR', 'BR-MG', 'Três Marias', 'no', 'SNAS', '', 'MG0022', ''),
	('SIPJ', 'small_airport', 'Fazenda Marreco Airport', -18.108610153198, -45.215557098389, 1969, 'BR', 'BR-MG', 'São Gonçalo Do Abaeté', 'no', '', '', '', 'SIPJ'),
	('SIPQ', 'small_airport', 'Fazenda Rancho Estrela Airport', -16.998332977295, -48.738056182861, 3002, 'BR', 'BR-GO', 'São Miguel Do Passa Quatro', 'no', '', '', '', 'SIPQ'),
	('SIHV', 'small_airport', 'Fazenda Boa Sorte Airport', -17.211111068726, -46.614444732666, 2002, 'BR', 'BR-MG', 'Paracatu', 'no', '', '', '', 'SIHV'),
	('SNEK', 'small_airport', 'Moria Airport', -16.879745, -46.233015, 1201, 'BR', 'BR-MG', 'Dom Bosco', 'no', '', '', '', 'SNEK'),
	('SWPR', 'small_airport', 'Pires do Rio Airport', -17.319099, -48.334801, 2428, 'BR', 'BR-GO', 'Pires Do Rio', 'no', 'SWPR', '', 'SWPR', ''),
	('SJPT', 'closed', 'Petrobrás - Refinaria de Capuava Heliport', -23.6527786255, -46.4799995422, 2480, 'BR', 'BR-SP', 'Mauá', 'no', '', '', '', 'SJPT, SJPT'),
	('SNYL', 'small_airport', 'Fazenda São João Airport', -18.425829, -46.051215, 3300, 'BR', 'BR-MG', 'Varjão De Minas', 'no', '', '', '', 'SNYL'),
	('SNUF', 'small_airport', 'Fazenda Treis Coringas Airport', -19.518497, -47.852107, 3264, 'BR', 'BR-MG', 'Uberaba', 'no', '', '', '', 'SNUF'),
	('SDYI', 'small_airport', 'Fazenda Buritiz Airport', -17.917499542236328, -45.40250015258789, 3045, 'BR', 'BR-MG', 'Buritizeiro', 'no', 'SDYI', '', '', ''),
	('SSWM', 'small_airport', 'Fazenda Santa Maria Airport', -23.495871, -51.320029, 2461, 'BR', 'BR-PR', 'Londrina', 'no', 'SWSA', '', 'PR0098', 'SSWM'),
	('SNHE', 'small_airport', 'Fazenda Inhumas do Chapadão Airport', -19.305833, -48.193333, 2792, 'BR', 'BR-MG', 'Uberaba', 'no', 'SWWF', '', 'MG0206', 'SNHE'),
	('SIXF', 'small_airport', 'Fazenda Soledade Airport', -17.383446, -47.536232, 2717, 'BR', 'BR-GO', 'Campo Alegre De Goiás', 'no', 'SNRK', '', 'GO0200', 'SIXF'),
	('SBNI', 'N/A', 'N/A', -17.389611303806305, -45.09354114532471, 696, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNTT', 'small_airport', 'Tranquilo Testolin Airport', -18.7582, -45.107601, 2009, 'BR', 'BR-MG', 'Felixlândia', 'no', 'SNXV', '', 'MG0170', 'SNTT'),
	('SNMM', 'small_airport', 'Morada Nova de Minas Airport', -18.59388923645, -45.353057861328, 1988, 'BR', 'BR-MG', 'Morada Nova De Minas', 'no', '', '', '', 'SNMM'),
	('SNEA', 'small_airport', 'Piçarrão Airport', -18.721389770508, -47.86555480957, 3166, 'BR', 'BR-MG', 'Estrela Do Sul', 'no', '', '', '', 'SNEA'),
	('SNNB', 'small_airport', 'Fazenda Cana Brava Airport', -17.176944732666016, -46.29750061035156, 1772, 'BR', 'BR-MG', 'Paracatu', 'no', 'SNNB', '', '', ''),
	('SNHX', 'small_airport', 'Fazenda Samello Airport', -17.3624992371, -47.4408340454, 2591, 'BR', 'BR-MG', 'Paracatu', 'no', '', '', '', 'SNHX'),
	('SNHD', 'small_airport', 'Fazenda Floresta do Lobo Airport', -19.0775, -48.130278, 3159, 'BR', 'BR-MG', 'Uberlândia', 'no', 'SNHD', '', '', ''),
	('SJVL', 'small_airport', 'Fazenda Cachoeirinha Airport', -19.359251, -47.129459, 3281, 'BR', 'BR-MG', 'Perdizes', 'no', 'SIOK', '', 'MG0106', 'SJVL'),
	('SBJZ', 'N/A', 'N/A', -17.306628115475178, -45.92562094330788, 538, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNUK', 'small_airport', 'Fazenda Lago Vermelho Airport', -17.039579, -45.489179, 1690, 'BR', 'BR-MG', 'Buritizeiro', 'no', '', '', 'MG0175', 'SNUK, SNZY'),
	('SNLI', 'small_airport', 'Abaeté Airport', -19.1556, -45.494801, 2178, 'BR', 'BR-MG', 'Abaeté', 'no', 'SNLI', '', 'MG0040', 'Doutor José Mourão'),
	('SIGS', 'small_airport', 'Fazenda Granja Santiago Airport', -17.162222, -46.66, 1946, 'BR', 'BR-MG', 'Paracatu', 'no', 'SIGA', '', 'MG0099', 'SIGS'),
	('SIYK', 'small_airport', 'Fazenda Sorriso Metálico Airport', -17.456666946411133, -48.21527862548828, 2605, 'BR', 'BR-GO', 'Urutai', 'no', 'SIYK', '', '', ''),
	('SBAX', 'medium_airport', 'Romeu Zema Airport', -19.5632, -46.9604, 3276, 'BR', 'BR-MG', 'Araxá', 'yes', 'SBAX', 'AAX', 'MG0008', ''),
	('SWXX', 'small_airport', 'Fazenda Canadá Airport', -18.8619, -48.423, 2799, 'BR', 'BR-MG', 'Uberlândia', 'no', 'SWXX', '', 'MG0209', ''),
	('SB04', 'closed', 'Aurea Airport', -19.287399291992188, -46.51169967651367, 3700, 'BR', 'BR-MG', 'Serra Do Salitre', 'no', '', '', '', 'SB04, SB04, SB04'),
	('SJQL', 'small_airport', 'Águas Claras Aviação Agrícola Airport', -19.322112, -47.555554, 3117, 'BR', 'BR-MG', 'Santa Juliana', 'no', 'SJQL', '', 'MG0130', ''),
	('SBPZ', 'N/A', 'N/A', -18.757668994367123, -46.97091266512871, 1158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBJO', 'N/A', 'N/A', -17.01478499919176, -46.074428111314774, 519, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBCN', 'small_airport', 'Nelson Ribeiro Guimarães Airport', -17.725096, -48.606324, 2307, 'BR', 'BR-GO', 'Caldas Novas', 'yes', 'SBCN', 'CLV', 'GO0003', 'SWKN, Caldas Novas Airport'),
	('SWWT', 'small_airport', 'Sílvio Gonçalves de Mello Airport', -18.705556869499997, -45.3355560303, 1988, 'BR', 'BR-MG', 'Morada Nova De Minas', 'no', 'SWWT', '', '', ''),
	('SSOU', 'small_airport', 'Fazenda Inhumas Airport', -17.034473, -46.267106, 1772, 'BR', 'BR-MG', 'Paracatu', 'no', '', '', '', 'SSOU'),
	('SIVD', 'small_airport', 'Fazenda dos Três Rios Airport', -16.944212, -46.272526, 1723, 'BR', 'BR-MG', 'Unaí', 'no', 'SWIP', '', 'MG0490', 'SIVD'),
	('SNSR', 'small_airport', 'Fazenda Santos Reis Airport', -17.54789924621582, -46.97869873046875, 2165, 'BR', 'BR-MG', 'Guarda-Mor', 'no', 'SNSR', '', 'SNSR', ''),
	('SNYS', 'small_airport', 'WD Agroindustrial Airport', -18.222582, -45.995484, 3199, 'BR', 'BR-MG', 'João Pinheiro', 'no', 'SNYS', '', 'MG0171', 'Destilaria WD'),
	('SNMP', 'small_airport', 'Fazenda Marocopa Airport', -17.323055267333984, -46.538055419921875, 1752, 'BR', 'BR-MG', 'Paracatu', 'no', 'SNMP', '', '', ''),
	('SBJJ', 'N/A', 'N/A', -17.08588097244501, -45.88185355067253, 517, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNFD', 'small_airport', 'Fazenda Santo Antônio Airport', -17.069171, -45.447511, 1791, 'BR', 'BR-MG', 'Buritizeiro', 'no', '', '', '', 'SNFD'),
	('SNRP', 'small_airport', 'Rio Paranaíba Airport', -19.212499618530273, -46.2406005859375, 3757, 'BR', 'BR-MG', 'Rio Paranaíba', 'no', 'SNRP', '', '', ''),
	('SWKT', 'small_airport', 'Catalão Airport', -18.216801, -47.8997, 2612, 'BR', 'BR-GO', 'Catalão', 'no', 'SWKT', 'TLZ', 'SWKT', ''),
	('SJIL', 'small_airport', 'Fazenda Santa Bárbara Airport', -19.091111, -55.8425, 440, 'BR', 'BR-MS', 'Corumbá', 'no', 'SJJG', '', 'MS0173', 'SJIL'),
	('SICW', 'small_airport', 'Fazenda Santa Fé Airport', -17.453632, -47.825008, 3094, 'BR', 'BR-GO', 'Campo Alegre de Goiás', 'no', 'SICW', '', 'GO0046', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBDM', 'N/A', 'N/A', -18.48036713898182, -47.224059998989105, 966, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNJP', 'small_airport', 'João Pinheiro Airport', -17.787500381469727, -46.119998931884766, 2990, 'BR', 'BR-MG', 'João Pinheiro', 'no', 'SNJP', '', 'SNJP', ''),
	('SNPD', 'small_airport', 'Patos de Minas Airport', -18.672673, -46.491292, 2794, 'BR', 'BR-MG', 'Patos de Minas', 'no', 'SNPD', 'POJ', 'MG0010', 'Pedro Pereira dos Santos'),
	('SWGD', 'small_airport', 'Fazenda Maiador Airport', -18.174926, -48.211119, 2073, 'BR', 'BR-GO', 'Goiandira', 'no', 'SWFM', '', 'GO0122', 'SWGD, Fazenda Dourados'),
	('SNHR', 'small_airport', 'Fazenda Água Santa Airport', -19.364173, -47.359499, 3478, 'BR', 'BR-MG', 'Perdizes', 'no', 'SSZK', '', 'MG0195', 'SNHR'),
	('SSYF', 'small_airport', 'Fazenda do Café Airport', -18.871667861938477, -48.72055435180664, 2762, 'BR', 'BR-MG', 'Monte Alegre De Minas', 'no', 'SSYF', '', '', ''),
	('SSWZ', 'small_airport', 'Fazenda Dona Neném Airport', -18.5094432831, -46.2738876343, 3458, 'BR', 'BR-MG', 'Presidente Olegário', 'no', 'SSWZ', '', '', ''),
	('SIJK', 'small_airport', 'Vazante Airport', -17.955, -46.861668, 2457, 'BR', 'BR-MG', 'Vazante', 'no', 'SSAT', '', 'MG0176', 'SIJK'),
	('SNZR', 'small_airport', 'Pedro Rabelo de Souza Airport', -17.242599, -46.883099, 2359, 'BR', 'BR-MG', 'Paracatu', 'yes', 'SNZR', 'PYT', 'MG0026', ''),
	('SWIP', 'small_airport', 'Ipameri Airport', -17.685541, -48.161541, 2730, 'BR', 'BR-GO', 'Ipameri', 'no', 'SJ94', '', 'GO0026', 'SWIP'),
	('SNGO', 'small_airport', 'Fazenda Nova Airport', -19.047777175903, -48.582221984863, 2689, 'BR', 'BR-MG', 'Uberlândia', 'no', '', '', '', 'SNGO'),
	('SBLV', 'N/A', 'N/A', -19.001468382775784, -46.29545018076897, 1120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNPJ', 'small_airport', 'Patrocínio Airport', -18.909400939941406, -46.98270034790039, 3229, 'BR', 'BR-MG', 'Patrocínio', 'no', 'SNPJ', '', '', ''),
	('SIFR', 'small_airport', 'Fazenda Romaria Airport', -18.8705997467, -47.5593986511, 3297, 'BR', 'BR-MG', 'Romaria', 'no', '', '', 'SIFR', 'SIFR'),
	('SBRP', 'medium_airport', 'Leite Lopes Airport', -21.134314, -47.774053, 1805, 'BR', 'BR-SP', 'Ribeirão Preto', 'yes', 'SBRP', 'RAO', 'SP0004', ''),
	('SWFV', 'small_airport', 'Terramare Airport', -20.722335, -45.864788, 2569, 'BR', 'BR-MG', 'Guapé', 'no', 'SWFV', '', '', ''),
	('SBLZ', 'N/A', 'N/A', -21.045899726450443, -45.63930183649063, 890, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNAF', 'small_airport', 'Fazenda Água Comprida Airport', -19.947849, -48.035496, 2211, 'BR', 'BR-MG', 'Água Comprida', 'no', '', '', '', 'SNAF'),
	('SDOR', 'small_airport', 'Fazenda Mosquito Airport', -20.747394, -47.889806, 2415, 'BR', 'BR-SP', 'Orlândia', 'no', 'SDOR', '', 'SP0131', ''),
	('SNFO', 'small_airport', 'Formiga Airport', -20.395299911499023, -45.48360061645508, 3337, 'BR', 'BR-MG', 'Formiga', 'no', 'SNFO', '', '', ''),
	('SJTK', 'small_airport', 'Ecofly Airport', -22.296943664551, -48.120277404785, 2129, 'BR', 'BR-SP', 'Brotas', 'no', '', '', '', 'SJTK'),
	('SIYX', 'small_airport', 'Fazenda Varginha Airport', -21.950000762939, -46.549999237061, 4200, 'BR', 'BR-MG', 'Andradas', 'no', '', '', '', 'SIYX'),
	('SDBY', 'small_airport', 'Bariri - Aparecido O. Silva Airport', -22.069201, -48.706402, 1594, 'BR', 'BR-SP', 'Bariri', 'no', 'SDBY', '', 'SP0032', ''),
	('SDPF', 'closed', 'Portoferreir Han Airport', -21.87420082092285, -47.473899841308594, 1870, 'BR', 'BR-SP', 'Porto Ferreira', 'no', '', '', '', 'SDPF, SDPF'),
	('SBWY', 'N/A', 'N/A', -21.928652934730053, -45.61824157834053, 894, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDOX', 'small_airport', 'Fazenda Pixoxó Airport', -21.780125, -47.882849, 2133, 'BR', 'BR-SP', 'São Carlos', 'no', 'SWOX', '', 'SP0279', 'SDOX'),
	('SIAB', 'closed', 'Leda Mello Resende Airport', -21.3719, -45.4949, 3050, 'BR', 'BR-MG', 'Três Pontas', 'no', '', '', '', 'SIAB'),
	('SDGB', 'small_airport', 'Usina Colorado Airport', -20.27688, -48.182671, 1988, 'BR', 'BR-SP', 'Guaíra', 'no', 'SDGB', '', 'SP0103', ''),
	('SDAF', 'small_airport', 'Fazenda Palmeiras Airport', -22.1567, -47.719299, 2802, 'BR', 'BR-SP', 'Analândia', 'no', 'SDAF', '', 'SP0077', ''),
	('SNHK', 'small_airport', 'Nacional Grafite I Airport', -20.43444442749, -45.138332366943, 3051, 'BR', 'BR-MG', 'Itapecerica', 'no', '', '', '', 'SNHK'),
	('SDJC', 'small_airport', 'Jaboticabal Airport', -21.229755, -48.284212, 2018, 'BR', 'BR-SP', 'Jaboticabal', 'no', 'SDJC', '', 'SP0064', ''),
	('SDFH', 'small_airport', 'Fazenda Amália Airport', -21.444259, -47.370899, 2318, 'BR', 'BR-SP', 'Santa Rosa Do Viterbo', 'no', 'SDFH', '', 'SP0099', ''),
	('SDLL', 'small_airport', 'Yolanda Penteado Airport', -22.225963, -47.380834, 2057, 'BR', 'BR-SP', 'Leme', 'no', 'SDLL', '', 'SP0048', ''),
	('SBBM', 'N/A', 'N/A', -19.68790903687477, -45.269696563482285, 722, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDKN', 'small_airport', 'Fazenda e Haras Bela Vista Airport', -22.436606, -48.40362, 2339, 'BR', 'BR-SP', 'Mineiros do Tietê', 'no', '', '', '', 'SDKN'),
	('SNOF', 'small_airport', 'Ouro Fino Airport', -22.297500610351563, -46.3932991027832, 2818, 'BR', 'BR-MG', 'Ouro Fino', 'no', 'SNOF', '', '', ''),
	('SNPU', 'small_airport', 'Paraguaçu Airport', -21.559200286865234, -45.75170135498047, 2838, 'BR', 'BR-MG', 'Paraguaçu', 'no', 'SNPU', '', '', ''),
	('SDMY', 'small_airport', 'Fazenda Cambuhy Airport', -21.6329, -48.479099, 2041, 'BR', 'BR-SP', 'Matão', 'no', 'SDMY', '', 'SP0124', ''),
	('SDSJ', 'small_airport', 'Fazenda São João Airport', -20.745599746704, -47.933601379395, 2172, 'BR', 'BR-SP', 'Orlândia', 'no', '', '', '', 'SDSJ'),
	('SDES', 'small_airport', 'Estância Colorado Airport', -20.761969, -47.862237, 2372, 'BR', 'BR-SP', 'Sales de Oliveira', 'no', 'SDES', '', 'SP0097', ''),
	('SDAA', 'small_airport', 'Araras Airport', -22.338227, -47.357898, 2247, 'BR', 'BR-SP', 'Araras', 'no', 'SDAA', '', 'SP0045', ''),
	('SNUH', 'small_airport', 'Piumhi Airport', -20.438600540200003, -45.992801666300004, 2444, 'BR', 'BR-MG', 'Piumhi', 'no', 'SNUH', '', '', ''),
	('SNSK', 'small_airport', 'Santa Rita do Sapucai Airport', -22.27298, -45.639991, 2851, 'BR', 'BR-MG', 'Santa Rita do Sapucai', 'no', 'SJXI', '', 'MG0311', 'SNSK'),
	('SDJZ', 'small_airport', 'Fazenda Barra do Agudo Airport', -20.810328, -48.222595, 1608, 'BR', 'BR-SP', 'Morro Agudo', 'no', 'SIYE', '', 'SP0200', 'SDJZ'),
	('SDXE', 'small_airport', 'Chácara Serradinho Airport', -21.264799118041992, -48.35609817504883, 2037, 'BR', 'BR-SP', 'Jaboticabal', 'no', 'SDXE', '', 'SDXE', ''),
	('SDFB', 'small_airport', 'Fazenda Brumado Airport', -20.428899, -48.562077, 1755, 'BR', 'BR-SP', 'Barretos', 'no', '', '', '', 'SDFB'),
	('SDED', 'small_airport', 'Scoda Aeronáutica Airport', -22.440516, -47.700402, 2008, 'BR', 'BR-SP', 'Ipeúna', 'no', 'SDED', '', 'SP0092', 'EDRA Aeronáutica'),
	('SNBY', 'small_airport', 'Bambuí Airport', -20.036399841309, -45.972301483154, 2523, 'BR', 'BR-MG', 'Bambuí', 'no', '', '', 'SNBY', 'SNBY'),
	('SDSB', 'small_airport', 'Fazenda São Sebastião Airport', -19.995832443237305, -47.523887634277344, 1705, 'BR', 'BR-SP', 'Rifaina', 'no', 'SDSB', '', '', ''),
	('SDMO', 'small_airport', 'Monte Alto Airport', -21.258981, -48.523511, 2461, 'BR', 'BR-SP', 'Monte Alto', 'no', 'SDMO', '', 'SP0068', ''),
	('SDMJ', 'small_airport', 'Mogi-mirim Airport', -22.410842, -46.90576, 2280, 'BR', 'BR-SP', 'Mogi Mirim', 'no', 'SDMJ', '', 'SP0022', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SWAU', 'small_airport', 'Fazenda Nossa Senhora Aparecida Airport', -19.948255, -48.583883, 2592, 'BR', 'BR-MG', 'Pirajuba', 'no', 'SWAU', '', 'MG0196', ''),
	('SNLY', 'small_airport', 'Lagoa da Prata Airport', -20.061399459838867, -45.554901123046875, 2159, 'BR', 'BR-MG', 'Lagoa Da Prata', 'no', 'SNLY', '', 'SNLY', ''),
	('SWVW', 'small_airport', 'Furnaspark Resort Airport', -20.535, -45.6037, 2580, 'BR', 'BR-MG', 'Formiga', 'no', 'SWVW', '', 'SWVW', ''),
	('SDKB', 'small_airport', 'Casa Branca Municipal Airport', -21.788055, -47.055557, 2346, 'BR', 'BR-SP', 'Casa Branca', 'no', 'SSCB', '', 'SP0044', 'SDKB'),
	('SJEH', 'small_airport', 'Clemente Verillo Airport', -22.101357, -48.226719, 2395, 'BR', 'BR-SP', 'Ribeirão Bonito', 'no', 'SJEH', '', 'SP0206', 'Fazenda Santa Eliza'),
	('SNJW', 'small_airport', 'Jaraguá Airport', -20.040300369263, -47.421501159668, 1909, 'BR', 'BR-MG', 'Sacramento', 'no', '', '', 'SNJW', 'SNJW'),
	('SDBA', 'small_airport', 'Batatais Airport', -20.877218, -47.585757, 2890, 'BR', 'BR-SP', 'Batatais', 'no', 'SDBA', '', 'SP0063', ''),
	('SSTN', 'small_airport', 'Alberto Bertelli Airport', -21.678611755371, -48.211944580078, 2283, 'BR', 'BR-SP', 'Araraquara', 'no', '', '', '', 'SSTN'),
	('SNBA', 'N/A', 'N/A', -20.5855555459857, -48.59583333134651, 580, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSFH', 'small_airport', 'Vale dos Dinassauros Airport', -19.785486, -47.811638, 2438, 'BR', 'BR-MG', 'Uberaba', 'no', 'SSFH', '', 'MG0180', ''),
	('SNFE', 'small_airport', 'Comandante Paschoal Patrocínio Filho Airport', -21.4314, -45.932098, 2871, 'BR', 'BR-MG', 'Alfenas', 'no', 'SNFE', '', 'SNFE', ''),
	('SDRD', 'small_airport', 'Adhemar Ribeiro Airport', -21.641922, -47.469993, 2776, 'BR', 'BR-SP', 'Santa Rita Do Passa Quatro', 'no', '', '', 'SP0191', 'SDRD, SIOR'),
	('SNLO', 'small_airport', 'São Lourenço Airport', -22.0909, -45.044498, 2871, 'BR', 'BR-MG', 'São Lourenço', 'no', 'SNLO', 'SSO', 'SNLO', ''),
	('SDME', 'small_airport', 'Marchesan S.A. Airport', -21.629456, -48.392816, 1936, 'BR', 'BR-SP', 'Matão', 'no', 'SDME', '', 'SP0121', ''),
	('SBPC', 'medium_airport', 'Poços de Caldas - Embaixador Walther Moreira Salles Airport', -21.842529, -46.569768, 4138, 'BR', 'BR-MG', 'Poços De Caldas', 'no', 'SBPC', 'POO', 'MG0018', ''),
	('SIKK', 'small_airport', 'Calciolândia Airport', -20.250557, -45.645, 2180, 'BR', 'BR-MG', 'Arcos', 'no', 'SIKK', '', 'MG0102', ''),
	('SDWE', 'small_airport', 'Usina São Carlos Airport', -21.28416633606, -48.162776947021, 1919, 'BR', 'BR-SP', 'Jaboticabal', 'no', '', '', '', 'SDWE'),
	('SNVU', 'small_airport', 'Fazenda Itatuba Airport', -20.432625, -46.859697, 2260, 'BR', 'BR-MG', 'Cássia', 'no', 'SJ38', '', 'MG0167', 'SNVU'),
	('SNUS', 'small_airport', 'Usina Delta I Airport', -19.941324, -47.771367, 2100, 'BR', 'BR-MG', 'Delta', 'no', 'SNUS', '', 'MG0164', ''),
	('SIMV', 'small_airport', 'Fazenda Mata Velha Airport', -19.838343, -47.849836, 2733, 'BR', 'BR-MG', 'Uberaba', 'no', 'SIMV', '', 'MG0104', ''),
	('SDEO', 'small_airport', 'Fazenda Entre Rios Airport', -21.878599, -48.659401, 1709, 'BR', 'BR-SP', 'Ibitinga', 'no', 'SDEO', '', 'SP0095', ''),
	('SDLU', 'small_airport', 'Fazenda Santa Luíza Airport', -22.483101, -48.524502, 1782, 'BR', 'BR-SP', 'Barra Bonita', 'no', 'SDLU', '', 'SP0119', ''),
	('SNFQ', 'small_airport', 'Fazenda Paineira Airport', -22.147502, -45.763611, 3001, 'BR', 'BR-MG', 'São Sebastião da Bela Vista', 'no', 'SIAC', '', 'MG0089', 'SNFQ'),
	('SIII', 'small_airport', 'Doutor Heráclito da Motta Luiz Airport', -20.433126, -48.225367, 1798, 'BR', 'BR-SP', 'Guaíra', 'no', 'SIII', '', 'SP0183', ''),
	('SDTY', 'small_airport', 'Usina São Martinho Airport', -21.339799880981445, -48.114898681640625, 1713, 'BR', 'BR-SP', 'Pradópolis', 'no', 'SDTY', '', 'SDTY', ''),
	('SIPA', 'small_airport', 'Aeroclube de São José do Rio Pardo Airport', -21.647157, -46.928262, 2849, 'BR', 'BR-SP', 'São José Do Rio Pardo', 'no', 'SIPA', '', 'SP0192', ''),
	('SNLF', 'small_airport', 'Filial Campo Florido Airport', -19.813888549805, -48.738887786865, 1959, 'BR', 'BR-MG', 'Campo Florido', 'no', '', '', '', 'SNLF'),
	('SDIV', 'small_airport', 'Ituverava Airport', -20.374843, -47.769066, 2044, 'BR', 'BR-SP', 'Ituverava', 'no', 'SDIV', '', 'SP0056', ''),
	('SSUX', 'small_airport', 'Usina Mandu Airport', -20.483834, -48.373594, 1597, 'BR', 'BR-SP', 'Guaíra', 'no', '', '', '', 'SSUX'),
	('SNOS', 'small_airport', 'Municipal José Figueiredo Airport', -20.732200622558594, -46.661800384521484, 2697, 'BR', 'BR-MG', 'Passos', 'no', 'SNOS', 'PSW', 'SNOS', ''),
	('SBFU', 'closed', 'Furnas Airport', -20.702801, -46.3353, 2413, 'BR', 'BR-MG', 'São José da Barra', 'no', '', '', '', 'SBFU, Alpinopolis'),
	('SJAW', 'small_airport', 'Fazenda Citrícola Airport', -21.724679, -48.377154, 2051, 'BR', 'BR-SP', 'Gavião Peixoto', 'no', 'SJAW', '', 'SP0204', ''),
	('SDZR', 'small_airport', 'Fazenda Cruzeiro Airport', -21.412221908569336, -48.328609466552734, 2116, 'BR', 'BR-SP', 'Guariba', 'no', 'SDZR', '', '', ''),
	('SDZZ', 'small_airport', 'Sítio São José Airport', -21.798767, -48.544439, 1788, 'BR', 'BR-SP', 'Nova Europa', 'no', 'SDZZ', '', 'SP0169', ''),
	('SSWH', 'small_airport', 'Dr. Emílio Fehr Airport', -21.906268, -47.820806, 2300, 'BR', 'BR-SP', 'São Carlos', 'no', 'SSWH', '', 'SP0261', 'Agropecuária Rossignolo'),
	('SDIC', 'small_airport', 'Fazenda Capão Seco Airport', -20.71255, -45.689852, 2657, 'BR', 'BR-MG', 'Formiga', 'no', 'SDIC', '', 'MG0082', ''),
	('SDTN', 'small_airport', 'Usina Açucareira Santo Antônio Airport', -21.121212, -47.947913, 1969, 'BR', 'BR-SP', 'Sertãozinho', 'no', 'SWAS', '', 'SP0270', 'SDTN'),
	('SDUL', 'small_airport', 'Usina Santa Lydia Airport', -21.20166778564453, -47.920555114746094, 2270, 'BR', 'BR-SP', 'Ribeirão Preto', 'no', 'SDUL', '', '', ''),
	('SDAN', 'small_airport', 'Fazenda Santo Ângelo Airport', -22.245274, -48.259931, 1680, 'BR', 'BR-SP', 'Brotas', 'no', 'SDAN', '', 'SP0078', ''),
	('SDFT', 'small_airport', 'Virgulino de Oliveira Airport', -22.415132, -46.808977, 2152, 'BR', 'BR-SP', 'Itapira', 'no', 'SDFT', '', 'SP0101', ''),
	('SDRK', 'small_airport', 'Rio Claro Airport', -22.430767, -47.562291, 1998, 'BR', 'BR-SP', 'Rio Claro', 'no', 'SDRK', '', 'SP0049', 'QIQ'),
	('SJIT', 'small_airport', 'Itaú de Minas Airport', -20.755301, -46.750198, 2520, 'BR', 'BR-MG', 'Itaú de Minas', 'no', '', '', 'MG0126', 'SJIT'),
	('SBWZ', 'N/A', 'N/A', -21.5409205108881, -45.49682378768921, 872, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDIB', 'small_airport', 'Irmãos Ribeiro Airport', -22.1581, -46.775299, 3035, 'BR', 'BR-SP', 'Espírito Santo Do Pinhal', 'no', 'SDIB', '', 'SP0107', ''),
	('SDSV', 'small_airport', 'Fazenda Santa Cândida Airport', -21.327777862548828, -48.171112060546875, 2080, 'BR', 'BR-SP', 'Guariba', 'no', 'SDSV', '', '', ''),
	('SBAQ', 'medium_airport', 'Araraquara Airport', -21.812, -48.132999, 2334, 'BR', 'BR-SP', 'Araraquara', 'yes', 'SBAQ', 'AQA', 'SP0012', ''),
	('SDSC', 'small_airport', 'Mário Pereira Lopes–São Carlos Airport', -21.875401, -47.903703, 2649, 'BR', 'BR-SP', 'São Carlos', 'no', 'SDSC', 'QSC', 'SDSC', ''),
	('SDJV', 'small_airport', 'São João da Boa Vista Municipal Airport', -22.017744, -46.840779, 2501, 'BR', 'BR-SP', 'São João da Boa Vista', 'no', 'SDJV', '', 'SP0035', ''),
	('SIMK', 'small_airport', 'Tenente Lund Pressoto Airport', -20.592199, -47.3829, 3292, 'BR', 'BR-SP', 'Franca', 'no', 'SIMK', 'FRC', 'SP0011', 'SBFC'),
	('SDLM', 'closed', 'Ipua Faz Alianca Airport', -20.5049991607666, -48.0442008972168, 2375, 'BR', 'BR-SP', 'Ipua', 'no', '', '', '', 'SDLM, SDLM'),
	('SNCE', 'small_airport', 'Campo do Meio Airport', -21.10610008239746, -45.8046989440918, 2559, 'BR', 'BR-MG', 'Campo Do Meio', 'no', 'SNCE', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SDUD', 'small_airport', 'Usina Santa Adélia Airport', -21.332300186157227, -48.316200256347656, 1991, 'BR', 'BR-SP', 'Jaboticabal', 'no', 'SDUD', '', 'SDUD', ''),
	('SDMV', 'small_airport', 'Fazenda Morro Vermelho Airport', -22.275223, -48.60415, 1736, 'BR', 'BR-SP', 'Jaú', 'no', 'SDMV', '', 'SP0123', ''),
	('SBYS', 'medium_airport', 'Campo Fontenelle', -21.984692, -47.341207, 1968, 'BR', 'BR-SP', 'Pirassununga', 'no', 'SBYS', 'QPS', 'SP9002', ''),
	('SJSV', 'small_airport', 'Fazenda Guiné Airport', -20.248257, -46.191348, 2495, 'BR', 'BR-MG', 'São Roque de Minas', 'no', 'SJSV', '', 'MG0132', ''),
	('SBVG', 'medium_airport', 'Major Brigadeiro Trompowsky Airport', -21.591375, -45.474116, 3025, 'BR', 'BR-MG', 'Varginha', 'no', 'SBVG', 'VAG', 'MG0019', 'Varginha Airport'),
	('SDVS', 'small_airport', 'Fazenda Vassoural Airport', -21.072799682617188, -48.03419876098633, 1801, 'BR', 'BR-SP', 'Pontal', 'no', 'SDVS', '', '', ''),
	('SDJA', 'small_airport', 'Doutor José Augusto de Arruda Botelho Airport', -22.194598, -47.861839, 2569, 'BR', 'BR-SP', 'Itirapina', 'no', 'SDJA', '', 'SP0111', ''),
	('SDPY', 'small_airport', 'Pirassununga Airport', -22.027611, -47.421498, 2241, 'BR', 'BR-SP', 'Pirassununga', 'no', 'SDPY', '', 'SP0066', ''),
	('Z06H', 'N/A', 'N/A', -20.125397108495235, -48.70113864541054, 496, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDST', 'small_airport', 'Fazenda Santa Terezinha da Barra Airport', -21.88194465637207, -47.7761116027832, 2385, 'BR', 'BR-SP', 'São Carlos', 'no', 'SDST', '', '', ''),
	('SDKK', 'small_airport', 'Mococa Airport', -21.487802, -47.034123, 2116, 'BR', 'BR-SP', 'Mococa', 'no', 'SDKK', '', 'SP0058', 'QOA'),
	('SJQV', 'small_airport', 'Usina Santa Luiza Airport', -21.509166717529, -48.19722366333, 1978, 'BR', 'BR-SP', 'Motuca', 'no', '', '', '', 'SJQV'),
	('SBUR', 'medium_airport', 'Mário de Almeida Franco Airport', -19.764722824097, -47.966110229492, 2655, 'BR', 'BR-MG', 'Uberaba', 'yes', 'SBUR', 'UBA', '', ''),
	('SDWD', 'small_airport', 'Fazenda Califórnia Airport', -20.43013, -48.602303, 1856, 'BR', 'BR-SP', 'Barretos', 'no', '', '', '', 'SDWD'),
	('SIAM', 'small_airport', 'Fazenda Palmital Airport', -20.697327, -48.286419, 1709, 'BR', 'BR-SP', 'Morro Agudo', 'no', 'SIQF', '', 'SP0193', 'SIAM'),
	('SSNU', 'small_airport', 'Santa Isabel Airport', -22.240833282470703, -48.025001525878906, 2582, 'BR', 'BR-SP', 'Brotas', 'no', 'SSNU', '', '', ''),
	('SNZA', 'small_airport', 'Pouso Alegre Airport', -22.2892, -45.919102, 2904, 'BR', 'BR-MG', 'Pouso Alegre', 'no', 'SNZA', 'PPY', 'MG0038', ''),
	('SNMF', 'small_airport', 'Agropastoril Monte Alegre Airport', -21.350555419921875, -46.25055694580078, 2841, 'BR', 'BR-MG', 'Monte Belo', 'no', 'SNMF', '', '', ''),
	('SNDU', 'small_airport', 'Ponta Do Sol Airport', -20.638333, -45.998056, 2854, 'BR', 'BR-MG', 'Capitólio', 'no', 'SNDU', '', 'SNDU', ''),
	('SNRH', 'small_airport', 'Rachid Saliba Airport', -21.039400100708, -45.872200012207, 2625, 'BR', 'BR-MG', 'Boa Esperança', 'no', '', '', 'SNRH', 'SNRH'),
	('SIKX', 'small_airport', 'Fazenda Continental Airport', -20.236006, -48.651109, 1476, 'BR', 'BR-SP', 'Colômbia', 'no', 'SWBP', '', 'SP0271', 'SIKX'),
	('SNGX', 'small_airport', 'Guaxupé Airport', -21.326400756835938, -46.731201171875, 2786, 'BR', 'BR-MG', 'Guaxupé', 'no', 'SNGX', '', 'SNGX', ''),
	('SWKY', 'small_airport', 'Fazenda Recanto da Cachoeira Airport', -20.3397216796875, -47.47305679321289, 3064, 'BR', 'BR-SP', 'Cristais Paulista', 'no', 'SWKY', '', '', ''),
	('SBGP', 'small_airport', 'EMBRAER - Unidade Gavião Peixoto Airport', -21.773701, -48.405102, 1998, 'BR', 'BR-SP', 'Gavião Peixoto', 'no', 'SBGP', '', 'SP0075', ''),
	('SWMC', 'small_airport', 'Capão da Cruz Airport', -21.458332061767578, -47.887779235839844, 1936, 'BR', 'BR-SP', 'Luís Antônio', 'no', 'SWMC', '', '', ''),
	('SNVI', 'small_airport', 'Mélio Viana Public Airport', -21.789115, -45.26818, 3203, 'BR', 'BR-MG', 'Três Corações', 'no', 'SNVI', '', 'MG0035', 'QID'),
	('SDLY', 'small_airport', 'Armando Natali Airport', -21.623884, -48.351095, 2083, 'BR', 'BR-SP', 'Matão', 'no', 'SDLY', '', 'SP0071', ''),
	('SNSC', 'small_airport', 'Sacramento Airport', -19.89310073852539, -47.42219924926758, 3288, 'BR', 'BR-MG', 'Sacramento', 'no', 'SNSC', '', '', ''),
	('SDNL', 'small_airport', 'Fazenda São Francisco do Itaquerê Airport', -21.763774, -48.582466, 1877, 'BR', 'BR-SP', 'Nova Europa', 'no', '', '', '', 'SDNL'),
	('SDFI', 'closed', 'Fazenda Itaquere Airport', -21.6546, -48.2663, 2257, 'BR', 'BR-SP', 'Araraquara', 'no', '', '', '', 'SDFI'),
	('SDBB', 'small_airport', 'Bebedouro Airport', -20.900252, -48.473547, 1942, 'BR', 'BR-SP', 'Bebedouro', 'no', 'SDBB', '', 'SP0018', ''),
	('SDVA', 'small_airport', 'Fazenda Campo Vitória Airport', -21.83222198486328, -46.9555549621582, 2329, 'BR', 'BR-SP', 'Vargem Grande Do Sul', 'no', 'SDVA', '', '', ''),
	('SNXA', 'small_airport', 'Machado Airport', -21.678101, -45.840604, 2969, 'BR', 'BR-MG', 'Machado', 'no', '', '', 'MG0046', 'SNXA'),
	('SIYS', 'small_airport', 'Helibrás Airport', -22.430833816528, -45.479167938232, 2759, 'BR', 'BR-MG', 'Itajubá', 'no', '', '', '', 'SIYS'),
	('SNMS', 'small_airport', 'Monte Santo de Minas Airport', -21.175800323486, -46.95890045166, 2936, 'BR', 'BR-MG', 'Monte Santo De Minas', 'no', '', '', '', 'SNMS'),
	('SSMX', 'small_airport', 'Fazenda Planalto Airport', -21.142698, -46.483921, 3937, 'BR', 'BR-MG', 'Nova Resende', 'no', 'SSMX', '', 'MG0185', ''),
	('SBWT', 'N/A', 'N/A', -21.19301252067089, -47.67218828201294, 548, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJCA', 'small_airport', 'Comandante Vittorio Bonomi Airport', -21.532177, -47.04727, 2037, 'BR', 'BR-SP', 'Mococa', 'no', 'SJCA', '', 'SP0205', ''),
	('SNCG', 'small_airport', 'Campos Gerais Airport', -21.226110458374, -45.779167175293, 2838, 'BR', 'BR-PR', 'Campos Gerais', 'no', '', '', '', 'SNCG'),
	('SSEF', 'small_airport', 'Fazenda Passaredo Airport', -21.320047, -47.231553, 4632, 'BR', 'BR-SP', 'Cajuru', 'no', 'SSEF', '', 'SP0244', ''),
	('SSIS', 'small_airport', 'Major José Ignácio Airport', -22.047778, -48.097222, 1962, 'BR', 'BR-SP', 'Ibaté', 'no', 'SSIS', '', '', ''),
	('SDHE', 'small_airport', 'Fazenda Herdade Airport', -22.492182, -46.843409, 2428, 'BR', 'BR-SP', 'Itapira', 'no', 'SDHE', '', 'SP0106', ''),
	('SBLT', 'N/A', 'N/A', -20.60469914227724, -46.918429881334305, 750, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDCT', 'small_airport', 'Fazenda Santo Antonio do Oriçanga Airport', -22.232574, -46.969278, 2237, 'BR', 'BR-SP', 'Estiva Gerbi', 'no', 'SIFO', '', 'SP0176', 'SDCT'),
	('SNPY', 'small_airport', 'São Sebastião do Paraíso Airport', -20.9482, -46.9832, 3110, 'BR', 'BR-MG', 'São Sebastião Do Paraíso', 'no', 'SNPY', '', 'SNPY', ''),
	('SNCA', 'small_airport', 'Campo Belo Airport', -20.89229965209961, -45.33509826660156, 3182, 'BR', 'BR-MG', 'Campo Belo', 'no', 'SNCA', '', 'SNCA', ''),
	('SSMV', 'small_airport', 'Fazenda Boa Vista Airport', -22.0425, -47.56, 2434, 'BR', 'BR-SP', 'Pirassununga', 'no', 'SSMV', '', '', ''),
	('SSET', 'small_airport', 'Tambaú Airport', -21.697056, -47.315556, 2451, 'BR', 'BR-SP', 'Tambaú', 'no', '', '', '', 'SSET'),
	('SDJO', 'small_airport', 'São Joaquim da Barra Airport', -20.594095, -47.841211, 2133, 'BR', 'BR-SP', 'São Joaquim Da Barra', 'no', 'SDJO', '', 'SP0057', ''),
	('SDOB', 'small_airport', 'Fazenda São José O.B. Airport', -21.4252, -46.754299, 2634, 'BR', 'BR-SP', 'Tapiratiba', 'no', 'SDOB', '', 'SP0129', ''),
	('SDAL', 'closed', 'Fazenda Alamo Airport', -21.815201, -47.900678, 2434, 'BR', 'BR-SP', 'Sao Carlos', 'no', '', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SDSQ', 'small_airport', 'Usina Santa Rita Airport', -21.72361183166504, -47.656944274902344, 2067, 'BR', 'BR-SP', 'Santa Rita Do Passa Quatro', 'no', 'SDSQ', '', '', ''),
	('SNOZ', 'small_airport', 'Coronel Alexandre Raposo Airport', -2.52097, -44.1213, 154, 'BR', 'BR-MA', 'Paço Do Lumiar', 'no', 'SNOZ', '', 'SNOZ', ''),
	('SNSB', 'small_airport', 'São Bento Airport', -2.7044439315796, -44.844722747803, 230, 'BR', 'BR-MA', 'São Bento', 'no', '', '', '', 'SNSB'),
	('SBSL', 'medium_airport', 'Marechal Cunha Machado International Airport', -2.58536, -44.2341, 178, 'BR', 'BR-MA', 'São Luís', 'yes', 'SBSL', 'SLZ', 'MA0001', ''),
	('SBRR', 'small_airport', 'Barreirinhas National Airport', -2.756644, -42.803187, 40, 'BR', 'BR-MA', 'Barreirinhas', 'yes', 'SSRS', 'BRB', 'MA0008', 'SBRR'),
	('SNCW', 'small_airport', 'Alcântara Space Center Airport', -2.373, -44.3964, 148, 'BR', 'BR-MA', 'Alcântara', 'no', 'SNCW', '', 'MA9001', ''),
	('SNTX', 'small_airport', 'Litorânea Airport', -1.301944, -44.904999, 26, 'BR', 'BR-MA', 'Cururupu', 'no', '', '', '', 'SNTX'),
	('SBQE', 'small_airport', 'Fazenda Tradição Airport', -7.804289, -45.057598, 1424, 'BR', 'BR-PI', 'Ribeiro Gonçalves', 'no', 'SBQE', '', 'PI0064', ''),
	('SNXH', 'small_airport', 'Itapecuru Airport', -4.513833, -44.021529, 184, 'BR', 'BR-MA', 'Codó', 'no', 'SNXH', '', 'MA0042', ''),
	('SBPX', 'N/A', 'N/A', -4.335257112979889, -41.76896005868912, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNIS', 'small_airport', 'Fazenda Rio Largo Airport', -5.196944, -43.597778, 459, 'BR', 'BR-MA', 'Caxias', 'no', 'SNIS', '', '', ''),
	('SNOA', 'closed', 'Coroatá Airport', -4.139998, -44.114656, 157, 'BR', 'BR-MA', 'Coroatá', 'no', '', '', '', 'SNOA'),
	('SBSY', 'N/A', 'N/A', -3.4984591975808144, -42.61573389172554, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNUD', 'small_airport', 'Urbano Santos Airport', -3.1997220516205, -43.386390686035, 197, 'BR', 'BR-MA', 'Urbano Santos', 'no', '', '', '', 'SNUD'),
	('SIDB', 'small_airport', 'Doutor Almir Lopes de Oliveira Melo Airport', -4.268889, -43.000557, 174, 'BR', 'BR-MA', 'Coelho Neto', 'no', 'SIDB', '', 'MA0018', ''),
	('SNNF', 'small_airport', 'Nossa Senhora de Fátima Airport', -5.033611, -42.705555, 607, 'BR', 'BR-PI', 'Teresina', 'no', 'SIPW', '', 'PI0023', 'SNNF'),
	('SNDR', 'small_airport', 'Domingos Rego Airport', -5.07979, -42.873699, 373, 'BR', 'BR-MA', 'Timon', 'no', 'SNDR', '', 'SNDR', ''),
	('SBEE', 'N/A', 'N/A', -3.896939568221569, -42.26074576377869, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNPF', 'small_airport', 'Fazenda Canabrava Airport', -5.597044, -43.319875, 689, 'BR', 'BR-MA', 'Parnarama', 'no', '', '', '', 'SNPF'),
	('PDR', 'small_airport', 'Presidente José Sarney Airport', -5.3098, -44.481, 400, 'BR', 'BR-MA', 'Presidente Dutra', 'no', '', 'PDR', '', 'SJKE'),
	('SDYX', 'small_airport', 'Campo Maior Airport', -4.8541669845581055, -42.260555267333984, 490, 'BR', 'BR-PI', 'Campo Maior', 'no', 'SDYX', '', '', ''),
	('SBTE', 'medium_airport', 'Senador Petrônio Portela Airport', -5.06025, -42.823712, 219, 'BR', 'BR-PI', 'Teresina', 'yes', 'SBTE', 'THE', 'PI0001', ''),
	('SSYP', 'N/A', 'N/A', -4.52083345502615, -43.919444382190704, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBXF', 'N/A', 'N/A', -4.666198790073395, -44.874188750982285, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSSK', 'small_airport', 'FC Airport', -4.507177, -43.922377, 236, 'BR', 'BR-MA', 'Codó', 'no', 'SSSK', '', 'MA0047', ''),
	('SBPB', 'medium_airport', 'Parnaíba - Prefeito Doutor João Silva Filho International Airport', -2.89375, -41.731998, 23, 'BR', 'BR-PI', 'Parnaíba', 'yes', 'SBPB', 'PHB', 'PI0002', 'Santos Dumont Airport'),
	('SBFD', 'N/A', 'N/A', -3.454851172864437, -41.60556524991989, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBDK', 'N/A', 'N/A', -3.7480689212679863, -43.31048280000687, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBOG', 'small_airport', 'Fazenda Vereda Grande Airport', -14.784789, -40.817046, 3051, 'BR', 'BR-BA', 'Vitória da Conquista', 'no', 'SBOG', '', 'BA0339', ''),
	('SNBI', 'small_airport', 'Bacabal Airport', -4.22771, -44.82, 64, 'BR', 'BR-MA', 'Bacabal', 'no', 'SNBI', '', 'SNBI', ''),
	('SBQG', 'small_airport', 'Fazenda Rio Azul Airport', -13.513056, -56.598333, 1076, 'BR', 'BR-MT', 'São José do Rio Claro', 'no', 'SBQG', '', 'MT0653', ''),
	('SNMH', 'closed', 'Magalhaes de Almeida Airport', -4.476961, -43.889902, 203, 'BR', 'BR-MA', 'Codo', 'no', '', '', '', 'SNMH'),
	('SNTC', 'small_airport', 'Tambori Airport', -5.160819, -42.72031, 66, 'BR', 'BR-PI', 'Teresina', 'no', '', '', 'PI0032', 'SNWQ, SNTC'),
	('SNIR', 'small_airport', 'Fazenda Mata Escura Airport', -5.7427778244018555, -43.5988883972168, 712, 'BR', 'BR-MA', 'Parnarama', 'no', 'SNIR', '', '', ''),
	('SSDI', 'small_airport', 'Fazenda Bacatuba Airport', -5.659765, -43.705702, 584, 'BR', 'BR-MA', 'Buriti Bravo', 'no', 'SSDI', '', 'MA0044', ''),
	('SNGD', 'small_airport', 'Guadalupe Airport', -6.782219886779785, -43.58219909667969, 564, 'BR', 'BR-PI', 'Guadalupe', 'no', 'SNGD', 'GDP', '', ''),
	('SNFW', 'small_airport', 'São João do Piauí Airport', -8.391481, -42.247088, 833, 'BR', 'BR-PI', 'São João do Piauí', 'no', 'SD9C', '', 'PI0065', 'SNFW'),
	('SBVO', 'N/A', 'N/A', -6.387825272977352, -41.764352917671204, 350, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJHF', 'small_airport', 'Bunge Airport', -7.3722219467163, -44.396110534668, 1837, 'BR', 'BR-PI', 'Uruçui', 'no', '', '', '', 'SJHF'),
	('SNOE', 'small_airport', 'Oeiras Airport', -7.01889, -42.167198, 820, 'BR', 'BR-PI', 'Oeiras', 'no', 'SNOE', '', '', ''),
	('SDZS', 'small_airport', 'Fazenda Bananeira Airport', -20.579999923706, -49.079700469971, 1673, 'BR', 'BR-SP', 'Altair', 'no', '', '', 'SDZS', 'SDZS'),
	('SIGY', 'small_airport', 'Fazenda Progresso Airport', -7.5025000572205, -44.20333480835, 1476, 'BR', 'BR-PI', 'Sebastião Leal', 'no', 'SWUV', '', 'SWUV', 'SIGY'),
	('SIKZ', 'small_airport', 'Fazenda Olho D`Água Airport', -5.663818, -43.536072, 390, 'BR', 'BR-MA', 'Parnarama', 'no', 'SIKZ', '', 'MA0022', ''),
	('SBUS', 'N/A', 'N/A', -7.8232090920209885, -41.959305703639984, 364, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNEN', 'small_airport', 'Fazenda Calumbi Airport', -5.815404, -44.133625, 689, 'BR', 'BR-MA', 'Fortuna', 'no', '', '', '', 'SNEN'),
	('SNQG', 'small_airport', 'Cangapara Airport', -6.84639, -43.077301, 689, 'BR', 'BR-PI', 'Floriano', 'no', 'SNQG', 'FLB', 'SNQG', ''),
	('SBOC', 'N/A', 'N/A', -6.611289493739605, -42.67690345644951, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBRG', 'N/A', 'N/A', -6.34885847568512, -42.473709136247635, 418, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJZS', 'small_airport', 'Fazenda Canel Airport', -7.539999961853027, -44.8224983215332, 1280, 'BR', 'BR-PI', 'Uruçui', 'no', 'SJZS', '', '', ''),
	('SBXK', 'N/A', 'N/A', -7.15580977499485, -41.76834762096405, 256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNPC', 'small_airport', 'Picos Airport', -7.061385, -41.525871, 1099, 'BR', 'BR-PI', 'Picos', 'no', 'SNPC', 'PCS', 'PI0009', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SJZR', 'small_airport', 'Fazenda Itália Airport', -7.4447221755981, -44.353332519531, 1280, 'BR', 'BR-PI', 'Uruçui', 'no', '', '', '', 'SJZR'),
	('SBIE', 'N/A', 'N/A', -7.683834806084633, -43.71052622795105, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBMJ', 'N/A', 'N/A', -6.367877013981342, -44.347931295633316, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBNX', 'N/A', 'N/A', -7.959637977182865, -43.23167100548744, 363, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNSN', 'closed', 'São Raimundo Nonato Airport', -9.03, -42.68, 1247, 'BR', 'BR-PI', 'São Raimundo Nonato', 'no', '', '', '', 'SNSN'),
	('SBXJ', 'N/A', 'N/A', -8.995866514742374, -41.9705231487751, 346, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBZY', 'N/A', 'N/A', -9.17372178286314, -43.05127456784248, 446, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNBX', 'small_airport', 'Barra Airport', -11.0808, -43.147499, 1345, 'BR', 'BR-BA', 'Barra', 'no', 'SNBX', 'BQQ', 'SNBX', ''),
	('SWKQ', 'small_airport', 'Serra da Capivara Airport', -9.083392, -42.644656, 1362, 'BR', 'BR-PI', 'São Raimundo Nonato', 'no', 'SWKQ', 'NSR', 'PI0004', ''),
	('SNKS', 'small_airport', 'Santa Rita de Cássia Airport', -10.98927, -44.51572, 1503, 'BR', 'BR-BA', 'Santa Rita de Cássia', 'no', 'SNKS', '', 'BA0064', ''),
	('SSRK', 'small_airport', 'Campo Alegre de Lourdes Airport', -9.51391, -42.995098, 1519, 'BR', 'BR-BA', 'Campo Alegre De Lourdes', 'no', 'SSRK', '', 'SSRK', ''),
	('SNRM', 'small_airport', 'Remanso Airport', -9.579994, -42.115917, 1332, 'BR', 'BR-BA', 'Remanso', 'no', 'SNRM', '', 'BA0022', ''),
	('BR31', 'N/A', 'N/A', -9.17372178286314, -43.05127456784248, 446, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBHM', 'N/A', 'N/A', -9.018575102090836, -44.58603993058205, 565, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNGG', 'small_airport', 'Bom Jesus do Gurguéia Airport', -9.057250022888184, -44.37110137939453, 1066, 'BR', 'BR-PI', 'Bom Jesus Do Gurguéia', 'no', 'SNGG', '', 'SNGG', ''),
	('SJZQ', 'small_airport', 'Fazenda Monte Alegre Airport', -10.564167022705, -44.94694519043, 1444, 'BR', 'BR-PI', 'Corrente', 'no', '', '', '', 'SJZQ'),
	('SDQU', 'small_airport', 'Fazenda Colorado', -9.255998, -44.794825, 2091, 'BR', 'BR-PI', 'Bom Jesus', 'no', 'SDQU', '', 'PI0016', ''),
	('SNXQ', 'small_airport', 'Xique-Xique Airport', -10.8341, -42.683399, 1401, 'BR', 'BR-BA', 'Xique-Xique', 'no', 'SNXQ', '', 'BA0018', ''),
	('SWUR', 'small_airport', 'Fazenda Vista Verde Airport', -8.491526, -44.384519, 1945, 'BR', 'BR-PI', 'Palmeira Do Piauí', 'no', 'SWOQ', '', 'PI0044', 'SWUR'),
	('SNTQ', 'small_airport', 'Buritirama Airport', -10.724200248718262, -43.654701232910156, 1690, 'BR', 'BR-BA', 'Buritirama', 'no', 'SNTQ', '', '', ''),
	('SB2J', 'N/A', 'N/A', -9.627732262015343, -42.08253487944603, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBFV', 'N/A', 'N/A', -13.115168921649456, -44.681827425956726, 609, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJZT', 'small_airport', 'Fazenda Busato II Airport', -13.242396, -43.737819, 1500, 'BR', 'BR-BA', 'Serra Ramalho', 'no', 'SJZT', '', 'BA0129', ''),
	('SNRE', 'small_airport', 'Fazenda Rebeca Airport', -12.6827, -43.871498, 1575, 'BR', 'BR-BA', 'Serra Dourada', 'no', 'SJCR', '', 'BA0353', 'SNRE'),
	('SSQM', 'small_airport', 'Tanque Novo Airport', -13.54133, -42.475591, 2464, 'BR', 'BR-BA', 'Tanque Novo', 'no', '', '', '', 'SSQM'),
	('SBIJ', 'N/A', 'N/A', -11.819950640201569, -43.80460649728775, 452, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNVD', 'small_airport', 'Santa Maria da Vitória Airport', -13.40060043334961, -44.217201232910156, 1850, 'BR', 'BR-BA', 'Santa Maria Da Vitória', 'no', 'SNVD', '', '', ''),
	('SBIG', 'N/A', 'N/A', -11.660156361758709, -43.8188011944294, 430, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNJF', 'small_airport', 'Rural Verde Airport', -12.64743, -43.518764, 1453, 'BR', 'BR-BA', 'Sitio do Mato', 'no', 'SNJF', '', 'BA0138', ''),
	('SB3E', 'N/A', 'N/A', -12.168757505714893, -43.2221594452858, 424, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNGT', 'small_airport', 'Gentio de Ouro Airport', -11.441699981689453, -42.5181999206543, 3501, 'BR', 'BR-BA', 'Gentio De Ouro', 'no', 'SNGT', '', 'SNGT', ''),
	('SBLP', 'medium_airport', 'Bom Jesus da Lapa Airport', -13.2621, -43.4081, 1454, 'BR', 'BR-BA', 'Bom Jesus da Lapa', 'no', 'SBLP', 'LAZ', 'BA0037', ''),
	('SNIC', 'small_airport', 'Irecê Airport', -11.339900016784668, -41.84700012207031, 2561, 'BR', 'BR-BA', 'Irecê', 'no', 'SNIC', 'IRE', 'SNIC', ''),
	('SNTY', 'small_airport', 'Correntina Airport', -13.380556106567383, -44.61722183227539, 2159, 'BR', 'BR-BA', 'Correntina', 'no', 'SNTY', '', '', ''),
	('SBIM', 'N/A', 'N/A', -12.10404921323061, -43.906632363796234, 559, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBNN', 'N/A', 'N/A', -13.829339258372784, -44.468794763088226, 713, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBRC', 'heliport', 'Petrobras P-52 Platform Helideck', -21.905, -39.737222, 105, 'BR', 'BR-RJ', 'Macaé', 'no', 'SBRC', '', '9PTB', 'HELIOPS, Oil & Gas, Offshore, Platform, TLP, IMO 8768725, Roncador cluster'),
	('SNQU', 'small_airport', 'Mucugê Airport', -13.0312, -41.444099, 3461, 'BR', 'BR-BA', 'Mucugê', 'no', 'SNQU', 'CHD', 'BA0032', ''),
	('SBOF', 'small_airport', 'Fazenda Bandeirantes Airport', -19.318418, -52.534615, 1752, 'BR', 'BR-MS', 'Chapadão do Sul', 'no', 'SBOF', '', 'MS0478', ''),
	('SNYT', 'small_airport', 'Ituaçu Airport', -13.8283, -41.302299, 1755, 'BR', 'BR-BA', 'Ituaçu', 'no', 'SNYT', '', 'BA0014', ''),
	('SNBO', 'small_airport', 'Boquira Airport', -12.790599822998, -42.728900909424, 1886, 'BR', 'BR-BA', 'Boquira', 'no', '', '', '', 'SNBO'),
	('SNST', 'small_airport', 'Souto Soares Airport', -12.0973, -41.640701, 2753, 'BR', 'BR-BA', 'Souto Soares', 'no', 'SN3U', '', 'BA0049', 'SNST'),
	('SNIE', 'small_airport', 'Caetité Airport', -14.012329, -42.494001, 3202, 'BR', 'BR-BA', 'Caetité', 'no', 'SNIE', '', 'BA0020', 'Guilherme Brandão de Castro'),
	('SDLE', 'small_airport', 'Rio de Contas Airport', -13.583044, -41.791037, 3576, 'BR', 'BR-BA', 'Rio de Contas', 'no', 'SDLE', '', 'BA0038', ''),
	('SNBZ', 'small_airport', 'Paramirim Airport', -13.446110725402832, -42.249168395996094, 1788, 'BR', 'BR-BA', 'Paramirim', 'no', 'SNBZ', '', 'SB05', ''),
	('SBFW', 'N/A', 'N/A', -11.57308179885149, -43.263660818338394, 420, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNMC', 'small_airport', 'Macaúbas Airport', -13.025, -42.672298, 2133, 'BR', 'BR-BA', 'Macaúbas', 'no', 'SNMC', '', 'SNMC', ''),
	('SNDJ', 'small_airport', 'Santana dos Brejos Airport', -12.976111412048, -44.039165496826, 1759, 'BR', 'BR-BA', 'Santana Dos Brejos', 'no', '', '', '', 'SNDJ'),
	('SNKO', 'small_airport', 'Brotas de Macaúbas Airport', -11.9994, -42.634899, 2667, 'BR', 'BR-BA', 'Brotas de Macaúbas', 'no', 'SNKO', '', 'BA0055', 'SJA2'),
	('SD8O', 'small_airport', 'Berço das Gerais Airport', -14.770743, -43.609586, 1526, 'BR', 'BR-MG', 'Matias Cardoso', 'no', 'SD8O', '', 'MG0497', ''),
	('SBMH', 'N/A', 'N/A', -15.178090408444405, -42.508016377687454, 957, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBDR', 'N/A', 'N/A', -16.659652814269066, -44.355236291885376, 811, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNMK', 'small_airport', 'Mocambinho Airport', -15.093000411987305, -43.97909927368164, 1519, 'BR', 'BR-MG', 'Jaíba', 'no', 'SNMK', '', 'SNMK', ''),
	('SNPH', 'closed', 'Fazenda Do Cantagalo Airport', -15.395899772644043, -44.145198822021484, 1576, 'BR', 'BR-MG', 'Piedras do Maria Da Cruz', 'no', '', '', '', 'SNPH, SNPH, SNPH'),
	('SBNU', 'N/A', 'N/A', -16.6142188757658, -43.65767151117325, 710, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBBT', 'medium_airport', 'Chafei Amsei Airport', -20.584631, -48.594125, 1903, 'BR', 'BR-SP', 'Barretos', 'no', 'SNBA', 'BAT', 'SP0013', 'SBBT'),
	('SNNS', 'small_airport', 'Fazenda Jaibense Airport', -14.946110725403, -43.68111038208, 1644, 'BR', 'BR-MG', 'Matias Cardoso', 'no', '', '', '', 'SNNS'),
	('SBEX', 'N/A', 'N/A', -15.334577187895775, -43.68897199630737, 487, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBXH', 'N/A', 'N/A', -15.056624561548233, -42.37371951341629, 998, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDLK', 'small_airport', 'Caculé Airport', -14.4812, -42.264702, 2064, 'BR', 'BR-BA', 'Caculé', 'no', 'SDLK', '', 'BA0040', ''),
	('SITZ', 'small_airport', 'Fazenda MRV Airport', -14.917778015137, -43.359722137451, 1713, 'BR', 'BR-MG', 'Monte Azul', 'no', '', '', '', 'SITZ'),
	('SNVL', 'small_airport', 'Virgem da Lapa Airport', -16.773889541626, -42.387500762939, 2477, 'BR', 'BR-MG', 'Virgem Da Lapa', 'no', '', '', '', 'SNVL'),
	('SNJV', 'small_airport', 'Fazenda Santa Mônica Airport', -15.998333, -43.73833, 2077, 'BR', 'BR-MG', 'São João Da Ponte', 'no', 'SNJV', '', 'SNJV', ''),
	('SBFR', 'N/A', 'N/A', -16.315714493393898, -43.71055081486702, 591, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNJN', 'small_airport', 'Januária Airport', -15.4738, -44.385502, 1575, 'BR', 'BR-MG', 'Januária', 'no', 'SNJN', 'JNA', 'SNJN', ''),
	('SBMI', 'N/A', 'N/A', -16.433722972869873, -44.057097136974335, 925, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNKC', 'small_airport', 'Cocos Airport', -14.17277778, -44.54666667, 2018, 'BR', 'BR-BA', 'Cocos', 'no', 'SNKC', '', '', ''),
	('SBNW', 'N/A', 'N/A', -14.356718882918358, -43.73377427458763, 459, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNAP', 'small_airport', 'Janaúba Airport', -15.731948, -43.322905, 1745, 'BR', 'BR-MG', 'Janaúba', 'no', 'SNAP', '', 'MG0021', ''),
	('SSTX', 'N/A', 'N/A', -16.194166503846645, -43.073333501815796, 890, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJJQ', 'heliport', 'Polícia Federal Heliport', -5.8261108398438, -35.223609924316, 218, 'BR', 'BR-RN', 'Natal', 'no', '', '', '', 'SJJQ'),
	('SNJT', 'small_airport', 'Fazenda Caraíbas Airport', -15.654167175293, -43.401668548584, 1811, 'BR', 'BR-MG', 'Janaúba', 'no', '', '', '', 'SNJT'),
	('SBTY', 'N/A', 'N/A', -15.462859869003296, -44.84717711806297, 569, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNZK', 'small_airport', 'Fazenda Canadá Airport', -15.0243, -44.039101, 1510, 'BR', 'BR-MG', 'Itacarambí', 'no', 'SNZK', '', 'MG0174', ''),
	('SIPO', 'small_airport', 'Sebastião José Pereira Airport', -14.924167, -41.956669, 2260, 'BR', 'BR-BA', 'Condeúba', 'no', 'SIPO', '', 'BA0094', ''),
	('SBTI', 'N/A', 'N/A', -15.776195861399174, -42.193965911865234, 801, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNSS', 'small_airport', 'Salinas Airport', -16.2083, -42.321999, 2504, 'BR', 'BR-MG', 'Salinas', 'no', 'SNSS', '', 'SNSS', ''),
	('SBMK', 'medium_airport', 'Mário Ribeiro Airport', -16.706919, -43.818901, 2191, 'BR', 'BR-MG', 'Montes Claros', 'yes', 'SBMK', 'MOC', 'MG0004', 'Montes Claros Airport'),
	('SNNH', 'small_airport', 'Carinhanha Airport', -14.298500061035, -43.797298431396, 1483, 'BR', 'BR-BA', 'Carinhanha', 'no', '', '', 'SNNH', 'SNNH'),
	('SBJK', 'N/A', 'N/A', -15.687153898179531, -44.477030485868454, 509, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNGI', 'small_airport', 'Guanambi Airport', -14.2082, -42.746101, 1815, 'BR', 'BR-BA', 'Guanambi', 'no', 'SNGI', 'GNM', 'SNGI', ''),
	('SSXH', 'small_airport', 'Fazenda Jacamin Airport', -13.698056, -56.290833, 1099, 'BR', 'BR-MT', 'Nova Mutum', 'no', '', '', '', 'SSXH'),
	('SBUQ', 'N/A', 'N/A', -15.361515618860722, -42.219940423965454, 1062, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBXI', 'N/A', 'N/A', -15.037796460092068, -42.23491832613945, 810, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIVN', 'small_airport', 'Fazenda Sansara Airport', -16.602173, -43.771033, 2149, 'BR', 'BR-MG', 'Montes Claros', 'no', 'SIVN', '', 'MG0113', ''),
	('SNUI', 'small_airport', 'Araçuaí Airport', -16.851571, -42.045633, 1076, 'BR', 'BR-MG', 'Araçuaí', 'no', 'SNUI', 'AIY', 'MG0045', ''),
	('SNMW', 'small_airport', 'Agropecuária Paralelo Dez Ltda Airport', -9.9994440078735, -61.052223205566, 3035, 'BR', 'BR-MT', 'Aripuanã', 'no', '', '', '', 'SNMW'),
	('SNTV', 'small_airport', 'Fazenda Veredão Airport', -15.655300140381, -41.654098510742, 2559, 'BR', 'BR-MG', 'Taiobeiras', 'no', '', '', 'SNTV', 'SNTV'),
	('SBHK', 'N/A', 'N/A', -15.499900504946709, -41.56589224934578, 770, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIED', 'small_airport', 'Colonial Airport', -15.450541, -43.402595, 1621, 'BR', 'BR-MG', 'Verdelândia', 'no', 'SNCF', '', 'MG0139', 'SIED'),
	('SBRA', 'N/A', 'N/A', -15.362091287970543, -42.371699810028076, 1000, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJBF', 'small_airport', 'Fazenda J.K. Airport', -15.158888816833, -48.283889770508, 2136, 'BR', 'BR-GO', 'Mimoso De Goiás', 'no', '', '', '', 'SJBF'),
	('SBTZ', 'N/A', 'N/A', -15.973633266985416, -44.81757000088692, 532, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSHO', 'heliport', 'Hospital Santa Rita Helipad', -7.126055, -34.946861, 213, 'BR', 'BR-PB', 'Santa Rita', 'no', 'SSHO', '', 'PB0019', ''),
	('SNQV', 'small_airport', 'Curvelo Airport', -18.749965, -44.458427, 2205, 'BR', 'BR-MG', 'Curvelo', 'no', 'SNQV', '', 'MG0044', ''),
	('SNPX', 'small_airport', 'Pirapora Airport', -17.3169002532959, -44.86029815673828, 1808, 'BR', 'BR-MG', 'Pirapora', 'no', 'SNPX', 'PIV', 'SNPX', ''),
	('SJHW', 'small_airport', 'Professor Maurício Joppert Airport', -17.295497, -43.958836, 2221, 'BR', 'BR-MG', 'Engenheiro Navarro', 'no', 'SJHW', '', 'MG0123', ''),
	('SICK', 'small_airport', 'Dr. Jucelino José Ribeiro Airport', -17.680607, -42.52943, 3481, 'BR', 'BR-MG', 'Capelinha', 'no', 'SICK', '', 'MG0092', 'Cidade Capelinha Airport'),
	('SIVJ', 'small_airport', 'Cirrus Sociedade Aerodesportiva Airport', -19.451074, -43.899779, 2402, 'BR', 'BR-MG', 'Jaboticatubas', 'no', 'SIVJ', '', 'MG0112', ''),
	('SNJI', 'small_airport', 'Fazenda Fortaleza de Santa Terezinha Airport', -17.186800003051758, -44.64950180053711, 2077, 'BR', 'BR-MG', 'Jequitaí', 'no', 'SNJI', '', 'SNJI', ''),
	('SNLG', 'small_airport', 'Serra do Cipó Airport', -19.398611, -43.746387, 2621, 'BR', 'BR-MG', 'Jaboticatubas', 'no', 'SNLG', '', 'MG0155', ''),
	('SNKD', 'small_airport', 'Conceição do Mato Dentro Airport', -19.020299911499023, -43.43389892578125, 2196, 'BR', 'BR-MG', 'Conceição Do Mato Dentro', 'no', 'SNKD', '', 'SNKD', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBOB', 'N/A', 'N/A', -17.26389415562153, -42.53894314169884, 828, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNFZ', 'small_airport', 'Fazenda Villa Terezinha Airport', -17.405837, -43.939852, 2765, 'BR', 'BR-MG', 'Bocaíuva', 'no', 'SNFZ', '', 'MG0145', ''),
	('SIBK', 'small_airport', 'Sada Siderurgia Ltda Airport', -17.528285, -44.770122, 1759, 'BR', 'BR-MG', 'Várzea da Palma', 'no', '', '', '', 'SIBK'),
	('SNSI', 'small_airport', 'Santa Maria do Suaçuí Airport', -18.198610305786133, -42.46611022949219, 1575, 'BR', 'BR-MG', 'Santa Maria Do Suaçuí', 'no', 'SNSI', '', '', ''),
	('SSVU', 'small_airport', 'Fazenda Serra do Cabral Airport', -17.698889, -44.350278, 3773, 'BR', 'BR-MG', 'Lassance', 'no', 'SSVU', '', '', ''),
	('SWZT', 'small_airport', 'Fazenda do Brejo Airport', -19.254999, -44.473331, 2451, 'BR', 'BR-MG', 'Paraopeba', 'no', 'SWZT', '', 'MG0210', 'Ageo Agropecuária Ltda'),
	('SDCE', 'small_airport', 'Fazenda Marambaia Airport', -17.438334, -44.936943, 1766, 'BR', 'BR-MG', 'Pirapora', 'no', '', '', '', 'SDCE'),
	('SNTO', 'small_airport', 'Juscelino Kubitscheck Airport', -17.8923, -41.513599, 1572, 'BR', 'BR-MG', 'Teófilo Otoni', 'no', 'SNTO', 'TFL', 'SNTO', ''),
	('SJBU', 'small_airport', 'Fazenda Baluarte Airport', -17.014975, -44.791897, 1719, 'BR', 'BR-MG', 'Lagoa Dos Patos', 'no', 'SITI', '', 'MG0110', 'SJBU'),
	('SNDT', 'small_airport', 'Diamantina Airport', -18.232000351, -43.650398254399995, 4446, 'BR', 'BR-MG', 'Diamantina', 'no', 'SNDT', 'DTI', '', ''),
	('SNVZ', 'small_airport', 'Várzea da Palma Airport', -17.645000457764, -44.710556030273, 1719, 'BR', 'BR-MG', 'Várzea Da Palma', 'no', '', '', '', 'SNVZ'),
	('SBMV', 'N/A', 'N/A', -19.29101787507534, -43.890177458524704, 773, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBNS', 'N/A', 'N/A', -17.551410533487797, -43.00653666257858, 840, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBIP', 'medium_airport', 'Usiminas Airport', -19.470699, -42.487598, 786, 'BR', 'BR-MG', 'Ipatinga', 'yes', 'SBIP', 'IPN', 'MG0007', 'Usiminas'),
	('SNBK', 'closed', 'Bocaíuva Airport', -17.1331, -43.815605, 2395, 'BR', 'BR-MG', 'Bocaíuva', 'no', '', '', '', 'SNBK'),
	('SBGV', 'medium_airport', 'Coronel Altino Machado Airport', -18.895882, -41.982869, 561, 'BR', 'BR-MG', 'Governador Valadares', 'yes', 'SBGV', 'GVR', 'MG0032', 'Governador Valadares Airport'),
	('SJSK', 'small_airport', 'Mário Spada Airport', -17.52833366394, -42.383609771729, 3271, 'BR', 'BR-MG', 'Minas Novas', 'no', '', '', '', 'SJSK'),
	('SBLS', 'small_airport', 'Lagoa Santa Air Base', -19.661751, -43.897404, 2795, 'BR', 'BR-MG', 'Lagoa Santa', 'no', 'SBLS', '', 'MG9001', ''),
	('SNSO', 'small_airport', 'Serro Airport', -18.60849952697754, -43.42409896850586, 2428, 'BR', 'BR-MG', 'Serro', 'no', 'SNSO', '', 'SNSO', ''),
	('SBCF', 'large_airport', 'Tancredo Neves International Airport', -19.63571, -43.966928, 2721, 'BR', 'BR-MG', 'Belo Horizonte', 'yes', 'SBCF', 'CNF', 'MG0001', 'http://www.infraero.gov.br/usa/aero_prev_home.php?ai=207'),
	('SNMN', 'small_airport', 'Minas Novas Airport', -17.263889, -42.539165, 2707, 'BR', 'BR-MG', 'Minas Novas', 'no', 'SNMN', '', 'MG0075', ''),
	('SWJX', 'small_airport', 'Fazenda das Perobas Airport', -19.502222, -44.158641, 2789, 'BR', 'BR-MG', 'Prudente de Morais', 'no', 'SWPS', '', 'MG0202', 'SWJX'),
	('SBNZ', 'N/A', 'N/A', -17.653155103325844, -42.26576641201973, 1121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SWZL', 'small_airport', 'Fazenda Americana Airport', -18.147591, -41.715044, 1106, 'BR', 'BR-MG', 'Itambacuri', 'no', 'SWEU', 'ITI', 'MG0197', 'SWZL'),
	('SNGH', 'closed', 'Guanhães Airport', -18.707701, -42.838902, 2618, 'BR', 'BR-MG', 'Guanhães', 'no', '', '', '', 'SNGH'),
	('SBOA', 'small_airport', 'Fazenda Antas Airstrip', -6.974453, -35.252233, 440, 'BR', 'BR-PB', 'Sapé', 'no', 'SBOA', '', 'PB0031', ''),
	('SNCZ', 'small_airport', 'Ponte Nova Airport', -20.40329933166504, -42.916500091552734, 1877, 'BR', 'BR-MG', 'Ponte Nova', 'no', 'SNCZ', '', 'SNCZ', ''),
	('SDRS', 'small_airport', 'Resende Airport', -22.4785, -44.480301, 1320, 'BR', 'BR-RJ', 'Resende', 'no', 'SDRS', 'REZ', 'RJ0007', 'QRZ'),
	('SNUB', 'small_airport', 'Ubá Airport', -21.121, -42.881901, 1115, 'BR', 'BR-MG', 'Ubá', 'no', 'SNUB', '', 'SNUB', ''),
	('SNCT', 'small_airport', 'Ubaporanga Airport', -19.7253, -42.112099, 2067, 'BR', 'BR-MG', 'Caratinga', 'no', 'SNCT', '', 'SNCT', ''),
	('SNDN', 'small_airport', 'Leopoldina Airport', -21.468226, -42.727076, 919, 'BR', 'BR-MG', 'Leopoldina', 'no', '', 'LEP', '', 'SNDN'),
	('SBZM', 'medium_airport', 'Presidente Itamar Franco Airport', -21.513086, -43.173069, 1348, 'BR', 'BR-MG', 'Juiz de Fora', 'yes', 'SBZM', 'IZA', '', 'SDZY, Zona da Mata Regional Airport, Juiz de Fora Airport'),
	('SNVC', 'small_airport', 'Viçosa Airport', -20.744722, -42.841946, 2162, 'BR', 'BR-MG', 'Viçosa', 'no', 'SNVC', '', '', ''),
	('SSOL', 'small_airport', 'Padre Israel Airport', -21.240601, -44.963902, 3146, 'BR', 'BR-MG', 'Lavras', 'no', 'SSOL', 'VRZ', 'MG0027', 'Israel Batista de Carvalho, Lavras Regional'),
	('SWUD', 'small_airport', 'Cláudio Airport', -20.445833, -44.812776, 2690, 'BR', 'BR-MG', 'Cláudio', 'no', 'SWUD', '', '', ''),
	('SBME', 'medium_airport', 'Macaé Benedito Lacerda Airport', -22.343, -41.765999, 8, 'BR', 'BR-RJ', 'Macaé', 'yes', 'SBME', 'MEA', 'RJ0004', ''),
	('SJJR', 'small_airport', 'Fazenda Recreio Airport', -21.71417, -44.203892, 3796, 'BR', 'BR-MG', 'Andrelândia', 'no', 'SJJR', '', 'MG0128', ''),
	('SSDK', 'small_airport', 'São Pedro', -20.075955, -44.727917, 2713, 'BR', 'BR-MG', '', 'no', 'SSDK', '', 'MG0178', ''),
	('SNNE', 'small_airport', 'São João Nepomuceno Airport', -21.542221069335938, -43.02111053466797, 1322, 'BR', 'BR-MG', 'São João Nepomuceno', 'no', 'SNNE', '', '', ''),
	('SNKF', 'small_airport', 'Das Bandeirinhas Airport', -20.738585, -43.797444, 3478, 'BR', 'BR-MG', 'Conselheiro Lafaiete', 'no', 'SNKF', '', '', 'QDF'),
	('SBNQ', 'N/A', 'N/A', -20.106428861618042, -43.07299107313156, 717, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBJF', 'medium_airport', 'Francisco de Assis Airport', -21.791482, -43.386072, 2989, 'BR', 'BR-MG', 'Juiz de Fora', 'yes', 'SBJF', 'JDF', 'MG0016', 'Serrinha Airport'),
	('SBXG', 'N/A', 'N/A', -19.75147470831871, -42.6294806599617, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIFU', 'small_airport', 'Fazenda Ribeirão Airport', -22.415472, -43.774735, 1319, 'BR', 'BR-RJ', 'Barra Do Piraí', 'no', 'SIFU', '', 'RJ0021', ''),
	('SJQT', 'small_airport', 'Fazenda Haras RPC Airport', -20.169079, -43.92747, 4209, 'BR', 'BR-MG', 'Nova Lima', 'no', 'SJQT', '', 'MG0131', ''),
	('SNAM', 'closed', 'Santo Antônio do Amparo Airport', -20.9135, -44.892899, 3601, 'BR', 'BR-MG', 'Santo Antônio do Amparo', 'no', '', '', '', 'SNAM, MG0011'),
	('SBCP', 'medium_airport', 'Bartolomeu Lisandro Airport', -21.698299, -41.301701, 59, 'BR', 'BR-RJ', 'Campos Dos Goytacazes', 'yes', 'SBCP', 'CAW', 'RJ0006', ''),
	('SBBQ', 'medium_airport', 'Major Brigadeiro Doorgal Borges Airport', -21.2672, -43.76101, 3657, 'BR', 'BR-MG', 'Barbacena', 'no', 'SBBQ', '', 'MG9002', 'QAK'),
	('SJXM', 'small_airport', 'Carolina de Assis Repetto Airport', -21.730022, -43.891947, 3452, 'BR', 'BR-MG', 'Lima Duarte', 'no', 'SJXM', '', 'MG0138', ''),
	('SNJM', 'small_airport', 'Aeroporto Elias Breder Airport', -20.259722, -42.183887, 2723, 'BR', 'BR-MG', 'Manhuaçu', 'no', 'SNJM', 'JMA', 'MG0050', ''),
	('SNPA', 'small_airport', 'Pará de Minas Airport', -19.8426, -44.6012, 2753, 'BR', 'BR-MG', 'Pará de Minas', 'no', 'SNPA', '', 'MG0052', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBPR', 'small_airport', 'Carlos Prates Airport', -19.909629, -43.989179, 3044, 'BR', 'BR-MG', 'Belo Horizonte', 'no', 'SBPR', '', 'MG0005', ''),
	('SNLH', 'small_airport', 'Lajinha Airport', -20.140277862549, -41.60916519165, 2051, 'BR', 'BR-MG', 'Lajinha', 'no', '', '', '', 'SNLH'),
	('SDUN', 'small_airport', 'Itaperuna Airport', -21.219299316399997, -41.8759002686, 410, 'BR', 'BR-RJ', 'Itaperuna', 'no', 'SDUN', 'ITP', 'SDUN', ''),
	('SB8V', 'N/A', 'N/A', -22.497793547809124, -44.08524602651596, 380, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBBH', 'medium_airport', 'Pampulha - Carlos Drummond de Andrade Airport', -19.8512, -43.9506, 2589, 'BR', 'BR-MG', 'Belo Horizonte', 'no', 'SBBH', 'PLU', 'MG0003', 'BHZ'),
	('SNJR', 'small_airport', 'Prefeito Octávio de Almeida Neves Airport', -21.085638, -44.225299, 3117, 'BR', 'BR-MG', 'São João Del Rei', 'no', 'SNJR', 'JDR', 'MG0034', ''),
	('SNXB', 'small_airport', 'Caxambu Airport', -21.917066, -44.96817, 2838, 'BR', 'BR-MG', 'Caxambu', 'no', 'SNXB', '', 'MG0025', ''),
	('SIBC', 'small_airport', 'Vila de Tocos Airport', -21.877777099609375, -41.29472351074219, 26, 'BR', 'BR-RJ', 'Campos Dos Goytacazes', 'no', 'SIBC', '', '', ''),
	('SNRZ', 'small_airport', 'Oliveira Airport', -20.7146, -44.8653, 3334, 'BR', 'BR-MG', 'Oliveira', 'no', 'SNRZ', '', '', ''),
	('SNBM', 'small_airport', 'Cristiano Ferreira Varella Airport', -21.126101, -42.394402, 886, 'BR', 'BR-MG', 'Muriaé', 'no', 'SNBM', '', 'SNBM', ''),
	('SNJL', 'small_airport', 'Fazenda do Rochedo Airport', -21.845556259155, -43.1875, 2300, 'BR', 'BR-MG', 'Juiz De Fora', 'no', '', '', '', 'SNJL'),
	('SIZC', 'small_airport', 'Fazenda Fenix Airport', -20.779444, -41.995556, 1581, 'BR', 'BR-MG', 'Carangola', 'no', 'SNYX', '', 'MG0172', 'SIZC, Faria Lemos'),
	('SNDV', 'small_airport', 'Brigadeiro Cabral Airport', -20.180700302124, -44.870899200439, 2608, 'BR', 'BR-MG', 'Divinópolis', 'no', 'SNDV', 'DIQ', 'SNDV', ''),
	('SBNR', 'N/A', 'N/A', -20.207479745149612, -43.965227007865906, 1338, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDVL', 'small_airport', 'Coronel Newton Braga Airport', -22.242779, -43.713612, 1903, 'BR', 'BR-RJ', 'Valença', 'no', '', '', '', 'SDVL'),
	('SBOK', 'small_airport', 'Fazenda São Vicente Airport', -13.290168, -55.975493, 1411, 'BR', 'BR-MT', 'Lucas do Rio Verde', 'no', 'SBOK', '', 'MT0654', ''),
	('SWBE', 'small_airport', 'Walfrido Salmito de Almeida Airport', -4.042841, -40.893813, 2900, 'BR', 'BR-CE', 'São Benedito', 'no', 'SWBE', 'JSB', 'CE0006', ''),
	('SBIN', 'N/A', 'N/A', -5.377064310014248, -40.29641389846802, 355, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNYX', 'small_airport', 'Sítio Vodó Airport', -4.093998, -38.248007, 249, 'BR', 'BR-CE', 'Cascavel', 'no', '', '', '', 'SNYX'),
	('SBXO', 'N/A', 'N/A', -5.35441942512989, -39.2756724357605, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNFF', 'small_airport', 'Feijó Airport', -3.809903, -38.614597, 82, 'BR', 'BR-CE', 'Fortaleza', 'no', 'SNFF', '', '', ''),
	('SNRS', 'medium_airport', 'Russas - João De Deus Regional Airport', -4.94727, -38.008202, 115, 'BR', 'BR-CE', 'Russas', 'no', '', '', 'SNRS', 'SNRS'),
	('SBXM', 'N/A', 'N/A', -5.151468738913536, -39.171462804079056, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBLI', 'N/A', 'N/A', -5.1933953538537025, -38.1441405415535, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBFZ', 'large_airport', 'Pinto Martins International Airport', -3.775833, -38.532222, 83, 'BR', 'BR-CE', 'Fortaleza', 'yes', 'SBFZ', 'FOR', 'CE0001', ''),
	('SBJE', 'N/A', 'N/A', -2.9066666588187218, -40.35805553197861, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBEY', 'N/A', 'N/A', -4.3251388147473335, -39.25073102116585, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBSZ', 'N/A', 'N/A', -4.332142397761345, -40.142721086740494, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBIF', 'N/A', 'N/A', -4.299869388341904, -40.67759960889816, 249, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNAT', 'N/A', 'N/A', -4.568863101303577, -37.805067747831345, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNMO', 'small_airport', 'Morada Nova Airport', -5.0836110115051, -38.383609771729, 509, 'BR', 'BR-CE', 'Morada Nova', 'no', '', '', '', 'SNMO'),
	('SBXR', 'N/A', 'N/A', -4.602465145289898, -38.19228082895279, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNOB', 'small_airport', 'Sobral Airport', -3.67889, -40.336802, 210, 'BR', 'BR-CE', 'Sobral', 'no', 'SNOB', '', 'CE0013', 'QBX, Cel. Virgílio Távora'),
	('SBOJ', 'N/A', 'N/A', -4.103616178035736, -39.043674767017365, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJDS', 'small_airport', 'M Dias Branco Airport', -3.917155, -38.489179, 66, 'BR', 'BR-CE', 'Eusébio', 'no', 'SJDS', '', 'CE0018', 'Fábrica Fortaleza'),
	('SBXQ', 'N/A', 'N/A', -4.931293576955795, -38.97517070174217, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBIW', 'N/A', 'N/A', -3.5115185379981995, -39.64333802461624, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SITL', 'small_airport', 'Fazenda Flores Airport', -5.049167, -40.234167, 1148, 'BR', 'BR-CE', 'Tamboril', 'no', 'SIUH', '', 'CE0016', 'SITL'),
	('SBXU', 'N/A', 'N/A', -5.122988373041153, -37.97082647681236, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNQX', 'small_airport', 'Quixadá Airport', -4.97907, -38.987598, 653, 'BR', 'BR-CE', 'Quixadá', 'no', 'SNQX', '', 'SNQX', ''),
	('SNOO', 'small_airport', 'Fazenda Quatrilho Airport', -13.395093, -55.642545, 1457, 'BR', 'BR-MT', 'Sorriso', 'no', '', '', '', 'SNOO'),
	('SBXN', 'N/A', 'N/A', -5.567744225263596, -39.354572743177414, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBOM', 'small_airport', 'Fazenda Santa Maria Airport', -15.376891, -57.682109, 630, 'BR', 'BR-MT', 'Lambari d''Oeste', 'no', 'SBOM', '', 'MT0644', ''),
	('SBON', 'small_airport', 'Fazenda Renascer Airport', -7.615933, -47.452097, 764, 'BR', 'BR-TO', 'Goiatins', 'no', 'SBON', '', 'TO0084', ''),
	('SNTL', 'small_airport', 'Brigadeiro Sampaio Airport', -4.857619, -40.37473, 1207, 'BR', 'BR-CE', 'Tamboril', 'no', 'SNXA', '', 'CE0132', 'SNTL, Tamboril Airport'),
	('SNWS', 'small_airport', 'Crateús Airport', -5.21135, -40.704201, 1043, 'BR', 'BR-CE', 'Crateús', 'no', 'SNWS', 'JCS', 'CE0005', ''),
	('SNWC', 'small_airport', 'Camocim - Pinto Martins Airport', -2.895596, -40.859299, 16, 'BR', 'BR-CE', 'Camocim', 'no', 'SNWC', 'CMC', '', ''),
	('SNHS', 'small_airport', 'Santa Magalhães Airport', -8.061433, -38.328888, 1542, 'BR', 'BR-PE', 'Serra Talhada', 'yes', 'SNHS', 'SET', 'PE0005', ''),
	('SBJS', 'N/A', 'N/A', -7.341987602412701, -41.14217609167099, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBXS', 'N/A', 'N/A', -6.796831637620926, -37.77403548359871, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBUT', 'N/A', 'N/A', -5.713929980993271, -39.009663462638855, 195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SNQD', 'small_airport', 'Sousa Airport', -6.78544, -38.233398, 745, 'BR', 'BR-PB', 'Sousa', 'no', 'SNQD', '', 'SNQD', ''),
	('SBJL', 'N/A', 'N/A', -5.854708068072796, -38.573779463768005, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIBU', 'small_airport', 'Jerônimo Sérgio Rosado Maia Airport', -6.36253, -37.756199, 892, 'BR', 'BR-PB', 'Catolé do Rocha', 'no', 'SIBU', '', 'PB0012', ''),
	('SNAB', 'small_airport', 'Araripina Airport', -7.586417, -40.535431, 2428, 'BR', 'BR-PE', 'Araripina', 'no', 'SNAB', 'JAW', 'PE0009', ''),
	('SIBW', 'small_airport', 'Conceição Airport', -7.55823, -38.496498, 1214, 'BR', 'BR-PB', 'Conceição', 'no', 'SIBW', '', 'PB0008', ''),
	('SNTB', 'small_airport', 'Afogados da Ingazeira Airport', -7.7236108779907, -37.61888885498, 1844, 'BR', 'BR-PE', 'Afogados Da Ingazeira', 'no', '', '', '', 'SNTB'),
	('SNOY', 'small_airport', 'Ouricuri Airport', -7.87652, -40.091801, 1529, 'BR', 'BR-PE', 'Ouricuri', 'no', '', '', '', 'SNOY'),
	('SNIG', 'small_airport', 'Iguatu Airport', -6.346319, -39.294448, 699, 'BR', 'BR-CE', 'Iguatu', 'no', 'SNIG', 'QIG', 'CE0007', ''),
	('SSFL', 'small_airport', 'João Pereira dos Santos Filho Airport', -7.100147, -40.628379, 1470, 'BR', 'BR-PI', 'Fronteiras', 'no', 'SSFL', '', 'PI0006', ''),
	('SBFC', 'N/A', 'N/A', -5.777468830347061, -37.55295887589455, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBOL', 'small_airport', 'Fazenda Santa Lúcia Airstrip', -18.920278, -52.001389, 1923, 'BR', 'BR-GO', 'Aporé', 'no', 'SBOL', '', 'GO0298', ''),
	('SBFK', 'N/A', 'N/A', -6.88266534358263, -38.61587315797806, 335, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNCS', 'small_airport', 'Campos Sales Airport', -7.051714, -40.358274, 2001, 'BR', 'BR-CE', 'Campos Sales', 'no', 'SNCS', '', 'CE0009', ''),
	('SNLT', 'small_airport', 'Paulistana Airport', -8.166388511657715, -41.15388870239258, 1181, 'BR', 'BR-PI', 'Paulistana', 'no', 'SNLT', '', '', ''),
	('SDZG', 'small_airport', 'Pedro Teixeira Castelo Airport', -5.9334, -40.2975, 1457, 'BR', 'BR-CE', 'Tauá', 'no', 'SDZG', 'JTA', '', ''),
	('SIBZ', 'small_airport', 'Itaporanga Airport', -7.31166, -38.112701, 957, 'BR', 'BR-PB', 'Itaporanga', 'no', 'SIBZ', '', 'PB0010', ''),
	('SINV', 'small_airport', 'Fazenda Santa Rita Airport', -8.2283334732056, -37.75638961792, 1634, 'BR', 'BR-PE', 'Custódia', 'no', '', '', '', 'SINV'),
	('SNSG', 'small_airport', 'Salgueiro Airport', -8.04716, -39.136398, 1539, 'BR', 'BR-PE', 'Salgueiro', 'no', 'SNSG', '', 'SNSG', ''),
	('SBEZ', 'N/A', 'N/A', -6.154308132827282, -38.19669798016548, 228, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBJU', 'small_airport', 'Orlando Bezerra de Menezes Airport', -7.21932, -39.269096, 1342, 'BR', 'BR-CE', 'Juazeiro do Norte', 'yes', 'SBJU', 'JDO', 'CE0002', 'Juazeiro do Norte Airport'),
	('SBXT', 'N/A', 'N/A', -6.089348383247852, -37.924900352954865, 724, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNIO', 'small_airport', 'Cipó Airport', -11.125278, -38.486946, 732, 'BR', 'BR-BA', 'Cipó', 'no', 'SNIO', '', 'BA0010', ''),
	('SNUU', 'small_airport', 'Uauá Airport', -9.832062, -39.499733, 1335, 'BR', 'BR-BA', 'Uauá', 'no', '', '', '', 'SNUU'),
	('SBXL', 'N/A', 'N/A', -9.903192780911922, -39.0327125787735, 373, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNCQ', 'small_airport', 'Cocorobó Airport', -10.5272216797, -39.0330543518, 1509, 'BR', 'BR-BA', 'Euclides Da Cunha', 'no', '', '', '', 'SNCQ'),
	('SNUJ', 'small_airport', 'Santa Maria da Boa Vista Airport', -8.7819442749023, -39.872222900391, 1253, 'BR', 'BR-PE', 'Santa Maria Da Boa Vista', 'no', '', '', '', 'SNUJ'),
	('SDLH', 'small_airport', 'Caldas do Jorro Airport', -11.042089, -38.783727, 696, 'BR', 'BR-BA', 'Tucano', 'no', '', '', '', 'SDLH'),
	('SNFR', 'small_airport', 'Belém de São Francisco Airport', -8.7695903778076, -38.949600219727, 1034, 'BR', 'BR-PE', 'Belém De São Francisco', 'no', '', '', 'SNFR', 'SNFR'),
	('SBOP', 'heliport', 'Corinthians Arena Heliport', -23.54413, -46.47767, 2644, 'BR', 'BR-SP', 'São Paulo', 'no', 'SBOP', '', 'SP1309', ''),
	('SNAH', 'small_airport', 'Adustina Airport', -10.5809, -38.088799, 892, 'BR', 'BR-BA', 'Adustina', 'no', '', '', '', 'SNAH'),
	('SB26', 'N/A', 'N/A', -10.495667606592178, -40.48738896846771, 845, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDKF', 'small_airport', 'Juazeiro Airport', -9.15554, -40.0914, 1286, 'BR', 'BR-BA', 'Curaçá', 'no', '', '', 'BA0027', 'SDKF'),
	('SNJB', 'small_airport', 'Jacobina Airport', -11.1632, -40.553101, 1640, 'BR', 'BR-BA', 'Jacobina', 'no', 'SNJB', 'JCM', 'BA0062', '2 de Julho'),
	('SILZ', 'small_airport', 'Fazenda Mariad Airport', -9.39222240448, -40.357498168945, 1197, 'BR', 'BR-BA', 'Juazeiro', 'no', '', '', '', 'SILZ'),
	('SDLI', 'small_airport', 'Jeová Gomes Corrêa Airport', -8.73699, -39.115398, 1066, 'BR', 'BR-BA', 'Abaré', 'no', 'SJ7Z', '', 'BA0039', 'SDLI'),
	('SNBD', 'small_airport', 'Sobradinho Airport', -9.462010383606, -40.824298858643, 1240, 'BR', 'BR-BA', 'Juazeiro', 'no', '', '', 'SNBD', 'SNBD'),
	('SBUF', 'medium_airport', 'Paulo Afonso Airport', -9.40088, -38.250599, 883, 'BR', 'BR-BA', 'Paulo Afonso', 'yes', 'SBUF', 'PAV', 'BA0007', ''),
	('SNAV', 'small_airport', 'Agrovale Airport', -9.504348, -40.36996, 1289, 'BR', 'BR-BA', 'Juazeiro', 'no', 'SNAV', '', 'BA0130', ''),
	('SNMI', 'small_airport', 'Mina Caraíba Airport', -9.83, -39.886667, 1476, 'BR', 'BR-BA', 'Jaguarari', 'no', 'SNMI', '', 'BA0141', ''),
	('SNTG', 'small_airport', 'Afrânio Airport', -8.6105556488037, -41.0002784729, 1703, 'BR', 'BR-PE', 'Afrânio', 'no', '', '', '', 'SNTG'),
	('SSQP', 'small_airport', 'Monte Santo Airport', -10.464823, -39.286476, 1453, 'BR', 'BR-BA', 'Monte Santo', 'no', 'SSQP', '', 'BA0061', ''),
	('SBPL', 'medium_airport', 'Senador Nilo Coelho Airport', -9.362422, -40.569098, 1263, 'BR', 'BR-PE', 'Petrolina', 'yes', 'SBPL', 'PNZ', 'PE0002', ''),
	('SJPO', 'small_airport', 'Xingó Airport', -9.587974, -37.777803, 781, 'BR', 'BR-AL', 'Piranhas', 'no', 'SJPO', '', 'AL0005', ''),
	('SDFX', 'small_airport', 'Casa Nova Airport', -9.157435, -40.937445, 1329, 'BR', 'BR-BA', 'Casa Nova', 'no', 'SDFX', '', 'BA0054', ''),
	('SSRF', 'small_airport', 'Castro Alves Airport', -12.765700340270996, -39.44670104980469, 869, 'BR', 'BR-BA', 'Castro Alves', 'no', 'SSRF', '', 'SSRF', ''),
	('SJIR', 'small_airport', 'Engenheiro Joaquim Martins Airport', -13.31104, -40.878315, 1733, 'BR', 'BR-BA', 'Iramaia', 'no', 'SJIR', '', 'BA0113', ''),
	('SNCL', 'small_airport', 'Lorenzo Airport', -13.389444, -38.91, 3, 'BR', 'BR-BA', 'Cairu', 'no', 'SNCL', 'MXQ', 'BA0131', ''),
	('SNJK', 'small_airport', 'Jequié Airport', -13.8777, -40.071602, 646, 'BR', 'BR-BA', 'Jequié', 'no', 'SNJK', 'JEQ', 'BA0047', ''),
	('SBSV', 'large_airport', 'Deputado Luiz Eduardo Magalhães International Airport', -12.908611, -38.322498, 64, 'BR', 'BR-BA', 'Salvador', 'yes', 'SBSV', 'SSA', 'BA0001', 'Dois de Julho'),
	('SIRI', 'small_airport', 'Barra Grande Airport', -13.906082, -38.940804, 23, 'BR', 'BR-BA', 'Maraú', 'yes', 'SIRI', 'MUU', 'BA0096', ''),
	('SNFV', 'small_airport', 'Lago Joanes Airport', -12.663551, -38.407326, 239, 'BR', 'BR-BA', 'Simões Filho', 'no', '', '', '', 'SNFV');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SNZW', 'small_airport', 'Ituberá Airport', -13.731571, -39.140377, 23, 'BR', 'BR-BA', 'Ituberá', 'no', 'SNZW', 'ITE', 'BA0063', ''),
	('SIZA', 'small_airport', 'Parque Manoelito Argolo Airport', -11.960277557373, -38.002777099609, 558, 'BR', 'BR-BA', 'Entre Rios', 'no', '', '', '', 'SIZA'),
	('SJCQ', 'small_airport', 'Fazenda Serra Azul Airport', -11.9355, -40.050701, 1125, 'BR', 'BR-BA', 'Baixa Grande', 'no', 'SJCQ', '', 'BA0105', ''),
	('SNMJ', 'small_airport', 'Maracás Airport', -13.433300018299999, -40.4333000183, 3280, 'BR', 'BR-BA', 'Maracás', 'no', 'SNMJ', '', '', ''),
	('SNOC', 'small_airport', 'Morro do Chapéu Airport', -11.533278, -41.180055, 3586, 'BR', 'BR-BA', 'Morro do Chapéu', 'no', 'SN2C', '', 'BA0059', 'SNOC'),
	('SNUT', 'small_airport', 'Utinga Airport', -12.1055, -41.074501, 1962, 'BR', 'BR-BA', 'Utinga', 'no', 'SNUT', '', 'BA0017', ''),
	('SNVV', 'small_airport', 'Valente Airport', -11.411776, -39.440988, 1096, 'BR', 'BR-BA', 'Valente', 'no', 'SJ7W', '', 'BA0060', 'SNVV'),
	('SIGL', 'closed', 'Fazenda Boa Sorte Airport', -21.907733, -53.513975, 1099, 'BR', 'BR-MS', 'Nova Andradina', 'no', '', '', '', 'SIGL'),
	('SNIB', 'small_airport', 'Itaberaba Airport', -12.5, -40.269901, 929, 'BR', 'BR-BA', 'Itaberaba', 'no', 'SNIB', '', 'SNIB', ''),
	('SBZZ', 'N/A', 'N/A', -12.805839143693447, -38.24371978640556, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNEY', 'small_airport', 'Fazenda Lagoa do Morro Airport', -13.103262, -39.89528, 2666, 'BR', 'BR-BA', 'Brejões', 'no', '', '', '', 'SNEY'),
	('SNVB', 'small_airport', 'Valença Airport', -13.2965, -38.992401, 21, 'BR', 'BR-BA', 'Valença', 'yes', 'SNVB', 'VAL', 'SNVB', ''),
	('SNFT', 'small_airport', 'Fazenda Serinhaém Airport', -13.834423, -38.989373, 9, 'BR', 'BR-BA', 'Ituberá', 'no', 'SSDM', '', 'BA0154', 'SNFT'),
	('SNAZ', 'small_airport', 'Amargosa Airport', -12.9936, -39.639902, 1394, 'BR', 'BR-BA', 'Amargosa', 'no', '', '', '', 'SNAZ'),
	('SBFE', 'N/A', 'N/A', -12.200620137155056, -38.90631169080734, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNPP', 'small_airport', 'Morro de São Paulo Airport', -13.428781, -38.913689, 33, 'BR', 'BR-BA', 'Cairu', 'yes', 'SDGX', '', 'BA0073', 'SNPP'),
	('SNME', 'small_airport', 'Costa dos Coqueiros Airport', -12.490391, -38.023664, 233, 'BR', 'BR-BA', 'Mata De São João', 'no', 'SNME', '', 'SNME', ''),
	('SNJH', 'small_airport', 'São José do Jacuípe Airport', -11.452777862549, -40.042221069336, 1391, 'BR', 'BR-BA', 'São José Do Jacuípe', 'no', '', '', '', 'SNJH'),
	('SDLO', 'small_airport', 'Fábio Perini Airport', -13.5648, -38.939999, 20, 'BR', 'BR-BA', 'Cairu', 'no', 'SDLO', 'PBA', 'BA0074', 'Fazenda Pontal'),
	('SNVR', 'small_airport', 'Aeroclube da Bahia Airport', -13.024053, -38.665727, 12, 'BR', 'BR-BA', 'Vera Cruz', 'no', 'SNVR', '', 'BA0147', ''),
	('SBVC', 'N/A', 'N/A', -14.907777719199657, -40.914722084999084, 891, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNAR', 'small_airport', 'Cirilo Queiróz Airport', -16.165579, -40.684024, 640, 'BR', 'BR-MG', 'Almenara', 'no', 'SNAR', 'AMJ', 'MG0033', ''),
	('SWFH', 'small_airport', 'Fazenda Manchete Airport', -9.7469444274902, -49.98083114624, 640, 'BR', 'BR-TO', 'Araguacema', 'no', '', '', '', 'SWFH'),
	('SNHA', 'small_airport', 'Tertuliano Guedes de Pinho Airport', -14.8105, -39.290401, 197, 'BR', 'BR-BA', 'Itabuna', 'no', '', 'ITN', 'BA0248', 'SNHA, SB01, SWTX'),
	('SNEC', 'small_airport', 'Outeiros da Brisas Airport', -16.712959, -39.142413, 130, 'BR', 'BR-BA', 'Porto Seguro', 'no', 'SNEC', '', 'BA0134', ''),
	('SBTC', 'small_airport', 'Una-Comandatuba Airport', -15.354358, -38.998729, 23, 'BR', 'BR-BA', 'Una', 'yes', 'SBTC', 'UNA', 'BA0067', 'Hotel Transamérica'),
	('SSTI', 'small_airport', 'Arraial d`Ajuda Airport', -16.457778, -39.165833, 279, 'BR', 'BR-BA', 'Porto Seguro', 'no', 'SSTI', '', '', ''),
	('SNHO', 'small_airport', 'Nacional de Grafite II Airport', -15.824422, -41.08513, 2976, 'BR', 'BR-MG', 'Pedra Azul', 'no', '', '', '', 'SNHO'),
	('SNZP', 'small_airport', 'Poções Airport', -14.522688, -40.345001, 2772, 'BR', 'BR-BA', 'Poções', 'no', '', '', '', ''),
	('SBQV', 'closed', 'Pedro Otacílio Figueiredo Airport', -14.862567, -40.863186, 3002, 'BR', 'BR-BA', 'Vitória da Conquista', 'no', '', '', '', 'SBQV, BA0003'),
	('SNDW', 'closed', 'Divisa Airport', -15.519444, -40.872501, 2710, 'BR', 'BR-BA', 'Encruzilhada', 'no', '', '', '', 'SNDW, BA0043'),
	('SBIL', 'medium_airport', 'Bahia - Jorge Amado Airport', -14.815929, -39.033458, 15, 'BR', 'BR-BA', 'Ilhéus', 'yes', 'SBIL', 'IOS', 'BA0004', ''),
	('SNIP', 'small_airport', 'Itapetinga Airport', -15.244500160217285, -40.277198791503906, 915, 'BR', 'BR-BA', 'Itapetinga', 'no', 'SNIP', 'QIT', 'SNIP', ''),
	('SBPS', 'large_airport', 'Porto Seguro Airport', -16.438426, -39.080584, 169, 'BR', 'BR-BA', 'Porto Seguro', 'yes', 'SBPS', 'BPS', 'BA0002', ''),
	('SNIU', 'small_airport', 'Ipiaú Airport', -14.173538, -39.68399, 433, 'BR', 'BR-BA', 'Ipiaú', 'no', 'SNIU', 'IPU', 'BA0030', ''),
	('SJXS', 'small_airport', 'Veracel Airport', -16.10444450378418, -39.363887786865234, 434, 'BR', 'BR-BA', 'Belmonte', 'no', 'SJXS', '', 'SJXS', ''),
	('SIXI', 'small_airport', 'Fazenda Antônio Andrade Airport', -15.180277824402, -40.092777252197, 827, 'BR', 'BR-BA', 'Itororó', 'no', '', '', '', 'SIXI'),
	('SNJQ', 'small_airport', 'Jequitinhonha Airport', -16.4419002532959, -41.03689956665039, 853, 'BR', 'BR-MG', 'Jequitinhonha', 'no', 'SNJQ', '', 'SNJQ', ''),
	('SBOH', 'small_airport', 'Fazenda São Sebastião Airport', -16.000866, -53.543618, 2077, 'BR', 'BR-MT', 'Tesouro', 'no', 'SBOH', '', 'MT0657', ''),
	('SJXC', 'small_airport', 'Usina Santa Cruz Airport', -16.183056, -39.358055, 410, 'BR', 'BR-BA', 'Santa Cruz Cabrália', 'no', 'SJXC', '', '', ''),
	('SBTV', 'small_airport', 'Terravista Airport', -16.541416, -39.10811, 164, 'BR', 'BR-BA', 'Porto Seguro', 'no', 'SBTV', '', 'BA0068', ''),
	('SNHQ', 'small_airport', 'Nacional de Grafite III Airport', -16.18111038208, -39.931945800781, 984, 'BR', 'BR-MG', 'Salto Da Divisa', 'no', '', '', '', 'SNHQ'),
	('SNBL', 'small_airport', 'Belmonte Airport', -15.8717, -38.871899, 10, 'BR', 'BR-BA', 'Belmonte', 'no', 'SD6P', 'BVM', 'BA0041', 'SNBL'),
	('SNED', 'small_airport', 'Sócrates Rezende Airport', -15.666999816895, -38.954700469971, 19, 'BR', 'BR-BA', 'Canavieiras', 'no', 'SNED', 'CNV', 'SNED', ''),
	('SIAJ', 'small_airport', 'Fazenda Tauá Airport', -16.983611, -39.164139, 43, 'BR', 'BR-BA', 'Prado', 'no', 'SIAJ', '', 'BA0084', ''),
	('SWYG', 'small_airport', 'São José Airport', -19.622072, -40.201496, 187, 'BR', 'BR-ES', 'Aracruz', 'no', '', '', '', 'SWYG'),
	('SNBG', 'small_airport', 'Baixo Guandu - Aimorés Airport', -19.499001, -41.041801, 262, 'BR', 'BR-ES', 'Baixo Guandu', 'no', 'SNBG', '', 'ES0005', ''),
	('SWWM', 'small_airport', 'Fazenda Pupila Airport', -18.771944, -40.949444, 663, 'BR', 'BR-MG', 'Mantena', 'no', 'SWWM', '', 'MG0207', ''),
	('SJNQ', 'small_airport', 'Destilaria Medasa Airport', -17.491096, -40.156317, 656, 'BR', 'BR-BA', 'Medeiros Neto', 'no', 'SJNQ', '', 'BA0118', ''),
	('SNMU', 'small_airport', 'Mucuri Airport', -18.048901, -39.864321, 276, 'BR', 'BR-BA', 'Mucuri', 'yes', 'SNMU', 'MVS', 'BA0142', ''),
	('SNMX', 'small_airport', 'São Mateus - Ernesto Bonomo Airport', -18.7213, -39.833698, 98, 'BR', 'BR-ES', 'São Mateus', 'no', 'SNMX', 'SBJ', 'ES0003', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SIUT', 'closed', 'São Paulo do Piauí Airport', -17.012805, -39.181545, 82, 'BR', 'BR-BA', 'Prado', 'no', '', '', '', 'SIUT'),
	('SNTF', 'small_airport', '9 de Maio - Teixeira de Freitas Airport', -17.524392, -39.668499, 344, 'BR', 'BR-BA', 'Teixeira de Freitas', 'yes', 'SNTF', 'TXF', 'BA0016', ''),
	('SBCV', 'medium_airport', 'Caravelas Airport', -17.6523, -39.253101, 36, 'BR', 'BR-BA', 'Caravelas', 'no', 'SSCV', 'CRQ', 'BA0012', 'SBCV'),
	('SNLN', 'medium_airport', 'Linhares Municipal Airport', -19.355202, -40.07128, 138, 'BR', 'BR-ES', 'Linhares', 'no', 'SNLN', 'LHN', 'ES0002', ''),
	('SWNE', 'small_airport', 'Nelson Saldanha Airport', -17.884849, -39.367075, 10, 'BR', 'BR-BA', 'Nova Viçosa', 'no', 'SWNE', '', 'BA0183', ''),
	('SJWU', 'heliport', 'Dimensão Indústria', -2.658607, -44.301211, 92, 'BR', 'BR-MA', 'São Luís', 'no', '', '', 'MA0066', 'SJWU'),
	('SNNU', 'small_airport', 'Nanuque Airport', -17.823158, -40.329662, 656, 'BR', 'BR-MG', 'Nanuque', 'no', 'SNNU', 'NNU', 'MG0041', ''),
	('SIKW', 'heliport', 'Luciano Peixoto Heliport', -15.930618, -48.925488, 2093, 'BR', 'BR-GO', 'Pirenópolis', 'no', 'SNLS', '', 'GO0166', 'SIKW'),
	('SNCX', 'small_airport', 'Colatina Airport', -19.487476, -40.579362, 502, 'BR', 'BR-ES', 'Colatina', 'no', 'SNCX', 'QCH', 'ES0004', ''),
	('SNRD', 'small_airport', 'Prado Airport', -17.296976, -39.271131, 89, 'BR', 'BR-BA', 'Prado', 'no', 'SNRD', 'PDF', 'BA0048', ''),
	('SNKI', 'small_airport', 'Cachoeiro do Itapemirim - Raimundo de Andrade Airport', -20.834299, -41.1856, 256, 'BR', 'BR-ES', 'Cachoeiro do Itapemirim', 'no', 'SNKI', 'CDI', 'ES0006', 'QXD'),
	('SIFV', 'small_airport', 'Primo Bitti Airport', -19.825829, -40.102168, 85, 'BR', 'BR-ES', 'Aracruz', 'no', 'SIFV', '', 'ES0008', ''),
	('SNGA', 'small_airport', 'Guarapari Airport', -20.6465, -40.491901, 30, 'BR', 'BR-ES', 'Guarapari', 'yes', 'SNGA', 'GUZ', 'ES0007', ''),
	('SIVU', 'small_airport', 'João Moteiro Airport', -20.422911, -40.332484, 16, 'BR', 'BR-ES', 'Vila Velha', 'no', 'SIVU', '', 'ES0009', ''),
	('SBVT', 'large_airport', 'Eurico de Aguiar Salles Airport', -20.258, -40.285, 34, 'BR', 'BR-ES', 'Vitória', 'yes', 'SBVT', 'VIX', 'ES0001', ''),
	('SNUC', 'small_airport', 'Açu Airport', -5.59505, -36.960899, 364, 'BR', 'BR-RN', 'Açu', 'no', 'SNUC', '', 'RN0003', ''),
	('SNXX', 'small_airport', 'Maxaranguape Airport', -5.38414, -35.5284, 305, 'BR', 'BR-RN', 'Maxaranguape', 'no', 'SNXX', '', 'RN9002', 'Maxaranguepe, Jerusalham'),
	('SBMS', 'medium_airport', 'Dix-Sept Rosado Airport', -5.20192, -37.3643, 76, 'BR', 'BR-RN', 'Mossoró', 'yes', 'SBMS', 'MVF', 'RN0002', 'Mossoró Airport'),
	('SNZO', 'small_airport', 'Fazenda Bebida Velha Airport', -5.297096, -35.536667, 131, 'BR', 'BR-RN', 'Touros', 'no', 'SNZO', '', 'RN0009', ''),
	('SICB', 'small_airport', 'Pedro Simões Pimenta Airport', -6.485886, -36.137198, 2139, 'BR', 'BR-PB', 'Cuité', 'no', '', '', 'PB0007', 'SICB'),
	('SNPQ', 'small_airport', 'Pesqueira Airport', -8.374808, -36.637813, 2067, 'BR', 'BR-PE', 'Pesqueira', 'no', 'SNPQ', '', 'PE0010', ''),
	('SIQA', 'small_airport', 'Senador Antônio Farias Airport', -6.407982, -35.044753, 138, 'BR', 'BR-RN', 'Baia Formosa', 'no', 'SDR3', '', 'RN0018', 'SIQA'),
	('SBXW', 'N/A', 'N/A', -6.640207730233669, -36.65393069386482, 312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNUW', 'small_airport', 'Sertânia Airport', -8.0574998855591, -37.289443969727, 1968, 'BR', 'BR-PE', 'Sertânia', 'no', '', '', '', 'SNUW'),
	('SBSG', 'medium_airport', 'São Gonçalo do Amarante - Governador Aluízio Alves International Airport', -5.769804, -35.366578, 272, 'BR', 'BR-RN', 'Natal', 'yes', 'SBSG', 'NAT', 'RN0001', 'Greater Natal International Airport,  Augusto Severo International Airport'),
	('SNJO', 'small_airport', 'Aeroclube da Paraíba Airport', -7.09199, -34.841599, 16, 'BR', 'BR-PB', 'João Pessoa', 'no', 'SNJO', '', 'SNJO', ''),
	('SIPE', 'small_airport', 'Itapessoca Airport', -7.65601, -34.856499, 16, 'BR', 'BR-PE', 'Goiana', 'no', 'SIPE', '', 'PE0014', ''),
	('SBLG', 'N/A', 'N/A', -6.03882797062397, -36.45480751991272, 694, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNTS', 'small_airport', 'Aeroporto Brigadeiro Firmino Ayres', -7.03899, -37.251598, 869, 'BR', 'BR-PB', 'Patos', 'no', 'SNTS', 'JPO', 'PB0005', 'Peregrino Filho'),
	('SNUM', 'small_airport', 'São José do Egito Airport', -7.4869441986084, -37.291110992432, 2133, 'BR', 'BR-PE', 'São José Do Egito', 'no', '', '', '', 'SNUM'),
	('SBJP', 'medium_airport', 'Presidente Castro Pinto International Airport', -7.148691, -34.950554, 217, 'BR', 'BR-PB', 'João Pessoa', 'yes', 'SBJP', 'JPA', 'PB0001', ''),
	('SWDU', 'small_airport', 'Diauarum Airport', -11.196536, -53.234113, 820, 'BR', 'BR-MT', 'Campo de Diauarum', 'no', '', '', '', 'SWDU'),
	('SNOG', 'small_airport', 'Ceará-Mirim Airport', -5.661210060119629, -35.41389846801758, 171, 'BR', 'BR-RN', 'Ceará-Mirim', 'no', 'SNOG', '', 'SB38', ''),
	('SBNT', 'medium_airport', 'Natal Air Force Base', -5.91142, -35.2477, 171, 'BR', 'BR-RN', 'Natal', 'no', 'SBNT', '', 'RN9001', 'Augusto Severo International Airport , NAT, Parnamirim'),
	('SJFU', 'small_airport', 'Tabuleiro Airport', -6.696417, -35.631234, 1716, 'BR', 'BR-PB', 'Bananeiras', 'no', 'SJFU', '', 'PB0013', ''),
	('SIFC', 'small_airport', 'Fazenda Cachoeirinha Airport', -20.382221221924, -56.268890380859, 722, 'BR', 'BR-MS', 'Miranda', 'no', '', '', '', 'SIFC'),
	('SBKG', 'medium_airport', 'Presidente João Suassuna Airport', -7.269662, -35.896057, 1646, 'BR', 'BR-PB', 'Campina Grande', 'yes', 'SBKG', 'CPV', 'PB0003', ''),
	('SIVL', 'small_airport', 'Sítio Flor de Lys Airport', -6.9452781677246, -36.672500610352, 1641, 'BR', 'BR-PB', 'Junco Do Seridó', 'no', '', '', '', 'SIVL'),
	('SNKN', 'small_airport', 'Currais Novos Airport', -6.280832767486572, -36.540279388427734, 1148, 'BR', 'BR-RN', 'Currais Novos', 'no', 'SNKN', 'QCP', '', ''),
	('SJBX', 'small_airport', 'Severino Lopes Airport', -6.018827, -35.241276, 329, 'BR', 'BR-RN', 'São José Do Mipibu', 'no', 'SJBX', '', 'RN0007', ''),
	('SNAE', 'small_airport', 'Arcoverde Airport', -8.407778, -37.088333, 2126, 'BR', 'BR-PE', 'Arcoverde', 'no', 'SNAE', '', 'PE0007', ''),
	('SNRU', 'small_airport', 'Caruaru Airport', -8.28239, -36.0135, 1891, 'BR', 'BR-PE', 'Caruaru', 'yes', 'SNRU', 'CAU', 'PE0004', 'Oscar Laranjeiras'),
	('SIBY', 'small_airport', 'Lourival Nunes de Farias Airport', -7.87824, -37.139999, 2041, 'BR', 'BR-PB', 'Monteiro', 'no', 'SIBY', '', 'PB0009', ''),
	('SJCH', 'small_airport', 'Fernando João Pereira dos Santos Filho Airport', -8.15749, -36.181313, 1621, 'BR', 'BR-PE', 'Brejo da Madre de Deus', 'no', 'SJCH', '', 'PE0017', ''),
	('SNKB', 'small_airport', 'Aeroclube Airport', -7.178333, -35.990276, 1926, 'BR', 'BR-PB', 'Campina Grande', 'no', 'SNKB', '', '', ''),
	('SBXV', 'N/A', 'N/A', -7.6645802333951, -36.89959913492203, 540, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBRF', 'medium_airport', 'Recife/Guararapes - Gilberto Freyre International Airport', -8.125984, -34.923316, 33, 'BR', 'BR-PE', 'Recife', 'yes', 'SBRF', 'REC', 'PE0001', 'Ibura'),
	('SNKK', 'small_airport', 'Caicó Airport', -6.43917, -37.0783, 600, 'BR', 'BR-RN', 'Caicó', 'no', 'SNKK', '', 'SNKK', ''),
	('SDWI', 'small_airport', 'Fazenda Lagoa do Cavalo Airport', -8.17, -35.63, 1709, 'BR', 'BR-PE', 'Gravatá', 'no', 'SDWI', '', '', ''),
	('SWQK', 'small_airport', 'Pedra Airport', -6.766667, -36.48111, 1781, 'BR', 'BR-PB', 'Pedra Lavrada', 'no', '', '', '', 'SWQK'),
	('SNAL', 'small_airport', 'Arapiraca Airport', -9.776589, -36.628983, 886, 'BR', 'BR-AL', 'Arapiraca', 'no', 'SNAL', 'APQ', 'AL0003', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SNWA', 'small_airport', 'Guaxuma Airport', -9.9805555343628, -36.231109619141, 322, 'BR', 'BR-AL', 'Coruripe', 'no', '', '', '', 'SNWA'),
	('SBMO', 'medium_airport', 'Zumbi dos Palmares Airport', -9.51081, -35.791698, 387, 'BR', 'BR-AL', 'Maceió', 'yes', 'SBMO', 'MCZ', 'AL0001', ''),
	('SNAU', 'small_airport', 'Aeroclube de Sergipe Airport', -10.901452, -37.082921, 26, 'BR', 'BR-SE', 'Aracaju', 'no', 'SISG', '', 'SE0003', 'SNAU'),
	('SNTW', 'small_airport', 'Senador Teotônio Vilela Airport', -9.896944, -36.293056, 443, 'BR', 'BR-AL', 'Teotônio Vilela', 'no', '', '', '', 'SNTW'),
	('SNGN', 'small_airport', 'Garanhuns Airport', -8.83428, -36.4716, 2533, 'BR', 'BR-PE', 'Garanhuns', 'no', 'SNGN', 'QGP', 'SNGN', ''),
	('SNCY', 'small_airport', 'Campo da Praia Airport', -10.222636, -36.285352, 138, 'BR', 'BR-AL', 'Coruripe', 'no', 'SNCY', '', '', ''),
	('SNGS', 'small_airport', 'Aeroclube de Alagoas Airport', -9.584875, -35.752795, 285, 'BR', 'BR-AL', 'Maceió', 'no', 'SNGS', '', '', ''),
	('SNZZ', 'small_airport', 'Muzzi Airport', -9.968121, -36.198891, 331, 'BR', 'BR-AL', 'Coruripe', 'no', 'SNZZ', '', 'AL0013', ''),
	('SIRF', 'small_airport', 'José Múcio Monteiro Airport', -8.631111, -35.271667, 479, 'BR', 'BR-PE', 'Rio Formoso', 'no', 'SIRF', '', 'PE0015', ''),
	('SNPE', 'small_airport', 'Freitas Melro Airport', -10.2659, -36.551498, 197, 'BR', 'BR-AL', 'Penedo', 'no', '', '', 'AL0002', 'SNPE'),
	('SNXS', 'small_airport', 'Fazenda São Braz Airport', -9.373161, -35.539736, 164, 'BR', 'BR-AL', 'Barra de Santo Antônio', 'no', '', '', 'AL0004', 'QXC, SNXS, SIQX'),
	('SNDX', 'small_airport', 'Cachoeira Airport', -10.039999961853027, -36.32638931274414, 345, 'BR', 'BR-AL', 'Coruripe', 'no', 'SNDX', '', '', ''),
	('SBAR', 'medium_airport', 'Aracaju - Santa Maria International Airport', -10.984, -37.070301, 139, 'BR', 'BR-SE', 'Aracaju', 'yes', 'SBAR', 'AJU', 'SE0001', ''),
	('SNUP', 'small_airport', 'Usina Porto Rico Airport', -9.802778244018555, -36.22249984741211, 404, 'BR', 'BR-AL', 'Campo Alegre', 'no', 'SNUP', '', '', ''),
	('SNLU', 'small_airport', 'Fazenda Boa Luz Airport', -10.838153, -37.196016, 171, 'BR', 'BR-SE', 'Laranjeiras', 'no', 'SIBI', '', 'SE0002', 'SNLU'),
	('SNWZ', 'small_airport', 'Uruba Airport', -9.484056, -35.956048, 302, 'BR', 'BR-AL', 'Atalaia', 'no', '', '', '', 'SNWZ'),
	('SNOV', 'small_airport', 'Povoado de Camaçari Airport', -10.122006, -36.291983, 279, 'BR', 'BR-AL', 'Coruripe', 'no', 'SNOV', '', 'AL0010', ''),
	('SNUZ', 'small_airport', 'Usina Coruripe Airport', -10.094107, -36.18639, 210, 'BR', 'BR-AL', 'Coruripe', 'no', 'SNUZ', '', '', ''),
	('SNML', 'small_airport', 'Manduca Leão Airport', -9.544221, -35.824949, 387, 'BR', 'BR-AL', 'Rio Largo', 'no', 'SNML', '', '', ''),
	('SJZC', 'small_airport', 'Destilaria São Luiz Airport', -8.778888702392578, -35.78499984741211, 1371, 'BR', 'BR-PE', 'Maraial', 'no', 'SJZC', '', '', ''),
	('SNOD', 'small_airport', 'SKYJU Airport', -11.421918, -37.323831, 10, 'BR', 'BR-SE', 'Estância', 'no', 'SSKX', '', 'SE0004', 'SNOD, Praia do Saco'),
	('SBFN', 'medium_airport', 'Fernando de Noronha Airport', -3.854471, -32.423302, 193, 'BR', 'BR-PE', 'Fernando de Noronha', 'yes', 'SBFN', 'FEN', 'PE0003', ''),
	('SGPC', 'small_airport', 'Aeropuerto de Pozo Colorado', -23.495565, -58.788464, 325, 'PY', 'PY-15', 'Pozo Colorado', 'no', 'SGPC', '', '', ''),
	('SGPU', 'N/A', 'N/A', -24.617173187434673, -57.14831784367561, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGSD', 'N/A', 'N/A', -24.150427244603634, -57.75556147098541, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPF', 'N/A', 'N/A', -25.130576491355896, -58.21795552968979, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCG', 'N/A', 'N/A', -23.329269625246525, -58.98068055510521, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGSC', 'N/A', 'N/A', -23.937626145780087, -57.4872100353241, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGAE', 'N/A', 'N/A', -24.154893457889557, -57.59638041257858, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGPE', 'N/A', 'N/A', -24.688555486500263, -57.231078296899796, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCC', 'N/A', 'N/A', -22.631452716886997, -57.77036502957344, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGSY', 'N/A', 'N/A', -23.874173797667027, -57.42295280098915, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCO', 'medium_airport', 'Aeropuerto Nacional Tte. Cnel. Carmelo Peralta', -23.440334, -57.429206, 253, 'PY', 'PY-1', 'Concepción', 'no', 'SGCO', 'CIO', '', ''),
	('SGAQ', 'N/A', 'N/A', -24.161716997623444, -57.336525321006775, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGPT', 'N/A', 'N/A', -24.477802589535713, -57.147540897130966, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCX', 'N/A', 'N/A', -22.837228775024414, -57.8735089302063, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCW', 'N/A', 'N/A', -22.65490561723709, -57.568469792604446, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFS', 'N/A', 'N/A', -25.28000134974718, -58.93759846687317, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIM', 'N/A', 'N/A', -25.04249006509781, -58.59125107526779, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGSF', 'N/A', 'N/A', -23.796157389879227, -57.20762148499489, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCS', 'N/A', 'N/A', -23.864371329545975, -57.58103013038635, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGRO', 'small_airport', 'Aeródromo de Rosario', -24.430037, -57.12013, 236, 'PY', 'PY-2', 'Rosario', 'no', 'SGRO', '', '', ''),
	('SGCQ', 'N/A', 'N/A', -23.869591914117336, -57.52516821026802, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGPO', 'small_airport', 'Aeródromo de Puerto Pinasco', -22.629856, -57.838469, 239, 'PY', 'PY-15', 'Pinasco', 'no', 'SGPO', '', '', ''),
	('SAPZ', 'N/A', 'N/A', -24.30057294666767, -59.83095958828926, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBQU', 'heliport', 'Hungaro Helipark', -7.204121, -48.219863, 659, 'BR', 'BR-TO', 'Araguaína', 'no', 'SBQU', '', 'TO0085', ''),
	('SGHO', 'N/A', 'N/A', -22.73541547358036, -56.842263489961624, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCH', 'N/A', 'N/A', -23.59110653400421, -58.18700730800629, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGAN', 'N/A', 'N/A', -24.13508266210556, -57.2838793694973, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATC', 'small_airport', 'Aeródromo de Clorinda', -25.3036, -57.7344, 206, 'AR', 'AR-P', 'Clorinda', 'no', 'SATC', 'CLX', 'CLO', ''),
	('SA58', 'N/A', 'N/A', -24.13427732884884, -59.31323379278183, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SGCP', 'N/A', 'N/A', -22.679651007056236, -57.90991768240929, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGPR', 'N/A', 'N/A', -24.471734426915646, -57.15448513627052, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA56', 'N/A', 'N/A', -24.153215065598488, -59.188247323036194, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGTA', 'N/A', 'N/A', -23.555674217641354, -56.449305564165115, 303, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGPS', 'N/A', 'N/A', -24.486371912062168, -57.10219278931618, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA67', 'N/A', 'N/A', -23.93763553351164, -59.08436268568039, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCK', 'N/A', 'N/A', -23.868955224752426, -57.53539904952049, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGNE', 'N/A', 'N/A', -23.9125806838274, -56.558647602796555, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA59', 'N/A', 'N/A', -23.885911479592323, -59.02835637331009, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCB', 'small_airport', 'Aeródromo Capitan Bado', -23.257493, -55.528057, 1710, 'PY', 'PY-9', 'Capitan Bado', 'no', 'SGCB', '', '', ''),
	('SGAS', 'large_airport', 'Silvio Pettirossi International Airport.', -25.240156, -57.519227, 292, 'PY', 'PY-11', 'Asunción', 'yes', 'SGAS', 'ASU', '', 'Luque, Stroessner, Aeropuerto Internacional Silvio Pettirossi'),
	('SGSE', 'N/A', 'N/A', -24.047412648797035, -57.58559122681618, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGAT', 'N/A', 'N/A', -24.285566322505474, -57.01206028461456, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCJ', 'N/A', 'N/A', -22.830630876123905, -58.03600028157234, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGIA', 'N/A', 'N/A', -24.537468329072, -56.81836187839508, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGST', 'small_airport', 'Aeropuerto Nacional de Santa Teresa', -22.619032, -56.633449, 582, 'PY', 'PY-13', 'Santa Teresa', 'no', 'SGST', '', '', ''),
	('SGSI', 'N/A', 'N/A', -23.750929310917854, -57.08317190408707, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGBL', 'N/A', 'N/A', -22.539092861115932, -57.067409455776215, 255, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCI', 'N/A', 'N/A', -22.95065838843584, -57.791141867637634, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGBE', 'N/A', 'N/A', -23.734123930335045, -57.252725064754486, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGSP', 'small_airport', 'Aeropuerto Nacional de San Pedro de Ycuamanindeyu', -24.029174, -57.020863, 270, 'PY', 'PY-2', 'San Pedro del Ycuamandiyu', 'no', 'SGSP', '', '', ''),
	('SGNB', 'closed', 'Aeródromo de Villa Hayes', -25.154666, -57.560495, 210, 'PY', 'PY-15', 'Villa Hayes', 'no', '', '', '', 'SGNB'),
	('SGPI', 'medium_airport', 'Aeródromo Don Carlos Miguel Gimenez', -26.881981, -58.319067, 249, 'PY', 'PY-12', 'Pilar', 'no', 'SGPI', 'PIL', '', ''),
	('SARF', 'medium_airport', 'Aeropuerto Nacional de Formosa', -26.2127, -58.2281, 193, 'AR', 'AR-P', 'Formosa', 'yes', 'SARF', 'FMA', 'FSA', ''),
	('SAKU', 'N/A', 'N/A', -26.49550337344408, -58.20307910442352, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAFO', 'N/A', 'N/A', -26.301032826304436, -58.29848662018776, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGSU', 'N/A', 'N/A', -26.56365394592285, -57.14650243520737, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARE', 'medium_airport', 'Resistencia International Airport', -27.45, -59.0561, 173, 'AR', 'AR-H', 'Resistencia', 'yes', 'SARE', 'RES', 'SIS', ''),
	('SGSR', 'N/A', 'N/A', -26.78413923829794, -56.95202216506004, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCN', 'N/A', 'N/A', -25.51814965903759, -56.40680819749832, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCE', 'N/A', 'N/A', -27.382722459733486, -57.64418810606003, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z23Z', 'small_airport', 'Aeródromo Militar del Comando de Artillería', -25.601998, -57.152059, 500, 'PY', 'PY-9', 'Comando de Artillería', 'no', 'Z23Z', '', '', ''),
	('SGCV', 'N/A', 'N/A', -25.420499816536903, -56.569754630327225, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGVI', 'N/A', 'N/A', -25.741751678287983, -56.445080637931824, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA10', 'small_airport', 'Aeródromo Estancia Don Panos', -26.2959, -59.5353, 262, 'AR', 'AR-H', 'Presidencia Roca', 'yes', 'SA10', '', 'PDP', 'SA10'),
	('SGNU', 'N/A', 'N/A', -25.665095821022987, -57.66855239868164, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGSO', 'N/A', 'N/A', -25.48781991004944, -57.55090266466141, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXZ', 'N/A', 'N/A', -27.5502260774374, -58.71736094355583, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGSJ', 'N/A', 'N/A', -26.633954979479313, -57.106774896383286, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SART', 'N/A', 'N/A', -27.631896659731865, -59.18016314506531, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGAY', 'medium_airport', 'Aeropuerto Nacional de Juan De Ayolas', -27.378379, -56.856791, 223, 'PY', 'PY-8', 'Ayolas', 'no', 'SGAY', 'AYO', '', ''),
	('SGCY', 'N/A', 'N/A', -25.49592185765505, -56.45597979426384, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGSB', 'N/A', 'N/A', -26.751346215605736, -57.05981835722923, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARH', 'N/A', 'N/A', -27.587434016168118, -58.819021582603455, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA41', 'small_airport', 'Aeródromo El Colorado', -26.316687, -59.339764, 269, 'AR', 'AR-P', 'El Colorado', 'no', 'SA41', '', '', 'SA41'),
	('SGCL', 'N/A', 'N/A', -25.407318770885468, -56.55409321188927, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGIT', 'N/A', 'N/A', -26.063269414007664, -56.49313375353813, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCZ', 'small_airport', 'Aeródromo de Caazapá', -26.168958, -56.360464, 470, 'PY', 'PY-6', 'Caazapá', 'no', 'SGCZ', '', '', ''),
	('SAIL', 'N/A', 'N/A', -27.447405606508255, -57.42233142256737, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARC', 'medium_airport', 'Corrientes Airport', -27.4455, -58.7619, 202, 'AR', 'AR-W', 'Corrientes', 'yes', 'SARC', 'CNQ', 'CRR', ''),
	('SAPS', 'N/A', 'N/A', -26.137679256498814, -59.66373234987259, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SAXX', 'N/A', 'N/A', -25.864938497543335, -58.67299139499664, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGYP', 'N/A', 'N/A', -25.35510655492544, -57.25419670343399, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA70', 'N/A', 'N/A', -26.51513881981373, -59.35009852051735, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGSS', 'N/A', 'N/A', -27.280326783657074, -56.43345817923546, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CIT', 'small_airport', 'Itati Airport', -27.305297, -58.313924, 196, 'AR', 'AR-W', 'Itati', 'no', '', '', 'CIT', ''),
	('SAOH', 'N/A', 'N/A', -27.08800971508026, -58.66977900266647, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARO', 'closed', 'Ituzaingo Airport', -27.5261001587, -56.6333007812, 62, 'AR', 'AR-W', 'Ituzaingo', 'no', '', '', '', 'SARO, SARO, ITU'),
	('SAPW', 'N/A', 'N/A', -29.152040630578995, -56.65878474712372, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LAN', 'small_airport', 'Lanteri Airpiort', -28.86085, -59.673331, 183, 'AR', 'AR-S', 'Lanteri', 'no', '', '', 'LAN', ''),
	('SAEQ', 'N/A', 'N/A', -30.04761714488268, -59.53523352742195, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAYP', 'N/A', 'N/A', -29.30443972349167, -56.88137322664261, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBUG', 'medium_airport', 'Rubem Berta Airport', -29.7822, -57.0382, 256, 'BR', 'BR-RS', 'Uruguaiana', 'yes', 'SBUG', 'URG', 'RS0012', 'Ruben Berta'),
	('SAOF', 'N/A', 'N/A', -29.347374849021435, -59.96423900127411, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAB', 'N/A', 'N/A', -29.06409703195095, -56.54078722000122, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEJ', 'N/A', 'N/A', -29.602231308817863, -58.0235356092453, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJDJ', 'small_airport', 'Arenhart Aviação Agrícola Airport', -29.889211, -57.14191, 259, 'BR', 'BR-RS', 'Uruguaiana', 'no', 'SJTW', '', 'RS0078', 'SJDJ'),
	('SAED', 'N/A', 'N/A', -29.778320007026196, -58.09577465057373, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARM', 'medium_airport', 'Monte Caseros Airport', -30.2719, -57.6402, 170, 'AR', 'AR-W', 'Monte Caseros', 'no', 'SARM', 'MCS', 'MCS', ''),
	('SAOJ', 'N/A', 'N/A', -30.235179662704468, -57.84571185708046, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADG', 'closed', 'Monte Grande Airport', -34.805599, -58.492001, 30, 'AR', 'AR-B', 'Monte Grande', 'no', '', '', '', 'SADG, SADG, MGE'),
	('SATM', 'small_airport', 'Mercedes Airport', -29.221399, -58.087799, 358, 'AR', 'AR-W', 'Mercedes', 'no', 'SATM', 'MDX', 'RCE', ''),
	('SANM', 'N/A', 'N/A', -30.52022036164999, -58.399251848459244, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATR', 'medium_airport', 'Reconquista Airport', -29.2103, -59.68, 160, 'AR', 'AR-S', 'Reconquista', 'no', 'SATR', 'RCQ', 'RTA', ''),
	('SSEY', 'small_airport', 'Estância Itapororó Airport', -29.436281, -56.293892, 197, 'BR', 'BR-RS', 'Alegrete', 'no', '', '', '', 'SSEY'),
	('SATG', 'medium_airport', 'Goya Airport', -29.1058, -59.2189, 128, 'AR', 'AR-W', 'Goya', 'no', 'SATG', 'OYA', 'GOY', ''),
	('SAOB', 'N/A', 'N/A', -29.995123632252216, -57.838348746299744, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUTG', 'small_airport', 'Tomás Gomenzoro Airport', -30.436607, -57.446726, 273, 'UY', 'UY-AR', 'Tomás Gomenzoro', 'no', 'SUTG', '', '', ''),
	('SARL', 'medium_airport', 'Paso De Los Libres Airport', -29.6894, -57.1521, 230, 'AR', 'AR-W', 'Paso de los Libres', 'no', 'SARL', 'AOL', 'LIB', ''),
	('SAAK', 'N/A', 'N/A', -29.105999171733856, -59.65743497014046, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAYA', 'N/A', 'N/A', -29.44470450282097, -56.823588609695435, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAJP', 'N/A', 'N/A', -30.384794622659683, -57.969366163015366, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGX', 'N/A', 'N/A', -29.159854911267757, -59.17991325259209, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUTO', 'N/A', 'N/A', -30.406829304993153, -57.27482736110687, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPX', 'N/A', 'N/A', -29.04883224517107, -57.08162382245064, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGY', 'N/A', 'N/A', -29.169739857316017, -59.24702167510986, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUAG', 'small_airport', 'Artigas International Airport', -30.4007, -56.5079, 410, 'UY', 'UY-AR', 'Artigas', 'no', 'SUAG', 'ATI', '', ''),
	('SAXH', 'N/A', 'N/A', -30.555846467614174, -59.99071106314659, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAPY', 'N/A', 'N/A', -29.292864315211773, -57.72724583745003, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMP', 'small_airport', 'La Paz Airport', -30.7833, -59.6, 200, 'AR', 'AR-E', 'La Paz', 'no', '', '', 'LPZ', ''),
	('SAYU', 'N/A', 'N/A', -28.47067203372717, -58.24918270111084, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJDU', 'small_airport', 'Nossa Senhora do Loreto Airport', -29.728093, -56.960771, 318, 'BR', 'BR-RS', 'Uruguaiana', 'no', 'SJDU', '', 'RS0074', ''),
	('SATU', 'medium_airport', 'Curuzu Cuatia Airport', -29.7706, -57.9789, 229, 'AR', 'AR-W', 'Curuzu Cuatia', 'no', 'SATU', 'UZU', 'CCA', ''),
	('BTA', 'small_airport', 'Blair Executive Airport', 41.414908, -96.109136, 1325, 'US', 'US-NE', 'Blair', 'no', 'KBTA', '', 'BTA', 'K46, Blair Municipal Airport, Eagle Airfield'),
	('SALS', 'N/A', 'N/A', -30.539002530276775, -58.29288259148598, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSIQ', 'small_airport', 'Itaqui Airport', -29.173099517822266, -56.53670120239258, 230, 'BR', 'BR-RS', 'Itaqui', 'no', 'SSIQ', 'ITQ', '', ''),
	('SAWX', 'N/A', 'N/A', -28.495885133743286, -59.32590588927269, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKD', 'N/A', 'N/A', -28.860721215605736, -59.673304706811905, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAG', 'medium_airport', 'Gualeguaychu Airport', -33.005567, -58.612833, 75, 'AR', 'AR-E', 'Gualeguaychu', 'no', 'SAAG', 'GHU', 'GUA', ''),
	('SUSO', 'medium_airport', 'Nueva Hesperides International Airport', -31.438499, -57.985298, 187, 'UY', 'UY-SA', 'Salto', 'no', 'SUSO', 'STY', '', ''),
	('SUAY', 'small_airport', 'Termas del Arapey Airport', -30.938271, -57.517528, 153, 'UY', 'UY-SA', 'Termas del Arapey', 'no', 'SUAY', '', '', ''),
	('SAGQ', 'N/A', 'N/A', -33.03657699376345, -59.44284975528717, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SARY', 'N/A', 'N/A', -32.32953127473593, -59.191561192274094, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADU', 'N/A', 'N/A', -32.45587941259146, -58.30688327550888, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUE', 'N/A', 'N/A', -33.6671794205904, -59.83261987566948, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUFR', 'N/A', 'N/A', -32.97466021031141, -58.25385510921478, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANG', 'N/A', 'N/A', -32.41986405104399, -59.81908366084099, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVF', 'N/A', 'N/A', -32.361426427960396, -58.881652504205704, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA66', 'N/A', 'N/A', -33.600779324769974, -59.274949729442596, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUYN', 'small_airport', 'Young Airport', -32.6872, -57.6581, 230, 'UY', 'UY-RN', 'Young', 'no', 'SUYN', '', '', ''),
	('SUNM', 'small_airport', 'Estancia Nueva Mehlem Airport', -32.96963, -57.982351, 158, 'UY', 'UY-RN', 'Nuevo Berlin', 'no', 'SUNM', '', '', ''),
	('SADT', 'N/A', 'N/A', -32.26149670779705, -58.155993819236755, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUTI', 'N/A', 'N/A', -33.48477512598038, -56.89056158065796, 129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUFA', 'N/A', 'N/A', -33.1418976187706, -58.293720334768295, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUPA', 'N/A', 'N/A', -32.39702068269253, -56.59925177693367, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHG', 'N/A', 'N/A', -32.94141422957182, -58.56484115123749, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKV', 'N/A', 'N/A', -32.2463321685791, -58.0933253467083, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAC', 'medium_airport', 'Comodoro Pierrestegui Airport', -31.2969, -57.9966, 112, 'AR', 'AR-E', 'Concordia', 'no', 'SAAC', 'COC', 'DIA', ''),
	('SUME', 'small_airport', 'Ricardo Detomasi Airport', -33.2489, -58.0737, 68, 'UY', 'UY-RN', 'Mercedes', 'no', 'SUME', '', '', ''),
	('SAXB', 'N/A', 'N/A', -31.803832054138184, -59.03478875756264, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANY', 'N/A', 'N/A', -32.40317199379206, -59.74666088819504, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUNU', 'N/A', 'N/A', -33.036721162498, -58.061837553977966, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUGN', 'small_airport', 'Guichón Airfield', -32.3478, -57.1894, 291, 'UY', 'UY-PA', 'Guichón', 'no', 'SUGN', '', '', ''),
	('SA4L', 'N/A', 'N/A', -31.304419487714767, -58.01538571715355, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAVO', 'small_airport', 'San Pedro Airport', -33.704077, -59.725788, 88, 'AR', 'AR-B', 'San Pedro', 'no', '', '', 'PED', ''),
	('SAGG', 'N/A', 'N/A', -32.97826141119003, -58.52222800254822, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUDU', 'medium_airport', 'Santa Bernardina International Airport', -33.358898, -56.499199, 305, 'UY', 'UY-DU', 'Durazno', 'no', 'SUDU', 'DZO', '', ''),
	('SUPU', 'small_airport', 'Tydeo Larre Borges Airport', -32.3633, -58.061901, 138, 'UY', 'UY-PA', 'Paysandú', 'no', 'SUPU', 'PDU', '', ''),
	('SAUR', 'N/A', 'N/A', -32.695698738098145, -58.898990750312805, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUPC', 'small_airport', 'Charles Chalkling Airport', -32.379601, -58.029761, 184, 'UY', 'UY-PA', 'Paysandú', 'no', 'SUPC', '', '', ''),
	('SAAU', 'small_airport', 'Villaguay Airport', -31.855, -59.0756, 131, 'AR', 'AR-E', 'Villaguay', 'no', 'SAAU', '', 'VIG', ''),
	('SAGK', 'N/A', 'N/A', -33.10257878154516, -59.37354862689972, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAXY', 'N/A', 'N/A', -30.976106710731983, -59.77701410651207, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABK', 'N/A', 'N/A', -31.692117042839527, -59.41056355834007, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA36', 'small_airport', 'Saladillo Airport', -35.604891, -59.816513, 147, 'AR', 'AR-B', 'Saladillo', 'no', 'SA36', '', 'SDL', 'SA36'),
	('SAHD', 'N/A', 'N/A', -34.683119393885136, -59.03271809220314, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAIW', 'N/A', 'N/A', -35.869648195803165, -57.876776307821274, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SASN', 'N/A', 'N/A', -34.47083495557308, -59.42422717809677, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMV', 'N/A', 'N/A', -34.63870469480753, -59.45505514740944, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARN', 'N/A', 'N/A', -35.512790344655514, -58.35305392742157, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUCM', 'small_airport', 'Zagarzazú International Airport', -33.96611, -58.325279, 42, 'UY', 'UY-CO', 'Carmelo', 'no', 'SUCM', '', '', 'Balneario Zagarzazú, Carmelo'),
	('SACR', 'N/A', 'N/A', -34.164369106292725, -59.731504172086716, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUCD', 'small_airport', 'Cardona Airport', -33.875502, -57.397875, 554, 'UY', 'UY-SO', 'Cardona', 'no', 'SUCD', '', '', ''),
	('SAFN', 'N/A', 'N/A', -34.86009959131479, -58.343966603279114, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAC6', 'N/A', 'N/A', -35.569073148071766, -58.439641892910004, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA53', 'N/A', 'N/A', -34.497513212263584, -59.037325233221054, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABO', 'N/A', 'N/A', -33.85837599635124, -59.4687657058239, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADO', 'small_airport', 'Campo de Mayo Military Airport', -34.5344, -58.6717, 78, 'AR', 'AR-B', 'Campo de Mayo', 'no', 'SADO', '', 'CPO', ''),
	('SUCA', 'small_airport', 'Colonia Laguna de Los Patos International Airport', -34.456402, -57.770599, 66, 'UY', 'UY-CO', 'Colonia del Sacramento', 'no', 'SUCA', 'CYR', '', ''),
	('SALP', 'N/A', 'N/A', -34.974888414144516, -57.96217426657677, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAHV', 'N/A', 'N/A', -34.04452934861183, -59.6883188188076, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA71', 'N/A', 'N/A', -35.81458009779453, -58.56605842709541, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADL', 'medium_airport', 'La Plata Airport', -34.9722, -57.8947, 72, 'AR', 'AR-B', 'La Plata', 'no', 'SADL', 'LPG', 'PTA', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SABJ', 'N/A', 'N/A', -35.18174473196268, -58.29519376158714, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAA', 'small_airport', 'San Antonio de Areco Airport', -34.2214, -59.4422, 98, 'AR', 'AR-B', 'San Antonio de Areco', 'no', 'SAAA', '', 'SNT', ''),
	('SAZC', 'small_airport', 'Brigadier D.H.E. Ruiz Airport', -37.446098, -61.889301, 767, 'AR', 'AR-B', 'Coronel Suarez', 'no', 'SAZC', 'CSZ', 'SUZ', ''),
	('SASV', 'N/A', 'N/A', -34.42697212100029, -59.480120837688446, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZL', 'medium_airport', 'Santa Teresita Airport', -36.5423, -56.7218, 9, 'AR', 'AR-B', 'Santa Teresita', 'yes', 'SAZL', 'SST', 'STR', ''),
	('SAXD', 'N/A', 'N/A', -33.751710914075375, -58.69780674576759, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADZ', 'small_airport', 'Matanza Airport', -34.728367, -58.500855, 9, 'AR', 'AR-B', 'La Matanza', 'no', 'SADZ', '', 'MAT', 'Aeroclub Universidad Río Matanza'),
	('SAEZ', 'large_airport', 'Minister Pistarini International Airport', -34.8222, -58.5358, 67, 'AR', 'AR-B', 'Buenos Aires (Ezeiza)', 'yes', 'SAEZ', 'EZE', 'EZE', 'BUE, Ezeiza'),
	('SUCN', 'small_airport', 'Aeroclub Canelones', -34.515153, -56.261384, 98, 'UY', 'UY-CA', 'Canelones', 'no', 'SUCN', '', '', ''),
	('SAXF', 'N/A', 'N/A', -35.73855824768543, -59.76206615567207, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MGI', 'small_airport', 'National Wildlife Refuge Airport', 28.323, -96.464, 7, 'US', 'US-TX', 'Matagorda Island', 'no', '', 'MGI', '', 'Matagorda Island AFB, Port O''Connor'),
	('SASG', 'N/A', 'N/A', -34.40876059234142, -59.45830285549164, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADQ', 'small_airport', 'Quilmes Airport', -34.7064, -58.2444, 6, 'AR', 'AR-B', 'Quilmes', 'no', 'SADQ', '', 'ILM', ''),
	('SAUJ', 'N/A', 'N/A', -34.21122930943966, -59.39151227474213, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SABD', 'N/A', 'N/A', -33.82122069597244, -59.492762982845306, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SASH', 'N/A', 'N/A', -34.539253413677216, -59.58540201187134, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUJL', 'small_airport', 'Juan Lacaze Airport', -34.415352, -57.46422, 40, 'UY', 'UY-CO', 'Juan Lacaze', 'no', 'SUJL', '', '', ''),
	('SABB', 'N/A', 'N/A', -35.195278488099575, -58.357615917921066, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALU', 'N/A', 'N/A', -34.55114297568798, -59.078644663095474, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZD', 'small_airport', 'Dolores Airport', -36.3225, -57.7214, 32, 'AR', 'AR-B', 'Dolores', 'no', 'SAZD', '', 'DOL', ''),
	('SABE', 'large_airport', 'Jorge Newbery Airpark', -34.5592, -58.4156, 18, 'AR', 'AR-C', 'Buenos Aires', 'yes', 'SABE', 'AEP', 'AER', ''),
	('SUAN', 'small_airport', 'Anchorena Airport', -34.270516, -57.964383, 49, 'UY', 'UY-CO', 'Estancia Anchorena', 'no', 'SUAN', '', '', ''),
	('SABG', 'N/A', 'N/A', -35.09558714926243, -58.08583661913872, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADS', 'closed', 'San Justo Airport', -34.732372, -58.595564, 62, 'AR', 'AR-B', 'San Justo', 'no', '', '', '', 'Aeroclub Argentino, SADS, JUS'),
	('SA54', 'N/A', 'N/A', -34.72826298326254, -59.109118580818176, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADP', 'medium_airport', 'El Palomar Airport', -34.6099, -58.6126, 59, 'AR', 'AR-B', 'El Palomar', 'no', 'SADP', 'EPA', 'PAL', ''),
	('SAGS', 'N/A', 'N/A', -34.92055423557758, -58.916618674993515, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAQU', 'N/A', 'N/A', -34.74624417722225, -58.20353150367737, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAI', 'small_airport', 'Punta Indio Naval Air Base', -35.353298, -57.290001, 49, 'AR', 'AR-B', 'Veronica', 'no', 'SAAI', '', 'PDI', ''),
	('SAMZ', 'N/A', 'N/A', -34.79758366942406, -58.89694556593895, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALY', 'N/A', 'N/A', -34.87426869571209, -57.96333208680153, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEW', 'N/A', 'N/A', -34.15624838322401, -59.87338811159134, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAS', 'N/A', 'N/A', -34.82346832752228, -58.31628397107124, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUAA', 'medium_airport', 'Ángel S. Adami International Airport', -34.7892, -56.264702, 174, 'UY', 'UY-MO', 'Montevideo', 'no', 'SUAA', '', '', 'Aeródromo de Melilla, Melilla Airport'),
	('SALX', 'N/A', 'N/A', -35.08918270468712, -57.9500412940979, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADB', 'N/A', 'N/A', -36.110125333070755, -57.86213144659996, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGC', 'N/A', 'N/A', -35.751882791519165, -58.46320644021034, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANA', 'N/A', 'N/A', -34.9103682115674, -59.348619282245636, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEL', 'small_airport', 'Las Flores Airport', -36.0672, -59.1042, 111, 'AR', 'AR-B', 'Las Flores', 'no', 'SAEL', '', 'FLO', ''),
	('SUEC', 'N/A', 'N/A', -34.3123834580183, -57.041683942079544, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALT', 'N/A', 'N/A', -35.2107498049736, -59.13706809282303, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADM', 'small_airport', 'Morón Airport', -34.6763, -58.6428, 95, 'AR', 'AR-B', 'Morón', 'no', 'SADM', '', 'MOR', ''),
	('SABS', 'N/A', 'N/A', -34.29884131997824, -58.79840612411499, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAKP', 'N/A', 'N/A', -34.039076417684555, -59.77694883942604, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADF', 'medium_airport', 'San Fernando Airport', -34.4532, -58.5896, 10, 'AR', 'AR-B', 'San Fernando', 'no', 'SADF', '', 'FDO', 'San Fernando International Airport'),
	('SANS', 'N/A', 'N/A', -34.643623530864716, -59.127261489629745, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACU', 'N/A', 'N/A', -35.11163078248501, -58.726323544979095, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATQ', 'N/A', 'N/A', -35.45921087265015, -58.76375466585159, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADI', 'N/A', 'N/A', -35.542391538619995, -58.052087277173996, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SACY', 'N/A', 'N/A', -34.41627848893404, -59.870958030223846, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADJ', 'small_airport', 'Mariano Moreno Airport', -34.5606, -58.7896, 105, 'AR', 'AR-B', 'General Sarmiento', 'no', 'SADJ', '', 'ENO', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SUSJ', 'small_airport', 'San José Airport', -34.350554, -56.752438, 229, 'UY', 'UY-SJ', 'San José', 'no', 'SUSJ', '', '', 'Aeroclub Maragato'),
	('SA1V', 'N/A', 'N/A', -35.399960204958916, -57.36574709415436, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANV', 'N/A', 'N/A', -35.02348601818085, -59.28557708859444, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANN', 'N/A', 'N/A', -38.015422113239765, -57.65365719795227, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUK', 'N/A', 'N/A', -38.008419536054134, -59.34996575117111, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMK', 'N/A', 'N/A', -36.889232620596886, -57.8499461710453, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SA13', 'small_airport', 'Estancia La Estrella Airport', -37.559399, -58.666, 456, 'AR', 'AR-B', 'Tandil', 'no', 'SA13', '', 'BLE', 'SA13, SA2P, Balcarce Estancia La Estrella'),
	('SAZV', 'medium_airport', 'Villa Gesell Airport', -37.2354, -57.0292, 32, 'AR', 'AR-B', 'Villa Gesell', 'no', 'SAZV', 'VLG', 'GES', ''),
	('SANQ', 'N/A', 'N/A', -38.30881118774414, -58.104871809482574, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NEI', 'small_airport', 'Iriberri Airport', -38.478789, -58.804836, 108, 'AR', 'AR-B', 'Necochea', 'no', '', '', 'NEI', ''),
	('SAGI', 'N/A', 'N/A', -36.77569571882486, -57.64234185218811, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZM', 'medium_airport', 'Ástor Piazzola International Airport', -37.9342, -57.5733, 72, 'AR', 'AR-B', 'Mar del Plata', 'yes', 'SAZM', 'MDQ', 'MDP', 'Brigadier General Bartolome De La Colina International Airport'),
	('SAUM', 'N/A', 'N/A', -38.33429854363203, -59.630637019872665, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARU', 'N/A', 'N/A', -36.771894693374634, -59.057902693748474, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZA', 'small_airport', 'Azul Airport', -36.836899, -59.880299, 478, 'AR', 'AR-B', 'Azul', 'no', 'SAZA', '', 'ZUL', ''),
	('SAMI', 'N/A', 'N/A', -38.38560350239277, -58.13352942466736, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAAQ', 'N/A', 'N/A', -37.16290678828955, -58.47336798906326, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZJ', 'small_airport', 'Benito Juarez Airport', -37.7061, -59.791901, 682, 'AR', 'AR-B', 'Benito Juarez', 'no', 'SAZJ', '', 'JRZ', ''),
	('SABF', 'N/A', 'N/A', -37.735446095466614, -58.03401321172714, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANH', 'small_airport', 'Las Termas Airport', -27.4737, -64.905502, 270, 'AR', 'AR-G', 'Rio Hondo', 'no', 'SANH', '', 'RHO', 'RHD'),
	('SABX', 'N/A', 'N/A', -37.463140189647675, -58.18904668092728, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAUD', 'N/A', 'N/A', -37.34966531395912, -58.983381539583206, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALQ', 'N/A', 'N/A', -38.14823739230633, -58.7501822412014, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANJ', 'N/A', 'N/A', -38.02838858217001, -57.63961762189865, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SALM', 'N/A', 'N/A', -38.19007080048323, -58.787076473236084, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMF', 'N/A', 'N/A', -38.35474904626608, -58.10898765921593, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAOX', 'N/A', 'N/A', -38.57640042901039, -58.79645884037018, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SADX', 'N/A', 'N/A', -37.4673955142498, -57.76774048805237, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZT', 'medium_airport', 'Héroes De Malvinas Airport', -37.234634, -59.228647, 574, 'AR', 'AR-B', 'Tandil', 'no', 'SAZT', 'TDL', 'DIL', ''),
	('SABL', 'N/A', 'N/A', -37.915918193757534, -58.344523161649704, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAMB', 'N/A', 'N/A', -38.011642545461655, -57.67771929502487, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATA', 'N/A', 'N/A', -37.263072207570076, -59.092592149972916, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAGJ', 'N/A', 'N/A', -37.039067186415195, -57.13675394654274, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SATB', 'N/A', 'N/A', -38.33430156111717, -59.63063567876816, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEM', 'N/A', 'N/A', -38.22607543319464, -57.86905646324158, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAEY', 'N/A', 'N/A', -37.09226444363594, -56.97649508714676, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAZO', 'medium_airport', 'Necochea Airport', -38.490746, -58.816337, 72, 'AR', 'AR-B', 'Necochea', 'yes', 'SAZO', 'NEC', 'NEC', ''),
	('SSIF', 'small_airport', 'Fazenda Baunilha Airport', -23.560300827026367, -54.03390121459961, 970, 'BR', 'BR-MS', 'Itaquiraí', 'no', 'SSIF', '', 'SSIF', ''),
	('SINH', 'small_airport', 'Fazenda Esperança Airport', -22.64372, -53.562341, 804, 'BR', 'BR-MS', 'Novo Horizonte Do Sul', 'no', 'SINH', '', 'MS0106', ''),
	('SBRH', 'N/A', 'N/A', -24.002420604228973, -55.29218003153801, 455, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSMD', 'small_airport', 'Medianeira Airport', -25.310899734497, -54.070499420166, 1473, 'BR', 'BR-PR', 'Medianeira', 'no', '', '', 'SSMD', 'SSMD'),
	('SIMY', 'small_airport', 'Fazenda Porto Oculto Airport', -23.211108, -54.095982, 972, 'BR', 'BR-MS', 'Itaquiraí', 'no', 'SIMY', '', 'MS0104', ''),
	('SSXV', 'small_airport', 'Fazenda Santa Rita Airport', -22.950000762939453, -54.112220764160156, 1201, 'BR', 'BR-MS', 'Naviraí', 'no', 'SSXV', '', '', ''),
	('SSHX', 'small_airport', 'Aeródromo de Fazenda Jatobá', -23.9238, -55.301899, 1335, 'BR', 'BR-MS', 'Paranhos', 'no', 'SSHX', '', 'SSHX', ''),
	('SILQ', 'small_airport', 'Aeroleve Aeródromo Privado Airport', -24.929094, -53.496006, 2254, 'BR', 'BR-PR', 'Cascavel', 'no', 'SILQ', '', 'PR0046', 'Clube de Ultraleves Aeroleve'),
	('SIIS', 'small_airport', 'Fazenda Uberaba Airport', -23.65, -53.830276, 1100, 'BR', 'BR-PR', 'Vila Alta', 'no', 'SIIS', '', 'PR0044', ''),
	('SJGO', 'small_airport', 'Eldorado Airport', -23.81861114502, -54.252498626709, 1079, 'BR', 'BR-MS', 'Eldorado', 'no', '', '', '', 'SJGO'),
	('SDAJ', 'small_airport', 'Fazenda Recanto Airport', -22.591303, -54.063315, 1253, 'BR', 'BR-MS', 'Jateí', 'no', 'SDAJ', '', 'MS0022', ''),
	('SSKH', 'small_airport', 'Fazenda Karl Hermann Isenberg Airport', -22.911666870117188, -55.53889083862305, 1853, 'BR', 'BR-MS', 'Aral Moreira', 'no', 'SSKH', '', '', ''),
	('SSHI', 'small_airport', 'Fazenda Dom Francisco Airport', -23.251110076904, -54.048332214355, 1237, 'BR', 'BR-MS', 'Itaquiraí', 'no', '', '', '', 'SSHI'),
	('SSZP', 'small_airport', 'Fazenda Santa Adriana Airport', -22.69611167907715, -54.2158317565918, 1499, 'BR', 'BR-MS', 'Jateí', 'no', 'SSZP', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SSVD', 'small_airport', 'Fazenda Alvorada Airport', -24.294224, -53.250647, 1312, 'BR', 'BR-PR', 'Quarto Centenário', 'no', '', '', '', 'SSVD'),
	('SGPJ', 'medium_airport', 'Dr. Augusto Roberto Fuster Airport', -22.641427, -55.829993, 1873, 'PY', 'PY-13', 'Pedro Juan Caballero', 'no', 'SGPJ', 'PJC', '', 'Aeropuerto Internacional Dr. Augusto Roberto Fuster'),
	('SSWO', 'small_airport', 'Fazenda Santa Marta Airport', -22.965998, -54.075064, 1083, 'BR', 'BR-MS', 'Naviraí', 'no', '', '', '', 'SSWO'),
	('SSDZ', 'closed', 'Fazenda Divisão Airport', -23.133888, -54.633888, 1312, 'BR', 'BR-MS', 'Amambaí', 'no', '', '', '', 'SSDZ'),
	('SSVE', 'small_airport', 'Fazenda Cerro Verde Airport', -23.81277847290039, -55.057777404785156, 1250, 'BR', 'BR-MS', 'Tacuru', 'no', 'SSVE', '', '', ''),
	('SJHA', 'small_airport', 'Fazenda Janaína Airport', -22.983055114746, -55.020000457764, 1296, 'BR', 'BR-MS', 'Amambaí', 'no', '', '', '', 'SJHA'),
	('SDF2', 'small_airport', 'Mãe Nina Airstrip', -23.303461, -53.899779, 951, 'BR', 'BR-MS', 'Itaquiraí', 'no', 'SDF2', '', 'MS0537', ''),
	('SSSY', 'small_airport', 'Fazenda Silvana Airport', -22.516666412353516, -53.51166534423828, 781, 'BR', 'BR-MS', 'Nova Andradina', 'no', 'SSSY', '', '', ''),
	('SIDZ', 'small_airport', 'Estância Ayrton Senna Airport', -22.660026, -54.82277, 1509, 'BR', 'BR-MS', 'Caarapó', 'no', '', '', 'MS0120', 'SIDZ, SIQH'),
	('SGPD', 'N/A', 'N/A', -22.63680439442396, -56.01548105478287, 278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSVK', 'small_airport', 'Fazenda Dom Arlindo Airport', -22.794443130493164, -54.156944274902344, 1299, 'BR', 'BR-MS', 'Naviraí', 'no', 'SSVK', '', '', ''),
	('SSLX', 'small_airport', 'Fazenda Brasília do Sul Airport', -22.701258, -54.608345, 1296, 'BR', 'BR-MS', 'Juti', 'no', 'SSVD', '', 'MS0339', 'SSLX'),
	('SNWD', 'small_airport', 'Fazenda Guavirá Airport', -23.430278778076172, -54.608333587646484, 1335, 'BR', 'BR-MS', 'Iguatemi', 'no', 'SNWD', '', '', ''),
	('SSNT', 'small_airport', 'Fazenda Rosa Mística Airport', -23.2925, -55.055832, 1289, 'BR', 'BR-MS', 'Amambaí', 'no', '', '', '', 'SSNT'),
	('SIXK', 'small_airport', 'Nossa Senhora do Carmo Airport', -23.167497, -54.202307, 961, 'BR', 'BR-MS', 'Itaquiraí', 'no', 'SIXK', '', 'MS0141', ''),
	('SNCO', 'small_airport', 'Agropecuária Santa Paola Airport', -23.516971, -55.063155, 1204, 'BR', 'BR-MS', 'Tacuru', 'no', 'SNCO', '', 'MS0202', ''),
	('SNVY', 'small_airport', 'Aeródromo de  Fazenda Ouro Verde', -23.976944, -55.365276, 1299, 'BR', 'BR-MS', 'Paranhos', 'no', 'SNVY', '', '', ''),
	('SSON', 'small_airport', 'Fazenda Joalice Airport', -23.787778854370117, -55.02916717529297, 1476, 'BR', 'BR-MS', 'Tacuru', 'no', 'SSON', '', '', ''),
	('SGCU', 'small_airport', 'Aeródromo de Curuguaty', -24.497675, -55.686307, 0, 'PY', 'PY-14', '', 'no', 'SGCU', '', '', ''),
	('SBCA', 'medium_airport', 'Coronel Adalberto Mendes da Silva Airport', -25.000323, -53.501208, 2481, 'BR', 'BR-PR', 'Cascavel', 'yes', 'SBCA', 'CAC', 'PR0005', ''),
	('SIWB', 'small_airport', 'Fazenda Sperafico Airport', -23.190468, -55.289855, 1968, 'BR', 'BR-MS', 'Amambaí', 'no', 'SIWB', '', 'MS0136', ''),
	('SSHW', 'small_airport', 'Fazenda Macaraí Airport', -23.417499542236, -54.012500762939, 1056, 'BR', 'BR-MS', 'Itaquiraí', 'no', '', '', '', 'SSHW'),
	('SJDI', 'small_airport', 'Fazenda Concórdia Airport', -22.852064, -54.208249, 1247, 'BR', 'BR-MS', 'Naviraí', 'no', 'SSYU', '', 'MS0424', 'SJDI'),
	('SWVY', 'small_airport', 'Fazenda Carvalho Airport', -17.568061, -56.482236, 361, 'BR', 'BR-MS', 'Corumbá', 'no', 'SNQO', '', 'MS0225', 'SWVY'),
	('SSRD', 'small_airport', 'Fazenda Sol Nascente Airport', -23.401932, -55.248989, 1443, 'BR', 'BR-MS', 'Tacuru', 'no', '', '', '', 'SSRD'),
	('SSGY', 'small_airport', 'Guaíra Airport', -24.0811, -54.1917, 889, 'BR', 'BR-PR', 'Guaíra', 'yes', 'SSGY', 'GGJ', 'PR0023', 'Walter Martins de Oliveira Municipal, QGA'),
	('SNFH', 'small_airport', 'Fazenda Dom Felipe Airport', -22.559118, -55.381143, 1857, 'BR', 'BR-MS', 'Ponta Porã', 'yes', 'SWFD', '', 'MS0371', 'SNFH'),
	('SJIF', 'small_airport', 'Fazenda Nova Era Airport', -23.394166946411133, -54.752498626708984, 1247, 'BR', 'BR-MS', 'Iguatemi', 'no', 'SJIF', '', '', ''),
	('SGGR', 'medium_airport', 'Aeropuerto Nacional de Salto del Guaira', -24.032844, -54.35267, 990, 'PY', 'PY-14', 'Salto del Guaira', 'no', 'SGGR', '', '', ''),
	('SSGZ', 'small_airport', 'Fazenda Santa Helena do Pindó Airport', -22.895000457763672, -53.86777877807617, 1050, 'BR', 'BR-MS', 'Naviraí', 'no', 'SSGZ', '', '', ''),
	('SBAV', 'closed', 'Usina Porto Primavera Airport', -22.5256004333, -52.9721984863, 1067, 'BR', 'BR-SP', 'Rosana', 'no', '', '', '', 'SJDE, SBAV'),
	('SNWO', 'small_airport', 'Fazenda Vera Cruz Airport', -23.017778396606445, -54.62444305419922, 1001, 'BR', 'BR-MS', 'Amambaí', 'no', 'SNWO', '', '', ''),
	('SIUS', 'small_airport', 'Fazenda Dona Rosa S. Rezek Airport', -22.711748, -54.045042, 1240, 'BR', 'BR-MS', 'Jateí', 'no', 'SDSK', '', 'MS0053', 'SIUS'),
	('SGYG', 'N/A', 'N/A', -24.013238288462162, -55.92141553759575, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDM6', 'small_airport', 'Fazenda São Domingos Airport', -22.536414, -53.324424, 876, 'BR', 'BR-MS', 'Taquarussu', 'no', 'SDM6', '', 'MS0580', ''),
	('SSTS', 'small_airport', 'Fazenda Bandeirantes Airport', -22.610683, -53.444055, 813, 'BR', 'BR-MS', 'Taquarussu', 'no', 'SWDR', '', 'MS0369', 'SSTS'),
	('SGYA', 'N/A', 'N/A', -23.997112847864628, -55.72596251964569, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJDD', 'small_airport', 'Fazenda Jumbo Airport', -22.513889312744, -53.341945648193, 854, 'BR', 'BR-MS', 'Taquarussu', 'no', '', '', '', 'SJDD'),
	('SSLO', 'small_airport', 'Loanda Airport', -22.917101, -53.148998, 1542, 'BR', 'BR-PR', 'Loanda', 'no', 'SSLO', '', 'SSLO', ''),
	('SSRG', 'small_airport', 'Fazenda Rancho Grande Airport', -22.776667, -54.976665, 1319, 'BR', 'BR-MS', 'Laguna Carapã', 'no', '', '', '', 'SSRG'),
	('SSHK', 'small_airport', 'Fazenda Jaguarandy Airport', -22.5897216796875, -55.56944274902344, 1968, 'BR', 'BR-MS', 'Ponta Porã', 'no', 'SSHK', '', '', ''),
	('SSGN', 'small_airport', 'Fazenda Guaíba Airport', -23.239166259765625, -54.54111099243164, 1401, 'BR', 'BR-MS', 'Iguatemi', 'no', 'SSGN', '', '', ''),
	('SNKZ', 'small_airport', 'Fazenda Remanso do Pito Airport', -23.201389312744, -53.855556488037, 912, 'BR', 'BR-MS', 'Naviraí', 'no', '', '', '', 'SNKZ'),
	('SWHD', 'small_airport', 'Fazenda Ipuitã Airport', -23.022277, -53.901218, 1063, 'BR', 'BR-MS', 'Naviraí', 'no', 'SWHD', '', 'MS0419', ''),
	('SSNB', 'small_airport', 'Naviraí Airport', -23.0348, -54.180199, 1329, 'BR', 'BR-MS', 'Naviraí', 'no', 'SSNB', '', 'SSNB', ''),
	('SBTD', 'small_airport', 'Toledo - Luiz Dalcanale Filho Municipal Airport', -24.6863, -53.697498, 1843, 'BR', 'BR-PR', 'Toledo', 'yes', 'SBTD', 'TOW', 'PR0008', ''),
	('SSGU', 'small_airport', 'Fazenda Gurucaia Airport', -23.19333267211914, -53.32833480834961, 886, 'BR', 'BR-PR', 'Santa Isabel Do Ivaí', 'no', 'SSGU', '', '', ''),
	('SNZC', 'small_airport', 'Fazenda Águas Claras Airport', -23.333609, -54.508514, 1273, 'BR', 'BR-MS', 'Iguatemi', 'no', 'SIZR', '', 'MS0147', 'SNZC'),
	('SSFU', 'small_airport', 'Fazenda Ligação Airport', -23.848056793213, -54.816112518311, 1739, 'BR', 'BR-MS', 'Sete Quedas', 'no', '', '', '', 'SSFU'),
	('SINA', 'small_airport', 'São Francisco Airport', -22.788888931274, -53.197776794434, 1122, 'BR', 'BR-PR', 'São Pedro Do Paraná', 'no', '', '', '', 'SINA'),
	('SSLF', 'small_airport', 'Fazenda Palmeira Airport', -22.543611526489, -53.429443359375, 885, 'BR', 'BR-MS', 'Taquarussu', 'no', '', '', '', 'SSLF');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SIBO', 'small_airport', 'Sítio São Luiz Airport', -24.261562, -52.794753, 1919, 'BR', 'BR-PR', 'Boa Esperança', 'no', 'SNYY', '', 'PR0070', 'SIBO'),
	('SG67', 'small_airport', 'Aeródromo de la Estancia Pai Quara', -23.229702, -55.948455, 712, 'PY', 'PY-13', 'Estancia Pai Quara', 'no', 'SG67', '', 'SG67', ''),
	('SIZF', 'small_airport', 'Nossa Senhora das Graças Airport', -23.9950008392334, -53.956111907958984, 873, 'BR', 'BR-PR', 'Altônia', 'no', 'SIZF', '', '', ''),
	('SJMR', 'small_airport', 'Maragogipe Airport', -23.457518, -54.300302, 998, 'BR', 'BR-MS', 'Itaquiraí', 'no', 'SJMR', '', 'MS0177', ''),
	('SNQT', 'small_airport', 'Fazenda Estrela do Sul Airport', -23.795833587646484, -53.47972106933594, 1542, 'BR', 'BR-PR', 'Umuarama', 'no', 'SNQT', '', '', ''),
	('SSJZ', 'small_airport', 'Fazenda Três Unidos Airport', -24.051666259765625, -54.00666809082031, 1000, 'BR', 'BR-PR', 'Terra Roxa', 'no', 'SSJZ', '', '', ''),
	('SSYZ', 'small_airport', 'Fazenda Procomp II Airport', -22.851110458374023, -55.39611053466797, 2080, 'BR', 'BR-MS', 'Aral Moreira', 'no', 'SSYZ', '', '', ''),
	('SSTK', 'small_airport', 'Fazenda União de Iguatemi Airport', -23.682777404785156, -54.53972244262695, 794, 'BR', 'BR-MS', 'Iguatemi', 'no', 'SSTK', '', '', ''),
	('SNWH', 'small_airport', 'Fazenda São Mateus Airport', -22.96666717529297, -53.543331146240234, 1050, 'BR', 'BR-PR', 'Querência Do Norte', 'no', 'SNWH', '', '', ''),
	('SSIX', 'small_airport', 'Fazenda Campo Verde Airport', -22.652796, -53.507444, 843, 'BR', 'BR-MS', 'Taquarussu', 'no', 'SDVT', '', 'MS0058', 'SSIX'),
	('SNQZ', 'small_airport', 'Fazenda Bagagem Airport', -22.842777252197, -55.570556640625, 1837, 'BR', 'BR-MS', 'Aral Moreira', 'no', '', '', '', 'SNQZ'),
	('SNWG', 'small_airport', 'Fazenda Iporã Airport', -23.582209, -54.048893, 591, 'BR', 'BR-MS', 'Itaquiraí', 'no', 'SNWG', '', 'MS0234', 'SNWS'),
	('SGDA', 'N/A', 'N/A', -25.280384570360184, -54.73174586892128, 294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSZH', 'small_airport', 'Fazenda Corrientes Airport', -23.645969, -54.714375, 1122, 'BR', 'BR-MS', 'Tacuru', 'no', 'SSZH', '', 'MS0359', 'Procomp I'),
	('SSCT', 'small_airport', 'Engenheiro Gastão de Mesquita Filho Airport', -23.69157, -52.642091, 1837, 'BR', 'BR-PR', 'Cianorte', 'no', 'SSCT', 'GGH', 'PR0025', ''),
	('SSLQ', 'small_airport', 'Fazenda Campanário Airport', -22.783302, -55.072604, 1362, 'BR', 'BR-MS', 'Laguna Carapã', 'no', 'SDTD', '', 'SDTD', 'SSLQ'),
	('SNOQ', 'small_airport', 'Fazenda Agropecuária Crioulo Airport', -23.599379, -55.145457, 1224, 'BR', 'BR-MS', 'Tacuru', 'no', 'SIA3', '', 'MS0222', 'SNOQ'),
	('SJFM', 'small_airport', 'Fazenda Macuco Airport', -23.838938, -54.24448, 1149, 'BR', 'BR-MS', 'Eldorado', 'no', 'SJFM', '', 'MS0162', ''),
	('SGPA', 'N/A', 'N/A', -22.713260762393475, -55.69937601685524, 375, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGTC', 'N/A', 'N/A', -23.14645830541849, -56.10945984721184, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGCR', 'N/A', 'N/A', -23.88855043798685, -55.05578711628914, 364, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIKA', 'small_airport', 'Fazenda Alegria II Airport', -23.110556, -54.558055, 1191, 'BR', 'BR-MS', 'Amambai', 'no', 'SIKA', '', 'MS0094', ''),
	('SBRQ', 'closed', 'Sao Roque Airport', -23.517000198364258, -47.117000579833984, 853, 'BR', 'BR-SP', 'Sao Roque', 'no', '', '', '', 'SBRQ, SBRQ'),
	('SJWX', 'small_airport', 'Rio Alegre Airport', -22.575000762939453, -52.503055572509766, 981, 'BR', 'BR-SP', 'Euclides Da Cunha Paulista', 'no', 'SJWX', '', '', ''),
	('SIOQ', 'small_airport', 'Fazenda Mato Alto Airport', -23.50549, -54.309314, 1313, 'BR', 'BR-MS', 'Iguatemi', 'no', 'SIOQ', '', 'MS0112', ''),
	('SSBI', 'small_airport', 'Condomínio Irmãos Gatto Airport', -11.85146, -46.302258, 2851, 'BR', 'BR-BA', 'Barreiras', 'no', 'SSBI', '', 'BA0151', ''),
	('SWGC', 'small_airport', 'Agricenter Airport', -22.627129, -55.57916, 2073, 'BR', 'BR-MS', 'Ponta Porã', 'no', 'SWGC', '', '', ''),
	('SSHB', 'small_airport', 'Fazenda Serra Dourada Airport', -23.322873, -53.468829, 1007, 'BR', 'BR-PR', 'Ivaté', 'no', '', '', '', 'SSHB'),
	('SSFN', 'small_airport', 'Fazenda Novilho Airport', -22.619167, -54.925835, 1706, 'BR', 'BR-MS', 'Caarapó', 'no', '', '', '', 'SSFN'),
	('SSKF', 'small_airport', 'Porto Bonito Airport', -23.344521, -53.872329, 1180, 'BR', 'BR-MS', 'Itaquiraí', 'no', 'SJPI', '', 'MS0179', 'SSKF'),
	('SIOS', 'small_airport', 'Fazenda Santa Josefa Airport', -22.769395, -53.957269, 1313, 'BR', 'BR-MS', 'Jateí', 'no', 'SIOS', '', 'MS0113', ''),
	('SJSL', 'small_airport', 'Fazenda Santa Luiza Airport', -23.350885, -53.499599, 1162, 'BR', 'BR-PR', 'Icaraima', 'no', 'SWAI', '', 'PR0201', 'SJSL'),
	('SSFD', 'small_airport', 'Fazenda Acarajá Airport', -23.002675, -54.700604, 1194, 'BR', 'BR-MS', 'Amambaí', 'no', 'SJC3', '', 'MS0265', 'SSFD'),
	('SSAM', 'small_airport', 'Amambaí Airport', -23.142778, -55.207779, 1542, 'BR', 'BR-MS', 'Amambaí', 'no', '', '', '', 'SSAM'),
	('SSYL', 'small_airport', 'Fazenda Tuju Puitan Airport', -23.341110229492188, -54.56888961791992, 1142, 'BR', 'BR-MS', 'Iguatemi', 'no', 'SSYL', '', '', ''),
	('SSKE', 'small_airport', 'Campo Primavera', -23.12116, -53.078492, 1250, 'BR', 'BR-PR', 'Santa Mônica', 'no', 'SINP', '', 'PR0049', 'SSKE, Campo Evelina'),
	('SBPP', 'medium_airport', 'Ponta Porã Airport', -22.549601, -55.702599, 2156, 'BR', 'BR-MS', 'Ponta Porã', 'yes', 'SBPP', 'PMG', 'MS0005', ''),
	('SJXV', 'small_airport', 'Fazenda Bela Vista Airport', -22.931110382080078, -55.054443359375, 1256, 'BR', 'BR-MS', 'Amambaí', 'no', 'SJXV', '', '', ''),
	('SSGW', 'small_airport', 'Goio-Erê Airport', -24.220300674438477, -53.044498443603516, 1608, 'BR', 'BR-PR', 'Goio-Erê', 'no', 'SSGW', '', 'SSGW', ''),
	('SIJJ', 'small_airport', 'Fazenda Salamanca Airport', -22.8086109161, -55.5333328247, 1181, 'BR', 'BR-MS', 'Aral Moreira', 'no', '', '', '', 'SIJJ'),
	('SSXM', 'small_airport', 'Fazenda Guaciara Airport', -22.78595, -53.880853, 1063, 'BR', 'BR-MS', 'Jateí', 'no', 'SJS3', '', 'MS0348', 'SSXM'),
	('SSCR', 'small_airport', 'Ruben Berta Airport', -24.512699, -54.054699, 1381, 'BR', 'BR-PR', 'Marechal Cândido Rondon', 'no', 'SSCR', '', 'PR0016', ''),
	('SNSV', 'small_airport', 'Fazenda São Pedro Airport', -23.663821, -54.079044, 1001, 'BR', 'BR-MS', 'Eldorado', 'no', '', '', 'MS0279', 'SNSV, SSGS'),
	('SSLZ', 'small_airport', 'Fazenda Vitória do Ivinhema Airport', -22.512005, -53.670661, 1296, 'BR', 'BR-MS', 'Ivinhema', 'no', '', '', '', 'SSLZ'),
	('SJSU', 'small_airport', 'Fazenda São Marcus Airport', -23.564167022705078, -53.79722213745117, 1083, 'BR', 'BR-PR', 'Vila Alta', 'no', 'SJSU', '', '', ''),
	('SJSA', 'small_airport', 'Fazenda Aimorés Airport', -22.789722442626953, -54.5977783203125, 1263, 'BR', 'BR-MS', 'Juti', 'no', 'SJSA', '', '', ''),
	('SSVB', 'small_airport', 'Fazenda Vaca Branca Airport', -23.066515, -53.821174, 1086, 'BR', 'BR-MS', 'Naviraí', 'no', 'SSJB', '', 'MS0288', 'SSVB'),
	('SGDB', 'N/A', 'N/A', -24.452741369605064, -54.862663596868515, 357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSMS', 'small_airport', 'Fazenda Rancho Esperança Airport', -22.87, -55.5, 1522, 'BR', 'BR-MS', 'Aral Moreira', 'no', '', '', '', 'SSMS'),
	('SD8A', 'small_airport', 'Agropecuária Antunes Airport', -22.744763, -55.232613, 1634, 'BR', 'BR-MS', 'Laguna Carapã', 'no', 'SD8A', '', 'MS0549', ''),
	('SSVL', 'small_airport', 'Fazenda Santa Claudina Airport', -22.521667, -54.677776, 1476, 'BR', 'BR-MS', 'Caarapó', 'no', 'SDNL', '', 'MS0040', 'SSVL');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SNWU', 'small_airport', 'Fazenda Ponte Quinhá Airport', -23.005477, -55.50928, 1575, 'BR', 'BR-MS', 'Aral Moreira', 'no', 'SNWU', '', 'MS0237', ''),
	('SIXQ', 'small_airport', 'Fazenda São João Airport', -23.843515, -55.436156, 1519, 'BR', 'BR-MS', 'Paranhos', 'no', 'SWJQ', '', 'MS0382', 'SIXQ'),
	('SSUM', 'small_airport', 'Orlando de Carvalho Airport', -23.7987, -53.313801, 1552, 'BR', 'BR-PR', 'Umuarama', 'yes', 'SSUM', 'UMU', 'PR0019', ''),
	('SILA', 'small_airport', 'Fazenda Santa Ada Airport', -22.756475, -53.83996, 1247, 'BR', 'BR-MS', 'Jateí', 'no', 'SILA', '', 'MS0097', ''),
	('SSNI', 'small_airport', 'Fazenda Novo Rumo Airport', -22.98527717590332, -53.87694549560547, 1247, 'BR', 'BR-MS', 'Naviraí', 'no', 'SSNI', '', '', ''),
	('SITB', 'small_airport', 'Fazenda Touro Branco Airport', -23.01328, -53.790618, 951, 'BR', 'BR-MS', 'Naviraí', 'no', 'SITB', '', 'MS0127', ''),
	('SGDC', 'N/A', 'N/A', -24.786353521049023, -54.692224860191345, 303, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJXX', 'small_airport', 'Recreio Airport', -22.679443359375, -55.540557861328125, 1968, 'BR', 'BR-MS', 'Ponta Porã', 'no', 'SJXX', '', '', ''),
	('SSPT', 'small_airport', 'Palotina Airport', -24.3433, -53.828701, 1220, 'BR', 'BR-PR', 'Palotina', 'no', 'SSPT', '', 'SSPT', ''),
	('SSPF', 'small_airport', 'Fazenda São Rafael Airport', -24.769501, -54.118698, 1420, 'BR', 'BR-PR', 'São José das Palmeiras', 'no', '', '', '', 'SSPF'),
	('SBCH', 'medium_airport', 'Serafin Enoss Bertaso Airport', -27.134199, -52.656601, 2154, 'BR', 'BR-SC', 'Chapecó', 'yes', 'SBCH', 'XAP', 'SC0003', 'Chapecó Airport'),
	('SSAF', 'small_airport', 'Aeroclube de Foz do Iguaçu Airport', -25.36971, -54.470508, 840, 'BR', 'BR-PR', 'Santa Terezinha de Itaipu', 'no', 'SSAF', '', 'PR0071', ''),
	('SATI', 'small_airport', 'Bernardo De Irigoyen Airport', -26.281388, -53.673332, 2673, 'AR', 'AR-N', 'Bernardo de Irigoyen', 'no', 'SATI', '', 'IRI', 'IRA'),
	('SSNO', 'closed', 'Nonoaí Airport', -27.369023, -52.763246, 1969, 'BR', 'BR-RS', 'Nonoaí', 'no', '', '', '', 'SSNO, Armando Reginatto, RS0038'),
	('SGIB', 'medium_airport', 'Aeropuerto Nacional de Itaipú', -25.407268, -54.620805, 762, 'PY', 'PY-10', 'Itaipú', 'no', 'SGIB', '', '', ''),
	('SGDO', 'N/A', 'N/A', -25.5416776612401, -55.475700348615646, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SANB', 'N/A', 'N/A', -26.543631926178932, -54.72352892160416, 254, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SNUA', 'small_airport', 'Fazenda Paulista Airport', -25.392105, -54.409799, 820, 'BR', 'BR-PR', 'Santa Terezinha de Itaipu', 'no', 'SNUA', '', 'PR0068', ''),
	('SWIT', 'small_airport', 'Condomínio de Voo Itaipu - CVI Airport', -25.484879, -54.441354, 896, 'BR', 'BR-PR', 'Santa Terezinha de Itaipu', 'no', 'SWIT', '', 'PR0096', ''),
	('SGNA', 'N/A', 'N/A', -26.746852844953537, -55.13006642460823, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSWF', 'small_airport', 'Frederico Westphalen Airport', -27.347778, -53.4025, 1857, 'BR', 'BR-RS', 'Frederico Westphalen', 'no', '', '', '', 'SSWF, SSOW'),
	('SSWD', 'closed', 'Irai - Vicente Dutra Airport', -27.193945, -53.236384, 1152, 'BR', 'BR-RS', 'Irai', 'no', '', '', '', 'SSWD'),
	('SSXD', 'small_airport', 'Sarandi Airport', -27.98110008239746, -52.86360168457031, 2034, 'BR', 'BR-RS', 'Sarandi', 'no', 'SSXD', '', '', ''),
	('SBFI', 'medium_airport', 'Cataratas International Airport', -25.594167, -54.489444, 786, 'BR', 'BR-PR', 'Foz do Iguaçu', 'yes', 'SBFI', 'IGU', 'PR0002', ''),
	('SAHH', 'N/A', 'N/A', -28.041020035743713, -56.0710783302784, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGSG', 'N/A', 'N/A', -26.099374294281006, -55.93678817152977, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SGES', 'large_airport', 'Aeropuerto Internacional Guaraní', -25.457186, -54.839544, 846, 'PY', 'PY-10', 'Ciudad del Este', 'yes', 'SGES', 'AGT', '', ''),
	('SSFB', 'small_airport', 'Paulo Abdala Airport', -26.05938, -53.063827, 2113, 'BR', 'BR-PR', 'Francisco Beltrão', 'yes', 'SSFB', 'FBE', 'PR0021', ''),
	('SSYT', 'small_airport', 'Itapiranga Airport', -27.142499923706055, -53.68579864501953, 1247, 'BR', 'BR-SC', 'Itapiranga', 'no', 'SSYT', '', 'SSYT', ''),
	('SAGU', 'N/A', 'N/A', -27.60679017752409, -55.86501359939575, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SARI', 'medium_airport', 'Cataratas Del Iguazú International Airport', -25.737301, -54.4734, 916, 'AR', 'AR-N', 'Puerto Iguazu', 'yes', 'SARI', 'IGR', 'IGU', 'Iguaçu'),
	('SSMY', 'small_airport', 'São Miguel do Iguaçu Airport', -25.39888889, -54.23472222, 951, 'BR', 'BR-PR', 'São Miguel Do Iguaçu', 'no', 'SSMY', '', 'SSMY', ''),
	('SGGE', 'N/A', 'N/A', -25.7533535733819, -55.69346934556961, 238, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSOE', 'small_airport', 'São Miguel do Oeste Airport', -26.781601, -53.503502, 2180, 'BR', 'BR-SC', 'São Miguel Do Oeste', 'no', 'SSOE', 'SQX', 'SSOE', ''),
	('SIOE', 'small_airport', 'Mocelin Airport', -25.793554, -53.035909, 1850, 'BR', 'BR-PR', 'Dois Vizinhos', 'no', 'SIOE', '', 'PR0051', ''),
	('SA68', 'N/A', 'N/A', -26.00743554532528, -54.60881397128105, 238, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SICY', 'small_airport', 'Fazenda do Cedro Airport', -28.108334, -53.196388, 2143, 'BR', 'BR-RS', 'Chapada', 'no', 'SDRX', '', 'RS0057', 'SICY'),
	('SSDC', 'closed', 'Dionísio Cerqueira Airport', -26.288344, -53.6308, 2723, 'BR', 'BR-SC', 'Dionísio Cerqueira', 'no', '', '', '', 'SSDC, SC0012'),
	('SSRE', 'small_airport', 'Realeza Airport', -25.80120086669922, -53.512699127197266, 1693, 'BR', 'BR-PR', 'Realeza', 'no', 'SSRE', '', 'SSRE', ''),
	('SSFE', 'small_airport', 'Estância Hércules Airport', -25.460699, -54.598468, 584, 'BR', 'BR-PR', 'Foz do Iguaçu', 'no', 'SSFE', '', 'PR0075', ''),
	('SAFB', 'N/A', 'N/A', -26.953709162771702, -54.4870363175869, 546, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSTO', 'small_airport', 'Três Passos Airport', -27.512500762939, -53.898300170898, 1503, 'BR', 'BR-RS', 'Três Passos', 'no', '', '', '', 'SSTO'),
	('SAJR', 'N/A', 'N/A', -27.032529897987843, -55.1980559527874, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBCL', 'N/A', 'N/A', -28.121780678629875, -54.716903418302536, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSPL', 'small_airport', 'Palmeira das Missões Airport', -27.9018001556, -53.32970047, 2083, 'BR', 'BR-RS', 'Palmeira Da Missões', 'no', 'SSPL', '', 'SSPL', ''),
	('APO', 'small_airport', 'Apóstoles Airport', -27.903200149499998, -55.765499115, 581, 'AR', 'AR-N', 'Apóstoles', 'no', 'SA23', '', 'APO', 'SA23'),
	('SSZR', 'small_airport', 'Luis Alberto Lehr Airport', -27.90658, -54.520628, 1014, 'BR', 'BR-RS', 'Santa Rosa', 'yes', 'SSZR', 'SRA', 'RS0027', ''),
	('SSKN', 'small_airport', 'Campo Novo Airport', -27.666456, -53.8086, 1460, 'BR', 'BR-RS', 'Campo Novo', 'no', '', '', 'SSKN', 'SSKN'),
	('SSPB', 'small_airport', 'Juvenal Loureiro Cardoso Airport', -26.217184, -52.694463, 2697, 'BR', 'BR-PR', 'Pato Branco', 'yes', 'SBPO', 'PTO', 'PR0018', 'SSPB'),
	('SGEN', 'large_airport', 'Aeropuerto Internacional Tte. Amin Ayub González', -27.221691, -55.833807, 659, 'PY', 'PY-7', 'Encarnación', 'yes', 'SGEN', 'ENO', '', ''),
	('SGMZ', 'small_airport', 'Aeródromo José María Argaña', -26.839758, -55.328915, 867, 'PY', 'PY-7', '', 'no', 'SGMZ', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SNAN', 'small_airport', 'Empresa Agrícola Chiapeta Airport', -28.066857, -53.877368, 1562, 'BR', 'BR-RS', 'Chiapeta', 'no', 'SNAN', '', 'RS0081', ''),
	('SSHZ', 'small_airport', 'Walter Bündchen Airport', -27.6383, -54.3391, 1063, 'BR', 'BR-RS', 'Horizontina', 'no', 'SSHZ', 'HRZ', 'SSHZ', ''),
	('SGBA', 'small_airport', 'Aeródromo de Bella Vista Sur', -27.052393, -55.578026, 650, 'PY', 'PY-7', 'Colonia Doctor Pastor Obligado', 'no', 'SGBA', '', '', ''),
	('SATO', 'small_airport', 'Oberá Airport', -27.5182, -55.124199, 1125, 'AR', 'AR-N', 'Oberá', 'no', 'SATO', '', 'OBE', ''),
	('SARP', 'medium_airport', 'Libertador Gral D Jose De San Martin Airport', -27.3858, -55.9707, 430, 'AR', 'AR-N', 'Posadas', 'yes', 'SARP', 'PSS', 'POS', ''),
	('SATD', 'small_airport', 'El Dorado Airport', -26.397499, -54.574699, 685, 'AR', 'AR-N', 'El Dorado', 'no', 'SATD', 'ELO', 'ELD', ''),
	('SSLS', 'small_airport', 'Salto Santiago Airport', -25.514133, -52.557499, 2087, 'BR', 'BR-PR', 'Laranjeiras do Sul', 'no', '', '', '', 'SSLS, Rio Bonito do Iguaçu'),
	('SSEZ', 'small_airport', 'Espumoso Airport', -28.738719, -52.857248, 1198, 'BR', 'BR-RS', 'Espumoso', 'no', 'SSEZ', '', 'RS0050', ''),
	('SSSG', 'small_airport', 'São Gabriel Airport', -30.344999313354492, -54.267799377441406, 472, 'BR', 'BR-RS', 'São Gabriel', 'no', 'SSSG', '', '', ''),
	('SATV', 'N/A', 'N/A', -28.527284748852253, -56.10919386148453, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSIR', 'small_airport', 'Ibirubá Airport', -28.604168, -53.078888, 1499, 'BR', 'BR-RS', 'Ibirubá', 'no', 'SSIR', '', 'RS0049', ''),
	('SSSD', 'small_airport', 'Soledade Airport', -28.863100051879883, -52.54059982299805, 2165, 'BR', 'BR-RS', 'Soledade', 'no', 'SSSD', '', '', ''),
	('SSES', 'small_airport', 'Encruzilhada do Sul Airport', -30.560678, -52.583005, 1460, 'BR', 'BR-RS', 'Encruzilhada do Sul', 'no', '', '', 'RS0053', 'SSES'),
	('SBSM', 'medium_airport', 'Santa Maria Airport', -29.711399, -53.688202, 287, 'BR', 'BR-RS', 'Santa Maria', 'yes', 'SBSM', 'RIA', 'RS0003', ''),
	('SSOR', 'small_airport', 'Chico Ledur Airport', -29.817701, -55.714634, 381, 'BR', 'BR-RS', 'Alegrete', 'no', 'SSHD', '', 'RS0096', 'SSOR'),
	('SSEP', 'small_airport', 'São Sepé Airport', -30.182199, -53.579399, 502, 'BR', 'BR-RS', 'São Sepé', 'no', 'SSEP', '', 'RS0031', ''),
	('SSSB', 'small_airport', 'São Borja Airport', -28.6549, -56.034599, 262, 'BR', 'BR-RS', 'São Borja', 'no', 'SSSB', 'JBS', 'RS0014', 'João Manoel, QOJ'),
	('SD4D', 'small_airport', 'Fazenda Ibicuí Airport', -29.753193, -55.155211, 489, 'BR', 'BR-RS', 'Alegrete', 'no', 'SD4D', '', 'RS0167', ''),
	('SBNM', 'medium_airport', 'Santo Ângelo Airport', -28.282503, -54.169623, 1056, 'BR', 'BR-RS', 'Santo Ângelo', 'yes', 'SBNM', 'GEL', 'RS0008', ''),
	('SSAK', 'small_airport', 'Carlos Ruhl Airport', -28.657934, -53.610095, 1542, 'BR', 'BR-RS', 'Cruz Alta', 'no', 'SSAK', 'CZB', 'RS0048', 'Aeroclube Airport'),
	('SSRZ', 'small_airport', 'Dário Brasil Capoano de Oliveira Airport', -30.277493, -54.923916, 335, 'BR', 'BR-RS', 'Rosário do Sul', 'no', 'SSRZ', '', 'RS0024', ''),
	('SIXD', 'small_airport', 'Fazenda da Paz Airport', -30.844725, -55.566051, 892, 'BR', 'BR-RS', 'Santana Do Livramento', 'no', 'SIXD', '', 'RS0071', ''),
	('SD2N', 'small_airport', 'Érico Veríssimo Airport', -28.720743, -53.645259, 1457, 'BR', 'BR-RS', 'Cruz Alta', 'no', 'SD2N', '', 'RS0178', 'SSCF'),
	('SSRQ', 'small_airport', 'Refúgio Airport', -30.919438, -54.46896, 709, 'BR', 'BR-RS', 'Dom Pedrito', 'no', '', '', '', 'SSRQ'),
	('SSJK', 'small_airport', 'Júlio de Castilho Airport', -29.153099060058594, -53.74330139160156, 1633, 'BR', 'BR-RS', 'Júlio De Castilho', 'no', 'SSJK', '', '', ''),
	('SSLT', 'small_airport', 'Alegrete Novo Airport', -29.811595, -55.894707, 410, 'BR', 'BR-RS', 'Alegrete', 'no', 'SSLT', 'ALQ', 'RS0022', ''),
	('SSAQ', 'small_airport', 'Aeroclube Airport', -28.250601, -52.516701, 1969, 'BR', 'BR-RS', 'Passo Fundo', 'no', 'SSAQ', '', 'RS0036', ''),
	('SSWS', 'small_airport', 'Caçapava do Sul Airport', -30.549625, -53.458177, 1365, 'BR', 'BR-RS', 'Caçapava do Sul', 'no', 'SSWS', '', 'RS0025', ''),
	('SSYQ', 'small_airport', 'Agropecuária Monte Alverne Airport', -28.378889083862305, -52.87944412231445, 1752, 'BR', 'BR-RS', 'Carazinho', 'no', 'SSYQ', '', '', ''),
	('SJWG', 'small_airport', 'Itagro Airport', -29.780277252197266, -55.69722366333008, 384, 'BR', 'BR-RS', 'Alegrete', 'no', 'SJWG', '', '', ''),
	('SSIJ', 'small_airport', 'João Batista Bos Filho Airport', -28.368711, -53.846568, 1197, 'BR', 'BR-RS', 'Ijuí', 'no', 'SSIJ', 'IJU', 'RS0032', ''),
	('SSBD', 'small_airport', 'Sobradinho Airport', -29.396898, -52.99117, 1444, 'BR', 'BR-RS', 'Sobradinho', 'no', '', '', 'RS0051', 'SSBD'),
	('SJGH', 'small_airport', 'Aeropel Airport', -28.710631, -55.988827, 300, 'BR', 'BR-RS', 'São Borja', 'no', 'SJGH', '', 'RS0077', ''),
	('SSST', 'small_airport', 'Santiago Airport', -29.215, -54.84222, 1460, 'BR', 'BR-RS', 'Santiago', 'no', 'SSST', '', '', ''),
	('SSLG', 'small_airport', 'São Luís Gonzaga Airport', -28.376388549804688, -55.037498474121094, 656, 'BR', 'BR-RS', 'São Luís Gonzaga', 'no', 'SSLG', '', '', ''),
	('SSKZ', 'small_airport', 'Carazinho Airport', -28.3225002289, -52.8162002563, 1854, 'BR', 'BR-RS', 'Carazinho', 'no', 'SSKZ', '', 'QRE', ''),
	('SJIV', 'small_airport', 'São João Airport', -29.08468, -56.212892, 269, 'BR', 'BR-RS', 'Maçambará', 'no', '', '', '', 'SJIV'),
	('SBWC', 'N/A', 'N/A', -29.802994318306446, -53.41647058725357, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSKS', 'small_airport', 'Cachoeira do Sul Airport', -30.00189971923828, -52.940799713134766, 253, 'BR', 'BR-RS', 'Cachoeira Do Sul', 'no', 'SSKS', 'QDB', 'SSKS', ''),
	('SSCQ', 'small_airport', 'Salcã Airport', -29.900249, -54.929386, 285, 'BR', 'BR-RS', 'Cacequi', 'no', 'SSCQ', '', 'RS9001', ''),
	('SJHK', 'small_airport', 'Música Airport', -30.934636, -55.081844, 394, 'BR', 'BR-RS', 'Dom Pedrito', 'no', '', '', '', 'SJHK'),
	('SBWB', 'N/A', 'N/A', -29.730855971574783, -53.39080184698105, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSBO', 'small_airport', 'Palmares Airport', -28.722221374512, -54.89083480835, 787, 'BR', 'BR-RS', 'Bossoroca', 'no', '', '', '', 'SSBO'),
	('SSLI', 'small_airport', 'Estância Portal do Sol Airport', -22.165278, -47.892778, 2425, 'BR', 'BR-SP', 'Itirapina', 'no', '', '', '', 'SSLI'),
	('SUTR', 'small_airport', 'Treinta y Tres Airport', -33.195714, -54.347246, 337, 'UY', 'UY-TT', 'Treinta y Tres', 'no', 'SUTR', 'TYT', '', ''),
	('SUFT', 'small_airport', 'Frigorifico Tacuarembó Airport', -31.703611, -55.943056, 490, 'UY', 'UY-TA', 'Tacuarembó', 'no', 'SUFT', '', '', ''),
	('SBHY', 'N/A', 'N/A', -31.26064784824848, -54.73353177309036, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SURV', 'small_airport', 'Presidente General Don Oscar D. Gestido International Airport', -30.9746, -55.4762, 712, 'UY', 'UY-RV', 'Rivera', 'no', 'SURV', 'RVY', '', ''),
	('SJEN', 'small_airport', 'Plá e Silva Airport', -33.142894, -52.977319, 10, 'BR', 'BR-RS', 'Santa Vitória do Palmar', 'no', 'SJEN', '', 'RS0076', ''),
	('SIAP', 'small_airport', 'Roso Airport', -31.73442, -54.089186, 541, 'BR', 'BR-RS', 'Aceguá', 'no', 'SWNW', '', 'RS0128', 'SIAP, Ana Paula Airport, Roso Par'),
	('SURI', 'N/A', 'N/A', -30.95223605632782, -55.53529009222984, 226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SUSG', 'small_airport', 'San Gregorio Airport', -32.526501, -55.841636, 371, 'UY', 'UY-TA', 'Cerro Chato', 'no', 'SUSG', '', '', ''),
	('SUYI', 'small_airport', 'Sarandí del Yí Airport', -33.311667, -55.600278, 460, 'UY', 'UY-DU', 'Sarandi del Yí', 'no', 'SUYI', '', '', ''),
	('SSJR', 'small_airport', 'Jaguarão Airport', -32.540557861328, -53.384166717529, 66, 'BR', 'BR-RS', 'Jaguarão', 'no', '', '', '', 'SSJR'),
	('SURB', 'small_airport', 'Rio Branco Airport', -32.583057, -53.454166, 55, 'UY', 'UY-CL', 'Jaguarao', 'no', 'SURB', '', '', ''),
	('SUTB', 'small_airport', 'Tacuarembo Airport', -31.749001, -55.925801, 440, 'UY', 'UY-TA', 'Tacuarembo', 'no', 'SUTB', 'TAW', '', ''),
	('SUCH', 'small_airport', 'Chuy Airport', -33.71085, -53.471334, 59, 'UY', 'UY-RO', 'Chuy', 'no', 'SUCH', '', '', ''),
	('SUMO', 'small_airport', 'Cerro Largo International Airport', -32.337898, -54.216702, 364, 'UY', 'UY-CL', 'Melo', 'no', 'SUMO', 'MLZ', '', ''),
	('SUMN', 'N/A', 'N/A', -31.868796832859516, -55.498686879873276, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSIO', 'small_airport', 'Candiota Airport', -31.494167327881, -53.69083404541, 741, 'BR', 'BR-RS', 'Candiota', 'no', '', '', '', 'SSIO'),
	('SUJP', 'small_airport', 'José Pedro Varela Airport', -33.4753, -54.539702, 316, 'UY', 'UY-LA', 'José Pedro Varela', 'no', 'SUJP', '', '', ''),
	('SUVE', 'small_airport', 'SAMAN Vergara Airport', -32.960353, -53.930913, 102, 'UY', 'UY-TT', 'Vergara', 'no', 'SUVE', '', '', 'SAMAN Vergara Rice Plant'),
	('SUTA', 'N/A', 'N/A', -31.72207798808813, -55.95505401492119, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSVP', 'small_airport', 'Santa Vitória do Palmar Airport', -33.502038, -53.344911, 82, 'BR', 'BR-RS', 'Santa Vitória do Palmar', 'no', '', 'CTQ', 'RS0047', 'SSVP'),
	('SSCE', 'small_airport', 'Aeroclube de Bagé', -31.327778, -54.134724, 728, 'BR', 'BR-RS', 'Bagé', 'no', 'SIBK', '', 'RS0058', 'SSCE'),
	('SSAE', 'small_airport', 'Arroio Grande Airport', -32.229154, -53.055544, 161, 'BR', 'BR-RS', 'Arroio Grande', 'no', 'SSAE', '', 'RS0040', ''),
	('SBBG', 'medium_airport', 'Comandante Gustavo Kraemer Airport', -31.390499, -54.112202, 600, 'BR', 'BR-RS', 'Bagé', 'no', 'SBBG', 'BGX', 'RS0010', ''),
	('SWAJ', 'small_airport', 'Viatec Aviação Agrícola Airport', -33.215966, -53.266308, 92, 'BR', 'BR-RS', 'Santa Vitória do Palmar', 'no', 'SWAJ', '', 'RS0101', 'Salso Airport'),
	('SUMA', 'N/A', 'N/A', -31.868965476751328, -55.49161434173584, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJXA', 'small_airport', 'Aeromis Airport', -31.292221069336, -54.156112670898, 886, 'BR', 'BR-RS', 'Bagé', 'no', '', '', '', 'SJXA'),
	('SUAC', 'N/A', 'N/A', -31.804926060140133, -54.263901114463806, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUMI', 'small_airport', 'Minas Municipal Airfield', -34.345455, -55.227522, 458, 'UY', 'UY-LA', 'Minas', 'no', 'SUMI', '', '', ''),
	('SUFL', 'N/A', 'N/A', -34.084600545465946, -56.18659391999245, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUGA', 'small_airport', 'Military Aeronautical School', -34.7469, -55.961, 38, 'UY', 'UY-CA', 'Pando', 'no', 'SUGA', '', '', ''),
	('SUCL', 'small_airport', 'La Calera Airport', -34.286766, -55.354757, 501, 'UY', 'UY-LA', 'Minas', 'no', 'SUCL', '', '', ''),
	('SURO', 'N/A', 'N/A', -34.478641860187054, -54.28209453821182, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SULP', 'N/A', 'N/A', -34.6673272177577, -54.30592551827431, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUBL', 'small_airport', 'Captain Juan Manuel Boiso Lanza Air Base', -34.811533, -56.164317, 131, 'UY', 'UY-MO', 'Montevideo', 'no', 'SUBL', '', '', ''),
	('SULS', 'medium_airport', 'Capitan Corbeta CA Curbelo International Airport', -34.855099, -55.094299, 95, 'UY', 'UY-MA', 'Punta del Este', 'yes', 'SULS', 'PDP', '', ''),
	('SULA', 'N/A', 'N/A', -33.75504322350025, -54.148955047130585, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SUMU', 'large_airport', 'Carrasco General Cesáreo L. Berisso International Airport', -34.835647, -56.026497, 105, 'UY', 'UY-CA', 'Ciudad de la Costa', 'yes', 'SUMU', 'MVD', '', 'Montevideo'),
	('SUPE', 'small_airport', 'El Jagüel / Punta del Este Airport', -34.909716, -54.920212, 66, 'UY', 'UY-MA', 'Maldonado', 'yes', 'SUPE', '', '', ''),
	('SSKJ', 'small_airport', 'Fazenda Mestiça Airport', -24.30998, -51.408742, 1575, 'BR', 'BR-PR', 'Rio Branco Do Ivaí', 'no', '', '', '', 'SSKJ'),
	('SSZN', 'small_airport', 'Prudentópolis Airport', -25.182639, -50.923443, 2510, 'BR', 'BR-PR', 'Prudentópolis', 'no', 'SJ96', '', 'PR0238', 'SSZN'),
	('SIGT', 'small_airport', 'Fazenda Goiabeira Airport', -23.989445, -49.179169, 2260, 'BR', 'BR-SP', 'Itaberá', 'no', 'SIGT', '', 'SP0177', ''),
	('SDYW', 'small_airport', 'Aeroclube de Itapeva Airport', -23.941345, -48.881775, 2313, 'BR', 'BR-SP', 'Itapeva', 'no', 'SDH4', '', 'SP0062', 'SDYW'),
	('SWES', 'closed', 'ESAT Aerotáxi Heliport', -15.791, -47.8948, 3678, 'BR', 'BR-DF', 'Brasília', 'no', '', '', '', 'SWES'),
	('SSWV', 'small_airport', 'Fazenda Barra Grande Airport', -23.589072, -50.036105, 1772, 'BR', 'BR-PR', 'Tomazinha', 'no', 'SDXO', '', 'PR0041', 'SSWV'),
	('SDJG', 'small_airport', 'Fazenda Ponte Preta Airport', -22.73013, -49.478916, 1689, 'BR', 'BR-SP', 'Santa Cruz do Rio Pardo', 'no', '', '', '', 'SDJG'),
	('SSWK', 'small_airport', 'Guaiacuruzinho Airport', -23.029883, -50.493068, 1148, 'BR', 'BR-PR', 'Santa Mariana', 'no', '', '', '', 'SSWK'),
	('SSZW', 'medium_airport', 'Ponta Grossa Airport - Comandante Antonio Amilton Beraldo', -25.184476, -50.143822, 2588, 'BR', 'BR-PR', 'Ponta Grossa', 'yes', 'SBPG', 'PGZ', 'PR0012', 'SSZW, Sant''ana Airport'),
	('SDOU', 'small_airport', 'Jornalista Benedito Pimentel Airport', -22.966598, -49.912049, 1516, 'BR', 'BR-SP', 'Ourinhos', 'no', 'SDOU', 'OUS', 'SP0023', ''),
	('SDCB', 'closed', 'Refinaria Presidente Bernardes Heliport', -23.887777, -46.427776, 23, 'BR', 'BR-SP', 'Cubatão', 'no', '', '', '', 'SDCB'),
	('SDDB', 'small_airport', 'Paradiso Agropecuária Airport', -22.617649, -50.09019, 1703, 'BR', 'BR-SP', 'Campos Novos Paulista', 'no', 'SSNZ', '', 'SP0877', 'SDDB, Maggi Agropecuária'),
	('SSOK', 'small_airport', '14 Bis Airport', -23.214167, -51.185833, 1932, 'BR', 'BR-PR', 'Londrina', 'no', 'SSOK', '', '', ''),
	('SDGT', 'small_airport', 'Fazenda Cristal Airport', -22.525001, -50.045832, 1895, 'BR', 'BR-SP', 'Campos Novos Paulista', 'no', '', '', '', 'SDGT, Fazenda Alvorada'),
	('SICP', 'small_airport', 'Associação Aeroclube de Faxinal Airport', -23.972223, -51.327891, 2779, 'BR', 'BR-PR', 'Faxinal', 'no', 'SJP8', '', 'PR0240', 'SICP, Doutor Walter Beckert'),
	('SSHL', 'small_airport', 'Fazenda Jussara Airport', -23.575000762939453, -52.40833282470703, 1213, 'BR', 'BR-PR', 'Jussara', 'no', 'SSHL', '', '', ''),
	('SSPK', 'small_airport', 'Porecatu Airport', -22.775684, -51.363602, 1424, 'BR', 'BR-PR', 'Porecatu', 'no', '', '', '', 'SSPK, SWPU'),
	('SSMP', 'small_airport', 'Fazenda Três Minas Airport', -23.673252, -52.01039, 1368, 'BR', 'BR-PR', 'Itambé', 'no', 'SJ4K', '', 'PR0085', 'SSMP'),
	('SDKG', 'small_airport', 'Fazenda Gávea Airport', -23.225, -49.179169, 2031, 'BR', 'BR-SP', 'Cerqueira César', 'no', 'SSQK', '', 'SSQK', 'SDKG'),
	('SDPP', 'small_airport', 'Fazenda Fortaleza Airport', -23.293101, -48.815346, 1952, 'BR', 'BR-SP', 'Paranapanema', 'no', '', '', 'SP0134', 'SDPP');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SDQH', 'small_airport', 'Fazenda da Ilha Airport', -24.64999961853, -50.362499237061, 2812, 'BR', 'BR-PR', 'Tibagi', 'no', '', '', '', 'SDQH'),
	('SSOG', 'small_airport', 'Arapongas Airport', -23.352636, -51.491967, 2599, 'BR', 'BR-PR', 'Arapongas', 'no', 'SSOG', 'APX', 'PR0027', ''),
	('SSQC', 'small_airport', 'Siqueira Campos Airport', -23.67462, -49.815582, 2313, 'BR', 'BR-PR', 'Siqueira Campos', 'no', 'SSQC', '', 'PR0029', ''),
	('SBKT', 'N/A', 'N/A', -22.707358561456203, -50.45018255710602, 541, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIFE', 'small_airport', 'Fazenda Dinorá Airport', -23.416389465332, -50.600833892822, 2100, 'BR', 'BR-PR', 'Nova Fátima', 'no', '', '', '', 'SIFE'),
	('SJUL', 'small_airport', 'Fazenda Rio Pardo Airport', -22.877777099609375, -49.037776947021484, 2257, 'BR', 'BR-SP', 'Iaras', 'no', 'SJUL', '', '', ''),
	('SSSZ', 'small_airport', 'Sertanópolis Airport', -23.06220054626465, -51.01390075683594, 1181, 'BR', 'BR-PR', 'Sertanópolis', 'no', 'SSSZ', '', '', ''),
	('SIAR', 'small_airport', 'Fazenda Bom Retiro Airport', -22.799168, -50.046112, 1617, 'BR', 'BR-SP', 'Ibirarema', 'no', '', '', '', 'SIAR'),
	('SDGP', 'small_airport', 'Hotel Fazenda Capricho Airport', -23.221801, -48.790794, 2099, 'BR', 'BR-SP', 'Avaré', 'no', '', '', '', 'SDGP'),
	('SSKM', 'small_airport', 'Campo Mourão Airport', -24.009199, -52.3568, 1883, 'BR', 'BR-PR', 'Campo Mourão', 'no', 'SSKM', 'CBW', 'PR0017', 'Geraldo Guias de Aquino'),
	('SJBW', 'small_airport', 'Fazenda Barbacena Airport', -23.839443206787, -51.902778625488, 1247, 'BR', 'BR-PR', 'São Pedro Do Ivaí', 'no', '', '', '', 'SJBW'),
	('SIDY', 'small_airport', 'Fazenda Yanduy Airport', -24.07771, -51.819447, 985, 'BR', 'BR-PR', 'Lunardelle', 'no', 'SIDY', '', 'PR0043', ''),
	('SSAP', 'small_airport', 'Captain João Busse Airport', -23.609099, -51.384301, 2625, 'BR', 'BR-PR', 'Apucarana', 'no', 'SSAP', 'APU', 'PR0014', ''),
	('SWAM', 'small_airport', 'Fazenda Agropecuária Gomes Airport', -23.64966, -49.151692, 2165, 'BR', 'BR-SP', 'Taquarituba', 'no', 'SWAM', '', 'SP0269', ''),
	('SSAB', 'small_airport', 'Moisés Lupion Airport', -23.762199, -50.263, 1968, 'BR', 'BR-PR', 'Ibaiti', 'no', 'SSAB', '', 'PR0024', ''),
	('SSJP', 'small_airport', 'Fazenda Junqueira Airport', -22.895000457763672, -51.929168701171875, 1427, 'BR', 'BR-PR', 'Colorado', 'no', 'SSJP', '', 'SSJP', ''),
	('SBLC', 'N/A', 'N/A', -23.79043858498335, -49.02653843164444, 648, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDQX', 'small_airport', 'Fazenda Esperança Airport', -23.867778, -48.805278, 2267, 'BR', 'BR-SP', 'Itapeva', 'no', 'SIHP', '', 'SP0179', 'SDQX'),
	('SSCP', 'small_airport', 'Cornélio Procópio Airport', -23.152711, -50.602868, 1860, 'BR', 'BR-PR', 'Cornélio Procópio', 'no', 'SSCP', 'CKO', 'PR0015', ''),
	('SSHN', 'small_airport', 'Recanto das Águias Airport', -23.2450008392334, -51.87555694580078, 1637, 'BR', 'BR-PR', 'Iguaraçu', 'no', 'SSHN', '', '', ''),
	('SBFB', 'N/A', 'N/A', -23.717502616345882, -51.116271167993546, 787, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBMR', 'N/A', 'N/A', -24.529584646224976, -51.65156453847885, 878, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDID', 'small_airport', 'Itararé Airport', -24.135278701782, -49.32833480835, 2598, 'BR', 'BR-SP', 'Itararé', 'no', '', '', '', 'SDID'),
	('SDCL', 'small_airport', 'Fazenda Campo Alegre Airport', -23.154167, -49.208889, 2182, 'BR', 'BR-SP', 'Cerqueira César', 'no', 'SDCL', '', 'SP0083', ''),
	('SSVF', 'small_airport', 'Rancho Donana Airport', -22.960646, -49.149356, 2257, 'BR', 'BR-SP', 'Cerqueira César', 'no', '', '', '', 'SSVF'),
	('SSBR', 'small_airport', 'Bandeirantes Airport', -23.072799682617188, -50.423099517822266, 1319, 'BR', 'BR-PR', 'Bandeirantes', 'no', 'SSBR', '', '', ''),
	('SWHU', 'small_airport', 'Fazenda Izaura - Usina Cocal Airport', -22.506667, -50.865278, 1542, 'BR', 'BR-SP', 'Racharia', 'no', 'SWHU', '', 'SWHU', ''),
	('SSFG', 'small_airport', 'Fazenda Guanabara Airport', -22.661462, -52.142143, 1010, 'BR', 'BR-PR', 'Paranapoema', 'no', 'SSXG', '', 'PR0093', 'SSFG'),
	('SSXA', 'small_airport', 'Fazenda Congonhas Airport', -23.038610458374023, -50.934444427490234, 1526, 'BR', 'BR-PR', 'Rancho Alegre', 'no', 'SSXA', '', '', ''),
	('SBMG', 'medium_airport', 'Regional de Maringá - Sílvio Name Júnior Airport', -23.47606, -52.016187, 1801, 'BR', 'BR-PR', 'Maringá', 'yes', 'SBMG', 'MGF', 'PR0004', 'SBMH.'),
	('SBWN', 'N/A', 'N/A', -23.567734770476818, -48.85761022567749, 707, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDUR', 'small_airport', 'Iberá Airport', -25.051944732666, -50.19083404541, 2937, 'BR', 'BR-PR', 'Ponta Grossa', 'no', '', '', '', 'SDUR'),
	('SBLO', 'medium_airport', 'Governador José Richa Airport', -23.333599, -51.1301, 1867, 'BR', 'BR-PR', 'Londrina', 'yes', 'SBLO', 'LDB', 'PR0003', 'Londrina Airport'),
	('SDLV', 'small_airport', 'Fazenda São Francisco Airport', -22.920833587646484, -51.35194396972656, 1581, 'BR', 'BR-PR', 'Florestópolis', 'no', 'SDLV', '', '', ''),
	('SDRR', 'small_airport', 'Avaré-Arandu Airport', -23.092501, -48.987401, 2657, 'BR', 'BR-SP', 'Avaré', 'no', 'SDRR', '', 'SDRR', 'Comte. Luiz Gonzaga Luth Regional Airport, QVP'),
	('SDTE', 'small_airport', 'Fazenda Tapijara Airport', -23.219999313354492, -49.07590103149414, 1929, 'BR', 'BR-SP', 'Arandu', 'no', 'SDTE', '', 'SDTE', ''),
	('SNAX', 'small_airport', 'Marcelo Pires Halzhausen Airport', -22.638601, -50.455983, 1850, 'BR', 'BR-SP', 'Assis', 'no', 'SNAX', 'AIF', 'SP0016', 'SBAS, Assis Airport'),
	('SSZS', 'small_airport', 'Centenário do Sul Municipal Airport', -22.830515, -51.6036, 1591, 'BR', 'BR-PR', 'Centenário do Sul', 'no', '', '', '', 'SSZS'),
	('SDYN', 'small_airport', 'Fazenda Esmeralda Airport', -22.58888816833496, -51.29888916015625, 1365, 'BR', 'BR-SP', 'Taciba', 'no', 'SDYN', '', '', ''),
	('SBWO', 'N/A', 'N/A', -23.447191268205643, -48.86651158332825, 667, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSXO', 'small_airport', 'Pousada das Águias Airport', -23.288888931274414, -52.12916564941406, 1932, 'BR', 'BR-PR', 'Presidente Castelo Branco', 'no', 'SSXO', '', '', ''),
	('SDUZ', 'small_airport', 'Usina São Luiz Airport', -22.947486, -49.764333, 1608, 'BR', 'BR-SP', 'Ourinhos', 'no', 'SNZL', '', 'SP0242', 'SDUZ'),
	('SJWN', 'small_airport', 'Fazenda Santa Dulcina Airport', -23.56246, -49.257689, 2083, 'BR', 'BR-SP', 'Taquarituba', 'no', 'SN8Y', '', 'SP1447', 'SJWN'),
	('SSHC', 'small_airport', 'Capitão Pedro Paranhos Airport', -23.429444, -50.167778, 1447, 'BR', 'BR-PR', 'Guapirama', 'no', '', '', '', 'SSHC'),
	('SJTI', 'small_airport', 'Fazenda Iapó Airport', -24.527778625488, -50.365833282471, 2700, 'BR', 'BR-PR', 'Tibagi', 'no', '', '', '', 'SJTI'),
	('SICN', 'small_airport', 'Fazenda Vista Bonita Airport', -22.506518, -51.816696, 1348, 'BR', 'BR-SP', 'Sandovalina', 'no', 'SICN', '', 'SP0173', ''),
	('SJTL', 'small_airport', 'Aero Agrícola Gaivota Airport', -22.97861099243164, -51.54861068725586, 1821, 'BR', 'BR-PR', 'Jaguapitã', 'no', 'SJTL', '', '', ''),
	('SDLP', 'small_airport', 'José Boso Municipal Airport', -22.5784, -48.774601, 2039, 'BR', 'BR-SP', 'Lençóis Paulista', 'no', 'SDLP', '', 'SP0034', 'QGC'),
	('SSZT', 'small_airport', 'Fazenda São João Airport', -22.794166564941406, -49.34111022949219, 2146, 'BR', 'BR-SP', 'Águas De Santa Bárbara', 'no', 'SSZT', '', '', ''),
	('SSAN', 'small_airport', 'Andirá Airport', -23.027335, -50.2271, 1608, 'BR', 'BR-PR', 'Andirá', 'no', 'SSAN', '', 'PR0032', 'João Galdino'),
	('SSFM', 'small_airport', 'Fazenda Marimbondo Airport', -23.54235, -50.096283, 1526, 'BR', 'BR-PR', 'Conselheiro Mairinck', 'no', '', '', '', 'SSFM');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SSUW', 'small_airport', 'Fazenda Palmeiras Airport', -22.775956, -51.505539, 1470, 'BR', 'BR-PR', 'Centenário do Sul', 'no', 'SSUW', '', 'PR0092', ''),
	('SSOC', 'small_airport', 'Fazenda Sans Souci - Sede Airport', -19.033333, -56.950001, 305, 'BR', 'BR-MS', 'Corumbá', 'no', '', '', '', 'SSOC'),
	('SILL', 'heliport', 'Gália Heliport', -23.576944351196, -46.703887939453, 2517, 'BR', 'BR-SP', 'São Paulo', 'no', '', '', '', 'SILL'),
	('SBLL', 'N/A', 'N/A', -23.78739394247532, -48.959101885557175, 681, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBTL', 'medium_airport', 'Telêmaco Borba Airport', -24.317801, -50.6516, 2610, 'BR', 'BR-PR', 'Telêmaco Borba', 'no', 'SSVL', 'TEC', 'PR0007', 'SBTL'),
	('SSFX', 'small_airport', 'Fazenda Primavera Airport', -23.45713, -50.580087, 2239, 'BR', 'BR-PR', 'Nova Fátima', 'no', 'SSFX', '', 'PR0076', ''),
	('SBFX', 'N/A', 'N/A', -24.263524934649467, -51.63931891322136, 661, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSYA', 'small_airport', 'Avelino Vieira Airport', -24.103901, -49.789101, 2641, 'BR', 'BR-PR', 'Arapoti', 'no', '', 'AAG', 'PR0020', 'SSYA'),
	('SD8T', 'small_airport', 'Fazenda Araras Airstrip', -23.309444, -49.0725, 2165, 'BR', 'BR-SP', 'Itaí', 'no', 'SD8T', '', 'SP1279', ''),
	('SSPI', 'small_airport', 'Paranavaí Airport', -23.089899, -52.488499, 1526, 'BR', 'BR-PR', 'Paranavaí', 'no', 'SSPI', 'PVI', 'SSPI', ''),
	('SSQT', 'small_airport', 'Castro Airport', -24.807723, -49.959651, 3314, 'BR', 'BR-PR', 'Castro', 'no', 'SSQT', '', 'PR0013', 'QAC, Major Neodo S. Pereira'),
	('SBFA', 'N/A', 'N/A', -23.270303271710873, -49.54642295837402, 849, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSRN', 'small_airport', 'Aeroclube de Rio Negrinho Airport', -26.321385, -49.521372, 3025, 'BR', 'BR-SC', 'Rio Negrinho', 'no', 'SILN', '', 'SC0028', 'SSRN'),
	('SSPS', 'small_airport', 'Palmas Airport', -26.472000122070313, -51.97589874267578, 3609, 'BR', 'BR-PR', 'Palmas', 'no', 'SSPS', '', 'SSPS', ''),
	('SSGG', 'small_airport', 'Fazenda Jacaré de Chifre Airport', -21.027779, -57.498422, 381, 'BR', 'BR-MS', 'Porto Murtinho', 'no', '', '', '', 'SSGG'),
	('SSTJ', 'small_airport', 'Walter Ewaldo Siegel Airport', -27.3491668701, -49.818611145, 1322, 'BR', 'BR-SC', 'Trombudo Central', 'no', 'SSTJ', '', '', ''),
	('SWJA', 'small_airport', 'Fazenda Juína Airport', -11.642778396606445, -59.087501525878906, 1100, 'BR', 'BR-MT', 'Juína', 'no', 'SWJA', '', '', ''),
	('SBCD', 'small_airport', 'Caçador Airport', -26.787423, -50.939942, 3376, 'BR', 'BR-SC', 'Caçador', 'yes', 'SBCD', 'CFC', 'SC0006', 'Carlos Alberto da Costa Neves Airport'),
	('SJIO', 'small_airport', 'Guararapes Airport', -26.991943359375, -50.383056640625, 3609, 'BR', 'BR-SC', 'Santa Cecília', 'no', '', '', '', 'SJIO'),
	('SSCF', 'small_airport', 'Max Fontoura Airport', -25.426398, -49.524194, 3140, 'BR', 'BR-PR', 'Campo Largo', 'no', 'SSCF', '', 'PR0072', ''),
	('SBKS', 'N/A', 'N/A', -27.634177543222904, -50.3583262860775, 861, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBJV', 'medium_airport', 'Lauro Carneiro de Loyola Airport', -26.224501, -48.797401, 15, 'BR', 'BR-SC', 'Joinville', 'yes', 'SBJV', 'JOI', 'SC0004', ''),
	('SIJN', 'small_airport', 'Pouso na Serra Airport', -27.863333, -49.578333, 2881, 'BR', 'BR-SC', 'Bom Retiro', 'no', 'SIJN', '', 'SC0026', ''),
	('SSTB', 'small_airport', 'Três Barras Airport', -26.135799, -50.310902, 2559, 'BR', 'BR-SC', 'Três Barras', 'no', 'SSTB', '', 'SSTB', ''),
	('SIJY', 'small_airport', 'Campo Comandantes Airport', -26.983055, -48.816387, 33, 'BR', 'BR-SC', 'Itajaí', 'no', 'SIJY', 'ITJ', 'SC0027', 'ITJ, Itajaí/Campo Comandantes'),
	('SSUV', 'small_airport', 'União da Vitória Airport', -26.233224, -51.066754, 2467, 'BR', 'BR-PR', 'União da Vitória', 'yes', 'SSUV', 'UVI', 'PR0034', 'José Cleto, QVB'),
	('SSKU', 'small_airport', 'Curitibanos Airport', -27.286827, -50.604832, 3209, 'BR', 'BR-SC', 'Curitibanos', 'no', 'SSKU', '', 'SC0016', 'QCR'),
	('SSRS', 'small_airport', 'Rancho Sumidor Airport', -27.19232, -49.832029, 1476, 'BR', 'BR-SC', 'Pouso Redondo', 'no', 'SNZB', '', 'SC0036', 'SSRS'),
	('SSPJ', 'closed', 'Fazenda Reserva Airport', -25.849569, -52.014685, 3438, 'BR', 'BR-PR', 'Reserva Do Iguaçu', 'no', '', '', '', 'SSPJ'),
	('SSVI', 'small_airport', 'Videira Airport', -26.999701, -51.141899, 2766, 'BR', 'BR-SC', 'Videira', 'no', 'SSVI', 'VIA', 'SC0011', ''),
	('SDA6', 'small_airport', 'Porto Airstrip', -26.267222, -51.028889, 2464, 'BR', 'BR-SC', 'Porto União', 'no', 'SDA6', '', 'SC0184', ''),
	('SINZ', 'small_airport', 'Xanadu Airport', -25.438527, -50.527904, 2796, 'BR', 'BR-PR', 'Fernandes Pinheiro', 'no', 'SINZ', '', 'PR0050', ''),
	('SSGV', 'heliport', 'Sorocred Heliport', -23.556667, -47.477778, 2080, 'BR', 'BR-SP', 'Votorantim', 'no', 'SSGV', '', '', ''),
	('SJHN', 'small_airport', 'Fazenda Belluno Airport', -27.824879, -49.236475, 3445, 'BR', 'BR-SC', 'Alfredo Wagner', 'no', '', '', '', 'SJHN'),
	('SSJA', 'small_airport', 'Santa Terezinha Airport', -27.171514, -51.553327, 2546, 'BR', 'BR-SC', 'Joaçaba', 'no', 'SSJA', 'JCB', 'SC0014', ''),
	('SBKX', 'N/A', 'N/A', -26.44459370523691, -49.1638608276844, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBLJ', 'medium_airport', 'Lages Airport', -27.782101, -50.281502, 3065, 'BR', 'BR-SC', 'Lages', 'yes', 'SBLJ', 'LAJ', 'SC0007', 'Antônio Correia Pinto de Macedo Airport, Guarujá Federal Airport'),
	('SSFA', 'small_airport', 'Foz do Areia Airport', -25.981501, -51.640701, 3701, 'BR', 'BR-PR', 'Pinhão', 'no', 'SSFA', '', 'PR0074', ''),
	('SBLK', 'N/A', 'N/A', -26.305966079235077, -48.93477603793144, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBDP', 'N/A', 'N/A', -25.549244843423367, -49.64357256889343, 890, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBKZ', 'N/A', 'N/A', -25.388930551707745, -49.40929859876633, 1017, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSBL', 'small_airport', 'Blumenau Airport', -26.831661, -49.093569, 60, 'BR', 'BR-SC', 'Blumenau', 'no', 'SSBL', 'BNU', 'SC0019', ''),
	('SISY', 'small_airport', 'Piraquara Airport', -25.450986, -49.1422, 3212, 'BR', 'BR-PR', 'Piraquara', 'no', 'SISY', '', 'PR0052', ''),
	('SNNM', 'small_airport', 'Entre Rios - Vitória Airport', -25.566110610961914, -51.496665954589844, 3602, 'BR', 'BR-PR', 'Guarapuava', 'no', 'SNNM', '', '', ''),
	('SBBI', 'medium_airport', 'Bacacheri Airport', -25.4051, -49.231998, 3057, 'BR', 'BR-PR', 'Curitiba', 'no', 'SBBI', 'BFH', 'PR0006', ''),
	('SSXX', 'small_airport', 'Xanxerê Airport', -26.875067, -52.372862, 2986, 'BR', 'BR-SC', 'Xanxerê', 'no', 'SSXX', 'AXE', 'SC0017', ''),
	('SIWE', 'small_airport', 'Nelson Pizzani Airport', -27.2127, -50.956501, 3223, 'BR', 'BR-SC', 'Monte Carlo', 'no', 'SIWE', '', 'SC0031', ''),
	('SSCK', 'small_airport', 'Olavo Cecco Rigon Airport', -27.180511, -52.051755, 2461, 'BR', 'BR-SC', 'Concórdia', 'no', 'SSCK', 'CCI', 'SC0010', ''),
	('SSER', 'small_airport', 'Erechim Airport', -27.663614, -52.271489, 2498, 'BR', 'BR-RS', 'Erechim', 'no', 'SSER', 'ERM', 'RS0018', ''),
	('SNLV', 'small_airport', 'Lavrinhas Airport', -17.735832214355, -43.459442138672, 3478, 'BR', 'BR-MG', 'Lavrinhas', 'no', '', '', '', 'SNLV'),
	('SSLN', 'small_airport', 'Helmuth Baungarten Airport', -27.159999847399998, -49.5424995422, 1095, 'BR', 'BR-SC', 'Lontras', 'no', 'SSLN', 'LOI', 'SSLN', 'Baungartem');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBCT', 'medium_airport', 'Afonso Pena Airport', -25.5285, -49.1758, 2988, 'BR', 'BR-PR', 'Curitiba', 'yes', 'SBCT', 'CWB', 'PR0001', ''),
	('SSUL', 'small_airport', 'Ultraleve Clube Curitiba Airport', -25.4769439697, -49.154167175299996, 3215, 'BR', 'BR-PR', 'São José Dos Pinhais', 'no', 'SSUL', '', '', ''),
	('SSMF', 'small_airport', 'Hugo Werner Airport', -26.160147, -49.832236, 2690, 'BR', 'BR-SC', 'Mafra', 'no', '', '', 'SC0021', 'QMF, SSMF'),
	('SBKR', 'N/A', 'N/A', -27.966863326728344, -50.81103578209877, 977, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SIJR', 'small_airport', 'Ely Rego Airport', -25.539024, -49.60236, 2592, 'BR', 'BR-PR', 'Balsa Nova', 'no', 'SIJR', '', 'PR0045', ''),
	('SSCN', 'small_airport', 'Canela Airport', -29.370091, -50.831729, 2746, 'BR', 'BR-RS', 'Canela', 'yes', 'SSCN', 'CEL', 'RS0019', ''),
	('SDHX', 'small_airport', 'D''Tapes Airport', -30.75022, -51.53543, 131, 'BR', 'BR-RS', 'Tapes', 'no', 'SDHX', '', 'RS0055', ''),
	('SSGA', 'small_airport', 'Garibaldi Airport', -29.269047, -51.531674, 2231, 'BR', 'BR-RS', 'Garibaldi', 'no', 'SSGA', '', 'RS0020', ''),
	('SSEE', 'small_airport', 'Vale do Taquari Regional Airport', -29.453107, -51.934072, 105, 'BR', 'BR-RS', 'Estrela', 'no', 'SSEE', '', 'RS0054', ''),
	('SSBZ', 'closed', 'Aeroclube Airport', -29.676111, -50.981388, 56, 'BR', 'BR-RS', 'Sapiranga', 'no', '', '', '', 'SSBZ, SSBE'),
	('SSJC', 'small_airport', 'Fazenda do Jacuí Airport', -29.983505, -51.301625, 7, 'BR', 'BR-RS', 'Guaíba', 'no', 'SSRJ', '', 'RS0099', 'SSJC'),
	('SBCX', 'medium_airport', 'Hugo Cantergiani Regional Airport', -29.197183, -51.187647, 2472, 'BR', 'BR-RS', 'Caxias Do Sul', 'yes', 'SBCX', 'CXJ', 'RS0007', 'Campo dos Bugres Airport, Caxias do Sul Airport'),
	('SSTD', 'small_airport', 'Fazenda Arco de Canto Airport', -28.550832748413086, -51.59611129760742, 2311, 'BR', 'BR-RS', 'André Da Rocha', 'no', 'SSTD', '', '', ''),
	('SNPV', 'small_airport', 'Solidão Airport', -30.692516, -50.557139, 56, 'BR', 'BR-RS', 'Mostardas', 'no', 'SJZ3', '', 'RS0087', 'SNPV'),
	('SBPA', 'medium_airport', 'Salgado Filho International Airport', -29.994712, -51.166592, 11, 'BR', 'BR-RS', 'Porto Alegre', 'yes', 'SBPA', 'POA', 'RS0001', ''),
	('SSWT', 'small_airport', 'Cambará Airport', -28.999722, -50.076111, 3527, 'BR', 'BR-RS', 'Cambará Do Sul', 'no', '', '', '', ''),
	('SSRY', 'small_airport', 'Rio Pardo Airport', -29.972778320312, -52.361110687256, 230, 'BR', 'BR-RS', 'Rio Pardo', 'no', '', '', '', 'SSRY'),
	('SBJA', 'small_airport', 'Humberto Ghizzo Bortoluzzi Regional Airport', -28.6753, -49.0596, 120, 'BR', 'BR-SC', 'Jaguaruna', 'yes', 'SBJA', 'JJG', 'SC0005', 'Jaguaruna Regional Airport, Aeroporto Regional Sul'),
	('SBRW', 'N/A', 'N/A', -30.2267025411129, -50.42373687028885, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SJGF', 'small_airport', 'Nova Era Airport', -30.21298, -52.442014, 164, 'BR', 'BR-RS', 'Pântano Grande', 'no', 'SNIN', '', 'RS0084', 'SJGF'),
	('SSMK', 'small_airport', 'El Dorado Airport', -30.073333740234375, -51.40972137451172, 20, 'BR', 'BR-RS', 'Eldorado Do Sul', 'no', 'SSMK', '', '', ''),
	('SBGQ', 'N/A', 'N/A', -29.975549541413784, -51.62014156579971, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSVN', 'small_airport', 'Veranópolis Airport', -28.935407, -51.568067, 2218, 'BR', 'BR-RS', 'Veranópolis', 'no', 'SSVN', '', 'RS0030', ''),
	('SSCV', 'N/A', 'N/A', -30.134602524340153, -50.51105573773384, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GCV', 'small_airport', 'Gravatai Airport', -29.9494, -50.98505, 25, 'BR', 'BR-RS', 'Gravatai', 'no', '', 'GCV', '', 'Gravatahy'),
	('SIXE', 'small_airport', 'Aeroclube de Eldorado do Sul Airport', -30.050278, -51.443611, 33, 'BR', 'BR-RS', 'Eldorado Do Sul', 'no', 'SIXE', '', 'RS0072', ''),
	('SJZA', 'closed', 'Capão Alto Airport', -30.67639, -51.525276, 107, 'BR', 'BR-RS', 'Tapes', 'no', '', '', '', 'SJZA'),
	('SSAU', 'small_airport', 'Centeno Airport', -30.745976, -51.430526, 43, 'BR', 'BR-RS', 'Tapes', 'no', 'SSAU', '', 'RS0090', ''),
	('SBTR', 'small_airport', 'Torres Airport', -29.4149, -49.810001, 30, 'BR', 'BR-RS', 'Torres', 'no', 'SSTE', 'TSQ', 'RS0011', 'SBTR'),
	('SIQI', 'small_airport', 'Aerolis Airport', -30.536381, -50.467404, 20, 'BR', 'BR-RS', 'Mostardas', 'no', 'SIQI', '', 'RS0066', 'Aeroagricola Lisboa, Palmares do Sul'),
	('SSOS', 'small_airport', 'Osório Airport', -29.902286, -50.249191, 56, 'BR', 'BR-RS', 'Osório', 'no', 'SSOS', '', 'RS0042', ''),
	('SSBG', 'small_airport', 'Aeroclube de Bento Gonçalves Airport', -29.147424, -51.540791, 2209, 'BR', 'BR-RS', 'Bento Gonçalves', 'no', 'SSBG', 'BGV', 'RS0091', ''),
	('SSLA', 'closed', 'Laguna-Anita Garibaldi Airport', -28.389, -48.754051, 20, 'BR', 'BR-SC', 'Laguna', 'no', '', '', '', 'SSLA, SC0008'),
	('SSGI', 'small_airport', 'Astral Airport', -30.060277938843, -51.4375, 33, 'BR', 'BR-RS', 'Eldorado Do Sul', 'no', '', '', '', 'SSGI'),
	('SIEZ', 'small_airport', 'Fazenda Pedra Branca Airport', -24.624166488647, -50.459167480469, 2953, 'BR', 'BR-PR', 'Tibagi', 'no', '', '', '', 'SIEZ'),
	('SNEE', 'small_airport', 'Vacaria Airport', -28.43248, -51.023322, 2999, 'BR', 'BR-RS', 'Vacaria', 'yes', 'SNEE', 'VCC', 'RS0004', ''),
	('SSCX', 'small_airport', 'Fazenda Coxilha Airport', -28.095087, -52.335746, 2133, 'BR', 'BR-RS', 'Passo Fundo', 'no', 'SSCX', '', 'RS0093', ''),
	('SSKK', 'small_airport', 'Capão da Canoa Airport', -29.763611, -50.036945, 33, 'BR', 'BR-RS', 'Capão Da Canoa', 'no', 'SSKK', '', 'RS0052', ''),
	('SSBN', 'small_airport', 'Belém Novo Airport', -30.188978, -51.182148, 16, 'BR', 'BR-RS', 'Porto Alegre', 'no', 'SSBN', '', 'RS0002', ''),
	('SSSC', 'small_airport', 'Santa Cruz do Sul Airport', -29.684099, -52.412201, 646, 'BR', 'BR-RS', 'Santa Cruz Do Sul', 'no', 'SSSC', 'CSU', 'SSSC', ''),
	('SSGR', 'small_airport', 'Guaporé Airport', -28.894699, -51.855301, 1558, 'BR', 'BR-RS', 'Guaporé', 'no', '', '', 'RS0033', 'SSGR'),
	('SSNG', 'small_airport', 'Montenegro Airport', -29.71940040588379, -51.48939895629883, 125, 'BR', 'BR-RS', 'Montenegro', 'no', 'SSNG', 'QGF', '', ''),
	('SBPF', 'medium_airport', 'Lauro Kurtz Airport', -28.243976, -52.32777, 2380, 'BR', 'BR-RS', 'Passo Fundo', 'yes', 'SBPF', 'PFB', 'RS0006', ''),
	('SSBJ', 'closed', 'Bom Jesus Airport', -28.605654, -50.451363, 3514, 'BR', 'BR-RS', 'Bom Jesus', 'no', '', '', '', 'SSBJ, RS0016'),
	('SSIU', 'small_airport', 'Sítio Enel Airport', -30.137259, -52.365496, 223, 'BR', 'BR-RS', 'Pântano Grande', 'no', 'SDX6', '', 'RS0176', 'SSIU'),
	('SBCO', 'medium_airport', 'Canoas Air Force Base', -29.945928, -51.144413, 26, 'BR', 'BR-RS', 'Porto Alegre', 'no', 'SBCO', 'QNS', 'RS9002', 'Porto Alegre AFB, Base Aérea de Canoas, Campo Nossa Senhora de Fatima'),
	('SBCM', 'medium_airport', 'Forquilhinha - Criciúma  Airport', -28.725743, -49.424475, 92, 'BR', 'BR-SC', 'Criciúma', 'yes', 'SSIM', 'CCM', 'SC0009', 'SBCM, Diomício Freitas, Santa Líbera.'),
	('SSNH', 'small_airport', 'Novo Hamburgo Airport', -29.69610023498535, -51.08169937133789, 66, 'BR', 'BR-RS', 'Novo Hamburgo', 'no', 'SSNH', 'QHV', '', ''),
	('SSNP', 'small_airport', 'Nova Prata Airport', -28.802499771118164, -51.60419845581055, 2264, 'BR', 'BR-RS', 'Nova Prata', 'no', 'SSNP', '', '', ''),
	('SNEI', 'small_airport', 'Fazenda São Miguel Airport', -30.175022, -52.169479, 243, 'BR', 'BR-RS', 'Rio Pardo', 'no', 'SNEI', '', 'RS0083', ''),
	('SIFQ', 'small_airport', 'Condomínio Menega Airport', -29.044699, -51.143836, 2566, 'BR', 'BR-RS', 'Flores Da Cunha', 'no', 'SIFQ', '', 'RS0060', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SSPP', 'closed', 'Fazenda Palma Airport', -31.654005, -52.206622, 39, 'BR', 'BR-RS', 'Pelotas', 'no', '', '', '', 'SSPP'),
	('SBPK', 'medium_airport', 'João Simões Lopes Neto International Airport', -31.717253, -52.327952, 59, 'BR', 'BR-RS', 'Pelotas', 'yes', 'SBPK', 'PET', 'RS0005', 'Pelotas Airport'),
	('SSMT', 'small_airport', 'Mostardas Airport', -31.103599548339844, -50.910301208496094, 59, 'BR', 'BR-RS', 'Mostardas', 'no', 'SSMT', '', 'SSMT', ''),
	('SSEG', 'small_airport', 'Estância da Gruta Airport', -31.942499, -52.479443, 33, 'BR', 'BR-RS', 'Pelotas', 'no', '', '', '', 'SSEG'),
	('SSCO', 'small_airport', 'Comandante Marilda Zaiden de Mesquita Airport', -31.775068, -52.451879, 33, 'BR', 'BR-RS', 'Capão do Leão', 'no', 'SSCO', '', 'RS0092', ''),
	('SSDX', 'small_airport', 'Fazenda da Coxilha Airport', -31.013962, -51.708516, 33, 'BR', 'BR-RS', 'Camaquã', 'no', 'SSDX', '', 'RS0094', ''),
	('SSMH', 'small_airport', 'Fazenda Santa Maria Airport', -31.929443359375, -52.4636116027832, 66, 'BR', 'BR-RS', 'Capão Do Leão', 'no', 'SSMH', '', '', ''),
	('SJRG', 'small_airport', 'Rio Grande Regional Airport', -32.083065, -52.167184, 27, 'BR', 'BR-RS', 'Rio Grande', 'no', 'SJRG', 'RIG', 'RS0013', 'SBRG, Gustavo Cramer Airport'),
	('SJGX', 'small_airport', 'Da Praia Velha Airport', -31.126667022705, -51.575832366943, 30, 'BR', 'BR-RS', 'Camaquã', 'no', '', '', '', 'SJGX'),
	('SSRU', 'small_airport', 'São Lourenço do Sul Airport', -31.38330078125, -52.032798767089844, 28, 'BR', 'BR-RS', 'São Lourenço Do Sul', 'no', 'SSRU', 'SQY', '', ''),
	('SDBK', 'small_airport', 'Botucatu - Tancredo de Almeida Neves Airport', -22.937765, -48.468161, 3012, 'BR', 'BR-SP', 'Botucatu', 'no', 'SDBK', '', 'SP0019', 'QCJ'),
	('SBWM', 'N/A', 'N/A', -24.242959767580032, -48.50149691104889, 876, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDCR', 'small_airport', 'Fazenda Caiçara Airport', -24.068469, -46.827228, 39, 'BR', 'BR-SP', 'Itanhaém', 'no', 'SDCR', '', 'SP0084', ''),
	('SDTF', 'small_airport', 'Tatuí Airport', -23.3319, -47.8783, 2083, 'BR', 'BR-SP', 'Tatuí', 'no', 'SDTF', '', 'SDTF', ''),
	('SBST', 'medium_airport', 'Santos Nero Moura Air Base / Guarujá Airport', -23.928192, -46.300195, 13, 'BR', 'BR-SP', 'Guarujá', 'no', 'SBST', 'SSZ', 'SP9006', ''),
	('SDPD', 'small_airport', 'Pindamonhangaba Airport', -22.943611, -45.431389, 1883, 'BR', 'BR-SP', 'Pindamonhangaba', 'no', 'SDPD', '', 'SP0072', ''),
	('SIDN', 'small_airport', 'Fazenda Ipanema Airport', -23.425556182861, -47.581390380859, 1985, 'BR', 'BR-SP', 'Iperó', 'no', '', '', '', 'SIDN'),
	('SBRE', 'N/A', 'N/A', -24.419030360877514, -47.86911740899086, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBSP', 'medium_airport', 'Congonhas Airport', -23.627657, -46.654601, 2631, 'BR', 'BR-SP', 'São Paulo', 'yes', 'SBSP', 'CGH', 'SP0001', 'http://www.infraero.gov.br/usa/aero_prev_home.php?ai=219'),
	('SBMT', 'medium_airport', 'Campo de Marte Airport', -23.5091, -46.637798, 2371, 'BR', 'BR-SP', 'São Paulo', 'no', 'SBMT', 'RTE', 'SP0007', ''),
	('SNZG', 'small_airport', 'Fazenda São Benedito Airport', -23.861232, -48.236658, 2034, 'BR', 'BR-SP', 'Capâo Bonito', 'no', 'SNZG', '', 'SP0241', ''),
	('SSMW', 'small_airport', 'ICA (Ilha Clube Aerodesportivo) / Ultraleves Airport', -24.315277, -47.013889, 49, 'BR', 'BR-SP', 'Peruibe', 'no', 'SSMW', '', '', ''),
	('SDUB', 'small_airport', 'Ubatuba Gastão Madeira State Airport', -23.440628, -45.074057, 13, 'BR', 'BR-SP', 'Ubatuba', 'no', 'SDUB', 'UBT', 'SDUB', ''),
	('SNEJ', 'small_airport', 'Monte Verde Airport', -22.859722137451, -46.037498474121, 5102, 'BR', 'BR-MG', 'Camanducaia', 'no', '', '', '', 'SNEJ'),
	('SDIM', 'small_airport', 'Itanhaém Airport', -24.159729, -46.790604, 13, 'BR', 'BR-SP', 'Itanhaém', 'no', 'SDIM', 'JTN', '', ''),
	('SDAI', 'small_airport', 'Americana Airport', -22.755917, -47.269408, 2085, 'BR', 'BR-SP', 'Americana', 'no', 'SDAI', '', 'SP0047', 'QWJ'),
	('SBWS', 'N/A', 'N/A', -24.53165229409933, -47.84036457538605, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDAE', 'small_airport', 'São Pedro Airport', -22.583127, -47.896111, 1858, 'BR', 'BR-SP', 'São Pedro', 'no', 'SDAE', '', 'SP0053', ''),
	('SIVE', 'small_airport', 'Clube de Vôo Fazenda Royal Airport', -23.503805, -48.000453, 2477, 'BR', 'BR-SP', 'Itapetininga', 'no', 'SJL9', '', 'SP0196', 'SIVE'),
	('SDVH', 'small_airport', 'Fazenda Vale Eldorado - Dr José de Aguiar Leme Airport', -23.0054, -46.636913, 2727, 'BR', 'BR-SP', 'Bragança Paulista', 'no', 'SDVH', '', 'SP0154', 'Atibaia'),
	('SDFL', 'small_airport', 'Fazenda Santa Albana Airport', -23.580552, -48.282217, 2051, 'BR', 'BR-SP', 'Itapetininga', 'no', 'SWAL', '', 'SP0268', 'SDFL'),
	('SDIH', 'small_airport', 'Fazenda Irohy Airport', -23.563384, -46.071598, 2467, 'BR', 'BR-SP', 'Biritiba-Mirim', 'no', 'SDIH', '', 'SP0108', ''),
	('SDRA', 'small_airport', 'Fazenda das Represas Airport', -23.875600814819336, -48.05179977416992, 2271, 'BR', 'BR-SP', 'São Miguel Arcanjo', 'no', 'SDRA', '', '', ''),
	('SBGR', 'large_airport', 'Guarulhos - Governador André Franco Montoro International Airport', -23.431944, -46.467778, 2461, 'BR', 'BR-SP', 'São Paulo', 'yes', 'SBGR', 'GRU', 'SP0002', 'Cumbica'),
	('SBLM', 'N/A', 'N/A', -23.876584097743034, -48.72227489948273, 668, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSYK', 'heliport', 'Hospital Alvorada Heliport', -23.601342, -46.661366, 2690, 'BR', 'BR-SP', 'São Paulo', 'no', '', '', 'SP0882', 'SSYK'),
	('SDWL', 'small_airport', 'Três Marias Airport', -23.191667556799995, -47.0750007629, 2566, 'BR', 'BR-SP', 'Itupeva', 'no', 'SDWL', '', '', ''),
	('SJFQ', 'small_airport', 'Fazenda Quatrirmãs Airport', -22.949012, -48.664874, 2441, 'BR', 'BR-SP', 'Itatinga', 'no', 'SJFQ', '', 'SP0208', ''),
	('SSRW', 'small_airport', 'Fazenda J Campos Airport', -23.203627, -48.102146, 1781, 'BR', 'BR-SP', 'Porangaba', 'no', 'SSRW', '', 'SP0257', ''),
	('SDJF', 'small_airport', 'Fazenda Jequitibá Airport', -23.846065, -48.448055, 2310, 'BR', 'BR-SP', 'Buri', 'no', 'SDJF', '', 'SP0112', ''),
	('SDYB', 'small_airport', 'Fazenda São José do Barreiro Airport', -23.784526, -48.338362, 2192, 'BR', 'BR-SP', 'Itapetininga', 'no', 'SDYB', '', 'SP0164', ''),
	('SDNO', 'small_airport', 'São Manuel Airport', -22.695801, -48.576599, 2408, 'BR', 'BR-SP', 'São Manuel', 'no', 'SDNO', '', 'SP0061', ''),
	('SBTA', 'medium_airport', 'Base de Aviação de Taubaté', -23.0401, -45.51615, 1902, 'BR', 'BR-SP', 'Taubaté', 'no', 'SBTA', '', 'SP9004', 'QHP'),
	('SBLN', 'medium_airport', 'Lins Airport', -21.663999557495, -49.730499267578, 1559, 'BR', 'BR-SP', 'Lins', 'no', 'SWXQ', 'LIP', 'SWXQ', 'SBLN'),
	('SBKP', 'medium_airport', 'Viracopos International Airport', -23.007404, -47.134502, 2170, 'BR', 'BR-SP', 'Campinas', 'yes', 'SBKP', 'VCP', 'SP0003', ''),
	('SDZH', 'small_airport', 'Fazenda Santa Helena Airport', -22.890399932861328, -45.49330139160156, 1804, 'BR', 'BR-SP', 'Pindamonhangaba', 'no', 'SDZH', '', 'SDZH', ''),
	('SDSM', 'small_airport', 'Fazenda Nossa Senhora da Conceição Airport', -22.76472282409668, -48.54249954223633, 2482, 'BR', 'BR-SP', 'São Manuel', 'no', 'SDSM', '', '', ''),
	('SDAM', 'small_airport', 'Estadual de Campos dos Amarais - Prefeito Francisco Amaral Airport', -22.859866, -47.107573, 2008, 'BR', 'BR-SP', 'Campinas', 'no', 'SDAM', '', 'SP0037', 'CPQ'),
	('SDTB', 'small_airport', 'Atibaia Airport', -23.127777099609375, -46.57472229003906, 2592, 'BR', 'BR-SP', 'Atibaia', 'no', 'SDTB', '', '', ''),
	('SIZQ', 'small_airport', 'Fazenda Real Airport', -23.036667, -48.441111, 3077, 'BR', 'BR-SP', 'Botucatu', 'no', 'SIZQ', '', 'SP0202', ''),
	('SDNI', 'small_airport', 'Nascimento I Airport', -23.619402, -46.983252, 3090, 'BR', 'BR-SP', 'Cotia', 'no', 'SDNI', '', 'SP0127', 'Vargem Grande Paulista');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SDBN', 'small_airport', 'Associação Recreativa Fazenda Bonanza Airport', -23.687623, -47.557561, 2316, 'BR', 'BR-SP', 'Salto de Pirapora', 'no', 'SDBN', '', 'SP0080', ''),
	('SDCO', 'small_airport', 'Sorocaba Airport', -23.478001, -47.490002, 2083, 'BR', 'BR-SP', 'Sorocaba', 'yes', 'SDCO', 'SOD', 'SP0027', ''),
	('SDPW', 'small_airport', 'Piracicaba Airport', -22.7115, -47.618198, 1917, 'BR', 'BR-SP', 'Piracicaba', 'no', 'SDPW', '', 'SP0041', 'QHB, Pedro Morganti'),
	('SSPZ', 'closed', 'Fazenda Princesa do Sul Airport', -23.771099090576172, -54.677799224853516, 1053, 'BR', 'BR-MS', 'Japoré', 'no', '', '', '', 'SSPZ, SSPZ'),
	('SDNJ', 'small_airport', 'Nascimento II Airport', -24.072344, -48.221806, 2604, 'BR', 'BR-SP', 'Capão Bonito', 'no', 'SDNJ', '', 'SP0128', ''),
	('SBJD', 'small_airport', 'Comte. Rolim Adolfo Amaro–Jundiaí State Airport', -23.180861, -46.943921, 2470, 'BR', 'BR-SP', 'Jundiaí', 'no', 'SBJD', 'QDV', 'SP0031', 'Jundiaí Airport'),
	('SBGW', 'medium_airport', 'Edu Chaves Field', -22.791599, -45.2048, 1761, 'BR', 'BR-SP', 'Guaratinguetá', 'no', 'SBGW', 'GUJ', 'SP0076', ''),
	('SDCA', 'small_airport', 'Capão Bonito Airport', -24.034346, -48.356246, 2402, 'BR', 'BR-SP', 'Capão Bonito', 'no', 'SDCA', '', 'SP0051', ''),
	('SDMP', 'heliport', 'Erik Heliport', -23.299177, -46.596746, 3707, 'BR', 'BR-SP', 'Mairiporã', 'no', 'SIKC', '', 'SP0514', 'SDMP'),
	('SDIP', 'small_airport', 'Fazenda Centro de Vôo a Vela Ipuã Airport', -23.042711, -45.775133, 1913, 'BR', 'BR-SP', 'Caçapava', 'no', 'SDIP', '', 'SP0110', ''),
	('SIQK', 'small_airport', 'Nova Odessa Airport', -22.781533, -47.334557, 1909, 'BR', 'BR-SP', 'Nova Odessa', 'no', 'SIQK', '', 'SP0194', 'Rodrigues'),
	('SDMA', 'small_airport', 'Fazenda Maristela Airport', -22.954517, -45.603636, 1788, 'BR', 'BR-SP', 'Tremembé', 'no', 'SDA4', '', 'SP1305', 'SDMA'),
	('SSEW', 'small_airport', 'Sítio Limoeiro Airport', -23.145561, -48.309794, 3084, 'BR', 'BR-SP', 'Pardinho', 'no', 'SSEW', '', 'SP0245', ''),
	('SIZG', 'small_airport', 'Fazenda Encontro das Águas Airport', -22.607901, -48.387901, 1631, 'BR', 'BR-SP', 'São Manuel', 'no', 'SDXT', '', 'SP0446', 'SIZG'),
	('SBBP', 'small_airport', 'Estadual Arthur Siqueira Airport', -22.978822, -46.537131, 2887, 'BR', 'BR-SP', 'Bragança Paulista', 'no', 'SBBP', 'BJP', 'SP0036', 'SDBP'),
	('SIVW', 'small_airport', 'Banaer de Jacupiranga Airport', -24.709625, -48.022828, 89, 'BR', 'BR-SP', 'Jacupiranga', 'no', 'SIVW', '', 'SP0198', ''),
	('SDEJ', 'small_airport', 'Fazenda Guará do Pinhal Airport', -23.666115, -48.072935, 2036, 'BR', 'BR-SP', 'Itapetininga', 'no', 'SDEJ', '', 'SP0093', ''),
	('SDOI', 'small_airport', 'Centro Nacional de Pára-quedismo Airport', -23.298338, -47.692448, 2051, 'BR', 'BR-SP', 'Boituva', 'no', 'SDOI', '', 'SP0130', ''),
	('SDET', 'small_airport', 'Tietê Airport', -23.105033, -47.723814, 1644, 'BR', 'BR-SP', 'Tietê', 'no', 'SDET', '', 'SP0067', ''),
	('SBSJ', 'medium_airport', 'Professor Urbano Ernesto Stumpf Airport', -23.2292, -45.8615, 2120, 'BR', 'BR-SP', 'São José Dos Campos', 'yes', 'SBSJ', 'SJK', 'SP0008', ''),
	('SJZW', 'small_airport', 'Fazenda Regina Airport', -23.288179, -48.737621, 2044, 'BR', 'BR-SP', 'Itatinga', 'no', 'SJZW', '', 'SP0223', ''),
	('SBHB', 'N/A', 'N/A', -23.6208213865757, -48.51040720939636, 660, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SSKT', 'small_airport', 'Aeroclube de Santa Catarina Airport', -27.611668, -48.672779, 20, 'BR', 'BR-SC', 'São José', 'no', 'SSKT', '', '', ''),
	('SDEN', 'small_airport', 'Costa Esmeralda Airport', -27.1665, -48.6218, 20, 'BR', 'BR-SC', 'Porto Belo', 'no', 'SDEN', '', 'SC0023', ''),
	('SSGB', 'small_airport', 'Guaratuba Airport', -25.881559, -48.611759, 49, 'BR', 'BR-PR', 'Guaratuba', 'no', 'SSGB', '', 'PR0035', ''),
	('SBNF', 'medium_airport', 'Ministro Victor Konder International Airport', -26.879431, -48.650979, 18, 'BR', 'BR-SC', 'Navegantes', 'yes', 'SBNF', 'NVT', 'SC0002', ''),
	('SJSH', 'small_airport', 'Fly Ville Airport', -27.372117, -48.614509, 33, 'BR', 'BR-SC', 'Governador Celso Ramos', 'no', 'SJSH', '', 'SC0032', 'Sonhar Airport'),
	('SSSS', 'small_airport', 'São Francisco do Sul Airport', -26.219866, -48.567381, 49, 'BR', 'BR-SC', 'São Francisco do Sul', 'no', 'SSSS', '', 'SC0022', ''),
	('SBFL', 'large_airport', 'Hercílio Luz International Airport', -27.670279, -48.552502, 16, 'BR', 'BR-SC', 'Florianópolis', 'yes', 'SBFL', 'FLN', 'SC0001', 'http://www.infraero.gov.br/usa/aero_prev_home.php?ai=228'),
	('SSPG', 'small_airport', 'Paranaguá Airport', -25.5401, -48.5312, 16, 'BR', 'BR-PR', 'Paranaguá', 'no', 'SSPG', 'PNG', 'SSPG', ''),
	('SWON', 'small_airport', 'Clube de Aviação Céu Azul Airport', -26.561531, -48.696048, 16, 'BR', 'BR-SC', 'Araquari', 'no', 'SWON', '', 'SWON', ''),
	('SDYS', 'small_airport', 'Aeroportobelo Airport', -27.173611, -48.631111, 36, 'BR', 'BR-SC', 'Porto Belo', 'no', 'SDYS', '', 'SC0024', ''),
	('SDMC', 'small_airport', 'Maricá Airport', -22.9195, -42.830898, 5, 'BR', 'BR-RJ', 'Maricá', 'no', 'SBMI', 'JMR', 'RJ0009', 'SDMC'),
	('SDSK', 'small_airport', 'Saquarema Airport', -22.928773, -42.50571, 26, 'BR', 'BR-RJ', 'Saquarema', 'no', '', '', '', 'SDSK'),
	('SNAO', 'small_airport', 'Trimonte Jorge Mussi Airport', -22.513444, -42.053502, 10, 'BR', 'BR-RJ', 'Casimiro de Abreu', 'no', 'SNAO', '', 'RJ0025', ''),
	('SBES', 'small_airport', 'Tenente Jorge Henrique Möller Airport', -22.812901, -42.092602, 61, 'BR', 'BR-RJ', 'São Pedro da Aldeia', 'no', 'SBES', '', 'RJ9001', ''),
	('SDCU', 'small_airport', 'Brigadeiro Francisco Pinto de Moura Airport', -22.557248, -42.114451, 20, 'BR', 'BR-RJ', 'Casemiro de Abreu', 'no', 'SDCU', '', 'RJ0013', ''),
	('SBSC', 'medium_airport', 'Santa Cruz Air Force Base', -22.9324, -43.719101, 10, 'BR', 'BR-RJ', 'Rio de Janeiro', 'no', 'SBSC', 'SNZ', 'RJ9003', 'Santa Cruz AB, Bartolomeu de Gusmão Airport'),
	('SDMR', 'small_airport', 'Marambaia Airport', -23.066389, -43.879491, 16, 'BR', 'BR-RJ', 'Rio De Janeiro', 'no', 'SDMR', '', 'RJ9005', ''),
	('SDNY', 'closed', 'Aeroclube Airport', -22.746482, -43.464918, 164, 'BR', 'BR-RJ', 'Nova Iguaçu', 'no', '', '', '', 'SDNY'),
	('SBRJ', 'medium_airport', 'Santos Dumont Airport', -22.9105, -43.163101, 11, 'BR', 'BR-RJ', 'Rio de Janeiro', 'yes', 'SBRJ', 'SDU', 'RJ0002', 'RIO'),
	('SDCZ', 'small_airport', 'Fazenda Bom Jardim Airport', -22.935009, -44.091702, 13, 'BR', 'BR-RJ', 'Mangaratiba', 'no', 'SDCZ', '', 'RJ0014', ''),
	('SBJR', 'small_airport', 'Jacarepaguá - Roberto Marinho Airport', -22.986773, -43.372194, 10, 'BR', 'BR-RJ', 'Rio De Janeiro', 'no', 'SBJR', 'RRJ', 'RJ0005', ''),
	('SILI', 'small_airport', 'Ilha dos Porcos Grandes Airport', -23.058889389038, -44.314445495605, 197, 'BR', 'BR-RJ', 'Angra Dos Reis', 'no', '', '', '', 'SILI'),
	('SDTK', 'small_airport', 'Paraty Airport', -23.224044, -44.7234, 10, 'BR', 'BR-RJ', 'Paraty', 'yes', 'SDTK', 'JPY', '', ''),
	('SBNY', 'N/A', 'N/A', -22.769595868885517, -42.91123017668724, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SBIX', 'N/A', 'N/A', -22.961362414062023, -43.65936577320099, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SDPA', 'small_airport', 'Fazenda Portobello Airport', -22.927133, -44.080185, 20, 'BR', 'BR-RJ', 'Mangaratiba', 'no', 'SDPA', '', 'RJ0016', ''),
	('SDIL', 'small_airport', 'Fazenda Pedra Branca Airport', -22.902362, -44.28802, 52, 'BR', 'BR-RJ', 'Angra dos Reis', 'no', 'SDIL', '', 'RJ0015', ''),
	('SDRF', 'small_airport', 'Fazenda Recanto Feliz Airport', -22.746110916137695, -44.05083465576172, 1750, 'BR', 'BR-RJ', 'Rio Claro', 'no', 'SDRF', '', '', ''),
	('SDAG', 'small_airport', 'Angra dos Reis Airport', -22.9753, -44.307098, 10, 'BR', 'BR-RJ', 'Angra dos Reis', 'no', 'SDAG', 'GDR', 'RJ0010', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SBGL', 'large_airport', 'Rio Galeão – Tom Jobim International Airport', -22.809999, -43.250557, 28, 'BR', 'BR-RJ', 'Rio De Janeiro', 'yes', 'SBGL', 'GIG', 'RJ0001', 'Galeão - Antônio Carlos Jobim International Airport'),
	('SBCB', 'small_airport', 'Cabo Frio Airport', -22.921485, -42.071874, 22, 'BR', 'BR-RJ', 'Cabo Frio', 'yes', 'SBCB', 'CFB', 'RJ0003', ''),
	('SBBZ', 'medium_airport', 'Umberto Modiano Airport', -22.770881, -41.96308, 10, 'BR', 'BR-RJ', 'Cabo Frio', 'no', 'SSBZ', 'BZC', 'RJ0012', 'SBBZ'),
	('SSTY', 'small_airport', 'Usina Foz do Chopim Airport', -25.5625, -53.176944732666016, 1640, 'BR', 'BR-PR', 'Cruzeiro Do Iguaçu', 'no', 'SSTY', '', '', ''),
	('SBAF', 'medium_airport', 'Campo Délio Jardim de Mattos Airport', -22.875099, -43.384701, 110, 'BR', 'BR-RJ', 'Rio de Janeiro', 'no', 'SBAF', '', 'RJ9002', 'Afonsos AFB.'),
	('SFSA', 'N/A', 'N/A', -51.30892775952816, -59.60996747016907, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFTI', 'N/A', 'N/A', -51.96453306823969, -58.78648415207863, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSN', 'N/A', 'N/A', -52.42789473384619, -59.07829150557518, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSD', 'N/A', 'N/A', -51.56723890453577, -59.53555002808571, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSQ', 'N/A', 'N/A', -52.12490804493427, -59.3707837164402, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSW', 'N/A', 'N/A', -52.231541611254215, -59.74378690123558, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFTC', 'N/A', 'N/A', -51.61346644163132, -59.516777247190475, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFTD', 'N/A', 'N/A', -52.440736815333366, -59.12623018026352, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSV', 'N/A', 'N/A', -51.45987544208765, -58.61318349838257, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSU', 'N/A', 'N/A', -52.34981261193752, -59.758503288030624, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYP', 'medium_airport', 'Mount Pleasant Airport', -51.82279968261719, -58.447200775146484, 244, 'FK', 'FK-U-A', 'Mount Pleasant', 'yes', 'EGYP', 'MPN', '', 'RAF Mount Pleasant'),
	('SFSX', 'N/A', 'N/A', -52.179925851523876, -58.858893513679504, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSR', 'N/A', 'N/A', -51.436817497015, -58.37887063622475, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSC', 'N/A', 'N/A', -51.50162234902382, -59.00422543287277, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSS', 'N/A', 'N/A', -51.99548039585352, -58.45808610320091, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFSE', 'N/A', 'N/A', -51.819806434214115, -58.980049788951874, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFTF', 'N/A', 'N/A', -51.310627944767475, -59.56386744976044, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFTH', 'N/A', 'N/A', -51.57560169696808, -59.04172495007515, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SFAL', 'medium_airport', 'Port Stanley Airport', -51.685699462891, -57.777599334717, 75, 'FK', 'FK-U-A', 'Stanley', 'yes', 'SFAL', 'PSY', '', ''),
	('SAYB', 'small_airport', 'Base Belgrano II Airport', -77.874055, -34.62616, 820, 'AQ', 'AQ-U-A', 'Base Belgrano II', 'no', 'SAYB', '', 'BEB', ''),
	('BGCO', 'small_airport', 'Neerlerit Inaat Airport', 70.743103, -22.650499, 45, 'GL', 'GL-SE', 'Neerlerit Inaat', 'yes', 'BGCO', 'CNP', '', 'Constable Point, Mittarfik Nerlerit Inaat, Constable Pynt Lufthavn'),
	('BGMI', 'small_airport', 'Station Nord Landing Strip', 81.601292, -16.679306, 35, 'GL', 'GL-NE', 'Station Nord', 'no', 'BGMI', '', '', ''),
	('ENJA', 'small_airport', 'Jan Mayensfield', 70.944117, -8.652074, 39, 'NO', 'NO-22', '', 'no', 'ENJA', '', '', 'Jan Mayen'),
	('BIDA', 'small_airport', 'Dagverðará Airport', 64.744617, -23.726521, 130, 'IS', 'IS-3', 'Dagverðará', 'no', 'BIDA', '', '', ''),
	('BIOL', 'N/A', 'N/A', 65.6759600713849, -24.005522578954697, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BIGF', 'small_airport', 'Grundarfjörður Airport', 64.991402, -23.224701, 17, 'IS', 'IS-3', 'Grundarfjörður', 'no', 'BIGF', 'GUU', '', ''),
	('BIBD', 'small_airport', 'Bildudalur Airport', 65.641296, -23.5462, 18, 'IS', 'IS-4', 'Bildudalur', 'no', 'BIBD', 'BIU', '', ''),
	('BIRF', 'small_airport', 'Rif Airport', 64.9114, -23.823099, 18, 'IS', 'IS-3', 'Rif', 'no', 'BIRF', 'OLI', '', ''),
	('BITE', 'small_airport', 'Þingeyri Airport', 65.8703, -23.559999, 65, 'IS', 'IS-4', 'Þingeyri', 'no', 'BITE', 'TEY', '', ''),
	('BIIS', 'medium_airport', 'Ísafjörður Airport', 66.058098, -23.1353, 8, 'IS', 'IS-4', 'Ísafjörður', 'yes', 'BIIS', 'IFJ', '', ''),
	('BIST', 'small_airport', 'Stykkishólmur Airport', 65.058851, -22.764616, 42, 'IS', 'IS-3', 'Stykkishólmur', 'no', 'BIST', 'SYK', '', ''),
	('BIHT', 'small_airport', 'Holt Airport', 66.0141804294, -23.4416913986, 10, 'IS', 'IS-4', 'Flateyri', 'no', 'BIHT', 'FLI', '', ''),
	('BIPA', 'small_airport', 'Patreksfjörður Airport', 65.555801, -23.965, 11, 'IS', 'IS-4', 'Patreksfjörður', 'no', 'BIPA', 'PFJ', '', ''),
	('BIBI', 'small_airport', 'Baeir Airport', 66.097838, -22.569713, 60, 'IS', 'IS-4', 'Baeir', 'no', 'BIBI', '', '', ''),
	('BIID', 'small_airport', 'Ingjaldssanður Airport', 66.05000305175781, -23.69610023498535, 70, 'IS', 'IS-4', 'Onundarfjörður', 'no', 'BIID', 'HLO', '', ''),
	('BIIA', 'N/A', 'N/A', 66.13165330141783, -23.54411691427231, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BIKF', 'large_airport', 'Keflavik International Airport', 63.985001, -22.6056, 171, 'IS', 'IS-2', 'Reykjavík', 'yes', 'BIKF', 'KEF', '', 'Keflavik Naval Air Station,REK'),
	('BIKE', 'small_airport', 'Kerlingafjöll Airport', 64.70500183105469, -19.410600662231445, 2100, 'IS', 'IS-8', 'Kerlingafjöll', 'no', 'BIKE', '', '', ''),
	('BIBR', 'small_airport', 'Búðardalur Airport', 65.07530212402344, -21.80030059814453, 131, 'IS', 'IS-3', 'Búðardalur', 'no', 'BIBR', 'BQD', '', ''),
	('BISI', 'medium_airport', 'Siglufjörður Airport', 66.137847, -18.908157, 10, 'IS', 'IS-6', 'Siglufjörður', 'no', 'BISI', 'SIJ', '', ''),
	('BIHI', 'small_airport', 'Hveravellir Airport', 64.88610076904297, -19.49250030517578, 2000, 'IS', 'IS-5', 'Hveravellir', 'no', 'BIHI', '', '', ''),
	('BIRE', 'small_airport', 'Reykhólar Airport', 65.45262908935547, -22.20611572265625, 60, 'IS', 'IS-4', 'Reykhólar', 'no', 'BIRE', 'RHA', '', ''),
	('BIBL', 'small_airport', 'Hjaltabakki Airport', 65.644997, -20.2875, 131, 'IS', 'IS-5', 'Blönduós', 'no', 'BIBL', 'BLO', '', ''),
	('BIGJ', 'small_airport', 'Gjögur Airport', 65.9953, -21.3269, 83, 'IS', 'IS-4', 'Gjögur', 'no', 'BIGJ', 'GJR', '', ''),
	('BISA', 'small_airport', 'Sandá Airport', 65.1343994140625, -19.66309928894043, 1580, 'IS', 'IS-5', 'Sandá', 'no', 'BISA', '', '', ''),
	('BIVH', 'small_airport', 'Varmahlid Airport', 65.55694580078125, -19.428056716918945, 27, 'IS', 'IS-5', 'Varmahlid', 'no', 'BIVH', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('BIAE', 'small_airport', 'Arngerðareyri Airport', 65.90470123291016, -22.363300323486328, 20, 'IS', 'IS-4', 'Arngerðareyri', 'no', 'BIAE', '', '', ''),
	('BIHV', 'small_airport', 'Krókstaðarmelar Airport', 65.26640319824219, -20.846900939941406, 164, 'IS', 'IS-5', 'Hvammstangi', 'no', 'BIHV', 'HVM', '', ''),
	('BIHZ', 'small_airport', 'Húsafell Airport', 64.69969940185547, -20.88360023498535, 380, 'IS', 'IS-3', 'Húsafell', 'no', 'BIHZ', '', '', ''),
	('BIHK', 'small_airport', 'Hólmavík Airport', 65.704697, -21.6964, 90, 'IS', 'IS-4', 'Hólmavík', 'no', 'BIHK', 'HVK', '', ''),
	('BIKR', 'small_airport', 'Sauðárkrókur Airport', 65.73169708249999, -19.572799682599996, 8, 'IS', 'IS-5', 'Sauðárkrókur', 'no', 'BIKR', 'SAK', '', ''),
	('BIKA', 'small_airport', 'Kaldármelar Airport', 64.77890014648438, -22.256900787353516, 160, 'IS', 'IS-3', 'Kaldármelar', 'no', 'BIKA', '', '', ''),
	('BIRS', 'small_airport', 'Reykjanes Airport', 65.91419982910156, -22.42140007019043, 10, 'IS', 'IS-4', 'Reykjanes', 'no', 'BIRS', '', '', ''),
	('BITO', 'small_airport', 'Thorisos Airport', 64.354373, -18.836514, 1840, 'IS', 'IS-8', 'Thorisos', 'no', 'BITO', '', '', ''),
	('BISV', 'small_airport', 'Skálavatn Airport', 64.11579895019531, -18.783300399780273, 2000, 'IS', 'IS-8', 'Skálavatn', 'no', 'BISV', '', '', ''),
	('BIHL', 'small_airport', 'Hella Airport', 63.83580017089844, -20.377500534057617, 66, 'IS', 'IS-8', 'Hella', 'no', 'BIHL', '', '', ''),
	('BIFZ', 'small_airport', 'Forsæti Airport', 63.84816, -20.716267, 32, 'IS', 'IS-8', 'Forsæti', 'no', 'BIFZ', '', '', ''),
	('BIVM', 'medium_airport', 'Vestmannaeyjar Airport', 63.42430114746094, -20.278900146484375, 326, 'IS', 'IS-8', 'Vestmannaeyjar', 'no', 'BIVM', 'VEY', '', ''),
	('BIMS', 'small_airport', 'Tungubakkar Airport', 64.18109893798828, -21.707799911499023, 5, 'IS', 'IS-1', 'Tungubakkar', 'no', 'BIMS', '', '', ''),
	('BISR', 'small_airport', 'Stórikroppur Airport', 64.6343994140625, -21.487499237060547, 165, 'IS', 'IS-3', 'Stórikroppur', 'no', 'BISR', '', '', ''),
	('BIVE', 'N/A', 'N/A', 63.80196165293455, -20.253303050994873, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BIMO', 'N/A', 'N/A', 64.13770012557507, -21.74784243106842, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BIFL', 'small_airport', 'Flúðir Airport', 64.1427993774414, -20.326099395751953, 270, 'IS', 'IS-8', 'Flúðir', 'no', 'BIFL', '', '', ''),
	('BIRK', 'medium_airport', 'Reykjavik Airport', 64.1299972534, -21.9405994415, 48, 'IS', 'IS-1', 'Reykjavik', 'yes', 'BIRK', 'RKV', '', 'REK'),
	('BIGH', 'small_airport', 'Gunnarsholt Airport', 63.85329818725586, -20.262800216674805, 200, 'IS', 'IS-8', 'Gunnarsholt', 'no', 'BIGH', '', '', ''),
	('BISF', 'small_airport', 'Selfoss Airport', 63.929199, -21.0378, 45, 'IS', 'IS-8', 'Selfoss', 'no', 'BISF', '', '', ''),
	('BISS', 'small_airport', 'Sandskeið Airport', 64.06079864501953, -21.57469940185547, 600, 'IS', 'IS-1', 'Sandskeið', 'no', 'BISS', '', '', ''),
	('BIBO', 'N/A', 'N/A', 64.57277353852987, -21.89800813794136, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BIHR', 'small_airport', 'Hvolsvöllur Airport', 63.752743, -20.250893, 109, 'IS', 'IS-8', 'Hvolsvöllur', 'no', 'BIHR', '', '', ''),
	('BIVI', 'small_airport', 'Vík Airport', 63.42169952392578, -18.8882999420166, 100, 'IS', 'IS-8', 'Vík', 'no', 'BIVI', '', '', ''),
	('BISK', 'small_airport', 'Skógasandur Airport', 63.5172, -19.489201, 130, 'IS', 'IS-8', 'Skógar', 'no', 'BISK', '', '', ''),
	('BIBA', 'small_airport', 'Bakki Airport', 63.556099, -20.137501, 45, 'IS', 'IS-8', 'Bakki', 'no', 'BIBA', '', '', ''),
	('BITM', 'small_airport', 'Þórsmörk Airport', 63.689998626708984, -19.563100814819336, 600, 'IS', 'IS-8', 'Þórsmörk', 'no', 'BITM', '', '', ''),
	('BIMK', 'small_airport', 'Múlakot Airport', 63.71419906616211, -19.879199981689453, 272, 'IS', 'IS-8', 'Múlakot', 'no', 'BIMK', '', '', ''),
	('BIVA', 'small_airport', 'Vatnsnes Airport', 64.03309631347656, -20.651100158691406, 0, 'IS', 'IS-8', 'Vatnsnes', 'no', 'BIVA', '', '', ''),
	('BITH', 'closed', 'Sauðanes Airport', 66.251859, -15.273914, 15, 'IS', 'IS-6', 'Þórshöfn', 'no', '', '', '', 'THO, Thorshofn, BITH'),
	('BIRL', 'small_airport', 'Reykjahlíð Airport', 65.6558, -16.9181, 1030, 'IS', 'IS-6', 'Myvatn', 'no', 'BIRL', 'MVA', '', ''),
	('BITN', 'small_airport', 'Þórshöfn Airport', 66.218498, -15.3356, 65, 'IS', 'IS-6', 'Þórshöfn', 'yes', 'BITN', 'THO', '', 'Thorshofn'),
	('BIRG', 'small_airport', 'Raufarhöfn Airport', 66.406403, -15.9183, 39, 'IS', 'IS-6', 'Raufarhöfn', 'no', 'BIRG', 'RFN', '', ''),
	('BIAR', 'medium_airport', 'Akureyri Airport', 65.656573, -18.072018, 6, 'IS', 'IS-6', 'Akureyri', 'yes', 'BIAR', 'AEY', '', ''),
	('BIKP', 'small_airport', 'Kópasker Airport', 66.310799, -16.4667, 20, 'IS', 'IS-6', 'Kópasker', 'no', 'BIKP', 'OPA', '', ''),
	('BIGS', 'small_airport', 'Grímsstaðir Airport', 65.63249969482422, -16.148300170898438, 1279, 'IS', 'IS-6', 'Grímsstaðir', 'no', 'BIGS', '', '', ''),
	('BIMM', 'small_airport', 'Melgerðismelar Airport', 65.4832992553711, -18.16670036315918, 35, 'IS', 'IS-6', 'Melgerðismelar', 'no', 'BIMM', '', '', ''),
	('BIHU', 'medium_airport', 'Húsavík Airport', 65.952301, -17.426001, 48, 'IS', 'IS-6', 'Húsavík', 'yes', 'BIHU', 'HZK', '', ''),
	('BISG', 'small_airport', 'Steinasandur Airport', 64.16547, -15.91334, 30, 'IS', 'IS-7', 'Kalfatellsstadhur', 'no', 'BISG', '', '', ''),
	('BISL', 'N/A', 'N/A', 63.99999987334013, -16.94083347916603, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BIKL', 'small_airport', 'Kirkjubæjarklaustur Airport', 63.792685, -18.004684, 66, 'IS', 'IS-8', 'Kirkjubæjarklaustur', 'no', 'BIKL', '', '', ''),
	('BIAL', 'small_airport', 'Álftaver Airport', 63.53979, -18.44374, 160, 'IS', 'IS-8', 'Álftaver', 'no', 'BIAL', '', '', ''),
	('BISN', 'small_airport', 'Svínafell Airport', 64.384723, -15.371935, 60, 'IS', 'IS-7', 'Svínafell', 'no', 'BISN', '', '', ''),
	('BIFM', 'small_airport', 'Fagurhólsmýri Airport', 63.874699, -16.6411, 56, 'IS', 'IS-7', 'Fagurhólsmýri', 'no', 'BIFM', 'FAG', '', ''),
	('BIHN', 'medium_airport', 'Hornafjörður Airport', 64.295601, -15.2272, 24, 'IS', 'IS-8', 'Höfn', 'yes', 'BIHN', 'HFN', '', ''),
	('BISP', 'small_airport', 'Sprengisandur Airport', 64.6541976928711, -18.49690055847168, 2050, 'IS', 'IS-8', 'Sprengisandur', 'no', 'BISP', '', '', ''),
	('BIFF', 'small_airport', 'Fáskrúðsfjörður Airport', 64.931456, -14.047957, 15, 'IS', 'IS-7', 'Fáskrúðsfjörður', 'no', 'BIFF', 'FAS', '', 'Faskrudsfjordur'),
	('BIEG', 'medium_airport', 'Egilsstaðir Airport', 65.2833023071289, -14.401399612426758, 76, 'IS', 'IS-7', 'Egilsstaðir', 'yes', 'BIEG', 'EGS', '', ''),
	('BIVO', 'small_airport', 'Vopnafjörður Airport', 65.720596, -14.8506, 16, 'IS', 'IS-7', 'Vopnafjörður', 'yes', 'BIVO', 'VPN', '', ''),
	('BIBK', 'small_airport', 'Bakkafjörður Airport', 66.02189636230469, -14.824399948120117, 14, 'IS', 'IS-6', 'Bakkafjörður', 'no', 'BIBK', 'BJD', '', ''),
	('BIBF', 'small_airport', 'Borgarfjörður eystri Airport', 65.516769, -13.81578, 80, 'IS', 'IS-7', 'Borgarfjörður eystri', 'no', 'BIBF', 'BGJ', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('BIBV', 'small_airport', 'Breiðdalsvík Airport', 64.790037, -14.043927, 8, 'IS', 'IS-7', 'Breiðdalsvík', 'no', 'BIBV', 'BXV', '', ''),
	('BINF', 'small_airport', 'Norðfjörður Airport', 65.131897, -13.7464, 13, 'IS', 'IS-7', 'Norðfjörður', 'no', 'BINF', 'NOR', '', ''),
	('BIDV', 'small_airport', 'Djúpivogur Airport', 64.642372, -14.277297, 9, 'IS', 'IS-7', 'Djúpivogur', 'no', 'BIDV', 'DJU', '', ''),
	('EIKN', 'medium_airport', 'Ireland West Knock Airport', 53.910301, -8.81849, 665, 'IE', 'IE-MO', 'Charlestown', 'yes', 'EIKN', 'NOC', '', 'Connaught'),
	('EISG', 'medium_airport', 'Sligo Airport', 54.280200958252, -8.5992097854614, 11, 'IE', 'IE-SO', 'Sligo', 'no', 'EISG', 'SXL', '', ''),
	('EIBL', 'N/A', 'N/A', 54.04354847967625, -9.220118075609207, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EILE', 'N/A', 'N/A', 54.99025493860245, -7.736966907978058, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIBY', 'N/A', 'N/A', 54.788030460476875, -7.724590748548508, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIBC', 'N/A', 'N/A', 54.08899616450071, -9.160753637552261, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIDL', 'medium_airport', 'Donegal Airport', 55.0442008972168, -8.340999603271484, 30, 'IE', 'IE-DL', 'Donegal', 'yes', 'EIDL', 'CFN', '', 'Gweedore'),
	('EIMT', 'N/A', 'N/A', 53.519454561173916, -7.680590897798538, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIFO', 'N/A', 'N/A', 53.892684280872345, -9.122488796710968, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICR', 'N/A', 'N/A', 54.13428694009781, -9.36636596918106, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIGR', 'N/A', 'N/A', 53.756866939365864, -7.5309741497039795, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICY', 'N/A', 'N/A', 54.824433736503124, -7.62941837310791, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICV', 'N/A', 'N/A', 54.83998719602823, -7.654985189437866, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIBH', 'N/A', 'N/A', 53.663163632154465, -8.634752333164215, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIBG', 'N/A', 'N/A', 53.8840539380908, -8.48780706524849, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EILT', 'small_airport', 'Letterkenny Airfield', 54.951302, -7.67283, 20, 'IE', 'IE-DL', 'Letterkenny', 'no', 'EILT', 'LTR', '', ''),
	('EIIB', 'N/A', 'N/A', 53.6195257678628, -10.21084114909172, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIBD', 'N/A', 'N/A', 54.0946177393198, -9.034898579120636, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIRM', 'N/A', 'N/A', 55.161138474941254, -7.709692865610123, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICD', 'closed', 'Castlebridge Airport', 52.369131, -6.451021, 79, 'IE', 'IE-WX', 'Wexford', 'no', '', '', '', 'WEX, EICD'),
	('EGAB', 'medium_airport', 'Enniskillen/St Angelo Airport', 54.398899, -7.65167, 155, 'GB', 'GB-NIR', 'Enniskillen', 'no', 'EGAB', 'ENK', '', ''),
	('EIFV', 'N/A', 'N/A', 54.84567381441593, -7.659312039613724, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIAB', 'small_airport', 'Abbeyshrule Aerodrome', 53.59170150756836, -7.645559787750244, 195, 'IE', 'IE-LD', 'Abbeyshrule', 'no', 'EIAB', '', '', ''),
	('EIBT', 'small_airport', 'Belmullet Aerodrome', 54.2228012085, -10.0307998657, 150, 'IE', 'IE-MO', 'Belmullet', 'no', 'EIBT', 'BLY', '', 'Béal an Mhuirthead'),
	('EIMO', 'N/A', 'N/A', 52.60355964303017, -8.417452275753021, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EITL', 'N/A', 'N/A', 53.29342380166054, -7.5301216542720795, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICK', 'medium_airport', 'Cork Airport', 51.841301, -8.49111, 502, 'IE', 'IE-C', 'Cork', 'yes', 'EICK', 'ORK', '', 'Aerfort Chorcaí'),
	('EIMN', 'small_airport', 'Inishmaan Aerodrome', 53.092999, -9.56806, 15, 'IE', 'IE-G', 'Inis Meáin', 'yes', 'EIMN', 'IIA', '', 'Aran Islands'),
	('EIIR', 'small_airport', 'Inisheer Aerodrome', 53.064701, -9.5109, 40, 'IE', 'IE-G', 'Inis Oírr', 'yes', 'EIIR', 'INQ', '', 'Aran Islands'),
	('EINN', 'large_airport', 'Shannon Airport', 52.702, -8.92482, 46, 'IE', 'IE-CE', 'Shannon', 'yes', 'EINN', 'SNN', '', ''),
	('EIRT', 'small_airport', 'Rathcoole Aerodrome', 52.105598, -8.98333, 281, 'IE', 'IE-C', 'Rathcoole', 'no', 'EIRT', '', '', ''),
	('EIER', 'small_airport', 'Erinagh Airfield', 52.8125, -8.282222, 155, 'IE', 'IE-TA', 'Nenagh', 'no', 'EIER', '', '', ''),
	('EIMY', 'closed', 'Moyne Aerodrome', 52.703098, -7.70528, 400, 'IE', 'IE-TA', 'Thurles', 'no', '', '', '', 'Áth na nUrlainn, EIMY'),
	('EICB', 'closed', 'Castlebar Airport', 53.8484, -9.28037, 0, 'IE', 'IE-MO', 'Castlebar', 'no', '', '', '', 'CLB, EICB, EICB, CLB'),
	('EIRA', 'N/A', 'N/A', 52.92608354240656, -7.654033899307251, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICN', 'small_airport', 'Coonagh Aerodrome', 52.6665, -8.68183, 6, 'IE', 'IE-LK', 'Limerick', 'no', 'EICN', '', '', ''),
	('EIFE', 'N/A', 'N/A', 52.471638545393944, -7.734705805778503, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIBE', 'N/A', 'N/A', 53.171489238739014, -8.113727867603302, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIAE', 'N/A', 'N/A', 52.39581249654293, -9.340142458677292, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICI', 'N/A', 'N/A', 51.7371715977788, -8.861892074346542, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICE', 'N/A', 'N/A', 52.38476514816284, -7.618324309587479, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIBR', 'small_airport', 'Birr Aerodrome', 53.07059860229492, -7.898330211639404, 250, 'IE', 'IE-OY', 'Birr', 'no', 'EIBR', '', '', 'Biorra'),
	('EIKY', 'medium_airport', 'Kerry Airport', 52.180901, -9.52378, 112, 'IE', 'IE-KY', 'Killarney', 'yes', 'EIKY', 'KIR', '', ''),
	('EIRO', 'N/A', 'N/A', 52.99069292843342, -7.893558293581009, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EITR', 'N/A', 'N/A', 52.347469702363014, -9.763607829809189, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICM', 'medium_airport', 'Galway Airport', 53.300201416015625, -8.941590309143066, 81, 'IE', 'IE-G', 'Galway', 'yes', 'EICM', 'GWY', '', ''),
	('EIIM', 'small_airport', 'Inishmore Aerodrome', 53.1067008972168, -9.653610229492188, 24, 'IE', 'IE-G', 'Inis Mór', 'yes', 'EIIM', 'IOR', '', 'Aran Islands'),
	('EICA', 'small_airport', 'Connemara Regional Airport', 53.23030090332031, -9.467780113220215, 70, 'IE', 'IE-G', 'Inverin', 'yes', 'EICA', 'NNR', '', 'Aerfort na Minna, Indreabhán');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EINE', 'N/A', 'N/A', 52.811042591929436, -8.136210143566132, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EISP', 'small_airport', 'Spanish Point Airfield', 52.845839, -9.414876, 75, 'IE', 'IE-CE', 'Spanish Point', 'no', 'EISP', '', '', ''),
	('EKVG', 'medium_airport', 'Vágar Airport', 62.063256, -7.275782, 280, 'FO', 'FO-U-A', 'Vágar', 'yes', 'EKVG', 'FAE', '', 'Faroes, RAF Vágar'),
	('EGFV', 'N/A', 'N/A', 56.367795914411545, -3.872273862361908, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPU', 'medium_airport', 'Tiree Airport', 56.49919891357422, -6.869170188903809, 38, 'GB', 'GB-SCT', 'Balemartine', 'yes', 'EGPU', 'TRE', '', 'Inner Hebrides'),
	('EGPO', 'medium_airport', 'Stornoway Airport', 58.215599, -6.33111, 26, 'GB', 'GB-SCT', 'Stornoway, Western Isles', 'yes', 'EGPO', 'SYY', '', 'Lewis'),
	('EGYQ', 'N/A', 'N/A', 57.57086791098118, -5.188833922147751, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPL', 'medium_airport', 'Benbecula Airport', 57.48109817504883, -7.3627800941467285, 19, 'GB', 'GB-SCT', 'Balivanich', 'yes', 'EGPL', 'BEB', '', ''),
	('EG13', 'small_airport', 'Glenforsa Airfield', 56.517202, -5.91401, 15, 'GB', 'GB-SCT', 'Glenforsa', 'no', '', 'ULL', 'EG13', 'Mull, EGZU'),
	('EGYR', 'N/A', 'N/A', 57.832190841436386, -3.8084475696086884, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGEL', 'small_airport', 'Coll Airport', 56.601898, -6.61778, 21, 'GB', 'GB-SCT', 'Coll Island', 'no', 'EGEL', 'COL', '', ''),
	('EGJW', 'N/A', 'N/A', 57.58681330829859, -4.315639436244965, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVZ', 'N/A', 'N/A', 57.129566073417664, -4.669340997934341, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG29', 'N/A', 'N/A', 57.33536761254072, -5.673084408044815, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGEO', 'small_airport', 'Oban Airport', 56.463501, -5.39967, 20, 'GB', 'GB-SCT', 'North Connel', 'no', 'EGEO', 'OBN', '', ''),
	('EGQI', 'N/A', 'N/A', 56.76375266164541, -3.8260406255722046, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG73', 'closed', 'RNAS Fearn Air Base', 57.757594, -3.948184, 25, 'GB', 'GB-SCT', 'Tain, Ross', 'no', '', '', '', 'RNAS Fearn'),
	('EGZP', 'N/A', 'N/A', 57.869080267846584, -4.023410528898239, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPR', 'medium_airport', 'Barra Airport', 57.0228, -7.44306, 5, 'GB', 'GB-SCT', 'Eoligarry', 'yes', 'EGPR', 'BRR', '', 'Barra Eoligarry Airport, Barra Island'),
	('EGYS', 'N/A', 'N/A', 56.56103800982237, -5.547385811805725, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGZL', 'small_airport', 'Feshiebridge Glider Field', 57.103667, -3.891667, 0, 'GB', 'GB-SCT', '', 'no', 'EGZL', '', '', ''),
	('EGPE', 'medium_airport', 'Inverness Airport', 57.54249954223633, -4.047500133514404, 31, 'GB', 'GB-SCT', 'Inverness', 'yes', 'EGPE', 'INV', '', ''),
	('EGIM', 'N/A', 'N/A', 57.58945997804403, -4.465572237968445, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGEI', 'N/A', 'N/A', 57.25320886820555, -5.827656090259552, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGAA', 'large_airport', 'Belfast International Airport', 54.6575012207, -6.2158298492399995, 268, 'GB', 'GB-NIR', 'Belfast', 'yes', 'EGAA', 'BFS', '', 'Aldergrove, RAF Aldergrove'),
	('EIRC', 'N/A', 'N/A', 53.45211837440729, -7.236902564764023, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGAE', 'medium_airport', 'City of Derry Airport', 55.04280090332031, -7.161109924316406, 22, 'GB', 'GB-NIR', 'Derry', 'yes', 'EGAE', 'LDY', '', 'Londonderry Eglinton Airport'),
	('EILA', 'N/A', 'N/A', 53.69077395647764, -6.27234622836113, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGZU', 'N/A', 'N/A', 54.37150787562132, -4.4205911457538605, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPG', 'small_airport', 'Cumbernauld Airport', 55.974701, -3.97556, 350, 'GB', 'GB-SCT', 'Cumbernauld', 'no', 'EGPG', '', '', ''),
	('EGAM', 'N/A', 'N/A', 54.37036123126745, -6.591904163360596, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGGM', 'N/A', 'N/A', 55.1583556830883, -6.7920175194740295, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGIS', 'N/A', 'N/A', 55.872593075037, -5.921572297811508, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKT', 'N/A', 'N/A', 54.32687859982252, -6.291639804840088, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGAL', 'closed', 'Langford Lodge Air Base', 54.62310028, -6.30000019, 0, 'GB', 'GB-NIR', 'Belfast', 'no', '', '', '', 'RAF Langford Lodge, Martin-Baker, EGAL'),
	('EGKD', 'N/A', 'N/A', 54.051743298769, -6.029448509216309, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNS', 'medium_airport', 'Isle of Man Airport', 54.083302, -4.62389, 52, 'IM', 'IM-U-A', 'Castletown', 'yes', 'EGNS', 'IOM', '', 'Ronaldsway, Douglas'),
	('EGQR', 'N/A', 'N/A', 54.8895413428545, -7.266489565372467, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIBA', 'small_airport', 'Ballyboughal Aerodrome', 53.5055556, -6.2377778, 180, 'IE', 'IE-D', 'Fingal', 'no', 'EIBB', '', '', ''),
	('EIHH', 'small_airport', 'Navan Airfield', 53.695489, -6.654094, 250, 'IE', 'IE-MH', 'Navan', 'no', 'EIHH', '', '', ''),
	('EGDA', 'closed', 'RAF Brawdy', 51.88375, -5.119972, 0, 'GB', 'GB-WLS', '', 'no', '', '', '', 'EGDA, EGDA'),
	('EGUZ', 'N/A', 'N/A', 54.89776600152254, -4.936084896326065, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIMH', 'small_airport', 'Athboy Airfield', 53.637779, -6.878611, 230, 'IE', 'IE-MH', 'Athboy', 'no', 'EIMH', '', '', ''),
	('EGZF', 'N/A', 'N/A', 54.45864446461201, -6.438038796186447, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPK', 'medium_airport', 'Glasgow Prestwick Airport', 55.502003, -4.587019, 65, 'GB', 'GB-SCT', 'Prestwick, South Ayrshire', 'yes', 'EGPK', 'PIK', '', ''),
	('EGAD', 'small_airport', 'Newtownards Airport', 54.5811, -5.69194, 9, 'GB', 'GB-NIR', 'Newtownards', 'no', 'EGAD', '', '', 'Ulster Flying Club'),
	('EGRT', 'N/A', 'N/A', 55.7569120824337, -5.048074722290039, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPF', 'large_airport', 'Glasgow International Airport', 55.871899, -4.43306, 26, 'GB', 'GB-SCT', 'Paisley, Renfrewshire', 'yes', 'EGPF', 'GLA', '', 'Port-adhair Eadar-nàiseanta Ghlaschu, RAF Abbotsinch, RAF Ayr'),
	('EGDW', 'small_airport', 'Merryfield RNAS Air Base', 50.962502, -2.93556, 151, 'GB', 'GB-ENG', 'Ilminster', 'no', 'EGDI', '', '', 'RAF Merryfield, RAF Isle Abbots, HMS Heron, EGDW'),
	('EGQB', 'closed', 'RAF Ballykelly (abandoned/closed)', 55.060299, -7.02028, 85, 'GB', 'GB-NIR', 'Ballykelly', 'no', '', '', '', 'RAF Ballykelly, EGQB, BOL'),
	('UK09', 'N/A', 'N/A', 54.8515535518527, -4.441820383071899, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EGAC', 'medium_airport', 'George Best Belfast City Airport', 54.618099, -5.8725, 15, 'GB', 'GB-NIR', 'Belfast', 'yes', 'EGAC', 'BHD', '', ''),
	('EGKQ', 'N/A', 'N/A', 54.06282149255276, -6.561109721660614, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTY', 'N/A', 'N/A', 55.67995112389326, -4.113214462995529, 256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPI', 'medium_airport', 'Islay Airport', 55.682708, -6.257525, 56, 'GB', 'GB-SCT', 'Isle of Islay, Argyll and Bute', 'yes', 'EGPI', 'ILY', '', 'Glenegedale, Islay, Port Ellen'),
	('EGZG', 'N/A', 'N/A', 54.093576706945896, -6.045790314674377, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJS', 'N/A', 'N/A', 55.46706888824701, -3.8439515233039856, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EITM', 'small_airport', 'Trim Aerodrome', 53.5746994019, -6.7386097908, 200, 'IE', 'IE-MH', 'Trim', 'no', 'EITM', '', '', ''),
	('EGLV', 'N/A', 'N/A', 55.13943504542112, -6.968480497598648, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGAQ', 'N/A', 'N/A', 54.30310249328613, -6.585668474435806, 238, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGEC', 'medium_airport', 'Campbeltown Airport', 55.437198638916016, -5.686389923095703, 42, 'GB', 'GB-SCT', 'Campbeltown', 'yes', 'EGEC', 'CAL', '', 'Kintyre, RAF Machrihanish, Kinlochkilkerran'),
	('EGOY', 'closed', 'RAF West Freugh', 54.8511, -4.94778, 55, 'GB', 'GB-SCT', 'Wigtownshire', 'no', '', '', '', 'EGOY, EGOY'),
	('EGYW', 'N/A', 'N/A', 54.572404995560646, -7.043756693601608, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKU', 'N/A', 'N/A', 54.80383571237326, -6.756446063518524, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVU', 'N/A', 'N/A', 54.386489018797874, -6.400284916162491, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJO', 'N/A', 'N/A', 54.33002885431051, -5.945727825164795, 246, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGEY', 'small_airport', 'Colonsay Airstrip', 56.057499, -6.24306, 44, 'GB', 'GB-SCT', 'Colonsay', 'no', 'EGEY', 'CSA', '', 'Machrins'),
	('EGZW', 'N/A', 'N/A', 54.182191863656044, -4.5127661526203156, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGRF', 'N/A', 'N/A', 54.25290830433369, -6.228992789983749, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EITT', 'closed', 'Trevet Airfield', 53.543611, -6.531944, 385, 'IE', 'IE-MH', 'Dunshaughlin', 'no', '', '', '', 'EITT, EITT'),
	('EGKM', 'closed', 'RAF West Malling', 51.27, 0.4, 308, 'GB', 'GB-ENG', 'West Malling, Kent', 'no', '', '', '', 'Maidstone Airport, Kingshill, Kings Hill, EGKM, WEM'),
	('EIKI', 'closed', 'Killenaule Airfield', 52.634261, -7.635262, 680, 'IE', 'IE-TA', 'Killenaule', 'no', '', '', '', 'EIKI'),
	('EGGJ', 'N/A', 'N/A', 54.848410338163376, -6.206150203943253, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIBM', 'N/A', 'N/A', 53.79631418734789, -7.284874320030212, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGBA', 'N/A', 'N/A', 55.05786068737507, -6.584688127040863, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIBJ', 'N/A', 'N/A', 53.86428236961365, -7.215096205472946, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGGA', 'N/A', 'N/A', 54.98762972652912, -6.644015908241272, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EITU', 'N/A', 'N/A', 53.70904214680195, -6.437749117612839, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICU', 'N/A', 'N/A', 52.516699992120266, -6.263652741909027, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIGN', 'small_airport', 'Gowran Grange Aerodrome', 53.1786, -6.63528, 489, 'IE', 'IE-KE', 'Swordlestown', 'no', 'EIGN', '', '', ''),
	('EGJV', 'N/A', 'N/A', 50.63575901091099, -4.618698209524155, 295, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIGO', 'N/A', 'N/A', 52.64000952243805, -6.299620717763901, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFA', 'small_airport', 'Aberporth Airport', 52.1152992249, -4.556940078739999, 428, 'GB', 'GB-WLS', 'Aberporth', 'no', 'EGFA', '', '', 'RAF Blaenanerch'),
	('EIWF', 'medium_airport', 'Waterford Airport', 52.187199, -7.08696, 119, 'IE', 'IE-WD', 'Waterford', 'no', 'EIWF', 'WAT', '', ''),
	('EGWK', 'N/A', 'N/A', 50.86679946631193, -3.8629531860351563, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIIH', 'heliport', 'Midland Heliport', 52.892223, -7.262778, 614, 'IE', 'IE-LS', 'Abbeyleix', 'no', 'EIIH', '', '', 'Midland Microlight Centre, Aughnacross'),
	('EIKH', 'small_airport', 'Kildare Aerodrome', 53.0635986328125, -6.855279922485352, 260, 'IE', 'IE-KE', 'Kilrush', 'no', 'EIKH', '', '', ''),
	('EICT', 'N/A', 'N/A', 52.414535991847515, -6.3631559908390045, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICS', 'closed', 'Castleforbes Airport', 53.778301, -7.83528, 150, 'IE', 'IE-LD', 'Castleforbes', 'no', '', '', '', 'EICS, EICS'),
	('EGFD', 'N/A', 'N/A', 52.809753119945526, -4.124772995710373, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGIA', 'N/A', 'N/A', 50.94379797577858, -4.386605322360992, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHU', 'small_airport', 'Eaglescott Airfield', 50.9286003112793, -3.9894399642944336, 655, 'GB', 'GB-ENG', 'Burrington', 'no', 'EGHU', '', '', ''),
	('EGGI', 'N/A', 'N/A', 50.97685318440199, -4.0973760187625885, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICL', 'small_airport', 'Clonbullogue Aerodrome', 53.249656677246094, -7.122745513916016, 240, 'IE', 'IE-OY', 'Clonbullogue', 'no', 'EICL', '', '', ''),
	('EIPT', 'closed', 'Powerscourt Airfield', 53.178301, -6.196495, 470, 'IE', 'IE-WW', 'Powerscourt', 'no', '', '', '', 'EIPT, EIPT'),
	('EGZI', 'N/A', 'N/A', 53.15750554203987, -4.235301911830902, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFP', 'small_airport', 'Pembrey West Wales Airport', 51.713902, -4.31222, 15, 'GB', 'GB-WLS', 'Pembrey, Carmarthenshire', 'no', 'EGFP', '', '', 'RAF Pembrey'),
	('EIST', 'N/A', 'N/A', 53.04558835923672, -7.163942456245422, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIDW', 'large_airport', 'Dublin Airport', 53.428713, -6.262121, 242, 'IE', 'IE-D', 'Dublin', 'yes', 'EIDW', 'DUB', '', 'Aerfort Bhaile Átha Cliath'),
	('EINC', 'small_airport', 'Newcastle Aerodrome', 53.071098, -6.04528, 1, 'IE', 'IE-WW', 'Newcastle', 'no', 'EINC', '', '', ''),
	('EIPO', 'N/A', 'N/A', 53.115454874932766, -7.244416773319244, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGOV', 'medium_airport', 'Anglesey Airport', 53.2481002808, -4.53533983231, 37, 'GB', 'GB-WLS', 'Angelsey', 'yes', 'EGOV', 'VLY', '', 'Maes Awyr Môn, RAF Valley');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EIMA', 'N/A', 'N/A', 53.4224709123373, -6.546252071857452, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIMU', 'N/A', 'N/A', 53.081749230623245, -7.276699393987656, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGZV', 'small_airport', 'Lundy Island Airfield', 51.170505, -4.670758, 455, 'GB', 'GB-ENG', '', 'no', '', '', '', 'EGZV'),
	('EILO', 'N/A', 'N/A', 52.29792930185795, -6.681813597679138, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIME', 'medium_airport', 'Casement Air Base', 53.301700592, -6.451330184940001, 319, 'IE', 'IE-D', 'Baldonnel', 'no', 'EIME', '', '', 'RAF Baldonnel'),
	('EGGT', 'N/A', 'N/A', 50.84256537258625, -4.167011082172394, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EICC', 'N/A', 'N/A', 53.27183939516544, -6.686219125986099, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIWT', 'medium_airport', 'Weston Airfield', 53.3522, -6.48611, 150, 'IE', 'IE-KE', 'Leixlip', 'no', 'EIWT', '', '', 'Dublin'),
	('EGFH', 'medium_airport', 'Swansea Airport', 51.601366, -4.071006, 299, 'GB', 'GB-WLS', 'Swansea', 'no', 'EGFH', 'SWS', '', 'Abertawe, Fairwood Common, RAF Fairwood Common, Maes Awyr Abertawe'),
	('EGWL', 'N/A', 'N/A', 50.77710438519716, -3.905479609966278, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIPR', 'N/A', 'N/A', 53.26801389455795, -6.8390898406505585, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIBI', 'N/A', 'N/A', 52.57050845772028, -6.318271905183792, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIKK', 'small_airport', 'Kilkenny Airport', 52.65079879760742, -7.296110153198242, 319, 'IE', 'IE-KK', 'Kilkenny', 'no', 'EIKK', 'KKY', '', 'EIKL'),
	('EGFE', 'medium_airport', 'Haverfordwest Airport', 51.833099365234375, -4.9611101150512695, 159, 'GB', 'GB-WLS', 'Haverfordwest', 'no', 'EGFE', 'HAW', '', ''),
	('EICW', 'N/A', 'N/A', 52.89874076843262, -6.9287605583667755, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGDC', 'medium_airport', 'Royal Marines Base Chivenor', 51.0872, -4.15034, 27, 'GB', 'GB-ENG', 'Chivenor', 'no', 'EGDC', '', '', ''),
	('EGCK', 'small_airport', 'Caernarfon Airport', 53.101819, -4.337614, 1, 'GB', 'GB-WLS', 'Caernarfon', 'no', 'EGCK', '', '', ''),
	('EGUI', 'N/A', 'N/A', 52.612225860357285, -4.075087308883667, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EITH', 'N/A', 'N/A', 52.64233633875847, -7.121968120336533, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGOQ', 'small_airport', 'RAF Mona', 53.258598, -4.37355, 202, 'GB', 'GB-WLS', 'Holyhead Island', 'no', 'EGOQ', '', '', ''),
	('EIRH', 'N/A', 'N/A', 53.170431442558765, -7.0189641416072845, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EIHN', 'small_airport', 'Hacketstown Aerodrome', 52.85499954223633, -6.547220230102539, 610, 'IE', 'IE-CW', 'Hacketstown', 'no', 'EIHN', '', '', 'Baile Haicéid'),
	('EGTM', 'N/A', 'N/A', 50.28506588190794, -5.228463113307953, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTP', 'small_airport', 'Perranporth Airfield', 50.33169937133789, -5.177499771118164, 330, 'GB', 'GB-ENG', 'Perranporth', 'no', 'EGTP', '', '', 'RAF Perranporth'),
	('EGZX', 'N/A', 'N/A', 50.504186265170574, -4.980844259262085, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQQ', 'N/A', 'N/A', 50.475455448031425, -4.308405518531799, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGRO', 'N/A', 'N/A', 50.42283855378628, -4.816229045391083, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFRB', 'medium_airport', 'Brest Bretagne Airport', 48.447899, -4.41854, 325, 'FR', 'FR-BRE', 'Brest/Guipavas', 'yes', 'LFRB', 'BES', '', ''),
	('EGZY', 'N/A', 'N/A', 50.22382568567991, -3.8013553619384766, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHQ', 'medium_airport', 'Cornwall Airport Newquay', 50.440601, -4.99541, 390, 'GB', 'GB-ENG', 'Newquay', 'yes', 'EGHQ', 'NQY', '', 'St Mawgan, EGDG'),
	('LFEC', 'small_airport', 'Ouessant Airport', 48.4632, -5.06358, 142, 'FR', 'FR-BRE', 'Ushant', 'yes', 'LFEC', 'OUI', '', ''),
	('LFRQ', 'medium_airport', 'Quimper-Cornouaille Airport', 47.973031, -4.169655, 297, 'FR', 'FR-BRE', 'Quimper/Pluguffan', 'no', 'LFRQ', 'UIP', '', ''),
	('LFRU', 'medium_airport', 'Morlaix-Ploujean Airport', 48.6031990051, -3.81577992439, 272, 'FR', 'FR-BRE', 'Morlaix/Ploujean', 'no', 'LFRU', 'MXN', '', ''),
	('EGQO', 'N/A', 'N/A', 50.561418905854225, -4.8972295224666595, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTV', 'N/A', 'N/A', 50.592438988387585, -4.145433604717255, 259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGDO', 'small_airport', 'RNAS Predannack Air Base', 50.001202, -5.23083, 295, 'GB', 'GB-ENG', 'Predannack Wollas', 'no', 'EGDO', '', '', ''),
	('EGRJ', 'N/A', 'N/A', 50.17946194857359, -5.44995591044426, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLA', 'small_airport', 'Bodmin Airfield', 50.499698638916016, -4.665830135345459, 650, 'GB', 'GB-ENG', 'Bodmin', 'no', 'EGLA', '', '', ''),
	('EGDR', 'medium_airport', 'RNAS Culdrose', 50.08610153198242, -5.255710124969482, 267, 'GB', 'GB-ENG', 'Helston', 'no', 'EGDR', '', '', ''),
	('EGHD', 'closed', 'Plymouth City Airport', 50.424282, -4.109439, 476, 'GB', 'GB-ENG', 'Plymouth, Devon', 'no', '', '', '', 'EGHD, PLH'),
	('EGHE', 'small_airport', 'St. Mary''s Airport', 49.9133, -6.29167, 116, 'GB', 'GB-ENG', 'St. Mary''s', 'yes', 'EGHE', 'ISC', '', ''),
	('EGHY', 'small_airport', 'Truro Aerodrome', 50.2784, -5.14229, 127, 'GB', 'GB-ENG', 'Truro', 'no', 'EGHY', '', '', ''),
	('EGHC', 'small_airport', 'Land''s End Airport', 50.102798, -5.67056, 398, 'GB', 'GB-ENG', 'Land''s End, Cornwall', 'yes', 'EGHC', 'LEQ', '', 'St. Just Airport'),
	('EGEN', 'small_airport', 'North Ronaldsay Airport', 59.3675003052, -2.43443989754, 40, 'GB', 'GB-SCT', 'North Ronaldsay', 'yes', 'EGEN', 'NRL', '', ''),
	('EGER', 'small_airport', 'Stronsay Airport', 59.1553, -2.64139, 39, 'GB', 'GB-SCT', 'Stronsay', 'yes', 'EGER', 'SOY', '', ''),
	('EGPW', 'small_airport', 'Unst Airport', 60.7472, -0.85385, 0, 'GB', 'GB-SCT', 'Shetland Islands', 'no', 'EGPW', 'UNT', '', ''),
	('EGES', 'small_airport', 'Sanday Airport', 59.250301, -2.57667, 68, 'GB', 'GB-SCT', 'Sanday', 'yes', 'EGES', 'NDY', '', ''),
	('EGED', 'medium_airport', 'Eday Airport', 59.19060134887695, -2.7722198963165283, 10, 'GB', 'GB-SCT', 'Eday', 'yes', 'EGED', 'EOI', '', 'London Airport'),
	('EG78', 'N/A', 'N/A', 60.425102077424526, -0.7486608624458313, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGEH', 'small_airport', 'Whalsay Airstrip', 60.376835, -0.927229, 100, 'GB', 'GB-SCT', 'Whalsay, Shetlands', 'no', 'EGEH', 'WHS', '', ''),
	('EGZR', 'N/A', 'N/A', 60.12197557836771, -2.0534509420394897, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EGET', 'small_airport', 'Lerwick / Tingwall Airport', 60.192199707, -1.24361002445, 43, 'GB', 'GB-SCT', 'Lerwick', 'yes', 'EGET', 'LWK', '', ''),
	('EGPB', 'medium_airport', 'Sumburgh Airport', 59.87889862060547, -1.2955600023269653, 20, 'GB', 'GB-SCT', 'Lerwick', 'yes', 'EGPB', 'LSI', '', 'Shetlands'),
	('EGEP', 'small_airport', 'Papa Westray Airport', 59.351699829100006, -2.9002799987800003, 91, 'GB', 'GB-SCT', 'Papa Westray', 'yes', 'EGEP', 'PPW', '', 'Papay'),
	('EGPM', 'closed', 'Scatsta Airport', 60.4328, -1.29611, 81, 'GB', 'GB-SCT', 'Shetland Islands', 'no', '', '', '', 'EGPM, SCS'),
	('EGZT', 'N/A', 'N/A', 60.32167475670576, -1.693241447210312, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEA', 'small_airport', 'Fetlar Airstrip', 60.603333, -0.872778, 263, 'GB', 'GB-SCT', 'Fetlar Island', 'no', '', 'FEA', '', ''),
	('EGEF', 'small_airport', 'Fair Isle Airport', 59.534721, -1.628509, 223, 'GB', 'GB-SCT', 'Fair Isle', 'yes', 'EGEF', 'FIE', '', ''),
	('EGEW', 'small_airport', 'Westray Airport', 59.3502998352, -2.95000004768, 29, 'GB', 'GB-SCT', 'Westray', 'yes', 'EGEW', 'WRY', '', ''),
	('EGQD', 'N/A', 'N/A', 56.268970258533955, -2.7506862580776215, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGAU', 'N/A', 'N/A', 56.32484033703804, -3.7463772296905518, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQK', 'closed', 'RAF Kinloss', 57.649399, -3.56064, 22, 'GB', 'GB-SCT', 'Kinloss', 'no', '', '', '', 'EGQK, EGQK, FSS'),
	('EGJL', 'N/A', 'N/A', 57.58656956255436, -3.311755657196045, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGIN', 'N/A', 'N/A', 57.31115464121103, -2.6489464938640594, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPD', 'medium_airport', 'Aberdeen Dyce Airport', 57.2019, -2.19778, 215, 'GB', 'GB-SCT', 'Aberdeen', 'yes', 'EGPD', 'ABZ', '', ''),
	('EG0A', 'N/A', 'N/A', 56.26942723989487, -2.6058344542980194, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLZ', 'N/A', 'N/A', 57.66437206417322, -3.189239948987961, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGZM', 'N/A', 'N/A', 57.07470618188381, -2.8400766849517822, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYT', 'N/A', 'N/A', 56.652714908123016, -2.8337444365024567, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKF', 'N/A', 'N/A', 58.88773966580629, -2.8917986154556274, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQG', 'N/A', 'N/A', 57.51684185117483, -1.8645720183849335, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGZQ', 'N/A', 'N/A', 58.825727328658104, -3.1431667506694794, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPN', 'medium_airport', 'Dundee Airport', 56.45249938964844, -3.025830030441284, 17, 'GB', 'GB-SCT', 'Dundee', 'yes', 'EGPN', 'DND', '', ''),
	('EGPC', 'medium_airport', 'Wick Airport', 58.458900451660156, -3.09306001663208, 126, 'GB', 'GB-SCT', 'Wick', 'yes', 'EGPC', 'WIC', '', ''),
	('EGPA', 'medium_airport', 'Kirkwall Airport', 58.957801818847656, -2.9049999713897705, 50, 'GB', 'GB-SCT', 'Orkney Islands', 'yes', 'EGPA', 'KOI', '', ''),
	('EGQS', 'medium_airport', 'RAF Lossiemouth', 57.7052001953125, -3.339169979095459, 42, 'GB', 'GB-SCT', 'Lossiemouth', 'no', 'EGQS', 'LMO', '', ''),
	('EG11', 'N/A', 'N/A', 56.581308133900166, -2.6156969368457794, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQE', 'N/A', 'N/A', 57.31891594827175, -2.2495369613170624, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPT', 'small_airport', 'Perth/Scone Airport', 56.439201, -3.37222, 397, 'GB', 'GB-SCT', 'Perth', 'no', 'EGPT', 'PSL', '', ''),
	('EG30', 'N/A', 'N/A', 57.66699492931366, -2.6392999291419983, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQF', 'N/A', 'N/A', 57.40664664655924, -1.911715418100357, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQL', 'medium_airport', 'Leuchars Station Airfield', 56.37398, -2.868862, 38, 'GB', 'GB-SCT', 'Leuchars, Fife', 'no', 'EGQL', 'ADX', '', ''),
	('EGRW', 'N/A', 'N/A', 53.723663203418255, -2.255537509918213, 296, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJF', 'N/A', 'N/A', 53.897260800004005, -2.9026007652282715, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXZ', 'medium_airport', 'RAF Topcliffe', 54.205501556399994, -1.3820899725, 92, 'GB', 'GB-ENG', 'Topcliffe', 'no', 'EGXZ', '', '', ''),
	('EGBY', 'N/A', 'N/A', 53.74744836241007, -1.0858605802059174, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCJ', 'small_airport', 'Sherburn-In-Elmet Airfield', 53.788458, -1.216877, 26, 'GB', 'GB-ENG', 'Selby', 'no', 'EGCJ', '', '', ''),
	('EGQP', 'N/A', 'N/A', 54.869620241224766, -1.5962764620780945, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGOM', 'medium_airport', 'RAF Spadeadam', 55.0499992371, -2.54999995232, 1066, 'GB', 'GB-ENG', 'Spadeadam', 'no', 'EGOM', '', '', ''),
	('EGGF', 'N/A', 'N/A', 53.792576529085636, -1.356334537267685, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFJ', 'N/A', 'N/A', 53.77224035561085, -0.5758662521839142, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNB', 'closed', 'Brough Airport', 53.7197, -0.566333, 12, 'GB', 'GB-ENG', 'Brough', 'no', '', '', '', 'EGNB, EGNB'),
	('EGNM', 'medium_airport', 'Leeds Bradford Airport', 53.865898, -1.66057, 681, 'GB', 'GB-ENG', 'Leeds', 'yes', 'EGNM', 'LBA', '', ''),
	('EGGL', 'N/A', 'N/A', 53.47791753709316, -2.6211123168468475, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNJ', 'medium_airport', 'Humberside Airport', 53.57440185546875, -0.350832998752594, 121, 'GB', 'GB-ENG', 'Grimsby', 'yes', 'EGNJ', 'HUY', '', 'RAF Kirmington'),
	('EGFQ', 'N/A', 'N/A', 55.70721410214901, -2.3796088993549347, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCB', 'small_airport', 'City Airport Manchester', 53.471699, -2.38972, 73, 'GB', 'GB-ENG', 'Manchester / Salford', 'no', 'EGCB', '', '', 'Barton Aerodrome'),
	('EGOX', 'N/A', 'N/A', 53.814385905861855, -1.9313232600688934, 324, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYV', 'N/A', 'N/A', 56.19116272777319, -3.3307988941669464, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG10', 'N/A', 'N/A', 55.74987228959799, -2.1655797958374023, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGAS', 'N/A', 'N/A', 53.61038647592068, -1.1339248716831207, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPV', 'N/A', 'N/A', 54.57056567072868, -2.6709777116775513, 260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EGNU', 'small_airport', 'Full Sutton Airfield', 53.980598, -0.864722, 86, 'GB', 'GB-ENG', 'Full Sutton', 'no', 'EGNU', '', '', ''),
	('EGUQ', 'N/A', 'N/A', 54.251837097108364, -1.2945950031280518, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHZ', 'N/A', 'N/A', 54.25099655985832, -0.9412854909896851, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNG', 'small_airport', 'Bagby Thirsk Airfield', 54.211102, -1.29, 161, 'GB', 'GB-ENG', 'Bagby', 'no', 'EGNG', '', '', ''),
	('EGRK', 'N/A', 'N/A', 56.2240519747138, -2.9776816070079803, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGAI', 'N/A', 'N/A', 54.23131886869669, -1.2088273465633392, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUK', 'closed', 'RAF Waterbeach', 52.281742, 0.184532, 19, 'GB', 'GB-ENG', 'Cambridge, Cambridgeshire', 'no', '', '', '', 'Waterbeach Airfield'),
	('EGGG', 'N/A', 'N/A', 53.79679396748543, -0.09147673845291138, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNK', 'N/A', 'N/A', 56.000867038965225, -2.734641283750534, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGIF', 'N/A', 'N/A', 55.87429225444794, -3.455495685338974, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHX', 'N/A', 'N/A', 54.233169592916965, -0.9724777936935425, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQJ', 'N/A', 'N/A', 53.92632756382227, -0.7950147986412048, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXX', 'N/A', 'N/A', 54.461050406098366, -0.7427506148815155, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGOW', 'small_airport', 'RAF Woodvale', 53.5816, -3.05552, 37, 'GB', 'GB-ENG', 'Southport', 'no', 'EGOW', '', '', ''),
	('EGWH', 'N/A', 'N/A', 53.9227719604969, -0.9950830042362213, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKW', 'N/A', 'N/A', 55.87550159543753, -3.3997303247451782, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUT', 'closed', 'RAF Tangmere', 50.847175, -0.703011, 41, 'GB', 'GB-ENG', 'Chichester, West Sussex', 'no', '', '', '', 'EGUT'),
	('EG3L', 'small_airport', 'Milfield Glider Field', 55.591636, -2.087231, 0, 'GB', 'GB-ENG', '', 'no', '', '', '', 'EGEX'),
	('EGPQ', 'N/A', 'N/A', 54.656173065304756, -2.9346169531345367, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG19', 'small_airport', 'Boon Hill Farm Airstrip', 54.308086, -0.983105, 0, 'GB', 'GB-ENG', 'Fadmoor, Kirbymoorside', 'no', '', '', '', ''),
	('EGWI', 'N/A', 'N/A', 54.88243516534567, -3.2047556340694427, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGIC', 'N/A', 'N/A', 53.53618182241917, -3.0316248536109924, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCN', 'closed', 'Robin Hood Doncaster Sheffield Airport', 53.475287, -1.004267, 55, 'GB', 'GB-ENG', 'Doncaster, South Yorkshire', 'yes', '', '', '', 'RAF Finningley, EGCN, DSA'),
	('EGGU', 'N/A', 'N/A', 56.043534614145756, -2.801859676837921, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCF', 'small_airport', 'Sandtoft Airfield', 53.559358, -0.859043, 11, 'GB', 'GB-ENG', 'Doncaster, South Yorkshire', 'no', 'EGCF', '', '', ''),
	('EGMG', 'N/A', 'N/A', 53.86859871447086, -0.8372421562671661, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGMQ', 'N/A', 'N/A', 55.54036024957895, -2.7420106530189514, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJK', 'N/A', 'N/A', 53.93483452498913, -2.8433172404766083, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFS', 'N/A', 'N/A', 53.509333580732346, -0.9403395652770996, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJG', 'N/A', 'N/A', 55.479009076952934, -1.7261552810668945, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFI', 'N/A', 'N/A', 54.68672677874565, -1.458507478237152, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNY', 'small_airport', 'Beverley/Linley Hill Airfield', 53.8983, -0.361389, 3, 'GB', 'GB-ENG', 'Beverley', 'no', 'EGNY', '', '', ''),
	('EGRC', 'N/A', 'N/A', 54.58466671407223, -1.0697834193706512, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGRL', 'N/A', 'N/A', 55.220907144248486, -1.9255900382995605, 249, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGND', 'small_airport', 'Crosland Moor Airfield', 53.621667, -1.830278, 825, 'GB', 'GB-ENG', 'Huddersfield', 'no', '', '', '', 'EGND'),
	('EGGC', 'N/A', 'N/A', 54.120405837893486, -0.23738309741020203, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNO', 'medium_airport', 'Warton Aerodrome', 53.745098, -2.88306, 55, 'GB', 'GB-ENG', 'Warton', 'no', 'EGNO', 'WRT', '', ''),
	('EGID', 'N/A', 'N/A', 53.78593537956476, -1.0000312328338623, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNH', 'medium_airport', 'Blackpool International Airport', 53.77170181274414, -3.0286099910736084, 34, 'GB', 'GB-ENG', 'Blackpool', 'yes', 'EGNH', 'BLK', '', ''),
	('EGIL', 'N/A', 'N/A', 53.85180305689573, -2.793222963809967, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Cark', 'small_airport', 'Cark airfield', 54.163753, -2.962299, 20, 'GB', 'GB-ENG', 'Cark', 'no', '', '', '', 'Cark'),
	('EGMN', 'N/A', 'N/A', 53.53469453752041, -0.6836056709289551, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGZZ', 'N/A', 'N/A', 56.21649082750082, -3.456626236438751, 130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGIB', 'N/A', 'N/A', 53.4923230111599, -0.8146056532859802, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCM', 'N/A', 'N/A', 53.834455870091915, -1.1955446004867554, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNL', 'medium_airport', 'Barrow Walney Island Airport', 54.1286111, -3.2675, 173, 'GB', 'GB-ENG', 'Barrow-in-Furness', 'no', 'EGNL', 'BWF', '', ''),
	('EGXU', 'closed', 'RAF Linton-On-Ouse', 54.048901, -1.25275, 53, 'GB', 'GB-ENG', 'Linton-On-Ouse', 'no', '', '', '', 'EGXU, HRT'),
	('EGAP', 'N/A', 'N/A', 54.698558673262596, -2.5849521160125732, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPH', 'large_airport', 'Edinburgh Airport', 55.950145, -3.372288, 135, 'GB', 'GB-SCT', 'Edinburgh', 'yes', 'EGPH', 'EDI', '', ''),
	('EGFL', 'N/A', 'N/A', 55.278377160429955, -1.7205101251602173, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXD', 'closed', 'Dishforth Airfield', 54.137199, -1.42025, 117, 'GB', 'GB-ENG', 'Dishforth', 'no', '', '', '', 'Royal Air Force, RAF, EGXD');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EGBR', 'small_airport', 'Breighton Airfield', 53.802794, -0.917179, 163, 'GB', 'GB-ENG', 'Selby, North Yorkshire', 'no', '', '', '', 'EGBR'),
	('EGPP', 'N/A', 'N/A', 54.73782520741224, -2.652231752872467, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXR', 'N/A', 'N/A', 54.12747714668512, -0.4305727779865265, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGWV', 'N/A', 'N/A', 53.513049110770226, -2.6255862414836884, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGIT', 'N/A', 'N/A', 55.677034221589565, -2.608325779438019, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQT', 'N/A', 'N/A', 53.561625592410564, -0.20224392414093018, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNT', 'medium_airport', 'Newcastle Airport', 55.037958, -1.689577, 266, 'GB', 'GB-ENG', 'Newcastle', 'yes', 'EGNT', 'NCL', '', ''),
	('EGKX', 'N/A', 'N/A', 53.46177667379379, -0.5751501023769379, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGGY', 'N/A', 'N/A', 54.94688495993614, -3.737894296646118, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXE', 'medium_airport', 'RAF Leeming Air Base', 54.2924, -1.5354, 132, 'GB', 'GB-ENG', 'Leeming', 'no', 'EGXE', '', '', ''),
	('EGXF', 'N/A', 'N/A', 54.293271861970425, -2.694784998893738, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGZB', 'N/A', 'N/A', 53.688544034957886, -2.796737104654312, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNV', 'medium_airport', 'Teesside International Airport', 54.509201, -1.42941, 120, 'GB', 'GB-ENG', 'Darlington, Durham', 'yes', 'EGNV', 'MME', '', 'Durham Tees Valley Airport, RAF Middleton St George, Tees-Side'),
	('UK11', 'N/A', 'N/A', 53.949093483388424, -1.183992326259613, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGWO', 'N/A', 'N/A', 54.11121591925621, -0.46216920018196106, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNC', 'medium_airport', 'Carlisle Lake District Airport', 54.9375, -2.80917, 190, 'GB', 'GB-ENG', 'Carlisle', 'no', 'EGNC', 'CAX', '', ''),
	('EGKP', 'N/A', 'N/A', 53.566940389573574, -1.684638261795044, 250, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPJ', 'small_airport', 'Fife Airport', 56.1833, -3.22028, 399, 'GB', 'GB-SCT', 'Glenrothes', 'no', 'EGPJ', '', '', ''),
	('EGHW', 'N/A', 'N/A', 53.4968800842762, -0.5185000598430634, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJI', 'N/A', 'N/A', 54.16867487132549, -1.2268750369548798, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGBH', 'N/A', 'N/A', 50.70924215018749, -2.219761312007904, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGEX', 'N/A', 'N/A', 52.94748354703188, -3.0463577806949615, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGBO', 'small_airport', 'Wolverhampton Halfpenny Green Airport', 52.517502, -2.25944, 283, 'GB', 'GB-ENG', 'Wolverhampton', 'no', 'EGBO', '', '', 'Wolverhampton Business Airport, Bobbington Airport'),
	('EGBL', 'closed', 'Long Marston Airfield', 52.140301, -1.75361, 154, 'GB', 'GB-ENG', 'Long Marston', 'no', '', '', '', 'RAF Long Marston, EGBL'),
	('EGKR', 'small_airport', 'Redhill Aerodrome', 51.2136, -0.138611, 222, 'GB', 'GB-ENG', 'Redhill, Surrey', 'no', 'EGKR', '', '', 'RAF Redhill'),
	('EGQZ', 'N/A', 'N/A', 52.58391883224249, -2.637524753808975, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGMV', 'N/A', 'N/A', 51.33084140717983, -1.928727775812149, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJN', 'N/A', 'N/A', 51.42315499484539, -1.7703737318515778, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGDK', 'N/A', 'N/A', 52.21343703567982, -0.7014919817447662, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUH', 'N/A', 'N/A', 50.95733843743801, -3.530048131942749, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGMR', 'N/A', 'N/A', 51.39009810984135, -1.7333458364009857, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKS', 'N/A', 'N/A', 51.29227828234434, -1.2480734288692474, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFF', 'medium_airport', 'Cardiff International Airport', 51.396702, -3.34333, 220, 'GB', 'GB-WLS', 'Rhoose, Vale of Glamorgan', 'yes', 'EGFF', 'CWL', '', 'Caerdydd, Cardiff International Airport, Maes Awyr Caerdydd, Rhoose, Y Rhws'),
	('EGQX', 'N/A', 'N/A', 51.473478600382805, -2.4031390249729156, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGRN', 'N/A', 'N/A', 51.600383296608925, -1.1823320388793945, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGIW', 'N/A', 'N/A', 52.085446044802666, -1.474105417728424, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHF', 'small_airport', 'Solent Airport', 50.814201, -1.20333, 32, 'GB', 'GB-ENG', 'Lee-on-Solent', 'no', 'EGHF', '', '', 'HMS Daedalus, HMS Ariel, EGUS'),
	('EGME', 'N/A', 'N/A', 51.128763779997826, -2.2462333738803864, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUB', 'medium_airport', 'RAF Benson', 51.616401672399995, -1.09582996368, 226, 'GB', 'GB-ENG', 'Benson', 'no', 'EGUB', 'BEX', '', ''),
	('EGVJ', 'closed', 'RAF Bentwaters', 52.127499, 1.43472, 85, 'GB', 'GB-ENG', 'Woodbridge, Suffolk', 'no', '', '', '', 'EGVJ, BWY'),
	('EGGK', 'N/A', 'N/A', 51.059918850660324, -0.5927368998527527, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYJ', 'N/A', 'N/A', 51.426692828536034, -1.1111211776733398, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVP', 'small_airport', 'Middle Wallop Airfield', 51.1394, -1.56861, 297, 'GB', 'GB-ENG', 'Middle Wallop', 'no', 'EGVP', '', '', ''),
	('EGCV', 'small_airport', 'Sleap Airfield', 52.8339, -2.77167, 275, 'GB', 'GB-ENG', 'Shrewsbury', 'no', 'EGCV', '', '', 'RAF Sleap'),
	('EGMK', 'closed', 'RAF Lympne / Lympne Airport', 51.079991, 1.016622, 351, 'GB', 'GB-ENG', 'Hythe, Kent', 'no', '', '', '', 'RAF Lympne, EGMK, LYM'),
	('EGHP', 'small_airport', 'Popham Airfield', 51.193901, -1.23472, 550, 'GB', 'GB-ENG', 'Basingstoke', 'no', 'EGHP', '', '', ''),
	('EGBS', 'small_airport', 'Shobdon Aerodrome', 52.2416992188, -2.8811099529299997, 318, 'GB', 'GB-ENG', 'Shobdon', 'no', 'EGBS', '', '', 'Herefordshire Aero Club'),
	('EGFN', 'N/A', 'N/A', 52.23753098398447, -1.1414556205272675, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG34', 'small_airport', 'Ledbury Airfield', 52.0019, -2.47416, 250, 'GB', 'GB-ENG', 'Ledbury', 'no', '', '', '', 'Velcourt'),
	('EGYF', 'N/A', 'N/A', 51.41019891947508, -2.448035180568695, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGMJ', 'small_airport', 'Little Gransden Airfield', 52.165977, -0.149222, 250, 'GB', 'GB-ENG', 'Sandy, Bedfordshire', 'no', 'EGMJ', '', '', 'St Neot''s');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EGOB', 'N/A', 'N/A', 52.732445150613785, -1.584082692861557, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGAV', 'N/A', 'N/A', 51.43177695572376, -1.910368949174881, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHR', 'small_airport', 'Goodwood Aerodrome', 50.859832, -0.760073, 98, 'GB', 'GB-ENG', 'Chichester, West Sussex', 'no', 'EGHR', 'QUG', '', 'RAF Westhampnett'),
	('EGVY', 'N/A', 'N/A', 53.2812375202775, -0.870358943939209, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGWZ', 'closed', 'RAF Alconbury', 52.374401092499994, -0.219722002745, 157, 'GB', 'GB-ENG', 'Huntingdon', 'no', '', '', '', 'EGWZ, EGWZ, AYH'),
	('EGMY', 'N/A', 'N/A', 52.970665879547596, -1.748681366443634, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXY', 'small_airport', 'RAF Syerston', 53.02280044555664, -0.9111109972000122, 228, 'GB', 'GB-ENG', 'Newark', 'no', 'EGXY', '', '', ''),
	('EGBT', 'small_airport', 'Turweston Aerodrome', 52.040798, -1.09556, 448, 'GB', 'GB-ENG', 'Turweston', 'no', 'EGBT', '', '', 'RAF Turweston'),
	('EGLY', 'N/A', 'N/A', 50.794836804270744, -2.0976707339286804, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGIU', 'N/A', 'N/A', 51.87870875000954, -1.2218794226646423, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYN', 'N/A', 'N/A', 52.122121565043926, -0.6959241628646851, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUG', 'N/A', 'N/A', 51.606020629405975, -1.6741852462291718, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGOS', 'medium_airport', 'RAF Shawbury', 52.79819869995117, -2.6680400371551514, 249, 'GB', 'GB-ENG', 'Shawbury', 'no', 'EGOS', '', '', 'Shrewsbury'),
	('EGYD', 'medium_airport', 'RAF Cranwell', 53.0303001404, -0.48324200511, 218, 'GB', 'GB-ENG', 'Cranwell', 'no', 'EGYD', '', '', ''),
	('EGLD', 'small_airport', 'Denham Aerodrome', 51.588299, -0.513056, 249, 'GB', 'GB-ENG', 'Uxbridge, Greater London', 'no', 'EGLD', '', '', 'Gerrards Cross'),
	('EGVE', 'N/A', 'N/A', 51.904345974326134, -0.24843871593475342, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUC', 'N/A', 'N/A', 53.11886664479971, -0.8915971219539642, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLM', 'small_airport', 'White Waltham Airfield', 51.500801, -0.774444, 131, 'GB', 'GB-ENG', 'Maidenhead, Berkshire', 'no', 'EGLM', '', '', 'West London Aero Club'),
	('EGDJ', 'small_airport', 'Upavon Aerodrome', 51.2862014771, -1.7820199728, 574, 'GB', 'GB-ENG', 'Upavon', 'no', 'EGDJ', 'UPV', '', 'RAF Upavon, Trenchard Lines, Salisbury Plain'),
	('EGRV', 'N/A', 'N/A', 53.32272928208113, -0.25745585560798645, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYX', 'N/A', 'N/A', 53.279841765761375, -2.295628935098648, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLX', 'N/A', 'N/A', 53.006484769284725, -0.6903541088104248, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQU', 'N/A', 'N/A', 52.74536870419979, -0.3425028920173645, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNZ', 'N/A', 'N/A', 51.62887170910835, -2.2401711344718933, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGSZ', 'N/A', 'N/A', 51.71347126364708, -2.2837409377098083, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTX', 'N/A', 'N/A', 51.03245437145233, -0.3303699195384979, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUO', 'closed', 'RAF Colerne', 51.439098, -2.28639, 593, 'GB', 'GB-ENG', 'Colerne', 'no', '', '', '', 'Colerne Airfield, EGUO'),
	('EGLS', 'small_airport', 'Old Sarum Airfield', 51.0989, -1.78417, 285, 'GB', 'GB-ENG', 'Salisbury', 'no', 'EGLS', '', '', 'RAF Old Sarum'),
	('EGVI', 'N/A', 'N/A', 53.1593881174922, -0.7260239124298096, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGDX', 'medium_airport', 'MOD St Athan', 51.405229, -3.433254, 163, 'GB', 'GB-WLS', 'St Athan, Vale of Glamorgan', 'no', 'EGSY', '', '', 'RAF St Athan, St Athan Air Base, Saint Athan, Sain Tathan'),
	('EGMI', 'N/A', 'N/A', 53.42173933982849, -0.9101083874702454, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXK', 'N/A', 'N/A', 51.730745024979115, -1.144057810306549, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGOR', 'N/A', 'N/A', 53.164326064288616, -2.571484297513962, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUS', 'N/A', 'N/A', 51.12537648528814, -2.5965915620326996, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGOH', 'N/A', 'N/A', 52.74045657366514, -0.906592458486557, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYH', 'N/A', 'N/A', 52.200692519545555, -1.3651344180107117, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGBW', 'small_airport', 'Wellesbourne Airfield', 52.1922, -1.61444, 159, 'GB', 'GB-ENG', 'Stratford-on-Avon', 'no', 'EGBW', '', '', ''),
	('EGXG', 'medium_airport', 'Leeds East Airport', 53.834301, -1.1955, 29, 'GB', 'GB-ENG', 'Church Fenton', 'no', 'EGCM', '', '', 'RAF Church Fenton'),
	('EGTE', 'medium_airport', 'Exeter International Airport', 50.734261, -3.413984, 102, 'GB', 'GB-ENG', 'Exeter, Devon', 'yes', 'EGTE', 'EXT', '', ''),
	('EGXB', 'closed', 'Binbrook Airfield', 53.4467010498, -0.209999993443, 0, 'GB', 'GB-ENG', 'Grimsby', 'no', '', '', '', 'Waltham, RAF Binbrook, EGXB, GSY'),
	('EGOP', 'N/A', 'N/A', 52.636689618229866, -1.390243023633957, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGBZ', 'N/A', 'N/A', 51.00349422544241, -3.2418371737003326, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXS', 'closed', 'RAF Swinderby', 53.14970016479492, -0.6822220087051392, 69, 'GB', 'GB-ENG', 'Swinderby', 'no', '', '', '', 'EGXS, EGXS'),
	('EGKN', 'N/A', 'N/A', 51.30596559494734, -0.09343922138214111, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFK', 'N/A', 'N/A', 52.241674326360226, -0.36490827798843384, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGDM', 'medium_airport', 'MoD Boscombe Down', 51.152199, -1.74741, 407, 'GB', 'GB-ENG', 'Amesbury', 'no', 'EGDM', '', '', 'RAF Boscombe Down'),
	('EGHJ', 'small_airport', 'Bembridge Airport', 50.6781005859, -1.10943996906, 53, 'GB', 'GB-ENG', 'Bembridge', 'no', 'EGHJ', 'BBP', '', 'Britten Norman'),
	('EGYU', 'N/A', 'N/A', 53.08624595403671, -0.8484600484371185, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGBE', 'medium_airport', 'Coventry Airport', 52.3697013855, -1.4797199964499999, 267, 'GB', 'GB-ENG', 'Coventry', 'no', 'EGBE', 'CVT', '', 'RAF Baginton'),
	('EGAG', 'N/A', 'N/A', 51.79458562284708, -2.9941821098327637, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNX', 'medium_airport', 'East Midlands Airport', 52.8311, -1.32806, 306, 'GB', 'GB-ENG', 'Nottingham', 'yes', 'EGNX', 'EMA', '', 'RAF Castle Donington');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EGYK', 'N/A', 'N/A', 51.47188067436218, -1.363818347454071, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCI', 'N/A', 'N/A', 50.972990803420544, -1.2478508055210114, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGSN', 'small_airport', 'Bourn Airfield', 52.216451, -0.040103, 226, 'GB', 'GB-ENG', 'Cambridge, Cambridgeshire', 'no', 'EGSN', '', '', 'RAF Bourn'),
	('EGCS', 'small_airport', 'Sturgate Airfield', 53.381099700927734, -0.6852779984474182, 58, 'GB', 'GB-ENG', 'Lincoln', 'no', 'EGCS', '', '', 'RAF Sturgate'),
	('EGLG', 'closed', 'Panshanger Aerodrome', 51.802502, -0.158056, 249, 'GB', 'GB-ENG', 'Welwyn Garden City, Hertfordshire', 'no', '', '', '', 'EGLG'),
	('EGWF', 'N/A', 'N/A', 53.321611136198044, -0.6782466173171997, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCA', 'small_airport', 'Coal Aston Airfield', 53.304722, -1.430556, 750, 'GB', 'GB-ENG', '', 'no', 'EGCA', '', '', ''),
	('EGWG', 'N/A', 'N/A', 52.737245969474316, -2.603796422481537, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVA', 'medium_airport', 'RAF Fairford', 51.682201, -1.79003, 286, 'GB', 'GB-ENG', 'Fairford', 'no', 'EGVA', 'FFD', '', ''),
	('EGRE', 'N/A', 'N/A', 53.31412274390459, -0.8661934733390808, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNN', 'N/A', 'N/A', 51.4110354334116, -2.220236510038376, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGDG', 'N/A', 'N/A', 51.30788438022137, -1.6737395524978638, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHG', 'small_airport', 'Yeovil/Westland Aerodrome', 50.939998626708984, -2.6586101055145264, 202, 'GB', 'GB-ENG', 'Yeovil', 'no', 'EGHG', '', '', ''),
	('EGTD', 'small_airport', 'Dunsfold Aerodrome', 51.117199, -0.535833, 172, 'GB', 'GB-ENG', 'Cranleigh, Surrey', 'no', 'EGTD', '', '', ''),
	('EGBJ', 'medium_airport', 'Gloucestershire Airport', 51.89419937133789, -2.167220115661621, 101, 'GB', 'GB-ENG', 'Staverton', 'no', 'EGBJ', 'GLO', '', ''),
	('EG40', 'N/A', 'N/A', 52.28845540434122, -2.134934663772583, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG21', 'N/A', 'N/A', 53.04519943892956, -0.9975229203701019, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGMP', 'N/A', 'N/A', 51.05701133608818, -2.233923375606537, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKJ', 'N/A', 'N/A', 52.480576671659946, -1.342429518699646, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFO', 'N/A', 'N/A', 51.060544811189175, -1.0108329355716705, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYE', 'medium_airport', 'RAF Barkston Heath', 52.962200164799995, -0.561625003815, 367, 'GB', 'GB-ENG', 'Grantham', 'no', 'EGYE', '', '', ''),
	('EGCZ', 'N/A', 'N/A', 52.97495439648628, -0.07403925061225891, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLU', 'N/A', 'N/A', 53.368799574673176, -2.4765577912330627, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFG', 'N/A', 'N/A', 52.019926719367504, -0.16791880130767822, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTR', 'small_airport', 'Elstree Airfield', 51.6558, -0.325833, 332, 'GB', 'GB-ENG', 'Borehamwood, Hertfordshire', 'no', 'EGTR', '', '', ''),
	('EGGP', 'medium_airport', 'Liverpool John Lennon Airport', 53.333599, -2.84972, 80, 'GB', 'GB-ENG', 'Liverpool', 'yes', 'EGGP', 'LPL', '', ''),
	('EGWC', 'medium_airport', 'DCAE Cosford Air Base', 52.639999, -2.30558, 272, 'GB', 'GB-ENG', 'Cosford', 'no', 'EGWC', '', '', 'RAF Cosford'),
	('EGLJ', 'small_airport', 'Chalgrove Airfield', 51.676102, -1.08083, 240, 'GB', 'GB-ENG', 'Chalgrove', 'no', 'EGLJ', '', '', 'RAF Chalgrove'),
	('EGRS', 'N/A', 'N/A', 52.9191755130887, -1.7375953495502472, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKO', 'N/A', 'N/A', 52.43898466229439, -1.0451383888721466, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGAW', 'N/A', 'N/A', 52.70589664578438, -1.7516215145587921, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHA', 'small_airport', 'Compton Abbas Aerodrome', 50.967201232910156, -2.1536099910736084, 811, 'GB', 'GB-ENG', 'Shaftesbury', 'no', 'EGHA', '', '', ''),
	('EGIV', 'N/A', 'N/A', 51.31329942494631, -2.112353593111038, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTK', 'medium_airport', 'Oxford (Kidlington) Airport', 51.8368988037, -1.32000005245, 270, 'GB', 'GB-ENG', 'Kidlington', 'no', 'EGTK', 'OXF', '', 'RAF Kidlington'),
	('EGXN', 'closed', 'RAF Newton', 52.966400146484375, -0.9894440174102783, 180, 'GB', 'GB-ENG', '', 'no', '', '', '', 'EGXN, EGXN'),
	('EG17', 'N/A', 'N/A', 51.34162254631519, -2.5221772491931915, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGMW', 'N/A', 'N/A', 53.043329268693924, -3.22247251868248, 345, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGZE', 'N/A', 'N/A', 52.82952167093754, -0.7127849757671356, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGGW', 'large_airport', 'London Luton Airport', 51.874699, -0.368333, 526, 'GB', 'GB-ENG', 'Luton, Bedfordshire', 'yes', 'EGGW', 'LTN', '', 'LON'),
	('EGGX', 'N/A', 'N/A', 52.86550350487232, -0.306626558303833, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNW', 'small_airport', 'Wickenby Aerodrome', 53.3166999817, -0.349721997976, 63, 'GB', 'GB-ENG', 'Lincoln', 'no', 'EGNW', '', '', 'RAF Wickenby'),
	('EGCY', 'N/A', 'N/A', 52.58473791182041, -0.3299054503440857, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUY', 'small_airport', 'RAF Wyton', 52.357201, -0.107833, 135, 'GB', 'GB-ENG', 'St. Ives', 'no', 'EGUY', 'QUY', '', ''),
	('EGVS', 'N/A', 'N/A', 50.92383999377489, -0.4737965762615204, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQW', 'N/A', 'N/A', 53.06160684674978, -1.093917042016983, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGWY', 'N/A', 'N/A', 52.70209897309542, -3.09219628572464, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTF', 'small_airport', 'Fairoaks Airport', 51.348099, -0.558889, 80, 'GB', 'GB-ENG', 'Woking, Surrey', 'no', 'EGTF', '', '', ''),
	('EGAN', 'N/A', 'N/A', 51.26431591808796, -1.4616698026657104, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGRM', 'N/A', 'N/A', 52.437346167862415, -0.14340385794639587, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGRZ', 'N/A', 'N/A', 51.59570686519146, -0.8905099332332611, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKY', 'N/A', 'N/A', 52.16200936585665, -2.945696711540222, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EGRB', 'N/A', 'N/A', 50.72209093719721, -1.2049117684364319, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVO', 'medium_airport', 'RAF Odiham', 51.2341003418, -0.94282501936, 405, 'GB', 'GB-ENG', 'Odiham', 'no', 'EGVO', 'ODH', '', ''),
	('EGBK', 'small_airport', 'Sywell Aerodrome', 52.305301666300004, -0.7930560112, 429, 'GB', 'GB-ENG', 'Northampton', 'no', 'EGBK', 'ORM', '', ''),
	('EGIX', 'N/A', 'N/A', 51.150238551199436, -0.8079609274864197, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVN', 'medium_airport', 'RAF Brize Norton', 51.75, -1.58362, 288, 'GB', 'GB-ENG', 'Carterton, Oxfordshire', 'no', 'EGVN', 'BZZ', '', 'Royal Air Force'),
	('EGIG', 'N/A', 'N/A', 52.82797537744045, -2.203335016965866, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKA', 'medium_airport', 'Brighton City Airport', 50.835602, -0.297222, 7, 'GB', 'GB-ENG', 'Brighton, East Sussex', 'no', 'EGKA', 'ESH', '', 'Shoreham Airport'),
	('EGVR', 'N/A', 'N/A', 51.940676495432854, -0.20339101552963257, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXA', 'closed', 'RAF Manby', 53.3611111111, 0.0861111111111, 50, 'GB', 'GB-ENG', 'Manby', 'no', '', '', '', 'Manby Airfield, EGXA'),
	('EGQN', 'N/A', 'N/A', 52.27268770337105, -0.07028281688690186, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGSF', 'small_airport', 'Peterborough Business Airport', 52.468101501464844, -0.2511110007762909, 26, 'GB', 'GB-ENG', 'Conington', 'no', 'EGSF', '', '', 'Conington Airport, RAF Glatton'),
	('EGEQ', 'N/A', 'N/A', 52.00082805007696, -2.3567019402980804, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTL', 'N/A', 'N/A', 52.785348035395145, -1.0967320203781128, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGMO', 'N/A', 'N/A', 52.559475526213646, -0.6186595559120178, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTB', 'small_airport', 'Wycombe Air Park', 51.6116981506, -0.8083329796790001, 515, 'GB', 'GB-ENG', 'High Wycombe', 'no', 'EGTB', 'HYC', '', 'RAF Booker'),
	('EG07', 'N/A', 'N/A', 52.5019109621644, -0.5905705690383911, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYO', 'small_airport', 'North Coates', 53.498, 0.0625, 0, 'GB', 'GB-ENG', '', 'no', '', '', '', 'EGYO'),
	('EGXO', 'N/A', 'N/A', 52.98201095312834, -1.3711832463741302, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTJ', 'N/A', 'N/A', 52.63984154909849, -1.8219271302223206, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGZC', 'N/A', 'N/A', 51.31157711148262, -2.308899611234665, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHK', 'closed', 'Penzance Heliport', 50.128101, -5.51845, 14, 'GB', 'GB-ENG', 'Penzance', 'no', '', '', '', 'EGHK, EGHK, PZE'),
	('EGPZ', 'N/A', 'N/A', 52.31434844434261, -0.3614678978919983, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCR', 'closed', 'Croydon Airport', 51.356389, -0.117222, 0, 'GB', 'GB-ENG', 'Croydon, Greater London', 'no', '', '', '', 'EGCR, EGCR'),
	('EGTW', 'small_airport', 'Oaksey Park Airfield', 51.632198, -2.01472, 250, 'GB', 'GB-ENG', 'Malmesbury', 'no', 'EGTW', '', '', ''),
	('EGTU', 'small_airport', 'Dunkeswell Airfield', 50.86, -3.234722, 839, 'GB', 'GB-ENG', 'Dunkeswell', 'no', 'EGTU', '', '', ''),
	('EGMU', 'N/A', 'N/A', 52.50343780964613, -2.5625181198120117, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGDE', 'N/A', 'N/A', 51.98538590222597, -1.0603098571300507, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLP', 'small_airport', 'Brimpton Airfield', 51.383456, -1.172096, 210, 'GB', 'GB-ENG', 'Reading, Berkshire', 'no', 'EGLP', '', '', ''),
	('EGEU', 'N/A', 'N/A', 52.331977263092995, -1.9938383996486664, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGEK', 'N/A', 'N/A', 53.00509639084339, -1.6565439105033875, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGDI', 'N/A', 'N/A', 50.96251141279936, -2.9356607794761658, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGOA', 'N/A', 'N/A', 51.79450515657663, -1.835380643606186, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHH', 'medium_airport', 'Bournemouth Airport', 50.779999, -1.8425, 38, 'GB', 'GB-ENG', 'Bournemouth', 'yes', 'EGHH', 'BOH', '', 'RAF Hurn'),
	('EGAZ', 'N/A', 'N/A', 52.842643707990646, -2.931565046310425, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXM', 'N/A', 'N/A', 53.30385524779558, -0.8504725992679596, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG20', 'N/A', 'N/A', 52.47259072959423, -1.4474934339523315, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUF', 'N/A', 'N/A', 50.902567729353905, -3.098016232252121, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCT', 'small_airport', 'Tilstock Airfield', 52.93080139160156, -2.646389961242676, 301, 'GB', 'GB-ENG', 'Whitchurch', 'no', 'EGCT', '', '', 'RAF Whitchurch Heath, RAF Tilstock'),
	('EGQH', 'N/A', 'N/A', 52.7096064761281, -2.091914713382721, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGDU', 'N/A', 'N/A', 52.29886204004288, -2.469707429409027, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCL', 'small_airport', 'Fenland Airfield', 52.739200592, -0.0297219995409, 8, 'GB', 'GB-ENG', 'Spalding', 'no', 'EGCL', '', '', ''),
	('EGUD', 'small_airport', 'RAF Abingdon', 51.690614, -1.316568, 259, 'GB', 'GB-ENG', 'Abingdon, Oxfordshire', 'no', 'EGUD', '', '', 'ABB, Dalton Barracks'),
	('EGWN', 'small_airport', 'RAF Halton', 51.790699, -0.737972, 370, 'GB', 'GB-ENG', 'Aylesbury, Buckinghamshire', 'no', 'EGWN', '', '', ''),
	('EGAJ', 'N/A', 'N/A', 51.13675843924284, -1.419593095779419, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXC', 'medium_airport', 'RAF Coningsby', 53.0929985046, -0.166014000773, 25, 'GB', 'GB-ENG', 'Coningsby', 'no', 'EGXC', 'QCY', '', ''),
	('EGOZ', 'N/A', 'N/A', 53.1148761883378, -1.944378912448883, 423, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGEB', 'N/A', 'N/A', 51.903206035494804, -1.076323539018631, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTA', 'closed', 'Aylesbury/Thame Airfield', 51.775799, -0.940278, 289, 'GB', 'GB-ENG', 'Aylesbury', 'no', '', '', '', 'EGTA, EGTA'),
	('EGIR', 'N/A', 'N/A', 52.25949961692095, -0.6557129323482513, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXT', 'medium_airport', 'RAF Wittering', 52.612598, -0.476453, 273, 'GB', 'GB-ENG', 'Wittering', 'no', 'EGXT', '', '', ''),
	('EGZN', 'N/A', 'N/A', 51.34088326245546, -1.5428419411182404, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EGNQ', 'N/A', 'N/A', 53.07730011641979, -0.5121172964572906, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGMM', 'N/A', 'N/A', 52.64314502477646, -1.4718188345432281, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGWB', 'N/A', 'N/A', 51.56189560890198, -1.702873706817627, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGBN', 'medium_airport', 'Nottingham Airport', 52.919998, -1.07917, 138, 'GB', 'GB-ENG', 'Nottingham', 'no', 'EGBN', 'NQT', '', ''),
	('EGKC', 'small_airport', 'Bognor Regis Lec Airfield', 50.801667, -0.658847, 1, 'GB', 'GB-ENG', 'Bognor Regis, West Sussex', 'no', '', '', '', 'EGKC'),
	('EGDZ', 'N/A', 'N/A', 52.005844451487064, -0.9356765449047089, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHO', 'small_airport', 'Thruxton Aerodrome', 51.210601806640625, -1.600000023841858, 319, 'GB', 'GB-ENG', 'Andover', 'no', 'EGHO', '', '', ''),
	('EGFT', 'N/A', 'N/A', 52.36139237880707, -2.545812427997589, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVV', 'N/A', 'N/A', 52.23587639629841, -1.7184233665466309, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLB', 'N/A', 'N/A', 51.83843940496445, -2.5915172696113586, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('X9CS', 'N/A', 'N/A', 51.997761614620686, -2.344155013561249, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGOU', 'N/A', 'N/A', 53.428831435739994, -0.34751415252685547, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNR', 'medium_airport', 'Hawarden Airport', 53.178101, -2.97778, 45, 'GB', 'GB-WLS', 'Broughton', 'no', 'EGNR', 'CEG', '', 'Chester'),
	('EGDY', 'medium_airport', 'RNAS Yeovilton', 51.0093994140625, -2.638819932937622, 75, 'GB', 'GB-ENG', 'Yeovil', 'no', 'EGDY', 'YEO', '', ''),
	('EGXW', 'medium_airport', 'RAF Waddington', 53.1661987305, -0.523810982704, 231, 'GB', 'GB-ENG', 'Waddington', 'no', 'EGXW', 'WTN', '', ''),
	('EGKZ', 'N/A', 'N/A', 52.36849084496498, -0.6335444748401642, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGBB', 'large_airport', 'Birmingham International Airport', 52.453899, -1.74803, 327, 'GB', 'GB-ENG', 'Birmingham', 'yes', 'EGBB', 'BHX', '', ''),
	('EGKI', 'N/A', 'N/A', 52.357408963143826, -1.6204985976219177, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKV', 'N/A', 'N/A', 52.17831518501043, -1.1769908666610718, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFU', 'N/A', 'N/A', 50.914473719894886, -2.184499204158783, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGBM', 'small_airport', 'Tatenhill Airfield', 52.814701080300004, -1.76110994816, 439, 'GB', 'GB-ENG', 'Burton upon Trent', 'no', 'EGBM', '', '', 'RAF Tatenhill'),
	('EG32', 'N/A', 'N/A', 52.89356444031, -0.9020331501960754, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJU', 'N/A', 'N/A', 52.02571626752615, -2.7623797953128815, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXQ', 'closed', 'RAF Lindholme', 53.549999, -0.967, 20, 'GB', 'GB-ENG', 'Doncaster', 'no', '', '', '', 'RAF Hatfield Woodhouse, EGXQ'),
	('EGLK', 'medium_airport', 'Blackbushe Airport', 51.32389831542969, -0.8475000262260437, 325, 'GB', 'GB-ENG', 'Yateley', 'no', 'EGLK', 'BBS', '', 'RAF Hartford Bridge'),
	('EGUJ', 'N/A', 'N/A', 51.84718877077103, -1.4397020637989044, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQV', 'N/A', 'N/A', 52.234736792743206, -1.4206740260124207, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXV', 'closed', 'RAF Leconfield', 53.875801, -0.435, 36, 'GB', 'GB-ENG', 'Leconfield', 'no', '', '', '', 'EGXV, EGXV'),
	('EGWE', 'small_airport', 'RAF Henlow', 52.0182, -0.30385, 206, 'GB', 'GB-ENG', 'Henlow', 'no', 'EGWE', '', '', ''),
	('EGDN', 'small_airport', 'Netheravon Airfield', 51.247200012200004, -1.7542500495900002, 456, 'GB', 'GB-ENG', 'Netheravon', 'no', 'EGDN', '', '', ''),
	('EGMX', 'N/A', 'N/A', 51.71932954341173, -2.848820239305496, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGOC', 'N/A', 'N/A', 51.479176953434944, -1.559927612543106, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGOE', 'small_airport', 'RAF Ternhill', 52.87120056152344, -2.533560037612915, 272, 'GB', 'GB-ENG', 'Ternhill', 'no', 'EGOE', '', '', ''),
	('EGWQ', 'N/A', 'N/A', 52.69250437617302, -1.7849041521549225, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGEE', 'N/A', 'N/A', 53.01041655242443, -1.0571962594985962, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGDT', 'closed', 'Wroughton Airfield', 51.5061, -1.80194, 656, 'GB', 'GB-ENG', 'Wroughton', 'no', '', '', '', 'RAF Wroughton, EGDT'),
	('EGCW', 'small_airport', 'Welshpool Airport', 52.62860107421875, -3.153330087661743, 233, 'GB', 'GB-WLS', 'Welshpool', 'no', 'EGCW', '', '', 'Mid-Wales'),
	('EGOO', 'N/A', 'N/A', 53.033481538295746, -1.835227757692337, 302, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGGV', 'N/A', 'N/A', 52.128365747630596, -0.30939817428588867, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHN', 'small_airport', 'Isle of Wight / Sandown Airport', 50.653099, -1.18221998, 55, 'GB', 'GB-ENG', 'Sandown', 'no', 'EGHN', '', '', ''),
	('EGRU', 'N/A', 'N/A', 53.063251711428165, -3.3229458332061768, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLL', 'large_airport', 'London Heathrow Airport', 51.4706, -0.461941, 83, 'GB', 'GB-ENG', 'London', 'yes', 'EGLL', 'LHR', '', 'LON, Londres'),
	('EGBD', 'small_airport', 'Derby Airfield', 52.8596992493, -1.61749994755, 175, 'GB', 'GB-ENG', 'Derby', 'no', 'EGBD', '', '', ''),
	('EGIZ', 'N/A', 'N/A', 52.00923543423414, -1.4899112284183502, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLF', 'medium_airport', 'Farnborough Airport', 51.2757987976, -0.776332974434, 238, 'GB', 'GB-ENG', 'Farnborough', 'no', 'EGLF', 'FAB', '', 'TAG London Farnborough Airport, RAE Farnborough, EGUF'),
	('EGIP', 'N/A', 'N/A', 52.08545207977295, -3.060876578092575, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGBP', 'small_airport', 'Cotswold Airport', 51.668095, -2.05694, 433, 'GB', 'GB-ENG', 'Kemble', 'no', 'EGBP', 'GBA', '', 'RAF Kemble, Kemble Airfield, Kemble Airport, Cotswold Airport'),
	('EGTC', 'medium_airport', 'Cranfield Airport', 52.072201, -0.616667, 360, 'GB', 'GB-ENG', 'Cranfield', 'no', 'EGTC', '', '', 'cranfield, milton keynes, bedford'),
	('EGCE', 'closed', 'RAF Wrexham', 53.066666666699994, -2.9502777777799998, 250, 'GB', 'GB-WLS', 'Wrexham', 'no', '', '', '', 'Borras Airfield, EGCE'),
	('EGMS', 'N/A', 'N/A', 52.66904443502426, -1.523333340883255, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJM', 'N/A', 'N/A', 52.105933763086796, -2.454419285058975, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EGJZ', 'N/A', 'N/A', 53.283874467015266, -3.3679233491420746, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVM', 'N/A', 'N/A', 52.667759992182255, -2.401237338781357, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG81', 'N/A', 'N/A', 53.04435923695564, -0.33283531665802, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJY', 'N/A', 'N/A', 51.87666289508343, -2.281910330057144, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG74', 'small_airport', 'Bruntingthorpe Aerodrome', 52.492972, -1.12509, 467, 'GB', 'GB-ENG', 'Bruntingthorpe', 'no', '', '', '', 'RAF Bruntingthorpe, EG74'),
	('EGBI', 'N/A', 'N/A', 52.13790602982044, -1.8505516648292542, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTG', 'closed', 'Bristol Filton Airport', 51.5194015503, -2.59083008766, 226, 'GB', 'GB-ENG', 'Bristol', 'no', '', '', '', 'RAF Filton, EGTG, FZO'),
	('EGRQ', 'N/A', 'N/A', 52.1849724277854, -0.5154910683631897, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGRH', 'N/A', 'N/A', 53.14189273864031, -2.3182860016822815, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCQ', 'N/A', 'N/A', 51.49526450783014, -1.7106208205223083, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNE', 'small_airport', 'Retford Gamston Airport', 53.280601501464844, -0.9513890147209167, 91, 'GB', 'GB-ENG', 'Gamston', 'no', 'EGNE', '', '', 'RAF Gamston'),
	('EGBG', 'small_airport', 'Leicester Airport', 52.6077995300293, -1.03193998336792, 469, 'GB', 'GB-ENG', 'Leicester', 'no', 'EGBG', '', '', ''),
	('EGWM', 'N/A', 'N/A', 50.88998481631279, -1.9861829280853271, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGWU', 'medium_airport', 'RAF Northolt', 51.553001, -0.418167, 124, 'GB', 'GB-ENG', 'London', 'no', 'EGWU', 'NHT', '', ''),
	('EGGZ', 'N/A', 'N/A', 51.98706831783056, -1.2076382339000702, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGPY', 'closed', 'Dounreay/Thurso Airport', 58.5839, -3.72694, 22, 'GB', 'GB-SCT', 'Thurso', 'no', '', '', '', 'HMS Tern, EGPY'),
	('EGWJ', 'N/A', 'N/A', 52.16029912233353, -1.54813751578331, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCC', 'large_airport', 'Manchester Airport', 53.349375, -2.279521, 257, 'GB', 'GB-ENG', 'Manchester', 'yes', 'EGCC', 'MAN', '', 'Ringway Airport, RAF Ringway'),
	('EGAX', 'N/A', 'N/A', 52.71458264440298, -1.7456397414207458, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHS', 'small_airport', 'Henstridge Airfield', 50.98500061035156, -2.357219934463501, 184, 'GB', 'GB-ENG', 'Henstridge', 'no', 'EGHS', '', '', 'Lower Marsh, HMS Dipper'),
	('EGHL', 'medium_airport', 'Lasham Airfield', 51.187199, -1.0335, 618, 'GB', 'GB-ENG', 'Lasham', 'no', 'EGHL', '', '', 'Basingstoke, RAF Lasham'),
	('EGFM', 'N/A', 'N/A', 52.12552595883608, -1.1693193018436432, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJX', 'N/A', 'N/A', 52.40324657410383, -2.354614734649658, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXP', 'medium_airport', 'RAF Scampton', 53.307800293, -0.550832986832, 202, 'GB', 'GB-ENG', 'Scampton', 'no', 'EGXP', 'SQZ', '', ''),
	('EGDB', 'N/A', 'N/A', 52.02814433723688, -1.20697483420372, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGWT', 'N/A', 'N/A', 51.888855546712875, -1.817021369934082, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGBQ', 'N/A', 'N/A', 50.724509954452515, -2.634133994579315, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGGB', 'N/A', 'N/A', 50.9847117215395, -1.9899719953536987, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGRR', 'N/A', 'N/A', 51.25387340784073, -2.324729561805725, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGEV', 'N/A', 'N/A', 52.65236612409353, -0.5708317458629608, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGWS', 'N/A', 'N/A', 51.1072363704443, -2.910911589860916, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGDD', 'small_airport', 'Bicester Airfield', 51.916698, -1.13194, 266, 'GB', 'GB-ENG', 'Bicester', 'no', '', '', '', 'RAF Bicester, EGDD'),
	('EGRI', 'N/A', 'N/A', 52.07777425646782, -2.9074206948280334, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNF', 'small_airport', 'Netherthorpe Airfield', 53.3168983459, -1.19639003277, 250, 'GB', 'GB-ENG', 'Worksop', 'no', 'EGNF', '', '', ''),
	('EG99', 'N/A', 'N/A', 52.12306436151266, -0.11730417609214783, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGRG', 'N/A', 'N/A', 52.81965550035238, -1.9009360671043396, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG03', 'small_airport', 'Badminton Airfield', 51.548417, -2.303181, 495, 'GB', 'GB-ENG', 'Badminton', 'no', '', '', '', ''),
	('EGBX', 'N/A', 'N/A', 50.751034654676914, -2.759559452533722, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHV', 'N/A', 'N/A', 53.30591317266226, -1.7304110527038574, 395, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGSP', 'small_airport', 'Peterborough/Sibson Airfield', 52.555801, -0.386389, 130, 'GB', 'GB-ENG', 'Peterborough', 'no', 'EGSP', '', '', ''),
	('EGTQ', 'N/A', 'N/A', 50.69786388427019, -3.155788332223892, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGGD', 'medium_airport', 'Bristol Airport', 51.382702, -2.71909, 622, 'GB', 'GB-ENG', 'Bristol', 'yes', 'EGGD', 'BRS', '', 'Lulsgate Bottom'),
	('EGYL', 'N/A', 'N/A', 51.13338053226471, -2.0347966253757477, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNP', 'heliport', 'Leeds Heliport', 53.878175, -1.662477, 670, 'GB', 'GB-ENG', '', 'no', 'EGNP', '', '', ''),
	('EGTH', 'small_airport', 'Old Warden Airfield', 52.084591, -0.3201, 110, 'GB', 'GB-ENG', 'Biggleswade, Bedfordshire', 'no', 'EGTH', '', '', 'Shuttleworth'),
	('EGHI', 'medium_airport', 'Southampton Airport', 50.950298, -1.3568, 44, 'GB', 'GB-ENG', 'Southampton', 'yes', 'EGHI', 'SOU', '', 'RAF Eastleigh, RAF Southampton'),
	('EGIY', 'N/A', 'N/A', 52.10111819207668, -1.3812732696533203, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKK', 'large_airport', 'London Gatwick Airport', 51.148771, -0.192089, 202, 'GB', 'GB-ENG', 'Gatwick, Surrey', 'yes', 'EGKK', 'LGW', '', 'LON, Crawley, Charlwood'),
	('EGDL', 'closed', 'RAF Lyneham', 51.5051, -1.99343, 513, 'GB', 'GB-ENG', 'Lyneham', 'no', '', '', '', 'EGDL, EGDL, LYE'),
	('EGCX', 'N/A', 'N/A', 50.62746059149504, -2.5185200572013855, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVH', 'heliport', 'Stirling Lines Heliport', 52.080856, -2.798997, 240, 'GB', 'GB-ENG', 'Hereford', 'no', 'EGVH', '', '', 'RAF Credenhill, RAF Hereford');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EGEJ', 'N/A', 'N/A', 52.69854672253132, -1.3526692986488342, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGGO', 'N/A', 'N/A', 51.550371162593365, -1.10002800822258, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUX', 'N/A', 'N/A', 52.580699510872364, -1.4280854165554047, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVL', 'small_airport', 'RAF Little Rissington', 51.8675, -1.695333, 730, 'GB', 'GB-ENG', '', 'no', 'EGVL', '', '', ''),
	('EGRA', 'N/A', 'N/A', 52.36756883561611, -0.4781945049762726, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGBF', 'small_airport', 'Bedford Aerodrome', 52.2325, -0.445556, 270, 'GB', 'GB-ENG', 'Bedford, Bedfordshire', 'no', 'EGBF', '', '', 'RAE Bedford, RAF Thurleigh, EGVW'),
	('EGJD', 'N/A', 'N/A', 53.210441283881664, -3.3864136040210724, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVD', 'N/A', 'N/A', 51.36361833661795, -2.0907430350780487, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTN', 'N/A', 'N/A', 51.93123243749142, -1.4309696853160858, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGGQ', 'N/A', 'N/A', 51.948060281574726, -0.09858012199401855, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXJ', 'closed', 'RAF Cottesmore', 52.735699, -0.648769, 461, 'GB', 'GB-ENG', 'Cottesmore', 'no', '', '', '', 'EGXJ, EGXJ, OKH'),
	('EGWR', 'N/A', 'N/A', 51.850355453789234, -0.0036357343196868896, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGWW', 'N/A', 'N/A', 51.88287790864706, -0.12361541390419006, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYA', 'N/A', 'N/A', 51.78541883826256, -1.076478660106659, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGII', 'N/A', 'N/A', 52.315383441746235, -0.8721140027046204, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFAS', 'small_airport', 'Aérodrome de Falaise-Mont d''Eraines', 48.9272, -0.144722, 512, 'FR', 'FR-NOR', '', 'no', 'LFAS', '', '', ''),
	('LFRO', 'medium_airport', 'Lannion-Côte de Granit Airport', 48.754398, -3.47166, 290, 'FR', 'FR-BRE', 'Lannion', 'no', 'LFRO', 'LAI', '', 'Servel Airport'),
	('LFOG', 'small_airport', 'Aérodrome de Flers Saint-Paul', 48.749964, -0.593927, 656, 'FR', 'FR-NOR', 'Flers', 'no', 'LFOG', '', '', ''),
	('LFEB', 'small_airport', 'Dinan - Trélivan Airfield', 48.444401, -2.10139, 394, 'FR', 'FR-BRE', 'Dinan', 'no', 'LFEB', '', '', ''),
	('LFKI', 'N/A', 'N/A', 48.311010003089905, -0.5343000590801239, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVB', 'N/A', 'N/A', 50.365191511809826, -3.707208037376404, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFES', 'small_airport', 'Guiscriff Scaer Airfield', 48.052502, -3.66472, 574, 'FR', 'FR-BRE', 'Guiscriff', 'no', 'LFES', '', '', ''),
	('LFRK', 'medium_airport', 'Caen-Carpiquet Airport', 49.17678, -0.454883, 256, 'FR', 'FR-NOR', 'Carpiquet, Calvados', 'yes', 'LFRK', 'CFR', '', ''),
	('LFKK', 'N/A', 'N/A', 48.48646301776171, -0.7721784710884094, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFRD', 'medium_airport', 'Dinard-Pleurtuit-Saint-Malo Airport', 48.5877, -2.07996, 219, 'FR', 'FR-BRE', 'Pleurtuit, Ille-et-Vilaine', 'yes', 'LFRD', 'DNR', '', ''),
	('LFOV', 'medium_airport', 'Laval-Entrammes Airport', 48.031399, -0.742986, 330, 'FR', 'FR-PDL', 'Laval/Entrammes', 'no', 'LFOV', 'LVA', '', ''),
	('LFRT', 'medium_airport', 'Saint-Brieuc-Armor Airport', 48.538628, -2.853518, 453, 'FR', 'FR-BRE', 'Trémuson, Côtes-d''Armor', 'no', 'LFRT', 'SBK', '', ''),
	('EGJJ', 'medium_airport', 'Jersey Airport', 49.20790100097656, -2.195509910583496, 277, 'JE', 'JE-U-A', 'Saint Helier', 'yes', 'EGJJ', 'JER', '', 'Channel Islands'),
	('LFRC', 'medium_airport', 'Cherbourg-Maupertus Airport', 49.650101, -1.47028, 459, 'FR', 'FR-NOR', 'Gonneville-Le Theil, Manche', 'no', 'LFRC', 'CER', '', 'Aéroport de Cherbourg - Maupertus, Aéroport de Cherbourg - Manche, Cherbourg-Manche'),
	('LFRP', 'small_airport', 'Ploërmel Loyat Airfield', 48.0028, -2.37722, 236, 'FR', 'FR-BRE', 'Rennes', 'no', 'LFRP', '', '', ''),
	('LFWC', 'N/A', 'N/A', 48.17723751068115, -0.8503107726573944, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFED', 'small_airport', 'Pontivy Airfield', 48.05674, -2.920818, 407, 'FR', 'FR-BRE', 'Pontivy', 'no', 'LFED', '', '', ''),
	('LFRN', 'medium_airport', 'Rennes-Saint-Jacques Airport', 48.0695, -1.73479, 124, 'FR', 'FR-BRE', 'Saint-Jacques-de-la-Lande, Ille-et-Vilaine', 'yes', 'LFRN', 'RNS', '', 'Rennes Bretagne'),
	('LFUD', 'N/A', 'N/A', 48.72422844171524, -3.0272971093654633, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJA', 'medium_airport', 'Alderney Airport', 49.706104, -2.21472, 290, 'GG', 'GG-A', 'Saint Anne', 'yes', 'EGJA', 'ACI', '', 'The Blaye, Channel Islands'),
	('LFRW', 'small_airport', 'Avranches Le Val-Saint-Père Airfield', 48.662255, -1.403685, 26, 'FR', 'FR-NOR', 'Le Val-Saint-Père, Manche', 'no', 'LFRW', '', '', ''),
	('LFUJ', 'N/A', 'N/A', 47.91243642568588, -3.567938357591629, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJB', 'medium_airport', 'Guernsey Airport', 49.435001, -2.60197, 336, 'GG', 'GG-G', 'Saint Peter Port', 'yes', 'EGJB', 'GCI', '', 'Channel Islands'),
	('LFRF', 'medium_airport', 'Granville Airport', 48.883099, -1.56417, 45, 'FR', 'FR-NOR', 'Bréville-sur-Mer, Manche', 'no', 'LFRF', 'GFR', '', 'Granville Mont-Saint-Michel'),
	('LFOM', 'small_airport', 'Lessay Airfield', 49.202276, -1.507983, 92, 'FR', 'FR-NOR', 'Lessay, Basse-Normandie', 'no', 'LFOM', '', '', 'Aérodrome Charles Lindbergh, Charles Lindbergh Airfield'),
	('LFXQ', 'small_airport', 'Coëtquidan Air Base', 47.943056, -2.185872, 499, 'FR', 'FR-BRE', 'Guer', 'no', 'LFXQ', '', '', ''),
	('LFAO', 'small_airport', 'Aérodrome de Bagnoles - Couterne', 48.545799, -0.387444, 718, 'FR', 'FR-NOR', 'Bagnoles-de-l''Orne', 'no', 'LFAO', '', '', ''),
	('LFAU', 'small_airport', 'Aérodrome de Vauville', 49.622775, -1.830688, 456, 'FR', 'FR-NOR', 'La Hague', 'no', 'LFAU', '', '', ''),
	('LFOD', 'small_airport', 'Aérodrome de Saumur - Saint-Florent', 47.256802, -0.115142, 269, 'FR', 'FR-PDL', 'Saumur/Saint-Florent', 'no', 'LFOD', '', '', ''),
	('LFVC', 'N/A', 'N/A', 46.36376414448023, -1.4273227751255035, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF50', 'small_airport', 'Aérodrome privé de Soucelles', 47.580399, -0.412269, 255, 'FR', 'FR-PDL', 'Soucelles', 'no', '', '', 'LF4925', 'Angers'),
	('LFIN', 'N/A', 'N/A', 47.43981376290321, -0.9365451335906982, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFXB', 'small_airport', 'Saintes Thénac Airfield', 45.7019, -0.636111, 118, 'FR', 'FR-NAQ', '', 'no', 'LFXB', '', '', ''),
	('LFBN', 'medium_airport', 'Niort - Marais Poitevin Airport', 46.313477, -0.394529, 203, 'FR', 'FR-NAQ', 'Niort/Souché', 'no', 'LFBN', 'NIT', '', ''),
	('LFJI', 'small_airport', 'Aérodrome de Marennes - Le Bournet', 45.825001, -1.07667, 16, 'FR', 'FR-NAQ', '', 'no', 'LFJI', '', '', ''),
	('LFWB', 'N/A', 'N/A', 47.3396285623312, -0.924757719039917, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LFFO', 'small_airport', 'Beauvoir Fromentine Airfield', 46.890422, -2.088475, 10, 'FR', 'FR-PDL', 'Fromentine', 'yes', 'LFFO', '', '', ''),
	('LFFW', 'small_airport', 'Montaigu St Georges Airfield', 46.933102, -1.32556, 184, 'FR', 'FR-PDL', '', 'no', 'LFFW', '', '', ''),
	('LFER', 'small_airport', 'Redon Bains-sur-Oust Airfield', 47.699402, -2.03667, 223, 'FR', 'FR-BRE', 'Redon', 'no', 'LFER', '', '', ''),
	('LFRZ', 'medium_airport', 'Saint-Nazaire-Montoir Airport', 47.31142, -2.152634, 13, 'FR', 'FR-PDL', 'Saint-Nazaire/Montoir', 'yes', 'LFRZ', 'SNR', '', ''),
	('LFVW', 'N/A', 'N/A', 46.901170536875725, -0.8029527962207794, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFJG', 'N/A', 'N/A', 46.57879013568163, -1.6061465442180634, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFVV', 'N/A', 'N/A', 46.34678341448307, -0.015326589345932007, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFJX', 'N/A', 'N/A', 46.22709587216377, -0.20350277423858643, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFAL', 'small_airport', 'Aérodrome de La Flèche - Thorée-les-Pins', 47.692778, 0.001944, 120, 'FR', 'FR-PDL', 'La Flèche', 'no', 'LFAL', '', '', ''),
	('LFFI', 'small_airport', 'Ancenis Airfield', 47.4081, -1.1775, 111, 'FR', 'FR-PDL', 'Ancenis', 'no', 'LFFI', '', '', ''),
	('LFRV', 'medium_airport', 'Vannes-Meucon Airport', 47.723301, -2.71856, 446, 'FR', 'FR-BRE', 'Vannes/Meucon', 'yes', 'LFRV', 'VNE', '', ''),
	('LFRS', 'medium_airport', 'Nantes Atlantique Airport', 47.153198, -1.61073, 90, 'FR', 'FR-PDL', 'Nantes', 'yes', 'LFRS', 'NTE', '', ''),
	('LFCP', 'small_airport', 'Pons Avy Airfield', 45.57, -0.515, 117, 'FR', 'FR-NAQ', '', 'no', 'LFCP', '', '', ''),
	('LFUL', 'N/A', 'N/A', 46.51657361537218, -1.0536856949329376, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFOO', 'small_airport', 'Les Sables-d''Olonne Talmont Airport', 46.476898, -1.72278, 105, 'FR', 'FR-PDL', 'Les Sables-d''Olonne', 'no', 'LFOO', 'LSO', '', 'Talmon-Saint-Hilaire'),
	('LFRI', 'medium_airport', 'La Roche-sur-Yon Airport', 46.7019, -1.37863, 299, 'FR', 'FR-PDL', 'La Roche-sur-Yon/Les Ajoncs', 'no', 'LFRI', 'EDM', '', ''),
	('LFVD', 'N/A', 'N/A', 46.42921306192875, -1.1907818913459778, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFTQ', 'small_airport', 'Châteaubriant Pouancé Airfield', 47.739562, -1.189519, 322, 'FR', 'FR-PDL', '', 'no', 'LFTQ', '', '', ''),
	('LFJR', 'medium_airport', 'Angers-Loire Airport', 47.560299, -0.312222, 194, 'FR', 'FR-PDL', 'Marcé, Maine-et-Loire', 'no', 'LFJR', 'ANE', '', 'Marcé Airport.'),
	('LFOU', 'small_airport', 'Cholet Le Pontreau Airfield', 47.0821, -0.877064, 443, 'FR', 'FR-PDL', 'Cholet/Le Pontreau', 'no', 'LFOU', 'CET', '', ''),
	('LFRY', 'N/A', 'N/A', 46.461912877857685, -1.2414756417274475, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFVZ', 'N/A', 'N/A', 47.565564438700676, -0.5497625470161438, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFBH', 'medium_airport', 'La Rochelle-Île de Ré Airport', 46.179199, -1.19528, 74, 'FR', 'FR-NAQ', 'La Rochelle/Île de Ré', 'yes', 'LFBH', 'LRH', '', 'Laleu Airport'),
	('LFCJ', 'small_airport', 'Aérodrome de Jonzac Neulles', 45.4842, -0.421389, 128, 'FR', 'FR-NAQ', 'Albi', 'no', 'LFCJ', '', '', ''),
	('LFEQ', 'small_airport', 'Quiberon Airfield', 47.482201, -3.1, 37, 'FR', 'FR-BRE', '', 'no', 'LFEQ', '', '', ''),
	('LFDC', 'small_airport', 'Aérodrome de Montendre-Marcillac', 45.274399, -0.452222, 148, 'FR', 'FR-NAQ', '', 'no', 'LFDC', '', '', ''),
	('LFEY', 'small_airport', 'Île d''Yeu Airport', 46.717641, -2.392544, 79, 'FR', 'FR-PDL', 'Île d''Yeu', 'yes', 'LFEY', 'IDY', '', ''),
	('LFEA', 'small_airport', 'Aérodrome de Belle Île', 47.325256, -3.201255, 171, 'FR', 'FR-BRE', 'Bangor', 'yes', 'LFEA', 'BIC', '', 'Palais-Belle-İle-en-Mer Aerodrome'),
	('LFRE', 'medium_airport', 'La Baule-Escoublac Airport', 47.289398, -2.34639, 105, 'FR', 'FR-PDL', 'La Baule-Escoublac', 'no', 'LFRE', 'LBY', '', ''),
	('LFJZ', 'N/A', 'N/A', 47.43644021451473, -0.0970141589641571, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFDU', 'small_airport', 'Lesparre St Laurent Medoc Airfield', 45.1978, -0.882222, 105, 'FR', 'FR-NAQ', '', 'no', 'LFDU', '', '', ''),
	('LFJB', 'small_airport', 'Mauléon Airfield', 46.902802, -0.697778, 576, 'FR', 'FR-NAQ', 'Mauléon', 'no', 'LFJB', '', '', ''),
	('LFIV', 'small_airport', 'Aérodrome de Vendays-Montalivet', 45.3806, -1.11583, 16, 'FR', 'FR-NAQ', '', 'no', 'LFIV', '', '', ''),
	('LFVG', 'N/A', 'N/A', 47.76446297764778, -1.86143159866333, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFDN', 'medium_airport', 'Rochefort-Saint-Agnant (BA 721) Airport', 45.887798, -0.983056, 60, 'FR', 'FR-NAQ', 'Rochefort/Saint-Agnant', 'no', 'LFDN', 'RCO', '', ''),
	('LFIY', 'small_airport', 'St Jean d''Angély Airfield', 45.964993, -0.523374, 246, 'FR', 'FR-NAQ', '', 'no', 'LFIY', '', '', ''),
	('LFFK', 'small_airport', 'Fontenay Le Comte Airfield', 46.441399, -0.792778, 85, 'FR', 'FR-PDL', '', 'no', 'LFFK', '', '', ''),
	('LFCT', 'small_airport', 'Aérodrome de Thouars', 46.961899, -0.152778, 341, 'FR', 'FR-NAQ', 'Thouars', 'no', 'LFCT', '', '', ''),
	('LFVU', 'N/A', 'N/A', 45.6321782246232, -0.15850648283958435, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFDK', 'small_airport', 'Soulac Sur Mer Airfield', 45.494999, -1.08222, 7, 'FR', 'FR-NAQ', 'Pamiers', 'no', 'LFDK', '', '', ''),
	('LFSS', 'small_airport', 'Saint Sulpice des Landes', 47.791667, -1.643611, 312, 'FR', 'FR-BRE', '', 'no', 'LFSS', '', '', ''),
	('LFDP', 'small_airport', 'St Pierre d''Oléron Airfield', 45.959202, -1.31611, 20, 'FR', 'FR-NAQ', '', 'no', 'LFDP', '', '', ''),
	('LFVF', 'N/A', 'N/A', 47.59976629167795, -1.9140082597732544, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFVB', 'N/A', 'N/A', 46.49376679211855, -1.5765340626239777, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFVX', 'N/A', 'N/A', 46.55390024185181, -0.9003822505474091, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCY', 'medium_airport', 'Royan-Médis Airport', 45.628101, -0.9725, 72, 'FR', 'FR-NAQ', 'Royan/Médis', 'no', 'LFCY', 'RYN', '', ''),
	('LFJJ', 'N/A', 'N/A', 46.72411356121302, -1.7575523257255554, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPHR', 'medium_airport', 'Horta Airport', 38.519901275634766, -28.715900421142578, 118, 'PT', 'PT-20', 'Horta', 'yes', 'LPHR', 'HOR', '', ''),
	('LPSJ', 'medium_airport', 'São Jorge Airport', 38.665501, -28.1758, 311, 'PT', 'PT-20', 'Velas', 'yes', 'LPSJ', 'SJZ', '', ''),
	('LPGR', 'medium_airport', 'Graciosa Airport', 39.092201232910156, -28.029800415039063, 86, 'PT', 'PT-20', 'Santa Cruz da Graciosa', 'yes', 'LPGR', 'GRW', '', ''),
	('LPLA', 'medium_airport', 'Lajes Airport', 38.761799, -27.090799, 180, 'PT', 'PT-20', 'Praia da Vitória', 'yes', 'LPLA', 'TER', '', 'Terceira Island');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LPPI', 'medium_airport', 'Pico Airport', 38.554298, -28.441299, 109, 'PT', 'PT-20', 'Pico Island', 'yes', 'LPPI', 'PIX', '', ''),
	('LPPD', 'large_airport', 'João Paulo II Airport', 37.7411994934, -25.6979007721, 259, 'PT', 'PT-20', 'Ponta Delgada', 'yes', 'LPPD', 'PDL', '', ''),
	('LPAZ', 'medium_airport', 'Santa Maria Airport', 36.97140121459961, -25.17060089111328, 308, 'PT', 'PT-20', 'Vila do Porto', 'yes', 'LPAZ', 'SMA', '', ''),
	('LPMA', 'large_airport', 'Madeira International Airport Cristiano Ronaldo', 32.697899, -16.7745, 192, 'PT', 'PT-30', 'Funchal', 'yes', 'LPMA', 'FNC', '', 'Madeira, Funchal'),
	('LPPS', 'medium_airport', 'Porto Santo Airport', 33.0733985901, -16.3500003815, 341, 'PT', 'PT-30', 'Vila Baleira', 'yes', 'LPPS', 'PXO', '', ''),
	('GCXO', 'medium_airport', 'Tenerife Norte-Ciudad de La Laguna Airport', 28.4827, -16.341499, 2076, 'ES', 'ES-CN', 'Tenerife', 'yes', 'GCXO', 'TFN', '', 'Canary Islands, Los Rodeos, TCI'),
	('GCLA', 'medium_airport', 'La Palma Airport', 28.626499, -17.7556, 107, 'ES', 'ES-CN', 'Sta Cruz de la Palma, La Palma Island', 'yes', 'GCLA', 'SPC', '', ''),
	('GCLB', 'small_airport', 'El Berriel Aeroc Airport', 27.782499, -15.5072, 20, 'ES', 'ES-CN', 'Gran Canaria Island', 'no', 'GCLB', '', '', ''),
	('GCLP', 'large_airport', 'Gran Canaria Airport', 27.9319, -15.3866, 78, 'ES', 'ES-CN', 'Gran Canaria Island', 'yes', 'GCLP', 'LPA', '', 'Canary Islands, Las Palmas Airport, Gando Airport'),
	('GCTS', 'large_airport', 'Tenerife Sur Airport', 28.0445, -16.5725, 209, 'ES', 'ES-CN', 'Tenerife', 'yes', 'GCTS', 'TFS', '', 'Canary Islands, Reina Sofía, TCI, Tenerife South'),
	('GCGM', 'small_airport', 'La Gomera Airport', 28.0296, -17.2146, 716, 'ES', 'ES-CN', 'Alajero, La Gomera Island', 'yes', 'GCGM', 'GMZ', '', ''),
	('GCHI', 'medium_airport', 'El Hierro Airport', 27.8148, -17.8871, 103, 'ES', 'ES-CN', 'El Hierro Island', 'yes', 'GCHI', 'VDE', '', 'Hierro,El Hierro'),
	('GMMH', 'medium_airport', 'Dakhla Airport', 23.7183, -15.932, 36, 'EH', 'EH-U-A', 'Dakhla', 'yes', 'GMMH', 'VIL', '', 'GSVO, Villa Cisneros, Dajla, Oued Ed-Dahab'),
	('GCFV', 'large_airport', 'Fuerteventura Airport', 28.4527, -13.8638, 85, 'ES', 'ES-CN', 'El Matorral', 'yes', 'GCFV', 'FUE', '', ''),
	('LEBK', 'N/A', 'N/A', 28.390967845916748, -13.983038663864136, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GCRR', 'large_airport', 'César Manrique-Lanzarote Airport', 28.945499, -13.6052, 46, 'ES', 'ES-CN', 'San Bartolomé', 'yes', 'GCRR', 'ACE', '', 'Arrecife Airport'),
	('GMMA', 'medium_airport', 'Smara Airport', 26.731987, -11.683655, 350, 'EH', 'EH-U-A', 'Smara', 'yes', 'GMMA', 'SMW', '', 'GSMA, Semara'),
	('GMML', 'medium_airport', 'Hassan I Airport', 27.142467, -13.224947, 207, 'EH', 'EH-U-A', 'El Aaiún', 'yes', 'GMML', 'EUN', '', 'GSAI, Laâyoune'),
	('TFY', 'small_airport', 'Tarfaya Airport', 27.9487, -12.9166, 20, 'MA', 'MA-LAA', 'Tarfaya', 'no', '', '', 'TFY', 'Cap-Juby, AG11082'),
	('GQPZ', 'small_airport', 'Tazadit Airport', 22.757345, -12.482228, 1119, 'MR', 'MR-11', 'Zouérate', 'no', 'GQPZ', 'OUZ', '', ''),
	('GQPF', 'small_airport', 'Fderik Airport', 22.673551, -12.729262, 961, 'MR', 'MR-11', 'Fderik', 'no', 'GQPF', 'FGD', '', ''),
	('GMGU', 'N/A', 'N/A', 24.092026501893997, -13.311278074979782, 281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GQPT', 'small_airport', 'Bir Moghrein Airport', 25.183531, -11.609001, 1148, 'MR', 'MR-11', 'Bir Moghrein', 'no', 'GQPT', '', '', ''),
	('LELB', 'heliport', 'Regional Emergency Center Heliport', 40.475232, -2.383516, 2444, 'ES', 'ES-CM', 'Albendea', 'no', 'LELB', '', '', ''),
	('LEMZ', 'N/A', 'N/A', 42.98345725983381, -9.00560349225998, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVX', 'medium_airport', 'Vigo Airport', 42.2318, -8.62677, 856, 'ES', 'ES-GA', 'Vigo', 'yes', 'LEVX', 'VGO', '', ''),
	('LESC', 'N/A', 'N/A', 43.102568462491035, -8.761463463306427, 367, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEST', 'large_airport', 'Santiago-Rosalía de Castro Airport', 42.896301, -8.41514, 1213, 'ES', 'ES-GA', 'Santiago de Compostela', 'yes', 'LEST', 'SCQ', '', ''),
	('LECO', 'medium_airport', 'A Coruña Airport', 43.302101, -8.37726, 326, 'ES', 'ES-GA', 'Culleredo', 'yes', 'LECO', 'LCG', '', 'The Groyne, La Coruña'),
	('LEBN', 'N/A', 'N/A', 42.23282530903816, -7.644803524017334, 596, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LENF', 'N/A', 'N/A', 42.54697401076555, -7.519185394048691, 327, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPSE', 'N/A', 'N/A', 40.45222207903862, -7.69555538892746, 438, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPCN', 'N/A', 'N/A', 40.076597817242146, -8.158236891031265, 1183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPOV', 'medium_airport', 'Ovar Air Base', 40.915901, -8.64592, 56, 'PT', 'PT-01', 'Ovar', 'no', 'LPOV', '', '', ''),
	('LPOB', 'N/A', 'N/A', 39.390749260783195, -9.1981802880764, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPCO', 'medium_airport', 'Aerodromo Municipal de Coimbra', 40.158758, -8.470815, 587, 'PT', 'PT-06', 'Coimbra', 'no', 'LPCO', 'CBP', '', 'Bissaya Barreto Aerodrome, Coimbra Airport'),
	('LPTO', 'N/A', 'N/A', 39.59106836467981, -8.37156817317009, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPOU', 'N/A', 'N/A', 39.59803607314825, -8.56726661324501, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPIN', 'small_airport', 'Espinho Airfield', 40.974201, -8.64444, 10, 'PT', 'PT-01', '', 'no', 'LPIN', '', '', ''),
	('LEDL', 'N/A', 'N/A', 39.644716903567314, -7.560754269361496, 237, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPFT', 'N/A', 'N/A', 39.578257128596306, -8.661189079284668, 418, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPLZ', 'small_airport', 'Aerodromo da Lousã', 40.143042, -8.240987, 654, 'PT', 'PT-06', 'Lousã', 'no', 'LPLZ', '', '', ''),
	('LPVB', 'N/A', 'N/A', 41.23192984610796, -7.977133244276047, 751, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LP77', 'small_airport', 'Military Airfield of Santa Margarida', 39.402401, -8.28906, 541, 'PT', 'PT-14', 'Constância', 'no', '', '', '', ''),
	('LPBR', 'medium_airport', 'Braga Municipal Aerodrome', 41.5871009827, -8.445139884949999, 247, 'PT', 'PT-03', 'Braga', 'no', 'LPBR', 'BGZ', '', 'Aeródromo Municipal de Braga'),
	('LPPN', 'N/A', 'N/A', 39.73111119121313, -7.87472203373909, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPVA', 'N/A', 'N/A', 41.97349324822426, -8.67419421672821, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPFM', 'N/A', 'N/A', 39.56099208444357, -8.64261120557785, 385, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPAV', 'small_airport', 'São Jacinto Airfield', 40.656741, -8.741544, 26, 'PT', 'PT-01', 'Aveiro', 'no', 'LPAV', '', '', 'ZAV, Aveiro Airbase'),
	('LPAN', 'N/A', 'N/A', 40.27492672204971, -7.974202036857605, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEXI', 'N/A', 'N/A', 42.10441555827856, -7.711932957172394, 616, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LPPE', 'N/A', 'N/A', 41.448550410568714, -8.708053082227707, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPOL', 'N/A', 'N/A', 40.71896139532328, -8.237840831279755, 548, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPVI', 'N/A', 'N/A', 39.445655420422554, -8.41196984052658, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPPR', 'large_airport', 'Francisco de Sá Carneiro Airport', 41.2481002808, -8.68138980865, 228, 'PT', 'PT-13', 'Porto', 'yes', 'LPPR', 'OPO', '', ''),
	('LPCA', 'N/A', 'N/A', 41.55524265021086, -7.9874347150325775, 741, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPVZ', 'medium_airport', 'Aerodromo Goncalves Lobato (Viseu Airport)', 40.725498, -7.88899, 2060, 'PT', 'PT-18', 'Viseu', 'yes', 'LPVZ', 'VSE', '', ''),
	('LPVR', 'medium_airport', 'Vila Real Airport', 41.2743, -7.72047, 1805, 'PT', 'PT-17', 'Vila Real', 'yes', 'LPVR', 'VRL', '', ''),
	('LPVP', 'N/A', 'N/A', 41.540248431265354, -7.677898406982422, 1011, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPVL', 'medium_airport', 'Vilar de Luz Airfield', 41.27729, -8.516209, 762, 'PT', 'PT-13', 'Maia', 'no', 'LPVL', '', '', ''),
	('LPJF', 'small_airport', 'Aerodromo de Leiria', 39.779907, -8.820238, 151, 'PT', 'PT-10', 'Leiria', 'no', 'LPJF', '', '', ''),
	('LPGV', 'N/A', 'N/A', 39.42815400660038, -7.825672924518585, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPTN', 'medium_airport', 'Tancos Airbase', 39.475101, -8.36458, 266, 'PT', 'PT-14', 'Tancos', 'no', 'LPTN', '', '', ''),
	('LPFI', 'N/A', 'N/A', 39.68192886561155, -8.253125846385956, 327, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPPO', 'N/A', 'N/A', 39.886073134839535, -8.649605959653854, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPMR', 'medium_airport', 'Monte Real Air Base', 39.828335, -8.8875, 187, 'PT', 'PT-10', '', 'no', 'LPMR', 'QLR', '', ''),
	('LPRG', 'N/A', 'N/A', 38.382867984473705, -7.551630735397339, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPAU', 'N/A', 'N/A', 39.05989106744528, -8.827874064445496, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPME', 'N/A', 'N/A', 37.43354704231024, -7.7636562287807465, 292, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPMN', 'N/A', 'N/A', 38.706861063838005, -8.276691734790802, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPAL', 'N/A', 'N/A', 38.39821759611368, -8.575508147478104, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPMM', 'N/A', 'N/A', 38.79777688533068, -8.202492892742157, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPVS', 'N/A', 'N/A', 38.67803033441305, -8.495642244815826, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPCU', 'N/A', 'N/A', 38.96418783813715, -8.39529812335968, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPBE', 'N/A', 'N/A', 38.914167657494545, -8.786311894655228, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPMT', 'medium_airport', 'Montijo Air Base', 38.70929, -9.03368, 46, 'PT', 'PT-15', 'Montijo', 'no', 'LPMT', '', '', 'Lisbon Montijo Airport'),
	('LPSP', 'N/A', 'N/A', 38.95208939909935, -8.866831362247467, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPAT', 'N/A', 'N/A', 39.347441643476486, -9.320119321346283, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPFC', 'N/A', 'N/A', 38.07750016450882, -8.235833197832108, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPSV', 'N/A', 'N/A', 39.07346371561289, -8.766877949237823, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPBN', 'N/A', 'N/A', 38.942145109176636, -8.718238323926926, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPEV', 'medium_airport', 'Évora Airfield', 38.533501, -7.88964, 807, 'PT', 'PT-07', 'Évora', 'no', 'LPEV', '', '', ''),
	('LPAE', 'N/A', 'N/A', 38.51466737687588, -8.576156347990036, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPSF', 'N/A', 'N/A', 38.19696106016636, -8.72925952076912, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPBV', 'N/A', 'N/A', 38.9843637496233, -8.76599907875061, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPMO', 'small_airport', 'Morargil Airfield', 38.993532, -8.14201, 341, 'PT', 'PT-12', 'Montargil', 'no', 'LPMO', '', '', ''),
	('LPOT', 'closed', 'Ota Air Base', 39.087502, -8.96278, 140, 'PT', 'PT-11', 'Alenquer', 'no', '', '', '', 'LPOT, LPOT'),
	('LPSK', 'N/A', 'N/A', 39.00576543062925, -8.273093551397324, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPMH', 'N/A', 'N/A', 39.09718248993158, -8.658763021230698, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPLG', 'N/A', 'N/A', 37.1218927949667, -8.678979724645615, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPML', 'N/A', 'N/A', 37.57619496434927, -7.745088189840317, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPSL', 'N/A', 'N/A', 38.57880301773548, -8.696630001068115, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPOR', 'N/A', 'N/A', 37.66671650111675, -8.230086117982864, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPEO', 'N/A', 'N/A', 38.59967898577452, -7.820776551961899, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPAH', 'N/A', 'N/A', 37.999423407018185, -8.231612294912338, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPAC', 'N/A', 'N/A', 38.34633897989988, -8.44218224287033, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPPM', 'medium_airport', 'Portimão Airport', 37.1493, -8.58396, 5, 'PT', 'PT-08', 'Portimão', 'yes', 'LPPM', 'PRM', '', ''),
	('LPCS', 'medium_airport', 'Cascais Airport', 38.724998, -9.35523, 325, 'PT', 'PT-11', 'Cascais', 'yes', 'LPCS', 'CAT', '', 'Tires'),
	('LPVD', 'N/A', 'N/A', 38.33680909126997, -7.856393605470657, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPSB', 'N/A', 'N/A', 38.45506601035595, -8.715909719467163, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPVN', 'N/A', 'N/A', 38.316804841160774, -8.247362226247787, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPPT', 'large_airport', 'Humberto Delgado Airport (Lisbon Portela Airport)', 38.7813, -9.13592, 374, 'PT', 'PT-11', 'Lisbon', 'yes', 'LPPT', 'LIS', '', 'Lisboa');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LPFR', 'large_airport', 'Faro Airport', 37.0144004822, -7.96590995789, 24, 'PT', 'PT-08', 'Faro', 'yes', 'LPFR', 'FAO', '', ''),
	('LP78', 'N/A', 'N/A', 38.767266757786274, -8.80263403058052, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPCT', 'N/A', 'N/A', 37.67082966864109, -8.123763799667358, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPCE', 'N/A', 'N/A', 37.84035097807646, -8.513064980506897, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPBJ', 'medium_airport', 'Beja Airport / Airbase', 38.078899, -7.9324, 636, 'PT', 'PT-02', 'Beja', 'no', 'LPBJ', 'BYJ', '', 'Beja Air Base, Base Aérea de Beja, Base Aérea Nº 11, BA11'),
	('LPSI', 'closed', 'Sines Airport', 37.941692, -8.817301, 0, 'PT', 'PT-15', '', 'no', '', '', '', 'LPSI, LPSI, SIE'),
	('LPAJ', 'N/A', 'N/A', 37.9343630746007, -8.084411323070526, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPCX', 'N/A', 'N/A', 39.228461533784866, -8.796497136354446, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPAD', 'N/A', 'N/A', 39.27782289683819, -7.772433757781982, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPSC', 'small_airport', 'Santa Cruz Airfield', 39.124233, -9.379821, 157, 'PT', 'PT-11', 'Torres Vedras', 'no', 'LPSC', '', '', ''),
	('LPBT', 'N/A', 'N/A', 38.98997358977795, -8.777123540639877, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPFA', 'N/A', 'N/A', 38.03916670382023, -8.104166686534882, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPST', 'medium_airport', 'Sintra Air Base', 38.8311, -9.33955, 440, 'PT', 'PT-11', 'Sintra', 'no', 'LPST', '', '', ''),
	('LPSO', 'medium_airport', 'Aeródromo Municipal de Ponte de Sor', 39.211559, -8.056542, 390, 'PT', 'PT-12', 'Ponte de Sor', 'no', 'LPSO', '', '', ''),
	('LPAA', 'N/A', 'N/A', 38.70258092880249, -8.013965338468552, 317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPVE', 'N/A', 'N/A', 38.79959408193827, -8.49813625216484, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPAR', 'medium_airport', 'Alverca Air Base', 38.883301, -9.0301, 11, 'PT', 'PT-11', 'Vila Franca de Xira', 'no', 'LPAR', 'AVR', '', 'Alverca Airbase'),
	('LPPL', 'N/A', 'N/A', 38.42485494911671, -7.723785191774368, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPSH', 'N/A', 'N/A', 39.05206706374884, -8.14234122633934, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPVO', 'N/A', 'N/A', 38.71097356081009, -8.609702736139297, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPSR', 'small_airport', 'Santarém Airfield', 39.209499, -8.6883, 30, 'PT', 'PT-14', 'Santarém', 'no', 'LPSR', '', '', ''),
	('LPSU', 'N/A', 'N/A', 38.39392304420471, -8.788176476955414, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPSN', 'N/A', 'N/A', 39.075259789824486, -8.139165043830872, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GMMI', 'medium_airport', 'Essaouira-Mogador Airport', 31.397499, -9.68167, 384, 'MA', 'MA-ESI', 'Essaouira', 'yes', 'GMMI', 'ESU', '', ''),
	('GMMN', 'large_airport', 'Mohammed V International Airport', 33.3675, -7.58997, 656, 'MA', 'MA-CAS', 'Casablanca', 'yes', 'GMMN', 'CMN', '', 'CAS, Casabianca, Nouasseur'),
	('GMMX', 'medium_airport', 'Menara Airport', 31.606899261499997, -8.03629970551, 1545, 'MA', 'MA-MAR', 'Marrakech', 'yes', 'GMMX', 'RAK', '', 'Marakesh, Marrakesh'),
	('GMMC', 'closed', 'Anfa Airport', 33.5532989502, -7.661389827730001, 200, 'MA', 'MA-CAS', 'Casablanca', 'no', '', '', '', 'GMMC, GMMC, CAS'),
	('GMSI', 'N/A', 'N/A', 32.12501887232065, -7.8779952228069305, 430, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GMMO', 'small_airport', 'Taroudant Airport', 30.503487, -8.821549, 869, 'MA', 'MA-TAR', 'Taroudant', 'no', 'GMMO', '', '', ''),
	('GMAT', 'medium_airport', 'Tan Tan Airport', 28.448200225830078, -11.161299705505371, 653, 'MA', 'MA-TNT', 'Tan Tan', 'yes', 'GMAT', 'TTA', '', 'Plage Blanche Airport'),
	('GMMF', 'closed', 'Sidi Ifni Airport', 29.368889, -10.180278, 190, 'MA', 'MA-BAH', 'Sidi Ifni', 'no', '', '', '', 'GMMF, GMMF, SII'),
	('GMAA', 'small_airport', 'Inezgane Airport', 30.381399, -9.54631, 89, 'MA', 'MA-AGD', 'Inezgane', 'no', 'GMAA', '', '', 'Agadir-Inezgane Airport, Inezgane Air Base'),
	('GMTB', 'N/A', 'N/A', 29.555062986910343, -8.008849918842316, 504, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GMAD', 'medium_airport', 'Al Massira Airport', 30.322478, -9.412003, 250, 'MA', 'MA-AGD', 'Agadir (Temsia)', 'yes', 'GMAD', 'AGA', '', ''),
	('GMAG', 'N/A', 'N/A', 29.016944468021393, -10.061388909816742, 330, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DATI', 'N/A', 'N/A', 27.409532815217972, -9.07333329319954, 462, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DATN', 'N/A', 'N/A', 27.418778389692307, -9.171199053525925, 474, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DA16', 'small_airport', 'Tindouf East Airport', 27.585899, -7.50011, 1425, 'DZ', 'DZ-37', 'Tindouf', 'no', 'DA16', '', 'DA16', ''),
	('DAOF', 'medium_airport', 'Tindouf Airport', 27.7003993988, -8.167099952700001, 1453, 'DZ', 'DZ-37', 'Tindouf', 'yes', 'DAOF', 'TIN', '', ''),
	('GSSM', 'N/A', 'N/A', 26.15134846419096, -10.564238280057907, 494, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWR', 'N/A', 'N/A', 42.52109572291374, -4.856157749891281, 983, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEOS', 'small_airport', 'Aeródromo de los Oteros', 42.333056, -5.451944, 2620, 'ES', 'ES-CL', 'Pajares de Los Oteros', 'no', 'LEOS', '', '', ''),
	('LERO', 'small_airport', 'Rozas Airfield', 43.116901, -7.47028, 1444, 'ES', 'ES-GA', 'Lugo', 'no', 'LERO', '', '', ''),
	('LECW', 'N/A', 'N/A', 43.178047835826874, -4.674739837646484, 766, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECZ', 'N/A', 'N/A', 42.49631244689226, -5.68280428647995, 876, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWN', 'N/A', 'N/A', 42.50376060605049, -6.026581674814224, 952, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMR', 'small_airport', 'La Morgal Airfield', 43.429199, -5.83056, 541, 'ES', 'ES-AS', 'Oviedo', 'no', 'LEMR', '', '', ''),
	('LERU', 'N/A', 'N/A', 42.88776073604822, -4.531611353158951, 1174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEFO', 'N/A', 'N/A', 43.17790735512972, -7.049663811922073, 781, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEBV', 'N/A', 'N/A', 42.769554778933525, -3.9531679451465607, 1068, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LELS', 'N/A', 'N/A', 42.43216171860695, -7.491849660873413, 567, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LELN', 'medium_airport', 'León Airport', 42.589001, -5.65556, 3006, 'ES', 'ES-CL', 'León', 'yes', 'LELN', 'LEN', '', ''),
	('LETN', 'N/A', 'N/A', 43.33303861320019, -6.3775961101055145, 681, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVF', 'small_airport', 'Villaframil Airfield', 43.552502, -7.08778, 80, 'ES', 'ES-GA', 'Lugo', 'no', 'LEVF', '', '', ''),
	('LEAS', 'medium_airport', 'Asturias Airport', 43.563599, -6.03462, 416, 'ES', 'ES-AS', 'Ranón', 'yes', 'LEAS', 'OVD', '', ''),
	('LEFG', 'N/A', 'N/A', 43.55322953313589, -7.016782164573669, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVL', 'N/A', 'N/A', 42.26547885686159, -4.647919982671738, 820, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEBO', 'N/A', 'N/A', 42.851322926580906, -4.281010329723358, 981, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVP', 'N/A', 'N/A', 42.34407428652048, -5.803166180849075, 800, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEXJ', 'medium_airport', 'Seve Ballesteros-Santander Airport', 43.427101, -3.82001, 16, 'ES', 'ES-CB', 'Santander', 'yes', 'LEXJ', 'SDR', '', ''),
	('LEDE', 'small_airport', '[Duplicate] Aerodel', 37.836632, -4.896426, 307, 'ES', 'ES-AN', 'Cordoba', 'no', 'LEDE', '', 'LEDE', 'Aerodel'),
	('LEWE', 'N/A', 'N/A', 40.436584800481796, -4.02501180768013, 638, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEBF', 'N/A', 'N/A', 40.3970168530941, -4.023962616920471, 622, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMT', 'small_airport', 'Casarrubios Del Monte Airfield', 40.235001, -4.02639, 2050, 'ES', 'ES-CM', 'Toledo', 'no', 'LEMT', '', '', ''),
	('LEAC', 'N/A', 'N/A', 41.371339336037636, -4.69634011387825, 739, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LESW', 'N/A', 'N/A', 40.47968052327633, -5.360128730535507, 1000, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPMI', 'small_airport', 'Mirandela Airfield', 41.468006, -7.226257, 1329, 'PT', 'PT-04', 'Mirandela', 'no', 'LPMI', '', '', ''),
	('LEPH', 'N/A', 'N/A', 40.18627937883139, -4.946105629205704, 402, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPSQ', 'N/A', 'N/A', 40.40650315582752, -6.996814459562302, 810, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWF', 'N/A', 'N/A', 40.01077204942703, -4.945334047079086, 449, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEND', 'N/A', 'N/A', 40.90076755732298, -4.522690773010254, 1026, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LETH', 'N/A', 'N/A', 40.371302515268326, -4.382556080818176, 714, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPJO', 'closed', 'Aerodromo de Alijó', 41.327145, -7.457717, 2580, 'PT', 'PT-17', 'Alijó', 'no', '', '', '', 'LPJO'),
	('LEGO', 'N/A', 'N/A', 40.22396173328161, -3.867548704147339, 687, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEGM', 'N/A', 'N/A', 40.60534939169884, -4.791026562452316, 1080, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECK', 'N/A', 'N/A', 39.69342581927776, -3.934328556060791, 722, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWQ', 'N/A', 'N/A', 40.48562832176685, -4.050774425268173, 815, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEDJ', 'N/A', 'N/A', 40.02576056867838, -4.069038033485413, 530, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEFI', 'N/A', 'N/A', 41.934265941381454, -3.7845875322818756, 934, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMQ', 'N/A', 'N/A', 39.89806763827801, -3.874285966157913, 488, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPCH', 'small_airport', 'Aerodromo de Chaves', 41.722356, -7.463064, 1181, 'PT', 'PT-17', 'Chaves', 'no', 'LPCH', 'CHV', '', ''),
	('LPMU', 'small_airport', 'Mogadouro Airfield', 41.3963, -6.68348, 2344, 'PT', 'PT-04', 'Mogadouro', 'no', 'LPMU', '', '', ''),
	('LPMF', 'small_airport', 'Aerodromo de Monfortinho', 39.976398, -6.906624, 0, 'PT', 'PT-05', 'Idanha-a-Nova', 'no', 'LPMF', '', '', ''),
	('LE83', 'small_airport', 'Aeródromo forestal de Mojados', 41.465728, -4.713068, 2329, 'ES', 'ES-CL', 'Mojados', 'no', 'LEOA', '', '', ''),
	('LETC', 'small_airport', 'Matilla De Los Caños Airfield', 41.530602, -4.925, 2300, 'ES', 'ES-CL', 'Valladolid', 'no', 'LETC', '', '', ''),
	('LPSG', 'N/A', 'N/A', 40.34545071423054, -6.979852616786957, 943, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPCB', 'medium_airport', 'Aerodromo de Castelo Branco', 39.847022, -7.44111, 1300, 'PT', 'PT-05', 'Castelo Branco', 'no', 'LPCB', '', '', ''),
	('LECU', 'medium_airport', 'Madrid-Cuatro Vientos Airport', 40.370701, -3.78514, 2269, 'ES', 'ES-MD', 'Madrid', 'no', 'LECU', '', '', 'LEVS, ECV'),
	('LEQU', 'N/A', 'N/A', 40.09947672486305, -4.294922053813934, 562, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LETI', 'small_airport', 'El Tietar Airfield', 40.2439, -4.79444, 1401, 'ES', 'ES-CM', 'La Iglesuela', 'no', 'LETI', '', '', ''),
	('LEAQ', 'N/A', 'N/A', 40.21179556846619, -4.38659280538559, 499, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEEV', 'small_airport', 'E. Castellanos-Villacastín Airfield', 40.783901, -4.46278, 3304, 'ES', 'ES-CL', 'Villacastin', 'no', 'LEEV', '', '', ''),
	('LENN', 'small_airport', 'La Centenera', 38.11489, -4.11547, 2169, 'ES', 'ES-AN', 'Marmolejo', 'no', 'LENN', '', '', ''),
	('LEAA', 'N/A', 'N/A', 41.68303716927767, -6.306250244379044, 841, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LETZ', 'small_airport', 'Torozos Airfield', 41.785301, -4.86473, 2784, 'ES', 'ES-CL', 'Valladolid', 'no', 'LETZ', '', '', ''),
	('LEVQ', 'N/A', 'N/A', 40.500033125281334, -3.9921028912067413, 672, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMV', 'N/A', 'N/A', 40.57006157934666, -6.2200891971588135, 1032, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPBG', 'medium_airport', 'Bragança Airport', 41.8578, -6.70713, 2241, 'PT', 'PT-04', 'Bragança', 'yes', 'LPBG', 'BGC', '', ''),
	('LEMC', 'N/A', 'N/A', 40.910407081246376, -4.36955451965332, 937, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMY', 'N/A', 'N/A', 39.851743541657925, -5.6010934710502625, 307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEFM', 'small_airport', 'Fuentemilanos Airfield', 40.889137, -4.240165, 3307, 'ES', 'ES-CL', 'Segovia', 'no', 'LEFM', '', '', ''),
	('LENS', 'N/A', 'N/A', 39.490664564073086, -4.661639481782913, 770, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LEVB', 'small_airport', 'El Carrascal Airfield', 41.824699, -4.89306, 2788, 'ES', 'ES-CL', 'Valladolid', 'no', 'LEVB', '', '', ''),
	('LEAZ', 'N/A', 'N/A', 39.56108529120684, -5.662419945001602, 523, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEPL', 'N/A', 'N/A', 42.098553255200386, -6.5263791382312775, 1009, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LESH', 'N/A', 'N/A', 40.89781612157822, -4.608873277902603, 915, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LESA', 'medium_airport', 'Salamanca Airport', 40.952099, -5.50199, 2595, 'ES', 'ES-CL', 'Salamanca', 'yes', 'LESA', 'SLM', '', ''),
	('LENC', 'N/A', 'N/A', 39.50948227196932, -4.026598334312439, 832, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECG', 'N/A', 'N/A', 37.96156872063875, -4.807178378105164, 606, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEUT', 'N/A', 'N/A', 37.152590341866016, -5.7992903888225555, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEBQ', 'N/A', 'N/A', 38.40389784425497, -6.4490751922130585, 473, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEBA', 'medium_airport', 'Córdoba Airport', 37.841999, -4.84888, 297, 'ES', 'ES-AN', 'Córdoba', 'no', 'LEBA', 'ODB', '', ''),
	('LEJU', 'small_airport', 'La Juliana Airfield', 37.294998, -6.1625, 148, 'ES', 'ES-AN', 'Sevilla', 'no', 'LEJU', '', '', ''),
	('LEAH', 'N/A', 'N/A', 37.25669056177139, -6.562873721122742, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEPR', 'small_airport', 'Palma del Río Airfield', 37.714384, -5.215226, 410, 'ES', 'ES-AN', 'Palma del Rio', 'no', 'LEPR', '', '', ''),
	('LEFE', 'N/A', 'N/A', 39.296143390238285, -3.831934332847595, 777, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LE85', 'closed', 'Tablada Airport', 37.3517, -6.01456, 26, 'ES', 'ES-AN', 'Sevilla', 'no', '', '', '', ''),
	('LEAN', 'N/A', 'N/A', 37.10037410259247, -4.561679363250732, 433, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LERL', 'medium_airport', 'Ciudad Real International Airport', 38.856479, -3.969944, 0, 'ES', 'ES-CM', 'Ciudad Real', 'no', 'LERL', 'CQM', '', 'Ciudad Real Central Airport'),
	('LEEM', 'small_airport', 'El Manantío Airfield', 38.777508, -6.991124, 876, 'ES', 'ES-EX', 'Badajoz', 'no', 'LEEM', '', '', ''),
	('LEDC', 'N/A', 'N/A', 37.54742223769426, -5.176414400339127, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LERT', 'medium_airport', 'Rota Naval Station Airport', 36.645198822, -6.34946012497, 86, 'ES', 'ES-AN', 'Rota', 'no', 'LERT', 'ROZ', '', ''),
	('LEWA', 'N/A', 'N/A', 37.9366872087121, -4.532956480979919, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWL', 'N/A', 'N/A', 36.82734601199627, -5.60346320271492, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAX', 'small_airport', 'La Axarquía-Leoni Benabu Airfield', 36.801666, -4.135556, 118, 'ES', 'ES-AN', 'Málaga', 'no', 'LEAX', '', '', ''),
	('LENI', 'N/A', 'N/A', 37.349290139973164, -6.68566569685936, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECT', 'small_airport', 'El Castaño Airfield', 39.013604, -4.387141, 2116, 'ES', 'ES-CM', 'Luciana', 'no', 'LECT', '', '', ''),
	('LEGC', 'small_airport', 'Altarejos-Guadalcanal Private Airfield', 38.1717, -5.73953, 1928, 'ES', 'ES-AN', 'Sevilla', 'no', 'LEGC', '', '', ''),
	('LEJE', 'N/A', 'N/A', 37.089917846024036, -3.7866604328155518, 776, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LESR', 'N/A', 'N/A', 37.386627830564976, -6.25046968460083, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEJR', 'medium_airport', 'Jerez Airport', 36.744598, -6.06011, 93, 'ES', 'ES-AN', 'Jerez de la Frontera', 'yes', 'LEJR', 'XRY', '', ''),
	('LEMF', 'small_airport', 'Mafé - Gibraleón Airfield', 37.3643, -6.92094, 86, 'ES', 'ES-AN', 'Gibraleón', 'no', 'LEMF', '', '', ''),
	('LEZF', 'N/A', 'N/A', 36.996800266206264, -4.103737771511078, 967, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LETF', 'small_airport', 'Tomás Fernández Espada Airfield', 36.871793, -5.648775, 328, 'ES', 'ES-AN', 'Villamartin', 'yes', 'LETF', '', '', ''),
	('LEEI', 'heliport', 'Talavera de la Reina Heliport', 39.924064, -4.801274, 1654, 'ES', 'ES-CM', 'Talavera de la Reina', 'no', 'LEEI', '', '', ''),
	('LEWH', 'N/A', 'N/A', 37.13782176375389, -4.269643127918243, 767, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEGR', 'medium_airport', 'F.G.L. Airport Granada-Jaén Airport', 37.188702, -3.77736, 1860, 'ES', 'ES-AN', 'Granada', 'yes', 'LEGR', 'GRX', '', ''),
	('LEMJ', 'N/A', 'N/A', 38.90556950122118, -3.8528358936309814, 637, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWO', 'N/A', 'N/A', 39.2269678786397, -4.886853396892548, 528, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMA', 'N/A', 'N/A', 37.32960641384125, -5.7230208814144135, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVK', 'N/A', 'N/A', 38.705536387860775, -7.000053226947784, 262, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAD', 'N/A', 'N/A', 39.3289340659976, -6.343090832233429, 411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAW', 'N/A', 'N/A', 38.740821182727814, -6.394290179014206, 319, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMB', 'N/A', 'N/A', 38.97737558931112, -6.3436974585056305, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEES', 'N/A', 'N/A', 38.26144605875015, -5.044949501752853, 718, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPAO', 'N/A', 'N/A', 39.05989106744528, -7.4218131601810455, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEHI', 'closed', 'Hinojosa del Duque Airfield', 38.51209, -5.107215, 1772, 'ES', 'ES-AN', 'Hinojosa del Duque', 'no', '', '', '', 'LEHI, LEHI'),
	('LEPZ', 'small_airport', 'Los Pozuelos De Calatrava Airfield', 38.912201, -4.19111, 1850, 'ES', 'ES-CM', 'Los Pozuelos De Calatrava', 'no', 'LEPZ', '', '', ''),
	('LEVZ', 'N/A', 'N/A', 37.06358760595322, -4.330225735902786, 733, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEFB', 'N/A', 'N/A', 38.28177284449339, -5.400920659303665, 531, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECR', 'N/A', 'N/A', 37.83987354487181, -4.708418548107147, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LERN', 'N/A', 'N/A', 36.73768546432257, -5.114338248968124, 775, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEPK', 'N/A', 'N/A', 39.065041579306126, -4.488465785980225, 640, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LE84', 'small_airport', 'Jayena Airfield', 36.930698, -3.83538, 3654, 'ES', 'ES-AN', 'Jayena', 'no', '', '', '', ''),
	('LEDN', 'N/A', 'N/A', 38.97843439131975, -5.867129266262054, 253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LPRE', 'N/A', 'N/A', 38.3591515570879, -7.465897500514984, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEGU', 'small_airport', 'Aeródromo de Guadalupe', 39.345699, -5.19735, 1408, 'ES', 'ES-EX', 'Guadalupe', 'no', 'LEGU', '', '', ''),
	('LEDD', 'N/A', 'N/A', 37.58023168891668, -5.171288251876831, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWP', 'N/A', 'N/A', 38.10709834098816, -7.166771292686462, 253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LELP', 'N/A', 'N/A', 37.19763100147247, -5.880761593580246, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVY', 'N/A', 'N/A', 37.94561393558979, -4.615536332130432, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMG', 'large_airport', 'Málaga-Costa del Sol Airport', 36.6749, -4.49911, 53, 'ES', 'ES-AN', 'Málaga', 'yes', 'LEMG', 'AGP', '', 'Costa del Sol, Malaga'),
	('LEFC', 'N/A', 'N/A', 38.52650362998247, -4.389256685972214, 786, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEBU', 'heliport', 'Bustarviejo Heliport', 40.856922, -3.742135, 3972, 'ES', 'ES-MD', 'Bustarviejo', 'no', 'LEBU', '', '', 'Brigadas Forestales'),
	('LESE', 'small_airport', 'San Enrique Airfield', 38.730801, -4.31306, 2263, 'ES', 'ES-CM', 'Almodóvar del Campo', 'no', 'LESE', '', '', ''),
	('LEGI', 'N/A', 'N/A', 37.56120778620243, -6.030764579772949, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LELR', 'N/A', 'N/A', 36.89642529934645, -6.039133965969086, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LETE', 'small_airport', 'Morante Airfield', 39.0369, -6.69056, 703, 'ES', 'ES-EX', 'Badajoz', 'no', 'LETE', '', '', ''),
	('LEVM', 'N/A', 'N/A', 37.5043610483408, -6.703745126724243, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEIS', 'N/A', 'N/A', 37.24222172051668, -7.317460924386978, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMW', 'N/A', 'N/A', 37.908435836434364, -3.800550252199173, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEZL', 'medium_airport', 'Sevilla Airport', 37.417999, -5.89311, 112, 'ES', 'ES-AN', 'Sevilla', 'yes', 'LEZL', 'SVQ', '', ''),
	('GMMP', 'N/A', 'N/A', 34.2464879527688, -6.627969592809677, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GMFF', 'medium_airport', 'Fes Saïss International Airport', 33.927299, -4.97796, 1900, 'MA', 'MA-FES', 'Saïss', 'yes', 'GMFF', 'FEZ', '', ''),
	('GMTN', 'medium_airport', 'Sania Ramel Airport', 35.594299, -5.32002, 10, 'MA', 'MA-TET', 'Tétouan', 'yes', 'GMTN', 'TTU', '', 'Saniat R''mel, Saniet R''mel'),
	('LXGB', 'large_airport', 'Gibraltar Airport', 36.151199, -5.34966, 12, 'GI', 'GI-U-A', 'Gibraltar', 'yes', 'LXGB', 'GIB', '', ''),
	('LEME', 'heliport', 'S''Arangi Heliport', 39.968221, 4.093734, 429, 'ES', 'ES-IB', 'Es Mercadal', 'no', 'LEME', '', '', 'Menorca'),
	('GMFA', 'small_airport', 'Ouezzane Airport', 34.793361, -5.635986, 571, 'MA', 'MA-TET', 'Beni Malek', 'no', 'GMFA', '', '', ''),
	('GMFM', 'medium_airport', 'Bassatine Airport', 33.879101, -5.51512, 1890, 'MA', 'MA-MEK', 'Meknes', 'no', 'GMFM', 'MEK', '', ''),
	('GMTA', 'medium_airport', 'Cherif Al Idrissi Airport', 35.177101135253906, -3.83951997756958, 95, 'MA', 'MA-HOC', 'Al Hoceima', 'yes', 'GMTA', 'AHU', '', ''),
	('GMSL', 'small_airport', 'Sidi Slimane Airport', 34.2305984497, -6.05013990402, 179, 'MA', 'MA-KEN', 'Sidi Slimane', 'no', 'GMSL', '', '', 'Sidi Slimane Air Base'),
	('GMFZ', 'small_airport', 'Taza Airport', 34.231887, -3.94701, 1890, 'MA', 'MA-TAZ', 'Taza', 'no', 'GMFZ', '', '', ''),
	('GMMY', 'medium_airport', 'Kenitra Air Base', 34.298901, -6.59588, 16, 'MA', 'MA-KEN', 'Kenitra', 'no', 'GMMP', 'NNA', '', 'Craw Field, Naval Air Station Port Lyautey'),
	('GMTT', 'medium_airport', 'Tangier Ibn Battuta Airport', 35.731741, -5.921459, 62, 'MA', 'MA-TNG', 'Tangier', 'yes', 'GMTT', 'TNG', '', 'Tanger-Boukhalef Airport, Aéroport de Tanger-Ibn Battouta'),
	('GMME', 'medium_airport', 'Rabat-Salé Airport', 34.051498, -6.75152, 276, 'MA', 'MA-RBA', 'Rabat', 'yes', 'GMME', 'RBA', '', ''),
	('GMFK', 'medium_airport', 'Moulay Ali Cherif Airport', 31.9475002289, -4.39833021164, 3428, 'MA', 'MA-ERR', 'Errachidia', 'yes', 'GMFK', 'ERH', '', ''),
	('GMMT', 'small_airport', 'Casablanca Tit Mellil Airport', 33.5975, -7.465, 322, 'MA', 'MA-CAS', 'Casablanca', 'no', 'GMMT', '', '', ''),
	('GMKH', 'N/A', 'N/A', 32.85816617310047, -6.952960342168808, 772, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GMFI', 'small_airport', 'Ifran Airport', 33.505299, -5.1529, 5459, 'MA', 'MA-IFR', 'Ifran', 'no', 'GMFI', '', '', ''),
	('GMIM', 'N/A', 'N/A', 31.21962647885084, -6.140128076076508, 1446, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GMMB', 'small_airport', 'Ben Slimane Airport', 33.655399, -7.22145, 627, 'MA', 'MA-CAS', 'Ben Slimane', 'no', 'GMMB', 'GMD', '', ''),
	('GMMD', 'small_airport', 'Beni Mellal Airport', 32.401895, -6.315905, 1694, 'MA', 'MA-BEM', 'Oulad Yaich', 'yes', 'GMMD', 'BEM', '', ''),
	('GMMZ', 'medium_airport', 'Ouarzazate Airport', 30.9391002655, -6.909430027010001, 3782, 'MA', 'MA-OUA', 'Ouarzazate', 'yes', 'GMMZ', 'OZZ', '', ''),
	('GMAL', 'N/A', 'N/A', 31.09867226332426, -5.1924338936805725, 908, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GMZG', 'N/A', 'N/A', 30.74487917125225, -5.572679042816162, 960, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GMZA', 'N/A', 'N/A', 30.266253724694252, -5.862567275762558, 731, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GMMM', 'N/A', 'N/A', 29.636307768523693, -4.006179124116898, 554, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GMAB', 'N/A', 'N/A', 30.376217253506184, -6.396283060312271, 1363, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DA13', 'small_airport', 'Tinfouchy Airport', 28.879299, -5.8229, 1804, 'DZ', 'DZ-37', 'Oum El Assel', 'no', 'DA13', '', 'DA13', ''),
	('GMAZ', 'small_airport', 'Zagora Airport', 30.320299, -5.86667, 2631, 'MA', 'MA-TIZ', 'Zagora', 'no', '', '', '', ''),
	('LFBZ', 'medium_airport', 'Biarritz-Anglet-Bayonne Airport', 43.468333, -1.531111, 245, 'FR', 'FR-NAQ', 'Biarritz/Anglet/Bayonne', 'yes', 'LFBZ', 'BIQ', '', ''),
	('LEXX', 'N/A', 'N/A', 42.95331057161093, -3.4738996624946594, 623, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVT', 'medium_airport', 'Vitoria Airport', 42.882801, -2.72447, 1682, 'ES', 'ES-PV', 'Alava', 'yes', 'LEVT', 'VIT', '', 'Vitoria,Foronda'),
	('LFJQ', 'N/A', 'N/A', 44.62939850986004, -0.1567286252975464, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LFVT', 'N/A', 'N/A', 44.62941661477089, -0.37683919072151184, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEBG', 'medium_airport', 'Burgos Airport', 42.357601, -3.62076, 2962, 'ES', 'ES-CL', 'Burgos', 'yes', 'LEBG', 'RGS', '', ''),
	('LFDA', 'small_airport', 'Aire-sur-l''Adour Airfield', 43.7094, -0.245278, 259, 'FR', 'FR-NAQ', 'Aire-sur-Adour', 'no', 'LFDA', '', '', ''),
	('LELD', 'N/A', 'N/A', 42.42500089108944, -2.026370018720627, 454, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LESG', 'closed', 'Aeródromo de Sangüesa', 42.56736, -1.2889, 1297, 'ES', 'ES-NC', 'Sangüesa', 'no', '', '', '', 'LESG, LESG'),
	('LESO', 'medium_airport', 'San Sebastián Airport', 43.356499, -1.79061, 16, 'ES', 'ES-PV', 'Hondarribia', 'yes', 'LESO', 'EAS', '', ''),
	('LECY', 'N/A', 'N/A', 42.47454095631838, -2.872695028781891, 626, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEPQ', 'N/A', 'N/A', 42.34664350748062, -2.910950481891632, 1252, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFVK', 'N/A', 'N/A', 43.568625412881374, -0.47554269433021545, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFVR', 'N/A', 'N/A', 44.98386550694704, -0.9099215269088745, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFBT', 'medium_airport', 'Tarbes-Lourdes-Pyrénées Airport', 43.178699, -0.006439, 1260, 'FR', 'FR-OCC', 'Tarbes/Lourdes/Pyrénées', 'yes', 'LFBT', 'LDE', '', ''),
	('LFCO', 'small_airport', 'Oloron Herrere Airfield', 43.163503, -0.561494, 984, 'FR', 'FR-NAQ', '', 'no', 'LFCO', '', '', ''),
	('LFUY', 'N/A', 'N/A', 43.71328365057707, -1.3053815066814423, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAR', 'N/A', 'N/A', 42.87381827831268, -2.3374705016613007, 592, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFVQ', 'N/A', 'N/A', 43.16892262548208, -0.25861233472824097, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCD', 'small_airport', 'Aérodrome d''Andernos', 44.755, -1.065, 66, 'FR', 'FR-NAQ', 'Andernos-les-Bains', 'no', 'LFCD', '', '', ''),
	('LEBB', 'medium_airport', 'Bilbao Airport', 43.301102, -2.91061, 138, 'ES', 'ES-PV', 'Bilbao', 'yes', 'LEBB', 'BIO', '', ''),
	('LFJP', 'N/A', 'N/A', 44.614083096385, -0.5767679214477539, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFDY', 'small_airport', 'Bordeaux Yvrac Airfield', 44.876049, -0.480416, 240, 'FR', 'FR-NAQ', '', 'no', 'LFDY', '', '', ''),
	('LFJW', 'N/A', 'N/A', 44.46266267448664, -0.18771931529045105, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFBD', 'large_airport', 'Bordeaux-Mérignac Airport', 44.8283, -0.715556, 162, 'FR', 'FR-NAQ', 'Bordeaux/Mérignac', 'yes', 'LFBD', 'BOD', '', ''),
	('LFBS', 'small_airport', 'Biscarrosse Parentis Airfield', 44.3694, -1.13056, 98, 'FR', 'FR-NAQ', 'Muret', 'no', 'LFBS', '', '', ''),
	('LFVJ', 'N/A', 'N/A', 43.446327075362206, -0.6950515508651733, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFJV', 'small_airport', 'Aérodrome de Lasclaveries', 43.425278, -0.286944, 843, 'FR', 'FR-NAQ', 'Lasclaveries', 'no', 'LFJV', '', '', ''),
	('LFBY', 'small_airport', 'Dax Seyresse Airfield', 43.689201, -1.06889, 106, 'FR', 'FR-NAQ', 'Perigueux', 'no', 'LFBY', '', '', 'XDA'),
	('LERJ', 'N/A', 'N/A', 42.4605555832386, -2.3205555975437164, 350, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFJK', 'N/A', 'N/A', 43.294964991509914, -0.06360501050949097, 378, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFJN', 'N/A', 'N/A', 43.01960103213787, -0.17801642417907715, 1011, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFBP', 'medium_airport', 'Pau Pyrénées Airport', 43.380001, -0.418611, 616, 'FR', 'FR-NAQ', 'Pau/Pyrénées (Uzein)', 'yes', 'LFBP', 'PUF', '', ''),
	('LFCH', 'medium_airport', 'Aérodrome d''Arcachon-La Teste-de-Buch', 44.596401, -1.11083, 52, 'FR', 'FR-NAQ', 'Arcachon/La Teste-de-Buch', 'no', 'LFCH', '', '', 'XAC'),
	('LFDR', 'small_airport', 'La Réole Floudes Airfield', 44.5681, -0.056111, 43, 'FR', 'FR-NAQ', '', 'no', 'LFDR', '', '', ''),
	('LFVN', 'N/A', 'N/A', 43.24538804590702, -0.2137930691242218, 301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFB4', 'N/A', 'N/A', 44.352613650262356, -1.1727194488048553, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFIL', 'small_airport', 'Rion Des Landes Airfield', 43.915798, -0.949167, 256, 'FR', 'FR-NAQ', '', 'no', 'LFIL', '', '', ''),
	('LFIX', 'small_airport', 'Itxassou Airfield', 43.337502, -1.42222, 607, 'FR', 'FR-NAQ', '', 'no', 'LFIX', '', '', ''),
	('LEUM', 'N/A', 'N/A', 42.66560275107622, -1.3040690124034882, 469, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFUZ', 'N/A', 'N/A', 43.510081842541695, -1.1039851605892181, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCS', 'small_airport', 'Aérodrome de Bordeaux-Léognan-Saucats', 44.700298, -0.595556, 190, 'FR', 'FR-NAQ', 'Bordeaux-Saucats', 'no', 'LFCS', '', '', ''),
	('LFVS', 'N/A', 'N/A', 44.667019844055176, -0.2193237841129303, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCN', 'small_airport', 'Nogaro Airfield', 43.769699, -0.032778, 304, 'FR', 'FR-OCC', '', 'no', 'LFCN', '', '', ''),
	('LEGN', 'N/A', 'N/A', 43.18608909845352, -3.1197908520698547, 517, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFDI', 'small_airport', 'Libourne-Artigues-de-Lussac Airfield', 44.98347, -0.138359, 157, 'FR', 'FR-NAQ', 'Libourne/Artigues-de-Lussac', 'no', 'LFDI', '', '', ''),
	('LEPP', 'medium_airport', 'Pamplona Airport', 42.77, -1.64633, 1504, 'ES', 'ES-NC', 'Pamplona', 'yes', 'LEPP', 'PNA', '', ''),
	('LEWM', 'N/A', 'N/A', 43.016924522817135, -3.314059227705002, 704, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECI', 'small_airport', 'Santa Cilia De Jaca Airfield', 42.569199, -0.727778, 2241, 'ES', 'ES-AR', 'Huesca', 'no', 'LECI', '', '', ''),
	('LFJM', 'closed', 'Chailley Airfield', 48.07915, 3.712921, 0, 'FR', 'FR-BFC', 'Chailley, Yonne', 'no', '', '', '', 'LFJM'),
	('LFCZ', 'small_airport', 'Aérodrome de Mimizan', 44.145928, -1.16432, 164, 'FR', 'FR-NAQ', 'Mimizan', 'no', 'LFCZ', '', '', ''),
	('LEOX', 'N/A', 'N/A', 43.07605415582657, -2.6839792728424072, 589, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWK', 'N/A', 'N/A', 42.632221318781376, -3.311682343482971, 700, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAY', 'heliport', 'La Atalaya Firefighting Heliport', 38.634316, -3.789527, 3045, 'ES', 'ES-CM', 'Calzada de Calatrava', 'no', 'LEAY', '', '', ''),
	('LEVU', 'N/A', 'N/A', 39.7708997502923, -3.604721277952194, 624, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LELY', 'N/A', 'N/A', 39.90892354398966, -0.9489351511001587, 1115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECX', 'closed', 'Campolara Airfield', 40.903099, -4.52028, 3353, 'ES', 'ES-CL', 'Segovia', 'no', '', '', '', 'LECX'),
	('LEPJ', 'heliport', 'El Pueyo de Jaca Heliport', 42.716444, -0.300132, 3530, 'ES', 'ES-AR', 'Jaca', 'no', 'LEPJ', '', '', 'Panticosa'),
	('LERQ', 'N/A', 'N/A', 39.442336186766624, -1.049821525812149, 831, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LESN', 'N/A', 'N/A', 40.6032532453537, -1.2650173902511597, 1017, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEHC', 'small_airport', 'Huesca-Pirineos Airport', 42.076099, -0.316667, 1769, 'ES', 'ES-AR', 'Monflorite/Alcalá del Obispo', 'no', 'LEHC', 'HSK', '', 'Huesca-Pirineos, Huesca-Pyrenees'),
	('LELT', 'small_airport', 'Lillo Airfield', 39.7169, -3.32056, 2272, 'ES', 'ES-CM', 'Lillo', 'no', 'LELT', '', '', ''),
	('LEFU', 'N/A', 'N/A', 39.56511128693819, -1.3625738024711609, 864, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEDB', 'N/A', 'N/A', 39.75059375166893, -0.18188193440437317, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECM', 'N/A', 'N/A', 42.10991006344557, -1.6880853474140167, 334, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVV', 'N/A', 'N/A', 39.954748414456844, -0.622800886631012, 744, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEBR', 'N/A', 'N/A', 39.735063426196575, -1.1387130618095398, 873, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LESX', 'N/A', 'N/A', 40.66016536206007, -3.594929426908493, 626, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWI', 'N/A', 'N/A', 40.78418333083391, -3.6380092799663544, 833, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LETG', 'N/A', 'N/A', 40.012348517775536, -2.9795242846012115, 737, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEOC', 'small_airport', 'Ocaña Airfield', 39.9375, -3.50333, 2405, 'ES', 'ES-CM', 'Ocaña', 'no', 'LEOC', '', '', ''),
	('LETL', 'medium_airport', 'Teruel Airport', 40.410269, -1.217366, 3380, 'ES', 'ES-AR', 'Teruel', 'no', 'LETL', 'TEV', '', ''),
	('LEOL', 'N/A', 'N/A', 39.67538125813007, -0.5489248037338257, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMD', 'large_airport', 'Adolfo Suárez Madrid–Barajas Airport', 40.471926, -3.56264, 1998, 'ES', 'ES-MD', 'Madrid', 'yes', 'LEMD', 'MAD', '', 'Leganés, Madrid Barajas International Airport'),
	('LESM', 'N/A', 'N/A', 39.488391391932964, -0.9013684093952179, 838, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LETB', 'heliport', 'Tabuyo del Monte Firefighting Heliport', 42.295518, -6.214514, 3240, 'ES', 'ES-CL', 'León', 'no', 'LETB', '', '', ''),
	('LEDM', 'N/A', 'N/A', 40.35380244255066, -1.013430655002594, 1162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LERE', 'small_airport', 'Aeródromo Requena El Rebollar', 39.474701, -1.03444, 2340, 'ES', 'ES-VC', 'Requena', 'no', 'LERE', '', '', ''),
	('LETP', 'small_airport', 'Santo Tome Del Puerto Airfield', 41.204201, -3.59472, 3638, 'ES', 'ES-CL', 'Segovia', 'no', 'LETP', '', '', ''),
	('LEVS', 'N/A', 'N/A', 40.331806652247906, -0.30012935400009155, 1125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEJO', 'small_airport', 'Madrigalejo Del Monte Airfield', 42.134399, -3.73103, 3030, 'ES', 'ES-CL', 'Madrigalejo Del Monte', 'no', 'LEJO', '', '', ''),
	('LERM', 'small_airport', 'Robledillo De Mohernando Airfield', 40.865299, -3.24778, 3097, 'ES', 'ES-CM', 'Robledillo De Mohernando', 'no', 'LERM', '', '', ''),
	('LEVA', 'N/A', 'N/A', 40.0969822704792, -3.5086503624916077, 617, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAI', 'N/A', 'N/A', 42.00822450220585, -1.6228893399238586, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LESD', 'N/A', 'N/A', 39.7979910671711, -0.41849568486213684, 256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECA', 'small_airport', 'La Nava - Corral De Ayllón Airfield', 41.410801, -3.44833, 3280, 'ES', 'ES-CL', 'Corral de Ayllón', 'no', 'LECA', '', '', ''),
	('LENL', 'N/A', 'N/A', 41.86178896576166, -2.9494017362594604, 1170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMX', 'small_airport', 'La Mancha-Toledo Airfield', 39.562099, -3.25075, 2195, 'ES', 'ES-CM', 'Toledo', 'no', 'LEMX', '', '', ''),
	('LESS', 'small_airport', 'Sotos Airfield', 40.204201, -2.14389, 3170, 'ES', 'ES-CM', 'Sotos', 'no', 'LESS', '', '', ''),
	('LERD', 'N/A', 'N/A', 40.09145725518465, -1.2104442715644836, 1199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEHN', 'N/A', 'N/A', 41.10579326748848, -2.988501191139221, 1125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVC', 'medium_airport', 'Valencia Airport', 39.4893, -0.481625, 240, 'ES', 'ES-VC', 'Valencia', 'yes', 'LEVC', 'VLC', '', ''),
	('LEGY', 'small_airport', 'Garray Airfield', 41.820004, -2.476387, 3360, 'ES', 'ES-CL', 'Soria', 'no', 'LEGY', '', '', ''),
	('LECP', 'N/A', 'N/A', 39.941308200359344, -1.5358851850032806, 1222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVN', 'N/A', 'N/A', 41.7882240191102, -0.8518561720848083, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LESZ', 'N/A', 'N/A', 41.04470930993557, -2.628689557313919, 1124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEDH', 'N/A', 'N/A', 41.228995844721794, -0.08582264184951782, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEZA', 'heliport', 'C.I. de Laza Heliport', 42.069044, -7.474941, 1950, 'ES', 'ES-GA', 'Verín', 'no', 'LEZA', '', '', ''),
	('LECJ', 'closed', 'Castejón de los Monegros Airfield', 41.6078, -0.218327, 1424, 'ES', 'ES-AR', 'Huesca', 'no', '', '', '', 'LECJ'),
	('LERR', 'N/A', 'N/A', 39.03599727898836, -2.8940020501613617, 868, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEGH', 'N/A', 'N/A', 37.19800718128681, -1.830655038356781, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LETW', 'N/A', 'N/A', 37.13564716279507, -1.935248225927353, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEXE', 'heliport', 'Sabadell Police Heliport', 41.553818, 2.066398, 785, 'ES', 'ES-CT', 'Sabadell', 'no', 'LEXE', '', '', ''),
	('LEBM', 'N/A', 'N/A', 38.684207797050476, -0.760328471660614, 586, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LELF', 'N/A', 'N/A', 38.817660100758076, -0.8315111696720123, 558, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAJ', 'N/A', 'N/A', 38.79133455455303, -0.39850786328315735, 320, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LEBH', 'N/A', 'N/A', 38.91869992017746, -0.3555987775325775, 258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEOT', 'small_airport', 'Ontur Airfield', 38.615681, -1.526477, 2200, 'ES', 'ES-CM', 'Ontur', 'no', 'LEOT', '', '', ''),
	('LEPN', 'N/A', 'N/A', 37.29475378990173, -3.7126006186008453, 737, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWC', 'N/A', 'N/A', 38.792431242763996, -3.3707378804683685, 713, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEPI', 'small_airport', 'Casas de los Pinos Airfield', 39.298199, -2.37872, 2370, 'ES', 'ES-CM', 'Casas de los Pinos', 'no', 'LEPI', '', '', ''),
	('LEPC', 'N/A', 'N/A', 38.798436373472214, -1.727055162191391, 804, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWS', 'N/A', 'N/A', 38.589660599827766, -0.8567659556865692, 487, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEEE', 'N/A', 'N/A', 36.744111366569996, -2.767042815685272, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEYE', 'N/A', 'N/A', 38.586435578763485, -1.1057187616825104, 584, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVI', 'closed', 'Viso del Marqués Airfield', 38.5056, -3.42615, 2672, 'ES', 'ES-CM', 'Viso del Marqués', 'no', '', '', '', 'LEVI'),
	('LEMK', 'N/A', 'N/A', 38.94312746822834, -0.7686987519264221, 574, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LELM', 'small_airport', 'Almansa Airfield', 38.895, -1.11318, 2248, 'ES', 'ES-CM', 'Almansa', 'no', 'LELM', '', '', ''),
	('LEPU', 'N/A', 'N/A', 37.36275650560856, -2.332450747489929, 568, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEML', 'N/A', 'N/A', 38.50204322487116, -2.269541770219803, 1116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEBE', 'small_airport', 'Beas De Segura Airfield', 38.271111, -2.948889, 1780, 'ES', 'ES-AN', 'Jaén', 'no', 'LEBE', '', '', ''),
	('LEPD', 'N/A', 'N/A', 39.226195737719536, -0.366518497467041, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LELH', 'small_airport', 'Alhama De Murcia Airfield', 37.748901, -1.30216, 669, 'ES', 'ES-MC', 'Cánovas', 'no', 'LELH', '', '', ''),
	('LELI', 'small_airport', 'Aeródromo de Linares', 38.133211, -3.642554, 1033, 'ES', 'ES-AN', 'Linares', 'no', '', '', '', ''),
	('LENE', 'small_airport', 'La Caminera Airfield', 38.669727, -3.303194, 2510, 'ES', 'ES-CM', '', 'no', 'LENE', '', '', ''),
	('LEPT', 'N/A', 'N/A', 38.7158290296793, -1.5451781451702118, 798, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LELA', 'small_airport', 'La Calderera Airfield', 38.747898, -3.51456, 2467, 'ES', 'ES-CM', 'Valdepeñas', 'no', 'LELA', '', '', ''),
	('LEIZ', 'small_airport', 'La Perdiz - Torre De Juan Abad Airfield', 38.5131, -3.36433, 2753, 'ES', 'ES-CM', 'Torre de Juan Abad', 'no', 'LEIZ', '', '', ''),
	('LEFN', 'N/A', 'N/A', 37.413260489702225, -3.0756743252277374, 1055, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LERC', 'N/A', 'N/A', 39.18025217950344, -0.3384988009929657, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMU', 'small_airport', 'Muchamiel Airfield', 38.440601, -0.475278, 427, 'ES', 'ES-VC', 'Muchamiel', 'no', 'LEMU', '', '', ''),
	('LETT', 'N/A', 'N/A', 37.753522507846355, -1.4473991096019745, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAO', 'N/A', 'N/A', 38.802108988165855, -0.39824679493904114, 371, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAL', 'large_airport', 'Alicante-Elche Miguel Hernández Airport', 38.2822, -0.558156, 142, 'ES', 'ES-VC', 'Alicante', 'yes', 'LEAL', 'ALC', '', ''),
	('LESJ', 'N/A', 'N/A', 37.846664898097515, -0.8795696496963501, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECB', 'N/A', 'N/A', 38.04822150617838, -1.9227325916290283, 804, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECS', 'N/A', 'N/A', 38.73195447027683, -0.1440681517124176, 929, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMI', 'medium_airport', 'Región de Murcia International Airport', 37.803, -1.125, 644, 'ES', 'ES-MC', 'Corvera', 'yes', 'LEMI', 'RMU', '', ''),
	('LEGG', 'N/A', 'N/A', 37.12558016180992, -2.595617026090622, 785, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEON', 'N/A', 'N/A', 38.671077378094196, -0.6313227117061615, 940, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAM', 'medium_airport', 'Almería Airport', 36.843899, -2.3701, 70, 'ES', 'ES-AN', 'Almería', 'yes', 'LEAM', 'LEI', '', ''),
	('LEVJ', 'N/A', 'N/A', 38.78656089305878, -0.2310056984424591, 813, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWJ', 'N/A', 'N/A', 39.0986392647028, -1.7209334671497345, 679, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LETK', 'heliport', 'Teknon Medical Center Heliport', 41.406624, 2.127997, 482, 'ES', 'ES-CT', 'Barcelona', 'no', 'LETK', '', '', ''),
	('LEBD', 'heliport', 'El Bodon Heliport', 40.48453, -6.57709, 2647, 'ES', 'ES-CL', '37520 El Bodón', 'no', 'LEBD', '', '', ''),
	('LEBX', 'N/A', 'N/A', 38.69618318974972, -0.7451333105564117, 604, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEPE', 'N/A', 'N/A', 38.36670834571123, -2.794056683778763, 590, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECE', 'N/A', 'N/A', 38.323548920452595, -1.4566290378570557, 329, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMP', 'small_airport', 'Los Martínez Del Puerto Airfield', 37.836817, -1.097667, 534, 'ES', 'ES-MC', 'Murcia', 'no', 'LEMP', '', '', ''),
	('GEML', 'medium_airport', 'Melilla Airport', 35.2798, -2.95626, 156, 'ES', 'ES-ML', 'Melilla', 'yes', 'GEML', 'MLN', '', ''),
	('DAON', 'medium_airport', 'Zenata – Messali El Hadj Airport', 35.013426, -1.457191, 814, 'DZ', 'DZ-13', 'Zenata', 'yes', 'DAON', 'TLM', '', 'Tlemcen'),
	('GMMW', 'medium_airport', 'Nador Al Aaroui International Airport', 34.9888, -3.02821, 574, 'MA', 'MA-NAD', 'Al Aaroui', 'yes', 'GMMW', 'NDR', '', 'Al Aroui International Airport, Arwi'),
	('GMFO', 'medium_airport', 'Oujda Angads Airport', 34.789558, -1.926041, 1535, 'MA', 'MA-OUJ', 'Ahl Angad', 'yes', 'GMFO', 'OUD', '', 'Oujda Airfield'),
	('DAOO', 'medium_airport', 'Oran Es-Sénia (Ahmed Ben Bella) International Airport', 35.623901, -0.621183, 295, 'DZ', 'DZ-31', 'Es-Sénia', 'yes', 'DAOO', 'ORN', '', 'Es Senia'),
	('DAOE', 'small_airport', 'Bousfer Air Base', 35.735401, -0.805389, 187, 'DZ', 'DZ-31', 'Bousfer', 'no', 'DAOE', '', '', 'Bou Sfer'),
	('DAOL', 'medium_airport', 'Oran Tafraoui Airport', 35.5424, -0.532278, 367, 'DZ', 'DZ-31', 'Tafraoui', 'no', 'DAOL', 'TAF', '', ''),
	('DAOS', 'small_airport', 'Sidi Bel Abbes Airport', 35.1717987061, -0.593275010586, 1614, 'DZ', 'DZ-22', 'Sidi Bel Abbès', 'no', 'DAOS', 'BFW', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('GMFB', 'medium_airport', 'Bouarfa Airport', 32.514306, -1.983056, 3630, 'MA', 'MA-FIG', 'Bouarfa', 'no', 'GMFB', 'UAR', '', ''),
	('DAOR', 'medium_airport', 'Béchar Boudghene Ben Ali Lotfi Airport', 31.645700454711914, -2.269860029220581, 2661, 'DZ', 'DZ-08', 'Béchar', 'yes', 'DAOR', 'CBH', '', 'Béchar Ouakda Airport'),
	('DAOC', 'small_airport', 'Béchar Ouakda Aerodrome', 31.642901, -2.18466, 2660, 'DZ', 'DZ-08', 'Béchar', 'no', 'DAOC', '', '', ''),
	('DAAY', 'medium_airport', 'Mecheria Airport', 33.535900116, -0.242353007197, 3855, 'DZ', 'DZ-45', 'Mecheria', 'no', 'DAAY', 'MZW', '', ''),
	('DA11', 'small_airport', 'Hamaguir Airport', 30.879, -3.06775, 2454, 'DZ', 'DZ-08', 'Hamaguir', 'no', 'DA11', '', 'DA11', ''),
	('DATA', 'N/A', 'N/A', 30.346129909157753, -0.40465906262397766, 520, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DATU', 'N/A', 'N/A', 30.622387044131756, -0.4554547369480133, 586, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DATO', 'N/A', 'N/A', 29.719872996211052, -0.2292957901954651, 414, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAUA', 'medium_airport', 'Touat Cheikh Sidi Mohamed Belkebir Airport', 27.837601, -0.186414, 919, 'DZ', 'DZ-01', 'Adrar', 'yes', 'DAUA', 'AZR', '', ''),
	('GVAN', 'small_airport', 'Agostinho Neto Airport', 17.202800750732422, -25.090599060058594, 32, 'CV', 'CV-B', 'Ponta do Sol', 'no', 'GVAN', 'NTO', '', 'Santo Antao Island'),
	('GVMT', 'small_airport', 'Mosteiros Airport', 15.045, -24.339199, 66, 'CV', 'CV-S', 'Vila do Mosteiros', 'no', 'GVMT', 'MTI', '', 'Fogo Island'),
	('GVNP', 'large_airport', 'Nelson Mandela International Airport', 14.941126, -23.484728, 230, 'CV', 'CV-S', 'Praia', 'yes', 'GVNP', 'RAI', '', 'Santiago Island'),
	('BVR', 'small_airport', 'Esperadinha Airport', 14.864306, -24.746, 64, 'CV', 'CV-S', 'Brava Island', 'no', 'GVBR', 'BVR', '', ''),
	('GVSF', 'small_airport', 'São Filipe Airport', 14.8850002289, -24.4799995422, 617, 'CV', 'CV-S', 'São Filipe', 'yes', 'GVSF', 'SFL', '', 'Fogo Island'),
	('GVSN', 'medium_airport', 'Preguiça Airport', 16.588852, -24.284132, 669, 'CV', 'CV-B', 'Preguiça', 'yes', 'GVSN', 'SNE', '', 'Sao Nicolau Island'),
	('GVBA', 'medium_airport', 'Rabil Airport', 16.136499404907227, -22.888900756835938, 69, 'CV', 'CV-B', 'Rabil', 'yes', 'GVBA', 'BVC', '', 'Boa Vista Island'),
	('GVSV', 'medium_airport', 'São Pedro Airport', 16.8332, -25.0553, 66, 'CV', 'CV-B', 'São Pedro', 'yes', 'GVSV', 'VXE', '', 'São Vicente Island'),
	('GVAC', 'large_airport', 'Amílcar Cabral International Airport', 16.7414, -22.9494, 177, 'CV', 'CV-B', 'Espargos', 'yes', 'GVAC', 'SID', '', 'Sal Island'),
	('GVMA', 'medium_airport', 'Maio Airport', 15.155900001525879, -23.213699340820313, 36, 'CV', 'CV-S', 'Vila do Maio', 'yes', 'GVMA', 'MMO', '', 'Maio Island'),
	('GQPP', 'medium_airport', 'Nouadhibou International Airport', 20.9330997467041, -17.030000686645508, 24, 'MR', 'MR-08', 'Nouadhibou', 'yes', 'GQPP', 'NDB', '', ''),
	('GQNG', 'N/A', 'N/A', 21.391168758273125, -16.956795305013657, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GQAK', 'N/A', 'N/A', 20.584761947393417, -15.478427857160568, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GQNO', 'large_airport', 'Nouakchott–Oumtounsy International Airport', 18.31, -15.969722, 9, 'MR', 'MR-NKC', 'Nouakchott', 'yes', 'GQNO', 'NKC', '', 'Nouakchott, Oumtounsy'),
	('GQNN', 'closed', 'Nouakchott International Airport', 18.09754, -15.948222, 13, 'MR', 'MR-NKC', 'Nouakchott', 'no', '', '', '', 'NKC, GQNN'),
	('GOSR', 'small_airport', 'Richard Toll Airport', 16.437816, -15.656376, 20, 'SN', 'SN-SL', 'Richard Toll', 'no', 'GOSR', 'RDT', '', ''),
	('GOBD', 'large_airport', 'Blaise Diagne International Airport', 14.67, -17.073333, 290, 'SN', 'SN-DK', 'Dakar', 'yes', 'GOBD', 'DSS', '', 'dakar, new dakar airport, dakar airport, diass airport'),
	('GODI', 'N/A', 'N/A', 14.086627140641212, -16.66601836681366, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GONG', 'N/A', 'N/A', 14.464452154934406, -17.013549953699112, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GOTH', 'N/A', 'N/A', 14.812145233154297, -16.949636936187744, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GOOY', 'medium_airport', 'Léopold Sédar Senghor International Airport', 14.7397, -17.4902, 85, 'SN', 'SN-DK', 'Dakar', 'no', 'GOOY', 'DKR', '', 'Yoff'),
	('GOOG', 'small_airport', 'Linguère Airport', 15.402134, -15.080629, 66, 'SN', 'SN-LG', 'Linguère', 'no', 'GOOG', '', '', ''),
	('GORO', 'N/A', 'N/A', 16.44036915153265, -15.752833038568497, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GOSS', 'medium_airport', 'Saint Louis Airport', 16.049814, -16.461039, 9, 'SN', 'SN-SL', 'Saint Louis', 'yes', 'GOSS', 'XLS', '', ''),
	('GOOK', 'medium_airport', 'Kaolack Airport', 14.146900177001953, -16.051300048828125, 26, 'SN', 'SN-FK', 'Kaolack', 'no', 'GOOK', 'KLC', '', ''),
	('GOSE', 'N/A', 'N/A', 12.811677642166615, -15.55885836482048, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GGCF', 'small_airport', 'Cufar Airport', 11.2879, -15.1805, 65, 'GW', 'GW-TO', 'Cufar', 'no', 'GGCF', '', '', ''),
	('GGBU', 'small_airport', 'Bubaque Airport', 11.297356, -15.838079, 0, 'GW', 'GW-BL', 'Bubaque', 'no', 'GGBU', 'BQE', '', ''),
	('GBGU', 'N/A', 'N/A', 13.010005876421928, -16.721403747797012, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GBYD', 'large_airport', 'Banjul International Airport', 13.338, -16.652201, 95, 'GM', 'GM-W', 'Banjul', 'yes', 'GBYD', 'BJL', '', 'Yundum international Airport'),
	('GGOV', 'medium_airport', 'Osvaldo Vieira International Airport', 11.894800186157227, -15.65369987487793, 129, 'GW', 'GW-BS', 'Bissau', 'yes', 'GGOV', 'OXB', '', ''),
	('GOGG', 'medium_airport', 'Ziguinchor Airport', 12.5556, -16.281799, 75, 'SN', 'SN-ZG', 'Ziguinchor', 'yes', 'GOGG', 'ZIG', '', 'Basse Casamance'),
	('GOGS', 'medium_airport', 'Cap Skirring Airport', 12.39533, -16.748, 52, 'SN', 'SN-ZG', 'Cap Skirring', 'yes', 'GOGS', 'CSK', '', ''),
	('GQPA', 'medium_airport', 'Atar International Airport', 20.506799697875977, -13.04319953918457, 734, 'MR', 'MR-07', 'Atar', 'no', 'GQPA', 'ATR', '', ''),
	('GQNJ', 'small_airport', 'Akjoujt Airport', 19.727998, -14.377214, 403, 'MR', 'MR-12', 'Akjoujt', 'no', 'GQNJ', 'AJJ', '', ''),
	('CGT', 'closed', 'Chinguetti Airport', 20.5055, -12.3978, 1775, 'MR', 'MR-07', 'Chinguetti', 'no', '', '', '', 'CGT, CGT'),
	('GQND', 'small_airport', 'Tidjikja Airport', 18.570101, -11.4235, 1342, 'MR', 'MR-09', 'Tidjikja', 'no', 'GQND', 'TIY', '', ''),
	('GQNL', 'small_airport', 'Letfotar Airport', 17.75, -12.5, 256, 'MR', 'MR-05', 'Moudjeria', 'no', 'GQNL', 'MOM', '', ''),
	('GA1A', 'small_airport', 'Kayes Airport', 14.431300163269043, -11.43970012664795, 161, 'ML', 'ML-1', '', 'no', 'GA1A', '', 'GA1A', ''),
	('GQNS', 'small_airport', 'Sélibaby Airport', 15.179699897766113, -12.207300186157227, 219, 'MR', 'MR-10', 'Sélibaby', 'no', 'GQNS', 'SEY', '', 'Selibabi'),
	('GO66', 'small_airport', 'Dodji Airport', 15.543899536132813, -14.95829963684082, 66, 'SN', 'SN-LG', 'Dodji', 'no', 'GO66', '', 'GO66', ''),
	('GAKD', 'N/A', 'N/A', 14.481708481907845, -11.401941776275635, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('GOSP', 'small_airport', 'Podor Airport', 16.678155, -14.964957, 20, 'SN', 'SN-SL', 'Podor', 'no', 'GOSP', 'POD', '', ''),
	('GQNF', 'small_airport', 'Kiffa Airport', 16.59, -11.4062, 430, 'MR', 'MR-03', 'Kiffa', 'no', 'GQNF', 'KFA', '', ''),
	('GOSM', 'medium_airport', 'Ouro Sogui Airport', 15.5936, -13.3228, 85, 'SN', 'SN-MT', 'Ouro Sogui', 'yes', 'GOSM', 'MAX', '', ''),
	('GQNK', 'small_airport', 'Kaédi Airport', 16.1595, -13.5076, 75, 'MR', 'MR-04', 'Kaédi', 'no', 'GQNK', 'KED', '', ''),
	('GOKE', 'N/A', 'N/A', 13.21808997541666, -12.106600999832153, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GADI', 'N/A', 'N/A', 12.2627504914999, -11.276099234819412, 450, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GGBF', 'small_airport', 'Bafatá Airport', 12.176437, -14.657811, 144, 'GW', 'GW-BA', 'Bafatá', 'no', 'GGBF', '', '', ''),
	('GGGB', 'small_airport', 'Gabu Airport', 12.292002, -14.236044, 223, 'GW', 'GW-GA', 'Gabu', 'no', 'GGGB', '', '', ''),
	('GOTS', 'small_airport', 'Simenti Airport', 13.046799659729004, -13.29539966583252, 171, 'SN', 'SN-TC', 'Simenti', 'no', 'GOTS', 'SMY', '', ''),
	('GOTT', 'medium_airport', 'Tambacounda Airport', 13.736800193786621, -13.65310001373291, 161, 'SN', 'SN-TC', 'Tambacounda', 'yes', 'GOTT', 'TUD', '', ''),
	('GUYO', 'N/A', 'N/A', 13.052662387490273, -12.727303504943848, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GULB', 'small_airport', 'Tata Airport', 11.337512, -12.290869, 3396, 'GN', 'GN-L', 'Labé', 'no', 'GULB', 'LEK', '', ''),
	('GOGK', 'N/A', 'N/A', 12.900000102818012, -14.966666847467422, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GAKA', 'small_airport', 'Kenieba Airport', 12.833, -11.25, 449, 'ML', 'ML-1', 'Kenieba', 'no', 'GAKA', 'KNZ', '', ''),
	('GGGA', 'N/A', 'N/A', 12.319928817451, -13.958618491888046, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GAKY', 'medium_airport', 'Kayes Dag Dag Airport', 14.4812, -11.4044, 164, 'ML', 'ML-1', '', 'yes', 'GAKD', 'KYS', '', ''),
	('GUSB', 'small_airport', 'Sambailo Airport', 12.575315, -13.363349, 295, 'GN', 'GN-B', 'Koundara', 'no', 'GUSB', 'SBI', '', ''),
	('GOTK', 'medium_airport', 'Kédougou Airport', 12.57229995727539, -12.22029972076416, 584, 'SN', 'SN-TC', 'Kédougou', 'no', 'GOTK', 'KGG', '', ''),
	('GG64', 'small_airport', 'Quebo Airport', 11.536858, -14.761904, 165, 'GW', 'GW-TO', 'Quebo', 'no', 'GG64', '', 'GG64', 'Aldeia'),
	('GFMA', 'N/A', 'N/A', 8.748644962906837, -11.971618831157684, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GFLL', 'large_airport', 'Lungi International Airport', 8.61644, -13.1955, 84, 'SL', 'SL-N', 'Freetown (Lungi-Town)', 'yes', 'GFLL', 'FNA', '', ''),
	('GUKR', 'small_airport', 'Kawass Airport', 10.657484, -14.532337, 36, 'GN', 'GN-B', 'Port Kamsar', 'no', 'GUKR', '', '', ''),
	('GUOK', 'small_airport', 'Boké Baralande Airport', 10.9658, -14.2811, 164, 'GN', 'GN-B', 'Boké', 'no', 'GUOK', 'BKJ', '', ''),
	('GUCY', 'medium_airport', 'Conakry International Airport', 9.57689, -13.612, 72, 'GN', 'GN-C', 'Conakry', 'yes', 'GUCY', 'CKY', '', 'Gbessia International Airport'),
	('GUSA', 'small_airport', 'Sangarédi Airport', 11.114558, -13.815834, 686, 'GN', 'GN-B', 'Sangarédi', 'no', 'GUSA', '', '', ''),
	('GUFA', 'small_airport', 'Fria Airport', 10.3506, -13.5692, 499, 'GN', 'GN-B', 'Fria', 'no', 'GUFA', 'FIG', '', ''),
	('GFKB', 'small_airport', 'Kabala Airport', 9.638322913429999, -11.5155601501, 1012, 'SL', 'SL-N', 'Kabala', 'no', 'GFKB', 'KBA', '', ''),
	('GFBN', 'closed', 'Sherbro International Airport', 7.53242, -12.5189, 14, 'SL', 'SL-S', 'Bonthe', 'yes', '', '', '', 'Bonthe Airport, GFBN, BTE'),
	('GFHA', 'small_airport', 'Hastings Airport', 8.394348, -13.128891, 60, 'SL', 'SL-W', 'Freetown', 'no', 'GFHA', 'HGS', '', ''),
	('GFBO', 'medium_airport', 'Bo Airport', 7.9444, -11.761, 328, 'SL', 'SL-S', 'Bo', 'yes', 'GFBO', 'KBS', '', ''),
	('GLRO', 'N/A', 'N/A', 6.754800081253052, -11.354950815439224, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GFWA', 'N/A', 'N/A', 8.339128978550434, -13.046099245548248, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GFMO', 'N/A', 'N/A', 7.812521159648895, -12.377856820821762, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GQNA', 'small_airport', 'Aioun el Atrouss Airport', 16.711299896240234, -9.637880325317383, 951, 'MR', 'MR-02', 'Aioun El Atrouss', 'no', 'GQNA', 'AEO', '', ''),
	('GANR', 'small_airport', 'Nioro du Sahel Airport', 15.2381, -9.57611, 778, 'ML', 'ML-1', 'Nioro du Sahel', 'no', 'GANR', 'NIX', '', ''),
	('GAYE', 'small_airport', 'Yélimané Airport', 15.123682, -10.571177, 325, 'ML', 'ML-1', 'Yélimané', 'no', 'GAYE', 'EYL', '', ''),
	('GABF', 'small_airport', 'Bafoulabé Airport', 13.80694, -10.84779, 380, 'ML', 'ML-1', 'Bafoulabé', 'no', 'GABF', '', '', ''),
	('GABG', 'small_airport', 'Bougouni Airport', 11.441892, -7.506888, 1139, 'ML', 'ML-3', 'Bougouni', 'no', 'GABG', '', '', ''),
	('GUSI', 'small_airport', 'Siguiri Airport', 11.399833, -9.18841, 1296, 'GN', 'GN-K', 'Siguiri', 'no', 'GUSI', 'GII', '', ''),
	('GABA', 'N/A', 'N/A', 12.310038171708584, -7.884438335895538, 362, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GABS', 'large_airport', 'Modibo Keita International Airport', 12.5335, -7.94994, 1247, 'ML', 'ML-2', 'Bamako', 'yes', 'GABS', 'BKO', '', 'Senou Airport'),
	('GAKN', 'small_airport', 'Kolokani Airport', 13.533, -8.05, 1457, 'ML', 'ML-2', 'Kolokani', 'no', 'GAKN', '', '', ''),
	('GUXD', 'N/A', 'N/A', 10.447903499007225, -9.224714040756226, 376, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GUKO', 'N/A', 'N/A', 10.42224146425724, -9.776089489459991, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DIOD', 'small_airport', 'Odienne Airport', 9.539457, -7.56134, 1365, 'CI', 'CI-DN', 'Odienne', 'no', 'DIOD', 'KEO', '', ''),
	('GUGO', 'small_airport', 'Gbenko Airport', 9.24284, -9.29997, 2133, 'GN', 'GN-F', 'Banankoro', 'no', 'GUGO', '', '', ''),
	('GUBE', 'small_airport', 'Beyla Airport', 8.697222, -8.713889, 2190, 'GN', 'GN-N', 'Beyla', 'no', 'GUBE', '', '', ''),
	('GUKU', 'small_airport', 'Kissidougou Airport', 9.1605596542358, -10.124400138855, 1808, 'GN', 'GN-F', 'Kissidougou', 'no', 'GUKU', 'KSI', '', ''),
	('GUFH', 'small_airport', 'Faranah Airport', 10.0354995728, -10.7698001862, 1476, 'GN', 'GN-F', 'Faranah', 'no', 'GUFH', 'FAA', '', ''),
	('GUMA', 'small_airport', 'Macenta Airport', 8.481456, -9.526048, 1690, 'GN', 'GN-N', 'Macenta', 'no', 'GUMA', 'MCA', '', ''),
	('GAYA', 'N/A', 'N/A', 10.828758738934994, -8.241237848997116, 371, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('GLRB', 'large_airport', 'Roberts International Airport', 6.23379, -10.3623, 31, 'LR', 'LR-MG', 'Monrovia', 'yes', 'GLRB', 'ROB', '', ''),
	('DIGL', 'small_airport', 'Guiglo Airport', 6.534711, -7.526847, 722, 'CI', 'CI-MG', 'Guiglo', 'no', 'DIGL', 'GGO', '', ''),
	('GFKE', 'medium_airport', 'Kenema Airport', 7.896364, -11.174126, 485, 'SL', 'SL-E', 'Kenema', 'yes', 'GFKE', 'KEN', '', ''),
	('DITM', 'N/A', 'N/A', 8.289722353219986, -7.672777622938156, 485, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GLTN', 'small_airport', 'Tchien Airport', 6.04565, -8.138723, 790, 'LR', 'LR-GG', 'Zwedru', 'no', 'GLTN', 'THC', '', ''),
	('GLMR', 'medium_airport', 'Spriggs Payne Airport', 6.28906, -10.7587, 25, 'LR', 'LR-MO', 'Monrovia', 'yes', 'GLMR', 'MLW', '', ''),
	('DIMN', 'medium_airport', 'Man Airport', 7.27207, -7.58736, 1089, 'CI', 'CI-MG', '', 'no', 'DIMN', 'MJC', '', ''),
	('TPT', 'small_airport', 'Tapeta Airport', 6.4948, -8.873, 870, 'LR', 'LR-NI', 'Tapeta', 'no', '', 'TPT', '', ''),
	('GLNA', 'small_airport', 'Nimba Airport', 7.494459, -8.584514, 1632, 'LR', 'LR-NI', 'Nimba', 'no', 'GLNA', 'NIA', '', ''),
	('GLVA', 'small_airport', 'Voinjama Airport', 8.32347, -9.769249, 1400, 'LR', 'LR-LO', 'Voinjama', 'no', 'GLVA', 'VOI', '', ''),
	('GUNZ', 'small_airport', 'Nzérékoré Airport', 7.810413, -8.702073, 1657, 'GN', 'GN-N', 'Nzérékoré', 'no', 'GUNZ', 'NZE', '', ''),
	('GLCP', 'small_airport', 'Cape Palmas Airport', 4.3790202140808105, -7.6969499588012695, 20, 'LR', 'LR-MY', 'Harper', 'no', 'GLCP', 'CPA', '', 'A. Tubman Airport'),
	('GLGE', 'small_airport', 'Greenville/Sinoe Airport', 5.032124, -9.064236, 10, 'LR', 'LR-SI', 'Greenville', 'no', 'GLGE', 'SNI', '', 'R E Murray'),
	('GRC', 'small_airport', 'Grand Cess Airport', 4.571, -8.2076, 28, 'LR', 'LR-GK', 'Grand Cess', 'no', '', 'GRC', '', ''),
	('GANF', 'small_airport', 'Niafunke Airport', 15.924035, -4.007727, 866, 'ML', 'ML-6', 'Niafunke', 'no', 'GANF', '', '', ''),
	('GQNI', 'small_airport', 'Néma Airport', 16.622, -7.3166, 745, 'MR', 'MR-01', 'Néma', 'no', 'GQNI', 'EMN', '', ''),
	('GANK', 'small_airport', 'Nara Airport', 15.22913, -7.261965, 889, 'ML', 'ML-2', 'Nara', 'no', 'GANK', 'NRM', '', ''),
	('GAMB', 'medium_airport', 'Mopti Ambodédjo International Airport', 14.5128, -4.07956, 906, 'ML', 'ML-5', 'Sévaré', 'yes', 'GAMB', 'MZI', '', 'Ambodedjo Airport'),
	('GAKO', 'small_airport', 'Koutiala Airport', 12.383000373840332, -5.4670000076293945, 1240, 'ML', 'ML-3', 'Koutiala', 'no', 'GAKO', 'KTX', '', ''),
	('GASK', 'small_airport', 'Sikasso Airport', 11.328611, -5.684722, 1378, 'ML', 'ML-3', 'Sikasso', 'no', 'GASK', 'KSS', '', 'KSS'),
	('DFON', 'small_airport', 'Nouna Airport', 12.75, -3.867000103, 886, 'BF', 'BF-KOS', 'Nouna', 'no', 'DFON', 'XNU', '', ''),
	('GASO', 'small_airport', 'Dignangan Airport', 11.598, -5.79971, 1301, 'ML', 'ML-3', 'Sikasso', 'no', 'GASO', '', 'KSS', ''),
	('DFOB', 'small_airport', 'Banfora Airport', 10.688861, -4.727726, 984, 'BF', 'BF-COM', 'Banfora', 'no', 'DFOB', 'BNR', '', ''),
	('DIBI', 'small_airport', 'Boundiali Airport', 9.540571, -6.469831, 1286, 'CI', 'CI-SV', 'Boundiali', 'no', 'DIBI', 'BXI', '', ''),
	('DFOR', 'small_airport', 'Orodara Airport', 10.986103, -4.924793, 1706, 'BF', 'BF-KEN', 'Orodara', 'no', 'DFOR', '', '', ''),
	('DIKR', 'N/A', 'N/A', 9.951434656977654, -5.7054416835308075, 337, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DIKO', 'medium_airport', 'Korhogo Airport', 9.38718, -5.55666, 1214, 'CI', 'CI-SV', 'Korhogo', 'no', 'DIKO', 'HGO', '', ''),
	('DFOO', 'medium_airport', 'Bobo Dioulasso Airport', 11.160099983215332, -4.33096981048584, 1511, 'BF', 'BF-HOU', 'Bobo Dioulasso', 'yes', 'DFOO', 'BOY', '', ''),
	('DIBC', 'small_airport', 'Bocanda Airport', 7.033, -4.533, 427, 'CI', 'CI-LC', 'Bocanda', 'no', 'DIBC', '', '', ''),
	('DISG', 'small_airport', 'Séguéla Airport', 7.96, -6.644167, 1056, 'CI', 'CI-WR', 'Séguéla', 'no', 'DISG', 'SEO', '', ''),
	('DIBK', 'medium_airport', 'Bouaké Airport', 7.7388, -5.07367, 1230, 'CI', 'CI-VB', 'Bouaké', 'yes', 'DIBK', 'BYK', '', ''),
	('KTC', 'small_airport', 'Katiola Airport', 8.132858, -5.06487, 1026, 'CI', 'CI-VB', 'Katiola', 'no', '', 'KTC', '', ''),
	('DIYO', 'medium_airport', 'Yamoussoukro Airport', 6.9031701088, -5.36558008194, 699, 'CI', 'CI-YM', 'Yamoussoukro', 'no', 'DIYO', 'ASK', '', ''),
	('DIDK', 'small_airport', 'Dimbokro Airport', 6.65167, -4.64056, 344, 'CI', 'CI-LC', 'Dimbokro', 'no', 'DIDK', 'DIM', '', ''),
	('DIGA', 'small_airport', 'Gagnoa Airport', 6.102855, -5.986809, 732, 'CI', 'CI-SM', 'Gagnoa', 'no', 'DIGA', 'GGN', '', ''),
	('DIDL', 'medium_airport', 'Daloa Airport', 6.79281, -6.47319, 823, 'CI', 'CI-SM', '', 'no', 'DIDL', 'DJO', '', ''),
	('DISS', 'small_airport', 'Sassandra Airport', 4.928888, -6.133156, 203, 'CI', 'CI-BS', 'Sassandra', 'no', 'DISS', 'ZSS', '', ''),
	('DITA', 'N/A', 'N/A', 4.687437191605568, -7.077336609363556, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DIDB', 'small_airport', 'Dabou Airport', 5.351385116577148, -4.4034576416015625, 141, 'CI', 'CI-LG', 'Dabou', 'no', 'DIDB', '', '', ''),
	('DITB', 'small_airport', 'Tabou Airport', 4.437809467315674, -7.362728118896484, 39, 'CI', 'CI-BS', 'Tabou', 'no', 'DITB', 'TXU', '', ''),
	('DISP', 'medium_airport', 'San Pedro Airport', 4.74672, -6.66082, 26, 'CI', 'CI-BS', '', 'no', 'DISP', 'SPY', '', ''),
	('DIAP', 'medium_airport', 'Félix-Houphouët-Boigny International Airport', 5.26139, -3.92629, 21, 'CI', 'CI-AB', 'Abidjan', 'yes', 'DIAP', 'ABJ', '', 'Port Bouët'),
	('DIGN', 'small_airport', 'Nero-Mer Airport', 4.64341306686, -6.923961639400001, 20, 'CI', 'CI-BS', 'Grand-Béréby', 'no', 'DIGN', 'BBV', '', ''),
	('DFEG', 'small_airport', 'Gorom-Gorom Airport', 14.454174, -0.218644, 935, 'BF', 'BF-OUD', 'Gorom-Gorom', 'no', 'DFEG', 'XGG', '', ''),
	('GADZ', 'small_airport', 'Douentza Airport', 15, -2.917, 984, 'ML', 'ML-5', 'Douentza', 'no', 'GADZ', '', '', ''),
	('GATB', 'medium_airport', 'Timbuktu Airport', 16.730499, -3.00758, 863, 'ML', 'ML-7', 'Timbuktu', 'yes', 'GATB', 'TOM', '', 'Timbuctoo Airport, Tombouctou Airport, Tumbutu Airport, Tombouktou Airport'),
	('GAGM', 'small_airport', 'Goundam Airport', 16.358426, -3.604536, 866, 'ML', 'ML-6', 'Goundam', 'no', 'GAGM', 'GUD', '', ''),
	('GAGO', 'medium_airport', 'Gao Airport', 16.2484, -0.005456, 870, 'ML', 'ML-7', '', 'yes', 'GAGO', 'GAQ', '', ''),
	('GABD', 'small_airport', 'Bandiagara Airport', 14.336931, -3.609778, 1312, 'ML', 'ML-5', 'Bandiagara', 'no', 'GABD', '', '', ''),
	('DFEE', 'small_airport', 'Dori Airport', 14.021638, -0.068207, 925, 'BF', 'BF-SEN', 'Dori', 'no', 'DFEE', 'DOR', '', ''),
	('DFCC', 'small_airport', 'Ouahigouya Airport', 13.655287, -2.322067, 1089, 'BF', 'BF-YAT', 'Ouahigouya', 'no', 'DFCC', 'OUG', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('DFOT', 'small_airport', 'Tougan Airport', 13.059091, -3.077291, 984, 'BF', 'BF-SOR', 'Tougan', 'no', 'DFOT', 'TUQ', '', ''),
	('DFEB', 'small_airport', 'Bogande Airport', 12.983, -0.167, 984, 'BF', 'BF-GNA', 'Bogande', 'no', 'DFEB', 'XBG', '', ''),
	('DFOH', 'small_airport', 'Houndé Airport', 11.491211, -3.512817, 1063, 'BF', 'BF-TUI', 'Houndé', 'no', 'DFOH', '', '', ''),
	('DFCR', 'small_airport', 'Poura Airport', 11.617, -2.75, 853, 'BF', 'BF-BAL', 'Poura', 'no', 'DFCR', '', '', ''),
	('DFET', 'small_airport', 'Tenkodogo Airport', 11.801149, -0.371377, 1017, 'BF', 'BF-BLG', 'Tenkodogo', 'no', 'DFET', 'TEG', '', ''),
	('DFFD', 'medium_airport', 'Ouagadougou Airport', 12.3532, -1.51242, 1037, 'BF', 'BF-KAD', 'Ouagadougou', 'yes', 'DFFD', 'OUA', '', ''),
	('DFCA', 'small_airport', 'Kaya Airport', 13.067, -1.1, 984, 'BF', 'BF-SMT', 'Kaya', 'no', 'DFCA', 'XKY', '', ''),
	('DFOD', 'small_airport', 'Dedougou Airport', 12.459, -3.49, 984, 'BF', 'BF-MOU', 'Dedougou', 'no', 'DFOD', 'DGU', '', ''),
	('DFOG', 'small_airport', 'Gaoua Airport', 10.384059, -3.163454, 1099, 'BF', 'BF-PON', 'Gaoua', 'no', 'DFOG', 'XGA', '', ''),
	('DGLY', 'small_airport', 'Yendi Airport', 9.425000190734863, -0.004722000099718571, 2408, 'GH', 'GH-NP', 'Yendi', 'no', 'DGLY', '', '', ''),
	('DGLN', 'small_airport', 'Navrongo Airport', 10.943081, -1.087356, 678, 'GH', 'GH-UE', 'Navrongo', 'no', 'DGLN', '', '', ''),
	('DFOU', 'small_airport', 'Diebougou Airport', 10.95, -3.25, 984, 'BF', 'BF-BGR', 'Diebougou', 'no', 'DFOU', 'XDE', '', ''),
	('DFEZ', 'small_airport', 'Zabré Airport', 11.167, -0.617, 886, 'BF', 'BF-BLG', 'Zabré', 'no', 'DFEZ', 'XZA', '', ''),
	('DGLW', 'small_airport', 'Wa Airport', 10.0827, -2.50769, 1060, 'GH', 'GH-UW', 'Wa', 'no', 'DGLW', 'WZA', '', ''),
	('DGLE', 'medium_airport', 'Tamale Airport', 9.55718994140625, -0.8632140159606934, 553, 'GH', 'GH-NP', 'Tamale', 'yes', 'DGLE', 'TML', '', ''),
	('DIBN', 'small_airport', 'Bouna Airport', 9.255556, -3.033333, 1148, 'CI', 'CI-ZZ', 'Bouna', 'no', 'DIBN', 'BQO', '', ''),
	('DGSN', 'medium_airport', 'Sunyani Airport', 7.36183, -2.32876, 1014, 'GH', 'GH-BO', 'Sunyani', 'yes', 'DGSN', 'NYI', '', ''),
	('DIAU', 'small_airport', 'Abengourou Airport', 6.71556, -3.47028, 676, 'CI', 'CI-CM', 'Abengourou', 'no', 'DIAU', 'OGO', '', ''),
	('DGSI', 'medium_airport', 'Kumasi Airport', 6.714560031890869, -1.5908199548721313, 942, 'GH', 'GH-AH', 'Kumasi', 'yes', 'DGSI', 'KMS', '', ''),
	('DIBU', 'small_airport', 'Soko Airport', 8.01722, -2.76194, 1247, 'CI', 'CI-ZZ', 'Bondoukou', 'no', 'DIBU', 'BDK', '', ''),
	('DGOB', 'N/A', 'N/A', 6.290703825652599, -1.701459288597107, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DGTK', 'medium_airport', 'Takoradi Airport', 4.896059989929199, -1.7747600078582764, 21, 'GH', 'GH-WP', 'Sekondi-Takoradi', 'yes', 'DGTK', 'TKD', '', ''),
	('DGAA', 'large_airport', 'Kotoka International Airport', 5.605189800262451, -0.16678600013256073, 205, 'GH', 'GH-AA', 'Accra', 'yes', 'DGAA', 'ACC', '', ''),
	('DIAO', 'small_airport', 'Aboisso Airport', 5.461944, -3.234722, 95, 'CI', 'CI-CM', 'Aboisso', 'no', 'DIAO', 'ABO', '', ''),
	('DITI', 'N/A', 'N/A', 5.266649499535561, -3.0140215158462524, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FHAW', 'medium_airport', 'RAF Ascension Island', -7.9696, -14.3937, 278, 'SH', 'SH-AC', 'Cat Hill', 'yes', 'FHAW', 'ASI', '', 'Wideawake Airfield, Ascension Island Auxiliary Field'),
	('ENAS', 'small_airport', 'Ny-Ålesund Airport, Hamnerabben', 78.927498, 11.8743, 50, 'NO', 'NO-21', 'Ny-Ålesund', 'no', 'ENAS', '', '', 'Brøggerhalvøya Airport'),
	('ENLK', 'medium_airport', 'Leknes Airport', 68.152496337891, 13.609399795532, 78, 'NO', 'NO-18', 'Leknes', 'yes', 'ENLK', 'LKN', '', 'Leknes lufthavn'),
	('ENSH', 'medium_airport', 'Svolvær Airport, Helle', 68.243301, 14.6692, 27, 'NO', 'NO-18', 'Svolvær', 'yes', 'ENSH', 'SVJ', '', 'Svolvær lufthavn, Helle'),
	('ENRS', 'small_airport', 'Røst Airport', 67.526482, 12.101575, 7, 'NO', 'NO-18', 'Røst', 'yes', 'ENRS', 'RET', '', 'Rost Airport'),
	('ENEN', 'small_airport', 'Engeløy Airfield', 67.967222, 14.9925, 10, 'NO', 'NO-18', 'Engeløy', 'no', 'ENEN', '', '', ''),
	('ENSB', 'medium_airport', 'Svalbard Airport, Longyear', 78.246101379395, 15.465600013733, 88, 'NO', 'NO-21', 'Longyearbyen', 'yes', 'ENSB', 'LYR', '', ''),
	('ENNK', 'closed', 'Narvik Framnes Airport', 68.436897, 17.3867, 95, 'NO', 'NO-18', 'Narvik', 'no', '', '', '', 'Narvik lufthavn, Framnes, ENNK, NVK'),
	('ENDU', 'medium_airport', 'Bardufoss Airport', 69.055801, 18.5404, 252, 'NO', 'NO-55', 'Målselv', 'yes', 'ENDU', 'BDU', '', ''),
	('ENSJ', 'N/A', 'N/A', 68.8711690530181, 17.98402413725853, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENEV', 'medium_airport', 'Harstad/Narvik Airport, Evenes', 68.491302490234, 16.678100585938, 84, 'NO', 'NO-18', 'Evenes', 'yes', 'ENEV', 'EVE', '', 'Harstad/Narvik lufthavn, Evenes'),
	('ENSK', 'medium_airport', 'Stokmarknes Airport, Skagen', 68.578827, 15.033417, 11, 'NO', 'NO-18', 'Hadsel', 'yes', 'ENSK', 'SKN', '', 'Stokmarknes lufthavn, Skagen'),
	('ENSQ', 'N/A', 'N/A', 68.85621841996908, 18.35091322660446, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENAN', 'medium_airport', 'Andøya Airport, Andenes', 69.292503, 16.144199, 43, 'NO', 'NO-18', 'Andenes', 'yes', 'ENAN', 'ANX', '', ''),
	('ENHK', 'small_airport', 'Hasvik Airport', 70.486702, 22.1397, 21, 'NO', 'NO-56', 'Hasvik', 'yes', 'ENHK', 'HAA', '', ''),
	('ESNQ', 'medium_airport', 'Kiruna Airport', 67.821998596191, 20.336799621582, 1508, 'SE', 'SE-BD', 'Kiruna', 'yes', 'ESNQ', 'KRN', '', ''),
	('ESUK', 'small_airport', 'Kalixfors Airfield', 67.764801, 20.2572, 1549, 'SE', 'SE-BD', '', 'no', 'ESUK', '', '', ''),
	('ENSR', 'medium_airport', 'Sørkjosen Airport', 69.786797, 20.9594, 16, 'NO', 'NO-55', 'Sørkjosen', 'yes', 'ENSR', 'SOJ', '', ''),
	('ENTC', 'large_airport', 'Tromsø Airport, Langnes', 69.683296, 18.9189, 31, 'NO', 'NO-55', 'Tromsø', 'yes', 'ENTC', 'TOS', '', 'Langnes, Tromsøya, Tromso'),
	('ENHV', 'medium_airport', 'Honningsvåg Airport, Valan', 71.009697, 25.983601, 44, 'NO', 'NO-56', 'Honningsvåg', 'yes', 'ENHV', 'HVG', '', ''),
	('ENHF', 'medium_airport', 'Hammerfest Airport', 70.679703, 23.6686, 266, 'NO', 'NO-56', 'Hammerfest', 'yes', 'ENHF', 'HFT', '', ''),
	('EFET', 'medium_airport', 'Enontekio Airport', 68.362602233887, 23.424299240112, 1005, 'FI', 'FI-10', 'Enontekio', 'yes', 'EFET', 'ENF', '', ''),
	('ENKA', 'small_airport', 'Kautokeino Airfield', 69.040298, 23.034, 1165, 'NO', 'NO-56', 'Kautokeino', 'no', 'ENKA', '', '', ''),
	('ENNA', 'medium_airport', 'Lakselv Airport, Banak', 70.068802, 24.973499, 25, 'NO', 'NO-56', 'Lakselv', 'yes', 'ENNA', 'LKL', '', 'North Cape Airport'),
	('ENAT', 'medium_airport', 'Alta Airport', 69.976097, 23.3717, 9, 'NO', 'NO-56', 'Alta', 'yes', 'ENAT', 'ALF', '', ''),
	('EFAA', 'small_airport', 'Aavahelukka Airfield', 67.6036, 23.971701, 738, 'FI', 'FI-10', '', 'no', 'EFAA', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EFKT', 'medium_airport', 'Kittilä Airport', 67.700996398926, 24.846799850464, 644, 'FI', 'FI-10', 'Kittilä', 'yes', 'EFKT', 'KTT', '', ''),
	('ENBS', 'medium_airport', 'Båtsfjord Airport', 70.60025, 29.692612, 490, 'NO', 'NO-56', 'Båtsfjord', 'yes', 'ENBS', 'BJF', '', ''),
	('ENBV', 'medium_airport', 'Berlevåg Airport', 70.871517, 29.034097, 42, 'NO', 'NO-56', 'Berlevåg', 'yes', 'ENBV', 'BVG', '', ''),
	('ENMH', 'medium_airport', 'Mehamn Airport', 71.029701, 27.8267, 39, 'NO', 'NO-56', 'Mehamn', 'yes', 'ENMH', 'MEH', '', ''),
	('ENVD', 'medium_airport', 'Vadsø Airport', 70.0653, 29.8447, 127, 'NO', 'NO-56', 'Vadsø', 'yes', 'ENVD', 'VDS', '', ''),
	('EFVU', 'small_airport', 'Vuotso Airfield', 68.087196, 27.123899, 0, 'FI', 'FI-10', 'Vuotso', 'no', 'EFVU', '', '', ''),
	('EFIV', 'medium_airport', 'Ivalo Airport', 68.607299804688, 27.405300140381, 481, 'FI', 'FI-10', 'Ivalo', 'yes', 'EFIV', 'IVL', '', ''),
	('ENKR', 'medium_airport', 'Kirkenes Airport, Høybuktmoen', 69.7258, 29.8913, 283, 'NO', 'NO-56', 'Kirkenes', 'yes', 'ENKR', 'KKN', '', ''),
	('ENTA', 'N/A', 'N/A', 70.26482373476028, 28.15394952893257, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGIH', 'N/A', 'N/A', 53.71543284505606, 0.05031287670135498, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG0E', 'N/A', 'N/A', 53.49778197705746, 0.06201356649398804, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG23', 'N/A', 'N/A', 53.35813779383898, 0.03331214189529419, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQC', 'N/A', 'N/A', 51.191828548908234, 0.41206642985343933, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG72', 'N/A', 'N/A', 52.562782019376755, 0.8651523292064667, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVG', 'small_airport', 'Woodbridge Airfield', 52.09, 1.40583, 95, 'GB', 'GB-ENG', 'Woodbridge, Suffolk', 'no', '', '', '', 'EGVG, RAF Woodbridge'),
	('EGSA', 'small_airport', 'Shipdham Airfield', 52.629398, 0.928056, 210, 'GB', 'GB-ENG', 'Thetford, Norfolk', 'no', 'EGSA', '', '', 'RAF Shipdham'),
	('EGKL', 'small_airport', 'Deanland Lewes Airfield', 50.881093, 0.154345, 69, 'GB', 'GB-ENG', 'Lewes, East Sussex', 'no', 'EGKL', '', '', ''),
	('EGMF', 'small_airport', 'Farthing Corner / Stoneacre Farm Airfield', 51.332788, 0.601058, 420, 'GB', 'GB-ENG', 'Sittingbourne, Kent', 'no', 'EGMF', '', '', ''),
	('EGMH', 'closed', 'Kent International Airport (Manston)', 51.342201, 1.34611, 178, 'GB', 'GB-ENG', 'Manston', 'no', '', '', '', 'RAF Manston, Ramsgate, EGUM, Manston Airport, EGMH, MSE'),
	('EGYC', 'closed', 'RAF Coltishall', 52.7547, 1.35722, 66, 'GB', 'GB-ENG', 'Norwich, Norfolk', 'no', '', '', '', 'EGYC, CLF'),
	('EGSS', 'large_airport', 'London Stansted Airport', 51.884998, 0.235, 348, 'GB', 'GB-ENG', 'London', 'yes', 'EGSS', 'STN', '', 'LON'),
	('EGUN', 'medium_airport', 'RAF Mildenhall', 52.3619, 0.486406, 33, 'GB', 'GB-ENG', 'Bury Saint Edmunds, Suffolk', 'no', 'EGUN', 'MHZ', '', ''),
	('EGMD', 'medium_airport', 'Lydd London Ashford Airport', 50.956246, 0.939074, 13, 'GB', 'GB-ENG', 'Romney Marsh, Kent', 'no', 'EGMD', 'LYX', '', 'London Ashford'),
	('EHMZ', 'small_airport', 'Midden-Zeeland Airfield', 51.512199, 3.73111, 6, 'NL', 'NL-ZL', 'Middelburg', 'no', 'EHMZ', '', '', ''),
	('EGUL', 'medium_airport', 'RAF Lakenheath', 52.40954, 0.561161, 32, 'GB', 'GB-ENG', 'Brandon, Suffolk', 'no', 'EGUL', 'LKZ', '', ''),
	('EGSH', 'medium_airport', 'Norwich Airport', 52.6758, 1.28278, 117, 'GB', 'GB-ENG', 'Norwich, Norfolk', 'yes', 'EGSH', 'NWI', '', 'RAF Horsham St Faith'),
	('EGLH', 'N/A', 'N/A', 52.06979267299175, 0.8571110665798187, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGSW', 'small_airport', 'Newmarket Heath Airfield', 52.235147, 0.350643, 100, 'GB', 'GB-ENG', 'Newmarket', 'no', 'EGSW', '', '', 'RAF Newmarket'),
	('EG25', 'N/A', 'N/A', 53.35803050547838, 0.08152395486831665, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFIS', 'small_airport', 'Saint-Inglevert Aerodrome', 50.882608, 1.735757, 443, 'FR', 'FR-HDF', 'Saint-Inglevert', 'no', 'LFIS', '', '', 'Boulonnais Aeroclub, Les Deux Caps'),
	('EGJC', 'N/A', 'N/A', 52.70600192248821, 1.194625049829483, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJE', 'N/A', 'N/A', 51.5639840438962, 0.35493314266204834, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUU', 'N/A', 'N/A', 52.33720354735851, 0.18302813172340393, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGSJ', 'small_airport', 'Seething Airfield', 52.510997, 1.416864, 130, 'GB', 'GB-ENG', 'Mundham, Norfolk', 'no', 'EGSJ', '', '', 'RAF Seething'),
	('EGZK', 'N/A', 'N/A', 51.669883355498314, 0.6321027874946594, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKB', 'medium_airport', 'London Biggin Hill Airport', 51.33079910279999, 0.0324999988079, 598, 'GB', 'GB-ENG', 'London', 'no', 'EGKB', 'BQH', '', 'LON, RAF Biggin Hill'),
	('EGRP', 'N/A', 'N/A', 51.65400769561529, 0.016841143369674683, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTZ', 'N/A', 'N/A', 53.1370459869504, 0.0005485117435455322, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJQ', 'N/A', 'N/A', 51.73224739730358, 0.29042288661003113, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXI', 'N/A', 'N/A', 51.23318586498499, 0.08025661110877991, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGIK', 'N/A', 'N/A', 52.8609923645854, 0.9052214026451111, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVK', 'N/A', 'N/A', 51.444881558418274, 0.6319347023963928, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UK07', 'N/A', 'N/A', 52.72809024900198, 0.9618844091892242, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGOI', 'N/A', 'N/A', 50.853745490312576, 0.0018878281116485596, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUV', 'closed', 'RAF Thorney Island', 50.816048, -0.920034, 12, 'GB', 'GB-ENG', 'Emsworth, Hampshire', 'no', '', '', '', 'EGUV'),
	('LF22', 'N/A', 'N/A', 50.69516759365797, 1.568804383277893, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EBAM', 'small_airport', 'Amougies Airfield', 50.740101, 3.4849, 49, 'BE', 'BE-WHT', 'Mont-de-l''Enclus', 'no', 'EBAM', '', '', 'Aérodrome d''Amougies'),
	('EGSQ', 'small_airport', 'Clacton Airfield', 51.785, 1.13, 37, 'GB', 'GB-ENG', 'Clacton-on-Sea, Essex', 'no', 'EGSQ', '', '', ''),
	('EGFB', 'N/A', 'N/A', 51.18709109723568, 1.153346300125122, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKH', 'small_airport', 'Headcorn Aerodrome', 51.156898, 0.641667, 72, 'GB', 'GB-ENG', 'Ashford, Kent', 'no', 'EGKH', '', '', 'RAF Lashenden, Lashenden (Headcorn) Airfield'),
	('EGIQ', 'N/A', 'N/A', 51.09198063611984, 0.9884051978588104, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EBMO', 'small_airport', 'Moorsele Airfield', 50.851285, 3.147669, 66, 'BE', 'BE-VWV', 'Wevelgem', 'no', 'EBMO', '', '', ''),
	('EGLO', 'N/A', 'N/A', 52.06829331815243, 0.736316442489624, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXH', 'medium_airport', 'RAF Honington', 52.342602, 0.772939, 174, 'GB', 'GB-ENG', 'Bury Saint Edmunds, Suffolk', 'no', 'EGXH', 'BEQ', '', ''),
	('EGWD', 'N/A', 'N/A', 52.16841917484999, 1.260521560907364, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUM', 'N/A', 'N/A', 51.99045192450285, 0.6592923402786255, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGSM', 'small_airport', 'Beccles Airfield', 52.435299, 1.61833, 80, 'GB', 'GB-ENG', 'Beccles, Suffolk', 'no', 'EGSM', '', '', 'RAF Beccles'),
	('EGSG', 'small_airport', 'Stapleford Aerodrome', 51.6525, 0.155833, 183, 'GB', 'GB-ENG', 'Romford, Greater London', 'no', 'EGSG', '', '', 'Epping Forest, RAF Stapleford Tawney'),
	('EGSL', 'small_airport', 'Andrewsfield', 51.895, 0.449167, 286, 'GB', 'GB-ENG', 'Braintree, Essex', 'no', 'EGSL', '', '', 'RAF Andrews Field'),
	('EGOL', 'N/A', 'N/A', 51.40305753797293, 0.8465570211410522, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGHM', 'N/A', 'N/A', 51.19143661111593, 0.688585638999939, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGQA', 'N/A', 'N/A', 51.178733333945274, 0.425836443901062, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGKE', 'small_airport', 'Challock Airfield', 51.208302, 0.829167, 600, 'GB', 'GB-ENG', 'Ashford, Kent', 'no', 'EGKE', '', '', 'Kent Gliding Centre'),
	('EGHB', 'closed', 'Maypole Airfield', 51.337508, 1.155292, 100, 'GB', 'GB-ENG', 'Maypole', 'no', '', '', '', 'EGHB, EGHB'),
	('EGOT', 'N/A', 'N/A', 51.2761602178216, 0.0277787446975708, 129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGGE', 'N/A', 'N/A', 52.24576100707054, 0.7676902413368225, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGGS', 'N/A', 'N/A', 52.48824845999479, 0.08946061134338379, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGSV', 'small_airport', 'Old Buckenham Airfield', 52.497501, 1.05194, 194, 'GB', 'GB-ENG', 'Old Buckenham, Norfolk', 'no', 'EGSV', '', '', 'RAF Old Buckenham'),
	('EGMC', 'medium_airport', 'London Southend Airport', 51.570562, 0.693627, 49, 'GB', 'GB-ENG', 'Southend-on-Sea, Essex', 'yes', 'EGMC', 'SEN', '', 'RAF Rochford'),
	('EHBU', 'N/A', 'N/A', 51.7092739418149, 3.7107619643211365, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGXL', 'N/A', 'N/A', 52.938046865165234, 0.7721637189388275, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLC', 'medium_airport', 'London City Airport', 51.505299, 0.055278, 19, 'GB', 'GB-ENG', 'London', 'yes', 'EGLC', 'LCY', '', 'LON'),
	('EGYM', 'medium_airport', 'RAF Marham', 52.648395, 0.550692, 75, 'GB', 'GB-ENG', 'King''s Lynn, Norfolk', 'no', 'EGYM', 'KNF', '', 'King''s Lynn'),
	('EGWX', 'N/A', 'N/A', 52.91255548596382, 0.952761322259903, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGST', 'small_airport', 'Elmsett Airfield', 52.075454, 0.977654, 246, 'GB', 'GB-ENG', 'Ipswich, Suffolk', 'no', 'EGST', '', '', ''),
	('EGDS', 'N/A', 'N/A', 52.72374641150236, 0.524052232503891, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUW', 'medium_airport', 'Wattisham Airfield', 52.127451, 0.956189, 284, 'GB', 'GB-ENG', 'Ipswich, Suffolk', 'no', 'EGUW', '', '', 'Stowmarket'),
	('EGYG', 'N/A', 'N/A', 53.19782517850399, 0.03715038299560547, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVW', 'N/A', 'N/A', 51.692940294742584, 0.8729030191898346, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTO', 'small_airport', 'Rochester Airport', 51.351898, 0.503333, 436, 'GB', 'GB-ENG', 'Rochester, Kent', 'no', 'EGTO', 'RCS', '', ''),
	('EBKT', 'medium_airport', 'Flanders International Airport Kortrijk-Wevelgem', 50.818878, 3.209551, 55, 'BE', 'BE-VWV', 'Wevelgem', 'no', 'EBKT', 'KJK', '', 'Kortrijk, Courtrai'),
	('EGSX', 'small_airport', 'North Weald Airfield', 51.721699, 0.154167, 321, 'GB', 'GB-ENG', 'Epping, Essex', 'no', 'EGSX', '', '', 'RAF North Weald, Epping Forest'),
	('EGGN', 'N/A', 'N/A', 52.290096916258335, 0.36969512701034546, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGAO', 'N/A', 'N/A', 51.14497672766447, 1.20905801653862, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGZH', 'N/A', 'N/A', 52.309722639620304, 1.2263506650924683, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYB', 'N/A', 'N/A', 52.167381159961224, 0.8667281270027161, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG24', 'N/A', 'N/A', 53.36497139185667, 0.12093454599380493, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGWP', 'N/A', 'N/A', 53.12314376235008, 0.25193631649017334, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFW', 'N/A', 'N/A', 52.255626171827316, 0.9316657483577728, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLI', 'N/A', 'N/A', 51.91202882677317, 1.1823369562625885, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EBUL', 'small_airport', 'Ursel Air Base', 51.144199, 3.47556, 95, 'BE', 'BE-VOV', 'Ursel', 'no', 'EBUL', '', '', ''),
	('EGJP', 'N/A', 'N/A', 52.22943540662527, 1.12266406416893, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EBOS', 'medium_airport', 'Oostende-Brugge International Airport', 51.1998, 2.874673, 13, 'BE', 'BE-VWV', 'Oostende', 'yes', 'EBOS', 'OST', '', 'Ostend-Bruges International Airport'),
	('EGMB', 'N/A', 'N/A', 52.63106133788824, 0.06424963474273682, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGGH', 'N/A', 'N/A', 51.974238976836205, 0.8496473729610443, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGSI', 'small_airport', 'Marshland Airfield', 52.643611, 0.295, -6, 'GB', 'GB-ENG', 'Wisbech', 'no', 'EGSI', '', '', ''),
	('LFQN', 'small_airport', 'Saint-Omer Wizernes Airfield', 50.727456, 2.232586, 249, 'FR', 'FR-HDF', 'Longuenesse, Pas-de-Calais', 'no', 'LFQN', '', '', ''),
	('EGUP', 'closed', 'RAF Sculthorpe', 52.846699, 0.766389, 213, 'GB', 'GB-ENG', 'Fakenham, Norfolk', 'no', '', '', '', 'EGUP'),
	('EGOJ', 'N/A', 'N/A', 51.00468747317791, 0.6217606365680695, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGMT', 'small_airport', 'Thurrock Airfield', 51.537505, 0.367634, 20, 'GB', 'GB-ENG', '', 'no', 'EGMT', '', '', ''),
	('EGRD', 'N/A', 'N/A', 51.9951843470335, 0.0702524185180664, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGDH', 'N/A', 'N/A', 51.17612488567829, 1.2780126929283142, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EGUA', 'closed', 'RAF Upper Heyford', 51.9375, -1.2488900423, 436, 'GB', 'GB-ENG', 'Upper Heyford', 'no', '', '', '', 'EGUA, EGUA, UHF'),
	('EGOF', 'N/A', 'N/A', 52.45610922574997, 1.156158596277237, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFZ', 'N/A', 'N/A', 52.58428797125816, 0.5152742564678192, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYY', 'N/A', 'N/A', 51.178589165210724, 0.5269338190555573, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG48', 'N/A', 'N/A', 52.46449112892151, 1.3097333908081055, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGNI', 'small_airport', 'Skegness (Ingoldmells) Aerodrome', 53.1716, 0.3293749988, 8, 'GB', 'GB-ENG', 'Skegness', 'no', 'EGNI', '', '', ''),
	('EGIJ', 'N/A', 'N/A', 52.38665543496609, 0.061105191707611084, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGJT', 'N/A', 'N/A', 50.93780659139156, 0.5201795697212219, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EG22', 'N/A', 'N/A', 53.32561902701855, 0.07189080119132996, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGCU', 'N/A', 'N/A', 52.892951890826225, 1.3190580904483795, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLE', 'N/A', 'N/A', 51.10922388732433, 1.0534603893756866, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFAC', 'medium_airport', 'Calais-Dunkerque Airport', 50.962101, 1.95476, 12, 'FR', 'FR-HDF', 'Marck', 'no', 'LFAC', 'CQF', '', 'Dunkirk, Grand Calais'),
	('EGVT', 'small_airport', 'Wethersfield Air Base', 51.971901, 0.509444, 322, 'GB', 'GB-ENG', 'Braintree, Essex', 'no', '', '', '', 'RAF Wethersfield, EGVT'),
	('EGLQ', 'N/A', 'N/A', 51.146140806376934, 1.0459470748901367, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGVX', 'N/A', 'N/A', 52.71844066679478, 1.5509216487407684, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGUE', 'N/A', 'N/A', 52.81403660774231, 0.11305376887321472, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTS', 'N/A', 'N/A', 52.007640190422535, 0.22419288754463196, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGYZ', 'N/A', 'N/A', 51.75169978290796, 0.6988804042339325, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGFX', 'N/A', 'N/A', 52.59088151156902, 0.5170239508152008, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGSU', 'small_airport', 'Duxford Aerodrome', 52.090801, 0.131944, 125, 'GB', 'GB-ENG', 'Duxford', 'no', 'EGSU', '', '', 'RAF Duxford, Duxford, IWM Duxford'),
	('EGIE', 'N/A', 'N/A', 51.569260619580746, 0.7951685786247253, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EBFN', 'medium_airport', 'Koksijde Air Base', 51.090302, 2.65278, 20, 'BE', 'BE-VWV', 'Koksijde', 'no', 'EBFN', '', '', 'Coxyde'),
	('EGZD', 'N/A', 'N/A', 51.99440583586693, 0.5564318597316742, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFQO', 'small_airport', 'Marcq-en-Baroeul Airfield', 50.687199, 3.07556, 69, 'FR', 'FR-HDF', 'Bondues', 'no', 'LFQO', '', '', 'Aérodrome de Lille/Marcq-en-Barœul, Aérodrome de Marcq-en-Barœul/Bondues, Advanced Landing Ground B-57 Lille/Wambrechie'),
	('LFAK', 'small_airport', 'Dunkerque-Les Moëres Airfield', 51.039559, 2.549129, -3, 'FR', 'FR-HDF', 'Ghyvelde', 'no', 'LFAK', '', '', 'Dunkirk, Dunkerque Aeroclub'),
	('EG50', 'N/A', 'N/A', 51.940506510436535, 0.7914452254772186, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGML', 'small_airport', 'Damyns Hall Aerodrome', 51.527561, 0.244189, 59, 'GB', 'GB-ENG', 'Upminster, Greater London', 'no', 'EGML', '', '', ''),
	('EGSO', 'small_airport', 'Crowfield Airfield', 52.17251, 1.110563, 201, 'GB', 'GB-ENG', 'Ipswich, Suffolk', 'no', 'EGSO', '', '', 'Stowmarket'),
	('EG83', 'N/A', 'N/A', 51.88545685261488, 0.5218805372714996, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGMA', 'small_airport', 'Fowlmere Airfield', 52.077499, 0.061667, 124, 'GB', 'GB-ENG', 'Royston, Hertfordshire', 'no', 'EGMA', '', '', 'RAF Fowlmere'),
	('EGZA', 'N/A', 'N/A', 52.01867546886206, 1.0070832073688507, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGON', 'N/A', 'N/A', 51.807241290807724, 0.07095113396644592, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGTT', 'N/A', 'N/A', 52.77950115501881, 0.677293986082077, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGSR', 'small_airport', 'Earls Colne Airfield', 51.914398, 0.6825, 226, 'GB', 'GB-ENG', 'Colchester, Essex', 'no', 'EGSR', '', '', 'RAF Earls Colne'),
	('EGGR', 'N/A', 'N/A', 51.80621635168791, 0.3410021960735321, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGSC', 'medium_airport', 'Cambridge City Airport', 52.205002, 0.175, 47, 'GB', 'GB-ENG', 'Cambridge, Cambridgeshire', 'no', 'EGSC', 'CBG', '', 'Marshall Airport Cambridge UK'),
	('EBZU', 'small_airport', 'Zuienkerke Sport Aviation Airfield', 51.25555, 3.139858, 16, 'BE', 'BE-VWV', 'Zuienkerke', 'no', 'EBZU', '', '', 'Zuienkerke ULM'),
	('LFPN', 'medium_airport', 'Toussus-le-Noble Airport', 48.7519, 2.10619, 538, 'FR', 'FR-IDF', 'Toussus-le-Noble, Yvelines', 'no', 'LFPN', 'TNF', '', ''),
	('LFXU', 'small_airport', 'Les Mureaux Airfield', 48.998299, 1.94278, 89, 'FR', 'FR-IDF', 'Les Mureaux, Yvelines', 'no', 'LFXU', '', '', ''),
	('LFPE', 'small_airport', 'Meaux-Esbly Airfield', 48.927462, 2.833457, 217, 'FR', 'FR-IDF', 'Isles-lès-Villenoy, Seine-et-Marne', 'no', 'LFPE', '', '', 'Aérodrome de Meaux-Esbly'),
	('LFLA', 'medium_airport', 'Auxerre-Branches Airport', 47.850201, 3.49711, 523, 'FR', 'FR-BFC', 'Appoigny, Yonne', 'no', 'LFLA', 'AUF', '', ''),
	('LFUN', 'N/A', 'N/A', 49.56804536283016, 3.2306742668151855, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFGK', 'small_airport', 'Joigny Airfield', 47.994462, 3.392715, 732, 'FR', 'FR-BFC', 'Joigny, Yonne', 'no', 'LFGK', '', '', ''),
	('LFOL', 'small_airport', 'Aérodrome de L''Aigle-Saint-Michel', 48.759701, 0.659167, 787, 'FR', 'FR-NOR', 'Chalons', 'no', 'LFOL', '', '', ''),
	('LFPB', 'medium_airport', 'Paris-Le Bourget Airport', 48.969398, 2.44139, 218, 'FR', 'FR-IDF', 'Paris (Le Bourget, Seine-Saint-Denis)', 'no', 'LFPB', 'LBG', '', 'PAR'),
	('LFGO', 'small_airport', 'Pont-sur-Yonne Airfield', 48.291587, 3.245745, 236, 'FR', 'FR-BFC', 'Gisy-les-Nobles, Yonne', 'no', 'LFGO', '', '', ''),
	('LF21', 'N/A', 'N/A', 48.15925061702728, 1.8523576855659485, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFQL', 'small_airport', 'Lens-Bénifontaine Airfield', 50.4664, 2.81972, 167, 'FR', 'FR-HDF', 'Bénifontaine, Pas-de-Calais', 'no', 'LFQL', '', '', ''),
	('LFOR', 'small_airport', 'Aérodrome de Chartres-Métropole', 48.4589, 1.52389, 509, 'FR', 'FR-CVL', 'Chartres / Champhol', 'no', 'LFOR', '', '', 'Champhol, A-40'),
	('LFPA', 'small_airport', 'Persan-Beaumont Airfield', 49.165798, 2.31306, 148, 'FR', 'FR-IDF', 'Bernes-sur-Oise, Val-d''Oise', 'no', 'LFPA', '', '', 'Aérodrome de Persan-Beaumont'),
	('LFPX', 'small_airport', 'Chavenay-Villepreux Airfield', 48.842323, 1.9805, 426, 'FR', 'FR-IDF', 'Chavenay, Yvelines', 'no', 'LFPX', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LFXW', 'N/A', 'N/A', 48.50604984909296, 0.9909264743328094, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFQD', 'small_airport', 'Arras-Roclincourt Airfield', 50.323898, 2.80278, 338, 'FR', 'FR-HDF', 'Saint-Laurent-Blangy', 'no', 'LFQD', '', '', ''),
	('LFYV', 'small_airport', 'Yvetot Lucien Camu Airfield', 49.638316, 0.728467, 463, 'FR', 'FR-NOR', 'Baons-le-Comte', 'no', 'LFYV', '', '', ''),
	('LFOX', 'small_airport', 'Aérodrome d''Étampes-Mondésir', 48.381901, 2.07528, 494, 'FR', 'FR-IDF', 'Guillerval', 'no', 'LFOX', '', '', ''),
	('LFOY', 'small_airport', 'Havre-Saint-Romain-de-Colbosc Airfield', 49.544676, 0.360403, 423, 'FR', 'FR-NOR', 'Gommerville', 'no', 'LFOY', '', '', 'Aérodrome du Havre-Saint-Romain'),
	('LFFG', 'small_airport', 'La Ferté-Gaucher Airfield', 48.757019, 3.278098, 538, 'FR', 'FR-IDF', 'La Ferté-Gaucher, Seine-et-Marne', 'no', 'LFFG', '', '', ''),
	('LFAV', 'medium_airport', 'Valenciennes-Denain Airfield', 50.325802, 3.46126, 165, 'FR', 'FR-HDF', 'Prouvy', 'no', 'LFAV', '', '', ''),
	('LF60', 'N/A', 'N/A', 48.59190300107002, 1.5380533039569855, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFFP', 'small_airport', 'Pithiviers Airfield', 48.1572, 2.1925, 384, 'FR', 'FR-CVL', '', 'no', 'LFFP', '', '', ''),
	('LFPO', 'large_airport', 'Paris-Orly Airport', 48.72333, 2.37944, 291, 'FR', 'FR-IDF', 'Paris (Orly, Val-de-Marne)', 'yes', 'LFPO', 'ORY', '', ''),
	('LFYA', 'N/A', 'N/A', 49.12503696978092, 0.14311909675598145, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFOS', 'small_airport', 'Saint-Valery-Vittefleur Airfield', 49.83516, 0.655281, 272, 'FR', 'FR-NOR', 'Saint-Sylvain', 'no', 'LFOS', '', '', 'Aérodrome de Saint-Valery-Vittefleur'),
	('LFWA', 'N/A', 'N/A', 50.54132178425789, 2.034374177455902, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF30', 'N/A', 'N/A', 48.43854367733002, 1.2744909524917603, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF02', 'N/A', 'N/A', 48.31607602536678, 3.5572725534439087, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFFH', 'small_airport', 'Château-Thierry-Belleau Airfield', 49.066753, 3.355465, 728, 'FR', 'FR-HDF', 'Château-Thierry, Aisne', 'no', 'LFFH', '', '', ''),
	('LFAG', 'medium_airport', 'Péronne Saint-Quentin Airfield', 49.868871, 3.029566, 295, 'FR', 'FR-HDF', 'Monchy-Lagache, Somme', 'no', 'LFAG', '', '', 'Aérodrome de Péronne Saint-Quentin'),
	('LFAY', 'medium_airport', 'Amiens-Glisy Airfield', 49.873004, 2.387074, 208, 'FR', 'FR-HDF', 'Glisy, Somme', 'no', 'LFAY', '', '', 'Aérodrome d''Amiens-Glisy'),
	('LFAR', 'small_airport', 'Montdidier Airfield', 49.672118, 2.567811, 358, 'FR', 'FR-HDF', 'Montdidier', 'no', 'LFAR', '', '', ''),
	('LFJS', 'small_airport', 'Soissons-Courmelles Airfield', 49.344978, 3.282681, 509, 'FR', 'FR-HDF', 'Soissons, Aisne', 'no', 'LFJS', '', '', 'Aérodrome de Soissons - Courmelles'),
	('LF61', 'N/A', 'N/A', 48.49296972155571, 2.573893815279007, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF29', 'N/A', 'N/A', 47.87203397601843, 2.4543634057044983, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFOI', 'medium_airport', 'Abbeville-Buigny Baie de Somme Airfield', 50.143501, 1.831891, 220, 'FR', 'FR-HDF', 'Buigny-Saint-Maclou', 'no', 'LFOI', '', '', 'Aérodrome d''Abbeville'),
	('LF36', 'N/A', 'N/A', 49.669490195810795, 2.9678092896938324, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF81', 'N/A', 'N/A', 49.67212714254856, 2.683597058057785, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFPK', 'small_airport', 'Coulommiers-Voisins Aerodrome', 48.839602, 3.008653, 470, 'FR', 'FR-IDF', 'Pommeuse, Seine-et-Marne', 'no', 'LFPK', '', '', 'Aérodrome de Coulommiers - Voisins'),
	('LFFE', 'small_airport', 'Enghien-Moisselles Airfield', 49.046016, 2.353976, 335, 'FR', 'FR-IDF', 'Attainville, Val-d''Oise', 'no', 'LFFE', '', '', ''),
	('LFPU', 'small_airport', 'Moret-Episy Airfield', 48.34119, 2.798517, 253, 'FR', 'FR-IDF', 'Moret-Loing-et-Orvanne, Seine-et-Marne', 'no', 'LFPU', '', '', 'Aéroclub de la Vallée du Loing'),
	('LFPH', 'small_airport', 'Chelles-le-Pin Airfield', 48.896568, 2.606206, 207, 'FR', 'FR-IDF', 'Chelles, Seine-et-Marne', 'no', 'LFPH', '', '', 'Aérodrome de Chelles-le-Pin'),
	('LFOF', 'small_airport', 'Aérodrome d''Alençon - Valframbert', 48.447498, 0.109167, 479, 'FR', 'FR-NOR', '', 'no', 'LFOF', '', '', ''),
	('LFON', 'small_airport', 'Aérodrome de Dreux - Vernouillet', 48.706699, 1.36278, 443, 'FR', 'FR-CVL', 'Dreux', 'no', 'LFON', '', '', ''),
	('LFFL', 'small_airport', 'Bailleau Armenonville Airfield', 48.5158, 1.64, 509, 'FR', 'FR-CVL', '', 'no', 'LFFL', '', '', ''),
	('LFOC', 'medium_airport', 'Châteaudun', 48.058102, 1.37662, 433, 'FR', 'FR-CVL', 'Châteaudun', 'no', 'LFOC', '', '', ''),
	('LFPT', 'medium_airport', 'Pontoise-Cormeilles Aerodrome', 49.096064, 2.035543, 325, 'FR', 'FR-IDF', 'Cormeilles-en-Vexin, Val-d''Oise', 'no', 'LFPT', 'POX', '', 'Aérodrome de Pontoise-Cormeilles en Vexin, Cergy Pontoise'),
	('LFAI', 'small_airport', 'Nangis-Les Loges Aerodrome', 48.596199, 3.00679, 428, 'FR', 'FR-IDF', 'Clos-Fontaine', 'no', 'LFAI', '', '', 'Aérodrome de Nangis Les Loges'),
	('LFAE', 'small_airport', 'Eu Mers-Le Tréport Airfield', 50.068168, 1.424748, 328, 'FR', 'FR-NOR', 'Eu', 'no', 'LFAE', '', '', ''),
	('LF35', 'N/A', 'N/A', 49.31390270590782, 2.2982704639434814, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFOW', 'small_airport', 'Saint-Quentin-Roupy Airfield', 49.816089, 3.205734, 325, 'FR', 'FR-HDF', 'Fontaine-lès-Clercs, Aisne', 'no', 'LFOW', '', '', 'Aérodrome de Saint-Quentin - Roupy'),
	('LFRM', 'medium_airport', 'Le Mans-Arnage Airport', 47.948604, 0.201702, 194, 'FR', 'FR-PDL', 'Le Mans, Sarthe', 'yes', 'LFRM', 'LME', '', ''),
	('LFEM', 'small_airport', 'Montargis Vimory Airfield', 47.960602, 2.68583, 308, 'FR', 'FR-CVL', 'Vimory, Loiret', 'no', 'LFEM', '', '', ''),
	('LFPG', 'large_airport', 'Charles de Gaulle International Airport', 49.012798, 2.55, 392, 'FR', 'FR-IDF', 'Paris (Roissy-en-France, Val-d''Oise)', 'yes', 'LFPG', 'CDG', '', 'PAR, Aéroport Roissy-Charles de Gaulle, Roissy Airport'),
	('LFRG', 'medium_airport', 'Deauville-Normandie Airport', 49.365237, 0.154481, 479, 'FR', 'FR-NOR', 'Deauville, Calvados', 'yes', 'LFRG', 'DOL', '', 'Deauville-Saint Gatien'),
	('LF31', 'N/A', 'N/A', 49.25286132842302, 1.0283687710762024, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFFQ', 'small_airport', 'Cerny-La Ferté Alais Airfield', 48.498571, 2.336891, 453, 'FR', 'FR-IDF', 'Cerny, Essonne', 'no', 'LFFQ', '', '', 'Jean-Baptiste Salis, Plateau Ardenay'),
	('LFYG', 'small_airport', 'Cambrai Niergnies Airfield', 50.140533, 3.263226, 312, 'FR', 'FR-HDF', 'Niergnies, Nord', 'no', 'LFYG', '', '', ''),
	('LFZZ', 'N/A', 'N/A', 48.21047376841307, 1.6733251512050629, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFAM', 'small_airport', 'Berck-sur-Mer Airfield', 50.4231, 1.59194, 30, 'FR', 'FR-HDF', 'Berck-sur-Mer', 'no', 'LFAM', '', '', ''),
	('LFXX', 'N/A', 'N/A', 48.61133694648743, 0.8419507741928101, 250, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFYB', 'N/A', 'N/A', 49.177650175988674, 0.992894321680069, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFQT', 'medium_airport', 'Merville-Calonne Airport', 50.618401, 2.64224, 61, 'FR', 'FR-HDF', 'Merville, Nord', 'no', 'LFQT', 'HZB', '', ''),
	('LFPL', 'small_airport', 'Lognes Emerainville Airfield', 48.821028, 2.625967, 359, 'FR', 'FR-IDF', 'Lognes, Seine-et-Marne', 'no', 'LFPL', '', '', 'Aérodrome Lognes-Emerainville');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LFPZ', 'small_airport', 'Saint-Cyr-l''École Airport', 48.812459, 2.067533, 373, 'FR', 'FR-IDF', 'Saint-Cyr-l''École, Yvelines', 'no', 'LFPZ', '', '', ''),
	('LF00', 'N/A', 'N/A', 47.81289629638195, 2.23594531416893, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF44', 'N/A', 'N/A', 48.97680301219225, 3.372431695461273, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFFY', 'small_airport', 'Étrépagny Airfield', 49.305273, 1.637907, 308, 'FR', 'FR-NOR', 'Étrépagny', 'no', 'LFFY', '', '', ''),
	('LFOB', 'medium_airport', 'Paris-Beauvais Airport', 49.454399, 2.11278, 359, 'FR', 'FR-HDF', 'Tillé', 'yes', 'LFOB', 'BVA', '', 'Beauvais-Tillé'),
	('LFPD', 'small_airport', 'Aérodrome de Bernay-Saint-Martin', 49.102798, 0.566667, 554, 'FR', 'FR-NOR', '', 'no', 'LFPD', '', '', ''),
	('LFAF', 'small_airport', 'Laon-Chambry Airfield', 49.595798, 3.63167, 256, 'FR', 'FR-HDF', 'Laon, Aisne', 'no', 'LFAF', '', '', ''),
	('LFAX', 'small_airport', 'Aérodrome de Mortagne Au Perche', 48.540298, 0.533889, 886, 'FR', 'FR-NOR', 'Mortagne', 'no', 'LFAX', '', '', ''),
	('LFPP', 'small_airport', 'Le Plessis-Belleville Airfield', 49.108837, 2.736138, 387, 'FR', 'FR-HDF', 'Le Plessis-Belleville', 'no', 'LFPP', '', '', ''),
	('LFPF', 'small_airport', 'Beynes Thiverval Airfield', 48.843165, 1.906279, 371, 'FR', 'FR-IDF', 'Beynes, Yvelines', 'no', 'LFPF', '', '', 'Aérodrome de Beynes - Thiverval'),
	('LF20', 'N/A', 'N/A', 48.39336387813091, 1.0571886599063873, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFAT', 'medium_airport', 'Le Touquet-Côte d''Opale Airport', 50.518284, 1.621656, 36, 'FR', 'FR-HDF', 'Le Touquet-Paris-Plage', 'no', 'LFAT', 'LTQ', '', 'Paris-Plage'),
	('LFFC', 'small_airport', 'Mantes-Chérence Airfield', 49.078814, 1.68829, 512, 'FR', 'FR-IDF', 'Chérence, Val-d''Oise', 'no', 'LFFC', '', '', ''),
	('LFAQ', 'small_airport', 'Albert-Picardie Airport', 49.970049, 2.693939, 364, 'FR', 'FR-HDF', 'Méaulte, Somme', 'no', 'LFAQ', 'BYF', '', 'Albert-Bray, Amiens-Henry Potez'),
	('LF34', 'closed', 'Moussoulens Air Base', 43.279701, 2.20885, 0, 'FR', 'FR-OCC', 'Moussoulens', 'no', '', '', '', 'LF34, LF34'),
	('LFXV', 'N/A', 'N/A', 48.27594950795174, 0.3257216513156891, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFFB', 'small_airport', 'Buno Bonnevaux Airfield', 48.351101, 2.42556, 420, 'FR', 'FR-IDF', '', 'no', 'LFFB', '', '', ''),
	('LFPQ', 'small_airport', 'Fontenay-Trésigny Aerodrome', 48.706276, 2.902849, 371, 'FR', 'FR-IDF', 'Fontenay-Trésigny', 'no', 'LFPQ', '', '', 'Aérodrome de Fontenay-Trésigny'),
	('LFFD', 'small_airport', 'St André De L''eure Airfield', 48.898602, 1.25056, 489, 'FR', 'FR-NOR', '', 'no', 'LFFD', '', '', ''),
	('LFOH', 'medium_airport', 'Le Havre-Octeville Airport', 49.534038, 0.088406, 313, 'FR', 'FR-NOR', 'Le Havre', 'no', 'LFOH', 'LEH', '', ''),
	('LFYC', 'N/A', 'N/A', 49.600596986711025, 0.5525967478752136, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFQS', 'small_airport', 'Vitry-en-Artois Airfield', 50.337883, 2.990714, 174, 'FR', 'FR-HDF', 'Vitry-en-Artois, Pas-de-Calais', 'no', 'LFQS', '', '', ''),
	('LFAJ', 'small_airport', 'Argentan Airfield', 48.710602, 0.003889, 581, 'FR', 'FR-NOR', '', 'no', 'LFAJ', '', '', ''),
	('LFQQ', 'medium_airport', 'Lille Airport', 50.563332, 3.086886, 157, 'FR', 'FR-HDF', 'Lesquin', 'yes', 'LFQQ', 'LIL', '', 'Aéroport de Lille. Lille-Lesquin Airport'),
	('LFOZ', 'small_airport', 'Orléans – Saint-Denis-de-l''Hôtel Airport', 47.8969, 2.16333, 396, 'FR', 'FR-CVL', 'Orléans', 'no', 'LFOZ', 'ORE', '', 'Aéroport du Loiret'),
	('EBTY', 'small_airport', 'Maubray Airfield', 50.531639, 3.496185, 161, 'BE', 'BE-WHT', 'Péruwelz', 'no', 'EBTY', '', '', 'Aérodrome de Maubray, Aérodrome de Tournai-Maubray, Royal Tournai Air Club'),
	('LFXZ', 'N/A', 'N/A', 48.11419788748026, 0.6037737429141998, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFAB', 'small_airport', 'Dieppe-Saint-Aubin Airport', 49.884662, 1.08101, 344, 'FR', 'FR-NOR', 'Saint-Aubin-sur-Scie', 'no', 'LFAB', 'DPE', '', ''),
	('LFAD', 'small_airport', 'Compiègne Margny Airfield', 49.431242, 2.801514, 315, 'FR', 'FR-HDF', 'Margny-lès-Compiègne', 'no', 'LFAD', '', '', ''),
	('LFPM', 'medium_airport', 'Melun-Villaroche Airfield', 48.604698, 2.67112, 302, 'FR', 'FR-IDF', 'Moissy-Cramayel, Seine-et-Marne', 'no', 'LFPM', '', '', ''),
	('LFOP', 'medium_airport', 'Rouen Vallée de Seine Airport', 49.384887, 1.179142, 512, 'FR', 'FR-NOR', 'Boos', 'no', 'LFOP', 'URO', '', ''),
	('LFXP', 'N/A', 'N/A', 46.94896649569273, 0.6699737906455994, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFEH', 'small_airport', 'Aubigny-sur-Nère Airfield', 47.480556, 2.394167, 630, 'FR', 'FR-CVL', 'Aubigny-sur-Nère', 'no', 'LFEH', '', '', ''),
	('LFJU', 'small_airport', 'Aérodrome de Lurcy-Levis', 46.7136, 2.9459, 746, 'FR', 'FR-ARA', 'Lurcy-Lévis', 'no', 'LFJU', '', '', ''),
	('LFZW', 'N/A', 'N/A', 47.45774567127228, 1.364033818244934, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFHR', 'small_airport', 'Brioude Beaumont Airfield', 45.325001, 3.35917, 1483, 'FR', 'FR-ARA', 'Brioude', 'no', 'LFHR', '', '', ''),
	('LFEF', 'small_airport', 'Amboise Dierre Airfield', 47.3414, 0.9425, 180, 'FR', 'FR-CVL', 'Amboise', 'no', 'LFEF', '', '', ''),
	('LFIK', 'small_airport', 'Aérodrome de Ribérac-Tourette', 45.238667, 0.264798, 351, 'FR', 'FR-NAQ', 'Ribérac', 'no', 'LFIK', '', '', ''),
	('LFOQ', 'small_airport', 'Blois-Le Breuil Airfield', 47.678502, 1.20884, 398, 'FR', 'FR-CVL', 'Villefrancœur, Loire-et-Cher', 'no', 'LFOQ', '', '', 'XBQ, Aérodrome de Blois-Le Breuil'),
	('LFZM', 'N/A', 'N/A', 46.95950422435999, 1.6594389081001282, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFFU', 'small_airport', 'Châteauneuf Sur Cher Airfield', 46.871101, 2.37694, 551, 'FR', 'FR-CVL', '', 'no', 'LFFU', '', '', ''),
	('LFZV', 'N/A', 'N/A', 47.22109705209732, 1.284809410572052, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFXS', 'N/A', 'N/A', 47.498307041823864, 0.43780893087387085, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFXH', 'closed', 'Le Valdahon Air Base', 47.166698, 6.35, 2067, 'FR', 'FR-BFC', '', 'no', '', '', '', ''),
	('LFXL', 'N/A', 'N/A', 46.43798053264618, 0.3416919708251953, 130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF25', 'N/A', 'N/A', 45.708402916789055, 2.0321863889694214, 762, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFUG', 'N/A', 'N/A', 46.36043082922697, 3.2683396339416504, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFEL', 'small_airport', 'Le Blanc Airfield', 46.6208, 1.0875, 377, 'FR', 'FR-CVL', '', 'no', 'LFEL', '', '', ''),
	('LF28', 'N/A', 'N/A', 47.60267648845911, 2.0864564180374146, 120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF27', 'N/A', 'N/A', 45.58734744787216, 2.012992948293686, 836, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF43', 'N/A', 'N/A', 47.290760055184364, 3.3640435338020325, 297, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LFBL', 'medium_airport', 'Limoges Airport', 45.862801, 1.17944, 1300, 'FR', 'FR-NAQ', 'Limoges/Bellegarde', 'yes', 'LFBL', 'LIG', '', ''),
	('LFLD', 'medium_airport', 'Bourges Airport', 47.060158, 2.369633, 529, 'FR', 'FR-CVL', 'Bourges, Cher', 'no', 'LFLD', 'BOU', '', ''),
	('LFZN', 'N/A', 'N/A', 46.13019470125437, 1.0777178406715393, 254, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFLC', 'medium_airport', 'Clermont-Ferrand Auvergne Airport', 45.786701, 3.16917, 1090, 'FR', 'FR-ARA', 'Aulnat, Puy-de-Dôme', 'yes', 'LFLC', 'CFE', '', ''),
	('LF96', 'N/A', 'N/A', 46.53153195977211, 3.1178824603557587, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFZQ', 'N/A', 'N/A', 46.67397603392601, 1.4626291394233704, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFEI', 'small_airport', 'Briare Chatillon Airfield', 47.614399, 2.78194, 539, 'FR', 'FR-CVL', '', 'no', 'LFEI', '', '', ''),
	('LFHA', 'small_airport', 'Aérodrome d''Issoire-Le Broc', 45.514999, 3.2675, 1240, 'FR', 'FR-ARA', 'Issoire', 'no', 'LFHA', '', '', ''),
	('LFZL', 'N/A', 'N/A', 45.10839443653822, 1.4107990264892578, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFHQ', 'small_airport', 'Saint-Flour-Coltines Airfield', 45.076401, 2.99361, 3218, 'FR', 'FR-ARA', 'Saint-Flour/Coltines', 'no', 'LFHQ', '', '', ''),
	('LFBI', 'medium_airport', 'Poitiers-Biard Airport', 46.5877, 0.306666, 423, 'FR', 'FR-NAQ', 'Poitiers/Biard', 'yes', 'LFBI', 'PIS', '', ''),
	('LF42', 'N/A', 'N/A', 46.94683447480202, 3.490535169839859, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFGD', 'closed', 'Arbois Airfield', 46.919998, 5.76, 876, 'FR', 'FR-BFC', 'Arbois, Jura', 'no', '', '', '', 'LFGD'),
	('LFXG', 'closed', 'Bitche Army Air Base', 49.06007, 7.45009, 984, 'FR', 'FR-GES', '', 'no', '', '', '', 'LFXG, LFXG'),
	('LFEJ', 'small_airport', 'Châteauroux Villers Airfield', 46.8419, 1.62111, 541, 'FR', 'FR-CVL', '', 'no', 'LFEJ', '', '', ''),
	('LFUE', 'N/A', 'N/A', 45.553577430546284, 0.557798445224762, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFZR', 'N/A', 'N/A', 46.21276415884495, 1.5724731981754303, 424, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFEG', 'small_airport', 'Argenton-sur-Creuse Airfield', 46.59626, 1.601572, 663, 'FR', 'FR-CVL', 'Le Pêchereau, Indre', 'no', 'LFEG', '', '', ''),
	('LFJT', 'small_airport', 'Tours Le Louroux Airfield', 47.149251, 0.711125, 413, 'FR', 'FR-CVL', 'Angers', 'no', 'LFJT', '', '', 'Aérodrome de Tours-Le Louroux'),
	('LFBU', 'medium_airport', 'Angoulême-Brie-Champniers Airport', 45.729198, 0.221456, 436, 'FR', 'FR-NAQ', 'Angoulême/Brie/Champniers', 'no', 'LFBU', 'ANG', '', ''),
	('LFZK', 'N/A', 'N/A', 45.17710693180561, 1.8025311827659607, 489, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFZP', 'N/A', 'N/A', 46.69048100709915, 1.5292918682098389, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFGH', 'small_airport', 'Cosne Sur Loire Airfield', 47.3606, 2.91944, 581, 'FR', 'FR-BFC', '', 'no', 'LFGH', '', '', ''),
	('LFCU', 'small_airport', 'Ussel-Thalamy Airfield', 45.535738, 2.424474, 2428, 'FR', 'FR-NAQ', 'Ussel, Corrèze', 'no', 'LFCU', '', '', ''),
	('LFZU', 'N/A', 'N/A', 47.111061438918114, 1.5635351836681366, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF94', 'N/A', 'N/A', 46.67931865900755, 2.57473424077034, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFXT', 'N/A', 'N/A', 47.08305783569813, 0.7185235619544983, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFDW', 'small_airport', 'Chauvigny Airfield', 46.583599, 0.6425, 440, 'FR', 'FR-NAQ', '', 'no', 'LFDW', '', '', ''),
	('LFZS', 'N/A', 'N/A', 47.33531188219786, 1.2029729783535004, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFLV', 'medium_airport', 'Vichy-Charmeil Airport', 46.16969, 3.403637, 817, 'FR', 'FR-ARA', 'Charmeil, Allier', 'no', 'LFLV', 'VHY', '', ''),
	('LFLT', 'small_airport', 'Montluçon-Domérat Airfield', 46.352501, 2.57049, 771, 'FR', 'FR-ARA', 'Montluçon/Domérat', 'no', 'LFLT', '', '', ''),
	('LFCE', 'small_airport', 'Guéret Saint-Laurent Airfield', 46.176071, 1.953831, 1207, 'FR', 'FR-NAQ', 'Saint-Laurent, Creuse', 'no', 'LFCE', '', '', 'Aérodrome de Guéret Saint-Laurent'),
	('LFHT', 'small_airport', 'Ambert - Le Poyet Airfield', 45.516196, 3.74514, 1847, 'FR', 'FR-ARA', 'Bourg', 'no', 'LFHT', '', '', 'Aérodrome d''Ambert - Le Poyet'),
	('LF26', 'N/A', 'N/A', 45.959868393838406, 2.748692035675049, 686, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFHY', 'small_airport', 'Aérodrome de Moulins - Montbeugny', 46.534599, 3.42372, 915, 'FR', 'FR-ARA', 'Moulins/Montbeugny', 'no', 'LFHY', '', '', 'XMU'),
	('LFZX', 'N/A', 'N/A', 47.705566361546516, 1.7788249254226685, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFZO', 'N/A', 'N/A', 46.05120699852705, 1.1012479662895203, 298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFBV', 'closed', 'Ancien Aérodrome de Brive-La Roche', 45.150799, 1.469202, 379, 'FR', 'FR-NAQ', 'Brive-la-Gaillarde', 'no', '', '', '', 'BVE, LFBV'),
	('LFSL', 'medium_airport', 'Brive-Souillac', 45.039722, 1.485556, 1016, 'FR', 'FR-NAQ', 'Brive la Gaillarde', 'yes', 'LFSL', 'BVE', '', 'LFSL'),
	('LFBJ', 'small_airport', 'Aérodrome de Saint-Junien', 45.903301, 0.92, 902, 'FR', 'FR-NAQ', 'Poitiers', 'no', 'LFBJ', '', '', ''),
	('LFZY', 'N/A', 'N/A', 47.81084708869457, 1.8412099778652191, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFIH', 'small_airport', 'Chalais Airfield', 45.268101, 0.016944, 285, 'FR', 'FR-NAQ', '', 'no', 'LFIH', '', '', ''),
	('LFBK', 'medium_airport', 'Montluçon-Guéret Airport', 46.222599, 2.36396, 1497, 'FR', 'FR-NAQ', 'Lépaud, Creuse', 'no', 'LFBK', 'MCU', '', ''),
	('LFDV', 'small_airport', 'Couhé Vérac Airfield', 46.2728, 0.190556, 499, 'FR', 'FR-NAQ', '', 'no', 'LFDV', '', '', ''),
	('LF70', 'N/A', 'N/A', 45.76808474957943, 2.6022304594516754, 702, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFXJ', 'N/A', 'N/A', 45.46679489314556, 0.3871209919452667, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFFV', 'small_airport', 'Vierzon - Méreau Airfield', 47.194052, 2.065412, 430, 'FR', 'FR-CVL', 'Vierzon', 'no', 'LFFV', '', '', ''),
	('LFDE', 'small_airport', 'Aérodrome d''Égletons', 45.421398, 2.06889, 1857, 'FR', 'FR-NAQ', '', 'no', 'LFDE', '', '', ''),
	('LFCA', 'small_airport', 'Aérodrome de Châtellerault-Targé', 46.781399, 0.551944, 207, 'FR', 'FR-NAQ', '', 'no', 'LFCA', '', '', ''),
	('LFZI', 'N/A', 'N/A', 45.08023660629988, 1.6733546555042267, 423, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF80', 'N/A', 'N/A', 47.147436551749706, 2.5993376970291138, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LFBX', 'medium_airport', 'Périgueux-Bassillac Airport', 45.198101, 0.815556, 328, 'FR', 'FR-NAQ', 'Périgueux/Bassillac', 'no', 'LFBX', 'PGX', '', ''),
	('LFEK', 'small_airport', 'Issoudun Le Fay Airfield', 46.888599, 2.04139, 531, 'FR', 'FR-CVL', '', 'no', 'LFEK', '', '', ''),
	('LFQG', 'medium_airport', 'Nevers-Fourchambault Airport', 47.002602, 3.11333, 602, 'FR', 'FR-BFC', 'Nevers/Fourchambault', 'no', 'LFQG', 'NVS', '', ''),
	('LFZJ', 'N/A', 'N/A', 45.10433457791805, 1.214965581893921, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFYR', 'small_airport', 'Romorantin Pruniers Airbase', 47.317543, 1.691036, 289, 'FR', 'FR-CVL', '', 'no', 'LFYR', '', '', ''),
	('LFDL', 'small_airport', 'Loudun Airfield', 47.035941, 0.100619, 315, 'FR', 'FR-NAQ', 'Pamiers', 'no', 'LFDL', '', '', 'Aeroclub Loudunais'),
	('LFXN', 'N/A', 'N/A', 46.12863063812256, 0.695730596780777, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF41', 'N/A', 'N/A', 45.108998604118824, 3.5025738179683685, 520, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFJC', 'small_airport', 'Aérodrome de Clamecy', 47.438301, 3.50861, 713, 'FR', 'FR-BFC', '', 'no', 'LFJC', '', '', ''),
	('LFEN', 'small_airport', 'Tours Sorigny Airfield', 47.267502, 0.701111, 299, 'FR', 'FR-CVL', 'Pontivy', 'no', 'LFEN', '', '', ''),
	('LF95', 'N/A', 'N/A', 47.44709797203541, 2.2122596204280853, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFHX', 'small_airport', 'Lapalisse - Périgny Airfield', 46.253899, 3.58861, 1040, 'FR', 'FR-ARA', '', 'no', 'LFHX', '', '', ''),
	('LFZT', 'N/A', 'N/A', 47.65567325055599, 1.9879987835884094, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFLX', 'medium_airport', 'Châteauroux-Déols "Marcel Dassault" Airport', 46.860278, 1.721111, 529, 'FR', 'FR-CVL', 'Châteauroux/Déols', 'no', 'LFLX', 'CHR', '', ''),
	('LFXF', 'N/A', 'N/A', 45.64327955245972, 0.33115535974502563, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF33', 'N/A', 'N/A', 46.17094583809376, 2.4292731285095215, 455, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFXO', 'N/A', 'N/A', 46.12204313278198, 0.8574217557907104, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFXR', 'closed', 'Rochefort Soubise Airfield', 45.930801, -0.995278, 13, 'FR', 'FR-NAQ', '', 'no', '', '', '', 'LFXR, LFXR'),
	('ENSF', 'heliport', 'Statfjord A Helipad', 61.25518, 1.85211, 0, 'NO', 'NO-U-A', '', 'no', 'ENSF', '', '', ''),
	('ENOV', 'medium_airport', 'Ørsta-Volda Airport, Hovden', 62.180000305176, 6.0741000175476, 243, 'NO', 'NO-15', 'Ørsta', 'yes', 'ENOV', 'HOV', '', ''),
	('ENAL', 'medium_airport', 'Ålesund Airport, Vigra', 62.5625, 6.1197, 69, 'NO', 'NO-15', 'Ålesund', 'yes', 'ENAL', 'AES', '', 'Vigra'),
	('ENFK', 'N/A', 'N/A', 62.83463940024376, 6.828484833240509, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENML', 'medium_airport', 'Molde Airport, Årø', 62.744701, 7.2625, 10, 'NO', 'NO-15', 'Årø', 'yes', 'ENML', 'MOL', '', 'Aro'),
	('ENBR', 'large_airport', 'Bergen Airport, Flesland', 60.2934, 5.21814, 170, 'NO', 'NO-46', 'Bergen', 'yes', 'ENBR', 'BGO', '', ''),
	('ENSO', 'medium_airport', 'Stord Airport, Sørstokken', 59.791901, 5.34085, 160, 'NO', 'NO-46', 'Leirvik', 'yes', 'ENSO', 'SRP', '', 'Sorstokken, Sørstokken'),
	('ENFL', 'medium_airport', 'Florø Airport', 61.583599090576, 5.0247201919556, 37, 'NO', 'NO-46', 'Florø', 'yes', 'ENFL', 'FRO', '', 'Floro'),
	('ENRD', 'N/A', 'N/A', 59.937921054661274, 5.990442931652069, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENSG', 'small_airport', 'Sogndal Airport, Haukåsen', 61.156101, 7.13778, 1633, 'NO', 'NO-46', 'Sogndal', 'yes', 'ENSG', 'SOG', '', 'Haukåsen'),
	('ENEI', 'N/A', 'N/A', 60.928664691746235, 5.1586635410785675, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENBL', 'small_airport', 'Førde Airport, Bringeland', 61.391102, 5.75694, 1046, 'NO', 'NO-46', 'Førde', 'yes', 'ENBL', 'FDE', '', 'bringeland'),
	('ENBM', 'small_airport', 'Bømoen Airfield', 60.638098, 6.499786, 300, 'NO', 'NO-46', 'Tjukkebygdi', 'no', 'ENBM', '', '', ''),
	('ENSD', 'small_airport', 'Sandane Airport, Anda', 61.830002, 6.10583, 196, 'NO', 'NO-46', 'Sandane', 'yes', 'ENSD', 'SDN', '', ''),
	('ENUL', 'small_airport', 'Os Vaksinen Ulven Airfield', 60.1922, 5.4225, 200, 'NO', 'NO-46', 'Ulven', 'no', 'ENUL', '', '', ''),
	('ENHD', 'medium_airport', 'Haugesund Airport, Karmøy', 59.345299, 5.20836, 86, 'NO', 'NO-11', 'Karmøy', 'yes', 'ENHD', 'HAU', '', 'Karmoy'),
	('ENLI', 'small_airport', 'Lista Airport', 58.099499, 6.62605, 29, 'NO', 'NO-42', 'Farsund', 'no', 'ENLI', '', '', 'Farsund lufthavn, Lista'),
	('ENZV', 'large_airport', 'Stavanger Airport, Sola', 58.876701, 5.63778, 29, 'NO', 'NO-11', 'Stavanger', 'yes', 'ENZV', 'SVG', '', 'Sola Air Station, Stavanger lufthavn, Sola'),
	('EDWS', 'small_airport', 'Norden-Norddeich Airport', 53.633057, 7.190278, 3, 'DE', 'DE-NI', 'Norddeich', 'yes', 'EDWS', 'NOD', '', ''),
	('EDWR', 'small_airport', 'Borkum Airport', 53.59639, 6.709167, 3, 'DE', 'DE-NI', 'Borkum', 'yes', 'EDWR', 'BMK', '', 'Borkum'),
	('EDWY', 'small_airport', 'Norderney Airport', 53.706944, 7.23, 7, 'DE', 'DE-NI', 'Norderney', 'yes', 'EDWY', 'NRD', '', ''),
	('EHAL', 'small_airport', 'Ameland Airport Ballum', 53.453612, 5.678396, 11, 'NL', 'NL-FR', 'Ballum', 'no', 'EHAL', '', '', 'Aachen'),
	('EDWL', 'small_airport', 'Langeoog Airport', 53.742379, 7.496345, 7, 'DE', 'DE-NI', 'Langeoog', 'no', 'EDWL', 'LGO', '', ''),
	('EDWJ', 'small_airport', 'Juist Airport', 53.681421, 7.056398, 7, 'DE', 'DE-NI', 'Juist', 'yes', 'EDWJ', 'JUI', '', ''),
	('EDWZ', 'small_airport', 'Baltrum Airport', 53.72485, 7.373257, 7, 'DE', 'DE-NI', 'Baltrum', 'yes', 'EDWZ', 'BMR', '', ''),
	('ETNN', 'medium_airport', 'Nörvenich Air Base', 50.8312, 6.65817, 386, 'DE', 'DE-NW', 'Nörvenich', 'no', 'ETNN', '', '', ''),
	('EHDL', 'medium_airport', 'Deelen Air Base', 52.0606, 5.87306, 158, 'NL', 'NL-GE', 'Arnhem', 'no', 'EHDL', '', '', 'QAR'),
	('EDIT', 'N/A', 'N/A', 51.076685674488544, 6.547421514987946, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDUU', 'N/A', 'N/A', 51.26306835561991, 6.850103437900543, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EBLG', 'medium_airport', 'Liège Airport', 50.638574, 5.443897, 659, 'BE', 'BE-WLG', 'Grâce-Hollogne', 'yes', 'EBLG', 'LGG', '', 'Bierset'),
	('EHGG', 'medium_airport', 'Groningen Airport Eelde', 53.119701, 6.57944, 17, 'NL', 'NL-DR', 'Groningen', 'yes', 'EHGG', 'GRQ', '', ''),
	('EDYJ', 'N/A', 'N/A', 51.216483414173126, 7.3823802173137665, 387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EHBK', 'medium_airport', 'Maastricht Aachen Airport', 50.911701, 5.77014, 375, 'NL', 'NL-LI', 'Maastricht', 'yes', 'EHBK', 'MST', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EHVE', 'N/A', 'N/A', 53.08439925312996, 6.823664009571075, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDLY', 'small_airport', 'Borken-Hoxfeld Airfield', 51.853333, 6.814722, 157, 'DE', 'DE-NW', 'Borken', 'no', 'EDLY', '', '', ''),
	('EHCA', 'N/A', 'N/A', 52.535624988377094, 4.626056402921677, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EHDR', 'small_airport', 'Drachten Airfield', 53.117933, 6.127324, 14, 'NL', 'NL-FR', 'Drachten', 'no', 'EHDR', '', '', ''),
	('EBBE', 'medium_airport', 'Beauvechain Air Base', 50.758598, 4.76833, 370, 'BE', 'BE-WBR', 'Beauvechain', 'no', 'EBBE', '', '', 'Le Culot'),
	('EHSE', 'small_airport', 'Breda International Airport', 51.554901, 4.553003, 30, 'NL', 'NL-NB', 'Hoeven', 'no', 'EHSE', '', '', 'Seppe'),
	('EDLF', 'small_airport', 'Grefrath-Niershorst Airfield', 51.333889, 6.359444, 105, 'DE', 'DE-NW', 'Grefrath', 'no', 'EDLF', '', '', ''),
	('EDKA', 'small_airport', 'Aachen-Merzbrück Airport', 50.823055, 6.186389, 623, 'DE', 'DE-NW', 'Aachen', 'no', 'EDKA', 'AAH', '', 'Flugplatz Aachen Merzbrück, Segelflug Aachen, Motorflug Aachen'),
	('EHBI', 'N/A', 'N/A', 52.42935787886381, 5.674473345279694, -3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDDL', 'large_airport', 'Düsseldorf Airport', 51.289501, 6.76678, 147, 'DE', 'DE-NW', 'Düsseldorf', 'yes', 'EDDL', 'DUS', '', ''),
	('EDUQ', 'N/A', 'N/A', 52.15042691677809, 7.452565133571625, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETNG', 'medium_airport', 'Geilenkirchen Air Base', 50.9608, 6.04242, 296, 'DE', 'DE-NW', 'Geilenkirchen', 'no', 'ETNG', 'GKE', '', ''),
	('EHOW', 'small_airport', 'Oostwold Airfield', 53.208775, 7.033053, 1, 'NL', 'NL-GR', 'Oostwold', 'no', 'EHOW', '', '', ''),
	('EDLD', 'small_airport', 'Dinslaken-Schwarze Heide Airfield', 51.616018, 6.861262, 217, 'DE', 'DE-NW', 'Hünxe', 'no', 'EDLD', '', '', ''),
	('EBDT', 'small_airport', 'Schaffen Airfield', 51.004032, 5.064697, 100, 'BE', 'BE-VBR', 'Diest', 'no', 'EBDT', '', '', ''),
	('EHOP', 'N/A', 'N/A', 52.81507831066847, 5.02107560634613, -5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDLM', 'small_airport', 'Marl-Loemühle Airfield', 51.647202, 7.16333, 240, 'DE', 'DE-NW', 'Marl', 'no', 'EDLM', '', '', 'Recklinghausen'),
	('EHST', 'small_airport', 'Stadskanaal Airfield', 52.9986, 7.02278, 14, 'NL', 'NL-GR', 'Stadskanaal', 'no', 'EHST', '', '', ''),
	('EDHJ', 'N/A', 'N/A', 53.03071819245815, 7.305509448051453, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EHHV', 'small_airport', 'Hilversum Airfield', 52.191898, 5.14694, 3, 'NL', 'NL-NH', 'Hilversum', 'no', 'EHHV', '', '', 'Gooi'),
	('EBZW', 'small_airport', 'Genk Zwartberg Airfield', 51.0154, 5.52647, 278, 'BE', 'BE-VLI', 'Genk', 'no', 'EBZW', '', '', ''),
	('EHLE', 'medium_airport', 'Lelystad Airport', 52.453188, 5.514622, -13, 'NL', 'NL-FL', 'Lelystad', 'no', 'EHLE', 'LEY', '', ''),
	('EDIS', 'N/A', 'N/A', 51.82224825024605, 6.2739260494709015, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDKB', 'small_airport', 'Bonn-Hangelar Airfield', 50.76889, 7.163333, 197, 'DE', 'DE-NW', 'Bonn', 'no', 'EDKB', '', '', ''),
	('EHBE', 'N/A', 'N/A', 51.78589627146721, 5.880426317453384, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDLK', 'small_airport', 'Krefeld-Egelsberg Airfield', 51.384998, 6.587778, 141, 'DE', 'DE-NW', 'Krefeld', 'no', 'EDLK', '', '', ''),
	('EDIY', 'N/A', 'N/A', 52.80233412981033, 7.160300463438034, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EBNE', 'closed', 'Neerpelt Ultralight Airfield', 51.211945, 5.478611, 148, 'BE', 'BE-VLI', 'Neerpelt', 'no', '', '', '', 'EBNE'),
	('EHAX', 'heliport', 'A18-A', 55.105, 3.83167, 0, 'NL', 'NL-XX', '', 'no', 'EHAX', '', '', ''),
	('EDLX', 'small_airport', 'Wesel-Römerwardt Airfield', 51.662777, 6.595833, 72, 'DE', 'DE-NW', 'Wesel', 'no', 'EDLX', '', '', ''),
	('ETHE', 'small_airport', 'Rheine-Bentlage Airfield', 52.291199, 7.387, 129, 'DE', 'DE-NW', '', 'no', 'ETHE', '', '', ''),
	('EDXE', 'small_airport', 'Rheine-Eschendorf Airfield', 52.276389, 7.492778, 131, 'DE', 'DE-NW', 'Rheine', 'no', 'EDXE', '', '', 'Flugplatz Rheine-Eschendorf'),
	('EDWN', 'small_airport', 'Flugplatz Nordhorn-Lingen', 52.4575, 7.182222, 89, 'DE', 'DE-NI', 'Klausheide', 'no', 'EDWN', '', '', 'ETUN, Nordhorn Range Airport'),
	('EBAV', 'small_airport', 'Avernas-le-Bauduin Ultralight Airfield', 50.70534, 5.06633, 394, 'BE', 'BE-WLG', 'Hannut', 'no', 'EBAV', '', '', 'Aéroclub de Hesbaye'),
	('EBST', 'small_airport', 'Sint-Truiden / Brustem Airfield', 50.790772, 5.19958, 246, 'BE', 'BE-VLI', 'Sint-Truiden', 'no', 'EBST', '', '', 'Brustem Air Base'),
	('EDIZ', 'N/A', 'N/A', 51.06488294899464, 6.359678953886032, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EHNO', 'N/A', 'N/A', 52.29778412729502, 4.511825144290924, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EHEH', 'large_airport', 'Eindhoven Airport', 51.4500999451, 5.37452983856, 74, 'NL', 'NL-NB', 'Eindhoven', 'yes', 'EHEH', 'EIN', '', 'Welschap Airport'),
	('EBHN', 'small_airport', 'Hoevenen Airfield', 51.306098938, 4.387219905849999, 10, 'BE', 'BE-VAN', 'Hoevenen', 'no', 'EBHN', '', '', ''),
	('EDDK', 'large_airport', 'Cologne Bonn Airport', 50.865898, 7.14274, 302, 'DE', 'DE-NW', 'Köln (Cologne)', 'yes', 'EDDK', 'CGN', '', 'Köln'),
	('EHND', 'small_airport', 'Vliegveld Numansdorp', 51.753056, 4.455278, 3, 'NL', 'NL-ZH', 'Numansdorp', 'no', '', '', '', ''),
	('EDWF', 'small_airport', 'Flugplatz Leer-Papenburg', 53.271942, 7.441667, 3, 'DE', 'DE-NI', 'Leer', 'no', 'EDWF', '', '', ''),
	('EBKH', 'small_airport', 'Balen-Keiheuvel Airfield', 51.180957, 5.221124, 131, 'BE', 'BE-VAN', 'Balen', 'no', 'EBKH', '', '', ''),
	('EBZR', 'small_airport', 'Oostmalle Airfield', 51.269092, 4.762428, 53, 'BE', 'BE-VAN', 'Zoersel', 'no', 'EBZR', 'OBL', '', 'Malle Airfield'),
	('EDLE', 'small_airport', 'Essen Mülheim Airport', 51.402302, 6.93733, 424, 'DE', 'DE-NW', '', 'no', 'EDLE', 'ESS', '', ''),
	('EHWO', 'medium_airport', 'Woensdrecht Air Base', 51.4491, 4.34203, 63, 'NL', 'NL-NB', 'Hoogerheide', 'no', 'EHWO', 'WOE', '', 'BZM, Vliegbasis Woensdrecht'),
	('EBZH', 'small_airport', 'Kiewit Airfield Hasselt', 50.970001, 5.37507, 141, 'BE', 'BE-VLI', 'Hasselt', 'no', 'EBZH', '', '', ''),
	('EDUX', 'N/A', 'N/A', 51.14098493009806, 6.985261291265488, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EHDS', 'small_airport', 'Lemelerveld Glidersite', 52.468333, 6.333333, 10, 'NL', 'NL-OV', 'Lemelerveld', 'no', '', '', '', 'Dalfsen Gliders, EHDS'),
	('EBGG', 'small_airport', 'Overboelare Airfield', 50.7556, 3.86389, 56, 'BE', 'BE-VOV', 'Geraardsbergen', 'no', 'EBGG', '', '', ''),
	('EDKN', 'small_airport', 'Wipperfürth-Neye Airfield', 51.124168, 7.373611, 863, 'DE', 'DE-NW', 'Wipperfürth', 'no', 'EDKN', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EDYE', 'N/A', 'N/A', 50.67318420857191, 7.365856915712357, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EHAM', 'large_airport', 'Amsterdam Airport Schiphol', 52.308601, 4.76389, -11, 'NL', 'NL-NH', 'Amsterdam', 'yes', 'EHAM', 'AMS', '', ''),
	('ETWM', 'small_airport', 'Meppen Air Base', 52.723202, 7.32633, 0, 'DE', 'DE-NI', '', 'no', 'ETWM', '', '', ''),
	('EHRD', 'medium_airport', 'Rotterdam The Hague Airport', 51.956902, 4.43722, -15, 'NL', 'NL-ZH', 'Rotterdam', 'yes', 'EHRD', 'RTM', '', 'Vliegveld Zestienhoven'),
	('EBBT', 'small_airport', 'Brasschaat Airfield', 51.34259, 4.503451, 76, 'BE', 'BE-VAN', 'Brasschaat', 'no', 'EBBT', '', '', ''),
	('EBWE', 'small_airport', 'Weelde Air Base', 51.394798, 4.96019, 105, 'BE', 'BE-VAN', 'Weelde', 'no', 'EBWE', '', '', ''),
	('EHTE', 'small_airport', 'Teuge Airport', 52.242764, 6.050004, 17, 'NL', 'NL-GE', 'Deventer', 'no', 'EHTE', '', '', 'Teuge, Apeldoorn, Deventer'),
	('EBBR', 'large_airport', 'Brussels Airport', 50.901402, 4.48444, 175, 'BE', 'BE-VBR', 'Zaventem', 'yes', 'EBBR', 'BRU', '', 'Brussels National, Zaventem, EBMB'),
	('EHVO', 'N/A', 'N/A', 52.684783302247524, 5.910854637622833, -2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDVB', 'N/A', 'N/A', 50.99489338696003, 7.37230584025383, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EHKD', 'medium_airport', 'De Kooy Airfield / Den Helder Naval Air Station', 52.923401, 4.78062, 3, 'NL', 'NL-NH', 'Den Helder', 'no', 'EHKD', 'DHR', '', ''),
	('ED05', 'N/A', 'N/A', 52.15924669057131, 7.241174876689911, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EBSL', 'small_airport', 'Zutendaal Air Base', 50.947498, 5.59056, 312, 'BE', 'BE-VLI', 'Zutendaal', 'no', 'EBSL', '', '', ''),
	('EDYV', 'N/A', 'N/A', 50.71925114840269, 6.849931329488754, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EHVB', 'closed', 'Valkenburg Naval Air Base', 52.166099548300004, 4.41794013977, 1, 'NL', 'NL-ZH', 'Leiden', 'no', '', '', '', 'EHVB, EHVB, LID'),
	('EHTW', 'medium_airport', 'Twente Airport', 52.275833, 6.889167, 114, 'NL', 'NL-OV', 'Enschede', 'no', 'EHTW', 'ENS', '', ''),
	('EBLE', 'small_airport', 'Leopoldsburg Airfield', 51.12, 5.3072222, 207, 'BE', 'BE-VLI', 'Leopoldsburg', 'no', 'EBLE', '', '', 'Beverlo'),
	('EBTN', 'small_airport', 'Goetsenhoven Airfield', 50.7817, 4.95778, 246, 'BE', 'BE-VBR', 'Tienen', 'no', 'EBTN', '', '', ''),
	('EBGB', 'small_airport', 'Grimbergen Airfield', 50.948546, 4.39181, 70, 'BE', 'BE-VBR', 'Grimbergen', 'no', 'EBGB', '', '', ''),
	('EHVN', 'N/A', 'N/A', 51.363534182310104, 6.215908080339432, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDJF', 'N/A', 'N/A', 51.100965701043606, 6.393516808748245, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED30', 'N/A', 'N/A', 50.87316267192364, 6.5524618327617645, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EBIS', 'small_airport', 'Ath/Isieres Airfield', 50.663636, 3.804681, 98, 'BE', 'BE-WHT', 'Isieres', 'no', 'EBIS', '', '', 'Ath/Isieres Ulmodrome'),
	('ETUR', 'closed', 'Brüggen Air Base', 51.199699, 6.13208, 248, 'DE', 'DE-NW', 'Niederkrüchten', 'no', '', '', '', 'ETUR'),
	('EDIO', 'N/A', 'N/A', 50.97730848938227, 6.607789099216461, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EHTX', 'small_airport', 'Texel International Airport', 53.114962, 4.830552, 2, 'NL', 'NL-NH', 'De Cocksdorp', 'no', 'EHTX', '', '', ''),
	('ED76', 'N/A', 'N/A', 51.640546694397926, 7.426221817731857, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED00', 'N/A', 'N/A', 50.96295230090618, 6.338033974170685, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDLN', 'medium_airport', 'Mönchengladbach Airport', 51.230278, 6.504444, 125, 'DE', 'DE-NW', 'Mönchengladbach', 'no', 'EDLN', 'MGL', '', ''),
	('EDIR', 'N/A', 'N/A', 50.6939847394824, 6.419009864330292, 356, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDWE', 'small_airport', 'Emden Airport', 53.391109, 7.2275, 3, 'DE', 'DE-NI', 'Emden', 'yes', 'EDWE', 'EME', '', ''),
	('EDLV', 'medium_airport', 'Weeze Airport', 51.6024017334, 6.14216995239, 106, 'DE', 'DE-NW', 'Weeze', 'yes', 'EDLV', 'NRN', '', 'LRC, ETUL, Niederrhein Airport, RAF Laarbruch, Düsseldorf Regional'),
	('EDLC', 'small_airport', 'Kamp-Lintfort Airfield', 51.529167, 6.536111, 85, 'DE', 'DE-NW', 'Rheinberg', 'no', 'EDLC', '', '', ''),
	('EDIQ', 'N/A', 'N/A', 51.662059016525745, 6.985279619693756, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDUV', 'N/A', 'N/A', 51.48572154343128, 6.428351998329163, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED57', 'N/A', 'N/A', 51.307230927050114, 7.426571398973465, 388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EHHO', 'small_airport', 'Hoogeveen Airfield', 52.730801, 6.51611, 40, 'NL', 'NL-DR', 'Hoogeveen', 'no', 'EHHO', '', '', ''),
	('EBAW', 'medium_airport', 'Antwerp International Airport (Deurne)', 51.190667, 4.463153, 39, 'BE', 'BE-VAN', 'Antwerp', 'yes', 'EBAW', 'ANR', '', ''),
	('EDLG', 'small_airport', 'Goch-Asperden Airfield', 51.690834, 6.104167, 52, 'DE', 'DE-NW', 'Goch', 'no', 'EDLG', '', '', ''),
	('EDVV', 'N/A', 'N/A', 51.439431980252266, 6.445919573307037, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDJB', 'N/A', 'N/A', 51.05044260621071, 6.05428084731102, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDKL', 'small_airport', 'Leverkusen Airfield', 51.015278, 7.005556, 157, 'DE', 'DE-NW', 'Leverkusen', 'no', 'EDKL', '', '', ''),
	('EHVK', 'medium_airport', 'Volkel Air Base', 51.657222, 5.707778, 72, 'NL', 'NL-NB', 'Uden', 'no', 'EHVK', 'UDE', '', 'The Hague'),
	('EDIV', 'N/A', 'N/A', 50.769524462521076, 6.280875653028488, 261, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EHBD', 'medium_airport', 'Kempen Airport Budel', 51.255299, 5.60139, 114, 'NL', 'NL-NB', 'Weert', 'no', 'EHBD', '', '', 'Kempen Airport, Budel Aerodrome'),
	('EDLS', 'small_airport', 'Stadtlohn-Vreden Airfield', 51.995834, 6.840556, 157, 'DE', 'DE-NW', 'Stadtlohn', 'no', 'EDLS', '', '', ''),
	('EBBL', 'medium_airport', 'Kleine Brogel Air Base', 51.168301, 5.47, 200, 'BE', 'BE-VLI', 'Kleine Brogel', 'no', 'EBBL', '', '', ''),
	('EHLW', 'medium_airport', 'Leeuwarden Air Base', 53.228599548339844, 5.760560035705566, 3, 'NL', 'NL-FR', 'Leeuwarden', 'no', 'EHLW', 'LWR', '', ''),
	('EHLO', 'heliport', 'L10-F Heliport', 53.38639, 4.25944, 0, 'NL', 'NL-XX', '', 'no', 'EHLO', '', '', ''),
	('EDLB', 'small_airport', 'Borkenberge Airfield', 51.779999, 7.288056, 157, 'DE', 'DE-NW', 'Lüdinghausen', 'no', 'EDLB', '', '', ''),
	('EDJD', 'N/A', 'N/A', 51.29975359886885, 6.956200003623962, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LFSV', 'small_airport', 'Pont-Saint-Vincent Airfield', 48.600127, 6.056514, 1339, 'FR', 'FR-GES', 'Pont-Saint-Vincent, Meurthe-et-Moselle', 'no', 'LFSV', '', '', ''),
	('LF11', 'N/A', 'N/A', 48.46827294677496, 4.1980840265750885, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EBBN', 'small_airport', 'Büllingen Airfield', 50.415001, 6.27639, 2067, 'BE', 'BE-WLG', 'Büllingen', 'no', 'EBBN', '', '', 'Büllingen ULM'),
	('LFGT', 'small_airport', 'Sarrebourg Buhl Airfield', 48.716875, 7.074316, 873, 'FR', 'FR-GES', 'Buhl-Lorraine', 'no', 'LFGT', '', '', ''),
	('LFSG', 'medium_airport', 'Épinal-Mirecourt Airport', 48.325001, 6.06998, 1084, 'FR', 'FR-GES', 'Juvaincourt, Vosges', 'no', 'LFSG', 'EPL', '', ''),
	('LF09', 'N/A', 'N/A', 47.836957052350044, 6.000287979841232, 249, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFXC', 'closed', 'Vittel-Auzainvilliers Airfield', 48.2286, 5.84302, 0, 'FR', 'FR-GES', 'Auzainvilliers, Vosges', 'no', '', '', '', 'LFXC'),
	('LFAP', 'small_airport', 'Rethel-Perthes Airfield', 49.48097, 4.363304, 410, 'FR', 'FR-GES', 'Sault-lès-Rethel, Ardennes', 'no', 'LFAP', '', '', ''),
	('LFQK', 'small_airport', 'Châlons - Écury-sur-Coole Airfield', 48.905107, 4.352703, 319, 'FR', 'FR-GES', 'Écury-sur-Coole', 'no', 'LFQK', '', '', 'Farman Clément Aeroclub'),
	('LFJY', 'small_airport', 'Chambley Airfield', 49.025501, 5.87607, 866, 'FR', 'FR-GES', 'Chambley-Bussières, Meurthe-et-Moselle', 'no', 'LFJY', '', '', 'Chambley-Bussières Air Base'),
	('EBBO', 'closed', 'Mogimont Ultralight Airfield', 49.866402, 5.06806, 1394, 'BE', 'BE-WLX', 'Bouillon', 'no', '', '', '', 'EBBO'),
	('LFQY', 'small_airport', 'Saverne Steinbourg Airfield', 48.753392, 7.425402, 630, 'FR', 'FR-GES', 'Saverne', 'no', 'LFQY', '', '', ''),
	('LF14', 'N/A', 'N/A', 49.102022275328636, 6.734670102596283, 307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFOK', 'medium_airport', 'Châlons-Vatry Airport', 48.77333, 4.20611, 587, 'FR', 'FR-GES', 'Bussy-Lettrée', 'yes', 'LFOK', 'XCR', '', 'Paris-Châlons, Paris-Vatry, Paris-Vatry (Disney), Vatry Europort'),
	('EDRT', 'small_airport', 'Trier-Föhren Airfield', 49.863888, 6.7875, 666, 'DE', 'DE-RP', 'Föhren', 'no', 'EDRT', '', '', 'ZQF, Flugplatz Trier-Föhren'),
	('LFUB', 'N/A', 'N/A', 50.0000312179327, 3.9447444677352905, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFXM', 'closed', 'Mourmelon Air Base', 49.111401, 4.36694, 387, 'FR', 'FR-GES', 'Mourmelon-le-Grand', 'no', '', '', '', 'LFXM'),
	('EDRG', 'small_airport', 'Idar-Oberstein/Göttschied Airfield', 49.732224, 7.336111, 1575, 'DE', 'DE-RP', 'Idar-Oberstein', 'no', 'EDRG', '', '', ''),
	('EBTX', 'small_airport', 'Theux (Verviers) Airfield', 50.551099, 5.853996, 1099, 'BE', 'BE-WLG', 'Verviers', 'no', 'EBTX', '', '', ''),
	('EDUC', 'closed', 'Brand-Briesen Airfield', 52.035862, 13.746214, 230, 'DE', 'DE-BR', 'Halbe', 'no', '', '', '', 'EDUC'),
	('LFYK', 'small_airport', 'Marville Montmédy Airfield', 49.456944, 5.411389, 909, 'FR', 'FR-GES', 'Marville, Meuse', 'no', '', '', 'LF5526', ''),
	('ELUS', 'small_airport', 'Useldange Glider Field', 49.768155, 5.965962, 928, 'LU', 'LU-RD', 'Useldange', 'no', 'ELUS', '', '', ''),
	('EDYH', 'N/A', 'N/A', 50.027579851448536, 7.422046512365341, 437, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFQX', 'small_airport', 'Juvancourt Aerodrome', 48.113977, 4.819424, 1145, 'FR', 'FR-GES', 'Juvancourt, Aube', 'no', 'LFQX', '', '', 'Aérodrome de Juvancourt'),
	('LFSE', 'small_airport', 'Épinal Dogneville Airfield', 48.211899, 6.44917, 1040, 'FR', 'FR-GES', 'Dogneville', 'no', 'LFSE', '', '', ''),
	('ETAD', 'medium_airport', 'Spangdahlem Air Base', 49.976507, 6.698413, 1197, 'DE', 'DE-RP', 'Trier', 'no', 'ETAD', 'SPM', '', ''),
	('LFQV', 'medium_airport', 'Charleville-Mézières Ardennes-Etienne Riché Airfield', 49.783901, 4.64708, 492, 'FR', 'FR-GES', 'Charleville-Mézières', 'no', 'LFQV', '', '', ''),
	('LFJL', 'medium_airport', 'Metz-Nancy-Lorraine Airport', 48.982101, 6.25132, 870, 'FR', 'FR-GES', 'Goin', 'yes', 'LFJL', 'ETZ', '', ''),
	('EBCI', 'medium_airport', 'Brussels South Charleroi Airport', 50.460982, 4.457158, 614, 'BE', 'BE-WHT', 'Charleroi', 'yes', 'EBCI', 'CRL', '', 'Gosselies Airport'),
	('LFQP', 'medium_airport', 'Phalsbourg-Bourscheid Air Base', 48.766203, 7.200551, 1017, 'FR', 'FR-GES', 'Bourscheid', 'no', 'LFQP', '', '', ''),
	('EDRN', 'small_airport', 'Nannhausen Airfield', 49.96992, 7.478357, 1224, 'DE', 'DE-RP', 'Nannhausen', 'no', 'EDRN', '', '', ''),
	('EDRP', 'small_airport', 'Pirmasens-Pottschütthöhe Airfield', 49.264442, 7.488333, 1247, 'DE', 'DE-RP', 'Battweiler', 'no', 'EDRP', '', '', 'Flugplatz Pirmasens-Pottschütthöhe'),
	('LFFT', 'small_airport', 'Neufchâteau Airfield', 48.35895, 5.719615, 1224, 'FR', 'FR-GES', 'Neufchâteau', 'no', 'LFFT', '', '', ''),
	('EDKX', 'N/A', 'N/A', 49.675558023154736, 6.542810797691345, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ELLX', 'large_airport', 'Luxembourg-Findel International Airport', 49.6233333, 6.2044444, 1234, 'LU', 'LU-L', 'Luxembourg', 'yes', 'ELLX', 'LUX', '', ''),
	('LFQZ', 'small_airport', 'Dieuze-Guéblange Airfield', 48.774378, 6.714106, 722, 'FR', 'FR-GES', 'Gelucourt', 'no', 'LFQZ', '', '', ''),
	('EDJY', 'N/A', 'N/A', 50.50913359969854, 7.255811244249344, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDRZ', 'small_airport', 'Zweibrücken Airport', 49.2094, 7.40056, 1132, 'DE', 'DE-RP', 'Zweibrücken', 'no', 'EDRZ', 'ZQW', '', ''),
	('EDRD', 'small_airport', 'Neumagen-Dhron Airfield', 49.843056, 6.916111, 879, 'DE', 'DE-RP', 'Neumagen', 'no', 'EDRD', '', '', ''),
	('LF97', 'N/A', 'N/A', 49.20492723584175, 4.830993711948395, 120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EBAR', 'small_airport', 'Arlon-Sterpenich Ultralight Airfield', 49.661981, 5.885953, 1138, 'BE', 'BE-WLX', 'Arlon', 'no', 'EBAR', '', '', ''),
	('EBBZ', 'small_airport', 'Buzet Aerodrome', 50.542335, 4.382472, 522, 'BE', 'BE-WHT', 'Pont-à-Celles', 'no', 'EBBZ', '', '', 'Aérodrome de Pont-à-Celles Buzet, Pont-à-Celles Buzet Airfield, Base ULM de Pont-à-Celles Buzet, Base ULM de Buzet'),
	('LFQJ', 'small_airport', 'Maubeuge-Élesmes Airfield', 50.310501, 4.03312, 452, 'FR', 'FR-HDF', 'Vieux-Reng, Nord', 'no', 'LFQJ', '', '', 'Maubeuge-Vieux-Reng-Élesmes Airport,'),
	('EBSH', 'small_airport', 'Saint Hubert Airfield', 50.0359, 5.40425, 1930, 'BE', 'BE-WLX', 'Saint Hubert', 'no', 'EBSH', '', '', ''),
	('LFFR', 'small_airport', 'Bar-sur-Seine Airfield', 48.065907, 4.412368, 938, 'FR', 'FR-GES', 'Celles-sur-Ource, Aube', 'no', 'LFFR', '', '', ''),
	('LFUH', 'N/A', 'N/A', 47.895606234669685, 6.754529625177383, 572, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFGP', 'small_airport', 'Saint-Florentin - Chéu Airfield', 47.98019, 3.775583, 351, 'FR', 'FR-BFC', 'Jaulges, Yonne', 'no', 'LFGP', '', '', ''),
	('EDRX', 'small_airport', 'Bexbach Gliderport', 49.34, 7.253333, 0, 'DE', 'DE-SL', 'Bexbach', 'no', 'EDRX', '', '', 'Neunkirchen'),
	('EDII', 'N/A', 'N/A', 49.408425092697144, 7.052723318338394, 356, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFGS', 'small_airport', 'Longuyon Villette Airfield', 49.483617, 5.571939, 1148, 'FR', 'FR-GES', '', 'no', 'LFGS', '', '', ''),
	('LFQH', 'small_airport', 'Châtillon-sur-Seine Airfield', 47.843924, 4.580045, 905, 'FR', 'FR-BFC', 'Châtillon-sur-Seine', 'no', 'LFQH', '', '', 'Aéro-Club du Chatillonnais');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EBMG', 'small_airport', 'Matagne-la-Petite Ultralight Airfield', 50.104208, 4.636063, 787, 'BE', 'BE-WNA', 'Doische', 'no', 'EBMG', '', '', 'Matagne, Matagne-la-Petite Ulmodrome'),
	('LFGR', 'small_airport', 'Doncourt-lès-Conflans Airfield', 49.152165, 5.933447, 804, 'FR', 'FR-GES', 'Doncourt-lès-Conflans', 'no', 'LFGR', '', '', ''),
	('ELNT', 'small_airport', 'Wiltz-Noertrange Airfield', 49.981098, 5.91778, 1522, 'LU', 'LU-W', 'Winseler', 'no', 'ELNT', '', '', ''),
	('LFSN', 'medium_airport', 'Nancy-Essey Airport', 48.692101, 6.23046, 751, 'FR', 'FR-GES', 'Tomblaine, Meurthe-et-Moselle', 'no', 'LFSN', 'ENC', '', ''),
	('LF72', 'N/A', 'N/A', 48.76364450901747, 5.695711970329285, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFFS', 'N/A', 'N/A', 48.54168836027384, 6.441136747598648, 247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETEK', 'closed', 'Baumholder Army Air Field', 49.650299, 7.30007, 0, 'DE', 'DE-RP', '', 'no', '', '', '', 'ETEK'),
	('LFFZ', 'small_airport', 'Sézanne-Saint-Remy Airfield', 48.70957, 3.763304, 354, 'FR', 'FR-GES', 'Saint-Remy-sous-Broyes, Marne', 'no', 'LFFZ', '', '', ''),
	('LF77', 'N/A', 'N/A', 48.55576928704977, 6.769731938838959, 259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFAW', 'small_airport', 'Villerupt Aerodrome', 49.410424, 5.889301, 1299, 'FR', 'FR-GES', 'Villerupt', 'no', 'LFAW', '', '', 'Aérodrome de Villerupt'),
	('EBLN', 'closed', 'Liernu Ultralight Airfield', 50.579514, 4.79153, 564, 'BE', 'BE-WNA', 'Eghezée', 'no', '', '', '', 'EBLN'),
	('EBNM', 'small_airport', 'Namur-Suarlée Airfield', 50.489705, 4.769697, 594, 'BE', 'BE-WNA', 'Namur', 'no', 'EBNM', '', '', ''),
	('EBSU', 'small_airport', 'Saint Hubert Air Base', 50.034401, 5.44081, 1930, 'BE', 'BE-WLX', 'Saint Hubert', 'no', 'EBSU', '', '', ''),
	('EBSG', 'small_airport', 'Saint-Ghislain Airfield', 50.458009, 3.821, 75, 'BE', 'BE-WHT', 'Saint Ghislain', 'no', 'EBSG', '', '', ''),
	('LFEZ', 'small_airport', 'Nancy-Malzéville Airfield', 48.7244, 6.20778, 1253, 'FR', 'FR-GES', 'Saint-Max, Meurthe-et-Moselle', 'no', 'LFEZ', '', '', ''),
	('EDDR', 'medium_airport', 'Saarbrücken Airport', 49.214599609400004, 7.10950994492, 1058, 'DE', 'DE-SL', 'Saarbrücken', 'yes', 'EDDR', 'SCN', '', ''),
	('EDZJ', 'N/A', 'N/A', 49.47802506387234, 7.309345901012421, 451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFYD', 'closed', 'Damblain Air Base', 48.0863, 5.66406, 1280, 'FR', 'FR-GES', 'Damblain, Vosges', 'no', '', '', '', 'LFYD'),
	('LFEU', 'small_airport', 'Bar-le-Duc Airfield', 48.867519, 5.185068, 909, 'FR', 'FR-GES', 'Les Hauts-de-Chée', 'no', 'LFEU', '', '', 'Bar le Duc, South Meuse Aeroclub'),
	('LFSU', 'small_airport', 'Langres-Rolampont Airfield', 47.964804, 5.293663, 1378, 'FR', 'FR-GES', 'Rolampont, Haute-Marne', 'no', 'LFSU', '', '', ''),
	('EBBX', 'small_airport', 'Jehonville Air Base', 49.891483, 5.227405, 1514, 'BE', 'BE-WLX', 'Bertrix', 'no', 'EBBX', '', '', ''),
	('LFQR', 'closed', 'Romilly Sur Seine Airfield', 48.500599, 3.76333, 267, 'FR', 'FR-GES', '', 'no', '', '', '', 'LFQR, LFQR'),
	('EDRV', 'small_airport', 'Wershofen/Eifel Airfield', 50.451902, 6.784086, 1581, 'DE', 'DE-RP', 'Wershofen', 'no', 'EDRV', '', '', ''),
	('LFEX', 'small_airport', 'Nancy Azelot Airfield', 48.59347, 6.241035, 961, 'FR', 'FR-GES', 'Azelot, Meurthe-et-Moselle', 'no', 'LFEX', '', '', ''),
	('EBCN', 'N/A', 'N/A', 50.287153981626034, 5.038610994815826, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFGA', 'medium_airport', 'Colmar-Houssen Airport', 48.109901, 7.35901, 628, 'FR', 'FR-GES', 'Colmar, Haut-Rhin', 'no', 'LFGA', 'CMR', '', ''),
	('EXOA', 'N/A', 'N/A', 50.25822937488556, 7.332146912813187, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFQC', 'small_airport', 'Lunéville-Croismare Airfield', 48.593262, 6.545419, 790, 'FR', 'FR-GES', 'Chanteheux', 'no', 'LFQC', '', '', ''),
	('EBLB', 'closed', 'Elsenborn Air Base', 50.484489, 6.183157, 1830, 'BE', 'BE-WLG', 'Bütgenbach', 'no', '', '', '', 'EBLB'),
	('EBCV', 'medium_airport', 'Chièvres Air Base', 50.575801849365234, 3.8310000896453857, 194, 'BE', 'BE-WHT', 'Chièvres', 'no', 'EBCV', '', '', ''),
	('EBML', 'small_airport', 'Maillen Ultralight Airfield', 50.375033, 4.926489, 886, 'BE', 'BE-WNA', 'Assesse', 'no', 'EBML', '', '', 'Maillen Ulmodrome'),
	('EDZQ', 'N/A', 'N/A', 49.38604440540075, 6.748298853635788, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFFN', 'small_airport', 'Brienne-le-Château Airfield', 48.430396, 4.472487, 381, 'FR', 'FR-GES', 'Saint-Christophe-Dodinicourt', 'no', 'LFFN', '', '', ''),
	('LFJA', 'small_airport', 'Chaumont-Semoutiers Airfield', 48.080719, 5.047703, 1001, 'FR', 'FR-GES', 'Villiers-le-Sec, Haute-Marne', 'no', 'LFJA', '', '', 'Chaumont-Semoutiers Air Base'),
	('EDRH', 'small_airport', 'Hoppstädten-Weiersbach Airfield', 49.610558, 7.186667, 1093, 'DE', 'DE-RP', 'Hoppstädten', 'no', 'EDRH', '', '', ''),
	('LFQE', 'medium_airport', 'Lieutenant Étienne Mantoux Air Base', 49.226898, 5.67222, 770, 'FR', 'FR-GES', 'Rouvres-en-Woëvre', 'no', 'LFQE', '', '', 'Étain-Rouvres Air Base'),
	('EDRA', 'small_airport', 'Bad Neuenahr-Ahrweiler Airfield', 50.557779, 7.137144, 673, 'DE', 'DE-RP', 'Bad Neuenahr', 'no', 'EDRA', '', '', ''),
	('EDKV', 'small_airport', 'Dahlemer Binz Airfield', 50.40611, 6.530256, 1896, 'DE', 'DE-RP', 'Dahlhem', 'no', 'EDKV', '', '', 'Flugplatz Dahlemer Binz'),
	('EBOR', 'N/A', 'N/A', 49.90638893097639, 4.934166669845581, 397, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF78', 'N/A', 'N/A', 48.349168449640274, 7.330245673656464, 365, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDRM', 'small_airport', 'Traben-Trarbach/Mont Royal Airfield', 49.967777, 7.111944, 919, 'DE', 'DE-RP', 'Traben-Trarbach', 'no', 'EDRM', '', '', ''),
	('EDZO', 'N/A', 'N/A', 50.175921097397804, 6.8577490746974945, 527, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFSK', 'small_airport', 'Vitry-le-François Vauclerc Airfield', 48.702367, 4.683109, 410, 'FR', 'FR-GES', 'Vauclerc', 'no', 'LFSK', '', '', ''),
	('EDRE', 'N/A', 'N/A', 50.36600857973099, 7.315428256988525, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFGU', 'small_airport', 'Sarreguemines Neunkirch Airfield', 49.128101, 7.10833, 853, 'FR', 'FR-GES', '', 'no', 'LFGU', '', '', ''),
	('LFQU', 'small_airport', 'Sarre-Union Airfield', 48.950944, 7.078468, 837, 'FR', 'FR-GES', 'Sarre-Union', 'no', 'LFQU', '', '', ''),
	('ED25', 'N/A', 'N/A', 50.24499636143446, 6.755387037992477, 602, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFGW', 'medium_airport', 'Verdun-Le Rozelier Airfield', 49.122398, 5.46905, 1230, 'FR', 'FR-GES', 'Sommedieue', 'no', 'LFGW', '', '', 'Verdun Sommedieue'),
	('LFQB', 'medium_airport', 'Troyes-Barberey Airport', 48.322102, 4.0167, 388, 'FR', 'FR-GES', 'Barberey-Saint-Sulpice, Aube', 'no', 'LFQB', '', '', 'QYR'),
	('EBCF', 'small_airport', 'Cerfontaine Airfield', 50.152802, 4.38722, 955, 'BE', 'BE-WNA', 'Cerfontaine', 'no', 'EBCF', '', '', ''),
	('ETSB', 'medium_airport', 'Büchel Air Base', 50.173801, 7.06333, 1568, 'DE', 'DE-RP', 'Alflen', 'no', 'ETSB', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LFFJ', 'small_airport', 'Joinville Mussey Airfield', 48.385086, 5.143468, 1024, 'FR', 'FR-GES', 'Mussey-sur-Marne', 'no', 'LFFJ', '', '', ''),
	('EDKT', 'N/A', 'N/A', 49.62135694921017, 6.839694231748581, 558, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFSJ', 'small_airport', 'Sédan Douzy Airfield', 49.659698, 5.03778, 512, 'FR', 'FR-GES', 'Douzy', 'no', 'LFSJ', '', '', ''),
	('LFSZ', 'closed', 'Champ de Courses Airfield', 48.2239, 5.93528, 1076, 'FR', 'FR-GES', 'Vittel, Vosges', 'no', '', '', '', 'LFSZ, VTL'),
	('LF08', 'N/A', 'N/A', 49.48475539684296, 5.91843768954277, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDRJ', 'small_airport', 'Saarlouis-Düren Airfield', 49.3125, 6.674444, 1119, 'DE', 'DE-SL', 'Saarlouis', 'no', 'EDRJ', '', '', 'Flugplatz Saarlouis-Düren'),
	('EBSP', 'small_airport', 'Spa-La Sauvenière Airfield', 50.482006, 5.913434, 1581, 'BE', 'BE-WLG', 'Spa', 'no', 'EBSP', '', '', ''),
	('EBFS', 'medium_airport', 'Florennes Air Base', 50.2433013916, 4.64583015442, 935, 'BE', 'BE-WNA', 'Florennes', 'no', 'EBFS', '', '', ''),
	('LFGY', 'small_airport', 'Saint-Dié-Remomeix Airfield', 48.266475, 7.007447, 1184, 'FR', 'FR-GES', 'Remomeix', 'no', 'LFGY', '', '', 'Aérodrome de Saint-Dié-Remomeix'),
	('EBBY', 'small_airport', 'Baisy-Thy Ultralight Airfield', 50.568611, 4.434722, 525, 'BE', 'BE-WBR', 'Genappe', 'no', 'EBBY', '', '', 'ULM Baisy-Thy'),
	('EDRB', 'small_airport', 'Bitburg Airport', 49.945278, 6.565, 1220, 'DE', 'DE-RP', 'Bitburg', 'no', 'EDRB', 'BBJ', '', ''),
	('LFQA', 'small_airport', 'Reims-Prunay Airfield', 49.208698, 4.15658, 313, 'FR', 'FR-GES', 'Prunay, Marne', 'no', 'LFQA', '', '', 'Aérodrome de Reims Prunay, Reims-Champagne, Reims'),
	('EDFH', 'medium_airport', 'Frankfurt-Hahn Airport', 49.9487, 7.26389, 1649, 'DE', 'DE-RP', 'Frankfurt am Main (Lautzenhausen)', 'yes', 'EDFH', 'HHN', '', ''),
	('EDZZ', 'N/A', 'N/A', 49.82902463525534, 6.435871571302414, 345, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFSW', 'small_airport', 'Épernay Plivot Airfield', 49.004461, 4.085342, 289, 'FR', 'FR-GES', 'Plivot, Marne', 'no', 'LFSW', '', '', ''),
	('ED68', 'N/A', 'N/A', 49.592293202877045, 7.031784206628799, 496, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFTY', 'N/A', 'N/A', 45.45054540038109, 6.882841140031815, 2413, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFLK', 'closed', 'Oyonnax-Arbent Airfield', 46.278424, 5.666342, 1755, 'FR', 'FR-ARA', 'Arbent, Ain', 'no', '', '', '', 'Jean Coutty, Aérodrome d''Oyonnax-Arbent, Centre de Vol à Voile du Haut-Bugey, LFLK'),
	('LFIC', 'N/A', 'N/A', 46.663415506482124, 5.76243057847023, 533, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZJ', 'small_airport', 'Courtelary Airfield', 47.183601, 7.09083, 2247, 'CH', 'CH-BE', 'Courtelary', 'no', 'LSZJ', '', '', ''),
	('LFLI', 'medium_airport', 'Annemasse Airfield', 46.192001, 6.26839, 1620, 'FR', 'FR-ARA', 'Annemasse', 'no', 'LFLI', '', '', ''),
	('LFVL', 'N/A', 'N/A', 45.281721130013466, 6.5691496431827545, 2459, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFMJ', 'N/A', 'N/A', 46.078286580741405, 4.545402377843857, 736, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFSY', 'small_airport', 'Cessey-Baigneux-les-Juffs Airfield', 47.609375, 4.618199, 1316, 'FR', 'FR-BFC', 'Baigneux-les-Juffs, Côte-d''Or', 'no', 'LFSY', '', '', ''),
	('LFTU', 'closed', 'Fréjus Airport', 43.4175, 6.7357, 33, 'FR', 'FR-PAC', 'Fréjus', 'no', '', '', '', 'FRJ, LFTU'),
	('LFLM', 'medium_airport', 'Aérodrome de Mâcon-Charnay', 46.295101, 4.79577, 728, 'FR', 'FR-BFC', 'Mâcon/Charnay', 'no', 'LFLM', '', '', ''),
	('LFSA', 'small_airport', 'Besançon-Thise Airfield', 47.273144, 6.082885, 807, 'FR', 'FR-BFC', 'Thise', 'no', 'LFSA', '', '', ''),
	('LFET', 'small_airport', 'Til Châtel Airfield', 47.547501, 5.21194, 938, 'FR', 'FR-BFC', 'Til Châtel', 'no', 'LFET', '', '', ''),
	('LSZP', 'small_airport', 'Biel-Kappelen Airfield', 47.089199, 7.29, 1437, 'CH', 'CH-BE', 'Kappelen', 'no', 'LSZP', '', '', 'Worben'),
	('LSTB', 'small_airport', 'Bellechasse Airfield', 46.979315, 7.13253, 1421, 'CH', 'CH-FR', 'Sugiez', 'no', 'LSTB', '', '', 'Aérodrome de Bellechasse'),
	('LFHE', 'small_airport', 'Aérodrome de Romans - Saint-Paul', 45.066101, 5.10333, 594, 'FR', 'FR-ARA', '', 'no', 'LFHE', '', '', ''),
	('LINS', 'N/A', 'N/A', 45.74014451354742, 7.4802066385746, 504, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF04', 'N/A', 'N/A', 46.54051534831524, 4.792449921369553, 404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFSM', 'medium_airport', 'Montbéliard-Courcelles Airfield', 47.487, 6.79054, 1041, 'FR', 'FR-BFC', 'Courcelles-lès-Montbéliard', 'no', 'LFSM', '', '', ''),
	('LSZY', 'closed', 'Porrentruy Airfield', 47.410599, 7.05167, 1427, 'CH', 'CH-JU', 'Porrentruy', 'no', '', '', '', 'LSZY'),
	('LFLH', 'medium_airport', 'Chalon-Champforgeuil Airfield', 46.827021, 4.819479, 623, 'FR', 'FR-BFC', 'Fragnes-la-Loyère', 'no', 'LFLH', '', '', ''),
	('LFKY', 'small_airport', 'Belley-Peyrieu Airfield', 45.694121, 5.691533, 739, 'FR', 'FR-ARA', 'Peyrieu, Ain', 'no', 'LFKY', '', '', 'Aéroclub de Belley-Peyrieu, Aérodrome de Belley-Peyrieu'),
	('LFHW', 'small_airport', 'Belleville Villié Morgon Airfield', 46.142799, 4.71472, 705, 'FR', 'FR-ARA', '', 'no', 'LFHW', '', '', ''),
	('LSGS', 'medium_airport', 'Sion Airport', 46.219166, 7.326944, 1582, 'CH', 'CH-VS', 'Sion', 'no', 'LSGS', 'SIR', '', 'LSMS'),
	('LSTO', 'small_airport', 'Môtiers Airfield', 46.916698, 6.615, 2402, 'CH', 'CH-NE', 'Môtiers', 'no', 'LSTO', '', '', 'Aérodrome de Môtiers, Flugplatz Môtiers'),
	('LFGN', 'small_airport', 'Paray Le Monial Airfield', 46.466381, 4.133798, 997, 'FR', 'FR-BFC', '', 'no', 'LFGN', '', '', ''),
	('LSGN', 'small_airport', 'Neuchâtel Airfield', 46.957371, 6.864574, 1427, 'CH', 'CH-NE', 'Boudry', 'no', 'LSGN', '', '', ''),
	('LF06', 'N/A', 'N/A', 47.575833946466446, 5.352109372615814, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF71', 'N/A', 'N/A', 47.41472605615854, 5.871189683675766, 384, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF76', 'N/A', 'N/A', 47.80441179871559, 6.947120726108551, 457, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFLR', 'small_airport', 'Aérodrome de Saint-Rambert-d''Albon', 45.2561, 4.82583, 509, 'FR', 'FR-ARA', '', 'no', 'LFLR', '', '', ''),
	('LF69', 'N/A', 'N/A', 47.65517771244049, 5.739096701145172, 269, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFVA', 'N/A', 'N/A', 45.106863901019096, 6.320694386959076, 3161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSGP', 'small_airport', 'La Côte Airfield', 46.406399, 6.25806, 1352, 'CH', 'CH-VD', 'La Côte', 'no', 'LSGP', '', '', ''),
	('LFHU', 'small_airport', 'Altiport L''Alpe d''Huez - Henri GIRAUD', 45.087399, 6.083604, 6102, 'FR', 'FR-ARA', 'L''Alpe d''Huez', 'no', 'LFHU', 'AHZ', '', ''),
	('LFGQ', 'small_airport', 'Semur-en-Auxois Airfield', 47.480998, 4.342976, 1053, 'FR', 'FR-BFC', 'Semur-en-Auxois, Côte-d''Or', 'no', 'LFGQ', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LSPD', 'small_airport', 'Dittingen Airfield', 47.438599, 7.49139, 1758, 'CH', 'CH-BL', 'Dittingen', 'no', 'LSPD', '', '', 'Dittingen, LSPD,'),
	('LF05', 'N/A', 'N/A', 46.61548510193825, 5.352742820978165, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFLZ', 'small_airport', 'Aérodrome de Feurs - Chambéon', 45.70622, 4.19734, 1096, 'FR', 'FR-ARA', '', 'no', 'LFLZ', '', '', ''),
	('LFGI', 'small_airport', 'Dijon Darois Airfield', 47.385278, 4.946944, 1586, 'FR', 'FR-BFC', 'Darois, Côte-d''Or', 'no', 'LFGI', '', '', ''),
	('LFHV', 'small_airport', 'Villefranche-Tarare Airfield', 45.919983, 4.634931, 1076, 'FR', 'FR-ARA', 'Villefranche/Tarare', 'no', 'LFHV', '', '', ''),
	('LSGK', 'small_airport', 'Saanen Airfield', 46.486525, 7.248359, 3307, 'CH', 'CH-BE', 'Saanen', 'no', 'LSGK', '', '', ''),
	('LF63', 'N/A', 'N/A', 47.31031905859709, 4.820998460054398, 342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF75', 'N/A', 'N/A', 46.27157796174288, 6.463431715965271, 1096, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFHH', 'small_airport', 'Vienne Reventin Airfield', 45.462477, 4.828234, 719, 'FR', 'FR-ARA', '', 'no', 'LFHH', '', '', ''),
	('LFHP', 'medium_airport', 'Le Puy-Loudes Airfield', 45.0807, 3.76289, 2731, 'FR', 'FR-ARA', 'Le Puy/Loudes', 'yes', 'LFHP', 'LPY', '', ''),
	('LFHZ', 'closed', 'Ancien aérodrome de Sallanches Mont-Blanc', 45.953899, 6.63917, 1755, 'FR', 'FR-ARA', '', 'no', '', '', '', 'LFHZ, LFHZ'),
	('LFGE', 'small_airport', 'Avallon Airfield', 47.50377, 3.901034, 781, 'FR', 'FR-BFC', '', 'no', 'LFGE', '', '', ''),
	('LFKM', 'small_airport', 'St Galmier Airfield', 45.607201, 4.30583, 1266, 'FR', 'FR-ARA', '', 'no', 'LFKM', '', '', ''),
	('LFHN', 'small_airport', 'Bellegarde-Vouvray Airfield', 46.123336, 5.804858, 1624, 'FR', 'FR-ARA', 'Valserhône, Ain', 'no', 'LFHN', '', '', 'Aérodrome de Bellegarde-Vouvray'),
	('LFMH', 'medium_airport', 'Saint-Étienne-Bouthéon Airport', 45.5406, 4.29639, 1325, 'FR', 'FR-ARA', 'Saint-Étienne/Bouthéon', 'no', 'LFMH', 'EBU', '', ''),
	('LFUI', 'N/A', 'N/A', 46.09509598463774, 5.2858977019786835, 258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFGM', 'small_airport', 'Montceau Les Mines Airfield', 46.604198, 4.33389, 1030, 'FR', 'FR-BFC', '', 'no', 'LFGM', '', '', ''),
	('LFHI', 'small_airport', 'Morestel Airfield', 45.686905, 5.452244, 804, 'FR', 'FR-ARA', '', 'no', 'LFHI', '', '', ''),
	('LSZQ', 'small_airport', 'Bressaucourt Airfield', 47.392677, 7.028648, 1866, 'CH', 'CH-JU', 'Bressaucourt', 'no', 'LSZQ', '', '', ''),
	('LFLL', 'large_airport', 'Lyon Saint-Exupéry Airport', 45.725996, 5.090139, 821, 'FR', 'FR-ARA', 'Colombier-Saugnieu, Rhône', 'yes', 'LFLL', 'LYS', '', 'Lyon, Saint-Exupéry, Satolas'),
	('LFGF', 'small_airport', 'Beaune-Challanges Airfield', 47.005901, 4.89342, 656, 'FR', 'FR-BFC', 'Beaune/Challanges', 'no', 'LFGF', '', '', ''),
	('LSGC', 'medium_airport', 'Les Eplatures Airport', 47.083900451699996, 6.792840003970001, 3368, 'CH', 'CH-NE', 'La Chaux-de-Fonds', 'no', 'LSGC', '', '', ''),
	('LFIA', 'N/A', 'N/A', 47.17741761356592, 6.8129101395606995, 876, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFQM', 'small_airport', 'Besançon-La Vèze Airfield', 47.2066, 6.083681, 1271, 'FR', 'FR-BFC', 'La Vèze', 'no', 'LFQM', '', '', 'QBQ'),
	('LFLN', 'medium_airport', 'Saint-Yan Airport', 46.412498, 4.01326, 796, 'FR', 'FR-BFC', 'Saint-Yan', 'no', 'LFLN', 'SYT', '', ''),
	('LF47', 'N/A', 'N/A', 47.01616890728474, 4.699130952358246, 547, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSGE', 'small_airport', 'Ecuvillens Airfield', 46.755279, 7.075746, 2293, 'CH', 'CH-FR', 'Ecuvillens', 'no', 'LSGE', '', '', ''),
	('LFKX', 'small_airport', 'Méribel Altiport', 45.407505, 6.577597, 5636, 'FR', 'FR-ARA', 'Les Allues', 'no', 'LFKX', 'MFX', '', ''),
	('LFVE', 'N/A', 'N/A', 45.96153471618891, 5.818043947219849, 353, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFSD', 'medium_airport', 'Dijon-Bourgogne Airport', 47.268902, 5.09, 726, 'FR', 'FR-BFC', 'Ouges, Côte-d''Or', 'yes', 'LFSD', 'DIJ', '', 'BA 102'),
	('LFHJ', 'small_airport', 'Lyon Corbas Airfield', 45.654202, 4.91361, 650, 'FR', 'FR-ARA', 'Corbas', 'no', 'LFHJ', '', '', ''),
	('LSTS', 'small_airport', 'Sankt Stephan Airfield', 46.497398, 7.41257, 3304, 'CH', 'CH-BE', 'Sankt Stephan', 'no', 'LSTS', '', '', 'Flugplatz St Stephan, St Stephan'),
	('LSVE', 'N/A', 'N/A', 46.123413406312466, 7.2341711819171906, 2140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF68', 'N/A', 'N/A', 46.769939102232456, 5.49781009554863, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF46', 'N/A', 'N/A', 47.02411361038685, 4.757044762372971, 351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFSP', 'small_airport', 'Pontarlier Airfield', 46.904032, 6.326826, 2683, 'FR', 'FR-BFC', 'Pontarlier, Doubs', 'no', 'LFSP', '', '', ''),
	('LF15', 'N/A', 'N/A', 46.28498062491417, 4.885913282632828, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSGT', 'small_airport', 'La Gruyère  Airfield', 46.5942, 7.09444, 2257, 'CH', 'CH-FR', 'Epagny', 'no', 'LSGT', '', '', ''),
	('LSMP', 'medium_airport', 'Payerne Air Base', 46.8432, 6.91506, 1465, 'CH', 'CH-FR', 'Payerne', 'no', 'LSMP', 'VIP', '', 'Payerne Airport'),
	('LFKR', 'N/A', 'N/A', 45.37499997764826, 6.277777701616287, 423, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF45', 'N/A', 'N/A', 46.99847672134638, 4.7341834008693695, 425, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFGJ', 'medium_airport', 'Dole-Jura Airport', 47.038955, 5.427589, 645, 'FR', 'FR-BFC', 'Tavaux, Jura', 'yes', 'LFGJ', 'DLE', '', 'Dole-Tavaux'),
	('LFQF', 'small_airport', 'Autun-Bellevue Airfield', 46.9673, 4.26057, 997, 'FR', 'FR-BFC', 'Autun/Bellevue', 'no', 'LFQF', '', '', ''),
	('LSGL', 'small_airport', 'Lausanne-Blécherette Airfield', 46.5453, 6.61667, 2041, 'CH', 'CH-VD', 'Lausanne', 'no', 'LSGL', '', '', ''),
	('LFHC', 'small_airport', 'Aérodrome de Pérouges - Meximieux', 45.869701, 5.18722, 702, 'FR', 'FR-ARA', '', 'no', 'LFHC', '', '', ''),
	('LSZB', 'medium_airport', 'Bern Airport', 46.912868, 7.498512, 1671, 'CH', 'CH-BE', 'Bern', 'yes', 'LSZB', 'BRN', '', 'LSZB, Belp, Bern-Belp, Bern-Belp Regional Airfield, Regionalflugplatz Bern-Belp'),
	('LFGG', 'small_airport', 'Belfort Chaux Airfield', 47.700732, 6.831265, 1368, 'FR', 'FR-BFC', 'Chaux', 'no', 'LFGG', '', '', ''),
	('LFLE', 'small_airport', 'Chambéry Challes-les-Eaux Airfield', 45.5611, 5.97576, 973, 'FR', 'FR-ARA', 'Barby', 'no', 'LFLE', '', '', 'Aérodrome de Chambéry Challes-les-Eaux'),
	('LFVO', 'N/A', 'N/A', 45.12116879224777, 6.418751031160355, 1684, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF13', 'N/A', 'N/A', 47.56737593561411, 6.644341796636581, 390, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFJD', 'small_airport', 'Corlier Altiport', 46.040531, 5.494537, 2762, 'FR', 'FR-ARA', '', 'no', 'LFJD', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LSTR', 'small_airport', 'Montricher Airfield', 46.590263, 6.400591, 2178, 'CH', 'CH-VD', 'Montricher', 'no', 'LSTR', '', '', 'Aérodrome de Montricher, Flugplatz Montricher'),
	('LFLJ', 'small_airport', 'Courchevel Altiport', 45.397531, 6.63498, 6583, 'FR', 'FR-ARA', 'Saint-Bon', 'no', 'LFLJ', 'CVF', '', ''),
	('LFHM', 'small_airport', 'Megève Altiport', 45.823005, 6.649406, 4823, 'FR', 'FR-ARA', 'Megève', 'no', 'LFHM', 'MVV', '', ''),
	('LSGY', 'small_airport', 'Yverdon-les-Bains Airfield', 46.761902, 6.61333, 1421, 'CH', 'CH-VD', 'Yverdon-les-Bains', 'no', 'LSGY', '', '', ''),
	('LFEW', 'small_airport', 'Saulieu-Liernais Airfield', 47.239263, 4.265928, 1722, 'FR', 'FR-BFC', 'Liernais, Côte-d''Or', 'no', 'LFEW', '', '', ''),
	('LFQW', 'medium_airport', 'Vesoul-Frotey Airfield', 47.638588, 6.204443, 1249, 'FR', 'FR-BFC', 'Frotey-lès-Vesoul, Haute-Saône', 'no', 'LFQW', '', '', ''),
	('LFJO', 'N/A', 'N/A', 45.681079253554344, 3.788778930902481, 1448, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFKL', 'small_airport', 'Lyon Brindas Airfield', 45.7117, 4.69778, 1040, 'FR', 'FR-ARA', 'Brindas', 'no', 'LFKL', '', '', ''),
	('LFGB', 'small_airport', 'Mulhouse-Habsheim Airfield', 47.741299, 7.43221, 788, 'FR', 'FR-GES', 'Mulhouse/Habsheim', 'no', 'LFGB', '', '', ''),
	('LFHS', 'small_airport', 'Bourg-Ceyzériat Airfield', 46.200901, 5.29203, 857, 'FR', 'FR-ARA', 'Bourg/Ceyzériat', 'no', 'LFHS', '', '', ''),
	('LIVE', 'N/A', 'N/A', 45.11255655437708, 7.28904202580452, 373, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFLS', 'medium_airport', 'Grenoble-Isère Airport', 45.3629, 5.32937, 1302, 'FR', 'FR-ARA', 'Saint-Étienne-de-Saint-Geoirs', 'yes', 'LFLS', 'GNB', '', ''),
	('LFGX', 'small_airport', 'Champagnole-Crotenay Airfield', 46.763032, 5.819664, 1745, 'FR', 'FR-BFC', 'Crotenay, Jura', 'no', 'LFGX', '', '', 'Aérodrome de Champagnole - Crotenay'),
	('LFLO', 'medium_airport', 'Roanne-Renaison Airport', 46.053818, 3.999023, 1106, 'FR', 'FR-ARA', 'Saint-Léger-sur-Roanne', 'no', 'LFLO', 'RNE', '', ''),
	('LFLB', 'medium_airport', 'Chambéry Savoie Mont Blanc Airport', 45.6381, 5.88023, 779, 'FR', 'FR-ARA', 'Viviers-du-Lac', 'yes', 'LFLB', 'CMF', '', ''),
	('LF12', 'N/A', 'N/A', 45.87168909609318, 5.726954340934753, 416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFTS', 'N/A', 'N/A', 45.46568378806114, 6.932438313961029, 2236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFLG', 'small_airport', 'Aérodrome de Grenoble Le Versoud', 45.2192, 5.84972, 722, 'FR', 'FR-ARA', 'Grenoble', 'no', 'LFLG', '', '', ''),
	('LFEP', 'small_airport', 'Pouilly-Maconge Airfield', 47.221401, 4.56111, 1411, 'FR', 'FR-BFC', 'Meilly-sur-Rouvres', 'no', 'LFEP', '', '', ''),
	('LFIJ', 'N/A', 'N/A', 45.79425238072872, 5.773589462041855, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZG', 'medium_airport', 'Grenchen Airfield', 47.181599, 7.41719, 1411, 'CH', 'CH-SO', 'Grenchen', 'no', 'LSZG', '', '', ''),
	('LFHG', 'small_airport', 'St Chamond L''Horme Airfield', 45.491772, 4.53553, 1296, 'FR', 'FR-ARA', 'Saintt Chamond', 'no', 'LFHG', '', '', ''),
	('LFGZ', 'small_airport', 'Nuits-Saint-Georges Airfield', 47.142032, 4.968538, 797, 'FR', 'FR-BFC', 'Nuits-Saint-Georges, Côte-d''Or', 'no', 'LFGZ', '', '', 'Aérodrome de Nuits-Saint-Georges'),
	('LFLY', 'medium_airport', 'Lyon Bron Airport', 45.727947, 4.943991, 659, 'FR', 'FR-ARA', 'Chassieu, Lyon', 'no', 'LFLY', 'LYN', '', ''),
	('LIMW', 'medium_airport', 'Aosta Corrado Gex Airport', 45.738552, 7.3683, 1791, 'IT', 'IT-23', 'Saint-Christophe (AO)', 'no', 'LIMW', 'AOT', 'AO01', ''),
	('LFEV', 'small_airport', 'Gray St Adrien Airfield', 47.432023, 5.619518, 679, 'FR', 'FR-BFC', 'Gray St Adrien', 'no', 'LFEV', '', '', ''),
	('LFKP', 'small_airport', 'La Tour-du-Pin Cessieu Airfield', 45.55719, 5.38601, 1050, 'FR', 'FR-ARA', 'Cessieu, Isère', 'no', 'LFKP', '', '', ''),
	('LFKA', 'small_airport', 'Albertville General Pierre Delachenal Airfield', 45.626044, 6.328125, 1033, 'FR', 'FR-ARA', 'Tournon', 'no', 'LFKA', '', '', ''),
	('LFKD', 'small_airport', 'Sollières Sardières Airfield', 45.253804, 6.801138, 4255, 'FR', 'FR-ARA', 'Val-Cenis', 'no', 'LFKD', '', '', ''),
	('LFGL', 'small_airport', 'Lons-le-Saunier Courlaoux Airfield', 46.675046, 5.46911, 761, 'FR', 'FR-BFC', 'Courlaoux', 'no', 'LFGL', '', '', ''),
	('LSGB', 'small_airport', 'Bex Airfield', 46.258301, 6.98639, 1312, 'CH', 'CH-VD', 'Bex', 'no', 'LSGB', '', '', 'Aérodrome de Bex'),
	('LFKE', 'small_airport', 'Saint-Jean-en-Royans Airfield', 45.027802, 5.31, 866, 'FR', 'FR-ARA', '', 'no', 'LFKE', '', '', ''),
	('LF67', 'N/A', 'N/A', 46.38493951410055, 5.770412385463715, 620, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFLP', 'medium_airport', 'Annecy Haute-Savoie Mont Blanc Airport', 45.928947, 6.0987, 1521, 'FR', 'FR-ARA', 'Epagny Metz-Tessy', 'yes', 'LFLP', 'NCY', '', 'Annecy-Meythet'),
	('LSGG', 'large_airport', 'Geneva Cointrin International Airport', 46.238098, 6.10895, 1411, 'CH', 'CH-GE', 'Geneva', 'yes', 'LSGG', 'GVA', '', ''),
	('LFFX', 'small_airport', 'Tournus Cuisery Airfield', 46.562801, 4.97667, 689, 'FR', 'FR-BFC', '', 'no', 'LFFX', '', '', ''),
	('LF98', 'N/A', 'N/A', 45.7675613835454, 5.24387463927269, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFKH', 'small_airport', 'St Jean D''avelanne Airfield', 45.516701, 5.68056, 964, 'FR', 'FR-ARA', 'Figari/Sud Corse', 'no', 'LFKH', '', '', ''),
	('LSTZ', 'small_airport', 'Zweisimmen Airfield', 46.551713, 7.381012, 3068, 'CH', 'CH-BE', 'Zweisimmen', 'no', 'LSTZ', '', '', 'Flugplatz Zweisimmen'),
	('ENRM', 'medium_airport', 'Rørvik Airport, Ryum', 64.838302612305, 11.14610004425, 14, 'NO', 'NO-50', 'Rørvik', 'yes', 'ENRM', 'RVK', '', ''),
	('ENOL', 'medium_airport', 'Ørland Airport', 63.69889831542969, 9.604000091552734, 28, 'NO', 'NO-50', 'Ørland', 'yes', 'ENOL', 'OLA', '', 'Orland'),
	('EN26', 'N/A', 'N/A', 63.05488932877779, 8.716120272874832, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENLB', 'N/A', 'N/A', 62.23495177924633, 8.245140463113785, 582, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENFA', 'small_airport', 'Flatval Airfield', 63.7006, 8.76057, 152, 'NO', 'NO-50', 'Frøya', 'no', 'ENFA', '', '', ''),
	('ENRN', 'N/A', 'N/A', 63.01239475607872, 9.047955572605133, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENOP', 'small_airport', 'Fagerhaug Airfield', 62.651323, 9.851646, 1830, 'NO', 'NO-50', '', 'no', 'ENOP', '', '', ''),
	('ENSU', 'small_airport', 'Vinnu Airfield', 62.656919, 8.679457, 249, 'NO', 'NO-15', 'Sunndalsøra', 'no', 'ENSU', '', '', ''),
	('ENFR', 'closed', 'Frigg QP Platform', 59.8782997131, 2.06500005722, 0, 'NO', 'NO-XX', '', 'no', '', '', '', 'ENFR, ENFR'),
	('ENLN', 'N/A', 'N/A', 63.19531671702862, 10.292151421308517, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENGN', 'small_airport', 'Folldal Grimsmoe Airfield', 62.1175, 10.1108, 2260, 'NO', 'NO-34', 'Folldal', 'no', 'ENGN', '', '', ''),
	('ENTY', 'small_airport', 'Tynset Airfield', 62.256901, 10.6694, 1581, 'NO', 'NO-34', 'Tynset', 'no', 'ENTY', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ENKB', 'medium_airport', 'Kristiansund Airport, Kvernberget', 63.111801, 7.82452, 204, 'NO', 'NO-15', 'Kvernberget', 'yes', 'ENKB', 'KSU', '', 'Kristiansund lufthavn, Kvernberget'),
	('ENVA', 'large_airport', 'Trondheim Airport, Værnes', 63.457802, 10.924, 56, 'NO', 'NO-50', 'Trondheim', 'yes', 'ENVA', 'TRD', '', ''),
	('ENHS', 'small_airport', 'Hokksund Airfield', 59.759927, 9.919506, 30, 'NO', 'NO-33', 'Øvre Eiker', 'no', 'ENHS', '', '', ''),
	('ENMY', 'N/A', 'N/A', 59.534626454114914, 11.244621276855469, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENKJ', 'small_airport', 'Lillestrøm Airfield, Kjeller', 59.969089, 11.040482, 354, 'NO', 'NO-32', 'Kjeller', 'no', 'ENKJ', '', '', 'Lillestrøm'),
	('ENJB', 'small_airport', 'Jarlsberg Airfield', 59.299232, 10.369844, 92, 'NO', 'NO-39', 'Tønsberg', 'no', 'ENJB', '', '', ''),
	('ENEG', 'small_airport', 'Hønefoss Airfield, Eggemoen', 60.214672, 10.318737, 656, 'NO', 'NO-33', 'Hønefoss', 'no', 'ENEG', '', '', ''),
	('ENRL', 'N/A', 'N/A', 60.63768591731787, 10.677158832550049, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENSY', 'N/A', 'N/A', 59.66388210654259, 11.120277643203735, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENKL', 'small_airport', 'Gol Airport', 60.791066, 9.048672, 2770, 'NO', 'NO-33', 'Klanten flyplass', 'no', 'ENKL', 'GLL', '', ''),
	('ENSP', 'N/A', 'N/A', 59.19574107974768, 11.063624918460846, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENHR', 'N/A', 'N/A', 60.36201886832714, 11.091312915086746, 343, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENFY', 'small_airport', 'Fyresdal Airfield', 59.202784, 8.087625, 986, 'NO', 'NO-40', 'Fyresdal', 'no', 'ENFY', '', '', 'Airparc Fyresdal'),
	('ENLU', 'small_airport', 'Lunde Nome Airfield', 59.298004, 9.132011, 190, 'NO', 'NO-40', 'Lunde Nome', 'no', 'ENLU', '', '', ''),
	('ENRI', 'small_airport', 'Ringebu Airfield Frya', 61.545440673, 10.061588287, 571, 'NO', 'NO-34', 'Frya', 'no', 'ENRI', '', '', ''),
	('ENFE', 'N/A', 'N/A', 59.26009397953749, 10.929023176431656, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENVI', 'N/A', 'N/A', 61.49920240044594, 9.797446131706238, 954, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENSN', 'medium_airport', 'Skien Airport', 59.185001, 9.56694, 463, 'NO', 'NO-40', 'Geiteryggen', 'no', 'ENSN', 'SKE', '', ''),
	('ENRV', 'small_airport', 'Reinsvoll Airfield', 60.672199, 10.5675, 1381, 'NO', 'NO-34', 'Reinsvoll', 'no', 'ENRV', '', '', ''),
	('ENSI', 'small_airport', 'Ski Airfield', 59.706972, 10.881665, 350, 'NO', 'NO-32', 'Ski', 'no', 'ENSI', '', '', ''),
	('ENHA', 'small_airport', 'Hamar Lufthavn, Stavsberg', 60.8181, 11.068, 729, 'NO', 'NO-34', 'Hamar', 'no', 'ENHA', 'HMR', '', ''),
	('ENGM', 'large_airport', 'Oslo Airport, Gardermoen', 60.193901, 11.1004, 681, 'NO', 'NO-32', 'Oslo', 'yes', 'ENGM', 'OSL', '', ''),
	('ENDO', 'small_airport', 'Dokka Thomlevold Airfield', 60.833302, 9.91667, 512, 'NO', 'NO-34', 'Dokka', 'no', 'ENDO', '', '', ''),
	('ENLE', 'heliport', 'Ekofisk Oil Pltf Helipad', 56.5333, 3.21667, 0, 'NO', 'NO-XX', 'North Sea.', 'no', 'ENLE', '', '', ''),
	('ENHU', 'N/A', 'N/A', 60.51203079521656, 11.188089698553085, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENFG', 'medium_airport', 'Fagernes Airport, Leirin', 61.015598, 9.28806, 2697, 'NO', 'NO-34', 'Fagernes', 'no', 'ENFG', 'VDB', '', ''),
	('ENNO', 'medium_airport', 'Notodden Airport', 59.565071, 9.213152, 63, 'NO', 'NO-40', 'Notodden', 'no', 'ENNO', 'NTB', '', ''),
	('ENTO', 'medium_airport', 'Sandefjord Airport, Torp', 59.186699, 10.2586, 286, 'NO', 'NO-39', 'Torp', 'yes', 'ENTO', 'TRF', '', ''),
	('ENKO', 'N/A', 'N/A', 61.72573070973158, 10.842462033033371, 355, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENRY', 'medium_airport', 'Moss Airport, Rygge', 59.378817, 10.785439, 174, 'NO', 'NO-31', 'Oslo', 'no', 'ENRY', 'RYG', '', 'Moss lufthavn Rygge, Rygge Air Station'),
	('EKFU', 'small_airport', 'Fur Airstrip', 56.824886, 8.987213, 30, 'DK', 'DK-82', 'Skive', 'no', 'EKFU', '', '', 'Salling peninsula, Skive'),
	('EKSV', 'medium_airport', 'Skive Airport', 56.550201, 9.17298, 74, 'DK', 'DK-82', 'Skive', 'no', 'EKSV', 'SQW', '', ''),
	('EKHS', 'closed', 'Hadsund Airfield', 56.755924, 10.228829, 8, 'DK', 'DK-81', 'Hadsund', 'no', '', '', '', 'EKHS, EKHS'),
	('EKAH', 'medium_airport', 'Aarhus Airport', 56.303331, 10.618286, 82, 'DK', 'DK-82', 'Aarhus', 'yes', 'EKAH', 'AAR', '', ''),
	('EKSA', 'small_airport', 'Sæby (Ottestrup) Airfield', 57.346699, 10.407, 110, 'DK', 'DK-81', 'Sæby', 'no', 'EKSA', '', '', 'Saeby'),
	('EKAL', 'closed', 'Allerød Airport', 55.870300293, 12.3155002594, 135, 'DK', 'DK-84', 'Allerød', 'no', '', '', '', 'Allerod, Alleroed, EKAL'),
	('EKBJ', 'N/A', 'N/A', 56.27110730856657, 9.625081568956375, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKNM', 'small_airport', 'Morsø Airfield, Tødsø', 56.824402, 8.78667, 53, 'DK', 'DK-81', 'Morsø', 'no', 'EKNM', '', '', 'Mors, Morso Airport Todso, Morsoe Airport Toedsoe'),
	('EKVC', 'N/A', 'N/A', 57.42237579077482, 9.862326979637146, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKHO', 'small_airport', 'Lindtorp Flyvecenter', 56.396702, 8.44194, 49, 'DK', 'DK-82', 'Holstebro', 'no', 'EKHO', '', '', ''),
	('EKVB', 'small_airport', 'Viborg Airfield', 56.409992, 9.409277, 75, 'DK', 'DK-82', 'Viborg', 'no', 'EKVB', '', '', ''),
	('EKLS', 'small_airport', 'Læsø Airport', 57.277199, 11.0001, 25, 'DK', 'DK-81', 'Læsø', 'yes', 'EKLS', 'BYR', '', 'Laeso, Laesoe'),
	('ENVE', 'small_airport', 'Valle Airfield Åraksøyne', 59.031723, 7.554903, 771, 'NO', 'NO-42', 'Valle', 'no', 'ENVE', '', '', ''),
	('ENCN', 'medium_airport', 'Kristiansand Airport, Kjevik', 58.204201, 8.08537, 57, 'NO', 'NO-42', 'Kjevik', 'yes', 'ENCN', 'KRS', '', ''),
	('EKVH', 'small_airport', 'Vesthimmerlands Flyveplads', 56.846901, 9.45861, 119, 'DK', 'DK-81', 'Aars', 'no', 'EKVH', '', '', 'Vesthimmerland, Hornum'),
	('EKSN', 'medium_airport', 'Sindal Airport', 57.503502, 10.2294, 92, 'DK', 'DK-81', 'Sindal', 'yes', 'EKSN', 'CNL', '', ''),
	('EKBN', 'N/A', 'N/A', 57.247733138501644, 9.941485673189163, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKKA', 'medium_airport', 'Karup Airport', 56.29750061035156, 9.124629974365234, 170, 'DK', 'DK-82', 'Karup', 'yes', 'EKKA', 'KRP', '', ''),
	('EKRD', 'small_airport', 'Randers Airfield', 56.506599, 10.0364, 139, 'DK', 'DK-82', 'Randers', 'no', 'EKRD', '', '', ''),
	('EK23', 'N/A', 'N/A', 56.396739296615124, 8.443392366170883, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENEJ', 'N/A', 'N/A', 58.60537447035313, 7.809524685144424, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EKTS', 'medium_airport', 'Thisted Airport', 57.06880187988281, 8.705220222473145, 23, 'DK', 'DK-81', 'Thisted', 'no', 'EKTS', 'TED', '', ''),
	('ENGK', 'small_airport', 'Arendal Airfield, Gullknapp', 58.516701, 8.7, 390, 'NO', 'NO-42', '', 'no', 'ENGK', '', '', ''),
	('EKLV', 'small_airport', 'Lemvig Airfield', 56.502998, 8.31133, 97, 'DK', 'DK-82', 'Lemvig', 'no', 'EKLV', '', '', ''),
	('EKGR', 'small_airport', 'Grenaa Airfield', 56.442501, 10.9306, 20, 'DK', 'DK-82', 'Grenaa', 'no', 'EKGR', '', '', 'Grenå'),
	('EKYT', 'medium_airport', 'Aalborg Airport', 57.094763, 9.84993, 10, 'DK', 'DK-81', 'Aalborg', 'yes', 'EKYT', 'AAL', '', ''),
	('ENBY', 'N/A', 'N/A', 58.93971920013428, 7.693433314561844, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETNH', 'medium_airport', 'Hohn Air Base', 54.312199, 9.53817, 39, 'DE', 'DE-SH', '', 'no', 'ETNH', '', '', ''),
	('EDWI', 'small_airport', 'JadeWeser Airport', 53.50222, 8.052222, 16, 'DE', 'DE-NI', 'Wilhelmshaven', 'no', 'EDWI', 'WVN', '', 'Wilhelmshaven-Mariensiel'),
	('ETNS', 'medium_airport', 'Schleswig Air Base', 54.459301, 9.51633, 70, 'DE', 'DE-SH', 'Jagel', 'no', 'ETNS', 'WBG', '', ''),
	('EDHP', 'closed', 'Pellworm Field', 54.536388, 8.68, 3, 'DE', 'DE-SH', 'Pellworm', 'no', '', '', '', 'UL-Field, EDHP'),
	('EDXB', 'small_airport', 'Heide-Büsum Airport', 54.153332, 8.901667, 7, 'DE', 'DE-SH', 'Oesterdeichstrich', 'yes', 'EDXB', 'HEI', '', ''),
	('EK65', 'N/A', 'N/A', 55.03426395356655, 10.872704833745956, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDXH', 'small_airport', 'Helgoland-Düne Airport', 54.185279846200004, 7.91583299637, 8, 'DE', 'DE-SH', 'Helgoland', 'yes', 'EDXH', 'HGL', '', ''),
	('ED75', 'N/A', 'N/A', 54.455878771841526, 11.109095960855484, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDXN', 'small_airport', 'Nordholz-Spieka Airfield', 53.767223, 8.643611, 72, 'DE', 'DE-NI', 'Cuxhaven', 'no', 'EDXN', '', '', ''),
	('ETME', 'closed', 'Eggebeck Air Base', 54.624802, 9.346, 65, 'DE', 'DE-SH', '', 'no', '', '', '', 'ETME, ETME'),
	('EKBH', 'small_airport', 'Svæveflyvecenter Arnborg', 56.011944, 9.0125, 0, 'DK', 'DK-82', 'Arnborg', 'no', 'EKAB', '', '', 'Bolhede, Arnborg'),
	('EDXZ', 'small_airport', 'Flugplatz Kührstedt-Bederkesa', 53.568054, 8.789444, 26, 'DE', 'DE-NI', 'Kührstedt', 'no', 'EDXZ', '', '', ''),
	('EKGO', 'small_airport', 'Gørlev Flyveplads', 55.5527778, 11.1952778, 0, 'DK', 'DK-85', 'Gørlev', 'no', 'EKGO', '', '', 'Gorlev'),
	('EKHV', 'small_airport', 'Haderslev Airfield', 55.3022, 9.5225, 81, 'DK', 'DK-83', 'Haderslev', 'no', 'EKHV', '', '', ''),
	('EKEB', 'medium_airport', 'Esbjerg Airport', 55.525902, 8.5534, 97, 'DK', 'DK-83', 'Esbjerg', 'yes', 'EKEB', 'EBJ', '', 'offshore, North Sea'),
	('EKVE', 'N/A', 'N/A', 55.552214942872524, 9.185961037874222, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDYA', 'N/A', 'N/A', 53.48133064806461, 7.650564461946487, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKGI', 'N/A', 'N/A', 55.99107228219509, 9.267226159572601, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKOD', 'medium_airport', 'Odense Hans Christian Andersen Airport', 55.475307, 10.327206, 56, 'DK', 'DK-83', 'Odense', 'yes', 'EKOD', 'ODE', '', 'Beldringe'),
	('EKVR', 'N/A', 'N/A', 55.60806255787611, 8.440994024276733, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDWT', 'N/A', 'N/A', 53.53833328932524, 8.538333177566528, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKFS', 'small_airport', 'Vøjstrup Glider Field', 55.2477778, 10.2041667, 0, 'DK', 'DK-82', 'Vøjstrup', 'no', 'EKFS', '', '', 'Broby, Vøjstrup'),
	('EKNO', 'N/A', 'N/A', 55.283710062503815, 10.71403294801712, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDIX', 'N/A', 'N/A', 54.06488947570324, 9.79797050356865, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETNT', 'medium_airport', 'Wittmundhafen Air Base', 53.547798, 7.66733, 26, 'DE', 'DE-NI', 'Wittmund', 'no', 'ETNT', '', '', ''),
	('EKVJ', 'medium_airport', 'Stauning Airport', 55.990101, 8.35391, 17, 'DK', 'DK-82', 'Skjern / Ringkøbing', 'no', 'EKVJ', 'STA', '', ''),
	('EKRE', 'N/A', 'N/A', 55.07874168455601, 9.299310743808746, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKPB', 'small_airport', 'Kruså-Padborg Airfield', 54.8703, 9.27901, 88, 'DK', 'DK-83', 'Kruså / Padborg', 'no', 'EKPB', '', '', ''),
	('EKRO', 'N/A', 'N/A', 55.3250227868557, 10.58155506849289, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDXR', 'small_airport', 'Rendsburg-Schachtholm Airfield', 54.220001, 9.599444, 23, 'DE', 'DE-SH', 'Rendsburg', 'no', 'EDXR', '', '', ''),
	('EKRA', 'small_airport', 'Rårup Airfield', 55.777572, 9.94154, 131, 'DK', 'DK-82', 'Rårup', 'no', 'EKRA', '', '', 'Rarup'),
	('EKSD', 'small_airport', 'Spjald Airfield', 56.102699, 8.51423, 249, 'DK', 'DK-82', 'Spjald', 'no', 'EKSD', '', '', ''),
	('EDJL', 'N/A', 'N/A', 53.486189134418964, 11.168261468410492, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDXJ', 'small_airport', 'Husum-Schwesing Airport', 54.5099983215, 9.138333320620001, 62, 'DE', 'DE-SH', 'Husum', 'no', 'EDXJ', 'QHU', '', ''),
	('EDHE', 'small_airport', 'Uetersen Airfield', 53.645477, 9.703503, 23, 'DE', 'DE-SH', 'Uetersen', 'yes', 'EDHE', '', '', ''),
	('EKVI', 'N/A', 'N/A', 56.02137789130211, 8.690816760063171, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETMN', 'medium_airport', 'Nordholz Naval Airbase', 53.767689, 8.659201, 74, 'DE', 'DE-NI', 'Cuxhaven', 'yes', 'ETMN', 'FCN', '', 'Fliegerhorst Nordholz'),
	('EKBL', 'N/A', 'N/A', 55.814574882388115, 9.047396779060364, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETNJ', 'closed', 'Jever Air Base', 53.533501, 7.88867, 24, 'DE', 'DE-NI', 'Schortens', 'no', '', '', '', 'ETNJ, Fliegerhorst Jever, Flugplatz Jever'),
	('EDXC', 'small_airport', 'Schleswig-Kropp Airfield', 54.425497, 9.541883, 52, 'DE', 'DE-SH', 'Kropp', 'no', 'EDXC', '', '', 'Flugplatz Schleswig-Kropp'),
	('EKKO', 'small_airport', 'Korsør Airfield', 55.336899, 11.2417, 39, 'DK', 'DK-85', 'Korsør', 'no', 'EKKO', '', '', ''),
	('EK68', 'N/A', 'N/A', 55.15190999954939, 11.15410566329956, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDHB', 'small_airport', 'Sonderlandeplatz Grube', 54.244446, 11.024722, 7, 'DE', 'DE-SH', 'Grube', 'no', 'EDHB', '', '', ''),
	('EDHW', 'small_airport', 'Flugplatz Wahlstedt', 53.969444, 10.221667, 128, 'DE', 'DE-SH', 'Wahlstedt', 'no', 'EDHW', '', '', ''),
	('EDXT', 'small_airport', 'Flugplatz Sierksdorf/Hof Altona', 54.06778, 10.743056, 79, 'DE', 'DE-SH', 'Sierksdorf', 'no', 'EDXT', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EKBA', 'N/A', 'N/A', 55.632176622748375, 8.755428940057755, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKHM', 'small_airport', 'Hammer Glider Field', 55.908195, 9.446358, 290, 'DK', 'DK-82', '', 'no', 'EKHM', '', '', 'Vejle Svæveflyveklub'),
	('EDHS', 'small_airport', 'Flugplatz Stade', 53.561111, 9.499167, 62, 'DE', 'DE-NI', 'Stade', 'no', 'EDHS', '', '', ''),
	('EK04', 'N/A', 'N/A', 55.36825127899647, 8.45953568816185, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDHK', 'medium_airport', 'Kiel-Holtenau Airport', 54.37957, 10.145266, 102, 'DE', 'DE-SH', 'Kiel', 'no', 'EDHK', 'KEL', '', ''),
	('EKBI', 'large_airport', 'Billund Airport', 55.740335, 9.157019, 247, 'DK', 'DK-83', 'Billund', 'yes', 'EKBI', 'BLL', '', ''),
	('EKVA', 'closed', 'Vandel Air Base', 55.697936, 9.193081, 250, 'DK', 'DK-83', 'Vandel', 'no', '', '', '', 'EKVA'),
	('EKNB', 'N/A', 'N/A', 55.07503755390644, 9.753812402486801, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDZM', 'N/A', 'N/A', 53.45607329159975, 9.830480217933655, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDXW', 'medium_airport', 'Westerland Sylt Airport', 54.9132, 8.34047, 51, 'DE', 'DE-SH', 'Westerland', 'yes', 'EDXW', 'GWT', '', ''),
	('EDXY', 'small_airport', 'Wyk auf Föhr Airport', 54.684444, 8.528333, 26, 'DE', 'DE-SH', 'Wyk auf Föhr', 'no', 'EDXY', 'OHR', '', ''),
	('EKTD', 'small_airport', 'Tønder Airfield', 54.929699, 8.84057, 1, 'DK', 'DK-83', 'Tønder', 'no', 'EKTD', '', '', 'Tonder, Toender'),
	('EKSS', 'small_airport', 'Samsø Airfield', 55.889073, 10.613766, 1, 'DK', 'DK-82', 'Samsø', 'no', 'EKSS', '', '', 'Samso, Samsoe'),
	('EDXF', 'small_airport', 'Flensburg-Schäferhaus Airport', 54.773335, 9.378889, 131, 'DE', 'DE-SH', 'Flensburg', 'no', 'EDXF', 'FLF', '', ''),
	('EKAE', 'small_airport', 'Ærø Airfield', 54.852798, 10.4564, 3, 'DK', 'DK-83', 'Ærø', 'yes', 'EKAE', '', '', 'Aero, Aeroe'),
	('EDXO', 'small_airport', 'St. Peter-Ording Airport', 54.308887, 8.686944, 7, 'DE', 'DE-SH', 'Sankt Peter-Ording', 'no', 'EDXO', 'PSH', '', ''),
	('EDHF', 'small_airport', 'Itzehoe/Hungriger Wolf Airfield', 53.992009, 9.576409, 89, 'DE', 'DE-SH', 'Itzehoe', 'no', 'EDHF', 'IZE', '', ''),
	('EKBD', 'N/A', 'N/A', 56.00295078009367, 9.094348400831223, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDHL', 'medium_airport', 'Lübeck Blankensee Airport', 53.805401, 10.7192, 53, 'DE', 'DE-SH', 'Lübeck', 'yes', 'EDHL', 'LBC', '', ''),
	('EKEL', 'small_airport', 'Endelave Airfield', 55.756753, 10.248697, 15, 'DK', 'DK-82', 'Endelave', 'no', 'EKEL', '', '', ''),
	('ED50', 'N/A', 'N/A', 53.51470202207565, 10.144239664077759, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDWG', 'small_airport', 'Wangerooge Airport', 53.782544, 7.919584, 7, 'DE', 'DE-NI', 'Wangerooge', 'yes', 'EDWG', 'AGE', '', ''),
	('EDHI', 'medium_airport', 'Hamburg-Finkenwerder Airport', 53.5352783203125, 9.835556030273438, 23, 'DE', 'DE-HH', 'Hamburg', 'no', 'EDHI', 'XFW', '', ''),
	('EKNS', 'closed', 'Nakskov Airfield', 54.8172, 11.1308, 3, 'DK', 'DK-85', 'Nakskov', 'no', '', '', '', 'EKNS, EKNS'),
	('EKKI', 'N/A', 'N/A', 55.94610270112753, 8.745239675045013, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDHM', 'small_airport', 'Flugplatz Hartenholm', 53.915001, 10.035556, 108, 'DE', 'DE-SH', 'Hasenmoor', 'no', 'EDHM', '', '', ''),
	('EKVD', 'medium_airport', 'Kolding Vamdrup Airfield', 55.436298, 9.33092, 143, 'DK', 'DK-83', 'Kolding / Vamdrup', 'no', 'EKVD', '', '', ''),
	('EKCR', 'small_airport', 'Christianshede', 56.105, 9.393056, 0, 'DK', 'DK-82', 'Silkeborg', 'no', 'EKCR', '', '', 'Ekcr, Christianshede, Silkeborg flyveplads, Silkeborg flyveklub'),
	('EKSP', 'medium_airport', 'Skrydstrup Air Base', 55.221048, 9.26702, 141, 'DK', 'DK-83', 'Vojens', 'no', 'EKSP', 'SKS', '', ''),
	('EKSB', 'medium_airport', 'Sønderborg Airport', 54.96440124511719, 9.791729927062988, 24, 'DK', 'DK-83', 'Sønderborg', 'yes', 'EKSB', 'SGD', '', 'Sonderborg, Soenderborg'),
	('EDXK', 'small_airport', 'Sonderlandeplatz Leck', 54.790001, 8.961389, 23, 'DE', 'DE-SH', 'Leck', 'no', 'EDXK', '', '', ''),
	('EKST', 'small_airport', 'Sydfyn (Tasinge) Airfield', 55.016602, 10.5633, 7, 'DK', 'DK-83', 'Tasinge', 'yes', 'EKST', '', '', ''),
	('EKTA', 'N/A', 'N/A', 55.83350758999586, 8.553072363138199, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKBR', 'N/A', 'N/A', 55.943643450737, 9.653389602899551, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EK72', 'N/A', 'N/A', 55.90892929583788, 11.090483665466309, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDXP', 'small_airport', 'Harlesiel Airfield', 53.706669, 7.820278, 7, 'DE', 'DE-NI', 'Harlesiel', 'yes', 'EDXP', '', '', 'Flugplatz Harle'),
	('EDHO', 'small_airport', 'Flugplatz Ahrenlohe', 53.699722, 9.740556, 33, 'DE', 'DE-SH', 'Tornesch', 'no', 'EDHO', '', '', ''),
	('EKHG', 'small_airport', 'Herning Airfield', 56.1847, 9.04445, 167, 'DK', 'DK-82', 'Herning', 'no', 'EKHG', '', '', ''),
	('EDDH', 'large_airport', 'Hamburg Helmut Schmidt Airport', 53.630402, 9.98823, 53, 'DE', 'DE-HH', 'Hamburg', 'yes', 'EDDH', 'HAM', '', 'Hamburg-Fuhlsbüttel Airport'),
	('EDXM', 'small_airport', 'Flugplatz St. Michaelisdonn', 53.978058, 9.144722, 125, 'DE', 'DE-SH', 'Sankt Michaelisdonn', 'no', 'EDXM', '', '', 'Hopen'),
	('EDHN', 'small_airport', 'Neumünster Airport', 54.079445, 9.941389, 72, 'DE', 'DE-SH', 'Neumünster', 'no', 'EDHN', 'EUM', '', ''),
	('EKBO', 'N/A', 'N/A', 55.543014630675316, 10.032235980033875, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDWA', 'closed', 'Bordelum Airfield', 54.627499, 8.930278, 3, 'DE', 'DE-SH', 'Bredstedt', 'no', '', '', '', 'EDWA, EDWA'),
	('EDJZ', 'N/A', 'N/A', 53.58339373022318, 10.698411762714386, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED99', 'N/A', 'N/A', 54.17591046541929, 9.377852529287338, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EK76', 'N/A', 'N/A', 55.95681678503752, 10.409346967935562, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDVP', 'N/A', 'N/A', 52.40248918533325, 10.22913247346878, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED18', 'N/A', 'N/A', 50.780164785683155, 11.051135212182999, 404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEG', 'small_airport', 'Gotha-Ost Airfield', 50.970001, 10.727778, 991, 'DE', 'DE-TH', 'Gotha', 'no', 'EDEG', '', '', 'Flugplatz Gotha-Ost'),
	('EDVF', 'small_airport', 'Blomberg-Borkhausen Airfield', 51.917221, 9.111667, 535, 'DE', 'DE-NW', 'Blomberg', 'no', 'EDVF', '', '', 'Flugplatz Blomberg-Borkhausen'),
	('EDYK', 'N/A', 'N/A', 50.83759255707264, 8.014031946659088, 390, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EDXL', 'small_airport', 'Barßel Airfield', 53.164444, 7.793889, 10, 'DE', 'DE-NI', 'Barßel', 'no', 'EDXL', '', '', 'Barßel-Oltmanns, Flugplatz Barßel'),
	('ETNP', 'closed', 'Hopsten Air Base', 52.33869934082031, 7.541329860687256, 423, 'DE', 'DE-NW', 'Hopsten', 'no', '', '', '', 'Airport Dreierwalde, ETNP'),
	('EDKK', 'N/A', 'N/A', 51.59036424010992, 7.710457295179367, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDLW', 'medium_airport', 'Dortmund Airport', 51.518299, 7.61224, 425, 'DE', 'DE-NW', 'Dortmund', 'yes', 'EDLW', 'DTM', '', ''),
	('EXIA', 'N/A', 'N/A', 51.173890605568886, 7.504323273897171, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDSU', 'N/A', 'N/A', 52.95580107718706, 7.55850613117218, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDDU', 'N/A', 'N/A', 53.321876004338264, 10.074752122163773, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDKI', 'small_airport', 'Betzdorf-Kirchen Airfield', 50.817223, 7.830556, 1125, 'DE', 'DE-RP', 'Kirchen (Sieg)', 'no', 'EDKI', '', '', ''),
	('EDKP', 'small_airport', 'Plettenberg-Hüinghausen Airfield', 51.191878, 7.79098, 981, 'DE', 'DE-NW', 'Herscheid', 'no', 'EDKP', '', '', ''),
	('EDHY', 'N/A', 'N/A', 52.8121667727828, 9.163333475589752, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDVG', 'small_airport', 'Mengeringhausen Airfield', 51.376387, 8.981111, 1190, 'DE', 'DE-HE', 'Bad Arolsen', 'no', 'EDVG', '', '', ''),
	('EDLH', 'small_airport', 'Hamm-Lippewiesen Airfield', 51.68972, 7.816111, 190, 'DE', 'DE-NW', 'Hamm', 'no', 'EDLH', '', '', ''),
	('EDSQ', 'N/A', 'N/A', 51.08734678477049, 9.915374368429184, 404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EXIB', 'N/A', 'N/A', 52.82234609127045, 10.04021868109703, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDJH', 'N/A', 'N/A', 51.84605319052935, 9.014264792203903, 246, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDBS', 'small_airport', 'Sömmerda-Dermsdorf Airfield', 51.198414, 11.191764, 453, 'DE', 'DE-TH', 'Kölleda', 'no', 'EDBS', '', '', 'Flugplatz Sömmerda-Dermsdorf'),
	('EDHV', 'N/A', 'N/A', 52.23370749503374, 10.981595814228058, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDQQ', 'N/A', 'N/A', 52.137181498110294, 10.570179373025894, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEA', 'N/A', 'N/A', 53.33734028041363, 9.779469072818756, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDDQ', 'N/A', 'N/A', 52.53590762615204, 10.018900483846664, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED56', 'N/A', 'N/A', 52.44121190160513, 10.166245847940445, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDSM', 'N/A', 'N/A', 52.563592717051506, 10.685020387172699, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDVM', 'small_airport', 'Hildesheim Airfield', 52.179819, 9.945803, 292, 'DE', 'DE-NI', 'Hildesheim', 'no', 'EDVM', '', '', ''),
	('EDLZ', 'small_airport', 'Soest-Bad Sassendorf Airfield', 51.578056, 8.214722, 394, 'DE', 'DE-NW', 'Bad Sassendorf', 'no', 'EDLZ', '', '', ''),
	('EDEX', 'N/A', 'N/A', 50.70938095450401, 9.739039689302444, 357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGB', 'small_airport', 'Breitscheid Airfield', 50.676388, 8.169444, 1834, 'DE', 'DE-HE', 'Breitscheid', 'no', 'EDGB', '', '', ''),
	('ETND', 'medium_airport', 'Diepholz Air Base', 52.585556, 8.342222, 128, 'DE', 'DE-NI', 'Diepholz', 'no', 'ETND', '', '', 'Diepholz, Dümmerland'),
	('EDXQ', 'small_airport', 'Flugplatz Rotenburg', 53.128334, 9.348611, 98, 'DE', 'DE-NI', 'Rotenburg (Wümme)', 'no', 'EDXQ', '', '', ''),
	('EDIN', 'N/A', 'N/A', 51.389732994139194, 8.05980920791626, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDIW', 'N/A', 'N/A', 51.42927177250385, 7.6425983011722565, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDHD', 'small_airport', 'Heilbad Heiligenstadt Airfield', 51.40755, 10.1453, 1195, 'DE', 'DE-TH', 'Heilbad Heiligenstadt', 'no', 'EDHD', '', '', ''),
	('EDYB', 'N/A', 'N/A', 53.25113173574209, 9.109522998332977, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDHU', 'small_airport', 'Lauenbrück Airfield', 53.2075, 9.573333, 98, 'DE', 'DE-NI', 'Lauenbrück', 'no', 'EDHU', '', '', 'Sonderlandeplatz'),
	('EDBA', 'small_airport', 'Arnstadt-Alkersleben Airfield', 50.841873, 11.069934, 1145, 'DE', 'DE-TH', 'Osthausen-Wülfershausen', 'no', 'EDBA', '', '', 'Flugplatz Arnstadt-Alkersleben'),
	('EDVO', 'N/A', 'N/A', 51.46357052028179, 9.049082547426224, 305, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EXMA', 'N/A', 'N/A', 52.29418393224478, 9.377297312021255, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDLL', 'N/A', 'N/A', 52.170235365629196, 10.315742790699005, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED59', 'N/A', 'N/A', 53.32827776670456, 10.832965672016144, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGW', 'small_airport', 'Flugplatz „Graner Berg“', 51.30722, 9.175278, 1027, 'DE', 'DE-HE', 'Wolfhagen', 'no', 'EDGW', '', '', ''),
	('EDSX', 'small_airport', 'Voelkleshofen-Lichtenberg Field', 49.00946, 9.354766, 1301, 'DE', 'DE-U-A', '', 'no', 'EDSX', '', 'EDSX', ''),
	('EDFN', 'small_airport', 'Marburg-Schönstadt Airfield', 50.874443, 8.815, 833, 'DE', 'DE-HE', 'Cölbe', 'no', 'EDFN', '', '', ''),
	('EDLR', 'small_airport', 'Paderborn-Haxterberg Airfield', 51.688332, 8.775278, 801, 'DE', 'DE-NW', 'Paderborn', 'no', 'EDLR', '', '', ''),
	('EDCB', 'small_airport', 'Ballenstedt Airfield', 51.745834, 11.229722, 535, 'DE', 'DE-ST', 'Ballenstedt', 'no', 'EDCB', '', '', 'Flugplatz Ballenstedt, Verkehrslandeplatz Ballenstedt/Quedlinburg'),
	('EDDZ', 'N/A', 'N/A', 52.251119054853916, 9.014519602060318, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDKF', 'small_airport', 'Bergneustadt-Auf dem Dümpel Airfield', 51.05209, 7.70683, 1604, 'DE', 'DE-NW', 'Bergneustadt', 'no', 'EDKF', '', '', ''),
	('EDQU', 'N/A', 'N/A', 52.59547881782055, 10.223476141691208, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EXEB', 'N/A', 'N/A', 51.78638309240341, 9.754974246025085, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDJX', 'N/A', 'N/A', 53.38121082633734, 10.803077816963196, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDVL', 'small_airport', 'Hölleberg Airfield', 51.610881, 9.398375, 837, 'DE', 'DE-HE', 'Trendelburg', 'no', 'EDVL', '', '', 'Flugplatz Hölleberg'),
	('EDWM', 'small_airport', 'Flugplatz Weser-Wümme', 53.05389, 9.208611, 59, 'DE', 'DE-NI', 'Rotenburg (Wümme)', 'no', 'EDWM', '', '', ''),
	('EDLA', 'small_airport', 'Arnsberg-Menden Airfield', 51.483891, 7.898333, 794, 'DE', 'DE-NW', 'Arnsberg', 'no', 'EDLA', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EDVC', 'small_airport', 'Celle-Arloh Airfield', 52.687222, 10.111389, 207, 'DE', 'DE-NI', 'Celle', 'no', 'EDVC', '', '', 'Flugplatz Celle-Arloh'),
	('EDDX', 'N/A', 'N/A', 53.210269287228584, 7.98883929848671, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDXS', 'small_airport', 'Sonderlandeplatz Seedorf', 53.335556, 9.259444, 72, 'DE', 'DE-NI', 'Seedorf', 'no', 'EDXS', '', '', ''),
	('EDKR', 'small_airport', 'Schmallenberg-Rennefeld Airfield', 51.1615, 8.260667, 1530, 'DE', 'DE-NW', 'Schmallenberg', 'no', 'EDKR', '', '', ''),
	('EDYC', 'N/A', 'N/A', 52.8883495554328, 9.600718170404434, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDKH', 'small_airport', 'Hünsborn Airfield', 50.928612, 7.899167, 1306, 'DE', 'DE-NW', 'Wenden', 'no', 'EDKH', '', '', ''),
	('EDVY', 'small_airport', 'Porta Westfalica Airfield', 52.221367, 8.859765, 148, 'DE', 'DE-NW', 'Porta Westfalica', 'no', 'EDVY', '', '', ''),
	('EDDG', 'medium_airport', 'Münster Osnabrück Airport', 52.134602, 7.68483, 160, 'DE', 'DE-NW', 'Greven', 'yes', 'EDDG', 'FMO', '', ''),
	('EDCO', 'small_airport', 'Obermehler-Schlotheim Airfield', 51.267776, 10.634722, 909, 'DE', 'DE-TH', 'Nottertal-Heilinger Höhen', 'no', 'EDCO', '', '', 'Flugplatz Obermehler-Schlotheim'),
	('EDIK', 'N/A', 'N/A', 50.7471152767539, 9.020111560821533, 353, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDLJ', 'small_airport', 'Detmold Airfield', 51.940834, 8.904722, 650, 'DE', 'DE-NW', 'Detmold', 'no', 'EDLJ', '', '', ''),
	('EDUM', 'N/A', 'N/A', 52.62011658400297, 10.410308539867401, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDVW', 'small_airport', 'Bad Pyrmont Airfield', 51.966667, 9.291667, 1178, 'DE', 'DE-NI', 'Bad Pyrmont', 'no', 'EDVW', '', '', 'Flugplatz Hameln-Pyrmont, Hameln-Pyrmont'),
	('EDHG', 'small_airport', 'Lüneburg Airfield', 53.24832, 10.458705, 161, 'DE', 'DE-NI', 'Lüneburg', 'no', 'EDHG', '', '', 'Flugplatz Lüneburg'),
	('EDVT', 'small_airport', 'Ithwiesen Airfield', 51.952, 9.662, 1264, 'DE', 'DE-NI', 'Ith', 'no', 'EDVT', '', '', ''),
	('ED06', 'N/A', 'N/A', 52.09982670843601, 10.550694912672043, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED11', 'N/A', 'N/A', 52.100979052484035, 10.737491995096207, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETHB', 'medium_airport', 'Bückeburg Air Base', 52.2785, 9.08217, 230, 'DE', 'DE-NI', 'Bückeburg', 'no', 'ETHB', '', '', ''),
	('EDIA', 'N/A', 'N/A', 52.07769546657801, 9.472851902246475, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED40', 'N/A', 'N/A', 51.767396070063114, 7.747051119804382, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEC', 'N/A', 'N/A', 50.79105321317911, 8.908868730068207, 228, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDDW', 'medium_airport', 'Bremen Airport', 53.046786, 8.78932, 14, 'DE', 'DE-HB', 'Bremen', 'yes', 'EDDW', 'BRE', '', ''),
	('EDLQ', 'small_airport', 'Beelen Airfield', 51.931667, 8.081667, 0, 'DE', 'DE-NW', 'Beelen', 'no', 'EDLQ', '', '', 'Flugplatz Beelen'),
	('EDRU', 'N/A', 'N/A', 52.323818653821945, 10.181515663862228, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDVK', 'medium_airport', 'Kassel Airport', 51.420699, 9.392152, 820, 'DE', 'DE-HE', 'Calden', 'yes', 'EDVK', 'KSF', '', 'Kassel-Calden'),
	('EDOF', 'small_airport', 'Bad Frankenhausen Airfield', 51.372501, 11.141389, 761, 'DE', 'DE-TH', 'Bad Frankenhausen', 'no', 'EDOF', '', '', 'Flugplatz Bad Frankenhausen'),
	('EDFT', 'small_airport', 'Lauterbach Airfield', 50.683666, 9.4117, 1211, 'DE', 'DE-HE', 'Lauterbach (Hessen)', 'no', 'EDFT', '', '', 'aerobatics, ultralight, glider, echo, helicopters'),
	('EDWC', 'small_airport', 'Damme Airfield', 52.487558, 8.185151, 151, 'DE', 'DE-NI', 'Damme', 'no', 'EDWC', '', '', 'Flugplatz Damme'),
	('EDAF', 'N/A', 'N/A', 50.75054716318846, 9.248557090759277, 294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDXI', 'small_airport', 'Nienburg-Holzbalge Airfield', 52.709721, 9.1625, 82, 'DE', 'DE-NI', 'Balge', 'no', 'EDXI', '', '', 'Flugplatz Holzbalge, Holzbalge'),
	('EDVI', 'small_airport', 'Höxter-Holzminden Airfield', 51.806667, 9.378333, 934, 'DE', 'DE-NW', 'Höxter', 'no', 'EDVI', '', '', 'Flugplatz Höxter-Holzminden'),
	('EDVU', 'small_airport', 'Uelzen Airfield', 52.9837, 10.465422, 246, 'DE', 'DE-NI', 'Uelzen', 'no', 'EDVU', '', '', 'Flugplatz Uelzen'),
	('EDYL', 'N/A', 'N/A', 51.49728789925575, 9.087301790714264, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDWQ', 'small_airport', 'Ganderkesee Atlas Airfield', 53.03611, 8.505556, 95, 'DE', 'DE-NI', 'Ganderkesee', 'no', 'EDWQ', '', '', ''),
	('EDWH', 'small_airport', 'Oldenburg-Hatten Airfield', 53.06889, 8.313611, 26, 'DE', 'DE-NI', 'Hatten', 'no', 'EDWH', '', '', ''),
	('EDVS', 'small_airport', 'Salzgitter-Drütte Airfield', 52.154446, 10.426667, 328, 'DE', 'DE-NI', 'Salzgitter', 'no', 'EDVS', '', '', ''),
	('EDEM', 'small_airport', 'Mosenberg Airfeld', 51.062746, 9.42201, 1296, 'DE', 'DE-HE', 'Homburg (Efze)', 'no', 'EDEM', '', '', 'Mosenberg bei Homberg'),
	('EDAO', 'small_airport', 'Nordhausen Airfield', 51.493475, 10.837562, 0, 'DE', 'DE-TH', 'Nordhausen', 'no', 'EDAO', '', '', 'Flugplatz Nordhausen, Sonderlandeplatz Nordhausen'),
	('EDQS', 'small_airport', 'Suhl-Goldlauter Airfield', 50.632047, 10.726013, 1923, 'DE', 'DE-TH', 'Goldlauter-Heidersbach', 'no', 'EDQS', '', '', 'Flugplatz Suhl-Goldlauter'),
	('EDHA', 'closed', 'Ahlhorn Airport', 52.888968, 8.233252, 161, 'DE', 'DE-NI', 'Großenkneten', 'no', '', '', '', 'Ahlhorn, EDHA'),
	('EDHC', 'small_airport', 'Lüchow-Rehbeck Airfield', 53.017158, 11.144729, 49, 'DE', 'DE-NI', 'Lüchow', 'no', 'EDHC', '', '', 'Flugplatz Lüchow-Rehbeck'),
	('EDVH', 'small_airport', 'Hodenhagen Airfield', 52.761865, 9.61056, 79, 'DE', 'DE-NI', 'Hodenhagen', 'no', 'EDVH', '', '', 'Flugplatz Hodenhagen'),
	('EXCA', 'N/A', 'N/A', 51.7892312631011, 8.784919381141663, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED20', 'N/A', 'N/A', 52.66798831522465, 8.321573138237, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEN', 'small_airport', 'Bad Hersfeld Airfield', 50.844055, 9.707218, 0, 'DE', 'DE-HE', 'Bad Hersfeld', 'no', 'EDEN', '', '', 'EDOZ, Johannesberg'),
	('EDZU', 'N/A', 'N/A', 50.66091410815716, 8.02774429321289, 535, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDLP', 'medium_airport', 'Paderborn Lippstadt Airport', 51.614101, 8.61632, 699, 'DE', 'DE-NW', 'Büren', 'yes', 'EDLP', 'PAD', '', ''),
	('EDKJ', 'N/A', 'N/A', 50.79722195863724, 9.563366621732712, 347, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDIC', 'N/A', 'N/A', 51.905657574534416, 10.461619198322296, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDRR', 'N/A', 'N/A', 53.213452734053135, 8.81016656756401, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETNW', 'medium_airport', 'Wunstorf Air Base', 52.457298, 9.42717, 187, 'DE', 'DE-NI', '', 'no', 'ETNW', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EDIE', 'N/A', 'N/A', 51.536055877804756, 9.379952251911163, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDOK', 'small_airport', 'Rudolstadt-Groschwitz Airfield', 50.732777, 11.236111, 1535, 'DE', 'DE-TH', 'Rudolstadt', 'no', 'EDOK', '', '', 'Flugplatz Rudolstadt-Groschwitz'),
	('EDRQ', 'N/A', 'N/A', 52.663057409226894, 7.925220876932144, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGT', 'small_airport', 'Bottenhorn Airfield', 50.795277, 8.458333, 1657, 'DE', 'DE-HE', 'Bad Endbach', 'no', 'EDGT', '', '', ''),
	('ETHC', 'medium_airport', 'Celle Army Airfield', 52.591202, 10.0221, 129, 'DE', 'DE-NI', '', 'no', 'ETHC', '', '', ''),
	('EDOL', 'small_airport', 'Oschersleben Glider Field', 52.038055, 11.205556, 344, 'DE', 'DE-ST', 'Oschersleben', 'no', 'EDOL', '', '', 'Segelfluggelände Oschersleben, Sonderlandeplatz Oschersleben'),
	('ED98', 'N/A', 'N/A', 51.43625892698765, 7.70005077123642, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDXU', 'small_airport', 'Sonderlandeplatz Hüttenbusch', 53.286667, 8.947222, 10, 'DE', 'DE-NI', 'Hüttenbusch', 'no', 'EDXU', '', '', ''),
	('EDZW', 'N/A', 'N/A', 51.093843430280685, 9.148222357034683, 323, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDKU', 'small_airport', 'Attendorn-Finnentrop Airfield', 51.145832, 7.936667, 1040, 'DE', 'DE-NW', 'Attendorn', 'no', 'EDKU', '', '', ''),
	('EDDV', 'large_airport', 'Hannover Airport', 52.461102, 9.68508, 183, 'DE', 'DE-NI', 'Hannover', 'yes', 'EDDV', 'HAJ', '', ''),
	('ED55', 'N/A', 'N/A', 52.71155174821615, 9.87308844923973, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDVE', 'medium_airport', 'Braunschweig-Wolfsburg Airport', 52.319199, 10.5561, 295, 'DE', 'DE-NI', 'Braunschweig', 'no', 'EDVE', 'BWE', '', ''),
	('EDGS', 'medium_airport', 'Siegerland Airport', 50.707699, 8.08297, 1966, 'DE', 'DE-NW', 'Burbach', 'no', 'EDGS', 'SGE', '', ''),
	('EDID', 'N/A', 'N/A', 51.7122408002615, 9.802633076906204, 359, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDMZ', 'N/A', 'N/A', 53.375021293759346, 8.849787265062332, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDZI', 'N/A', 'N/A', 51.36484444141388, 9.337735176086426, 430, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDWK', 'small_airport', 'Flugplatz Karlshöfen', 53.332779, 9.028333, 20, 'DE', 'DE-NI', 'Karlshöfen', 'no', 'EDWK', '', '', ''),
	('EDFI', 'small_airport', 'Hirzenhain Airfield', 50.787777, 8.392778, 1706, 'DE', 'DE-HE', 'Eschenburg', 'no', 'EDFI', '', '', 'Flugplatz Hirzenhain, Sonderlandeplatz Hirzenhain'),
	('EDWO', 'small_airport', 'Flugplatz Osnabrück-Atterheide', 52.286388, 7.969722, 287, 'DE', 'DE-NI', 'Osnabrück', 'no', 'EDWO', '', '', ''),
	('EDXD', 'small_airport', 'Bohmte-Bad Essen Airfield', 52.351391, 8.328333, 148, 'DE', 'DE-NI', 'Bohmte', 'no', 'EDXD', '', '', 'Flugplatz Bohmte-Bad Essen'),
	('EDKO', 'small_airport', 'Brilon-Hochsauerland Airfield', 51.402833, 8.643043, 1509, 'DE', 'DE-NW', 'Brilon', 'no', 'EDKO', '', '', 'Brilon-Thülen'),
	('EDDE', 'medium_airport', 'Erfurt-Weimar Airport', 50.979801, 10.9581, 1036, 'DE', 'DE-TH', 'Erfurt', 'yes', 'EDDE', 'ERF', '', 'Flughafen Erfurt-Weimar'),
	('EDYO', 'N/A', 'N/A', 51.225638799369335, 9.055285155773163, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGQ', 'small_airport', 'Schameder Airfield', 51.000266, 8.30914, 1788, 'DE', 'DE-NW', 'Schameder', 'no', 'EDGQ', '', '', ''),
	('EDXX', 'N/A', 'N/A', 51.35003495961428, 9.824945032596588, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDQJ', 'N/A', 'N/A', 52.98589278012514, 8.571837991476059, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDXA', 'small_airport', 'Flugplatz Achmer', 52.37722, 7.913333, 177, 'DE', 'DE-NI', 'Bramsche', 'no', 'EDXA', '', '', ''),
	('EDUP', 'N/A', 'N/A', 50.90089235454798, 9.241881519556046, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGE', 'medium_airport', 'Eisenach-Kindel Airport', 50.991604, 10.47973, 1112, 'DE', 'DE-TH', 'Hörselberg-Hainich', 'no', 'EDGE', 'EIB', '', 'Flugplatz Eisenach-Kindel'),
	('EDVR', 'small_airport', 'Rinteln Airfield', 52.175278, 9.053333, 180, 'DE', 'DE-NI', 'Rinteln', 'no', 'EDVR', '', '', ''),
	('EDWU', 'small_airport', 'Varrelbusch Airfield', 52.908333, 8.040556, 128, 'DE', 'DE-NI', 'Cloppenburg', 'no', 'EDWU', 'VAC', '', ''),
	('EDWX', 'small_airport', 'Westerstede-Felde Airfield', 53.288612, 7.930556, 30, 'DE', 'DE-NI', 'Westerstede', 'no', 'EDWX', '', '', 'Flugplatz Westerstede-Felde'),
	('EXGA', 'N/A', 'N/A', 51.533647924661636, 10.57888850569725, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDDJ', 'N/A', 'N/A', 51.39566570520401, 8.147318065166473, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEB', 'small_airport', 'Bad Langensalza Airfield', 51.129166, 10.622222, 650, 'DE', 'DE-TH', 'Bad Langensalza', 'no', 'EDEB', '', '', 'Flugplatz Bad Langensalza'),
	('ED88', 'N/A', 'N/A', 51.70430984348059, 10.875658839941025, 500, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDWP', 'small_airport', 'Wiefelstede-Conneforde Airfield', 53.321388, 8.073333, 33, 'DE', 'DE-NI', 'Wiefelstede', 'no', 'EDWP', '', '', 'Conneforde, Flugplatz Conneforde, Flugplatz Wiefelstede-Conneforde'),
	('ED78', 'N/A', 'N/A', 52.22594752907753, 9.425147473812103, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDWD', 'closed', 'Lemwerder Airport', 53.144699, 8.62444, 20, 'DE', 'DE-HB', 'Lemwerder', 'no', '', '', '', 'EDWD, EDWD, XLW'),
	('EDUL', 'N/A', 'N/A', 51.662080474197865, 9.605184942483902, 259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDIG', 'N/A', 'N/A', 51.22095633298159, 9.447637796401978, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EXFA', 'N/A', 'N/A', 52.65511974692345, 8.556957989931107, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDZY', 'N/A', 'N/A', 51.73877354711294, 9.200955033302307, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDJN', 'N/A', 'N/A', 51.98614999651909, 10.96694827079773, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDIP', 'N/A', 'N/A', 51.54268864542246, 8.57851892709732, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDVQ', 'N/A', 'N/A', 52.524499855935574, 10.46283334493637, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDKD', 'small_airport', 'Altena-Hegenscheid Airfield', 51.312459, 7.704134, 1552, 'DE', 'DE-NW', 'Iserlohn', 'no', 'EDKD', '', '', ''),
	('EDKW', 'small_airport', 'Werdohl-Küntrop Airfield', 51.297222, 7.818333, 1037, 'DE', 'DE-NW', 'Neuenrade', 'no', 'EDKW', '', '', ''),
	('EDXG', 'small_airport', 'Melle-Grönegau Airfield', 52.200832, 8.380556, 236, 'DE', 'DE-NI', 'Melle', 'no', 'EDXG', '', '', ''),
	('EDSJ', 'N/A', 'N/A', 52.669718004763126, 10.370434373617172, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EDVJ', 'small_airport', 'Salzgitter-Schäferstuhl Airfield', 52.030682, 10.362468, 741, 'DE', 'DE-NI', 'Salzgitter', 'no', 'EDVJ', '', '', ''),
	('EDVN', 'small_airport', 'Northeim Airfield', 51.70639, 10.039722, 404, 'DE', 'DE-NI', 'Northeim', 'no', 'EDVN', '', '', 'Flugplatz Northeim'),
	('ETHS', 'medium_airport', 'Faßberg Air Base', 52.919399, 10.185827, 245, 'DE', 'DE-NI', 'Faßberg', 'no', 'ETHS', '', '', 'Fassberg'),
	('EDIH', 'N/A', 'N/A', 51.188889518380165, 9.74268838763237, 411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED89', 'N/A', 'N/A', 52.518101781606674, 9.73168596625328, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED71', 'N/A', 'N/A', 50.778557136654854, 10.816915780305862, 474, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDKZ', 'small_airport', 'Meinerzhagen Airfield', 51.099399, 7.596896, 1549, 'DE', 'DE-NW', 'Meinerzhagen', 'no', 'EDKZ', '', '', ''),
	('EDLT', 'small_airport', 'Münster-Telgte Airfield', 51.944745, 7.773621, 177, 'DE', 'DE-NW', 'Telgte', 'no', 'EDLT', '', '', ''),
	('EDLI', 'small_airport', 'Bielefeld Airport', 51.964722, 8.544444, 454, 'DE', 'DE-NW', 'Bielefeld', 'no', 'EDLI', 'BFE', '', 'Flugplatz-Windelsbleiche'),
	('ETHF', 'medium_airport', 'Fritzlar Army Airfield', 51.1146, 9.286, 565, 'DE', 'DE-HE', 'Fritzlar', 'no', 'ETHF', 'FRZ', '', 'Heeresflugplatz Fritzlar'),
	('EDVA', 'small_airport', 'Bad Gandersheim Airfield', 51.854168, 10.025556, 791, 'DE', 'DE-NI', 'Bad Gandersheim', 'no', 'EDVA', '', '', 'Gandersheim-Seesen'),
	('EDIU', 'N/A', 'N/A', 51.472791619598866, 7.645337730646133, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGK', 'small_airport', 'Korbach Airfield', 51.25222, 8.873611, 1280, 'DE', 'DE-HE', 'Korbach', 'no', 'EDGK', '', '', ''),
	('EDEY', 'N/A', 'N/A', 51.15917198359966, 10.04709541797638, 253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDIB', 'N/A', 'N/A', 53.418235033750534, 7.904439568519592, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDYI', 'N/A', 'N/A', 51.45937152206898, 7.83552423119545, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEQ', 'small_airport', 'Mühlhausen Airfield', 51.213055, 10.548611, 814, 'DE', 'DE-TH', 'Mühlhausen', 'no', 'EDEQ', '', '', 'Flugplatz Mühlhausen'),
	('EDWV', 'small_airport', 'Verden-Scharnhorst Airfield', 52.965279, 9.282778, 144, 'DE', 'DE-NI', 'Verden (Aller)', 'no', 'EDWV', '', '', ''),
	('EDDY', 'N/A', 'N/A', 52.08370462059975, 10.018290728330612, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDOS', 'small_airport', 'Pennewitz Airfield', 50.669692, 11.051087, 1506, 'DE', 'DE-TH', 'Ilmenau', 'no', 'EDOS', '', '', 'Flugplatz Pennewitz'),
	('EDLO', 'small_airport', 'Oerlinghausen Airfield', 51.93222, 8.661667, 558, 'DE', 'DE-NW', 'Oerlinghausen', 'no', 'EDLO', '', '', 'Flugplatz Oerlinghausen'),
	('EDFQ', 'small_airport', 'Allendorf-Eder Airfield', 51.035268, 8.681002, 1158, 'DE', 'DE-HE', 'Allendorf (Eder)', 'no', 'EDFQ', '', '', ''),
	('EDHQ', 'N/A', 'N/A', 52.02613804489374, 9.562751054763794, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED02', 'N/A', 'N/A', 51.88454791903496, 7.837975323200226, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDKM', 'small_airport', 'Meschede-Schüren Airfield', 51.302776, 8.239167, 1434, 'DE', 'DE-NW', 'Meschede', 'no', 'EDKM', '', '', ''),
	('EDRC', 'small_airport', 'Marpingen Glider Airfield', 49.453, 7.039, 1155, 'DE', 'DE-SL', 'Marpingen', 'no', 'EDRC', '', '', 'Segelfluggelände Marpingen'),
	('ETUO', 'closed', 'Gütersloh Air Base', 51.922104, 8.308732, 236, 'DE', 'DE-NW', 'Gütersloh', 'no', '', '', '', 'RAF Gütersloh, Princess Royal Barracks Gütersloh, EDUO, ETUO, GUT'),
	('EDSC', 'N/A', 'N/A', 53.1472360342741, 9.7970549762249, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDLU', 'small_airport', 'Oelde Bergeler Airfield', 51.830601, 8.17472, 269, 'DE', 'DE-NW', '', 'no', 'EDLU', '', '', ''),
	('ED21', 'N/A', 'N/A', 49.35546521097422, 8.29079657793045, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDZL', 'N/A', 'N/A', 49.774218052625656, 7.520341873168945, 434, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDTV', 'N/A', 'N/A', 50.221781842410564, 7.998534142971039, 396, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGX', 'small_airport', 'Walldorf Airfield', 49.303055, 8.658889, 344, 'DE', 'DE-BW', 'Walldorf', 'no', 'EDGX', '', '', ''),
	('EXHB', 'N/A', 'N/A', 50.028270855546, 9.772648215293884, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNL', 'small_airport', 'Leutkirch-Unterzeil Airfield', 47.858891, 10.014167, 2100, 'DE', 'DE-BW', 'Leutkirch im Allgäu', 'no', 'EDNL', '', '', ''),
	('EDMR', 'heliport', 'Ottobrunn Heliport', 48.04813, 11.65367, 1831, 'DE', 'DE-BY', 'Taufkirchen', 'no', 'EDMR', '', '', ''),
	('EDQE', 'small_airport', 'Burg Feuerstein Airport', 49.794167, 11.133611, 1673, 'DE', 'DE-BY', 'Ebermannstadt', 'no', 'EDQE', 'URD', '', ''),
	('EDTC', 'small_airport', 'Bruchsal Airfield', 49.13484, 8.56412, 0, 'DE', 'DE-BW', '', 'no', 'EDTC', '', '', ''),
	('LFGC', 'small_airport', 'Strasbourg Neuhof Airfield', 48.553263, 7.776604, 456, 'FR', 'FR-GES', 'Strasbourg', 'no', 'LFGC', '', '', 'Strasbourg Polygone'),
	('EDFO', 'small_airport', 'Michelstadt-Odenwald Airfield', 49.678466, 8.971614, 1142, 'DE', 'DE-HE', 'Michelstadt', 'no', 'EDFO', '', '', 'Flugplatz Michelstadt/Odenwald'),
	('EDUH', 'N/A', 'N/A', 49.48582358658314, 8.936682343482971, 473, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDZA', 'N/A', 'N/A', 48.458291441202164, 9.297258406877518, 779, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNS', 'small_airport', 'Schwabmünchen Airfield', 48.179169, 10.702778, 1804, 'DE', 'DE-BY', 'Schwabmünchen', 'no', 'EDNS', '', '', 'Flugplatz Schwabmünchen'),
	('ED44', 'N/A', 'N/A', 48.741675205528736, 10.327742099761963, 542, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDTA', 'N/A', 'N/A', 50.01779615879059, 7.892877459526062, 404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDQL', 'small_airport', 'Lichtenfels Airfield', 50.148609, 11.048056, 853, 'DE', 'DE-BY', 'Lichtenfels', 'no', 'EDQL', '', '', ''),
	('ETSN', 'medium_airport', 'Neuburg Air Base', 48.710999, 11.2115, 1249, 'DE', 'DE-BY', 'Neuburg an der Donau', 'no', 'ETSN', '', '', ''),
	('ED67', 'N/A', 'N/A', 49.7258460894227, 9.506714344024658, 307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED36', 'N/A', 'N/A', 48.74626345932484, 9.86133188009262, 681, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDMQ', 'small_airport', 'Donauwörth-Genderkingen Airfield', 48.703062, 10.852323, 1312, 'DE', 'DE-BY', 'Genderkingen', 'no', 'EDMQ', '', '', 'Rudolf Grenzelbach'),
	('EDSO', 'small_airport', 'Gruibingen-Nortel Airfield', 48.6212, 9.6557, 2318, 'DE', 'DE-BW', 'Salach', 'no', 'EDSO', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EDKE', 'N/A', 'N/A', 49.69695299863815, 11.142669171094894, 332, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDKC', 'N/A', 'N/A', 47.862250953912735, 10.614619553089142, 719, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDVD', 'N/A', 'N/A', 49.92280639708042, 9.157628864049911, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDJQ', 'N/A', 'N/A', 47.83219713717699, 9.302044361829758, 757, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED85', 'N/A', 'N/A', 48.784635812044144, 8.916736096143723, 451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDDF', 'large_airport', 'Frankfurt Airport', 50.030241, 8.561096, 364, 'DE', 'DE-HE', 'Frankfurt am Main', 'yes', 'EDDF', 'FRA', '', 'EDAF, Frankfurt am Main, Frankfurt Main, Rhein-Main Air Base, Zeppelinheim'),
	('EDPT', 'small_airport', 'Gerstetten Airfield', 48.620277, 10.058333, 1975, 'DE', 'DE-BW', 'Gerstetten', 'no', 'EDPT', '', '', ''),
	('EDNU', 'small_airport', 'Thannhausen Airfield', 48.290001, 10.441944, 1611, 'DE', 'DE-BY', 'Thannhausen', 'no', 'EDNU', '', '', ''),
	('EDMH', 'small_airport', 'Gunzenhausen-Reutberg Airfield', 49.112226, 10.782165, 1591, 'DE', 'DE-BY', 'Gunzenhausen', 'no', 'EDMH', '', '', ''),
	('ETSL', 'medium_airport', 'Lechfeld Air Base', 48.185504, 10.8612, 1822, 'DE', 'DE-BY', 'Graben', 'no', 'ETSL', '', '', 'Fliegerhorst Lechfeld'),
	('EDJW', 'N/A', 'N/A', 50.42394161224365, 7.830414175987244, 256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGA', 'small_airport', 'Ailertchen Airfield', 50.593056, 7.945, 1542, 'DE', 'DE-RP', 'Ailertchen', 'no', 'EDGA', '', '', ''),
	('EDSP', 'small_airport', 'Poltringen Airfield', 48.547282, 8.945918, 1315, 'DE', 'DE-BW', 'Ammerbuch', 'no', 'EDSP', '', '', ''),
	('ED94', 'N/A', 'N/A', 49.24732457846403, 8.893947154283524, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGU', 'small_airport', 'Unterschüpf Airfield', 49.515835, 9.669444, 1155, 'DE', 'DE-BW', 'Boxberg', 'no', 'EDGU', '', '', ''),
	('EDQG', 'small_airport', 'Giebelstadt Airport', 49.6480560303, 9.966388702390002, 981, 'DE', 'DE-BY', 'Giebelstadt', 'no', 'EDQG', 'GHF', '', ''),
	('EDHT', 'N/A', 'N/A', 49.02575198560953, 11.018483340740204, 621, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EXGB', 'N/A', 'N/A', 50.28547894209623, 8.869919031858444, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED34', 'N/A', 'N/A', 48.93280237913132, 8.815440237522125, 295, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDMB', 'small_airport', 'Biberach an der Riß Airfield', 48.112359, 9.764013, 1903, 'DE', 'DE-BW', 'Warthausen', 'no', 'EDMB', '', '', 'Biberach an der Riss'),
	('EDJT', 'N/A', 'N/A', 49.176455587148666, 8.135960698127747, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDSL', 'small_airport', 'Blumberg Airfield', 47.843676, 8.564344, 2290, 'DE', 'DE-BW', 'Blumberg', 'no', 'EDSL', '', '', 'Flugplatz Blumberg'),
	('ED31', 'N/A', 'N/A', 47.824024111032486, 7.639796286821365, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDPJ', 'small_airport', 'Laichingen Jakob Laur Airfield', 48.496944, 9.640278, 2434, 'DE', 'DE-BW', 'Laichingen', 'no', 'EDPJ', '', '', ''),
	('EDQX', 'small_airport', 'Hetzleser Berg Airfield', 49.642341, 11.162574, 1765, 'DE', 'DE-BY', 'Neunkirchen am Brand', 'no', 'EDQX', '', '', ''),
	('EDJE', 'N/A', 'N/A', 49.00106359273195, 9.083225727081299, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDSZ', 'small_airport', 'Rottweil-Zepfenhan Airfield', 48.186604, 8.722801, 2444, 'DE', 'DE-BW', 'Rottweil', 'no', 'EDSZ', '', '', ''),
	('EDFL', 'small_airport', 'Gießen-Lützellinden Airfield', 50.544794, 8.592753, 755, 'DE', 'DE-HE', 'Gießen', 'no', 'EDFL', '', '', ''),
	('LFUF', 'N/A', 'N/A', 48.151567094027996, 7.537446767091751, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEL', 'small_airport', 'Langenlonsheim Airfield', 49.908333, 7.907778, 295, 'DE', 'DE-RP', 'Langenlonsheim', 'no', 'EDEL', '', '', ''),
	('EDFJ', 'small_airport', 'Lager Hammelburg Airfield', 50.098517, 9.883901, 1132, 'DE', 'DE-BY', 'Hammelburg', 'no', 'EDFJ', '', '', ''),
	('EDJK', 'N/A', 'N/A', 47.83085569739342, 9.53965499997139, 587, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDKQ', 'N/A', 'N/A', 50.612547509372234, 10.47316923737526, 519, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDTO', 'small_airport', 'Offenburg-Baden Airfield', 48.448134, 7.92356, 509, 'DE', 'DE-BW', 'Offenburg', 'no', 'EDTO', '', '', 'ZPA, Flugplatz Offenburg'),
	('EDSE', 'small_airport', 'Göppingen-Bezgenriet Airfield', 48.658611, 9.624167, 0, 'DE', 'DE-BW', 'Göppingen', 'no', 'EDSE', '', '', 'Flugplatz Göppingen-Bezgenriet'),
	('EDSA', 'small_airport', 'Albstadt-Degerfeld Airfield', 48.249722, 9.0625, 2881, 'DE', 'DE-BW', 'Albstadt', 'no', 'EDSA', '', '', ''),
	('ED32', 'N/A', 'N/A', 50.303958021104336, 10.680102556943893, 301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETOR', 'small_airport', 'Coleman Army Air Field', 49.563599, 8.46339, 309, 'DE', 'DE-BW', '', 'no', 'ETOR', '', '', ''),
	('EDQN', 'small_airport', 'Neustadt/Aisch Airfield', 49.587502, 10.5775, 1198, 'DE', 'DE-BY', 'Neustadt an der Aisch', 'no', 'EDQN', '', '', 'http://www.edqn.de (not working June 2023)'),
	('EXNA', 'N/A', 'N/A', 48.40585861355066, 9.622422605752945, 769, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED69', 'N/A', 'N/A', 49.03554070740938, 9.87056627869606, 387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNT', 'small_airport', 'Treuchtlingen-Bubenheim Airfield', 48.996113, 10.884167, 1345, 'DE', 'DE-BY', 'Treuchtlingen', 'no', 'EDNT', '', '', ''),
	('EDYX', 'N/A', 'N/A', 49.00939553976059, 9.354386776685715, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDST', 'small_airport', 'Hahnweide Airfield', 48.631841, 9.429201, 1146, 'DE', 'DE-BW', 'Kirchheim unter Teck', 'no', 'EDST', '', '', ''),
	('ED28', 'N/A', 'N/A', 48.692107647657394, 11.03347823023796, 410, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDPW', 'small_airport', 'Thalmässing-Waizenhofen Airfield', 49.064167, 11.209167, 1893, 'DE', 'DE-BY', 'Thalmässing', 'no', 'EDPW', '', '', ''),
	('EDSF', 'N/A', 'N/A', 49.48152534663677, 10.859034061431885, 326, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGM', 'small_airport', 'Mosbach-Lohrbach Airfield', 49.398888, 9.123889, 1818, 'DE', 'DE-BW', 'Mosbach', 'no', 'EDGM', '', '', ''),
	('EXBA', 'N/A', 'N/A', 49.85696956515312, 11.223128736019135, 469, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDTQ', 'small_airport', 'Pattonville Airfield', 48.864166, 9.224722, 920, 'DE', 'DE-BW', 'Stuttgart', 'no', 'EDTQ', '', '', 'Christoph 51'),
	('EDQB', 'small_airport', 'Bad Windsheim Airfield', 49.509998, 10.366389, 1220, 'DE', 'DE-BY', 'Bad Windsheim', 'no', 'EDQB', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EDSN', 'small_airport', 'Neuhausen ob Eck Airfield', 47.976665, 8.903889, 2638, 'DE', 'DE-BW', 'Neuhausen ob Eck', 'no', 'EDSN', '', '', 'Flugplatz Neuhausen ob Eck'),
	('EDNH', 'small_airport', 'Bad Wörishofen (Nord) Airfield', 48.016124, 10.615025, 2034, 'DE', 'DE-BY', 'Bad Wörishofen', 'no', 'EDNH', '', '', 'Flugplatz Bad Wörishofen (Nord)'),
	('ED58', 'N/A', 'N/A', 49.655964486300945, 8.47460389137268, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDQA', 'medium_airport', 'Bamberg-Breitenau Airfield', 49.920403, 10.914233, 811, 'DE', 'DE-BY', 'Bamberg', 'no', 'EDQA', '', '', 'Bamberg, Breitenau'),
	('ETHR', 'small_airport', 'Roth Airfield', 49.217499, 11.1002, 1268, 'DE', 'DE-BY', 'Roth', 'no', 'ETSR', '', '', 'ETHR, Sonderlandeplatz Roth, Heeresflugplatz Roth'),
	('EDNJ', 'small_airport', 'Neuburg-Egweil Airfield', 48.781944, 11.215278, 1345, 'DE', 'DE-BY', 'Egweil', 'no', 'EDNJ', '', '', ''),
	('EDNN', 'N/A', 'N/A', 48.385810777544975, 9.076605588197708, 809, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDTS', 'small_airport', 'Schwenningen am Neckar Airfield', 48.065834, 8.571389, 2169, 'DE', 'DE-BW', 'Villingen-Schwenningen', 'no', 'EDTS', '', '', ''),
	('EDIM', 'N/A', 'N/A', 50.24328175932169, 8.396131843328476, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDFW', 'small_airport', 'Würzburg-Schenkenturm Airfield', 49.81778, 9.8975, 991, 'DE', 'DE-BY', 'Würzburg', 'no', 'EDFW', '', '', ''),
	('EDSH', 'small_airport', 'Backnang-Heiningen Airfield', 48.919724, 9.455278, 965, 'DE', 'DE-BW', 'Backnang', 'no', 'EDSH', '', '', 'Flugplatz Backnang-Heiningen'),
	('EDTF', 'small_airport', 'Freiburg im Breisgau Airfield', 48.022778, 7.8325, 801, 'DE', 'DE-BW', 'Freiburg im Breisgau', 'no', 'EDTF', '', '', 'Flugplatz Freiburg'),
	('EDFV', 'small_airport', 'Worms Airfield', 49.606945, 8.368333, 295, 'DE', 'DE-RP', 'Worms', 'no', 'EDFV', '', '', ''),
	('ETID', 'closed', 'Hanau Army Air Field', 50.169201, 8.96159, 368, 'DE', 'DE-HE', 'Erlensee', 'no', '', '', '', 'ETID, Langendiebach Airfield'),
	('EDJC', 'N/A', 'N/A', 49.60985664278269, 10.225609838962555, 299, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EXHA', 'N/A', 'N/A', 49.141596257686615, 8.987566977739334, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED93', 'N/A', 'N/A', 48.692513667047024, 10.09984865784645, 631, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGF', 'small_airport', 'Fulda-Jossa Airfield', 50.475278, 9.443221, 1558, 'DE', 'DE-HE', 'Hosenfeld', 'no', 'EDGF', '', '', ''),
	('ED51', 'N/A', 'N/A', 49.257979318499565, 9.275673776865005, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDFS', 'small_airport', 'Schweinfurt South Airfield', 50.010834, 10.251111, 686, 'DE', 'DE-BY', 'Gochsheim', 'no', 'EDFS', '', '', 'Schweinfurt-Süd'),
	('EDYF', 'N/A', 'N/A', 50.30256226658821, 8.385068625211716, 510, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDRL', 'small_airport', 'Flugplatz Lachen-Speyerdorf', 49.330833, 8.209722, 394, 'DE', 'DE-RP', 'Neustadt an der Weinstraße', 'no', 'EDRL', '', '', ''),
	('EDJS', 'N/A', 'N/A', 49.03837814927101, 10.503251552581787, 461, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDYG', 'N/A', 'N/A', 48.87640591710806, 9.657179564237595, 520, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDQY', 'small_airport', 'Coburg-Steinrücken Airfield', 50.230556, 10.995833, 1184, 'DE', 'DE-BY', 'Coburg', 'no', 'EDQY', '', '', 'Flugplatz Coburg-Steinrücken'),
	('ED90', 'N/A', 'N/A', 49.606161899864674, 7.793575823307037, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDRY', 'small_airport', 'Speyer Airfield', 49.304722, 8.451389, 312, 'DE', 'DE-RP', 'Speyer', 'no', 'EDRY', '', '', ''),
	('EDTM', 'small_airport', 'Mengen-Hohentengen Airfield', 48.05389, 9.372778, 1818, 'DE', 'DE-BW', 'Mengen', 'no', 'EDTM', '', '', ''),
	('ETHA', 'small_airport', 'Altenstadt Army Airfield', 47.8354988098, 10.871199607800001, 2425, 'DE', 'DE-BY', 'Altenstadt', 'no', 'ETHA', '', '', 'Heeresflugplatz Altenstadt'),
	('EDGZ', 'small_airport', 'Weinheim/Bergstraße Airfield', 49.566763, 8.61145, 318, 'DE', 'DE-BW', 'Weinheim', 'no', 'EDGZ', '', '', 'Bergstrasse, Sonderlandeplatz Weinheim/Bergstraße'),
	('EDFD', 'small_airport', 'Bad Neustadt/Saale-Grasberg Airfield', 50.306062, 10.227284, 997, 'DE', 'DE-BY', 'Bad Neustadt an der Saale', 'no', 'EDFD', '', '', ''),
	('EDPM', 'small_airport', 'Donzdorf Airfield', 48.678177, 9.845909, 2274, 'DE', 'DE-BW', 'Donzdorf', 'no', 'EDPM', '', '', 'Flugplatz Donzdorf-Messelberg'),
	('EDND', 'small_airport', 'Dinkelsbühl-Sinbronn Airfield', 49.06508, 10.403516, 1598, 'DE', 'DE-BY', 'Dinkelsbühl', 'no', 'EDND', '', '', ''),
	('EDZP', 'N/A', 'N/A', 50.32159321010113, 8.19420799612999, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDRK', 'small_airport', 'Koblenz-Winningen Airfield', 50.325558, 7.528611, 640, 'DE', 'DE-RP', 'Koblenz', 'no', 'EDRK', '', '', ''),
	('EDSD', 'closed', 'Leipheim Air Base', 48.439999, 10.2356, 1604, 'DE', 'DE-BY', 'Leipheim', 'no', '', '', '', 'EDSD, EDSD'),
	('EDFZ', 'medium_airport', 'Mainz-Finthen Airfield', 49.967499, 8.147222, 760, 'DE', 'DE-RP', 'Mainz', 'no', 'EDFZ', '', '', 'QMZ'),
	('ED86', 'N/A', 'N/A', 48.87434262782335, 8.213113993406296, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDTE', 'N/A', 'N/A', 48.48550010472536, 8.778166472911835, 500, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEF', 'closed', 'Babenhausen Airfield', 49.952499, 8.968056, 928, 'DE', 'DE-HE', 'Babenhausen', 'no', '', '', '', 'EDEF, Flugplatz Babenhausen'),
	('EDQC', 'small_airport', 'Coburg-Brandensteinsebene Airfield', 50.262501, 10.995556, 1490, 'DE', 'DE-BY', 'Coburg', 'no', 'EDQC', '', '', 'Brose, Flugplatz Coburg-Brandensteinsebene, Schuhmacher Packaging'),
	('ED53', 'N/A', 'N/A', 47.955792993307114, 9.029880613088608, 663, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDZC', 'N/A', 'N/A', 49.64893106371164, 9.629841148853302, 284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETIN', 'small_airport', 'Kitzingen Airfield', 49.744293, 10.207313, 689, 'DE', 'DE-BY', 'Kitzingen', 'no', 'EDGY', 'KZG', '', 'ETIN, EDIN, Kitzingen AAF'),
	('EXUA', 'N/A', 'N/A', 48.953603245317936, 10.323660224676132, 513, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDJM', 'N/A', 'N/A', 48.22768986225128, 8.534737229347229, 696, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDTH', 'small_airport', 'Heubach Airfield', 48.802996, 9.927714, 1424, 'DE', 'DE-BW', 'Heubach', 'no', 'EDTH', '', '', 'Flugplatz Heubach'),
	('EDAA', 'N/A', 'N/A', 48.47299128770828, 11.134885400533676, 441, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED35', 'N/A', 'N/A', 49.314716421067715, 9.748373329639435, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED10', 'N/A', 'N/A', 47.95474223792553, 7.956037223339081, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDPR', 'heliport', 'Donauwörth Heliport', 48.707483, 10.769295, 1315, 'DE', 'DE-BY', 'Donauwörth', 'no', 'EDPR', '', '', 'Airbus, Airbus Helicopters');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EDTP', 'small_airport', 'Pfullendorf Airfield', 47.90889, 9.250556, 2303, 'DE', 'DE-BW', 'Pfullendorf', 'no', 'EDTP', '', '', 'Flugplatz Pfullendorf'),
	('EDPH', 'small_airport', 'Schwabach-Heidenberg Airfield', 49.268019, 11.012606, 1181, 'DE', 'DE-BY', 'Büchenbach', 'no', 'EDPH', '', '', ''),
	('EDMN', 'small_airport', 'Mindelheim-Mattsies Airfield', 48.106945, 10.525, 1857, 'DE', 'DE-BY', 'Tussenhausen', 'no', 'EDMN', '', '', 'GrobAircraft'),
	('EDEV', 'N/A', 'N/A', 50.43583922088146, 8.619340807199478, 337, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNE', 'small_airport', 'Erbach Airfield', 48.34222, 9.916111, 1558, 'DE', 'DE-BW', 'Erbach', 'no', 'EDNE', '', '', ''),
	('EDQR', 'small_airport', 'Ebern-Sendelbach Airfield', 50.039444, 10.822778, 827, 'DE', 'DE-BY', 'Ebern', 'no', 'EDQR', '', '', ''),
	('EDNQ', 'small_airport', 'Bopfingen Airfield', 48.848057, 10.333889, 2028, 'DE', 'DE-BW', 'Bopfingen', 'no', 'EDNQ', '', '', ''),
	('EDEE', 'N/A', 'N/A', 49.831922091543674, 9.536964297294617, 348, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDYR', 'N/A', 'N/A', 48.28436426818371, 9.673522710800171, 553, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDFP', 'small_airport', 'Ober-Mörlen Airfield', 50.3622, 8.71164, 822, 'DE', 'DE-HE', 'Ober-Mörlen', 'no', 'EDFP', '', '', ''),
	('EDUD', 'N/A', 'N/A', 49.83992714434862, 8.850607126951218, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDZV', 'N/A', 'N/A', 49.230793453752995, 9.420327544212341, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEK', 'N/A', 'N/A', 50.52556749433279, 8.393214493989944, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDPY', 'small_airport', 'Ellwangen Airfield', 48.961483, 10.234494, 1650, 'DE', 'DE-BW', 'Ellwangen an der Jagst', 'no', 'EDPY', '', '', 'Erpfental'),
	('EDRF', 'small_airport', 'Bad Dürkheim Airfield', 49.4728, 8.195737, 351, 'DE', 'DE-RP', 'Bad Dürkheim', 'no', 'EDRF', '', '', ''),
	('EDFX', 'small_airport', 'Hockenheim Airfield', 49.325279, 8.528611, 315, 'DE', 'DE-BW', 'Hockenheim', 'no', 'EDFX', '', '', ''),
	('EDTG', 'small_airport', 'Bremgarten Airfield', 47.903186, 7.617416, 696, 'DE', 'DE-BW', 'Eschbach', 'no', 'EDTG', '', '', 'Flugplatz Bremgarten, Sonderlandeplatz Bremgarten'),
	('EDUI', 'N/A', 'N/A', 50.534832179546356, 9.145609885454178, 506, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEP', 'small_airport', 'Heppenheim Glider Field', 49.621944, 8.624444, 361, 'DE', 'DE-HE', 'Heppenheim', 'no', 'EDEP', '', '', ''),
	('ED80', 'N/A', 'N/A', 48.531526140868664, 8.675477206707, 593, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED42', 'N/A', 'N/A', 49.34428945183754, 9.400983452796936, 342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNO', 'small_airport', 'Nördlingen Airfield', 48.870556, 10.505, 1385, 'DE', 'DE-BY', 'Nördlingen', 'no', 'EDNO', '', '', ''),
	('EDFM', 'medium_airport', 'Mannheim-City Airport', 49.473057, 8.514167, 308, 'DE', 'DE-BW', 'Mannheim', 'yes', 'EDFM', 'MHG', '', 'Mannheim'),
	('EDUK', 'N/A', 'N/A', 49.71937693655491, 9.082316905260086, 460, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDDD', 'N/A', 'N/A', 49.83633063733578, 11.046268343925476, 521, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDJV', 'N/A', 'N/A', 50.19811000674963, 7.888944000005722, 363, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDTL', 'medium_airport', 'Lahr Airport', 48.369301, 7.82772, 511, 'DE', 'DE-BW', 'Lahr/Schwarzwald', 'no', 'EDTL', 'LHA', '', 'Black Forest Airport'),
	('ED61', 'N/A', 'N/A', 49.1236237809062, 9.181454926729202, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDRW', 'small_airport', 'Dierdorf-Wienau Airfield', 50.566113, 7.653333, 951, 'DE', 'DE-RP', 'Dierdorf', 'no', 'EDRW', '', '', ''),
	('EDZT', 'N/A', 'N/A', 48.762292340397835, 9.334127604961395, 485, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDFU', 'small_airport', 'Mainbullau Airfield', 49.695042, 9.18236, 1503, 'DE', 'DE-BY', 'Miltenberg', 'no', 'EDFU', '', '', ''),
	('EDTW', 'small_airport', 'Winzeln-Schramberg Airfield', 48.279167, 8.428333, 2310, 'DE', 'DE-BW', 'Schramberg', 'no', 'EDTW', '', '', 'Flugplatz Winzeln-Schramberg'),
	('EDUR', 'N/A', 'N/A', 50.50164554268122, 9.222508370876312, 663, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGR', 'small_airport', 'Gießen-Reiskirchen Airfield', 50.566376, 8.869164, 702, 'DE', 'DE-HE', 'Reiskirchen', 'no', 'EDGR', '', '', ''),
	('EDQF', 'small_airport', 'Ansbach-Petersdorf Airfield', 49.361111, 10.669444, 1371, 'DE', 'DE-BY', 'Weihenzell', 'no', 'EDQF', '', '', ''),
	('EDTD', 'medium_airport', 'Donaueschingen-Villingen Airfield', 47.973331, 8.522222, 2231, 'DE', 'DE-BW', 'Donaueschingen', 'no', 'EDTD', '', '', 'Flugplatz Donaueschingen-Villingen'),
	('EDJA', 'medium_airport', 'Memmingen Allgau Airport', 47.988800048799995, 10.2395000458, 2077, 'DE', 'DE-BY', 'Memmingen', 'yes', 'EDJA', 'FMM', '', ''),
	('EDZS', 'N/A', 'N/A', 49.09388110041618, 7.793932110071182, 294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEJ', 'N/A', 'N/A', 50.59965346008539, 8.443877846002579, 224, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDFB', 'small_airport', 'Reichelsheim Airfield', 50.337973, 8.878984, 397, 'DE', 'DE-HE', 'Reichelsheim', 'no', 'EDFB', '', '', ''),
	('EDKS', 'N/A', 'N/A', 49.97080150991678, 9.79049563407898, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDMG', 'small_airport', 'Günzburg-Donauried Airfield', 48.486668, 10.283333, 1457, 'DE', 'DE-BY', 'Günzburg', 'no', 'EDMG', '', '', ''),
	('EDDN', 'large_airport', 'Nuremberg Airport', 49.498699, 11.078056, 1046, 'DE', 'DE-BY', 'Nuremberg', 'yes', 'EDDN', 'NUE', '', 'Nürnberg'),
	('EDYT', 'N/A', 'N/A', 49.585047885775566, 8.139073848724365, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEH', 'small_airport', 'Herrenteich Airfield', 49.345001, 8.487778, 308, 'DE', 'DE-BW', 'Hockenheim', 'no', 'EDEH', '', '', ''),
	('LFST', 'medium_airport', 'Strasbourg Airport', 48.538299560546875, 7.628230094909668, 505, 'FR', 'FR-GES', 'Strasbourg', 'yes', 'LFST', 'SXB', '', 'BA 124'),
	('ED63', 'N/A', 'N/A', 48.95647756755352, 9.19151857495308, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNG', 'small_airport', 'Giengen/Brenz Airfield', 48.634253, 10.216484, 1696, 'DE', 'DE-BW', 'Giengen an der Brenz', 'no', 'EDNG', '', '', ''),
	('EDZX', 'N/A', 'N/A', 49.64309994131327, 7.684231549501419, 422, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDSW', 'small_airport', 'Altdorf-Wallburg Airfield', 48.269883, 7.841942, 623, 'DE', 'DE-BW', 'Kippenheim', 'no', 'EDSW', '', '', 'Flugplatz Altdorf-Wallburg'),
	('ETAR', 'medium_airport', 'Ramstein Air Base', 49.436901, 7.60028, 776, 'DE', 'DE-RP', 'Ramstein-Miesenbach', 'no', 'ETAR', 'RMS', '', 'Landstuhl Air Base');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ED95', 'N/A', 'N/A', 48.34483232349157, 8.636601269245148, 539, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED13', 'N/A', 'N/A', 49.08606380224228, 10.635046362876892, 476, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED70', 'N/A', 'N/A', 48.40926803648472, 9.442314058542252, 725, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED92', 'N/A', 'N/A', 49.35148615390062, 10.073712319135666, 465, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDRO', 'small_airport', 'Schweighofen Airfield', 49.031884, 7.990508, 492, 'DE', 'DE-RP', 'Schweighofen', 'no', 'EDRO', '', '', ''),
	('EDDS', 'large_airport', 'Stuttgart Airport', 48.689899, 9.22196, 1276, 'DE', 'DE-BW', 'Stuttgart', 'yes', 'EDDS', 'STR', '', ''),
	('ED23', 'N/A', 'N/A', 47.85167869180441, 8.371257483959198, 737, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED83', 'N/A', 'N/A', 48.28482862561941, 9.465529471635818, 705, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDSV', 'N/A', 'N/A', 48.61516680568457, 8.755666762590408, 598, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED38', 'N/A', 'N/A', 49.23769846558571, 8.679293543100357, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDTB', 'small_airport', 'Baden-Oos Airfield', 48.791943, 8.185833, 404, 'DE', 'DE-BW', 'Baden-Baden', 'no', 'EDTB', '', '', 'Flugplatz Baden-Oos'),
	('EDYM', 'N/A', 'N/A', 49.08618450164795, 10.125774443149567, 440, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDIF', 'N/A', 'N/A', 50.43200131505728, 9.193765819072723, 365, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETHN', 'medium_airport', 'Niederstetten Army Air Base', 49.39162, 9.956747, 1536, 'DE', 'DE-BW', 'Niederstetten', 'no', 'ETHN', '', '', ''),
	('EDSG', 'small_airport', 'Grabenstetten Airfield', 48.53611, 9.436944, 2329, 'DE', 'DE-BW', 'Grabenstetten', 'no', 'EDSG', '', '', 'Flugplatz Grabenstetten'),
	('EDTU', 'small_airport', 'Bad Saulgau Airfield', 48.029446, 9.507222, 1903, 'DE', 'DE-BW', 'Bad Saulgau', 'no', 'EDTU', '', '', 'Flugplatz Bad Saulgau, Flugplatz Saulgau'),
	('EDRS', 'small_airport', 'Bad Sobernheim-Domberg Airfield', 49.790833, 7.666111, 810, 'DE', 'DE-RP', 'Bad Sobernheim', 'no', 'EDRS', '', '', 'Flugplatz Bad Sobernheim-Domberg'),
	('EDYN', 'N/A', 'N/A', 49.412120170891285, 8.350144922733307, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDYY', 'N/A', 'N/A', 48.936206102371216, 8.978657126426697, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED47', 'N/A', 'N/A', 48.51325895637274, 9.333141893148422, 797, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEW', 'small_airport', 'Walldürn Airfield', 49.581669, 9.402222, 1312, 'DE', 'DE-BW', 'Walldürn', 'no', 'EDEW', '', '', ''),
	('ED07', 'N/A', 'N/A', 48.901490941643715, 8.328537046909332, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDSB', 'medium_airport', 'Karlsruhe Baden-Baden Airport', 48.7794, 8.0805, 408, 'DE', 'DE-BW', 'Rheinmünster', 'yes', 'EDSB', 'FKB', '', 'Baden Airpark'),
	('EDGH', 'small_airport', 'Hettstadt Airfield', 49.798611, 9.836667, 1050, 'DE', 'DE-BY', 'Hettstadt', 'no', 'EDGH', '', '', ''),
	('ED03', 'N/A', 'N/A', 49.02429956942797, 10.66014289855957, 479, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGI', 'small_airport', 'Ingelfingen-Bühlhof Airfield', 49.321667, 9.663056, 1375, 'DE', 'DE-BW', 'Ingelfingen', 'no', 'EDGI', '', '', 'Sonderlandeplatz Ingelfingen-Bühlhof'),
	('EDMI', 'small_airport', 'Illertissen Airfield', 48.235, 10.1377, 1680, 'DE', 'DE-BY', 'Illertissen', 'no', 'EDMI', '', '', ''),
	('EDIJ', 'N/A', 'N/A', 50.53616188466549, 9.660564959049225, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDRI', 'small_airport', 'Linkenheim Airfield', 49.141666, 8.394722, 325, 'DE', 'DE-BW', 'Linkenheim', 'no', 'EDRI', '', '', ''),
	('ED16', 'N/A', 'N/A', 49.24268335103989, 9.316637814044952, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EXOB', 'N/A', 'N/A', 49.03187748044729, 11.14118367433548, 550, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z11L', 'N/A', 'N/A', 48.438320718705654, 10.2312670648098, 477, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDET', 'N/A', 'N/A', 50.604243054986, 8.728629648685455, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED43', 'N/A', 'N/A', 48.50409518927336, 8.477839976549149, 699, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDSY', 'N/A', 'N/A', 50.49013953655958, 9.847877025604248, 427, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED46', 'N/A', 'N/A', 49.83820114284754, 10.77885165810585, 284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDMC', 'small_airport', 'Blaubeuren Airfield', 48.419724, 9.798333, 2218, 'DE', 'DE-BW', 'Blaubeuren', 'no', 'EDMC', '', '', ''),
	('EDZN', 'N/A', 'N/A', 49.56166673451662, 7.579517662525177, 389, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDPB', 'small_airport', 'Bad Ditzenbach Airfield', 48.562778, 9.728889, 2362, 'DE', 'DE-BW', 'Bad Ditzenbach', 'no', 'EDPB', '', '', ''),
	('EDQT', 'small_airport', 'Haßfurt-Schweinfurt Airfield', 50.0182, 10.529165, 719, 'DE', 'DE-BY', 'Haßfurt', 'no', 'EDQT', '', '', 'Flugplatz Haßfurt-Schweinfurt, Hassfurt'),
	('EDPN', 'N/A', 'N/A', 47.847766019403934, 11.061097383499146, 588, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDFC', 'small_airport', 'Aschaffenburg Airfield', 49.938806, 9.062777, 410, 'DE', 'DE-BY', 'Großostheim', 'no', 'EDFC', '', '', ''),
	('EDGP', 'small_airport', 'Oppenheim Airfield', 49.841667, 8.376667, 279, 'DE', 'DE-RP', 'Oppenheim', 'no', 'EDGP', '', '', ''),
	('LFSH', 'small_airport', 'Haguenau Airfield', 48.794821, 7.816129, 491, 'FR', 'FR-GES', 'Haguenau', 'no', 'LFSH', '', '', ''),
	('EDUN', 'N/A', 'N/A', 47.9929731041193, 10.843729376792908, 633, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDFG', 'small_airport', 'Gelnhausen Airfield', 50.196738, 9.167061, 446, 'DE', 'DE-HE', 'Gelnhausen', 'no', 'EDFG', '', '', 'Flugplatz Gelnhausen, Verkehrslandeplatz Gelnhausen'),
	('EDTJ', 'N/A', 'N/A', 50.176990292966366, 9.066752046346664, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETOU', 'medium_airport', 'Wiesbaden Army Airfield', 50.049800872802734, 8.325400352478027, 461, 'DE', 'DE-HE', 'Wiesbaden', 'no', 'ETOU', 'WIE', '', ''),
	('EDUJ', 'N/A', 'N/A', 50.4053857550025, 8.988090455532074, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED01', 'N/A', 'N/A', 49.442429803311825, 9.362487494945526, 339, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETIE', 'N/A', 'N/A', 49.393043629825115, 8.654195666313171, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EDYD', 'N/A', 'N/A', 50.57595480233431, 8.53545293211937, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDER', 'small_airport', 'Wasserkuppe Airfield', 50.498807, 9.954166, 2956, 'DE', 'DE-HE', 'Gersfeld (Rhön)', 'no', 'EDER', '', '', ''),
	('ED48', 'N/A', 'N/A', 48.83834268897772, 8.543093204498291, 475, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED81', 'N/A', 'N/A', 48.14450819045305, 9.46656882762909, 529, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEU', 'N/A', 'N/A', 49.69302725046873, 8.581427335739136, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDSS', 'N/A', 'N/A', 50.01991979777813, 8.983544558286667, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDFK', 'small_airport', 'Bad Kissingen Airfield', 50.210556, 10.068889, 653, 'DE', 'DE-BY', 'Bad Kissingen', 'no', 'EDFK', '', '', ''),
	('EDQH', 'small_airport', 'Herzogenaurach Airfield', 49.582708, 10.878339, 1070, 'DE', 'DE-BY', 'Herzogenaurach', 'no', 'EDQH', '', '', ''),
	('EDFY', 'small_airport', 'Limburg-Elz Airfield', 50.426945, 8.011111, 699, 'DE', 'DE-HE', 'Limburg an der Lahn', 'no', 'EDFY', '', '', ''),
	('EDJU', 'N/A', 'N/A', 48.107930570840836, 8.762791156768799, 946, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EXOC', 'N/A', 'N/A', 49.18400164693594, 9.558432251214981, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED19', 'N/A', 'N/A', 49.01006240397692, 9.638567715883255, 488, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDFE', 'medium_airport', 'Frankfurt-Egelsbach Airport', 49.96, 8.643043, 384, 'DE', 'DE-HE', 'Egelsbach', 'no', 'EDFE', '', '', ''),
	('EDPV', 'N/A', 'N/A', 50.448365807533264, 10.252669304609299, 386, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDPE', 'small_airport', 'Eichstätt Airfield', 48.876945, 11.182222, 1713, 'DE', 'DE-BY', 'Eichstätt', 'no', 'EDPE', '', '', 'Flugplatz Eichstätt'),
	('EDMJ', 'small_airport', 'Jesenwang Airfield', 48.174366, 11.125363, 1860, 'DE', 'DE-BY', 'Jesenwang', 'no', 'EDMJ', '', '', ''),
	('EDES', 'N/A', 'N/A', 49.8536067456007, 8.585444390773773, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDSK', 'small_airport', 'Kehl-Sundheim Airfield', 48.561111, 7.843333, 453, 'DE', 'DE-BW', 'Kehl', 'no', 'EDSK', '', '', ''),
	('EDTY', 'medium_airport', 'Adolf Würth Airport', 49.118332, 9.783889, 1299, 'DE', 'DE-BW', 'Schwäbisch Hall', 'no', 'EDTY', '', '', ''),
	('EDZD', 'N/A', 'N/A', 50.26923380792141, 7.852279096841812, 298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDUG', 'N/A', 'N/A', 50.532221384346485, 8.73331144452095, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED62', 'N/A', 'N/A', 49.45524036884308, 9.104677140712738, 517, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED41', 'N/A', 'N/A', 48.637160919606686, 8.813258707523346, 577, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDMT', 'small_airport', 'Tannheim Airfield', 48.009998, 10.098611, 1903, 'DE', 'DE-BW', 'Tannheim', 'no', 'EDMT', '', '', ''),
	('EDJJ', 'N/A', 'N/A', 47.915122993290424, 9.710034728050232, 575, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED45', 'N/A', 'N/A', 48.55695314705372, 9.820940494537354, 679, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNW', 'small_airport', 'Weißenhorn Airfield', 48.289444, 10.140278, 1644, 'DE', 'DE-BY', 'Weißenhorn', 'no', 'EDNW', '', '', 'Flugplatz Weißerhorn'),
	('ED08', 'N/A', 'N/A', 49.033813029527664, 9.591221362352371, 493, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDTN', 'small_airport', 'Nabern-Teck Airfield', 48.612778, 9.477222, 1214, 'DE', 'DE-BW', 'Kirchheim unter Teck', 'no', 'EDTN', '', '', ''),
	('EDEZ', 'N/A', 'N/A', 50.231725461781025, 8.076948076486588, 298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGJ', 'small_airport', 'Ochsenfurt Airfield', 49.673611, 10.071389, 814, 'DE', 'DE-BY', 'Ochsenfurt', 'no', 'EDGJ', '', '', ''),
	('ED22', 'N/A', 'N/A', 48.04445508867502, 9.031735807657242, 830, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDPA', 'small_airport', 'Aalen Heidenheim Elchingen Airfield', 48.777779, 10.264722, 1916, 'DE', 'DE-BW', 'Neresheim', 'no', 'EDPA', '', '', 'Flugplatz Aalen-Elchingen, Verkehrslandeplatz Aalen-Heidenheim/Elchingen'),
	('EDPU', 'small_airport', 'Bartholomä-Amalienhof Airfield', 48.746666, 10.005, 2092, 'DE', 'DE-BW', 'Bartholomä', 'no', 'EDPU', '', '', 'Akaflieg, Akaflieg Stuttgart'),
	('EDMA', 'medium_airport', 'Augsburg Airport', 48.425278, 10.931667, 1516, 'DE', 'DE-BY', 'Augsburg', 'no', 'EDMA', 'AGB', '', ''),
	('EDFR', 'small_airport', 'Rothenburg ob der Tauber Airfield', 49.388332, 10.218056, 1309, 'DE', 'DE-BY', 'Rothenburg ob der Tauber', 'no', 'EDFR', '', '', 'Rothenburg ob d. Tauber, Rothenburg o d T, Rothenburg oT'),
	('EDTK', 'closed', 'Karlsruhe-Forchheim Airport', 48.9843, 8.3355, 381, 'DE', 'DE-BW', 'Rheinstetten', 'no', '', '', '', 'EDTK, QCA'),
	('ETHL', 'medium_airport', 'Laupheim Air Base', 48.220299, 9.91002, 1766, 'DE', 'DE-BW', 'Laupheim', 'no', 'ETHL', '', '', 'Militärflugplatz Laupheim'),
	('ED52', 'N/A', 'N/A', 49.351063035428524, 9.120907634496689, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDFA', 'small_airport', 'Anspach-Taunus Airfield', 50.288334, 8.533889, 1102, 'DE', 'DE-HE', 'Wehrheim', 'no', 'EDFA', '', '', 'Flugplatz Anspach/Taunus'),
	('ED14', 'N/A', 'N/A', 50.60931779444218, 10.086154639720917, 624, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDMU', 'small_airport', 'Gundelfingen Airfield', 48.569343, 10.358541, 1447, 'DE', 'DE-BY', 'Gundelfingen an der Donau', 'no', 'EDMU', '', '', ''),
	('ETSA', 'closed', 'Landsberg am Lech Air Base', 48.070599, 10.906, 2044, 'DE', 'DE-BY', 'Penzing', 'no', '', '', '', 'ETSA'),
	('ED73', 'N/A', 'N/A', 49.29082162678242, 9.173097610473633, 277, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQM', 'N/A', 'N/A', 46.26528415828943, 10.601109266281128, 1890, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZO', 'small_airport', 'Luzern-Beromünster Airfield', 47.188993, 8.204556, 2146, 'CH', 'CH-LU', 'Neudorf', 'no', 'LSZO', '', '', ''),
	('LIMA', 'medium_airport', 'Torino-Aeritalia Airport', 45.086399, 7.60337, 943, 'IT', 'IT-21', 'Torino (TO)', 'no', 'LIMA', '', 'TO12', 'Torino Aero Club'),
	('LIOF', 'N/A', 'N/A', 45.39240550249815, 10.12801319360733, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINC', 'N/A', 'N/A', 45.32165788114071, 8.000199794769287, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJJ', 'N/A', 'N/A', 45.29263839125633, 10.445156246423721, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSPM', 'small_airport', 'Ambri Airport', 46.512501, 8.68978, 3241, 'CH', 'CH-TI', 'Quinto', 'no', 'LSPM', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LIHI', 'N/A', 'N/A', 45.000762082636356, 9.582165330648422, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRT', 'N/A', 'N/A', 45.552326180040836, 9.506236016750336, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPX', 'large_airport', 'Verona Villafranca Valerio Catullo Airport', 45.394955, 10.887303, 239, 'IT', 'IT-34', 'Caselle (VR)', 'yes', 'LIPX', 'VRN', 'VR10', 'Valerio Catullo, Villafranca International Airport, Valerio Catullo Airport, Villafranca Airport'),
	('EDKY', 'N/A', 'N/A', 47.75336131453514, 9.865692257881165, 639, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBS', 'N/A', 'N/A', 45.311279743909836, 7.665266543626785, 296, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQD', 'N/A', 'N/A', 45.746458768844604, 8.041240274906158, 1634, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPN', 'small_airport', 'Verona-Boscomantico Airfield', 45.472, 10.9279, 286, 'IT', 'IT-34', 'Verona', 'no', 'LIPN', '', 'VR11', 'Skydive Verona'),
	('LFSB', 'large_airport', 'EuroAirport Basel-Mulhouse-Freiburg', 47.60068, 7.521117, 885, 'FR', 'FR-GES', 'Saint-Louis', 'yes', 'LFSB', 'BSL', '', 'MLH, EAP, LSZM, Bâle, Basle'),
	('LILE', 'medium_airport', 'Biella-Cerrione Airfield', 45.4953, 8.10278, 920, 'IT', 'IT-21', 'Cerrione (BI)', 'no', 'LILE', '', 'BI03', ''),
	('LSZT', 'small_airport', 'Lommis Airfield', 47.524399, 9.00306, 1539, 'CH', 'CH-TG', 'Lommis', 'no', 'LSZT', '', '', 'Flugplatz Lommis'),
	('LIAM', 'N/A', 'N/A', 45.293868854641914, 9.91928055882454, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZN', 'small_airport', 'Hausen am Albis Airfield', 47.238602, 8.51556, 1928, 'CH', 'CH-ZH', 'Hausen am Albis', 'no', 'LSZN', '', '', 'Flugfeld Hausen am Albis, Flugplatz Hausen am Albis'),
	('EDDO', 'N/A', 'N/A', 47.5543263182044, 10.272915065288544, 726, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LILI', 'medium_airport', 'Vercelli Airfield', 45.309935, 8.417931, 417, 'IT', 'IT-21', 'Vercelli (VC)', 'no', 'LILI', '', 'VC04', 'Carlo del Prete'),
	('LICV', 'N/A', 'N/A', 45.49627672880888, 8.525609225034714, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITB', 'N/A', 'N/A', 45.493395030498505, 10.121617019176483, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQU', 'N/A', 'N/A', 45.77835191041231, 8.268668800592422, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDTR', 'small_airport', 'Herten-Rheinfelden Airfield', 47.56028, 7.748333, 925, 'DE', 'DE-BW', 'Rheinfelden (Baden)', 'no', 'EDTR', '', '', ''),
	('LIIZ', 'N/A', 'N/A', 45.51590848714113, 10.465043485164642, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDQ', 'N/A', 'N/A', 45.38043849170208, 9.535105526447296, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED37', 'N/A', 'N/A', 47.633274123072624, 7.940982431173325, 875, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINO', 'N/A', 'N/A', 46.23485550284386, 9.432601779699326, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYX', 'N/A', 'N/A', 45.33903021365404, 10.48057571053505, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXL', 'N/A', 'N/A', 45.04661276936531, 7.536655068397522, 305, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOJ', 'N/A', 'N/A', 45.27572840452194, 9.482970535755157, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHN', 'N/A', 'N/A', 45.2615686878562, 11.194153726100922, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZA', 'medium_airport', 'Lugano Airport', 46.004299, 8.91058, 915, 'CH', 'CH-TI', 'Agno', 'yes', 'LSZA', 'LUG', '', ''),
	('LSZC', 'small_airport', 'Buochs Airport', 46.974444, 8.396944, 1475, 'CH', 'CH-NW', 'Buochs', 'no', 'LSZC', 'BXO', '', 'LSMU'),
	('LICW', 'N/A', 'N/A', 45.54794613271952, 8.161429166793823, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZX', 'small_airport', 'Schänis Airfield', 47.1717, 9.03944, 1365, 'CH', 'CH-SG', 'Schänis', 'no', 'LSZX', '', '', ''),
	('LIAI', 'N/A', 'N/A', 45.440799593925476, 7.937228232622147, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEW', 'N/A', 'N/A', 45.335205383598804, 8.823917359113693, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSML', 'small_airport', 'Lodrino Air Base', 46.295898, 8.99213, 850, 'CH', 'CH-TI', 'Lodrino', 'no', 'LSPR', '', '', 'LSML'),
	('EDGD', 'N/A', 'N/A', 47.592078410089016, 10.705080181360245, 804, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICY', 'N/A', 'N/A', 45.128483176231384, 9.363200515508652, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINZ', 'N/A', 'N/A', 45.601190999150276, 9.82114389538765, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDMK', 'small_airport', 'Kempten-Durach Airfield', 47.691944, 10.338056, 2339, 'DE', 'DE-BY', 'Durach', 'no', 'EDMK', '', '', ''),
	('LILN', 'medium_airport', 'Varese-Venegono Airport', 45.742199, 8.888233, 1100, 'IT', 'IT-25', 'Venegono Superiore (VA)', 'no', 'LILN', '', 'VA02', 'QVA'),
	('LIXW', 'N/A', 'N/A', 45.56587636470795, 9.109533280134201, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIO', 'N/A', 'N/A', 45.25129683315754, 11.037673652172089, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPL', 'medium_airport', 'Ghedi Air Base', 45.432551, 10.268612, 333, 'IT', 'IT-25', 'Ghedi (BS)', 'no', 'LIPL', '', 'BS12', 'A Fusco'),
	('LIFN', 'N/A', 'N/A', 45.50653450191021, 9.668389409780502, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEV', 'N/A', 'N/A', 45.483411848545074, 9.952906519174576, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIZI', 'N/A', 'N/A', 45.35999435931444, 10.656988620758057, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZE', 'small_airport', 'Bad Ragaz Airfield', 47.014904, 9.481815, 1617, 'CH', 'CH-SG', 'Bad Ragaz', 'no', 'LSZE', '', '', ''),
	('LSZH', 'large_airport', 'Zürich Airport', 47.458056, 8.548056, 1417, 'CH', 'CH-ZH', 'Zurich', 'yes', 'LSZH', 'ZRH', '', ''),
	('LIME', 'large_airport', 'Milan Bergamo Airport / Antonio Locatelli Air Base', 45.670725, 9.709223, 782, 'IT', 'IT-25', 'Orio al Serio (BG)', 'yes', 'LIME', 'BGY', 'BG01', 'Bergamo Orio al Serio Airport, Il Caravaggio International Airport'),
	('LIVK', 'N/A', 'N/A', 45.187238305807114, 9.042561203241348, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LILC', 'small_airport', 'Calcinate del Pesce Airfield', 45.8097, 8.76806, 797, 'IT', 'IT-25', 'Varese (VA)', 'no', 'LILC', '', 'VA01', ''),
	('LIZC', 'N/A', 'N/A', 45.01660656183958, 10.099354684352875, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVA', 'N/A', 'N/A', 45.16338977962732, 8.122605979442596, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LSPU', 'small_airport', 'Münster Airfield', 46.480301, 8.26333, 4380, 'CH', 'CH-VS', 'Münster', 'no', 'LSPU', '', '', 'Muenster'),
	('LIWK', 'N/A', 'N/A', 45.09875323623419, 9.73564937710762, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJI', 'N/A', 'N/A', 45.17082419246435, 10.929072350263596, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBO', 'N/A', 'N/A', 45.70852596312761, 8.59566405415535, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXJ', 'N/A', 'N/A', 45.5009538307786, 10.789041817188263, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXI', 'N/A', 'N/A', 45.317472629249096, 10.708467364311218, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LILK', 'N/A', 'N/A', 45.43624822050333, 8.577358424663544, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMC', 'large_airport', 'Milan Malpensa International Airport', 45.6306, 8.72811, 768, 'IT', 'IT-25', 'Ferno (VA)', 'yes', 'LIMC', 'MXP', 'MI12', 'MIL'),
	('LIMN', 'medium_airport', 'Cameri Air Base [MIL]', 45.529598, 8.66922, 586, 'IT', 'IT-21', 'Cameri (NO)', 'no', 'LIMN', '', 'NO08', 'Silvio E Natale Palli'),
	('LIVL', 'N/A', 'N/A', 45.44687312096357, 8.190740793943405, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSPV', 'small_airport', 'Wangen-Lachen Airfield', 47.204835, 8.867346, 1335, 'CH', 'CH-SZ', 'Wangen', 'no', 'LSPV', '', '', 'Flugplatz Wangen-Lachen'),
	('LSMD', 'medium_airport', 'Dübendorf Air Base', 47.398602, 8.64823, 1470, 'CH', 'CH-ZH', 'Zurich', 'no', 'LSMD', '', '', ''),
	('LSMC', 'N/A', 'N/A', 46.50219462811947, 8.30008640885353, 1348, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDT', 'medium_airport', 'Trento-Mattarello Airport', 46.0214, 11.1242, 610, 'IT', 'IT-32', 'Trento (TN)', 'no', 'LIDT', '', 'TN01', 'Gianni Caproni Trento'),
	('LSPL', 'small_airport', 'Langenthal Airfield', 47.18281, 7.741191, 1575, 'CH', 'CH-BE', 'Bleienbach', 'no', 'LSPL', '', '', ''),
	('LIJM', 'N/A', 'N/A', 45.11218339204788, 10.70561170578003, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSPH', 'small_airport', 'Winterthur Airfield', 47.514999, 8.77194, 1506, 'CH', 'CH-ZH', 'Winterthur', 'no', 'LSPH', '', '', 'Flugplatz Winterthur, Flugplatz Hegmatten'),
	('LSMI', 'closed', 'Interlaken Air Base', 46.676601, 7.87908, 0, 'CH', 'CH-BE', 'Interlaken', 'no', '', '', '', 'LSMI, ZIN'),
	('LIYC', 'N/A', 'N/A', 45.288400165736675, 8.799930363893509, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIZE', 'N/A', 'N/A', 45.218581929802895, 8.657372742891312, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWA', 'N/A', 'N/A', 45.17241407185793, 10.858321487903595, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUZ', 'N/A', 'N/A', 45.37877753376961, 10.037826597690582, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOIH', 'small_airport', 'Hohenems-Dornbirn Airfield', 47.384477, 9.699776, 1352, 'AT', 'AT-8', 'Hohenems', 'no', 'LOIH', 'HOH', '', ''),
	('LIVV', 'small_airport', 'Moncucco Airfield', 45.344613, 7.919072, 781, 'IT', 'IT-21', 'Cascina Moncucco (TO)', 'no', 'LIVV', '', 'TO03', 'Aviosuperficie Moncucco'),
	('LIXO', 'N/A', 'N/A', 45.152756832540035, 8.655223399400711, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAZ', 'N/A', 'N/A', 45.461229644715786, 9.576821029186249, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZR', 'medium_airport', 'Sankt Gallen Altenrhein Airport', 47.485001, 9.56077, 1306, 'CH', 'CH-SG', 'St. Gallen', 'yes', 'LSZR', 'ACH', '', ''),
	('LIGV', 'N/A', 'N/A', 45.3289732709527, 8.797744363546371, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQT', 'N/A', 'N/A', 45.05787335336208, 8.068189322948456, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGF', 'N/A', 'N/A', 45.217882208526134, 9.467273354530334, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVT', 'N/A', 'N/A', 45.34937549382448, 8.646217435598373, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOIR', 'small_airport', 'Reutte-Höfen Airfield', 47.470897, 10.6913, 2806, 'AT', 'AT-7', 'Reutte', 'no', 'LOIR', '', '', ''),
	('LIEL', 'N/A', 'N/A', 45.26318907737732, 10.58357834815979, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZF', 'small_airport', 'Birrfeld Airfield', 47.4436, 8.23361, 1300, 'CH', 'CH-AG', 'Lupfig', 'no', 'LSZF', '', '', ''),
	('EDNY', 'medium_airport', 'Friedrichshafen Airport', 47.671299, 9.51149, 1367, 'DE', 'DE-BW', 'Friedrichshafen', 'yes', 'EDNY', 'FDH', '', 'Bodensee Airport Friedrichshafen'),
	('LIMK', 'N/A', 'N/A', 45.06724130362272, 8.836884051561356, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIF', 'N/A', 'N/A', 45.89952740818262, 8.72319683432579, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSPG', 'small_airport', 'Kägiswil Airfield', 46.908298, 8.25417, 1525, 'CH', 'CH-OW', 'Sarnen', 'no', 'LSPG', '', '', 'Flugplatz Kägiswil'),
	('LILB', 'small_airport', 'Alzate Brianza Airfield', 45.769644, 9.162333, 1260, 'IT', 'IT-25', 'Verzago (CO)', 'no', 'LILB', '', 'CO03', ''),
	('LIVR', 'N/A', 'N/A', 46.31368562579155, 11.111885011196136, 933, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED84', 'N/A', 'N/A', 47.76037026196718, 8.766346424818039, 451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZU', 'small_airport', 'Buttwil Airfield', 47.264702, 8.3025, 2372, 'CH', 'CH-AG', 'Buttwil', 'no', 'LSZU', '', '', ''),
	('LSPA', 'small_airport', 'Amlikon Airfield', 47.573983, 9.047785, 1371, 'CH', 'CH-TG', 'Amlikon', 'no', 'LSPA', '', '', 'Flugplatz Amlikon'),
	('ED39', 'N/A', 'N/A', 47.707294039428234, 9.392576068639755, 420, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVM', 'N/A', 'N/A', 45.16563478857279, 11.035005301237106, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZK', 'small_airport', 'Speck-Fehraltorf Airfield', 47.3764, 8.7575, 1748, 'CH', 'CH-ZH', 'Fehraltorf', 'no', 'LSZK', '', '', 'Flugplatz Speck-Fehraltorf'),
	('LIUI', 'N/A', 'N/A', 45.544353649020195, 8.27887013554573, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJX', 'N/A', 'N/A', 45.58773033320904, 10.756263881921768, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYT', 'N/A', 'N/A', 45.85554722696543, 10.14711543917656, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGS', 'N/A', 'N/A', 45.101625211536884, 10.749198943376541, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGG', 'N/A', 'N/A', 45.60962453484535, 9.48669746518135, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LILM', 'small_airport', 'Casale Monferrato Airfield', 45.110039, 8.456898, 377, 'IT', 'IT-21', 'Casale Monferrato (AL)', 'no', 'LILM', '', 'AL04', ''),
	('LISH', 'N/A', 'N/A', 45.119426026940346, 9.705309122800827, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSPO', 'small_airport', 'Olten Airfield', 47.34131, 7.88494, 1368, 'CH', 'CH-SO', 'Olten', 'no', 'LSPO', '', '', ''),
	('LILG', 'small_airport', 'Vergiate Airfield', 45.712633, 8.700714, 863, 'IT', 'IT-25', 'Vergiate (VA)', 'no', 'LILG', '', 'VA03', ''),
	('LILZ', 'N/A', 'N/A', 45.604503862559795, 8.32449808716774, 281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOG', 'N/A', 'N/A', 45.696147568523884, 8.826992958784103, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED60', 'N/A', 'N/A', 47.75748621672392, 10.904567688703537, 750, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDN', 'N/A', 'N/A', 46.27094496041536, 11.025309562683105, 687, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSGR', 'small_airport', 'Reichenbach Air Base', 46.613602, 7.67778, 2385, 'CH', 'CH-BE', 'Reichenbach im Kandertal', 'no', 'LSGR', '', '', ''),
	('LINB', 'N/A', 'N/A', 45.762063190340996, 9.444990456104279, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYW', 'N/A', 'N/A', 45.030357241630554, 9.60535928606987, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDYW', 'N/A', 'N/A', 47.600291669368744, 9.741903841495514, 533, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSMJ', 'closed', 'Turtmann Air Base', 46.304339, 7.712708, 0, 'CH', 'CH-VS', 'Turtmann', 'no', '', '', '', 'LSMJ'),
	('LIML', 'medium_airport', 'Milano Linate Airport', 45.445099, 9.27674, 353, 'IT', 'IT-25', 'Segrate (MI)', 'yes', 'LIML', 'LIN', 'MI11', 'E Forlanini'),
	('LILO', 'small_airport', 'Caiolo Sondrio Airfield', 46.154448, 9.79507, 899, 'IT', 'IT-25', 'Caiolo (SO)', 'no', 'LILO', '', 'SO01', ''),
	('LIIR', 'N/A', 'N/A', 45.639201924204826, 9.066024720668793, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXP', 'N/A', 'N/A', 45.033700950443745, 9.791735261678696, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMO', 'N/A', 'N/A', 45.486210733652115, 7.844776511192322, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGW', 'N/A', 'N/A', 45.23944716900587, 10.88958889245987, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYH', 'N/A', 'N/A', 45.016073137521744, 10.509023666381836, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LILF', 'N/A', 'N/A', 45.023879036307335, 7.966705709695816, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUR', 'N/A', 'N/A', 45.394823513925076, 10.566570460796356, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSMA', 'medium_airport', 'Alpnach Air Base', 46.943901, 8.28417, 1460, 'CH', 'CH-OW', 'Alpnach', 'no', 'LSMA', '', '', ''),
	('LILR', 'small_airport', 'Cremona-Migliaro Airfield', 45.168261, 10.001864, 161, 'IT', 'IT-25', 'Cremona (CR)', 'no', 'LILR', '', 'CR04', ''),
	('LIHL', 'N/A', 'N/A', 45.5188200250268, 10.450004786252975, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPO', 'medium_airport', 'Brescia Gabriele d''Annunzio Airport', 45.428902, 10.3306, 355, 'IT', 'IT-25', 'Montichiari (BS)', 'yes', 'LIPO', 'VBS', 'BS04', 'Brescia-Montichiari'),
	('EDSI', 'small_airport', 'Binningen Glider Field', 47.798772, 8.718553, 1594, 'DE', 'DE-BW', 'Hilzingen', 'no', 'EDSI', '', '', 'Flugplatz Binningen, Segelflugplatz Binningen'),
	('LIEG', 'N/A', 'N/A', 45.533061884343624, 8.900736719369888, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWP', 'N/A', 'N/A', 45.363321639597416, 9.017008244991302, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICX', 'N/A', 'N/A', 45.358817875385284, 7.719259858131409, 311, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZV', 'small_airport', 'Sitterdorf Airfield', 47.5089, 9.26278, 1660, 'CH', 'CH-TG', 'Sitterdorf', 'no', 'LSZV', '', '', 'Flugplatz Sitterdorf, Sportflugplatz Sitterdorf'),
	('LSMM', 'small_airport', 'Meiringen Air Base', 46.742324, 8.108919, 1895, 'CH', 'CH-BE', 'Meiringen', 'no', 'LSMM', '', '', 'Militärflugplatz Meiringen'),
	('EDSR', 'small_airport', 'Stahringen-Wahlwies Airfield', 47.802587, 8.979378, 0, 'DE', 'DE-BW', 'Radolfzell am Bodensee', 'no', 'EDSR', '', '', 'Flugplatz Stahringen-Wahlwies'),
	('LIDX', 'N/A', 'N/A', 45.45067649334669, 8.997700810432434, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISX', 'N/A', 'N/A', 45.39445135742426, 8.706904649734497, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFX', 'N/A', 'N/A', 45.41926648467779, 10.557529628276825, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMB', 'small_airport', 'Milano-Bresso Airfield', 45.539182, 9.202452, 484, 'IT', 'IT-25', 'Bresso (MI)', 'no', 'LIMB', '', 'MI08', 'Bresso, Aeroclub Milano'),
	('LIVB', 'N/A', 'N/A', 45.32673932611942, 10.37844255566597, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSZL', 'small_airport', 'Locarno Airport', 46.160801, 8.87861, 650, 'CH', 'CH-TI', 'Locarno', 'no', 'LSZL', '', '', ''),
	('LSRO', 'N/A', 'N/A', 46.23376216739416, 9.094676971435547, 263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSPN', 'small_airport', 'Triengen Airfield', 47.2267, 8.07806, 1594, 'CH', 'CH-LU', 'Triengen', 'no', 'LSPN', '', '', 'Lucerne, Trisa'),
	('LSZI', 'small_airport', 'Fricktal-Schupfart Airfield', 47.5089, 7.95, 1788, 'CH', 'CH-AG', 'Schupfart', 'no', 'LSZI', '', '', ''),
	('LSZM', 'small_airport', 'Mollis Airfield', 47.078353, 9.064662, 1485, 'CH', 'CH-GL', 'Mollis', 'no', 'LSZM', '', '', 'LSMF, Flugplatz Mollis, Militärflugplatz Mollis, Mollis Air Base'),
	('LSZW', 'small_airport', 'Thun Airfield', 46.756401, 7.60056, 1837, 'CH', 'CH-BE', 'Thun', 'no', 'LSZW', '', '', 'Flugplatz Thun, FVT'),
	('LISB', 'N/A', 'N/A', 45.12482296675444, 7.5216905772686005, 332, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSME', 'medium_airport', 'Emmen Air Base', 47.092444, 8.305184, 1400, 'CH', 'CH-LU', 'Emmen', 'no', 'LSME', 'EML', '', ''),
	('LIMF', 'large_airport', 'Turin Airport', 45.200802, 7.64963, 989, 'IT', 'IT-21', 'Caselle Torinese (TO)', 'yes', 'LIMF', 'TRN', 'TO11', 'Torino-Caselle Airport, Sandro Pertini Airport, Turin-Caselle Airport'),
	('LIUS', 'N/A', 'N/A', 45.43774422258139, 9.607611000537872, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOH', 'N/A', 'N/A', 45.288806185126305, 9.491599649190903, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LSPF', 'small_airport', 'Schmerlat Airfield', 47.690203, 8.526178, 1519, 'CH', 'CH-SH', 'Neunkirch', 'no', 'LSPF', '', '', 'Flugplatz Schmerlat, Schaffhausen'),
	('EDPL', 'N/A', 'N/A', 47.6583631709218, 11.234642565250397, 662, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LICH', 'N/A', 'N/A', 46.133921295404434, 8.306173235177994, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LILV', 'small_airport', 'Valbrembo Airfield', 45.719864, 9.593954, 745, 'IT', 'IT-25', 'Carvico (BG)', 'no', 'LILV', '', 'BG02', ''),
	('LSZS', 'medium_airport', 'Samedan Airport', 46.5341, 9.88411, 5600, 'CH', 'CH-GR', 'Samedan', 'no', 'LSZS', 'SMV', '', 'Engadin'),
	('LIMT', 'N/A', 'N/A', 45.25257524102926, 7.899108678102493, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDTZ', 'small_airport', 'Konstanz Airfield', 47.681435, 9.139258, 1302, 'DE', 'DE-BW', 'Konstanz', 'no', 'EDTZ', '', '', 'Flugplatz Konstanz'),
	('LITO', 'N/A', 'N/A', 45.269364193081856, 7.951067537069321, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDS', 'closed', 'San Leo', 43.9194444, 12.32, 0, 'IT', 'IT-57', '', 'no', '', '', '', 'LIDS, LIDS'),
	('LSTA', 'small_airport', 'Raron Airfield', 46.30449, 7.819085, 2029, 'CH', 'CH-VS', 'Raron', 'no', 'LSTA', '', '', 'LSMN, Raron Air Base'),
	('LITC', 'N/A', 'N/A', 45.13072516769171, 7.610940635204315, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRK', 'N/A', 'N/A', 45.05152825266123, 9.163139909505844, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED91', 'N/A', 'N/A', 47.700364887714386, 10.021640807390213, 691, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED33', 'N/A', 'N/A', 47.6508653908968, 8.386675715446472, 570, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENRA', 'medium_airport', 'Mo i Rana Airport, Røssvoll', 66.363899230957, 14.301400184631, 229, 'NO', 'NO-18', 'Mo i Rana', 'yes', 'ENRA', 'MQN', '', ''),
	('ENMS', 'medium_airport', 'Mosjøen Airport, Kjærstad', 65.783997, 13.2149, 237, 'NO', 'NO-18', 'Mosjøen', 'yes', 'ENMS', 'MJF', '', ''),
	('ENHT', 'small_airport', 'Hattfjelldal Airfield', 65.594704, 13.9892, 689, 'NO', 'NO-18', 'Hattfjelldal', 'no', 'ENHT', '', '', ''),
	('ENBN', 'medium_airport', 'Brønnøysund Airport, Brønnøy', 65.461098, 12.2175, 25, 'NO', 'NO-18', 'Brønnøy', 'yes', 'ENBN', 'BNN', '', 'Bronnoy'),
	('ENST', 'medium_airport', 'Sandnessjøen Airport, Stokka', 65.956802, 12.4689, 56, 'NO', 'NO-18', 'Alstahaug', 'yes', 'ENST', 'SSJ', '', ''),
	('ENBO', 'medium_airport', 'Bodø Airport', 67.269203, 14.3653, 42, 'NO', 'NO-18', 'Bodø', 'yes', 'ENBO', 'BOO', '', 'Bodø Air Force Base, Bodø Main Air Station'),
	('ENSE', 'heliport', 'Snorre A Helipad', 61.4489, 2.1425, 0, 'NO', 'NO-XX', 'Norwegian Sea', 'no', 'ENSE', '', '', ''),
	('ESNM', 'small_airport', 'Optand Airfield', 63.128601, 14.8028, 1236, 'SE', 'SE-Z', '', 'no', 'ESNM', '', '', ''),
	('ESNZ', 'medium_airport', 'Åre Östersund Airport', 63.194135, 14.500322, 1233, 'SE', 'SE-Z', 'Östersund', 'yes', 'ESNZ', 'OSD', '', 'F4 Frösön Air Base, ESPC'),
	('ENGR', 'N/A', 'N/A', 64.39491827040911, 12.341106981039047, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESAR', 'N/A', 'N/A', 63.76414854079485, 12.90896326303482, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENSC', 'N/A', 'N/A', 63.93073886632919, 11.5873584151268, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESUO', 'small_airport', 'Graftavallen Airfield', 63.041698, 14.0014, 1640, 'SE', 'SE-Z', 'Graftavallen', 'no', 'ESUO', '', '', ''),
	('ESJA', 'N/A', 'N/A', 63.32848001271486, 13.425287157297134, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENNM', 'small_airport', 'Namsos Airport', 64.472198, 11.5786, 7, 'NO', 'NO-50', 'Namsos', 'yes', 'ENNM', 'OSY', '', 'Namsos lufthavn, Høknesøra'),
	('ENGS', 'small_airport', 'Snåsa Airfield Grønøra', 64.183586, 12.171478, 89, 'NO', 'NO-50', 'Snåsa', 'no', 'ENGS', '', '', ''),
	('ESKR', 'N/A', 'N/A', 63.86587869375944, 14.610603600740433, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESND', 'small_airport', 'Sveg Airport', 62.047798, 14.4229, 1178, 'SE', 'SE-Z', 'Sveg', 'yes', 'ESND', 'EVG', '', ''),
	('ESHO', 'N/A', 'N/A', 62.77845449745655, 14.406205415725708, 363, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENME', 'N/A', 'N/A', 63.371528796851635, 11.812462359666824, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESOS', 'N/A', 'N/A', 63.09137273579836, 14.443092942237854, 330, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESST', 'medium_airport', 'Torsby Airport', 60.1576, 12.9913, 393, 'SE', 'SE-S', 'Torsby', 'yes', 'ESST', 'TYF', '', ''),
	('ESBJ', 'N/A', 'N/A', 59.10270195454359, 14.299554973840714, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESKH', 'small_airport', 'Ekshärad Airfield', 60.1548, 13.5286, 0, 'SE', 'SE-S', 'Ekshärad', 'no', 'ESKH', '', '', ''),
	('ESKS', 'medium_airport', 'Scandinavian Mountains Airport', 61.158393, 12.842503, 1608, 'SE', 'SE-W', 'Malung-Sälen', 'yes', 'ESKS', 'SCR', '', 'Sälens Flygplats, Trysil'),
	('ESCH', 'N/A', 'N/A', 59.89495575428009, 12.27235034108162, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENRK', 'small_airport', 'Rakkestad Astorp Airfield', 59.397499, 11.3469, 400, 'NO', 'NO-31', 'Rakkestad', 'no', 'ENRK', '', '', ''),
	('ESKM', 'medium_airport', 'Mora Airport', 60.957901, 14.5114, 634, 'SE', 'SE-W', 'Mora', 'yes', 'ESKM', 'MXX', '', ''),
	('ESOK', 'medium_airport', 'Karlstad Airport', 59.444698, 13.3374, 352, 'SE', 'SE-S', 'Karlstad', 'yes', 'ESOK', 'KSD', '', ''),
	('ESKK', 'medium_airport', 'Karlskoga Airport', 59.345901, 14.4959, 407, 'SE', 'SE-T', '', 'no', 'ESKK', 'KSK', '', ''),
	('ESVH', 'small_airport', 'Hällefors Airfield', 59.867401, 14.4239, 0, 'SE', 'SE-T', 'Hällefors', 'no', 'ESVH', '', '', ''),
	('ESOH', 'small_airport', 'Hagfors Airport', 60.0201, 13.5789, 474, 'SE', 'SE-S', 'Råda', 'yes', 'ESOH', 'HFS', '', ''),
	('ESVS', 'small_airport', 'Siljansnäs Air Park', 60.785099, 14.8272, 611, 'SE', 'SE-W', 'Siljansnäs', 'no', 'ESVS', '', '', ''),
	('ENAU', 'N/A', 'N/A', 60.02065312117338, 11.382155120372772, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENAE', 'small_airport', 'Æra Airfield', 61.257401, 11.6689, 1621, 'NO', 'NO-34', 'Åmot', 'no', 'ENAE', '', '', ''),
	('ENSM', 'N/A', 'N/A', 60.876615419983864, 11.675350069999695, 215, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESVM', 'small_airport', 'Skinnlanda Airfield', 60.658798, 13.7266, 0, 'SE', 'SE-W', 'Malung', 'no', 'ESVM', '', '', ''),
	('ENAA', 'N/A', 'N/A', 60.13392247259617, 11.453315913677216, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENEE', 'N/A', 'N/A', 61.836467050015926, 11.72604963183403, 637, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ESGY', 'small_airport', 'Säffle Airfield', 59.085512, 12.949705, 0, 'SE', 'SE-S', 'Säffle', 'no', 'ESGY', '', '', ''),
	('ESTS', 'N/A', 'N/A', 60.55343773216009, 13.102509677410126, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESNR', 'small_airport', 'Orsa Airfield', 61.189999, 14.7126, 683, 'SE', 'SE-W', '', 'no', 'ESNR', '', '', ''),
	('ESKD', 'small_airport', 'Dala Järna Airfield', 60.556099, 14.3771, 770, 'SE', 'SE-W', 'Dala Järna', 'no', 'ESKD', '', '', ''),
	('ENRE', 'N/A', 'N/A', 61.186247281730175, 11.374450027942657, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENSV', 'N/A', 'N/A', 59.683887362480164, 11.295273452997208, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENIN', 'N/A', 'N/A', 61.35270819067955, 12.756493538618088, 442, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESUE', 'small_airport', 'Idre Airport', 61.869701, 12.6894, 1480, 'SE', 'SE-W', 'Idre', 'no', 'ESUE', 'IDB', '', ''),
	('ESAE', 'N/A', 'N/A', 61.21372986584902, 14.04529184103012, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESKV', 'small_airport', 'Arvika Airfield', 59.6759, 12.6394, 237, 'SE', 'SE-S', 'Arvika', 'no', 'ESKV', '', '', ''),
	('ENSW', 'N/A', 'N/A', 60.257431492209435, 11.751170754432678, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ENTS', 'small_airport', 'Trysil Sæteråsen Airfield', 61.229279, 12.266407, 1900, 'NO', 'NO-34', '', 'no', 'ENTS', '', '', ''),
	('ENKN', 'N/A', 'N/A', 60.2646379172802, 12.024857550859451, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EN10', 'N/A', 'N/A', 60.653622932732105, 11.909328997135162, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESKU', 'small_airport', 'Sunne Airfield', 59.860199, 13.1129, 0, 'SE', 'SE-S', '', 'no', 'ESKU', '', '', ''),
	('ESKO', 'small_airport', 'Munkfors Airfield', 59.798801, 13.4907, 0, 'SE', 'SE-S', 'Munkfors', 'no', 'ESKO', '', '', ''),
	('ESIA', 'small_airport', 'Karlsborg Air Base', 58.513802, 14.5071, 308, 'SE', 'SE-Q', 'Karlsborg', 'no', 'ESIA', '', '', ''),
	('ESGL', 'small_airport', 'Lidköping-Hovby Airport', 58.4655, 13.1744, 200, 'SE', 'SE-Q', 'Lidköping', 'no', 'ESGL', 'LDK', '', ''),
	('ESUC', 'N/A', 'N/A', 57.87289001047611, 13.430444151163101, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESAV', 'N/A', 'N/A', 57.97907933592796, 12.14329183101654, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESGK', 'small_airport', 'Falköping Airfield', 58.1698, 13.5878, 785, 'SE', 'SE-Q', 'Falköping', 'no', 'ESGK', '', '', ''),
	('ESGV', 'small_airport', 'Varberg Getterön airfield', 57.124599, 12.2283, 5, 'SE', 'SE-N', 'Varberg', 'no', 'ESGV', '', '', ''),
	('ESGT', 'medium_airport', 'Trollhättan-Vänersborg Airport', 58.31809997558594, 12.345000267028809, 137, 'SE', 'SE-Q', 'Trollhättan', 'yes', 'ESGT', 'THN', '', ''),
	('ESTF', 'small_airport', 'Fjällbacka Anra Airfield', 58.630009, 11.314459, 10, 'SE', 'SE-Q', 'Fjällbacka', 'no', 'ESTF', '', '', ''),
	('ESMT', 'medium_airport', 'Halmstad Airport', 56.69110107421875, 12.820199966430664, 101, 'SE', 'SE-N', 'Halmstad', 'yes', 'ESMT', 'HAD', '', ''),
	('ESTA', 'medium_airport', 'Ängelholm-Helsingborg Airport', 56.29610061645508, 12.847100257873535, 68, 'SE', 'SE-M', 'Ängelholm', 'yes', 'ESTA', 'AGH', '', 'ESDB, Ängelholm Air Base'),
	('ESGJ', 'medium_airport', 'Jönköping Airport', 57.757598876953125, 14.068699836730957, 741, 'SE', 'SE-F', 'Jönköping', 'yes', 'ESGJ', 'JKG', '', ''),
	('ESMU', 'small_airport', 'Möckeln Airfield', 56.572016, 14.168415, 480, 'SE', 'SE-G', 'Älmhult', 'no', 'ESMU', '', '', ''),
	('ESGE', 'small_airport', 'Borås Airfield', 57.695935, 12.845002, 588, 'SE', 'SE-Q', 'Borås', 'no', 'ESGE', '', '', 'Viared'),
	('ESIB', 'medium_airport', 'Såtenäs Air Base', 58.426399, 12.7144, 181, 'SE', 'SE-Q', 'Såtenäs', 'no', 'ESIB', '', '', ''),
	('ESGU', 'small_airport', 'Rörkärr Airfield', 58.367599, 11.7754, 0, 'SE', 'SE-Q', 'Uddevalla', 'no', 'ESGU', '', '', ''),
	('ESFE', 'N/A', 'N/A', 57.44336239993572, 12.16357335448265, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKAT', 'small_airport', 'Anholt Flyveplads', 56.698898, 11.5559, 23, 'DK', 'DK-82', 'Anholt', 'yes', 'EKAT', '', '', ''),
	('ESSI', 'small_airport', 'Visingsö Airfield', 58.0984, 14.4026, 0, 'SE', 'SE-F', 'Visingsö', 'no', 'ESSI', '', '', ''),
	('ESMF', 'small_airport', 'Fagerhult Airfield', 56.387901, 13.4706, 378, 'SE', 'SE-M', 'Fagerhult', 'no', 'ESMF', '', '', ''),
	('ESFR', 'medium_airport', 'Råda Air Base', 58.4981, 13.0532, 230, 'SE', 'SE-Q', 'Råda', 'no', 'ESFR', '', '', ''),
	('ESGH', 'small_airport', 'Herrljunga Airfield', 58.029301, 13.1082, 0, 'SE', 'SE-Q', 'Herrljunga', 'no', 'ESGH', '', '', ''),
	('ESMC', 'small_airport', 'Ränneslätt Airfield', 57.670601, 14.943, 720, 'SE', 'SE-F', 'Eksjö', 'no', 'ESMC', '', '', ''),
	('ESAL', 'N/A', 'N/A', 56.92604139447212, 14.542428106069565, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESMY', 'small_airport', 'Smålandsstenar Smålanda Airfield', 57.168598, 13.4402, 540, 'SE', 'SE-F', 'Smålandsstenar', 'no', 'ESMY', '', '', ''),
	('ESGR', 'medium_airport', 'Skövde Airport', 58.456402, 13.9727, 324, 'SE', 'SE-Q', 'Skövde', 'no', 'ESGR', 'KVB', '', ''),
	('ESGD', 'small_airport', 'Bämmelshed Airfield', 58.191799, 13.9957, 0, 'SE', 'SE-Q', 'Tidaholm', 'no', 'ESGD', '', '', ''),
	('ESFH', 'closed', 'Hasslosa Air Base', 58.409698486328, 13.26309967041, 0, 'SE', 'SE-Q', 'Hasslosa', 'no', '', '', '', 'ESFH, ESFH'),
	('ESSH', 'small_airport', 'Laxå Airfield', 58.978699, 14.6662, 0, 'SE', 'SE-T', 'Laxå', 'no', 'ESSH', '', '', ''),
	('ESGA', 'small_airport', 'Backamo Airfield', 58.1772, 11.9735, 415, 'SE', 'SE-Q', 'Uddevalla', 'no', 'ESGA', '', '', ''),
	('ESKL', 'N/A', 'N/A', 58.60273215919733, 14.458196461200714, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESGS', 'small_airport', 'Näsinge Airfield', 59.0168, 11.3437, 115, 'SE', 'SE-Q', 'Strömstad', 'no', 'ESGS', '', '', ''),
	('ESGC', 'small_airport', 'Ålleberg Airfield', 58.134499, 13.6026, 0, 'SE', 'SE-Q', 'Ålleberg', 'no', 'ESGC', '', '', ''),
	('ESMG', 'small_airport', 'Feringe Airfield', 56.950298, 13.9217, 538, 'SE', 'SE-G', 'Ljungby', 'no', 'ESMG', '', '', ''),
	('ESGI', 'small_airport', 'Alingsås Airfield', 57.948888, 12.575827, 0, 'SE', 'SE-Q', 'Alingsås', 'no', 'ESGI', '', '', ''),
	('ESGM', 'small_airport', 'Öresten Airfield', 57.445301, 12.649, 0, 'SE', 'SE-Q', 'Öresten', 'no', 'ESGM', '', '', 'Oreste Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ESMX', 'medium_airport', 'Växjö Kronoberg Airport', 56.929100036621094, 14.727999687194824, 610, 'SE', 'SE-G', 'Växjö', 'yes', 'ESMX', 'VXO', '', ''),
	('ESMV', 'small_airport', 'Hagshult Air Base', 57.292198, 14.1372, 556, 'SE', 'SE-F', '', 'no', 'ESMV', '', '', ''),
	('ESGO', 'small_airport', 'Vårgårda Airfield', 58.039398, 12.7889, 318, 'SE', 'SE-Q', 'Vårgårda', 'no', 'ESGO', '', '', ''),
	('ESGP', 'medium_airport', 'Säve Airport', 57.7747, 11.8704, 59, 'SE', 'SE-Q', 'Göteborg', 'no', 'ESGP', 'GSE', '', 'Göteborg City Airport, Gothenburg City Airport'),
	('ESGG', 'large_airport', 'Göteborg Landvetter Airport', 57.6628, 12.2798, 506, 'SE', 'SE-Q', 'Göteborg', 'yes', 'ESGG', 'GOT', '', 'Göteborg-Landvetter, Gothenburg'),
	('EK66', 'N/A', 'N/A', 55.75177799910307, 12.278995960950851, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESMI', 'small_airport', 'Sjöbo/Sövde Airfield', 55.598202, 13.6747, 118, 'SE', 'SE-M', 'Sövdeborg', 'no', 'ESMI', '', '', ''),
	('EKGL', 'small_airport', 'Gørløse Glider Field', 55.8855556, 12.2280556, 0, 'DK', 'DK-84', 'Gørløse', 'no', 'EKGL', '', '', ''),
	('EKKS', 'small_airport', 'Kongsted Svæveflyveplads Glider', 55.2522222, 12.0627778, 0, 'DK', 'DK-85', 'Faxe', 'no', 'EKKS', '', '', 'Kongsted'),
	('ESTL', 'medium_airport', 'Ljungbyhed Airfield', 56.082802, 13.2125, 140, 'SE', 'SE-M', 'Ljungbyhed', 'no', 'ESTL', '', '', ''),
	('EKFE', 'N/A', 'N/A', 55.34327521920204, 11.83512032032013, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKHE', 'small_airport', 'Annisse flyveplads', 55.984722, 12.214444, 0, 'DK', 'DK-84', 'Annisse', 'no', 'EKHE', '', '', ''),
	('EKKL', 'small_airport', 'Kalundborg Airfield', 55.700298, 11.25, 1, 'DK', 'DK-85', 'Kalundborg', 'no', 'EKKL', '', '', ''),
	('ESMH', 'small_airport', 'Höganäs Airfield', 56.184799, 12.5761, 21, 'SE', 'SE-M', 'Höganäs', 'no', 'ESMH', '', '', ''),
	('ETNL', 'medium_airport', 'Rostock-Laage Airport', 53.9182014465, 12.278300285299999, 138, 'DE', 'DE-MV', 'Rostock', 'yes', 'ETNL', 'RLG', '', ''),
	('ED26', 'N/A', 'N/A', 53.67130648344755, 13.397549539804459, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESMS', 'medium_airport', 'Malmö Sturup Airport', 55.535564, 13.376327, 236, 'SE', 'SE-M', 'Malmö', 'yes', 'ESMS', 'MMX', '', ''),
	('ED29', 'N/A', 'N/A', 53.91775019466877, 14.03211459517479, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKRK', 'medium_airport', 'Copenhagen Roskilde Airport', 55.585602, 12.1314, 146, 'DK', 'DK-85', 'Roskilde', 'yes', 'EKRK', 'RKE', '', 'København, Copenhagen'),
	('ESFI', 'closed', 'Knislinge Air Base', 56.18719863889999, 14.136300087, 0, 'SE', 'SE-M', 'Knislinge', 'no', '', '', '', 'ESFI, ESFI'),
	('EKHK', 'small_airport', 'Holbaek (Ny Hagested) Airfield', 55.733919, 11.604706, 2, 'DK', 'DK-85', 'Holbaek', 'no', 'EKHK', '', '', ''),
	('EKCH', 'large_airport', 'Copenhagen Kastrup Airport', 55.617900848389, 12.656000137329, 17, 'DK', 'DK-84', 'Copenhagen', 'yes', 'EKCH', 'CPH', '', 'København, Malmö'),
	('EKSK', 'heliport', 'Skive HEMS Heliport', 56.557277, 8.975841, 29, 'DK', 'DK-82', 'Skive', 'no', 'EKSK', '', '', ''),
	('EKFR', 'small_airport', 'Freerslev', 55.898611, 12.245, 0, 'DK', 'DK-84', '', 'no', 'EKFR', '', '', ''),
	('EDUW', 'small_airport', 'Flugplatz Tutow', 53.921944, 13.218889, 26, 'DE', 'DE-MV', 'Demmin', 'no', 'EDUW', '', '', ''),
	('ESTO', 'closed', 'Tomelilla Airfield', 55.543301, 14.0009, 0, 'SE', 'SE-M', 'Tomelilla', 'no', '', '', '', 'ESTO, ESTO'),
	('EKMN', 'small_airport', 'Kostervig Mon Airfield', 54.96545, 12.196483, 3, 'DK', 'DK-85', 'Koster', 'no', 'EKMN', '', '', ''),
	('EKTO', 'N/A', 'N/A', 55.58180037885904, 11.759543269872665, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDBN', 'medium_airport', 'Neubrandenburg Airport', 53.6022, 13.306, 228, 'DE', 'DE-MV', 'Neubrandenburg', 'no', 'EDBN', 'FNB', '', 'ETNU'),
	('EKNA', 'N/A', 'N/A', 55.21073620766401, 11.717125922441483, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKFD', 'N/A', 'N/A', 55.81484377384186, 12.082111537456512, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKRS', 'small_airport', 'Ringsted Airfield', 55.4258, 11.8067, 113, 'DK', 'DK-85', 'Ringsted', 'yes', 'EKRS', '', '', ''),
	('EKLI', 'N/A', 'N/A', 55.95000263303518, 11.925037801265717, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESMK', 'medium_airport', 'Kristianstad Airport', 55.9217, 14.0855, 76, 'SE', 'SE-M', 'Kristianstad', 'yes', 'ESMK', 'KID', '', ''),
	('EDBP', 'small_airport', 'Pinnow Airfield', 53.615276, 11.561111, 144, 'DE', 'DE-MV', 'Pinnow', 'no', 'EDBP', '', '', ''),
	('EDCR', 'small_airport', 'Rerik-Zweedorf Airfield', 54.081944, 11.649167, 30, 'DE', 'DE-MV', 'Rerik', 'no', 'EDCR', '', '', ''),
	('EKRN', 'medium_airport', 'Bornholm Airport', 55.063301, 14.7596, 52, 'DK', 'DK-84', 'Rønne', 'yes', 'EKRN', 'RNN', '', 'Roenne'),
	('EDCV', 'small_airport', 'Flugplatz Pasewalk', 53.50528, 13.948333, 72, 'DE', 'DE-MV', 'Pasewalk', 'no', 'EDCV', '', '', ''),
	('EDCG', 'small_airport', 'Flugplatz Güttin / Rügen', 54.383331, 13.325556, 69, 'DE', 'DE-MV', 'Rügen', 'no', 'EDCG', 'GTI', '', ''),
	('EDCA', 'small_airport', 'Anklam Airfield', 53.832779, 13.668611, 16, 'DE', 'DE-MV', 'Anklam', 'no', 'EDCA', '', '', ''),
	('ESMJ', 'small_airport', 'Kågeröd Simmelsberga Airfield', 55.994701, 13.0509, 276, 'SE', 'SE-M', 'Kågeröd', 'no', 'ESMJ', '', '', ''),
	('EDOW', 'small_airport', 'Waren-Vielist Airfield', 53.568333, 12.652778, 282, 'DE', 'DE-MV', 'Waren', 'no', 'EDOW', '', '', ''),
	('EPSC', 'medium_airport', 'Szczecin-Goleniów "Solidarność" Airport', 53.584702, 14.9022, 154, 'PL', 'PL-ZP', 'Goleniow', 'yes', 'EPSC', 'SZZ', '', ''),
	('EK64', 'N/A', 'N/A', 56.198207549750805, 11.701189130544662, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDBV', 'small_airport', 'Flugplatz Stralsund', 54.335835, 13.043333, 49, 'DE', 'DE-MV', 'Stralsund', 'no', 'EDBV', '', '', ''),
	('EDCP', 'small_airport', 'Peenemünde Airport', 54.1577796936, 13.774443626399998, 7, 'DE', 'DE-MV', 'Peenemünde', 'no', 'EDCP', 'PEF', '', ''),
	('EDCX', 'small_airport', 'Flugplatz Purkshof', 54.161667, 12.248611, 66, 'DE', 'DE-MV', 'Rostock', 'no', 'EDCX', '', '', ''),
	('ESFA', 'small_airport', 'Hässleholm Bokeberg Airfield', 56.134407, 13.875647, 105, 'SE', 'SE-M', 'Hässleholm', 'no', 'ESFA', '', '', ''),
	('EKSL', 'small_airport', 'Slaglille Svæveflyvecenter', 55.452222, 11.644722, 0, 'DK', 'DK-85', '', 'no', 'EKSL', '', '', ''),
	('EDBY', 'small_airport', 'Flugplatz Schmoldow', 53.972221, 13.343611, 105, 'DE', 'DE-MV', 'Schmoldow', 'no', 'EDBY', '', '', ''),
	('EKFO', 'N/A', 'N/A', 55.359942466020584, 11.309585720300674, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EDCW', 'small_airport', 'Wismar Airfield', 53.914444, 11.499444, 43, 'DE', 'DE-MV', 'Wismar', 'no', 'EDCW', '', '', ''),
	('EKGH', 'small_airport', 'Grønholt Hillerød Airfield', 55.941399, 12.3822, 97, 'DK', 'DK-84', 'Grønholt', 'no', 'EKGH', '', '', 'Gronholt, Groenholt, Hillerod, Hilleroed'),
	('EKVL', 'closed', 'Værløse Air Base', 55.769501, 12.3239, 42, 'DK', 'DK-84', 'Kirke Værløse', 'no', '', '', '', 'EKVL, Vaerlose, EKVL'),
	('ESMR', 'closed', 'Trelleborg Airport', 55.3833007812, 13.0310001373, 0, 'SE', 'SE-M', 'Trelleborg', 'no', '', '', '', 'Maglarp Airport, ESMR'),
	('ESME', 'small_airport', 'Eslöv Airfield', 55.848923, 13.329935, 296, 'SE', 'SE-M', 'Eslöv', 'no', 'ESME', '', '', ''),
	('EDAH', 'medium_airport', 'Heringsdorf Airport', 53.8787002563, 14.152299881, 93, 'DE', 'DE-MV', 'Heringsdorf', 'yes', 'EDAH', 'HDF', '', ''),
	('ESML', 'small_airport', 'Landskrona Airfield', 55.945999, 12.87, 194, 'SE', 'SE-M', 'Landskrona', 'no', 'ESML', '', '', ''),
	('EDBH', 'small_airport', 'Barth Airport', 54.338253, 12.710515, 23, 'DE', 'DE-MV', '', 'no', 'EDBH', 'BBH', '', ''),
	('EKVO', 'N/A', 'N/A', 55.025806948542595, 11.348162144422531, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKFI', 'N/A', 'N/A', 55.85270147770643, 12.07284539937973, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDCU', 'small_airport', 'Güstrow Airfield', 53.805279, 12.230556, 46, 'DE', 'DE-MV', 'Güstrow', 'no', 'EDCU', '', '', ''),
	('EKMB', 'medium_airport', 'Lolland Falster Maribo Airport', 54.699299, 11.4401, 16, 'DK', 'DK-85', 'Lolland Falster / Maribo', 'no', 'EKMB', 'MRW', '', ''),
	('EDBL', 'small_airport', 'Laucha Airfield', 51.245834, 11.693333, 738, 'DE', 'DE-ST', 'Laucha an der Unstrut', 'no', 'EDBL', '', '', ''),
	('EDBJ', 'small_airport', 'Jena-Schöngleina Airfield', 50.915345, 11.714201, 1247, 'DE', 'DE-TH', 'Schöngleina', 'no', 'EDBJ', '', '', 'Flugplatz Jena-Schöngleina'),
	('EDOC', 'small_airport', 'Gardelegen Airfield', 52.529641, 11.349421, 230, 'DE', 'DE-ST', 'Gardelegen', 'no', 'EDOC', '', '', 'Flugplatz Gardelegen'),
	('ED17', 'N/A', 'N/A', 51.778069250285625, 11.285607665777206, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EXIC', 'N/A', 'N/A', 53.27535141259432, 12.366354167461395, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDBE', 'small_airport', 'Brandenburg-Mühlenfeld Airfield', 52.4375, 12.59, 98, 'DE', 'DE-BR', 'Brandenburg an der Havel', 'no', 'EDBE', '', '', ''),
	('LKCI', 'N/A', 'N/A', 50.858225114643574, 14.465695023536682, 376, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDOM', 'small_airport', 'Klein Mühlingen Airfield', 51.947498, 11.769722, 171, 'DE', 'DE-ST', 'Bördeland', 'no', 'EDOM', '', '', 'Flugplatz Klein Mühlingen'),
	('EDAE', 'small_airport', 'Eisenhüttenstadt Airfield', 52.197199, 14.585696, 144, 'DE', 'DE-BR', 'Siehdichum', 'no', 'EDAE', '', '', ''),
	('EDON', 'small_airport', 'Neuhardenberg Marxwalde Airfield', 52.613056, 14.242778, 39, 'DE', 'DE-BR', 'Neuhardenberg', 'no', 'EDON', '', '', 'Flugplatz Neuhardenberg Marxwalde'),
	('EDBX', 'small_airport', 'Görlitz Airfield', 51.15889, 14.950278, 778, 'DE', 'DE-SN', 'Görlitz', 'no', 'EDBX', '', '', 'Goerlitz'),
	('EDAQ', 'small_airport', 'Halle-Oppin Airfield', 51.552223, 12.053889, 348, 'DE', 'DE-ST', 'Landsberg', 'no', 'EDAQ', '', '', ''),
	('EDBK', 'small_airport', 'Kyritz Airfield', 52.918888, 12.425278, 131, 'DE', 'DE-BR', 'Kyritz', 'no', 'EDBK', '', '', 'Flugplatz Kyritz'),
	('ED96', 'N/A', 'N/A', 51.00695628672838, 12.814848572015762, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDZG', 'N/A', 'N/A', 53.070611357688904, 11.81827962398529, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPCH', 'small_airport', 'Częstochowa-Rudniki Airport', 50.884716, 19.201842, 860, 'PL', 'PL-SL', 'Rudniki', 'no', 'EPRU', 'CZW', '', ''),
	('EDOX', 'small_airport', 'Renneritz Airfield', 51.595112, 12.237911, 308, 'DE', 'DE-ST', 'Sandersdorf', 'no', 'EDOX', '', '', ''),
	('EDCL', 'small_airport', 'Klietz-Scharlibbe Airfield', 52.709442, 12.073333, 95, 'DE', 'DE-ST', 'Klietz', 'no', 'EDCL', '', '', 'Scharlibbe'),
	('EDUA', 'small_airport', 'Flugplatz Stechow-Ferchesar', 52.650555, 12.487778, 148, 'DE', 'DE-BR', 'Stechow-Ferchesar', 'no', 'EDUA', '', '', ''),
	('EDCQ', 'small_airport', 'Aschersleben Airfield', 51.766945, 11.498333, 525, 'DE', 'DE-ST', 'Aschersleben', 'no', 'EDCQ', '', '', ''),
	('EDAR', 'small_airport', 'Pirna-Pratzschwitz Airfield', 50.979603, 13.908445, 402, 'DE', 'DE-SN', 'Pirna', 'no', 'EDAR', '', '', ''),
	('EDOH', 'small_airport', 'Langhennersdorf Airfield', 50.948334, 13.261667, 1266, 'DE', 'DE-SN', 'Oberschöna', 'no', 'EDOH', '', '', 'Flugplatz Langhennersdorf'),
	('LKUL', 'small_airport', 'Usti Nad Labem Airfield', 50.699699, 13.9697, 791, 'CZ', 'CZ-US', 'Usti Nad Labem', 'no', 'LKUL', '', '', ''),
	('EXMB', 'N/A', 'N/A', 51.53500847518444, 12.643212229013443, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDCM', 'small_airport', 'Kamenz Airfield', 51.296944, 14.1275, 495, 'DE', 'DE-SN', 'Kamenz', 'no', 'EDCM', '', '', ''),
	('EDOB', 'small_airport', 'Bad Berka Airfield', 50.904446, 11.260278, 1001, 'DE', 'DE-TH', 'Bad Berka', 'no', 'EDOB', '', '', 'Flugplatz Bad Berka'),
	('ED15', 'N/A', 'N/A', 52.79537379741669, 13.104947358369827, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDBG', 'small_airport', 'Burg Airfield', 52.241772, 11.85619, 174, 'DE', 'DE-ST', 'Burg bei Magdeburg', 'no', 'EDBG', '', '', ''),
	('EDCH', 'small_airport', 'Sprossen (Zeitz) Airfield', 51.043407, 12.231895, 673, 'DE', 'DE-ST', 'Zeitz', 'no', 'EDCH', '', '', 'Flugplatz Sprossen (Zeitz), Zeitz'),
	('ED65', 'N/A', 'N/A', 53.013182915747166, 14.071019142866135, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETNR', 'N/A', 'N/A', 51.663661636412144, 14.633866846561432, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDCK', 'small_airport', 'Köthen Airport', 51.723745, 11.948826, 305, 'DE', 'DE-ST', 'Köthen (Anhalt)', 'no', 'EDCK', 'KOQ', '', ''),
	('EDAB', 'small_airport', 'Bautzen Airfield', 51.193611, 14.519722, 568, 'DE', 'DE-SN', 'Kubschütz', 'no', 'EDAB', '', '', 'Flugplatz Bautzen'),
	('EDCS', 'small_airport', 'Saarmund Airfield', 52.308334, 13.100556, 174, 'DE', 'DE-BR', 'Nuthetal', 'no', 'EDCS', '', '', ''),
	('EDBW', 'small_airport', 'Werneuchen Airfield', 52.631668, 13.766944, 262, 'DE', 'DE-BR', 'Werneuchen', 'no', 'EDBW', '', '', ''),
	('ED66', 'N/A', 'N/A', 50.99809594452381, 13.446328192949295, 358, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED82', 'N/A', 'N/A', 51.386456340551376, 12.821010500192642, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED74', 'N/A', 'N/A', 51.62463080137968, 12.293933182954788, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDAT', 'small_airport', 'Nardt Airfield', 51.451111, 14.199444, 384, 'DE', 'DE-SN', 'Hoyerswerda', 'no', 'EDAT', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EPSD', 'small_airport', 'Szczecin-Dąbie Airfield', 53.392101, 14.6338, 3, 'PL', 'PL-ZP', 'Szczecin', 'no', 'EPSD', '', '', ''),
	('EDGC', 'N/A', 'N/A', 53.00650253891945, 13.201902508735657, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDOP', 'closed', 'Schwerin Parchim International Airport', 53.426998, 11.7834, 166, 'DE', 'DE-MV', 'Parchim', 'no', '', '', '', 'EDOP, SZW'),
	('EPWN', 'N/A', 'N/A', 52.67353981733322, 14.868522137403488, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDOJ', 'small_airport', 'Lüsse Airfield', 52.142706, 12.67144, 217, 'DE', 'DE-BR', 'Bad Belzig', 'no', 'EDOJ', '', '', 'Flugplatz Lüsse'),
	('ETSH', 'medium_airport', 'Holzdorf Air Base', 51.767799, 13.1677, 265, 'DE', 'DE-BR', 'Holzdorf', 'no', 'ETSH', '', '', ''),
	('EDOZ', 'small_airport', 'Schönebeck-Zackmünde Airfield', 51.997129, 11.789789, 167, 'DE', 'DE-ST', 'Pömmelte', 'no', 'EDOZ', '', '', ''),
	('EDOV', 'small_airport', 'Stendal-Borstel Airfield', 52.628887, 11.818611, 184, 'DE', 'DE-ST', 'Stendal', 'no', 'EDOV', '', '', ''),
	('EDBU', 'small_airport', 'Pritzwalk-Sommersberg Airfield', 53.180019, 12.184553, 289, 'DE', 'DE-BR', 'Pritzwalk', 'no', 'EDBU', '', '', 'Flugplatz Pritzwalk-Sommersberg'),
	('EDDC', 'medium_airport', 'Dresden Airport', 51.134123, 13.767831, 755, 'DE', 'DE-SN', 'Dresden', 'yes', 'EDDC', 'DRS', '', ''),
	('EDOD', 'small_airport', 'Reinsdorf Airfield', 51.900833, 13.194444, 335, 'DE', 'DE-BR', 'Niederer Fläming', 'no', 'EDOD', '', '', 'Flugplatz Reinsdorf'),
	('EDUS', 'small_airport', 'Finsterwalde-Schacksdorf Airfield', 51.60725, 13.737545, 384, 'DE', 'DE-BR', 'Lichterfeld-Schacksdorf', 'no', 'EDUS', '', '', 'Lausitzflugplatz Finsterwalde/Schacksdorf'),
	('EDCF', 'small_airport', 'Friedersdorf Glider Field', 52.283298, 13.8069, 115, 'DE', 'DE-BR', '', 'no', 'EDCF', '', '', ''),
	('EDDP', 'large_airport', 'Leipzig/Halle Airport', 51.420657, 12.232705, 465, 'DE', 'DE-SN', 'Schkeuditz', 'yes', 'EDDP', 'LEJ', '', 'Schkeuditz Airport'),
	('EDAC', 'medium_airport', 'Leipzig–Altenburg Airport', 50.981945, 12.506389, 640, 'DE', 'DE-TH', 'Nobitz', 'no', 'EDAC', 'AOC', '', 'Altenburg-Nobitz'),
	('EDAK', 'small_airport', 'Großenhain Airfield', 51.308056, 13.555556, 417, 'DE', 'DE-SN', 'Großenhain', 'no', 'EDAK', '', '', 'Grossenhain'),
	('EDAX', 'small_airport', 'Rechlin-Lärz Airport', 53.306389, 12.752222, 220, 'DE', 'DE-MV', 'Lärz', 'no', 'EDAX', 'REB', '', 'Müritz Airpark'),
	('EDZK', 'N/A', 'N/A', 52.82794654369354, 11.316074430942535, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDXV', 'N/A', 'N/A', 53.22645239531994, 12.56850779056549, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDAY', 'small_airport', 'Strausberg Airfield', 52.580555, 13.916667, 262, 'DE', 'DE-BR', 'Strausberg', 'no', 'EDAY', '', '', ''),
	('EDDI', 'N/A', 'N/A', 52.47302960604429, 13.403673022985458, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDBI', 'small_airport', 'Zwickau Airfield', 50.701668, 12.453889, 1050, 'DE', 'DE-SN', 'Zwickau', 'no', 'EDBI', '', '', 'Flugplatz Zwickau'),
	('EPRB', 'N/A', 'N/A', 52.32201084494591, 14.810516685247421, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKCY', 'N/A', 'N/A', 50.678089298307896, 14.999798834323883, 382, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDOR', 'small_airport', 'Stölln-Rhinow Airfield', 52.740833, 12.39, 138, 'DE', 'DE-BR', 'Gollenberg', 'no', 'EDOR', '', '', 'Flugplatz Stölln-Rhinow'),
	('Z11K', 'N/A', 'N/A', 51.99625253677368, 12.972933948040009, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED64', 'N/A', 'N/A', 50.88357735425234, 13.529563844203949, 490, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDAW', 'small_airport', 'Roitzschjora Airfield', 51.577778, 12.494444, 289, 'DE', 'DE-SN', 'Roitzschjora', 'no', 'EDAW', '', '', ''),
	('EDOT', 'small_airport', 'Greiz-Obergrochlitz Airfield', 50.643977, 12.174568, 1266, 'DE', 'DE-TH', 'Greiz', 'no', 'EDOT', '', '', 'Heinz-Peinl-Flugplatz Greiz-Obergrochlitz'),
	('EDCI', 'small_airport', 'Klix Airfield', 51.272643, 14.506266, 486, 'DE', 'DE-SN', 'Großdubrau', 'no', 'EDCI', '', '', 'Flugplatz Klix'),
	('EDDB', 'large_airport', 'Berlin Brandenburg Airport', 52.362247, 13.500672, 157, 'DE', 'DE-BR', 'Berlin', 'yes', 'EDDB', 'BER', '', ''),
	('EDBO', 'small_airport', 'Oehna Airfield', 51.899734, 13.052809, 289, 'DE', 'DE-BR', 'Niedergörsdorf', 'no', 'EDBO', '', '', 'Fläming, Flugplatz Oehna'),
	('EDCT', 'small_airport', 'Taucha Airfield', 51.395, 12.536944, 492, 'DE', 'DE-SN', 'Taucha', 'no', 'EDCT', '', '', 'Flugplatz Taucha'),
	('EDBF', 'small_airport', 'Fehrbellin Airfield', 52.793331, 12.760278, 138, 'DE', 'DE-BR', 'Fehrbellin', 'no', 'EDBF', '', '', 'Ruppiner Land'),
	('EDAD', 'small_airport', 'Dessau Airfield', 51.8318, 12.184011, 187, 'DE', 'DE-ST', 'Dessau-Roßlau', 'no', 'EDAD', '', '', ''),
	('ETHT', 'closed', 'Cottbus Army Airfield', 51.767899, 14.292, 220, 'DE', 'DE-BR', 'Cottbus', 'no', '', '', '', 'ETHT'),
	('EDBR', 'medium_airport', 'Rothenburg/Görlitz Airfield', 51.363335, 14.95, 518, 'DE', 'DE-SN', 'Rothenburg/Oberlausitz', 'no', 'EDBR', '', '', ''),
	('EDUZ', 'medium_airport', 'Zerbst Airfield', 52.000832, 12.148611, 289, 'DE', 'DE-ST', 'Straguth', 'no', 'EDUZ', '', '', ''),
	('ED72', 'N/A', 'N/A', 50.91391682624817, 12.61293277144432, 292, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDZH', 'N/A', 'N/A', 52.94225759804249, 12.779252529144287, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED97', 'N/A', 'N/A', 51.51211179792881, 14.082330018281937, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED04', 'N/A', 'N/A', 52.3556799441576, 12.825096398591995, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDOQ', 'small_airport', 'Oschatz Airfield', 51.296772, 13.078687, 502, 'DE', 'DE-SN', 'Oschatz', 'no', 'EDOQ', '', '', 'Flugplatz Oschatz'),
	('EDOU', 'small_airport', 'Weimar-Umpferstedt Airfield', 50.965085, 11.399796, 984, 'DE', 'DE-TH', 'Umpferstedt', 'no', 'EDOU', '', '', 'Flugplatz Weimar-Umpferstedt'),
	('EDBT', 'small_airport', 'Allstedt Airfield', 51.380554, 11.446667, 932, 'DE', 'DE-ST', 'Allstedt', 'no', 'EDBT', '', '', 'Flugplatz Allstedt'),
	('EPGU', 'N/A', 'N/A', 51.99048947542906, 14.732455015182495, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDAZ', 'small_airport', 'Schönhagen Airfield', 52.204631, 13.159526, 152, 'DE', 'DE-BR', 'Trebbin', 'no', 'EDAZ', '', '', ''),
	('EDAV', 'small_airport', 'Eberswalde-Finow Airfield', 52.826313, 13.701324, 121, 'DE', 'DE-BR', 'Eberswalde', 'no', 'EDAV', '', '', 'Flugplatz Eberswalde-Finow'),
	('EDBC', 'small_airport', 'Cochstedt Airport', 51.8564, 11.4203, 594, 'DE', 'DE-ST', 'Hecklingen', 'no', 'EDBC', 'CSO', '', ''),
	('EDAS', 'small_airport', 'Finsterwalde-Heinrichsruh Airfield', 51.634641, 13.67505, 384, 'DE', 'DE-BR', 'Finsterwalde', 'no', 'EDAS', '', '', 'Flugplatz Finsterwalde/Heinrichsruh'),
	('EDAG', 'small_airport', 'Flugplatz Großrückerswalde', 50.644169, 13.126389, 2198, 'DE', 'DE-SN', 'Marienberg', 'no', 'EDAG', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EDOI', 'small_airport', 'Bienenfarm Airfield', 52.661667, 12.745833, 120, 'DE', 'DE-BR', 'Paulinenaue', 'no', 'EDOI', '', '', ''),
	('EDJO', 'N/A', 'N/A', 52.36399210989475, 14.49517697095871, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKCE', 'small_airport', 'Česká Lípa Airfield', 50.7094, 14.5667, 932, 'CZ', 'CZ-LI', 'Česká Lípa', 'no', 'LKCE', '', '', 'Letiště Česká Lípa'),
	('EDCE', 'small_airport', 'Müncheberg-Eggersdorf Airfield', 52.481667, 14.0875, 223, 'DE', 'DE-BR', 'Müncheberg', 'no', 'EDCE', '', '', 'Sonderlandeplatz Eggersdorf'),
	('EDBM', 'small_airport', 'Magdeburg City Airfield', 52.073612, 11.626389, 269, 'DE', 'DE-ST', 'Magdeburg', 'no', 'EDBM', '', '', 'ZMG'),
	('LKCK', 'N/A', 'N/A', 50.64159248024225, 14.54152598977089, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDBZ', 'small_airport', 'Schwarzheide/Schipkau Airfield', 51.491929, 13.879366, 331, 'DE', 'DE-BR', 'Schwarzheide', 'no', 'EDBZ', '', '', ''),
	('LKOE', 'N/A', 'N/A', 50.7278935611248, 14.924808740615845, 462, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EXEA', 'N/A', 'N/A', 51.498659178614616, 12.329859137535095, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EXCB', 'N/A', 'N/A', 51.35847184807062, 12.610373497009277, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDAP', 'small_airport', 'Cottbus-Neuhausen Airfield', 51.684723, 14.423056, 279, 'DE', 'DE-BR', 'Neuhausen/Spree', 'no', 'EDAP', '', '', ''),
	('EDYQ', 'N/A', 'N/A', 51.20216812938452, 11.498229503631592, 298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDOE', 'small_airport', 'Böhlen Airfield', 51.21389, 12.363611, 430, 'DE', 'DE-SN', 'Großpösna', 'no', 'EDOE', '', '', 'Boehlen, Flugplatz Böhlen'),
	('LKDE', 'N/A', 'N/A', 50.822148732841015, 14.272066801786423, 381, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED87', 'N/A', 'N/A', 50.67581746727228, 12.678909748792648, 407, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDUO', 'small_airport', 'Oberrißdorf Airfield', 51.5425, 11.595833, 738, 'DE', 'DE-ST', 'Hedersleben', 'no', 'EDUO', '', '', ''),
	('EDOG', 'small_airport', 'Torgau-Beilrode Airfield', 51.570907, 13.051641, 0, 'DE', 'DE-SN', 'Beilrode', 'no', 'EDOG', '', '', ''),
	('EDAJ', 'small_airport', 'Gera-Leumnitz Airfield', 50.881668, 12.135833, 1014, 'DE', 'DE-TH', 'Gera', 'no', 'EDAJ', '', '', 'Flugplatz Gera-Leumnitz'),
	('EDCD', 'closed', 'Cottbus-Drewitz Airport', 51.889442, 14.531944, 272, 'DE', 'DE-BR', 'Jänschwalde', 'no', '', '', '', 'EDCD, CBU'),
	('EDYS', 'N/A', 'N/A', 51.303080543875694, 13.228278905153275, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDAI', 'small_airport', 'Sonderlandeplatz Segeletz', 52.826668, 12.541944, 141, 'DE', 'DE-BR', 'Neustadt', 'no', 'EDAI', '', '', ''),
	('EDAN', 'small_airport', 'Neustadt-Glewe Airfield', 53.359722, 11.615278, 115, 'DE', 'DE-MV', 'Neustadt-Glewe', 'no', 'EDAN', '', '', 'Flugplatz Neustadt-Glewe'),
	('EDCY', 'small_airport', 'Spremberg-Welzow Airfield', 51.575558, 14.136944, 375, 'DE', 'DE-BR', 'Welzow', 'no', 'EDCY', '', '', 'Welzow, Cottbus, Senftenberg, Beton'),
	('ED54', 'N/A', 'N/A', 52.17697810381651, 11.929277032613754, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDAM', 'small_airport', 'Merseburg Airfield', 51.362564, 11.94113, 341, 'DE', 'DE-ST', 'Merseburg', 'no', 'EDAM', '', '', 'Flugplatz Merseburg'),
	('EDUF', 'small_airport', 'Falkenberg-Lönnewitz Airfield', 51.547779, 13.228056, 312, 'DE', 'DE-BR', 'Mühlberg', 'no', 'EDUF', '', '', 'Flugplatz Falkenberg-Lönnewitz'),
	('EDCJ', 'small_airport', 'Chemnitz/Jahnsdorf Airfield', 50.747501, 12.8375, 1198, 'DE', 'DE-SN', 'Jahnsdorf', 'no', 'EDCJ', '', '', ''),
	('EDBQ', 'small_airport', 'Bronkow Airfield', 51.672075, 13.960104, 423, 'DE', 'DE-BR', 'Luckaitztal', 'no', 'EDBQ', '', '', 'Flugplatz Bronkow'),
	('EDAU', 'small_airport', 'Riesa-Göhlis Airport', 51.29361, 13.356111, 322, 'DE', 'DE-SN', 'Riesa', 'no', 'EDAU', 'IES', '', ''),
	('LKVI', 'N/A', 'N/A', 51.00855220109224, 14.34413954615593, 375, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDCC', 'N/A', 'N/A', 49.21163745224476, 12.65726387500763, 368, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOLG', 'small_airport', 'Sankt Georgen-Ybbsfeld Airfield', 48.10332, 14.951091, 827, 'AT', 'AT-3', 'Sankt Georgen am Ybbsfelde', 'no', 'LOLG', '', '', ''),
	('EDGV', 'N/A', 'N/A', 49.06246941536665, 11.291399002075195, 525, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKMM', 'N/A', 'N/A', 50.619349591434, 14.73291590809822, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKBK', 'N/A', 'N/A', 50.356950759887695, 14.806744158267975, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDJG', 'small_airport', 'Grabenstätt Airfield', 47.852757, 12.55037, 1765, 'DE', 'DE-BY', 'Grabenstätt', 'no', 'EDJG', '', '', ''),
	('ETOI', 'small_airport', 'Vilseck Army Air Field', 49.634077, 11.767495, 1353, 'DE', 'DE-BY', 'Vilseck', 'no', 'ETOI', '', '', ''),
	('ED49', 'N/A', 'N/A', 49.267782792449, 11.572635769844055, 552, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDQI', 'small_airport', 'Lauf-Lillinghof Airfield', 49.605162, 11.283581, 1788, 'DE', 'DE-BY', 'Schnaittach', 'no', 'EDQI', '', '', 'Flugplatz Lauf-Lillinghof, Segelflugplatz Lauf-Lillinghof, Lauf an der Pegnitz'),
	('LKTA', 'small_airport', 'Tábor Airfield', 49.391102, 14.7083, 1440, 'CZ', 'CZ-JC', 'Tábor', 'no', 'LKTA', '', '', ''),
	('EDMP', 'small_airport', 'Vilsbiburg Airfield', 48.426109, 12.345278, 1450, 'DE', 'DE-BY', 'Vilsbiburg', 'no', 'EDMP', '', '', ''),
	('EDOO', 'N/A', 'N/A', 49.38740059733391, 11.422267109155655, 539, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNM', 'small_airport', 'Nittenau-Bruck Airfield', 49.2225, 12.296667, 1161, 'DE', 'DE-BY', 'Bruck in der Oberpfalz', 'no', 'EDNM', '', '', ''),
	('LKRI', 'N/A', 'N/A', 49.97452810406685, 14.649922996759415, 373, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKDN', 'N/A', 'N/A', 49.12830859422684, 14.633586555719376, 427, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKPR', 'large_airport', 'Václav Havel Airport Prague', 50.100874, 14.259911, 1247, 'CZ', 'CZ-PR', 'Prague', 'yes', 'LKPR', 'PRG', '', 'Letiště Praha-Ruzyně, Ruzyně International Airport, Letiště Václava Havla Praha'),
	('EDNC', 'small_airport', 'Beilngries Airfield', 49.021389, 11.484722, 1211, 'DE', 'DE-BY', 'Beilngries', 'no', 'EDNC', '', '', ''),
	('ETT1', 'small_airport', 'Etting-Adelmannsberg Glider Field', 48.81028, 11.42096, 1253, 'DE', 'DE-BY', 'Ingolstadt', 'no', '', '', '', ''),
	('EDPP', 'N/A', 'N/A', 49.43905860185623, 11.80529460310936, 391, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKSN', 'small_airport', 'Slaný Airfield', 50.216702, 14.0886, 1079, 'CZ', 'CZ-ST', 'Slaný', 'no', 'LKSN', '', '', ''),
	('EDQW', 'small_airport', 'Weiden in der Oberpfalz Airfield', 49.678902, 12.1164, 1329, 'DE', 'DE-BY', 'Weiden in der Oberpfalz', 'no', 'EDQW', '', '', 'Weiden/Opf. Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LKKC', 'small_airport', 'Kříženec Planá Airfield', 49.870602, 12.7725, 2080, 'CZ', 'CZ-PL', 'Planá', 'no', 'LKKC', '', '', ''),
	('EDPX', 'N/A', 'N/A', 48.95172469317913, 12.146559208631516, 386, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDEI', 'N/A', 'N/A', 48.878108114004135, 11.760492771863937, 402, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNX', 'small_airport', 'Schleissheim Airfield', 48.239166, 11.559334, 1594, 'DE', 'DE-BY', 'Oberschleissheim', 'no', 'EDNX', '', '', 'Oberschleißheim'),
	('EDED', 'N/A', 'N/A', 49.84385456889868, 12.067053616046906, 497, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETIC', 'medium_airport', 'Grafenwöhr Army Air Field', 49.6987, 11.9402, 1363, 'DE', 'DE-BY', 'Grafenwöhr', 'no', 'ETIC', '', '', ''),
	('EDPS', 'small_airport', 'Flugplatz Sonnen', 48.682777, 13.694722, 2674, 'DE', 'DE-BY', 'Waldkirchen', 'no', 'EDPS', '', '', ''),
	('EDTI', 'N/A', 'N/A', 49.87431038171053, 12.326262295246124, 486, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDHH', 'N/A', 'N/A', 48.649789430201054, 11.596893221139908, 386, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKST', 'small_airport', 'Strakonice Airfield', 49.251701, 13.8928, 1381, 'CZ', 'CZ-JC', 'Strakonice', 'no', 'LKST', '', '', ''),
	('LKKV', 'medium_airport', 'Karlovy Vary Airport', 50.202999, 12.915, 1989, 'CZ', 'CZ-KA', 'Karlovy Vary', 'yes', 'LKKV', 'KLV', '', 'Karlovy Vary International'),
	('EDOA', 'small_airport', 'Auerbach Airfield', 50.497305, 12.377987, 1880, 'DE', 'DE-SN', 'Auerbach/Vogtland', 'no', 'EDOA', '', '', 'Flugplatz Auerbach'),
	('LKSZ', 'small_airport', 'Letiště Sazená', 50.324699, 14.2589, 761, 'CZ', 'CZ-ST', 'Sazená', 'no', 'LKSZ', '', '', 'Sazena Kralupy Airport, Sazena Kralipy Airport'),
	('LKVL', 'small_airport', 'Vlašim Airfield', 49.728901, 14.8789, 1421, 'CZ', 'CZ-ST', 'Vlašim', 'no', 'LKVL', '', '', ''),
	('LOLH', 'small_airport', 'Hofkirchen Airfield', 48.13911, 14.33584, 1175, 'AT', 'AT-4', 'Hofkirchen', 'no', 'LOLH', '', '', ''),
	('LOLK', 'small_airport', 'Ried-Kirchheim Airfield', 48.21227, 13.345678, 1378, 'AT', 'AT-4', 'Kirchheim im Innkreis', 'no', 'LOLK', '', '', ''),
	('LKDO', 'N/A', 'N/A', 49.99646320939064, 12.573264688253403, 642, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDMW', 'small_airport', 'Deggendorf Airfield', 48.830276, 12.879722, 1030, 'DE', 'DE-BY', 'Deggendorf', 'no', 'EDMW', '', '', 'Flugplatz Deggendorf'),
	('EDNB', 'small_airport', 'Arnbruck Airfield', 49.124722, 12.985556, 1716, 'DE', 'DE-BY', 'Arnbruck', 'no', 'EDNB', '', '', ''),
	('ED12', 'N/A', 'N/A', 50.59231225401163, 11.588582396507263, 530, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKNR', 'N/A', 'N/A', 49.77203506976366, 13.161203116178513, 401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDQK', 'small_airport', 'Kulmbach Airfield', 50.134921, 11.459069, 1660, 'DE', 'DE-BY', 'Kulmbach', 'no', 'EDQK', '', '', ''),
	('LKFY', 'N/A', 'N/A', 48.6986918002367, 14.197179079055786, 784, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDQP', 'small_airport', 'Rosenthal-Plössen Airfield', 49.863335, 11.787778, 1496, 'DE', 'DE-BY', 'Speichersdorf', 'no', 'EDQP', '', '', ''),
	('EDMD', 'small_airport', 'Dachau-Gröbenried Airfield', 48.228675, 11.422134, 1608, 'DE', 'DE-BY', 'Bergkirchen', 'no', 'EDMD', '', '', ''),
	('LKKE', 'heliport', 'Karlov Heliport', 49.163889, 13.426944, 2577, 'CZ', 'CZ-JC', '', 'no', 'LKKE', '', '', ''),
	('EDHR', 'N/A', 'N/A', 49.50727254152298, 11.44809141755104, 338, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKZD', 'small_airport', 'Žatec-Macerka Airfield', 50.317501, 13.5128, 879, 'CZ', 'CZ-US', 'Žatec', 'no', 'LKZD', '', '', ''),
	('LKBU', 'small_airport', 'Bubovice Airfield', 49.9744, 14.1781, 1401, 'CZ', 'CZ-ST', 'Bubovice', 'no', 'LKBU', '', '', ''),
	('EDMY', 'small_airport', 'Mühldorf Airfield', 48.279575, 12.500453, 1325, 'DE', 'DE-BY', 'Mühldorf am Inn', 'no', 'EDMY', '', '', ''),
	('LKBN', 'N/A', 'N/A', 50.21094907075167, 14.657403230667114, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNA', 'small_airport', 'Ampfing-Waldkraiburg Airfield', 48.263611, 12.411667, 1362, 'DE', 'DE-BY', 'Ampfing', 'no', 'EDNA', '', '', ''),
	('EDJI', 'N/A', 'N/A', 48.38209357112646, 11.272962391376495, 498, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOLM', 'small_airport', 'Micheldorf Airfield', 47.871669, 14.125149, 1509, 'AT', 'AT-4', 'Micheldorf', 'no', 'LOLM', '', '', ''),
	('LKHV', 'small_airport', 'Hořovice Airfield', 49.848099, 13.8935, 1214, 'CZ', 'CZ-ST', 'Hořovice', 'no', 'LKHV', '', '', 'Tlustice'),
	('EDBB', 'N/A', 'N/A', 48.21618553251028, 12.648325860500336, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKSA', 'small_airport', 'Staňkov Airfield', 49.566667, 13.048611, 1404, 'CZ', 'CZ-PL', 'Staňkov', 'no', 'LKSA', '', '', ''),
	('LKKB', 'medium_airport', 'Kbely Air Base', 50.121399, 14.5436, 939, 'CZ', 'CZ-PR', 'Prague', 'no', 'LKKB', '', '', ''),
	('LOLO', 'small_airport', 'Linz-East Glider Field', 48.300044, 14.333606, 827, 'AT', 'AT-4', 'Linz', 'no', 'LOLO', '', '', ''),
	('EDPO', 'small_airport', 'Neumarkt-Oberpfalz Airfield', 49.285557, 11.443056, 1394, 'DE', 'DE-BY', 'Neumarkt in der Oberpfalz', 'no', 'EDPO', '', '', 'Flugplatz Neumarkt-Oberpfalz'),
	('LKKL', 'small_airport', 'Kladno Airfield', 50.112801, 14.0897, 1421, 'CZ', 'CZ-ST', 'Kladno', 'no', 'LKKL', '', '', ''),
	('LKTE', 'N/A', 'N/A', 50.6208087131381, 13.809625804424286, 340, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDMO', 'medium_airport', 'Oberpfaffenhofen Airport', 48.081402, 11.2831, 1947, 'DE', 'DE-BY', 'Weßling', 'no', 'EDMO', 'OBF', '', 'Weßling'),
	('LKTV', 'closed', 'Tábor Všechov Air Base', 49.437801, 14.6217, 1604, 'CZ', 'CZ-JC', 'Tábor', 'no', '', '', '', 'LKTV, LKTV'),
	('LOLT', 'small_airport', 'Flugplatz Seitenstetten', 48.050556, 14.661944, 1050, 'AT', 'AT-3', 'Seitenstetten', 'no', 'LOLT', '', '', ''),
	('LKVO', 'medium_airport', 'Vodochody Airport', 50.216599, 14.3958, 919, 'CZ', 'CZ-ST', 'Vodochody', 'no', 'LKVO', 'VOD', '', ''),
	('LKPK', 'N/A', 'N/A', 49.33951914310455, 14.11386251449585, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNR', 'small_airport', 'Regensburg-Oberhub Airfield', 49.141945, 12.081944, 1299, 'DE', 'DE-BY', 'Regenstauf', 'no', 'EDNR', '', '', ''),
	('LKPZ', 'N/A', 'N/A', 49.33047439903021, 14.659115821123123, 457, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETIH', 'medium_airport', 'Hohenfels Army Airfield', 49.216541, 11.836064, 1455, 'DE', 'DE-BY', 'Hohenfels', 'no', 'ETIH', '', '', ''),
	('LOLU', 'small_airport', 'Gmunden-Laakirchen Airfield', 47.951541, 13.867271, 1670, 'AT', 'AT-4', 'Laakirchen', 'no', 'LOLU', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LKMU', 'N/A', 'N/A', 50.01592464745045, 14.772259891033173, 388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDDM', 'large_airport', 'Munich Airport', 48.353802, 11.7861, 1487, 'DE', 'DE-BY', 'Munich', 'yes', 'EDDM', 'MUC', '', 'Franz Josef Strauss Airport, Flughafen München Franz Josef Strauß'),
	('LKKQ', 'N/A', 'N/A', 49.972199611365795, 13.628678172826767, 435, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDWW', 'N/A', 'N/A', 47.824483439326286, 11.704341173171997, 727, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKCS', 'small_airport', 'České Budějovice South Bohemian Airport', 48.9464, 14.4275, 1417, 'CZ', 'CZ-JC', 'České Budějovice', 'no', 'LKCS', 'JCL', '', 'Jihočeské letiště České Budějovice'),
	('LKHY', 'N/A', 'N/A', 50.00885467976332, 14.037711024284363, 377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDKG', 'N/A', 'N/A', 47.82853525131941, 11.466192752122879, 603, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDML', 'small_airport', 'Landshut Airfield', 48.511665, 12.033333, 1312, 'DE', 'DE-BY', 'Landshut', 'no', 'EDML', '', '', 'QLG'),
	('EDPC', 'small_airport', 'Bad Endorf/Jolling Airfield', 47.926899, 12.2872, 1690, 'DE', 'DE-BY', 'Bad Endorf', 'no', 'EDPC', '', '', ''),
	('LKKH', 'N/A', 'N/A', 49.951200261712074, 14.870596826076508, 417, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKRO', 'small_airport', 'Roudnice nad Labem Airfield', 50.410186, 14.22708, 732, 'CZ', 'CZ-US', 'Roudnice nad Labem', 'no', 'LKRO', '', '', ''),
	('LKBL', 'closed', 'Blátna Air Base', 49.431173, 13.797095, 0, 'CZ', 'CZ-JC', 'Blátna', 'no', '', '', '', 'Tchořovice, LKBL'),
	('LKTD', 'small_airport', 'Tachov Airfield', 49.797223, 12.707169, 1640, 'CZ', 'CZ-PL', 'Tachov', 'no', 'LKTD', '', '', 'Letiště Tachov'),
	('LKHR', 'small_airport', 'Hradčany Airfield', 50.619247, 14.732753, 912, 'CZ', 'CZ-LI', 'Kuřívody', 'no', '', '', 'LKHRAD', 'LKHR, Hradčany Air Base, Letecká základna Hradčany, Letiště Hradčany'),
	('LKME', 'N/A', 'N/A', 50.38507975637913, 14.577086716890335, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ETSF', 'closed', 'Fürstenfeldbruck Air Base', 48.205555, 11.266944, 1703, 'DE', 'DE-BY', 'Fürstenfeldbruck', 'no', '', '', '', 'ETSF, ETSF, FEL'),
	('ED24', 'N/A', 'N/A', 49.21524602919817, 11.400619894266129, 440, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKDB', 'N/A', 'N/A', 50.433486588299274, 13.810552954673767, 279, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNP', 'small_airport', 'Pfarrkirchen Airfield', 48.420277, 12.864722, 1266, 'DE', 'DE-BY', 'Rahberg', 'no', 'EDNP', '', '', 'Flugplatz Pfarrkirchen'),
	('EDNK', 'small_airport', 'Kirchdorf/Inn Airfield', 48.238335, 12.976667, 1138, 'DE', 'DE-BY', 'Kirchdorf am Inn', 'no', 'EDNK', '', '', ''),
	('LKPC', 'small_airport', 'Panensky Tynec Airfield', 50.306099, 13.9342, 1207, 'CZ', 'CZ-US', 'Panensky Tynec', 'no', 'LKPC', '', '', ''),
	('LKTO', 'small_airport', 'Toužim Airfield', 50.086399, 12.9528, 2139, 'CZ', 'CZ-KA', 'Toužim', 'no', 'LKTO', '', '', ''),
	('LKJY', 'N/A', 'N/A', 50.33645298331976, 12.96925038099289, 507, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED79', 'N/A', 'N/A', 48.18018224090338, 11.927727162837982, 514, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOLF', 'small_airport', 'Freistadt Airfield', 48.513748, 14.406579, 2237, 'AT', 'AT-4', 'Freistadt', 'no', 'LOLF', '', '', ''),
	('EDMS', 'small_airport', 'Straubing Airport', 48.900833, 12.516667, 1047, 'DE', 'DE-BY', 'Atting', 'no', 'EDMS', 'RBM', '', ''),
	('LKSO', 'small_airport', 'Soběslav Airfield', 49.2455, 14.712993, 1342, 'CZ', 'CZ-JC', 'Soběslav', 'no', 'LKSO', '', '', ''),
	('LKBV', 'N/A', 'N/A', 48.91506627202034, 14.72629800438881, 502, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOLS', 'small_airport', 'Schärding-Suben Airfield', 48.403301, 13.4483, 1070, 'AT', 'AT-4', 'Suben', 'no', 'LOLS', '', '', 'Flugplatz Schärding-Suben'),
	('LKSV', 'N/A', 'N/A', 49.887953102588654, 14.940898418426514, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDPF', 'small_airport', 'Schwandorf Airfield', 49.339722, 12.188056, 1270, 'DE', 'DE-BY', 'Schwandorf', 'no', 'EDPF', '', '', ''),
	('LKER', 'small_airport', 'Erpužice Airfield', 49.802799, 13.0381, 1572, 'CZ', 'CZ-PL', 'Erpužice', 'no', 'LKER', '', '', ''),
	('EDMF', 'small_airport', 'Fürstenzell Airfield', 48.518055, 13.345833, 1345, 'DE', 'DE-BY', 'Fürstenzell', 'no', 'EDMF', '', '', ''),
	('LKBZ', 'N/A', 'N/A', 49.89979974925518, 12.964821606874466, 604, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKLK', 'N/A', 'N/A', 50.217017233371735, 12.776924818754196, 500, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDQM', 'medium_airport', 'Hof-Plauen Airport', 50.288544, 11.852876, 1959, 'DE', 'DE-BY', 'Hof', 'no', 'EDQM', 'HOQ', '', ''),
	('LKLC', 'heliport', 'Liberec - Nemocnice Heliport', 50.77, 15.063889, 1358, 'CZ', 'CZ-LI', '', 'no', 'LKLC', '', '', ''),
	('LKMO', 'small_airport', 'Most Airfield', 50.525002, 13.6831, 1089, 'CZ', 'CZ-US', 'Most', 'no', 'LKMO', '', '', ''),
	('LKTC', 'small_airport', 'Točná Airfield', 49.985435, 14.426465, 1027, 'CZ', 'CZ-PR', 'Prague', 'no', 'LKTC', '', '', ''),
	('EDPD', 'small_airport', 'Dingolfing Airfield', 48.656727, 12.498794, 1165, 'DE', 'DE-BY', 'Dingolfing', 'no', 'EDPD', '', '', ''),
	('EDMM', 'N/A', 'N/A', 50.243707560002804, 11.358888298273087, 464, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNZ', 'small_airport', 'Zell-Haidberg Airfield', 50.136944, 11.794444, 2083, 'DE', 'DE-BY', 'Zell im Fichtelgebirge', 'no', 'EDNZ', '', '', ''),
	('LKCC', 'N/A', 'N/A', 49.65178124606609, 13.18967878818512, 370, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOLW', 'small_airport', 'Wels Airfield', 48.182513, 14.039283, 1043, 'AT', 'AT-4', 'Wels', 'no', 'LOLW', '', '', ''),
	('EDTT', 'N/A', 'N/A', 50.02143993973732, 11.927679777145386, 566, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKRK', 'small_airport', 'Rakovnik Airfield', 50.0942, 13.6889, 1270, 'CZ', 'CZ-ST', 'Rakovnik', 'no', 'LKRK', '', '', ''),
	('LKMR', 'N/A', 'N/A', 49.922432228922844, 12.724695056676865, 540, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKRY', 'small_airport', 'Rokycany Airfield', 49.751944, 13.589722, 1329, 'CZ', 'CZ-PL', 'Rokycany', 'no', 'LKRY', '', '', ''),
	('LKPM', 'small_airport', 'Příbram Airfield', 49.7201, 14.1006, 1529, 'CZ', 'CZ-ST', 'Drásov', 'no', 'LKPM', '', '', 'lkpm'),
	('EDYP', 'N/A', 'N/A', 50.329147316515446, 11.282280832529068, 358, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKPP', 'heliport', 'Predni Kopanina Heliport', 50.119444, 14.303056, 1125, 'CZ', 'CZ-PR', '', 'no', 'LKPP', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EDPK', 'small_airport', 'Schönberg Airfield', 48.047779, 12.500556, 1946, 'DE', 'DE-BY', 'Kienberg', 'no', 'EDPK', '', '', ''),
	('EDZB', 'N/A', 'N/A', 50.39337180554867, 11.52148112654686, 636, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNI', 'small_airport', 'Berching Airfield', 49.131043, 11.443205, 1266, 'DE', 'DE-BY', 'Berching', 'no', 'EDNI', '', '', 'Flugplatz Berching'),
	('LOWL', 'medium_airport', 'Linz-Hörsching Airport / Vogler Air Base', 48.2332, 14.1875, 980, 'AT', 'AT-4', 'Linz', 'yes', 'LOWL', 'LNZ', '', 'Blue Danube Airport, Vogler Air Base, Fliegerhorst Vogler, Christophorus 10'),
	('LKCB', 'small_airport', 'Cheb Airfield', 50.066101, 12.4117, 1585, 'CZ', 'CZ-KA', 'Cheb', 'no', 'LKCB', '', '', 'Letiště Cheb, Eger'),
	('EDPQ', 'small_airport', 'Schmidgaden Airfield', 49.429443, 12.098056, 1247, 'DE', 'DE-BY', 'Schmidgaden', 'no', 'EDPQ', '', '', ''),
	('LKHS', 'small_airport', 'Hosín Airfield', 49.040001, 14.495, 1621, 'CZ', 'CZ-JC', 'Hluboká nad Vltavou', 'no', 'LKHS', '', '', ''),
	('LKSR', 'small_airport', 'Strunkovice Airfield', 49.0825, 14.0758, 1572, 'CZ', 'CZ-JC', 'Strunkovice', 'no', 'LKSR', '', '', ''),
	('LKKT', 'small_airport', 'Klatovy Josef Hubáč Airfield', 49.418301, 13.3219, 1299, 'CZ', 'CZ-PL', 'Klatovy', 'no', 'LKKT', '', '', ''),
	('EDPG', 'small_airport', 'Griesau Airfield', 48.953888, 12.421389, 1060, 'DE', 'DE-BY', 'Pfatter', 'no', 'EDPG', '', '', 'Sonderlandeplatz Griesau'),
	('EDQZ', 'small_airport', 'Pegnitz-Zipser Berg Airfield', 49.76238, 11.574619, 1791, 'DE', 'DE-BY', 'Pegnitz', 'no', 'EDQZ', '', '', ''),
	('LKKS', 'N/A', 'N/A', 50.526481457054615, 14.187034964561462, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKPS', 'small_airport', 'Plasy Rybnice Airfield', 49.9203, 13.3769, 1430, 'CZ', 'CZ-PL', 'Plasy', 'no', 'LKPS', '', '', ''),
	('EDIL', 'N/A', 'N/A', 49.498179852962494, 11.658795475959778, 497, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOLC', 'small_airport', 'Scharnstein Airfield', 47.898602, 13.9394, 1742, 'AT', 'AT-4', 'Scharnstein', 'no', 'LOLC', '', '', 'Flugplatz Scharnstein'),
	('ETSI', 'medium_airport', 'Ingolstadt Manching Airport', 48.7156982421875, 11.534000396728516, 1202, 'DE', 'DE-BY', 'Manching', 'no', 'ETSI', 'IGS', '', ''),
	('EDME', 'small_airport', 'Eggenfelden Airfield', 48.396111, 12.723611, 1342, 'DE', 'DE-BY', 'Eggenfelden', 'no', 'EDME', '', '', ''),
	('EDPZ', 'N/A', 'N/A', 49.32852644473314, 11.47975578904152, 553, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKJH', 'small_airport', 'Jindřichův Hradec Airfield', 49.150682, 14.972413, 1667, 'CZ', 'CZ-JC', 'Jindřichův Hradec', 'no', 'LKJH', '', '', ''),
	('LKBC', 'closed', 'Bechyně Air Base', 49.2736, 14.5018, 1448, 'CZ', 'CZ-JC', 'Bechyně', 'no', '', '', '', 'LKBC, LKBC'),
	('EDPI', 'small_airport', 'Moosburg auf der Kippe Airfield', 48.456588, 11.941624, 1375, 'DE', 'DE-BY', 'Moosburg an der Isar', 'no', 'EDPI', '', '', ''),
	('EDZE', 'N/A', 'N/A', 49.271618351340294, 12.778336554765701, 416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKLN', 'medium_airport', 'Plzeň-Líně Airport', 49.675201, 13.2746, 1188, 'CZ', 'CZ-PL', 'Plzen', 'no', 'LKLN', '', '', ''),
	('ETSE', 'closed', 'Erding Air Base', 48.3223, 11.9487, 1515, 'DE', 'DE-BY', 'Erding', 'no', '', '', '', 'Fliegerhorst Erding, ETSE'),
	('LKCH', 'small_airport', 'Chomutov Airfield', 50.468899, 13.4681, 1132, 'CZ', 'CZ-US', 'Otvice', 'no', 'LKCH', '', '', ''),
	('EDMV', 'small_airport', 'Vilshofen Airfield', 48.634998, 13.195556, 991, 'DE', 'DE-BY', 'Vilshofen an der Donau', 'no', 'EDMV', '', '', ''),
	('LKKP', 'N/A', 'N/A', 48.71838591992855, 14.450273215770721, 638, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKTN', 'N/A', 'N/A', 48.9994603022933, 14.723356068134308, 459, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ED77', 'N/A', 'N/A', 49.351920671761036, 11.488491296768188, 574, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDCZ', 'N/A', 'N/A', 47.96296790242195, 11.995589286088943, 490, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOLE', 'small_airport', 'Eferding Airfield', 48.338793, 13.985209, 887, 'AT', 'AT-4', 'Pupping', 'no', 'LOLE', '', '', ''),
	('EDQO', 'small_airport', 'Ottengrüner Heide Airfield', 50.225834, 11.731667, 1880, 'DE', 'DE-BY', 'Helmbrechts', 'no', 'EDQO', '', '', ''),
	('EDNF', 'small_airport', 'Elsenthal Grafe Airfield', 48.822498, 13.3675, 1417, 'DE', 'DE-BY', 'Grafenau', 'no', 'EDNF', '', '', ''),
	('LKLT', 'small_airport', 'Letňany Airfield', 50.131401, 14.5256, 909, 'CZ', 'CZ-PR', 'Letňany', 'no', 'LKLT', '', '', ''),
	('LKSI', 'N/A', 'N/A', 50.46483255922794, 14.406153112649918, 242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKBE', 'small_airport', 'Benešov Airfield', 49.740799, 14.6447, 1319, 'CZ', 'CZ-ST', 'Benešov', 'no', 'LKBE', '', '', ''),
	('LKPV', 'N/A', 'N/A', 49.41789597272873, 14.996624439954758, 588, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKCF', 'N/A', 'N/A', 49.377025812864304, 14.999923557043076, 655, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDQD', 'medium_airport', 'Bayreuth Airport', 49.985001, 11.64, 1601, 'DE', 'DE-BY', 'Bindlach', 'no', 'EDQD', 'BYU', '', 'Bindlacher Berg Airport'),
	('LKKZ', 'N/A', 'N/A', 49.98568408191204, 13.530713617801666, 459, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKPL', 'small_airport', 'Letkov Airfield', 49.723099, 13.4522, 1371, 'CZ', 'CZ-PL', 'Letkov', 'no', 'LKPL', '', '', ''),
	('EDYU', 'N/A', 'N/A', 48.273283056914806, 12.218035608530045, 459, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKRA', 'small_airport', 'Rana Loumy Airfield', 50.4039, 13.7519, 879, 'CZ', 'CZ-US', 'Raná', 'no', 'LKRA', '', '', ''),
	('LKCD', 'N/A', 'N/A', 50.03973361104727, 14.82206180691719, 311, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDNV', 'small_airport', 'Vogtareuth Airfield', 47.94611, 12.204722, 1535, 'DE', 'DE-BY', 'Vogtareuth', 'no', 'EDNV', '', '', ''),
	('LKMB', 'small_airport', 'Mladá Boleslav Airfield', 50.3983, 14.8983, 781, 'CZ', 'CZ-ST', 'Mladá Boleslav', 'no', 'LKMB', '', '', ''),
	('LOSA', 'N/A', 'N/A', 47.72998385131359, 13.45596045255661, 537, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOP', 'N/A', 'N/A', 46.04547310620546, 11.54054045677185, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQR', 'N/A', 'N/A', 45.821831189095974, 12.683375626802444, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDGY', 'N/A', 'N/A', 47.76533905416727, 11.595359444618225, 719, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMQ', 'N/A', 'N/A', 45.857247076928616, 12.065543085336685, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LIVF', 'N/A', 'N/A', 45.984799191355705, 12.923043966293335, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXB', 'N/A', 'N/A', 46.13349113613367, 13.278296291828156, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINR', 'N/A', 'N/A', 45.32521717250347, 11.87301054596901, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJLA', 'N/A', 'N/A', 45.99687717854977, 14.52465757727623, 286, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVD', 'small_airport', 'Dobbiaco-Toblach Airstrip', 46.727021, 12.230723, 4068, 'IT', 'IT-32', 'Toblach (Dobbiaco) (BZ)', 'no', 'LIVD', '', 'BZ04', ''),
	('LIPV', 'small_airport', 'Venice-Lido Giovanni Nicelli Airfield', 45.428299, 12.3881, 15, 'IT', 'IT-34', 'Venezia (VE)', 'no', 'LIPV', '', 'VE06', 'Giovanni Nicelli, Venice-San Nicolò, Venezia-Lido'),
	('LIFH', 'N/A', 'N/A', 45.74168611317873, 11.806362569332123, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJPZ', 'medium_airport', 'Portorož Airport', 45.47201, 13.615951, 7, 'SI', 'SI-090', 'Sečovlje', 'no', 'LJPZ', 'POW', '', 'Sečovlje'),
	('LIQQ', 'N/A', 'N/A', 45.815422385931015, 12.752025425434113, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITE', 'N/A', 'N/A', 46.181688755750656, 12.822259068489075, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXK', 'N/A', 'N/A', 45.86817607283592, 12.79164120554924, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHZ', 'N/A', 'N/A', 45.37197511643171, 12.037301659584045, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUT', 'N/A', 'N/A', 45.96130505204201, 13.20462092757225, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDRG', 'small_airport', 'Grobničko Polje Airfield', 45.379501, 14.5038, 951, 'HR', 'HR-08', 'Soboli', 'no', 'LDRG', '', '', ''),
	('LIUU', 'N/A', 'N/A', 45.23339677602053, 11.798021346330643, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDZR', 'N/A', 'N/A', 47.76007756590843, 11.304387152194977, 613, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJCK', 'N/A', 'N/A', 45.777680687606335, 14.388186782598495, 551, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPQ', 'medium_airport', 'Trieste–Friuli Venezia Giulia Airport', 45.827499, 13.4722, 39, 'IT', 'IT-36', 'Ronchi dei Legionari (GO)', 'yes', 'LIPQ', 'TRS', 'GO02', 'Ronchi Dei Legionari Airport, Trieste-Ronchi dei Legionari Airport'),
	('LIGL', 'N/A', 'N/A', 45.66538296639919, 11.807409971952438, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFV', 'N/A', 'N/A', 45.31798996031284, 12.056477665901184, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGH', 'N/A', 'N/A', 45.291787795722485, 12.075840085744858, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJDL', 'N/A', 'N/A', 46.089690662920475, 14.647181332111359, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXC', 'N/A', 'N/A', 45.913412533700466, 13.371790945529938, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYL', 'N/A', 'N/A', 46.08465515077114, 12.121122032403946, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINE', 'N/A', 'N/A', 45.84219988435507, 12.19352513551712, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJLJ', 'large_airport', 'Ljubljana Jože Pučnik Airport', 46.223701, 14.4576, 1273, 'SI', 'SI-012', 'Zgornji Brnik', 'yes', 'LJLJ', 'LJU', '', 'Ljubljana, Kranj'),
	('LIIT', 'N/A', 'N/A', 45.83652667701244, 12.892604023218155, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBW', 'N/A', 'N/A', 45.24511970579624, 11.425286382436752, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPH', 'medium_airport', 'Treviso Antonio Canova Airport', 45.648399, 12.1944, 59, 'IT', 'IT-34', 'Treviso (TV)', 'yes', 'LIPH', 'TSF', 'TV01', 'Venice-Treviso, Treviso-Sant''Angelo'),
	('LIXN', 'N/A', 'N/A', 45.930400639772415, 12.257510125637054, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOKL', 'small_airport', 'Lienz-Nikolsdorf Airfield', 46.798069, 12.87833, 2093, 'AT', 'AT-7', 'Lengberg', 'no', 'LOKL', '', '', 'LOWK'),
	('LIPB', 'medium_airport', 'Bolzano Airport', 46.460201, 11.3264, 789, 'IT', 'IT-32', 'Bolzano (BZ)', 'yes', 'LIPB', 'BZO', 'BZ01', 'G Sabelli'),
	('LOGO', 'small_airport', 'Niederöblarn Airfield', 47.478742, 14.007101, 2142, 'AT', 'AT-6', 'Niederöblarn', 'no', 'LOGO', '', '', ''),
	('LIDW', 'small_airport', 'Luciano Narder Airfield', 45.6992, 12.5431, 7, 'IT', 'IT-34', 'Campo di Pietra (TV)', 'no', 'LIDW', '', 'TV03', 'Aviosuperficie G. Carrer, Carrer, G.Carrer, Aviosuperficie Luciano Narder, Salgareda'),
	('LJDI', 'small_airport', 'Divača Airfield', 45.682778, 14.003234, 1420, 'SI', 'SI-019', 'Divača', 'no', 'LJDI', '', '', 'Donje Ležeče, Sežana, Kras'),
	('LOXA', 'small_airport', 'Fiala-Fernbrugg Air Base', 47.53573, 14.141488, 2093, 'AT', 'AT-6', 'Aigen im Ennstal', 'no', 'LOXA', '', '', 'Horsching Airport, Aigen Air Base, Fliegerhorst Fiala-Fernbrugg'),
	('LOIJ', 'small_airport', 'Sankt Johann Airfield', 47.5201, 12.4497, 2198, 'AT', 'AT-7', 'Sankt Johann in Tirol', 'no', 'LOIJ', '', '', 'Wien. Schwechat Airport'),
	('LIDA', 'small_airport', 'Asiago Romeo Sartori Airfield', 45.886155, 11.515861, 3409, 'IT', 'IT-34', 'Asiago (VI)', 'no', 'LIDA', '', 'VI06', ''),
	('LIOM', 'N/A', 'N/A', 45.55871821939945, 11.975084692239761, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOGT', 'small_airport', 'Leoben/Timmersdorf Airfield', 47.379648, 14.964044, 2060, 'AT', 'AT-6', 'Timmersdorf', 'no', 'LOGT', '', '', ''),
	('EDGG', 'N/A', 'N/A', 47.67840597778559, 11.962689310312271, 812, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUP', 'N/A', 'N/A', 45.70023089647293, 12.763439118862152, -2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXD', 'N/A', 'N/A', 45.96876125782728, 13.235475271940231, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYQ', 'N/A', 'N/A', 46.765816546976566, 12.155219614505768, 1192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDL', 'small_airport', 'Legnago Airfield', 45.129259, 11.293344, 30, 'IT', 'IT-34', 'Vangadizza (VR)', 'no', 'LIDL', '', 'VR09', ''),
	('LIND', 'N/A', 'N/A', 45.44339329004288, 11.651425212621689, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDFF', 'N/A', 'N/A', 47.73894678801298, 12.116202861070633, 466, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOKR', 'small_airport', 'Sankt Donat / Mairist Airfield', 46.743139, 14.413134, 1759, 'AT', 'AT-2', 'Mairist', 'no', 'LOKR', '', '', ''),
	('LJRE', 'N/A', 'N/A', 46.30420804023743, 14.904439598321915, 378, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOAM', 'heliport', 'Wien-Meidling Heliport', 48.173743, 16.322633, 737, 'AT', 'AT-9', 'Vienna', 'no', '', '', '', ''),
	('LDPV', 'small_airport', 'Vrsar Crljenka Airfield', 45.141701, 13.6306, 121, 'HR', 'HR-18', 'Vrsar', 'no', 'LDPV', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LIDC', 'small_airport', 'Cà Negra Private Airstrip', 45.083, 12.15, 1, 'IT', 'IT-34', 'Cà Negra', 'no', 'LIDC', '', 'ROCAN', 'Borletti'),
	('LIXA', 'N/A', 'N/A', 45.13805363327265, 12.234189212322235, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOWS', 'medium_airport', 'Salzburg Airport', 47.793301, 13.0043, 1411, 'AT', 'AT-5', 'Salzburg', 'yes', 'LOWS', 'SZG', '', 'Christophorus 6'),
	('LIQP', 'N/A', 'N/A', 45.5654576048255, 12.576833814382553, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJNO', 'N/A', 'N/A', 45.9733884036541, 14.41220998764038, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJRI', 'N/A', 'N/A', 45.7438737899065, 14.712953567504883, 499, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEM', 'N/A', 'N/A', 46.404315792024136, 12.885311543941498, 373, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDUE', 'N/A', 'N/A', 47.72982593625784, 12.438285201787949, 563, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOKF', 'small_airport', 'Feldkirchen Airfield', 46.70893, 14.076722, 1706, 'AT', 'AT-2', 'Feldkirchen in Kärnten', 'no', 'LOKF', '', '', ''),
	('LOLA', 'heliport', 'Kepler III University Hospital Helipad', 48.303207, 14.303505, 922, 'AT', 'AT-4', 'Linz', 'no', 'LOLA', '', '', ''),
	('LJSE', 'N/A', 'N/A', 45.944048054516315, 14.850717633962631, 307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIH', 'N/A', 'N/A', 45.63513536006212, 12.340339422225952, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIII', 'N/A', 'N/A', 45.85295755416155, 12.45687022805214, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFW', 'N/A', 'N/A', 45.59765383601189, 12.303033471107483, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOKH', 'small_airport', 'Friesach/Hirt Airfield', 46.927491, 14.431848, 2019, 'AT', 'AT-2', 'Micheldorf', 'no', 'LOKH', '', '', ''),
	('LIYE', 'N/A', 'N/A', 45.19569765776396, 12.069118022918701, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXX', 'N/A', 'N/A', 45.832487270236015, 12.59328156709671, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJBL', 'small_airport', 'Lesce Airfield', 46.357201, 14.1739, 1654, 'SI', 'SI-102', 'Lesce', 'no', 'LJBL', '', '', ''),
	('LILU', 'N/A', 'N/A', 45.08398298174143, 11.663154065608978, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWO', 'N/A', 'N/A', 45.748317539691925, 12.057188004255295, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPD', 'small_airport', 'Udine-Campoformido Air Base', 46.0308, 13.18225, 305, 'IT', 'IT-36', 'Campoformido (UD)', 'no', 'LIPD', 'UDN', 'UD07', ''),
	('LOSM', 'small_airport', 'Mauterndorf Airfield', 47.131995, 13.695867, 3642, 'AT', 'AT-5', 'Mauterndorf', 'no', 'LOSM', '', '', 'Flugplatz Mauterndorf'),
	('LIUY', 'N/A', 'N/A', 46.09183609485626, 12.090181410312653, 295, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDRI', 'medium_airport', 'Rijeka Airport', 45.2169, 14.5703, 278, 'HR', 'HR-08', 'Omišalj', 'yes', 'LDRI', 'RJK', '', 'Reka, Rika, Fiume'),
	('LIXE', 'N/A', 'N/A', 45.98207373172045, 13.307021409273148, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPU', 'medium_airport', 'Padova Gino Allegri Airfield', 45.395316, 11.847124, 44, 'IT', 'IT-34', 'Padova (PD)', 'no', 'LIPU', '', 'PD11', 'Padua'),
	('LIOL', 'N/A', 'N/A', 46.068469025194645, 13.368827104568481, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHY', 'N/A', 'N/A', 45.9235130622983, 13.035559505224228, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPS', 'medium_airport', 'Istrana Air Base', 45.684358, 12.087107, 137, 'IT', 'IT-34', 'Istrana (TV)', 'no', 'LIPS', '', 'TV16', 'V Bragadin'),
	('LIEJ', 'N/A', 'N/A', 45.88733743876219, 12.62792855501175, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOKG', 'small_airport', 'Ferlach-Glainach Airfield', 46.532778, 14.330833, 1498, 'AT', 'AT-2', 'Ferlach', 'no', 'LOKG', '', '', ''),
	('LIPI', 'medium_airport', 'Udine-Rivolto Air Base', 45.978699, 13.0493, 179, 'IT', 'IT-36', 'Codroipo (UD)', 'no', 'LIPI', '', 'UD16', 'M Visentini'),
	('EDDA', 'N/A', 'N/A', 47.7156900241971, 11.391428411006927, 610, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIA', 'N/A', 'N/A', 45.93112114816904, 13.361439853906631, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJKO', 'N/A', 'N/A', 45.570338889956474, 14.857905507087708, 539, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFM', 'N/A', 'N/A', 45.76199445873499, 12.163548767566681, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJSM', 'N/A', 'N/A', 46.197120510041714, 14.580944627523422, 350, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPA', 'medium_airport', 'Aviano Air Base', 46.031898, 12.596503, 410, 'IT', 'IT-36', 'Aviano (PN)', 'no', 'LIPA', 'AVB', '', 'Pagliano e Gori Airport, LIYW'),
	('LIDH', 'small_airport', 'Thiene Arturo Ferrarin Airfield', 45.67783, 11.496306, 335, 'IT', 'IT-34', 'Thiene (VI)', 'no', 'LIDH', '', 'VI07', ''),
	('LIGJ', 'N/A', 'N/A', 45.184382759034634, 11.857488602399826, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOWZ', 'small_airport', 'Zell am See Airfield', 47.291468, 12.790632, 2470, 'AT', 'AT-5', 'Zell am See', 'no', 'LOWZ', '', '', 'Flugplatz Zell am See'),
	('LIHQ', 'N/A', 'N/A', 45.770790092647076, 11.996574997901917, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQV', 'N/A', 'N/A', 45.76444197446108, 13.072783201932907, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYV', 'N/A', 'N/A', 45.78497998416424, 12.315088212490082, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMX', 'N/A', 'N/A', 45.75376510620117, 11.692889481782913, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOXZ', 'medium_airport', 'Hinterstoisser Air Base', 47.202801, 14.7442, 2264, 'AT', 'AT-6', 'Zeltweg', 'no', 'LOXZ', '', '', 'RAF Station Zeltweg, Zeltweg Air Base, Zeltweg Airport, Fliegerhorst Hinterstoisser'),
	('LIOK', 'N/A', 'N/A', 45.432703010737896, 11.38338714838028, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQJ', 'N/A', 'N/A', 45.99219739437103, 12.6545450091362, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOA', 'N/A', 'N/A', 46.08495891094208, 12.069033533334732, 282, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINQ', 'N/A', 'N/A', 45.39284136146307, 11.692557781934738, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPZ', 'large_airport', 'Venice Marco Polo Airport', 45.505299, 12.3519, 7, 'IT', 'IT-34', 'Venezia (VE)', 'yes', 'LIPZ', 'VCE', 'VE05', 'Venezia-Tessera, Venice-Tessera');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LOKN', 'small_airport', 'Nötsch im Gailtal Airfield', 46.5811, 13.6292, 1801, 'AT', 'AT-2', 'Nötsch im Gailtal', 'no', 'LOKN', '', '', ''),
	('LIPG', 'small_airport', 'Gorizia Duca d''Aosta Airfield', 45.906898, 13.5993, 207, 'IT', 'IT-36', 'Gorizia (GO)', 'no', 'LIPG', '', 'GO01', ''),
	('LIDB', 'small_airport', 'Belluno Arturo dell''Oro Airport', 46.166549, 12.250389, 1240, 'IT', 'IT-34', 'Belluno (BL)', 'no', 'LIDB', 'BLX', 'BL05', ''),
	('LOWK', 'medium_airport', 'Klagenfurt Airport', 46.642502, 14.3377, 1472, 'AT', 'AT-2', 'Klagenfurt am Wörthersee', 'yes', 'LOWK', 'KLU', '', 'Kärnten Airport, Christophorus 11'),
	('LIUO', 'N/A', 'N/A', 45.74124153703451, 12.705572694540024, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LION', 'N/A', 'N/A', 45.94546627253294, 13.208140432834625, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOKM', 'small_airport', 'Mayerhofen Airfield', 46.974996, 14.371228, 2119, 'AT', 'AT-2', 'Mayerhofen', 'no', 'LOKM', '', '', ''),
	('LIID', 'N/A', 'N/A', 46.52403920888901, 13.00415888428688, 557, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEZ', 'N/A', 'N/A', 46.27902142703533, 11.448897421360016, 831, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITD', 'N/A', 'N/A', 45.031453259289265, 11.823680698871613, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOKW', 'small_airport', 'Wolfsberg Airfield', 46.818202, 14.825154, 1460, 'AT', 'AT-2', 'Wolfsberg', 'no', 'LOKW', '', '', ''),
	('LOGI', 'small_airport', 'Trieben Airfield', 47.493364, 14.49558, 2283, 'AT', 'AT-6', 'Trieben', 'no', 'LOGI', '', '', ''),
	('LJPO', 'small_airport', 'Postojna Airfield', 45.752201, 14.1947, 0, 'SI', 'SI-094', 'Postojna', 'no', 'LJPO', '', '', ''),
	('LJZA', 'N/A', 'N/A', 46.14294122904539, 14.999998211860657, 328, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOIK', 'small_airport', 'Kufstein-Langkampfen Airfield', 47.564713, 12.127576, 1588, 'AT', 'AT-7', 'Langkampfen', 'no', 'LOIK', '', '', ''),
	('LIUD', 'N/A', 'N/A', 45.202984884381294, 11.793692260980606, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDD', 'N/A', 'N/A', 45.641985051333904, 12.944001406431198, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOWI', 'medium_airport', 'Innsbruck Airport', 47.260201, 11.344, 1907, 'AT', 'AT-7', 'Innsbruck', 'yes', 'LOWI', 'INN', '', 'Kranebitten Airport'),
	('LIHX', 'N/A', 'N/A', 45.15629902482033, 12.11036503314972, -3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITM', 'N/A', 'N/A', 45.49931064248085, 12.030806690454483, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXM', 'N/A', 'N/A', 45.770515501499176, 12.244416922330856, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJBO', 'small_airport', 'Bovec Airfield', 46.329017, 13.550231, 1417, 'SI', 'SI-006', 'Bovec', 'no', 'LJBO', '', '', 'LJBO, Bovec, Slovenia'),
	('LIWN', 'N/A', 'N/A', 45.75858872383833, 11.895837485790253, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWY', 'N/A', 'N/A', 46.05697676539421, 13.426354229450226, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJAJ', 'small_airport', 'Ajdovščina Airfield', 45.889198, 13.8869, 381, 'SI', 'SI-001', 'Ajdovščina', 'no', 'LJAJ', '', '', ''),
	('LIQI', 'N/A', 'N/A', 45.703340247273445, 13.759724646806717, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJDO', 'N/A', 'N/A', 46.04313891381025, 14.61502656340599, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOS', 'N/A', 'N/A', 46.23453799635172, 13.073052763938904, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUG', 'N/A', 'N/A', 46.15412034094334, 12.347778081893921, 504, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESUT', 'small_airport', 'Hemavan Airport', 65.806099, 15.0828, 1503, 'SE', 'SE-AC', 'Hemavan', 'yes', 'ESUT', 'HMV', '', ''),
	('ENRG', 'small_airport', 'Rognan Airfield', 67.098297, 15.4111, 20, 'NO', 'NO-18', 'Saltdal', 'no', 'ENRG', '', '', ''),
	('ESUD', 'medium_airport', 'Storuman Airport', 64.960899, 17.6966, 915, 'SE', 'SE-AC', 'Storuman', 'no', 'ESUD', 'SQO', '', ''),
	('ESSO', 'N/A', 'N/A', 64.95059955865145, 15.827199965715408, 576, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESOD', 'N/A', 'N/A', 65.21410647779703, 18.683248311281204, 320, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESUG', 'small_airport', 'Gargnäs Airfield', 65.305298, 17.9755, 0, 'SE', 'SE-AC', 'Gargnäs', 'no', 'ESUG', '', '', ''),
	('ESDO', 'N/A', 'N/A', 64.26532130688429, 16.49042844772339, 307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESDR', 'N/A', 'N/A', 63.91200665384531, 16.322982162237167, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESNF', 'closed', 'Färila Air Base', 61.897999, 15.7053, 676, 'SE', 'SE-X', 'Färila', 'no', '', '', '', 'ESNF, Föne'),
	('ESUJ', 'small_airport', 'Tälje Airfield', 62.5653, 15.8347, 446, 'SE', 'SE-Y', 'Ånge', 'no', 'ESUJ', '', '', ''),
	('ESNK', 'medium_airport', 'Kramfors-Sollefteå Höga Kusten Airport', 63.048599, 17.7689, 34, 'SE', 'SE-Y', 'Nyland', 'yes', 'ESNK', 'KRF', '', ''),
	('ESOC', 'N/A', 'N/A', 62.957783639431, 18.047418147325516, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESUI', 'small_airport', 'Mellansel Airfield', 63.391806, 18.319471, 310, 'SE', 'SE-Y', 'Mellansel', 'no', 'ESUI', '', '', ''),
	('ESJO', 'N/A', 'N/A', 62.38918013870716, 17.452214062213898, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESOR', 'N/A', 'N/A', 63.21139320731163, 18.74884933233261, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESNN', 'medium_airport', 'Sundsvall-Härnösand Airport', 62.528099060058594, 17.443899154663086, 16, 'SE', 'SE-Y', 'Sundsvall/ Härnösand', 'yes', 'ESNN', 'SDL', '', ''),
	('ESOB', 'N/A', 'N/A', 62.190607488155365, 17.269204258918762, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESUS', 'small_airport', 'Åsele Airfield', 64.155938, 17.285045, 0, 'SE', 'SE-AC', 'Åsele', 'no', 'ESUS', '', '', ''),
	('ESUH', 'small_airport', 'Myran Airfield', 62.632469, 17.981701, 0, 'SE', 'SE-Y', 'Härnösand', 'no', 'ESUH', '', '', ''),
	('ESNA', 'small_airport', 'Hallviken Airfield', 63.7383, 15.4583, 1119, 'SE', 'SE-Z', 'Hallviken', 'no', 'ESNA', '', '', ''),
	('ESOA', 'N/A', 'N/A', 62.234047539532185, 17.384054213762283, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESNV', 'medium_airport', 'Vilhelmina South Lapland Airport', 64.579102, 16.833599, 1140, 'SE', 'SE-AC', 'Vilhelmina', 'yes', 'ESNV', 'VHM', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ESNW', 'N/A', 'N/A', 60.10726768523455, 15.950468480587006, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ES04', 'N/A', 'N/A', 59.585948176681995, 18.161015063524246, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESVA', 'small_airport', 'Avesta Airfield', 60.180401, 16.122801, 0, 'SE', 'SE-W', 'Avesta', 'no', 'ESVA', '', '', ''),
	('ESUB', 'small_airport', 'Arbrå Airfield', 61.512501, 16.372499, 0, 'SE', 'SE-X', 'Arbrå', 'no', 'ESUB', '', '', ''),
	('ESKG', 'small_airport', 'Gryttjom Airfield', 60.286999, 17.4217, 0, 'SE', 'SE-C', 'Gryttjom', 'no', 'ESKG', '', '', ''),
	('ESAS', 'N/A', 'N/A', 59.72169645130634, 17.72011309862137, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESSK', 'medium_airport', 'Gävle Sandviken Airport', 60.5933, 16.951401, 224, 'SE', 'SE-X', 'Gävle / Sandviken', 'no', 'ESSK', 'GVX', '', ''),
	('ESOL', 'small_airport', 'Lemstanas Airfield', 60.586597, 16.586566, 210, 'SE', 'SE-X', 'Storvik', 'no', 'ESOL', '', '', ''),
	('ESQO', 'small_airport', 'Arboga Airfield', 59.3866, 15.9241, 33, 'SE', 'SE-U', '', 'no', 'ESQO', '', '', ''),
	('ESSU', 'medium_airport', 'Eskilstuna Airport', 59.351101, 16.708401, 139, 'SE', 'SE-D', 'Eskilstuna', 'no', 'ESSU', 'EKT', '', ''),
	('ESKB', 'closed', 'Barkarby Airport', 59.414474, 17.882137, 0, 'SE', 'SE-AB', '', 'no', '', '', '', ''),
	('ESEN', 'N/A', 'N/A', 59.747404754161835, 17.14653968811035, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESKT', 'small_airport', 'Tierp Airfield', 60.350351, 17.418652, 129, 'SE', 'SE-C', 'Tierp', 'no', 'ESKT', '', '', 'ESKT'),
	('ESVL', 'N/A', 'N/A', 59.539921805262566, 18.04026424884796, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESBO', 'N/A', 'N/A', 61.355129554867744, 16.335625648498535, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESUM', 'small_airport', 'Mohed Airfield', 61.291199, 16.8463, 200, 'SE', 'SE-X', 'Mohed', 'no', 'ESUM', '', '', ''),
	('ESKC', 'small_airport', 'Uppsala-Sundbro Airfield', 59.922699, 17.5368, 0, 'SE', 'SE-C', '', 'no', 'ESKC', '', '', ''),
	('ESSE', 'small_airport', 'Skå-Edeby Airfield', 59.3451, 17.740499, 20, 'SE', 'SE-AB', 'Stockholm', 'no', 'ESSE', '', '', ''),
	('ESSC', 'small_airport', 'Ekeby Airfield', 59.3839, 16.4419, 0, 'SE', 'SE-D', 'Eskilstuna', 'no', 'ESSC', '', '', ''),
	('ESKA', 'small_airport', 'Lunda Airfield', 60.132801, 18.1049, 75, 'SE', 'SE-C', 'Gimo', 'no', 'ESKA', '', '', 'Gimo AB'),
	('ESSX', 'small_airport', 'Johannisberg Airfield', 59.575802, 16.503201, 33, 'SE', 'SE-U', 'Västerås', 'no', 'ESSX', '', '', ''),
	('ESSB', 'medium_airport', 'Stockholm-Bromma Airport', 59.354400634765625, 17.941699981689453, 47, 'SE', 'SE-AB', 'Stockholm', 'yes', 'ESSB', 'BMA', '', ''),
	('ESGW', 'N/A', 'N/A', 60.179138481616974, 18.19543719291687, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESCN', 'closed', 'Stockholm Tullinge Airport', 59.17940139770508, 17.907800674438477, 180, 'SE', 'SE-AB', 'Stockholm', 'no', '', '', '', 'ESCN, ESCN'),
	('ES05', 'N/A', 'N/A', 60.1298800483346, 18.097676932811737, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESUY', 'small_airport', 'Edsby Airfield', 61.386732, 15.833166, 0, 'SE', 'SE-X', 'Edsbyn', 'no', 'ESUY', '', '', 'Edsby Flygplats'),
	('ESOE', 'medium_airport', 'Örebro Airport', 59.22370147705078, 15.038000106811523, 188, 'SE', 'SE-T', 'Örebro', 'yes', 'ESOE', 'ORB', '', ''),
	('ESVG', 'small_airport', 'Gagnef Airfiekld', 60.551701, 15.0816, 0, 'SE', 'SE-W', 'Djurås', 'no', 'ESVG', '', '', ''),
	('ESSZ', 'small_airport', 'Vängsö Airfield', 59.101101, 17.2111, 46, 'SE', 'SE-D', 'Vängsö', 'no', 'ESSZ', '', '', ''),
	('ESNH', 'closed', 'Hudiksvall Airport', 61.768101, 17.0807, 0, 'SE', 'SE-X', 'Hudiksvall', 'no', '', '', '', 'ESNH, HUV'),
	('ESOW', 'medium_airport', 'Stockholm Västerås Airport', 59.58940124511719, 16.63360023498535, 21, 'SE', 'SE-U', 'Stockholm / Västerås', 'yes', 'ESOW', 'VST', '', ''),
	('ESSA', 'large_airport', 'Stockholm-Arlanda Airport', 59.64849, 17.928829, 137, 'SE', 'SE-AB', 'Stockholm', 'yes', 'ESSA', 'ARN', '', ''),
	('ESSN', 'small_airport', 'Norrtälje Airfield', 59.732592, 18.695215, 39, 'SE', 'SE-AB', 'Norrtälje', 'no', 'ESSN', '', '', 'Mellingeholm'),
	('ESVQ', 'small_airport', 'Köping/Gålby flygfält', 59.5275, 15.9697, 23, 'SE', 'SE-U', 'Köping', 'no', 'ESVQ', '', '', ''),
	('ESSG', 'small_airport', 'Ludvika Airfield', 60.088299, 15.0964, 900, 'SE', 'SE-W', 'Ludvika', 'no', 'ESSG', '', '', ''),
	('ESUL', 'small_airport', 'Ljusdal Airfield', 61.817001, 16.004299, 500, 'SE', 'SE-X', 'Ljusdal', 'no', 'ESUL', '', '', ''),
	('ESSJ', 'N/A', 'N/A', 59.895250126719475, 16.63057565689087, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESSD', 'medium_airport', 'Dala Airport', 60.422001, 15.5152, 503, 'SE', 'SE-W', 'Borlange', 'yes', 'ESSD', 'BLE', '', ''),
	('ESMO', 'small_airport', 'Oskarshamn Airport', 57.350498, 16.497999, 96, 'SE', 'SE-H', '', 'no', 'ESMO', 'OSK', '', ''),
	('ESVK', 'small_airport', 'Katrineholm Airfield', 59.022301, 16.220301, 148, 'SE', 'SE-D', 'Katrineholm', 'no', 'ESVK', '', '', ''),
	('ESCK', 'closed', 'Bråvalla Air Base', 58.610901, 16.1036, 0, 'SE', 'SE-E', '', 'no', '', '', '', ''),
	('ESFQ', 'closed', 'Kosta Air Base', 56.844501, 15.4528, 0, 'SE', 'SE-G', '', 'no', '', '', '', ''),
	('ESSP', 'medium_airport', 'Norrköping Airport', 58.586299896240234, 16.250600814819336, 32, 'SE', 'SE-E', 'Norrköping', 'yes', 'ESSP', 'NRK', '', 'Kungsangen'),
	('ESTR', 'N/A', 'N/A', 58.89849901199341, 17.498306035995483, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESSV', 'medium_airport', 'Visby Airport', 57.662799835205, 18.346200942993, 164, 'SE', 'SE-I', 'Visby', 'yes', 'ESSV', 'VBY', '', ''),
	('ESMB', 'small_airport', 'Borglanda Airfield', 56.862999, 16.656099, 115, 'SE', 'SE-H', 'Borglanda', 'no', 'ESMB', '', '', 'Öland'),
	('ESSW', 'small_airport', 'Västervik Airport', 57.779999, 16.5236, 118, 'SE', 'SE-H', 'Västervik', 'no', 'ESSW', 'VVK', '', 'Vastervik, essw, Västervik'),
	('ESCF', 'medium_airport', 'Malmen Air Base', 58.402302, 15.5257, 308, 'SE', 'SE-E', 'Linköping', 'no', 'ESCF', '', '', ''),
	('ESSF', 'small_airport', 'Hultsfred Airport', 57.525799, 15.8233, 366, 'SE', 'SE-H', '', 'no', 'ESSF', 'HLF', '', ''),
	('ESDF', 'medium_airport', 'Ronneby Airport', 56.266701, 15.265, 191, 'SE', 'SE-K', 'Ronneby', 'yes', 'ESDF', 'RNB', '', ''),
	('ESKX', 'closed', 'Björkvik Air Base', 58.790798, 16.571199, 0, 'SE', 'SE-D', 'Björkvik', 'no', '', '', '', 'ESKX');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ESFN', 'N/A', 'N/A', 58.73439308255911, 15.603959709405899, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESSL', 'medium_airport', 'Linköping City Airport', 58.4062004089, 15.680500030500001, 172, 'SE', 'SE-E', 'Linköping', 'yes', 'ESSL', 'LPI', '', ''),
	('ESGB', 'N/A', 'N/A', 58.43379858881235, 16.606912314891815, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESMQ', 'medium_airport', 'Kalmar Airport', 56.685501, 16.2876, 17, 'SE', 'SE-H', 'Kalmar', 'yes', 'ESMQ', 'KLR', '', ''),
	('ESKN', 'medium_airport', 'Stockholm Skavsta Airport', 58.788601, 16.912201, 140, 'SE', 'SE-D', 'Nyköping', 'yes', 'ESKN', 'NYO', '', ''),
	('ES0G', 'N/A', 'N/A', 58.36609024554491, 15.284964144229889, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESMA', 'closed', 'Emmaboda Airfield', 56.610802, 15.6048, 0, 'SE', 'SE-H', 'Emmaboda', 'no', '', '', '', ''),
	('ESMZ', 'small_airport', 'Ölanda Airfield', 57.328236, 17.050524, 27, 'SE', 'SE-H', 'Ölanda', 'no', 'ESMZ', '', '', 'Öland'),
	('EPBS', 'small_airport', 'Lotnisko Borne Sulinowo', 53.576149, 16.527729, 469, 'PL', 'PL-ZP', 'Borne Sulinowo', 'no', '', '', '', ''),
	('EP59', 'N/A', 'N/A', 53.76099217683077, 15.290304869413376, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPJA', 'small_airport', 'Jastarnia Airfield', 54.710281, 18.645281, 3, 'PL', 'PL-PM', 'Jastarnia', 'no', 'EPJA', '', '', ''),
	('EPKG', 'N/A', 'N/A', 54.20062869787216, 15.686620473861694, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPCA', 'N/A', 'N/A', 53.51977977901697, 16.28354251384735, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPKO', 'N/A', 'N/A', 54.12958201020956, 17.844959646463394, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPPR', 'small_airport', 'Pruszcz Gdanski Air Base', 54.248001, 18.6716, 17, 'PL', 'PL-PM', '', 'no', 'EPPR', '', '', ''),
	('EPTC', 'N/A', 'N/A', 54.4868116825819, 18.167333006858826, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPSN', 'medium_airport', 'Swidwin Military Air Base', 53.790599823, 15.826299667399999, 385, 'PL', 'PL-ZP', '', 'no', 'EPSN', '', '', ''),
	('EPDA', 'small_airport', 'Darłówek Naval Air Base', 54.404701232910156, 16.353099822998047, 10, 'PL', 'PL-ZP', 'Darłowo', 'no', 'EPDA', '', '', 'Żukowo'),
	('EPSF', 'N/A', 'N/A', 53.59431467950344, 16.725606322288513, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EKNE', 'N/A', 'N/A', 55.063707903027534, 15.053932070732117, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPDD', 'N/A', 'N/A', 53.52446895092726, 17.258445024490356, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPOK', 'medium_airport', 'Oksywie Military Air Base', 54.5797, 18.5172, 144, 'PL', 'PL-PM', 'Gdynia', 'no', 'EPOK', '', '', 'QYD, Oksywie Airport, Gdynia-Oksywie, Gdynia-Babie Doły, Gdynia-Kosakowo Airport'),
	('EPSR', 'small_airport', 'Słupsk-Krȩpa Airfield', 54.410036, 17.090572, 249, 'PL', 'PL-PM', 'Słupsk', 'no', 'EPSK', '', '', 'EPSK'),
	('EPGD', 'large_airport', 'Gdańsk Lech Wałęsa Airport', 54.377602, 18.4662, 489, 'PL', 'PL-PM', 'Gdańsk', 'yes', 'EPGD', 'GDN', '', 'Gdańsk-Rębiechowo'),
	('EPCZ', 'N/A', 'N/A', 53.61948687583208, 16.217388957738876, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPSH', 'N/A', 'N/A', 54.007811062037945, 18.50072532892227, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPNA', 'small_airport', 'Nadarzyce Air Base', 53.454885, 16.48946, 0, 'PL', 'PL-WP', '', 'no', 'EPNA', '', '', ''),
	('EPKZ', 'N/A', 'N/A', 54.042331762611866, 16.2639382481575, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPDR', 'closed', 'Drawsko Pomorskie Air Base', 53.477798, 15.7308, 377, 'PL', 'PL-ZP', 'Drawsko Pomorskie', 'no', '', '', '', 'EPDR, EPDR'),
	('EPCE', 'medium_airport', 'Cewice Air Base', 54.416, 17.7633, 495, 'PL', 'PL-PM', 'Lębork', 'no', 'EPCE', '', '', ''),
	('EPPP', 'N/A', 'N/A', 53.82533233612776, 17.352557480335236, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPPY', 'N/A', 'N/A', 52.523555383086205, 15.725569278001785, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKLB', 'small_airport', 'Liberec Airfield', 50.768299, 15.025, 1329, 'CZ', 'CZ-LI', 'Liberec', 'no', 'LKLB', '', '', ''),
	('EPKB', 'small_airport', 'Kazimierz Biskup Airfield', 52.32, 18.17, 361, 'PL', 'PL-WP', '', 'no', 'EPKB', '', '', ''),
	('EPSL', 'N/A', 'N/A', 53.07081051170826, 18.195649534463882, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKHD', 'small_airport', 'Hodkovice nad Mohelkou Airfield', 50.6572, 15.0778, 1480, 'CZ', 'CZ-LI', 'Hodkovice nad Mohelkou', 'no', 'LKHD', '', '', ''),
	('EPPN', 'N/A', 'N/A', 51.20259962975979, 15.131362527608871, 222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPWT', 'N/A', 'N/A', 53.29861119389534, 18.414166867733, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPLS', 'small_airport', 'Leszno-Strzyzewice Airfield', 51.834999, 16.5219, 310, 'PL', 'PL-WP', 'Leszno', 'no', 'EPLS', '', '', ''),
	('EPGW', 'N/A', 'N/A', 52.69344583153725, 15.216257125139236, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPZB', 'small_airport', 'Zborowo Airfield', 52.362056, 16.638722, 268, 'PL', 'PL-WP', 'Zborowo', 'no', 'EPZB', '', '', ''),
	('EPZN', 'closed', 'Żagań-Tomaszowo Air Base', 51.627499, 15.4083, 459, 'PL', 'PL-LB', 'Tomaszowo', 'no', '', '', '', 'EPZN, Zagan'),
	('EPZO', 'N/A', 'N/A', 51.20290841907263, 15.932166874408722, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPOP', 'small_airport', 'Opole-Polska Nowa Wieś Airfield', 50.633301, 17.7817, 620, 'PL', 'PL-OP', 'Polska Nowa Wieś', 'no', 'EPOP', '', '', ''),
	('EPMD', 'N/A', 'N/A', 52.41925098001957, 15.580331683158875, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPSB', 'N/A', 'N/A', 52.715802043676376, 15.510934889316559, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPLE', 'closed', 'Legnica Airport', 51.1828, 16.1782, 407, 'PL', 'PL-DS', 'Legnica', 'no', '', '', '', 'EPLE'),
	('EPPI', 'small_airport', 'Pila Airfield', 53.169998, 16.7125, 259, 'PL', 'PL-WP', '', 'no', 'EPPI', '', '', ''),
	('EPOO', 'N/A', 'N/A', 52.66690336167812, 16.774435937404633, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPGS', 'small_airport', 'Grójec-Słomczyn Airfield', 51.87549, 20.93774, 0, 'PL', 'PL-MZ', 'Grójec', 'no', 'EPGS', '', '', ''),
	('EPIN', 'small_airport', 'Inowroclaw Airfield', 52.8064, 18.285801, 279, 'PL', 'PL-KP', '', 'no', 'EPIN', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EPWO', 'N/A', 'N/A', 50.78334555029869, 17.16142326593399, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPWE', 'N/A', 'N/A', 52.902431823313236, 16.128971725702286, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPLZ', 'N/A', 'N/A', 52.27125138044357, 15.371996015310287, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPTO', 'small_airport', 'Torun Airfield (Aeroklub Pomorski)', 53.029202, 18.5459, 164, 'PL', 'PL-KP', 'Toruń', 'no', 'EPTO', '', '', ''),
	('EPPO', 'medium_airport', 'Poznań-Ławica Airport', 52.421598, 16.823359, 308, 'PL', 'PL-WP', 'Poznań', 'yes', 'EPPO', 'POZ', '', 'Poznań–Ławica Henryk Wieniawski Airport'),
	('EPLU', 'small_airport', 'Lubin Airfield', 51.423, 16.196199, 512, 'PL', 'PL-DS', '', 'no', 'EPLU', '', '', ''),
	('EPMR', 'small_airport', 'Mirosławice Private Airfield', 50.957802, 16.7703, 495, 'PL', 'PL-DS', 'Mirosławice', 'no', 'EPMR', '', '', ''),
	('EPJG', 'small_airport', 'Jelenia Góra Airfield', 50.898899, 15.7856, 1119, 'PL', 'PL-DS', 'Jelenia Góra', 'no', 'EPJG', '', '', ''),
	('EPBD', 'small_airport', 'Bydgoszcz Aeroklub Airfield', 53.1031, 17.955601, 230, 'PL', 'PL-KP', 'Bydgoszcz', 'no', '', '', '', 'Biedaszkowo'),
	('EPMI', 'medium_airport', 'Miroslawiec Military Air Base', 53.3951, 16.0828, 459, 'PL', 'PL-ZP', 'Mirosławiec', 'no', 'EPMI', '', '', '12. Baza Lotnicza, Miroslawiec Airport'),
	('EPBJ', 'N/A', 'N/A', 52.334725856781006, 15.665849447250366, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPSE', 'N/A', 'N/A', 50.88268116116524, 16.319862753152847, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPWR', 'medium_airport', 'Copernicus Wrocław Airport', 51.103719, 16.882096, 404, 'PL', 'PL-DS', 'Wrocław', 'yes', 'EPWR', 'WRO', '', 'Strachowice, Breslau, Wroclaw'),
	('EPNO', 'N/A', 'N/A', 51.90146863460541, 15.270726531744003, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPDS', 'small_airport', 'Witków Airfield', 50.79686, 16.11448, 0, 'PL', 'PL-DS', 'Witków', 'no', 'EPDS', '', '', ''),
	('EPWI', 'N/A', 'N/A', 51.055558919906616, 16.013398468494415, 433, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPGZ', 'N/A', 'N/A', 51.46085578948259, 15.106193572282791, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPDW', 'N/A', 'N/A', 53.31214461475611, 15.71427583694458, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPTD', 'N/A', 'N/A', 51.561471819877625, 15.589486062526703, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPZG', 'medium_airport', 'Zielona Góra-Babimost Airport', 52.1385, 15.7986, 194, 'PL', 'PL-LB', 'Nowe Kramsko', 'yes', 'EPZG', 'IEG', '', ''),
	('EPJS', 'small_airport', 'Jeżów Sudecki Airfield', 50.944028, 15.766528, 1834, 'PL', 'PL-DS', 'Jeżów Sudecki', 'no', 'EPJS', '', '', ''),
	('EPBY', 'medium_airport', 'Bydgoszcz Ignacy Jan Paderewski Airport', 53.096802, 17.977699, 235, 'PL', 'PL-KP', 'Bydgoszcz', 'yes', 'EPBY', 'BZG', '', 'Szwederowo, Bromberg'),
	('EPPB', 'N/A', 'N/A', 52.5347888097167, 17.21587210893631, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPOB', 'N/A', 'N/A', 51.262669041752815, 16.92138835787773, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPSM', 'N/A', 'N/A', 53.145139552652836, 16.88057005405426, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPPK', 'small_airport', 'Poznań-Kobylnica Airfield', 52.434582, 17.044036, 279, 'PL', 'PL-WP', 'Poznań', 'no', 'EPPK', '', '', ''),
	('EPOM', 'small_airport', 'Ostrów Wielkopolski Michałków Airfield', 51.700767, 17.84663, 476, 'PL', 'PL-WP', 'Ostrów Wielkopolski', 'no', 'EPOM', '', '', ''),
	('EPMY', 'small_airport', 'Myślibórz-Giżyn Airfield', 52.941164, 15.029812, 0, 'PL', 'PL-ZP', 'Nowogródek Pomorski', 'no', 'EPMY', '', '', ''),
	('EPDZ', 'N/A', 'N/A', 52.322441674768925, 17.04071044921875, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPWS', 'small_airport', 'Wrocław-Szymanów Airfield', 51.2061, 16.9986, 390, 'PL', 'PL-DS', 'Lubięcin', 'no', 'EPWS', '', '', 'Szewce Airport, Wroclaw'),
	('EPDC', 'N/A', 'N/A', 52.803051955997944, 17.879734933376312, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPZP', 'small_airport', 'Zielona Góra-Przylep Airfield', 51.978901, 15.4639, 249, 'PL', 'PL-LB', 'Zielona Góra', 'no', 'EPZP', '', '', ''),
	('EPRW', 'N/A', 'N/A', 51.59480161964893, 16.866558641195297, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPWC', 'N/A', 'N/A', 52.479623816907406, 17.767952531576157, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPKS', 'medium_airport', 'Krzesiny Military Air Base', 52.331699, 16.9664, 265, 'PL', 'PL-WP', 'Poznań', 'no', 'EPKS', '', '', ''),
	('EPPW', 'medium_airport', 'Powidz Military Air Base', 52.380087, 17.853155, 371, 'PL', 'PL-WP', 'Powidz', 'no', 'EPPW', '', '', ''),
	('EPSG', 'N/A', 'N/A', 50.92286802828312, 16.678995341062546, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKHB', 'small_airport', 'Havlíčkův Brod Airfield', 49.597198, 15.5492, 1519, 'CZ', 'CZ-VY', 'Havlíčkův Brod', 'no', 'LKHB', '', '', ''),
	('LKBO', 'small_airport', 'Bohuňovice Airfield', 49.670601, 17.295, 771, 'CZ', 'CZ-OL', 'Bohuňovice', 'no', 'LKBO', '', '', ''),
	('LZNT', 'N/A', 'N/A', 48.388819210231304, 18.004924803972244, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKHH', 'N/A', 'N/A', 49.94603801518679, 15.895392894744873, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKBD', 'heliport', 'Brodek U Prerova Heliport', 49.483889, 17.326944, 668, 'CZ', 'CZ-OL', '', 'no', 'LKBD', '', '', ''),
	('LKLE', 'N/A', 'N/A', 49.546582996845245, 16.59869223833084, 377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKBY', 'N/A', 'N/A', 49.474727623164654, 16.21469423174858, 513, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKZS', 'N/A', 'N/A', 49.50872328132391, 15.971120148897171, 549, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZZE', 'N/A', 'N/A', 48.04637689143419, 18.59674036502838, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKDR', 'N/A', 'N/A', 49.68237955123186, 18.47929358482361, 344, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZBI', 'N/A', 'N/A', 48.80431283265352, 18.50679874420166, 426, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKNC', 'N/A', 'N/A', 50.41314873844385, 16.121931821107864, 435, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKLH', 'N/A', 'N/A', 49.087803550064564, 17.71862491965294, 331, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKLS', 'N/A', 'N/A', 49.476369470357895, 17.925771474838257, 389, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LZDV', 'small_airport', 'Dubová Airstrip', 48.347019, 17.356583, 634, 'SK', 'SK-BL', 'Dubová', 'no', 'LZDV', '', '', ''),
	('LKMT', 'medium_airport', 'Ostrava Leos Janáček Airport', 49.696301, 18.111099, 844, 'CZ', 'CZ-MO', 'Mošnov', 'yes', 'LKMT', 'OSR', '', 'Ostrava-Mošnov International Airport'),
	('LZRA', 'N/A', 'N/A', 49.05151225626469, 18.5534530878067, 365, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKLM', 'N/A', 'N/A', 49.87416286021471, 16.33648172020912, 387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKPJ', 'small_airport', 'Prostějov Airfield', 49.4478, 17.1339, 699, 'CZ', 'CZ-OL', 'Prostějov', 'no', 'LKPJ', '', '', ''),
	('LZLE', 'N/A', 'N/A', 48.17120186984539, 18.541808277368546, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOXN', 'small_airport', 'Wiener Neustadt West Airport', 47.836933, 16.221838, 935, 'AT', 'AT-3', 'Wiener Neustadt', 'no', 'LOXN', '', '', ''),
	('LZBJ', 'N/A', 'N/A', 48.89320157468319, 18.62486958503723, 423, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKDK', 'small_airport', 'Dvůr Králové nad Labem Airfield', 50.4142, 15.8369, 932, 'CZ', 'CZ-KR', 'Dvůr Králové nad Labem', 'no', 'LKDK', '', '', ''),
	('LZKL', 'N/A', 'N/A', 47.97062560915947, 18.040422946214676, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKNV', 'N/A', 'N/A', 49.26710017025471, 15.077707171440125, 530, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKPE', 'N/A', 'N/A', 49.56843428313732, 16.998918503522873, 370, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKMA', 'N/A', 'N/A', 49.78610426187515, 17.48611405491829, 674, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOAV', 'small_airport', 'Vöslau-Kottingbrunn Airfield', 47.965, 16.26, 765, 'AT', 'AT-3', 'Bad Vöslau', 'no', 'LOAV', '', '', ''),
	('LZSE', 'small_airport', 'Senica Airfield', 48.657927, 17.329459, 610, 'SK', 'SK-TA', 'Hlboké', 'no', 'LZSE', '', '', ''),
	('LKZE', 'N/A', 'N/A', 49.55197557806969, 15.15556052327156, 510, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKSG', 'N/A', 'N/A', 49.84535861760378, 17.138229310512543, 277, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKLI', 'N/A', 'N/A', 50.18431507050991, 15.166560709476471, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKSB', 'small_airport', 'Stichovice Pluml Airfield', 49.486099, 17.055599, 840, 'CZ', 'CZ-OL', 'Mostkovice', 'no', 'LKSB', '', '', ''),
	('LKBB', 'N/A', 'N/A', 48.98344215005636, 17.704513370990753, 305, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKDU', 'N/A', 'N/A', 49.824285842478275, 16.195371598005295, 498, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKRV', 'N/A', 'N/A', 48.88055898249149, 16.824886053800583, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZNR', 'N/A', 'N/A', 48.50966848433018, 18.1321419775486, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZTA', 'N/A', 'N/A', 48.399889692664146, 17.6117205619812, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOXT', 'small_airport', 'Brumowski  Air Base', 48.319247, 16.114016, 574, 'AT', 'AT-3', 'Tulln an der Donau', 'no', 'LOXT', '', '', 'Langenlebarn Military Airport, Air Force Station Tulln, Fliegerhorst Brumowski'),
	('LZPS', 'N/A', 'N/A', 48.508656956255436, 17.922184467315674, 238, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKVE', 'N/A', 'N/A', 49.35927763581276, 16.240586936473846, 516, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOAS', 'small_airport', 'Spitzerberg Airfield', 48.099157, 16.933527, 623, 'AT', 'AT-3', 'Hundsheim', 'no', 'LOAS', '', '', 'Flugsportzentrum Spitzerberg'),
	('LZPA', 'N/A', 'N/A', 48.578754141926765, 18.28571990132332, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKOL', 'small_airport', 'Olomouc Airport', 49.587712, 17.209275, 869, 'CZ', 'CZ-OL', 'Olomouc', 'no', 'LKOL', 'OLO', '', ''),
	('LKPU', 'N/A', 'N/A', 50.02205953001976, 15.521661043167114, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZHL', 'small_airport', 'Holič Airfield', 48.8103, 17.1338, 520, 'SK', 'SK-TA', 'Holič', 'no', 'LZHL', '', '', ''),
	('LKKD', 'N/A', 'N/A', 50.111750923097134, 16.51773288846016, 541, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZBN', 'N/A', 'N/A', 48.66495128720999, 18.229334503412247, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKNO', 'N/A', 'N/A', 49.409387335181236, 15.143662691116333, 582, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKDA', 'N/A', 'N/A', 49.07010532915592, 15.455767661333084, 494, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKSU', 'small_airport', 'Šumperk Airfield', 49.960602, 17.017799, 1099, 'CZ', 'CZ-OL', 'Nový Malín', 'no', 'LKSU', '', '', 'Sumperk'),
	('LHHL', 'N/A', 'N/A', 47.890434600412846, 17.348076850175858, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOAB', 'small_airport', 'Dobersberg Airfield', 48.922222, 15.296944, 1720, 'AT', 'AT-3', 'Dobersberg', 'no', 'LOAB', '', '', ''),
	('LKHI', 'N/A', 'N/A', 48.806717433035374, 16.16146221756935, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKVK', 'N/A', 'N/A', 49.94063504040241, 17.984843999147415, 262, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZPP', 'medium_airport', 'Piešťany Airport', 48.62519836425781, 17.828399658203125, 545, 'SK', 'SK-TA', 'Piešťany', 'no', 'LZPP', 'PZY', '', ''),
	('LKLO', 'N/A', 'N/A', 50.53997900336981, 15.388013273477554, 506, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKMK', 'small_airport', 'Moravská Třebová Airfield', 49.798302, 16.687799, 1322, 'CZ', 'CZ-PA', 'Moravská Třebová', 'no', 'LKMK', '', '', ''),
	('LKNE', 'heliport', 'Nedanice Heliport', 49.455556, 13.385, 1585, 'CZ', 'CZ-PL', '', 'no', 'LKNE', '', '', ''),
	('LKBI', 'N/A', 'N/A', 49.436124600470066, 16.594128906726837, 368, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKKF', 'N/A', 'N/A', 49.45748034864664, 17.820336520671844, 378, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKPO', 'medium_airport', 'Přerov Air Base', 49.4258, 17.404699, 676, 'CZ', 'CZ-OL', 'Přerov', 'no', 'LKPO', 'PRV', '', ''),
	('LKVY', 'small_airport', 'Letiště Vyškov', 49.300301, 17.025299, 922, 'CZ', 'CZ-JM', 'Vyskov', 'no', 'LKVY', '', '', ''),
	('LKZB', 'small_airport', 'Zbraslavice Airfield', 49.814201, 15.2017, 1621, 'CZ', 'CZ-ST', 'Zbraslavice', 'no', 'LKZB', '', '', 'Letiště Zbraslavice'),
	('LKSM', 'N/A', 'N/A', 50.32417081296444, 15.388209968805313, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LKPT', 'N/A', 'N/A', 48.88776473701, 17.296749651432037, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKVR', 'small_airport', 'Vrchlabí Airfield', 50.624199, 15.6464, 1611, 'CZ', 'CZ-KR', 'Lánov', 'no', 'LKVR', '', '', ''),
	('LZTN', 'small_airport', 'Trenčín Airfield', 48.865002, 17.9923, 676, 'SK', 'SK-TC', 'Trenčín', 'no', 'LZTN', '', '', ''),
	('LKFR', 'small_airport', 'Frýdlant Airfield', 49.589401, 18.3792, 1440, 'CZ', 'CZ-MO', 'Frýdlant', 'no', 'LKFR', '', '', ''),
	('LKBT', 'N/A', 'N/A', 49.52281091362238, 16.23189076781273, 587, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOAG', 'small_airport', 'Krems/Langenlois Airfield', 48.446155, 15.635011, 1017, 'AT', 'AT-3', 'Krems an der Donau', 'no', 'LOAG', '', '', ''),
	('LKPA', 'small_airport', 'Polička Airfield', 49.739399, 16.2589, 1982, 'CZ', 'CZ-PA', 'Polička', 'no', 'LKPA', '', '', ''),
	('LKBP', 'N/A', 'N/A', 49.466236755251884, 17.66529232263565, 314, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKNY', 'small_airport', 'Nymburk Airfield', 50.169101, 15.05245, 607, 'CZ', 'CZ-ST', 'Nymburk', 'no', 'LKNY', '', '', ''),
	('LKMC', 'N/A', 'N/A', 50.26296615600586, 15.297515988349915, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKBR', 'small_airport', 'Broumov Airfield', 50.561901, 16.3428, 1342, 'CZ', 'CZ-KR', 'Broumov', 'no', 'LKBR', '', '', ''),
	('LKDL', 'N/A', 'N/A', 49.96479570865631, 16.31039321422577, 441, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKKY', 'small_airport', 'Kyjov Airfield', 48.98, 17.124701, 689, 'CZ', 'CZ-JM', 'Svatobořice', 'no', 'LKKY', '', '', ''),
	('LZZZ', 'N/A', 'N/A', 47.99638453871012, 18.673005849123, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKJC', 'small_airport', 'Jičín Airfield', 50.43, 15.3331, 863, 'CZ', 'CZ-KR', 'Jičín', 'no', 'LKJC', '', '', ''),
	('LKBJ', 'N/A', 'N/A', 49.03020344674587, 17.81748354434967, 325, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKZN', 'small_airport', 'Znojmo Airfield', 48.817744, 16.065831, 830, 'CZ', 'CZ-JM', 'Znojmo', 'no', 'LKZN', '', '', ''),
	('LZMC', 'medium_airport', 'Malacky/Kuchyňa Air Base', 48.402, 17.118401, 679, 'SK', 'SK-BL', 'Kuchyňa', 'no', 'LZMC', '', '', 'Letecká základňa Malacky/Kuchyňa'),
	('LKKG', 'N/A', 'N/A', 50.254656337201595, 15.125440657138824, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKKO', 'small_airport', 'Kolín Airfield', 50.0019, 15.1733, 932, 'CZ', 'CZ-ST', 'Kolín', 'no', 'LKKO', '', '', ''),
	('LKNM', 'small_airport', 'Nové Město nad Metují Airfield', 50.364201, 16.1136, 1001, 'CZ', 'CZ-KR', 'Nové Město nad Metují', 'no', 'LKNM', '', '', ''),
	('LKVP', 'small_airport', 'Velké Poříčí Airfield', 50.4678, 16.205601, 1322, 'CZ', 'CZ-KR', 'Velke Porici', 'no', 'LKVP', '', '', ''),
	('LKKU', 'medium_airport', 'Kunovice Airport', 49.0294, 17.439699, 581, 'CZ', 'CZ-ZL', 'Uherské Hradiště', 'no', 'LKKU', 'UHE', '', 'Letiště Kunovice'),
	('LKSE', 'N/A', 'N/A', 50.068026557564735, 15.812005698680878, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOGR', 'heliport', 'Schwerpunkt Heliport', 47.279549, 16.201566, 1076, 'AT', 'AT-1', 'Oberwart', 'no', '', '', '', ''),
	('LZVB', 'closed', 'Vajnory Slovaki Airfield', 48.204399, 17.1917, 430, 'SK', 'SK-BL', 'Bratislava', 'no', '', '', '', 'LZVB, LZVB'),
	('LZST', 'N/A', 'N/A', 47.86371376365423, 18.65016371011734, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKBF', 'N/A', 'N/A', 49.643839225173, 18.351906538009644, 327, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKZA', 'small_airport', 'Zábřeh Dolní Benešov Airfield', 49.928258, 18.075557, 791, 'CZ', 'CZ-MO', 'Dolní Benešov', 'no', 'LKZA', 'ZBE', '', ''),
	('LKMS', 'N/A', 'N/A', 48.93169865012169, 16.339765638113022, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKCR', 'small_airport', 'Chrudim Airfield', 49.936401, 15.7806, 981, 'CZ', 'CZ-PA', 'Chrudim', 'no', 'LKCR', '', '', ''),
	('LKKN', 'N/A', 'N/A', 50.47862648963928, 15.005612075328827, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOAU', 'small_airport', 'Stockerau Airfield', 48.409121, 16.191015, 686, 'AT', 'AT-3', 'Stockerau', 'no', 'LOAU', '', '', ''),
	('LKZM', 'small_airport', 'Žamberk Airfield', 50.0839, 16.443899, 1411, 'CZ', 'CZ-PA', 'Žamberk', 'no', 'LKZM', '', '', ''),
	('LKZR', 'N/A', 'N/A', 49.7476651892066, 15.064364075660706, 348, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKCV', 'medium_airport', 'Čáslav Air Base', 49.939701, 15.3818, 794, 'CZ', 'CZ-ST', 'Chotusice', 'no', 'LKCV', '', '', '21st Tactical Air Base Čáslav'),
	('LZSA', 'N/A', 'N/A', 48.18871904164553, 17.63430431485176, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKPI', 'small_airport', 'Přibyslav Airfield', 49.580799, 15.7628, 1739, 'CZ', 'CZ-VY', 'Přibyslav', 'no', 'LKPI', '', '', ''),
	('LKCT', 'small_airport', 'Chotěboř Airfield', 49.685799, 15.6761, 1949, 'CZ', 'CZ-VY', 'Chotěboř', 'no', 'LKCT', '', '', ''),
	('LKKM', 'small_airport', 'Kroměříž Airfield', 49.285599, 17.4158, 620, 'CZ', 'CZ-ZL', 'Kroměříž', 'no', 'LKKM', '', '', ''),
	('LKKA', 'small_airport', 'Křižanov Airfield', 49.368301, 16.1161, 1831, 'CZ', 'CZ-VY', 'Křižanov', 'no', 'LKKA', '', '', ''),
	('LHLI', 'small_airport', 'Lipót Szigetköz Airfield', 47.8575, 17.448333, 377, 'HU', 'HU-GS', 'Lipót', 'no', 'LHLI', '', '', 'Lipót Szigetköz repülőtér'),
	('LZDU', 'N/A', 'N/A', 48.020843267440796, 17.61295437812805, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKHE', 'N/A', 'N/A', 49.44818716496229, 15.440120100975037, 627, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZTR', 'small_airport', 'Trnava Airfield', 48.451959, 17.531818, 656, 'SK', 'SK-TA', 'Boleráz', 'no', 'LZTR', '', '', 'Aeroklub Trnava, Letisko Boleráz, Letisko Trnava'),
	('EPGL', 'small_airport', 'Lotnisko Gliwice-Trynek', 50.269402, 18.6728, 830, 'PL', 'PL-SL', 'Gliwice', 'no', 'EPGL', '', '', ''),
	('LZSY', 'small_airport', 'Šurany Airfield', 48.075971, 18.114002, 394, 'SK', 'SK-NJ', 'Šurany', 'no', 'LZSY', '', '', ''),
	('LKMI', 'small_airport', 'Mikulovice Airfield', 50.301701, 17.297501, 1381, 'CZ', 'CZ-OL', 'Mikulovice', 'no', 'LKMI', '', '', ''),
	('EPRG', 'small_airport', 'Rybnik-Gotartowice Glider Field', 50.070801, 18.6283, 840, 'PL', 'PL-SL', 'Rybnik', 'no', 'EPRG', '', '', ''),
	('LKSP', 'small_airport', 'Zlín Štípa Airfield', 49.272778, 17.746389, 1086, 'CZ', 'CZ-ZL', 'Zlín', 'no', '', '', 'LKSTIP', ''),
	('LKSL', 'heliport', 'Solnice Heliport', 50.195278, 16.248056, 1112, 'CZ', 'CZ-PA', '', 'no', 'LKSL', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LKNA', 'medium_airport', 'Náměšť Air Base', 49.166272, 16.123981, 1548, 'CZ', 'CZ-VY', 'Sedlec', 'no', 'LKNA', '', '', ''),
	('LKSF', 'N/A', 'N/A', 50.501447059214115, 15.483041256666183, 485, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOAD', 'small_airport', 'Völtendorf Airfield', 48.160081, 15.58677, 1063, 'AT', 'AT-3', 'Ober-Grafendorf', 'no', 'LOAD', '', '', ''),
	('LKUO', 'small_airport', 'Ústí Nad Orlicí Airfield', 49.9786, 16.426399, 1342, 'CZ', 'CZ-PA', 'Ústí nad Orlicí', 'no', 'LKUO', '', '', ''),
	('LKSJ', 'N/A', 'N/A', 49.722120836377144, 18.374839425086975, 340, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZPI', 'N/A', 'N/A', 48.54270190000534, 18.05382549762726, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZBO', 'N/A', 'N/A', 48.74797906726599, 18.263329714536667, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKCO', 'heliport', 'Chodová Planá Heliport', 49.901199, 12.741704, 0, 'CZ', 'CZ-PL', 'Chodová Planá', 'no', 'LKCP', '', '', 'LKCO'),
	('LKPD', 'medium_airport', 'Pardubice Airport', 50.01340103149414, 15.73859977722168, 741, 'CZ', 'CZ-PA', 'Pardubice', 'yes', 'LKPD', 'PED', '', 'Letiště Pardubice'),
	('LZNO', 'N/A', 'N/A', 48.6585683003068, 18.543951362371445, 318, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZSB', 'N/A', 'N/A', 48.16342681646347, 17.957345992326736, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKPN', 'small_airport', 'Podhořany Airfield', 49.939201, 15.5497, 1250, 'CZ', 'CZ-PA', 'Podhořany u Ronova', 'no', 'LKPN', '', '', ''),
	('LZZI', 'medium_airport', 'Žilina-Dolný Hričov Airport', 49.233292, 18.613386, 1020, 'SK', 'SK-ZI', 'Dolný Hričov', 'no', 'LZZI', 'ILZ', '', ''),
	('LKCA', 'N/A', 'N/A', 49.9098352342844, 16.455527991056442, 411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKJA', 'small_airport', 'Jaroměř Airfield', 50.331402, 15.9539, 889, 'CZ', 'CZ-KR', 'Jaroměř', 'no', 'LKJA', '', '', ''),
	('LKZC', 'closed', 'Žatec-Staňkovice Airfield', 50.371, 13.59, 900, 'CZ', 'CZ-US', 'Bitozeves', 'no', '', '', '', 'LKZC, Letiště Žatec-Staňkovice'),
	('LKSS', 'N/A', 'N/A', 49.65277969837189, 18.34655374288559, 322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKDI', 'N/A', 'N/A', 49.095244333148, 16.48076668381691, 329, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKKK', 'N/A', 'N/A', 48.96199956536293, 16.832486540079117, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOAN', 'medium_airport', 'Wiener Neustadt East Airport', 47.8433, 16.260099, 896, 'AT', 'AT-3', 'Wiener Neustadt', 'no', 'LOAN', '', '', ''),
	('LKHN', 'small_airport', 'Hranice Airfield', 49.5461, 17.704399, 797, 'CZ', 'CZ-OL', 'Hranice', 'no', 'LKHN', '', '', ''),
	('LODE', 'N/A', 'N/A', 48.05381432175636, 17.133075892925262, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKZL', 'N/A', 'N/A', 49.198333360254765, 17.517777979373932, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZPE', 'small_airport', 'Prievidza Airfield', 48.766102, 18.5867, 850, 'SK', 'SK-TC', 'Prievidza', 'no', 'LZPE', '', '', ''),
	('LOAR', 'small_airport', 'Altlichtenwarth Gliderfield', 48.6661, 16.825, 604, 'AT', 'AT-3', 'Altlichtenwarth', 'no', 'LOAR', '', '', 'Flugplatz Altlichtenwarth, Segelflugfeld Altlichtenwarth'),
	('LKPB', 'N/A', 'N/A', 50.00715717673302, 15.617321133613586, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOWW', 'large_airport', 'Vienna International Airport', 48.110298, 16.5697, 600, 'AT', 'AT-9', 'Vienna', 'yes', 'LOWW', 'VIE', '', ''),
	('LKBA', 'small_airport', 'Břeclav Airfield', 48.790439, 16.892531, 531, 'CZ', 'CZ-JM', 'Břeclav', 'no', 'LKBA', '', '', 'Letiště Břeclav'),
	('LKLU', 'N/A', 'N/A', 50.27885388582945, 15.061134248971939, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKCN', 'N/A', 'N/A', 49.72910564392805, 17.118140906095505, 229, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZNI', 'small_airport', 'Nitra Airfield', 48.2794, 18.132799, 440, 'SK', 'SK-NJ', 'Nitra', 'no', 'LZNI', '', '', ''),
	('LKHK', 'small_airport', 'Hradec Králové Airport', 50.253201, 15.8452, 791, 'CZ', 'CZ-KR', 'Hradec Králové', 'no', 'LKHK', '', '', ''),
	('LKBS', 'N/A', 'N/A', 49.05150689184666, 17.367634177207947, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKVM', 'small_airport', 'Vysoké Mýto Airfield', 49.928102, 16.185029, 991, 'CZ', 'CZ-PA', 'Vysoké Mýto', 'no', 'LKVM', '', '', ''),
	('LKTB', 'medium_airport', 'Brno-Tuřany Airport', 49.15129852294922, 16.694400787353516, 778, 'CZ', 'CZ-JM', 'Brno', 'yes', 'LKTB', 'BRQ', '', ''),
	('LOAA', 'small_airport', 'Ottenschlag Airfield', 48.4189, 15.215661, 2867, 'AT', 'AT-3', 'Ottenschlag', 'no', 'LOAA', '', '', 'Union Sportfliegergruppe'),
	('LZDB', 'small_airport', 'Slávnica-Dubnica nad Váhom Airfield', 48.996899, 18.1922, 771, 'SK', 'SK-TC', 'Dubnica nad Váhom', 'no', 'LZDB', '', '', 'Slávnica'),
	('LKHC', 'small_airport', 'Hořice Airfield', 50.3576, 15.576983, 922, 'CZ', 'CZ-KR', 'Holovousy', 'no', 'LKHC', '', '', ''),
	('LKTR', 'N/A', 'N/A', 49.198351465165615, 15.903065353631973, 485, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZIB', 'large_airport', 'M. R. Štefánik Airport', 48.1702, 17.2127, 436, 'SK', 'SK-BL', 'Bratislava', 'yes', 'LZIB', 'BTS', '', ''),
	('LZPT', 'small_airport', 'Male Bielice-Partizánske Airfield', 48.619202, 18.3297, 600, 'SK', 'SK-TC', 'Partizánske', 'no', 'LZPT', '', '', ''),
	('EPKN', 'small_airport', 'Opole-Kamień Śląski Airfield', 50.529202, 18.0849, 683, 'PL', 'PL-OP', 'Kamień Śląski', 'no', 'EPKN', '', '', ''),
	('LKKR', 'small_airport', 'Krnov Airfield', 50.074407, 17.695219, 1230, 'CZ', 'CZ-MO', 'Krnov', 'no', 'LKKR', '', '', ''),
	('LKCM', 'small_airport', 'Medlánky Airfield', 49.236698, 16.555, 853, 'CZ', 'CZ-JM', 'Medlánky', 'no', 'LKCM', '', '', ''),
	('LKHO', 'closed', 'Holešov Airport', 49.3143997, 17.5688992, 761, 'CZ', 'CZ-ZL', 'Holešov', 'no', '', '', '', 'LKHO, LKHO, GTW'),
	('LKOS', 'N/A', 'N/A', 49.36411265283823, 16.784137934446335, 558, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKSK', 'small_airport', 'Skuteč Airfield', 49.827801, 16.0058, 1601, 'CZ', 'CZ-PA', 'Skuteč', 'no', 'LKSK', '', '', ''),
	('EPNY', 'N/A', 'N/A', 50.471796579658985, 17.266707122325897, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LKJI', 'small_airport', 'Jihlava Airfield', 49.419399, 15.6353, 1821, 'CZ', 'CZ-VY', 'Jihlava', 'no', 'LKJI', '', '', ''),
	('LZNZ', 'small_airport', 'Nové Zámky Airfield', 47.961944, 18.184444, 377, 'SK', 'SK-NJ', 'Nové Zámky', 'no', 'LZNZ', '', '', ''),
	('LZHA', 'N/A', 'N/A', 48.760939836502075, 18.742591738700867, 443, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LKMH', 'small_airport', 'Mnichovo Hradiště Airport', 50.540199, 15.0066, 800, 'CZ', 'CZ-ST', 'Mnichovo Hradiště', 'no', 'LKMH', 'HRA', '', ''),
	('LKTU', 'N/A', 'N/A', 50.56742571294308, 15.865267217159271, 441, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZMY', 'N/A', 'N/A', 48.76393619924784, 17.526453137397766, 374, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHKU', 'N/A', 'N/A', 46.3732548058033, 17.428096532821655, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJSK', 'small_airport', 'Slovenske Konjice Airfield', 46.31033, 15.492024, 0, 'SI', 'SI-114', 'Loče', 'no', 'LJSK', '', '', ''),
	('LDZJ', 'small_airport', 'Bjelovar Brezova Airfield', 45.860802, 16.8358, 430, 'HR', 'HR-07', 'Bjelovar', 'no', 'LDZJ', '', '', ''),
	('LDZE', 'small_airport', 'Zvekovac', 45.823056, 16.5, 374, 'HR', 'HR-01', 'Zvekovac', 'no', 'LDZE', '', '', ''),
	('LHBL', 'N/A', 'N/A', 46.76045011729002, 17.689927965402603, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHKD', 'small_airport', 'Kecskéd Airfield', 47.517121, 18.325024, 570, 'HU', 'HU-KE', 'Kecskéd', 'no', 'LHKD', '', '', ''),
	('LOGM', 'small_airport', 'Mariazell Airfield', 47.789733, 15.300333, 2822, 'AT', 'AT-6', 'Mariazell', 'no', 'LOGM', '', '', 'Flugfeld Mariazell, Flugplatz Mariazell'),
	('LDVL', 'N/A', 'N/A', 45.55166032165289, 18.10965746641159, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOGW', 'small_airport', 'Weiz-Unterfladnitz Airfield', 47.170293, 15.664468, 1296, 'AT', 'AT-6', 'Weiz', 'no', 'LOGW', '', '', 'Thalerhof'),
	('LHSY', 'small_airport', 'Szombathely Airfield', 47.279999, 16.6264, 732, 'HU', 'HU-VA', 'Szombathely', 'no', 'LHSY', '', '', ''),
	('LDHO', 'N/A', 'N/A', 45.61786562204361, 15.795054137706757, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHKV', 'small_airport', 'Kaposvar Kaposújlak Airfield', 46.386398, 17.733479, 499, 'HU', 'HU-SO', 'Kaposújlak', 'no', 'LHKV', '', '', ''),
	('LJPT', 'small_airport', 'Ptuj Airfield', 46.42709, 15.98609, 689, 'SI', 'SI-028', 'Moškanjci', 'no', 'LJPT', '', '', 'Moškanjci'),
	('LJMO', 'N/A', 'N/A', 46.68225232511759, 16.204006522893906, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHLE', 'N/A', 'N/A', 47.00657062232494, 18.212188482284546, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHEM', 'small_airport', 'Esztergom Ernő Rubik Airfield', 47.756811, 18.730459, 342, 'HU', 'HU-KE', 'Esztergom', 'no', 'LHEM', '', '', ''),
	('LOGK', 'small_airport', 'Kapfenberg Airfield', 47.457544, 15.331125, 1719, 'AT', 'AT-6', 'Kapfenberg', 'no', 'LOGK', '', '', ''),
	('LJRA', 'N/A', 'N/A', 46.628555841743946, 16.04613035917282, 222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDVR', 'N/A', 'N/A', 45.58507226407528, 17.211397290229797, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHFP', 'small_airport', 'Piuszpuszta Airfield', 47.744444, 16.614167, 486, 'HU', 'HU-GS', 'Fertőrákos', 'no', 'LHFP', '', '', ''),
	('LJLE', 'N/A', 'N/A', 46.59970935434103, 16.43202379345894, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHCS', 'N/A', 'N/A', 46.809260956943035, 17.199741303920746, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHSI', 'small_airport', 'Sitke Airfield', 47.234558, 17.027178, 0, 'HU', 'HU-VA', 'Sitke', 'no', 'LHSI', '', '', ''),
	('LHBF', 'small_airport', 'Bükfördö Airfield', 47.3848, 16.80264, 545, 'HU', 'HU-VA', 'Bö', 'no', 'LHBF', '', '', ''),
	('LDBR', 'N/A', 'N/A', 45.88727172464132, 15.650723576545715, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDGR', 'N/A', 'N/A', 45.31120531260967, 17.821625769138336, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHHE', 'N/A', 'N/A', 46.79942965507507, 17.111865431070328, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOGF', 'small_airport', 'Fürstenfeld Airfield', 47.061873, 16.083901, 830, 'AT', 'AT-6', 'Fürstenfeld', 'no', 'LOGF', '', '', 'Fuerstenfeld'),
	('LH58', 'closed', 'Csákvár Air Base', 47.350899, 18.43, 1000, 'HU', 'HU-FE', 'Csákvár', 'no', '', '', '', ''),
	('LHPK', 'N/A', 'N/A', 46.875222846865654, 18.03906574845314, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDVK', 'small_airport', 'Koprivnica Danic Airfield', 46.2131, 16.8372, 440, 'HR', 'HR-06', 'Koprivnica', 'no', 'LDVK', '', '', ''),
	('LJCJ', 'N/A', 'N/A', 46.27082426100969, 15.238738059997559, 256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJSG', 'small_airport', 'Slovenj Gradec Airfield', 46.472, 15.117, 1645, 'SI', 'SI-112', 'Šmartno pri Slovenj Gradcu', 'no', 'LJSG', '', '', ''),
	('LHPR', 'medium_airport', 'Győr-Pér International Airport', 47.628436, 17.804718, 424, 'HU', 'HU-GS', 'Pér', 'yes', 'LHPR', '', '', ''),
	('LHTP', 'N/A', 'N/A', 46.86723422259092, 17.406013011932373, 120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOWG', 'medium_airport', 'Graz Airport', 46.9911, 15.4396, 1115, 'AT', 'AT-6', 'Feldkirchen bei Graz', 'yes', 'LOWG', 'GRZ', '', 'Thalerhof Airport, Fliegerhorst Nittner, Nittner Air Base, Christophorus 12'),
	('LOGP', 'small_airport', 'Pinkafeld Airfield', 47.386684, 16.112673, 1339, 'AT', 'AT-1', 'Pinkafeld', 'no', 'LOGP', '', '', ''),
	('LHKT', 'small_airport', 'Kadarkút Airfield', 46.247418, 17.607822, 0, 'HU', 'HU-SO', 'Kadarkút', 'no', 'LHKT', '', '', ''),
	('LJVE', 'small_airport', 'Šoštanj Airfield', 46.397499, 15.0453, 1283, 'SI', 'SI-126', 'Topolšica', 'no', 'LJSO', '', '', 'Lajše, Šoštanj'),
	('LJCE', 'medium_airport', 'Cerklje ob Krki Air Base', 45.900002, 15.5302, 510, 'SI', 'SI-009', 'Cerklje ob Krki', 'no', 'LJCE', '', '', ''),
	('LJPL', 'N/A', 'N/A', 46.258010007441044, 15.58394193649292, 256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDZC', 'closed', 'Čazma Grabovnica Airfield', 45.749699, 16.663601, 479, 'HR', 'HR-07', 'Čazma', 'no', '', '', '', 'LDZC'),
	('LDZK', 'small_airport', 'Zabok-Gubaševo Airfield', 46.012746, 15.860159, 0, 'HR', 'HR-02', 'Gubaševo', 'no', 'LDZK', '', '', ''),
	('LHBY', 'N/A', 'N/A', 47.667426355183125, 17.784541994333267, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHCE', 'N/A', 'N/A', 47.27206103503704, 17.108749598264694, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHFC', 'small_airport', 'Bodmér-Felcsút Airfield', 47.444629, 18.557102, 492, 'HU', 'HU-FE', 'Bodmér', 'no', 'LHFC', '', '', 'Felcsút'),
	('LHBD', 'N/A', 'N/A', 47.12876368314028, 18.500251919031143, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHUH', 'small_airport', 'Úrhida', 47.128198, 18.312986, 633, 'HU', 'HU-FE', 'Úrhida', 'no', 'LHUH', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LJMI', 'N/A', 'N/A', 46.00862558931112, 15.03801092505455, 512, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDOC', 'small_airport', 'Osijek-Čepin Airfield', 45.542778, 18.631944, 299, 'HR', 'HR-14', 'Osijek', 'no', 'LDOC', '', '', ''),
	('LHTA', 'medium_airport', 'Taszár Air Base', 46.393101, 17.9175, 531, 'HU', 'HU-SO', 'Taszár', 'no', 'LHTA', '', '', 'Kaland Taszar'),
	('LHPA', 'small_airport', 'Pápa Air Base', 47.363602, 17.500799, 466, 'HU', 'HU-VE', 'Pápa', 'no', 'LHPA', '', '', ''),
	('LHSM', 'medium_airport', 'Hévíz–Balaton Airport', 46.686391, 17.159084, 408, 'HU', 'HU-ZA', 'Sármellék', 'yes', 'LHSM', 'SOB', '', 'Sármellék International, FlyBatalon Airport, Batalon Airport, Sármellék Nemzetközi Repülőtér'),
	('LHVO', 'N/A', 'N/A', 46.78535744547844, 17.378683537244797, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDZI', 'small_airport', 'Ivanić-Grad Airstrip', 45.719874, 16.343272, 374, 'HR', 'HR-01', 'Ivanić-Grad', 'no', 'LDZI', '', '', ''),
	('LDZL', 'small_airport', 'Lučko Airfield', 45.766725, 15.849709, 400, 'HR', 'HR-21', 'Zagreb', 'no', 'LDZL', '', '', ''),
	('LHPB', 'N/A', 'N/A', 47.27171201258898, 17.41053342819214, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDVA', 'small_airport', 'Varaždin Airfield', 46.294668, 16.383222, 548, 'HR', 'HR-05', 'Varaždin', 'no', 'LDVA', '', '', ''),
	('LDOR', 'small_airport', 'Slavonski Jelas Airfield', 45.156101, 17.9881, 276, 'HR', 'HR-12', 'Slavonski', 'no', 'LDOR', '', '', ''),
	('LDVD', 'small_airport', 'Daruvar Blagorod Airfield', 45.559399, 17.0331, 410, 'HR', 'HR-07', 'Daruvar', 'no', 'LDVD', '', '', ''),
	('LHHA', 'N/A', 'N/A', 47.14283589273691, 17.997651547193527, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJMB', 'medium_airport', 'Maribor Edvard Rusjan Airport', 46.4799, 15.6861, 876, 'SI', 'SI-160', 'Orehova Vas', 'no', 'LJMB', 'MBX', '', ''),
	('LDZB', 'small_airport', 'Buševec Velika Glider Field', 45.647499, 16.124399, 341, 'HR', 'HR-01', 'Busevec', 'no', 'LDZB', '', '', ''),
	('LHFM', 'small_airport', 'Fertőszentmiklós Airfield', 47.582802, 16.8454, 440, 'HU', 'HU-GS', 'Fertőszentmiklós', 'no', 'LHFM', '', '', 'Meidl'),
	('LJVI', 'N/A', 'N/A', 46.54816836118698, 15.915045887231827, 228, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJPR', 'N/A', 'N/A', 46.24238949269056, 15.073271691799164, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJCR', 'N/A', 'N/A', 45.58877572417259, 15.259507298469543, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHNK', 'small_airport', 'Nagykanizsa Airfield', 46.428304, 16.957569, 466, 'HU', 'HU-ZA', 'Nagykanizsa', 'no', 'LHNK', '', '', ''),
	('LJCL', 'small_airport', 'Celje Airfield', 46.245602, 15.2231, 801, 'SI', 'SI-011', 'Celje', 'no', 'LJCL', '', '', 'Letališče Celje, Levec'),
	('LOGG', 'small_airport', 'Punitz-Güssing Airfield', 47.146654, 16.317058, 950, 'AT', 'AT-1', 'Punitz', 'no', 'LOGG', '', '', 'Güssing, Flugplatz Punitz-Güssing'),
	('LJNM', 'small_airport', 'Novo Mesto Airfield', 45.801743, 15.104544, 572, 'SI', 'SI-085', 'Novo Mesto', 'no', 'LJNM', '', '', 'Prečna'),
	('LJMS', 'small_airport', 'Murska Sobota Airfield', 46.629398, 16.174999, 600, 'SI', 'SI-080', 'Murska Sobota', 'no', 'LJMS', '', '', ''),
	('LHZK', 'small_airport', 'Zalakaros Airfield', 46.5539, 17.15118, 370, 'HU', 'HU-ZA', 'Zalakaros', 'no', 'LHZK', '', '', ''),
	('LDVC', 'small_airport', 'Čakovec Pribislavec Airfield', 46.391899, 16.500299, 512, 'HR', 'HR-20', 'Čakovec', 'no', 'LDVC', '', '', ''),
	('LJPD', 'N/A', 'N/A', 46.12664546817541, 15.603750944137573, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHFE', 'N/A', 'N/A', 47.49388374388218, 16.898180097341537, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDZA', 'large_airport', 'Zagreb Franjo Tuđman International Airport', 45.742901, 16.0688, 353, 'HR', 'HR-01', 'Velika Gorica', 'yes', 'LDZA', 'ZAG', '', 'Pleso'),
	('LHSK', 'small_airport', 'Siófok-Kiliti Airfield', 46.856899, 18.0958, 417, 'HU', 'HU-SO', 'Siófok-Kiliti', 'no', 'LHSK', '', '', ''),
	('LHSA', 'small_airport', 'Szentkirályszabadja Airfield', 47.0779, 17.968399, 919, 'HU', 'HU-VE', 'Szentkirályszabadja', 'no', 'LHSA', '', '', ''),
	('LHZA', 'small_airport', 'Zalaegerszeg Andráshida Airfield', 46.884701, 16.7889, 617, 'HU', 'HU-ZA', 'Zalaegerszeg', 'no', 'LHZA', '', '', 'Zalaegerszeg, Andráshida'),
	('LHPP', 'medium_airport', 'Pécs-Pogány Airport', 45.988891, 18.242044, 651, 'HU', 'HU-BA', 'Pogány', 'yes', 'LHPP', 'PEV', '', 'Pecs South Airport, QPJ'),
	('LDZS', 'small_airport', 'Sisak', 45.465556, 16.486389, 0, 'HR', 'HR-03', '', 'no', 'LDZS', '', '', ''),
	('LDVE', 'N/A', 'N/A', 45.786968506872654, 16.9638329744339, 130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LJSO', 'N/A', 'N/A', 46.398055516183376, 15.044999867677689, 378, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LOGL', 'small_airport', 'Lanzen-Turnau Airfield', 47.556155, 15.320327, 2575, 'AT', 'AT-6', 'Göriach', 'no', 'LOGL', '', '', ''),
	('LHKL', 'N/A', 'N/A', 46.69332381337881, 17.39737182855606, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESNG', 'medium_airport', 'Gällivare Airport', 67.13240051269531, 20.814599990844727, 1027, 'SE', 'SE-BD', 'Gällivare', 'yes', 'ESNG', 'GEV', '', ''),
	('ESGQ', 'N/A', 'N/A', 66.43514927476645, 20.63573330640793, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESPA', 'medium_airport', 'Luleå Airport', 65.5438, 22.122, 65, 'SE', 'SE-BD', 'Luleå', 'yes', 'ESPA', 'LLA', '', 'Kallax Air Base'),
	('ESPJ', 'closed', 'Hede Air Base', 65.838302612305, 21.468799591064, 0, 'SE', 'SE-BD', '', 'no', '', '', '', 'ESPJ, ESPJ'),
	('ESNX', 'medium_airport', 'Arvidsjaur Airport', 65.59030151367188, 19.28190040588379, 1245, 'SE', 'SE-BD', 'Arvidsjaur', 'yes', 'ESNX', 'AJR', '', ''),
	('ESBD', 'N/A', 'N/A', 66.8811446428299, 21.909509003162384, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESPG', 'closed', 'Boden Army Air Base', 65.810302734375, 21.691299438477, 0, 'SE', 'SE-BD', 'Boden', 'no', '', '', '', 'ESPG, ESPG'),
	('ESUV', 'small_airport', 'Älvsbyn Airfield', 65.645699, 21.0611, 0, 'SE', 'SE-BD', 'Älvsbyn', 'no', 'ESUV', '', '', 'Alvsby'),
	('ESPL', 'N/A', 'N/A', 67.42066830396652, 22.399198561906815, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESPE', 'small_airport', 'Vidsel Air Base', 65.875298, 20.1499, 597, 'SE', 'SE-BD', 'Vidsel', 'no', 'ESPE', '', '', ''),
	('ESNE', 'small_airport', 'Överkalix Airfield', 66.529093, 22.356319, 0, 'SE', 'SE-BD', 'Överkalix', 'no', 'ESNE', '', '', 'Ylikainuu'),
	('ESAY', 'N/A', 'N/A', 65.63919972628355, 21.231430917978287, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESMM', 'N/A', 'N/A', 67.32752524316311, 20.744340419769287, 470, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ESNJ', 'small_airport', 'Jokkmokk Airfield', 66.496201, 20.1472, 904, 'SE', 'SE-BD', '', 'no', 'ESNJ', '', '', ''),
	('ESAD', 'N/A', 'N/A', 65.9138746932149, 19.162397235631943, 347, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESJK', 'N/A', 'N/A', 66.96333557367325, 19.833347350358963, 386, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESAB', 'N/A', 'N/A', 66.15022022277117, 21.03543385863304, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESUF', 'closed', 'Fällfors Air Base', 65.107597351074, 20.761100769043, 0, 'SE', 'SE-AC', 'Fällfors', 'no', '', '', '', 'ESUF, ESUF'),
	('ESNP', 'small_airport', 'Piteå Airfield', 65.3983, 21.260799, 43, 'SE', 'SE-BD', 'Piteå', 'no', 'ESNP', '', '', ''),
	('ESVI', 'N/A', 'N/A', 64.26803637295961, 19.61861953139305, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EFVA', 'medium_airport', 'Vaasa Airport', 63.050701, 21.762199, 19, 'FI', 'FI-12', 'Vaasa', 'yes', 'EFVA', 'VAA', '', ''),
	('ESNO', 'medium_airport', 'Örnsköldsvik Airport', 63.40829849243164, 18.989999771118164, 354, 'SE', 'SE-Y', 'Örnsköldsvik', 'yes', 'ESNO', 'OER', '', ''),
	('EFKJ', 'medium_airport', 'Kauhajoki Airfield', 62.463212, 22.390817, 407, 'FI', 'FI-03', '', 'no', 'EFKJ', 'KHJ', '', ''),
	('ESNS', 'medium_airport', 'Skellefteå Airport', 64.62480163574219, 21.076900482177734, 157, 'SE', 'SE-AC', 'Skellefteå', 'yes', 'ESNS', 'SFT', '', ''),
	('ESNU', 'medium_airport', 'Umeå Airport', 63.791801452637, 20.282800674438, 24, 'SE', 'SE-AC', 'Umeå', 'yes', 'ESNU', 'UME', '', ''),
	('ESUA', 'closed', 'Åmsele Air Base', 64.570602416992, 19.314100265503, 0, 'SE', 'SE-AC', 'Åmsele', 'no', '', '', '', 'ESUA, ESUA'),
	('EFEU', 'small_airport', 'Eura Airfield', 61.1161, 22.201401, 259, 'FI', 'FI-17', 'Eura', 'no', 'EFEU', '', '', ''),
	('EFPI', 'small_airport', 'Piikajarvi Airfield', 61.245602, 22.193399, 148, 'FI', 'FI-17', 'Kokemäki', 'no', 'EFPI', '', '', ''),
	('EFMA', 'medium_airport', 'Mariehamn Airport', 60.1222, 19.898199, 17, 'FI', 'FI-01', 'Mariehamn', 'yes', 'EFMA', 'MHQ', '', ''),
	('EFKG', 'small_airport', 'Kumlinge Airfield', 60.246899, 20.804701, 7, 'FI', 'FI-01', '', 'no', 'EFKG', '', '', ''),
	('EFPO', 'medium_airport', 'Pori Airport', 61.4617, 21.799999, 44, 'FI', 'FI-17', 'Pori', 'yes', 'EFPO', 'POR', '', ''),
	('EFTU', 'medium_airport', 'Turku Airport', 60.514099, 22.2628, 161, 'FI', 'FI-19', 'Turku', 'yes', 'EFTU', 'TKU', '', ''),
	('ESVB', 'small_airport', 'Bunge Airfield', 57.849701, 19.035, 69, 'SE', 'SE-I', 'Bunge', 'no', 'ESVB', '', '', 'Bunge Flygfält'),
	('EVIA', 'small_airport', 'Cīrava Airfield', 56.738062, 21.359786, 75, 'LV', 'LV-112', 'Cīrava', 'no', 'EVIA', '', '', 'EVIA'),
	('EVPR', 'N/A', 'N/A', 56.42940055578947, 21.579069793224335, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVAS', 'N/A', 'N/A', 56.90367680042982, 21.639452129602432, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVLA', 'medium_airport', 'Liepāja International Airport', 56.517502, 21.096901, 16, 'LV', 'LV-112', 'Liepāja', 'no', 'EVLA', 'LPX', '', ''),
	('EVSA', 'N/A', 'N/A', 56.692309342324734, 22.470251619815826, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVDN', 'N/A', 'N/A', 57.49898102134466, 22.4020779132843, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVAI', 'N/A', 'N/A', 56.69695124030113, 21.629302203655243, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVVA', 'small_airport', 'Ventspils International Airport', 57.3578, 21.544201, 19, 'LV', 'LV-VEN', 'Ventspils', 'no', 'EVVA', 'VNT', '', ''),
	('EPPH', 'N/A', 'N/A', 54.07483108341694, 21.834831833839417, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPSX', 'N/A', 'N/A', 53.65752462297678, 21.27735212445259, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOH', 'N/A', 'N/A', 54.691638238728046, 20.74611559510231, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYND', 'small_airport', 'Nida Airfield', 55.327778, 21.045834, 6, 'LT', 'LT-KL', 'Nida', 'no', 'EYNI', '', '', ''),
	('UYUZ', 'N/A', 'N/A', 54.56226289272308, 20.602751523256302, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYPA', 'medium_airport', 'Palanga International Airport', 55.973201751708984, 21.093900680541992, 33, 'LT', 'LT-KL', 'Palanga', 'yes', 'EYPA', 'PLQ', '', ''),
	('UMAA', 'N/A', 'N/A', 54.72479671239853, 20.573536902666092, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPGB', 'N/A', 'N/A', 53.531218729913235, 20.154087245464325, 195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPMB', 'medium_airport', '22nd Air Base', 54.026901, 19.134199, 16, 'PL', 'PL-PM', 'Malbork', 'no', 'EPMB', '', '', 'Marienburg'),
	('EYKL', 'small_airport', 'Klaipėda Airfield', 55.712021, 21.242892, 59, 'LT', 'LT-KL', 'Klaipėda', 'no', 'EYKL', '', '', 'KLJ, Klaipėdos oro uostas'),
	('USVV', 'N/A', 'N/A', 54.864942133426666, 20.184363573789597, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPOD', 'small_airport', 'Lotnisko Olsztyn-Dajtki', 53.77295, 20.414486, 440, 'PL', 'PL-WN', 'Olsztyn', 'no', 'EPOD', '', '', ''),
	('UMKS', 'N/A', 'N/A', 54.51655000448227, 20.619088858366013, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCHE', 'N/A', 'N/A', 54.60163235664368, 21.78244337439537, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYTR', 'N/A', 'N/A', 55.23166682571173, 22.150277942419052, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPBB', 'small_airport', 'Babięta', 53.669635, 21.252737, 0, 'PL', 'PL-WN', 'Babięta', 'no', 'EPBB', '', '', ''),
	('EPSV', 'N/A', 'N/A', 53.90734154731035, 22.233465760946274, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPON', 'N/A', 'N/A', 54.12678647786379, 20.088401287794113, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPGM', 'small_airport', 'Giżycko-Mazury Residence', 54.00645, 21.81824, 410, 'PL', 'PL-WN', 'Giżycko', 'no', 'EPGM', '', '', ''),
	('EPMA', 'N/A', 'N/A', 53.825267627835274, 21.318571865558624, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGVV', 'N/A', 'N/A', 54.65295273810625, 20.99365621805191, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPGI', 'small_airport', 'Grudziadz Lisie-Katy Airfield', 53.524399, 18.849199, 121, 'PL', 'PL-KP', 'Grudziadz', 'no', 'EPGI', '', '', ''),
	('EPEL', 'small_airport', 'Elblag Airfield', 54.1408, 19.4233, 10, 'PL', 'PL-WN', 'Elbląg', 'no', 'EPEL', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EYTL', 'small_airport', 'Telšiai Airfield', 55.986401, 22.2878, 410, 'LT', 'LT-TE', 'Telšiai', 'no', 'EYTL', '', '', ''),
	('EYSI', 'small_airport', 'Šilute Air Base', 55.336899, 21.5306, 59, 'LT', 'LT-KL', 'Šilute', 'no', 'EYSI', '', '', ''),
	('UMKK', 'medium_airport', 'Khrabrovo Airport', 54.88999938964844, 20.592599868774414, 42, 'RU', 'RU-KGD', 'Kaliningrad', 'yes', 'UMKK', 'KGD', '', ''),
	('UDOS', 'N/A', 'N/A', 54.93455585092306, 19.98235434293747, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPKI', 'small_airport', 'Kikity', 53.983056, 20.877222, 564, 'PL', 'PL-WN', '', 'no', 'EPKI', '', '', 'Agrotourism'),
	('EPBN', 'N/A', 'N/A', 54.22055818140507, 22.046381682157516, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPKE', 'small_airport', 'Kȩtrzyn-Wilamowo Airfield', 54.043598, 21.432199, 417, 'PL', 'PL-WN', 'Kȩtrzyn', 'no', 'EPKE', '', '', ''),
	('EPSY', 'medium_airport', 'Olsztyn-Mazury Airport', 53.481899, 20.9377, 463, 'PL', 'PL-WN', 'Olsztyn', 'yes', 'EPSY', 'SZY', '', ''),
	('EPGE', 'small_airport', 'Giże', 53.982531, 22.401796, 0, 'PL', 'PL-WN', 'Giże', 'no', 'EPGE', '', '', ''),
	('EPOR', 'N/A', 'N/A', 53.70949141681194, 21.910509914159775, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPLN', 'N/A', 'N/A', 53.60807944089174, 20.349625200033188, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYKT', 'small_airport', 'Kartena Airfield', 55.9203, 21.5672, 259, 'LT', 'LT-KL', 'Kartena', 'no', 'EYKT', '', '', ''),
	('EPRU', 'N/A', 'N/A', 50.884812511503696, 19.202540516853333, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPCL', 'N/A', 'N/A', 52.055293656885624, 21.42865464091301, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPTM', 'medium_airport', 'Tomaszow Mazowiecki Military Air Base', 51.5844, 20.097799, 571, 'PL', 'PL-LD', 'Tomaszów Mazowiecki', 'no', 'EPTM', '', '', ''),
	('EPBH', 'heliport', 'Bydgoszcz Baza Lpr Heliport', 53.210278, 18.101667, 313, 'PL', 'PL-KP', '', 'no', 'EPBH', '', '', ''),
	('EPLH', 'N/A', 'N/A', 51.885997988283634, 20.325127243995667, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPLW', 'N/A', 'N/A', 52.08468496799469, 19.85928162932396, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPLY', 'medium_airport', 'Leczyca Military Air Base', 52.0047, 19.145599, 377, 'PL', 'PL-LD', 'Leczyca', 'no', 'EPLY', '', '', ''),
	('EPRP', 'small_airport', 'Radom-Piastrów Glider Field', 51.478901, 21.110001, 479, 'PL', 'PL-MZ', 'Radom', 'no', 'EPRP', '', '', ''),
	('EPST', 'small_airport', 'Stalowa Wola-Turbia Airfield', 50.626598, 21.997848, 492, 'PL', 'PL-PK', 'Stalowa Wola', 'no', 'EPST', '', '', ''),
	('EPWK', 'small_airport', 'Włocławek-Kruszyn Airfield', 52.584702, 19.0156, 220, 'PL', 'PL-KP', 'Włocławek', 'no', 'EPWK', '', '', ''),
	('EPSJ', 'small_airport', 'Sobienie Field', 51.951142, 21.35253, 0, 'PL', 'PL-MZ', '', 'no', 'EPSJ', '', '', ''),
	('EPNS', 'N/A', 'N/A', 52.57401008158922, 20.8719339966774, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPMX', 'small_airport', 'Milewo', 52.668142, 20.428175, 0, 'PL', 'PL-MZ', 'Milewo', 'no', 'EPMX', '', '', ''),
	('EPDE', 'medium_airport', 'Deblin Military Air Base', 51.551399231, 21.8936004639, 392, 'PL', 'PL-LU', 'Dęblin', 'no', 'EPDE', '', '', 'Wyższa Szkoła Oficerska Sił Powietrznych'),
	('EPLF', 'N/A', 'N/A', 52.208220809698105, 19.390688985586166, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPKA', 'small_airport', 'Kielce Maslow Airfield', 50.896702, 20.731701, 1010, 'PL', 'PL-SK', 'Kielce', 'no', 'EPKA', '', '', ''),
	('EPKU', 'N/A', 'N/A', 52.07616124302149, 21.188059598207474, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPLK', 'medium_airport', 'Lask Military Air Base', 51.551701, 19.1791, 633, 'PL', 'PL-LD', '', 'no', 'EPLK', '', '', ''),
	('EPPT', 'small_airport', 'Piotrków Trybunalski-Bujny Airfield', 51.383099, 19.688299, 673, 'PL', 'PL-LD', 'Piotrków Trybunalski', 'no', 'EPPT', '', '', ''),
	('EPZL', 'N/A', 'N/A', 52.47382756322622, 20.54176703095436, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPKL', 'small_airport', 'Krasocin Field', 50.898824, 20.127511, 820, 'PL', 'PL-SK', '', 'no', 'EPKL', '', '', 'Krasocin Lipie'),
	('EPMM', 'medium_airport', 'Minsk Mazowiecki Military Air Base', 52.1954994202, 21.6558990479, 604, 'PL', 'PL-MZ', '', 'no', 'EPMM', '', '', ''),
	('EPRS', 'small_airport', 'Sochaczew-Rybno', 52.242789, 20.126579, 280, 'PL', 'PL-MZ', 'Rybno', 'no', 'EPRS', '', '', ''),
	('EPRA', 'medium_airport', 'Warsaw Radom Airport', 51.38937, 21.214742, 610, 'PL', 'PL-MZ', 'Radom', 'yes', 'EPRA', 'RDO', '', 'Radom Military Air Base, Radom-Sadków Airport, Warszawa-Radom, Lotnisko Warszawa-Radom im. Bohaterów Radomskiego Czerwca 1976 Roku, Heroes of Radom June 1976 Warsaw Radom'),
	('EPND', 'N/A', 'N/A', 52.080589570105076, 20.853456258773804, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPBC', 'small_airport', 'Warsaw Babice Airport', 52.269199, 20.907203, 352, 'PL', 'PL-MZ', 'Warsaw', 'no', 'EPBC', '', '', 'Babice Airfield, Bemovo, Warszawa'),
	('EPNM', 'small_airport', 'Nowe Miasto nad Pilica Airfield', 51.625, 20.535, 512, 'PL', 'PL-MZ', 'Nowe Miasto nad Pilicą', 'no', 'EPNM', '', '', 'Lotnisko Nowe Miasto nad Pilicą'),
	('EPWL', 'N/A', 'N/A', 51.88132122159004, 21.369549930095673, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPZK', 'small_airport', 'Konopnica Airfield', 51.360179, 18.822057, 0, 'PL', 'PL-LD', 'Konopnica', 'no', 'EPZK', '', '', ''),
	('EPSI', 'N/A', 'N/A', 51.53562672436237, 18.801585137844086, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPSO', 'small_airport', 'Sochaczew Air Base', 52.198601, 20.292801, 259, 'PL', 'PL-MZ', '', 'no', '', '', '', ''),
	('EPLL', 'medium_airport', 'Łódź Władysław Reymont Airport', 51.721901, 19.3981, 604, 'PL', 'PL-LD', 'Łódź', 'yes', 'EPLL', 'LCJ', '', 'Lublinek'),
	('EPRI', 'N/A', 'N/A', 52.98975080251694, 20.50674855709076, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPRO', 'N/A', 'N/A', 51.800494864583015, 19.857734441757202, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPGY', 'small_airport', 'Grądy Airfield', 52.836977, 21.777644, 407, 'PL', 'PL-MZ', 'Grądy', 'no', 'EPGY', '', '', ''),
	('EPWA', 'large_airport', 'Warsaw Chopin Airport', 52.165699, 20.9671, 362, 'PL', 'PL-MZ', 'Warsaw', 'yes', 'EPWA', 'WAW', '', 'Okęcie'),
	('EPLR', 'small_airport', 'Lublin Radwiec Airfield', 51.221901, 22.394699, 791, 'PL', 'PL-LU', '', 'no', 'EPLR', '', '', ''),
	('EPZY', 'N/A', 'N/A', 52.12206959724426, 20.48195779323578, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPPL', 'small_airport', 'Plock Airfield', 52.562199, 19.721399, 331, 'PL', 'PL-MZ', '', 'no', 'EPPL', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EPGO', 'closed', 'Góraszka Airport', 52.184441, 21.281111, 361, 'PL', 'PL-MZ', 'Sulejówek', 'no', '', '', '', 'EPGO, EPGO'),
	('EPLI', 'N/A', 'N/A', 51.016240417957306, 18.75408634543419, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPBZ', 'N/A', 'N/A', 51.80810932070017, 19.738447666168213, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPMO', 'medium_airport', 'Modlin Airport', 52.451099, 20.6518, 341, 'PL', 'PL-MZ', 'Nowy Dwór Mazowiecki', 'yes', 'EPMO', 'WMI', '', 'Warsaw, Warszawa'),
	('EPBE', 'N/A', 'N/A', 51.40165373682976, 19.3781840801239, 215, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPKX', 'heliport', 'Krakow Baza Lpr Heliport', 50.022778, 20.070278, 651, 'PL', 'PL-MA', '', 'no', 'EPKX', '', '', ''),
	('EPPA', 'N/A', 'N/A', 53.01093656569719, 20.934323966503143, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPLG', 'N/A', 'N/A', 51.9278122857213, 20.266952365636826, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPPZ', 'N/A', 'N/A', 51.627349220216274, 22.19794437289238, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPKK', 'large_airport', 'Kraków John Paul II International Airport', 50.077702, 19.7848, 791, 'PL', 'PL-MA', 'Balice', 'yes', 'EPKK', 'KRK', '', 'Krakov'),
	('LHRE', 'N/A', 'N/A', 47.93318498879671, 19.121238738298416, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHNY', 'small_airport', 'Nyíregyháza Airfield', 47.983898, 21.692301, 338, 'HU', 'HU-SZ', 'Nyíregyháza', 'no', 'LHNY', '', '', ''),
	('LHOZ', 'N/A', 'N/A', 48.31837635487318, 20.250366926193237, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHTE', 'closed', 'Terpes Airport', 47.974924, 20.146968, 519, 'HU', 'HU-HE', 'Terpes', 'no', '', '', '', 'LHTE'),
	('LZKZ', 'medium_airport', 'Košice International Airport', 48.663101, 21.2411, 755, 'SK', 'SK-KI', 'Košice', 'yes', 'LZKZ', 'KSC', '', ''),
	('LHSO', 'N/A', 'N/A', 48.3159214630723, 21.590191572904587, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPKT', 'medium_airport', 'Katowice Wojciech Korfanty International Airport', 50.476015, 19.080705, 995, 'PL', 'PL-SL', 'Ożarowice', 'yes', 'EPKT', 'KTW', '', 'Pyrzowice, Dąbrowa Górnicza, Katowice, Silesia, GOP, Silesia Metropolis, Gliwice, Piekary Śląskie, Bytom, Zabrze, Sosnowiec'),
	('EPSS', 'small_airport', 'Świdnica - Krzczonów Airstrip', 50.8171823, 16.5818641, 833, 'PL', 'PL-DS', '', 'no', 'EPSS', '', '', ''),
	('EPKM', 'small_airport', 'Katowice-Muchowiec Airfield', 50.238184, 19.033685, 909, 'PL', 'PL-SL', 'Katowice', 'no', 'EPKM', '', '', ''),
	('LZMV', 'N/A', 'N/A', 48.62130269408226, 21.083103865385056, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLU', 'medium_airport', 'Uzhhorod International Airport', 48.6343, 22.263399, 383, 'UA', 'UA-21', 'Uzhhorod', 'yes', 'UKLU', 'UDJ', '', 'Міжнародний аеропорт "Ужгород"'),
	('EPZR', 'small_airport', 'Żar Airfield', 49.771099, 19.2181, 1260, 'PL', 'PL-SL', 'Międzybrodzie  Żywieckie', 'no', 'EPZR', '', '', 'Góra Żar'),
	('EP65', 'N/A', 'N/A', 49.283312782645226, 22.11645931005478, 579, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZLU', 'small_airport', 'Lučenec Airfield', 48.339401, 19.7358, 0, 'SK', 'SK-BC', 'Lučenec', 'no', 'LZLU', 'LUE', '', ''),
	('LZOC', 'small_airport', 'Očová Airfield', 48.595333, 19.265806, 1191, 'SK', 'SK-BC', 'Očová', 'no', 'LZOC', '', '', ''),
	('LZVL', 'N/A', 'N/A', 48.25623728334904, 19.50528994202614, 244, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPNL', 'small_airport', 'Nowy Sącz-Łososina Dolna Airfield', 49.745324, 20.623472, 830, 'PL', 'PL-MA', 'Łososina Dolna', 'no', 'EPNL', '', '', 'Lotnisko Nowy Sącz-Łososina Dolna, Aeroklub Podhalański them. Leopold Kwiatkowski'),
	('LZZL', 'N/A', 'N/A', 49.17154747992754, 18.77845734357834, 451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZTE', 'N/A', 'N/A', 48.61513193696737, 21.835149228572845, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZKS', 'closed', 'Kráľová pri Senci Airfield', 48.201094, 17.472467, 400, 'SK', 'SK-BL', 'Kráľová pri Senci', 'no', '', '', '', 'LZKS'),
	('LZMD', 'N/A', 'N/A', 48.55072841048241, 21.093224734067917, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZBR', 'N/A', 'N/A', 49.21093337237835, 21.26427635550499, 402, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZMR', 'N/A', 'N/A', 49.01668209582567, 18.895355612039566, 411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPKR', 'small_airport', 'Krosno Airfield', 49.681458, 21.739883, 922, 'PL', 'PL-PK', 'Krosno', 'no', 'EPKR', '', '', ''),
	('EPKC', 'closed', 'Kraków Rakowice-Czyżyny Airport', 50.084353, 19.99031, 732, 'PL', 'PL-MA', '', 'no', '', '', '', 'Polish Aviation Museum, EPKC'),
	('LZRU', 'small_airport', 'Ružomberok Airfield', 49.085485, 19.368584, 1617, 'SK', 'SK-ZI', 'Ružomberok', 'no', 'LZRU', '', '', ''),
	('LZMI', 'N/A', 'N/A', 48.65990940481424, 22.014373540878296, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZBE', 'N/A', 'N/A', 49.33814987540245, 21.148721426725388, 430, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZMO', 'N/A', 'N/A', 48.60787991434336, 20.938698649406433, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHMC', 'closed', 'Miskolc Airfield', 48.13603, 20.789641, 390, 'HU', 'HU-BZ', 'Miskolc', 'no', '', '', '', 'LHMC, LHMC, MCQ'),
	('LZSO', 'N/A', 'N/A', 48.79197936505079, 22.179764360189438, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZKC', 'small_airport', 'Kamenica nad Cirochou Airfield', 48.937, 21.9952, 560, 'SK', 'SK-PV', 'Kamenica nad Cirochou', 'no', 'LZKC', '', '', ''),
	('LZLV', 'N/A', 'N/A', 48.9944127202034, 20.664926916360855, 484, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZRY', 'small_airport', 'Ražňany Airfield', 49.078056, 21.099722, 1050, 'SK', 'SK-PV', 'Ražňany', 'no', 'LZRY', '', '', ''),
	('LZSV', 'small_airport', 'Spišská Nová Ves', 48.940833, 20.533889, 0, 'SK', 'SK-KI', 'Spišská Nová Ves', 'no', 'LZSV', '', '', 'Spišská Nová Ves'),
	('LZZV', 'N/A', 'N/A', 48.48852060735226, 19.101914316415787, 349, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZCI', 'N/A', 'N/A', 48.41372150927782, 22.00293928384781, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPGA', 'N/A', 'N/A', 49.95994258671999, 19.402798265218735, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZSR', 'N/A', 'N/A', 49.31982334703207, 20.634793639183044, 577, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZVE', 'N/A', 'N/A', 48.15180346369743, 19.363361299037933, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZSC', 'N/A', 'N/A', 48.62467389553785, 21.506454348564148, 269, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LHPT', 'N/A', 'N/A', 48.4195402264595, 20.33782258629799, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHMA', 'N/A', 'N/A', 48.024854846298695, 19.805319160223007, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZFI', 'N/A', 'N/A', 48.29598627984524, 19.784311652183533, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHAB', 'N/A', 'N/A', 48.29751916229725, 21.22129574418068, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPKW', 'small_airport', 'Bielsko-Biała Kaniów Airfield', 49.94159, 19.019566, 839, 'PL', 'PL-SL', 'Kaniów', 'no', 'EPKW', '', '', 'Czechowice-Dziedzice Airfield, Lotnisko Bielsko-Biała Kaniów'),
	('LZBD', 'small_airport', 'Bidovce Airstrip', 48.742803, 21.448325, 984, 'SK', 'SK-KI', 'Košice', 'no', 'LZBD', '', '', ''),
	('EPBG', 'N/A', 'N/A', 49.361496828496456, 22.329842895269394, 492, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPRJ', 'small_airport', 'Rzeszów Sports Airfield', 50.104169, 22.047029, 655, 'PL', 'PL-PK', 'Nowa Wieś', 'no', 'EPRJ', '', '', 'OKL Rzeszow, Aeroklub Rzeszowski, Politechnika Rzeszowska,'),
	('LZPR', 'N/A', 'N/A', 48.89129754155874, 21.317315697669983, 326, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPRZ', 'medium_airport', 'Rzeszów-Jasionka Airport', 50.109791, 22.024155, 693, 'PL', 'PL-PK', 'Jasionka', 'yes', 'EPRZ', 'RZE', '', ''),
	('LZPW', 'small_airport', 'Prešov Air Base', 49.02970123291, 21.315599441528, 1060, 'SK', 'SK-PV', 'Prešov', 'no', 'LZPW', 'POV', '', ''),
	('LZSK', 'small_airport', 'Svidník Airfield', 49.3339, 21.570299, 1161, 'SK', 'SK-PV', 'Svidník', 'no', 'LZSK', '', '', ''),
	('LZKI', 'N/A', 'N/A', 48.60980540513992, 21.24852865934372, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZLI', 'N/A', 'N/A', 49.1473338380456, 20.946034491062164, 460, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZRM', 'N/A', 'N/A', 48.371577970683575, 20.153325498104095, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZKE', 'N/A', 'N/A', 48.644808903336525, 21.375645250082016, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPML', 'small_airport', 'Mielec Airfield', 50.3223, 21.462099, 548, 'PL', 'PL-PK', '', 'no', 'EPML', '', '', ''),
	('EPLC', 'N/A', 'N/A', 49.71661325544119, 20.811733156442642, 513, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZSH', 'N/A', 'N/A', 48.12958873808384, 19.000784754753113, 291, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZRV', 'N/A', 'N/A', 48.27478442341089, 20.092103630304337, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHGY', 'small_airport', 'Gyöngyös Pipishegy Airfield', 47.814279, 19.976792, 1150, 'HU', 'HU-HE', 'Gyöngyös', 'no', 'LHGY', '', '', ''),
	('LZHM', 'N/A', 'N/A', 48.97884216159582, 21.9478802382946, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPKP', 'small_airport', 'Pobiednik Wielki Airfield', 50.08644, 20.200253, 650, 'PL', 'PL-MA', 'Kraków', 'no', 'EPKP', '', '', ''),
	('LZKO', 'N/A', 'N/A', 48.597038090229034, 21.15866705775261, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPNT', 'small_airport', 'Nowy Targ Airfield', 49.462797, 20.050304, 2060, 'PL', 'PL-MA', 'Nowy Targ', 'no', 'EPNT', '', '', 'QWS'),
	('EPTA', 'N/A', 'N/A', 50.00205460935831, 21.0041543841362, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHTR', 'N/A', 'N/A', 47.93130308389664, 19.77155104279518, 407, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZSL', 'medium_airport', 'Sliač Airport', 48.63779830932617, 19.13409996032715, 1043, 'SK', 'SK-BC', 'Sliač', 'yes', 'LZSL', 'SLD', '', ''),
	('LZCE', 'N/A', 'N/A', 48.53995967656374, 22.06266760826111, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZSN', 'N/A', 'N/A', 48.93336899578571, 22.27597251534462, 441, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZKR', 'N/A', 'N/A', 48.262028843164444, 19.009223878383636, 308, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZHR', 'N/A', 'N/A', 48.674836568534374, 19.24506425857544, 471, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHKR', 'N/A', 'N/A', 48.36188144981861, 21.746314018964767, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZJS', 'small_airport', 'Jasná Airfield', 49.047939, 19.506791, 2103, 'SK', 'SK-ZI', 'Dúbrava', 'no', 'LZJS', '', '', ''),
	('LZZA', 'N/A', 'N/A', 48.63748915493488, 18.79754349589348, 377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZTI', 'N/A', 'N/A', 48.6381583660841, 21.758741587400436, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPPC', 'small_airport', 'Pińczów Airfield', 50.518299, 20.514999, 610, 'PL', 'PL-SK', 'Pińczów', 'no', 'EPPC', '', '', ''),
	('LZTT', 'medium_airport', 'Poprad-Tatry Airport', 49.073601, 20.2411, 2356, 'SK', 'SK-PV', 'Poprad', 'yes', 'LZTT', 'TAT', '', ''),
	('EPKV', 'N/A', 'N/A', 50.260360054671764, 20.541328936815262, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHER', 'small_airport', 'Eger Apolló Airfield', 47.9052, 20.4055, 790, 'HU', 'HU-HE', 'Eger', 'no', 'LHER', '', '', ''),
	('LZKA', 'N/A', 'N/A', 48.75197388231754, 21.32826805114746, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZTB', 'N/A', 'N/A', 48.531710878014565, 21.729113906621933, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPBA', 'small_airport', 'Bielsko-Biała Aleksandrowice Airfield', 49.805, 19.0019, 1319, 'PL', 'PL-SL', 'Bielsko-Biała', 'no', 'EPBA', '', '', ''),
	('EPPF', 'N/A', 'N/A', 49.3512749299407, 22.481882125139236, 483, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZLP', 'N/A', 'N/A', 49.096121750772, 19.73443642258644, 786, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZME', 'N/A', 'N/A', 49.16406109929085, 21.912383437156677, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZSD', 'N/A', 'N/A', 48.63460745662451, 21.576822102069855, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZKU', 'N/A', 'N/A', 48.41811530292034, 19.149519056081772, 433, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZPD', 'N/A', 'N/A', 49.10602781921625, 20.343746691942215, 656, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPIW', 'closed', 'Iwonicz Airfield', 49.658461, 21.8155, 971, 'PL', 'PL-PK', 'Pustyny', 'no', '', '', '', 'EPIW'),
	('EPLA', 'N/A', 'N/A', 49.445924051105976, 22.31943815946579, 411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LZRE', 'N/A', 'N/A', 48.57460208237171, 20.291404724121094, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZHN', 'N/A', 'N/A', 48.834948018193245, 18.84373113512993, 533, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZBA', 'N/A', 'N/A', 49.37476806342602, 21.288574934005737, 353, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LZMA', 'small_airport', 'Martin Airfield', 49.0653, 18.9508, 1381, 'SK', 'SK-ZI', 'Martin', 'no', 'LZMA', '', '', 'Tomčany'),
	('LHMR', 'small_airport', 'Maklár Airfield', 47.811857, 20.422254, 407, 'HU', 'HU-HE', 'Eger', 'no', 'LHMR', '', '', ''),
	('LYSU', 'small_airport', 'Subotica / Bikovo Sport Aerodrome', 46.022837, 19.706454, 340, 'RS', 'RS-01', 'Bikovo', 'no', 'LYSU', '', '', 'Subotica Airport, Aerodrome Subotica, Bikovo Airport, Суботица, Биково'),
	('LHFU', 'N/A', 'N/A', 46.799627132713795, 19.683722108602524, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYZR', 'small_airport', 'Ečka Airfield', 45.339756, 20.454078, 246, 'RS', 'RS-02', 'Zrenjanin', 'no', 'LYZR', '', '', ''),
	('LYKU', 'N/A', 'N/A', 45.785458758473396, 19.018937945365906, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHSB', 'small_airport', 'Szabadszállás-Balázspuszta Airfield', 46.900278, 19.366389, 325, 'HU', 'HU-BK', 'Szabadszállás', 'no', 'LHSB', '', '', ''),
	('LHSR', 'N/A', 'N/A', 46.80409301072359, 20.527523159980774, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHSN', 'medium_airport', 'Szolnok Air Base', 47.122897, 20.2355, 322, 'HU', 'HU-JN', 'Szolnok', 'no', 'LHSN', '', '', 'Szolnok Air Base, MH86'),
	('LHVE', 'small_airport', 'Veresegyház Airfield', 47.638107, 19.255007, 0, 'HU', 'HU-PE', 'Veresegyház', 'no', 'LHVE', '', '', 'East Line Air Team'),
	('LHKI', 'small_airport', 'Kiskőrös-Akasztó', 46.6569444, 19.2425, 305, 'HU', 'HU-BK', 'Kiskőrös', 'no', 'LHKI', '', '', 'Akasztó'),
	('LHTL', 'medium_airport', 'Tököl Airport', 47.345299, 18.980801, 318, 'HU', 'HU-PE', 'Tököl', 'no', 'LHTL', '', '', 'Tököl Air Base'),
	('LYMA', 'N/A', 'N/A', 45.15932757407427, 21.18476092815399, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHBS', 'small_airport', 'Budaörs Airfield', 47.451099, 18.9806, 397, 'HU', 'HU-BU', 'Budaörs', 'no', 'LHBS', '', '', ''),
	('LHSU', 'small_airport', 'Surjány Airfield', 47.199968, 20.481934, 0, 'HU', 'HU-JN', 'Törökszentmiklós', 'no', 'LHSU', '', '', ''),
	('LHSS', 'small_airport', 'Szolnok-Szandai Airfield', 47.144402, 20.1978, 266, 'HU', 'HU-JN', 'Szolnok', 'no', 'LHSS', '', '', 'Szolnok-Szandaszőlős Sport Airfield'),
	('LROD', 'medium_airport', 'Oradea International Airport', 47.025299072265625, 21.90250015258789, 465, 'RO', 'RO-BH', 'Oradea', 'yes', 'LROD', 'OMR', '', ''),
	('LRTI', 'N/A', 'N/A', 45.786058232188225, 21.1885929107666, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHVA', 'N/A', 'N/A', 46.14549033343792, 19.042607992887497, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHDO', 'N/A', 'N/A', 46.251622661948204, 19.94893491268158, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHDU', 'N/A', 'N/A', 47.77451120316982, 19.06284973025322, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHDE', 'N/A', 'N/A', 47.01201818883419, 20.980604141950607, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHSZ', 'small_airport', 'Szentes Aerodrome', 46.6133, 20.282801, 259, 'HU', 'HU-CS', 'Szentes', 'no', 'LHSZ', '', '', ''),
	('LHKF', 'N/A', 'N/A', 46.369961723685265, 19.47809413075447, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHEC', 'closed', 'Érsekcsanád Airfield', 46.249608, 18.927609, 285, 'HU', 'HU-BK', 'Érsekcsanád', 'no', '', '', '', 'LHEC'),
	('LHST', 'N/A', 'N/A', 46.32260497659445, 20.05354642868042, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDOS', 'medium_airport', 'Osijek Airport', 45.462355, 18.811278, 290, 'HR', 'HR-14', 'Klisa', 'yes', 'LDOS', 'OSI', '', ''),
	('LHPS', 'N/A', 'N/A', 46.54624421149492, 19.96095523238182, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRTR', 'medium_airport', 'Timişoara Traian Vuia Airport', 45.809898376464844, 21.337900161743164, 348, 'RO', 'RO-TM', 'Timişoara', 'yes', 'LRTR', 'TSR', '', 'RoAF 93rd Air Base, Giarmata Airport, Temesvár, Temeschburg, Temeswar, Temeschwar, Тимишоара, Темишвар, Temišvar, Banat'),
	('LHBP', 'large_airport', 'Budapest Liszt Ferenc International Airport', 47.43018, 19.262393, 495, 'HU', 'HU-BU', 'Budapest', 'yes', 'LHBP', 'BUD', '', 'Ferihegyi nemzetközi repülőtér, Budapest Liszt Ferenc international Airport'),
	('LYNS', 'small_airport', 'Novi Sad / Čenej Airfield', 45.38531, 19.833326, 266, 'RS', 'RS-06', 'Čenej', 'no', 'LYNS', '', '', ''),
	('LHBC', 'small_airport', 'Békéscsaba Airfield', 46.677132, 21.161188, 286, 'HU', 'HU-BE', 'Békéscsaba', 'no', 'LHBC', '', '', 'Viharsarok,Kvasz András'),
	('LHBO', 'small_airport', 'Bácsbokod repülőtér', 46.152181, 19.150439, 512, 'HU', 'HU-BK', 'Bácsbokod', 'no', 'LHBO', '', '', ''),
	('LHKH', 'small_airport', 'Kiskunfélegyháza Airfield', 46.733101, 19.893299, 289, 'HU', 'HU-BK', 'Kiskunfélegyháza', 'no', 'LHKH', '', '', ''),
	('LYKI', 'small_airport', 'Kikinda Airfield', 45.768122, 20.417261, 266, 'RS', 'RS-03', 'Kikinda', 'no', 'LYKI', '', '', 'Drahslerov Salaš'),
	('LHDC', 'medium_airport', 'Debrecen International Airport', 47.488899, 21.615299, 359, 'HU', 'HU-HB', 'Debrecen', 'yes', 'LHDC', 'DEB', '', 'Debreceni nemzetközi repülőtér'),
	('LHNS', 'small_airport', 'Nagyszénás', 46.698056, 20.668611, 0, 'HU', 'HU-BE', 'Nagyszénás', 'no', 'LHNS', '', '', ''),
	('LHHH', 'small_airport', 'Hármashatárhegy Glider Field', 47.550301, 18.978701, 960, 'HU', 'HU-BU', 'Budapest', 'no', 'LHHH', '', '', ''),
	('LHGM', 'closed', 'Gyomai Airfield', 46.956165, 20.883123, 265, 'HU', 'HU-BE', 'Gyomai', 'no', '', '', '', 'LHGM, LHGM'),
	('LHTM', 'small_airport', 'Tápiószentmárton Airfield', 47.310956, 19.777364, 0, 'HU', 'HU-PE', 'Tápiószentmárton', 'no', 'LHTM', '', '', ''),
	('LHKA', 'N/A', 'N/A', 46.55220374464989, 18.94209936261177, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHKE', 'medium_airport', 'Kecskemét Air Base', 46.9175, 19.749201, 376, 'HU', 'HU-BK', 'Kecskemét', 'no', 'LHKE', '', '', ''),
	('lhkk', 'small_airport', 'Kiskunlacháza Airfield', 47.174484, 19.077501, 322, 'HU', 'HU-PE', 'Kiskunlacháza', 'no', 'LHKK', '', '', 'Lachaza, LHKK, Lacháza, Kiskunlacháza, Budapest, LHTL, LHBP, ferihegy'),
	('LHGD', 'small_airport', 'Gödöllő Airfield', 47.571662, 19.336796, 600, 'HU', 'HU-PE', 'Gödöllő', 'no', 'LHGD', '', '', 'Gödöllő Sport Airport'),
	('LRSI', 'N/A', 'N/A', 46.27075552940369, 21.60575196146965, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHGA', 'N/A', 'N/A', 46.913951598107815, 20.761441737413406, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRIN', 'N/A', 'N/A', 47.0793292298913, 22.1001935005188, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHDK', 'small_airport', 'Dunakeszi Airfield', 47.613899, 19.143299, 397, 'HU', 'HU-PE', 'Dunakeszi', 'no', 'LHDK', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LHJK', 'small_airport', 'Jakabszállás Airfield', 46.7472, 19.6056, 348, 'HU', 'HU-BK', 'Jakabszállás', 'no', 'LHJK', '', '', ''),
	('LYVR', 'small_airport', 'Vršac Airfield', 45.1469, 21.3099, 276, 'RS', 'RS-04', 'Vršac', 'no', 'LYVR', '', '', ''),
	('LHBU', 'N/A', 'N/A', 47.26393863558769, 19.173755049705505, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRAR', 'medium_airport', 'Arad International Airport', 46.176601, 21.261999, 352, 'RO', 'RO-AR', 'Arad', 'yes', 'LRAR', 'ARW', '', ''),
	('Z27V', 'N/A', 'N/A', 45.72222467511892, 19.057955145835876, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHFH', 'small_airport', 'Farkashegy Airfield', 47.4869, 18.9147, 690, 'HU', 'HU-PE', 'Farkashegy', 'no', 'LHFH', '', '', ''),
	('LRCS', 'medium_airport', 'Caransebeş Airport', 45.420142, 22.252507, 866, 'RO', 'RO-CS', 'Caransebeş', 'no', 'LRCS', 'CSB', '', 'Caransebes, Reşiţa'),
	('LHGR', 'small_airport', 'Gyúró Airfield', 47.3914, 18.75786, 640, 'HU', 'HU-FE', 'Gyúró', 'no', 'LHGR', '', '', ''),
	('LHGO', 'N/A', 'N/A', 47.71788205951452, 19.91395130753517, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDOB', 'small_airport', 'Vukovar Borovo Recreational Airfield', 45.386398, 18.962799, 289, 'HR', 'HR-16', 'Vukovar', 'no', 'LDOB', '', '', ''),
	('LHCL', 'small_airport', 'Cegléd Airfield', 47.162621, 19.877401, 315, 'HU', 'HU-PE', 'Cegléd', 'no', 'LHCL', '', '', ''),
	('LHOY', 'small_airport', 'Őcsény Airfield', 46.303902, 18.769199, 295, 'HU', 'HU-TO', 'Őcsény', 'no', 'LHOY', '', '', ''),
	('LRBU', 'N/A', 'N/A', 45.65404660999775, 21.57937154173851, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDOV', 'small_airport', 'Vinkovci Sopot Airfield', 45.251099, 18.759199, 266, 'HR', 'HR-16', 'Vinkovci', 'no', 'LDOV', '', '', ''),
	('LHHO', 'small_airport', 'Hajdúszoboszló Airfield', 47.459202, 21.391105, 335, 'HU', 'HU-HB', 'Hajdúszoboszló', 'no', 'LHHO', '', '', ''),
	('LHUD', 'small_airport', 'Szeged Airfield', 46.246895, 20.090799, 249, 'HU', 'HU-CS', 'Szeged', 'no', 'LHUD', '', '', 'QZD'),
	('LHKN', 'N/A', 'N/A', 47.27024719119072, 20.68986877799034, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LH0A', 'N/A', 'N/A', 47.3900530859828, 20.783056318759918, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHDV', 'small_airport', 'Dunaújváros Airfield', 46.895802, 18.9139, 394, 'HU', 'HU-FE', 'Dunaújváros', 'no', 'LHDV', '', '', ''),
	('LHPU', 'N/A', 'N/A', 46.5773444250226, 19.991021007299423, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHIN', 'N/A', 'N/A', 47.26368483155966, 19.312224984169006, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHME', 'N/A', 'N/A', 46.295691691339016, 20.81422984600067, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHDM', 'N/A', 'N/A', 46.36050660163164, 21.150642335414886, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHDA', 'N/A', 'N/A', 47.50095538794994, 19.504997581243515, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYSM', 'small_airport', 'Sremska Mitrovica / Veliki Radinci Airfield', 45.037414, 19.660184, 310, 'RS', 'RS-07', 'Veliki Radinci', 'no', 'LYSM', '', '', 'Uncontrolled, small, grass'),
	('LHHM', 'N/A', 'N/A', 46.384883522987366, 20.30877783894539, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LHBA', 'closed', 'Balassagyarmat Airfield', 48.078037, 19.321749, 466, 'HU', 'HU-NO', 'Balassagyarmat', 'no', '', '', '', 'LHBA, LHBA'),
	('EFOU', 'medium_airport', 'Oulu Airport', 64.930099, 25.354601, 47, 'FI', 'FI-14', 'Oulu / Oulunsalo', 'yes', 'EFOU', 'OUL', '', ''),
	('EFRH', 'small_airport', 'Raahe Pattijoki Airfield', 64.688103, 24.695801, 118, 'FI', 'FI-14', 'Raahe', 'no', 'EFRH', '', '', ''),
	('EFKE', 'medium_airport', 'Kemi-Tornio Airport', 65.778701782227, 24.582099914551, 61, 'FI', 'FI-10', 'Kemi / Tornio', 'yes', 'EFKE', 'KEM', '', ''),
	('EFRO', 'medium_airport', 'Rovaniemi Airport', 66.564796447754, 25.830400466919, 642, 'FI', 'FI-10', 'Rovaniemi', 'yes', 'EFRO', 'RVN', '', ''),
	('EFAH', 'small_airport', 'Ahmosuo Airfield', 64.895302, 25.752199, 95, 'FI', 'FI-14', 'Oulu', 'no', 'EFAH', '', '', ''),
	('EFHL', 'small_airport', 'Hailuoto Airfield', 64.969553, 24.704218, 7, 'FI', 'FI-14', 'Hailuoto', 'no', 'EFHL', '', '', ''),
	('ESUP', 'small_airport', 'Pajala Airport', 67.244569, 23.074894, 542, 'SE', 'SE-BD', '', 'yes', 'ESUP', 'PJA', '', ''),
	('EFML', 'small_airport', 'Ii Airfield', 65.301144, 25.416226, 40, 'FI', 'FI-14', 'Ii', 'no', 'EFML', '', '', ''),
	('EFHJ', 'closed', 'Haapajärvi Airport', 63.7122, 25.395, 351, 'FI', 'FI-14', 'Haapajärvi', 'no', '', '', '', 'EFHJ, EFHJ'),
	('EFMT', 'N/A', 'N/A', 62.02852562069893, 24.66549575328827, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EFHI', 'closed', 'Haapamäki Airfield', 62.255204, 24.349478, 531, 'FI', 'FI-08', 'Haapamäki', 'no', '', '', '', 'EFHI, EFHI'),
	('EFKR', 'small_airport', 'Kärsämäki Airfield', 63.989201, 25.743601, 348, 'FI', 'FI-14', 'Kärsämäki', 'no', 'EFKR', '', '', ''),
	('EFAE', 'N/A', 'N/A', 62.513586692512035, 24.068450331687927, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EFSI', 'medium_airport', 'Seinäjoki Airport', 62.692101, 22.8323, 302, 'FI', 'FI-03', 'Seinäjoki / Ilmajoki', 'no', 'EFSI', 'SJY', '', ''),
	('EFKB', 'N/A', 'N/A', 62.30785824358463, 22.513597458600998, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EFME', 'small_airport', 'Menkijärvi Airfield', 62.946701, 23.5189, 331, 'FI', 'FI-03', 'Alajärvi', 'no', 'EFME', '', '', ''),
	('EFJY', 'medium_airport', 'Jyväskylä Airport', 62.399502, 25.678301, 459, 'FI', 'FI-08', 'Jyväskylän Maalaiskunta', 'yes', 'EFJY', 'JYV', '', ''),
	('EFKV', 'small_airport', 'Kivijärvi Airfield', 63.125301, 25.124201, 502, 'FI', 'FI-07', '', 'no', 'EFKV', '', '', ''),
	('EFKN', 'small_airport', 'Kannus Airfield', 63.920601, 24.0867, 338, 'FI', 'FI-07', 'Kannus', 'no', 'EFKN', '', '', ''),
	('EFPY', 'small_airport', 'Pyhäsalmi Airfield', 63.731899, 25.9263, 528, 'FI', 'FI-14', 'Pyhäjärvi', 'no', 'EFPY', '', '', ''),
	('EFKK', 'medium_airport', 'Kokkola-Pietarsaari Airport', 63.721199, 23.143101, 84, 'FI', 'FI-07', 'Kokkola / Kruunupyy', 'yes', 'EFKK', 'KOK', '', 'Kronoby Airport'),
	('EFYL', 'medium_airport', 'Ylivieska Airfield', 64.054722, 24.725278, 252, 'FI', 'FI-14', '', 'no', 'EFYL', 'YLI', '', ''),
	('EFHP', 'small_airport', 'Haapavesi Airfield', 64.113098, 25.5042, 315, 'FI', 'FI-14', 'Haapavesi', 'no', 'EFHP', '', '', ''),
	('EFVT', 'small_airport', 'Sulkaharju Airfield', 63.3978, 24.0306, 400, 'FI', 'FI-07', 'Veteli', 'no', 'EFVT', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EFKA', 'medium_airport', 'Kauhava Airfield', 63.127102, 23.051399, 151, 'FI', 'FI-03', 'Kauhava', 'no', 'EFKA', 'KAU', '', 'Kauhava Air Base'),
	('EFKO', 'small_airport', 'Kalajoki Airfield', 64.2286, 23.826401, 43, 'FI', 'FI-14', 'Kalajoki', 'no', 'EFKO', '', '', ''),
	('EFVI', 'small_airport', 'Viitasaari Airfield', 63.122501, 25.816099, 361, 'FI', 'FI-08', 'Viitasaari', 'no', 'EFVI', '', '', ''),
	('EFAL', 'small_airport', 'Alavus Airfield', 62.554699, 23.573299, 407, 'FI', 'FI-03', 'Alavus', 'no', 'EFAL', '', '', ''),
	('EFIK', 'small_airport', 'Kiikala Airfield', 60.462502, 23.6525, 381, 'FI', 'FI-19', 'Kikala', 'no', 'EFIK', '', '', ''),
	('EFNS', 'small_airport', 'Savikko Airfield', 60.52, 24.831699, 233, 'FI', 'FI-18', 'Nurmijärvi', 'no', 'EFNS', '', '', ''),
	('EFLA', 'small_airport', 'Lahti Vesivehmaa Airfield', 61.144199, 25.693501, 502, 'FI', 'FI-16', 'Lahti', 'no', 'EFLA', '', '', ''),
	('EEHA', 'small_airport', 'Humala Airfield', 59.3579, 24.3795, 88, 'EE', 'EE-37', 'Humala', 'no', 'EEHA', '', '', ''),
	('EFHF', 'closed', 'Helsinki Malmi Airport', 60.254601, 25.042801, 57, 'FI', 'FI-18', 'Helsinki', 'no', '', '', '', 'EFHF, EFHF, HEM'),
	('EFTO', 'small_airport', 'Torbacka Airfield', 60.079201, 24.172199, 16, 'FI', 'FI-18', 'Ingå', 'no', 'EFTO', '', '', ''),
	('EEEI', 'medium_airport', 'Ämari Air Base', 59.259599, 24.204799, 65, 'EE', 'EE-37', 'Keila', 'no', 'EEEI', '', '', 'Suurküla, Vasalemma, Emari, Suurkyul, Shuurkyul, Shuurkul'),
	('EFHK', 'large_airport', 'Helsinki Vantaa Airport', 60.318363, 24.963341, 179, 'FI', 'FI-18', 'Helsinki', 'yes', 'EFHK', 'HEL', '', ''),
	('EFOP', 'small_airport', 'Oripää Airfield', 60.8764, 22.744699, 331, 'FI', 'FI-19', 'Oripää', 'no', 'EFOP', '', '', ''),
	('EFHN', 'small_airport', 'Hanko Airfield', 59.8489, 23.083599, 20, 'FI', 'FI-18', 'Hanko', 'no', 'EFHN', '', '', ''),
	('EETN', 'large_airport', 'Lennart Meri Tallinn Airport', 59.413246, 24.83264, 131, 'EE', 'EE-37', 'Tallinn', 'yes', 'EETN', 'TLL', '', ''),
	('EFMN', 'small_airport', 'Mäntsälä Airfield UL', 60.572498, 25.5089, 135, 'FI', 'FI-18', 'Mäntsälä', 'no', 'EFMN', '', '', ''),
	('EFHM', 'small_airport', 'Hämeenkyrö Airfield', 61.689701, 23.0737, 449, 'FI', 'FI-11', 'Hämeenkyrö', 'no', 'EFHM', '', '', ''),
	('EFTP', 'medium_airport', 'Tampere-Pirkkala Airport', 61.414101, 23.604401, 390, 'FI', 'FI-11', 'Tampere / Pirkkala', 'yes', 'EFTP', 'TMP', '', ''),
	('EFTS', 'closed', 'Teisko Airfield', 61.7733, 24.027, 515, 'FI', 'FI-11', 'Tampere', 'no', '', '', '', 'EFTS, EFTS'),
	('EFJM', 'small_airport', 'Jämijärvi Airfield', 61.778599, 22.716101, 505, 'FI', 'FI-17', 'Jämijärvi', 'no', 'EFJM', '', '', ''),
	('EFHV', 'small_airport', 'Hyvinkää Airfield', 60.6544, 24.8811, 430, 'FI', 'FI-18', 'Hyvinkää', 'no', 'EFHV', 'HYV', '', ''),
	('EFRY', 'small_airport', 'Räyskälä Airfield', 60.744701, 24.1078, 407, 'FI', 'FI-06', 'Loppi', 'no', 'EFRY', '', '', ''),
	('EFNU', 'small_airport', 'Nummela Airfield', 60.3339, 24.2964, 367, 'FI', 'FI-18', 'Vihti / Nummela', 'no', 'EFNU', '', '', ''),
	('EFGE', 'small_airport', 'Genböle Airfield UL', 60.086899, 22.5219, 46, 'FI', 'FI-19', 'Genböle', 'no', 'EFGE', '', '', ''),
	('EVVD', 'N/A', 'N/A', 57.44071573019028, 22.58306175470352, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVSR', 'N/A', 'N/A', 56.79211299866438, 25.12378290295601, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVNA', 'closed', 'Rēzekne Airfield', 56.556389, 27.212778, 0, 'LV', 'LV-077', 'Rēzekne', 'no', '', '', '', 'EVNA, EVNA'),
	('EVKE', 'N/A', 'N/A', 56.8832091987133, 24.22622635960579, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVRA', 'large_airport', 'Riga International Airport', 56.923599, 23.9711, 36, 'LV', 'LV-062', 'Riga', 'yes', 'EVRA', 'RIX', '', ''),
	('EVTE', 'small_airport', 'Talsi Airfield', 57.254398, 22.566218, 0, 'LV', 'LV-097', 'Talsi', 'no', 'EVTE', '', '', ''),
	('EVRS', 'small_airport', 'Spilve Aerodrome', 56.991100311299995, 24.0750007629, 3, 'LV', 'LV-RIX', 'Riga', 'no', 'EVRS', '', '', ''),
	('EVAD', 'small_airport', 'Ādaži Airfield', 57.098598, 24.2658, 8, 'LV', 'LV-011', 'Ādaži', 'no', 'EVAD', '', '', 'Carnicava Airfield'),
	('EVMT', 'N/A', 'N/A', 57.68787927925587, 25.165948569774628, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVJA', 'N/A', 'N/A', 56.83682173490524, 23.020623475313187, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVKA', 'medium_airport', 'Jēkabpils Air Base', 56.534698, 25.8925, 289, 'LV', 'LV-042', 'Jēkabpils', 'no', 'EVKA', '', '', 'Yekabpils, Krustpils'),
	('EVVL', 'N/A', 'N/A', 57.5588321685791, 25.444134771823883, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVAH', 'small_airport', 'Langaci-Limbaži Airfield', 57.4849, 24.672126, 211, 'LV', 'LV-054', 'Limbaži', 'no', 'EVLI', '', '', ''),
	('EVTI', 'N/A', 'N/A', 56.772059462964535, 23.65446165204048, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EERA', 'small_airport', 'Rapla Airfield', 58.99028, 24.716386, 220, 'EE', 'EE-70', 'Rapla', 'no', 'EERA', '', '', ''),
	('EVEA', 'closed', 'Jelgava Airfield', 56.672798, 23.679199, 20, 'LV', 'LV-JEL', 'Jelgava', 'no', '', '', '', ''),
	('EEKA', 'medium_airport', 'Kärdla Airport', 58.99079895019531, 22.830699920654297, 18, 'EE', 'EE-39', 'Kärdla', 'yes', 'EEKA', 'KDL', '', ''),
	('EEKU', 'small_airport', 'Kihnu Airfield', 58.1483, 24.002501, 10, 'EE', 'EE-67', 'Saareküla', 'no', 'EEKU', '', '', 'Kihnu Island'),
	('EVDO', 'N/A', 'N/A', 56.676173843443394, 23.312672674655914, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVBA', 'N/A', 'N/A', 56.316329687833786, 24.33436319231987, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVSE', 'N/A', 'N/A', 57.55791116505861, 25.838191956281662, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVRU', 'N/A', 'N/A', 57.16942973434925, 25.676730126142502, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVTV', 'N/A', 'N/A', 56.61490146070719, 23.47905769944191, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVSD', 'N/A', 'N/A', 56.84660978615284, 23.266965597867966, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EEPU', 'medium_airport', 'Pärnu Airport', 58.41899871826172, 24.47279930114746, 47, 'EE', 'EE-67', 'Pärnu', 'yes', 'EEPU', 'EPU', '', ''),
	('EVJU', 'N/A', 'N/A', 56.66543930768967, 24.90362673997879, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVSL', 'N/A', 'N/A', 57.64757942408323, 24.392395466566086, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EEVI', 'small_airport', 'Viljandi Airfield', 58.348374, 25.494831, 249, 'EE', 'EE-84', 'Viljandi', 'no', 'EEVI', '', '', 'Fellin'),
	('EVPL', 'N/A', 'N/A', 56.7061123251915, 25.911254435777664, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVAL', 'N/A', 'N/A', 57.77499742805958, 24.887207597494125, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVTA', 'medium_airport', 'Jūrmala Airport', 56.9422, 23.2239, 220, 'LV', 'LV-099', 'Tukums', 'no', 'EVJA', '', '', ''),
	('EVJE', 'N/A', 'N/A', 56.47556237876415, 23.6993345618248, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EERU', 'small_airport', 'Ruhnu Airfield', 57.783901, 23.2661, 10, 'EE', 'EE-74', 'Ringsu', 'yes', 'EERU', '', '', 'Ruhnu island'),
	('EVRG', 'N/A', 'N/A', 57.202920131385326, 24.753226339817047, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EEKE', 'medium_airport', 'Kuressaare Airport', 58.22990036010742, 22.50950050354004, 14, 'EE', 'EE-74', 'Kuressaare', 'yes', 'EEKE', 'URE', '', ''),
	('EVRO', 'N/A', 'N/A', 57.532706782221794, 22.699123173952103, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVST', 'N/A', 'N/A', 57.3800203576684, 25.011566877365112, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EERD', 'small_airport', 'Riidaja Airfield', 58.085278, 25.898889, 295, 'EE', 'EE-82', 'Riidaja', 'no', 'EERD', '', '', ''),
	('EVCA', 'small_airport', 'Cesis "old" airfield', 57.32379, 25.323229, 367, 'LV', 'LV-022', 'Cesis', 'no', '', '', '', ''),
	('EEKI', 'small_airport', 'Karksi Airfield', 58.117078, 25.552783, 289, 'EE', 'EE-84', 'Karksi', 'no', 'EEKI', '', '', 'Nuia, Polli'),
	('EVTR', 'N/A', 'N/A', 56.54689975082874, 23.53413686156273, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVDB', 'N/A', 'N/A', 56.68135453015566, 23.464035987854004, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EENI', 'small_airport', 'Nurmsi Airfield', 58.865002, 25.73, 233, 'EE', 'EE-51', 'Nurmsi', 'no', 'EENI', '', '', 'Koigi Air Base'),
	('EVPA', 'small_airport', 'Ikshkile Airfield', 56.814999, 24.5278, 64, 'LV', 'LV-067', 'Ikshkile', 'no', 'EVPA', '', '', ''),
	('EELU', 'small_airport', 'Lyckholm Airstrip', 59.02211, 23.57808, 20, 'EE', 'EE-57', 'Saare', 'no', 'EELU', '', '', ''),
	('EVSB', 'N/A', 'N/A', 56.9725089892745, 22.63386771082878, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVLV', 'N/A', 'N/A', 56.27323631197214, 26.035142093896866, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVKN', 'N/A', 'N/A', 57.26681973785162, 22.816603034734726, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVML', 'N/A', 'N/A', 57.04504396766424, 24.945894330739975, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVGA', 'small_airport', 'Lielvarde Air Base', 56.778301, 24.853901, 200, 'LV', 'LV-067', 'Lielvarde', 'no', 'EVGA', '', '', ''),
	('EEVO', 'small_airport', 'Vormsi Airfield', 58.98516, 23.251372, 0, 'EE', 'EE-57', 'Vormsi Island', 'no', 'EEVO', '', '', ''),
	('EVPI', 'N/A', 'N/A', 56.508219949901104, 24.076813012361526, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYAR', 'N/A', 'N/A', 55.32102931290865, 23.518930971622467, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMHR', 'N/A', 'N/A', 53.63313362002373, 23.73527303338051, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYSB', 'medium_airport', 'Barysiai Airfield', 56.070599, 23.5581, 270, 'LT', 'LT-SA', 'Šiauliai', 'no', 'EYSB', '', '', 'HLJ'),
	('EYBI', 'small_airport', 'Biržai Airfield', 56.1758, 24.7603, 190, 'LT', 'LT-PN', 'Biržai', 'no', 'EYBI', '', '', ''),
	('EYRD', 'small_airport', 'Rūdiškės Airfield', 54.495602, 24.717501, 522, 'LT', 'LT-VL', 'Rūdiškės', 'no', 'EYRD', '', '', ''),
	('EYUT', 'small_airport', 'Utena Airfield', 55.490002, 25.7169, 620, 'LT', 'LT-UT', 'Utena', 'no', 'EYUT', '', '', ''),
	('EYSE', 'small_airport', 'Šeduva Airfield', 55.746399, 23.804701, 259, 'LT', 'LT-SA', 'Šeduva / Šiauliai', 'no', 'EYSE', '', '', ''),
	('UMDU', 'small_airport', 'Shchuchyn', 53.598206, 24.763414, 575, 'BY', 'BY-HR', 'Shchuchyn', 'no', '', '', 'XMDU', 'ЬМФЙ, Щучин'),
	('EYKE', 'N/A', 'N/A', 55.208148546516895, 24.069432020187378, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYRK', 'small_airport', 'Rokiškio aerodromas', 55.971924, 25.604239, 459, 'LT', 'LT-PN', 'Rokiškis', 'no', 'EYRK', '', '', ''),
	('EYAL', 'small_airport', 'Alytus Airfield', 54.412525, 24.059929, 269, 'LT', 'LT-AL', 'Alytus', 'no', 'EYAL', '', '', ''),
	('EYVK', 'small_airport', 'Kyviškes Airfield', 54.668301, 25.5158, 541, 'LT', 'LT-VL', 'Kyviškes', 'no', 'EYVK', '', '', ''),
	('EYPV', 'N/A', 'N/A', 55.984151512384415, 24.345306158065796, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYKV', 'N/A', 'N/A', 54.36577431857586, 23.167952299118042, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYJB', 'small_airport', 'Jurbarkas Aerodromas', 55.118049621, 22.7648735, 0, 'LT', 'LT-TA', 'Jurbarkas', 'no', 'EYJB', '', '', ''),
	('EPSU', 'small_airport', 'Suwałki Airfield', 54.0728, 22.8992, 581, 'PL', 'PL-PD', 'Suwałki', 'no', 'EPSU', '', '', ''),
	('EYPN', 'small_airport', 'Panevėžys Airfield', 55.709512, 24.345188, 171, 'LT', 'LT-PN', 'Panevėžys', 'no', 'EYPN', '', '', ''),
	('EYMO', 'small_airport', 'Molėtai Airfield', 55.112801, 25.336399, 650, 'LT', 'LT-UT', 'Molėtai', 'no', 'EYMO', '', '', ''),
	('EYBR', 'N/A', 'N/A', 56.23965907841921, 24.600548297166824, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYKR', 'closed', 'Kazlų Rūda Air Base', 54.80559921, 23.5331001, 243, 'LT', 'LT-MR', 'Kazlų Rūda', 'no', '', '', '', 'EYKR, EYKR'),
	('EYVA', 'N/A', 'N/A', 54.570740684866905, 23.156771063804626, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYKD', 'medium_airport', 'Kėdainiai Air Base', 55.31169891357422, 23.95639991760254, 171, 'LT', 'LT-KU', 'Kėdainiai', 'no', 'EYKD', '', '', 'Kedaynyay'),
	('EYPS', 'N/A', 'N/A', 56.061252281069756, 24.54468995332718, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYPR', 'small_airport', 'Pociūnai Airfield', 54.649399, 24.061899, 200, 'LT', 'LT-KU', 'Pociūnai', 'no', 'EYPR', '', '', ''),
	('EYKU', 'N/A', 'N/A', 55.85262268781662, 24.95806261897087, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYSK', 'N/A', 'N/A', 54.82972573488951, 23.196432441473007, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EYPP', 'medium_airport', 'Panevėžys Air Base', 55.729400634765625, 24.460800170898438, 197, 'LT', 'LT-PN', 'Panevėžys', 'no', 'EYPP', 'PNV', '', 'Pajuostis, Tulpė'),
	('UMMG', 'medium_airport', 'Hrodna Airport', 53.60200119018555, 24.053800582885742, 443, 'BY', 'BY-HR', 'Hrodna', 'yes', 'UMMG', 'GNA', '', 'Grodno Airport, Гро́дна'),
	('UMLD', 'N/A', 'N/A', 53.876801915466785, 25.37792131304741, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYPI', 'small_airport', 'Panevėžys Istra Airfield', 55.827499, 24.358299, 171, 'LT', 'LT-PN', 'Panevėžys /  Istra', 'no', 'EYPI', '', '', ''),
	('EYKA', 'medium_airport', 'Kaunas International Airport', 54.96390151977539, 24.084800720214844, 256, 'LT', 'LT-KU', 'Kaunas', 'yes', 'EYKA', 'KUN', '', 'Kauno tarptautinis Oro Uostas'),
	('EYVV', 'N/A', 'N/A', 54.65034160763025, 22.934816479682922, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYRO', 'small_airport', 'Rojūnai Airfield', 55.610802, 24.2208, 180, 'LT', 'LT-PN', 'Rojūnai', 'no', 'EYRO', '', '', ''),
	('EYLN', 'small_airport', 'Valenčiūnai Airfield', 55.0214, 22.9739, 171, 'LT', 'LT-MR', 'Valenčiūnai', 'no', 'EYLN', '', '', ''),
	('EYIG', 'small_airport', 'Ignalina', 55.244167, 26.172222, 0, 'LT', 'LT-UT', '', 'no', 'EYIG', '', '', ''),
	('EYKS', 'small_airport', 'S. Darius and S. Girėnas Airfield', 54.879799, 23.8815, 246, 'LT', 'LT-KU', 'Kaunas', 'no', 'EYKS', '', '', ''),
	('EYRU', 'closed', 'Jonava Air Base', 55.009998, 24.3633, 246, 'LT', 'LT-KU', 'Jonava', 'no', '', '', '', 'Rukla, EYRU'),
	('EYVL', 'N/A', 'N/A', 54.68729238957167, 23.00073891878128, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYMM', 'small_airport', 'Sasnava Airfield', 54.663101, 23.453899, 240, 'LT', 'LT-MR', 'Sasnava', 'no', 'EYMM', '', '', ''),
	('EYDR', 'small_airport', 'Druskininkai Airfield', 54.015301, 23.9431, 302, 'LT', 'LT-AL', 'Druskininkai', 'no', 'EYDR', '', '', ''),
	('EYVI', 'large_airport', 'Vilnius International Airport', 54.634102, 25.285801, 648, 'LT', 'LT-VL', 'Vilnius', 'yes', 'EYVI', 'VNO', '', ''),
	('EYGE', 'N/A', 'N/A', 55.13138506561518, 22.96478971838951, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYAN', 'N/A', 'N/A', 55.49410991370678, 25.19549086689949, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYSA', 'medium_airport', 'Šiauliai International Airport', 55.89390182495117, 23.395000457763672, 443, 'LT', 'LT-SA', 'Šiauliai', 'no', 'EYSA', 'SQQ', '', 'Zokniai Airport, Zoknių oro uostas'),
	('EPSW', 'small_airport', 'Świdnik Airfield', 51.231899, 22.6903, 659, 'PL', 'PL-LU', 'Lublin', 'no', 'EPSL', '', '', ''),
	('EPZA', 'small_airport', 'Zamość-Mokre Airfield', 50.701698, 23.204399, 751, 'PL', 'PL-LU', 'Zamość', 'no', 'EPZA', '', '', ''),
	('UMBK', 'small_airport', 'Borisovo Air Base', 52.164, 24.3999, 463, 'BY', 'BY-BR', 'Barysava', 'no', 'UMBK', '', '', ''),
	('UKLC', 'small_airport', 'Lutsk Airport', 50.678404, 25.487165, 774, 'UA', 'UA-07', 'Lutsk', 'no', 'UKLC', 'UCK', '', ''),
	('UMAS', 'N/A', 'N/A', 52.15601027011871, 26.128083765506744, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLD', 'N/A', 'N/A', 50.70511858910322, 24.618526697158813, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPRC', 'N/A', 'N/A', 52.054548002779484, 22.702800929546356, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPDK', 'small_airport', 'Debowa Klada Airfield', 51.6126, 23.0072, 0, 'PL', 'PL-LU', '', 'no', 'EPDK', '', '', ''),
	('EPRN', 'N/A', 'N/A', 51.75630781799555, 22.62589529156685, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPCD', 'small_airport', 'Depułtycze Królewskie Airfield', 51.082067, 23.437014, 712, 'PL', 'PL-LU', '', 'no', 'EPCD', '', '', 'Chełm Depłutycze'),
	('UMNT', 'N/A', 'N/A', 52.38949220627546, 23.86866733431816, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPTR', 'N/A', 'N/A', 53.02911590784788, 23.134663850069046, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPTY', 'N/A', 'N/A', 53.285421431064606, 22.673973888158798, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMBB', 'medium_airport', 'Brest Airport', 52.108299, 23.8981, 468, 'BY', 'BY-BR', 'Brest', 'yes', 'UMBB', 'BQT', '', 'Аэропорт Брест'),
	('UMNV', 'small_airport', 'Pruzhany Air Base', 52.582296, 24.379864, 0, 'BY', 'BY-BR', 'Pruzhany', 'no', 'UMNV', '', '', 'Аэродром Пружаны, УМНЖ'),
	('EPLB', 'medium_airport', 'Lublin Airport', 51.240278, 22.713611, 633, 'PL', 'PL-LU', 'Lublin', 'yes', 'EPLB', 'LUZ', '', ''),
	('UKVD', 'N/A', 'N/A', 50.9112748503685, 24.45294588804245, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMMR', 'closed', 'Ross Air Base', 53.303, 24.369, 0, 'BY', 'BY-HR', 'Ross', 'no', '', '', '', 'Аэродром Россь, УММР, UMMR'),
	('EPTU', 'N/A', 'N/A', 53.00192601978779, 23.057884722948074, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPBP', 'closed', 'Biała Podlaska Air Base', 52.00078, 23.132528, 485, 'PL', 'PL-LU', 'Biała Podlaska', 'no', '', '', '', 'Biała Podlaska Air Base, EPBP, BXP'),
	('EPJO', 'N/A', 'N/A', 53.360701985657215, 23.132625818252563, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLK', 'N/A', 'N/A', 50.789412036538124, 25.347901582717896, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMBY', 'N/A', 'N/A', 52.5572207942605, 24.880957156419754, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPBK', 'small_airport', 'Białystok-Krywlany Airfield', 53.101398, 23.170601, 502, 'PL', 'PL-PD', 'Białystok', 'no', 'EPBK', '', '', 'QYY'),
	('UMKM', 'N/A', 'N/A', 52.41342354565859, 23.79545822739601, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKTU', 'N/A', 'N/A', 51.02167256176472, 24.618701934814453, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMMA', 'medium_airport', 'Baranavichi Air Base', 53.099998, 26.049999, 0, 'BY', 'BY-BR', 'Baranavichi', 'no', 'UMMA', '', '', 'Baranovichi Air Base, Аэродром Барановичи'),
	('UMHD', 'N/A', 'N/A', 51.936705484986305, 25.898551493883133, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPWD', 'N/A', 'N/A', 51.45470514893532, 23.54315087199211, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPDY', 'N/A', 'N/A', 53.231049701571465, 23.044103533029556, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPA', 'N/A', 'N/A', 48.75579133629799, 24.276078790426254, 553, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKZD', 'N/A', 'N/A', 50.46781551092863, 26.21798738837242, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLA', 'N/A', 'N/A', 49.55065995454788, 23.33476021885872, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EP62', 'N/A', 'N/A', 49.65831644833088, 22.514212131500244, 444, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRH', 'N/A', 'N/A', 49.36725988984108, 23.568416386842728, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSA', 'N/A', 'N/A', 50.47313332557678, 24.473980218172073, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRD', 'N/A', 'N/A', 49.45132736116648, 24.04302030801773, 261, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRV', 'N/A', 'N/A', 50.096563920378685, 25.351319164037704, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLV', 'N/A', 'N/A', 49.8453763872385, 26.116197109222412, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLZ', 'N/A', 'N/A', 48.38405694812536, 25.767205953598022, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKZY', 'N/A', 'N/A', 49.28820177912712, 24.195750206708908, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKZS', 'N/A', 'N/A', 48.52513611316681, 25.99342480301857, 242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKJ', 'N/A', 'N/A', 48.30648746341467, 25.141053646802902, 371, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKVE', 'N/A', 'N/A', 48.52652985602617, 25.70051908493042, 270, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMU', 'N/A', 'N/A', 48.399348221719265, 22.687489092350006, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKX', 'N/A', 'N/A', 48.550846092402935, 25.042196810245514, 297, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLN', 'medium_airport', 'Chernivtsi International Airport', 48.259300231933594, 25.98080062866211, 826, 'UA', 'UA-77', 'Chernivtsi', 'yes', 'UKLN', 'CWC', '', ''),
	('UKHK', 'N/A', 'N/A', 49.82601519674063, 23.68961825966835, 284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLT', 'small_airport', 'Ternopil International Airport', 49.5242, 25.7001, 1072, 'UA', 'UA-61', 'Ternopil', 'no', 'UKLT', 'TNL', '', ''),
	('UKMI', 'N/A', 'N/A', 50.46243969351053, 26.010808646678925, 226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKBE', 'N/A', 'N/A', 50.37734728306532, 23.964817374944687, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLI', 'medium_airport', 'Ivano-Frankivsk International Airport', 48.88420104980469, 24.686100006103516, 919, 'UA', 'UA-26', 'Ivano-Frankivsk', 'yes', 'UKLI', 'IFO', '', 'Міжнародний аеропорт Івано-Франківськ'),
	('EPOE', 'N/A', 'N/A', 50.17026264220476, 23.057767152786255, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKDL', 'N/A', 'N/A', 49.24382362514734, 23.78697842359543, 307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLQ', 'N/A', 'N/A', 49.067551866173744, 24.375252574682236, 281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKBR', 'N/A', 'N/A', 50.12967646121979, 25.17047882080078, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKZH', 'N/A', 'N/A', 50.12034002691507, 24.03549760580063, 215, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLL', 'large_airport', 'Lviv International Airport', 49.8125, 23.9561, 1071, 'UA', 'UA-46', 'Lviv', 'yes', 'UKLL', 'LWO', '', 'Міжнародний аеропорт "Львів"'),
	('UKDU', 'N/A', 'N/A', 50.44490274041891, 25.838816910982132, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EPJL', 'small_airport', 'Laszki Field', 50.008497, 22.918897, 0, 'PL', 'PL-PK', '', 'no', 'EPJL', '', '', 'Jarosław Laszki'),
	('UK61', 'small_airport', 'Jagellon Airfield', 49.7379, 23.6689, 895, 'UA', 'UA-46', 'Gorodok', 'no', 'UKMC', '', '', 'УКМЦ, UK61, Cherliany Airport, Gorodok Airport, Аэропорт Черляны, Аэропорт Городок'),
	('UKLP', 'N/A', 'N/A', 50.22868316620588, 24.844126850366592, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRFR', 'N/A', 'N/A', 47.887444607913494, 25.898448675870895, 372, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLR', 'medium_airport', 'Rivne International Airport', 50.60710144042969, 26.141599655151367, 755, 'UA', 'UA-19', 'Rivne', 'yes', 'UKLR', 'RWN', '', 'Міжнародний аеропорт "Рівне"'),
	('LRSB', 'medium_airport', 'Sibiu International Airport', 45.785841, 24.086666, 1496, 'RO', 'RO-SB', 'Sibiu', 'yes', 'LRSB', 'SBZ', '', ''),
	('LRCL', 'medium_airport', 'Cluj Avram Iancu International Airport', 46.787425, 23.684292, 1039, 'RO', 'RO-CJ', 'Cluj-Napoca', 'yes', 'LRCL', 'CLJ', '', 'Someşeni Airport'),
	('LRCI', 'N/A', 'N/A', 46.68500628322363, 23.50705549120903, 749, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRCD', 'small_airport', 'Măgura Airfield', 45.737222, 24.165278, 1524, 'RO', 'RO-SB', 'Cisnădie', 'no', 'LRCD', '', '', 'magura, romania, avgas, skydiving'),
	('LRBV', 'N/A', 'N/A', 45.706294029951096, 25.523565262556076, 527, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRCH', 'N/A', 'N/A', 46.51928398758173, 24.94491755962372, 375, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRFL', 'small_airport', 'Floreni Airfield', 47.363094, 25.210346, 0, 'RO', 'RO-SV', 'Floreni', 'no', 'LRFL', '', '', ''),
	('LRGH', 'N/A', 'N/A', 45.70126287639141, 25.530339181423187, 529, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRJO', 'N/A', 'N/A', 46.726195961236954, 25.511619597673416, 747, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRSN', 'N/A', 'N/A', 46.53378568589687, 24.528808146715164, 301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRTO', 'N/A', 'N/A', 45.56694522500038, 25.396898835897446, 668, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRCT', 'medium_airport', 'Câmpia Turzii Air Base', 46.50230026245117, 23.885900497436523, 1083, 'RO', 'RO-CJ', 'Câmpia Turzii', 'no', 'LRCT', '', '', 'Campia Turzii, Luna Airport, RoAF 71st Air Base'),
	('LRBM', 'medium_airport', 'Maramureș International Airport', 47.658444, 23.464445, 605, 'RO', 'RO-MM', 'Tăuții-Măgherăuș', 'yes', 'LRBM', 'BAY', '', 'Baia Mare'),
	('LRPR', 'N/A', 'N/A', 45.69735322147608, 25.78340470790863, 537, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRUR', 'N/A', 'N/A', 45.06840504705906, 25.806134194135666, 366, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRBN', 'small_airport', 'Bistrița Airfield', 47.158575, 24.552311, 0, 'RO', 'RO-BN', 'Bistrița', 'no', 'LRBN', '', '', ''),
	('LRSA', 'N/A', 'N/A', 45.721064284443855, 25.63372492790222, 521, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRDV', 'N/A', 'N/A', 45.86638905107975, 22.96611115336418, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRLE', 'N/A', 'N/A', 46.34728331118822, 25.873634219169617, 902, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRCR', 'N/A', 'N/A', 47.167895436286926, 22.85456344485283, 278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LRSM', 'medium_airport', 'Satu Mare International Airport', 47.7033, 22.8857, 405, 'RO', 'RO-SM', 'Satu Mare', 'yes', 'LRSM', 'SUJ', '', ''),
	('LRTM', 'medium_airport', 'Târgu Mureş Transilvania International Airport', 46.467701, 24.4125, 963, 'RO', 'RO-MS', 'Recea', 'yes', 'LRTM', 'TGM', '', 'Vidrasau, Vidrasău'),
	('LRCC', 'heliport', 'Oituz (PA&CO) Heliport', 46.210684, 26.603018, 1094, 'RO', 'RO-BC', 'Oituz', 'no', 'LRCC', '', '', 'Helipad Privat Domeniul Casuneanu, Domaine Casuneanu Private Heliport'),
	('LRSP', 'N/A', 'N/A', 45.94157572835684, 23.760578334331512, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EFRU', 'small_airport', 'Ranua Airfield', 65.973099, 26.365299, 541, 'FI', 'FI-10', '', 'no', 'EFRU', '', '', ''),
	('EFPU', 'small_airport', 'Pudasjärvi Airfield', 65.402199, 26.946899, 397, 'FI', 'FI-14', 'Pudasjärvi', 'no', 'EFPU', '', '', ''),
	('EFKS', 'medium_airport', 'Kuusamo Airport', 65.987602, 29.239401, 866, 'FI', 'FI-14', 'Kuusamo', 'yes', 'EFKS', 'KAO', '', ''),
	('EFSU', 'small_airport', 'Suomussalmi Airfield', 64.821899, 28.7103, 541, 'FI', 'FI-05', 'Suomussalmi', 'no', 'EFSU', '', '', ''),
	('EFSO', 'medium_airport', 'Sodankyla Airport', 67.3949966431, 26.6191005707, 602, 'FI', 'FI-10', 'Sodankyla', 'no', 'EFSO', 'SOT', '', ''),
	('EFKM', 'small_airport', 'Kemijärvi Airfield', 66.712898, 27.156799, 692, 'FI', 'FI-10', '', 'no', 'EFKM', '', '', ''),
	('EFJO', 'medium_airport', 'Joensuu Airport', 62.658815, 29.619398, 398, 'FI', 'FI-13', 'Joensuu', 'yes', 'EFJO', 'JOE', '', ''),
	('EFLL', 'small_airport', 'Lapinlahti Airfield', 63.399399, 27.478901, 328, 'FI', 'FI-15', 'Lapinlahti', 'no', 'EFLL', '', '', ''),
	('EFPK', 'small_airport', 'Pieksämäki Airfield', 62.264702, 27.0028, 390, 'FI', 'FI-04', 'Pieksämäki', 'no', 'EFPK', '', '', ''),
	('EFRV', 'small_airport', 'Kiuruvesi Airfield', 63.705601, 26.6164, 515, 'FI', 'FI-15', 'Kiuruvesi', 'no', 'EFRV', '', '', ''),
	('EFKU', 'medium_airport', 'Kuopio Airport', 63.007099, 27.7978, 323, 'FI', 'FI-15', 'Kuopio / Siilinjärvi', 'yes', 'EFKU', 'KUO', '', ''),
	('EFKH', 'small_airport', 'Kuhmo Airfield', 64.112503, 29.438601, 571, 'FI', 'FI-05', 'Kuhmo', 'no', 'EFKH', '', '', ''),
	('EFRA', 'small_airport', 'Rautavaara Airfield', 63.424198, 28.124201, 476, 'FI', 'FI-15', 'Rautavaara', 'no', 'EFRA', '', '', ''),
	('EFVL', 'small_airport', 'Vaala Airfield', 64.5019, 26.76, 443, 'FI', 'FI-14', 'Vaala', 'no', 'EFVL', '', '', ''),
	('EFII', 'small_airport', 'Iisalmi Airfield', 63.631901, 27.1222, 384, 'FI', 'FI-15', 'Iisalmi', 'no', 'EFII', '', '', ''),
	('EFSA', 'medium_airport', 'Savonlinna Airport', 61.9431, 28.945101, 311, 'FI', 'FI-04', 'Savonlinna', 'yes', 'EFSA', 'SVL', '', ''),
	('EFRN', 'small_airport', 'Rantasalmi Airfield', 62.065498, 28.356501, 292, 'FI', 'FI-04', 'Rantasalmi', 'no', 'EFRN', '', '', ''),
	('EFLN', 'small_airport', 'Lieksa Nurmes Airfield', 63.511902, 29.6292, 374, 'FI', 'FI-13', 'Nurmes', 'no', 'EFLN', '', '', ''),
	('EFVR', 'medium_airport', 'Varkaus Airport', 62.171101, 27.868601, 286, 'FI', 'FI-04', 'Varkaus / Joroinen', 'no', 'EFVR', 'VRK', '', ''),
	('EFKI', 'medium_airport', 'Kajaani Airport', 64.2855, 27.6924, 483, 'FI', 'FI-05', 'Kajaani', 'yes', 'EFKI', 'KAJ', '', ''),
	('EERE', 'small_airport', 'Rakvere Airfield', 59.364032, 26.35874, 240, 'EE', 'EE-59', 'Rakvere', 'no', '', '', '', 'EERE'),
	('EFPN', 'small_airport', 'Punkaharju Airfield', 61.728901, 29.3936, 253, 'FI', 'FI-04', 'Savonlinna', 'no', 'EFPN', '', '', ''),
	('UKIG', 'N/A', 'N/A', 59.415856562554836, 28.572823852300644, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGOO', 'N/A', 'N/A', 59.72548607736826, 29.64060813188553, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOP', 'N/A', 'N/A', 59.65386338531971, 28.997211456298828, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EEJI', 'small_airport', 'Jõhvi Airfield', 59.325974, 27.392883, 246, 'EE', 'EE-44', 'Jõhvi', 'no', 'EEJI', '', '', ''),
	('UGLL', 'N/A', 'N/A', 60.45895893126726, 28.745967149734497, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EENA', 'small_airport', 'Narva Airfield', 59.388599, 28.1136, 92, 'EE', 'EE-44', 'Narva', 'no', 'EENA', '', '', ''),
	('UKIP', 'N/A', 'N/A', 59.71172232180834, 29.805739670991898, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULSF', 'N/A', 'N/A', 59.60544113069773, 29.272618889808655, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGOS', 'N/A', 'N/A', 59.61741551756859, 29.542816132307053, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EFKY', 'small_airport', 'Kymi Airfield', 60.5714, 26.896099, 223, 'FI', 'FI-09', 'Peippola', 'no', 'EFKY', '', '', ''),
	('EFUT', 'medium_airport', 'Utti Air Base', 60.8964, 26.9384, 339, 'FI', 'FI-09', 'Utti / Valkeala', 'no', 'EFUT', 'UTI', '', ''),
	('EEHL', 'N/A', 'N/A', 59.536531157791615, 26.311696618795395, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOJ', 'N/A', 'N/A', 59.47667498141527, 28.89666974544525, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EFPR', 'medium_airport', 'Helsinki East-Redstone Aerodrome', 60.479167, 26.593889, 72, 'FI', 'FI-09', 'Helsinki (Pyhtää)', 'no', 'EFPR', '', '', ''),
	('ULSZ', 'seaplane_base', 'Lake Krasnogvardeyskoye Water Aerodrome', 60.268033, 29.234033, 112, 'RU', 'RU-LEN', 'Utkino', 'no', 'ULSZ', '', '', ''),
	('EFPM', 'N/A', 'N/A', 61.56951382756233, 28.014143854379654, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EFIM', 'small_airport', 'Immola Airfield', 61.249199, 28.9037, 338, 'FI', 'FI-02', 'Imatra', 'no', 'EFIM', '', '', ''),
	('UVES', 'N/A', 'N/A', 60.673689879477024, 29.167387783527374, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRO', 'N/A', 'N/A', 60.01458931714296, 29.70262348651886, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UROO', 'N/A', 'N/A', 59.24530930817127, 29.9460531771183, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EFWB', 'small_airport', 'Wredeby Airfield', 60.663601, 26.7458, 82, 'FI', 'FI-09', 'Anjalankoski', 'no', 'EFWB', '', '', ''),
	('EFLP', 'medium_airport', 'Lappeenranta Airport', 61.044601, 28.144743, 349, 'FI', 'FI-02', 'Lappeenranta', 'yes', 'EFLP', 'LPP', '', ''),
	('EFKL', 'N/A', 'N/A', 60.75697481632233, 26.73419013619423, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EFSE', 'small_airport', 'Selanpaa Airfield', 61.062401, 26.798901, 417, 'FI', 'FI-09', 'Kouvola', 'no', 'EFSE', '', '', ''),
	('EFMI', 'medium_airport', 'Mikkeli Airport', 61.6866, 27.201799, 329, 'FI', 'FI-04', 'Mikkeli', 'no', 'EFMI', 'MIK', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UPSO', 'N/A', 'N/A', 57.72443376481533, 28.24039578437805, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVRK', 'N/A', 'N/A', 56.57450135797262, 27.199671864509583, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOO', 'medium_airport', 'Pskov Airport', 57.78390121459961, 28.395599365234375, 154, 'RU', 'RU-PSK', 'Pskov', 'yes', 'ULOO', 'PKV', '', ''),
	('EETU', 'medium_airport', 'Tartu Airport', 58.307499, 26.690399, 220, 'EE', 'EE-7B', 'Tartu', 'yes', 'EETU', 'TAY', '', ''),
	('UPEH', 'N/A', 'N/A', 57.71537594497204, 27.7027827501297, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVRZ', 'N/A', 'N/A', 56.66345816105604, 27.17643678188324, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOSV', 'N/A', 'N/A', 57.21759986132383, 28.30282911658287, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVRN', 'N/A', 'N/A', 56.55632268637419, 27.212433367967606, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVVI', 'N/A', 'N/A', 56.5924134850502, 26.94368451833725, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVRI', 'N/A', 'N/A', 56.422359086573124, 26.728678196668625, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVLI', 'N/A', 'N/A', 56.514427587389946, 26.25761389732361, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGDD', 'N/A', 'N/A', 58.81542932242155, 28.0130597949028, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDNN', 'N/A', 'N/A', 57.789891734719276, 29.972628951072693, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIDR', 'N/A', 'N/A', 56.348729096353054, 28.893131017684937, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVGU', 'N/A', 'N/A', 57.102855294942856, 26.73368990421295, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPSK', 'N/A', 'N/A', 57.634473480284214, 28.224085718393326, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVMA', 'closed', 'Augstkalne Airfield', 56.41318, 23.319409, 0, 'LV', 'LV-026', 'Augstkalne', 'no', '', '', '', 'EVMA, EVMA'),
	('EEVU', 'small_airport', 'Varstu Airfield', 57.63288, 26.671085, 275, 'EE', 'EE-86', 'Varstu', 'no', 'EEVU', '', '', ''),
	('UBEN', 'N/A', 'N/A', 57.00004622340202, 29.815918654203415, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPYT', 'N/A', 'N/A', 56.991486959159374, 27.913064807653427, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOR', 'N/A', 'N/A', 58.14191222190857, 28.203233778476715, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EERI', 'small_airport', 'Ridali Airfield', 57.9399986267, 26.9790000916, 302, 'EE', 'EE-65', 'Suurküla', 'no', 'EERI', '', '', ''),
	('UPSV', 'N/A', 'N/A', 57.79587842524052, 28.299225121736526, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVVK', 'N/A', 'N/A', 57.46825195848942, 27.508878260850906, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EELM', 'small_airport', 'Lange Airfield (Lennundusmuuseum)', 58.290658, 26.767748, 0, 'EE', 'EE-7B', 'Tartu', 'no', 'EELM', '', '', 'Lennundusmuuseum, Lange lennuväli'),
	('EVLN', 'N/A', 'N/A', 56.351479701697826, 26.33433535695076, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVRE', 'N/A', 'N/A', 56.56638767570257, 27.347907721996307, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEH', 'N/A', 'N/A', 57.09385581314564, 29.72049370408058, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPAL', 'N/A', 'N/A', 57.581855580210686, 28.08145433664322, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOSS', 'N/A', 'N/A', 57.29962784796953, 28.433804512023926, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMPS', 'N/A', 'N/A', 55.162595584988594, 27.000616639852524, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMSP', 'N/A', 'N/A', 54.10360682755709, 28.577474355697632, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMNA', 'N/A', 'N/A', 55.608691200613976, 28.678760826587677, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMHL', 'N/A', 'N/A', 55.251462534070015, 27.920709997415543, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVDU', 'N/A', 'N/A', 55.88999055325985, 26.459944993257523, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMMS', 'large_airport', 'Minsk National Airport', 53.888071, 28.039964, 670, 'BY', 'BY-MI', 'Minsk', 'yes', 'UMMS', 'MSQ', '', 'Нацыянальны аэрапорт, Minsk 2 Airport'),
	('UMLI', 'small_airport', 'Minsk Machulishchy Air Base', 53.7733, 27.58, 699, 'BY', 'BY-MI', 'Minsk', 'no', 'UMLI', '', '', 'Minsk Machulishchi Airport, Аэрапорт Мачулішчы, Аэропорт Мачулищи'),
	('UMPA', 'N/A', 'N/A', 55.143949538469315, 26.830080896615982, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMKL', 'N/A', 'N/A', 53.54474309831858, 26.302143037319183, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMVD', 'N/A', 'N/A', 55.37883594632149, 26.62591427564621, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMSA', 'N/A', 'N/A', 53.6197467148304, 27.551852613687515, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVDA', 'medium_airport', 'Daugavpils International Airport', 55.944721, 26.665001, 398, 'LV', 'LV-111', 'Daugavpils', 'no', 'EVDA', 'DGP', '', ''),
	('UMRA', 'N/A', 'N/A', 54.02842987328768, 26.924646645784378, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMMM', 'closed', 'Minsk 1 Airport', 53.864498, 27.5397, 0, 'BY', 'BY-MI', 'Minsk', 'no', '', '', '', ''),
	('UMML', 'N/A', 'N/A', 54.249115996062756, 26.8696528673172, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVAG', 'N/A', 'N/A', 56.03679556399584, 26.792847365140915, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EVIL', 'N/A', 'N/A', 56.04287210851908, 26.369486153125763, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EYZA', 'small_airport', 'Zarasai Airfield', 55.752499, 26.256901, 541, 'LT', 'LT-UT', 'Zarasai', 'no', 'EYZA', '', '', ''),
	('UMVY', 'N/A', 'N/A', 53.910701014101505, 27.70720884203911, 228, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMPO', 'N/A', 'N/A', 55.41135638952255, 28.749407082796097, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMHA', 'N/A', 'N/A', 52.27567333728075, 26.774695962667465, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UMKA', 'N/A', 'N/A', 52.279194071888924, 29.35614064335823, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMHN', 'N/A', 'N/A', 52.77149811387062, 26.481859534978867, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMNB', 'medium_airport', 'Babruisk Air Base', 53.105, 29.205, 502, 'BY', 'BY-MA', 'Babruisk', 'no', 'UMNB', '', '', 'Bobruisk Air Base, Babruysk Air Base, Bobruysk Air Base, Аэродром Бабруйск, Аэродром Бобруйск'),
	('UMMZ', 'N/A', 'N/A', 51.981871873140335, 29.165704250335693, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNA', 'N/A', 'N/A', 51.23114336282015, 29.072279781103134, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMSL', 'N/A', 'N/A', 53.21319289505482, 27.361249029636383, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMKI', 'N/A', 'N/A', 53.24979264289141, 29.491645395755768, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKCO', 'N/A', 'N/A', 50.87667804211378, 29.07107636332512, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMA', 'N/A', 'N/A', 50.78676704317331, 29.246398508548737, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPWR', 'N/A', 'N/A', 50.69678898900747, 26.70210599899292, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMBR', 'N/A', 'N/A', 53.211542665958405, 29.12743628025055, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIK', 'N/A', 'N/A', 51.00657843053341, 29.978336691856384, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKBN', 'N/A', 'N/A', 50.66628858447075, 29.930137395858765, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKVL', 'N/A', 'N/A', 49.53298084437847, 29.887868016958237, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKV', 'small_airport', 'Zhytomyr Airport', 50.270556, 28.738611, 0, 'UA', 'UA-18', '', 'no', 'UKKV', 'ZTR', '', ''),
	('UKRM', 'N/A', 'N/A', 50.587745793163776, 29.264474362134933, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKZA', 'N/A', 'N/A', 48.034453466534615, 28.92439976334572, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIB', 'N/A', 'N/A', 48.37652329355478, 29.49998840689659, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKDN', 'N/A', 'N/A', 50.32267916947603, 28.361087143421173, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LUBL', 'medium_airport', 'Bălți International Airport', 47.837666, 27.781108, 758, 'MD', 'MD-RS', 'Bălți', 'no', 'LUBL', 'BZY', '', 'Beltsy International Airport, Lyadoveny Airport, Leadoveny Airport, Lyadoveni Airport, Leadoveni Airport, Аэропорт Бельцы'),
	('UKLG', 'N/A', 'N/A', 48.81012350320816, 29.949912428855896, 260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKFA', 'N/A', 'N/A', 50.012290589511395, 29.978845417499542, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKZ', 'N/A', 'N/A', 48.35887469351292, 28.860222101211548, 275, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKQ', 'N/A', 'N/A', 48.69580674916506, 26.60981833934784, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPAF', 'N/A', 'N/A', 50.35907372832298, 26.896026134490967, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKHL', 'N/A', 'N/A', 50.5574569478631, 28.780123740434647, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSU', 'N/A', 'N/A', 49.065471813082695, 28.443673253059387, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKST', 'N/A', 'N/A', 49.74815368652344, 27.273196578025818, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UK62', 'N/A', 'N/A', 49.35948684811592, 26.933455020189285, 351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LUBM', 'medium_airport', 'Mărculești Air Base', 47.862701, 28.212799, 312, 'MD', 'MD-FR', 'Mărculeşti', 'no', 'LUBM', '', '', 'Markuleshty Airport'),
	('UKAD', 'N/A', 'N/A', 50.01900348812342, 28.9909990131855, 226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKY', 'N/A', 'N/A', 49.48553826659918, 28.53911966085434, 293, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPR', 'N/A', 'N/A', 49.49407573789358, 29.241997003555298, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIN', 'small_airport', 'Haisyn Airfield', 48.825876, 29.33431, 790, 'UA', 'UA-05', 'Haisyn', 'no', 'UKIN', '', '', 'Gaysin, Гайсин, УКИН'),
	('UKVN', 'small_airport', 'Nalyvaikivka Airfield', 50.479167, 29.735833, 0, 'UA', 'UA-32', 'Nalyvaikivka', 'no', 'UKVN', '', '', ''),
	('UKWW', 'medium_airport', 'Vinnytsia/Gavyryshivka International Airport', 49.242531, 28.613778, 961, 'UA', 'UA-05', 'Vinnitsa', 'no', 'UKWW', 'VIN', '', 'Gavrishevka Airport, Gavrishivka Airport, Аэропорт Гавришевка , Аэропорт Гавришiвка'),
	('UKPH', 'N/A', 'N/A', 49.335968904197216, 29.270111471414566, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKO', 'medium_airport', 'Ozerne Air Base', 50.158298, 28.7383, 761, 'UA', 'UA-18', 'Zhytomyr', 'no', 'UKKO', '', '', 'Zhitomyr Ozernoye, Oziernoye, Ozernoe, Ozernoye, Ozyornoye, Ozerne, Ozernyy, Ozyornaya'),
	('UKBD', 'N/A', 'N/A', 49.89824675023556, 28.436225205659866, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKBY', 'N/A', 'N/A', 50.24031490087509, 29.858846962451935, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIZ', 'N/A', 'N/A', 50.119913555681705, 26.86678111553192, 244, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LUKH', 'N/A', 'N/A', 46.83694437146187, 28.901666700839996, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRIA', 'medium_airport', 'Iaşi Airport', 47.180278, 27.620833, 411, 'RO', 'RO-IS', 'Iaşi', 'yes', 'LRIA', 'IAS', '', 'Iasi, Jassy'),
	('LR79', 'medium_airport', 'Ianca Air Base', 45.158699, 27.430901, 131, 'RO', 'RO-BR', 'Ianca', 'no', '', '', '', ''),
	('UKAV', 'N/A', 'N/A', 47.67971992492676, 29.966151863336563, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRBC', 'medium_airport', 'Bacău George Enescu International  Airport', 46.5219, 26.910299, 607, 'RO', 'RO-BC', 'Bacău', 'yes', 'LRBC', 'BCM', '', 'Bacau, RoAF 95th Air Base'),
	('UKKC', 'N/A', 'N/A', 45.791740491986275, 28.724331110715866, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LUVA', 'N/A', 'N/A', 47.066242061555386, 29.0945702791214, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKF', 'N/A', 'N/A', 47.54936423152685, 29.428332298994064, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LUCH', 'medium_airport', 'Cahul International Airport', 45.8438, 28.2637, 652, 'MD', 'MD-CH', 'Cahul', 'no', 'LUCH', '', '', ''),
	('UKBO', 'N/A', 'N/A', 45.640017315745354, 28.672204166650772, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LRTC', 'medium_airport', 'Tulcea Danube Delta Airport', 45.0625, 28.7143, 200, 'RO', 'RO-TL', 'Tulcea', 'no', 'LRTC', 'TCE', '', 'Cataloi Airport, Aeroportul Delta Dunării Tulcea'),
	('UKVH', 'N/A', 'N/A', 45.569199956953526, 28.590010553598404, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LUBA', 'N/A', 'N/A', 47.773831598460674, 27.95763909816742, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LUKK', 'medium_airport', 'Chişinău International Airport', 46.9277, 28.931, 399, 'MD', 'MD-CU', 'Chişinău', 'yes', 'LUKK', 'RMO', '', 'KIV'),
	('UKFR', 'N/A', 'N/A', 47.33109075576067, 29.79110598564148, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRVA', 'N/A', 'N/A', 45.36544259637594, 27.938680797815323, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAZ', 'N/A', 'N/A', 45.946393981575966, 29.377009123563766, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LR82', 'medium_airport', 'Boboc Air Base', 45.2164, 26.9786, 344, 'RO', 'RO-BZ', 'Boboc', 'no', 'LRBO', '', '', 'RoAF Aurel Vlaicu Flight School'),
	('UKLE', 'N/A', 'N/A', 45.56578852236271, 29.034322053194046, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRSV', 'medium_airport', 'Suceava Stefan cel Mare Airport', 47.6875, 26.35409927368164, 1375, 'RO', 'RO-SV', 'Suceava', 'yes', 'LRSV', 'SCV', '', ''),
	('UKLF', 'N/A', 'N/A', 46.131042279303074, 29.874108731746674, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LUTR', 'medium_airport', 'Tiraspol Airport', 46.868099, 29.590599, 141, 'MD', 'MD-SN', 'Tiraspol', 'no', 'LUTR', '', '', 'Transnistria'),
	('LUCL', 'closed', 'Ceadîr-Lunga Airfield', 46.034994, 28.851844, 587, 'MD', 'MD-GA', 'Ceadîr-Lunga', 'no', '', '', '', 'Chadyr Lunga, LUCL'),
	('LFWQ', 'N/A', 'N/A', 44.36518985778093, 0.4897458851337433, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWV', 'N/A', 'N/A', 44.62217766791582, 0.19355088472366333, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWX', 'N/A', 'N/A', 44.9030639603734, 0.7479920983314514, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFZB', 'N/A', 'N/A', 44.84321314841509, 1.8307694792747498, 380, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCQ', 'small_airport', 'Aérodrome de Graulhet-Montdragon', 43.771099, 2.01083, 581, 'FR', 'FR-OCC', 'Graulhet/Montdragon', 'no', 'LFCQ', '', '', ''),
	('LFIR', 'small_airport', 'Revel Montgey Airfield', 43.4814, 1.98, 643, 'FR', 'FR-OCC', '', 'no', 'LFIR', '', '', ''),
	('LFLW', 'medium_airport', 'Aurillac Airport', 44.89139938354492, 2.4219400882720947, 2096, 'FR', 'FR-ARA', 'Aurillac', 'yes', 'LFLW', 'AUR', '', ''),
	('LFYM', 'closed', 'Marigny Le Grand Air Base', 48.661215, 3.83563, 329, 'FR', 'FR-GES', 'Marigny, Marne', 'no', '', '', '', 'LFYM'),
	('LFWW', 'N/A', 'N/A', 44.33738473802805, 0.649387389421463, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFZD', 'N/A', 'N/A', 44.18000981211662, 1.5976028144359589, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEPG', 'N/A', 'N/A', 42.34850328415632, 0.1861095428466797, 532, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFKN', 'N/A', 'N/A', 43.89250013977289, 0.14466986060142517, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFYL', 'closed', 'Lure Malbouhans Air Base', 47.7047, 6.54583, 1040, 'FR', 'FR-BFC', 'La Neuvelle-lès-Lure', 'no', '', '', '', 'LFYL'),
	('LFZH', 'N/A', 'N/A', 44.36511944979429, 1.0919545590877533, 269, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LESU', 'small_airport', 'Pirineus - la Seu d''Urgel Airport', 42.3386, 1.40917, 2625, 'ES', 'ES-CT', 'La Seu d''Urgell Pyrenees and Andorra', 'yes', 'LESU', 'LEU', '', 'Montferrer, Castellbò'),
	('LFYO', 'N/A', 'N/A', 43.438446410000324, 1.9088441133499146, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF52', 'N/A', 'N/A', 44.58097994327545, 2.591400593519211, 657, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWZ', 'N/A', 'N/A', 44.72910962998867, 0.44650644063949585, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFNB', 'medium_airport', 'Mende-Brenoux Airfield', 44.502102, 3.53282, 3362, 'FR', 'FR-OCC', 'Mende/Brénoux', 'no', 'LFNB', 'MEN', '', ''),
	('LFWT', 'N/A', 'N/A', 44.91878539323807, 0.6459121406078339, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFDB', 'small_airport', 'Aérodrome Morin - Védrines', 44.0257, 1.37804, 351, 'FR', 'FR-OCC', 'Montauban', 'no', 'LFDB', '', '', ''),
	('LFDF', 'small_airport', 'Aérodrome de Sainte-Foy-la-Grande', 44.8536, 0.176667, 282, 'FR', 'FR-NAQ', '', 'no', 'LFDF', '', '', ''),
	('LFIF', 'small_airport', 'Saint-Affrique-Belmont Airfield', 43.824568, 2.743979, 1686, 'FR', 'FR-OCC', 'Belmont-sur-Rance, Aveyron', 'no', 'LFIF', '', '', ''),
	('LFWH', 'N/A', 'N/A', 43.341681361198425, 0.5301296710968018, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCM', 'small_airport', 'Millau-Larzac Airfield', 43.9893, 3.183, 2606, 'FR', 'FR-OCC', 'Millau/Larzac', 'no', 'LFCM', '', '', ''),
	('LFCR', 'medium_airport', 'Rodez–Aveyron Airport', 44.407902, 2.48267, 1910, 'FR', 'FR-OCC', 'Rodez/Marcillac', 'yes', 'LFCR', 'RDZ', '', ''),
	('LFYY', 'N/A', 'N/A', 44.94318913668394, 1.3119716942310333, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCK', 'medium_airport', 'Castres-Mazamet Airport', 43.556301, 2.28918, 788, 'FR', 'FR-OCC', 'Castres/Mazamet', 'yes', 'LFCK', 'DCM', '', ''),
	('LFYS', 'small_airport', 'Ste Léocadie Airfield', 42.447201, 2.01083, 4331, 'FR', 'FR-OCC', '', 'no', 'LFYS', '', '', ''),
	('LEAF', 'heliport', 'Alcorisa Forestry Heliport', 40.898141, -0.396393, 2417, 'ES', 'ES-AR', 'Teruel', 'no', 'LEAF', '', '', ''),
	('LFID', 'small_airport', 'Aérodrome de Condom - Valence-sur-Baïse', 43.910301, 0.387222, 444, 'FR', 'FR-OCC', '', 'no', 'LFID', '', '', ''),
	('LFNW', 'small_airport', 'Puivert Airfield', 42.9114, 2.05611, 1608, 'FR', 'FR-OCC', '', 'no', 'LFNW', '', '', ''),
	('LFMU', 'medium_airport', 'Béziers-Vias Airport', 43.323502, 3.3539, 56, 'FR', 'FR-OCC', 'Béziers/Vias', 'yes', 'LFMU', 'BZR', '', ''),
	('LFUC', 'N/A', 'N/A', 43.057034611701965, 2.226404696702957, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFIE', 'N/A', 'N/A', 44.514568112790585, 1.5924860537052155, 352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFDH', 'medium_airport', 'Auch-Lamothe Airfield', 43.687801, 0.601667, 411, 'FR', 'FR-OCC', 'Auch/Lamothe', 'no', 'LFDH', '', '', ''),
	('LFIT', 'small_airport', 'Aérodrome de Toulouse Bourg-Saint-Bernard', 43.612202, 1.72528, 525, 'FR', 'FR-OCC', '', 'no', 'LFIT', '', '', ''),
	('LFDQ', 'small_airport', 'Castelnau Magnoac Airfield', 43.2794, 0.521667, 992, 'FR', 'FR-OCC', '', 'no', 'LFDQ', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LFYU', 'N/A', 'N/A', 44.22300964593887, 1.7324160039424896, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFYX', 'N/A', 'N/A', 44.88974645733833, 1.4162591099739075, 253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWU', 'N/A', 'N/A', 44.88039158284664, 0.744984894990921, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFXE', 'N/A', 'N/A', 44.64921098202467, 0.8191363513469696, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCG', 'medium_airport', 'Aérodrome de Saint-Girons - Antichan', 43.007801, 1.10315, 1368, 'FR', 'FR-OCC', 'Saint-Girons/Antichan', 'no', 'LFCG', '', '', ''),
	('LFCX', 'small_airport', 'Aérodrome de Castelsarrasin Moissac', 44.086899, 1.12833, 243, 'FR', 'FR-OCC', 'Rodez', 'no', 'LFCX', '', '', ''),
	('LFCV', 'small_airport', 'Aérodrome de Villefranche de Rouergue', 44.369491, 2.025722, 1096, 'FR', 'FR-OCC', 'Rodez', 'no', 'LFCV', '', '', ''),
	('LFIG', 'small_airport', 'Cassagnes-Bégonhès Airfield', 44.177799, 2.515, 2024, 'FR', 'FR-OCC', 'Cassagnes-Bégonhès', 'no', 'LFIG', '', '', ''),
	('LECD', 'small_airport', 'La Cerdanya Airfield', 42.386398, 1.86667, 3586, 'ES', 'ES-CT', 'Alp', 'no', 'LECD', '', '', ''),
	('LFMP', 'medium_airport', 'Perpignan-Rivesaltes (Llabanère) Airport', 42.740398, 2.87067, 144, 'FR', 'FR-OCC', 'Perpignan/Rivesaltes', 'yes', 'LFMP', 'PGF', '', ''),
	('LFYZ', 'N/A', 'N/A', 44.967122822999954, 1.2511181831359863, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFZE', 'N/A', 'N/A', 44.307785890996456, 1.081078201532364, 224, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFUW', 'N/A', 'N/A', 43.22007168084383, 0.473049134016037, 388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF91', 'N/A', 'N/A', 44.89273343235254, 2.7166879177093506, 928, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFZA', 'N/A', 'N/A', 44.99169923365116, 1.1420251429080963, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFBF', 'medium_airport', 'Toulouse-Francazal (BA 101) Air Base', 43.545601, 1.3675, 535, 'FR', 'FR-OCC', 'Toulouse/Francazal', 'no', 'LFBF', '', '', ''),
	('LFSQ', 'closed', 'Belfort-Fontaine Airfield', 47.655602, 7.01083, 1208, 'FR', 'FR-BFC', 'Fontaine', 'no', '', '', '', 'BOR, LFSQ, Aéroparc de Belfort-Fontaine'),
	('LFWK', 'N/A', 'N/A', 43.382793590426445, 0.1341511309146881, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFDG', 'small_airport', 'Aérodrome de Gaillac - Lisle-sur-Tarn', 43.8839, 1.87556, 446, 'FR', 'FR-OCC', 'Gaillac', 'no', 'LFDG', '', '', ''),
	('LFJH', 'small_airport', 'Aérodrome de Cazères - Palaminy', 43.202202, 1.05111, 811, 'FR', 'FR-OCC', '', 'no', 'LFJH', '', '', ''),
	('LFUO', 'N/A', 'N/A', 43.0200519785285, 1.8781471252441406, 421, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFIM', 'small_airport', 'St Gaudens Montrejeau Airfield', 43.108601, 0.620278, 1325, 'FR', 'FR-OCC', 'Moulins', 'no', 'LFIM', '', '', ''),
	('LFZF', 'N/A', 'N/A', 44.944283813238144, 1.6464337706565857, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF82', 'N/A', 'N/A', 43.60630139708519, 3.2847650349140167, 375, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF37', 'N/A', 'N/A', 43.32569070160389, 3.185606002807617, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWY', 'N/A', 'N/A', 44.69928078353405, 0.6380295753479004, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCB', 'small_airport', 'Aérodrome de Bagnères de Luchon', 42.799999, 0.6, 2028, 'FR', 'FR-OCC', '', 'no', 'LFCB', '', '', ''),
	('LFKU', 'N/A', 'N/A', 43.346946872770786, 0.6110930442810059, 298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF24', 'N/A', 'N/A', 44.92657486349344, 2.068408280611038, 633, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFBR', 'small_airport', 'Aérodrome de Muret - Lherm', 43.448898, 1.26333, 622, 'FR', 'FR-OCC', 'Muret/Lherm', 'no', 'LFBR', '', '', ''),
	('LFBO', 'large_airport', 'Toulouse-Blagnac Airport', 43.629101, 1.36382, 499, 'FR', 'FR-OCC', 'Toulouse/Blagnac', 'yes', 'LFBO', 'TLS', '', ''),
	('LFNO', 'small_airport', 'Florac Ste Enimie Airfield', 44.2864, 3.46667, 3054, 'FR', 'FR-OCC', '', 'no', 'LFNO', '', '', ''),
	('LF23', 'N/A', 'N/A', 43.82996276021004, 2.1207748353481293, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFYN', 'N/A', 'N/A', 43.179220631718636, 1.9516029953956604, 306, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWG', 'N/A', 'N/A', 43.15352339297533, 0.9951518476009369, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCC', 'medium_airport', 'Aérodrome de Cahors-Lalbenque', 44.351398, 1.47528, 912, 'FR', 'FR-OCC', 'Cahors/Lalbenque', 'no', 'LFCC', 'ZAO', '', ''),
	('LFMB', 'N/A', 'N/A', 42.89656039327383, 0.10130658745765686, 1625, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWI', 'N/A', 'N/A', 43.43921821564436, 0.7468141615390778, 269, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCW', 'small_airport', 'Villeneuve-sur-Lot Airfield', 44.3969, 0.758889, 190, 'FR', 'FR-NAQ', 'Villeneuve-sur-Lot', 'no', 'LFCW', '', '', ''),
	('LF38', 'N/A', 'N/A', 44.90029726177454, 3.1065304577350616, 916, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWF', 'N/A', 'N/A', 43.47061213105917, 0.3887709975242615, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFDJ', 'small_airport', 'Aérodrome de Pamiers - Les Pujols', 43.090599, 1.69583, 1115, 'FR', 'FR-OCC', 'Pamiers/Les Pujols', 'no', 'LFDJ', '', '', ''),
	('LFWD', 'N/A', 'N/A', 43.38068068027496, 0.8518959581851959, 263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWE', 'N/A', 'N/A', 43.32609001547098, 0.4151254892349243, 279, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWR', 'N/A', 'N/A', 44.59112673997879, 0.5561994016170502, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFXD', 'N/A', 'N/A', 44.4073773175478, 0.8917973935604095, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCI', 'medium_airport', 'Albi-Le Séquestre Airport', 43.913898, 2.11306, 564, 'FR', 'FR-OCC', 'Albi/Le Séquestre', 'no', 'LFCI', 'LBI', '', ''),
	('LFII', 'N/A', 'N/A', 44.74399622529745, 1.6185910999774933, 317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWN', 'N/A', 'N/A', 43.57830047607422, 0.27006492018699646, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWL', 'N/A', 'N/A', 43.37802428752184, 0.16189321875572205, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWM', 'N/A', 'N/A', 43.502760753035545, 0.19494786858558655, 195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LFYP', 'N/A', 'N/A', 43.768434561789036, 1.604330688714981, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF32', 'N/A', 'N/A', 42.550268433988094, 2.7309876680374146, 440, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFDS', 'small_airport', 'Sarlat Domme Airfield', 44.791707, 1.247068, 978, 'FR', 'FR-NAQ', '', 'no', 'LFDS', '', '', 'XSL'),
	('LFNN', 'N/A', 'N/A', 43.19416657090187, 3.0516667664051056, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFYI', 'N/A', 'N/A', 43.45544055104256, 1.0758130252361298, 322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFNX', 'small_airport', 'Bédarieux La Tour Airfield', 43.6408, 3.14556, 1237, 'FR', 'FR-OCC', '', 'no', 'LFNX', '', '', ''),
	('LFYJ', 'N/A', 'N/A', 43.20298969745636, 1.4179493486881256, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFCF', 'small_airport', 'Aérodrome de Figeac - Livernon', 44.673302, 1.78917, 1086, 'FR', 'FR-OCC', '', 'no', 'LFCF', '', '', ''),
	('LFCL', 'small_airport', 'Toulouse-Lasbordes Airfield', 43.58677, 1.49924, 460, 'FR', 'FR-OCC', 'Balma, Haute-Garonne', 'no', 'LFCL', '', '', ''),
	('LFWP', 'N/A', 'N/A', 43.87637369334698, 0.9835977852344513, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEWG', 'N/A', 'N/A', 42.232459522783756, 2.8866787254810333, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFYW', 'N/A', 'N/A', 44.83135610818863, 1.4747107028961182, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFRA', 'closed', 'Aérodrome d''Angers Avrillé', 47.499199, -0.572778, 187, 'FR', 'FR-PDL', 'Angers', 'no', '', '', '', 'LFRA, LFRA'),
	('LFMZ', 'small_airport', 'Lézignan-Corbières Airfield', 43.1758, 2.73417, 207, 'FR', 'FR-OCC', 'Lézignan-Corbières', 'no', 'LFMZ', '', '', ''),
	('LFDM', 'small_airport', 'Marmande – Virazeil Airfield', 44.499049, 0.200511, 110, 'FR', 'FR-NAQ', 'Marmande', 'no', 'LFDM', '', '', ''),
	('LFUX', 'N/A', 'N/A', 44.003970734775066, 1.229318082332611, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFMW', 'small_airport', 'Aérodrome de Castelnaudary-Villeneuve', 43.312199, 1.92111, 551, 'FR', 'FR-OCC', 'Castelnaudary Villeneuve', 'no', 'LFMW', '', '', ''),
	('LF01', 'N/A', 'N/A', 42.74645023047924, 3.016282618045807, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFZC', 'N/A', 'N/A', 44.36417531222105, 1.0866956412792206, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFYT', 'closed', 'Saint-Simon - Clastres Air Base', 49.757542, 3.21598, 295, 'FR', 'FR-HDF', 'Clastres, Aisne', 'no', '', '', '', 'LFYT'),
	('LFIB', 'small_airport', 'Aérodrome de Belvès Saint-Pardoux', 44.782501, 0.958889, 791, 'FR', 'FR-NAQ', '', 'no', 'LFIB', '', '', ''),
	('LFDT', 'small_airport', 'Aérodrome de Tarbes Laloubère', 43.215269, 0.077304, 1076, 'FR', 'FR-OCC', 'Tarbes', 'no', 'LFDT', '', '', 'XTB'),
	('LFWS', 'N/A', 'N/A', 44.76621799170971, 0.724768191576004, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFNQ', 'small_airport', 'Mont Louis La Quillane Airfield', 42.543598, 2.12, 5610, 'FR', 'FR-OCC', '', 'no', 'LFNQ', '', '', ''),
	('LFKW', 'N/A', 'N/A', 43.66824869066477, 0.9162291884422302, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFWJ', 'N/A', 'N/A', 43.47430117428303, 0.07819443941116333, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFBA', 'medium_airport', 'Agen-La Garenne Airport', 44.174171, 0.59309, 204, 'FR', 'FR-NAQ', 'Agen/La Garenne', 'no', 'LFBA', 'AGF', '', ''),
	('LFKZ', 'small_airport', 'Saint-Claude Pratz Airfield', 46.384722, 5.770278, 2051, 'FR', 'FR-BFC', 'Lavans-lès-Saint-Claude, Jura', 'no', '', '', 'LF3923', 'Aérodrome de Saint-Claude-Pratz, LFKZ'),
	('LF90', 'N/A', 'N/A', 42.820821180939674, 2.4966157972812653, 277, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFDX', 'small_airport', 'Fumel Montayral Airfield', 44.460921, 1.006708, 692, 'FR', 'FR-NAQ', 'Rochefort', 'no', 'LFDX', '', '', ''),
	('LFKV', 'N/A', 'N/A', 43.41657903045416, 0.753987729549408, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFMG', 'small_airport', 'Aérodrome de la Montagne Noire', 43.407501, 1.99028, 1470, 'FR', 'FR-OCC', 'Revel', 'no', 'LFMG', '', '', ''),
	('LFBE', 'medium_airport', 'Bergerac Dordogne Périgord Airport', 44.825298, 0.518611, 171, 'FR', 'FR-NAQ', 'Bergerac/Roumanière', 'yes', 'LFBE', 'EGC', '', ''),
	('LFMK', 'medium_airport', 'Carcassonne Airport', 43.216, 2.30632, 433, 'FR', 'FR-OCC', 'Carcassonne/Salvaza', 'yes', 'LFMK', 'CCF', '', ''),
	('LEAP', 'small_airport', 'Ampuriabrava Airfield', 42.259998, 3.109722, 2, 'ES', 'ES-CT', 'Empuriabrava', 'no', 'LEAP', '', '', 'Empuriabrava, Ampuriabrava'),
	('LFIP', 'small_airport', 'Altiport de Peyresourde Balestas', 42.796723, 0.436503, 5190, 'FR', 'FR-OCC', '', 'no', 'LFIP', '', '', ''),
	('LEVW', 'N/A', 'N/A', 42.143010534346104, 3.050646632909775, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAE', 'N/A', 'N/A', 41.73348683863878, 0.11027008295059204, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LESV', 'N/A', 'N/A', 41.95279732346535, 2.307094931602478, 509, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAT', 'closed', 'Alfes Airfield', 41.549999, 0.65, 705, 'ES', 'ES-CT', 'LLeida - Alfes', 'no', '', '', '', 'LEAT'),
	('LEAK', 'N/A', 'N/A', 42.07741241902113, 1.8403047323226929, 608, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEDI', 'N/A', 'N/A', 41.687665320932865, 1.2502491474151611, 508, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEEP', 'N/A', 'N/A', 41.371312849223614, 1.3041485846042633, 396, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECQ', 'N/A', 'N/A', 41.78658552467823, 2.1292465925216675, 711, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVG', 'N/A', 'N/A', 41.24975513666868, 1.2413500249385834, 195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEBS', 'heliport', 'Can Bonastre Wine Resort Heliport', 41.507695, 1.787712, 945, 'ES', 'ES-CT', 'Masquefa', 'no', 'LEBS', '', '', ''),
	('LESK', 'N/A', 'N/A', 41.580990850925446, 2.1004611253738403, 253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LENA', 'small_airport', 'Benabarre Airfield', 42.0228, 0.482222, 2450, 'ES', 'ES-AR', 'Huesca', 'no', 'LENA', '', '', 'Benabarre,'),
	('LEFT', 'N/A', 'N/A', 42.012130469083786, 3.0893513560295105, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEVO', 'heliport', 'Villahermosa Heliport', 38.750938, -2.842076, 3169, 'ES', 'ES-CM', 'Villahermosa', 'no', 'LEVO', '', '', ''),
	('LERS', 'medium_airport', 'Reus Airport', 41.1474, 1.16717, 233, 'ES', 'ES-CT', 'Reus', 'yes', 'LERS', 'REU', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LECN', 'small_airport', 'Castellon de la Plana Aerodrome', 39.99836, 0.026355, 20, 'ES', 'ES-VC', 'Castellón de la Plana', 'no', 'LECN', '', '', 'CDT'),
	('LEMS', 'small_airport', 'Manresa Airfield', 41.765301, 1.86167, 897, 'ES', 'ES-CT', 'Manresa', 'no', 'LEMS', '', '', ''),
	('LEIL', 'N/A', 'N/A', 41.99407149106264, 0.09188756346702576, 426, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEPF', 'N/A', 'N/A', 41.68714698404074, 2.7481676638126373, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECH', 'medium_airport', 'Castellón-Costa Azahar Airport', 40.213889, 0.073333, 1182, 'ES', 'ES-VC', 'Castellón de la Plana', 'yes', 'LECH', 'CDT', '', ''),
	('LEDA', 'medium_airport', 'Lleida-Alguaire Airport', 41.728185, 0.535023, 1152, 'ES', 'ES-CT', 'Lleida', 'yes', 'LEDA', 'ILD', '', ''),
	('LEDT', 'N/A', 'N/A', 40.651586316525936, 0.7713675498962402, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEFX', 'N/A', 'N/A', 42.02951319515705, 2.9902897775173187, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LESY', 'N/A', 'N/A', 41.98825377970934, 2.256264388561249, 527, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEAV', 'N/A', 'N/A', 41.36743873357773, 1.767151951789856, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LETU', 'N/A', 'N/A', 41.97376247495413, 1.2588554620742798, 662, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEHO', 'N/A', 'N/A', 41.75157431513071, 2.6101867854595184, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LENV', 'N/A', 'N/A', 41.777459643781185, 1.8900740146636963, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LECF', 'small_airport', 'Calaf-Sallavinera Airfield', 41.744202, 1.55694, 2355, 'ES', 'ES-CT', 'Sant Pere Sallavinera', 'no', 'LECF', '', '', ''),
	('LESI', 'N/A', 'N/A', 41.681313179433346, 1.4142179489135742, 681, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LELL', 'small_airport', 'Sabadell Airfield', 41.520901, 2.10508, 485, 'ES', 'ES-CT', 'Sabadell', 'no', 'LELL', '', '', 'QSA'),
	('LEMM', 'N/A', 'N/A', 41.79945845156908, 2.1119579672813416, 683, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEIG', 'small_airport', 'Igualada/Odena Airfield', 41.585602, 1.65306, 1080, 'ES', 'ES-CT', 'Barcelona', 'no', 'LEIG', '', '', ''),
	('LECL', 'N/A', 'N/A', 40.519834868609905, 0.39002135396003723, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LETD', 'N/A', 'N/A', 42.03105915337801, 3.179270178079605, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEGE', 'medium_airport', 'Girona-Costa Brava Airport', 41.904639, 2.761774, 468, 'ES', 'ES-CT', 'Girona', 'yes', 'LEGE', 'GRO', '', 'Girona, Costa Brava, Girona-Costa Brava'),
	('LEBL', 'large_airport', 'Josep Tarradellas Barcelona-El Prat Airport', 41.2971, 2.07846, 12, 'ES', 'ES-CT', 'Barcelona', 'yes', 'LEBL', 'BCN', '', 'El Prat Airport,Barcelona International,Josep Tarradellas Barcelona-El Prat Airport'),
	('LEPA', 'large_airport', 'Palma de Mallorca Airport', 39.551701, 2.73881, 27, 'ES', 'ES-IB', 'Palma de Mallorca', 'yes', 'LEPA', 'PMI', '', 'Son Sant Joan Airport, LESJ'),
	('LESB', 'small_airport', 'Son Bonet Airfield', 39.5989, 2.70278, 153, 'ES', 'ES-IB', 'Marratxí', 'no', 'LESB', '', '', 'Mallorca'),
	('LEIB', 'large_airport', 'Ibiza Airport', 38.872898, 1.37312, 24, 'ES', 'ES-IB', 'Ibiza (Eivissa)', 'yes', 'LEIB', 'IBZ', '', ''),
	('DAAX', 'small_airport', 'Chéraga Airport', 36.7782, 2.9284, 396, 'DZ', 'DZ-16', 'Chéraga', 'no', 'DAAX', '', '', ''),
	('DAAG', 'large_airport', 'Houari Boumediene Airport', 36.693886, 3.214531, 82, 'DZ', 'DZ-16', 'Algiers', 'yes', 'DAAG', 'ALG', '', 'Algiers, Maison Blanche'),
	('LESF', 'N/A', 'N/A', 39.34684585779905, 3.057257831096649, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAAQ', 'small_airport', 'Ain Oussera Airport', 35.525398, 2.87871, 2132, 'DZ', 'DZ-17', 'Ain Oussera', 'no', 'DAAQ', '', '', ''),
	('DAOB', 'medium_airport', 'Abdelhafid Boussouf Bou Chekif Airport', 35.341099, 1.46315, 3245, 'DZ', 'DZ-14', 'Tiaret', 'no', 'DAOB', 'TID', '', ''),
	('DAOI', 'medium_airport', 'Chlef Aboubakr Belkaid International Airport', 36.217166, 1.342237, 463, 'DZ', 'DZ-02', 'Chlef', 'yes', 'DAOI', 'CFK', '', 'Ech Cheliff Airport'),
	('DAAK', 'medium_airport', 'Boufarik Air Base', 36.545799, 2.87611, 335, 'DZ', 'DZ-09', 'Boufarik', 'no', 'DAAK', '', '', 'QFD'),
	('DAOV', 'medium_airport', 'Ghriss Airport', 35.207699, 0.147142, 1686, 'DZ', 'DZ-29', 'Ghriss', 'no', 'DAOV', 'MUW', '', ''),
	('DA14', 'small_airport', 'Mostaganem Airport', 35.90518, 0.144539, 732, 'DZ', 'DZ-27', 'Sayada', 'no', 'DA14', 'MQV', 'DA14', 'Matemore Airfield'),
	('DA15', 'small_airport', 'Saïda Airport', 34.897202, 0.151694, 2444, 'DZ', 'DZ-20', 'Ouled Khaled', 'no', 'DA15', '', 'DA15', 'Rebahia'),
	('DAFI', 'small_airport', 'Tsletsi Airport', 34.6657, 3.351, 3753, 'DZ', 'DZ-17', 'Djelfa', 'no', 'DAFI', 'QDJ', '', ''),
	('DAUL', 'medium_airport', 'Laghouat - Molay Ahmed Medeghri Airport', 33.7644, 2.92834, 2510, 'DZ', 'DZ-03', 'Laghouat', 'no', 'DAUL', 'LOO', '', ''),
	('DAAB', 'medium_airport', 'Blida Airport', 36.503601, 2.81417, 535, 'DZ', 'DZ-09', 'Blida', 'no', 'DAAB', 'QLD', '', ''),
	('DAAZ', 'medium_airport', 'Relizane Airport', 35.752955, 0.625877, 282, 'DZ', 'DZ-48', 'Relizane', 'no', 'DAAZ', '', '', 'QZN'),
	('DAEL', 'N/A', 'N/A', 31.15931935608387, 1.0646836459636688, 536, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAOY', 'small_airport', 'El Bayadh Airport', 33.721667, 1.0925, 4493, 'DZ', 'DZ-32', 'El Bayadh', 'no', 'DAOY', 'EBH', '', ''),
	('DA12', 'small_airport', 'El Abiodh Sidi Cheikh Airport', 32.898499, 0.524694, 2965, 'DZ', 'DZ-32', 'El Abiodh Sidi Cheikh', 'no', 'DA12', '', 'DA12', ''),
	('DAFH', 'medium_airport', 'Hassi R''Mel Airport', 32.930401, 3.31154, 2540, 'DZ', 'DZ-03', 'Hassi R''Mel', 'yes', 'DAFH', 'HRM', '', ''),
	('DATC', 'N/A', 'N/A', 30.880484953522682, 0.45237064361572266, 565, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAIS', 'N/A', 'N/A', 29.071040600538254, 2.2057659924030304, 467, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAUE', 'medium_airport', 'El Golea Airport', 30.580732, 2.861595, 1306, 'DZ', 'DZ-50', 'El Menia', 'yes', 'DAUE', 'ELG', '', ''),
	('DATB', 'N/A', 'N/A', 30.801113694906235, 0.7256144285202026, 535, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAUT', 'medium_airport', 'Timimoun Airport', 29.237101, 0.276033, 1027, 'DZ', 'DZ-54', 'Timimoun', 'yes', 'DAUT', 'TMX', '', ''),
	('DAAN', 'small_airport', 'Reggane Airport', 26.712418, 0.288219, 955, 'DZ', 'DZ-01', 'Reggane', 'no', 'DAAN', '', '', ''),
	('DAUI', 'medium_airport', 'In Salah Airport', 27.250999, 2.51202, 896, 'DZ', 'DZ-57', 'In Salah', 'yes', 'DAUI', 'INZ', '', ''),
	('DAAF', 'small_airport', 'Aoulef Airport', 27.0624, 1.1111, 1017, 'DZ', 'DZ-01', 'Aoulef', 'no', 'DAAF', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('DAAR', 'N/A', 'N/A', 28.118772245943546, 0.328153520822525, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAAO', 'N/A', 'N/A', 27.22797878086567, 1.1804267764091492, 319, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFJF', 'small_airport', 'Aérodrome d''Aubenasson', 44.6945, 5.15111, 810, 'FR', 'FR-ARA', '', 'no', 'LFJF', '', '', ''),
	('LFTD', 'N/A', 'N/A', 44.31442368775606, 6.071534603834152, 862, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEN', 'N/A', 'N/A', 44.6954945102334, 7.402467727661133, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFPS', 'N/A', 'N/A', 44.84323661774397, 5.963009297847748, 1549, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFMD', 'medium_airport', 'Cannes-Mandelieu Airport', 43.547998, 6.955176, 13, 'FR', 'FR-PAC', 'Cannes', 'no', 'LFMD', 'CEQ', '', ''),
	('LFMX', 'small_airport', 'Aérodrome de Château-Arnoux - Saint-Auban', 44.060001, 5.99139, 1509, 'FR', 'FR-PAC', 'Avignon', 'no', 'LFMX', '', '', ''),
	('LFTA', 'N/A', 'N/A', 43.77939071506262, 6.865027695894241, 1125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF03', 'N/A', 'N/A', 44.634370654821396, 4.046858847141266, 1289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFMS', 'medium_airport', 'Aérodrome d''Alès Cévennes', 44.069698, 4.14212, 668, 'FR', 'FR-OCC', 'Alès/Deaux', 'no', 'LFMS', '', '', ''),
	('LFTP', 'small_airport', 'Puimoisson Airfield', 43.86889, 6.16278, 2523, 'FR', 'FR-PAC', '', 'no', 'LFTP', '', '', ''),
	('LFHF', 'small_airport', 'Ruoms Airfield', 44.444611, 4.332755, 361, 'FR', 'FR-ARA', 'Ruoms', 'no', 'LFHF', '', '', ''),
	('LF51', 'small_airport', 'Aérodrome du Plan-de-Dieu - Orange', 44.18, 4.91889, 312, 'FR', 'FR-PAC', 'Plan-de-Dieu', 'no', 'LFPR', '', 'LF8451', ''),
	('LFUK', 'N/A', 'N/A', 44.32344362139702, 6.0315777361392975, 658, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFUP', 'N/A', 'N/A', 44.34393670409918, 6.369585692882538, 1175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIG', 'N/A', 'N/A', 44.86368142068386, 7.407050728797913, 303, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF74', 'N/A', 'N/A', 44.10647638142109, 6.939813941717148, 1761, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFTM', 'small_airport', 'Serres - La Bâtie-Montsaléon Airfield', 44.458302, 5.72833, 2345, 'FR', 'FR-PAC', '', 'no', 'LFTM', '', '', ''),
	('LFFM', 'closed', 'Lamotte Beuvron Airfield', 47.6567, 1.98917, 413, 'FR', 'FR-CVL', '', 'no', '', '', '', 'LFFM, LFFM'),
	('LFNL', 'small_airport', 'Aérodrome de Saint-Martin-de-Londres', 43.8008, 3.7825, 597, 'FR', 'FR-OCC', '', 'no', 'LFNL', '', '', ''),
	('LF57', 'N/A', 'N/A', 44.36517745256424, 5.786671042442322, 716, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFML', 'large_airport', 'Marseille Provence Airport', 43.438088, 5.2125, 74, 'FR', 'FR-PAC', 'Marignane, Bouches-du-Rhône', 'yes', 'LFML', 'MRS', '', ''),
	('LFMN', 'large_airport', 'Nice-Côte d''Azur Airport', 43.658401, 7.21587, 12, 'FR', 'FR-PAC', 'Nice, Alpes-Maritimes', 'yes', 'LFMN', 'NCE', '', ''),
	('LF55', 'N/A', 'N/A', 44.53743226826191, 5.308803766965866, 1055, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFMQ', 'medium_airport', 'Le Castellet Airport', 43.252499, 5.78519, 1391, 'FR', 'FR-PAC', 'Le Castellet', 'no', 'LFMQ', 'CTT', '', ''),
	('LFNY', 'small_airport', 'Saint-Étienne-en-Dévoluy AltiSurface', 44.667877, 5.904735, 6201, 'FR', 'FR-PAC', 'Dévoluy', 'no', '', '', 'LF0538', ''),
	('LFHD', 'small_airport', 'Aérodrome de Pierrelatte', 44.398899, 4.71806, 197, 'FR', 'FR-ARA', '', 'no', 'LFHD', '', '', ''),
	('LFTG', 'N/A', 'N/A', 44.422048665583134, 5.6434933841228485, 829, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFMR', 'small_airport', 'Barcelonnette - Saint-Pons Airfield', 44.387198, 6.609186, 3714, 'FR', 'FR-PAC', 'Le Castellet', 'no', 'LFMR', 'BAE', '', ''),
	('LFNC', 'small_airport', 'Mont-Dauphin - St-Crépin Airfield', 44.701698, 6.60028, 2963, 'FR', 'FR-PAC', '', 'no', 'LFNC', 'SCP', '', ''),
	('LFMA', 'small_airport', 'Aix - Les Milles Airfield', 43.5056, 5.36778, 367, 'FR', 'FR-PAC', 'Aix-en-Provence', 'no', 'LFMA', '', '', 'Aérodrome d''Aix - Les Milles'),
	('LFMF', 'small_airport', 'Fayence-Tourrettes Airfield', 43.6112, 6.69715, 741, 'FR', 'FR-PAC', 'Fayence', 'no', 'LFMF', '', '', 'Tourrettes'),
	('LFTW', 'medium_airport', 'Nîmes-Arles-Camargue Airport', 43.757401, 4.41635, 309, 'FR', 'FR-OCC', 'Nîmes/Garons', 'yes', 'LFTW', 'FNI', '', ''),
	('LFMY', 'medium_airport', 'Salon-de-Provence (BA 701) Air Base', 43.6064, 5.10925, 195, 'FR', 'FR-PAC', 'Salon', 'no', 'LFMY', '', '', ''),
	('LF83', 'N/A', 'N/A', 43.77922777086496, 6.159174889326096, 654, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFNV', 'small_airport', 'Valréas Visan Airfield', 44.33574, 4.906877, 472, 'FR', 'FR-PAC', 'Visan', 'no', 'LFNV', '', '', ''),
	('LFRR', 'N/A', 'N/A', 44.793802835047245, 5.764010399580002, 888, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFHL', 'small_airport', 'Langogne-Lespéron Airfield', 44.703589, 3.88485, 3330, 'FR', 'FR-ARA', 'Lespéron, Ardèche', 'no', 'LFHL', '', '', 'Aérodrome de Langogne-Lespéron'),
	('LFNH', 'small_airport', 'Aérodrome de Carpentras', 44.0298, 5.07806, 394, 'FR', 'FR-PAC', 'Carpentras', 'no', 'LFNH', '', '', 'Edgar-Sounille'),
	('LFME', 'small_airport', 'Nîmes Courbessac Airfield', 43.853901, 4.41361, 197, 'FR', 'FR-OCC', 'Nîmes', 'no', 'LFME', '', '', ''),
	('LFLU', 'medium_airport', 'Valence-Chabeuil Airport', 44.9216, 4.9699, 525, 'FR', 'FR-ARA', 'Valence/Chabeuil', 'no', 'LFLU', 'VAF', '', ''),
	('LF48', 'N/A', 'N/A', 43.85304518043995, 5.55011048913002, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFNJ', 'small_airport', 'Aérodrome d''Aspres-sur-Buëch', 44.518902, 5.7375, 2726, 'FR', 'FR-PAC', 'Aspres sur Buëch', 'no', 'LFNJ', '', '', ''),
	('LFJE', 'small_airport', 'Altiport de La Motte Chalancon', 44.4958, 5.40285, 2887, 'FR', 'FR-ARA', '', 'no', 'LFJE', '', '', ''),
	('LIGZ', 'N/A', 'N/A', 44.83427334576845, 7.364382594823837, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEX', 'N/A', 'N/A', 44.423700235784054, 7.459145933389664, 546, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFNF', 'small_airport', 'Aérodrome de Vinon', 43.737801, 5.78417, 902, 'FR', 'FR-PAC', 'Vinon-sur-Verdon', 'no', 'LFNF', '', '', ''),
	('LFFA', 'N/A', 'N/A', 44.81628444045782, 5.220351219177246, 716, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF84', 'N/A', 'N/A', 43.684512600302696, 6.136369407176971, 573, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFMT', 'medium_airport', 'Montpellier-Méditerranée Airport', 43.576199, 3.96301, 17, 'FR', 'FR-OCC', 'Montpellier/Méditerranée', 'yes', 'LFMT', 'MPL', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LFNR', 'small_airport', 'Berre-la-Fare Airfield', 43.536659, 5.177444, 108, 'FR', 'FR-PAC', 'Berre-l''Étang, Bouches-du-Rhône', 'no', 'LFNR', '', '', ''),
	('LFLQ', 'small_airport', 'Aérodrome de Montélimar - Ancône', 44.583599, 4.74056, 240, 'FR', 'FR-ARA', '', 'no', 'LFLQ', '', '', ''),
	('LFMV', 'medium_airport', 'Avignon-Caumont Airport', 43.907299, 4.90183, 124, 'FR', 'FR-PAC', 'Avignon/Caumont', 'yes', 'LFMV', 'AVN', '', ''),
	('LFND', 'closed', 'Pont St Esprit Airfield', 44.269402, 4.65333, 144, 'FR', 'FR-OCC', '', 'no', '', '', '', 'LFND, LFND'),
	('LFNZ', 'small_airport', 'Le Mazet De Romanin Airfield', 43.768902, 4.89361, 387, 'FR', 'FR-PAC', '', 'no', 'LFNZ', '', '', ''),
	('LFNG', 'small_airport', 'Aérodrome de Montpellier - Candillargues', 43.610298, 4.07028, 5, 'FR', 'FR-OCC', '', 'no', 'LFNG', '', '', ''),
	('LFNE', 'small_airport', 'Aérodrome d''Eyguières', 43.658298, 5.01361, 246, 'FR', 'FR-PAC', '', 'no', 'LFNE', '', '', ''),
	('LF53', 'N/A', 'N/A', 44.5535047352314, 5.438501089811325, 1009, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFTN', 'small_airport', 'La Grand''combe Airfield', 44.2444, 4.01222, 1647, 'FR', 'FR-OCC', '', 'no', 'LFTN', '', '', ''),
	('LFNT', 'small_airport', 'Aérodrome d''Avignon-Pujaut', 43.996899, 4.75556, 148, 'FR', 'FR-OCC', 'Pujaut', 'no', 'LFNT', '', '', ''),
	('LF56', 'N/A', 'N/A', 44.85303606837988, 5.168718695640564, 955, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF64', 'N/A', 'N/A', 44.07113056629896, 5.639186650514603, 1124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF10', 'N/A', 'N/A', 44.01248004287481, 3.9632588624954224, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQE', 'N/A', 'N/A', 44.93749983608723, 7.430275082588196, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LF79', 'N/A', 'N/A', 44.839186146855354, 5.551018863916397, 1582, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVI', 'N/A', 'N/A', 44.173656329512596, 7.1627376973629, 2253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFTZ', 'small_airport', 'La Môle Airport', 43.205399, 6.482, 59, 'FR', 'FR-PAC', 'La Môle', 'yes', 'LFTZ', 'LTT', '', ''),
	('LFMC', 'medium_airport', 'Le Luc-Le Cannet Airfield', 43.384701, 6.38714, 265, 'FR', 'FR-PAC', 'Le Cannet-des-Maures', 'no', 'LFMC', '', '', ''),
	('LFHO', 'medium_airport', 'Aubenas-Ardèche Méridional Airport', 44.544203, 4.372192, 923, 'FR', 'FR-ARA', 'Aubenas/Ardèche Méridional', 'no', 'LFHO', 'OBS', '', ''),
	('LFNU', 'small_airport', 'Uzès Airfield', 44.084702, 4.39528, 886, 'FR', 'FR-OCC', '', 'no', 'LFNU', '', '', ''),
	('LFNA', 'small_airport', 'Gap - Tallard Airfield', 44.455002, 6.03778, 1986, 'FR', 'FR-PAC', '', 'no', 'LFNA', 'GAT', '', ''),
	('LF54', 'N/A', 'N/A', 44.92424167692661, 5.612164288759232, 957, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFNS', 'small_airport', 'Aérodrome de Sistéron-Vaumeilh', 44.286331, 5.928993, 1772, 'FR', 'FR-PAC', '', 'no', 'LFNS', '', '', ''),
	('LFHK', 'N/A', 'N/A', 43.71896892786026, 6.292706876993179, 832, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LEMH', 'medium_airport', 'Menorca Airport', 39.862598, 4.21865, 302, 'ES', 'ES-IB', 'Mahón (Maó)', 'yes', 'LEMH', 'MAH', '', ''),
	('LESL', 'small_airport', 'Sant Lluis Airfield', 39.861878, 4.251739, 197, 'ES', 'ES-IB', 'Sant Lluis', 'no', 'LESL', '', '', 'San Luis'),
	('DAAV', 'medium_airport', 'Jijel Ferhat Abbas Airport', 36.795101, 5.87361, 36, 'DZ', 'DZ-18', 'Tahir', 'yes', 'DAAV', 'GJL', '', ''),
	('DAAE', 'medium_airport', 'Soummam–Abane Ramdane Airport', 36.711952, 5.069804, 20, 'DZ', 'DZ-06', 'Béjaïa', 'yes', 'DAAE', 'BJA', 'BJ1', 'Béjaïa, Soummam'),
	('DABO', 'small_airport', 'Oum El Bouaghi Air Base', 35.8797, 7.2708, 2980, 'DZ', 'DZ-04', 'Oum El Bouaghi', 'no', 'DAEO', 'QMH', '', 'DABO'),
	('DAUB', 'medium_airport', 'Biskra - Mohamed Khider Airport', 34.793301, 5.73823, 289, 'DZ', 'DZ-07', 'Biskra', 'yes', 'DAUB', 'BSK', '', ''),
	('DAAS', 'medium_airport', 'Ain Arnat Airport', 36.178100585900005, 5.3244900703399995, 3360, 'DZ', 'DZ-19', 'Sétif', 'yes', 'DAAS', 'QSF', '', 'Sétif International Airport, 8 Mai 45 Airport'),
	('DABT', 'medium_airport', 'Batna Mostefa Ben Boulaid Airport', 35.752102, 6.30859, 2697, 'DZ', 'DZ-05', 'Batna', 'yes', 'DABT', 'BLJ', '', ''),
	('DAAD', 'medium_airport', 'Bou Saada Airport', 35.3325, 4.20639, 1506, 'DZ', 'DZ-28', 'Ouled Sidi Brahim', 'no', 'DAAD', 'BUJ', '', ''),
	('DABC', 'medium_airport', 'Mohamed Boudiaf International Airport', 36.2760009765625, 6.620389938354492, 2265, 'DZ', 'DZ-25', 'Constantine', 'yes', 'DABC', 'CZL', '', ''),
	('DAAM', 'small_airport', 'Telerghma Airport', 36.1087, 6.3646, 2484, 'DZ', 'DZ-43', 'Telerghma', 'no', 'DAAM', '', '', ''),
	('DAUK', 'medium_airport', 'Touggourt Sidi Madhi Airport', 33.067799, 6.08867, 279, 'DZ', 'DZ-55', 'Touggourt', 'yes', 'DAUK', 'TGR', '', ''),
	('DAUO', 'medium_airport', 'Guemar Airport', 33.5113983154, 6.77679014206, 203, 'DZ', 'DZ-39', 'Guemar', 'yes', 'DAUO', 'ELU', '', ''),
	('DAUH', 'medium_airport', 'Hassi Messaoud-Oued Irara Krim Belkacem Airport', 31.673, 6.14044, 463, 'DZ', 'DZ-30', 'Hassi Messaoud', 'yes', 'DAUH', 'HME', '', ''),
	('DAHS', 'N/A', 'N/A', 30.995728746056557, 5.747914910316467, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAUU', 'medium_airport', 'Ain Beida Airport', 31.9172, 5.41278, 492, 'DZ', 'DZ-30', 'Ouargla', 'yes', 'DAUU', 'OGX', '', 'Ain el Beida, Sedrata Airfield'),
	('DAUG', 'medium_airport', 'Noumérat - Moufdi Zakaria Airport', 32.384102, 3.79411, 1512, 'DZ', 'DZ-47', 'El Atteuf', 'yes', 'DAUG', 'GHA', '', 'Ghardaïa'),
	('DAHI', 'N/A', 'N/A', 29.72704455256462, 6.710071563720703, 253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAHM', 'N/A', 'N/A', 30.514064356684685, 6.452002376317978, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DARO', 'N/A', 'N/A', 29.94240280240774, 4.55125093460083, 259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAHA', 'N/A', 'N/A', 29.225347749888897, 6.490744650363922, 294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAAW', 'small_airport', 'Bordj Omar Driss Airport', 28.131399, 6.83361, 1207, 'DZ', 'DZ-33', 'Bordj Omar Driss', 'no', 'DAAW', '', '', ''),
	('DAIA', 'N/A', 'N/A', 26.39356568455696, 5.325445979833603, 610, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DATR', 'N/A', 'N/A', 23.814848363399506, 5.161790996789932, 1015, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAAT', 'medium_airport', 'Aguenar – Hadj Bey Akhamok Airport', 22.811501, 5.45108, 4518, 'DZ', 'DZ-11', 'Tamanrasset', 'yes', 'DAAT', 'TMR', '', ''),
	('LIYJ', 'N/A', 'N/A', 44.84762538224459, 7.56244495511055, 249, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYO', 'N/A', 'N/A', 44.72658332437277, 8.59370157122612, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LIWJ', 'N/A', 'N/A', 44.82779312878847, 10.010645091533661, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQG', 'small_airport', 'Aviosuperficie Cecina', 43.2844444, 10.5227778, 0, 'IT', 'IT-52', 'Cecina', 'no', 'LIQG', '', 'LI05', ''),
	('LIDP', 'small_airport', 'Pavullo Airfield', 44.322399, 10.8317, 2244, 'IT', 'IT-45', 'Pavullo (MO)', 'no', 'LIDP', '', 'MO12', ''),
	('LIIC', 'N/A', 'N/A', 44.68234430998564, 10.568599998950958, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDU', 'small_airport', 'Carpi-Budrione Airfield', 44.833231, 10.871186, 69, 'IT', 'IT-45', 'Carpi (MO)', 'no', 'LIDU', '', 'MO10', ''),
	('LIJP', 'N/A', 'N/A', 43.745299838483334, 10.40490835905075, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFKB', 'medium_airport', 'Bastia-Poretta Airport', 42.55270004272461, 9.48373031616211, 26, 'FR', 'FR-COR', 'Bastia/Poretta', 'yes', 'LFKB', 'BIA', '', ''),
	('LIQF', 'N/A', 'N/A', 44.39179167151451, 7.726658284664154, 443, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFL', 'N/A', 'N/A', 44.9264407530427, 11.052073538303375, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQW', 'medium_airport', 'Sarzana-Luni Air Base', 44.088001, 9.98795, 45, 'IT', 'IT-42', 'Sarzana (SP)', 'no', 'LIQW', '', 'SP01', 'Bartolomeo Arrigoni'),
	('LIFT', 'N/A', 'N/A', 44.889553003013134, 10.160399973392487, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LILA', 'small_airport', 'Alessandria Airfield', 44.925635, 8.626728, 299, 'IT', 'IT-21', 'Alessandria (AL)', 'no', 'LILA', '', 'AL03', 'Massimo Bovane'),
	('LIMG', 'medium_airport', 'Riviera Villanova d''Albenga International Airport', 44.050598, 8.12743, 148, 'IT', 'IT-42', 'Villanova d''Albenga (SV)', 'no', 'LIMG', 'ALL', 'SV01', 'C. Panero Airport'),
	('LIFG', 'N/A', 'N/A', 44.37661673873663, 9.289339631795883, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVS', 'N/A', 'N/A', 44.67608168721199, 8.502689749002457, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISU', 'N/A', 'N/A', 44.88429185003042, 8.781378865242004, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITA', 'N/A', 'N/A', 44.57180578261614, 10.780259817838669, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAT', 'small_airport', 'Aviosuperficie Valdera/Capannoli', 43.5919444444, 10.6955555556, 39, 'IT', 'IT-52', 'Capannoli', 'no', 'LIAT', '', 'PI04', 'Valdera, Aeroclub Pisa'),
	('LIRJ', 'medium_airport', 'Marina Di Campo Airport', 42.7603, 10.2394, 31, 'IT', 'IT-52', 'Marina  Di Campo', 'yes', 'LIRJ', 'EBA', 'LI04', ''),
	('LIFJ', 'N/A', 'N/A', 44.70220237970352, 10.854229778051376, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGC', 'N/A', 'N/A', 44.73738692700863, 11.186322569847107, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYF', 'N/A', 'N/A', 44.96010314673185, 10.18386885523796, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICQ', 'N/A', 'N/A', 44.90705072879791, 8.034413605928421, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICN', 'N/A', 'N/A', 44.88825615495443, 8.354892432689667, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUC', 'N/A', 'N/A', 44.67255424708128, 10.061343312263489, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQH', 'N/A', 'N/A', 44.93746194988489, 8.747958540916443, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAG', 'N/A', 'N/A', 44.97287482023239, 9.478959292173386, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LILH', 'small_airport', 'Voghera-Rivanazzano Airfield', 44.952, 9.01653, 423, 'IT', 'IT-25', 'Voghera (PV)', 'no', 'LILH', '', 'PV06', ''),
	('LIAS', 'N/A', 'N/A', 44.86982300877571, 9.938832521438599, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJW', 'N/A', 'N/A', 43.71504720300436, 10.744347721338272, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYP', 'N/A', 'N/A', 44.85015470534563, 10.56627944111824, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVG', 'N/A', 'N/A', 44.83355384320021, 7.530899941921234, 254, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMP', 'medium_airport', 'Parma Airport', 44.826351, 10.29705, 161, 'IT', 'IT-45', 'Parma (PR)', 'yes', 'LIMP', 'PMF', 'PR03', ''),
	('LIDM', 'closed', 'Mantova Airport', 45.135834, 10.794444, 57, 'IT', 'IT-25', 'Mantova', 'no', '', '', '', 'LIDM, LIDM'),
	('LILQ', 'small_airport', 'Massa Cinquale Airfield', 43.98598, 10.143785, 13, 'IT', 'IT-52', 'Massa (MS)', 'no', 'LILQ', '', 'MS01', 'QMM'),
	('LIHG', 'N/A', 'N/A', 44.99332029372454, 10.059940963983536, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LILT', 'closed', 'Cerrina Airfield', 45.005, 7.492778, 0, 'IT', 'IT-21', 'Bruino (TO)', 'no', '', '', '', 'LILT'),
	('LIEF', 'N/A', 'N/A', 44.99989237636328, 10.713047236204147, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXF', 'N/A', 'N/A', 43.091466799378395, 10.556679368019104, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIJ', 'N/A', 'N/A', 43.75180520117283, 10.807737708091736, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISZ', 'N/A', 'N/A', 43.0516554415226, 10.552022606134415, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJH', 'N/A', 'N/A', 43.60569756478071, 10.411422997713089, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFKT', 'small_airport', 'Aérodrome de Corte', 42.2919, 9.189, 1132, 'FR', 'FR-COR', 'Corte', 'no', 'LFKT', '', '', ''),
	('LIBZ', 'N/A', 'N/A', 44.22776855528355, 9.719920009374619, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHR', 'N/A', 'N/A', 44.653527326881886, 10.991671085357666, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFKC', 'medium_airport', 'Calvi-Sainte-Catherine Airport', 42.524444, 8.793056, 209, 'FR', 'FR-COR', 'Calvi/Sainte-Catherine', 'yes', 'LFKC', 'CLY', '', ''),
	('LIBL', 'N/A', 'N/A', 44.776386581361294, 7.879005074501038, 322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHF', 'N/A', 'N/A', 44.706644117832184, 10.249490886926651, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWX', 'N/A', 'N/A', 42.84182120114565, 10.823414772748947, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISW', 'N/A', 'N/A', 44.83142785727978, 11.120251268148422, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEU', 'N/A', 'N/A', 44.88375775516033, 7.560824453830719, 246, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LIMJ', 'medium_airport', 'Genoa Cristoforo Colombo Airport', 44.412039, 8.840732, 13, 'IT', 'IT-42', 'Genova (GE)', 'yes', 'LIMJ', 'GOA', 'GE01', 'Genova Sestri, Sestri Cristoforo Colombo Airport, Cristoforo Colombo Airport'),
	('LIVZ', 'N/A', 'N/A', 43.87122988700867, 10.946897864341736, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICK', 'N/A', 'N/A', 44.7778731957078, 8.1303209066391, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUA', 'N/A', 'N/A', 44.412881545722485, 10.843948423862457, 569, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRD', 'N/A', 'N/A', 44.741567485034466, 7.710137665271759, 269, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISL', 'N/A', 'N/A', 44.496443420648575, 7.723053395748138, 386, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMS', 'medium_airport', 'Piacenza San Damiano Air Base', 44.913102, 9.723322, 456, 'IT', 'IT-45', 'San Damiano (PC)', 'no', 'LIMS', '', 'PC08', 'San Damiano, QPZ'),
	('LIRP', 'large_airport', 'Pisa International Airport', 43.683899, 10.3927, 6, 'IT', 'IT-52', 'Pisa', 'yes', 'LIRP', 'PSA', 'PI05', 'Galileo Galilei Airport, San Giusto Airport'),
	('LIWI', 'N/A', 'N/A', 42.99246646463871, 10.8064466714859, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQL', 'small_airport', 'Lucca-Tassignano Airport', 43.825825, 10.577928, 39, 'IT', 'IT-52', 'Lucca', 'no', 'LIQL', 'LCV', 'LU02', 'Enrico Squaglia Airport'),
	('LIYN', 'N/A', 'N/A', 43.78427166491747, 10.603382885456085, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXR', 'N/A', 'N/A', 43.01956348121166, 10.594562441110611, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISS', 'N/A', 'N/A', 44.97118167579174, 10.294339209794998, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRS', 'medium_airport', 'Grosseto Air Base', 42.759701, 11.0719, 17, 'IT', 'IT-52', 'Grosetto', 'no', 'LIRS', 'GRS', 'GR06', 'C Baccarini'),
	('LITZ', 'N/A', 'N/A', 44.77179631590843, 10.83210289478302, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBI', 'N/A', 'N/A', 44.503183141350746, 7.82165452837944, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPM', 'small_airport', 'Modena-Marzaglia Airfield', 44.631389, 10.808611, 184, 'IT', 'IT-45', 'Marzaglia (MO)', 'no', 'LIPM', '', 'MO11', ''),
	('LIJU', 'N/A', 'N/A', 44.6407288312912, 10.590982139110565, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISQ', 'N/A', 'N/A', 42.911638766527176, 10.816335082054138, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIS', 'N/A', 'N/A', 42.77482196688652, 11.155568808317184, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUL', 'N/A', 'N/A', 44.496843069791794, 11.243959665298462, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICF', 'N/A', 'N/A', 44.75861594080925, 8.183514922857285, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITJ', 'N/A', 'N/A', 43.695426508784294, 10.805384516716003, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXV', 'N/A', 'N/A', 43.5542980581522, 10.75234517455101, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMR', 'medium_airport', 'Novi Ligure Eugenio Mossi Airfield', 44.779999, 8.78639, 607, 'IT', 'IT-21', 'Novi Ligure (AL)', 'no', 'LIMR', '', 'AL05', ''),
	('LIFR', 'N/A', 'N/A', 44.73067671060562, 8.729208111763, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBE', 'N/A', 'N/A', 44.41368822008371, 7.811165302991867, 408, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFY', 'N/A', 'N/A', 44.516094624996185, 11.100695729255676, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LILJ', 'N/A', 'N/A', 44.847180135548115, 10.505442023277283, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICU', 'N/A', 'N/A', 44.43416453897953, 7.631991058588028, 457, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMM', 'N/A', 'N/A', 43.1899930536747, 11.146566420793533, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRQ', 'medium_airport', 'Florence Airport, Peretola', 43.808558, 11.202822, 142, 'IT', 'IT-52', 'Firenze (FI)', 'yes', 'LIRQ', 'FLR', 'FI04', 'Florence, Firenze, Amerigo Vespucci Airport'),
	('LIZH', 'N/A', 'N/A', 44.87129285931587, 10.980995446443558, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITT', 'N/A', 'N/A', 44.938660226762295, 8.86592522263527, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMZ', 'medium_airport', 'Cuneo International Airport', 44.547001, 7.62322, 1267, 'IT', 'IT-21', 'Levaldigi (CN)', 'yes', 'LIMZ', 'CUF', 'CN03', 'Cuneo Levaldigi Airport, Turin Cuneo Airport'),
	('LIAB', 'N/A', 'N/A', 44.4651410356164, 9.716615974903107, 443, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUB', 'N/A', 'N/A', 44.68385372310877, 10.739866197109222, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITV', 'N/A', 'N/A', 43.868892677128315, 10.302581638097763, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXQ', 'N/A', 'N/A', 43.628811836242676, 10.482311993837357, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDE', 'small_airport', 'Reggio Emilia Airport', 44.697701, 10.666031, 152, 'IT', 'IT-45', 'Reggio Emilia (RE)', 'no', 'LIDE', '', 'RE01', 'Reggio Emilia Aeroclub'),
	('LIZF', 'N/A', 'N/A', 44.67758808284998, 7.819021940231323, 291, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGE', 'N/A', 'N/A', 39.62336350232363, 9.101903736591339, 342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYK', 'N/A', 'N/A', 40.18319617956877, 8.469160795211792, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIER', 'small_airport', 'Oristano-Fenosu Airport', 39.895308, 8.642661, 36, 'IT', 'IT-88', 'Oristano', 'no', 'LIER', 'FNU', 'OR01', 'QOS'),
	('LITX', 'N/A', 'N/A', 39.5830287784338, 8.773165941238403, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAX', 'N/A', 'N/A', 41.05841003358364, 9.433446228504181, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEO', 'medium_airport', 'Olbia Costa Smeralda Airport', 40.898701, 9.51763, 37, 'IT', 'IT-88', 'Olbia (SS)', 'yes', 'LIEO', 'OLB', 'SS03', ''),
	('LIYU', 'N/A', 'N/A', 40.412065386772156, 9.723605811595917, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFKO', 'small_airport', 'Propriano Airport', 41.660599, 8.88975, 13, 'FR', 'FR-COR', 'Propriano', 'no', 'LFKO', 'PRP', '', ''),
	('LIRX', 'N/A', 'N/A', 39.67845071107149, 9.462152570486069, 576, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEB', 'N/A', 'N/A', 40.42108096182346, 8.686224818229675, 382, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LIAJ', 'N/A', 'N/A', 40.62649056315422, 8.866593539714813, 226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXG', 'N/A', 'N/A', 39.40015409141779, 9.138229340314865, 130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWM', 'N/A', 'N/A', 39.98856000602245, 8.724835216999054, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISJ', 'N/A', 'N/A', 40.88189519941807, 8.254175931215286, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIES', 'N/A', 'N/A', 40.3484557941556, 9.548597931861877, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFKJ', 'medium_airport', 'Ajaccio-Napoléon Bonaparte Airport', 41.92359924316406, 8.8029203414917, 18, 'FR', 'FR-COR', 'Ajaccio/Napoléon Bonaparte', 'yes', 'LFKJ', 'AJA', '', ''),
	('LIEA', 'medium_airport', 'Alghero-Fertilia Airport', 40.632099, 8.29077, 87, 'IT', 'IT-88', 'Alghero', 'yes', 'LIEA', 'AHO', 'SS02', 'Alghero Airport, Sardinia, Alghero - Riviera del Corallo Airport'),
	('LFKG', 'small_airport', 'Aérodrome de Ghisonaccia - Alzitone', 42.053387, 9.400241, 177, 'FR', 'FR-COR', '', 'no', 'LFKG', '', '', ''),
	('LIYY', 'N/A', 'N/A', 39.498217329382896, 9.612477421760559, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOT', 'N/A', 'N/A', 40.813404992222786, 8.46897080540657, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJO', 'N/A', 'N/A', 39.408413618803024, 9.175068140029907, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWG', 'N/A', 'N/A', 40.802496783435345, 9.658602923154831, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHB', 'N/A', 'N/A', 40.570320412516594, 9.323835521936417, 792, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWQ', 'N/A', 'N/A', 39.97885577380657, 8.679095059633255, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFKF', 'medium_airport', 'Figari Sud-Corse Airport', 41.500599, 9.09778, 85, 'FR', 'FR-COR', 'Figari Sud-Corse', 'yes', 'LFKF', 'FSC', '', ''),
	('LIET', 'medium_airport', 'Tortolì Airport', 39.9188, 9.68298, 23, 'IT', 'IT-88', 'Arbatax', 'no', 'LIET', 'TTB', 'NU01', 'Tortolì-Arbatax airport'),
	('LIWD', 'N/A', 'N/A', 41.04671560227871, 8.997342735528946, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWC', 'N/A', 'N/A', 40.929876901209354, 8.811141550540924, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXH', 'N/A', 'N/A', 39.26918987184763, 8.771784156560898, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DABB', 'medium_airport', 'Annaba Rabah Bitat Airport', 36.826781, 7.81334, 16, 'DZ', 'DZ-23', 'Annaba', 'yes', 'DABB', 'AAE', '', 'Les Salines Airport, El Mellah Airport, Annabah'),
	('DTTB', 'medium_airport', 'Bizerte Sidi Ahmed Air Base', 37.242356, 9.787016, 20, 'TN', 'TN-23', 'Borj Challouf', 'no', 'DTTB', '', '', 'QIZ'),
	('LIOQ', 'N/A', 'N/A', 39.26850289106369, 9.538357704877853, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIED', 'medium_airport', 'Decimomannu Air Base', 39.354198, 8.97248, 100, 'IT', 'IT-88', 'Decimomannu', 'no', 'LIED', 'DCI', 'CA12', 'G. Farina'),
	('LIOO', 'N/A', 'N/A', 39.27811224013567, 9.256627857685089, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWZ', 'N/A', 'N/A', 39.3282226100564, 9.146656394004822, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DTTI', 'small_airport', 'Borj El Amri Airport', 36.721298, 9.94315, 110, 'TN', 'TN-13', 'Burj al Hafsiyah', 'no', 'DTTI', '', '', ''),
	('LIEE', 'large_airport', 'Cagliari Elmas Airport', 39.251499, 9.05428, 13, 'IT', 'IT-88', 'Cagliari', 'yes', 'LIEE', 'CAG', 'CA07', 'Cagliari Airport,Elmas'),
	('LIWR', 'N/A', 'N/A', 39.35628488659859, 8.7916499376297, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DTTA', 'large_airport', 'Tunis Carthage International Airport', 36.851002, 10.2272, 22, 'TN', 'TN-11', 'Tunis', 'yes', 'DTTA', 'TUN', '', 'Aéroport international de Tunis-Carthage, مطار تونس قرطاج الدولي'),
	('LIDZ', 'N/A', 'N/A', 39.36160068958998, 8.868408501148224, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DTKA', 'medium_airport', 'Tabarka-Aïn Draham International Airport', 36.98, 8.87694, 230, 'TN', 'TN-32', 'Tabarka', 'yes', 'DTKA', 'TBJ', '', 'Tabarka 7 Novembre Airport'),
	('DTKS', 'N/A', 'N/A', 35.00403229147196, 8.594991266727448, 810, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DTTF', 'medium_airport', 'Gafsa Ksar International Airport', 34.422000885009766, 8.822500228881836, 1060, 'TN', 'TN-71', 'Gafsa', 'yes', 'DTTF', 'GAF', '', ''),
	('DTTZ', 'medium_airport', 'Tozeur Nefta International Airport', 33.939701080322266, 8.110560417175293, 287, 'TN', 'TN-72', 'Tozeur', 'yes', 'DTTZ', 'TOE', '', ''),
	('DTTX', 'medium_airport', 'Sfax Thyna International Airport', 34.71799850463867, 10.690999984741211, 85, 'TN', 'TN-61', 'Sfax', 'yes', 'DTTX', 'SFA', '', ''),
	('DABS', 'medium_airport', 'Cheikh Larbi Tébessi Airport', 35.4315986633, 8.12071990967, 2661, 'DZ', 'DZ-12', 'Tébessi', 'yes', 'DABS', 'TEE', '', ''),
	('DTNH', 'medium_airport', 'Enfidha - Hammamet International Airport', 36.075833, 10.438611, 21, 'TN', 'TN-51', 'Enfidha', 'yes', 'DTNH', 'NBE', 'DTNH', 'DTNH'),
	('Z28S', 'N/A', 'N/A', 36.430800184607506, 10.013188272714615, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DTQU', 'N/A', 'N/A', 36.4892515540123, 9.680612236261368, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DTTJ', 'medium_airport', 'Djerba Zarzis International Airport', 33.875, 10.7755, 19, 'TN', 'TN-82', 'Mellita', 'yes', 'DTTJ', 'DJE', '', ''),
	('DTMB', 'medium_airport', 'Monastir Habib Bourguiba International Airport', 35.75809860229492, 10.75469970703125, 9, 'TN', 'TN-52', 'Monastir', 'yes', 'DTMB', 'MIR', '', ''),
	('DTTD', 'medium_airport', 'Remada Air Base', 32.306198, 10.3821, 1004, 'TN', 'TN-83', 'Remada', 'no', 'DTTD', '', '', ''),
	('DTTG', 'medium_airport', 'Gabès Matmata International Airport', 33.733691, 9.91941, 407, 'TN', 'TN-81', 'Gabès', 'yes', 'DTTG', 'GAE', '', ''),
	('DTRE', 'N/A', 'N/A', 31.57951321452856, 9.122743606567383, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLGA', 'N/A', 'N/A', 31.282401904463768, 8.546468317508698, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DTRM', 'N/A', 'N/A', 31.39758601784706, 10.041670203208923, 358, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DT70', 'small_airport', 'Medenine Airport', 33.350201, 10.444, 427, 'TN', 'TN-82', 'Medenine', 'no', 'DT70', '', 'DT70', 'Madaniyin Airport'),
	('DTTR', 'medium_airport', 'El Borma Airport', 31.7043, 9.25462, 827, 'TN', 'TN-83', 'El Borma', 'no', 'DTTR', 'EBM', '', ''),
	('HLTD', 'medium_airport', 'Ghadames East Airport', 30.15169906616211, 9.715310096740723, 1122, 'LY', 'LY-NL', 'Ghadames', 'yes', 'HLTD', 'LTD', '', ''),
	('HLGI', 'N/A', 'N/A', 30.23846536874771, 9.547709226608276, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLGH', 'N/A', 'N/A', 30.125816948711872, 7.658803761005402, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HLGM', 'N/A', 'N/A', 28.629864491522312, 9.852278530597687, 708, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAIL', 'N/A', 'N/A', 28.43869574368, 7.552465349435806, 474, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLGS', 'N/A', 'N/A', 30.132329016923904, 9.512456953525543, 331, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAAP', 'medium_airport', 'Illizi Takhamalt Airport', 26.723499, 8.62265, 1778, 'DZ', 'DZ-33', 'Illizi', 'yes', 'DAAP', 'VVZ', '', ''),
	('DAUZ', 'medium_airport', 'Zarzaitine - In Aménas Airport', 28.0515, 9.64291, 1847, 'DZ', 'DZ-33', 'In Aménas', 'yes', 'DAUZ', 'IAM', '', ''),
	('DA10', 'small_airport', 'Illizi Airport', 26.573601, 8.48366, 1778, 'DZ', 'DZ-33', 'Illizi', 'no', 'DA10', '', 'DA10', ''),
	('HLGT', 'medium_airport', 'Ghat Airport', 25.1455993652, 10.142600059500001, 2296, 'LY', 'LY-GT', 'Ghat', 'yes', 'HLGT', 'GHT', '', ''),
	('DAAJ', 'medium_airport', 'Djanet Inedbirene Airport', 24.292801, 9.45244, 3176, 'DZ', 'DZ-56', 'Djanet', 'yes', 'DAAJ', 'DJG', '', 'Tiska Djanet Airport'),
	('LIOB', 'N/A', 'N/A', 43.36549770087004, 13.458215296268463, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQB', 'small_airport', 'Arezzo Airfield', 43.455897, 11.847, 814, 'IT', 'IT-52', 'Arezzo', 'no', 'LIQB', '', 'AR03', ''),
	('LIWL', 'N/A', 'N/A', 44.51435722410679, 11.590398252010345, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMY', 'N/A', 'N/A', 42.517307102680206, 11.319460272789001, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISY', 'N/A', 'N/A', 43.53712923824787, 11.70571357011795, 262, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINX', 'N/A', 'N/A', 42.885313890874386, 12.692119181156158, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPE', 'large_airport', 'Bologna Guglielmo Marconi Airport', 44.5354, 11.2887, 123, 'IT', 'IT-45', 'Bologna', 'yes', 'LIPE', 'BLQ', 'BO08', 'Guglielmo Marconi Airport, Borgo Panigale Airport'),
	('LIUK', 'N/A', 'N/A', 42.792851105332375, 13.751505017280579, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDG', 'small_airport', 'Lugo Francesco Baracca Airfield', 44.397476, 11.854777, 62, 'IT', 'IT-45', 'Lugo', 'no', 'LIDG', '', 'RA05', 'Aeroporto di Lugo Francesco Baracca, Lugo di Romagna'),
	('LIPC', 'medium_airport', 'Cervia Air Base', 44.224201, 12.3072, 18, 'IT', 'IT-45', 'Cervia (RA)', 'no', 'LIPC', '', 'RA08', 'G Cenni, Pisignano'),
	('LIGX', 'N/A', 'N/A', 43.26001279056072, 13.517741560935974, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOY', 'N/A', 'N/A', 42.426692359149456, 12.45848223567009, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISA', 'N/A', 'N/A', 43.55929300189018, 12.156000137329102, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFZ', 'N/A', 'N/A', 44.74655907601118, 11.341137439012527, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDLO', 'small_airport', 'Lošinj Airport', 44.566985, 14.393883, 151, 'HR', 'HR-08', 'Mali Lošinj', 'no', 'LDLO', 'LSZ', '', 'Lussinpiccolo'),
	('LIEY', 'N/A', 'N/A', 43.31765916198492, 12.572222650051117, 419, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHW', 'N/A', 'N/A', 43.10239881277084, 12.25434422492981, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBP', 'medium_airport', 'Abruzzo Airport', 42.431702, 14.1811, 48, 'IT', 'IT-65', 'Pescara', 'yes', 'LIBP', 'PSR', 'PE01', 'Pescara, Abruzzo Pasquale Liberi International'),
	('LIUW', 'N/A', 'N/A', 42.857480607926846, 12.473682314157486, 510, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGK', 'N/A', 'N/A', 44.33486849069595, 11.929950267076492, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITU', 'N/A', 'N/A', 42.41078048944473, 11.898797750473022, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPF', 'small_airport', 'Ferrara Airfield', 44.816002, 11.6134, 20, 'IT', 'IT-45', 'Ferrara', 'no', 'LIPF', '', 'FE05', ''),
	('LDPL', 'medium_airport', 'Pula Airport', 44.893501, 13.9222, 274, 'HR', 'HR-18', 'Pula', 'yes', 'LDPL', 'PUY', '', ''),
	('LIFI', 'N/A', 'N/A', 44.95097927749157, 11.626809686422348, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJV', 'N/A', 'N/A', 43.949725069105625, 12.51112550497055, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDJ', 'N/A', 'N/A', 43.136577531695366, 12.030340880155563, 263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOV', 'N/A', 'N/A', 42.536412477493286, 12.553583979606628, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDV', 'small_airport', 'Prati Vecchi d''Aguscello Airfield', 44.790884, 11.671901, 20, 'IT', 'IT-45', 'Ferrara (FE)', 'no', 'LIDV', '', 'FE02', ''),
	('LIPR', 'medium_airport', 'Federico Fellini International Airport', 44.020302, 12.6117, 40, 'IT', 'IT-45', 'Rimini', 'yes', 'LIPR', 'RMI', 'RN01', 'Rimini Miramare Airport, Rimini San Marino International Airport'),
	('LIYD', 'N/A', 'N/A', 43.27164988964796, 12.742839306592941, 413, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHO', 'N/A', 'N/A', 42.69625436514616, 13.917002230882645, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPK', 'medium_airport', 'Forlì Airport', 44.194801, 12.0701, 97, 'IT', 'IT-45', 'Forlì (FC)', 'yes', 'LIPK', 'FRL', 'FC03', 'L Ridolfi, Ronco di Forlì'),
	('LIDR', 'small_airport', 'Ravenna Airport', 44.364291, 12.224996, 1, 'IT', 'IT-45', 'Ravenna (RA)', 'no', 'LIDR', 'RAN', 'RA06', 'Foligno, Gastone Novelli, Ravenna Aero Club'),
	('LIHP', 'N/A', 'N/A', 43.33302319049835, 11.857923120260239, 263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBK', 'N/A', 'N/A', 42.830239087343216, 12.685099840164185, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFS', 'N/A', 'N/A', 43.339612036943436, 12.827011942863464, 410, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIB', 'N/A', 'N/A', 43.52951679378748, 11.473747193813324, 346, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFF', 'N/A', 'N/A', 43.29704571515322, 11.906930208206177, 246, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVH', 'N/A', 'N/A', 43.965127654373646, 11.457954794168472, 260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAA', 'small_airport', 'Aviosuperficie "Alvaro Leonardi"', 42.573333, 12.584444, 374, 'IT', 'IT-55', 'Terni', 'no', 'LIAA', '', '', ''),
	('LIRZ', 'medium_airport', 'Perugia San Francesco d''Assisi – Umbria International Airport', 43.095901, 12.5132, 697, 'IT', 'IT-55', 'Perugia', 'yes', 'LIRZ', 'PEG', 'PG10', 'Perugia San Francesco d''Assisi, Perugia Sant''Egidio Airport, Umbria International Airport'),
	('LIGQ', 'N/A', 'N/A', 43.012117333710194, 11.733955442905426, 305, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWV', 'N/A', 'N/A', 42.22408398985863, 11.79475486278534, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LIFO', 'N/A', 'N/A', 44.29058253765106, 12.026577293872833, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVJ', 'N/A', 'N/A', 42.22671523690224, 12.118818461894989, 374, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJN', 'N/A', 'N/A', 44.9673380702734, 11.354240030050278, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQS', 'medium_airport', 'Siena-Ampugnano Airport', 43.256302, 11.255, 634, 'IT', 'IT-52', 'Siena', 'no', 'LIQS', 'SAY', 'SI01', 'Malignano Airfield'),
	('LIJZ', 'N/A', 'N/A', 43.65721978247166, 12.61348083615303, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINW', 'N/A', 'N/A', 42.31538336724043, 14.00038942694664, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINP', 'N/A', 'N/A', 42.246537767350674, 12.308189570903778, 238, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOW', 'N/A', 'N/A', 42.464619129896164, 12.429187148809433, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXT', 'N/A', 'N/A', 44.03065301477909, 12.426802664995193, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOU', 'N/A', 'N/A', 42.73326247930527, 13.891620934009552, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOZ', 'N/A', 'N/A', 43.70069067925215, 13.074089884757996, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITG', 'N/A', 'N/A', 42.971919067204, 12.371349781751633, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISE', 'N/A', 'N/A', 43.73613070696592, 13.18172425031662, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFU', 'N/A', 'N/A', 44.50089152902365, 11.944225877523422, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJF', 'N/A', 'N/A', 44.41311590373516, 11.747204214334488, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISF', 'N/A', 'N/A', 44.323605224490166, 12.307555228471756, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDPN', 'small_airport', 'Unije Airfield', 44.6283, 14.2411, 39, 'HR', 'HR-08', 'Unije Island', 'no', 'LDPN', '', '', ''),
	('LIWW', 'N/A', 'N/A', 42.19273969531059, 11.724393367767334, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHJ', 'N/A', 'N/A', 44.503283724188805, 11.814234405755997, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINF', 'small_airport', 'Fermano Airfield', 43.22652, 13.74252, 49, 'IT', 'IT-57', 'Fermo (FM)', 'no', 'LINF', '', 'APFRM', 'Aviosuperficie del Fermano'),
	('LIQN', 'small_airport', 'Rieti Airfield', 42.4272, 12.8517, 1278, 'IT', 'IT-62', 'Rieti', 'no', 'LIQN', '', 'RI01', ''),
	('LINY', 'N/A', 'N/A', 43.12230248004198, 12.206654995679855, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHV', 'N/A', 'N/A', 42.84257423132658, 12.734409123659134, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVO', 'N/A', 'N/A', 44.582526572048664, 11.922786980867386, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYR', 'N/A', 'N/A', 44.85954008996487, 11.353375911712646, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIQ', 'N/A', 'N/A', 42.73989390581846, 11.983511745929718, 551, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOC', 'N/A', 'N/A', 44.46379020810127, 11.787449419498444, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJL', 'N/A', 'N/A', 42.40701802074909, 11.395293027162552, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAP', 'small_airport', 'L''Aquila–Preturo Airport', 42.379902, 13.3092, 2211, 'IT', 'IT-65', 'L''Aquila', 'no', 'LIAP', 'QAQ', 'AQ03', 'Parchi Airport, Preturo Airport, Aeroporto dei Parchi di I''Aquila Preturo'),
	('LIQK', 'N/A', 'N/A', 43.51191345602274, 13.191221952438354, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINN', 'N/A', 'N/A', 44.599502608180046, 11.657331883907318, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIZK', 'N/A', 'N/A', 43.75476602464914, 12.954714149236679, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHD', 'N/A', 'N/A', 44.69100717455149, 11.762158423662186, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOE', 'N/A', 'N/A', 42.3627857118845, 11.656696647405624, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJD', 'N/A', 'N/A', 44.80780765414238, 12.105765491724014, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUX', 'N/A', 'N/A', 43.023570366203785, 12.387734055519104, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUM', 'N/A', 'N/A', 43.10296408832073, 13.55790227651596, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMH', 'heliport', 'Pian Rosà Heliport', 45.933422, 7.709344, 11443, 'IT', 'IT-23', 'Valtournenche', 'no', 'LIMH', '', '', 'Testa Grigia, Theodul Glacier, Plateau Rosà'),
	('LIBY', 'N/A', 'N/A', 43.2138030230999, 11.823352128267288, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRW', 'N/A', 'N/A', 42.871248722076416, 12.384472489356995, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFD', 'N/A', 'N/A', 42.809776179492474, 13.84705737233162, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGM', 'N/A', 'N/A', 44.5711600407958, 11.451825052499771, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVN', 'N/A', 'N/A', 44.84429910778999, 11.484746038913727, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBT', 'N/A', 'N/A', 42.43352461606264, 12.292193323373795, 296, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUV', 'N/A', 'N/A', 42.49056380242109, 13.994889110326767, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHC', 'N/A', 'N/A', 44.54177375882864, 11.793674379587173, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRV', 'medium_airport', 'Viterbo Airport', 42.430199, 12.0642, 992, 'IT', 'IT-62', 'Viterbo', 'no', 'LIRV', '', 'VT03', 'T Fabri'),
	('LITQ', 'N/A', 'N/A', 43.12104485929012, 11.920571029186249, 256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDI', 'heliport', 'Cortina d''Ampezzo Sant''Anna Heliport', 46.574099, 12.115463, 4213, 'IT', 'IT-34', 'Fiames (BL)', 'no', 'LIDI', '', '', 'Fiames Airport, CDF'),
	('LIPY', 'medium_airport', 'Marche Airport', 43.616299, 13.3623, 49, 'IT', 'IT-57', 'Ancona', 'yes', 'LIPY', 'AOI', 'AN01', 'Ancona Falconara Airport, Falconara, Raffaello Sanzio Airport'),
	('LIYI', 'N/A', 'N/A', 42.49202560633421, 11.801960617303848, 378, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LIWT', 'N/A', 'N/A', 43.0642219260335, 12.100446224212646, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIKO', 'N/A', 'N/A', 44.47318900376558, 11.54148057103157, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAF', 'small_airport', 'Foligno Airfield', 42.9328, 12.7101, 730, 'IT', 'IT-55', 'Foligno (PG)', 'no', 'LIAF', '', 'PG02', ''),
	('LIUH', 'N/A', 'N/A', 42.21893146634102, 12.248370498418808, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWU', 'N/A', 'N/A', 43.261208049952984, 13.565462529659271, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGP', 'N/A', 'N/A', 44.83350992202759, 12.231586575508118, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAE', 'N/A', 'N/A', 44.612917341291904, 11.324421465396881, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBU', 'N/A', 'N/A', 43.98728236556053, 11.388365775346756, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBX', 'closed', 'Martina Franca Air Force Base', 40.700001, 17.333, 1467, 'IT', 'IT-75', 'Martina Franca', 'no', '', '', '', 'LIBX, LIBX'),
	('LIGO', 'N/A', 'N/A', 42.88998328149319, 12.532969862222672, 284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJQ', 'N/A', 'N/A', 43.49143076688051, 12.242768704891205, 313, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWB', 'N/A', 'N/A', 43.224732019007206, 13.329775035381317, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITN', 'N/A', 'N/A', 43.44986591488123, 12.401134818792343, 695, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQX', 'N/A', 'N/A', 43.44628248363733, 11.673741191625595, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDF', 'small_airport', 'Fano Airfield', 43.824032, 13.02588, 54, 'IT', 'IT-57', 'Fano (PS)', 'no', 'LIDF', '', 'PS03', 'Aeroporto di Fano, Fano Airfield'),
	('LIFC', 'N/A', 'N/A', 42.75652192533016, 13.016447871923447, 888, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUE', 'N/A', 'N/A', 44.135780185461044, 12.189564853906631, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDPM', 'small_airport', 'Medulin Campanoz Airfield', 44.843878, 13.904376, 171, 'HR', 'HR-18', 'Medulin', 'no', 'LDPM', '', '', 'Sportski aerodrom Medulin, Pula'),
	('LIWE', 'N/A', 'N/A', 42.382947877049446, 12.344217002391815, 263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAL', 'small_airport', 'Aviosuperficie Sant''Illuminato', 43.353667, 12.216667, 984, 'IT', 'IT-55', 'Città di Castello (PG)', 'no', 'LIAL', '', 'PG07', ''),
	('LIXS', 'N/A', 'N/A', 42.80627891421318, 13.78489002585411, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOD', 'N/A', 'N/A', 42.191825062036514, 12.331661581993103, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWF', 'N/A', 'N/A', 42.36595306545496, 11.796110272407532, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVC', 'N/A', 'N/A', 41.94208189845085, 12.139641791582108, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJA', 'N/A', 'N/A', 41.71635691076517, 13.094597160816193, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIWS', 'N/A', 'N/A', 41.145978793501854, 14.338598549365997, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRH', 'small_airport', 'Frosinone Air Base', 41.6464, 13.2998, 0, 'IT', 'IT-62', 'Frosinone', 'no', 'LIRH', '', 'FR04', ''),
	('LITK', 'N/A', 'N/A', 41.47027563303709, 13.026031404733658, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISD', 'N/A', 'N/A', 41.333560757339, 13.021352291107178, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAK', 'N/A', 'N/A', 42.07217909395695, 12.262976467609406, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRU', 'medium_airport', 'Rome Urbe Airport', 41.952096, 12.502231, 55, 'IT', 'IT-62', 'Rome', 'no', 'LIRU', '', 'RM10', 'ROM'),
	('LIXZ', 'N/A', 'N/A', 41.38139829039574, 13.181517720222473, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHA', 'N/A', 'N/A', 41.47453799843788, 14.537234902381897, 509, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRL', 'medium_airport', 'Latina Air Base', 41.5424, 12.909, 94, 'IT', 'IT-62', 'Latina', 'no', 'LIRL', '', 'LT02', 'E Comani'),
	('LIIX', 'N/A', 'N/A', 42.14480794966221, 12.632701992988586, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDO', 'N/A', 'N/A', 41.104934960603714, 14.454516470432281, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIUN', 'N/A', 'N/A', 41.87919449061155, 14.01030644774437, 1250, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMV', 'N/A', 'N/A', 42.01882727444172, 11.982729882001877, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAN', 'N/A', 'N/A', 41.54133539646864, 13.371492326259613, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEI', 'N/A', 'N/A', 41.157312132418156, 14.364415258169174, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIOX', 'N/A', 'N/A', 41.464098170399666, 12.746175974607468, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYA', 'N/A', 'N/A', 42.12191998958588, 12.35997810959816, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRM', 'medium_airport', 'Grazzanise Air Base', 41.060799, 14.0819, 29, 'IT', 'IT-72', 'Caserta', 'no', 'LIRM', '', 'CE07', 'C Romagnoli'),
	('LIIV', 'N/A', 'N/A', 41.89173147082329, 12.783331274986267, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGU', 'N/A', 'N/A', 41.234983541071415, 13.819396197795868, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAV', 'N/A', 'N/A', 41.677227169275284, 13.74324917793274, 371, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINT', 'N/A', 'N/A', 41.505560092628, 12.703730911016464, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEH', 'N/A', 'N/A', 41.17800571024418, 14.747504442930222, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIZL', 'N/A', 'N/A', 41.50213658809662, 14.085107892751694, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRN', 'large_airport', 'Naples International Airport', 40.886002, 14.2908, 294, 'IT', 'IT-72', 'Napoli', 'yes', 'LIRN', 'NAP', 'NA01', 'Capodichino Airport, Aeroporto Internazionale di Napoli-Capodichino Ugo Niutta, Ariopuorto ''nternazziunale ''e Napule-Capodichino Ugo Niutta'),
	('LIYG', 'N/A', 'N/A', 41.51209261268377, 13.28299194574356, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LIFP', 'N/A', 'N/A', 42.05179363489151, 13.557382822036743, 687, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRF', 'large_airport', 'Rome–Fiumicino Leonardo da Vinci International Airport', 41.804532, 12.251998, 13, 'IT', 'IT-62', 'Rome', 'yes', 'LIRF', 'FCO', 'RM11', 'ROM, Rome Fiumicino Airport, Fiumicino Airport'),
	('LIRG', 'medium_airport', 'Guidonia Air Base', 41.990299, 12.7408, 289, 'IT', 'IT-62', 'Guidonia', 'no', 'LIRG', '', 'RM13', 'Alfredo Barbieri'),
	('LIVU', 'N/A', 'N/A', 41.15456823259592, 14.210518151521683, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFA', 'N/A', 'N/A', 40.62430892139673, 14.845838695764542, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIY', 'N/A', 'N/A', 42.10967235267162, 13.841927200555801, 359, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVX', 'N/A', 'N/A', 41.323701962828636, 14.36343178153038, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBB', 'N/A', 'N/A', 40.9517228230834, 14.413838982582092, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEK', 'N/A', 'N/A', 41.65346011519432, 13.22657659649849, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINM', 'N/A', 'N/A', 42.11665078997612, 12.707970142364502, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEC', 'N/A', 'N/A', 41.06541931629181, 13.96220862865448, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHH', 'N/A', 'N/A', 41.9005723670125, 12.741828560829163, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVY', 'N/A', 'N/A', 42.15581104159355, 14.69922199845314, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGD', 'N/A', 'N/A', 41.45939491689205, 14.538015872240067, 529, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIP', 'N/A', 'N/A', 41.8848579749465, 12.71841511130333, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXY', 'N/A', 'N/A', 41.314886547625065, 13.345844596624374, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIXU', 'N/A', 'N/A', 41.99166387319565, 12.13810220360756, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRE', 'medium_airport', 'Pratica Di Mare Air Base', 41.654499, 12.4452, 41, 'IT', 'IT-62', 'Pomezia', 'no', 'LIRE', '', 'RM22', 'M de Bernardi'),
	('LIIL', 'N/A', 'N/A', 41.91349994391203, 12.770977467298508, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYB', 'N/A', 'N/A', 41.76507152616978, 12.864733636379242, 357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAR', 'small_airport', 'Furbara Air Base', 41.994532, 12.0135, 0, 'IT', 'IT-62', 'Fubara', 'no', 'LIAR', '', '', ''),
	('LIIE', 'N/A', 'N/A', 42.08206806331873, 12.074696570634842, 255, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHU', 'N/A', 'N/A', 41.56058091670275, 13.343955874443054, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRA', 'medium_airport', 'Ciampino–G. B. Pastine International Airport', 41.7994, 12.5949, 427, 'IT', 'IT-62', 'Rome', 'yes', 'LIRA', 'CIA', 'RM12', 'ROM, Giovan Battista Pastine Airport'),
	('LIIK', 'N/A', 'N/A', 42.13225353509188, 12.625839561223984, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIVQ', 'N/A', 'N/A', 42.09451049566269, 13.041882365942001, 573, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAU', 'small_airport', 'Capua Airport', 41.116001, 14.178, 64, 'IT', 'IT-72', 'Capua', 'no', 'LIAU', '', 'CE03', 'Oreste Salomone Airport'),
	('LIGI', 'N/A', 'N/A', 41.67316295206547, 12.845458388328552, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIU', 'N/A', 'N/A', 41.373043209314346, 13.136990368366241, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINH', 'N/A', 'N/A', 40.92673301696777, 14.061871469020844, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRI', 'medium_airport', 'Salerno Costa d''Amalfi Airport', 40.620399, 14.9113, 119, 'IT', 'IT-72', 'Salerno', 'no', 'LIRI', 'QSR', 'SA02', 'Mario Martucci Airport, Aeroporto di Salerno Costa d''Amalfi, Salerno-Pontecagnano Airport'),
	('LICT', 'medium_airport', 'Vincenzo Florio Airport Trapani-Birgi', 37.9114, 12.488, 25, 'IT', 'IT-82', 'Trapani (TP)', 'yes', 'LICT', 'TPS', 'TP01', 'Vincenzo Florio Airport, Trapani Airport, Aeroporto Vincenzo Florio di Trapani-Birgi'),
	('LINU', 'N/A', 'N/A', 37.79308307915926, 12.845013588666916, 195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIM', 'N/A', 'N/A', 37.105416655540466, 14.219316691160202, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISR', 'N/A', 'N/A', 37.4515051022172, 13.92217442393303, 543, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISC', 'N/A', 'N/A', 37.97254666686058, 13.773906826972961, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIIN', 'N/A', 'N/A', 37.1130458638072, 14.189227223396301, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPW', 'N/A', 'N/A', 36.72281630337238, 14.774926453828812, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGA', 'N/A', 'N/A', 37.2627479955554, 14.626281559467316, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICP', 'medium_airport', 'Palermo-Boccadifalco Airport', 38.110802, 13.3133, 345, 'IT', 'IT-82', 'Palermo', 'no', 'LICP', '', 'PA04', 'Emanuele Notarbartolo Airport'),
	('LIGR', 'N/A', 'N/A', 37.19222132116556, 14.613170474767685, 451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICJ', 'large_airport', 'Falcone–Borsellino Airport', 38.175999, 13.091, 65, 'IT', 'IT-82', 'Palermo', 'yes', 'LICJ', 'PMO', 'PA03', 'Palermo Airport, Punta Raisi Airport'),
	('LICG', 'medium_airport', 'Pantelleria Airport', 36.816502, 11.9689, 628, 'IT', 'IT-82', 'Pantelleria (TP)', 'yes', 'LICG', 'PNL', 'TP02', 'I D''Amico'),
	('LIYS', 'N/A', 'N/A', 37.84500528126955, 14.869492202997208, 888, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICZ', 'medium_airport', 'Sigonella Navy Air Base', 37.401699, 14.9224, 79, 'IT', 'IT-82', 'Sigonella (CT)', 'no', 'LICZ', 'NSY', 'CT04', 'C Di Palma'),
	('LIHM', 'N/A', 'N/A', 37.15223394334316, 14.599570333957672, 394, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRO', 'N/A', 'N/A', 38.12632206827402, 14.707852005958557, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIRB', 'closed', 'Vigna di Valle', 42.0844444, 12.2183333, 886, 'IT', 'IT-62', '', 'no', '', '', '', 'LIRB, LIRB'),
	('LIPJ', 'N/A', 'N/A', 37.55383472889662, 14.884985089302063, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGB', 'N/A', 'N/A', 37.09952283650637, 14.168855398893356, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMI', 'N/A', 'N/A', 37.5764474272728, 12.944759577512741, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LISN', 'N/A', 'N/A', 36.81092854589224, 14.544861763715744, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICS', 'N/A', 'N/A', 37.67385754734278, 12.77484878897667, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYM', 'N/A', 'N/A', 37.52914499491453, 13.002824932336807, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICL', 'small_airport', 'Aviosuperficie Airone', 37.113977, 14.214206, 82, 'IT', 'IT-82', 'Gela', 'no', '', '', '', ''),
	('LITY', 'N/A', 'N/A', 37.24762201309204, 13.654512763023376, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQA', 'N/A', 'N/A', 37.38571420311928, 14.144041389226913, 396, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICB', 'medium_airport', 'Comiso Airport', 36.99583, 14.60889, 756, 'IT', 'IT-82', 'Comiso', 'yes', 'LICB', 'CIY', 'RG06', 'Vincenzo Magliocco Airport, Aeroporto di Comiso'),
	('LIAC', 'N/A', 'N/A', 38.04836064577103, 14.540382027626038, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICE', 'N/A', 'N/A', 37.43209160864353, 14.615097641944885, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIST', 'N/A', 'N/A', 37.59552463889122, 14.880607724189758, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LMML', 'large_airport', 'Malta International Airport', 35.857498, 14.4775, 300, 'MT', 'MT-25', 'Valletta', 'yes', 'LMML', 'MLA', '', 'Luqa Airport,Valletta,Gudja,RAF Luqa'),
	('LICD', 'medium_airport', 'Lampedusa Airport', 35.497898, 12.6181, 70, 'IT', 'IT-82', 'Lampedusa', 'yes', 'LICD', 'LMP', 'AG01', ''),
	('HL77', 'medium_airport', 'Okba Ibn Nafa Air Base', 32.473400116, 11.897899627700001, 253, 'LY', 'LY-NQ', '', 'no', '', '', '', ''),
	('HL54', 'small_airport', 'Bani Waled Airport', 31.739201, 13.954, 985, 'LY', 'LY-MI', 'Bani Waled', 'no', 'HLWD', '', 'HL54', 'Beni Walid'),
	('HLLT', 'closed', 'Tripoli International Airport', 32.663502, 13.159, 263, 'LY', 'LY-TB', 'Tripoli', 'no', '', '', '', 'Tripoli-Castel Benito Airport, RAF Castel Benito, RAF Idris, HLLT, TIP'),
	('HLZW', 'small_airport', 'Zuwarah International Airport', 32.952301, 12.0155, 9, 'LY', 'LY-NQ', 'Zuwarah', 'no', 'HLZW', 'WAX', 'HL75', ''),
	('HLLM', 'large_airport', 'Mitiga International Airport', 32.89177, 13.287878, 36, 'LY', 'LY-TB', 'Tripoli', 'yes', 'HLLM', 'MJI', '', 'Mellaha Army Airfield, Okba Ben Nafi Air Base, Wheelus Air Force Base'),
	('HL53', 'small_airport', 'Abu Aisha Agricultural Aviation Airport', 32.495112, 13.289911, 490, 'LY', 'LY-TB', 'Ghashir', 'no', '', '', '', 'Sidi Salih Airport'),
	('HLZN', 'small_airport', 'Alzintan Airport', 31.774878, 12.25006, 2080, 'LY', 'LY-JG', 'Zintan', 'no', 'HLZN', 'ZIS', '', ''),
	('HL83', 'small_airport', 'Nanur Airport', 31.7052, 14.9116, 185, 'LY', 'LY-SR', 'Bani Waled', 'no', 'HL83', '', 'HL83', ''),
	('HLBR', 'N/A', 'N/A', 28.479298688471317, 14.810410290956497, 511, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HL81', 'small_airport', 'Hamada-Nc8 Airport', 29.531099, 12.9437, 2047, 'LY', 'LY-JG', '', 'no', 'HLNM', '', 'HL81', ''),
	('HLHM', 'N/A', 'N/A', 30.701388828456402, 12.486666887998581, 650, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLAW', 'N/A', 'N/A', 26.0338244587183, 12.92580172419548, 539, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLUB', 'N/A', 'N/A', 26.56763333827257, 12.823116481304169, 465, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HL66', 'small_airport', 'Tamanhint Airport', 27.240101, 14.6563, 1325, 'LY', 'LY-SB', 'Tamanhint', 'no', 'HLTM', '', 'HL66', ''),
	('HLID', 'N/A', 'N/A', 27.54884373396635, 12.820370346307755, 416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HL73', 'N/A', 'N/A', 27.653224244713783, 14.271797686815262, 451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLAB', 'N/A', 'N/A', 26.036778911948204, 12.045417577028275, 817, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLAA', 'N/A', 'N/A', 26.543945409357548, 12.226066142320633, 496, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLLS', 'medium_airport', 'Sabha Airport', 26.992452, 14.466162, 1427, 'LY', 'LY-SB', 'Sabha', 'yes', 'HLLS', 'SEB', '', 'Sebha'),
	('HL71', 'small_airport', 'Bir Umran Airport', 26.332399, 13.4221, 1400, 'LY', 'LY-WD', '', 'no', '', '', 'HL71', ''),
	('Z23L', 'N/A', 'N/A', 22.783772684633732, 14.024658054113388, 662, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HL57', 'small_airport', 'Al Wigh Airport', 24.178316, 14.542894, 1558, 'LY', 'LY-MQ', 'Al Wigh', 'no', 'HL57', '', 'HL57', ''),
	('LDSP', 'medium_airport', 'Split Airport', 43.538898, 16.298, 79, 'HR', 'HR-17', 'Split', 'yes', 'LDSP', 'SPU', '', ''),
	('LQMO', 'medium_airport', 'Mostar International Airport', 43.282901763916016, 17.84589958190918, 156, 'BA', 'BA-BIH', 'Mostar', 'yes', 'LQMO', 'OMO', '', ''),
	('LQTZ', 'medium_airport', 'Tuzla International Airport', 44.458698, 18.7248, 784, 'BA', 'BA-BIH', 'Dubrave Gornje', 'yes', 'LQTZ', 'TZL', '', ''),
	('LD57', 'closed', 'Sepurine Training Base', 44.209999, 15.1632, 60, 'HR', 'HR-13', 'Zaton', 'no', '', '', '', ''),
	('LYTV', 'medium_airport', 'Tivat Airport', 42.404701232910156, 18.72330093383789, 20, 'ME', 'ME-19', 'Tivat', 'yes', 'LYTV', 'TIV', '', 'Аеродром Тиват, Aerodrom Tivat, Zračna luka Tivat'),
	('LQGL', 'closed', 'Glamoč Air Base', 44.083894, 16.813588, 0, 'BA', 'BA-BIH', 'Glamoč', 'no', '', '', '', 'LQGL, LQGL'),
	('LQCG', 'N/A', 'N/A', 44.43604175001383, 18.686575144529343, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDZD', 'medium_airport', 'Zadar Airport', 44.094988, 15.354879, 289, 'HR', 'HR-13', 'Zemunik Donji (Zadar)', 'yes', 'LDZD', 'ZAD', '', ''),
	('LQBI', 'small_airport', 'Bihać Golubić Airfield', 44.797061, 15.904474, 761, 'BA', 'BA-BIH', 'Bihać', 'no', 'LQBI', '', '', 'Bihać sportski aerodrom'),
	('LDZU', 'closed', 'Udbina Air Base', 44.55759811401367, 15.774399757385254, 2462, 'HR', 'HR-09', 'Udbina', 'no', '', '', '', 'LDZU, LDZU'),
	('LDDU', 'medium_airport', 'Dubrovnik Ruđer Bošković Airport', 42.562247, 18.265543, 527, 'HR', 'HR-19', 'Čilipi', 'yes', 'LDDU', 'DBV', '', ''),
	('LDSH', 'small_airport', 'Hvar Airfield', 43.181702, 16.633301, 92, 'HR', 'HR-17', 'Hvar Island', 'no', 'LDSH', '', '', ''),
	('LQSA', 'medium_airport', 'Sarajevo International Airport', 43.8246, 18.331499, 1708, 'BA', 'BA-BIH', 'Sarajevo', 'yes', 'LQSA', 'SJJ', '', ''),
	('LQLV', 'small_airport', 'Livno Brda Bosni Airfield', 43.791141, 16.893268, 2349, 'BA', 'BA-BIH', 'Livno', 'no', 'LQLV', '', '', ''),
	('LQKR', 'N/A', 'N/A', 43.88583317399025, 18.068333119153976, 550, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDRO', 'small_airport', 'Otočac Airfield', 44.847775, 15.286617, 1539, 'HR', 'HR-09', 'Otočac', 'no', 'LDRO', '', '', ''),
	('LQPD', 'small_airport', 'Prijedor Urije Airfield', 44.993986, 16.735457, 591, 'BA', 'BA-SRP', 'Prijedor', 'no', 'LQPD', '', '', 'Sporstki aerodrom Urije');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LQVI', 'small_airport', 'Visoko Sport Airfield', 44.024792, 18.0968, 1470, 'BA', 'BA-BIH', 'Visoko', 'no', 'LQVI', '', '', ''),
	('LQBK', 'medium_airport', 'Banja Luka International Airport', 44.94139862060547, 17.297500610351563, 400, 'BA', 'BA-SRP', 'Banja Luka', 'yes', 'LQBK', 'BNX', '', 'Mahovljani Airport'),
	('LQMP', 'small_airport', 'Medeno Polje Airstrip', 44.57383, 16.28217, 1972, 'BA', 'BA-BIH', '', 'no', 'LQMP', '', '', ''),
	('LDSS', 'small_airport', 'Sinj Piket Airfield', 43.700298, 16.6714, 981, 'HR', 'HR-17', 'Sinj', 'no', 'LDSS', '', '', 'Sinj Airport, Sinj Sport Airport'),
	('LQNI', 'small_airport', 'Sport Airfield Nisici', 44.069444, 18.508974, 3155, 'BA', 'BA-BIH', '', 'no', 'LQNI', '', '', ''),
	('LQTR', 'N/A', 'N/A', 44.84902214258909, 17.223030030727386, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LDSB', 'medium_airport', 'Brač Airport', 43.284454, 16.678362, 1776, 'HR', 'HR-17', 'Gornji Humac', 'yes', 'LDSB', 'BWK', '', 'Bol Airport'),
	('LIBV', 'medium_airport', 'Gioia Del Colle Air Base', 40.767799, 16.9333, 1187, 'IT', 'IT-75', 'Gioia Del Colle (BA)', 'no', 'LIBV', '', 'BA07', 'A Ramirez'),
	('LIRY', 'N/A', 'N/A', 41.911573112010956, 15.81095963716507, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LILL', 'N/A', 'N/A', 41.10476128757, 15.876012146472931, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQO', 'N/A', 'N/A', 40.93782864511013, 16.49663597345352, 493, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISK', 'N/A', 'N/A', 39.75721042603254, 16.4387409389019, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEP', 'N/A', 'N/A', 41.97569400072098, 15.020002573728561, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBD', 'large_airport', 'Bari Karol Wojtyła Airport', 41.138901, 16.760599, 193, 'IT', 'IT-75', 'Bari', 'yes', 'LIBD', 'BRI', 'BA02', 'Bari "Karol Wojtyla" International Airport, Palese Macchie Airport, Palese Airport'),
	('LIAY', 'N/A', 'N/A', 40.54553344845772, 15.100498795509338, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBF', 'medium_airport', 'Foggia "Gino Lisa" Airport', 41.432899, 15.535, 265, 'IT', 'IT-75', 'Foggia', 'yes', 'LIBF', 'FOG', 'FG05', 'Foggia Airport'),
	('LIBA', 'medium_airport', 'Amendola Air Base', 41.541401, 15.7181, 183, 'IT', 'IT-75', 'Foggia', 'no', 'LIBA', '', 'FG06', 'Luigi Rovelli'),
	('LIUQ', 'N/A', 'N/A', 41.04578856378794, 15.122040957212448, 374, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGT', 'small_airport', 'San Genesio Airfield', 46.572786, 11.307635, 4259, 'IT', 'IT-32', 'San Genesio', 'no', 'LIGT', '', 'BZ05', ''),
	('LIZB', 'N/A', 'N/A', 40.35025421530008, 18.061206489801407, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISI', 'N/A', 'N/A', 39.738465808331966, 16.45711675286293, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LINL', 'small_airport', 'Lecce-San Cataldo Lepore Airfield', 40.35974, 18.297923, 59, 'IT', 'IT-75', 'Lecce (LE)', 'no', 'LINL', '', 'LE06', 'Lepore, Lepore Airport, Lecce-Lepore Airport, Aeroporto "Lepore" di Lecce-San Cataldo'),
	('LITF', 'N/A', 'N/A', 41.63460686802864, 15.765691101551056, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGY', 'N/A', 'N/A', 40.50411209464073, 17.964970618486404, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITL', 'N/A', 'N/A', 40.377245619893074, 17.385992109775543, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LITW', 'N/A', 'N/A', 40.47907501459122, 17.884688526391983, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFE', 'N/A', 'N/A', 41.06370806694031, 16.280457079410553, 489, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBR', 'large_airport', 'Brindisi Airport', 40.6576, 17.947001, 47, 'IT', 'IT-75', 'Brindisi', 'yes', 'LIBR', 'BDS', 'BR03', 'Brindisi Papola Casale Airport, Brindisi Salento Airport, Brindisi Casale Antonio Papolo Airport, Salento Airport'),
	('LIHE', 'N/A', 'N/A', 41.34463258087635, 15.526574403047562, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAH', 'N/A', 'N/A', 40.812327079474926, 17.233460694551468, 336, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBN', 'medium_airport', 'Lecce Galatina Air Base', 40.239201, 18.133301, 156, 'IT', 'IT-75', 'Galatina', 'no', 'LIBN', 'LCC', 'LE08', 'Galatina'),
	('LINK', 'N/A', 'N/A', 40.10732017457485, 18.257476687431335, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LING', 'N/A', 'N/A', 40.35600118339062, 18.23236808180809, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIEQ', 'N/A', 'N/A', 41.94394066929817, 15.047312378883362, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBQ', 'N/A', 'N/A', 40.40011379867792, 16.637357622385025, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQZ', 'N/A', 'N/A', 40.56172661483288, 15.759948492050171, 786, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBG', 'medium_airport', 'Taranto-Grottaglie "Marcello Arlotta" Airport', 40.517502, 17.4032, 215, 'IT', 'IT-75', 'Grottaglie', 'no', 'LIBG', 'TAR', 'TA02', 'M Arlotta, Taranto-Grottaglie Airport, Grottaglie Airport'),
	('LIOI', 'N/A', 'N/A', 40.47391813248396, 17.609951198101044, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIJS', 'N/A', 'N/A', 40.772209614515305, 17.637753635644913, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIAW', 'N/A', 'N/A', 39.970499351620674, 18.381033092737198, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIHT', 'N/A', 'N/A', 39.894851334393024, 18.19041520357132, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISO', 'N/A', 'N/A', 39.52594768255949, 16.230101734399796, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIYZ', 'N/A', 'N/A', 39.78050608187914, 15.805837959051132, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIDY', 'N/A', 'N/A', 40.45224454253912, 15.000659376382828, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIGN', 'N/A', 'N/A', 40.590487606823444, 16.768947690725327, 299, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIMD', 'N/A', 'N/A', 39.77622963488102, 15.81042855978012, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIFK', 'N/A', 'N/A', 40.24757422506809, 18.436380475759506, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIKA', 'heliport', 'Arco Hospital Heliport', 45.919539, 10.874893, 426, 'IT', 'IT-32', 'Arco (TN)', 'no', 'LIKA', '', '', ''),
	('LISP', 'N/A', 'N/A', 40.054733119904995, 18.215097784996033, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIQY', 'N/A', 'N/A', 40.43227147310972, 16.553642749786377, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIKB', 'N/A', 'N/A', 40.242320112884045, 18.034130930900574, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LIHK', 'N/A', 'N/A', 37.03742165118456, 15.095411092042923, 306, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIZA', 'N/A', 'N/A', 38.63640043884516, 15.94676524400711, 621, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBC', 'medium_airport', 'Crotone Airport', 38.9972, 17.0802, 522, 'IT', 'IT-78', 'Crotone', 'yes', 'LIBC', 'CRV', 'KR01', 'Sant''Anna Airport'),
	('LICR', 'medium_airport', 'Reggio Calabria Airport', 38.071201, 15.6516, 96, 'IT', 'IT-78', 'Reggio Calabria', 'yes', 'LICR', 'REG', 'RC01', 'Tito Minniti'),
	('LIFB', 'N/A', 'N/A', 36.9453015178442, 15.170862078666687, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICA', 'medium_airport', 'Lamezia Terme Airport', 38.905399, 16.2423, 39, 'IT', 'IT-78', 'Lamezia Terme (CZ)', 'yes', 'LICA', 'SUF', 'CZ02', ''),
	('LICC', 'large_airport', 'Catania-Fontanarossa Airport', 37.466801, 15.0664, 39, 'IT', 'IT-82', 'Catania', 'yes', 'LICC', 'CTA', 'CT03', 'Lanza Di Trabie, Catania-Fontanarossa Vincenzo Bellini'),
	('LISG', 'N/A', 'N/A', 39.18972373008728, 16.67144000530243, 1336, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIPP', 'N/A', 'N/A', 37.79976647347212, 15.227995365858078, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LICI', 'N/A', 'N/A', 37.028643786907196, 15.243443548679352, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LISM', 'N/A', 'N/A', 37.94588316231966, 15.88428407907486, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIZU', 'N/A', 'N/A', 38.619595393538475, 15.955840498209, 555, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLGD', 'medium_airport', 'Sirt International Airport / Ghardabiya Airbase', 31.063499, 16.594999, 267, 'LY', 'LY-SR', 'Sirt', 'yes', 'HLGD', 'SRX', '', 'Gardabiya, Sirte'),
	('HLMS', 'N/A', 'N/A', 32.324166521430016, 15.061944276094437, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HL80', 'small_airport', 'Sidra Airport', 30.643, 18.320801, 100, 'LY', 'LY-SR', 'Sidra', 'no', 'HL80', '', 'HL80', 'Matratin Airport'),
	('HL72', 'small_airport', 'Waddan Airport', 29.1392, 16.160299, 910, 'LY', 'LY-JU', '', 'no', 'HLWN', '', 'HL72', ''),
	('HLRA', 'small_airport', 'Dahra Airport', 29.47117, 17.929354, 1050, 'LY', 'LY-SR', 'Dahra', 'no', 'HLRA', '', '', ''),
	('HL69', 'small_airport', 'Al Jufra Airport', 29.198099, 16.000999, 846, 'LY', 'LY-JU', '', 'no', 'HLJF', '', 'HL69', ''),
	('HLZA', 'small_airport', 'Zella 74 Airport', 28.587462, 17.298746, 1085, 'LY', 'LY-JU', 'Zillah', 'no', 'HLZA', '', '', ''),
	('HLNF', 'small_airport', 'Ras Lanuf Airport', 30.5, 18.527201, 42, 'LY', 'LY-SR', 'Ras Lanuf', 'no', 'HLNF', '', '', 'Ras Lanuf Oil Airport'),
	('HLDB', 'N/A', 'N/A', 28.971666768193245, 17.585333436727524, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLON', 'small_airport', 'Hon Airport', 29.1101, 15.9656, 919, 'LY', 'LY-JU', '', 'no', 'HLON', 'HUQ', '', ''),
	('HLMR', 'N/A', 'N/A', 27.608963772654533, 18.55598419904709, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLMD', 'N/A', 'N/A', 27.554464638233185, 18.49852055311203, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HL79', 'small_airport', 'Waw Al Kabir Airport', 25.356800079345703, 16.809999465942383, 1465, 'LY', 'LY-MQ', '', 'no', 'HL79', '', 'HL79', ''),
	('Z19X', 'N/A', 'N/A', 22.645153775811195, 17.69658252596855, 621, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYUZ', 'N/A', 'N/A', 43.900833427906036, 19.68888893723488, 909, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYBJ', 'small_airport', 'Lisičji Jarak Airfield', 44.939858, 20.445828, 233, 'RS', 'RS-00', 'Palilula', 'no', 'LYBJ', '', '', 'Лисичји Јарак, Beograd-Lisičji Jarak'),
	('LYBO', 'N/A', 'N/A', 44.018333964049816, 22.13721603155136, 378, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYGL', 'N/A', 'N/A', 42.60538782924414, 20.910381227731705, 595, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYBE', 'large_airport', 'Belgrade Nikola Tesla Airport', 44.818401, 20.309099, 335, 'RS', 'RS-00', 'Belgrade', 'yes', 'LYBE', 'BEG', '', 'Beograd, Surčin Airport'),
	('LYBC', 'N/A', 'N/A', 44.811287485063076, 20.17457753419876, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYKS', 'small_airport', 'Rosulje Airfield', 43.561362, 21.382688, 767, 'RS', 'RS-19', 'Kruševac', 'no', 'LYKS', '', '', ''),
	('LYVO', 'N/A', 'N/A', 44.93437238037586, 20.17162397503853, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYBG', 'N/A', 'N/A', 44.82731234282255, 19.499766379594803, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYPA', 'small_airport', 'Pančevo Airfield', 44.9, 20.641002, 245, 'RS', 'RS-04', 'Pančevo', 'no', 'LYPA', '', '', 'QBG'),
	('LYKA', 'small_airport', 'Kraljevo Brege Airfield', 43.7318, 20.717969, 660, 'RS', 'RS-18', 'Kraljevo', 'no', 'LYKA', '', '', 'Aeroklub „Mihajlo Petrović”'),
	('LYFE', 'N/A', 'N/A', 42.34630856662989, 21.194267123937607, 576, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYVA', 'small_airport', 'Valjevo Divci Airfield', 44.29793, 20.021567, 469, 'RS', 'RS-09', 'Divci, Valjevo', 'no', 'LYVA', '', '', ''),
	('LYSR', 'N/A', 'N/A', 44.768813364207745, 20.3048175573349, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYNI', 'medium_airport', 'Niš Constantine the Great Airport', 43.337009, 21.85451, 648, 'RS', 'RS-20', 'Niš', 'yes', 'LYNI', 'INI', '', 'Aerodrom Konstantin Veliki Niš'),
	('LYBN', 'N/A', 'N/A', 42.99789257347584, 21.72121748328209, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYKT', 'small_airport', 'Kostolac Airfield', 44.734863, 21.161664, 240, 'RS', 'RS-11', 'Kostolac', 'no', 'LYKT', '', '', ''),
	('LYSD', 'N/A', 'N/A', 44.64469984173775, 20.96257522702217, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYPN', 'small_airport', 'Paracín / Davidovac Airfield', 43.866389, 21.486944, 144, 'RS', 'RS-12', 'Paraćin', 'no', 'LYPN', '', '', 'Davidovic'),
	('LYJA', 'small_airport', 'Jagodina-Barutana Airfield', 43.976613, 21.229756, 0, 'RS', 'RS-12', 'Jagodina', 'no', 'LYJA', '', '', ''),
	('LYTR', 'small_airport', 'Trstenik Airfield', 43.614189, 21.030217, 534, 'RS', 'RS-19', 'Trstenik', 'no', 'LYTR', '', '', ''),
	('LY87', 'small_airport', 'Kovin Airstrip', 44.7743, 20.9613, 280, 'RS', 'RS-04', 'Kovin', 'no', '', '', '', ''),
	('LYPG', 'large_airport', 'Podgorica Airport / Podgorica Golubovci Airbase', 42.359402, 19.2519, 141, 'ME', 'ME-16', 'Podgorica', 'yes', 'LYPG', 'TGD', '', 'Podgorica Airbase, Golubovci Airbase, Аеродром Подгорица, Aerodrom Podgorica'),
	('LYBT', 'medium_airport', 'Batajnica Air Base', 44.935299, 20.2575, 265, 'RS', 'RS-07', 'Batajnica', 'no', 'LYBT', 'BJY', '', 'Batajnica Colonel Milenko Pavlović Air Base'),
	('LYBL', 'N/A', 'N/A', 44.92446966469288, 21.370937526226044, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LYNO', 'N/A', 'N/A', 44.87652249634266, 20.30522659420967, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYCA', 'small_airport', 'Čačak-Preljina Airfield', 43.8981, 20.435, 776, 'RS', 'RS-17', 'Čačak', 'no', 'LYCA', '', '', 'Ravan Airport, Аеродром Чачак-Прељина, Раван'),
	('LYNK', 'small_airport', 'Nikšić Airfield', 42.773039, 18.916311, 2008, 'ME', 'ME-12', 'Nikšić', 'no', 'LYNK', '', '', 'Аеродром Никшић, Aerodrom Nikšić, Kapino Polje Airport'),
	('LYSP', 'small_airport', 'Smederevska Palanka / Rudine Airfield', 44.351389, 20.96, 0, 'RS', 'RS-10', 'Smederevska Palanka', 'no', 'LYSP', '', '', ''),
	('LYBR', 'small_airport', 'Berane Airport', 42.8390007019043, 19.86199951171875, 2287, 'ME', 'ME-03', 'Berane', 'no', 'LYBR', 'IVG', '', 'Dolac Airport, Аеродром Беране, Aerodrom Berane'),
	('LYDK', 'small_airport', 'Gjakovë Air Base', 42.435066, 20.427768, 1370, 'XK', 'XK-07', 'Gjakovë', 'no', '', '', '', 'Dakovica, Aerodrom Đakovica, Аеродром Ђаковица, Aeroporti i Gjakovës, Dakovjca, LYDK'),
	('BKPR', 'medium_airport', 'Priština Adem Jashari International Airport', 42.5728, 21.035801, 1789, 'XK', 'XK-01', 'Prishtina', 'yes', 'BKPR', 'PRN', '', 'LYPR, Pristina, Slatina Air Base'),
	('Z27U', 'N/A', 'N/A', 43.27450208365917, 20.050350576639175, 1001, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYKV', 'medium_airport', 'Morava Airport', 43.817519, 20.586662, 686, 'RS', 'RS-18', 'Kraljevo', 'yes', 'LYKV', 'KVO', '', 'Lađevci Airport'),
	('LQJL', 'small_airport', 'Tuzla Jegin Lug Sport Airfield', 44.4578, 18.808122, 869, 'BA', 'BA-BIH', 'Rainci Gornji', 'no', 'LQJL', '', '', ''),
	('LYPO', 'small_airport', 'Ćemovsko Polje / Špiro Mugoša Airfield', 42.422318, 19.290777, 197, 'ME', 'ME-16', 'Podgorica', 'no', 'LYPO', '', '', ''),
	('LYLE', 'small_airport', 'Leskovac / Mira Sport Airfield', 43.019665, 21.931963, 738, 'RS', 'RS-23', 'Leskovac', 'no', 'LYLE', '', '', 'Аеродром Мира, Sasha Mitrovic Aero Club'),
	('LQSC', 'N/A', 'N/A', 43.89833327382803, 18.8055557012558, 847, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGIO', 'medium_airport', 'Ioannina King Pyrrhus National Airport', 39.6964, 20.8225, 1558, 'GR', 'GR-D', 'Ioannina', 'yes', 'LGIO', 'IOA', '', ''),
	('LAKV', 'medium_airport', 'Kuçovë Air Base', 40.7719, 19.901899, 135, 'AL', 'AL-01', 'Kuçovë', 'no', 'LAKV', '', '', 'Kucova'),
	('LW67', 'small_airport', 'Kumanovo Airfield', 42.154242, 21.699328, 1217, 'MK', 'MK-007', 'Kumanovo', 'no', '', '', '', 'LW67, Adzi Tepe, Kumanovo Airbase'),
	('LWOH', 'medium_airport', 'Ohrid St. Paul the Apostle Airport', 41.18, 20.7423, 2313, 'MK', 'MK-003', 'Ohrid', 'yes', 'LWOH', 'OHD', '', ''),
	('LW76', 'closed', 'Mavrovica Airfield', 41.912399, 21.9554, 1237, 'MK', 'MK-001', 'Mavrovica', 'no', '', '', '', 'LW76'),
	('LW69', 'closed', 'Dolneni Airport', 41.429551, 21.402176, 1970, 'MK', 'MK-005', 'Dolneni', 'no', '', '', '', 'LW69'),
	('LAGJ', 'closed', 'Gjadër Air Base', 41.895199, 19.5987, 23, 'AL', 'AL-08', 'Gjadër', 'no', '', '', '', 'Lezhë-Zadrima Air Base, LAGJ'),
	('LANO', 'N/A', 'N/A', 40.60144543647766, 19.4332292675972, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGKZ', 'medium_airport', 'Kozani National Airport Filippos', 40.286098, 21.840799, 2059, 'GR', 'GR-C', 'Kozani', 'yes', 'LGKZ', 'KZI', '', ''),
	('LAKU', 'medium_airport', 'Kukës International Airport', 42.035802, 20.415955, 1120, 'AL', 'AL-07', 'Kukës', 'no', 'LAKU', 'KFZ', '', ''),
	('LGTE', 'N/A', 'N/A', 39.65525697916746, 22.34047159552574, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LW72', 'closed', 'Negotino Airfield', 41.51788, 22.088066, 500, 'MK', 'MK-001', 'Crveni Bregovi', 'no', '', '', '', 'LW72, Aerodrom Negotino, Leskar Food DOOEL Skopie'),
	('LGKR', 'medium_airport', 'Corfu Ioannis Kapodistrias International Airport', 39.601898, 19.911699, 6, 'GR', 'GR-F', 'Kerkyra (Corfu)', 'yes', 'LGKR', 'CFU', '', 'Corfu'),
	('LW71', 'small_airport', 'Peshirovo Sveti Nikole Airfield', 41.828073, 21.986585, 794, 'MK', 'MK-001', 'Peshirovo', 'no', '', '', '', 'LW71'),
	('LW73', 'small_airport', 'Štip Airstrip', 41.798058, 22.109863, 900, 'MK', 'MK-002', 'Krivi Dol', 'no', '', '', '', 'LW73'),
	('LW75', 'small_airport', 'Stenkovec Brazda Airfield', 42.0594, 21.388514, 1150, 'MK', 'MK-004', 'Brazda', 'no', '', '', '', ''),
	('LW74', 'small_airport', 'Logovardi Sport Aerodrome', 41.017721, 21.426186, 1950, 'MK', 'MK-005', 'Logovardi', 'no', '', '', '', 'LW74, Bitola'),
	('LGLR', 'small_airport', 'Larissa Air Base', 39.650253, 22.4655, 241, 'GR', 'GR-E', 'Larissa', 'no', 'LGLR', 'LRA', '', 'Larissa State Airport Thessaly'),
	('LGMA', 'N/A', 'N/A', 39.40738398581743, 21.995644569396973, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LWGR', 'N/A', 'N/A', 41.55286755412817, 21.948848515748978, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LW68', 'closed', 'Srpci Airfield', 41.151605, 21.406839, 1900, 'MK', 'MK-005', 'Srpci', 'no', '', '', '', 'LW68'),
	('LWSK', 'large_airport', 'Skopje International Airport', 41.958087, 21.622581, 781, 'MK', 'MK-008', 'Ilinden', 'yes', 'LWSK', 'SKP', '', 'Petrovec'),
	('LAKO', 'closed', 'Korçë Airfield', 40.651741, 20.741715, 665, 'AL', 'AL-06', 'Qendër Bulgarec', 'no', '', '', '', 'LAKO, Korçë Northwest, Lumalas'),
	('LW70', 'small_airport', 'Veles Airfield', 41.758796, 21.842451, 1112, 'MK', 'MK-001', 'Karatmanovo', 'no', '', '', '', 'Titov Veles, LW70, Велес'),
	('LGAR', 'N/A', 'N/A', 40.84068138152361, 21.821562945842743, 624, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LW66', 'small_airport', 'Malo Konjari Sport Airfield', 41.333099, 21.4491, 2034, 'MK', 'MK-005', 'Malo Konjari', 'no', '', '', '', 'LW66, Prilep'),
	('LGKA', 'small_airport', 'Kastoria National Airport Aristotle', 40.446301, 21.2822, 2167, 'GR', 'GR-C', 'Argos Orestiko', 'yes', 'LGKA', 'KSO', '', 'Aristotelis Airport'),
	('LGAX', 'small_airport', 'Alexandria (Gidas) Airfield', 40.6511, 22.488701, 27, 'GR', 'GR-B', 'Lianovergi', 'no', 'LGAX', '', '', 'Alexandreia, Gidas'),
	('LATI', 'large_airport', 'Tirana International Airport Mother Teresa', 41.4147, 19.7206, 126, 'AL', 'AL-02', 'Rinas', 'yes', 'LATI', 'TIA', '', 'Rinas International Airport, Aeroporti Nënë Tereza'),
	('LGAD', 'medium_airport', 'Andravida Air Base', 37.9207, 21.292601, 55, 'GR', 'GR-G', 'Andravida', 'no', 'LGAD', 'PYR', '', 'Βάση Ανδραβίδας'),
	('LGPZ', 'medium_airport', 'Aktion National Airport', 38.925499, 20.765301, 11, 'GR', 'GR-D', 'Preveza', 'yes', 'LGPZ', 'PVK', '', 'Preveza, Lefkada, Πρέβεζα, Λευκάδα'),
	('LGMS', 'N/A', 'N/A', 38.35688944905996, 21.48074045777321, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGKF', 'medium_airport', 'Kefallinia Airport', 38.12009811401367, 20.500499725341797, 59, 'GR', 'GR-F', 'Kefallinia Island', 'yes', 'LGKF', 'EFL', '', ''),
	('LGAG', 'closed', 'Agrinion Air Base', 38.602001, 21.3512, 154, 'GR', 'GR-G', 'Agrinion', 'no', '', '', '', 'Agrinio, LGAG, AGQ'),
	('LG02', 'N/A', 'N/A', 37.09459327161312, 21.990663707256317, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGZA', 'medium_airport', 'Zakynthos International Airport Dionysios Solomos', 37.7509, 20.8843, 12, 'GR', 'GR-F', 'Zakynthos', 'yes', 'LGZA', 'ZTH', '', 'Zakinthos'),
	('LGTP', 'small_airport', 'Tripolis Air Base', 37.530602, 22.403601, 2113, 'GR', 'GR-J', 'Trípoli', 'no', 'LGTP', '', '', ''),
	('LGEP', 'small_airport', 'Epitalion Airfield', 37.613347, 21.496382, 3, 'GR', 'GR-G', 'Pyrgos', 'no', 'LGEP', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('GX01', 'N/A', 'N/A', 38.613816909492016, 21.39304518699646, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LG53', 'closed', 'Lamia Air Base', 38.874599, 22.434999, 38, 'GR', 'GR-H', 'Lamia', 'no', '', '', '', ''),
	('LGKL', 'medium_airport', 'Kalamata Airport', 37.06829833984375, 22.02549934387207, 26, 'GR', 'GR-J', 'Kalamata', 'yes', 'LGKL', 'KLX', '', ''),
	('LGRX', 'medium_airport', 'Patras Araxos Agamemnon Airport', 38.1511, 21.4256, 46, 'GR', 'GR-G', 'Patras', 'yes', 'LGRX', 'GPA', '', ''),
	('HL64', 'small_airport', 'Benghazi Aviation Club Airport', 31.9757, 20.026899, 85, 'LY', 'LY-BA', 'Benghazi', 'no', 'HL64', '', 'HL64', 'Qaryat Al Karmal Airport, Tika Agricultural Airstrip'),
	('HLLQ', 'medium_airport', 'Al Abraq International Airport', 32.7887, 21.9643, 2157, 'LY', 'LY-JA', 'Al Albraq', 'yes', 'HLLQ', 'LAQ', '', 'Al Bayda, Beida'),
	('HLLB', 'medium_airport', 'Benina International Airport', 32.096802, 20.269501, 433, 'LY', 'LY-BA', 'Benina', 'yes', 'HLLB', 'BEN', '', 'Benghazi, Soluch Airfield'),
	('HL60', 'small_airport', 'Elmarj Airport', 32.525299, 20.875099, 850, 'LY', 'LY-MJ', 'Al Marj', 'no', 'HLMJ', '', '', 'HL60'),
	('HL59', 'small_airport', 'Al Khadim Airport', 31.998501, 21.191799, 800, 'LY', 'LY-MJ', 'Charruba', 'no', 'HL59', '', 'HL59', ''),
	('HLZG', 'small_airport', 'Oxy A 103 Airport', 29.00629997253418, 20.786100387573242, 318, 'LY', 'LY-WA', 'Oxy A 103', 'no', 'HLZG', '', '', ''),
	('HL65', 'N/A', 'N/A', 29.212980084121227, 21.592132598161697, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HL49', 'N/A', 'N/A', 29.479361660778522, 21.122901141643524, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLMB', 'medium_airport', 'Marsa al Brega Airport', 30.378099, 19.576401, 50, 'LY', 'LY-WA', 'Marsa al Brega', 'no', 'HLMB', 'LMQ', '', ''),
	('HLZT', 'N/A', 'N/A', 28.9520001411438, 19.76966679096222, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HL50', 'small_airport', 'Tebesty-V9 Airport', 28.587099, 19.3034, 540, 'LY', 'LY-WA', '', 'no', 'HLTS', '', 'HL50', ''),
	('HLGL', 'small_airport', 'Warehouse 59e Airport', 28.638500213623047, 21.437999725341797, 325, 'LY', 'LY-WA', '', 'no', 'HLGL', '', '', ''),
	('HL74', 'N/A', 'N/A', 28.50335206836462, 19.00299534201622, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLWA', 'small_airport', 'Warehouse 59A Airport', 28.322399139404297, 19.93000030517578, 488, 'LY', 'LY-WA', 'Warehouse 59A', 'no', 'HLWA', '', '', ''),
	('HLZU', 'small_airport', 'Zuetina Airport', 30.870199, 20.0755, 16, 'LY', 'LY-WA', 'Ajdabiya', 'no', 'HLZU', '', '', 'Az-Zuwaytinah, Zueitina'),
	('HLMC', 'N/A', 'N/A', 29.54246800392866, 20.171093344688416, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HL58', 'small_airport', 'Ajdabiya Airport', 30.7651, 20.191401, 50, 'LY', 'LY-WA', 'Ajdabiya', 'no', 'HL58', '', 'HL58', 'Adschdabiya, Agedabia'),
	('HLFL', 'small_airport', 'Bu Attifel Airport', 28.795400619506836, 22.080900192260742, 161, 'LY', 'LY-WA', '', 'no', 'HLFL', '', '', ''),
	('HLMA', 'N/A', 'N/A', 28.169146813452244, 19.20938551425934, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLMH', 'N/A', 'N/A', 29.099801257252693, 19.04224455356598, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLML', 'N/A', 'N/A', 27.975000143051147, 22.358333319425583, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HL70', 'small_airport', 'Al Khuwaymat Airport', 27.257299423217773, 21.618099212646484, 500, 'LY', 'LY-WA', '', 'no', 'HL70', '', 'HL70', ''),
	('HLAT', 'N/A', 'N/A', 25.552597604691982, 21.602280288934708, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB30', 'small_airport', 'Stryama Airfield', 42.281706, 24.866967, 560, 'BG', 'BG-16', 'Stryama', 'no', '', '', 'LB30', ''),
	('LB13', 'small_airport', 'Sofia West Airfield', 42.444199, 22.9835, 2097, 'BG', 'BG-14', 'Radomir', 'no', 'LBSW', '', '', 'Dren'),
	('LBDO', 'N/A', 'N/A', 43.58089383691549, 24.447196573019028, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBDV', 'N/A', 'N/A', 43.60665142536163, 25.8907587826252, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB21', 'N/A', 'N/A', 42.290681563317776, 24.713740199804306, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB29', 'small_airport', 'Maslarevo Airstrip', 43.405399, 25.474001, 349, 'BG', 'BG-04', 'Maslarevo', 'no', '', '', 'LB29', ''),
	('LBVR', 'small_airport', 'Vratsa Airfield', 43.2559, 23.5327, 935, 'BG', 'BG-06', 'Vratsa', 'no', 'LBVR', '', '', ''),
	('LBLS', 'small_airport', 'Lesnovo Airfield', 42.632465, 23.650102, 1825, 'BG', 'BG-23', 'Lesnovo', 'no', 'LBLS', '', '', ''),
	('LB41', 'N/A', 'N/A', 43.45172166824341, 24.502627104520798, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB42', 'small_airport', 'Kamenets Air Base', 43.327301, 25.003401, 420, 'BG', 'BG-15', 'Kamenets', 'no', '', '', 'LB42', ''),
	('LRBI', 'N/A', 'N/A', 44.580251052975655, 22.851564288139343, 343, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB24', 'N/A', 'N/A', 43.69486391544342, 26.056679785251617, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBGA', 'N/A', 'N/A', 42.94871460646391, 25.358896404504776, 612, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LROR', 'N/A', 'N/A', 43.623198978602886, 24.379044771194458, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB20', 'N/A', 'N/A', 42.811768390238285, 23.30041453242302, 541, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB31', 'small_airport', 'Levski Airfield', 43.3694, 25.149099, 150, 'BG', 'BG-15', 'Levski', 'no', '', '', '', 'LB31'),
	('LBKY', 'N/A', 'N/A', 43.37095431983471, 24.130479097366333, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBMA', 'small_airport', 'Maritsa Airfield', 42.2652, 24.7205, 630, 'BG', 'BG-16', 'Maritsa', 'no', 'LBMA', '', '', 'Graf Ignatievo'),
	('LRCV', 'medium_airport', 'Craiova International Airport', 44.3181, 23.888599, 626, 'RO', 'RO-DJ', 'Craiova', 'yes', 'LRCV', 'CRA', '', ''),
	('LB27', 'closed', 'Podem Airstrip', 43.548199, 24.590401, 150, 'BG', 'BG-15', 'Podem', 'no', '', '', '', 'LB27, LB27'),
	('LBSJ', 'N/A', 'N/A', 42.296592481434345, 24.556429982185364, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBBR', 'closed', 'Ravnetz Air Base', 42.526100158691406, 27.26959991455078, 74, 'BG', 'BG-02', 'Ravnetz', 'no', '', '', '', 'Ravnets, LBBR'),
	('LR81', 'closed', 'Deveselu Air Base', 44.0773010254, 24.4164009094, 289, 'RO', 'RO-OT', 'Deveselu', 'no', '', '', '', 'LR81'),
	('LBBV', 'N/A', 'N/A', 43.426721803843975, 23.772218227386475, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LRPO', 'N/A', 'N/A', 44.2864566296339, 23.791113048791885, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBMO', 'small_airport', 'Montana Airfield', 43.382619, 23.263203, 778, 'BG', 'BG-12', 'Montana', 'no', 'LBMO', '', '', ''),
	('LBPO', 'N/A', 'N/A', 43.25040813535452, 24.83850806951523, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBSU', 'N/A', 'N/A', 42.217904180288315, 24.638333916664124, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRTP', 'N/A', 'N/A', 44.7937773540616, 25.086637884378433, 228, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBOR', 'N/A', 'N/A', 43.654033318161964, 24.010741710662842, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB15', 'N/A', 'N/A', 43.54483187198639, 23.270643800497055, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBKH', 'N/A', 'N/A', 42.44775339961052, 24.66388776898384, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBSZ', 'small_airport', 'Stara Zagora Airport', 42.3766667, 25.655, 558, 'BG', 'BG-24', 'Stara Zagora', 'no', 'LBSZ', 'SZR', '', ''),
	('LBRO', 'N/A', 'N/A', 42.293507270514965, 24.947151839733124, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBDR', 'N/A', 'N/A', 42.93362885713577, 22.97783598303795, 702, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBPA', 'N/A', 'N/A', 42.232644595205784, 24.245092123746872, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBTN', 'N/A', 'N/A', 43.58586195856333, 25.614430010318756, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LROP', 'large_airport', 'Bucharest Henri Coandă International Airport', 44.572127, 26.103396, 314, 'RO', 'RO-IF', 'Otopeni', 'yes', 'LROP', 'OTP', '', 'BUH, Otopeni Airport, RoAF 90th Airlift Base'),
	('LBDB', 'small_airport', 'Dolna Banya Airfield', 42.308529, 23.820417, 1779, 'BG', 'BG-23', 'Dolna Banya', 'no', 'LBDB', '', '', ''),
	('LBSC', 'N/A', 'N/A', 42.32279431074858, 24.41924884915352, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRPH', 'small_airport', 'Şirna Tăriceni Airfield', 44.783792, 25.983205, 0, 'RO', 'RO-PH', 'Tăriceni', 'no', 'LRPH', '', '', ''),
	('LBSA', 'N/A', 'N/A', 42.37467125058174, 23.39266464114189, 906, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBBB', 'N/A', 'N/A', 42.27637633681297, 22.99077808856964, 554, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBBQ', 'small_airport', 'Byala Airfield', 43.463484, 25.711613, 210, 'BG', 'BG-18', 'Byala', 'no', 'LBBQ', '', '', ''),
	('LB28', 'N/A', 'N/A', 42.33239695429802, 25.16945779323578, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRPT', 'small_airport', 'Geamăna Airfield', 44.817504, 24.897822, 1001, 'RO', 'RO-AG', 'Geamăna', 'no', 'LRPT', '', '', 'Aerodromul Geamăna'),
	('LRGR', 'N/A', 'N/A', 44.200343638658524, 26.139401346445084, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBBA', 'small_airport', 'Bahovitsa Airfield', 43.206111, 24.655556, 1280, 'BG', 'BG-11', 'Bahovitsa', 'no', 'LBBA', '', '', ''),
	('LRPW', 'N/A', 'N/A', 44.923611022531986, 25.963333547115326, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBBZ', 'small_airport', 'Bazan Airstrip', 43.728429, 26.119696, 579, 'BG', 'BG-18', 'Bazan', 'no', 'LBBZ', '', '', ''),
	('LBSL', 'small_airport', 'Sliven Barshen Airfield', 42.645272, 26.358791, 656, 'BG', 'BG-20', 'Sliven', 'no', 'LBSL', '', '', ''),
	('LBBO', 'small_airport', 'Bohot Airfield', 43.306875, 24.691729, 1162, 'BG', 'BG-15', 'Bohot', 'no', 'LBBO', '', '', ''),
	('LBPZ', 'N/A', 'N/A', 42.23023395985365, 24.439529478549957, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBDA', 'small_airport', 'Daskal-Atanasovo Airfield', 42.321322, 25.893692, 129, 'BG', 'BG-24', 'Daskal-Atanasovo', 'no', 'LBDA', '', '', ''),
	('LBGR', 'small_airport', 'Grivitsa Airfield', 43.414941, 24.733714, 919, 'BG', 'BG-15', 'Grivitsa', 'no', 'LBGR', '', '', ''),
	('LB22', 'closed', 'Stanke Dimitrov Air Base', 42.311254, 23.246098, 2149, 'BG', 'BG-10', 'Sapareva Banya', 'no', '', '', '', 'LB22, Kraynitsi, Sapareva Banya'),
	('LBST', 'small_airport', 'Stryama Airfield', 42.537873, 24.827384, 916, 'BG', 'BG-16', 'Banya', 'no', 'LBST', '', '', ''),
	('LBRD', 'small_airport', 'Erden Airfield', 43.499168, 23.304722, 617, 'BG', 'BG-12', 'Erden', 'no', 'LBRD', '', '', ''),
	('LB40', 'N/A', 'N/A', 44.02242265641689, 22.815992385149002, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRSL', 'N/A', 'N/A', 44.37316004186869, 24.986034482717514, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBHT', 'small_airport', 'Ihtiman Airfield', 42.42189, 23.767221, 2113, 'BG', 'BG-23', 'Ihtiman', 'no', 'LBHT', '', '', 'Maintenance, aircraft maintenance, FTO'),
	('LBSI', 'N/A', 'N/A', 42.84408062696457, 23.014225959777832, 615, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBLO', 'N/A', 'N/A', 43.272294625639915, 24.73955735564232, 360, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBGO', 'medium_airport', 'Gorna Oryahovitsa Airport', 43.151402, 25.7129, 285, 'BG', 'BG-04', 'Gorna Oryahovitsa', 'no', 'LBGO', 'GOZ', '', ''),
	('LRCO', 'N/A', 'N/A', 44.35858257114887, 25.93065172433853, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRBS', 'medium_airport', 'Bucharest Băneasa Aurel Vlaicu International Airport', 44.503201, 26.1021, 297, 'RO', 'RO-B', 'Bucharest', 'yes', 'LRBS', 'BBU', '', 'BUH, Băneasa, Aurel Vlaicu International, Bucharest City'),
	('LBKN', 'N/A', 'N/A', 43.54627791792154, 24.094784259796143, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBTS', 'N/A', 'N/A', 42.18888904899359, 24.535555690526962, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBSF', 'large_airport', 'Sofia Airport', 42.696357, 23.417671, 1742, 'BG', 'BG-22', 'Sofia', 'yes', 'LBSF', 'SOF', '', 'Sofia International Airport, Vrazhdebna Air Base'),
	('LBSS', 'closed', 'Silistra Polkovnik Lambrinovo Air Base', 44.055199, 27.178801, 351, 'BG', 'BG-19', 'Polkovnik Lambrinovo', 'no', '', '', '', 'LBSS, SLS'),
	('LBKL', 'small_airport', 'Kalvacha Airfield', 42.585997, 25.426976, 1083, 'BG', 'BG-24', 'Kalvacha', 'no', 'LBKL', '', '', ''),
	('LRNA', 'N/A', 'N/A', 43.615866489708424, 25.51572471857071, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBBH', 'N/A', 'N/A', 42.75323286652565, 23.202762007713318, 560, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGLM', 'small_airport', 'Limnos Airport', 39.917098999, 25.236299514799995, 14, 'GR', 'GR-K', 'Limnos Island', 'yes', 'LGLM', 'LXS', '', ''),
	('LGNE', 'N/A', 'N/A', 41.08293481171131, 23.589194118976593, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LTFK', 'N/A', 'N/A', 40.19999988377094, 25.88166654109955, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGSD', 'small_airport', 'Sedes Air Base', 40.5331, 23.025299, 85, 'GR', 'GR-B', 'Sedes', 'no', 'LGSD', '', '', ''),
	('LB26', 'N/A', 'N/A', 41.87188547104597, 25.604791939258575, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LT86', 'small_airport', 'Gökçeada Airport', 40.204498, 25.883302, 73, 'TR', 'TR-17', 'Gökçeada', 'no', 'LTFK', 'GKD', '', 'Imbros, İmroz'),
	('LB23', 'N/A', 'N/A', 42.11434576660395, 24.99253123998642, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z11W', 'N/A', 'N/A', 41.11185874789953, 25.323011130094528, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTBB', 'N/A', 'N/A', 39.83801834285259, 25.994343012571335, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGPO', 'N/A', 'N/A', 40.985629968345165, 22.626594454050064, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBPD', 'medium_airport', 'Plovdiv International Airport', 42.067799, 24.8508, 597, 'BG', 'BG-16', 'Plovdiv', 'yes', 'LBPD', 'PDV', '', ''),
	('LB45', 'closed', 'Petrich Air Base', 41.448806, 23.216229, 371, 'BG', 'BG-01', 'Petrich', 'no', '', '', '', 'LB45, Kumalovo'),
	('LGKM', 'small_airport', 'Kavala Amygdaleon Lydia Airfield', 40.972801, 24.3414, 199, 'GR', 'GR-A', 'Amygdaleonas', 'no', 'LGKM', '', '', 'Kavala National, Καβάλα'),
	('LGNA', 'N/A', 'N/A', 40.33084440976381, 23.150816559791565, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGKH', 'N/A', 'N/A', 40.74523564428091, 23.122731149196625, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB32', 'closed', 'Konush Airstrip', 42.072399, 25.053301, 500, 'BG', 'BG-16', 'Konush', 'no', '', '', '', 'LB32'),
	('LBKU', 'N/A', 'N/A', 41.599865555763245, 25.385599583387375, 291, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB14', 'N/A', 'N/A', 41.9764232262969, 25.590661615133286, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGTS', 'large_airport', 'Thessaloniki Macedonia International Airport', 40.51928, 22.970009, 22, 'GR', 'GR-B', 'Thessaloniki', 'yes', 'LGTS', 'SKG', '', 'Makedonia. Macedonia. Salonica'),
	('LBGT', 'N/A', 'N/A', 41.56440407037735, 23.767101019620895, 499, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBGI', 'small_airport', 'Gorski Izvor Airstrip', 42.035833, 25.408333, 164, 'BG', 'BG-26', 'Gorski Izvor', 'no', 'LBGI', '', '', ''),
	('LGKV', 'medium_airport', 'Kavala Alexander the Great International Airport', 40.9133, 24.6192, 18, 'GR', 'GR-A', 'Kavala', 'yes', 'LGKV', 'KVA', '', 'Megas Alexandros'),
	('LGAL', 'medium_airport', 'Alexandroupoli Democritus Airport', 40.8559, 25.956301, 24, 'GR', 'GR-A', 'Alexandroupolis', 'yes', 'LGAL', 'AXD', '', ''),
	('LGSV', 'closed', 'Stefanovikio Air Base', 39.478521, 22.769105, 146, 'GR', 'GR-E', 'Rigas Feraios', 'no', '', '', '', 'LGSV'),
	('LGSY', 'small_airport', 'Skiros Airport', 38.9676017761, 24.4871997833, 44, 'GR', 'GR-H', 'Skiros Island', 'yes', 'LGSY', 'SKU', '', ''),
	('LGMR', 'closed', 'Marathon Wasser Airport', 38.143902, 24.0128, 3, 'GR', 'GR-I', 'Marathon', 'no', '', '', '', 'LGMR, LGMR'),
	('LGSP', 'small_airport', 'Sparti Airfield', 36.9739, 22.5263, 500, 'GR', 'GR-J', 'Sparti', 'no', 'LGSP', 'SPJ', '', ''),
	('LGMG', 'small_airport', 'Megara Air Base', 37.981098, 23.3654, 12, 'GR', 'GR-I', 'Megara', 'no', 'LGMG', '', '', ''),
	('LGAK', 'N/A', 'N/A', 38.45652312040329, 23.13629373908043, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGMK', 'medium_airport', 'Mykonos Island National Airport', 37.435101, 25.348101, 405, 'GR', 'GR-L', 'Mykonos', 'yes', 'LGMK', 'JMK', '', ''),
	('LGBL', 'medium_airport', 'Nea Anchialos National Airport', 39.219601, 22.7943, 83, 'GR', 'GR-E', 'Nea Anchialos', 'yes', 'LGBL', 'VOL', '', 'Volos Central Greece Airport, Volos Nea Anchialos Airport of Central Greece'),
	('LGHI', 'medium_airport', 'Chios Island National Airport', 38.34320068359375, 26.140600204467773, 15, 'GR', 'GR-K', 'Chios Island', 'yes', 'LGHI', 'JKH', '', ''),
	('LGTH', 'N/A', 'N/A', 38.37558411061764, 23.25756624341011, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGHL', 'closed', 'Porto Cheli Airport', 37.29891, 23.148923, 69, 'GR', 'GR-J', 'Porto Cheli', 'no', '', '', '', 'Kanaris Airport, Portokhelion, LGHL, PKH'),
	('LGTG', 'medium_airport', 'Tanagra Air Base', 38.339802, 23.565001, 495, 'GR', 'GR-H', 'Tanagra', 'no', 'LGTG', '', '', ''),
	('LGAT', 'closed', 'Athens Hellenikon International Airport', 37.89162, 23.730211, 69, 'GR', 'GR-I', 'Athens', 'no', '', '', '', 'HEW, LGAT'),
	('LGAV', 'large_airport', 'Athens Eleftherios Venizelos International Airport', 37.936401, 23.9445, 308, 'GR', 'GR-I', 'Spata-Artemida', 'yes', 'LGAV', 'ATH', '', ''),
	('LG0D', 'N/A', 'N/A', 39.08662397414446, 26.19513228535652, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGSK', 'medium_airport', 'Skiathos Island National Airport', 39.177101, 23.5037, 54, 'GR', 'GR-E', 'Skiathos', 'yes', 'LGSK', 'JSI', '', 'Alexandros Papadiamantis Airport'),
	('LG56', 'small_airport', 'Olimpoi Aerodrome', 38.236208, 25.938721, 656, 'GR', 'GR-K', 'Chios', 'no', '', '', '', ''),
	('LGSO', 'small_airport', 'Syros Airport', 37.4227981567, 24.950899124099998, 236, 'GR', 'GR-L', 'Syros Island', 'yes', 'LGSO', 'JSY', '', ''),
	('LGEL', 'medium_airport', 'Elefsis Air Base', 38.063801, 23.556, 143, 'GR', 'GR-I', 'Elefsina', 'no', 'LGEL', '', '', ''),
	('LGTT', 'small_airport', 'Tatoi Airport', 38.108898, 23.7838, 785, 'GR', 'GR-I', 'Tatoi', 'no', 'LGTT', '', '', ''),
	('LGPA', 'small_airport', 'Paros National Airport', 37.020495, 25.113195, 131, 'GR', 'GR-L', 'Paros', 'yes', 'LGPA', 'PAS', '', 'New Paros Airport'),
	('LGNX', 'small_airport', 'Naxos Island National Airport', 37.0811, 25.368099, 10, 'GR', 'GR-L', 'Naxos', 'yes', 'LGNX', 'JNX', '', 'Apollon'),
	('LGMO', 'N/A', 'N/A', 38.82613655179739, 22.661947309970856, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGML', 'small_airport', 'Milos Airport', 36.696899, 24.4769, 10, 'GR', 'GR-L', 'Milos Island', 'yes', 'LGML', 'MLO', '', ''),
	('LGSA', 'medium_airport', 'Chania International Airport', 35.5317, 24.1497, 490, 'GR', 'GR-M', 'Souda', 'yes', 'LGSA', 'CHQ', '', ''),
	('LGIR', 'large_airport', 'Heraklion International Nikos Kazantzakis Airport', 35.339699, 25.1803, 115, 'GR', 'GR-M', 'Heraklion', 'yes', 'LGIR', 'HER', '', 'Crete Island'),
	('LGKC', 'small_airport', 'Kithira Airport', 36.2742996216, 23.0170001984, 1045, 'GR', 'GR-I', 'Kithira Island', 'yes', 'LGKC', 'KIT', '', ''),
	('LG54', 'small_airport', 'Tympaki Air Base', 35.063702, 24.767401, 7, 'GR', 'GR-M', 'Crete Island', 'no', 'LGTY', '', '', ''),
	('LGST', 'medium_airport', 'Sitia Airport', 35.21609878540039, 26.101299285888672, 376, 'GR', 'GR-M', 'Crete Island', 'yes', 'LGST', 'JSH', '', ''),
	('LGTL', 'small_airport', 'Kasteli Airport', 35.192001, 25.327, 1180, 'GR', 'GR-M', 'Crete Island', 'no', 'LGTL', '', '', 'Καστελίου');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LGSR', 'medium_airport', 'Santorini Airport', 36.399200439453125, 25.479299545288086, 127, 'GR', 'GR-L', 'Santorini Island', 'yes', 'LGSR', 'JTR', '', ''),
	('LGGE', 'N/A', 'N/A', 35.529540069401264, 23.832164704799652, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLTO', 'N/A', 'N/A', 32.098752334713936, 23.83623942732811, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLTQ', 'small_airport', 'Tobruk International Airport', 31.861, 23.907, 519, 'LY', 'LY-BU', 'Adam', 'yes', 'HLTQ', 'TOB', '', 'Gamal Abdel Nasser'),
	('HE18', 'small_airport', 'Habata Airport', 31.108875, 25.456717, 673, 'EG', 'EG-MT', 'Sidi El Barrani', 'no', '', '', '', ''),
	('HL52', 'N/A', 'N/A', 32.54223983734846, 22.745222747325897, 328, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HE41', 'small_airport', 'Misheifa Airport', 31.032399, 25.854349, 702, 'EG', 'EG-MT', 'Sidi El Barrani', 'no', '', '', '', ''),
	('HLBK', 'N/A', 'N/A', 31.83511096984148, 24.605527818202972, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HE40', 'small_airport', 'Sidi EL Barrani Airport', 31.47201, 25.879272, 282, 'EG', 'EG-MT', 'Sidi El Barrani', 'no', 'HE40', 'SQK', '', 'HE40'),
	('HE19', 'small_airport', 'As Sallum Airport', 31.464013, 25.278039, 49, 'EG', 'EG-MT', 'As Sallum', 'no', '', '', '', 'As Sallum, Salum, Salloum, Sallum'),
	('HL68', 'medium_airport', 'Bombah Airport', 32.4529, 23.118601, 33, 'LY', 'LY-DR', 'Bombah', 'no', 'HLBU', '', '', 'Al Bunbah North Air Base'),
	('HLGO', 'N/A', 'N/A', 28.764658235013485, 22.789894938468933, 130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HE24', 'N/A', 'N/A', 29.346543699502945, 25.505521148443222, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HLAL', 'N/A', 'N/A', 29.911801479756832, 23.2875819504261, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HL0N', 'N/A', 'N/A', 29.87439773976803, 23.347160518169403, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HE27', 'small_airport', 'Osman Air Base', 29.552626, 25.584583, 427, 'EG', 'EG-MT', 'Siwa Oasis', 'no', '', '', '', ''),
	('HLSA', 'small_airport', 'Sarir (C-4) Airport', 27.662399291992188, 22.50860023498535, 400, 'LY', 'LY-WA', 'Sarir', 'no', 'HLSA', '', '', ''),
	('HLKF', 'medium_airport', 'Kufra Airport', 24.178699493408203, 23.31399917602539, 1367, 'LY', 'LY-KF', 'Kufra', 'yes', 'HLKF', 'AKF', '', ''),
	('LBKI', 'N/A', 'N/A', 43.55350345373154, 27.222845256328583, 340, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBPR', 'small_airport', 'Primorsko Airfield', 42.2596, 27.703846, 14, 'BG', 'BG-02', 'Primorsko', 'no', 'LBPR', '', '', ''),
	('LBWN', 'large_airport', 'Varna Airport', 43.232101, 27.8251, 230, 'BG', 'BG-03', 'Varna', 'yes', 'LBWN', 'VAR', '', 'Aksakovo'),
	('LBTE', 'N/A', 'N/A', 43.63445218652487, 27.39664614200592, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB17', 'N/A', 'N/A', 42.64532122761011, 26.359157413244247, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB33', 'small_airport', 'Leskovo Airfield', 43.726601, 27.686001, 700, 'BG', 'BG-08', 'Leskovo', 'no', '', '', 'LB33', ''),
	('LBSB', 'small_airport', 'Slanchev Bryag (Sunny Beach) Airstrip', 42.727816, 27.622204, 153, 'BG', 'BG-02', 'Nesebar', 'no', 'LBSB', '', '', ''),
	('LBSR', 'N/A', 'N/A', 42.414637841284275, 27.293945252895355, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBVU', 'N/A', 'N/A', 43.494529724121094, 27.448022067546844, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBSN', 'N/A', 'N/A', 43.66307470947504, 26.422260403633118, 298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LR80', 'medium_airport', 'Feteşti Borcea Air Base', 44.3923, 27.7267, 180, 'RO', 'RO-CL', 'Borcea', 'no', 'LRFT', '', '', 'Fetesti, Cocargeaua Airport, RoAF 86th Air Base'),
	('LB12', 'N/A', 'N/A', 44.05504669994116, 27.178690284490585, 120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB16', 'N/A', 'N/A', 43.30676905810833, 26.700130999088287, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB35', 'small_airport', 'Golyama Smolnitsa Airstrip', 43.627269, 27.695203, 810, 'BG', 'BG-08', 'Smolnitsa', 'no', '', '', 'LB35', ''),
	('LBTR', 'N/A', 'N/A', 43.717838041484356, 27.440151572227478, 254, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB44', 'N/A', 'N/A', 42.45505705475807, 26.351965963840485, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBKJ', 'small_airport', 'Kaynardzha Airfield', 43.969999, 27.469754, 575, 'BG', 'BG-19', 'Kaynardzha', 'no', 'LBKJ', '', '', 'Flight School Rebus'),
	('LBSD', 'closed', 'Dobroslavtsi Air Base', 42.811795, 23.300114, 1738, 'BG', 'BG-22', 'Dobroslavtsi', 'no', '', '', '', 'Kumaritsa Airport, LB20, LBSD'),
	('LB1J', 'N/A', 'N/A', 42.526761554181576, 27.26750671863556, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB34', 'closed', 'Stefanovo Airstrip', 43.506226, 27.845864, 905, 'BG', 'BG-08', 'Stefanovo', 'no', '', '', '', 'LB34'),
	('LB18', 'small_airport', 'Tenevo Airstrip', 42.346401, 26.5739, 390, 'BG', 'BG-28', 'Tenevo', 'no', '', '', 'LB18', ''),
	('LBKA', 'N/A', 'N/A', 43.66618774831295, 27.10021063685417, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBBG', 'large_airport', 'Burgas Airport', 42.569917, 27.515173, 135, 'BG', 'BG-02', 'Burgas', 'yes', 'LBBG', 'BOJ', '', 'Bourgas'),
	('LBRA', 'N/A', 'N/A', 43.455787897109985, 26.4315028488636, 351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBIS', 'N/A', 'N/A', 43.6502480506897, 26.75409883260727, 301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBSO', 'N/A', 'N/A', 43.35869863629341, 27.58309096097946, 307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRAL', 'N/A', 'N/A', 44.70967501401901, 26.721201539039612, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBKV', 'N/A', 'N/A', 43.49165506660938, 28.352014124393463, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB19', 'closed', 'Zimnitsa Airstrip', 42.600498, 26.633699, 518, 'BG', 'BG-28', 'Zimnitsa', 'no', '', '', '', 'LB19, LB19'),
	('LB43', 'closed', 'Dobrich Air Base', 43.6096, 27.8365, 825, 'BG', 'BG-08', 'Dobrich', 'no', '', '', '', 'LB43'),
	('LB36', 'small_airport', 'Sokolovo Airstrip', 43.475641, 28.103522, 760, 'BG', 'BG-08', 'Sokolovo', 'no', '', '', 'LB36', ''),
	('LRDU', 'N/A', 'N/A', 43.87925036251545, 27.909693270921707, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBSE', 'N/A', 'N/A', 42.40144606679678, 27.07064375281334, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LBSG', 'N/A', 'N/A', 43.33356834948063, 26.853933334350586, 281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRSC', 'N/A', 'N/A', 43.9268297329545, 28.629249930381775, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB0G', 'N/A', 'N/A', 43.69381248950958, 26.579621136188507, 299, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LRTZ', 'small_airport', 'Tuzla Airport', 43.984493, 28.606225, 161, 'RO', 'RO-CT', 'Tuzla', 'no', 'LRTZ', '', '', 'Aerodrom Regional Tuzla, Aeroportul Utilitar Tuzla, Aeroportul Internațional Alexandru Podgoreanu Tuzla, Tuzla Regional Airport'),
	('LBWB', 'medium_airport', 'Balchik Airfield', 43.423801, 28.181299, 660, 'BG', 'BG-08', 'Balchik', 'no', 'LBWB', '', '', 'LB25'),
	('LBWV', 'closed', 'Izgrev Airport', 43.277222, 27.701944, 1119, 'BG', 'BG-03', 'Kalimantsi', 'no', '', '', '', 'LBWV, LBWV'),
	('LRCK', 'medium_airport', 'Mihail Kogălniceanu International Airport', 44.362202, 28.4883, 353, 'RO', 'RO-CT', 'Mihail Kogălniceanu', 'yes', 'LRCK', 'CND', '', 'Constanța, Mihail Kogalniceanu, RoAF 57th Air Base'),
	('LBSH', 'N/A', 'N/A', 43.23649652302265, 27.04564556479454, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LB38', 'closed', 'Mustrak Air Base', 41.84, 26.3097, 675, 'BG', 'BG-26', 'Mustrak', 'no', '', '', '', 'LB38, LB38'),
	('LTBR', 'medium_airport', 'Bursa Yenişehir Airport', 40.255199, 29.562599, 764, 'TR', 'TR-16', 'Yenişehir', 'yes', 'LTBR', 'YEI', '', ''),
	('LTBA', 'large_airport', 'İstanbul Atatürk Airport', 40.971913, 28.823714, 163, 'TR', 'TR-34', 'Bakırköy, Istanbul', 'yes', 'LTBA', 'ISL', '', 'Ataturk, Yeşilköy, Yesilkoy'),
	('LTFL', 'N/A', 'N/A', 40.787222273647785, 26.60666674375534, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTBF', 'medium_airport', 'Balıkesir Airport', 39.619301, 27.926001, 340, 'TR', 'TR-10', 'Balıkesir', 'yes', 'LTBF', 'BZI', '', 'Balıkesir Air Base, Balıkesir Central, Balıkesir Merkez'),
	('LTBP', 'small_airport', 'Yalova Airport', 40.686279, 29.37707, 6, 'TR', 'TR-77', 'Çiftlikköy', 'no', 'LTBP', '', '', ''),
	('LTFJ', 'large_airport', 'Istanbul Sabiha Gökçen International Airport', 40.898602, 29.3092, 312, 'TR', 'TR-34', 'Pendik, Istanbul', 'yes', 'LTFJ', 'SAW', '', 'Sabiha Gökçen Havalimanı'),
	('LTLA', 'N/A', 'N/A', 41.71767923980951, 26.73992156982422, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTKA', 'N/A', 'N/A', 40.380809269845486, 27.303439378738403, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTGE', 'N/A', 'N/A', 40.39836969226599, 29.090780317783356, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LBTO', 'N/A', 'N/A', 42.11305495351553, 26.382530629634857, 238, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTPI', 'N/A', 'N/A', 41.6310914978385, 27.48785510659218, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTBW', 'small_airport', 'İstanbul Hezarfen Airfield', 41.1036, 28.547701, 61, 'TR', 'TR-34', 'Çatalca', 'no', 'LTBW', '', '', 'Istanbul Hezarfen Havaalanı'),
	('LTBG', 'medium_airport', 'Bandırma Airport', 40.318001, 27.977699, 170, 'TR', 'TR-10', 'Bandırma', 'no', 'LTBG', 'BDM', '', ''),
	('LTBX', 'medium_airport', 'İstanbul Samandıra Army Air Base', 40.993, 29.216499, 400, 'TR', 'TR-34', 'Ümraniye, Istanbul', 'no', 'LTBX', '', '', ''),
	('LTBE', 'small_airport', 'Bursa Yunuseli Airport', 40.233243, 29.005583, 331, 'TR', 'TR-16', 'Bursa', 'no', 'LTBE', '', '', 'BTZ'),
	('LTBU', 'medium_airport', 'Tekirdağ Çorlu Airport', 41.13819885253906, 27.919099807739258, 574, 'TR', 'TR-59', 'Çorlu', 'yes', 'LTBU', 'TEQ', '', ''),
	('LTFD', 'medium_airport', 'Balıkesir Koca Seyit Airport', 39.5546, 27.0138, 50, 'TR', 'TR-10', 'Edremit', 'yes', 'LTFD', 'EDO', '', ''),
	('LTBH', 'medium_airport', 'Çanakkale Airport', 40.1376991272, 26.4267997742, 23, 'TR', 'TR-17', 'Çanakkale', 'yes', 'LTBH', 'CKZ', '', ''),
	('LTIC', 'N/A', 'N/A', 40.82258217036724, 29.33579921722412, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTFA', 'small_airport', 'Kaklıç Airport', 38.517601, 26.9774, 13, 'TR', 'TR-35', 'Çiğli', 'no', 'LTFA', '', '', ''),
	('LTBO', 'medium_airport', 'Uşak Airport', 38.681499, 29.471701, 2897, 'TR', 'TR-64', 'Uşak', 'no', 'LTBO', 'USQ', '', ''),
	('LTBD', 'small_airport', 'Aydın Çıldır Airport', 37.815389, 27.887566, 102, 'TR', 'TR-09', 'Aydın', 'no', 'LTBD', 'CII', '', ''),
	('LTBV', 'small_airport', 'Bodrum-Imsık Airport', 37.140099, 27.669701, 202, 'TR', 'TR-48', 'Imsık', 'no', 'LTBV', 'BXN', '', ''),
	('LTBK', 'small_airport', 'Gaziemir Air Base', 38.319099, 27.159401, 433, 'TR', 'TR-35', 'Gaziemir', 'no', 'LTBK', '', '', ''),
	('LGPL', 'small_airport', 'Astypalaia Airport', 36.5798988342, 26.3757991791, 165, 'GR', 'GR-L', 'Astypalaia Island', 'yes', 'LGPL', 'JTY', '', ''),
	('LTBL', 'medium_airport', 'Çiğli Airport', 38.513, 27.010099, 16, 'TR', 'TR-35', 'Çiğli', 'no', 'LTBL', 'IGL', '', ''),
	('LGKY', 'small_airport', 'Kalymnos Airport', 36.9632987976, 26.9405994415, 771, 'GR', 'GR-L', 'Kalymnos Island', 'yes', 'LGKY', 'JKL', '', 'Kalimnos, Κάλυμνος'),
	('LGSM', 'medium_airport', 'Samos Airport', 37.689999, 26.911699, 19, 'GR', 'GR-K', 'Samos Island', 'yes', 'LGSM', 'SMI', '', ''),
	('LGLE', 'small_airport', 'Leros Airport', 37.184898, 26.800301, 39, 'GR', 'GR-L', 'Leros Island', 'yes', 'LGLE', 'LRS', '', ''),
	('LGKO', 'medium_airport', 'Kos Airport', 36.794523, 27.09115, 412, 'GR', 'GR-L', 'Kos Island', 'yes', 'LGKO', 'KGS', '', ''),
	('LTDC', 'N/A', 'N/A', 39.27557520568371, 26.68665111064911, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTBS', 'large_airport', 'Dalaman International Airport', 36.7131004333, 28.7924995422, 20, 'TR', 'TR-48', 'Dalaman', 'yes', 'LTBS', 'DLM', '', ''),
	('LTAA', 'N/A', 'N/A', 38.97670369595289, 27.853370904922485, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGIK', 'small_airport', 'Ikaria Airport', 37.6827011108, 26.3470993042, 79, 'GR', 'GR-K', 'Ikaria Island', 'yes', 'LGIK', 'JIK', '', ''),
	('LTBT', 'medium_airport', 'Akhisar Airport / Akhisar Air Base', 38.808899, 27.8339, 263, 'TR', 'TR-45', 'Akhisar', 'no', 'LTBT', '', '', ''),
	('LTFB', 'small_airport', 'Selçuk Efes Airport', 37.950699, 27.329, 10, 'TR', 'TR-35', 'Selçuk', 'no', 'LTFB', 'IZM', '', ''),
	('LTAY', 'medium_airport', 'Çardak Airport', 37.7855987549, 29.7012996674, 2795, 'TR', 'TR-20', 'Denizli', 'yes', 'LTAY', 'DNZ', '', ''),
	('LGMT', 'medium_airport', 'Mytilene International Airport', 39.057272, 26.598887, 60, 'GR', 'GR-K', 'Mytilene', 'yes', 'LGMT', 'MJT', '', ''),
	('LTFE', 'large_airport', 'Milas Bodrum International Airport', 37.250599, 27.664301, 21, 'TR', 'TR-48', 'Bodrum', 'yes', 'LTFE', 'BJV', '', ''),
	('LTBJ', 'large_airport', 'Adnan Menderes International Airport', 38.2924, 27.157, 412, 'TR', 'TR-35', 'Gaziemir', 'yes', 'LTBJ', 'ADB', '', 'İzmir'),
	('LTAM', 'closed', 'Kayseri Airport', 38.40629959106445, 35.32780075073242, 0, 'TR', 'TR-38', 'Develi', 'no', '', '', '', 'LTAM, LTAM'),
	('LGRP', 'medium_airport', 'Diagoras Airport', 36.405399, 28.086201, 17, 'GR', 'GR-L', 'Rhodes', 'yes', 'LGRP', 'RHO', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LGKS', 'small_airport', 'Kasos Airport', 35.4213981628, 26.909999847399998, 35, 'GR', 'GR-L', 'Kasos Island', 'yes', 'LGKS', 'KSJ', '', ''),
	('LGKJ', 'small_airport', 'Kastelorizo Airport', 36.141701, 29.576401, 489, 'GR', 'GR-L', 'Kastelorizo Island', 'yes', 'LGKJ', 'KZS', '', ''),
	('LGKP', 'medium_airport', 'Karpathos Airport', 35.421398, 27.146, 66, 'GR', 'GR-L', 'Karpathos Island', 'yes', 'LGKP', 'AOK', '', ''),
	('LGRD', 'small_airport', 'Maritsa Air Base', 36.383099, 28.1089, 204, 'GR', 'GR-L', 'Rodes Island', 'no', 'LGRD', '', '', ''),
	('HEMM', 'medium_airport', 'Marsa Matruh International Airport', 31.325464, 27.221716, 75, 'EG', 'EG-MT', 'Marsa Matruh', 'yes', 'HEMM', 'MUH', '', ''),
	('HEAX', 'closed', 'El Nuzha Airport', 31.181681, 29.94629, -6, 'EG', 'EG-ALX', 'Alexandria', 'no', '', '', '', 'Alexandria International Airport, HEAX, ALY'),
	('HEBA', 'medium_airport', 'Borj El Arab International Airport', 30.93249, 29.696437, 171, 'EG', 'EG-ALX', 'Alexandria', 'yes', 'HEBA', 'HBE', '', ''),
	('HEAL', 'medium_airport', 'El Alamein International Airport', 30.924324, 28.46161, 154, 'EG', 'EG-MT', 'El Alamein', 'yes', 'HEAL', 'DBB', '', 'Al Alamain, Al Alamayn, العلمين‎'),
	('HE33', 'small_airport', 'Meliha Airport', 30.732035, 27.019075, 328, 'EG', 'EG-MT', 'Marsa Matruh', 'no', '', '', 'XMEL', 'South Matruh Airport'),
	('HE31', 'small_airport', 'Malan Frein Airport', 29.80532, 28.55263, 213, 'EG', 'EG-MT', '', 'no', '', '', '', 'Abu El Gharadiq Airport'),
	('HE11', 'small_airport', 'Badr El Din Airport', 29.867554, 27.946558, -69, 'EG', 'EG-MT', '', 'no', '', '', '', ''),
	('HEDK', 'small_airport', 'Ad Dakhla Airport', 25.41116, 29.003273, 551, 'EG', 'EG-WAD', 'Dakhla Oases', 'no', 'HEDK', 'DAK', '', ''),
	('HEOW', 'small_airport', 'El Owainat East International Airport', 22.584256, 28.721609, 843, 'EG', 'EG-WAD', 'Sharq El Owainat', 'no', 'HEOW', 'GSQ', '', ''),
	('GATE', 'N/A', 'N/A', 21.064985990524292, 2.5102557241916656, 557, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GATS', 'small_airport', 'Tessalit Airport', 20.243, 0.977308, 1621, 'ML', 'ML-7', '', 'no', 'GATS', '', '', ''),
	('DATM', 'small_airport', 'Bordj Badji Mokhtar Airport', 21.3778, 0.92698, 1303, 'DZ', 'DZ-52', 'Bordj Badji Mokhtar', 'yes', 'DATM', 'BMW', '', ''),
	('GAKL', 'small_airport', 'Kidal Airport', 18.4330005646, 1.4170000553100002, 1496, 'ML', 'ML-8', 'Kidal', 'no', 'GAKL', '', '', ''),
	('DRRL', 'small_airport', 'Tillabery Airport', 14.2032, 1.4744, 692, 'NE', 'NE-6', 'Tillabery', 'no', 'DRRL', '', '', ''),
	('DFGO', 'N/A', 'N/A', 14.366734586656094, 0.08787229657173157, 277, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DRRE', 'small_airport', 'Tera Airport', 13.953047, 0.7403, 850, 'NE', 'NE-6', 'Tera', 'no', 'DRRE', '', '', ''),
	('DFEP', 'small_airport', 'Pama Airport', 11.25, 0.7, 699, 'BF', 'BF-KMP', 'Pama', 'no', 'DFEP', 'XPA', '', ''),
	('DFEL', 'small_airport', 'Kantchari Airport', 12.464046, 1.492939, 879, 'BF', 'BF-TAP', 'Kantchari', 'no', 'DFEL', 'XKA', '', ''),
	('DRRG', 'small_airport', 'Gaya Airport', 11.890026, 3.428024, 662, 'NE', 'NE-3', 'Gaya', 'no', 'DRRG', '', '', ''),
	('DFED', 'small_airport', 'Diapaga Airport', 12.060324, 1.784631, 951, 'BF', 'BF-TAP', 'Diapaga', 'no', 'DFED', 'DIP', '', ''),
	('DFES', 'small_airport', 'Sebba Airport', 13.45, 0.517, 886, 'BF', 'BF-SEN', 'Sebba', 'no', 'DFES', 'XSE', '', ''),
	('DRRD', 'small_airport', 'Dosso Airport', 13.048125, 3.220968, 738, 'NE', 'NE-3', 'Dosso', 'no', 'DRRD', '', '', ''),
	('DFEF', 'small_airport', 'Fada N''gourma Airport', 12.033, 0.35, 1011, 'BF', 'BF-GOU', 'Fada N''gourma', 'no', 'DFEF', 'FNG', '', ''),
	('DFER', 'small_airport', 'Arly Airport', 11.597, 1.483, 761, 'BF', 'BF-TAP', 'Arly', 'no', 'DFER', 'ARL', '', ''),
	('DRRP', 'small_airport', 'La Tapoa Airport', 12.484498, 2.398452, 722, 'NE', 'NE-6', 'La Tapoa', 'no', 'DRRP', '', '', ''),
	('DRRN', 'large_airport', 'Diori Hamani International Airport', 13.4815, 2.18361, 732, 'NE', 'NE-8', 'Niamey', 'yes', 'DRRN', 'NIM', '', ''),
	('DXNG', 'medium_airport', 'Niamtougou International Airport', 9.767330169677734, 1.091249942779541, 1515, 'TG', 'TG-K', 'Niamtougou', 'no', 'DXNG', 'LRL', '', ''),
	('DXSK', 'small_airport', 'Sokodé Airport', 8.994275, 1.153004, 1214, 'TG', 'TG-C', 'Sokodé', 'no', 'DXSK', '', '', ''),
	('DBBO', 'small_airport', 'Porga Airport', 11.046563, 0.992613, 531, 'BJ', 'BJ-AK', 'Porga', 'no', 'DBBO', '', '', ''),
	('DXDP', 'small_airport', 'Djangou Airport', 10.800417, 0.242372, 886, 'TG', 'TG-S', 'Dapaong', 'no', 'DXDP', '', '', ''),
	('DBBD', 'small_airport', 'Djougou Airport', 9.69208333333, 1.63777777778, 1480, 'BJ', 'BJ-DO', 'Djougou', 'no', 'DBBD', 'DJA', '', ''),
	('DXMG', 'small_airport', 'Sansanné-Mango Airport', 10.373010635375977, 0.47138214111328125, 460, 'TG', 'TG-S', 'Mango', 'no', 'DXMG', '', '', ''),
	('DBBK', 'small_airport', 'Kandi Airport', 11.14479, 2.940381, 951, 'BJ', 'BJ-AL', 'Kandi', 'no', 'DBBK', 'KDC', '', ''),
	('DBBN', 'small_airport', 'Natitingou Airport', 10.376965, 1.360507, 1512, 'BJ', 'BJ-AK', 'Natitingou', 'no', 'DBBN', 'NAE', '', ''),
	('DBBP', 'small_airport', 'Parakou Airport', 9.35768985748291, 2.609679937362671, 1266, 'BJ', 'BJ-BO', 'Parakou', 'no', 'DBBP', 'PKO', '', ''),
	('DXKR', 'N/A', 'N/A', 9.621876329183578, 1.0699430108070374, 278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DBPA', 'N/A', 'N/A', 9.38659630715847, 2.50363826751709, 358, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DXAK', 'small_airport', 'Akpaka Airport', 7.583000183105469, 1.1169999837875366, 689, 'TG', 'TG-P', 'Atakpamé', 'no', 'DXAK', '', '', ''),
	('DBBS', 'small_airport', 'Savé Airport', 8.018170356750488, 2.4645800590515137, 597, 'BJ', 'BJ-CO', 'Savé', 'no', 'DBBS', 'SVF', '', ''),
	('DXKA', 'N/A', 'N/A', 7.1201444417238235, 0.7041049003601074, 326, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNMM', 'large_airport', 'Murtala Muhammed International Airport', 6.5773701667785645, 3.321160078048706, 135, 'NG', 'NG-LA', 'Lagos', 'yes', 'DNMM', 'LOS', '', ''),
	('DGAK', 'N/A', 'N/A', 6.112676225602627, 0.05725488066673279, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DBBC', 'small_airport', 'Cana Airport', 7.125417, 2.046806, 548, 'BJ', 'BJ-ZO', 'Bohicon', 'no', 'DBBC', '', '', ''),
	('DBBB', 'medium_airport', 'Cadjehoun Airport', 6.357230186462402, 2.384350061416626, 19, 'BJ', 'BJ-AQ', 'Cotonou', 'yes', 'DBBB', 'COO', '', ''),
	('DXXX', 'medium_airport', 'Lomé–Tokoin International Airport', 6.16561, 1.25451, 72, 'TG', 'TG-M', 'Lomé', 'yes', 'DXXX', 'LFW', '', 'Gnassingbe Eyadema International Airport'),
	('DRTC', 'N/A', 'N/A', 17.42149706929922, 6.631550341844559, 377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DRZL', 'small_airport', 'Arlit Airport', 18.7903995514, 7.36595010757, 1443, 'NE', 'NE-1', 'Arlit', 'no', 'DRZL', 'RLT', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('DATG', 'small_airport', 'In Guezzam Airport', 19.560518, 5.749326, 1312, 'DZ', 'DZ-58', 'In Guezzam', 'no', 'DATG', 'INF', '', ''),
	('DRRT', 'medium_airport', 'Tahoua Airport', 14.8757, 5.26536, 1266, 'NE', 'NE-5', 'Tahoua', 'no', 'DRRT', 'THZ', '', ''),
	('DNSO', 'medium_airport', 'Sadiq Abubakar III International Airport', 12.916299819946289, 5.207190036773682, 1010, 'NG', 'NG-SO', 'Sokoto', 'yes', 'DNSO', 'SKO', '', ''),
	('DNZU', 'N/A', 'N/A', 11.433981768786907, 5.2628543972969055, 372, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DRRM', 'medium_airport', 'Maradi Airport', 13.5025, 7.12675, 1240, 'NE', 'NE-4', 'Maradi', 'no', 'DRRM', 'MFQ', '', ''),
	('DRRC', 'small_airport', 'Dogondoutchi Airport', 13.663003, 4.099674, 961, 'NE', 'NE-3', 'Dogondoutchi', 'no', 'DRRC', '', '', ''),
	('DNGU', 'medium_airport', 'Gusau Airport', 12.1717, 6.69611, 1520, 'NG', 'NG-ZA', 'Gusau', 'no', 'DNGU', 'QUS', '', 'QUS'),
	('DNBK', 'N/A', 'N/A', 12.47916653752327, 4.36944454908371, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNBI', 'small_airport', 'Bida Airport', 9.1, 6.017, 450, 'NG', 'NG-NI', 'Bida', 'no', 'DNBI', '', '', ''),
	('DNIL', 'medium_airport', 'Ilorin International Airport', 8.440210342407227, 4.493919849395752, 1126, 'NG', 'NG-KW', 'Ilorin', 'yes', 'DNIL', 'ILR', '', ''),
	('DNKA', 'medium_airport', 'Kaduna Airport', 10.696000099182129, 7.320109844207764, 2073, 'NG', 'NG-KD', 'Kaduna', 'yes', 'DNKA', 'KAD', '', ''),
	('DNJE', 'N/A', 'N/A', 9.04241994023323, 4.91864874958992, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DN53', 'small_airport', 'Kaduna Old Airport', 10.598899841308594, 7.448709964752197, 2126, 'NG', 'NG-KD', '', 'no', 'DN53', '', 'DN53', ''),
	('DNIX', 'N/A', 'N/A', 9.895374476909637, 4.484248906373978, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNAA', 'large_airport', 'Nnamdi Azikiwe International Airport', 9.00679, 7.26317, 1123, 'NG', 'NG-FC', 'Abuja', 'yes', 'DNAA', 'ABV', '', ''),
	('DNMN', 'medium_airport', 'Minna Airport', 9.652170181274414, 6.462259769439697, 834, 'NG', 'NG-NI', 'Minna', 'no', 'DNMN', 'MXJ', '', ''),
	('DN50', 'small_airport', 'Shiroro Airport', 9.884650230407715, 6.818630218505859, 1305, 'NG', 'NG-NI', '', 'no', 'DN50', '', 'DN50', ''),
	('DNIB', 'medium_airport', 'Ibadan Airport', 7.362460136413574, 3.97832989692688, 725, 'NG', 'NG-OY', 'Ibadan', 'yes', 'DNIB', 'IBA', '', ''),
	('DNLO', 'N/A', 'N/A', 7.801836580038071, 6.582781076431274, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DN51', 'small_airport', 'Ajaokuta Airport', 7.457871, 6.460837, 620, 'NG', 'NG-KO', 'Ajaokuta', 'no', 'DN51', '', 'DN51', ''),
	('DNBE', 'medium_airport', 'Benin Airport', 6.316979885101318, 5.5995001792907715, 258, 'NG', 'NG-ED', 'Benin', 'yes', 'DNBE', 'BNI', '', ''),
	('DNOS', 'small_airport', 'Oshogbo Airport', 7.7829999923706055, 4.482999801635742, 997, 'NG', 'NG-OS', 'Oshogbo', 'no', 'DNOS', '', '', ''),
	('DNAK', 'medium_airport', 'Akure Airport', 7.246739864349365, 5.3010101318359375, 1100, 'NG', 'NG-ON', 'Akure', 'yes', 'DNAK', 'AKR', '', ''),
	('DNPR', 'N/A', 'N/A', 4.846286661922932, 7.021572142839432, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNSU', 'N/A', 'N/A', 5.59805553406477, 5.81888884305954, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNPO', 'medium_airport', 'Port Harcourt International Airport', 5.0154900550842285, 6.94959020614624, 87, 'NG', 'NG-RI', 'Port Harcourt', 'yes', 'DNPO', 'PHC', '', ''),
	('DNIM', 'medium_airport', 'Sam Mbakwe International Airport', 5.427060127258301, 7.206029891967773, 373, 'NG', 'NG-IM', 'Owerri', 'yes', 'DNIM', 'QOW', '', 'Imo Airport'),
	('FPST', 'large_airport', 'São Tomé International Airport', 0.378175, 6.71215, 33, 'ST', 'ST-01', 'São Tomé', 'yes', 'FPST', 'TMS', '', ''),
	('DRZI', 'small_airport', 'Iferouane Airport', 19.066198, 8.41496, 2162, 'NE', 'NE-1', 'Iferouane', 'no', 'DRZI', '', '', ''),
	('DRZA', 'medium_airport', 'Mano Dayak International Airport', 16.965999603271484, 8.000109672546387, 1657, 'NE', 'NE-1', 'Agadez', 'yes', 'DRZA', 'AJY', '', ''),
	('DRZT', 'small_airport', 'Tanout Airport', 15.001111, 8.770278, 1751, 'NE', 'NE-7', 'Tanout', 'no', 'DRZT', '', '', ''),
	('DRZR', 'medium_airport', 'Zinder Airport', 13.779000282287598, 8.983759880065918, 1516, 'NE', 'NE-7', 'Zinder', 'yes', 'DRZR', 'ZND', '', ''),
	('DNAZ', 'N/A', 'N/A', 11.58773772418499, 10.232496410608292, 445, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNKT', 'N/A', 'N/A', 13.007500022649765, 7.660555690526962, 505, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNKN', 'medium_airport', 'Mallam Aminu International Airport', 12.0476, 8.52462, 1562, 'NG', 'NG-KN', 'Kano', 'yes', 'DNKN', 'KAN', '', ''),
	('DRZG', 'small_airport', 'Goure Airport', 13.890296, 10.177106, 1378, 'NE', 'NE-7', 'Goure', 'no', 'DRZG', '', '', ''),
	('DRRA', 'small_airport', 'Tessaoua Airport', 13.756968, 8.020568, 1358, 'NE', 'NE-4', 'Tessaoua', 'no', 'DRRA', '', '', ''),
	('DNJO', 'medium_airport', 'Yakubu Gowon Airport', 9.639829635620117, 8.869050025939941, 4232, 'NG', 'NG-PL', 'Jos', 'yes', 'DNJO', 'JOS', '', ''),
	('DNJS', 'N/A', 'N/A', 9.868200346827507, 8.895675837993622, 1281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNGO', 'N/A', 'N/A', 10.29805552214384, 10.899166613817215, 472, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNBA', 'N/A', 'N/A', 10.292297154664993, 9.817313700914383, 611, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNZA', 'medium_airport', 'Zaria Airport', 11.1302, 7.68581, 2170, 'NG', 'NG-KD', 'Zaria', 'no', 'DNZA', 'ZAR', '', ''),
	('DNLA', 'N/A', 'N/A', 9.10084381699562, 9.867435693740845, 271, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNEN', 'medium_airport', 'Akanu Ibiam International Airport', 6.474269866943359, 7.561960220336914, 466, 'NG', 'NG-EN', 'Enegu', 'yes', 'DNEN', 'ENU', '', ''),
	('FKKV', 'medium_airport', 'Bamenda Airport', 6.03924, 10.1226, 4065, 'CM', 'CM-NW', 'Bamenda', 'no', 'FKKV', 'BPC', '', ''),
	('FKKG', 'small_airport', 'Bali Airport', 5.89527777778, 10.0338888889, 4465, 'CM', 'CM-NW', 'Bali', 'no', 'FKKG', 'BLC', '', ''),
	('FKKF', 'small_airport', 'Mamfe Airport', 5.70417, 9.30639, 413, 'CM', 'CM-SW', 'Mamfe', 'no', 'FKKF', 'MMF', '', ''),
	('FKKK', 'N/A', 'N/A', 6.457353830337524, 10.614186376333237, 1240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNOB', 'N/A', 'N/A', 6.3420698046684265, 9.51942890882492, 519, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FKKM', 'medium_airport', 'Foumban Nkounja Airport', 5.63692, 10.7508, 3963, 'CM', 'CM-OU', 'Foumban', 'no', 'FKKM', 'FOM', '', ''),
	('DNBB', 'small_airport', 'Bebi Airport', 6.6215, 9.319001, 919, 'NG', 'NG-CR', 'Bayaluga', 'no', 'DNBB', '', '', 'Obudu');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('DNMK', 'medium_airport', 'Makurdi Airport', 7.70388, 8.61394, 371, 'NG', 'NG-BE', 'Makurdi', 'yes', 'DNMK', 'MDI', '', ''),
	('FKFO', 'N/A', 'N/A', 5.636729635298252, 10.629026591777802, 1129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DNEK', 'N/A', 'N/A', 4.64285284280777, 7.949147075414658, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FKKC', 'medium_airport', 'Tiko Airport', 4.08919000626, 9.360529899600001, 151, 'CM', 'CM-SW', 'Tiko', 'no', 'FKKC', 'TKC', '', ''),
	('FKKB', 'small_airport', 'Kribi Airport', 2.8738899231, 9.9777803421, 148, 'CM', 'CM-SU', 'Kribi', 'no', 'FKKB', 'KBI', '', ''),
	('DNCA', 'medium_airport', 'Margaret Ekpo International Airport', 4.976019859313965, 8.347200393676758, 210, 'NG', 'NG-CR', 'Calabar', 'yes', 'DNCA', 'CBQ', '', ''),
	('FKKD', 'medium_airport', 'Douala International Airport', 4.0060801506, 9.719479560849999, 33, 'CM', 'CM-LT', 'Douala', 'yes', 'FKKD', 'DLA', '', ''),
	('FGSL', 'medium_airport', 'Malabo Airport', 3.755270004272461, 8.708720207214355, 76, 'GQ', 'GQ-BN', 'Malabo', 'yes', 'FGSL', 'SSG', '', 'Fernando Poo'),
	('FKKU', 'medium_airport', 'Bafoussam Airport', 5.536920070650001, 10.354599952700001, 4347, 'CM', 'CM-OU', 'Bafoussam', 'no', 'FKKU', 'BFX', '', ''),
	('FGRI', 'N/A', 'N/A', 2.341259680688381, 9.847245812416077, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FOOL', 'medium_airport', 'Libreville Leon M''ba International Airport', 0.458600014448, 9.412280082699999, 39, 'GA', 'GA-1', 'Libreville', 'yes', 'FOOL', 'LBV', '', ''),
	('OCS', 'small_airport', 'Corisco International Airport', 0.9125, 9.3304, 55, 'GQ', 'GQ-LI', 'Corisco Island', 'no', 'FGCO', 'OCS', '', ''),
	('FONT', 'N/A', 'N/A', 0.38435082882642746, 9.75371539592743, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DRZD', 'small_airport', 'Dirkou Airport', 18.963931, 12.864132, 1273, 'NE', 'NE-1', 'Dirkou', 'no', 'DRZD', '', '', ''),
	('DRGO', 'N/A', 'N/A', 15.638420507311821, 11.515521705150604, 370, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DRNG', 'N/A', 'N/A', 15.756845735013485, 12.513681203126907, 355, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DRZN', 'small_airport', 'N''Guigmi Airport', 14.25100040435791, 13.128999710083008, 977, 'NE', 'NE-2', 'N''Guigmi', 'no', 'DRZN', '', '', ''),
	('DRZF', 'small_airport', 'Diffa Airport', 13.3729, 12.6267, 994, 'NE', 'NE-2', 'Diffa', 'no', 'DRZF', '', '', ''),
	('DNMA', 'medium_airport', 'Maiduguri International Airport', 11.855299949645996, 13.080900192260742, 1099, 'NG', 'NG-BO', 'Maiduguri', 'yes', 'DNMA', 'MIU', '', ''),
	('FTTL', 'small_airport', 'Bol-Berim Airport', 13.443574, 14.739254, 955, 'TD', 'TD-LC', 'Bol', 'no', 'FTTL', 'OTC', '', ''),
	('FKKH', 'small_airport', 'Kaélé Airport', 10.0925, 14.4456, 1276, 'CM', 'CM-EN', 'Kaélé', 'no', 'FKKH', 'KLE', '', ''),
	('FKKR', 'medium_airport', 'Garoua International Airport', 9.33588981628418, 13.370100021362305, 794, 'CM', 'CM-NO', 'Garoua', 'yes', 'FKKR', 'GOU', '', ''),
	('FKKL', 'medium_airport', 'Salak Airport', 10.451399803161621, 14.257399559020996, 1390, 'CM', 'CM-EN', 'Maroua', 'yes', 'FKKL', 'MVR', '', ''),
	('FTMB', 'N/A', 'N/A', 9.645667523145676, 14.17294666171074, 250, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DN54', 'small_airport', 'Bajoga Northeast Airport', 10.919899940490723, 11.501199722290039, 1000, 'NG', 'NG-GO', 'Bajoga', 'no', 'DN54', '', 'DN54', ''),
	('FTTP', 'small_airport', 'Pala Airport', 9.37806, 14.925, 1532, 'TD', 'TD-MO', 'Pala', 'no', 'FTTP', 'PLF', '', ''),
	('DNYO', 'medium_airport', 'Yola Airport', 9.257550239562988, 12.430399894714355, 599, 'NG', 'NG-AD', 'Yola', 'yes', 'DNYO', 'YOL', '', ''),
	('DNJA', 'small_airport', 'Jalingo Airport', 8.900587, 11.27946, 685, 'NG', 'NG-TA', 'Jalingo', 'no', 'DNJA', '', '', ''),
	('FKTI', 'N/A', 'N/A', 6.46809171885252, 13.28387662768364, 937, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FKAB', 'small_airport', 'Banyo Airport', 6.77499, 11.807, 3642, 'CM', 'CM-AD', 'Banyo', 'no', 'FKAB', '', '', ''),
	('FKKN', 'medium_airport', 'N''Gaoundéré Airport', 7.3570098876953125, 13.559200286865234, 3655, 'CM', 'CM-AD', 'N''Gaoundéré', 'yes', 'FKKN', 'NGE', '', 'Ngaoundere'),
	('FKYS', 'medium_airport', 'Yaoundé Nsimalen International Airport', 3.722559928894043, 11.553299903869629, 2278, 'CM', 'CM-CE', 'Yaoundé', 'yes', 'FKYS', 'NSI', '', ''),
	('FKKY', 'medium_airport', 'Yaoundé Airport', 3.83604, 11.5235, 2464, 'CM', 'CM-CE', 'Yaoundé', 'no', 'FKKY', 'YAO', '', 'Yaoundé Ville Airport'),
	('FKKI', 'small_airport', 'Batouri Airport', 4.475, 14.3625, 2152, 'CM', 'CM-ES', 'Batouri', 'no', 'FKKI', 'OUR', '', ''),
	('FKYK', 'N/A', 'N/A', 3.118799887597561, 14.970463514328003, 498, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FKBA', 'N/A', 'N/A', 4.12228737026453, 14.5412278175354, 604, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FKBE', 'N/A', 'N/A', 4.91366945207119, 13.278291821479797, 680, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FCMU', 'N/A', 'N/A', 0.598839707672596, 14.87185925245285, 460, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FKSA', 'N/A', 'N/A', 2.6660751923918724, 12.666997611522675, 686, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FOMI', 'N/A', 'N/A', 0.28717104345560074, 11.38764962553978, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FOOE', 'small_airport', 'Mekambo Airport', 0.976706, 13.968462, 1673, 'GA', 'GA-6', 'Mekambo', 'no', 'FOOE', 'MKB', '', ''),
	('FOOB', 'medium_airport', 'Bitam Airport', 2.07564, 11.4932, 1969, 'GA', 'GA-9', 'Bitam', 'no', 'FOOB', 'BMM', '', ''),
	('FOGO', 'medium_airport', 'Oyem Airport', 1.5431100130081177, 11.581399917602539, 2158, 'GA', 'GA-9', 'Oyem', 'yes', 'FOGO', 'OYE', '', ''),
	('FTTR', 'small_airport', 'Zouar Airport', 20.44813, 16.57185, 2655, 'TD', 'TD-TI', 'Zouar', 'no', 'FTTR', '', '', ''),
	('FTTZ', 'small_airport', 'Bardai Zougra Airport', 21.448426, 17.053271, 3524, 'TD', 'TD-TI', 'Bardai Zougra', 'no', 'FTTZ', '', '', ''),
	('FTTU', 'small_airport', 'Mao Airport', 14.1456, 15.3144, 1072, 'TD', 'TD-KA', 'Mao', 'no', 'FTTU', 'AMO', '', ''),
	('MXR', 'N/A', 'N/A', 13.645848333835602, 16.501717418432236, 305, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTTJ', 'large_airport', 'N''Djamena International Airport', 12.1337, 15.034, 968, 'TD', 'TD-ND', 'N''Djamena', 'yes', 'FTTJ', 'NDJ', '', 'Ndjamena Hassan Djamous'),
	('FTTM', 'small_airport', 'Mongo Airport', 12.17048, 18.675642, 1414, 'TD', 'TD-GR', 'Mongo', 'no', 'FTTM', 'MVO', '', ''),
	('FTTK', 'small_airport', 'Bokoro Airport', 12.385511, 17.070989, 984, 'TD', 'TD-HL', 'Bokoro', 'no', 'FTTK', 'BKR', '', ''),
	('FTTI', 'small_airport', 'Ati Airport', 13.239778, 18.315893, 1089, 'TD', 'TD-BA', 'Ati', 'no', 'FTTI', 'ATV', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FTDO', 'N/A', 'N/A', 8.70057575404644, 16.834273785352707, 387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTTA', 'small_airport', 'Sarh Airport', 9.14444, 18.374399, 1198, 'TD', 'TD-MC', 'Sarh', 'yes', 'FTTA', 'SRH', '', ''),
	('FTKO', 'N/A', 'N/A', 8.95938478410244, 17.63610765337944, 493, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTTD', 'medium_airport', 'Moundou Airport', 8.62441, 16.0714, 1407, 'TD', 'TD-LO', 'Moundou', 'yes', 'FTTD', 'MQQ', '', ''),
	('FTTB', 'small_airport', 'Bongor Airport', 10.288345, 15.379561, 1076, 'TD', 'TD-ME', 'Bongor', 'no', 'FTTB', 'OGR', '', ''),
	('FTDB', 'N/A', 'N/A', 8.530161939561367, 16.81777596473694, 397, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTBR', 'N/A', 'N/A', 9.296471402049065, 16.15452289581299, 365, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTTS', 'small_airport', 'Bousso Airport', 10.483, 16.716999, 1099, 'TD', 'TD-CB', 'Bousso', 'no', 'FTTS', 'OUT', '', ''),
	('FTBO', 'N/A', 'N/A', 10.325629636645317, 16.7158305644989, 335, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTKE', 'N/A', 'N/A', 9.313952699303627, 15.786385238170624, 377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTSA', 'N/A', 'N/A', 8.973801992833614, 18.49554866552353, 366, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTTH', 'small_airport', 'Lai Airport', 9.3979, 16.3125, 1171, 'TD', 'TD-TA', 'Lai', 'no', 'FTTH', 'LTC', '', ''),
	('FKKJ', 'small_airport', 'Yagoua Airport', 10.3561, 15.2372, 0, 'CM', 'CM-EN', 'Yagoua', 'no', 'FKKJ', 'GXX', '', ''),
	('FTGO', 'N/A', 'N/A', 9.382500909268856, 17.380756437778473, 370, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEPA', 'N/A', 'N/A', 7.601151689887047, 16.96562021970749, 442, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEGC', 'small_airport', 'Bocaranga Airport', 6.916999816894531, 15.616999626159668, 3464, 'CF', 'CF-OP', 'Bocaranga', 'no', 'FEGC', '', '', ''),
	('FTMO', 'N/A', 'N/A', 7.76528712362051, 15.703737437725067, 462, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEFP', 'small_airport', 'Paoua Airport', 7.25, 16.433000564575195, 2037, 'CF', 'CF-OP', 'Paoua', 'no', 'FEFP', '', '', ''),
	('FEFS', 'small_airport', 'Bossangoa Airport', 6.492000102996826, 17.429000854492188, 1637, 'CF', 'CF-AC', 'Bossangoa', 'no', 'FEFS', 'BSN', '', ''),
	('FEGZ', 'small_airport', 'Bozoum Airport', 6.344170093536377, 16.3218994140625, 2215, 'CF', 'CF-OP', 'Bozoum', 'no', 'FEGZ', 'BOZ', '', ''),
	('FEKA', 'N/A', 'N/A', 7.721804492175579, 18.628419041633606, 417, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEFO', 'small_airport', 'Bouar Airport', 5.958000183105469, 15.63700008392334, 3360, 'CF', 'CF-NM', 'Bouar', 'no', 'FEFO', 'BOP', '', ''),
	('FEGF', 'small_airport', 'Batangafo Airport', 7.314109802246094, 18.308799743652344, 1378, 'CF', 'CF-AC', 'Batangafo', 'no', 'FEGF', 'BTG', '', ''),
	('FTBE', 'N/A', 'N/A', 7.765678726136684, 15.318050980567932, 533, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FENA', 'N/A', 'N/A', 3.2787812501192093, 16.755427569150925, 508, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEBA', 'N/A', 'N/A', 4.334697537124157, 18.586268573999405, 352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEBO', 'N/A', 'N/A', 4.312748685479164, 17.48582124710083, 519, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEMB', 'N/A', 'N/A', 4.04354240745306, 18.13661053776741, 372, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZFA', 'small_airport', 'Libenge Airport', 3.626584, 18.638477, 1125, 'CD', 'CD-SU', 'Libenge', 'no', 'FZFA', 'LIE', '', ''),
	('FEFC', 'small_airport', 'Carnot Airport', 4.936999797821045, 15.894000053405762, 1985, 'CF', 'CF-HS', 'Carnot', 'no', 'FEFC', 'CRF', '', ''),
	('FKYA', 'N/A', 'N/A', 3.4949052706360817, 15.332505851984024, 617, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEFF', 'medium_airport', 'Bangui M''Poko International Airport', 4.39847993850708, 18.518800735473633, 1208, 'CF', 'CF-MP', 'Bangui', 'yes', 'FEFF', 'BGF', '', ''),
	('FENO', 'N/A', 'N/A', 2.923724837601185, 16.26532942056656, 413, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEFT', 'medium_airport', 'Berbérati Airport', 4.2215800285339355, 15.786399841308594, 1929, 'CF', 'CF-HS', 'Berbérati', 'no', 'FEFT', 'BBT', '', ''),
	('FEGG', 'small_airport', 'Gamboula Airport', 4.133, 15.15, 2001, 'CF', 'CF-HS', 'Gamboula', 'no', 'FEGG', '', '', ''),
	('FCOT', 'small_airport', 'Betou Airport', 3.057593, 18.514433, 1168, 'CG', 'CG-7', 'Betou', 'no', 'FCOT', 'BTB', '', ''),
	('FCOI', 'small_airport', 'Impfondo Airport', 1.589968, 18.046624, 1050, 'CG', 'CG-7', 'Impfondo', 'no', 'FCOI', 'ION', '', ''),
	('FZEA', 'medium_airport', 'Mbandaka Airport', 0.0226000007242, 18.2887001038, 1040, 'CD', 'CD-EQ', 'Mbandaka', 'yes', 'FZEA', 'MDK', '', ''),
	('FCOH', 'N/A', 'N/A', 1.4320280402898788, 16.168411374092102, 356, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FCOF', 'N/A', 'N/A', 1.41641054302454, 16.328982710838318, 357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FENL', 'N/A', 'N/A', 2.6188139989972115, 16.033756881952286, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FCOU', 'medium_airport', 'Ouesso Airport', 1.61599, 16.037901, 1158, 'CG', 'CG-13', '', 'no', 'FCOU', 'OUE', '', ''),
	('HL56', 'medium_airport', 'Matan al-Sarra Air Base', 21.6877, 21.8309, 1769, 'LY', 'LY-KF', '', 'no', 'HL56', '', 'HL56', ''),
	('FTFY', 'medium_airport', 'Ouadi Doum Air Base', 18.52793, 20.188644, 1308, 'TD', 'TD-EO', 'Wadi Doum', 'no', 'FTFY', '', '', ''),
	('FTFL', 'N/A', 'N/A', 19.03865486383438, 20.45908212661743, 414, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTTY', 'medium_airport', 'Faya-Largeau Airport', 17.917101, 19.111099, 771, 'TD', 'TD-BO', 'Faya-Largeau', 'no', 'FTTY', 'FYT', '', ''),
	('FTTF', 'small_airport', 'Fada Airport', 17.19126, 21.50353, 1788, 'TD', 'TD-EO', 'Fada', 'no', 'FTTF', '', '', ''),
	('FTTE', 'small_airport', 'Biltine Airport', 14.551908, 20.841834, 1680, 'TD', 'TD-WF', 'Biltine', 'no', 'FTTE', '', '', ''),
	('FTIR', 'N/A', 'N/A', 15.134104192256927, 22.22120314836502, 940, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTBI', 'N/A', 'N/A', 14.552031308412552, 20.8420130610466, 494, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTTC', 'medium_airport', 'Abeche Airport', 13.847, 20.844299, 1788, 'TD', 'TD-OD', 'Abeche', 'yes', 'FTTC', 'AEH', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FTAD', 'N/A', 'N/A', 13.48094679415226, 22.1794094145298, 786, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTTG', 'small_airport', 'Goz-Beida Airport', 12.210946, 21.458472, 1765, 'TD', 'TD-SI', 'Goz-Beida', 'no', 'FTTG', '', '', ''),
	('OUM', 'small_airport', 'Oum Hadjer Airport', 13.278244, 19.710256, 1198, 'TD', 'TD-BA', 'Oum Hadjer', 'no', '', 'OUM', '', ''),
	('HSGN', 'small_airport', 'Geneina Airport', 13.481882, 22.467119, 2651, 'SD', 'SD-12', 'Geneina', 'no', 'HSGN', 'EGN', '', ''),
	('FEBI', 'N/A', 'N/A', 9.57611583173275, 22.140996158123016, 470, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEGL', 'small_airport', 'Gordil Airport', 9.581117, 21.728172, 1427, 'CF', 'CF-BB', 'Melle', 'no', 'FEGL', 'GDI', '', 'Gourdil, Manovo-Gounda St. Floris National Park'),
	('AKM', 'small_airport', 'Zakuoma Airport', 10.8902777778, 19.8172222222, 1370, 'TD', 'TD-SA', 'ZaKouma', 'no', '', 'AKM', '', ''),
	('FTKY', 'N/A', 'N/A', 9.447547160089016, 18.92786756157875, 389, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTTN', 'small_airport', 'Am Timan Airport', 11.0340003967, 20.274000167799997, 1420, 'TD', 'TD-SA', 'Am Timan', 'no', 'FTTN', 'AMC', '', ''),
	('FENB', 'N/A', 'N/A', 8.499620296061039, 21.257946342229843, 651, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEFN', 'small_airport', 'N''Délé Airport', 8.427206039428711, 20.635156631469727, 1631, 'CF', 'CF-BB', 'N''Délé', 'no', 'FEFN', 'NDL', '', 'Ndele'),
	('FEFM', 'small_airport', 'Bambari Airport', 5.847012, 20.64992, 1549, 'CF', 'CF-UK', 'Bambari', 'no', 'FEFM', 'BBY', '', ''),
	('FEFR', 'small_airport', 'Bria Airport', 6.527780055999756, 21.98940086364746, 1975, 'CF', 'CF-HK', 'Bria', 'no', 'FEFR', 'BIV', '', ''),
	('FEND', 'N/A', 'N/A', 7.5841837003827095, 20.17123818397522, 427, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEFW', 'small_airport', 'Ouadda Airport', 8.010560035705566, 22.39859962463379, 2461, 'CF', 'CF-HK', 'Ouadda', 'no', 'FEFW', 'ODA', '', ''),
	('FEFQ', 'small_airport', 'Kaga-Bandoro Airport', 6.983, 19.183001, 1476, 'CF', 'CF-KB', 'Kaga-Bandoro', 'no', 'FEFQ', '', '', ''),
	('FEOU', 'N/A', 'N/A', 4.075613245368004, 22.45897427201271, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEFE', 'small_airport', 'Mobaye Mbanga Airport', 4.374650001525879, 21.131900787353516, 1332, 'CF', 'CF-BK', 'Mobaye Mbanga', 'no', 'FEFE', '', '', ''),
	('FZFS', 'small_airport', 'Karawa Airport', 3.36156, 20.298979, 1640, 'CD', 'CD-NU', 'Karawa', 'no', 'FZFS', '', '', ''),
	('FZFD', 'medium_airport', 'Gbadolite Airport', 4.252745, 20.975271, 1509, 'CD', 'CD-NU', 'Gbadolite', 'yes', 'FZFD', 'BDT', '', 'Moanda'),
	('FZFT', 'small_airport', 'Tandala Airport', 2.978206, 19.351065, 1640, 'CD', 'CD-SU', 'Tandala', 'no', 'FZFT', '', '', ''),
	('FZFP', 'small_airport', 'Kotakoli Airbase', 4.156991, 21.66667, 1801, 'CD', 'CD-NU', 'Kotakoli', 'no', 'FZFP', 'KLI', '', ''),
	('FEFK', 'small_airport', 'Kembé Airport', 4.6, 21.867001, 1913, 'CF', 'CF-BK', 'Kembé', 'no', 'FEFK', '', '', ''),
	('FZFW', 'small_airport', 'Gwaka Airport', 2.473384, 20.091419, 1476, 'CD', 'CD-SU', 'Gwaka', 'no', 'FZFW', '', '', ''),
	('FZGB', 'closed', 'Bosondjo Airport', 1.869832, 21.759882, 1312, 'CD', 'CD-MO', 'Bosondjo', 'no', '', '', '', 'FZGB'),
	('FZBX', 'N/A', 'N/A', 1.7792705073952675, 20.904200077056885, 356, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZGE', 'small_airport', 'Binga Airport', 2.36688, 20.51299, 1468, 'CD', 'CD-MO', 'Binga', 'no', 'FZGE', '', '', ''),
	('FZBR', 'N/A', 'N/A', 0.6335632503032684, 22.462943494319916, 411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZGA', 'medium_airport', 'Lisala Airport', 2.17066, 21.496901, 1509, 'CD', 'CD-MO', 'Lisala', 'no', 'FZGA', 'LIQ', '', ''),
	('FZFU', 'small_airport', 'Bumba Airport', 2.183261, 22.479572, 0, 'CD', 'CD-MO', 'Bumba', 'no', 'FZFU', 'BMB', '', ''),
	('HSKU', 'N/A', 'N/A', 14.220611192286015, 24.633605182170868, 1148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTAA', 'N/A', 'N/A', 16.07286896556616, 22.848982214927673, 899, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FTAJ', 'N/A', 'N/A', 15.97097184509039, 22.770739495754242, 843, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSUM', 'N/A', 'N/A', 15.113778747618198, 26.12743780016899, 875, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSZA', 'small_airport', 'Zalingei Airport', 12.9437, 23.5631, 2953, 'SD', 'SD-12', 'Zalingei', 'no', 'HSZA', 'ZLX', '', 'Zalengei Airport'),
	('ADV', 'small_airport', 'El Daein Airport', 11.4023, 26.1186, 1560, 'SD', 'SD-DE', 'El Daein', 'no', '', 'ADV', '', ''),
	('HSFS', 'medium_airport', 'El Fasher Airport', 13.614899635314941, 25.324600219726563, 2393, 'SD', 'SD-02', 'El Fasher', 'yes', 'HSFS', 'ELF', '', 'El Fashir Airport'),
	('HSSG', 'medium_airport', 'Sabera Geneina Airport', 13.4774, 22.53722, 2633, 'SD', 'SD-12', 'Geneina', 'no', 'HSSG', '', '', ''),
	('HSNN', 'medium_airport', 'Nyala Airport', 12.0535, 24.9562, 2106, 'SD', 'SD-11', 'Nyala', 'yes', 'HSNN', 'UYL', '', ''),
	('HSNY', 'N/A', 'N/A', 11.256000436842442, 25.143664330244064, 476, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSRJ', 'small_airport', 'Raga Airport', 8.461110115050001, 25.681100845299998, 1788, 'SS', 'SS-14', 'Raga', 'no', 'HSRJ', '', '', ''),
	('FEFI', 'small_airport', 'Birao Airport', 10.23639965057373, 22.716899871826172, 1696, 'CF', 'CF-VR', 'Birao', 'no', 'FEFI', 'IRO', '', ''),
	('FEOD', 'N/A', 'N/A', 8.524094447493553, 23.240167200565338, 798, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEGO', 'small_airport', 'Ouanda Djallé Airport', 8.899999618530273, 22.783000946044922, 1985, 'CF', 'CF-VR', 'Ouanda Djallé', 'no', 'FEGO', 'ODJ', '', ''),
	('FEFY', 'small_airport', 'Yalinga Airport', 6.519999980926514, 23.260000228881836, 1975, 'CF', 'CF-HK', 'Yalinga', 'no', 'FEFY', 'AIG', '', ''),
	('HSRC', 'N/A', 'N/A', 7.712003365159035, 26.18835747241974, 635, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEGM', 'small_airport', 'Bakouma Airport', 5.693999767303467, 22.801000595092773, 1640, 'CF', 'CF-MB', 'Bakouma', 'no', 'FEGM', 'BMF', '', ''),
	('FZEE', 'N/A', 'N/A', 2.9591695591807365, 26.013282984495163, 630, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEGE', 'small_airport', 'M''Boki Airport', 5.33301019669, 25.931900024399997, 1969, 'CF', 'CF-HM', 'Mboki', 'no', 'FEGE', 'MKI', '', ''),
	('FZEC', 'N/A', 'N/A', 3.2184385880827904, 25.452667325735092, 621, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZKJ', 'medium_airport', 'Buta Zega Airport', 2.818058, 24.793997, 1378, 'CD', 'CD-BU', 'Buta', 'no', 'FZKJ', 'BZU', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FEFG', 'small_airport', 'Bangassou Airport', 4.784999847412109, 22.7810001373291, 1706, 'CF', 'CF-MB', 'Bangassou', 'no', 'FEFG', 'BGU', '', ''),
	('FZKO', 'small_airport', 'Ango Airport', 4.029001, 25.862846, 2133, 'CD', 'CD-BU', 'Ango', 'no', 'FZKO', '', '', ''),
	('FZBY', 'N/A', 'N/A', 3.816002234816551, 23.67157146334648, 477, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEGR', 'small_airport', 'Rafaï Airport', 4.988609790802002, 23.927799224853516, 1759, 'CF', 'CF-MB', 'Rafaï', 'no', 'FEGR', 'RFA', '', ''),
	('FZDW', 'N/A', 'N/A', 3.3656419068574905, 23.930006325244904, 421, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEOA', 'N/A', 'N/A', 4.201491996645927, 22.82521516084671, 465, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FEFZ', 'small_airport', 'Zemio Airport', 5.002226, 25.101857, 1995, 'CF', 'CF-HM', 'Zemio', 'no', 'FEFZ', 'IMO', '', ''),
	('FZKN', 'small_airport', 'Aketi Airport', 2.730399, 23.793468, 1230, 'CD', 'CD-BU', 'Aketi', 'no', 'FZKN', '', '', ''),
	('FZFC', 'small_airport', 'Engengele Airport', 2.116575, 22.647328, 1279, 'CD', 'CD-MO', 'Engengele', 'no', 'FZFC', '', '', ''),
	('FZKZ', 'N/A', 'N/A', 1.511695683002472, 25.293925255537033, 441, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZGC', 'small_airport', 'Bolila Airport', 1.85, 23.117001, 1279, 'CD', 'CD-TO', 'Bolila', 'no', 'FZGC', '', '', ''),
	('FZIZ', 'small_airport', 'Lokutu Airport', 1.131052, 23.602301, 1214, 'CD', 'CD-TO', 'Lokutu', 'no', 'FZIZ', '', '', ''),
	('FZGI', 'small_airport', 'Yalingimba Airport', 2.272462, 22.847528, 1427, 'CD', 'CD-MO', 'Yalingimba', 'no', 'FZGI', '', '', ''),
	('FZIA', 'small_airport', 'Kisangani Simisini Airport', 0.5175, 25.155001, 1289, 'CD', 'CD-TO', '', 'no', 'FZIA', '', '', ''),
	('FZIC', 'medium_airport', 'Bangoka International Airport', 0.481638997793, 25.3379993439, 1417, 'CD', 'CD-TO', 'Kisangani', 'yes', 'FZIC', 'FKI', '', ''),
	('FZFR', 'small_airport', 'Mombongo Airport', 1.65, 23.15, 1476, 'CD', 'CD-TO', 'Mombongo', 'no', 'FZFR', '', '', ''),
	('HSDI', 'N/A', 'N/A', 11.672838516533375, 29.487403482198715, 677, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSDL', 'small_airport', 'Dilling Airport', 11.990599632263184, 29.673200607299805, 2206, 'SD', 'SD-13', 'Dilling', 'no', 'HSDL', '', '', ''),
	('HSHG', 'small_airport', 'Heglig Airport', 9.994933, 29.397718, 1325, 'SD', 'SD-13', 'Heglig Oilfield', 'no', 'HSHG', 'HEG', '', ''),
	('HSGA', 'N/A', 'N/A', 8.889346271753311, 27.95755684375763, 407, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSHK', 'N/A', 'N/A', 9.468365125358105, 28.46639335155487, 402, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSBL', 'N/A', 'N/A', 9.234373904764652, 27.059341818094254, 435, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSHD', 'N/A', 'N/A', 8.600218556821346, 28.476532995700836, 412, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSCC', 'N/A', 'N/A', 8.847379423677921, 29.72902312874794, 393, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSGR', 'N/A', 'N/A', 8.647745959460735, 27.99352839589119, 412, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSHN', 'N/A', 'N/A', 9.073210693895817, 28.200462609529495, 397, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSHT', 'N/A', 'N/A', 9.173794202506542, 28.226473331451416, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSLM', 'N/A', 'N/A', 8.603075109422207, 29.98979240655899, 397, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSHH', 'N/A', 'N/A', 8.847237266600132, 28.231903463602066, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSAD', 'N/A', 'N/A', 9.02206264436245, 26.509463042020798, 471, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSHV', 'N/A', 'N/A', 9.361325539648533, 28.584204465150833, 401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSHF', 'N/A', 'N/A', 8.640595190227032, 28.386068791151047, 409, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSCQ', 'N/A', 'N/A', 9.476720876991749, 29.665551334619522, 394, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSGL', 'N/A', 'N/A', 8.781624399125576, 27.88459539413452, 413, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSHO', 'N/A', 'N/A', 9.155565239489079, 28.437802344560623, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSHZ', 'N/A', 'N/A', 9.103355705738068, 28.561311811208725, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSAO', 'N/A', 'N/A', 8.755304217338562, 27.197179198265076, 463, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSBI', 'N/A', 'N/A', 9.022853560745716, 27.628435045480728, 421, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSAR', 'N/A', 'N/A', 8.91200054436922, 27.330210506916046, 424, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSHQ', 'N/A', 'N/A', 9.053593017160892, 28.364459574222565, 404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSAQ', 'N/A', 'N/A', 8.952217921614647, 27.516635209321976, 426, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSGJ', 'N/A', 'N/A', 8.665604777634144, 28.153299540281296, 414, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSHW', 'N/A', 'N/A', 9.232498370110989, 28.585769534111023, 402, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSBT', 'small_airport', 'Bentiu Airport', 9.308488, 29.787316, 2000, 'SS', 'SS-22', 'Rubkona', 'no', 'HJBT', '', '', 'HSBT'),
	('HSAW', 'small_airport', 'Aweil Airport', 8.791383, 27.360151, 1394, 'SS', 'SS-15', 'Aweil', 'no', 'HJAW', '', '', 'HSAW'),
	('HSIA', 'N/A', 'N/A', 9.162917174398899, 28.352110683918, 404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSLI', 'small_airport', 'Kadugli Airport', 11.137999534600002, 29.7010993958, 1848, 'SD', 'SD-13', 'Kadugli', 'no', 'HSLI', 'KDX', '', ''),
	('HSHX', 'N/A', 'N/A', 9.068603664636612, 28.117721378803253, 407, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSAC', 'N/A', 'N/A', 9.217320755124092, 26.854337453842163, 448, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSHI', 'N/A', 'N/A', 8.766352236270905, 28.567772805690765, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSBS', 'N/A', 'N/A', 11.0338981077075, 27.73602157831192, 433, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('BJE', 'small_airport', 'Baleela Airport', 11.199444444400001, 28.5230555556, 1690, 'SD', 'SD-13', 'Baleela Base Camp', 'no', '', 'BJE', '', ''),
	('HSAA', 'N/A', 'N/A', 8.95408608019352, 26.85233384370804, 458, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSKK', 'N/A', 'N/A', 8.27955812215805, 27.95580580830574, 433, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSTI', 'N/A', 'N/A', 7.608188800513744, 28.806374073028564, 416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSTA', 'N/A', 'N/A', 7.092469744384289, 28.51526588201523, 503, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSTK', 'N/A', 'N/A', 7.266477718949318, 28.662506639957428, 443, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSKO', 'N/A', 'N/A', 8.431822769343853, 27.75564596056938, 432, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSKF', 'N/A', 'N/A', 8.043496906757355, 28.183028250932693, 419, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSWW', 'medium_airport', 'Wau Airport', 7.72583, 27.975, 1529, 'SS', 'SS-14', 'Wau', 'yes', 'HJWW', 'WUU', '', ''),
	('HSKM', 'N/A', 'N/A', 8.092133402824402, 28.638488799333572, 410, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSAL', 'N/A', 'N/A', 8.043928407132626, 26.864352822303772, 595, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSRF', 'N/A', 'N/A', 6.39433465898037, 29.79997828602791, 453, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSKL', 'N/A', 'N/A', 8.223786279559135, 28.39050605893135, 414, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSKB', 'N/A', 'N/A', 8.292223177850246, 28.089549243450165, 421, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSMK', 'small_airport', 'Rumbek Airport', 6.831074, 29.669073, 1378, 'SS', 'SS-18', 'Rumbek', 'yes', 'HJRB', 'RBX', '', 'HSMK'),
	('HSKE', 'N/A', 'N/A', 8.261647000908852, 28.073508739471436, 421, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSTG', 'N/A', 'N/A', 7.296302206814289, 28.444714397192, 494, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSTN', 'N/A', 'N/A', 6.983771212399006, 28.690191954374313, 491, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSTU', 'small_airport', 'Tumbura Airport', 5.602137, 27.473212, 2230, 'SS', 'SS-16', 'Tumbura', 'no', 'HJTB', '', '', 'HSTU'),
	('FZWG', 'N/A', 'N/A', 3.679150901734829, 29.127790331840515, 726, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSYA', 'small_airport', 'Yambio Airport', 4.567066, 28.424106, 2375, 'SS', 'SS-16', 'Yambio', 'no', 'HJYB', '', '', 'HSYA'),
	('FEFB', 'small_airport', 'Poste Airport', 5.403889, 26.487222, 2137, 'CF', 'CF-HM', 'Obo', 'no', 'FEFB', '', '', ''),
	('FEOB', 'N/A', 'N/A', 3.9954882860183716, 26.43529549241066, 657, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZIS', 'N/A', 'N/A', 3.1353236362338066, 26.884879767894745, 684, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZJC', 'small_airport', 'Dungu-Uye Airport', 3.597484, 28.57674, 2378, 'CD', 'CD-HU', 'Dungu', 'no', 'FZJC', '', '', ''),
	('FZWW', 'N/A', 'N/A', 3.1385355815291405, 29.590337723493576, 883, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZWU', 'N/A', 'N/A', 3.3296309038996696, 28.64991143345833, 776, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZJI', 'small_airport', 'Watsa Airport', 2.994577, 29.547772, 3199, 'CD', 'CD-HU', 'Watsa', 'no', 'FZJI', '', '', ''),
	('HSYB', 'N/A', 'N/A', 4.635941796004772, 28.267557621002197, 626, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZJK', 'small_airport', 'Faradje Airport', 3.7149, 29.71261, 2690, 'CD', 'CD-HU', 'Faradje', 'no', 'FZJK', '', '', ''),
	('HSYM', 'N/A', 'N/A', 3.677697144448757, 28.601318299770355, 711, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSMJ', 'N/A', 'N/A', 4.792145267128944, 29.157165437936783, 693, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSYO', 'N/A', 'N/A', 3.9036041870713234, 28.378612250089645, 703, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZWX', 'N/A', 'N/A', 3.960559219121933, 29.372195452451706, 746, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZJH', 'medium_airport', 'Matari Airport', 2.82761, 27.588301, 2438, 'CD', 'CD-HU', 'Isiro', 'yes', 'FZJH', 'IRP', '', ''),
	('FZWH', 'N/A', 'N/A', 1.3994985446333885, 27.609511613845825, 568, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUBI', 'N/A', 'N/A', 1.0118881613016129, 29.949907958507538, 1235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZMB', 'small_airport', 'Rughenda Airfield', 0.117142, 29.312992, 5757, 'CD', 'CD-NK', 'Butembo', 'no', 'FZMB', 'RUE', '', ''),
	('FZBZ', 'N/A', 'N/A', 1.3478465750813484, 29.08026695251465, 903, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZBM', 'N/A', 'N/A', 0.5100833997130394, 29.47592630982399, 1123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUMH', 'N/A', 'N/A', 0.344046950340271, 29.68668133020401, 989, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZWM', 'N/A', 'N/A', 1.4091866835951805, 28.570129573345184, 760, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZEJ', 'N/A', 'N/A', 1.4526978135108948, 29.864930659532547, 917, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZWO', 'N/A', 'N/A', 2.152649089694023, 27.975844591856003, 789, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZNP', 'small_airport', 'Beni Airport', 0.575, 29.4739, 3517, 'CD', 'CD-NK', 'Beni', 'no', 'FZNP', 'BNC', '', ''),
	('FZIO', 'N/A', 'N/A', 2.4577168375253677, 27.631394863128662, 779, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUBN', 'N/A', 'N/A', 0.9779877215623856, 29.87696886062622, 1532, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FOGR', 'medium_airport', 'Lambarene Airport', -0.704389, 10.2457, 82, 'GA', 'GA-3', 'Lambarene', 'no', 'FOGR', 'LBQ', '', ''),
	('AWE', 'small_airport', 'Alowe Airport', -0.545, 9.444, 600, 'GA', 'GA-3', 'Wonga Wongué Presidential Reserve', 'no', 'FOGW', 'AWE', '', ''),
	('FOGA', 'N/A', 'N/A', -2.7874716371297836, 10.050796419382095, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FOGM', 'medium_airport', 'Mouilla Ville Airport', -1.845139980316162, 11.056699752807617, 295, 'GA', 'GA-4', 'Mouila', 'yes', 'FOGM', 'MJL', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FOGF', 'small_airport', 'Fougamou Airport', -1.278325, 10.612497, 263, 'GA', 'GA-4', 'Fougamou', 'no', 'FOGF', 'FOU', '', ''),
	('FOOG', 'medium_airport', 'Port Gentil Airport', -0.7117390036582947, 8.754380226135254, 13, 'GA', 'GA-8', 'Port Gentil', 'yes', 'FOOG', 'POG', '', ''),
	('FOOO', 'N/A', 'N/A', -1.4337989687919617, 9.755383729934692, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FOND', 'N/A', 'N/A', -2.4562466517090797, 10.937259793281555, 250, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FOOT', 'small_airport', 'Tchibanga Airport', -2.88848, 10.955429, 269, 'GA', 'GA-5', 'Tchibanga', 'yes', 'FOOT', 'TCH', '', ''),
	('FOOY', 'small_airport', 'Mayumba Airport', -3.458372, 10.676539, 13, 'GA', 'GA-5', 'Mayumba', 'no', 'FOOY', 'MYB', '', 'Mayoumba'),
	('FO22', 'N/A', 'N/A', -1.138872317969799, 13.904869258403778, 430, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FO23', 'N/A', 'N/A', -1.1846113577485085, 12.440897673368454, 318, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FCOE', 'small_airport', 'Ewo Airport', -0.883, 14.8, 1503, 'CG', 'CG-8', 'Ewo', 'no', 'FCOE', 'EWO', '', ''),
	('FOGQ', 'medium_airport', 'Okondja Airport', -0.665214, 13.6731, 1325, 'GA', 'GA-2', 'Okondja', 'no', 'FOGQ', 'OKN', '', ''),
	('FOGB', 'small_airport', 'Booue Airport', -0.1075, 11.9438, 604, 'GA', 'GA-6', 'Booue', 'no', 'FOGB', 'BGB', '', ''),
	('FCMY', 'small_airport', 'Legala Airport', -2.2170000076293945, 12.833000183105469, 2152, 'CG', 'CG-9', 'Legala', 'no', 'FCMY', '', '', ''),
	('LKC', 'small_airport', 'Lekana Airport', -2.313, 14.606, 2634, 'CG', 'CG-14', 'Lekana', 'no', '', 'LKC', '', ''),
	('FOON', 'medium_airport', 'M''Vengue El Hadj Omar Bongo Ondimba International Airport', -1.6561599969863892, 13.437999725341797, 1450, 'GA', 'GA-2', 'Franceville', 'yes', 'FOON', 'MVB', '', ''),
	('FOKO', 'N/A', 'N/A', -1.1035415902733803, 12.501400709152222, 333, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FCPN', 'small_airport', 'Noumbi Airport', -4.144149, 11.383476, 39, 'CG', 'CG-5', 'Noumbi', 'no', 'FCPN', '', '', ''),
	('FCBT', 'small_airport', 'Loutete Airport', -4.2829999923706055, 13.866999626159668, 656, 'CG', 'CG-11', 'Loutete', 'no', 'FCBT', '', '', ''),
	('FZAP', 'small_airport', 'Lukala Airport', -5.497948, 14.528839, 1312, 'CD', 'CD-BC', 'Lukala', 'no', 'FZAP', '', '', ''),
	('FCPP', 'medium_airport', 'Antonio Agostinho-Neto International Airport', -4.81603, 11.8866, 55, 'CG', 'CG-5', 'Pointe Noire', 'yes', 'FCPP', 'PNR', '', 'Pointe Noire'),
	('FCBY', 'small_airport', 'Yokangassi Airport', -4.223077, 13.286347, 541, 'CG', 'CG-11', 'Nkayi', 'no', 'FCBY', 'NKY', '', ''),
	('FZAW', 'small_airport', 'Kwilu-Ngongo Airport', -5.5, 14.7, 1296, 'CD', 'CD-BC', 'Kwilu-Ngongo', 'no', 'FZAW', '', '', ''),
	('FNCA', 'medium_airport', 'Cabinda Airport', -5.59699010848999, 12.188400268554688, 66, 'AO', 'AO-CAB', 'Cabinda', 'yes', 'FNCA', 'CAB', '', ''),
	('FZAD', 'small_airport', 'Celo Zongo Airport', -4.790881, 14.905695, 1660, 'CD', 'CD-BC', 'Celo Zongo', 'no', 'FZAD', '', '', ''),
	('FZAN', 'small_airport', 'Inga Airport', -5.530681, 13.578766, 741, 'CD', 'CD-BC', 'Inga', 'no', 'FZAN', '', '', ''),
	('FZAI', 'closed', 'Kitona Air Base', -5.918629, 12.446136, 394, 'CD', 'CD-BC', 'Kitona', 'no', '', '', '', 'FZAI, FZAI'),
	('FZAG', 'small_airport', 'Muanda Airport', -5.930637, 12.351334, 89, 'CD', 'CD-BC', 'Muanda', 'no', 'FZAG', 'MNB', '', ''),
	('FZAJ', 'small_airport', 'Boma Airport', -5.854, 13.064, 26, 'CD', 'CD-BC', 'Boma', 'yes', 'FZAJ', 'BOA', '', ''),
	('FNCB', 'small_airport', 'Camembe Airport', -8.119819, 14.498963, 2264, 'AO', 'AO-BGO', 'Camembe', 'no', 'FNCB', '', '', ''),
	('FZAM', 'small_airport', 'Tshimpi Airport', -5.79961, 13.4404, 1115, 'CD', 'CD-BC', 'Matadi', 'no', 'FZAM', 'MAT', '', ''),
	('FZMI', 'N/A', 'N/A', -6.1453066393733025, 13.742798119783401, 463, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNZE', 'small_airport', 'N''zeto Airport', -7.25944, 12.8631, 69, 'AO', 'AO-ZAI', 'N''zeto', 'no', 'FNZE', 'ARZ', '', ''),
	('FNSO', 'medium_airport', 'Soyo Airport', -6.141089916229248, 12.371800422668457, 15, 'AO', 'AO-ZAI', 'Soyo', 'yes', 'FNSO', 'SZA', '', ''),
	('FNAM', 'small_airport', 'Ambriz Airport', -7.86222, 13.1161, 144, 'AO', 'AO-BGO', 'Ambriz', 'no', 'FNAM', 'AZZ', '', ''),
	('FZAY', 'small_airport', 'Mvula Sanda Airport', -5.62788, 13.423684, 1148, 'CD', 'CD-BC', 'Mvula Sanda', 'no', 'FZAY', '', '', ''),
	('FZMT', 'N/A', 'N/A', -5.804409272968769, 12.996464967727661, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNSU', 'medium_airport', 'Sumbe Airport', -11.1679, 13.8475, 36, 'AO', 'AO-CUS', 'Sumbe', 'no', 'FNSU', 'NDD', '', ''),
	('FN19', 'small_airport', 'Cabo Ledo Air Base', -9.65305, 13.2606, 360, 'AO', 'AO-LUA', 'Cabo Ledo', 'no', 'FN19', '', 'FN19', ''),
	('FNNT', 'N/A', 'N/A', -9.975876957178116, 14.917975813150406, 911, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNLU', 'large_airport', 'Quatro de Fevereiro International Airport', -8.85837, 13.2312, 243, 'AO', 'AO-LUA', 'Luanda', 'yes', 'FNLU', 'LAD', '', '4 de Fevereiro'),
	('FNND', 'N/A', 'N/A', -9.675553031265736, 14.464471489191055, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNPA', 'medium_airport', 'Porto Amboim Airport', -10.722, 13.7655, 16, 'AO', 'AO-CUS', 'Port Amboim', 'no', 'FNPA', 'PBN', '', ''),
	('FNNL', 'N/A', 'N/A', -9.280272871255875, 14.982270151376724, 818, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNLF', 'N/A', 'N/A', -9.053776413202286, 13.49608227610588, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNLB', 'small_airport', 'Lobito Airport', -12.3712, 13.5366, 10, 'AO', 'AO-BGU', 'Lobito', 'no', 'FNLB', 'LLT', '', ''),
	('FNCL', 'N/A', 'N/A', -13.77611082047224, 14.694561213254929, 1688, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNBG', 'medium_airport', 'Benguela 17th of September Airport', -12.609, 13.4037, 118, 'AO', 'AO-BGU', 'Benguela', 'no', 'FNBG', 'BUG', '', 'Aeroporto 17 de Setembro, Gen. V. Deslandes Airport'),
	('FNCT', 'medium_airport', 'Catumbela Airport', -12.4792, 13.4869, 23, 'AO', 'AO-BGU', 'Catumbela', 'yes', 'FNCT', 'CBT', '', ''),
	('FNUB', 'medium_airport', 'Lubango Airport', -14.924699783325195, 13.574999809265137, 5778, 'AO', 'AO-HUI', 'Lubango', 'yes', 'FNUB', 'SDD', '', ''),
	('FNMO', 'medium_airport', 'Welwitschia Mirabilis International Airport', -15.2612, 12.1468, 210, 'AO', 'AO-NAM', 'Moçâmedes', 'yes', 'FNMO', 'MSZ', '', 'Moçâmedes, Namibe, Yuri Gagarin'),
	('FNXA', 'medium_airport', 'Xangongo Airport', -16.755399703979492, 14.965299606323242, 3635, 'AO', 'AO-CNN', 'Xangongo', 'no', 'FNXA', 'XGN', '', ''),
	('FN17', 'small_airport', 'Cahama Airport', -16.238399505615234, 14.326000213623047, 3970, 'AO', 'AO-CNN', 'Cahama', 'no', 'FN17', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FNNM', 'N/A', 'N/A', -15.800463482737541, 11.885699182748795, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNLG', 'N/A', 'N/A', -15.732499323785305, 14.08105194568634, 1323, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNLO', 'N/A', 'N/A', -15.326114818453789, 14.173321276903152, 1440, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKJ', 'small_airport', 'Kamanjab Airport', -19.520599, 14.8233, 4259, 'NA', 'NA-KU', 'Kamanjab', 'no', 'FYKJ', '', '', ''),
	('FYRC', 'small_airport', 'Ruacana Airport', -17.420601, 14.3717, 3765, 'NA', 'NA-KU', 'Ruacana', 'no', 'FYRC', '', '', ''),
	('FY1Z', 'N/A', 'N/A', -19.40826192498207, 14.646077156066895, 1251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOB', 'N/A', 'N/A', -17.320646680891514, 13.923319280147552, 847, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYPM', 'N/A', 'N/A', -19.388912804424763, 12.743914872407913, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOP', 'small_airport', 'Opuwa Airport', -18.061424, 13.85047, 3770, 'NA', 'NA-KU', 'Opuwa', 'no', 'FYOP', 'OPW', '', ''),
	('FYPQ', 'N/A', 'N/A', -17.297729216516018, 14.53461080789566, 1125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYPE', 'N/A', 'N/A', -17.438750378787518, 13.278053998947144, 1085, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYEF', 'N/A', 'N/A', -17.029266580939293, 13.209797143936157, 779, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY35', 'N/A', 'N/A', -18.82031600922346, 14.681845754384995, 1176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY4H', 'N/A', 'N/A', -17.402788996696472, 13.825213462114334, 857, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYPG', 'N/A', 'N/A', -17.488020546734333, 13.835997730493546, 1092, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYMF', 'N/A', 'N/A', -17.258462011814117, 12.430777698755264, 277, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKP', 'N/A', 'N/A', -19.240567199885845, 14.502671957015991, 1237, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYPH', 'N/A', 'N/A', -18.10932643711567, 14.410522878170013, 1186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYPN', 'N/A', 'N/A', -18.768684826791286, 12.57873147726059, 294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYPP', 'N/A', 'N/A', -17.37689159810543, 12.254953533411026, 620, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKK', 'N/A', 'N/A', -20.37865061312914, 14.980131536722183, 970, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKF', 'N/A', 'N/A', -20.42922668159008, 14.128483235836029, 493, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY4D', 'N/A', 'N/A', -21.22513197362423, 13.751049935817719, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYTE', 'small_airport', 'Terrace Bay Airport', -19.9713, 13.0249, 32, 'NA', 'NA-KU', 'Terrace Bay', 'no', 'FYTE', 'TCY', '', ''),
	('FYCC', 'N/A', 'N/A', -21.762123964726925, 13.99138480424881, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYAR', 'medium_airport', 'Arandis Airport', -22.461875, 14.979322, 1905, 'NA', 'NA-ER', 'Arandis', 'no', 'FYAR', 'ADI', '', ''),
	('FYKG', 'N/A', 'N/A', -20.450975708663464, 14.287378638982773, 468, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKO', 'N/A', 'N/A', -19.873581267893314, 13.943480104207993, 925, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY37', 'N/A', 'N/A', -19.857445433735847, 14.992053061723709, 1053, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKX', 'N/A', 'N/A', -20.54408960044384, 14.35818761587143, 534, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKQ', 'N/A', 'N/A', -19.9677911773324, 14.77638155221939, 889, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYRR', 'small_airport', 'Rag Rock Airport', -20.53809928894043, 14.433099746704102, 2100, 'NA', 'NA-KU', '', 'no', 'FYRR', '', '', ''),
	('FYUS', 'small_airport', 'Uis Mine Airport', -21.229999542236328, 14.867199897766113, 2644, 'NA', 'NA-ER', 'Uis Mine', 'no', 'FYUS', '', '', ''),
	('FY3K', 'N/A', 'N/A', -19.97670616954565, 13.832682967185974, 775, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OKG', 'N/A', 'N/A', -1.4508135616779327, 15.071739256381989, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZBU', 'small_airport', 'Ipeke Airport', -2.538084, 18.244686, 1017, 'CD', 'CD-MN', 'Ipeke', 'no', 'FZBU', '', '', ''),
	('FCOB', 'small_airport', 'Boundji Airport', -1.03104, 15.336009, 1247, 'CG', 'CG-8', 'Boundji', 'no', 'FCOB', 'BOE', '', ''),
	('FZBV', 'small_airport', 'Kutu-Kempili Airport', -2.729542, 18.106874, 984, 'CD', 'CD-MN', 'Kempili', 'no', 'FZBV', '', '', ''),
	('FCOO', 'medium_airport', 'Owando Airport', -0.53135, 15.9501, 1214, 'CG', 'CG-8', 'Owando', 'no', 'FCOO', 'FTX', '', ''),
	('FCOD', 'medium_airport', 'Oyo Ollombo Airport', -1.226666, 15.91, 1073, 'CG', 'CG-14', 'Oyo', 'no', 'FCOD', 'OLL', '', 'Denis Sassou Nguesso Airport'),
	('FCOM', 'small_airport', 'Makoua Airport', -0.017, 15.583, 1293, 'CG', 'CG-8', 'Makoua', 'no', 'FCOM', 'MKJ', '', ''),
	('FCOG', 'small_airport', 'Gamboma Airport', -1.829403, 15.885237, 1509, 'CG', 'CG-14', 'Gamboma', 'no', 'FCOG', 'GMM', '', ''),
	('FZBI', 'small_airport', 'Nioki Airport', -2.717453, 17.685735, 1043, 'CD', 'CD-MN', 'Nioki', 'yes', 'FZBI', 'NIO', '', ''),
	('FZCD', 'small_airport', 'Vanga Airport', -4.4, 18.466999, 1312, 'CD', 'CD-KL', 'Vanga', 'no', 'FZCD', '', '', ''),
	('FZCZ', 'N/A', 'N/A', -4.539855681359768, 18.572739511728287, 433, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZCS', 'small_airport', 'Kenge Airport', -4.837882, 17.029452, 1808, 'CD', 'CD-KG', 'Kenge', 'no', 'FZCS', '', '', ''),
	('FZCQ', 'N/A', 'N/A', -4.773633666336536, 17.477267235517502, 561, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZCN', 'N/A', 'N/A', -4.139365665614605, 17.575845569372177, 467, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZCE', 'small_airport', 'Lusanga Airport', -4.8, 18.716999, 1365, 'CD', 'CD-KL', 'Lusanga', 'no', 'FZCE', 'LUS', '', ''),
	('FZBL', 'small_airport', 'Djokele Airport', -2.970159, 17.105026, 1007, 'CD', 'CD-MN', 'Djokele', 'no', 'FZBL', '', '', ''),
	('FZBS', 'small_airport', 'Semendwa Airport', -3.237609, 18.133965, 1148, 'CD', 'CD-MN', 'Semendwa', 'no', 'FZBS', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FZBO', 'medium_airport', 'Bandundu Airport', -3.31132, 17.381701, 1063, 'CD', 'CD-KL', 'Bandundu', 'yes', 'FZBO', 'FDU', '', ''),
	('FZDC', 'N/A', 'N/A', -3.4834475442767143, 18.08751806616783, 366, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FCBB', 'medium_airport', 'Maya-Maya Airport', -4.251699924468994, 15.253000259399414, 1048, 'CG', 'CG-12', 'Brazzaville', 'yes', 'FCBB', 'BZV', '', ''),
	('FZCW', 'small_airport', 'Kikongo Sur Wamba Airport', -4.267, 17.267, 1312, 'CD', 'CD-KL', 'Kikongo Sur Wamba', 'no', 'FZCW', '', '', ''),
	('FZAA', 'large_airport', 'Ndjili International Airport', -4.38575, 15.4446, 1027, 'CD', 'CD-KN', 'Kinshasa', 'yes', 'FZAA', 'FIH', '', ''),
	('FZCV', 'small_airport', 'Masi Manimba Airport', -4.783, 17.85, 1952, 'CD', 'CD-KL', 'Masi Manimba', 'no', 'FZCV', 'MSM', '', ''),
	('FZNO', 'N/A', 'N/A', -2.884826436638832, 18.352851569652557, 330, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZDQ', 'small_airport', 'Mazelele Airport', -7.283, 17.033001, 1650, 'CD', 'CD-KG', 'Mazelele', 'no', 'FZDQ', '', '', ''),
	('FZKE', 'N/A', 'N/A', -7.76208221912384, 18.18675398826599, 799, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZDT', 'small_airport', 'Matari Airport', -6.151841, 17.602501, 2559, 'CD', 'CD-KG', 'Matari', 'no', 'FZDT', '', '', ''),
	('FZKH', 'N/A', 'N/A', -7.373756021261215, 18.28433007001877, 1057, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZKD', 'N/A', 'N/A', -6.814724989235401, 17.462929487228394, 794, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNUG', 'medium_airport', 'Uige Airport', -7.60307, 15.0278, 2720, 'AO', 'AO-UIG', 'Uige', 'no', 'FNUG', 'UGO', '', ''),
	('FZCG', 'small_airport', 'Tembo Airport', -7.699422, 17.342288, 2116, 'CD', 'CD-U-A', '', 'no', 'FZCG', '', '', ''),
	('FNMQ', 'small_airport', 'Maquela do Zombo Airport', -6.03028, 15.1369, 3051, 'AO', 'AO-UIG', 'Maquela do Zombo', 'no', 'FNMQ', '', '', ''),
	('FZKW', 'N/A', 'N/A', -6.111232861876488, 18.086286038160324, 919, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNDB', 'small_airport', 'Damba Airport', -6.9, 15.133, 3648, 'AO', 'AO-UIG', 'Damba', 'no', 'FNDB', '', '', ''),
	('FNPB', 'small_airport', 'Sanza Pombo Airport', -7.288999, 15.930191, 3251, 'AO', 'AO-UIG', 'Sanza Pombo', 'no', 'FNPB', '', '', ''),
	('FZDD', 'small_airport', 'Wamba Luadi Airport', -6.473483, 17.337327, 2297, 'CD', 'CD-KG', 'Wamba Luadi', 'no', 'FZDD', '', '', ''),
	('FZKU', 'N/A', 'N/A', -6.513658091425896, 17.244933396577835, 948, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZKS', 'N/A', 'N/A', -6.560491472482681, 16.210668683052063, 840, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZCK', 'small_airport', 'Kajiji Airport', -7.647706, 18.49617, 3510, 'CD', 'CD-KG', 'Kajiji', 'no', 'FZCK', '', '', ''),
	('FZDN', 'small_airport', 'Mongo Wa Kenda Airport', -6.91785, 16.91941, 1804, 'CD', 'CD-KG', 'Mongo Wa Kenda', 'no', 'FZDN', '', '', ''),
	('FZKL', 'N/A', 'N/A', -7.1289850026369095, 17.94809103012085, 955, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNNG', 'medium_airport', 'Negage Airport', -7.754509925842285, 15.287699699401855, 4105, 'AO', 'AO-UIG', 'Negage', 'yes', 'FNNG', 'GXG', '', ''),
	('FNCS', 'N/A', 'N/A', -7.958879582583904, 15.869121551513672, 1163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZKG', 'N/A', 'N/A', -6.4680880308151245, 16.80560454726219, 517, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNLZ', 'small_airport', 'Luzamba Airport', -9.11596012115, 18.049299240099998, 2904, 'AO', 'AO-LNO', 'Luzamba', 'no', 'FNLZ', 'LZM', '', 'Cuango'),
	('FNMA', 'medium_airport', 'Malanje Airport', -9.525090217590332, 16.312400817871094, 3868, 'AO', 'AO-MAL', 'Malanje', 'yes', 'FNMA', 'MEG', '', ''),
	('FNCG', 'N/A', 'N/A', -10.461206585168839, 18.535427302122116, 1308, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCE', 'N/A', 'N/A', -10.902699530124664, 18.06045413017273, 1331, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNNA', 'N/A', 'N/A', -9.770739935338497, 15.456531643867493, 1023, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNML', 'N/A', 'N/A', -10.520174615085125, 15.995865315198898, 1460, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCF', 'small_airport', 'Cafunfo Airport', -8.78361, 17.9897, 0, 'AO', 'AO-LNO', 'Cafunfo', 'no', 'FNCF', 'CFF', '', ''),
	('FNMJ', 'N/A', 'N/A', -9.266591593623161, 15.661519467830658, 1010, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNSR', 'N/A', 'N/A', -9.415797181427479, 18.4348663687706, 989, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCW', 'N/A', 'N/A', -12.398035079240799, 17.546502202749252, 1369, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCD', 'N/A', 'N/A', -11.624449118971825, 18.469507098197937, 1314, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCI', 'N/A', 'N/A', -13.179919794201851, 17.395078092813492, 1451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNKU', 'medium_airport', 'Kuito Airport', -12.404600143433, 16.947399139404, 5618, 'AO', 'AO-BIE', 'Kuito', 'no', 'FNKU', 'SVP', '', ''),
	('FNMF', 'N/A', 'N/A', -13.899864256381989, 17.300044298171997, 1519, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCP', 'N/A', 'N/A', -12.02188577502966, 17.453420162200928, 1504, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNWK', 'small_airport', 'Waco Kungo Airport', -11.4264, 15.1014, 4324, 'AO', 'AO-CUS', 'Waco Kungo', 'no', 'FNWK', 'CEO', '', ''),
	('FNCO', 'N/A', 'N/A', -11.474059000611305, 16.71066462993622, 1690, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNHU', 'medium_airport', 'Nova Lisboa Airport', -12.808899879455566, 15.760499954223633, 5587, 'AO', 'AO-HUA', 'Huambo', 'yes', 'FNHU', 'NOV', '', 'Nova Lisbo Airport'),
	('FNHM', 'N/A', 'N/A', -13.10544490814209, 16.424171179533005, 1693, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCQ', 'N/A', 'N/A', -13.50924577564001, 16.74865812063217, 1641, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCU', 'N/A', 'N/A', -12.143669798970222, 18.085419684648514, 1376, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCK', 'N/A', 'N/A', -13.458650596439838, 15.833426713943481, 1622, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNMB', 'N/A', 'N/A', -15.333847291767597, 16.851811856031418, 1253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNME', 'medium_airport', 'Menongue Airport', -14.657600402832031, 17.71980094909668, 4469, 'AO', 'AO-CCU', 'Menongue', 'yes', 'FNME', 'SPP', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FNMC', 'N/A', 'N/A', -14.4566435739398, 16.296136379241943, 1483, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FN18', 'small_airport', 'Matala Airport', -14.727499961853027, 15.013999938964844, 4120, 'AO', 'AO-HUI', 'Matala', 'no', 'FN18', '', 'FN18', ''),
	('FNMH', 'N/A', 'N/A', -15.216309875249863, 16.054992824792862, 1294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCR', 'N/A', 'N/A', -14.698220081627369, 16.067015826702118, 1498, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNMN', 'N/A', 'N/A', -14.610547721385956, 18.487811386585236, 1400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNMD', 'N/A', 'N/A', -15.712035074830055, 18.650670647621155, 1238, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNMU', 'N/A', 'N/A', -15.704165138304234, 17.45258331298828, 1160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNON', 'N/A', 'N/A', -15.668564178049564, 15.805964916944504, 1231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNMG', 'N/A', 'N/A', -14.64964460581541, 16.885069012641907, 1384, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOV', 'N/A', 'N/A', -19.64006781578064, 17.318391501903534, 1403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYNA', 'small_airport', 'Namutoni Airport', -18.8064, 16.9272, 3579, 'NA', 'NA-OT', 'Namutoni', 'no', 'FYNA', 'NNI', '', ''),
	('FY05', 'N/A', 'N/A', -17.543684095144272, 17.709687799215317, 1159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYHI', 'small_airport', 'Halali Airport', -19.0285, 16.4585, 3639, 'NA', 'NA-OT', 'Halali', 'yes', 'FYHI', 'HAL', '', ''),
	('FYIS', 'N/A', 'N/A', -19.059488587081432, 18.664553314447403, 1196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOO', 'small_airport', 'Okaukuejo Airport', -19.1492, 15.9119, 3911, 'NA', 'NA-KU', 'Okaukuejo', 'no', 'FYOO', 'OKF', '', ''),
	('FYNR', 'N/A', 'N/A', -17.597176395356655, 18.637169748544693, 1130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNGI', 'medium_airport', 'Ngjiva Pereira Airport', -17.0435009003, 15.683799743700002, 3566, 'AO', 'AO-CNN', 'Ngiva', 'yes', 'FNGI', 'VPE', '', 'Ngiva Airport, NGV, Ondjiva, 11 de Novembro'),
	('FYOQ', 'N/A', 'N/A', -19.328817911446095, 15.914475917816162, 1140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYGF', 'medium_airport', 'Grootfontein Airport', -19.6022, 18.1227, 4636, 'NA', 'NA-OD', 'Grootfontein', 'no', 'FYGF', 'GFY', '', ''),
	('FYIR', 'N/A', 'N/A', -19.652538411319256, 18.558467477560043, 1227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOS', 'small_airport', 'Oshakati Airport', -17.797, 15.6993, 3616, 'NA', 'NA-ON', 'Oshakati', 'no', 'FYOS', 'OHI', '', ''),
	('FYEN', 'small_airport', 'Eenhana Airport', -17.483, 16.322001, 3660, 'NA', 'NA-OW', 'Eenhana', 'no', 'FYEN', '', '', ''),
	('FYMO', 'small_airport', 'Mokuti Lodge Airport', -18.812799, 17.059401, 3665, 'NA', 'NA-OT', 'Mokuti Lodge', 'no', 'FYMO', 'OKU', '', ''),
	('FYOA', 'medium_airport', 'Ondangwa Airport', -17.878201, 15.9526, 3599, 'NA', 'NA-ON', 'Ondangwa', 'yes', 'FYOA', 'OND', '', ''),
	('FYOU', 'small_airport', 'Operet Airport', -18.609399795532227, 17.149700164794922, 3625, 'NA', 'NA-OT', 'Operet', 'no', 'FYOU', '', '', ''),
	('FYEE', 'N/A', 'N/A', -17.56603393703699, 17.224815040826797, 1152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYTM', 'medium_airport', 'Tsumeb Airport', -19.26189994812, 17.732500076294, 4353, 'NA', 'NA-OT', 'Tsumeb', 'no', 'FYTM', 'TSB', '', ''),
	('FYLR', 'N/A', 'N/A', -18.978905640542507, 17.861331403255463, 1185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYTU', 'N/A', 'N/A', -18.77470873296261, 17.96981155872345, 1165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYNP', 'N/A', 'N/A', -17.76757076382637, 18.45238521695137, 1136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOH', 'small_airport', 'Okahao Airport', -17.881279, 15.075491, 0, 'NA', 'NA-OS', 'Okahao', 'no', 'FYOH', '', '', ''),
	('FYPI', 'N/A', 'N/A', -17.5756573677063, 15.007473975419998, 1109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYON', 'small_airport', 'Okahandja Airstrip', -22.013900756835938, 16.897499084472656, 4321, 'NA', 'NA-OD', 'Okahandja', 'no', 'FYON', '', '', ''),
	('FY0Y', 'N/A', 'N/A', -21.53605565428734, 16.392865777015686, 1449, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOY', 'N/A', 'N/A', -21.745736673474312, 17.88721740245819, 1685, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYMG', 'small_airport', 'Midgard Airport', -22.0106, 17.37, 5125, 'NA', 'NA-OD', 'Midgard', 'no', 'FYMG', 'MQG', '', ''),
	('FYME', 'small_airport', 'Mount Etjo Airport', -21.0233001709, 16.4528007507, 5000, 'NA', 'NA-OD', 'Mount Etjo Safari Lodge', 'no', 'FYME', 'MJO', '', ''),
	('FY2R', 'N/A', 'N/A', -19.920366369187832, 15.168356895446777, 1176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYPF', 'N/A', 'N/A', -20.602699890732765, 17.469387352466583, 1348, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYGA', 'N/A', 'N/A', -21.982723586261272, 18.50668340921402, 1565, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOT', 'N/A', 'N/A', -22.044973969459534, 16.178363263607025, 1253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOD', 'N/A', 'N/A', -22.168452814221382, 16.30086824297905, 1235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYCV', 'N/A', 'N/A', -21.731722466647625, 18.527295738458633, 1581, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKD', 'small_airport', 'Kalkfeld Airport', -20.901399612426758, 16.207799911499023, 5059, 'NA', 'NA-OD', 'Kalkfeld', 'no', 'FYKD', '', '', ''),
	('FYPV', 'N/A', 'N/A', -20.48682812601328, 17.31379821896553, 1405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKA', 'small_airport', 'Karibib Airport', -21.847799, 15.9028, 3829, 'NA', 'NA-ER', 'Karibib', 'no', 'FYKA', '', '', ''),
	('FY3C', 'N/A', 'N/A', -21.781838536262512, 17.35182836651802, 1518, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYWL', 'N/A', 'N/A', -20.33032089471817, 17.53553420305252, 1403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOF', 'N/A', 'N/A', -21.18758574128151, 16.062723398208618, 1417, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYGZ', 'N/A', 'N/A', -21.850761249661446, 18.388726115226746, 1630, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY04', 'N/A', 'N/A', -20.37422128021717, 16.94442629814148, 1569, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FYOC', 'N/A', 'N/A', -21.11943181604147, 16.087875366210938, 1483, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYSN', 'small_airport', 'Osona Airstrip', -22.107799530029297, 16.979700088500977, 4449, 'NA', 'NA-OD', 'Osona', 'no', 'FYSN', '', '', ''),
	('FYGL', 'small_airport', 'Omaruru Game Lodge Airport', -21.326099, 16.089399, 4226, 'NA', 'NA-ER', 'Omaruru', 'no', 'FYGL', '', '', ''),
	('FYUA', 'N/A', 'N/A', -21.77481383085251, 15.515267550945282, 1068, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYWI', 'small_airport', 'Witvlei Airport', -22.40530014038086, 18.459199905395508, 4800, 'NA', 'NA-OH', 'Witvlei', 'no', 'FYWI', '', '', ''),
	('FYGT', 'N/A', 'N/A', -22.354038879275322, 18.26730340719223, 1523, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYPR', 'N/A', 'N/A', -20.486327558755875, 15.977293699979782, 1194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOJ', 'small_airport', 'Outjo Airport', -20.075300216675, 16.124700546265, 4334, 'NA', 'NA-KU', 'Outjo', 'no', 'FYOJ', '', '', ''),
	('FY57', 'N/A', 'N/A', -21.894284449517727, 16.334266662597656, 1353, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYPS', 'N/A', 'N/A', -21.224876828491688, 16.019927859306335, 1382, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOZ', 'N/A', 'N/A', -21.614313796162605, 16.056021004915237, 1252, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOK', 'N/A', 'N/A', -21.19837861508131, 17.824143916368484, 1437, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYWH', 'large_airport', 'Hosea Kutako International Airport', -22.4799, 17.4709, 5640, 'NA', 'NA-KH', 'Windhoek', 'yes', 'FYWH', 'WDH', '', 'J.G. Strijdom Airport'),
	('FY2T', 'N/A', 'N/A', -22.368922121822834, 16.332001090049744, 1006, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKH', 'N/A', 'N/A', -20.36640264093876, 15.05862146615982, 1006, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOW', 'small_airport', 'Otjiwarongo Airport', -20.4347, 16.660801, 4859, 'NA', 'NA-OD', 'Otjiwarongo', 'no', 'FYOW', 'OTJ', '', ''),
	('FY03', 'N/A', 'N/A', -21.50902435183525, 15.575114786624908, 1160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOI', 'N/A', 'N/A', -20.750643499195576, 16.798127442598343, 1563, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY3D', 'N/A', 'N/A', -19.797587245702744, 15.174686014652252, 1138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOM', 'small_airport', 'Omaruru Airport', -21.415000915527344, 15.93809986114502, 3993, 'NA', 'NA-ER', 'Omaruru', 'no', 'FYOM', '', '', ''),
	('FYOR', 'N/A', 'N/A', -21.75239022821188, 16.494230926036835, 1456, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYPJ', 'N/A', 'N/A', -21.405198387801647, 15.606870353221893, 1064, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZGN', 'small_airport', 'Boende Airport', -0.286652, 20.883551, 1168, 'CD', 'CD-TU', 'Boende', 'yes', 'FZGN', 'BNB', '', ''),
	('FZGF', 'small_airport', 'Bokungu Airport', -0.589819, 22.299843, 1214, 'CD', 'CD-TU', 'Bokungu', 'no', 'FZGF', '', '', ''),
	('FZME', 'N/A', 'N/A', -2.5752877816557884, 20.364506095647812, 379, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZBT', 'small_airport', 'Kiri Airport', -1.499806, 18.928456, 1013, 'CD', 'CD-MN', 'Kiri', 'yes', 'FZBT', 'KRZ', '', 'Basango Moliasa Airport'),
	('FZDR', 'small_airport', 'Bokela Airport', -1.24741, 22.00784, 1210, 'CD', 'CD-TU', 'Bokela', 'no', 'FZDR', '', '', ''),
	('FZEI', 'small_airport', 'Ingende Airport', -0.30953, 18.94545, 1246, 'CD', 'CD-EQ', 'Ingende', 'no', 'FZEI', '', '', ''),
	('FZVM', 'small_airport', 'Mweka Airport', -4.855027, 21.541786, 1968, 'CD', 'CD-KS', 'Mweka', 'no', 'FZVM', 'MEW', '', ''),
	('FZBQ', 'small_airport', 'Bindja Airport', -3.379255, 19.596348, 1201, 'CD', 'CD-MN', 'Bindja', 'no', 'FZBQ', '', '', ''),
	('FZUN', 'small_airport', 'Luebo Airport', -5.35, 21.333, 1640, 'CD', 'CD-KS', 'Luebo', 'no', 'FZUN', '', '', ''),
	('FZVT', 'small_airport', 'Dekese Airport', -3.50612, 21.409121, 1279, 'CD', 'CD-KS', 'Dekese', 'no', 'FZVT', '', '', ''),
	('FZVR', 'small_airport', 'Basongo Airport', -4.315802, 20.414891, 1640, 'CD', 'CD-KS', 'Basongo', 'no', 'FZVR', 'BAN', '', ''),
	('FZLU', 'N/A', 'N/A', -5.303448401391506, 21.40978217124939, 496, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZCA', 'medium_airport', 'Kikwit Airport', -5.03577, 18.785601, 1572, 'CD', 'CD-KL', 'Kikwit', 'yes', 'FZCA', 'KKW', '', ''),
	('FZMG', 'N/A', 'N/A', -4.155638962984085, 19.844495058059692, 441, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZBD', 'small_airport', 'Oshwe Airport', -3.423012, 19.419662, 1150, 'CD', 'CD-MN', 'Oshwe', 'no', 'FZBD', '', '', ''),
	('FZBB', 'small_airport', 'Bongimba Airport', -3.407612, 20.084124, 1476, 'CD', 'CD-MN', 'Bongimba', 'no', 'FZBB', '', '', ''),
	('FZCI', 'small_airport', 'Banga Airport', -5.458965, 20.462208, 2493, 'CD', 'CD-KS', 'Banga', 'no', 'FZCI', '', '', ''),
	('FZLE', 'N/A', 'N/A', -5.476160869002342, 20.98939374089241, 525, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZVS', 'small_airport', 'Ilebo Airport', -4.329919, 20.590124, 1450, 'CD', 'CD-KS', 'Ilebo', 'yes', 'FZVS', 'PFR', '', ''),
	('FZKQ', 'N/A', 'N/A', -4.993004500865936, 19.14962276816368, 702, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZKM', 'N/A', 'N/A', -6.237108260393143, 19.161542057991028, 861, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZTI', 'N/A', 'N/A', -7.243513315916061, 20.886138528585434, 675, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZUG', 'small_airport', 'Luiza Airport', -7.189971, 22.39254, 2890, 'CD', 'CD-KC', 'Luiza', 'no', 'FZUG', 'LZA', '', ''),
	('FZKP', 'N/A', 'N/A', -5.746439695358276, 19.295553267002106, 747, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCH', 'small_airport', 'Chitato Airport', -7.35889, 20.804701, 2500, 'AO', 'AO-LNO', 'Chitato', 'no', 'FNCH', 'PGI', '', ''),
	('FZTB', 'N/A', 'N/A', -6.89859364181757, 21.30279466509819, 725, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZUV', 'small_airport', 'Kalonda Airport', -6.467, 20.799999, 1873, 'CD', 'CD-KS', 'Kalonda', 'no', 'FZUV', '', '', ''),
	('FZUA', 'medium_airport', 'Kananga Airport', -5.90005, 22.4692, 2139, 'CD', 'CD-KC', 'Kananga', 'yes', 'FZUA', 'KGA', '', ''),
	('FZKK', 'N/A', 'N/A', -6.27249900251627, 18.816440105438232, 863, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FZDJ', 'small_airport', 'Mutena Airport', -6.763782, 21.159342, 2395, 'CD', 'CD-KS', 'Mutena', 'no', 'FZDJ', '', '', ''),
	('FNDU', 'medium_airport', 'Dundo Airport', -7.400889873504639, 20.818500518798828, 2451, 'AO', 'AO-LNO', 'Chitato', 'yes', 'FNDU', 'DUE', '', ''),
	('FZKT', 'N/A', 'N/A', -6.045872122049332, 19.341514259576797, 793, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZTP', 'N/A', 'N/A', -6.749911084771156, 20.731341987848282, 610, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZUP', 'small_airport', 'Diboko Airport', -7.00361, 21.2442, 2431, 'CD', 'CD-KS', 'Diboko', 'no', 'FZUP', '', '', ''),
	('FNZG', 'small_airport', 'Nzagi Airport', -7.716939926149999, 21.358200073200003, 2431, 'AO', 'AO-LNO', 'Nzagi', 'no', 'FNZG', 'NZA', '', ''),
	('FZUK', 'small_airport', 'Tshikapa Airport', -6.43833, 20.794701, 1595, 'CD', 'CD-KS', 'Tshikapa', 'yes', 'FZUK', 'TSH', '', ''),
	('FZTA', 'N/A', 'N/A', -6.8701984360814095, 20.9157894551754, 682, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZDP', 'small_airport', 'Mukedi Airport', -5.7, 19.767, 1804, 'CD', 'CD-KL', 'Mukedi', 'no', 'FZDP', '', '', ''),
	('FNCX', 'small_airport', 'Camaxilo Airport', -8.37361, 18.923599, 3957, 'AO', 'AO-LNO', 'Camaxilo', 'no', 'FNCX', 'CXM', '', ''),
	('FZDG', 'small_airport', 'Nyanga Airport', -5.965924, 20.435936, 2231, 'CD', 'CD-KS', 'Nyanga', 'no', 'FZDG', '', '', ''),
	('Z00N', 'N/A', 'N/A', -9.430886283516884, 20.311458259820938, 1063, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNLK', 'small_airport', 'Lucapa Airport', -8.445727348330001, 20.7320861816, 3029, 'AO', 'AO-LNO', 'Lucapa', 'no', 'FNLK', 'LBZ', '', ''),
	('FNSA', 'medium_airport', 'Saurimo Airport', -9.68907, 20.4319, 3584, 'AO', 'AO-LSU', 'Saurimo', 'no', 'FNSA', 'VHC', '', ''),
	('FNLA', 'N/A', 'N/A', -11.209898293018341, 21.648658365011215, 1096, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCC', 'small_airport', 'Cacolo Airport', -10.110278, 19.287304, 4400, 'AO', 'AO-LSU', 'Cacolo', 'no', 'FNCC', '', '', ''),
	('FNCJ', 'N/A', 'N/A', -11.040080599486828, 20.20767644047737, 1257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNLC', 'N/A', 'N/A', -10.703111663460732, 22.160878479480743, 1103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNUA', 'small_airport', 'Luau Airport', -10.7158, 22.2311, 3609, 'AO', 'AO-MOX', 'Luau', 'no', 'FNUA', 'UAL', '', ''),
	('FNSM', 'N/A', 'N/A', -9.149607047438622, 19.285088181495667, 1218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNLM', 'N/A', 'N/A', -11.564045771956444, 20.785709023475647, 1153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNLN', 'N/A', 'N/A', -13.139471746981144, 20.300945341587067, 1203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNUE', 'medium_airport', 'Luena Airport', -11.7681, 19.897699, 4360, 'AO', 'AO-MOX', 'Luena', 'no', 'FNUE', 'LUO', '', ''),
	('FNLE', 'N/A', 'N/A', -12.521774433553219, 20.804900228977203, 1148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNLD', 'N/A', 'N/A', -13.71015328913927, 19.860785007476807, 1248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLKU', 'small_airport', 'Kanyau Airport', -16.5, 22.41699981689453, 3448, 'ZM', 'ZM-01', 'Kanyau', 'no', 'FLKU', '', '', ''),
	('FLKC', 'N/A', 'N/A', -14.204275868833065, 21.910349428653717, 1072, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYRN', 'N/A', 'N/A', -15.789152942597866, 20.368771702051163, 1197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNBL', 'small_airport', 'Lumbala Airport', -14.105106, 21.45083, 3700, 'AO', 'AO-MOX', 'Lumbala N''guimbo', 'no', 'FNBL', 'GGC', '', ''),
	('FNCV', 'small_airport', 'Cuito Cuanavale Airport', -15.1603, 19.156099, 0, 'AO', 'AO-CCU', 'Cuito Cuanavale', 'no', 'FNCV', 'CTI', '', ''),
	('FYNK', 'N/A', 'N/A', -16.39732237905264, 18.97775799036026, 1195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYNU', 'N/A', 'N/A', -16.689435057342052, 19.08362478017807, 1132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLKA', 'N/A', 'N/A', -14.809323884546757, 21.37525498867035, 1175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYSE', 'N/A', 'N/A', -19.237944670021534, 20.22028684616089, 1161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYRD', 'N/A', 'N/A', -17.87931326776743, 19.782126992940903, 1072, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYBN', 'N/A', 'N/A', -17.98193994909525, 20.767726600170135, 1068, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNK', 'N/A', 'N/A', -19.11314282566309, 22.261573523283005, 974, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYBA', 'N/A', 'N/A', -18.02082695066929, 21.437483578920364, 1052, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNN', 'small_airport', 'Nokaneng Airport', -19.6802, 22.1996, 3145, 'BW', 'BW-NW', 'Nokaneng', 'no', 'FBNN', '', '', ''),
	('FYBD', 'N/A', 'N/A', -19.103965647518635, 20.698567181825638, 1105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBSW', 'small_airport', 'Shakawe Airport', -18.373899459838867, 21.832599639892578, 3379, 'BW', 'BW-NW', 'Shakawe', 'yes', 'FBSW', 'SWX', '', ''),
	('FYTK', 'small_airport', 'Tsumkwe Airport', -19.584999084473, 20.452800750732, 3780, 'NA', 'NA-OD', 'Tsumkwe', 'no', 'FYTK', '', '', ''),
	('FBGU', 'small_airport', 'Guma Airport', -18.953997, 22.367073, 3220, 'BW', 'BW-NW', 'Guma', 'no', 'FBGU', '', '', 'Nguma, FB21'),
	('FBHU', 'small_airport', 'Hunda Airport', -19.2765, 22.475646, 3195, 'BW', 'BW-NW', 'Tubu Tree Camp', 'no', 'FBHU', '', '', 'FB25'),
	('FYBI', 'N/A', 'N/A', -18.118448965251446, 21.62340357899666, 1010, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBGM', 'small_airport', 'Gumare Airport', -19.338, 22.1544, 3177, 'BW', 'BW-NW', 'Gumare', 'no', 'FBGM', '', '', 'Gomare'),
	('FYRU', 'medium_airport', 'Rundu Airport', -17.956499099731, 19.719400405884, 3627, 'NA', 'NA-KE', 'Rundu', 'yes', 'FYRU', 'NDU', '', ''),
	('FBNX', 'small_airport', 'Nxamaseri Airport', -18.5992, 22.0696, 3245, 'BW', 'BW-NW', 'Nxamaseri Lodge', 'no', 'FBNX', '', '', 'Nxamasire'),
	('FBTH', 'small_airport', 'Tsodilo Hills Airport', -18.7804, 21.7416, 3288, 'BW', 'BW-NW', 'Tsodilo', 'no', 'FBTH', '', '', 'FB82'),
	('FYSD', 'N/A', 'N/A', -17.983405105769634, 20.534850507974625, 1052, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOE', 'small_airport', 'Omega Airport', -18.0303, 22.189699, 3346, 'NA', 'NA-KE', 'Omega', 'no', 'FYOE', 'OMG', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FBSH', 'N/A', 'N/A', -18.823276832699776, 22.42276355624199, 985, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBGA', 'N/A', 'N/A', -21.62868808954954, 21.38906031847, 1189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBOD', 'small_airport', 'Oakdene Airport', -21.4578, 21.8057, 3810, 'BW', 'BW-GH', 'Oakdene', 'no', 'FBOD', '', '', 'FB58'),
	('FBDA', 'N/A', 'N/A', -22.114718444645405, 22.408026158809662, 1052, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYEK', 'small_airport', 'Epukiro Airport', -21.786699295043945, 19.10610008239746, 4892, 'NA', 'NA-OH', 'Epukiro', 'no', 'FYEK', '', '', ''),
	('FYGD', 'N/A', 'N/A', -22.271215952932835, 19.002140164375305, 1513, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBTA', 'N/A', 'N/A', -20.157912522554398, 22.44966298341751, 942, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBGS', 'small_airport', 'Grassland Airport', -21.7255, 22.362657, 3495, 'BW', 'BW-GH', 'Grassland Lodge', 'no', 'FBGS', '', '', 'FB18'),
	('FYGH', 'N/A', 'N/A', -21.13081008195877, 18.789095878601074, 1441, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBXA', 'small_airport', 'Xai Xai Airport', -19.877718, 21.075295, 3655, 'BW', 'BW-NW', 'Xaxa', 'no', 'FBXA', '', '', 'FB91'),
	('FYTL', 'N/A', 'N/A', -21.843998730182648, 20.737710893154144, 1241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYGE', 'N/A', 'N/A', -21.608069948852062, 19.40710410475731, 1405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBGZ', 'small_airport', 'Ghanzi Airport', -21.6924991607666, 21.658100128173828, 3730, 'BW', 'BW-GH', 'Ghanzi', 'yes', 'FBGZ', 'GNZ', '', ''),
	('FBMU', 'small_airport', 'Mamuno Airport', -22.268095, 20.031092, 4155, 'BW', 'BW-GH', 'Mamuno', 'no', 'FBMU', '', '', 'FB45'),
	('FYGO', 'small_airport', 'Gobabeb Airport', -23.5443, 15.04492, 1381, 'NA', 'NA-ER', 'Gobabeb', 'no', 'FYGO', '', '', ''),
	('FZGV', 'small_airport', 'Ikela Airport', -1.048109, 23.372501, 1283, 'CD', 'CD-TU', 'Ikela', 'no', 'FZGV', 'IKL', '', ''),
	('FZVE', 'small_airport', 'Lomela Airport', -2.290361, 23.35423, 1434, 'CD', 'CD-SA', 'Lomela', 'no', 'FZVE', '', '', ''),
	('FZVI', 'small_airport', 'Lusambo Airport', -4.96167, 23.3783, 1407, 'CD', 'CD-SA', 'Lusambo', 'no', 'FZVI', 'LBO', '', ''),
	('FZLA', 'N/A', 'N/A', -4.226864352822304, 25.183648467063904, 586, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZVN', 'small_airport', 'Wembo-Nyama Airport', -4.122406, 24.511399, 1801, 'CD', 'CD-SA', 'Wembo-Nyama', 'no', 'FZVN', '', '', ''),
	('FZVG', 'small_airport', 'Katako''kombe Airport', -3.457053, 24.423637, 1978, 'CD', 'CD-SA', 'Katako''kombe', 'no', 'FZVG', '', '', ''),
	('FZVJ', 'small_airport', 'Tshumbe Airport', -4.039285, 24.365616, 1804, 'CD', 'CD-SA', 'Tshumbe', 'yes', 'FZVJ', '', '', 'Tshombe'),
	('FZWS', 'small_airport', 'Lubao Airport', -5.389327, 25.743198, 2625, 'CD', 'CD-LO', 'Lubao', 'no', 'FZWS', '', '', ''),
	('FZVA', 'small_airport', 'Lodja Airport', -3.462745, 23.615162, 1647, 'CD', 'CD-SA', 'Lodja', 'yes', 'FZVA', 'LJA', '', ''),
	('FZOA', 'medium_airport', 'Kindu Airport', -2.91917991638, 25.915399551399997, 1630, 'CD', 'CD-MA', 'Kindu', 'yes', 'FZOA', 'KND', '', ''),
	('FZVO', 'small_airport', 'Bena-Dibele Airport', -4.072623, 22.841091, 1738, 'CD', 'CD-SA', 'Bena-Dibele', 'no', 'FZVO', '', '', ''),
	('FZWL', 'small_airport', 'Munkamba Airport', -5.760603, 23.05584, 2230, 'CD', 'CD-KC', 'Munkamba', 'no', 'FZWL', '', '', ''),
	('FZUE', 'closed', 'Lubondaie Airport', -6.50209, 22.45663, 2657, 'CD', 'CD-KC', 'Lubondaie', 'no', '', '', '', 'FZUE'),
	('FZSC', 'small_airport', 'Songa Airport', -8.11293, 25.036898, 3526, 'CD', 'CD-HL', 'Songa', 'no', 'FZSC', '', '', ''),
	('FZWA', 'medium_airport', 'Mbuji Mayi Airport', -6.121240139010001, 23.569000244099996, 2221, 'CD', 'CD-KE', 'Mbuji Mayi', 'yes', 'FZWA', 'MJM', '', ''),
	('FZWE', 'small_airport', 'Mwene-Ditu Airport', -6.980742, 23.434739, 3198, 'CD', 'CD-LO', 'Mwene-Ditu', 'no', 'FZWE', '', '', ''),
	('FZWT', 'small_airport', 'Tunta Airport', -6.120761, 24.546204, 2766, 'CD', 'CD-LO', 'Kabinda', 'no', 'FZWT', 'KBN', '', 'Tunda'),
	('FZKR', 'N/A', 'N/A', -6.906104497611523, 25.977969467639923, 1053, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZSK', 'small_airport', 'Kapanga Airport', -8.371157, 22.647457, 3025, 'CD', 'CD-LU', 'Kapanga', 'no', 'FZSK', 'KAP', '', ''),
	('FZGD', 'N/A', 'N/A', -6.7813847959041595, 23.962914794683456, 781, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZQP', 'small_airport', 'Kisenge Airport', -10.666955, 23.174243, 3412, 'CD', 'CD-LU', 'Kisenge', 'no', 'FZQP', '', '', ''),
	('FZTL', 'small_airport', 'Luena Airport', -9.469211, 25.759335, 2349, 'CD', 'CD-HL', 'Luena', 'no', 'FZTL', '', '', ''),
	('FZSB', 'small_airport', 'Kamina City Airport', -8.728878, 24.991407, 3475, 'CD', 'CD-HL', 'Kamina', 'yes', 'FZSB', 'KMN', '', 'Kamina Ville Airport'),
	('FZDX', 'N/A', 'N/A', -9.227422960102558, 25.830456018447876, 642, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZQU', 'small_airport', 'Lubudi Airport', -9.933, 26, 4541, 'CD', 'CD-HK', 'Lubudi', 'no', 'FZQU', '', '', ''),
	('FZSD', 'small_airport', 'Sandoa Airport', -9.715488, 22.929325, 3022, 'CD', 'CD-LU', 'Sandoa', 'no', 'FZSD', '', '', ''),
	('FZQM', 'medium_airport', 'Kolwezi Airport', -10.7659, 25.505699, 5007, 'CD', 'CD-LU', 'Kolwezi', 'yes', 'FZQM', 'KWZ', '', ''),
	('FLMH', 'N/A', 'N/A', -11.174505203962326, 24.198353737592697, 1249, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZSA', 'medium_airport', 'Kamina Air Base', -8.64202, 25.252899, 3543, 'CD', 'CD-HL', 'Lumwe', 'no', 'FZSA', '', '', ''),
	('FLSJ', 'small_airport', 'Sakeji Airport', -11.23270034790039, 24.3164005279541, 4500, 'ZM', 'ZM-06', 'Sakeji', 'no', 'FLSJ', '', '', ''),
	('FLZB', 'small_airport', 'Zambezi Airport', -13.535996, 23.10559, 3538, 'ZM', 'ZM-06', 'Zambezi', 'no', 'FLZB', 'BBZ', '', ''),
	('FLWG', 'small_airport', 'West Seven Airport', -11.912699699401855, 25.68440055847168, 4000, 'ZM', 'ZM-06', 'Chanika', 'no', 'FLWG', '', '', ''),
	('FLMN', 'N/A', 'N/A', -11.555898562073708, 23.553222566843033, 1118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLMI', 'N/A', 'N/A', -12.12590217590332, 23.477779626846313, 1515, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLWE', 'small_airport', 'West Five Airport', -13.9642000198, 24.4605998993, 3550, 'ZM', 'ZM-01', 'Lipanda', 'no', 'FLWE', '', '', ''),
	('FLPO', 'small_airport', 'Kabompo Airport', -13.576000213623047, 24.229999542236328, 3535, 'ZM', 'ZM-06', 'Kabompo', 'no', 'FLPO', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FLZE', 'N/A', 'N/A', -13.837059661746025, 23.21141615509987, 1065, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLWD', 'small_airport', 'West Four Airport', -13.645400047302246, 25.421899795532227, 3400, 'ZM', 'ZM-06', 'West Four', 'no', 'FLWD', '', '', ''),
	('FLZM', 'N/A', 'N/A', -13.120739869773388, 22.69235372543335, 1045, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLPA', 'small_airport', 'Kasempa Airport', -13.4399995803833, 25.785999298095703, 4150, 'ZM', 'ZM-06', 'Kasempa', 'no', 'FLPA', '', '', ''),
	('FLZA', 'N/A', 'N/A', -12.638401575386524, 22.591684609651566, 1071, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLKN', 'N/A', 'N/A', -13.088068552315235, 25.003758519887924, 1146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNCZ', 'small_airport', 'Cazombo Airport', -11.8931, 22.916239, 3700, 'AO', 'AO-MOX', 'Cazombo', 'no', 'FNCZ', 'CAV', '', ''),
	('FLKM', 'N/A', 'N/A', -13.400376923382282, 24.33505028486252, 1103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLMW', 'small_airport', 'Mwinilunga Airport', -11.654000282287598, 24.430999755859375, 4524, 'ZM', 'ZM-06', 'Mwinilunga', 'no', 'FLMW', '', '', ''),
	('FLKG', 'small_airport', 'Kalengwa Airport', -13.474100112915039, 25.01409912109375, 4093, 'ZM', 'ZM-06', 'Kalengwa', 'no', 'FLKG', '', '', ''),
	('FLMG', 'medium_airport', 'Mongu Airport', -15.2545, 23.1623, 3488, 'ZM', 'ZM-01', 'Mongu', 'no', 'FLMG', 'MNR', '', ''),
	('FLMU', 'small_airport', 'Mulobezi Airport', -16.776633, 25.185803, 3175, 'ZM', 'ZM-01', 'Mulobezi', 'no', 'FLMU', '', '', ''),
	('FLKO', 'small_airport', 'Kaoma Airport', -14.8, 24.783001, 3670, 'ZM', 'ZM-01', 'Kaoma', 'no', 'FLKO', 'KMZ', '', ''),
	('FLMD', 'N/A', 'N/A', -14.604564718902111, 26.169062107801437, 1110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLCU', 'small_airport', 'Chunga Airport', -15.053957, 25.985673, 0, 'ZM', 'ZM-02', '', 'no', 'FLCU', '', '', ''),
	('FLKL', 'small_airport', 'Kalabo Airport', -14.998818, 22.648372, 3450, 'ZM', 'ZM-01', 'Kalabo', 'no', 'FLKL', 'KLB', '', ''),
	('FLLK', 'small_airport', 'Lukulu Airport', -14.375891, 23.248648, 3480, 'ZM', 'ZM-01', 'Lukulu', 'no', 'FLLK', 'LXU', '', ''),
	('FLNA', 'small_airport', 'Ngoma Airport', -15.9658, 25.9333, 3400, 'ZM', 'ZM-07', 'Ngoma', 'no', 'FLNA', 'ZGM', '', ''),
	('FLSN', 'small_airport', 'Senanga Airport', -16.113, 23.2982, 3347, 'ZM', 'ZM-01', 'Senanga', 'no', 'FLSN', 'SXG', '', ''),
	('FYNL', 'N/A', 'N/A', -17.98161070793867, 23.305880427360535, 962, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBKE', 'medium_airport', 'Kasane Airport', -17.832899, 25.162399, 3289, 'BW', 'BW-CH', 'Kasane', 'yes', 'FBKE', 'BBK', '', ''),
	('FBME', 'N/A', 'N/A', -19.467182345688343, 23.378504365682602, 951, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBKS', 'N/A', 'N/A', -17.838615104556084, 25.0313638150692, 932, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYBG', 'N/A', 'N/A', -17.454682029783726, 22.606856524944305, 1005, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBMQ', 'N/A', 'N/A', -19.658721908926964, 22.95491650700569, 952, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBPD', 'N/A', 'N/A', -18.498940095305443, 25.918652415275574, 1041, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLHN', 'N/A', 'N/A', -17.818888798356056, 25.818610936403275, 995, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBKI', 'small_airport', 'Kiri Airport', -19.616197, 23.042473, 3135, 'BW', 'BW-NW', 'Kiri Camp', 'no', 'FBKI', '', '', 'FB34'),
	('FBMB', 'N/A', 'N/A', -19.509358406066895, 23.621283620595932, 942, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBMF', 'N/A', 'N/A', -19.197272323071957, 23.435544669628143, 955, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBKN', 'small_airport', 'Kanana Farm Airport', -21.627363, 21.390602, 3905, 'BW', 'BW-GH', 'Kanana Farm', 'no', '', '', 'FBKN', ''),
	('FBXX', 'N/A', 'N/A', -19.68291476368904, 22.871557474136353, 955, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBMD', 'N/A', 'N/A', -19.529020003974438, 23.13946321606636, 954, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBKD', 'small_airport', 'Kwando - Lagoon Airport', -18.209087, 23.387197, 3150, 'BW', 'BW-NW', 'Lagoon Camp', 'no', 'FBKD', '', '', ''),
	('FBMI', 'N/A', 'N/A', -19.1028743237257, 23.288995027542114, 956, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNB', 'small_airport', 'Nxabega Airport', -19.4902, 22.789192, 3155, 'BW', 'BW-NW', 'Nxabega', 'no', 'FBNB', '', '', 'FB57'),
	('FBXI', 'small_airport', 'Xigera Airport', -19.385485, 22.737648, 3170, 'BW', 'BW-NW', 'Xigera', 'no', 'FBXI', '', '', 'FB95'),
	('FYKW', 'N/A', 'N/A', -18.433678932487965, 23.52996066212654, 949, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBXG', 'small_airport', 'Xugana Airport', -19.049999, 23.09, 0, 'BW', 'BW-NW', '', 'no', 'FBXG', '', '', ''),
	('FBTN', 'small_airport', 'Tonunga Airport', -19.5085, 25.0781, 3145, 'BW', 'BW-CE', 'Tonunga', 'no', 'FBTN', '', '', 'FB78'),
	('FBJA', 'small_airport', 'Jao Airport', -19.3163, 22.5951, 3175, 'BW', 'BW-NW', 'Jao Camp', 'no', 'FBJA', '', '', 'FB26'),
	('FYKI', 'N/A', 'N/A', -18.46098616719246, 23.809214383363724, 943, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKM', 'medium_airport', 'Katima Mulilo Airport', -17.634258, 24.176688, 3144, 'NA', 'NA-CA', 'Mpacha', 'yes', 'FYKM', 'MPA', '', 'FYMP'),
	('FBNA', 'N/A', 'N/A', -19.313787147402763, 22.94922173023224, 960, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBOM', 'small_airport', 'Omdop Airport', -19.0175, 22.703, 3194, 'BW', 'BW-NW', 'Duba Plains Camp', 'no', 'FBOM', '', '', 'FB60, 6262'),
	('FBND', 'N/A', 'N/A', -18.78764670342207, 22.829776257276535, 966, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBKK', 'small_airport', 'Kanana Airport', -19.5688, 22.875575, 3140, 'BW', 'BW-NW', 'Kanana Camp', 'no', 'FBKK', '', '', 'FB29'),
	('FBCM', 'small_airport', 'Cement Airport', -19.541, 22.591, 3155, 'BW', 'BW-NW', 'Cement', 'no', 'FBCM', '', '', 'FB05'),
	('FBPM', 'N/A', 'N/A', -18.619590550661087, 25.502185821533203, 1094, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBCO', 'small_airport', 'Camp Okavango Airport', -19.131115, 23.102505, 3158, 'BW', 'BW-NW', 'Camp Okavango', 'no', 'FBCO', '', '', ''),
	('FYKL', 'N/A', 'N/A', -17.775264009833336, 23.306701183319092, 981, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FBBP', 'small_airport', 'Bottle Pan Airport', -18.7704, 25.2458, 3395, 'BW', 'BW-CH', 'Bottle Pan', 'no', 'FBBP', '', '', 'FB04'),
	('FBNE', 'N/A', 'N/A', -19.31110627949238, 22.90894255042076, 961, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBSI', 'small_airport', 'Saile Airport', -18.1357, 24.067, 3085, 'BW', 'BW-CH', 'Saile', 'no', 'FBSI', '', '', 'FB64'),
	('FBMC', 'N/A', 'N/A', -19.040568955242634, 23.834896087646484, 942, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBGE', 'N/A', 'N/A', -19.329110607504845, 24.841365069150925, 967, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNO', 'N/A', 'N/A', -19.59732111543417, 22.848119884729385, 954, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYLS', 'small_airport', 'Lianshulu Airport', -18.116495, 23.39346, 3143, 'NA', 'NA-CA', 'Lianshulu Lodge', 'no', 'FYLS', 'LHU', '', 'Muneambuanas'),
	('FLLI', 'medium_airport', 'Harry Mwanga Nkumbula International Airport', -17.8218, 25.822701, 3302, 'ZM', 'ZM-07', 'Livingstone', 'yes', 'FLHN', 'LVI', '', 'FLLI'),
	('FBAB', 'small_airport', 'Abu Airport', -19.4159, 22.5526, 3170, 'BW', 'BW-NW', 'Abu''s Camp', 'no', 'FBAB', '', '', 'FB00'),
	('FBNH', 'N/A', 'N/A', -18.878895118832588, 22.713324576616287, 973, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLSS', 'small_airport', 'Sesheke Airport', -17.47632, 24.306089, 3100, 'ZM', 'ZM-01', 'Sesheke', 'no', 'FLSS', 'SJQ', '', ''),
	('FBVM', 'small_airport', 'Vumbura Airport', -18.955395, 22.814533, 3185, 'BW', 'BW-NW', 'Vumbura', 'no', 'FBVM', '', '', 'FB88'),
	('FBKR', 'small_airport', 'Khwai River Lodge Airport', -19.149477, 23.787937, 3000, 'BW', 'BW-NW', 'Khwai River Lodge', 'no', 'FBKR', 'KHW', '', ''),
	('FBMJ', 'N/A', 'N/A', -19.11029063165188, 23.162181079387665, 959, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBDT', 'small_airport', 'Delta Camp Airport', -19.5323, 23.0925, 3140, 'BW', 'BW-NW', 'Delta Camp', 'no', 'FBDT', '', '', 'FB11'),
	('FVFA', 'medium_airport', 'Victoria Falls International Airport', -18.09589958190918, 25.839000701904297, 3490, 'ZW', 'ZW-MN', 'Victoria Falls', 'yes', 'FVFA', 'VFA', '', ''),
	('FBNG', 'N/A', 'N/A', -19.209425412118435, 22.794528007507324, 964, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNC', 'N/A', 'N/A', -18.771189339458942, 23.041815608739853, 961, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBSL', 'small_airport', 'Selinda Airport', -18.579181, 23.483757, 3105, 'BW', 'BW-NW', 'Selinda', 'no', 'FBSL', '', '', 'FB70'),
	('FBNL', 'N/A', 'N/A', -19.09671764820814, 23.651896119117737, 944, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVSV', 'closed', 'Spray View Airport', -17.917, 25.816999, 3210, 'ZW', 'ZW-MN', 'Spray View', 'no', '', '', '', 'FVSV, FVSV'),
	('FYKU', 'N/A', 'N/A', -18.566915653645992, 23.51103499531746, 946, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNF', 'N/A', 'N/A', -19.464060924947262, 22.777449935674667, 963, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBSV', 'small_airport', 'Savuti Airport', -18.518475, 24.077687, 3150, 'BW', 'BW-CH', 'Savuti', 'no', 'FBSV', 'SVT', '', ''),
	('FBXB', 'small_airport', 'Xaxaba Airport', -19.550501, 23.0548, 3100, 'BW', 'BW-NW', 'Xaxaba', 'no', 'FBXB', '', '', ''),
	('FBCH', 'small_airport', 'Chobe Airport', -18.53402, 23.659027, 3113, 'BW', 'BW-NW', '', 'no', 'FBCH', '', '', 'FB08'),
	('FBPN', 'N/A', 'N/A', -18.515338450670242, 25.495334565639496, 1068, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBMR', 'N/A', 'N/A', -19.62628562003374, 23.279457986354828, 947, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBPA', 'small_airport', 'Pandamatenga Airport', -18.5312, 25.6516, 3505, 'BW', 'BW-CH', 'Pandamatenga', 'no', 'FBPA', '', '', ''),
	('FBGT', 'N/A', 'N/A', -19.8724352940917, 24.67919334769249, 934, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBOR', 'small_airport', 'Orapa Airport', -21.265901, 25.319667, 3100, 'BW', 'BW-CE', 'Orapa', 'yes', 'FBOR', 'ORP', '', ''),
	('FBMN', 'medium_airport', 'Maun Airport', -19.97260093688965, 23.431100845336914, 3093, 'BW', 'BW-NW', 'Maun', 'yes', 'FBMN', 'MUB', '', ''),
	('FBMA', 'N/A', 'N/A', -20.185917131602764, 24.17483076453209, 936, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBRP', 'N/A', 'N/A', -21.445735953748226, 23.39964285492897, 992, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBRO', 'N/A', 'N/A', -22.292304150760174, 23.5735385119915, 978, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBDV', 'small_airport', 'Deception Valley Airport', -20.9866, 23.6576, 3185, 'BW', 'BW-NW', 'Deception Valley Lodge', 'no', 'FBDV', '', '', 'FB10'),
	('FBJC', 'small_airport', 'Tsigaro Airport', -20.4563, 25.1507, 3000, 'BW', 'BW-CE', 'Jack''s Camp', 'no', 'FBJC', '', '', 'FB81'),
	('FBSN', 'medium_airport', 'Sua Pan Airport', -20.5534, 26.115801, 2985, 'BW', 'BW-ST', 'Sowa', 'no', 'FBSN', 'SXN', '', ''),
	('FBRA', 'N/A', 'N/A', -20.43147001415491, 24.458053708076477, 928, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNT', 'small_airport', 'Nata Airport', -20.216100692749023, 26.158899307250977, 2690, 'BW', 'BW-CE', 'Nata', 'no', 'FBNT', '', '', ''),
	('FBGW', 'small_airport', 'Gweta Airport', -20.1987, 25.2187, 3050, 'BW', 'BW-CE', 'Gweta', 'no', 'FBGW', '', '', 'FB22'),
	('FBHV', 'small_airport', 'Haina Ventures Airport', -20.9524, 23.669184, 3185, 'BW', 'BW-NW', 'Hainaveld', 'no', 'FBHV', '', '', 'FB23'),
	('FBDE', 'N/A', 'N/A', -22.331078499555588, 23.002432733774185, 1000, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBMS', 'N/A', 'N/A', -21.732331663370132, 24.483245015144348, 985, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBDK', 'N/A', 'N/A', -21.201870515942574, 22.503816783428192, 1079, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZNA', 'medium_airport', 'Goma International Airport', -1.66617, 29.237929, 5089, 'CD', 'CD-NK', 'Goma', 'yes', 'FZNA', 'GOM', '', ''),
	('FZMD', 'small_airport', 'Nzovu Airport', -2.574118, 27.990112, 1970, 'CD', 'CD-SK', 'Nzovu', 'no', 'FZMD', '', '', ''),
	('FZNC', 'small_airport', 'Rutshuru Airport', -1.167, 29.417, 3707, 'CD', 'CD-NK', 'Rutshuru', 'no', 'FZNC', '', '', ''),
	('HUNT', 'N/A', 'N/A', -0.7157173007726669, 29.699987322092056, 1098, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZOS', 'small_airport', 'Kasese Airport', -1.638378, 27.084326, 1863, 'CD', 'CD-MA', 'Kasese', 'no', 'FZOS', '', '', ''),
	('HRYU', 'small_airport', 'Ruhengeri Airport', -1.496873, 29.631343, 6102, 'RW', 'RW-03', 'Ruhengeri', 'no', 'HRYU', 'RHG', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FZNR', 'small_airport', 'Rwindi Airport', -0.796652, 29.28966, 3412, 'CD', 'CD-NK', 'Rwindi', 'no', 'FZNR', '', '', ''),
	('HUNU', 'N/A', 'N/A', -0.6141725555062294, 29.665836095809937, 960, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZOH', 'small_airport', 'Moga Airport', -2.467, 26.799999, 2018, 'CD', 'CD-MA', 'Moga', 'no', 'FZOH', '', '', ''),
	('HUMW', 'small_airport', 'Mweya Airport', -0.194, 29.8941, 3160, 'UG', 'UG-W', 'Mweya', 'no', 'HUMW', '', '', ''),
	('HUKL', 'N/A', 'N/A', -1.2382012233138084, 29.5118947327137, 1616, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZMW', 'small_airport', 'Shabunda Airport', -2.683, 27.333, 1837, 'CD', 'CD-SK', 'Shabunda', 'no', 'FZMW', '', '', ''),
	('FZLQ', 'N/A', 'N/A', -2.447880506515503, 27.435041517019272, 602, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUKB', 'small_airport', 'Kabale Airport', -1.226111, 29.96, 6000, 'UG', 'UG-W', '', 'no', 'HUKB', '', '', ''),
	('FZOC', 'small_airport', 'Kamisuku Airport', -2.55, 26.616667, 0, 'CD', 'CD-MA', 'Kalima', 'no', 'FZOC', '', '', ''),
	('HRYG', 'medium_airport', 'Gisenyi Airport', -1.6771999597549438, 29.258899688720703, 5082, 'RW', 'RW-04', 'Gisenyi', 'no', 'HRYG', 'GYI', '', ''),
	('HUKI', 'N/A', 'N/A', -1.2666665017604828, 29.716666638851166, 1868, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HRZA', 'medium_airport', 'Kamembe Airport', -2.462239980697632, 28.907899856567383, 5192, 'RW', 'RW-04', 'Kamembe', 'yes', 'HRZA', 'KME', '', ''),
	('FZMA', 'medium_airport', 'Bukavu Kavumu Airport', -2.30898, 28.8088, 5643, 'CD', 'CD-SK', 'Kamakombe', 'no', 'FZMA', 'BKY', '', ''),
	('HRYI', 'small_airport', 'Butare Airport', -2.59583, 29.7367, 5801, 'RW', 'RW-05', 'Butare', 'no', 'HRYI', 'BTQ', '', ''),
	('FZOG', 'small_airport', 'Lulingu Tshionka Airport', -2.316583, 27.526245, 1968, 'CD', 'CD-SK', 'Lulingu Tshionka', 'no', 'FZOG', '', '', ''),
	('FZNQ', 'small_airport', 'Obaye Airport', -1.335654, 27.728529, 2000, 'CD', 'CD-NK', 'Obaye', 'no', 'FZNQ', '', '', ''),
	('HRCY', 'N/A', 'N/A', -2.117961086332798, 28.899762332439423, 1515, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZCH', 'N/A', 'N/A', -0.12489035725593567, 29.60920974612236, 976, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZPB', 'small_airport', 'Kamituga Airport', -3.045631, 28.167955, 3871, 'CD', 'CD-SK', 'Kamituga', 'no', 'FZPB', '', '', ''),
	('FZLL', 'N/A', 'N/A', -4.044050686061382, 27.541076838970184, 688, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HBNG', 'N/A', 'N/A', -2.8799042478203773, 29.831651151180267, 1654, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZUB', 'N/A', 'N/A', -4.025068357586861, 27.991551607847214, 748, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZRQ', 'small_airport', 'Kongolo Airport', -5.393898, 26.989932, 1850, 'CD', 'CD-TA', 'Kongolo', 'no', 'FZRQ', 'KOO', '', ''),
	('FZLM', 'N/A', 'N/A', -3.5197358205914497, 27.122016102075577, 573, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZPC', 'small_airport', 'Lugushwa Airport', -3.356858, 27.870898, 2300, 'CD', 'CD-SK', 'Lugushwa', 'no', 'FZPC', '', '', ''),
	('FZMC', 'small_airport', 'Mulungu Airport', -2.975603, 27.868892, 2400, 'CD', 'CD-SK', 'Mulungu', 'no', 'FZMC', '', '', ''),
	('FZLS', 'N/A', 'N/A', -3.247571401298046, 28.114491999149323, 653, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZOE', 'small_airport', 'Kampene Airport', -3.593609, 26.703024, 2034, 'CD', 'CD-MA', 'Kampene', 'no', 'FZOE', '', '', ''),
	('FZUD', 'N/A', 'N/A', -3.3643564581871033, 28.064127266407013, 655, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZOK', 'small_airport', 'Kasongo Airport', -4.524032, 26.60023, 1785, 'CD', 'CD-MA', 'Kasongo', 'no', 'FZOK', '', '', ''),
	('HTPJ', 'N/A', 'N/A', -4.661771133542061, 28.659411817789078, 817, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKA', 'small_airport', 'Kigoma Airport', -4.8862, 29.6709, 2700, 'TZ', 'TZ-08', 'Kigoma', 'yes', 'HTKA', 'TKQ', '', ''),
	('HBBA', 'medium_airport', 'Bujumbura Melchior Ndadaye International Airport', -3.32402, 29.318501, 2582, 'BI', 'BI-BM', 'Bujumbura', 'yes', 'HBBA', 'BJM', '', ''),
	('HBRM', 'N/A', 'N/A', -4.112869128584862, 29.091720432043076, 781, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZQC', 'small_airport', 'Pweto Airport(Old)', -8.466956, 28.889451, 3425, 'CD', 'CD-HK', 'Pweto', 'no', '', '', '', 'PWO, FZQC'),
	('FZRA', 'small_airport', 'Manono Airport', -7.28889, 27.3944, 2077, 'CD', 'CD-TA', 'Manono', 'no', 'FZRA', 'MNO', '', ''),
	('FZRF', 'medium_airport', 'Kalemie Airport', -5.87556, 29.25, 2569, 'CD', 'CD-TA', 'Kalemie', 'yes', 'FZRF', 'FMI', '', ''),
	('FZED', 'N/A', 'N/A', -8.01975030452013, 26.79153621196747, 600, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZRJ', 'small_airport', 'Pepa Airport', -7.717201, 29.809685, 6562, 'CD', 'CD-TA', 'Pepa', 'no', 'FZRJ', '', '', ''),
	('FZRN', 'small_airport', 'Nyunzu Airport', -5.951063, 28.035564, 2297, 'CD', 'CD-TA', 'Nyunzu', 'no', 'FZRN', '', '', ''),
	('HTML', 'small_airport', 'Mahale Airstrip', -6.012913, 29.766937, 2561, 'TZ', 'TZ-08', 'Mahale', 'no', 'HTML', '', '', ''),
	('FZLC', 'N/A', 'N/A', -6.746446341276169, 26.927185356616974, 615, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZRB', 'small_airport', 'Moba Airport', -7.08488, 29.737072, 2953, 'CD', 'CD-TA', 'Moba', 'no', 'FZRB', 'BDV', '', ''),
	('FZRM', 'small_airport', 'Kabalo Airport', -6.083, 26.917, 1840, 'CD', 'CD-TA', 'Kabalo', 'no', 'FZRM', 'KBO', '', ''),
	('FZRO', 'small_airport', 'Luvua Airport', -7.927827, 28.527288, 4298, 'CD', 'CD-HK', 'Katemesha', 'no', 'FZRO', '', '', ''),
	('FZRK', 'small_airport', 'Kansimba Airport', -7.323646, 29.176683, 5413, 'CD', 'CD-TA', 'Kansimba', 'no', 'FZRK', '', '', ''),
	('FZQF', 'small_airport', 'Fungurume Airport', -10.530346, 26.325903, 3855, 'CD', 'CD-LU', 'Fungurume', 'no', 'FZQF', '', '', ''),
	('FLNH', 'N/A', 'N/A', -9.308625496923923, 28.75225380063057, 979, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLMA', 'small_airport', 'Mansa Airport', -11.137, 28.872601, 4101, 'ZM', 'ZM-04', 'Mansa', 'no', 'FLMA', 'MNS', '', ''),
	('FLKB', 'small_airport', 'Kawambwa Airport', -9.798060417175293, 29.091699600219727, 4640, 'ZM', 'ZM-04', 'Kawambwa', 'no', 'FLKB', '', '', ''),
	('FLNE', 'N/A', 'N/A', -8.593169711530209, 28.52765589952469, 1013, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FLNN', 'N/A', 'N/A', -8.89649335294962, 28.277989625930786, 1076, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZQG', 'small_airport', 'Kasenga Airport', -10.35, 28.632999, 3146, 'CD', 'CD-HK', 'Kasenga', 'no', 'FZQG', 'KEC', '', ''),
	('FZRL', 'small_airport', 'Lusinga Airport', -8.933, 27.183001, 5840, 'CD', 'CD-HK', 'Lusinga', 'no', 'FZRL', '', '', ''),
	('FLMS', 'N/A', 'N/A', -10.670076236128807, 28.954910337924957, 1187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZQV', 'small_airport', 'Mitwaba Airport', -8.645, 27.344999, 5240, 'CD', 'CD-HK', 'Mitwaba', 'no', 'FZQV', '', '', ''),
	('FZQW', 'N/A', 'N/A', -9.752743318676949, 27.777034789323807, 1713, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLNC', 'N/A', 'N/A', -9.661468081176281, 28.61874148249626, 928, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KIL', 'small_airport', 'Kilwa Airport', -9.2886, 28.3269, 3120, 'CD', 'CD-HK', 'Kilwa', 'no', '', 'KIL', '', ''),
	('FZQH', 'small_airport', 'Katwe Airport', -10.55, 27.85, 5577, 'CD', 'CD-HK', 'Katwe', 'no', 'FZQH', '', '', ''),
	('FLEH', 'small_airport', 'East Eight Airport', -12.116999626159668, 29.450000762939453, 4000, 'ZM', 'ZM-04', 'Kapu', 'no', 'FLEH', '', '', ''),
	('FLEA', 'small_airport', 'East One Airport', -11.635700225830078, 29.73590087890625, 3900, 'ZM', 'ZM-04', 'Bwambwa', 'no', 'FLEA', '', '', ''),
	('FLSW', 'small_airport', 'Solwesi Airport', -12.173700332641602, 26.365100860595703, 4551, 'ZM', 'ZM-06', 'Solwesi', 'yes', 'FLSW', 'SLI', '', 'Solwezi Airport'),
	('FLML', 'small_airport', 'Mufulira Airport', -12.565199851989746, 28.294300079345703, 4350, 'ZM', 'ZM-08', 'Mufulira', 'no', 'FLML', '', '', ''),
	('FLWC', 'small_airport', 'West Three Airport', -13.353499, 26.600031, 3650, 'ZM', 'ZM-06', 'Nyoka', 'no', 'FLWC', '', '', ''),
	('FLKI', 'N/A', 'N/A', -12.74610634893179, 28.22394758462906, 1214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLKE', 'medium_airport', 'Kasompe Airport', -12.572799682617, 27.893899917603, 4636, 'ZM', 'ZM-08', 'Chingola', 'no', 'FLKE', 'CGJ', '', ''),
	('FLWA', 'small_airport', 'West One Airport', -12.854900360107422, 27.072200775146484, 4000, 'ZM', 'ZM-08', 'Chinka', 'no', 'FLWA', '', '', ''),
	('FZQA', 'medium_airport', 'Lubumbashi International Airport', -11.5913000107, 27.5308990479, 4295, 'CD', 'CD-HK', 'Lubumbashi', 'yes', 'FZQA', 'FBM', '', ''),
	('FLSK', 'medium_airport', 'Simon Mwansa Kapwepwe International Airport', -12.961667, 28.516667, 4308, 'ZM', 'ZM-08', 'Ndola', 'yes', 'FLSK', 'NLA', '', ''),
	('FLWB', 'small_airport', 'West Two Airport', -13.766400337219238, 27.51729965209961, 3760, 'ZM', 'ZM-08', 'Metamba', 'no', 'FLWB', '', '', ''),
	('FLME', 'N/A', 'N/A', -13.636687248945236, 27.757315635681152, 1197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLSO', 'medium_airport', 'Southdowns Airport', -12.9005, 28.1499, 4145, 'ZM', 'ZM-08', 'Kitwe', 'no', 'FLSO', 'KIW', '', ''),
	('FLLA', 'small_airport', 'Luanshya Zambia Airport', -13.143052, 28.426517, 4101, 'ZM', 'ZM-08', 'Luanshya', 'no', 'FLLA', '', '', ''),
	('FLEG', 'small_airport', 'East Seven Airport', -12.449999809265137, 29.482999801635742, 4000, 'ZM', 'ZM-04', 'Kanshela', 'no', 'FLEG', '', '', ''),
	('FLWF', 'small_airport', 'West Six Airport', -12.218362, 27.488995, 4000, 'ZM', 'ZM-06', 'Kauni', 'no', 'FLWF', '', '', ''),
	('FLKW', 'small_airport', 'Milliken Airport', -14.4506, 28.3792, 3920, 'ZM', 'ZM-02', 'Kabwe', 'no', 'FLKW', '', '', ''),
	('FLKK', 'N/A', 'N/A', -15.33077783882618, 28.45261126756668, 1147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVTA', 'small_airport', 'Tashinga Airport', -16.824147, 28.443215, 1630, 'ZW', 'ZW-MW', 'Tashinga', 'no', 'FVTA', '', '', ''),
	('FLNL', 'small_airport', 'Namwala Airport', -15.765000343322754, 26.431900024414063, 3200, 'ZM', 'ZM-07', 'Namwala', 'no', 'FLNL', '', '', ''),
	('FVCT', 'N/A', 'N/A', -16.147174537181854, 29.415326714515686, 512, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVFG', 'small_airport', 'Fothergill Airport', -16.704523, 28.660112, 1630, 'ZW', 'ZW-MW', 'Fothergill', 'no', 'FVFG', '', '', ''),
	('FLCN', 'N/A', 'N/A', -15.377768129110336, 28.534162044525146, 1117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLMZ', 'small_airport', 'Mazabuka Airport', -15.861332, 27.828324, 3450, 'ZM', 'ZM-07', 'Mazabuka', 'no', 'FLMZ', '', '', ''),
	('FVRI', 'small_airport', 'Kipling''s Rukari Airstrip', -16.855422, 28.427034, 1660, 'ZW', 'ZW-MW', '', 'no', 'FVRI', '', '', ''),
	('FVCU', 'N/A', 'N/A', -15.913349948823452, 28.861168920993805, 418, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVCD', 'small_airport', 'Chirundu Airport', -15.998082, 28.899056, 1310, 'ZW', 'ZW-MW', 'Chirundu', 'no', 'FVCD', '', '', ''),
	('FLCM', 'N/A', 'N/A', -16.37383796274662, 26.800354421138763, 1128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLLC', 'medium_airport', 'Lusaka City Airport', -15.4138, 28.3307, 4200, 'ZM', 'ZM-09', 'Lusaka', 'no', 'FLLC', '', '', ''),
	('FLRZ', 'small_airport', 'Royal Zambezi Lodge Airstrip', -15.724789, 29.303541, 1243, 'ZM', 'ZM-09', 'Lower Zambezi River', 'no', 'FLRZ', 'RYL', '', ''),
	('FLND', 'medium_airport', 'Peter Zuze Air Force Base', -12.997222, 28.663889, 4170, 'ZM', 'ZM-08', 'Ndola', 'yes', 'FLND', '', '', 'NLA, Ndola Airport'),
	('FLJK', 'small_airport', 'Jeki Airport', -15.6334, 29.6036, 1165, 'ZM', 'ZM-09', 'Jeki', 'no', 'FLJK', 'JEK', '', ''),
	('FLKD', 'N/A', 'N/A', -14.608374461531639, 28.342654556035995, 1161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLLE', 'N/A', 'N/A', -15.607556663453579, 29.806777238845825, 351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVRF', 'small_airport', 'Rifa Airstrip', -16.31318, 28.898235, 1350, 'ZW', 'ZW-MW', 'Hurungwe', 'no', 'FVRF', '', '', 'A Camp, Sharu'),
	('FVMN', 'small_airport', 'Mana Pools Airport', -15.768735, 29.385617, 1300, 'ZW', 'ZW-MW', 'Hurungwe', 'no', 'FVMN', '', '', ''),
	('FLNK', 'N/A', 'N/A', -15.814630910754204, 27.968515008687973, 1005, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLLB', 'N/A', 'N/A', -15.091311894357204, 28.273436576128006, 1173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLNB', 'N/A', 'N/A', -15.931103825569153, 27.9571071267128, 1118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLLM', 'N/A', 'N/A', -15.647877641022205, 29.88098904490471, 367, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVDC', 'N/A', 'N/A', -15.77920027077198, 29.19470965862274, 367, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLCC', 'small_airport', 'Chocha Airport', -8.428730010986328, 29.80590057373047, 3270, 'ZM', 'ZM-05', 'Chocha', 'no', 'FLCC', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FLKF', 'N/A', 'N/A', -15.729348063468933, 28.09305176138878, 986, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLLL', 'N/A', 'N/A', -15.64810361713171, 29.987024813890457, 348, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLCA', 'N/A', 'N/A', -15.002617612481117, 28.0847829580307, 1128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVDD', 'N/A', 'N/A', -15.956166051328182, 29.27461802959442, 420, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLCI', 'N/A', 'N/A', -14.855646975338459, 28.30885738134384, 1112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLMM', 'N/A', 'N/A', -15.07124125957489, 27.1870319545269, 1217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLSV', 'N/A', 'N/A', -16.463007666170597, 28.668742775917053, 494, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVBM', 'small_airport', 'Bumi Hills Airport', -16.816485, 28.344786, 1650, 'ZW', 'ZW-MW', 'Bumi', 'no', 'FVBM', 'BZH', '', ''),
	('FVCS', 'N/A', 'N/A', -15.695419125258923, 29.576329439878464, 381, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLGW', 'N/A', 'N/A', -16.78729645907879, 28.00777941942215, 500, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLCB', 'N/A', 'N/A', -14.943633154034615, 28.11387687921524, 1189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVDB', 'N/A', 'N/A', -15.835326835513115, 29.174310117959976, 371, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLNM', 'N/A', 'N/A', -15.774994231760502, 27.84030094742775, 990, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVGG', 'small_airport', 'Gachegache Airport', -16.748077, 28.930312, 1665, 'ZW', 'ZW-MW', 'Gache Gache', 'no', 'FVGG', '', '', ''),
	('FVKB', 'medium_airport', 'Kariba International Airport', -16.5198, 28.885, 1706, 'ZW', 'ZW-MW', 'Kariba', 'no', 'FVKB', 'KAB', '', ''),
	('FLMC', 'N/A', 'N/A', -16.0094441100955, 27.248970866203308, 1033, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLSI', 'N/A', 'N/A', -17.212618365883827, 27.48672366142273, 506, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVMF', 'small_airport', 'Mabikwa Airport', -18.732999801635742, 27.533000946044922, 3450, 'ZW', 'ZW-MN', 'Mabikwa', 'no', 'FVMF', '', '', ''),
	('FVCO', 'N/A', 'N/A', -18.16408272832632, 29.96415764093399, 1151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVKK', 'small_airport', 'Kwekwe Airport', -18.9333, 29.8428, 4000, 'ZW', 'ZW-MI', 'Kwekwe', 'no', 'FVKK', '', '', ''),
	('FVED', 'small_airport', 'Eduan Airport', -18.767000198364258, 29.783000946044922, 3900, 'ZW', 'ZW-MI', 'Eduan', 'no', 'FVED', '', '', ''),
	('FVBG', 'N/A', 'N/A', -17.814803458750248, 27.171490341424942, 541, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVWT', 'small_airport', 'Hwange (Town) Airport', -18.362967, 26.519791, 2500, 'ZW', 'ZW-MN', 'Hwange', 'no', 'FVWT', 'WKI', '', ''),
	('FVIY', 'N/A', 'N/A', -18.99944130331278, 28.896873593330383, 1144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVGW', 'small_airport', 'Gweru Airport', -19.549362, 29.735388, 4660, 'ZW', 'ZW-MI', 'Gweru', 'no', 'FVGW', '', '', ''),
	('FVML', 'small_airport', 'Mlibizi Airstrip', -17.9604, 27.1184, 1980, 'ZW', 'ZW-MN', 'Mlibizi', 'no', 'FVML', '', '', 'Mibizi'),
	('FVWN', 'medium_airport', 'Hwange National Park Airport', -18.629899978637695, 27.020999908447266, 3543, 'ZW', 'ZW-MN', 'Hwange', 'no', 'FVWN', 'HWN', '', ''),
	('FVBI', 'small_airport', 'Binga Airport', -17.647513, 27.316859, 1950, 'ZW', 'ZW-MN', 'Binga', 'no', 'FVBI', '', '', ''),
	('FVTB', 'small_airport', 'Tiger Bay Airstrip', -16.911231, 28.426079, 1720, 'ZW', 'ZW-MW', 'Kariba', 'no', 'FVTB', '', '', ''),
	('FVDE', 'small_airport', 'Deka Airport', -18.093208, 26.714038, 1750, 'ZW', 'ZW-MN', 'Deka', 'no', 'FVDE', '', '', ''),
	('FVLN', 'N/A', 'N/A', -19.281334094703197, 27.648935168981552, 1005, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVGO', 'small_airport', 'Gokwe Airport', -18.238705, 28.96625, 4199, 'ZW', 'ZW-MI', 'Gokwe', 'no', 'FVGO', '', '', ''),
	('FLSG', 'N/A', 'N/A', -17.34577763825655, 27.63483703136444, 549, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVGF', 'N/A', 'N/A', -17.536594681441784, 28.332028537988663, 908, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLSZ', 'N/A', 'N/A', -17.05039769411087, 28.001680076122284, 497, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVDZ', 'N/A', 'N/A', -17.689600624144077, 29.023846685886383, 874, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVZC', 'small_airport', 'Zisco Airport', -19.029, 29.721901, 3975, 'ZW', 'ZW-MI', 'Zisco', 'no', 'FVZC', '', '', ''),
	('FVHW', 'N/A', 'N/A', -18.576166592538357, 26.320879608392715, 955, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVDT', 'N/A', 'N/A', -19.127776958048344, 27.200401425361633, 995, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVGE', 'N/A', 'N/A', -18.16713910549879, 28.234747499227524, 889, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVTL', 'medium_airport', 'Gweru - Thornhill Air Base', -19.436718, 29.861945, 4680, 'ZW', 'ZW-MI', 'Gweru', 'no', 'FVTL', 'GWE', '', ''),
	('FVCM', 'small_airport', 'Cam+Motor Airport', -18.299999, 29.979444, 3720, 'ZW', 'ZW-MW', 'Cam+Motor', 'no', 'FVCM', '', '', ''),
	('FLLO', 'small_airport', 'Kalomo Airport', -16.982999801635742, 26.482999801635742, 4100, 'ZM', 'ZM-07', 'Kalomo', 'no', 'FLLO', '', '', ''),
	('FVLP', 'N/A', 'N/A', -18.927604369819164, 27.80643492937088, 1023, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLMB', 'small_airport', 'Maamba Airport', -17.367401, 27.185162, 2050, 'ZM', 'ZM-07', 'Maamba', 'no', 'FLMB', '', '', ''),
	('FWNG', 'N/A', 'N/A', -18.724816292524338, 26.956893503665924, 1074, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVBN', 'N/A', 'N/A', -17.515804544091225, 27.501686364412308, 574, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVGK', 'N/A', 'N/A', -17.95906238257885, 28.27039584517479, 940, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVGN', 'N/A', 'N/A', -21.383791342377663, 28.996172547340393, 786, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBMV', 'N/A', 'N/A', -21.877217553555965, 26.350343227386475, 1127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVBT', 'N/A', 'N/A', -21.44159395247698, 29.887862652540207, 705, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FVGD', 'small_airport', 'Gwanda Airport', -20.899999618530273, 29, 3328, 'ZW', 'ZW-MS', 'Gwanda', 'no', 'FVGD', '', '', ''),
	('FVZV', 'N/A', 'N/A', -20.522601082921028, 29.87622007727623, 1098, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVM', 'small_airport', 'Venetia Mine Airport', -22.448099, 29.3377, 2333, 'ZA', 'ZA-NP', 'Alldays', 'no', 'FAVM', '', '', ''),
	('FVTU', 'small_airport', 'Tuli Airport', -21.934925079345703, 29.196338653564453, 1940, 'ZW', 'ZW-MS', 'Tuli', 'no', 'FVTU', '', '', ''),
	('FBMT', 'N/A', 'N/A', -22.041776105761528, 29.024516344070435, 630, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBGY', 'small_airport', 'Grundy''s Airport', -21.40437, 27.694864, 3055, 'BW', 'BW-NE', 'Grundy''s Lodge', 'no', 'FBGY', '', '', 'FB19'),
	('FBGO', 'N/A', 'N/A', -21.679750978946686, 29.218270629644394, 712, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVBE', 'N/A', 'N/A', -21.457039788365364, 29.71686065196991, 701, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVTS', 'small_airport', 'Tsholothso Airport', -19.765526, 27.766464, 3580, 'ZW', 'ZW-MN', 'Tsholothso', 'no', 'FVTS', '', '', ''),
	('FBFT', 'medium_airport', 'P G Matante Intl', -21.15914, 27.468545, 3283, 'BW', 'BW-FR', 'Francistown', 'yes', 'FBPM', 'FRW', '', 'FBFT'),
	('FVRB', 'small_airport', 'Barberton Lodge Airfield', -21.12863, 29.871943, 2650, 'ZW', 'ZW-MI', 'Mwenezi', 'no', 'FVRB', '', '', 'Barberton, Barberton Lodge, Bubiana Conservancy Zimbabwe'),
	('FBMH', 'N/A', 'N/A', -22.073791958391666, 29.106797575950623, 608, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVGH', 'N/A', 'N/A', -21.019687838852406, 29.226367324590683, 909, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVPL', 'small_airport', 'Plumtree Airport', -20.482999801635742, 27.783000946044922, 4527, 'ZW', 'ZW-MS', 'Plumtree', 'no', 'FVPL', '', '', ''),
	('FVBU', 'medium_airport', 'Joshua Mqabuko Nkomo International Airport', -20.017401, 28.617901, 4359, 'ZW', 'ZW-BU', 'Bulawayo', 'yes', 'FVJN', 'BUQ', '', ''),
	('FBSP', 'medium_airport', 'Selebi Phikwe Airport', -22.0583, 27.8288, 2925, 'BW', 'BW-SP', 'Selebi Phikwe', 'yes', 'FBSP', 'PKW', '', ''),
	('FBTL', 'small_airport', 'Tuli Lodge Airport', -22.191897, 29.131229, 1772, 'BW', 'BW-CE', 'Tuli Lodge', 'yes', 'FBTL', 'TLD', '', 'FBLV, Limpopo Valley'),
	('FVFI', 'small_airport', 'Filabusi Airport', -20.535814, 29.256185, 3525, 'ZW', 'ZW-MS', 'Filabusi', 'no', 'FVFI', '', '', ''),
	('FVES', 'N/A', 'N/A', -20.221177116036415, 28.952939361333847, 1188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVIN', 'small_airport', 'Induna Airport', -20.08300018310547, 28.700000762939453, 4489, 'ZW', 'ZW-MN', 'Induna', 'no', 'FVIN', '', '', ''),
	('FB53', 'N/A', 'N/A', -22.054685913026333, 28.9980585873127, 630, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVGA', 'N/A', 'N/A', -21.0484629124403, 29.352052062749863, 871, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAMS', 'medium_airport', 'Morningside Farm Airport', -25.7045001984, 26.9090003967, 4251, 'ZA', 'ZA-NW', 'Silveroaks', 'no', 'FAMS', '', '', ''),
	('FVPU', 'N/A', 'N/A', -20.5572522059083, 27.695459872484207, 1299, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYWB', 'medium_airport', 'Walvis Bay Airport', -22.9799, 14.6453, 299, 'NA', 'NA-ER', 'Walvis Bay', 'yes', 'FYWB', 'WVB', '', ''),
	('FYMB', 'small_airport', 'Meob Bay Landing Site', -24.617235, 14.697224, 20, 'NA', 'NA-HA', 'Meob Bay', 'no', 'FYMB', '', '', ''),
	('FYSM', 'small_airport', 'Swakopmund Municipal Aerodrome', -22.6619, 14.5681, 207, 'NA', 'NA-ER', 'Swakopmund', 'no', 'FYSM', 'SWP', '', ''),
	('FY1P', 'N/A', 'N/A', -26.154285818338394, 14.952764064073563, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYWC', 'N/A', 'N/A', -22.77687706053257, 17.28630781173706, 1811, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOX', 'N/A', 'N/A', -23.29125702381134, 16.108890920877457, 1138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYMR', 'N/A', 'N/A', -24.434274695813656, 18.10406506061554, 1207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYMH', 'small_airport', 'Maltahoehe Airstrip', -24.771900177001953, 16.979400634765625, 4511, 'NA', 'NA-HA', 'Maltahoehe', 'no', 'FYMH', '', '', ''),
	('FYHM', 'N/A', 'N/A', -24.11010291427374, 17.56465494632721, 1257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYIC', 'N/A', 'N/A', -23.731139972805977, 18.149093985557556, 1284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYMA', 'N/A', 'N/A', -24.83739361166954, 15.907604992389679, 891, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY1Q', 'N/A', 'N/A', -24.092904925346375, 17.305803447961807, 1287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYRO', 'N/A', 'N/A', -23.79053581506014, 16.658965498209, 1555, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYSS', 'small_airport', 'Sesriem Airstrip', -24.512800216675, 15.746700286865, 2454, 'NA', 'NA-HA', '', 'no', 'FYSS', 'SZM', '', ''),
	('FYHV', 'small_airport', 'Hartmann Valley Airstrip', -17.377134, 12.254745, 2045, 'NA', 'NA-KU', '', 'no', 'FYHV', '', '', ''),
	('FYMQ', 'N/A', 'N/A', -24.18063562363386, 15.977686643600464, 1088, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYGK', 'small_airport', 'Farm Whitwater East Landing Strip', -24.629999, 15.9392, 857, 'NA', 'NA-HA', 'Desert Homestead', 'no', 'FYGK', '', '', ''),
	('FYRT', 'N/A', 'N/A', -23.275660648941994, 17.72146850824356, 1380, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY4C', 'N/A', 'N/A', -22.81661968678236, 17.552682906389236, 1606, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYNG', 'N/A', 'N/A', -24.61836375296116, 15.998015999794006, 934, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYHU', 'N/A', 'N/A', -23.46310582011938, 18.02059382200241, 1335, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYMN', 'N/A', 'N/A', -24.491390325129032, 15.81831157207489, 804, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYSO', 'small_airport', 'Solitaire Airport', -23.900800704956055, 16.00469970703125, 3488, 'NA', 'NA-KH', 'Solitaire', 'no', 'FYSO', '', '', ''),
	('FYPO', 'small_airport', 'Pokweni Glider Airport', -23.649999618530273, 17.729999542236328, 4177, 'NA', 'NA-HA', '', 'no', 'FYPO', '', '', ''),
	('FYIJ', 'N/A', 'N/A', -23.474561870098114, 17.94753223657608, 1345, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYNH', 'N/A', 'N/A', -24.723564013838768, 16.03995770215988, 1010, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYHB', 'N/A', 'N/A', -24.232315756380558, 18.409333527088165, 1197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FYBJ', 'small_airport', 'Bitterwasser Lodge & Flying Club Airfield', -23.875, 17.9911003113, 4167, 'NA', 'NA-HA', 'Bitterwasser', 'no', 'FYBJ', '', '', ''),
	('FYHO', 'small_airport', 'Hoanib Airstrip', -19.3864, 13.1327, 936, 'NA', 'NA-KU', '', 'no', 'FYHO', '', '', ''),
	('FYSC', 'N/A', 'N/A', -23.417544476687908, 16.506903916597366, 1702, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYRA', 'N/A', 'N/A', -23.99478066712618, 15.930108278989792, 983, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYZR', 'N/A', 'N/A', -24.524917267262936, 16.29705101251602, 1315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYMM', 'N/A', 'N/A', -24.88841123878956, 16.197669357061386, 1483, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY4B', 'N/A', 'N/A', -22.859520614147186, 17.584302574396133, 1577, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYGV', 'small_airport', 'Gravenstein Prv Airport', -23.458900451660156, 17.497800827026367, 4370, 'NA', 'NA-KH', '', 'no', 'FYGV', '', '', ''),
	('FYHD', 'N/A', 'N/A', -23.28012116253376, 18.63349199295044, 1312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYWE', 'medium_airport', 'Eros Airport', -22.612199783325195, 17.080400466918945, 5575, 'NA', 'NA-KH', 'Windhoek', 'yes', 'FYWE', 'ERS', '', ''),
	('FYSL', 'small_airport', 'Sossusvlei Mountain Lodge Airport', -24.803300857544, 15.89109992981, 2844, 'NA', 'NA-HA', 'Sossusvlei Desert Lodge', 'no', 'FYSL', '', '', ''),
	('FYLW', 'N/A', 'N/A', -25.000299587845802, 18.53300705552101, 1154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYID', 'N/A', 'N/A', -23.651302345097065, 18.384575843811035, 1278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYHL', 'N/A', 'N/A', -23.33137482404709, 17.94266179203987, 1364, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYHJ', 'N/A', 'N/A', -24.077845327556133, 17.60927528142929, 1238, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY16', 'N/A', 'N/A', -23.099645040929317, 15.536273717880249, 981, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYHF', 'N/A', 'N/A', -23.361906744539738, 17.80149757862091, 1360, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYMS', 'N/A', 'N/A', -24.673127755522728, 15.791660696268082, 731, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYOL', 'N/A', 'N/A', -23.542372472584248, 15.839192122220993, 889, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYWD', 'small_airport', 'Wolwedans Airport', -25.116899490356445, 16.000600814819336, 3271, 'NA', 'NA-HA', '', 'no', 'FYWD', '', '', ''),
	('FYML', 'medium_airport', 'Mariental Airport', -24.6054, 17.9254, 3650, 'NA', 'NA-HA', 'Mariental', 'no', 'FYML', '', '', ''),
	('FYII', 'N/A', 'N/A', -23.53082086890936, 17.9958213865757, 1331, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYHX', 'N/A', 'N/A', -24.078447483479977, 18.18333238363266, 1216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYGI', 'N/A', 'N/A', -22.97119002789259, 18.194116204977036, 1403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYMT', 'N/A', 'N/A', -24.962882101535797, 16.013854444026947, 965, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYRS', 'N/A', 'N/A', -23.311114758253098, 17.040139138698578, 1485, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYIE', 'N/A', 'N/A', -23.69310826063156, 18.27240139245987, 1278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYIK', 'N/A', 'N/A', -23.32042470574379, 17.842987775802612, 1364, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYHQ', 'N/A', 'N/A', -23.745768405497074, 17.912383675575256, 1286, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY0O', 'N/A', 'N/A', -23.394458703696728, 16.164956241846085, 1160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYST', 'small_airport', 'Strate Airport', -23.96780014038086, 18.548900604248047, 4019, 'NA', 'NA-HA', '', 'no', 'FYST', '', '', ''),
	('FYHK', 'N/A', 'N/A', -23.859647624194622, 17.856482416391373, 1233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYRE', 'N/A', 'N/A', -22.953923977911472, 17.641859650611877, 1509, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYIL', 'N/A', 'N/A', -23.25868058949709, 17.97034353017807, 1377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYAA', 'small_airport', 'Ai-Ais Airport', -27.995, 17.5966, 2000, 'NA', 'NA-KA', 'Ai-Ais', 'no', 'FYAA', 'AIW', '', ''),
	('FYPL', 'N/A', 'N/A', -28.10992866754532, 16.89244508743286, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYAS', 'small_airport', 'Aus Airport', -26.693899, 16.318899, 4856, 'NA', 'NA-KA', 'Aus', 'no', 'FYAS', '', '', ''),
	('FYBB', 'N/A', 'N/A', -25.86409293115139, 16.815684288740158, 1399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYLZ', 'medium_airport', 'Luderitz Airport', -26.687400817871094, 15.242899894714355, 457, 'NA', 'NA-KA', 'Luderitz', 'yes', 'FYLZ', 'LUD', '', ''),
	('FYKT', 'medium_airport', 'Keetmanshoop Airport', -26.539801, 18.111401, 3506, 'NA', 'NA-KA', 'Keetmanshoop', 'no', 'FYKT', 'KMP', '', ''),
	('FYKB', 'small_airport', 'Karasburg Airport', -28.0297, 18.7385, 3275, 'NA', 'NA-KA', 'Karasburg', 'no', 'FYKB', 'KAS', '', ''),
	('FYBC', 'small_airport', 'Bethanien Airport', -26.5448, 17.1816, 3260, 'NA', 'NA-KA', 'Bethanien', 'no', 'FYBC', '', '', ''),
	('FYSA', 'small_airport', 'Skorpion Mine Airport', -27.8764, 16.6478, 1870, 'NA', 'NA-KA', 'Rosh Pinah', 'no', 'FYSA', 'RHN', '', ''),
	('FYPT', 'N/A', 'N/A', -28.06329645216465, 17.023304253816605, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY1A', 'N/A', 'N/A', -27.504470944404602, 17.52638876438141, 908, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYXX', 'small_airport', 'Canon Lodge Airport', -27.659700393676758, 17.837799072265625, 3058, 'NA', 'NA-KA', '', 'no', 'FYXX', '', '', ''),
	('FYAK', 'small_airport', 'Aussenkehr Airport', -28.4587, 17.4645, 970, 'NA', 'NA-KA', 'Aussenkehr', 'no', 'FYAK', '', '', ''),
	('FYND', 'N/A', 'N/A', -28.70321050286293, 17.621263414621353, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATY', 'N/A', 'N/A', -30.18715638667345, 17.282729297876358, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYWR', 'N/A', 'N/A', -28.72197087854147, 18.503036946058273, 664, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUA', 'N/A', 'N/A', -29.670439548790455, 17.680086940526962, 735, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FYOG', 'medium_airport', 'Oranjemund Airport', -28.5847, 16.446699, 14, 'NA', 'NA-KA', 'Oranjemund', 'yes', 'FYOG', 'OMD', '', ''),
	('FAUC', 'small_airport', 'Ulco Airport', -28.35449981689453, 24.22909927368164, 3512, 'ZA', 'ZA-NC', 'Ulco', 'no', 'FAUC', '', '', ''),
	('FASB', 'medium_airport', 'Springbok Airport', -29.689300537109375, 17.939599990844727, 2690, 'ZA', 'ZA-NC', 'Springbok', 'no', 'FASB', 'SBU', '', ''),
	('FASV', 'N/A', 'N/A', -29.523537307977676, 17.782707810401917, 854, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYWA', 'N/A', 'N/A', -28.885721750557423, 18.239137083292007, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATO', 'N/A', 'N/A', -29.626607224345207, 17.452048659324646, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQJ', 'N/A', 'N/A', -29.235535450279713, 16.874202489852905, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVA', 'small_airport', 'Vaalputs Airport', -30.134199142456055, 18.52669906616211, 3340, 'ZA', 'ZA-NC', 'Vaalputs', 'no', 'FAVA', '', '', ''),
	('FAKZ', 'medium_airport', 'Kleinsee Airport', -29.6884002686, 17.093999862700002, 270, 'ZA', 'ZA-NC', 'Kleinsee', 'no', 'FAKZ', 'KLZ', '', ''),
	('FYPK', 'N/A', 'N/A', -28.409823775291443, 16.77942082285881, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATQ', 'N/A', 'N/A', -29.66777913272381, 17.600790113210678, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAAB', 'medium_airport', 'Alexander Bay Airport', -28.575001, 16.5333, 98, 'ZA', 'ZA-NC', 'Alexander Bay', 'no', 'FAAB', 'ALJ', '', 'Kortdoorn'),
	('FAGE', 'N/A', 'N/A', -30.33672172576189, 17.28982374072075, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYPU', 'N/A', 'N/A', -28.39012362062931, 17.404949069023132, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVQ', 'N/A', 'N/A', -31.67252954095602, 18.17406937479973, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOA', 'N/A', 'N/A', -33.6301139742136, 18.679104298353195, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVJ', 'N/A', 'N/A', -31.80575553327799, 18.23838785290718, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKF', 'small_airport', 'Koffee Bay Airport', -31.957335, 29.174543, 10, 'ZA', 'ZA-EC', 'Koffee Bay', 'no', 'FAKF', '', '', ''),
	('FAVT', 'N/A', 'N/A', -31.122847348451614, 18.60955998301506, 281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVH', 'N/A', 'N/A', -31.594409868121147, 18.74725252389908, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVR', 'medium_airport', 'Vredendal Airport', -31.641000747680664, 18.5447998046875, 330, 'ZA', 'ZA-WC', 'Vredendal', 'no', 'FAVR', 'VRE', '', ''),
	('FALP', 'N/A', 'N/A', -33.70788026601076, 18.64582434296608, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVC', 'N/A', 'N/A', -31.562172062695026, 18.38493749499321, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXA', 'N/A', 'N/A', -31.684759072959423, 18.48671391606331, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALS', 'small_airport', 'Somersveld Airport', -33.2462272644043, 18.479997634887695, 196, 'ZA', 'ZA-WC', 'Somersveld', 'no', 'FALS', '', '', ''),
	('FALW', 'medium_airport', 'Langebaanweg Airport', -32.968898773199996, 18.1602993011, 108, 'ZA', 'ZA-WC', 'Langebaanweg', 'no', 'FALW', 'SDB', '', ''),
	('FADX', 'small_airport', 'Delta 200 Airstrip', -33.6494935368, 18.471879959099997, 220, 'ZA', 'ZA-WC', 'Koeberg', 'no', 'FADX', '', '', ''),
	('FASD', 'medium_airport', 'Saldanha/Vredenburg Airport', -32.9641, 17.969299, 50, 'ZA', 'ZA-WC', 'Saldanha-Vredenburg', 'no', 'FASD', '', '', ''),
	('FANX', 'N/A', 'N/A', -33.34745977073908, 18.69702458381653, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAWY', 'N/A', 'N/A', -32.722954005002975, 17.970353811979294, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUD', 'N/A', 'N/A', -33.8025726377964, 18.579895198345184, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASP', 'N/A', 'N/A', -33.7591540440917, 18.548193275928497, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAWN', 'small_airport', 'Cape Winelands Airport', -33.77, 18.74, 399, 'ZA', 'ZA-WC', 'Durbanville', 'no', 'FAWN', '', '', 'Fisantekraal Airport, FAFK'),
	('FACT', 'large_airport', 'Cape Town International Airport', -33.9648017883, 18.6016998291, 151, 'ZA', 'ZA-WC', 'Cape Town', 'yes', 'FACT', 'CPT', '', 'Kaapstad Internasionale Lughawe, CTIA, DF Malan Airport'),
	('FAYP', 'medium_airport', 'Ysterplaat Air Force Base', -33.90019989013672, 18.498300552368164, 52, 'ZA', 'ZA-WC', 'Cape Town', 'no', 'FAYP', '', '', 'Maitland Aerodrome, AFS Brooklyn'),
	('FAEU', 'N/A', 'N/A', -33.80051974207163, 18.36417943239212, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYAE', 'N/A', 'N/A', -25.1826499029994, 19.25628572702408, 1060, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYGB', 'small_airport', 'Gobabis Airport', -22.5044, 18.973101, 4731, 'NA', 'NA-OH', 'Gobabis', 'no', 'FYGB', 'GOG', '', ''),
	('FYGC', 'small_airport', 'Gochas Airstrip', -24.856399536132813, 18.817800521850586, 3714, 'NA', 'NA-HA', 'Gochas', 'no', 'FYGC', '', '', ''),
	('FYGS', 'N/A', 'N/A', -22.74300780147314, 19.313250929117203, 1389, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYAM', 'small_airport', 'Aminuis Airstrip', -23.655799865722656, 19.351699829101563, 4012, 'NA', 'NA-OH', 'Aminuis', 'no', 'FYAM', '', '', ''),
	('FBMY', 'N/A', 'N/A', -23.14023558050394, 20.287509262561798, 1264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYAG', 'N/A', 'N/A', -23.458783105015755, 18.874425888061523, 1283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBHK', 'N/A', 'N/A', -23.989203348755836, 21.758363842964172, 1131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYAD', 'N/A', 'N/A', -24.822128489613533, 18.76217544078827, 1137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBKA', 'small_airport', 'Kaa Airport', -24.330635, 20.635671, 3645, 'BW', 'BW-KG', 'Kaa', 'no', 'FBKA', '', '', 'FB28, Kaa Pan'),
	('FYAO', 'N/A', 'N/A', -24.12869330495596, 19.114986062049866, 1192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBTG', 'N/A', 'N/A', -26.886647902429104, 22.062143683433533, 933, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUN', 'N/A', 'N/A', -27.343955151736736, 20.748495161533356, 831, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYTS', 'N/A', 'N/A', -25.934269912540913, 19.115147441625595, 969, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBLK', 'N/A', 'N/A', -25.42683184146881, 20.59667855501175, 963, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FAUF', 'N/A', 'N/A', -26.90871175378561, 20.60274437069893, 829, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBTB', 'N/A', 'N/A', -26.32596865296364, 22.094611823558807, 967, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUS', 'N/A', 'N/A', -27.06884901970625, 21.48049548268318, 901, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKS', 'N/A', 'N/A', -26.72879621386528, 20.036017298698425, 854, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOP', 'N/A', 'N/A', -27.524779625236988, 20.14156848192215, 826, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKV', 'N/A', 'N/A', -26.263104043900967, 19.574158787727356, 974, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBBS', 'small_airport', 'Bokspits Airport', -26.8881, 20.6921, 2815, 'BW', 'BW-KG', 'Bokspits', 'no', 'FBBS', '', '', 'FB03'),
	('FBTS', 'small_airport', 'Tshabong Airport', -26.034524, 22.401252, 3179, 'BW', 'BW-KG', 'Tshabong', 'no', 'FBTS', 'TBY', '', 'Tsabong'),
	('FBTC', 'N/A', 'N/A', -27.011064514517784, 22.3246331512928, 1014, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUQ', 'N/A', 'N/A', -27.08343956619501, 21.3149231672287, 896, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FB0A', 'N/A', 'N/A', -26.44846111536026, 20.606606751680374, 888, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUO', 'N/A', 'N/A', -26.943848356604576, 20.463964641094208, 863, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYKE', 'small_airport', 'Kalahari Game Lodge Airport', -25.651100158691406, 19.87809944152832, 3182, 'NA', 'NA-HA', '', 'no', 'FYKE', '', '', ''),
	('FYAB', 'small_airport', 'Aroab B Airport', -26.776100158691406, 19.633100509643555, 3235, 'NA', 'NA-KA', 'Aroab', 'no', 'FYAB', '', '', ''),
	('FATW', 'small_airport', 'Witberg Tswalu Airport', -27.204999923706055, 22.48189926147461, 3921, 'ZA', 'ZA-NC', 'Tswalo Game Reserve', 'no', 'FATW', '', '', ''),
	('Z26X', 'N/A', 'N/A', -27.834514416754246, 21.630373299121857, 988, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUI', 'N/A', 'N/A', -26.9915172457695, 20.78343763947487, 855, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FY23', 'N/A', 'N/A', -27.973055206239223, 19.035256505012512, 856, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBTI', 'N/A', 'N/A', -26.524800807237625, 22.4236299097538, 979, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFQ', 'N/A', 'N/A', -30.69058120250702, 21.455436944961548, 1040, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPD', 'small_airport', 'Pofadder Airport', -29.141700744628906, 19.41309928894043, 3241, 'ZA', 'ZA-NC', 'Pofadder', 'no', 'FAPD', '', '', ''),
	('FAQP', 'N/A', 'N/A', -28.37668139487505, 19.779898524284363, 961, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAAG', 'medium_airport', 'Aggeneys Airport', -29.281799, 18.8139, 2648, 'ZA', 'ZA-NC', 'Aggeneys', 'no', 'FAAG', 'AGZ', '', ''),
	('FAGQ', 'N/A', 'N/A', -28.422258496284485, 22.200936377048492, 1067, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFJ', 'N/A', 'N/A', -30.50262674689293, 19.563146978616714, 910, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQO', 'N/A', 'N/A', -28.546202704310417, 19.714799523353577, 522, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALG', 'N/A', 'N/A', -28.627022691071033, 20.32477766275406, 658, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAGU', 'N/A', 'N/A', -28.81232377141714, 22.383761554956436, 1112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFP', 'N/A', 'N/A', -30.351590551435947, 21.852510273456573, 963, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQS', 'N/A', 'N/A', -28.67713037878275, 19.5179383456707, 471, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FABV', 'small_airport', 'Brandviei Airport', -30.466699600219727, 20.466699600219727, 2999, 'ZA', 'ZA-NC', 'Brandviei', 'no', 'FABV', '', '', ''),
	('FAQQ', 'N/A', 'N/A', -28.594832830131054, 19.847248792648315, 666, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOO', 'N/A', 'N/A', -28.766305781900883, 20.57483419775963, 672, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQU', 'N/A', 'N/A', -28.778156116604805, 19.39081773161888, 562, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAWT', 'small_airport', 'Winterveldt Mine Airport', -24.660091, 30.180422, 3000, 'ZA', 'ZA-NP', 'Doornbosch', 'no', 'FAWT', '', 'FAWT', ''),
	('FAKH', 'small_airport', 'Kenhardt Airport', -29.32670021057129, 21.188600540161133, 2723, 'ZA', 'ZA-NC', 'Kenhardt', 'no', 'FAKH', '', '', ''),
	('FAGX', 'N/A', 'N/A', -28.57213731855154, 22.206108570098877, 1054, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAGZ', 'N/A', 'N/A', -28.868891894817352, 22.10504561662674, 888, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FYWM', 'N/A', 'N/A', -28.691694103181362, 18.776960223913193, 793, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUJ', 'N/A', 'N/A', -28.161744587123394, 21.892434507608414, 1093, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAGB', 'N/A', 'N/A', -28.9120352268219, 21.9927679002285, 873, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQF', 'small_airport', 'Pomfret Airport', -25.847700119, 23.537300109900002, 3817, 'ZA', 'ZA-NW', 'Pomfret', 'no', 'FAQF', '', '', ''),
	('FAGK', 'N/A', 'N/A', -29.39204167574644, 22.104080021381378, 983, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOK', 'N/A', 'N/A', -29.482501186430454, 20.827111154794693, 915, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAGP', 'N/A', 'N/A', -28.910597562789917, 21.78006425499916, 921, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOJ', 'N/A', 'N/A', -29.80239350348711, 20.398791879415512, 918, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALF', 'small_airport', 'Loeriesfontein Airport', -30.906400680541992, 19.42530059814453, 2997, 'ZA', 'ZA-NC', 'Loeriesfontein', 'no', 'FALF', '', '', ''),
	('FAUM', 'N/A', 'N/A', -28.37978135794401, 21.584051549434662, 845, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FACO', 'small_airport', 'Alkantpan Copper Airport', -29.906401, 22.3167, 3589, 'ZA', 'ZA-NC', 'Cooperton', 'no', '', '', '', 'FACO'),
	('FAFG', 'small_airport', 'Flamingo Vlei Airport', -30.490999221801758, 21.121700286865234, 3248, 'ZA', 'ZA-NC', 'Flamingo Vlei', 'no', 'FAFG', '', '', ''),
	('FAUP', 'medium_airport', 'Pierre Van Ryneveld Airport', -28.39909935, 21.260200500499998, 2782, 'ZA', 'ZA-NC', 'Upington', 'yes', 'FAUP', 'UTN', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FAOM', 'N/A', 'N/A', -29.484977200627327, 20.78930765390396, 945, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAHI', 'small_airport', 'Halfweg Airport', -30.0132999420166, 20.13920021057129, 3159, 'ZA', 'ZA-NC', 'Halfweg', 'no', 'FAHI', '', '', ''),
	('FADS', 'small_airport', 'De Doorns Airport', -33.455557, 19.684493, 1626, 'ZA', 'ZA-WC', 'De Doorns', 'no', 'FADS', '', '', ''),
	('FAEX', 'N/A', 'N/A', -32.28369902819395, 18.893470019102097, 331, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQM', 'N/A', 'N/A', -32.95392472296953, 18.79885733127594, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOH', 'medium_airport', 'Oudtshoorn Airport', -33.6069984436, 22.188999176, 1063, 'ZA', 'ZA-WC', 'Oudtshoorn', 'no', 'FAOH', 'OUH', 'FAOH', ''),
	('FABK', 'small_airport', 'Bushmans Kloof Airport', -32.035, 19.0435, 1050, 'ZA', 'ZA-WC', 'Bushman''s Kloof', 'no', 'FABK', '', '', ''),
	('FACE', 'small_airport', 'Ceres Airport', -33.316594, 19.426676, 1519, 'ZA', 'ZA-WC', 'Ceres', 'no', 'FACE', '', '', ''),
	('FAFR', 'small_airport', 'Fraserburg Airport', -31.933900833129883, 21.502500534057617, 4180, 'ZA', 'ZA-NC', 'Fraseburg', 'no', 'FAFR', '', '', ''),
	('FAUE', 'N/A', 'N/A', -33.72348602861166, 20.615391433238983, 527, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFC', 'N/A', 'N/A', -32.13759507983923, 19.303150177001953, 288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQK', 'N/A', 'N/A', -33.02570700645447, 18.998727947473526, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPC', 'small_airport', 'Prince Albert Airport', -33.20249938964844, 22.03219985961914, 2001, 'ZA', 'ZA-WC', 'Prince Albert', 'no', 'FAPC', '', '', ''),
	('FAOE', 'N/A', 'N/A', -33.24025087058544, 20.567515343427658, 924, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAEV', 'heliport', 'Eagle View Helipad', -25.390456, 30.172134, 0, 'ZA', 'ZA-MP', 'Walkersons', 'no', '', '', 'FAEV', 'Eagle, view, Cabin, helipad'),
	('FAQW', 'N/A', 'N/A', -32.92965576052666, 22.41241380572319, 907, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFS', 'N/A', 'N/A', -31.413570307195187, 22.0266754925251, 1263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASL', 'small_airport', 'Sutherland Airport', -32.48820114135742, 20.697099685668945, 5247, 'ZA', 'ZA-NC', 'Sutherland', 'no', 'FASL', '', '', ''),
	('FAFD', 'N/A', 'N/A', -32.33716852962971, 19.71374899148941, 311, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAWC', 'small_airport', 'Worcester Glider Airport', -33.66310119628906, 19.415300369262695, 673, 'ZA', 'ZA-WC', 'Worcester', 'no', 'FAWC', '', '', ''),
	('FACI', 'small_airport', 'Citrusdal Airport', -32.61968, 19.00384, 532, 'ZA', 'ZA-WC', 'Citrusdal', 'no', 'FACI', '', '', ''),
	('FAFN', 'N/A', 'N/A', -32.360164783895016, 21.99327439069748, 784, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOC', 'N/A', 'N/A', -33.57544083148241, 18.917118161916733, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFE', 'N/A', 'N/A', -32.401029244065285, 19.842379689216614, 352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFV', 'N/A', 'N/A', -31.93121988326311, 22.117926478385925, 1358, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOG', 'N/A', 'N/A', -33.197348937392235, 20.83922043442726, 656, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFT', 'N/A', 'N/A', -31.496555842459202, 22.35655277967453, 1358, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQV', 'N/A', 'N/A', -33.16569585353136, 22.44753509759903, 851, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FACN', 'small_airport', 'Carnarvon Airport', -30.9886, 22.131701, 4160, 'ZA', 'ZA-NC', 'Carnarvon', 'no', 'FACN', '', '', ''),
	('FAQL', 'N/A', 'N/A', -33.029968701303005, 18.915916085243225, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FACV', 'small_airport', 'Calvinia Airport', -31.50029945373535, 19.725900650024414, 3250, 'ZA', 'ZA-NC', 'Calvinia', 'no', 'FACV', '', '', ''),
	('FAWL', 'small_airport', 'Williston Airport', -31.38360023498535, 20.93280029296875, 3484, 'ZA', 'ZA-NC', 'Williston', 'no', 'FAWL', '', '', ''),
	('FAPU', 'small_airport', 'Paarl East Airport', -33.710766666699996, 19.024388888900003, 596, 'ZA', 'ZA-WC', 'Paarl', 'no', 'FAPU', '', '', ''),
	('FAFH', 'N/A', 'N/A', -32.334255650639534, 19.753405898809433, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAAT', 'N/A', 'N/A', -33.461121059954166, 19.856398701667786, 1029, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOS', 'N/A', 'N/A', -33.50948631763458, 21.250386983156204, 537, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAAH', 'N/A', 'N/A', -33.56313619762659, 19.99039113521576, 1011, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FANZ', 'N/A', 'N/A', -33.4964856505394, 18.964383602142334, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQN', 'N/A', 'N/A', -32.57851470261812, 18.858597725629807, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFI', 'N/A', 'N/A', -32.86755792796612, 19.775377213954926, 506, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FACW', 'small_airport', 'Clanwilliam Airport', -32.177, 18.8819, 416, 'ZA', 'ZA-WC', 'Clanwilliam', 'no', 'FACW', '', '', ''),
	('FARR', 'N/A', 'N/A', -34.1756172850728, 21.554827988147736, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOB', 'small_airport', 'Overberg Airport', -34.563474, 20.252438, 52, 'ZA', 'ZA-WC', 'Overberg', 'no', 'FAOB', 'OVG', '', ''),
	('FACG', 'small_airport', 'Caledon Airfield', -34.259523, 19.416214, 936, 'ZA', 'ZA-WC', 'Caledon', 'no', 'FACG', '', '', ''),
	('FAEY', 'N/A', 'N/A', -34.097404070198536, 19.727058559656143, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAMQ', 'small_airport', 'Maclear Airport', -31.072201, 28.376141, 4106, 'ZA', 'ZA-EC', 'Nqanqarhu (Maclear)', 'no', 'FAMQ', '', '', ''),
	('FACY', 'small_airport', 'Stilbaai Airport', -34.3517990112, 21.424800872800002, 266, 'ZA', 'ZA-WC', 'Stilbaai', 'no', 'FACY', '', '', ''),
	('FALN', 'N/A', 'N/A', -33.75930994749069, 21.539297103881836, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAAF', 'small_airport', 'Andrew''s Field Airport', -34.76288986206055, 20.034915924072266, 30, 'ZA', 'ZA-WC', 'Struisbaai', 'no', 'FAAF', '', '', ''),
	('FASH', 'small_airport', 'Stellenbosch Airport', -33.980983, 18.822327, 295, 'ZA', 'ZA-WC', 'Stellenbosch', 'no', 'FASH', '', '', 'Stellenbosch Flying Club'),
	('FAEF', 'N/A', 'N/A', -34.6670563146472, 20.06190687417984, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FAOQ', 'N/A', 'N/A', -34.14763983339071, 21.955851316452026, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAMO', 'small_airport', 'Mossel Bay Airport', -34.158746, 22.055676, 531, 'ZA', 'ZA-WC', 'Mossel Bay', 'no', 'FAMO', 'MZY', '', ''),
	('FAGG', 'medium_airport', 'George Airport', -34.0056, 22.378902, 648, 'ZA', 'ZA-WC', 'George', 'yes', 'FAGG', 'GRJ', '', 'PW Botha Airport'),
	('FAFA', 'N/A', 'N/A', -34.420390985906124, 19.51567456126213, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFM', 'N/A', 'N/A', -34.548261277377605, 20.08425995707512, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASX', 'small_airport', 'Hendrik Swellengrebel Airport', -34.04819869995117, 20.474599838256836, 407, 'ZA', 'ZA-WC', 'Swellendam', 'no', 'FASX', '', '', ''),
	('FARD', 'small_airport', 'Riversdale Airport', -34.111698150634766, 21.262800216674805, 591, 'ZA', 'ZA-WC', 'Riversdale', 'no', 'FARD', '', '', ''),
	('FAFL', 'N/A', 'N/A', -34.454114735126495, 20.41872963309288, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARV', 'N/A', 'N/A', -34.39565800130367, 21.401996165513992, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARS', 'medium_airport', 'Robertson Airport', -33.812199, 19.9028, 640, 'ZA', 'ZA-WC', 'Robertson', 'no', 'FARS', 'ROD', '', ''),
	('FAGF', 'N/A', 'N/A', -33.94947923719883, 22.486710995435715, 254, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAEG', 'small_airport', 'Egnep Airport', -24.566999435424805, 30.316999435424805, 2299, 'ZA', 'ZA-NP', 'Egnep', 'no', 'FAEG', '', '', ''),
	('FAIJ', 'N/A', 'N/A', -34.630101174116135, 19.475852698087692, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAEZ', 'N/A', 'N/A', -34.426837004721165, 19.472473114728928, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNP', 'N/A', 'N/A', -24.823087714612484, 26.22381716966629, 1116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBGP', 'small_airport', 'Gope Airport', -22.6523, 24.7536, 3340, 'BW', 'BW-GH', 'Gope', 'no', 'FBGP', '', '', 'FB16'),
	('FBKH', 'N/A', 'N/A', -22.607932426035404, 24.789643585681915, 1019, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBWE', 'N/A', 'N/A', -25.28984136879444, 23.472506403923035, 1033, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBSE', 'N/A', 'N/A', -25.02428188920021, 24.21510636806488, 1072, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBLB', 'N/A', 'N/A', -25.245646946132183, 25.88315561413765, 1144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBMP', 'N/A', 'N/A', -24.355328902602196, 26.09203353524208, 1013, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBSK', 'large_airport', 'Sir Seretse Khama International Airport', -24.555201, 25.9182, 3299, 'BW', 'BW-GA', 'Gaborone', 'yes', 'FBSK', 'GBE', '', ''),
	('FBKU', 'N/A', 'N/A', -23.35578426718712, 24.603492468595505, 1009, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBKY', 'small_airport', 'Kanye Airport', -25.049999, 25.3167, 4199, 'BW', 'BW-SO', 'Kanye', 'no', 'FBKY', '', '', ''),
	('FBKG', 'small_airport', 'Kang Airport', -23.677969, 22.817767, 3520, 'BW', 'BW-KG', 'Kang', 'no', 'FBKG', '', '', ''),
	('FBJW', 'medium_airport', 'Jwaneng Airport', -24.602301, 24.691, 3900, 'BW', 'BW-JW', 'Jwaneng', 'yes', 'FBJW', 'JWA', '', ''),
	('FBTP', 'small_airport', 'Thebephatshwa Airport', -24.2211, 25.3473, 3750, 'BW', 'BW-KW', '', 'no', 'FBTP', '', '', ''),
	('FAJI', 'N/A', 'N/A', -27.818890884518623, 25.2160781621933, 1237, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASW', 'small_airport', 'Slurry Airport', -25.81559944152832, 25.88640022277832, 4692, 'ZA', 'ZA-NW', 'Slurry', 'no', 'FASW', '', '', ''),
	('FAQD', 'N/A', 'N/A', -28.029596842825413, 23.203061521053314, 1403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAWD', 'small_airport', 'Wolmeransstad Airport', -27.170000076293945, 25.979999542236328, 4513, 'ZA', 'ZA-NW', 'Wolmeransstad', 'no', 'FAWD', '', '', ''),
	('FAIU', 'N/A', 'N/A', -27.797439247369766, 24.974286407232285, 1280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAJK', 'N/A', 'N/A', -27.898668833076954, 24.87646982073784, 1183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARI', 'small_airport', 'Reivilo Airport', -27.547199249267578, 24.172500610351563, 4715, 'ZA', 'ZA-NW', 'Reivilo', 'no', 'FARI', 'RVO', '', ''),
	('FAUV', 'N/A', 'N/A', -27.381489649415016, 24.887865632772446, 1251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKU', 'medium_airport', 'Johan Pienaar Airport', -27.45669937133789, 23.411399841308594, 4382, 'ZA', 'ZA-NC', 'Kuruman', 'no', 'FAKU', 'KMH', '', ''),
	('FABP', 'small_airport', 'Black Rock Airport', -27.129724, 22.846255, 3450, 'ZA', 'ZA-NC', 'Santoy', 'no', 'FABP', '', '', ''),
	('FBWD', 'N/A', 'N/A', -25.60805395245552, 22.85809725522995, 997, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASG', 'small_airport', 'Schweizer Reneke Airport', -27.16309928894043, 25.286100387573242, 4373, 'ZA', 'ZA-NW', 'Schweizer Reneke', 'no', 'FASG', '', '', ''),
	('FAQC', 'N/A', 'N/A', -28.105714581906796, 24.378667026758194, 1181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNM', 'N/A', 'N/A', -26.14075943827629, 25.019451677799225, 1189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAHP', 'small_airport', 'Hoopstad Airport', -27.821699142456055, 25.916900634765625, 4131, 'ZA', 'ZA-FS', 'Hoopstad', 'no', 'FAHP', '', '', ''),
	('FBNJ', 'N/A', 'N/A', -25.87551947683096, 23.96236941218376, 1125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUU', 'N/A', 'N/A', -27.59854506701231, 24.75187987089157, 1106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASS', 'medium_airport', 'Sishen Airport', -27.6486, 22.9993, 3848, 'ZA', 'ZA-NC', 'Sishen', 'yes', 'FASS', 'SIS', '', ''),
	('FAEJ', 'N/A', 'N/A', -27.61074408888817, 25.581800490617752, 1255, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAIY', 'N/A', 'N/A', -26.964642517268658, 24.06312793493271, 1351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBWR', 'N/A', 'N/A', -25.46774659305811, 23.69718074798584, 1052, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVB', 'medium_airport', 'Vryburg Airport', -26.9824008942, 24.7287998199, 3920, 'ZA', 'ZA-NW', 'Vyrburg', 'no', 'FAVB', 'VRU', '', ''),
	('FAZR', 'small_airport', 'Zeerust Airport', -25.599000930786133, 26.042299270629883, 4258, 'ZA', 'ZA-NW', 'Zeerust', 'no', 'FAZR', '', '', ''),
	('FBWA', 'N/A', 'N/A', -25.473916344344616, 23.747335821390152, 1048, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FADL', 'small_airport', 'Delareyville Airport', -26.67919921875, 25.474700927734375, 4469, 'ZA', 'ZA-NW', 'Delareyville', 'no', 'FADL', '', '', ''),
	('FBTO', 'N/A', 'N/A', -26.12473625689745, 22.619622498750687, 961, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARP', 'N/A', 'N/A', -27.645571567118168, 24.63057741522789, 1119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FACK', 'small_airport', 'Christiana Airport', -27.877192, 25.204376, 3978, 'ZA', 'ZA-NW', 'Christiana', 'no', 'FACK', '', '', ''),
	('FALI', 'small_airport', 'Lichtenburg Airport', -26.17569923400879, 26.184600830078125, 4875, 'ZA', 'ZA-NW', 'Lichtenburg', 'no', 'FALI', '', '', ''),
	('FAHZ', 'N/A', 'N/A', -27.213639691472054, 22.947646379470825, 1058, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOT', 'small_airport', 'Ottosdal Airport', -26.79829978942871, 26.00029945373535, 4860, 'ZA', 'ZA-NW', 'Ottosdal', 'no', 'FAOT', '', '', ''),
	('FA0F', 'N/A', 'N/A', -27.942907512187958, 24.81679692864418, 1149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBTD', 'N/A', 'N/A', -26.371775083243847, 22.545854151248932, 982, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAHW', 'N/A', 'N/A', -27.9567064717412, 25.835328698158264, 1266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXG', 'N/A', 'N/A', -26.1822659522295, 25.988711714744568, 1481, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAJJ', 'N/A', 'N/A', -27.943396009504795, 25.488898158073425, 1284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXF', 'N/A', 'N/A', -27.26482629776001, 25.71550101041794, 1339, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARN', 'N/A', 'N/A', -27.823103293776512, 24.73291128873825, 1091, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAMM', 'medium_airport', 'Mmabatho International Airport', -25.798400878900004, 25.548000335699996, 4181, 'ZA', 'ZA-NW', 'Mafeking', 'yes', 'FAMM', 'MBD', '', 'Mafikeng'),
	('FBTF', 'N/A', 'N/A', -26.593162268400192, 22.8512080013752, 1018, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXH', 'N/A', 'N/A', -26.175883300602436, 25.232563018798828, 1245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBGH', 'small_airport', 'Goodhope Airport', -25.4329, 25.4092, 4250, 'BW', 'BW-SO', 'Goodhope', 'no', 'FBGH', '', '', ''),
	('FASA', 'closed', 'Sani Pass Airport', -29.6572, 29.447701, 5933, 'ZA', 'ZA-NL', 'Sani Pass', 'no', '', '', '', 'FASA, FASA'),
	('FAPQ', 'small_airport', 'Punda Maria(Malia) Airport', -22.77, 31.0108, 1500, 'ZA', 'ZA-NP', 'Kruger National Park', 'no', 'FAPQ', '', '', ''),
	('FAKM', 'medium_airport', 'Kimberley Airport', -28.802799224900003, 24.7651996613, 3950, 'ZA', 'ZA-NC', 'Kimberley', 'yes', 'FAKM', 'KIM', '', ''),
	('FAIO', 'closed', 'Odi Airport', -25.5499992371, 27.933000564599997, 3862, 'ZA', 'ZA-NW', 'Lerulaneng', 'no', '', '', '', 'FAIO, FAIO'),
	('Z26W', 'N/A', 'N/A', -28.354996740818024, 24.229025691747665, 1072, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKY', 'N/A', 'N/A', -28.740105964243412, 24.66472551226616, 1206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FABU', 'small_airport', 'Bultfontein Airport', -28.273369, 26.135835, 4400, 'ZA', 'ZA-FS', 'Bultfontein', 'no', 'FABU', 'UTE', '', ''),
	('FADA', 'small_airport', 'De Aar Airport', -30.69219970703125, 24.020599365234375, 4154, 'ZA', 'ZA-NC', 'De Aar', 'no', 'FADA', '', '', ''),
	('FAXE', 'N/A', 'N/A', -30.327400043606758, 25.964631289243698, 1447, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z27I', 'N/A', 'N/A', -28.691874481737614, 24.04390186071396, 1029, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FART', 'N/A', 'N/A', -29.117034450173378, 24.785965383052826, 1151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAIG', 'N/A', 'N/A', -29.629882536828518, 24.09543737769127, 1101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFX', 'N/A', 'N/A', -30.463051088154316, 22.539145052433014, 1144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAIN', 'N/A', 'N/A', -29.30465765297413, 23.283163011074066, 1025, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAMF', 'small_airport', 'Malabar Airport', -29.010929, 23.849489, 3348, 'ZA', 'ZA-NC', 'Malabar', 'no', 'FAMF', '', '', ''),
	('FAQZ', 'N/A', 'N/A', -29.338664039969444, 23.177796453237534, 982, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FADT', 'N/A', 'N/A', -29.14401277899742, 23.646430671215057, 1021, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATP', 'small_airport', 'New Tempe Airport', -29.035109, 26.16268, 4547, 'ZA', 'ZA-FS', 'Bloemfontein', 'no', 'FATP', '', '', ''),
	('FAHV', 'small_airport', 'Gariep Dam Airport', -30.562111, 25.529343, 4176, 'ZA', 'ZA-FS', 'Gariepdam', 'no', 'FAHV', '', '', ''),
	('FAIP', 'N/A', 'N/A', -28.96734707057476, 23.765547573566437, 1046, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAIR', 'N/A', 'N/A', -30.42187750339508, 24.929972290992737, 1249, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQG', 'N/A', 'N/A', -29.737224876880646, 24.776976853609085, 1270, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPV', 'small_airport', 'Petrusville Airport', -30.08180046081543, 24.67959976196289, 4116, 'ZA', 'ZA-NC', 'Petrusville', 'no', 'FAPV', '', '', ''),
	('FAJR', 'N/A', 'N/A', -29.38860844820738, 26.078268438577652, 1388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPT', 'small_airport', 'Posmasburg Soil Airport', -28.338600158691406, 23.079700469970703, 4301, 'ZA', 'ZA-NC', 'Postmasburg', 'no', 'FAPT', '', '', ''),
	('FAFZ', 'N/A', 'N/A', -29.096038453280926, 23.730511218309402, 1009, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXL', 'N/A', 'N/A', -29.848734363913536, 26.04758530855179, 1432, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVZ', 'N/A', 'N/A', -30.588063150644302, 22.89386138319969, 1141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FACB', 'small_airport', 'Colesberg Airport', -30.73390007019043, 25.065000534057617, 4639, 'ZA', 'ZA-NC', 'Colesberg', 'no', 'FACB', '', '', ''),
	('FAIT', 'N/A', 'N/A', -28.493034951388836, 24.679011404514313, 1122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUZ', 'N/A', 'N/A', -30.052809230983257, 25.780478417873383, 1427, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FADC', 'small_airport', 'Douglas Cape Airport', -29.0746, 23.8009, 0, 'ZA', 'ZA-NC', 'Douglas', 'no', 'FADC', '', '', ''),
	('FAIM', 'N/A', 'N/A', -29.024595469236374, 23.959830701351166, 1014, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FARK', 'N/A', 'N/A', -29.652567319571972, 24.737994074821472, 1227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQH', 'N/A', 'N/A', -28.833131678402424, 23.273117691278458, 1329, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAIL', 'N/A', 'N/A', -29.19401317834854, 23.34329903125763, 1005, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAED', 'small_airport', 'Edenburg Airport', -29.75, 25.899999618530273, 4509, 'ZA', 'ZA-FS', 'Edenburg', 'no', 'FAED', '', '', ''),
	('FARJ', 'N/A', 'N/A', -30.907018706202507, 24.63176116347313, 1328, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARL', 'N/A', 'N/A', -29.173323288559914, 24.263011515140533, 1171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUY', 'N/A', 'N/A', -30.505191273987293, 25.963506996631622, 1294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAJG', 'N/A', 'N/A', -30.59867799282074, 25.308420807123184, 1231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKV', 'small_airport', 'Koffyfontein Min Airport', -29.43939971923828, 24.98859977722168, 3996, 'ZA', 'ZA-FS', 'Koffyfontein', 'no', 'FAKV', '', '', ''),
	('FAPK', 'small_airport', 'Prieska Airport', -29.6835994720459, 22.770599365234375, 3100, 'ZA', 'ZA-NC', 'Prieska', 'no', 'FAPK', 'PRK', '', ''),
	('FAIH', 'N/A', 'N/A', -29.81607712805271, 24.39309149980545, 1113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FACP', 'N/A', 'N/A', -30.58144848793745, 25.264840722084045, 1209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFY', 'N/A', 'N/A', -29.078475013375282, 23.768135905265808, 1026, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FACQ', 'N/A', 'N/A', -28.529601506888866, 24.538979083299637, 1112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATF', 'small_airport', 'Tommys Field Airport', -28.260000228881836, 22.993200302124023, 4360, 'ZA', 'ZA-NC', 'Beeshoek', 'no', 'FATF', '', '', ''),
	('FA0D', 'N/A', 'N/A', -30.636565536260605, 23.920002579689026, 1233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALC', 'medium_airport', 'Lime Acres Finsch Mine Airport', -28.36009979248047, 23.43910026550293, 4900, 'ZA', 'ZA-NC', 'Lime Acres', 'no', 'FALC', 'LMR', '', ''),
	('FABI', 'N/A', 'N/A', -30.774550437927246, 25.78903779387474, 1285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARF', 'N/A', 'N/A', -33.6288845166564, 24.85105812549591, 711, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FANU', 'N/A', 'N/A', -31.075415164232254, 24.4523723423481, 1390, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARH', 'N/A', 'N/A', -31.557028256356716, 24.83944460749626, 1335, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAGR', 'small_airport', 'Graaff Reinet Airport', -32.193599700927734, 24.541400909423828, 2604, 'ZA', 'ZA-EC', 'Graaff-Reinet', 'no', 'FAGR', '', '', ''),
	('FAXC', 'N/A', 'N/A', -31.424363180994987, 23.832916617393494, 1347, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVF', 'small_airport', 'Verborgenfontei Airport', -31.165800094604492, 23.80940055847168, 4360, 'ZA', 'ZA-NC', 'Verborgenfontein', 'no', 'FAVF', '', '', ''),
	('FAVW', 'small_airport', 'Victoria West Airport', -31.39940071105957, 23.156400680541992, 4124, 'ZA', 'ZA-NC', 'Victoria West', 'no', 'FAVW', '', '', ''),
	('FADP', 'small_airport', 'Darlington Dam Lodge Airport', -33.18320083618164, 25.193199157714844, 847, 'ZA', 'ZA-EC', 'Port Elizabeth', 'no', 'FADP', '', '', ''),
	('FABW', 'small_airport', 'Beaufort West Airport', -32.29999923706055, 22.670000076293945, 2941, 'ZA', 'ZA-WC', 'Beaufort West', 'no', 'FABW', '', '', ''),
	('FAST', 'small_airport', 'Somerset East Airport', -32.75019836425781, 25.594999313354492, 2349, 'ZA', 'ZA-EC', 'Somerset East', 'no', 'FAST', '', '', ''),
	('FAOX', 'N/A', 'N/A', -33.43362841755152, 24.136873036623, 609, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARY', 'N/A', 'N/A', -33.10942444950342, 25.258783847093582, 282, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUW', 'N/A', 'N/A', -33.083323538303375, 25.441869646310806, 409, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAJN', 'N/A', 'N/A', -33.02637252956629, 24.95721012353897, 312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAIQ', 'N/A', 'N/A', -32.32039634138346, 24.97842773795128, 1075, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALR', 'small_airport', 'Steytlerville Airport', -33.33700180053711, 24.321399688720703, 1450, 'ZA', 'ZA-EC', 'Steytlerville', 'no', 'FALR', '', '', ''),
	('FAWO', 'small_airport', 'Willowmore Airport', -33.263301849365234, 23.4906005859375, 2608, 'ZA', 'ZA-EC', 'Willowmore', 'no', 'FAWO', '', '', ''),
	('FAWF', 'N/A', 'N/A', -33.19676119834185, 23.93554776906967, 575, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOV', 'N/A', 'N/A', -33.47377605736256, 22.925743013620377, 530, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARM', 'small_airport', 'Richmond Airport', -31.423500061035156, 23.978200912475586, 4731, 'ZA', 'ZA-NC', 'Richmond', 'no', 'FARM', '', '', ''),
	('FARX', 'N/A', 'N/A', -33.55308327823877, 25.864156186580658, 249, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXD', 'N/A', 'N/A', -31.542265713214874, 23.693917840719223, 1415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAUX', 'N/A', 'N/A', -32.76352006942034, 25.17020121216774, 596, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAJB', 'N/A', 'N/A', -31.000683791935444, 25.299829691648483, 1408, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FACH', 'small_airport', 'Cookhouse Airport', -32.74470138549805, 25.796300888061523, 1893, 'ZA', 'ZA-EC', 'Cookhouse', 'no', 'FACH', '', '', ''),
	('FAMC', 'small_airport', 'Middelburg 2 Airport', -31.547199249267578, 25.029399871826172, 4022, 'ZA', 'ZA-EC', 'Cape Town', 'no', 'FAMC', '', '', ''),
	('FAOZ', 'N/A', 'N/A', -33.51746454834938, 24.259492456912994, 622, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARW', 'N/A', 'N/A', -33.298689499497414, 25.73665827512741, 584, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAHF', 'small_airport', 'Henrys Flats Airport', -33.04610061645508, 25.716899871826172, 1709, 'ZA', 'ZA-EC', 'Henry''S Flats', 'no', 'FAHF', '', '', ''),
	('FAAE', 'small_airport', 'Aberdeen Airport', -32.46670150756836, 24.066699981689453, 2461, 'ZA', 'ZA-EC', 'Aberdeen', 'no', 'FAAE', '', '', ''),
	('FAJL', 'N/A', 'N/A', -33.456991128623486, 26.05140209197998, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FACD', 'small_airport', 'Cradock Airport', -32.1567001343, 25.6455993652, 3110, 'ZA', 'ZA-EC', 'Cradock', 'no', 'FACD', 'CDO', '', ''),
	('FAJD', 'N/A', 'N/A', -31.627578735351563, 25.803553462028503, 1279, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FAJP', 'small_airport', 'Joubertina Airport', -33.830747, 23.827908, 2007, 'ZA', 'ZA-EC', 'Joubertina', 'no', 'FAJP', '', '', ''),
	('FALX', 'N/A', 'N/A', -33.9507345110178, 22.97972783446312, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPZ', 'small_airport', 'Progress Airport', -33.926448, 25.371916, 748, 'ZA', 'ZA-EC', 'Sunlands', 'no', 'FAPZ', '', '', ''),
	('FAUH', 'small_airport', 'Uitenhage Airport', -33.785301208496094, 25.38330078125, 289, 'ZA', 'ZA-EC', 'Uitenhage', 'no', 'FAUH', '', '', ''),
	('FAEW', 'N/A', 'N/A', -34.00095149874687, 25.35183236002922, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPE', 'medium_airport', 'Chief Dawid Stuurman International Airport', -33.984901, 25.6173, 226, 'ZA', 'ZA-EC', 'Gqeberha (Port Elizabeth)', 'yes', 'FAPE', 'PLZ', '', 'H F Verwoerd Airport, Port Elizabeth International Airport'),
	('FACF', 'small_airport', 'St Francis Airfield', -34.186901, 24.834999, 131, 'ZA', 'ZA-EC', 'St Francis Bay', 'no', 'FACF', '', '', ''),
	('FAJE', 'N/A', 'N/A', -33.903787806630135, 24.958625882864, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQX', 'N/A', 'N/A', -34.0476118773222, 23.30331400036812, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPX', 'small_airport', 'Paradise Beach Airport', -34.10133, 24.884352, 15, 'ZA', 'ZA-EC', 'Jeffreys Bay', 'no', 'FAPX', '', '', ''),
	('FATK', 'closed', 'Tsitsikama Fly Airport', -34.084702, 24.2897, 381, 'ZA', 'ZA-EC', 'Tsitsikama', 'no', '', '', '', 'FATK, FATK'),
	('FAPG', 'medium_airport', 'Plettenberg Bay Airport', -34.08816, 23.328723, 465, 'ZA', 'ZA-WC', 'Plettenberg Bay', 'yes', 'FAPG', 'PBZ', '', ''),
	('FAQY', 'N/A', 'N/A', -34.01136618107557, 23.399135023355484, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNW', 'small_airport', 'Ntswi Airport', -19.52899, 23.139408, 3140, 'BW', 'BW-NW', 'Gunn''s Camp', 'no', 'FBNW', '', '', 'FB56'),
	('FAEN', 'small_airport', 'Entabeni Airstrip', -24.1933, 28.735, 3890, 'ZA', 'ZA-NP', 'Entabeni', 'no', 'FAEN', '', '', ''),
	('FALU', 'N/A', 'N/A', -22.918095029890537, 29.457556754350662, 794, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXY', 'N/A', 'N/A', -25.198450461030006, 27.815854400396347, 1050, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAAX', 'N/A', 'N/A', -24.908374585211277, 28.179821223020554, 1148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQR', 'closed', 'Potgietersrus Airport', -24.233334, 28.983334, 3500, 'ZA', 'ZA-NP', 'Potgietersus', 'no', '', '', '', '"Potties", Potgietersrus Mine, FAQR'),
	('FAPI', 'medium_airport', 'Pietersburg Municipal Airport', -23.9260997772, 29.4843997955, 4354, 'ZA', 'ZA-NP', 'Polokwane', 'yes', 'FAPI', '', '', 'PTG'),
	('FAWE', 'small_airport', 'Welgevonden Reserve', -24.2046, 27.9, 3609, 'ZA', 'ZA-NP', '', 'no', 'FAWE', '', '', ''),
	('FAWX', 'N/A', 'N/A', -24.756631292402744, 27.969277650117874, 1284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAYO', 'N/A', 'N/A', -24.97977063059807, 27.29580670595169, 1037, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAYM', 'N/A', 'N/A', -24.384366497397423, 27.859506905078888, 1416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAYJ', 'N/A', 'N/A', -24.907187707722187, 27.49744176864624, 951, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FADB', 'small_airport', 'Dwaalboom Airport', -24.807199478149414, 26.829700469970703, 3652, 'ZA', 'ZA-NP', 'Dwaalboom', 'no', 'FADB', '', '', ''),
	('FAAL', 'small_airport', 'Alldays Airport', -22.679001, 29.0555, 2600, 'ZA', 'ZA-NP', 'Alldays', 'no', 'FAAL', 'ADY', '', ''),
	('FAYN', 'N/A', 'N/A', -24.830905683338642, 27.432791590690613, 937, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNU', 'N/A', 'N/A', -23.941518366336823, 27.29323223233223, 961, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FANK', 'N/A', 'N/A', -22.580471634864807, 29.968737959861755, 644, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNY', 'N/A', 'N/A', -23.201859332621098, 28.48577007651329, 932, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNS', 'N/A', 'N/A', -23.65711335092783, 26.975380182266235, 844, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAAJ', 'N/A', 'N/A', -25.311285965144634, 28.423636257648468, 1110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBMX', 'N/A', 'N/A', -23.328290283679962, 27.60953351855278, 822, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FA72', 'closed', 'Acres of Diamonds Airpark', 30.886299, -85.163803, 134, 'US', 'US-FL', 'Greenwood', 'no', '', '', '', 'FA72'),
	('FAMI', 'small_airport', 'Marble Hall Airport', -24.9891, 29.2831, 2980, 'ZA', 'ZA-NP', 'Marble Hall', 'no', 'FAMI', '', '', ''),
	('FAQE', 'N/A', 'N/A', -24.039585292339325, 29.27669495344162, 1358, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBMK', 'N/A', 'N/A', -23.03392756730318, 27.74052992463112, 831, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAYT', 'N/A', 'N/A', -23.470901995897293, 27.939723283052444, 870, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAWA', 'small_airport', 'Warmbaths Airport', -24.90999984741211, 28.299999237060547, 3655, 'ZA', 'ZA-NP', 'Warmbaths', 'no', 'FAWA', '', '', ''),
	('FAYL', 'N/A', 'N/A', -24.286064207553864, 27.786658108234406, 1384, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBMW', 'N/A', 'N/A', -24.670192413032055, 26.538320928812027, 976, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBMO', 'N/A', 'N/A', -23.062504827976227, 27.904779016971588, 790, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNI', 'N/A', 'N/A', -22.67084162682295, 29.31867867708206, 797, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXX', 'N/A', 'N/A', -25.02618458122015, 27.553224116563797, 969, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAAV', 'N/A', 'N/A', -24.13456868380308, 28.39297592639923, 1464, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAYS', 'N/A', 'N/A', -23.61945178359747, 27.827714681625366, 870, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATG', 'small_airport', 'Thaba Tholo Airport', -24.2811, 27.2294, 3200, 'ZA', 'ZA-NP', '', 'no', 'FATG', '', '', ''),
	('FBOA', 'N/A', 'N/A', -22.97760922461748, 28.003492802381516, 792, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATI', 'small_airport', 'Thabazimbi Airport', -24.5760850299, 27.4196863174, 3225, 'ZA', 'ZA-NP', 'Thabazimbi', 'no', 'FATI', '', '', ''),
	('FAYI', 'N/A', 'N/A', -24.978437572717667, 27.8810316324234, 1075, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FBSF', 'N/A', 'N/A', -22.603575848042965, 28.28971579670906, 743, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAAZ', 'N/A', 'N/A', -24.169651977717876, 28.336538672447205, 1329, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPP', 'medium_airport', 'Polokwane International Airport', -23.845269, 29.458615, 4076, 'ZA', 'ZA-NP', 'Polokwane', 'yes', 'FAPP', 'PTG', '', 'FAPB,  AFB Pietersburg,  Pietersburg International Airport, Gateway International Airport'),
	('FARO', 'small_airport', 'Rooiberg Airport', -24.7777888889, 27.7523361111, 3811, 'ZA', 'ZA-NP', 'Rooiberg', 'no', 'FARO', '', '', ''),
	('FA28', 'heliport', 'AAS Heliport', 27.359167, -80.486944, 26, 'US', 'US-FL', 'Fort Pierce', 'no', 'FA28', '', 'FA28', ''),
	('FAAW', 'N/A', 'N/A', -24.079316183924675, 28.118755370378494, 1438, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAYQ', 'N/A', 'N/A', -23.91827803105116, 27.795202285051346, 1080, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBNZ', 'N/A', 'N/A', -22.669910565018654, 28.54969248175621, 782, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FADO', 'small_airport', 'Dendron Airport', -23.380599975585938, 29.32080078125, 3399, 'ZA', 'ZA-NP', 'Dendron', 'no', 'FADO', '', '', ''),
	('FAER', 'small_airport', 'Ellisras Matimba Airport', -23.726699829101563, 27.68829917907715, 2799, 'ZA', 'ZA-NP', 'Ellisras', 'no', 'FAER', 'ELL', '', ''),
	('FANY', 'small_airport', 'Nylstroom Airfield', -24.686100006103516, 28.434900283813477, 3900, 'ZA', 'ZA-NP', 'Modimolle', 'no', 'FANY', '', '', ''),
	('FAAY', 'N/A', 'N/A', -24.068742245435715, 28.52329507470131, 1409, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBPY', 'small_airport', 'Palapye Airport', -22.564087, 27.136745, 3000, 'BW', 'BW-CE', 'Palapye', 'no', 'FBPY', 'QPH', '', ''),
	('FALO', 'small_airport', 'Louis Trichardt Airport', -23.061899185180664, 29.864700317382813, 3025, 'ZA', 'ZA-NP', 'Louis Trichardt', 'no', 'FALO', 'LCD', '', ''),
	('FBNV', 'N/A', 'N/A', -23.747759945690632, 27.067861407995224, 867, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAYK', 'N/A', 'N/A', -24.39131509512663, 27.914729118347168, 1445, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FA10', 'closed', 'BSO Public Safety Helistop', 26.124546, -80.176543, 8, 'US', 'US-FL', 'Fort Lauderdale', 'no', '', '', '', 'FA10'),
	('FBNR', 'N/A', 'N/A', -24.21719714999199, 26.88952311873436, 879, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FANT', 'N/A', 'N/A', -24.107814989984035, 28.315654546022415, 1286, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAYR', 'N/A', 'N/A', -23.967450633645058, 27.42575839161873, 1040, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALM', 'small_airport', 'Makhado Air Force Base Airport', -23.159901, 29.696501, 3069, 'ZA', 'ZA-NP', 'Louis Trichardt Southwest', 'no', 'FALM', '', '', ''),
	('FBOB', 'N/A', 'N/A', -22.90444929152727, 28.560792356729507, 847, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z27K', 'N/A', 'N/A', -22.83896952867508, 28.210038989782333, 824, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAGL', 'small_airport', 'Groblersdal Kob Airport', -25.186899, 29.403299, 3051, 'ZA', 'ZA-NP', 'Groblersdal', 'no', 'FAGL', '', '', ''),
	('FBMZ', 'N/A', 'N/A', -22.803660593926907, 28.996052742004395, 789, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FBLL', 'small_airport', 'Limpopo-Lipadi Airport', -22.55153, 28.492105, 2460, 'BW', 'BW-CE', 'Limpopo-Lipadi', 'no', 'FBLL', '', '', 'Zanzibar'),
	('Z27L', 'N/A', 'N/A', -23.25783032923937, 28.408715575933456, 979, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAJZ', 'N/A', 'N/A', -25.77689364552498, 27.79312402009964, 1189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FANC', 'medium_airport', 'Newcastle Airport', -27.7705993652, 29.976900100699996, 4074, 'ZA', 'ZA-NL', 'Newcastle', 'no', 'FANC', 'NCS', '', ''),
	('FAKL', 'small_airport', 'Kriel Airport', -26.251100540161133, 29.194700241088867, 5262, 'ZA', 'ZA-MP', 'Kriel', 'no', 'FAKL', '', '', ''),
	('FAZM', 'N/A', 'N/A', -26.161552257835865, 28.39684098958969, 1617, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASI', 'small_airport', 'Springs Airfield', -26.2494004736, 28.3982715607, 5340, 'ZA', 'ZA-GT', 'Del Fouche', 'no', 'FASI', '', '', ''),
	('FAEO', 'medium_airport', 'Ermelo Airport', -26.4955997467041, 29.979799270629883, 5700, 'ZA', 'ZA-MP', 'Ermelo', 'no', 'FAEO', '', '', ''),
	('FAVK', 'N/A', 'N/A', -27.021830901503563, 29.871018826961517, 1645, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXQ', 'N/A', 'N/A', -25.880379639565945, 26.890721172094345, 1572, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZV', 'N/A', 'N/A', -26.945649459958076, 28.71358573436737, 1558, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARG', 'medium_airport', 'Rustenburg Airport', -25.6443004608, 27.271099090599996, 3700, 'ZA', 'ZA-NW', 'Rustenburg', 'no', 'FARG', '', '', ''),
	('FAAO', 'N/A', 'N/A', -25.655490159988403, 28.032670319080353, 1322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPN', 'small_airport', 'Pilanesberg International Airport', -25.333799, 27.173401, 3412, 'ZA', 'ZA-NW', 'Pilanesberg', 'yes', 'FAPN', 'NTY', '', ''),
	('FAWI', 'small_airport', 'Witbank Airport', -25.832300186199998, 29.1919994354, 5078, 'ZA', 'ZA-MP', 'Witbank', 'no', 'FAWI', '', '', ''),
	('FAXW', 'N/A', 'N/A', -26.918414644896984, 27.413382679224014, 1379, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAAC', 'N/A', 'N/A', -25.346799418330193, 28.357157707214355, 1084, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVD', 'small_airport', 'Vrede Airport', -27.44029998779297, 29.153099060058594, 5499, 'ZA', 'ZA-FS', 'Vrede', 'no', 'FAVD', '', '', ''),
	('FAAR', 'N/A', 'N/A', -25.40613893419504, 28.56334090232849, 1180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAWM', 'small_airport', 'Welkom Airport', -27.996825, 26.663334, 4421, 'ZA', 'ZA-FS', 'Welkom', 'no', 'FAWM', 'WEL', '', ''),
	('FAYC', 'N/A', 'N/A', -25.393429286777973, 27.617876529693604, 1036, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKQ', 'N/A', 'N/A', -27.681809552013874, 27.254243195056915, 1393, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FADF', 'N/A', 'N/A', -26.51173308491707, 27.488910108804703, 1458, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FADI', 'N/A', 'N/A', -25.901923142373562, 28.081807047128677, 1538, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAMJ', 'small_airport', 'Majuba Power Station Airport', -27.079299926799997, 29.7784996033, 5600, 'ZA', 'ZA-MP', 'Amerspoort', 'no', 'FAMJ', '', '', ''),
	('FABA', 'small_airport', 'Microland Flight Park', -25.976255771599998, 28.3890151978, 5476, 'ZA', 'ZA-GT', 'Bapsfontein', 'no', 'FABA', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FAZQ', 'small_airport', 'Star Airport', -26.89310073852539, 27.690000534057617, 4754, 'ZA', 'ZA-FS', 'Star', 'no', 'FAZQ', '', '', ''),
	('FADY', 'small_airport', 'De Aar Military Airport', -30.63650894165039, 23.91972541809082, 4037, 'ZA', 'ZA-NC', 'De Aar', 'no', 'FADY', '', '', ''),
	('FALA', 'medium_airport', 'Lanseria International Airport', -25.938499, 27.9261, 4517, 'ZA', 'ZA-GT', 'Johannesburg', 'yes', 'FALA', 'HLA', '', ''),
	('FAOY', 'small_airport', 'Orkney Airport', -26.98390007019043, 26.651399612426758, 4265, 'ZA', 'ZA-NW', 'Orkney', 'no', 'FAOY', '', '', ''),
	('FAXZ', 'N/A', 'N/A', -25.810710601508617, 27.711961716413498, 1222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAEQ', 'N/A', 'N/A', -26.940599866211414, 28.142627030611038, 1493, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAJY', 'N/A', 'N/A', -25.82546979188919, 27.66541913151741, 1258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZX', 'N/A', 'N/A', -25.83415813744068, 28.539957404136658, 1454, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATT', 'small_airport', 'Tutuka Power Station Airport', -26.775128, 29.337542, 5313, 'ZA', 'ZA-MP', 'Standerton', 'no', 'FATT', '', '', ''),
	('FAZN', 'N/A', 'N/A', -26.363817304372787, 28.906994462013245, 1676, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKS', 'small_airport', 'Kroonstad Airport', -27.660601, 27.3158, 4700, 'ZA', 'ZA-FS', 'Kroonstad', 'no', 'FAKS', '', '', ''),
	('FASU', 'small_airport', 'Sace Airport', -25.956899642944336, 29.211700439453125, 5151, 'ZA', 'ZA-MP', 'Sace', 'no', 'FASU', '', '', ''),
	('FASJ', 'small_airport', 'Saffier Airport', -26.760000228881836, 27.760000228881836, 4700, 'ZA', 'ZA-GT', 'Saffier', 'no', 'FASJ', '', '', ''),
	('FATJ', 'N/A', 'N/A', -25.971400402486324, 28.350083380937576, 1588, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZF', 'N/A', 'N/A', -27.56799705326557, 28.854910880327225, 1636, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAAM', 'small_airport', 'Amsterdam Airport', -26.633333206176758, 30.600000381469727, 4310, 'ZA', 'ZA-MP', 'Amsterdam', 'no', 'FAAM', '', '', ''),
	('FAVE', 'small_airport', 'Ventersdorp Airport', -26.300899505615234, 26.814199447631836, 4917, 'ZA', 'ZA-NW', 'Ventersdorp', 'no', 'FAVE', '', '', ''),
	('FACR', 'small_airport', 'Carltonville Airport', -26.366666793823242, 27.34666633605957, 5000, 'ZA', 'ZA-GT', 'Carltonville', 'no', 'FACR', '', '', ''),
	('FAGC', 'medium_airport', 'Grand Central Airport', -25.986299514799995, 28.1401004791, 5325, 'ZA', 'ZA-GT', 'Midrand', 'no', 'FAGC', 'GCJ', '', ''),
	('FAFF', 'small_airport', 'Frankfort Airport', -27.286786, 28.514585, 5176, 'ZA', 'ZA-FS', 'Frankfort', 'no', 'FAFF', '', '', ''),
	('FAYW', 'N/A', 'N/A', -28.004516512155533, 28.32074671983719, 1632, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASK', 'medium_airport', 'Swartkop Air Force Base', -25.8097, 28.1646, 4780, 'ZA', 'ZA-GT', 'Pretoria', 'no', 'FASK', '', '', ''),
	('FAKT', 'small_airport', 'Kitty Hawk Airport', -25.860000610399997, 28.4500007629, 4619, 'ZA', 'ZA-GT', 'Boschkop', 'no', 'FAKT', '', '', ''),
	('FARA', 'small_airport', 'Petit Airport', -26.0845963451, 28.390386581399998, 5460, 'ZA', 'ZA-GT', 'Daveyton', 'no', 'FARA', '', '', ''),
	('FABB', 'small_airport', 'Brakpan Airport', -26.23859977722168, 28.301799774169922, 5300, 'ZA', 'ZA-GT', 'Brakpan', 'no', 'FABB', '', '', ''),
	('FADR', 'small_airport', 'Dunnottar Airfield', -26.3543156175, 28.466791153, 5241, 'ZA', 'ZA-GT', 'Dunnottar', 'no', '', '', '', ''),
	('FAKO', 'small_airport', 'Komga Airport', -32.59280014038086, 27.87579917907715, 2178, 'ZA', 'ZA-EC', 'Komga', 'no', 'FAKO', '', '', ''),
	('FAEK', 'N/A', 'N/A', -26.851279623806477, 28.19818675518036, 1513, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVV', 'medium_airport', 'Vereeniging Airport', -26.566400528, 27.9608001709, 4846, 'ZA', 'ZA-GT', 'Vereeniging', 'no', 'FAVV', '', '', ''),
	('FAAQ', 'N/A', 'N/A', -25.70525050163269, 28.044700026512146, 1275, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZK', 'N/A', 'N/A', -26.475566178560257, 28.111525923013687, 1523, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZI', 'N/A', 'N/A', -26.442036889493465, 28.487812131643295, 1576, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZO', 'N/A', 'N/A', -26.99358019977808, 28.321722149848938, 1496, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZH', 'N/A', 'N/A', -26.622275300323963, 28.612469136714935, 1669, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAWK', 'medium_airport', 'Waterkloof Air Force Base', -25.829999923699997, 28.222499847399998, 4940, 'ZA', 'ZA-GT', 'Pretoria', 'no', 'FAWK', 'WKF', '', 'AFB'),
	('FAOI', 'small_airport', 'Orient Glider Airport', -26.039400100708008, 27.595600128173828, 5102, 'ZA', 'ZA-GT', 'Orient', 'no', 'FAOI', '', '', ''),
	('FAMB', 'small_airport', 'Middelburg Airport', -25.684799194335938, 29.440200805664063, 4886, 'ZA', 'ZA-MP', 'Middelburg', 'no', 'FAMB', '', '', ''),
	('FAJH', 'N/A', 'N/A', -26.329276487231255, 28.068400472402573, 1530, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAYF', 'N/A', 'N/A', -25.739000402390957, 27.112098187208176, 1239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z27B', 'N/A', 'N/A', -26.165730468928814, 29.182657152414322, 1614, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAHO', 'small_airport', 'Heilbron Airport', -27.278600692749023, 27.9955997467041, 5200, 'ZA', 'ZA-FS', 'Heilbron', 'no', 'FAHO', '', '', ''),
	('FAYZ', 'N/A', 'N/A', -27.001487351953983, 28.370289355516434, 1530, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAMV', 'closed', 'Montrose Airport', -24.625, 30.186111, 2690, 'ZA', 'ZA-NP', 'Montrose', 'no', '', '', '', 'FAMV'),
	('FAAP', 'small_airport', 'Arnot Power Station Airport', -25.941099166900003, 29.810300827, 5594, 'ZA', 'ZA-MP', 'Arnot Power Station', 'no', '', '', '', ''),
	('FAYE', 'N/A', 'N/A', -25.762271247804165, 27.32319876551628, 1194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZZ', 'N/A', 'N/A', -25.31894166022539, 28.311445713043213, 1065, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAEI', 'N/A', 'N/A', -25.69270145148039, 27.782771587371826, 1156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMMM', 'N/A', 'N/A', -25.70445891469717, 26.9088676571846, 1294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAHE', 'small_airport', 'Pullenshope Hendrina Airport', -25.977800369262695, 29.618900299072266, 5171, 'ZA', 'ZA-MP', 'Hendrina', 'no', 'FAHE', '', '', ''),
	('FABJ', 'N/A', 'N/A', -27.501642890274525, 26.33698582649231, 1301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKD', 'medium_airport', 'P C Pelser Airport', -26.871099, 26.718, 4444, 'ZA', 'ZA-NW', 'Klerksdorp', 'no', 'FAKD', 'KXE', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FAHN', 'N/A', 'N/A', -28.027152344584465, 27.081027925014496, 1410, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXP', 'N/A', 'N/A', -26.95568896830082, 26.7518113553524, 1296, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAHA', 'small_airport', 'Harmony Airport', -28.078699111938477, 26.8612003326416, 4399, 'ZA', 'ZA-FS', 'Virginia', 'no', 'FAHA', '', '', ''),
	('FAPY', 'small_airport', 'Parys Airport', -26.889299392700195, 27.503400802612305, 4740, 'ZA', 'ZA-FS', 'Parys', 'no', 'FAPY', '', '', ''),
	('FAGM', 'medium_airport', 'Rand Airport', -26.2425, 28.151199, 5483, 'ZA', 'ZA-GT', 'Johannesburg', 'no', 'FAGM', 'QRA', '', ''),
	('FAKG', 'small_airport', 'Komati Power Station Airport', -26.093299865722656, 29.45560073852539, 5289, 'ZA', 'ZA-MP', 'Komati Power Station', 'no', 'FAKG', '', '', ''),
	('FASY', 'small_airport', 'Baragwanath Aerodrome', -26.349199, 27.7794, 5420, 'ZA', 'ZA-GT', 'Hiltonia', 'no', '', '', '5407', 'FASY, Sylerfontein Airport'),
	('FASC', 'medium_airport', 'Secunda Airport', -26.52409935, 29.170099258399997, 5250, 'ZA', 'ZA-MP', 'Secunda', 'no', 'FASC', 'ZEC', '', ''),
	('FAYG', 'N/A', 'N/A', -25.752143561840057, 27.10397332906723, 1247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVP', 'small_airport', 'Vanderbijlpark Airport', -26.69029998779297, 27.777099609375, 4861, 'ZA', 'ZA-GT', 'Vanderbijlpark', 'no', 'FAVP', '', '', ''),
	('FAXO', 'N/A', 'N/A', -27.805610597133636, 26.491056382656097, 1289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAWB', 'medium_airport', 'Wonderboom Airport', -25.6539, 28.224199, 4095, 'ZA', 'ZA-GT', 'Pretoria', 'no', 'FAWB', 'PRY', '', ''),
	('FAYB', 'N/A', 'N/A', -25.36532811820507, 27.618457674980164, 1059, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAEP', 'N/A', 'N/A', -26.866771057248116, 28.071675896644592, 1513, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAOR', 'large_airport', 'O.R. Tambo International Airport', -26.1392, 28.246, 5558, 'ZA', 'ZA-GT', 'Johannesburg', 'yes', 'FAOR', 'JNB', '', 'Johannesburg International Airport, FAJS'),
	('FATA', 'small_airport', 'Tedderfield Air Park', -26.352037738499998, 27.9681630135, 5198, 'ZA', 'ZA-GT', 'Tedderfield', 'no', 'FATA', '', '', ''),
	('FAEB', 'N/A', 'N/A', -26.490653604269028, 29.081875383853912, 1614, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATE', 'N/A', 'N/A', -25.991862639784813, 28.415954411029816, 1611, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FABO', 'small_airport', 'Hendrik Potgieter Airport', -27.36680030822754, 26.629199981689453, 4236, 'ZA', 'ZA-FS', 'Bothaville', 'no', 'FABO', '', '', ''),
	('FAZT', 'N/A', 'N/A', -26.481179371476173, 28.060425370931625, 1492, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKR', 'small_airport', 'Krugersdorp Airport', -26.080826, 27.725915, 5499, 'ZA', 'ZA-GT', 'Krugersdorp', 'no', 'FAKR', '', '', 'Jack Taylor'),
	('FAZD', 'N/A', 'N/A', -27.036445923149586, 28.65946590900421, 1531, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FABQ', 'N/A', 'N/A', -25.856712497770786, 27.631358206272125, 1262, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZJ', 'N/A', 'N/A', -26.476660519838333, 28.04970234632492, 1518, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FABS', 'small_airport', 'Brits Airport', -25.532301, 27.7759, 3756, 'ZA', 'ZA-NW', 'Brits', 'no', 'FABS', '', '', ''),
	('FAXV', 'N/A', 'N/A', -26.112453415989876, 27.639489769935608, 1605, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAJU', 'N/A', 'N/A', -26.58118687570095, 27.44227185845375, 1452, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFW', 'small_airport', 'Freeway Airport', -25.47719955444336, 28.290000915527344, 3819, 'ZA', 'ZA-GT', 'Kromdraai', 'no', 'FAFW', '', '', ''),
	('FAHG', 'small_airport', 'Heidelburg Airport', -26.51, 28.389999, 5089, 'ZA', 'ZA-GT', 'Heidelburg', 'no', 'FAHG', '', '', ''),
	('FAYD', 'N/A', 'N/A', -25.49397222697735, 27.66176238656044, 1060, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZY', 'N/A', 'N/A', -25.610757283866405, 28.542482256889343, 1361, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVL', 'N/A', 'N/A', -27.199530601501465, 26.904011517763138, 1340, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZL', 'N/A', 'N/A', -26.755776219069958, 28.59878808259964, 1606, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAJX', 'N/A', 'N/A', -25.548133738338947, 27.938422858715057, 1183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPS', 'medium_airport', 'Potchefstroom Airport', -26.670999527, 27.0818996429, 4520, 'ZA', 'ZA-NW', 'Potchefstroom', 'no', 'FAPS', 'PCF', '', ''),
	('FAZW', 'N/A', 'N/A', -26.96131121367216, 28.92431080341339, 1549, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZB', 'N/A', 'N/A', -27.125121764838696, 28.024377822875977, 1539, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAAU', 'N/A', 'N/A', -25.818009227514267, 28.378711938858032, 1425, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPR', 'N/A', 'N/A', -28.407527469098568, 28.810620456933975, 1756, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAEC', 'small_airport', 'Estcourt Airport', -29.047199249267578, 29.910600662231445, 4262, 'ZA', 'ZA-NL', 'Estcourt', 'no', 'FAEC', '', '', ''),
	('FADZ', 'small_airport', 'Drakensberg Gardens Airport', -29.75, 29.25, 5948, 'ZA', 'ZA-NL', 'Drakensberg Gardens', 'no', 'FADZ', '', '', ''),
	('FAJT', 'N/A', 'N/A', -29.001637771725655, 27.593578845262527, 1625, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FXTK', 'small_airport', 'Tlokoeng Airport', -29.233, 28.882999, 7000, 'LS', 'LS-J', 'Tlokoeng', 'no', 'FXTK', 'TKO', '', ''),
	('FXQG', 'small_airport', 'Quthing Airport', -30.407499, 27.6933, 5350, 'LS', 'LS-G', 'Quthing', 'no', 'FXQG', 'UTG', '', ''),
	('FAVN', 'N/A', 'N/A', -28.269263952970505, 27.156976461410522, 1383, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FXMH', 'small_airport', 'Mohale''s Hoek Airport', -30.144501, 27.4708, 5146, 'LS', 'LS-F', 'Mohale''s Hoek', 'no', 'FXMH', '', '', ''),
	('FXMT', 'small_airport', 'Matabeng Store Airport', -29.783001, 28.767, 6300, 'LS', 'LS-K', 'Matabeng Store', 'no', 'FXMT', '', '', ''),
	('FAYX', 'N/A', 'N/A', -28.15757442265749, 28.692724406719208, 1690, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FABZ', 'small_airport', 'Bizana Airport', -30.860300064086914, 29.86389923095703, 2740, 'ZA', 'ZA-EC', 'Bizana', 'no', 'FABZ', '', '', ''),
	('FABN', 'closed', 'Barberton Municipal Airfield', -25.778600692699996, 31.017499923699997, 0, 'ZA', 'ZA-MP', 'Barberton', 'no', '', '', '', ''),
	('FXMM', 'medium_airport', 'Moshoeshoe I International Airport', -29.462299346923828, 27.552499771118164, 5348, 'LS', 'LS-A', 'Maseru', 'yes', 'FXMM', 'MSU', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FALZ', 'N/A', 'N/A', -30.70648033171892, 27.208043932914734, 1623, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FABM', 'small_airport', 'Bethlehem Airport', -28.2484, 28.3361, 5561, 'ZA', 'ZA-FS', 'Bethlehem', 'no', 'FABM', '', '', ''),
	('FAHQ', 'N/A', 'N/A', -28.375393263995647, 29.004243314266205, 1666, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FXMP', 'small_airport', 'Mohlanapeng Airport', -29.586399, 28.665591, 7294, 'LS', 'LS-K', 'Mohlanapeng', 'no', 'FXMP', '', '', ''),
	('FXLK', 'small_airport', 'Lebakeng Airport', -29.8908, 28.6556, 6000, 'LS', 'LS-H', 'Lebakeng', 'no', 'FXLK', 'LEF', '', ''),
	('FXME', 'N/A', 'N/A', -29.929160065948963, 27.84822016954422, 2299, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALB', 'small_airport', 'Ladybrand Af Airport', -29.181100845336914, 27.45359992980957, 5180, 'ZA', 'ZA-FS', 'Ladybrand', 'no', 'FALB', '', '', ''),
	('FAHR', 'medium_airport', 'Harrismith Airport', -28.2351, 29.106199, 5585, 'ZA', 'ZA-FS', 'Harrismith', 'no', 'FAHR', 'HRS', '', ''),
	('FATN', 'small_airport', 'Thaba Nchu Tar Airport', -29.317800521850586, 26.822799682617188, 4941, 'ZA', 'ZA-FS', 'Homeward', 'no', 'FATN', 'TCU', '', ''),
	('FXQA', 'N/A', 'N/A', -29.88447479903698, 28.36142510175705, 2288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAYY', 'N/A', 'N/A', -28.220204673707485, 28.453606367111206, 1720, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FXTT', 'N/A', 'N/A', -29.335439689457417, 28.68233621120453, 2399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FXML', 'small_airport', 'Malefiloane Airstrip', -29.333375, 29.19187, 8267, 'LS', 'LS-J', 'Malefiloane', 'no', 'FXML', '', '', ''),
	('FXSM', 'small_airport', 'Semonkong Airport', -29.8386, 28.059999, 7200, 'LS', 'LS-A', 'Semonkong', 'no', 'FXSM', 'SOK', '', ''),
	('FAXN', 'N/A', 'N/A', -28.215398155152798, 26.833604872226715, 1363, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAFB', 'medium_airport', 'Ficksburg Sentraoes Airport', -28.82309913635254, 27.908899307250977, 5315, 'ZA', 'ZA-FS', 'Ficksburg', 'no', 'FAFB', 'FCB', '', ''),
	('FXBU', 'N/A', 'N/A', -28.688157610595226, 28.216871470212936, 1864, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FXQN', 'small_airport', 'Qacha''s Nek Airport', -30.1117, 28.6719, 6100, 'LS', 'LS-H', 'Qacha''s Nek', 'no', 'FXQN', 'UNE', '', ''),
	('FAYV', 'N/A', 'N/A', -28.37222959846258, 28.105283081531525, 1788, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FA39', 'closed', 'Veterans Administration Medical Center Heliport', 29.637199, -82.362, 102, 'US', 'US-FL', 'Gainesville', 'no', '', '', '', 'FA39'),
	('FXTH', 'N/A', 'N/A', -29.71071057021618, 28.29454869031906, 2211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASN', 'small_airport', 'Senekal Airport', -28.31220054626465, 27.646099090576172, 4849, 'ZA', 'ZA-FS', 'Senekal', 'no', 'FASN', '', '', ''),
	('FA85', 'N/A', 'N/A', -29.835504703223705, 29.341927617788315, 1722, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALQ', 'small_airport', 'El Mirador Airport', -28.98611068725586, 29.47972297668457, 3897, 'ZA', 'ZA-NL', 'Ardmore', 'no', 'FALQ', '', '', ''),
	('FALY', 'medium_airport', 'Ladysmith Airport', -28.5816993713, 29.749700546299998, 3548, 'ZA', 'ZA-NL', 'Ladysmith', 'no', 'FALY', 'LAY', '', ''),
	('FXKA', 'small_airport', 'Katse Airport', -29.363701, 28.5273, 7000, 'LS', 'LS-K', 'Katse', 'no', 'FXKA', '', '', ''),
	('FABX', 'small_airport', 'Beatrix Airport', -28.2450008392334, 26.771900177001953, 4518, 'ZA', 'ZA-FS', 'Virginia', 'no', 'FABX', '', '', ''),
	('FXMK', 'small_airport', 'Mokhotlong Airport', -29.281799, 29.0728, 7200, 'LS', 'LS-J', 'Mokhotlong', 'no', 'FXMK', 'MKH', '', ''),
	('FXMU', 'small_airport', 'Mejametalana Airbase', -29.3041, 27.5035, 5105, 'LS', 'LS-A', 'Maseru', 'no', 'FXMU', '', '', ''),
	('FXSK', 'small_airport', 'Sekakes Airport', -30.0389, 28.3703, 5700, 'LS', 'LS-H', 'Sekakes', 'no', 'FXSK', 'SKQ', '', ''),
	('FXMN', 'small_airport', 'Mantsonyane Airport', -29.54515, 28.270569, 7100, 'LS', 'LS-K', 'Mantsonyane', 'no', 'FXMN', '', '', ''),
	('FAZG', 'N/A', 'N/A', -30.23400854319334, 29.3370558321476, 1639, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FABL', 'medium_airport', 'Bram Fischer International Airport', -29.092699, 26.302401, 4457, 'ZA', 'ZA-FS', 'Bloemfontain', 'yes', 'FABL', 'BFN', '', ''),
	('FAMA', 'small_airport', 'Matatiele Airport', -30.322200775146484, 28.794200897216797, 4762, 'ZA', 'ZA-NL', 'Matatiele', 'no', 'FAMA', '', '', ''),
	('FALJ', 'N/A', 'N/A', -30.272144190967083, 29.39714401960373, 1523, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FXBB', 'small_airport', 'Bobete Airport', -29.424999, 28.667, 7100, 'LS', 'LS-K', 'Bobete', 'no', 'FXBB', '', '', ''),
	('FAWP', 'small_airport', 'Wepener Airport', -29.742399215698242, 27.022600173950195, 4755, 'ZA', 'ZA-FS', 'Wepener', 'no', 'FAWP', '', '', ''),
	('FXLR', 'small_airport', 'Leribe Airport', -28.8556, 28.052799, 5350, 'LS', 'LS-C', 'Leribe', 'no', 'FXLR', 'LRB', '', ''),
	('FXTA', 'small_airport', 'Thaba-Tseka Airport', -29.5228, 28.615801, 7500, 'LS', 'LS-K', 'Thaba-Tseka', 'no', 'FXTA', 'THB', '', ''),
	('FAZS', 'N/A', 'N/A', -30.413240790367126, 26.84914603829384, 1504, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASF', 'N/A', 'N/A', -28.4528474137187, 27.534702569246292, 1499, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FXMA', 'small_airport', 'Matsaile Airport', -29.840562, 28.77668, 6200, 'LS', 'LS-K', 'Matsaile', 'no', 'FXMA', 'MSG', 'MSG', ''),
	('FXNK', 'small_airport', 'Nkaus Airport', -30.021699905396, 28.196899414062, 5621, 'LS', 'LS-F', 'Nkaus', 'no', 'FXNK', 'NKU', '', 'Nkau'),
	('FAUB', 'small_airport', 'Underberg Airport', -29.788400650024414, 29.498300552368164, 5057, 'ZA', 'ZA-NL', 'Underberg', 'no', 'FAUB', '', '', ''),
	('FAXM', 'N/A', 'N/A', -28.40368252247572, 26.693955659866333, 1429, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FXLT', 'small_airport', 'Letseng Airport', -29.0093, 28.8547, 10400, 'LS', 'LS-J', 'Letseng', 'no', 'FXLT', '', '', ''),
	('FXSH', 'small_airport', 'Sehonghong Airport', -29.731088, 28.767945, 6500, 'LS', 'LS-K', 'Sehonghong', 'no', 'FXSH', 'SHK', '', ''),
	('FXNH', 'small_airport', 'Nohanas Airport', -30.066999, 27.867001, 5400, 'LS', 'LS-F', 'Nohanas', 'no', 'FXNH', '', '', ''),
	('FXMS', 'small_airport', 'Mashai Store Airport', -29.678025, 28.805082, 7300, 'LS', 'LS-K', 'Mashai Store', 'no', 'FXMS', '', '', ''),
	('FXSS', 'small_airport', 'Seshutes Airport', -29.267599, 28.552299, 7000, 'LS', 'LS-C', 'Seshutes', 'no', 'FXSS', 'SHZ', '', ''),
	('FXMF', 'small_airport', 'Mafeteng Airport', -29.8011, 27.243601, 5350, 'LS', 'LS-E', 'Mafeteng', 'no', 'FXMF', 'MFC', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FAAN', 'small_airport', 'Aliwal North Airport', -30.681072, 26.730141, 4405, 'ZA', 'ZA-EC', 'Aliwal North', 'no', 'FAAN', '', '', ''),
	('FAHU', 'small_airport', 'H M S Bastard Memorial Airport', -30.542499542236328, 29.499000549316406, 4701, 'ZA', 'ZA-NL', 'H.M.S.Bastard Memorial', 'no', 'FAHU', '', '', ''),
	('FXSE', 'small_airport', 'Sehlabathebe Airport', -29.9158, 29.038799, 7300, 'LS', 'LS-H', 'Sehlabathebe', 'no', 'FXSE', '', '', ''),
	('FAJM', 'N/A', 'N/A', -33.15121091902256, 26.525912582874298, 330, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAJQ', 'N/A', 'N/A', -33.41554798185825, 26.730847209692, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXJ', 'N/A', 'N/A', -31.5861614048481, 26.745532304048538, 1554, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAGN', 'N/A', 'N/A', -33.39188653975725, 26.34596899151802, 564, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKX', 'small_airport', 'Kenton-on-Sea Airport', -33.670329, 26.630593, 172, 'ZA', 'ZA-EC', 'Boesmansriviermond', 'no', 'FAKX', '', '', 'Boesmansrivermond Airfield, Bushman''s River Mouth'),
	('FAET', 'small_airport', 'Elliot Airport', -31.306900024414063, 27.84950065612793, 5028, 'ZA', 'ZA-EC', 'Elliot', 'no', 'FAET', '', '', ''),
	('FABF', 'small_airport', 'Barkly East Airport', -30.966667175299996, 27.604166030900004, 5940, 'ZA', 'ZA-EC', 'Barkly East', 'no', 'FABF', '', '', ''),
	('FAEL', 'medium_airport', 'Ben Schoeman Airport', -33.035599, 27.825899, 435, 'ZA', 'ZA-EC', 'East London', 'yes', 'FAEL', 'ELS', '', ''),
	('FAXT', 'N/A', 'N/A', -32.564440816640854, 27.375456243753433, 906, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXR', 'N/A', 'N/A', -32.31023881584406, 27.327716499567032, 814, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKE', 'small_airport', 'Keimouth Airport', -32.697337, 28.356291, 222, 'ZA', 'ZA-EC', 'Keimouth', 'no', 'FAKE', '', '', ''),
	('FAXI', 'N/A', 'N/A', -32.029013223946095, 26.296796947717667, 1336, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FACX', 'small_airport', 'Cathcart Airport', -32.28710174560547, 27.1387996673584, 3959, 'ZA', 'ZA-EC', 'Cathcart', 'no', 'FACX', '', '', ''),
	('FAZU', 'N/A', 'N/A', -32.764351554214954, 26.444265246391296, 689, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPJ', 'medium_airport', 'Port St Johns Airport', -31.60612, 29.52175, 1227, 'ZA', 'ZA-EC', 'Port St Johns', 'no', 'FAPJ', 'JOH', '', ''),
	('FAGW', 'small_airport', 'Magwa Airport', -31.39394187927246, 29.693470001220703, 1823, 'ZA', 'ZA-EC', 'Magwa', 'no', 'FAGW', '', '', ''),
	('FAUT', 'medium_airport', 'K. D. Matanzima Airport', -31.546363184900002, 28.6733551025, 2400, 'ZA', 'ZA-EC', 'Mthatha', 'yes', 'FAUT', 'UTT', '', 'Umtata'),
	('FAIW', 'small_airport', 'Indwe Airport', -31.483333587646484, 27.350000381469727, 4167, 'ZA', 'ZA-EC', 'Indwe', 'no', 'FAIW', '', '', ''),
	('FAGT', 'small_airport', 'Grahamstown Airport', -33.284698486328125, 26.49810028076172, 2135, 'ZA', 'ZA-EC', 'Grahamstown', 'no', 'FAGT', '', '', ''),
	('FATR', 'small_airport', 'Trennery''s Airport', -32.639682, 28.422969, 114, 'ZA', 'ZA-EC', 'Qolora', 'no', 'FATR', '', '', ''),
	('FABE', 'medium_airport', 'Bisho Airport', -32.897099, 27.2791, 1950, 'ZA', 'ZA-EC', 'Bisho', 'no', 'FABE', 'BIY', '', ''),
	('FAQT', 'medium_airport', 'Queenstown Airport', -31.92020034790039, 26.882200241088867, 3637, 'ZA', 'ZA-EC', 'Queenstown', 'no', 'FAQT', 'UTW', '', ''),
	('FAUG', 'small_airport', 'Ugie Airport', -31.219999313354492, 28.209999084472656, 4580, 'ZA', 'ZA-EC', 'Ugie', 'no', 'FAUG', '', '', ''),
	('FAFO', 'small_airport', 'Fort Beaufort Airport', -32.79050064086914, 26.577699661254883, 1581, 'ZA', 'ZA-EC', 'Fort Beaufort', 'no', 'FAFO', '', '', ''),
	('FABD', 'small_airport', 'Burghersdorp Airport', -30.977500915527344, 26.3080997467041, 4734, 'ZA', 'ZA-EC', 'Burgersdorp', 'no', 'FABD', '', '', ''),
	('FAEE', 'N/A', 'N/A', -31.28514513373375, 29.988345354795456, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAWR', 'small_airport', 'Wavecrest Airport', -32.589906, 28.518491, 89, 'ZA', 'ZA-EC', 'Wavecrest', 'no', 'FAWR', '', '', ''),
	('FAWG', 'N/A', 'N/A', -32.901887856423855, 28.04886817932129, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZP', 'small_airport', 'Mazeppa Bay Airport', -32.472152, 28.65052, 13, 'ZA', 'ZA-EC', 'Mazeppa Bay', 'no', 'FAZP', '', '', 'Kob Inn Airstrip'),
	('FAMT', 'small_airport', 'Molteno Airport', -31.38960075378418, 26.348400115966797, 5254, 'ZA', 'ZA-EC', 'Molteno', 'no', 'FAMT', '', '', ''),
	('FABC', 'N/A', 'N/A', -32.696451768279076, 28.321771770715714, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAID', 'small_airport', 'Idutywa Airport', -32.099998474121094, 28.316699981689453, 2530, 'ZA', 'ZA-EC', 'Idutywa', 'no', 'FAID', '', '', ''),
	('FAYU', 'N/A', 'N/A', -32.24255058914423, 28.910278379917145, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATS', 'N/A', 'N/A', -32.081244215369225, 26.30470722913742, 1311, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXK', 'N/A', 'N/A', -31.556910574436188, 26.53776615858078, 1361, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALK', 'small_airport', 'Lusikisiki Airport', -31.36669921875, 29.58329963684082, 1831, 'ZA', 'ZA-EC', 'Lusikisiki', 'no', 'FALK', 'LUJ', '', ''),
	('FAJS', 'N/A', 'N/A', -32.825741954147816, 27.83450022339821, 388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAXS', 'N/A', 'N/A', -32.451874539256096, 27.23242700099945, 1102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKI', 'small_airport', 'Kobb Inn Airport', -32.433799, 28.683467, 147, 'ZA', 'ZA-EC', 'Kobb Inn', 'no', 'FAKI', '', '', 'Resort,Lodge,Fly-inn'),
	('ENSS', 'medium_airport', 'Vardø Airport, Svartnes', 70.3554, 31.044901, 42, 'NO', 'NO-56', 'Vardø', 'yes', 'ENSS', 'VAW', '', ''),
	('UOLE', 'N/A', 'N/A', 68.15167721360922, 33.46432015299797, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAF', 'N/A', 'N/A', 69.0156415477395, 33.29173341393471, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPEC', 'N/A', 'N/A', 69.25101175904274, 31.19633361697197, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZAO', 'N/A', 'N/A', 69.09496050328016, 32.40051582455635, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZAP', 'N/A', 'N/A', 69.4009267911315, 30.988587588071823, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIO', 'N/A', 'N/A', 67.57608152925968, 33.58298510313034, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULMM', 'medium_airport', 'Murmansk Airport', 68.78170013427734, 32.75080108642578, 266, 'RU', 'RU-MUR', 'Murmansk', 'yes', 'ULMM', 'MMK', '', ''),
	('ULAK', 'medium_airport', 'Severomorsk-1 Naval Air Base', 69.03167, 33.418331, 239, 'RU', 'RU-MUR', 'Severomorsk', 'no', '', '', 'XLMD', 'ЬЛМД');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UMOE', 'N/A', 'N/A', 67.98898715525866, 33.018702417612076, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XLMV', 'medium_airport', 'Severomorsk-3 Naval Air Base', 68.866669, 33.716667, 564, 'RU', 'RU-MUR', 'Severomorsk', 'no', '', '', 'XLMV', 'Malyavr, Murmansk Northeast'),
	('USHG', 'N/A', 'N/A', 68.50804019719362, 33.28955814242363, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOV', 'N/A', 'N/A', 68.02163064479828, 35.00246286392212, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UREV', 'N/A', 'N/A', 67.51630648970604, 34.30984899401665, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULBO', 'small_airport', 'Shoyna Airstrip', 67.869003, 44.151001, 0, 'RU', 'RU-NEN', 'Shoyna', 'no', '', '', 'ULBO', 'Аэропорт Шойна, УЛБО'),
	('UISA', 'N/A', 'N/A', 71.61715630441904, 52.47802197933197, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULAM', 'medium_airport', 'Naryan Mar Airport', 67.639999, 53.121899, 36, 'RU', 'RU-NEN', 'Naryan Mar', 'yes', 'ULAM', 'NNM', '', 'Нарья́н-Мар'),
	('ULDW', 'small_airport', 'Varandey Airport', 68.848503, 58.201401, 23, 'RU', 'RU-NEN', 'Varandey', 'no', 'ULDW', 'VRI', '', 'УЛДВ, Varandei Airport, Аэропорт Варандей'),
	('UALL', 'N/A', 'N/A', 66.97274476289749, 30.348485559225082, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULPK', 'small_airport', 'Kalevala Airfield', 65.209999, 31.135, 377, 'RU', 'RU-KR', 'Kalevala', 'no', 'ULPK', '', '', 'Аэропорт Калевала, УЛПК'),
	('UPYY', 'N/A', 'N/A', 65.76429963111877, 30.954458713531494, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULMK', 'small_airport', 'Kirovsk-Apatity Airport', 67.463303, 33.588299, 515, 'RU', 'RU-MUR', 'Apatity', 'no', '', 'KVK', 'ULMK', 'Kirovsk Airport, Apatity Airport, Аэропорт Кировск, Аэропорт Апатиты'),
	('UAFR', 'N/A', 'N/A', 67.45718691498041, 32.78518483042717, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGIR', 'N/A', 'N/A', 62.48255956918001, 33.74998837709427, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOU', 'N/A', 'N/A', 64.61806029081345, 30.68720117211342, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USUO', 'N/A', 'N/A', 62.28117864578962, 32.414971590042114, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EFIT', 'medium_airport', 'Kitee Airport', 62.1661, 30.073601, 364, 'FI', 'FI-13', 'Kitee', 'no', 'EFIT', 'KTQ', '', ''),
	('ULED', 'N/A', 'N/A', 63.95843032747507, 32.00813591480255, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UANI', 'N/A', 'N/A', 59.765770845115185, 30.077420622110367, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIS', 'N/A', 'N/A', 59.40213304013014, 31.81542545557022, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOD', 'N/A', 'N/A', 60.710273534059525, 33.56990531086922, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOTR', 'N/A', 'N/A', 59.871769063174725, 30.802395790815353, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIH', 'N/A', 'N/A', 59.66013438999653, 32.10632041096687, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULSW', 'small_airport', 'Severniy veter', 59.835311, 31.480533, 194, 'RU', 'RU-LEN', 'Putilovo', 'no', 'ULSW', '', '', 'Северный ветер,Putilovo'),
	('ULLP', 'medium_airport', 'Pushkin Airport', 59.685001, 30.338301, 230, 'RU', 'RU-SPE', 'St. Petersburg', 'no', 'ULLP', '', '', 'Аэропорт Пушкин'),
	('ULSV', 'N/A', 'N/A', 60.02129551023245, 30.786097794771194, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULYU', 'N/A', 'N/A', 59.239535853266716, 31.26978412270546, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAP', 'N/A', 'N/A', 60.71454729884863, 30.111909359693527, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULPW', 'closed', 'Sortavala Airstrip', 61.736099, 30.673599, 0, 'RU', 'RU-KR', '', 'no', '', '', '', 'Сортавала, ULPW'),
	('UYAN', 'N/A', 'N/A', 59.98057924211025, 30.587824434041977, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XLLN', 'closed', 'Kasimovo Airfield', 60.198299, 30.334999, 230, 'RU', 'RU-LEN', 'St. Petersburg', 'no', '', '', '', 'Аэродром Касимово, XLLN'),
	('ULII', 'N/A', 'N/A', 60.03381505608559, 30.01649245619774, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVOO', 'N/A', 'N/A', 59.47949834167957, 30.004595071077347, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULLS', 'closed', 'Siversky Air Base', 59.356701, 30.036699, 341, 'RU', 'RU-LEN', 'Siversky', 'no', '', '', '', 'ULLS, XLLS'),
	('UMAL', 'N/A', 'N/A', 59.60493788123131, 30.272258073091507, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULLI', 'large_airport', 'Pulkovo Airport', 59.800301, 30.262501, 78, 'RU', 'RU-SPE', 'St. Petersburg', 'yes', 'ULLI', 'LED', '', 'Аэропо́рт Пу́лково, Leningrad, Shosseynaya Airport, Saint Petersburg, Petrograd'),
	('ULOL', 'closed', 'Velikiye Luki Airport', 56.381066, 30.607846, 328, 'RU', 'RU-PSK', 'Velikiye Luki', 'no', '', '', '', 'ULOL, VLU'),
	('UANN', 'N/A', 'N/A', 56.64419587701559, 32.313830852508545, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTB', 'N/A', 'N/A', 58.13079681247473, 31.21347650885582, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPAA', 'closed', 'Borok Airfield', 58.36023, 30.96933, 79, 'RU', 'RU-NGR', 'Borok', 'no', '', '', '', 'UPAA, UPAA, UPAA'),
	('UOKU', 'N/A', 'N/A', 58.37464213371277, 33.312109261751175, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRE', 'N/A', 'N/A', 58.627462796866894, 31.383629143238068, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USEL', 'N/A', 'N/A', 57.07636043429375, 33.38881775736809, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULNR', 'medium_airport', 'Staraya Russa Air Base', 57.961399, 31.384399, 82, 'RU', 'RU-NGR', 'Staraya Russa', 'no', '', '', 'XLNR', 'Staraya Rossiya, ULNR, Старая Русса'),
	('UNOL', 'N/A', 'N/A', 56.3580346852541, 30.21312788128853, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XLLL', 'medium_airport', 'Soltsy-2 Air Base', 58.139545, 30.33042, 131, 'RU', 'RU-NGR', 'Soltsy', 'no', '', '', 'XLLL', ''),
	('UMHO', 'N/A', 'N/A', 54.29974336177111, 30.94598740339279, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMBH', 'N/A', 'N/A', 53.51985488086939, 30.198143273591995, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMOO', 'medium_airport', 'Mogilev Airport', 53.954898834228516, 30.09510040283203, 637, 'BY', 'BY-MA', 'Mogilev', 'yes', 'UMOO', 'MVQ', '', ''),
	('USES', 'N/A', 'N/A', 53.71527191251516, 33.33925098180771, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UMOA', 'N/A', 'N/A', 54.539232440292835, 31.807803958654404, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHT', 'N/A', 'N/A', 54.340900518000126, 32.47253492474556, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUBJ', 'N/A', 'N/A', 54.586378298699856, 31.56635731458664, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USME', 'N/A', 'N/A', 54.74473726004362, 32.064045667648315, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMII', 'medium_airport', 'Vitebsk Vostochny Airport', 55.126499176025, 30.349599838257, 682, 'BY', 'BY-VI', 'Vitebsk', 'no', 'UMII', 'VTB', '', 'УМІІ, УМИИ, Vitebsk Southeast, Vitebsk East Airport, Аэрапорт Віцебск, Аэропорт Витебск'),
	('UMKR', 'N/A', 'N/A', 53.77986755222082, 31.665635257959366, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMNM', 'small_airport', 'Novo-Pashkovo Airfield', 53.945, 30.244, 0, 'BY', 'BY-MA', 'Mahiylow / Mogilev', 'no', 'UMNM', '', '', 'Аэропорт Ново-Пашково, УМНМ, DOSAAF'),
	('UMKY', 'N/A', 'N/A', 54.04172357171774, 30.192994326353073, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XUBS', 'medium_airport', 'Smolensk North Airport', 54.824, 32.025, 820, 'RU', 'RU-SMO', 'Smolensk', 'no', '', 'LNX', 'XUBS', 'Smolensk Severny Airfield, Аэродром Смоленск Северный, ЬУБС'),
	('UMBA', 'small_airport', 'Umba Airport', -7.0214, 145.966, 5950, 'PG', 'PG-MPL', 'Umba', 'no', 'AYUC', 'UMC', 'UMBA', ''),
	('UMKH', 'N/A', 'N/A', 53.9730928838253, 31.58731073141098, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKBT', 'N/A', 'N/A', 50.721570923924446, 31.43303856253624, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKL', 'N/A', 'N/A', 51.40253517776728, 31.15802764892578, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNS', 'N/A', 'N/A', 51.003832183778286, 31.505201160907745, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKW', 'N/A', 'N/A', 51.243057399988174, 33.148096203804016, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKCH', 'small_airport', 'Ust''-Kamchatsk Airport', 56.238854, 162.689989, 200, 'RU', 'RU-KAM', 'Ust''-Kamchatsk (Krutoberegovo)', 'yes', 'UHPK', '', 'UKCH', 'УКЧ'),
	('UKAC', 'N/A', 'N/A', 51.11647121608257, 31.153409332036972, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSL', 'N/A', 'N/A', 51.41356576234102, 30.874625891447067, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNI', 'N/A', 'N/A', 51.08869358897209, 31.868921667337418, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMKN', 'N/A', 'N/A', 52.30531509965658, 31.165744364261627, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAK', 'N/A', 'N/A', 50.826329961419106, 31.137548089027405, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTD', 'N/A', 'N/A', 52.57031802088022, 32.80068263411522, 165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKDO', 'N/A', 'N/A', 52.082507349550724, 31.12142488360405, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMGG', 'medium_airport', 'Gomel Airport', 52.527000427246094, 31.016700744628906, 472, 'BY', 'BY-HO', 'Gomel', 'yes', 'UMGG', 'GME', '', ''),
	('UKHN', 'N/A', 'N/A', 51.884204261004925, 31.644874066114426, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMDO', 'N/A', 'N/A', 53.198004215955734, 30.438147336244583, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSR', 'N/A', 'N/A', 50.68127039819956, 32.9283607006073, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMD', 'N/A', 'N/A', 50.68466305732727, 32.535742074251175, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSI', 'N/A', 'N/A', 51.38244844973087, 31.00330263376236, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULLA', 'N/A', 'N/A', 52.34049528837204, 32.16891869902611, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOX', 'N/A', 'N/A', 49.940678626298904, 32.62766674160957, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPL', 'N/A', 'N/A', 48.88374377042055, 33.334884345531464, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKBV', 'N/A', 'N/A', 50.00489842146635, 30.197312235832214, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMY', 'N/A', 'N/A', 49.93059687316418, 33.643373250961304, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKDR', 'medium_airport', 'Kryvyi Rih International Airport', 48.04330062866211, 33.209999084472656, 408, 'UA', 'UA-12', 'Kryvyi Rih', 'yes', 'UKDR', 'KWG', '', 'Lozuvatka International Airport, Міжнародний аеропорт "Кривий Ріг"'),
	('UKMM', 'N/A', 'N/A', 48.17423343658447, 33.28006982803345, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPHU', 'N/A', 'N/A', 49.30182605981827, 32.24513813853264, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKS', 'N/A', 'N/A', 50.43089088052511, 30.30056118965149, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIV', 'N/A', 'N/A', 50.106820687651634, 31.30617767572403, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKVZ', 'N/A', 'N/A', 50.400725081562996, 30.06253570318222, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKTY', 'N/A', 'N/A', 48.475006967782974, 30.937248319387436, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKZN', 'N/A', 'N/A', 48.74015171080828, 32.69666612148285, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPK', 'N/A', 'N/A', 48.508109115064144, 33.734091371297836, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSS', 'N/A', 'N/A', 49.15933974087238, 33.28524872660637, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPT', 'N/A', 'N/A', 50.27250040322542, 32.63653948903084, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKZT', 'N/A', 'N/A', 48.35034258663654, 33.44417676329613, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKN', 'N/A', 'N/A', 49.13530111312866, 33.4821380674839, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNG', 'small_airport', 'Gogoliv Airfield', 50.515308, 31.046581, 0, 'UA', 'UA-32', 'Gogoliv (Kiev)', 'no', 'UKNG', '', '', ''),
	('UKKM', 'medium_airport', 'Hostomel Airport', 50.6035, 30.1919, 517, 'UA', 'UA-32', 'Kiev', 'no', 'UKKM', '', '', 'Antonov International Airport, Аеропорт „Антонов”, Gostomel Airport'),
	('UKKD', 'N/A', 'N/A', 48.55919949710369, 32.387851774692535, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKTB', 'N/A', 'N/A', 50.043685510754585, 31.732960492372513, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UKYU', 'N/A', 'N/A', 48.846425861120224, 31.202356964349747, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNV', 'N/A', 'N/A', 48.569012358784676, 32.84003019332886, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKBK', 'N/A', 'N/A', 48.36780343204737, 32.18159705400467, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKTS', 'N/A', 'N/A', 49.93526726961136, 31.635601222515106, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMB', 'N/A', 'N/A', 48.14521159976721, 31.009178459644318, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPY', 'N/A', 'N/A', 50.57307109236717, 32.315771877765656, 129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMC', 'N/A', 'N/A', 50.329226441681385, 31.433126628398895, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKG', 'small_airport', 'Kirovograd Airport', 48.542801, 32.285, 568, 'UA', 'UA-35', 'Kirovograd', 'no', 'UKKG', 'KGO', '', ''),
	('UKRC', 'N/A', 'N/A', 49.73544638603926, 30.553751438856125, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSD', 'N/A', 'N/A', 49.03422474861145, 33.10008019208908, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPN', 'N/A', 'N/A', 50.149888917803764, 32.530750930309296, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKDJ', 'N/A', 'N/A', 47.88784760981798, 33.53418543934822, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUY', 'N/A', 'N/A', 47.95188669115305, 32.56551772356033, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKVS', 'N/A', 'N/A', 50.09505484253168, 30.383386462926865, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPE', 'N/A', 'N/A', 47.911804765462875, 30.82826480269432, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKTA', 'N/A', 'N/A', 48.87160576879978, 30.65917432308197, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSM', 'N/A', 'N/A', 49.13756489753723, 31.686919927597046, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKVA', 'N/A', 'N/A', 50.234701707959175, 30.30097022652626, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKT', 'closed', 'Svyatoshyn Airport', 50.478224, 30.384631, 582, 'UA', 'UA-30', 'Kyiv', 'no', '', '', '', 'UKKT'),
	('UKHV', 'N/A', 'N/A', 48.38239900767803, 30.47870099544525, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPD', 'N/A', 'N/A', 48.107554726302624, 30.871690660715103, 165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKE', 'medium_airport', 'Cherkasy International Airport', 49.4156, 31.9953, 375, 'UA', 'UA-71', 'Cherkasy', 'no', 'UKKE', 'CKC', '', ''),
	('UPDL', 'N/A', 'N/A', 50.05988571792841, 30.718238800764084, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKH', 'closed', 'Chepelevka (Uzin) Air Base', 49.7906, 30.441401, 568, 'UA', 'UA-32', 'Uzin', 'no', '', '', '', 'UKKH, UKKH'),
	('UKMJ', 'N/A', 'N/A', 48.912611715495586, 33.63227695226669, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKZO', 'N/A', 'N/A', 48.283952213823795, 33.448862582445145, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPKL', 'N/A', 'N/A', 49.40446749329567, 32.63548627495766, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKVB', 'N/A', 'N/A', 50.47620579600334, 32.72954061627388, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKCY', 'N/A', 'N/A', 49.128099381923676, 32.63426184654236, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKVK', 'N/A', 'N/A', 49.75638974457979, 33.72465223073959, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPV', 'N/A', 'N/A', 48.353224620223045, 33.26620325446129, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMN', 'N/A', 'N/A', 48.17921195179224, 33.35302323102951, 129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKZV', 'N/A', 'N/A', 49.07615203410387, 31.014766842126846, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKBI', 'closed', 'Popilnia Airbase', 49.962967, 29.404316, 719, 'UA', 'UA-18', 'Popilnia', 'no', '', '', '', 'UKBI, УКБИ, Попільня'),
	('UKBB', 'large_airport', 'Boryspil International Airport', 50.345001, 30.894699, 427, 'UA', 'UA-32', 'Boryspil', 'yes', 'UKBB', 'KBP', '', 'Borispol, Міжнародний аеропорт "Бориспіль", Kyiv'),
	('UKNO', 'N/A', 'N/A', 48.32235708832741, 31.564708203077316, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMP', 'N/A', 'N/A', 49.10350922495127, 33.54563668370247, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKK', 'medium_airport', 'Ihor Sikorsky Kyiv International Airport (Zhuliany)', 50.40194, 30.45194, 587, 'UA', 'UA-30', 'Kyiv', 'yes', 'UKKK', 'IEV', '', 'Міжнародний аеропорт "Київ", Kiev'),
	('UKFV', 'small_airport', 'Yevpatoriya Airport', 45.225601, 33.376701, 33, 'UA', 'UA-43', 'Yevpatoriya', 'no', 'UKFE', '', '', 'UKFV, Yevpatoria Aircraft Repair Plant Airport'),
	('UPDR', 'N/A', 'N/A', 46.7564532905817, 32.77651458978653, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUA', 'N/A', 'N/A', 46.57775145024061, 30.7037553191185, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOH', 'medium_airport', 'Kherson International Airport', 46.6758, 32.506401, 148, 'UA', 'UA-65', 'Kherson', 'yes', 'UKOH', 'KHE', '', ''),
	('UKYL', 'N/A', 'N/A', 47.69937615841627, 31.871190816164017, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKVV', 'N/A', 'N/A', 47.369874492287636, 31.271227151155472, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKBC', 'N/A', 'N/A', 47.25582595914602, 30.741852968931198, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKON', 'medium_airport', 'Mykolaiv International Airport', 47.057899, 31.9198, 184, 'UA', 'UA-48', 'Nikolayev', 'yes', 'UKON', 'NLV', '', 'Nikolayev Airport, Nikolaev Airport, Аэропорт Николаев'),
	('UKVO', 'N/A', 'N/A', 47.511661760509014, 31.25890552997589, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKFI', 'medium_airport', 'Saky Air Base', 45.090611, 33.598536, 36, 'UA', 'UA-43', 'Novofedorovka', 'no', 'UKFI', '', '', 'Аэродом Саки, URFI'),
	('UKOY', 'N/A', 'N/A', 46.345811784267426, 33.54165628552437, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLX', 'N/A', 'N/A', 47.80084043741226, 31.057724207639694, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAR', 'N/A', 'N/A', 45.99554713815451, 33.681069910526276, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UKAF', 'N/A', 'N/A', 46.157441921532154, 33.716583251953125, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKP', 'N/A', 'N/A', 46.75757512450218, 30.791810899972916, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMF', 'N/A', 'N/A', 45.85266552865505, 33.70586559176445, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLJ', 'N/A', 'N/A', 46.893295571208, 30.69705069065094, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPTB', 'N/A', 'N/A', 45.29787305742502, 33.35473448038101, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMK', 'N/A', 'N/A', 47.0549787953496, 32.028394639492035, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMG', 'N/A', 'N/A', 46.15058518946171, 33.4051188826561, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOM', 'N/A', 'N/A', 46.66916683316231, 30.011111050844193, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPTA', 'N/A', 'N/A', 46.4204915240407, 33.05634409189224, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLS', 'N/A', 'N/A', 47.66971729695797, 30.298809707164764, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSK', 'N/A', 'N/A', 46.12726707011461, 32.90882885456085, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOR', 'small_airport', 'Kulbakyne Air Base', 46.936433, 32.098618, 177, 'UA', 'UA-48', 'Mykolaiv', 'no', 'UKOR', '', '', ''),
	('UKBZ', 'N/A', 'N/A', 47.14760050177574, 30.798292458057404, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUT', 'N/A', 'N/A', 46.49374198168516, 30.618832111358643, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOO', 'medium_airport', 'Odessa International Airport', 46.4268, 30.6765, 172, 'UA', 'UA-51', 'Odessa', 'yes', 'UKOO', 'ODS', '', 'Odesa Central, Міжнародний аеропорт Одеса'),
	('UKOQ', 'N/A', 'N/A', 46.13068990409374, 30.24446278810501, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRL', 'N/A', 'N/A', 45.7326527684927, 33.21067214012146, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKEA', 'N/A', 'N/A', 64.9185736477375, 34.264208525419235, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULMH', 'N/A', 'N/A', 66.8919338285923, 33.8789539039135, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULMA', 'small_airport', 'Umba Airstrip', 66.696999, 34.387001, 122, 'RU', 'RU-MUR', 'Umba', 'no', 'ULMA', '', '', 'Аэропорт Умба, УЛМА'),
	('ULAS', 'small_airport', 'Solovki Airport', 65.029999, 35.733334, 60, 'RU', 'RU-ARK', 'Solovetsky Islands', 'yes', 'ULAS', 'CSH', '', 'Аэропорт Соловки, УЛАС'),
	('ULMX', 'small_airport', 'Krasnoshchelye Airstrip', 67.348, 37.077, 492, 'RU', 'RU-MUR', 'Krasnoshchelye', 'no', '', '', 'ULMX', 'Krasnoschelye Airport, Аэропорт Краснощелье, УЛМЬ'),
	('ULPS', 'small_airport', 'Segezha Airfield', 63.758999, 34.283001, 377, 'RU', 'RU-KR', 'Segezha', 'no', 'ULPS', '', '', 'Аэропорт Сегежа, УЛПС'),
	('USHY', 'medium_airport', 'Beloyarskiy Airport', 63.686901, 66.698601, 82, 'RU', 'RU-KHM', '', 'yes', 'USHQ', 'EYK', '', 'Beloyarsky Airport, Аэропорт Белоярский, УСХЯ'),
	('ULBM', 'small_airport', 'Purnema Airfield', 64.3854, 37.441235, 131, 'RU', 'RU-ARK', 'Purnema', 'no', 'ULBM', '', '', 'Аэропорт Пурнема, УЛБМ'),
	('ULPB', 'medium_airport', 'Petrozavodsk Airport', 61.88520050048828, 34.154701232910156, 151, 'RU', 'RU-KR', 'Petrozavodsk', 'yes', 'ULPB', 'PES', '', 'Besovets Airport, Аэропорт Петрозаводск, Аэропорт Бесовец'),
	('UPOD', 'N/A', 'N/A', 60.972020253539085, 34.14142817258835, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULPA', 'small_airport', 'Pudozh', 61.825001, 36.580002, 144, 'RU', 'RU-KR', 'Pudozh', 'yes', '', '', 'ULPA', 'Аэропорт Пудож, УЛПА'),
	('ULWR', 'small_airport', 'Vytegra Airfield', 61.032001, 36.435001, 217, 'RU', 'RU-VLG', 'Vytegra', 'no', '', '', 'ULWR', 'Аэропорт Вытегра, УЛВР'),
	('ULPP', 'medium_airport', 'Peski Airfield', 61.831944, 34.295555, 0, 'RU', 'RU-KR', 'Petrozavodsk', 'no', 'ULPP', '', '', 'Пески, УЛПП'),
	('UBEB', 'N/A', 'N/A', 56.85141999274492, 34.624096155166626, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKLB', 'N/A', 'N/A', 56.36529643088579, 36.73526644706726, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUBN', 'small_airport', 'Zmeyevo Airfield', 56.914691, 35.935672, 472, 'RU', 'RU-TVE', 'Tver', 'no', 'UUBN', '', '', 'Zmeevo Airport, Zmeyovo Airport, Аэропорт Змеево, Аэропорт Змеёво'),
	('ULNB', 'small_airport', 'Borovichi Airfield', 58.436001, 33.889, 0, 'RU', 'RU-NGR', 'Borovichi', 'no', '', '', 'ULNB', 'Аэропорт Боровичи, УЛНБ'),
	('UGOR', 'N/A', 'N/A', 56.77857421338558, 36.280777752399445, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIZZ', 'N/A', 'N/A', 56.525744162499905, 35.963997691869736, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHC', 'N/A', 'N/A', 56.360519751906395, 36.8434502184391, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTC', 'N/A', 'N/A', 56.749105118215084, 35.04627898335457, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULNP', 'small_airport', 'Pestovo Airfield', 58.608002, 35.779999, 0, 'RU', 'RU-NGR', 'Pestovo', 'no', 'ULNP', '', '', 'Аэропорт Пестово'),
	('UBET', 'N/A', 'N/A', 57.725551910698414, 36.649459451437, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKHY', 'N/A', 'N/A', 58.89781303703785, 34.563227891922, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMOS', 'N/A', 'N/A', 58.51363454014063, 34.61174547672272, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUEM', 'medium_airport', 'Migalovo Air Base', 56.82469940185547, 35.7577018737793, 469, 'RU', 'RU-TVE', 'Tver', 'no', 'UUEM', 'KLD', '', ''),
	('ULIK', 'N/A', 'N/A', 57.06744275987148, 35.51326096057892, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOA', 'N/A', 'N/A', 56.634324342012405, 36.88575178384781, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUWH', 'N/A', 'N/A', 55.49978110939264, 36.209424287080765, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUMB', 'N/A', 'N/A', 55.611388832330704, 36.64777770638466, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URUU', 'N/A', 'N/A', 55.66246781498194, 36.13858446478844, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUWW', 'large_airport', 'Vnukovo International Airport', 55.591499, 37.261501, 685, 'RU', 'RU-MOW', 'Moscow', 'yes', 'UUWW', 'VKO', '', 'MOW, Международный аэропорт Внуково'),
	('UVYS', 'N/A', 'N/A', 54.907440058887005, 36.9870525598526, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGAG', 'N/A', 'N/A', 55.63707299530506, 34.828672260046005, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UYAO', 'N/A', 'N/A', 56.097289100289345, 35.879785269498825, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUEH', 'N/A', 'N/A', 56.103710308671, 36.802037358284, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UFEE', 'N/A', 'N/A', 54.504588693380356, 36.75885647535324, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUDC', 'N/A', 'N/A', 54.63154602795839, 37.36773043870926, 224, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVER', 'N/A', 'N/A', 55.28922501951456, 36.11675709486008, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUWK', 'small_airport', 'Kudinovo Airfield', 55.023839, 36.244583, 600, 'RU', 'RU-KLU', 'Kudinovo', 'no', 'UUWK', '', '', 'Кудиново'),
	('UUEE', 'large_airport', 'Sheremetyevo International Airport', 55.972599, 37.4146, 622, 'RU', 'RU-MOS', 'Moscow', 'yes', 'UUEE', 'SVO', '', 'MOW, Международный аэропорт Шереметьево, svo, sheremetyevo, moscow'),
	('UBAY', 'N/A', 'N/A', 54.2267058044672, 34.369075298309326, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVYA', 'N/A', 'N/A', 55.149099715054035, 34.38303932547569, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUTO', 'N/A', 'N/A', 56.14313207566738, 34.98515725135803, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUFN', 'N/A', 'N/A', 54.8385176807642, 36.67095601558685, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPRO', 'N/A', 'N/A', 55.069791823625565, 37.457653284072876, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUBC', 'medium_airport', 'Grabtsevo Airport', 54.5499992371, 36.3666687012, 656, 'RU', 'RU-KLU', 'Kaluga', 'no', 'UUBC', 'KLF', '', 'Аэропорт Грабцево'),
	('UUWE', 'medium_airport', 'Yermolino Air Base', 55.228333, 36.608334, 640, 'RU', 'RU-KLU', 'Balabanovo', 'no', 'UUWE', '', '', 'Ermolino Airport, Аэропорт Ермолино'),
	('UPEM', 'N/A', 'N/A', 54.244479797780514, 36.10777169466019, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPRR', 'N/A', 'N/A', 54.87171236425638, 37.26511895656586, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVYY', 'N/A', 'N/A', 55.20357236266136, 34.25279527902603, 253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHV', 'N/A', 'N/A', 56.110602244734764, 35.44363483786583, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVOR', 'N/A', 'N/A', 54.46774587035179, 36.073740273714066, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUFH', 'N/A', 'N/A', 54.12009235471487, 35.73278322815895, 228, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIST', 'N/A', 'N/A', 55.88133003562689, 36.809026300907135, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVYZ', 'N/A', 'N/A', 55.20911414176226, 33.876331597566605, 237, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUFL', 'N/A', 'N/A', 54.75379876792431, 37.040026634931564, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USED', 'N/A', 'N/A', 50.79594288021326, 36.6775019466877, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZNA', 'N/A', 'N/A', 52.81586084514856, 36.00978076457977, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRG', 'N/A', 'N/A', 52.65937741845846, 35.83592802286148, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKHS', 'small_airport', 'Sumy Airport', 50.858299, 34.762501, 594, 'UA', 'UA-59', 'Sumy', 'no', 'UKHS', 'UMY', '', ''),
	('UUBP', 'medium_airport', 'Bryansk Airport', 53.214199, 34.176399, 663, 'RU', 'RU-BRY', 'Bryansk', 'yes', 'UUBP', 'BZK', '', 'Аэропорт Брянск, УУБП'),
	('UMIA', 'N/A', 'N/A', 52.27640725672245, 35.26826933026314, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPGL', 'N/A', 'N/A', 51.68344225734472, 33.87136369943619, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUOR', 'closed', 'Oryol Yuzhny Airport', 52.9347, 36.002201, 656, 'RU', 'RU-ORL', 'Orel', 'no', '', '', '', 'Oryol South Airport, Orel Yuzhny Airport, Orel South Airport, Аэропорт Орёл Южный, Аэропорт Орел Южный, UUOR, OEL'),
	('UUOK', 'medium_airport', 'Kursk East Airport', 51.7505989074707, 36.29560089111328, 686, 'RU', 'RU-KRS', 'Kursk', 'yes', 'UUOK', 'URS', '', 'Kursk Vostochny Airport'),
	('UUOB', 'medium_airport', 'Belgorod International Airport', 50.643798828125, 36.5900993347168, 735, 'RU', 'RU-BEL', 'Belgorod', 'yes', 'UUOB', 'EGO', '', ''),
	('UBRY', 'N/A', 'N/A', 53.270372562110424, 34.33430403470993, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTOM', 'N/A', 'N/A', 50.69170452654362, 36.29040464758873, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPUT', 'N/A', 'N/A', 53.33860795944929, 34.233971536159515, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UORL', 'N/A', 'N/A', 52.88286846131086, 36.2043397128582, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKCE', 'N/A', 'N/A', 51.85347519814968, 34.05528634786606, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUR', 'N/A', 'N/A', 51.6523303091526, 36.18351012468338, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNH', 'N/A', 'N/A', 47.866056337952614, 37.19988003373146, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMT', 'N/A', 'N/A', 50.027058497071266, 34.77473974227905, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNB', 'N/A', 'N/A', 50.07994964718819, 35.11603653430939, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMX', 'N/A', 'N/A', 49.781286008656025, 35.32295420765877, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKDE', 'medium_airport', 'Zaporizhzhia International Airport', 47.867000579833984, 35.31570053100586, 373, 'UA', 'UA-23', 'Zaporizhia', 'yes', 'UKDE', 'OZH', '', 'Zaporozhye Airport, Міжнародний аеропорт Запоріжжя, Аэропорт Запорожье'),
	('UKDD', 'medium_airport', 'Dnipro International Airport', 48.357201, 35.100601, 481, 'UA', 'UA-12', 'Dnipro', 'yes', 'UKDD', 'DNK', '', 'Dnipropetrovsk, Міжнародний аеропорт «Дніпро»'),
	('UKNN', 'N/A', 'N/A', 49.38244119286537, 34.308795779943466, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKDM', 'N/A', 'N/A', 48.30946773290634, 37.45326206088066, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNP', 'N/A', 'N/A', 48.10479808598757, 34.5417483150959, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSN', 'N/A', 'N/A', 48.20215925574303, 35.021546334028244, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPBO', 'N/A', 'N/A', 49.67009235173464, 34.73978474736214, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKDY', 'N/A', 'N/A', 49.81774594634771, 34.38394457101822, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UKBL', 'N/A', 'N/A', 48.87838739901781, 36.54909744858742, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNC', 'N/A', 'N/A', 49.07637231051922, 36.296944320201874, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSB', 'N/A', 'N/A', 48.25057681649923, 35.457356572151184, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKZC', 'N/A', 'N/A', 49.19169791042805, 35.28321549296379, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPF', 'N/A', 'N/A', 47.9676678031683, 36.25068426132202, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMS', 'N/A', 'N/A', 49.529762864112854, 34.942509680986404, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMZ', 'N/A', 'N/A', 48.136438094079494, 36.73538848757744, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMQ', 'N/A', 'N/A', 48.39952860027552, 34.47916477918625, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRI', 'N/A', 'N/A', 49.5257093757391, 34.065565913915634, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMAO', 'N/A', 'N/A', 50.36799643188715, 36.595554649829865, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPO', 'N/A', 'N/A', 49.62727155536413, 34.4880647957325, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMR', 'N/A', 'N/A', 49.154182523489, 34.14956599473953, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKHD', 'small_airport', 'Kharkiv North Airport', 50.025002, 36.268902, 592, 'UA', 'UA-63', 'Kharkiv', 'no', 'UKHD', '', '', 'Kharkiv North Airport, Kharkiv Sokolniki Airport, Kharkоv Severny Airport, Аэропорт Харьков Северный, Аэропорт Харьков Сокольники, Аеропорт Харків-Північний'),
	('UKNR', 'N/A', 'N/A', 48.04746117442846, 37.42709308862686, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSO', 'N/A', 'N/A', 49.97469373047352, 36.01411297917366, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKML', 'N/A', 'N/A', 48.97912513464689, 33.97080212831497, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPI', 'N/A', 'N/A', 48.554096929728985, 35.014142990112305, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKU', 'N/A', 'N/A', 49.05321378260851, 33.79833698272705, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPB', 'N/A', 'N/A', 48.744513653218746, 34.63695779442787, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPKY', 'N/A', 'N/A', 48.51432245224714, 37.285670042037964, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNK', 'N/A', 'N/A', 48.01835484802723, 34.321899712085724, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKPC', 'N/A', 'N/A', 48.54688413441181, 35.10078012943268, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKVR', 'N/A', 'N/A', 49.83218863606453, 35.91912165284157, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UK59', 'small_airport', 'Chuhuiv Air Base', 49.8382, 36.641201, 453, 'UA', 'UA-63', 'Chuhuiv', 'no', 'UKHW', '', '', ''),
	('UKHH', 'medium_airport', 'Kharkiv International Airport', 49.924801, 36.290001, 508, 'UA', 'UA-63', 'Kharkiv', 'yes', 'UKHH', 'HRK', '', 'Osnova International Airport, Міжнародний аеропорт "Харків"'),
	('UKHP', 'small_airport', 'Suprunovka Airport', 49.5686, 34.397202, 505, 'UA', 'UA-53', 'Poltava', 'no', 'UKHP', 'PLV', '', ''),
	('UKBH', 'small_airport', 'Korshun Shevchenkovskiy Airfield', 49.424902, 31.230242, 500, 'UA', 'UA-71', '', 'no', 'UKBH', '', '', 'УКБХ, Корсунь-Шевченківський'),
	('UKKB', 'N/A', 'N/A', 45.019739381968975, 35.21181285381317, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKHE', 'N/A', 'N/A', 46.20984088629484, 34.76429119706154, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKR', 'N/A', 'N/A', 45.32275691628456, 34.105385541915894, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKTK', 'N/A', 'N/A', 46.75125617533922, 35.63420981168747, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKDB', 'medium_airport', 'Berdyansk Airport', 46.814999, 36.758099, 171, 'UA', 'UA-23', 'Berdyansk', 'no', 'UKDB', 'ERD', '', ''),
	('UKCM', 'medium_airport', 'Mariupol International Airport', 47.07609939575195, 37.44960021972656, 251, 'UA', 'UA-14', 'Mariupol', 'yes', 'UKCM', 'MPW', '', 'Міжнародний аеропорт "Маріуполь"'),
	('UPSR', 'N/A', 'N/A', 46.94654043763876, 34.912503361701965, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKVC', 'N/A', 'N/A', 47.354234866797924, 37.28940412402153, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKFF', 'medium_airport', 'Simferopol International Airport', 45.0522, 33.975101, 639, 'UA', 'UA-43', 'Simferopol', 'yes', 'UKFF', 'SIP', 'URFF', ''),
	('UKRJ', 'N/A', 'N/A', 47.39180825650692, 37.04830303788185, 224, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMV', 'N/A', 'N/A', 45.07318373769522, 35.20345151424408, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URKA', 'medium_airport', 'Anapa Vityazevo Airport', 45.002102, 37.347301, 174, 'RU', 'RU-KDA', 'Krasnyi Kurgan', 'yes', 'URKA', 'AAQ', '', 'Vityazevo Airport'),
	('UKME', 'N/A', 'N/A', 46.880726739764214, 35.30234947800636, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKKI', 'N/A', 'N/A', 45.1654202118516, 35.18200993537903, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKFK', 'small_airport', 'Kerch Airport', 45.372501, 36.401402, 171, 'UA', 'UA-43', 'Kerch', 'no', 'UKFK', 'KHC', '', ''),
	('UKFY', 'medium_airport', 'Dzhankoy Air Base', 45.700901, 34.4189, 75, 'UA', 'UA-43', 'Dzhankoy', 'no', 'UKFY', '', 'XRFY', 'Аэропорт Джанкой, ЬРФЫ'),
	('UKFG', 'medium_airport', 'Gvardeyskoe Air Base', 45.116192, 33.976625, 721, 'UA', 'UA-43', 'Sarabuz', 'no', 'UKFG', '', 'XRFG', 'Gvardeyskoye Air Base, Аэродром Гвардейское'),
	('UKMH', 'N/A', 'N/A', 46.00094508379698, 33.782117664813995, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNE', 'N/A', 'N/A', 47.07514565438032, 37.30490103363991, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGOL', 'N/A', 'N/A', 45.303349792957306, 37.31910511851311, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKBA', 'N/A', 'N/A', 47.628669776022434, 37.399168610572815, 244, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNF', 'N/A', 'N/A', 47.77260281145573, 37.17700883746147, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSW', 'N/A', 'N/A', 47.0369466394186, 34.9120169878006, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNL', 'N/A', 'N/A', 46.39854870736599, 34.542726427316666, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ULAT', 'small_airport', 'Pertominsk Airstrip', 64.790463, 38.422472, 56, 'RU', 'RU-ARK', 'Pertominsk', 'no', '', '', 'ULAT', 'Аэропорт Пертоминск, УЛАТ'),
	('UOST', 'N/A', 'N/A', 67.12156377732754, 39.716275334358215, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMIR', 'N/A', 'N/A', 62.717251516878605, 40.49085170030594, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUYE', 'N/A', 'N/A', 64.47100482881069, 40.83331346511841, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOOD', 'N/A', 'N/A', 64.38128091394901, 40.72232723236084, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULAO', 'small_airport', 'Onega Airfield', 63.909376, 38.121786, 59, 'RU', 'RU-ARK', 'Onega', 'no', 'ULAO', '', '', 'Аэропорт Онега, УЛАО'),
	('ULAH', 'medium_airport', 'Vaskovo Airport', 64.441704, 40.4217, 82, 'RU', 'RU-ARK', 'Arkhangelsk', 'no', 'ULAH', 'VKV', 'XLAH', 'Аэропорт Архангельск Васьково, УЛАХ, ЬЛАХ, Vas''kovo'),
	('ULAA', 'medium_airport', 'Talagi Airport', 64.60030364990234, 40.71670150756836, 62, 'RU', 'RU-ARK', 'Archangelsk', 'yes', 'ULAA', 'ARH', '', 'Арха́нгельск, Archangel'),
	('USAO', 'N/A', 'N/A', 63.390640541911125, 40.39859488606453, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULWW', 'medium_airport', 'Vologda Airport', 59.282501, 39.944401, 387, 'RU', 'RU-VLG', 'Vologda', 'no', 'ULWW', 'VGD', '', 'Аэропорт Вологда'),
	('XLWT', 'small_airport', 'Trufanovo Airfield', 59.308998, 39.849998, 417, 'RU', 'RU-VLG', 'Vologda', 'no', '', '', 'XLWT', 'Аэродром Труфаново'),
	('XLWF', 'medium_airport', 'Fedotovo Naval Air Base', 59.190372, 39.123459, 574, 'RU', 'RU-VLG', 'Kipelovo', 'no', '', '', 'XLWF', 'ЬЛВФ, Kipelovo Naval Air Base, Аэродром Федотово, Аэродром Кипелово'),
	('ULWC', 'N/A', 'N/A', 59.276111125946045, 38.01888898015022, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULWX', 'N/A', 'N/A', 59.22820318490267, 39.61378365755081, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULAR', 'small_airport', 'Kargopol', 61.515033, 38.912039, 420, 'RU', 'RU-ARK', 'Kargopol', 'no', 'ULAR', '', '', 'Аэропорт Каргополь, УЛАР'),
	('ULWB', 'small_airport', 'Belozersk Airfield', 60.015745, 37.755371, 399, 'RU', 'RU-VLG', 'Belozersk', 'no', '', '', 'ULWB', 'УЛВБ, Белозерск, Belozyorsk'),
	('UGAV', 'N/A', 'N/A', 56.580230221152306, 40.07261797785759, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUIN', 'N/A', 'N/A', 56.40145964920521, 39.9580979347229, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USUA', 'N/A', 'N/A', 56.39657635241747, 40.33821791410446, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UYAR', 'N/A', 'N/A', 57.65101432800293, 39.759826362133026, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOK', 'N/A', 'N/A', 57.058489210903645, 40.97949966788292, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUBI', 'medium_airport', 'Ivanovo South Airport', 56.93939971923828, 40.940799713134766, 410, 'RU', 'RU-IVA', 'Ivanovo', 'yes', 'UUBI', 'IWA', '', 'Ivanovo Yuzhniy Airport, Ivanovo Yuzhny Airport, Аэропорт Иваново Южный'),
	('UUBA', 'medium_airport', 'Kostroma Sokerkino Airport', 57.796902, 41.019402, 446, 'RU', 'RU-KOS', 'Kostroma', 'yes', 'UUBA', 'KMW', '', 'Аэропорт Кострома Сокеркино'),
	('UKAP', 'N/A', 'N/A', 56.4095900952816, 40.97813442349434, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UYUY', 'N/A', 'N/A', 56.48936469107866, 39.74020466208458, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKID', 'N/A', 'N/A', 56.27680666744709, 38.9237080514431, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEM', 'N/A', 'N/A', 56.40330400317907, 39.06698897480965, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UORT', 'N/A', 'N/A', 56.254809871315956, 40.81152677536011, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEJ', 'N/A', 'N/A', 56.667316518723965, 39.2427858710289, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UISH', 'N/A', 'N/A', 57.1530756354332, 39.348792135715485, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOB', 'N/A', 'N/A', 56.9638317078352, 41.07264384627342, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URYB', 'N/A', 'N/A', 57.999565713107586, 38.83902445435524, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTUN', 'N/A', 'N/A', 57.72937707602978, 40.04584103822708, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUIP', 'N/A', 'N/A', 56.3107718154788, 40.48181712627411, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOLY', 'N/A', 'N/A', 56.446769535541534, 37.84137636423111, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEF', 'N/A', 'N/A', 56.70897860080004, 39.00010630488396, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUQA', 'N/A', 'N/A', 57.318643033504486, 39.826064854860306, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUID', 'N/A', 'N/A', 56.33373688906431, 38.638389855623245, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USUD', 'N/A', 'N/A', 56.36826898902655, 40.26609197258949, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUDL', 'small_airport', 'Tunoshna Airport', 57.560699, 40.157398, 287, 'RU', 'RU-YAR', 'Tunoshna', 'no', 'UUDL', 'IAR', '', ''),
	('ULOG', 'N/A', 'N/A', 57.51503236591816, 40.91873914003372, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEL', 'N/A', 'N/A', 56.28262538462877, 39.471595734357834, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHJ', 'N/A', 'N/A', 56.53789356350899, 38.0777008831501, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UILI', 'N/A', 'N/A', 56.959408074617386, 39.781661331653595, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USUZ', 'N/A', 'N/A', 56.49228796362877, 40.380665212869644, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUBK', 'medium_airport', 'Staroselye Airport', 58.104198, 38.929401, 423, 'RU', 'RU-YAR', 'Rybinsk', 'yes', 'UUBK', 'RYB', '', 'Аэропорт Староселье, ЬУБК'),
	('UMUU', 'N/A', 'N/A', 54.49351251125336, 39.931045174598694, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZAI6', 'N/A', 'N/A', 53.72692175209522, 40.98104953765869, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZHI', 'N/A', 'N/A', 54.87601228058338, 37.848552614450455, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZC82', 'N/A', 'N/A', 54.02721147984266, 39.104799181222916, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVOS', 'N/A', 'N/A', 55.30782949179411, 38.59629839658737, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UUCQ', 'N/A', 'N/A', 55.20638130605221, 39.41813841462135, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBI6', 'N/A', 'N/A', 54.19680152088404, 38.98294821381569, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCHH', 'N/A', 'N/A', 55.76028998941183, 38.063600957393646, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZA86', 'N/A', 'N/A', 54.33809224516153, 39.97042894363403, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBIO', 'N/A', 'N/A', 55.032496713101864, 38.573294430971146, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUMQ', 'closed', 'Gan''kino Airfield', 54.8704087, 39.3805418999, 0, 'RU', 'RU-MOS', '', 'no', '', '', '', 'UUMQ, UUMQ'),
	('UUMO', 'medium_airport', 'Ostafyevo International Airport', 55.511667, 37.507222, 568, 'RU', 'RU-MOS', 'Moscow', 'no', 'UUMO', 'OSF', '', 'Ostafievo, Междунаро́дный аэропо́рт «Оста́фьево», Gazprom'),
	('UKOL', 'N/A', 'N/A', 55.092273093760014, 38.92303839325905, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URYY', 'N/A', 'N/A', 53.695186860859394, 40.002654790878296, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZDQ0', 'N/A', 'N/A', 54.33887913823128, 39.27161782979965, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUMC', 'N/A', 'N/A', 56.023370772600174, 38.3270725607872, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUIS', 'N/A', 'N/A', 56.181532591581345, 40.32999336719513, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UYEP', 'N/A', 'N/A', 53.76839071512222, 38.653279691934586, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVLL', 'N/A', 'N/A', 56.192393861711025, 40.31478837132454, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUMI', 'small_airport', 'Stupino Air Base', 54.888, 38.147, 584, 'RU', 'RU-MOS', 'Stupino', 'no', 'UUMI', '', '', 'Krutyshki Airfield, Аэродром Ступино, Аэродром Крутышки'),
	('UUMD', 'small_airport', 'Selnikovo Airfield', 55.129783, 39.145733, 351, 'RU', 'RU-MOS', 'Selnikovo', 'no', 'UUMD', '', '', 'УУМД, Сельниково'),
	('UUBL', 'medium_airport', 'Semyazino Airport', 56.127423, 40.315202, 554, 'RU', 'RU-VLA', 'Vladimir', 'no', '', '', 'UUBL', 'Vladimir Airport, Аэропорт Семязино, Аэропорт Владимир, УУБЛ, ЬУБЛ, ВЛМ'),
	('UUJK', 'N/A', 'N/A', 54.274273440241814, 40.81785812973976, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOS', 'N/A', 'N/A', 54.62567500770092, 37.579987943172455, 242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUCT', 'N/A', 'N/A', 55.06663955748081, 37.88328945636749, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPEV', 'N/A', 'N/A', 55.08284244686365, 38.633126467466354, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPOI', 'N/A', 'N/A', 56.23404923826456, 37.55531206727028, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUDD', 'large_airport', 'Domodedovo International Airport', 55.408798, 37.9063, 588, 'RU', 'RU-MOS', 'Moscow', 'yes', 'UUDD', 'DME', '', 'MOW, Аэропорт Домоде́дово'),
	('ZAW4', 'N/A', 'N/A', 54.37969498336315, 38.239069283008575, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPAV', 'N/A', 'N/A', 53.8327918946743, 39.10088270902634, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUBD', 'medium_airport', 'Dyagilevo Air Base', 54.642284, 39.569047, 440, 'RU', 'RU-RYA', 'Ryazan', 'no', '', '', 'XUBD', 'Dyaghilevo Air Base, Аэродром Дягилево, UUBD, ЬУБД, УУБД'),
	('UUMU', 'medium_airport', 'Chkalovskiy Air Base', 55.8783, 38.061699, 499, 'RU', 'RU-MOS', 'Moscow', 'no', 'UUMU', 'CKL', '', 'Chkalovsky Airport, Аэродром Чкаловский'),
	('UUWV', 'small_airport', 'Klokovo Airfield', 54.239, 37.6, 499, 'RU', 'RU-TUL', 'Tula', 'no', '', 'TYA', 'UUBT', 'Аэродром Клоково'),
	('ZDP4', 'N/A', 'N/A', 54.183930940926075, 41.074248254299164, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUBB', 'closed', 'Bykovo Airport', 55.616979, 38.059995, 427, 'RU', 'RU-MOS', 'Moscow', 'no', '', '', '', 'BKA, УУББ, Аэропорт Быково, UUBB'),
	('UORG', 'N/A', 'N/A', 56.24864246696234, 40.595490485429764, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USEG', 'N/A', 'N/A', 56.240528114140034, 38.15971076488495, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHR', 'N/A', 'N/A', 55.33122170716524, 39.339100420475006, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUMT', 'medium_airport', 'Tretyakovo Airport', 54.904999, 39.026669, 515, 'RU', 'RU-MOS', 'Lukhovitsy', 'no', 'UUMT', '', '', 'Lukhovitsy Airport, Аэропорт Третьяково, Аэропорт Луховицы'),
	('UUCI', 'N/A', 'N/A', 54.927800707519054, 38.811606019735336, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULAI', 'N/A', 'N/A', 55.89857429265976, 39.85832557082176, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOL', 'N/A', 'N/A', 54.78562720119953, 37.64668732881546, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMES', 'N/A', 'N/A', 55.27029063552618, 38.427407294511795, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZDP8', 'N/A', 'N/A', 53.9044638723135, 40.01380294561386, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBRR', 'N/A', 'N/A', 55.42541619390249, 38.30196037888527, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UILL', 'N/A', 'N/A', 55.287311263382435, 37.94268295168877, 165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUBM', 'medium_airport', 'Myachkovo Airfield', 55.560001, 37.985001, 410, 'RU', 'RU-MOS', 'Moscow', 'no', '', '', 'UUBM', 'Аэропорт Мячково'),
	('ZC77', 'N/A', 'N/A', 53.79573952406645, 40.45282602310181, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUBW', 'large_airport', 'Zhukovsky International Airport', 55.553299, 38.150002, 377, 'RU', 'RU-MOS', 'Moscow', 'yes', 'UUBW', 'ZIA', '', 'Аэропорт Раменское, Zhukovsky Air Base, Gromov Flight Research Institute, Лётно-исследовательский институт имени М. М. Громова, ЛИИ'),
	('USPS', 'N/A', 'N/A', 54.47571136057377, 40.317052602767944, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUML', 'small_airport', 'Severka Airfield', 55.206608, 38.679149, 433, 'RU', 'RU-MOS', 'Voskresensk', 'no', 'UUML', '', '', 'Аэродром Северка'),
	('UNOY', 'N/A', 'N/A', 54.97851323336363, 37.65753015875816, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIR', 'N/A', 'N/A', 56.156582683324814, 38.82957950234413, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPOR', 'N/A', 'N/A', 55.906443893909454, 39.23387065529823, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEK', 'N/A', 'N/A', 55.38069806993008, 38.371941447257996, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUIG', 'N/A', 'N/A', 56.23872399330139, 41.239120066165924, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UKRT', 'N/A', 'N/A', 55.460137724876404, 39.038168638944626, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUWR', 'small_airport', 'Turlatovo Airport', 54.555901, 39.855202, 502, 'RU', 'RU-RYA', 'Ryazan', 'no', 'UUWR', 'RZN', '', 'Аэропорт Турлатово'),
	('UMAI', 'N/A', 'N/A', 55.086900629103184, 38.148228228092194, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTS', 'N/A', 'N/A', 51.314770951867104, 38.008437752723694, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUOO', 'medium_airport', 'Voronezh International Airport', 51.81420135498047, 39.22959899902344, 514, 'RU', 'RU-VOR', 'Voronezh', 'yes', 'UUOO', 'VOZ', '', 'Chertovitskoye Airport, Chertovitskoe Airport, Аэропорт Воронеж, Аэропорт Чертовицкое'),
	('UBON', 'N/A', 'N/A', 52.42797888815403, 39.28741291165352, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUM', 'N/A', 'N/A', 52.74282965809107, 39.38209891319275, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUOS', 'small_airport', 'Stary Oskol Airfield', 51.329216, 37.768848, 719, 'RU', 'RU-BEL', 'Stary Oskol', 'no', '', '', 'UUOS', 'УУОС, Старый Оскол, Staryy Oskol'),
	('UBOB', 'N/A', 'N/A', 51.11995071172714, 39.97821852564812, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUOQ', 'N/A', 'N/A', 51.58724248409271, 39.49009358882904, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USEZ', 'N/A', 'N/A', 52.647994458675385, 40.98982036113739, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMIU', 'N/A', 'N/A', 52.93692369014025, 40.50832986831665, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHF', 'N/A', 'N/A', 51.470931842923164, 38.97202268242836, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVOE', 'N/A', 'N/A', 51.62029065191746, 39.14400592446327, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUOL', 'medium_airport', 'Lipetsk Airport', 52.70280075073242, 39.53779983520508, 584, 'RU', 'RU-LIP', 'Lipetsk', 'yes', 'UUOL', 'LPK', '', ''),
	('UGRR', 'N/A', 'N/A', 52.437183894217014, 39.90629330277443, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDRR', 'N/A', 'N/A', 51.12272445112467, 39.42547023296356, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUOD', 'small_airport', 'Pridacha', 51.652271, 39.255524, 344, 'RU', 'RU-VOR', 'Voronezh', 'no', 'UUOD', '', '', 'Аэропорт Придача, Repnoe Airport, Voronezh East Airport'),
	('UBUU', 'N/A', 'N/A', 50.791741870343685, 40.60795783996582, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCHP', 'N/A', 'N/A', 53.41333597898483, 39.7637052834034, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UYEF', 'N/A', 'N/A', 53.11433773487806, 38.24509710073471, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMIC', 'N/A', 'N/A', 52.91747331619263, 40.36575213074684, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUOY', 'N/A', 'N/A', 51.33791707456112, 39.046186208724976, 202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPRG', 'N/A', 'N/A', 52.02738594263792, 39.670152962207794, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUZ', 'N/A', 'N/A', 52.649358697235584, 39.43367779254913, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNU', 'N/A', 'N/A', 49.907667338848114, 38.94582286477089, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNQ', 'N/A', 'N/A', 48.407501466572285, 37.606003135442734, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKCK', 'small_airport', 'Kramatorsk Airport', 48.706799, 37.630922, 646, 'UA', 'UA-14', 'Kramatorsk', 'no', 'UKCK', 'KRQ', '', ''),
	('UKTR', 'N/A', 'N/A', 49.9093708768487, 38.25304001569748, 165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKHC', 'N/A', 'N/A', 48.50280940532684, 39.15084734559059, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKCB', 'N/A', 'N/A', 48.81753511726856, 37.65210449695587, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKMO', 'N/A', 'N/A', 47.84274861216545, 38.09850946068764, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAH', 'N/A', 'N/A', 49.717920161783695, 39.89245444536209, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVAL', 'N/A', 'N/A', 50.22495657205582, 38.11096966266632, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDOE', 'N/A', 'N/A', 48.3371776342392, 40.05163103342056, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSG', 'N/A', 'N/A', 49.0253721177578, 37.59330287575722, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKCW', 'closed', 'Luhansk International Airport', 48.4174, 39.3741, 636, 'UA', 'UA-09', 'Luhansk', 'yes', '', '', '', 'Lugansk International Airport, Міжнародний аеропорт Луганськ, Аэропорт Луганск, UKCW, VSG'),
	('UUOJ', 'N/A', 'N/A', 50.215503461658955, 39.666225761175156, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEA', 'N/A', 'N/A', 48.21728456765413, 40.82008883357048, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKNM', 'N/A', 'N/A', 48.45182429999113, 37.64613211154938, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOU', 'N/A', 'N/A', 49.90457206964493, 40.52533462643623, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKDT', 'N/A', 'N/A', 47.92182985693216, 37.78316080570221, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSC', 'N/A', 'N/A', 49.36888296157122, 38.19186016917229, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKCC', 'closed', 'Donetsk Sergei Prokofiev International Airport', 48.075072, 37.72527, 791, 'UA', 'UA-14', 'Donetsk', 'no', '', '', '', 'Міжнародний аеропорт "Донецьк", UKCC, DOK'),
	('UKNJ', 'N/A', 'N/A', 48.98113712668419, 37.843876630067825, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKCS', 'small_airport', 'Sievierodonetsk Airport', 48.900926, 38.54279, 236, 'UA', 'UA-09', 'Sievierodonetsk', 'no', 'UKCS', 'SEV', '', 'Severodonetsk Airport, Аеропорт Северодонецьк, Аэропорт Северодонецк'),
	('UKYE', 'N/A', 'N/A', 48.17886661738157, 38.20516437292099, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMIL', 'N/A', 'N/A', 48.95529471337795, 40.296662002801895, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPLA', 'N/A', 'N/A', 45.358771942555904, 39.38082084059715, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAG', 'N/A', 'N/A', 47.24635977298021, 38.84016931056976, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOU', 'N/A', 'N/A', 45.662267580628395, 39.17441323399544, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('URKK', 'medium_airport', 'Krasnodar Pashkovsky International Airport', 45.034698, 39.170502, 118, 'RU', 'RU-KDA', 'Krasnodar', 'yes', 'URKK', 'KRR', '', 'Pashkovskiy Airport, Pashkovsky Airport'),
	('UAZZ', 'N/A', 'N/A', 47.08442274481058, 39.405165016651154, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USOA', 'N/A', 'N/A', 45.29683068394661, 40.672313421964645, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOLL', 'N/A', 'N/A', 45.937762297689915, 38.39908540248871, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPRI', 'N/A', 'N/A', 46.05976961553097, 38.23943808674812, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOI', 'N/A', 'N/A', 45.257135666906834, 38.9229154586792, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URAA', 'N/A', 'N/A', 45.59192664921284, 40.91989204287529, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCHO', 'N/A', 'N/A', 45.00152952969074, 38.524203300476074, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULAD', 'N/A', 'N/A', 45.27063153684139, 39.99545753002167, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URRP', 'large_airport', 'Platov International Airport', 47.493888, 39.924722, 213, 'RU', 'RU-ROS', 'Rostov-on-Don', 'yes', 'URRP', 'ROV', '', 'УРРП, Международный аэропорт Платов'),
	('UTSE', 'N/A', 'N/A', 46.4629689976573, 40.84021210670471, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNON', 'N/A', 'N/A', 45.556204319000244, 39.224282652139664, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UYEY', 'N/A', 'N/A', 46.58085275441408, 38.22563588619232, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRX', 'N/A', 'N/A', 45.26199113577604, 38.330956399440765, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UALK', 'N/A', 'N/A', 45.75399745255709, 40.13588190078735, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULRB', 'N/A', 'N/A', 46.819596849381924, 39.40100356936455, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKBM', 'N/A', 'N/A', 47.26555332541466, 37.954600900411606, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRW', 'N/A', 'N/A', 45.44909533113241, 38.19688528776169, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOB', 'N/A', 'N/A', 45.42233359068632, 39.539934396743774, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USEY', 'N/A', 'N/A', 47.27765578776598, 39.63608130812645, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDOL', 'N/A', 'N/A', 46.60735800862312, 37.92278587818146, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XRRB', 'N/A', 'N/A', 47.11558196693659, 39.796869456768036, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URAS', 'N/A', 'N/A', 46.901450492441654, 40.90836301445961, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVOT', 'N/A', 'N/A', 46.48102596402168, 38.13507780432701, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPLT', 'N/A', 'N/A', 45.29313359409571, 39.444435238838196, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTRD', 'N/A', 'N/A', 45.21850783377886, 38.312083929777145, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSH', 'N/A', 'N/A', 47.73281827569008, 38.014140129089355, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTSG', 'N/A', 'N/A', 46.55336380004883, 41.06031283736229, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTBY', 'N/A', 'N/A', 45.30931133776903, 40.29033467173576, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTRU', 'N/A', 'N/A', 45.19727546721697, 38.282984644174576, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTJ', 'medium_airport', 'Remezov Airport', 58.058427, 68.348801, 167, 'RU', 'RU-TYU', 'Tobolsk', 'yes', 'USTJ', 'RMZ', '', 'Tobolsk New, Ремезов, УСТЙ'),
	('UKNT', 'N/A', 'N/A', 47.63731822371483, 38.26530486345291, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URKE', 'medium_airport', 'Yeysk Airport', 46.68, 38.21, 60, 'RU', 'RU-KDA', 'Yeysk', 'yes', '', 'EIK', 'URKE', 'Eysk Airport, Аэропорт Ейск, УРКЕ, ЬРКЕ'),
	('USLA', 'N/A', 'N/A', 45.206353738904, 38.08716997504234, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPES', 'N/A', 'N/A', 46.94912742823362, 39.34464678168297, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULRD', 'N/A', 'N/A', 47.464483715593815, 40.16761064529419, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIC', 'N/A', 'N/A', 45.05508419126272, 37.858209908008575, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTBG', 'N/A', 'N/A', 45.25962308049202, 40.18305838108063, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVEN', 'N/A', 'N/A', 45.32246891409159, 40.8114530146122, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTII', 'N/A', 'N/A', 45.880247354507446, 40.10500252246857, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URRH', 'small_airport', 'Shakhty Airfield', 47.697, 40.287, 0, 'RU', 'RU-ROS', 'Shakhty', 'no', 'URRH', '', '', 'Аэропорт Шахты, УРРХ'),
	('UKVF', 'N/A', 'N/A', 47.67364539206028, 37.57722571492195, 237, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOOE', 'N/A', 'N/A', 45.56809388101101, 41.24086260795593, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTF', 'N/A', 'N/A', 45.63405375927687, 38.350873589515686, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTZ', 'N/A', 'N/A', 45.565813668072224, 38.35133671760559, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAO', 'N/A', 'N/A', 47.81059294939041, 38.62959265708923, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPRC', 'N/A', 'N/A', 45.08007902652025, 41.134394109249115, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUS', 'N/A', 'N/A', 46.5391256287694, 39.54770788550377, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOH', 'N/A', 'N/A', 45.06911616772413, 38.481185138225555, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOJ', 'N/A', 'N/A', 45.44823467731476, 39.851803332567215, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOG', 'N/A', 'N/A', 45.50713028758764, 39.97542858123779, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('URRT', 'medium_airport', 'Taganrog Yuzhny Airport', 47.1983333, 38.8491667, 117, 'RU', 'RU-ROS', 'Taganrog', 'yes', 'URRT', 'TGK', '', 'Taganrog South Airport, Аэропорт Таганрог Южный'),
	('UTSF', 'N/A', 'N/A', 46.693691946566105, 41.003171503543854, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UABB', 'N/A', 'N/A', 45.00722888857126, 38.2122977077961, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPRH', 'N/A', 'N/A', 45.162172727286816, 41.220463514328, 247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOP', 'N/A', 'N/A', 45.616744458675385, 39.88930553197861, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMIS', 'N/A', 'N/A', 45.54888255894184, 40.32598614692688, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOF', 'N/A', 'N/A', 45.078758373856544, 39.96369883418083, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULRE', 'N/A', 'N/A', 45.048537254333496, 41.096057295799255, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAG', 'N/A', 'N/A', 45.524314530193806, 38.66919502615929, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIRR', 'N/A', 'N/A', 45.824469812214375, 39.724018424749374, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCHL', 'N/A', 'N/A', 47.322735004127026, 39.44902181625366, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBAT', 'N/A', 'N/A', 45.71522545069456, 39.45360168814659, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGIG', 'N/A', 'N/A', 46.92176789045334, 41.228962540626526, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOE', 'N/A', 'N/A', 45.445508882403374, 39.41738024353981, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOE', 'N/A', 'N/A', 45.21467160433531, 40.91955229640007, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URRR', 'closed', 'Rostov-on-Don Airport', 47.258203, 39.8181, 280, 'RU', 'RU-ROS', 'Rostov-on-Don', 'no', '', '', '', 'ROV, Аэропорт Ростов-на-Дону, Rostov-na-Donu Airport, URRR, RVI'),
	('UKIY', 'N/A', 'N/A', 45.06078824400902, 37.966811656951904, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGRI', 'N/A', 'N/A', 45.54871089756489, 38.10209512710571, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKHM', 'N/A', 'N/A', 45.03292579203844, 38.38760867714882, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPEO', 'N/A', 'N/A', 45.3682629391551, 37.99284651875496, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEP', 'N/A', 'N/A', 46.20365906506777, 40.8310304582119, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAZV', 'N/A', 'N/A', 47.179383002221584, 39.4266302883625, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTM', 'N/A', 'N/A', 45.25002580136061, 39.07893508672714, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTRI', 'N/A', 'N/A', 45.13957377523184, 38.286054879426956, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UYAE', 'N/A', 'N/A', 46.4635369554162, 38.28655332326889, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTH', 'N/A', 'N/A', 45.43945178389549, 38.328813314437866, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOOB', 'N/A', 'N/A', 45.05849227309227, 40.95675274729729, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOC', 'N/A', 'N/A', 45.71888230741024, 39.84817922115326, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRQ', 'N/A', 'N/A', 45.296277813613415, 38.231437504291534, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOB', 'N/A', 'N/A', 45.192609429359436, 38.53331074118614, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTN', 'N/A', 'N/A', 45.36497354507446, 38.40608149766922, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOTD', 'N/A', 'N/A', 45.2782379463315, 40.92638656497002, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKVG', 'N/A', 'N/A', 47.46499802917242, 37.577765733003616, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULRA', 'N/A', 'N/A', 45.24159025400877, 39.55720782279968, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOA', 'N/A', 'N/A', 45.08773069828749, 37.748741805553436, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPLL', 'N/A', 'N/A', 45.302559211850166, 39.294830560684204, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMEV', 'N/A', 'N/A', 45.443579368293285, 38.960155695676804, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTG', 'N/A', 'N/A', 45.34280005842447, 38.69912713766098, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDMM', 'N/A', 'N/A', 45.63891660422087, 40.75194641947746, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZEE', 'N/A', 'N/A', 46.83605756610632, 40.380879342556, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTEE', 'N/A', 'N/A', 45.88790036737919, 40.37094488739967, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAJ', 'N/A', 'N/A', 45.334739685058594, 40.4094623029232, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTRT', 'N/A', 'N/A', 45.10453876107931, 38.1123223900795, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOOC', 'N/A', 'N/A', 45.11517237871885, 40.02092868089676, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDNE', 'N/A', 'N/A', 45.68222388625145, 38.821898102760315, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEC', 'N/A', 'N/A', 45.144172757864, 38.70471775531769, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USOS', 'N/A', 'N/A', 45.19426066428423, 40.63140571117401, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRS', 'N/A', 'N/A', 45.084139220416546, 38.94442766904831, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UYEE', 'N/A', 'N/A', 45.08538208901882, 38.805385529994965, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URRX', 'N/A', 'N/A', 47.1985986828804, 39.9542011320591, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUSL', 'N/A', 'N/A', 45.27655150741339, 39.6749621629715, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('USTP', 'N/A', 'N/A', 45.25107219815254, 38.43248784542084, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOC', 'N/A', 'N/A', 45.528521575033665, 39.33007746934891, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRP', 'N/A', 'N/A', 45.36805037409067, 38.27958360314369, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTQ', 'N/A', 'N/A', 45.14348711818457, 39.30628851056099, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTBI', 'N/A', 'N/A', 45.44571038335562, 40.25905787944794, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULAY', 'N/A', 'N/A', 45.36044329404831, 39.955932945013046, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOZ', 'N/A', 'N/A', 45.21491501480341, 37.744070291519165, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGRV', 'N/A', 'N/A', 45.50432939082384, 38.13754856586456, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTBL', 'N/A', 'N/A', 45.50042308866978, 40.23474097251892, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOQ', 'N/A', 'N/A', 46.84400662779808, 39.76160332560539, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOX', 'N/A', 'N/A', 46.027390994131565, 39.97559443116188, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAE', 'N/A', 'N/A', 67.08345327526331, 44.36358153820038, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAN', 'N/A', 'N/A', 66.37778554111719, 42.55768910050392, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULBQ', 'closed', 'Soyana Airfield', 65.783933, 43.3832, 59, 'RU', 'RU-ARK', 'Soyana', 'no', '', '', '', 'ULBQ, ULBQ'),
	('ULAN', 'small_airport', 'Shenkursk Airfield', 62.117001, 42.882999, 0, 'RU', 'RU-ARK', 'Shenkursk', 'no', '', '', 'ULAN', 'Nikiforovskaya, Аэропорт Шенкурск, Аэропорт Никифоровская, УЛАН'),
	('ULAP', 'small_airport', 'Karpogory Airfield', 64.013, 44.455002, 0, 'RU', 'RU-ARK', 'Karpogory', 'no', '', '', 'ULAP', 'Аэропорт Карпогоры, УЛАП'),
	('ULWT', 'closed', 'Totma Airport', 59.9835754516, 42.7672863007, 0, 'RU', 'RU-VLG', 'Totma', 'no', '', '', '', 'Totma Airport, Аэропорт Тотьма, УЛВТ, ULWT'),
	('UTAR', 'N/A', 'N/A', 60.50334680825472, 43.60123202204704, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULKW', 'small_airport', 'Velsk Airfield', 61.040001, 42.099998, 360, 'RU', 'RU-ARK', 'Velsk', 'no', '', '', 'ULKW', 'Аэропорт Вельск, УЛКВ'),
	('UGOB', 'N/A', 'N/A', 56.3187550753355, 43.795180320739746, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUBF', 'N/A', 'N/A', 58.74414090067148, 42.705209255218506, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCHV', 'N/A', 'N/A', 56.69964820146561, 43.19100961089134, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGII', 'N/A', 'N/A', 56.52202494442463, 43.480422645807266, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULUK', 'N/A', 'N/A', 56.41204196959734, 43.760153353214264, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UYUR', 'N/A', 'N/A', 57.33714357018471, 43.091530948877335, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMAT', 'N/A', 'N/A', 58.36749974638224, 44.79591116309166, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZAV', 'N/A', 'N/A', 56.71769041568041, 43.39300990104675, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMAK', 'N/A', 'N/A', 57.713040076196194, 43.68718296289444, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOH', 'N/A', 'N/A', 56.458097510039806, 41.29239723086357, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWGI', 'N/A', 'N/A', 56.22011549770832, 43.58663007616997, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAS', 'N/A', 'N/A', 54.35645665973425, 41.98304504156113, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZDN7', 'N/A', 'N/A', 54.77025378495455, 42.20561742782593, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAA', 'N/A', 'N/A', 54.95656203478575, 43.31093966960907, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSF', 'N/A', 'N/A', 56.09402686357498, 44.224577844142914, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USOB', 'N/A', 'N/A', 54.652020670473576, 43.52638632059097, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULRI', 'N/A', 'N/A', 54.60713256150484, 43.838809579610825, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAV', 'N/A', 'N/A', 55.44153828173876, 42.310882061719894, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZAK4', 'N/A', 'N/A', 53.90149265527725, 42.10857421159744, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZA7A', 'N/A', 'N/A', 53.87807093560696, 41.65100857615471, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULRF', 'N/A', 'N/A', 55.750377885997295, 41.55630424618721, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVAD', 'N/A', 'N/A', 53.70420277118683, 43.03633734583855, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOG', 'N/A', 'N/A', 56.122453920543194, 43.546345978975296, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTOB', 'N/A', 'N/A', 54.30272229015827, 43.33616986870766, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGOK', 'N/A', 'N/A', 56.180697083473206, 42.668730318546295, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTOR', 'N/A', 'N/A', 53.931712098419666, 43.219032883644104, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZAJ9', 'N/A', 'N/A', 54.04986575245857, 41.73132240772247, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOJ', 'N/A', 'N/A', 54.1138394549489, 43.759252578020096, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTOE', 'N/A', 'N/A', 54.07672472298145, 43.290551751852036, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWGO', 'N/A', 'N/A', 56.19086567312479, 43.08294519782066, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZC78', 'N/A', 'N/A', 55.03877643495798, 41.58592611551285, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOOG', 'N/A', 'N/A', 56.136915385723114, 42.17685520648956, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UWGG', 'medium_airport', 'Nizhny Novgorod Strigino International Airport', 56.230098724365, 43.784000396729, 256, 'RU', 'RU-NIZ', 'Nizhny Novgorod', 'yes', 'UWGG', 'GOJ', '', 'Strigino Airport'),
	('ZDP1', 'N/A', 'N/A', 54.540629871189594, 42.45876833796501, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOOH', 'N/A', 'N/A', 56.2000622972846, 42.18814238905907, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMOK', 'N/A', 'N/A', 53.56648709625006, 41.764666736125946, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDIV', 'N/A', 'N/A', 55.073771215975285, 43.33583325147629, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZDP2', 'N/A', 'N/A', 54.773423820734024, 41.46376222372055, 129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOE', 'N/A', 'N/A', 55.78284837305546, 44.744941145181656, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTEM', 'N/A', 'N/A', 54.62714150547981, 43.238368928432465, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOOI', 'N/A', 'N/A', 56.21353503316641, 42.26360410451889, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCHC', 'N/A', 'N/A', 54.32380445301533, 41.49065583944321, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWGK', 'N/A', 'N/A', 55.43786030262709, 42.479827255010605, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIA', 'N/A', 'N/A', 52.67107956111431, 42.684833854436874, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGOE', 'N/A', 'N/A', 52.95695375651121, 41.472070813179016, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPOV', 'N/A', 'N/A', 51.090551018714905, 42.173915058374405, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPIC', 'N/A', 'N/A', 52.95687295496464, 42.117421478033066, 165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZEE5', 'N/A', 'N/A', 53.13192766159773, 44.08620223402977, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOOF', 'N/A', 'N/A', 52.75218117982149, 41.73055797815323, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWSW', 'N/A', 'N/A', 51.627788096666336, 43.151876628398895, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZNM', 'N/A', 'N/A', 52.39118065685034, 41.42007976770401, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZHH', 'N/A', 'N/A', 51.834233701229095, 41.55514553189278, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZEE6', 'N/A', 'N/A', 53.09814590960741, 44.29172605276108, 253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPIH', 'N/A', 'N/A', 53.101750798523426, 42.26536050438881, 165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZE3M', 'N/A', 'N/A', 53.025803714990616, 43.15145865082741, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOO', 'N/A', 'N/A', 51.36687554419041, 42.18353345990181, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPOK', 'N/A', 'N/A', 52.701847180724144, 41.37334495782852, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIF', 'N/A', 'N/A', 52.63994548469782, 42.9879654943943, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGRB', 'N/A', 'N/A', 51.59851714968681, 42.111632376909256, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZEE7', 'N/A', 'N/A', 52.75856785476208, 43.61913487315178, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOC', 'N/A', 'N/A', 51.419437788426876, 42.50595957040787, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XWPR', 'medium_airport', 'Rtishchevo Air Base', 52.297317, 43.7241, 673, 'RU', 'RU-SAR', 'Rtishchevo', 'no', '', '', 'XWPR', 'ЬВПР, Ртищево'),
	('ZA5E', 'N/A', 'N/A', 53.11960894614458, 43.823139667510986, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUOT', 'medium_airport', 'Donskoye Airport', 52.806099, 41.4828, 413, 'RU', 'RU-TAM', 'Tambov', 'no', 'UUOT', 'TBW', '', ''),
	('UREE', 'N/A', 'N/A', 51.53172478079796, 43.30172047019005, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULLD', 'heliport', 'Varshavskaya Heliport', 59.881885, 30.306041, 38, 'RU', 'RU-SPE', 'Saint Petersburg', 'no', 'ULLD', '', '', 'УЛЛД'),
	('URRW', 'small_airport', 'Veshenskaya Airfield', 49.656601, 41.700699, 253, 'RU', 'RU-ROS', '', 'no', '', '', 'URRW', 'Vyoshenskaya Airport, Аэропорт Вешенская, Аэропорт Вёшенская, УРРВ'),
	('URWS', 'N/A', 'N/A', 49.553870894014835, 42.72323504090309, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVOG', 'N/A', 'N/A', 48.555775322020054, 44.36323329806328, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOT', 'N/A', 'N/A', 47.97028262168169, 43.72299760580063, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOK', 'N/A', 'N/A', 49.7897369787097, 44.04670849442482, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USRE', 'N/A', 'N/A', 48.730251006782055, 44.861278384923935, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAF', 'N/A', 'N/A', 48.07381857186556, 41.4139124751091, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGUU', 'N/A', 'N/A', 48.67738667875528, 44.35781031847, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URWW', 'medium_airport', 'Volgograd International Airport', 48.782501220703125, 44.34550094604492, 482, 'RU', 'RU-VGG', 'Volgograd', 'yes', 'URWW', 'VOG', '', 'Gumrak Airport, Аэропорт Волгоград, Аэропорт Гумрак'),
	('UFRO', 'N/A', 'N/A', 49.75379437208176, 43.535312712192535, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOOJ', 'N/A', 'N/A', 48.68144754320383, 44.07586634159088, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URRM', 'small_airport', 'Morozovsk Air Base', 48.313, 41.791, 400, 'RU', 'RU-ROS', 'Morozovsk', 'no', '', '', 'XRRM', 'Аэродром Морозовск, ЬРРМ, УРРМ'),
	('USVE', 'N/A', 'N/A', 48.46038021147251, 44.55378994345665, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOKK', 'N/A', 'N/A', 48.6360964179039, 43.78966972231865, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMIY', 'N/A', 'N/A', 49.94576510041952, 42.98523232340813, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URYZ', 'N/A', 'N/A', 45.277283415198326, 41.82518005371094, 377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOY', 'N/A', 'N/A', 47.176064774394035, 41.29778668284416, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UDII', 'N/A', 'N/A', 45.924540348351, 43.39540868997574, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URMX', 'N/A', 'N/A', 45.202962420880795, 42.43454083800316, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEQ', 'N/A', 'N/A', 45.11111453175545, 42.24170655012131, 299, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTSJ', 'N/A', 'N/A', 47.68298450857401, 42.077001482248306, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTRV', 'N/A', 'N/A', 45.49680646508932, 42.30057254433632, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTRS', 'N/A', 'N/A', 46.45659673959017, 44.21048954129219, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIPP', 'N/A', 'N/A', 45.702967420220375, 42.8862489759922, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPEL', 'N/A', 'N/A', 45.214490219950676, 41.97628766298294, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBLL', 'N/A', 'N/A', 45.407555624842644, 42.56404682993889, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URRE', 'small_airport', 'Remontnoye Airfield', 46.544302, 43.6457, 409, 'RU', 'RU-ROS', 'Remontnoye', 'no', '', '', 'URRE', 'УРРЕ, Ремонтное'),
	('USTW', 'N/A', 'N/A', 45.023915246129036, 41.88683599233627, 649, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URYD', 'N/A', 'N/A', 45.154326260089874, 41.81091785430908, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UROV', 'N/A', 'N/A', 47.46595725417137, 41.92535921931267, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URRS', 'closed', 'Sal''sk 2 Airfield', 46.45755, 41.483345, 0, 'RU', 'RU-ROS', 'Sal''sk', 'no', '', '', '', 'Аэропорт Сальск, УРРС'),
	('URMT', 'medium_airport', 'Stavropol Shpakovskoye Airport', 45.10919952392578, 42.11280059814453, 1486, 'RU', 'RU-STA', 'Stavropol', 'yes', 'URMT', 'STW', '', ''),
	('UROM', 'N/A', 'N/A', 47.531025633215904, 42.03675448894501, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGIN', 'N/A', 'N/A', 46.465789675712585, 41.298846155405045, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZII', 'N/A', 'N/A', 47.14063983410597, 42.39570826292038, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XRMS', 'N/A', 'N/A', 45.424411967396736, 42.68223211169243, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URRY', 'closed', 'Volgodonsk Airport', 47.682098, 42.0728, 276, 'RU', 'RU-ROS', '', 'no', '', '', '', 'Tsimlyansk Airport, Аэропорт Волгодонск, Аэропорт Цимлянск, URRQ, VLK'),
	('URWI', 'medium_airport', 'Elista Airport', 46.3739013671875, 44.33089828491211, 501, 'RU', 'RU-KL', 'Elista', 'yes', 'URWI', 'ESL', '', ''),
	('UBLA', 'N/A', 'N/A', 64.73259262740612, 47.662542164325714, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULAL', 'small_airport', 'Leshukonskoye Airport', 64.8960037231, 45.7229995728, 220, 'RU', 'RU-ARK', 'Leshukonskoye', 'yes', 'ULAL', 'LDG', '', 'Leshukonskoe Airport, Аэропорт Лешуконское'),
	('UVEE', 'N/A', 'N/A', 62.23970130085945, 45.01978620886803, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULJO', 'small_airport', 'Olema Airport', 64.495, 46.14666, 164, 'RU', 'RU-ARK', 'Olema', 'no', 'ULJO', '', '', 'Аэропорт Олема, УЛЙО'),
	('UNIK', 'N/A', 'N/A', 59.49748355895281, 45.519030690193176, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULKS', 'small_airport', 'Savvatiya Air Base', 60.994998931884766, 46.869998931884766, 318, 'RU', 'RU-ARK', 'Kotlas', 'no', 'ULKS', '', '', 'Kotlas South, Savati, Savatiya, Савватия ,Саватия'),
	('ULWK', 'small_airport', 'Kichmengskiy Gorodok Airport', 59.97700119018555, 45.82500076293945, 0, 'RU', 'RU-VLG', 'Kichmengskiy Gorodok', 'yes', 'ULWK', '', '', 'Kichmengsky Gorodok Airport, Аэропорт Кичменгский Городок'),
	('ULKK', 'medium_airport', 'Kotlas Airport', 61.235801696777344, 46.6974983215332, 184, 'RU', 'RU-ARK', 'Kotlas', 'yes', 'ULKK', 'KSZ', '', 'Аэропорт Котлас'),
	('UVEL', 'N/A', 'N/A', 60.78863460570574, 46.260565370321274, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UYOO', 'N/A', 'N/A', 56.65967255830765, 48.03255960345268, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOF', 'N/A', 'N/A', 58.97726073861122, 46.99755817651749, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UURR', 'N/A', 'N/A', 57.562673427164555, 45.8969110250473, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWKJ', 'medium_airport', 'Yoshkar-Ola Airport', 56.700599670410156, 47.904701232910156, 348, 'RU', 'RU-ME', 'Yoshkar-Ola', 'yes', 'UWKJ', 'JOK', '', 'Аэропорт Йошкар-Ола'),
	('UVOK', 'N/A', 'N/A', 58.91729325056076, 46.725435107946396, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHW', 'N/A', 'N/A', 58.3929592743516, 45.554423332214355, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWLS', 'small_airport', 'Soldatskaya Tashla Airfield', 54.015284, 48.306026, 673, 'RU', 'RU-ULY', '', 'no', 'UWLS', '', '', 'Аэродром Солдатская Ташла, УВЛС'),
	('UWKS', 'medium_airport', 'Cheboksary Airport', 56.090301513671875, 47.3473014831543, 558, 'RU', 'RU-CU', 'Cheboksary', 'yes', 'UWKS', 'CSY', '', ''),
	('UMIN', 'N/A', 'N/A', 54.26667910069227, 48.74648720026016, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWLL', 'medium_airport', 'Ulyanovsk Baratayevka Airport', 54.268299, 48.2267, 449, 'RU', 'RU-ULY', 'Ulyanovsk', 'yes', 'UWLL', 'ULV', '', ''),
	('UWPS', 'medium_airport', 'Saransk Airport', 54.12512969970703, 45.212257385253906, 676, 'RU', 'RU-MO', 'Saransk', 'yes', 'UWPS', 'SKX', '', 'Аэропорт Саранск'),
	('ULYA', 'N/A', 'N/A', 54.28595848381519, 45.163971930742264, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOV', 'N/A', 'N/A', 54.19712740927935, 48.32132175564766, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWGB', 'small_airport', 'Bolshoye Boldino Airport', 55.02000045776367, 45.314998626708984, 0, 'RU', 'RU-ARK', 'Bolshoye Boldino', 'no', 'UWGB', '', '', 'Bolshoe Boldino Airport, Аэропорт Большое Болдино'),
	('UPET', 'N/A', 'N/A', 52.274375818669796, 45.38862347602844, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAR', 'N/A', 'N/A', 51.4773540571332, 45.943439304828644, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUN', 'N/A', 'N/A', 53.09812780469656, 46.59035190939903, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATP', 'N/A', 'N/A', 51.80309493094683, 45.112599581480026, 228, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWSS', 'closed', 'Saratov Central Airport', 51.564999, 46.0467, 0, 'RU', 'RU-SAR', '', 'no', '', '', '', 'Saratov Tsentralny Airport, Аэропорт Центральный, UWSS, RTW'),
	('UWSK', 'small_airport', 'Krasny Kut Airport', 50.955458, 46.949901, 177, 'RU', 'RU-SAR', 'Krasny Kut', 'no', 'UWSK', '', '', 'Аэропорт Красный Кут'),
	('USHE', 'N/A', 'N/A', 51.47878434509039, 46.21461063623428, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('USAT', 'N/A', 'N/A', 51.64366275072098, 46.06431528925896, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWPP', 'medium_airport', 'Penza Airport', 53.110599517822266, 45.02109909057617, 614, 'RU', 'RU-PNZ', 'Penza', 'yes', 'UWPP', 'PEZ', '', 'Penza South'),
	('UVOL', 'small_airport', 'Uvol Airport', -6.0178, 150.9557, 15, 'PG', 'PG-EBR', 'Uvol', 'no', 'AYUZ', 'UVO', 'UVOL', ''),
	('USOY', 'N/A', 'N/A', 51.539893448352814, 45.84672063589096, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTX', 'N/A', 'N/A', 52.71560523658991, 47.64168620109558, 165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USYZ', 'N/A', 'N/A', 53.22551563382149, 48.549817353487015, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XWPD', 'small_airport', 'Sosnovka Airfield', 53.261002, 45.277, 0, 'RU', 'RU-PNZ', 'Penza', 'no', '', '', 'XWPD', 'Chemodanovka Airfield, Аэродром Сосновка, Аэродром Чемодановка'),
	('UWSG', 'large_airport', 'Gagarin International Airport', 51.712778, 46.171111, 103, 'RU', 'RU-SAR', 'Saratov', 'yes', 'UWSG', 'GSV', '', ''),
	('USEC', 'N/A', 'N/A', 52.13790770620108, 46.96760147809982, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWSB', 'medium_airport', 'Balakovo Airport', 51.858299, 47.745602, 95, 'RU', 'RU-SAR', 'Balakovo', 'yes', 'UWSB', 'BWO', '', 'Malaya Bykovka Airport, Аэропорт Балаково, Аэропорт Малая Быковка'),
	('XRWL', 'medium_airport', 'Lebyazhye Air Base', 50.201698, 45.208302, 381, 'RU', 'RU-VGG', 'Kamyshin', 'no', 'XRWL', '', '', 'Аэродром Лебяжье, ЬРВЛ'),
	('UKAY', 'N/A', 'N/A', 50.055266954004765, 45.363521575927734, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAKI', 'N/A', 'N/A', 48.310160748660564, 46.228820979595184, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZNN', 'N/A', 'N/A', 48.667672388255596, 45.73249965906143, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTK', 'N/A', 'N/A', 46.396791860461235, 47.88986921310425, -23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAB', 'N/A', 'N/A', 47.422666400671005, 47.926623076200485, -16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URWA', 'medium_airport', 'Astrakhan Narimanovo Boris M. Kustodiev International Airport', 46.282843, 48.010511, -65, 'RU', 'RU-AST', 'Astrakhan', 'yes', 'URWA', 'ASF', '', 'Astrahan Airport, Narimanovo Airport, Аэропорт Астрахань, Аэропорт Нариманово'),
	('UUYX', 'medium_airport', 'Ust-Tsylma Airport', 65.437294, 52.200336, 262, 'RU', 'RU-KO', 'Ust-Tsylma', 'no', 'UUYX', 'UTS', '', 'Ust-Tsilma, Усть-Цильма'),
	('ULOM', 'N/A', 'N/A', 63.47427651286125, 48.8463319838047, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUYM', 'small_airport', 'Yemva Airport', 62.6054000854, 50.925201416, 0, 'RU', 'RU-KO', 'Emva', 'no', 'UUYM', '', '', 'Emva Airport, Аэропорт Емва'),
	('USYY', 'N/A', 'N/A', 61.587602980434895, 50.520876199007034, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIM', 'N/A', 'N/A', 59.36981912702322, 52.19544589519501, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUYY', 'medium_airport', 'Syktyvkar Airport', 61.64699935913086, 50.84510040283203, 342, 'RU', 'RU-KO', 'Syktyvkar', 'yes', 'UUYY', 'SCW', '', ''),
	('UKIQ', 'N/A', 'N/A', 59.38888527452946, 52.182307094335556, 165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMOH', 'N/A', 'N/A', 56.42396070063114, 52.27845311164856, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTTH', 'N/A', 'N/A', 58.45496892929077, 49.35041427612305, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USKK', 'medium_airport', 'Pobedilovo Airport', 58.503883, 49.347831, 479, 'RU', 'RU-KIR', 'Kirov', 'yes', 'USKK', 'KVX', '', 'Аэропорт Победилово'),
	('UBAI', 'N/A', 'N/A', 56.37070544064045, 50.207478404045105, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USOC', 'N/A', 'N/A', 57.56588771939278, 48.95595923066139, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIJ', 'N/A', 'N/A', 58.609816543757915, 49.764637649059296, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWWW', 'large_airport', 'Kurumoch International Airport', 53.504902, 50.164299, 477, 'RU', 'RU-SAM', 'Samara', 'yes', 'UWWW', 'KUF', '', ''),
	('UWKD', 'large_airport', 'Kazan International Airport', 55.606201171875, 49.278701782227, 411, 'RU', 'RU-TA', 'Kazan', 'yes', 'UWKD', 'KZN', '', ''),
	('UKRB', 'N/A', 'N/A', 53.50862715393305, 50.439378172159195, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBUG', 'N/A', 'N/A', 53.61508034169674, 52.45140329003334, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWWE', 'small_airport', 'Verkhneye Sancheleyevo Airfield', 53.6960966684, 49.491519928, 246, 'RU', 'RU-SAM', 'Tolyatti', 'no', 'UWWE', '', '', 'Verkhnee Sancheleevo Airfield, Аэродром Верхнее Санчелеево, УВВЕ'),
	('UYEA', 'N/A', 'N/A', 55.79261161386967, 52.13214039802551, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKII', 'N/A', 'N/A', 53.466609343886375, 51.564887166023254, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWKE', 'medium_airport', 'Begishevo Airport', 55.564701080322266, 52.092498779296875, 643, 'RU', 'RU-TA', 'Nizhnekamsk', 'yes', 'UWKE', 'NBC', '', ''),
	('UPOT', 'N/A', 'N/A', 53.53704549372196, 49.11819040775299, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVYK', 'N/A', 'N/A', 55.763804353773594, 49.31645214557648, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWWT', 'closed', 'Tolyatti Airport', 53.596638, 49.378374, 230, 'RU', 'RU-SAM', 'Tolyatti', 'no', '', '', '', 'Аэропорт Тольятти, УВВТ, UWWT'),
	('UNUU', 'N/A', 'N/A', 54.42321114242077, 50.760675966739655, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWKG', 'medium_airport', 'Borisoglebskoye Airport', 55.866699, 49.133301, 213, 'RU', 'RU-TA', 'Kazan', 'no', 'UWKG', '', '', 'Аэропорт Борисоглебское'),
	('UNOM', 'N/A', 'N/A', 53.91195494681597, 49.732925444841385, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWKI', 'closed', 'Chistopol Airport', 55.305798, 50.615986, 604, 'RU', 'RU-TA', 'Chistopol', 'no', '', '', '', 'UWKI'),
	('UPEE', 'N/A', 'N/A', 55.97591143101454, 49.58234265446663, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWLW', 'medium_airport', 'Ulyanovsk East Airport', 54.401001, 48.8027, 252, 'RU', 'RU-ULY', 'Cherdakly', 'yes', 'UWLW', 'ULY', '', 'Ulyanovsk Vostochny Airport'),
	('UTTF', 'N/A', 'N/A', 55.53784165531397, 49.32145267724991, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEZ', 'N/A', 'N/A', 52.96462319791317, 49.37779873609543, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UROZ', 'N/A', 'N/A', 53.25082428753376, 50.05533814430237, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWWG', 'medium_airport', 'Bezymyanka Airfield', 53.220001, 50.325001, 135, 'RU', 'RU-SAM', 'Samara', 'no', 'UWWG', '', '', 'Bezimyanka Airfield, Аэродром Безымянка');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('USPI', 'N/A', 'N/A', 53.14743384718895, 50.72068467736244, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBUZ', 'N/A', 'N/A', 52.81485568732023, 52.22205117344856, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTY', 'N/A', 'N/A', 51.124677769839764, 49.64237987995148, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPUG', 'N/A', 'N/A', 52.03328412026167, 48.82114291191101, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWWS', 'small_airport', 'Smyshlyayevka Airport', 53.240002, 50.375, 131, 'RU', 'RU-SAM', 'Samara', 'no', 'UWWS', '', '', 'УВВС, Самара, Smyshlyaevka Airport, Аэропорт Смышляевка'),
	('UARR', 'medium_airport', 'Uralsk Airport', 51.15079879760742, 51.54309844970703, 125, 'KZ', 'KZ-ZAP', 'Uralsk', 'yes', 'UARR', 'URA', '', 'Podstepnyy'),
	('USAB', 'N/A', 'N/A', 53.108674585819244, 50.09864196181297, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGEE', 'N/A', 'N/A', 53.28563131392002, 51.031752079725266, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAAU', 'N/A', 'N/A', 47.224399857223034, 51.99132978916168, -27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATU', 'N/A', 'N/A', 45.193834863603115, 51.350092738866806, -27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATG', 'medium_airport', 'Atyrau International Airport', 47.122559, 51.819321, -72, 'KZ', 'KZ-ATY', 'Atyrau', 'yes', 'UATG', 'GUW', '', ''),
	('UUSI', 'N/A', 'N/A', 66.28793891519308, 52.58633628487587, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTRP', 'N/A', 'N/A', 62.731251642107964, 56.19680643081665, 129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUYH', 'medium_airport', 'Ukhta Airport', 63.566898, 53.804699, 482, 'RU', 'RU-KO', 'Ukhta', 'yes', 'UUYH', 'UCT', '', ''),
	('UCHZ', 'N/A', 'N/A', 58.79354551434517, 56.15333676338196, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USPB', 'closed', 'Bakharevka Airport', 57.951698, 56.195, 564, 'RU', 'RU-PER', 'Perm', 'no', '', '', '', 'Аэропорт Бахаревка, USPB'),
	('USPP', 'medium_airport', 'Perm International Airport', 57.914501, 56.021198, 404, 'RU', 'RU-PER', 'Perm', 'yes', 'USPP', 'PEE', '', 'Bolshoye Savino'),
	('UFRR', 'N/A', 'N/A', 57.90241610258818, 56.249813586473465, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCHS', 'N/A', 'N/A', 57.384334690868855, 55.01868322491646, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPIR', 'N/A', 'N/A', 56.76777429878712, 53.18227261304855, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USII', 'medium_airport', 'Izhevsk Airport', 56.82809829711914, 53.45750045776367, 531, 'RU', 'RU-UD', 'Izhevsk', 'yes', 'USII', 'IJK', '', 'Аэропорт Ижевск'),
	('UOCC', 'N/A', 'N/A', 57.6677942276001, 54.54527959227562, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUSK', 'N/A', 'N/A', 57.982214502990246, 55.70810168981552, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAM', 'N/A', 'N/A', 55.258509032428265, 52.573094218969345, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWUO', 'N/A', 'N/A', 54.999688267707825, 55.75064465403557, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWUS', 'N/A', 'N/A', 53.52214548736811, 55.78024908900261, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMEE', 'N/A', 'N/A', 55.72051517665386, 53.06018874049187, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWKB', 'medium_airport', 'Bugulma Airport', 54.641184, 52.800229, 991, 'RU', 'RU-TA', 'Bugulma', 'yes', 'UWKB', 'UUA', '', 'УВКБ, Аэропорт Бугульма'),
	('UBUL', 'N/A', 'N/A', 54.424020163714886, 52.91598200798035, 279, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWUZ', 'small_airport', 'Aktanysh Airport', 55.6975, 54.0677, 378, 'RU', 'RU-TA', 'Aktanysh', 'no', 'UWUZ', '', 'UWUZ', 'УВУЗ, Актаныш'),
	('UWUU', 'large_airport', 'Ufa International Airport', 54.557498931885, 55.874401092529, 449, 'RU', 'RU-BA', 'Ufa', 'yes', 'UWUU', 'UFA', '', 'Международный аэропорт Уфа'),
	('UWUF', 'closed', 'Neftekamsk Airport', 56.106899, 54.347198, 456, 'RU', 'RU-BA', 'Neftekamsk', 'no', '', '', '', 'УВУФ, Нефтекамск, UWUF, NEF'),
	('UWUK', 'small_airport', 'Oktyabrskiy Airport', 54.439999, 53.388302, 377, 'RU', 'RU-TA', 'Kzyl-Yar', 'no', 'UWUK', 'OKT', '', 'Oktyabrsky Airport, Аэропорт Октябрьский'),
	('UKUE', 'N/A', 'N/A', 52.84831289201975, 55.82277864217758, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UORE', 'N/A', 'N/A', 51.70824095606804, 55.01690983772278, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTOO', 'N/A', 'N/A', 52.50085987150669, 52.779200971126556, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWOO', 'medium_airport', 'Orenburg Central Airport', 51.795799255371094, 55.45669937133789, 387, 'RU', 'RU-ORE', 'Orenburg', 'yes', 'UWOO', 'REN', '', 'Orenburg Tsentralny Airport, Аэропорт Центральный'),
	('UWOK', 'N/A', 'N/A', 52.78841380029917, 55.77159717679024, 261, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAL', 'N/A', 'N/A', 51.906602047383785, 55.16332760453224, 91, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRR', 'closed', 'Chernihiv Shestovytsia Airport', 51.402199, 31.1583, 446, 'UA', 'UA-74', 'Chernihiv', 'no', '', '', '', 'UKKL, UKKL, CEJ'),
	('UABY', 'N/A', 'N/A', 45.33196963369846, 55.12415170669556, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAQT', 'N/A', 'N/A', 46.302001252770424, 53.4293407201767, -25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUSH', 'N/A', 'N/A', 66.12663522362709, 57.352264970541, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUYS', 'medium_airport', 'Usinsk Airport', 66.0047, 57.367199, 262, 'RU', 'RU-KO', 'Usinsk', 'yes', 'UUYS', 'USK', '', ''),
	('UUYP', 'medium_airport', 'Pechora Airport', 65.121101, 57.130798, 98, 'RU', 'RU-KO', 'Pechora', 'yes', 'UUYP', 'PEX', '', ''),
	('UVUT', 'N/A', 'N/A', 63.954992070794106, 57.564197927713394, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVUU', 'N/A', 'N/A', 63.77198461443186, 56.68175384402275, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUYK', 'medium_airport', 'Vuktyl Airport', 63.823299, 57.279999, 358, 'RU', 'RU-KO', 'Vuktyl', 'no', 'UUYK', '', '', 'Аэропорт Вуктыл'),
	('UKRA', 'N/A', 'N/A', 60.41053835302591, 57.136148661375046, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZE21', 'N/A', 'N/A', 59.152138754725456, 57.60583072900772, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNYY', 'N/A', 'N/A', 60.74139319360256, 56.69900804758072, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UWUB', 'small_airport', 'Beloretsk Airport', 53.938389, 58.340113, 1827, 'RU', 'RU-BA', 'Beloretsk', 'no', 'UWUB', 'BCX', '', ''),
	('UMAG', 'N/A', 'N/A', 53.51991053670645, 59.19968783855438, 422, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWOR', 'medium_airport', 'Orsk Airport', 51.072498, 58.5956, 909, 'RU', 'RU-ORE', 'Orsk', 'yes', 'UWOR', 'OSW', '', ''),
	('UORR', 'N/A', 'N/A', 51.20850585401058, 58.68268758058548, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDOM', 'N/A', 'N/A', 50.80544728785753, 59.51541602611542, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWOD', 'small_airport', 'Adamovka Airport', 51.499284, 59.936658, 0, 'RU', 'RU-ORE', 'Adamovka', 'no', 'UWOD', '', '', ''),
	('UAGA', 'N/A', 'N/A', 53.37844010442495, 59.1346138715744, 375, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USCM', 'medium_airport', 'Magnitogorsk International Airport', 53.39310073852539, 58.755699157714844, 1430, 'RU', 'RU-BA', 'Magnitogorsk', 'yes', 'USCM', 'MQF', '', ''),
	('UORS', 'N/A', 'N/A', 51.28553420305252, 58.604262471199036, 250, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UWUA', 'heliport', 'Sibay Airport', 52.687412, 58.714802, 1309, 'RU', 'RU-BA', 'Sibay', 'no', 'UWUA', '', '', 'УВУА, Сибай'),
	('URUA', 'N/A', 'N/A', 51.92989569157362, 58.27526405453682, 350, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAEM', 'N/A', 'N/A', 48.73616259545088, 58.04369196295738, 222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATR', 'medium_airport', 'Shalkar Airport', 47.904999, 59.619999, 561, 'KZ', 'KZ-AKT', 'Shalkar', 'no', 'UATR', '', '', 'Chelkar, Аэропорт Челкар, Аэропорт Шалкар'),
	('UAMT', 'N/A', 'N/A', 50.53856112062931, 56.855797469615936, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATT', 'medium_airport', 'Aktobe Airport', 50.2458, 57.206699, 738, 'KZ', 'KZ-AKT', 'Aktobe', 'yes', 'UATT', 'AKX', '', 'Aktyubinsk Airport, Aktubinsk Airport, Аэропорт Актюбинск'),
	('UATQ', 'N/A', 'N/A', 49.12934560328722, 57.11936518549919, 229, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTMY', 'N/A', 'N/A', 45.08995056152344, 59.22053441405296, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTMO', 'N/A', 'N/A', 45.158159136772156, 59.29711773991585, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSV', 'N/A', 'N/A', 44.57948427647352, 33.39596405625343, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKFB', 'medium_airport', 'Sevastopol International Airport / Belbek Air Base', 44.691822, 33.57462, 344, 'UA', 'UA-43', 'Sevastopol', 'no', 'UKFB', 'UKS', '', 'Севастополь,Бельбек'),
	('UKKA', 'N/A', 'N/A', 44.78055138140917, 33.57303589582443, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKBF', 'N/A', 'N/A', 44.55636966973543, 33.66069093346596, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKSE', 'N/A', 'N/A', 44.548967108130455, 33.48868489265442, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTCZ', 'N/A', 'N/A', 39.84392926096916, 30.96808835864067, 774, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTBY', 'medium_airport', 'Anadolu Airport', 39.809898, 30.5194, 2588, 'TR', 'TR-26', 'Eskişehir', 'yes', 'LTBY', 'AOE', '', ''),
	('LTAS', 'medium_airport', 'Zonguldak Çaycuma Airport', 41.506401, 32.0886, 44, 'TR', 'TR-67', 'Zonguldak', 'yes', 'LTAS', 'ONQ', '', ''),
	('LTKO', 'N/A', 'N/A', 40.761246755719185, 30.00599965453148, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTAC', 'large_airport', 'Esenboğa International Airport', 40.128101, 32.995098, 3125, 'TR', 'TR-06', 'Ankara', 'yes', 'LTAC', 'ESB', '', ''),
	('LTAB', 'small_airport', 'Güvercinlik Airport', 39.9350013733, 32.7407989502, 2687, 'TR', 'TR-06', 'Ankara', 'no', 'LTAB', '', '', ''),
	('LTAD', 'medium_airport', 'Etimesgut Air Base', 39.949798584, 32.6885986328, 2653, 'TR', 'TR-06', 'Ankara', 'no', 'LTAD', 'ANK', '', ''),
	('LTCY', 'N/A', 'N/A', 40.748739279806614, 31.652036011219025, 738, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTPO', 'N/A', 'N/A', 39.56964053213596, 32.15111017227173, 846, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTBI', 'medium_airport', 'Eskişehir Air Base', 39.7840995789, 30.582099914599997, 2581, 'TR', 'TR-26', '', 'no', 'LTBI', 'ESK', '', ''),
	('LTBN', 'small_airport', 'Kütahya Airport', 39.426701, 30.016899, 3026, 'TR', 'TR-43', 'Kütahya', 'no', 'LTBN', '', '', ''),
	('LTBQ', 'medium_airport', 'Cengiz Topel Airport', 40.735001, 30.0833, 182, 'TR', 'TR-41', 'Kartepe', 'no', 'LTBQ', 'KCO', '', ''),
	('LTAE', 'medium_airport', 'Akıncı Air Base', 40.078899383499994, 32.5656013489, 2767, 'TR', 'TR-06', 'Ankara', 'no', 'LTAE', '', '', 'Akinci, Mürted, Murted'),
	('LTTE', 'N/A', 'N/A', 39.73884701728821, 32.37855613231659, 748, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTAV', 'medium_airport', 'Sivrihisar Airport', 39.451499938964844, 31.365299224853516, 3185, 'TR', 'TR-26', 'Sivrihisar', 'no', 'LTAV', '', '', ''),
	('LTIN', 'N/A', 'N/A', 39.82092093676329, 30.118146389722824, 835, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTBZ', 'small_airport', 'Zafer Airport', 39.113079, 30.128111, 3327, 'TR', 'TR-43', 'Altıntaş', 'yes', 'LTBZ', 'KZR', '', ''),
	('LTSI', 'N/A', 'N/A', 36.80818498134613, 31.369375437498093, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTAN', 'medium_airport', 'Konya Airport', 37.979, 32.561901, 3392, 'TR', 'TR-42', 'Konya', 'yes', 'LTAN', 'KYA', '', ''),
	('LTAH', 'medium_airport', 'Afyon Air Base', 38.726398, 30.601101, 3310, 'TR', 'TR-03', 'Afyonkarahisar', 'no', 'LTAH', 'AFY', '', 'Afyonkarahisar'),
	('LTBM', 'small_airport', 'Isparta Airport', 37.78512191772461, 30.59001922607422, 3250, 'TR', 'TR-32', '', 'no', 'LTBM', '', '', ''),
	('LTAI', 'large_airport', 'Antalya International Airport', 36.898701, 30.800501, 177, 'TR', 'TR-07', 'Antalya', 'yes', 'LTAI', 'AYT', '', ''),
	('LTKI', 'N/A', 'N/A', 36.736522391438484, 31.508371978998184, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTFC', 'medium_airport', 'Süleyman Demirel International Airport', 37.8554, 30.368401, 2835, 'TR', 'TR-32', 'Isparta', 'yes', 'LTFC', 'ISE', '', ''),
	('LTXE', 'small_airport', 'Karain Airport', 37.09644317626953, 30.647735595703125, 1015, 'TR', 'TR-07', 'Antalya', 'no', 'LTXE', '', '', ''),
	('LCPH', 'medium_airport', 'Paphos International Airport', 34.717999, 32.485699, 41, 'CY', 'CY-06', 'Paphos', 'yes', 'LCPH', 'PFO', '', 'Pafos, Mandria, Kouklia, Διεθνής Αερολιμένας Πάφου'),
	('LCRA', 'medium_airport', 'RAF Akrotiri', 34.590401, 32.9879, 76, 'CY', 'CY-XX', 'Akrotiri', 'no', 'LCRA', 'AKT', '', 'Royal Air Force, RAF, British'),
	('LCKY', 'N/A', 'N/A', 35.274853594601154, 33.26830521225929, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LCNC', 'N/A', 'N/A', 35.152920708060265, 33.276038467884064, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LCTS', 'N/A', 'N/A', 35.01623399555683, 33.310881704092026, 341, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LCLK', 'large_airport', 'Larnaca International Airport', 34.875099, 33.624901, 8, 'CY', 'CY-04', 'Larnaca', 'yes', 'LCLK', 'LCA', '', 'Διεθνές Aεροδρόμιο Λάρνακας'),
	('LCGK', 'N/A', 'N/A', 35.23598838597536, 33.71989578008652, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LC0A', 'N/A', 'N/A', 35.10481294244528, 33.321656584739685, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTFG', 'medium_airport', 'Gazipaşa-Alanya Airport', 36.299217, 32.300598, 92, 'TR', 'TR-07', 'Gazipaşa', 'yes', 'LTFG', 'GZP', '', ''),
	('LCEN', 'medium_airport', 'Nicosia (Lefkoşa) Ercan International Airport', 35.152337, 33.506584, 404, 'CY', 'CY-02', 'Tymbou (Kirklar)', 'yes', 'LCEN', 'ECN', '', 'Tymvou'),
	('CX00', 'N/A', 'N/A', 35.014583095908165, 33.71667668223381, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HEPS', 'medium_airport', 'Port Said International Airport', 31.279285, 32.240582, 10, 'EG', 'EG-PTS', 'Port Said', 'no', 'HEPS', 'PSD', '', 'El Gamil'),
	('HE0P', 'N/A', 'N/A', 31.043370813131332, 30.664445757865906, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HE32', 'medium_airport', 'Al Mansurah Airbase', 30.9676, 31.4342, 13, 'EG', 'EG-DK', 'Mansoura', 'no', '', '', '', ''),
	('HE22', 'closed', 'Baloza Airport', 30.999518, 32.551396, 30, 'EG', 'EG-SIN', 'Remanah', 'no', '', '', '', 'Baluza, Ramana, HE22'),
	('HE36', 'medium_airport', 'Bardawil International Airport', 30.410714, 33.15535, 1060, 'EG', 'EG-SIN', 'El Hassana', 'no', '', 'RDL', '', 'Jafjafa Well, Bir Gifgafa, HE36'),
	('HEGS', 'medium_airport', 'Jiyanklis Air Base', 30.819799, 30.1912, 49, 'EG', 'EG-BH', 'Abu El Matamir', 'no', 'HEGS', '', '', ''),
	('Z10T', 'N/A', 'N/A', 30.420646369457245, 31.671775728464127, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HE34', 'small_airport', 'Kibrit Airport', 30.246901, 32.492298, 22, 'EG', 'EG-IS', 'Kibrit', 'no', '', '', '', ''),
	('HESX', 'medium_airport', 'Sphinx International Airport', 30.108078, 30.889252, 482, 'EG', 'EG-GZ', 'Al Jiza', 'yes', 'HESX', 'SPX', '', ''),
	('HEAZ', 'medium_airport', 'Almaza Air Force Base', 30.091702, 31.359739, 246, 'EG', 'EG-C', 'El Nozha', 'no', 'HEAZ', '', '', ''),
	('HECA', 'large_airport', 'Cairo International Airport', 30.111534, 31.396694, 322, 'EG', 'EG-C', 'Cairo', 'yes', 'HECA', 'CAI', '', ''),
	('HE45', 'small_airport', 'Ras Sedr Airport', 29.603, 32.689604, 20, 'EG', 'EG-JS', 'Ras Sedr', 'no', 'HE45', '', '', ''),
	('HE42', 'medium_airport', 'Quesna Airport', 30.579, 31.1292, 33, 'EG', 'EG-MNF', 'Quesna', 'no', '', '', '', 'Quweisna, قويسنا'),
	('HE35', 'medium_airport', 'Abu Suwayr Air Base', 30.57270050048828, 32.095298767089844, 49, 'EG', 'EG-IS', 'Abu Suwayr', 'no', '', '', '', ''),
	('HEBF', 'N/A', 'N/A', 29.20841697603464, 31.016574651002884, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HE21', 'small_airport', 'Ras Shukeir Airport', 28.19694, 33.206005, 46, 'EG', 'EG-BA', 'Ras Gharib', 'no', '', '', '', 'Shokeir Cape New Airport'),
	('HE15', 'small_airport', 'Helwan Air Base', 29.8225, 31.3309, 0, 'EG', 'EG-C', 'Helwan', 'no', 'HE15', '', '', ''),
	('HE38', 'small_airport', 'Abu Rish Valley Airport', 28.968086, 31.701586, 1050, 'EG', 'EG-BNS', '', 'no', '', '', '', ''),
	('HE1F', 'N/A', 'N/A', 30.32907508313656, 32.26737633347511, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HE28', 'medium_airport', 'Gebel El Basur Air Base', 30.540501, 30.5602, 85, 'EG', 'EG-BH', 'Markaz Ad Delingat', 'no', '', '', '', ''),
	('HE43', 'N/A', 'N/A', 30.594753250479698, 31.665084958076477, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HE12', 'small_airport', 'Inshas Air Base', 30.332373, 31.448109, 115, 'EG', 'EG-SHR', 'Inshas', 'no', '', '', '', ''),
	('HE37', 'medium_airport', 'Bilbeis Air Base', 30.394899, 31.6014, 90, 'EG', 'EG-SHR', 'Bilbeis', 'no', '', '', '', 'Bilbays, Belbeis'),
	('HETR', 'small_airport', 'El Tor Airport', 28.209023, 33.645304, 52, 'EG', 'EG-JS', 'El Tor', 'no', 'HETR', 'ELT', '', 'Et Tur'),
	('HECP', 'medium_airport', 'Capital International Airport', 30.074293, 31.84296, 761, 'EG', 'EG-C', 'New Cairo', 'no', 'HECP', 'CCE', '', 'HECP'),
	('HE39', 'small_airport', 'As Salihiyah Airport', 30.7952, 32.044102, 16, 'EG', 'EG-SHR', 'El Husseiniya', 'no', '', '', '', ''),
	('HE16', 'medium_airport', 'Birma Air Base', 30.836599, 30.936001, 0, 'EG', 'EG-GH', 'Tanta', 'no', 'HE16', '', '', ''),
	('HE44', 'N/A', 'N/A', 30.59889692813158, 32.23445579409599, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HE30', 'small_airport', 'Kawm Ushim Airport', 29.543146, 30.897374, -13, 'EG', 'EG-FYM', 'Tamiya', 'no', '', '', '', ''),
	('HEIS', 'medium_airport', 'Ismailia Air Base', 30.597951, 32.235689, 43, 'EG', 'EG-IS', 'Ismailia', 'no', 'HEIS', '', '', 'RAF Ismailia, Al Ismailiya, Ismailia Airfield, القوات الجوية المصرية‎'),
	('HE29', 'N/A', 'N/A', 28.899611569941044, 33.202251344919205, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HEAJ', 'heliport', 'Maadi Military Hospital Heliport', 29.969388, 31.2463, 72, 'EG', 'EG-C', 'Maadi', 'no', '', '', 'HEAJ', ''),
	('Z10W', 'N/A', 'N/A', 30.194662883877754, 33.412729650735855, 396, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HEOC', 'small_airport', 'October Airport', 29.812707, 30.823461, 774, 'EG', 'EG-C', '6th of October', 'no', 'HEOC', '', '', ''),
	('HE20', 'small_airport', 'Gabal El Zeit Airport', 27.834596, 33.525982, 39, 'EG', 'EG-BA', 'Ras Gharib', 'no', '', '', '', 'Ras Jimsah New Airport, Jabal El Zeit'),
	('HE26', 'small_airport', 'Abu Shahat Valley Air Base', 26.55239, 33.128543, 1175, 'EG', 'EG-BA', 'Safaja', 'no', 'HE26', '', '', ''),
	('HEAT', 'medium_airport', 'Asyut International Airport', 27.050818, 31.016309, 748, 'EG', 'EG-AST', 'Asyut', 'yes', 'HEAT', 'ATZ', '', 'Asyut'),
	('HE25', 'small_airport', 'El Minya Airport', 28.090509, 30.738738, 135, 'EG', 'EG-MN', 'El Minya', 'no', 'HEMN', 'EMY', '', 'HE25'),
	('HEKG', 'small_airport', 'El Kharja Airport', 25.471483, 30.588491, 194, 'EG', 'EG-WAD', 'Kharja Oases', 'no', 'HEKG', 'UVL', '', ''),
	('HESG', 'medium_airport', 'Suhaj Mubarak International Airport', 26.339115, 31.737624, 322, 'EG', 'EG-SHG', 'Suhaj', 'yes', 'HESG', 'HMB', '', 'Mubarak International Airport'),
	('HEGO', 'small_airport', 'El Gouna Private Airport', 27.365594, 33.668461, 39, 'EG', 'EG-BA', 'El Gouna', 'no', 'HEGO', '', '', 'El Jona'),
	('HELX', 'medium_airport', 'Luxor International Airport', 25.674629, 32.700012, 276, 'EG', 'EG-LX', 'Luxor', 'yes', 'HELX', 'LXR', '', ''),
	('HESN', 'medium_airport', 'Aswan International Airport', 23.968137, 32.824445, 650, 'EG', 'EG-ASN', 'Aswan', 'yes', 'HESN', 'ASW', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HE23', 'small_airport', 'Darau Airport', 24.414914, 32.951667, 315, 'EG', 'EG-ASN', 'Darau', 'no', '', '', '', ''),
	('HE17', 'small_airport', 'Abu Rahal Well Airport', 24.998663, 33.494289, 761, 'EG', 'EG-BA', '', 'no', '', '', '', ''),
	('UKFW', 'small_airport', 'Zavodskoe Airfield', 44.916281, 34.061586, 955, 'UA', 'UA-43', 'Simferopol', 'no', 'UKFW', '', '', 'Zavodskoye Airfield, Аэродром Заводское'),
	('LTAR', 'small_airport', 'Sivas Nuri Demirağ Airport', 39.813801, 36.9035, 5239, 'TR', 'TR-58', 'Sivas', 'yes', 'LTAR', 'VAS', '', ''),
	('LTFH', 'medium_airport', 'Samsun-Çarşamba Airport', 41.26556, 36.54861, 18, 'TR', 'TR-55', 'Samsun', 'yes', 'LTFH', 'SZF', '', ''),
	('LTCM', 'medium_airport', 'Sinop Airport', 42.018313, 35.071774, 20, 'TR', 'TR-57', 'Sinop', 'yes', 'LTCM', 'NOP', '', 'SIC'),
	('LTAW', 'medium_airport', 'Tokat Airport', 40.32472, 36.39056, 1859, 'TR', 'TR-60', 'Tokat', 'yes', 'LTAW', 'TJK', '', ''),
	('LTAP', 'small_airport', 'Amasya Merzifon Airport', 40.829399, 35.521999, 1758, 'TR', 'TR-05', 'Amasya', 'yes', 'LTAP', 'MZH', '', ''),
	('LTON', 'N/A', 'N/A', 41.51171442121267, 36.1199314892292, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTAL', 'medium_airport', 'Kastamonu Airport', 41.314201, 33.795799, 3520, 'TR', 'TR-37', 'Kastamonu', 'no', 'LTAL', 'KFS', '', ''),
	('LTUN', 'N/A', 'N/A', 41.14124435931444, 37.20921993255615, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTYE', 'N/A', 'N/A', 38.31481900066137, 33.80544349551201, 928, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTCN', 'medium_airport', 'Kahramanmaraş Airport', 37.5388259888, 36.9535217285, 1723, 'TR', 'TR-46', 'Kahramanmaraş', 'yes', 'LTCN', 'KCM', '', ''),
	('LTAU', 'medium_airport', 'Kayseri Erkilet Airport', 38.770401001, 35.4953994751, 3463, 'TR', 'TR-38', 'Kayseri', 'yes', 'LTAU', 'ASR', '', ''),
	('LTDB', 'N/A', 'N/A', 37.84629676491022, 34.47363317012787, 1074, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTAG', 'medium_airport', 'İncirlik Air Base', 37.002102, 35.4259, 238, 'TR', 'TR-01', 'Sarıçam', 'no', 'LTAG', 'UAB', '', ''),
	('LTAZ', 'small_airport', 'Nevşehir Kapadokya Airport', 38.7719, 34.5345, 3100, 'TR', 'TR-50', 'Nevşehir', 'yes', 'LTAZ', 'NAV', '', ''),
	('LTAF', 'medium_airport', 'Adana Şakirpaşa Airport', 36.982201, 35.280399, 65, 'TR', 'TR-01', 'Seyhan', 'yes', 'LTAF', 'ADA', '', 'Şakirpaşa, Sakirpasa'),
	('LTAJ', 'medium_airport', 'Gaziantep International Airport', 36.947201, 37.478699, 2315, 'TR', 'TR-27', 'Gaziantep', 'yes', 'LTAJ', 'GZT', '', ''),
	('LTKY', 'N/A', 'N/A', 38.703718185424805, 35.50376906991005, 1073, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTAK', 'closed', 'İskenderun Airport', 36.5744552612, 36.1534194946, 25, 'TR', 'TR-31', 'İskenderun', 'no', '', '', '', 'Antakya, Antioch, LTAK, ISK'),
	('OLJD', 'N/A', 'N/A', 33.867716789245605, 35.552955865859985, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTDA', 'medium_airport', 'Hatay Airport', 36.362778, 36.282223, 269, 'TR', 'TR-31', 'Antakya', 'yes', 'LTDA', 'HTY', '', 'hatay,antakya,samandag'),
	('OLRA', 'medium_airport', 'Rayak Air Base', 33.850799560546875, 35.987701416015625, 3018, 'LB', 'LB-BI', 'Rayak', 'no', 'OLRA', '', '', ''),
	('OS71', 'small_airport', 'Minaq Air Base', 36.521599, 37.0415, 1613, 'SY', 'SY-HL', 'Minaq', 'no', '', '', '', 'OS71'),
	('OS64', 'medium_airport', 'An Nasiriyah Air Base', 33.91899871826172, 36.866600036621094, 2727, 'SY', 'SY-DI', '', 'no', '', '', '', 'OS64'),
	('OS58', 'small_airport', 'Hamah Air Base', 35.11819839477539, 36.71120071411133, 1014, 'SY', 'SY-HM', '', 'no', 'OS58', '', 'OS58', ''),
	('OS57', 'medium_airport', 'Abu ad Duhur Air Base', 35.732200622558594, 37.10419845581055, 846, 'SY', 'SY-HL', 'Abu ad Duhur', 'no', '', '', '', 'OS57, Abu ad Duhor'),
	('OLBA', 'large_airport', 'Beirut Rafic Hariri International Airport', 33.820899963378906, 35.488399505615234, 87, 'LB', 'LB-JL', 'Beirut', 'yes', 'OLBA', 'BEY', '', 'Chaldea, Beirut Air Base, مطار بيروت رفيق الحريري الدولي'),
	('Z19O', 'medium_airport', 'Wujah Al Hajar Air Base', 34.281226, 35.680096, 840, 'LB', 'LB-AS', 'Hamat', 'no', '', '', 'Z19O', ''),
	('OSTA', 'N/A', 'N/A', 35.974182933568954, 36.780927926301956, 311, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OLKA', 'medium_airport', 'Rene Mouawad Air Base / Kleyate Airport', 34.589298, 36.011299, 75, 'LB', 'LB-AS', 'Tripoli', 'no', 'OLKA', 'KYE', '', 'Kleyate Airport, Al Qulay''at, Qulayaat, El Qlaïaat, Ṭarābulus, مطار الرئيس الشهيد رينيه'),
	('OLBL', 'N/A', 'N/A', 34.04886681586504, 36.17632359266281, 1037, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OS65', 'small_airport', 'Shayrat Air Base', 34.490299, 36.909004, 2644, 'SY', 'SY-HI', 'Shayrat', 'no', 'OS65', '', 'OS65', ''),
	('OS70', 'medium_airport', 'Al Qusayr Air Base', 34.56909942626953, 36.57279968261719, 1768, 'SY', 'SY-HI', 'Al-Qusayr', 'no', '', '', '', 'OS70, القصير'),
	('OSAP', 'medium_airport', 'Aleppo International Airport', 36.180698, 37.2244, 1276, 'SY', 'SY-HL', 'Aleppo', 'yes', 'OSAP', 'ALP', '', 'مطار حلب الدولي'),
	('LLBG', 'large_airport', 'Ben Gurion International Airport', 32.011398, 34.8867, 135, 'IL', 'IL-M', 'Tel Aviv', 'yes', 'LLBG', 'TLV', '', ''),
	('Z17E', 'N/A', 'N/A', 32.03662130981684, 36.393434554338455, 627, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z17I', 'N/A', 'N/A', 31.785143427550793, 36.22425779700279, 763, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OJHF', 'small_airport', 'Prince Hassan Air Base', 32.160702, 37.149399, 2220, 'JO', 'JO-MA', '', 'no', 'OJHF', '', '', 'H5'),
	('OS67', 'small_airport', 'Mezzeh Airport', 33.4775, 36.2234, 2407, 'SY', 'SY-RD', 'Mezzeh', 'no', 'OS67', '', 'OS67', ''),
	('LLEK', 'medium_airport', 'Tel Nof Air Base', 31.8395004272, 34.8218002319, 193, 'IL', 'IL-M', 'Rehovot', 'no', 'LLEK', '', '', 'RAF Aqir'),
	('LL1A', 'small_airport', 'Hatzerim Northwest Airport', 31.260700225830078, 34.64039993286133, 660, 'IL', 'IL-D', 'Beersheba', 'no', '', '', 'LL1A', ''),
	('OJMF', 'small_airport', 'King Hussein Air College', 32.3564, 36.259201, 2240, 'JO', 'JO-MA', 'Mafraq', 'no', 'OJMF', 'OMF', '', ''),
	('LLJR', 'N/A', 'N/A', 31.866550482809544, 35.21748885512352, 750, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LLIB', 'medium_airport', 'Rosh Pina Airport', 32.980999, 35.571899, 884, 'IL', 'IL-Z', 'Rosh Pina', 'no', 'LLIB', 'RPN', '', 'Mahanayim Ben Yaakov Airport'),
	('HEAR', 'medium_airport', 'El Arish International Airport', 31.078565, 33.836791, 118, 'EG', 'EG-SIN', 'El Arish', 'yes', 'HEAR', 'AAC', '', ''),
	('HEGR', 'medium_airport', 'El Jora Airport', 31.078138, 34.153131, 331, 'EG', 'EG-SIN', 'El Jora', 'no', 'HEGR', 'EGH', '', ''),
	('LLMG', 'small_airport', 'Megiddo Airport', 32.5973014831543, 35.22880172729492, 200, 'IL', 'IL-Z', 'Afula', 'no', 'LLMG', '', '', ''),
	('OS60', 'small_airport', 'As Suwayda West Air Base', 32.7052001953125, 36.412899017333984, 2460, 'SY', 'SY-SU', 'As Suwayda', 'no', '', '', '', 'OS60'),
	('OJ38', 'small_airport', 'Zarqa Airport', 32.025299072265625, 36.144798278808594, 2400, 'JO', 'JO-AZ', 'Zarqa', 'no', 'OJ38', '', 'OJ38', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LLJU', 'N/A', 'N/A', 32.9058813303709, 35.190182626247406, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OJAI', 'large_airport', 'Queen Alia International Airport', 31.7226009369, 35.9931983948, 2395, 'JO', 'JO-AM', 'Amman', 'yes', 'OJAI', 'AMM', '', ''),
	('LLBS', 'small_airport', 'Beersheba (Teyman) Airport', 31.287000656128, 34.722999572754, 656, 'IL', 'IL-D', 'Beersheba', 'no', 'LLBS', 'BEV', '', ''),
	('LLDI', 'N/A', 'N/A', 31.06090072542429, 35.010749995708466, 540, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LL1B', 'small_airport', 'Arad Airport', 31.229169845581055, 35.18903732299805, 1952, 'IL', 'IL-D', 'Arad', 'no', 'LL1B', '', 'LL1B', ''),
	('LLKS', 'small_airport', 'Kiryat Shmona Airport', 33.216275, 35.59622, 386, 'IL', 'IL-Z', 'Kiryat Shmona', 'no', 'LLKS', 'KSW', '', ''),
	('LLHZ', 'small_airport', 'Herzliya Airport', 32.180599, 34.834702, 121, 'IL', 'IL-TA', 'Herzliya', 'no', 'LLHZ', '', '', 'Herzlia'),
	('LL59', 'small_airport', 'Palmahim Air Base', 31.8979, 34.6908, 32, 'IL', 'IL-M', 'Palmahim', 'no', '', '', 'LL59', 'Palmachim'),
	('OJ40', 'medium_airport', 'Muwaffaq Salti Air Base', 31.8256, 36.782001, 1706, 'JO', 'JO-AZ', 'Al Azraq', 'no', 'OJMS', '', 'OJ40', 'Shaheed Mwaffaq, Al Shaheed Muwaffaq Salti Air Base'),
	('OS73', 'closed', 'Al Al Airport', 32.7867, 35.717, 1214, 'SY', 'SY-QU', '', 'no', '', '', '', 'Pik, OS73, OS73'),
	('OS63', 'small_airport', 'Marj Ruhayyil Air Base', 33.2864990234375, 36.457401275634766, 2190, 'SY', 'SY-DI', 'Marj Ruhayyil', 'no', 'OS63', '', 'OS63', ''),
	('Z14Z', 'N/A', 'N/A', 32.092278487980366, 35.34815803170204, 670, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LLTN', 'small_airport', 'Tnuvot Ultralight Airfield', 32.308611, 34.978333, 99, 'IL', 'IL-M', 'Tnuvot', 'no', 'LLTN', '', '', ''),
	('OEGT', 'medium_airport', 'Gurayat Domestic Airport', 31.412413, 37.278898, 1672, 'SA', 'SA-12', 'Gurayat', 'yes', 'OEGT', 'URY', '', 'Guriat Airport'),
	('Z17K', 'N/A', 'N/A', 31.591448038816452, 36.934607326984406, 545, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LL62', 'N/A', 'N/A', 31.233710423111916, 34.66135114431381, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OSAS', 'N/A', 'N/A', 32.64699887484312, 36.66157767176628, 1448, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OJAM', 'medium_airport', 'Amman Civil (Marka International) Airport', 31.9727, 35.9916, 2555, 'JO', 'JO-AM', 'Amman', 'yes', 'OJAM', 'ADJ', '', 'King Abdullah Air Base'),
	('LLHS', 'small_airport', 'Hatzor Air Base', 31.7625007629, 34.727199554399995, 148, 'IL', 'IL-M', 'Hatzor', 'no', 'LLHS', '', '', 'RAF Qastina'),
	('LLSD', 'closed', 'Sde Dov Airport', 32.1147, 34.7822, 43, 'IL', 'IL-TA', 'Tel Aviv', 'no', '', '', '', 'LLSD, LLSD, SDV'),
	('OS68', 'small_airport', 'Saiqal Air Base', 33.68239974975586, 37.21390151977539, 2300, 'SY', 'SY-DI', 'Saiqal', 'no', 'OS68', '', 'OS68', 'Sayqal'),
	('OSDI', 'large_airport', 'Damascus International Airport', 33.4114990234375, 36.51559829711914, 2020, 'SY', 'SY-DI', 'Damascus', 'yes', 'OSDI', 'DAM', '', 'مطار دمشق الدولي'),
	('OS61', 'small_airport', 'Dumayr Air Base', 33.60960006713867, 36.749000549316406, 2060, 'SY', 'SY-DI', '', 'no', 'OS61', '', 'OS61', ''),
	('LLMZ', 'medium_airport', 'Bar Yehuda Airfield', 31.328199, 35.388599, -1266, 'IL', 'IL-D', 'Masada', 'no', 'LLMZ', 'MTZ', '', 'Masada Airfield'),
	('LLES', 'small_airport', 'Ein Shemer Airfield', 32.440799713134766, 35.0077018737793, 95, 'IL', 'IL-Z', 'Ein Shemer', 'no', 'LLES', '', '', 'RAF Ein Shemer, military, Eyn Shemer Airfield'),
	('LLRD', 'medium_airport', 'Ramat David Air Base', 32.66510009765625, 35.179500579833984, 185, 'IL', 'IL-Z', 'Haifa', 'no', 'LLRD', '', '', 'RAF Ramat David'),
	('OS69', 'medium_airport', 'Khalkhalah Air Base', 33.077301025390625, 36.55820846557617, 2310, 'SY', 'SY-SU', 'Buraq', 'no', '', '', '', 'OS69'),
	('LLNV', 'medium_airport', 'Nevatim Air Base', 31.208299636799996, 35.012298584, 1330, 'IL', 'IL-D', 'Beersheba', 'no', 'LLNV', 'VTM', '', 'Malhata, Be''er Sheva'),
	('LLHA', 'medium_airport', 'Haifa International Airport', 32.80939865112305, 35.04309844970703, 28, 'IL', 'IL-HA', 'Haifa', 'yes', 'LLHA', 'HFA', '', 'U Michaeli Airport, RAF Haifa'),
	('LLRS', 'N/A', 'N/A', 31.966657228767872, 34.7535802423954, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LLBO', 'small_airport', 'Habonim Airfield', 32.649854, 34.933126, 17, 'IL', 'IL-HA', 'Habonim', 'no', 'LLBO', '', '', ''),
	('LLYO', 'small_airport', 'Yotvata Airfield', 29.901111, 35.0675, 249, 'IL', 'IL-D', 'Yotvata', 'no', 'LLYT', 'YOT', '', ''),
	('HESC', 'medium_airport', 'Saint Catherine International Airport', 28.684601, 34.062681, 4402, 'EG', 'EG-JS', 'Saint Catherine', 'no', 'HESC', 'SKV', '', ''),
	('LL60', 'small_airport', 'Kzeiot Airport', 30.8594, 34.4431, 900, 'IL', 'IL-D', 'Nitzana', 'no', 'LLKZ', '', 'LL60', 'Nitzana West'),
	('LLOV', 'small_airport', 'Ovda Airport', 29.9403, 34.935799, 1492, 'IL', 'IL-D', 'Eilat', 'no', 'LLOV', 'VDA', '', 'Ovda Air Force Base'),
	('LLMI', 'N/A', 'N/A', 30.409854166209698, 34.91485431790352, 394, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LLRM', 'medium_airport', 'Ramon Air Base', 30.776100158691406, 34.66669845581055, 2126, 'IL', 'IL-D', 'Beersheba', 'no', 'LLRM', 'MIP', '', 'Kanaf 25, Matred'),
	('LLMR', 'small_airport', 'Mitzpe Ramon Airfield', 30.65060043334961, 34.80690002441406, 2556, 'IL', 'IL-D', 'Mitzpe Ramon', 'no', 'LLMR', '', '', ''),
	('OJAT', 'N/A', 'N/A', 30.370662733912468, 35.15722453594208, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HETB', 'medium_airport', 'Taba International Airport', 29.594496, 34.775752, 2425, 'EG', 'EG-JS', 'Taba', 'yes', 'HETB', 'TCP', '', ''),
	('HEDH', 'N/A', 'N/A', 28.135333880782127, 34.92491394281387, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OJAQ', 'medium_airport', 'Aqaba King Hussein International Airport', 29.611600875854492, 35.01810073852539, 175, 'JO', 'JO-AQ', 'Aqaba', 'yes', 'OJAQ', 'AQJ', '', ''),
	('OETB', 'medium_airport', 'Tabuk Airport', 28.3654, 36.6189, 2551, 'SA', 'SA-07', 'Tabuk', 'yes', 'OETB', 'TUU', '', ''),
	('Z17F', 'N/A', 'N/A', 29.82877939939499, 35.33536121249199, 833, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z26K', 'N/A', 'N/A', 28.885625191032887, 36.1600336432457, 726, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LLEY', 'small_airport', 'Ein Yahav Airfield', 30.621700286865234, 35.20330047607422, -164, 'IL', 'IL-D', 'Sapir', 'no', 'LLEY', 'EIY', '', 'Sapir Airfield'),
	('LLET', 'closed', 'Eilat Airport', 29.559945, 34.959612, 42, 'IL', 'IL-D', 'Eilat', 'no', '', '', '', 'J. Hozman, LLET, ETH'),
	('OJ39', 'N/A', 'N/A', 30.343571081757545, 36.14762529730797, 874, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OENN', 'medium_airport', 'Neom Bay Airport', 27.927598, 35.28874, 29, 'SA', 'SA-07', 'Sharma', 'yes', 'OENN', 'NUM', '', 'Neom Bay, Sharma'),
	('HESR', 'N/A', 'N/A', 27.943219654262066, 34.59495395421982, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEWJ', 'medium_airport', 'Al Wajh Domestic Airport', 26.198601, 36.476398, 66, 'SA', 'SA-07', 'Al Wajh', 'yes', 'OEWJ', 'EJH', '', 'Wedjh, Wejh');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HESH', 'large_airport', 'Sharm El Sheikh International Airport', 27.977272, 34.394717, 191, 'EG', 'EG-JS', 'Sharm El Sheikh', 'yes', 'HESH', 'SSH', '', ''),
	('HEMA', 'medium_airport', 'Marsa Alam International Airport', 25.555548, 34.59245, 213, 'EG', 'EG-BA', 'Marsa Alam', 'yes', 'HEMA', 'RMF', '', ''),
	('HEGN', 'large_airport', 'Hurghada International Airport', 27.176776, 33.796692, 32, 'EG', 'EG-BA', 'Hurghada', 'yes', 'HEGN', 'HRG', '', 'Al Ghardaqah, الغردقة'),
	('HEBR', 'N/A', 'N/A', 23.97367537021637, 35.460662841796875, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGSS', 'medium_airport', 'Sukhumi Babushara /  Vladislav Ardzinba International Airport', 42.8582, 41.128101, 53, 'GE', 'GE-AB', 'Sukhumi', 'yes', 'UGSS', 'SUI', '', 'Babushara Airport, Sukhumi Dranda, UG29, URAS'),
	('UPSS', 'N/A', 'N/A', 44.11126311868429, 40.818893015384674, 624, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOD', 'N/A', 'N/A', 44.84841898083687, 38.89726996421814, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URON', 'N/A', 'N/A', 44.7777471318841, 40.70847764611244, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URKM', 'closed', 'Maykop Airport', 44.649374, 40.096908, 679, 'RU', 'RU-AD', 'Maykop', 'no', '', '', '', 'URKM, URKM'),
	('UOOA', 'N/A', 'N/A', 44.77699812501669, 40.90025648474693, 278, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URKS', 'small_airport', 'Enem Airfield', 44.945999, 38.931999, 62, 'RU', 'RU-AD', 'Enem', 'no', 'URKS', '', '', 'Аэропорт Энем'),
	('UGIA', 'N/A', 'N/A', 44.88821893930435, 39.96415615081787, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UG23', 'N/A', 'N/A', 43.10410402715206, 40.57916074991226, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOZ', 'N/A', 'N/A', 44.80877257883549, 40.910219103097916, 262, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URKR', 'small_airport', 'Armavir Air Base', 44.968661, 41.107408, 712, 'RU', 'RU-KDA', 'Armavir', 'no', 'URKR', '', '', 'Аэродром Армавир'),
	('UNEF', 'N/A', 'N/A', 44.24895666539669, 39.91417944431305, 425, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAH', 'N/A', 'N/A', 44.97059427201748, 38.99407759308815, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEI', 'N/A', 'N/A', 44.750760085880756, 39.93414133787155, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUH', 'N/A', 'N/A', 44.64949160814285, 40.22326648235321, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUO', 'N/A', 'N/A', 44.75471165031195, 40.34082233905792, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRY', 'N/A', 'N/A', 44.96289633214474, 37.99911305308342, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGBI', 'N/A', 'N/A', 43.17763242870569, 40.323497503995895, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAGG', 'N/A', 'N/A', 44.1389425098896, 39.02895346283913, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAK', 'N/A', 'N/A', 44.70165219157934, 39.30655762553215, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUG', 'N/A', 'N/A', 44.85933858901262, 40.62990054488182, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGST', 'N/A', 'N/A', 43.38492728769779, 40.81592381000519, 684, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHP', 'N/A', 'N/A', 44.881791695952415, 40.23232161998749, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URKH', 'medium_airport', 'Khanskaya Air Base', 44.68, 40.035, 600, 'RU', 'RU-AD', 'Maykop', 'no', '', '', 'XRKH', 'Hanskaya Airport, Аэропорт Ханская'),
	('ULAB', 'N/A', 'N/A', 44.663461558520794, 40.75244441628456, 263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGBC', 'N/A', 'N/A', 43.18149983882904, 40.300691574811935, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USEV', 'N/A', 'N/A', 44.85516004264355, 38.64063397049904, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URSS', 'large_airport', 'Sochi International Airport', 43.449902, 39.9566, 89, 'RU', 'RU-KDA', 'Sochi', 'yes', 'URSS', 'AER', '', 'Adler Airport, Black Sea, Международный Аэропорт Сочи'),
	('URKG', 'medium_airport', 'Gelendzhik Airport', 44.5820926295, 38.0124807358, 98, 'RU', 'RU-KDA', 'Gelendzhik', 'yes', 'URKG', 'GDZ', '', 'Аэропорт Геленджик'),
	('URYA', 'N/A', 'N/A', 44.99107796698809, 39.59036573767662, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAFF', 'N/A', 'N/A', 44.854462668299675, 38.82177650928497, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTCE', 'medium_airport', 'Erzurum International Airport', 39.956501, 41.1702, 5763, 'TR', 'TR-25', 'Erzurum', 'yes', 'LTCE', 'ERZ', '', ''),
	('LTPU', 'N/A', 'N/A', 40.22286236286163, 39.793031215667725, 1661, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTCG', 'medium_airport', 'Trabzon International Airport', 40.995098, 39.7897, 104, 'TR', 'TR-61', 'Trabzon', 'yes', 'LTCG', 'TZX', '', ''),
	('LTCD', 'medium_airport', 'Erzincan Airport', 39.7102012634, 39.527000427199994, 3783, 'TR', 'TR-24', 'Erzincan', 'yes', 'LTCD', 'ERC', '', ''),
	('LTCB', 'medium_airport', 'Ordu–Giresun Airport', 40.966872, 38.085995, 11, 'TR', 'TR-52', 'Ordu', 'yes', 'LTCB', 'OGU', 'OGU', ''),
	('LTCS', 'medium_airport', 'Şanlıurfa GAP Airport', 37.445663, 38.895592, 2708, 'TR', 'TR-63', 'Şanlıurfa', 'yes', 'LTCS', 'GNY', '', ''),
	('LTYO', 'N/A', 'N/A', 38.01223296672106, 39.95486453175545, 773, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTAT', 'medium_airport', 'Malatya Erhaç Airport', 38.435298919699996, 38.0909996033, 2828, 'TR', 'TR-44', 'Malatya', 'yes', 'LTAT', 'MLX', '', ''),
	('OSKL', 'medium_airport', 'Qamishli Airport', 37.020599, 41.191399, 1480, 'SY', 'SY-HA', 'Qamishly', 'yes', 'OSKL', 'KAC', '', 'مطار القامشلي‎, Kamishly'),
	('LTCJ', 'medium_airport', 'Batman Airport', 37.929000854499996, 41.1166000366, 1822, 'TR', 'TR-72', 'Batman', 'yes', 'LTCJ', 'BAL', '', ''),
	('LTAO', 'small_airport', 'Malatya Tulga Airport', 38.353699, 38.253899, 3016, 'TR', 'TR-44', 'Malatya', 'yes', 'LTAO', '', '', ''),
	('LTCA', 'medium_airport', 'Elazığ Airport', 38.597974, 39.28348, 2927, 'TR', 'TR-23', 'Elazığ', 'yes', 'LTCA', 'EZS', '', ''),
	('LTCC', 'medium_airport', 'Diyarbakır Airport', 37.893902, 40.201, 2251, 'TR', 'TR-21', 'Diyarbakır', 'yes', 'LTCC', 'DIY', '', ''),
	('LTCH', 'closed', 'Şanlıurfa Airport', 37.094299, 38.847099, 1483, 'TR', 'TR-63', 'Şanlıurfa', 'yes', '', '', '', 'LTCH, LTCH, SFQ'),
	('LTCX', 'N/A', 'N/A', 38.468911573290825, 38.36536020040512, 718, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTCP', 'medium_airport', 'Adıyaman Airport', 37.7314, 38.468899, 2216, 'TR', 'TR-02', 'Adıyaman', 'yes', 'LTCP', 'ADF', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('LTCU', 'N/A', 'N/A', 38.86111121624708, 40.59249982237816, 1059, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTCR', 'medium_airport', 'Mardin Airport', 37.223300933800004, 40.6316986084, 1729, 'TR', 'TR-47', 'Mardin', 'yes', 'LTCR', 'MQM', '', ''),
	('LTDI', 'N/A', 'N/A', 39.33209706097841, 38.09242486953735, 1068, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OSDZ', 'medium_airport', 'Deir ez-Zor Airport', 35.2854, 40.175999, 700, 'SY', 'SY-DY', 'Deir ez-Zor', 'no', 'OSDZ', 'DEZ', '', 'Al Jafrah Airport, مطار دير الزور'),
	('OSHA', 'N/A', 'N/A', 34.73307017236948, 40.71129932999611, 229, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OS62', 'small_airport', 'Jirah Air Base', 36.096699, 37.936501, 1145, 'SY', 'SY-HL', 'Al Mahdum', 'no', 'OS62', '', 'OS62', ''),
	('OSPR', 'medium_airport', 'Palmyra Airport', 34.5574, 38.316898, 1322, 'SY', 'SY-HI', 'Tadmur', 'no', 'OSPR', 'PMS', '', ''),
	('OSAU', 'N/A', 'N/A', 34.52977582812309, 38.73632803559303, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OS59', 'closed', 'Al Tabqah Airbase', 35.7547, 38.566799, 1050, 'SY', 'SY-RA', 'Al Tabqah', 'no', '', '', '', 'Tabqa, OS59'),
	('OS66', 'small_airport', 'Rasm Al-Abboud Air Base', 36.187099, 37.583199, 1207, 'SY', 'SY-HL', 'Kuweires Sharqi', 'no', 'OS66', '', 'OS66', 'Kuweires, Rasin El Abboud'),
	('OSAL', 'N/A', 'N/A', 34.996710531413555, 40.42308434844017, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OS72', 'small_airport', 'Tiyas Air Base', 34.5225982666, 37.629901886, 1805, 'SY', 'SY-HI', 'Tiyas', 'no', '', '', '', 'OS72'),
	('OR1I', 'N/A', 'N/A', 33.358009569346905, 40.59714004397392, 595, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORAU', 'N/A', 'N/A', 32.83228185027838, 40.34139320254326, 725, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR1J', 'N/A', 'N/A', 32.92891513556242, 39.7457791864872, 788, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OJHR', 'small_airport', 'H4 Air Base', 32.5392, 38.195, 2250, 'JO', 'JO-MA', '', 'no', 'OJHR', '', '', ''),
	('OETR', 'medium_airport', 'Turaif Domestic Airport', 31.692188, 38.731544, 2803, 'SA', 'SA-08', 'Turaif', 'yes', 'OETR', 'TUI', '', ''),
	('OR0C', 'N/A', 'N/A', 32.40497175604105, 39.130485355854034, 908, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORAH', 'N/A', 'N/A', 32.74334482848644, 39.60229843854904, 815, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OERR', 'medium_airport', 'Arar Domestic Airport', 30.906600952148438, 41.13819885253906, 1813, 'SA', 'SA-08', 'Arar', 'yes', 'OERR', 'RAE', '', ''),
	('OESK', 'medium_airport', 'Al-Jawf Domestic Airport', 29.78510093688965, 40.099998474121094, 2261, 'SA', 'SA-12', 'Al-Jawf', 'yes', 'OESK', 'AJF', '', 'Al Jouf Airport'),
	('OEAO', 'N/A', 'N/A', 26.48305557668209, 38.11861127614975, 616, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z26D', 'N/A', 'N/A', 27.974638380110264, 37.950908839702606, 963, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OERB', 'small_airport', 'Rabigh Airport', 22.7026, 39.069801, 22, 'SA', 'SA-02', 'Rabigh', 'no', 'OERB', '', '', ''),
	('OEYN', 'medium_airport', 'Prince Abdul Mohsin bin Abdulaziz International Airport / Yanbu Airport', 24.144199, 38.0634, 26, 'SA', 'SA-03', 'Yanbu', 'yes', 'OEYN', 'YNB', '', 'Yenbo'),
	('OEMA', 'large_airport', 'Prince Mohammad Bin Abdulaziz Airport', 24.5534, 39.705101, 2151, 'SA', 'SA-03', 'Medina', 'yes', 'OEMA', 'MED', '', 'Medinah'),
	('OEPJ', 'small_airport', 'Pump Station 10 Airport', 24.1072998046875, 41.0359992980957, 2840, 'SA', 'SA-03', '', 'no', 'OEPJ', '', '', ''),
	('UGZU', 'N/A', 'N/A', 42.48801201581955, 41.81857019662857, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGSN', 'N/A', 'N/A', 42.2419223561883, 42.04689234495163, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULEK', 'N/A', 'N/A', 44.917978048324585, 44.68185469508171, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTV', 'N/A', 'N/A', 44.984352327883244, 42.11863964796066, 493, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZEL', 'N/A', 'N/A', 44.48221664875746, 43.75770226120949, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UORO', 'N/A', 'N/A', 44.50438912957907, 44.21122804284096, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOI', 'N/A', 'N/A', 44.04206816107035, 43.54897364974022, 330, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UG26', 'small_airport', 'Kutaisi West Airport', 42.248600006103516, 42.624698638916016, 384, 'GE', 'GE-IM', 'Kutaisi', 'no', '', '', '', 'UG26'),
	('UBUD', 'N/A', 'N/A', 44.82909567654133, 44.01175618171692, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOTZ', 'N/A', 'N/A', 44.23778995871544, 44.008082896471024, 240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPRK', 'N/A', 'N/A', 43.88126637786627, 44.07307952642441, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULRH', 'N/A', 'N/A', 43.94844297319651, 42.627775222063065, 822, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URMM', 'medium_airport', 'Mineralnyye Vody Airport', 44.225101470947266, 43.08190155029297, 1054, 'RU', 'RU-STA', 'Mineralnyye Vody', 'yes', 'URMM', 'MRV', '', ''),
	('UCHK', 'N/A', 'N/A', 44.22744736075401, 42.1082729101181, 620, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAC', 'N/A', 'N/A', 44.930043295025826, 41.82148531079292, 281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UALS', 'N/A', 'N/A', 44.28157668560743, 43.300790190696716, 394, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNEZ', 'N/A', 'N/A', 44.0852889418602, 43.40474009513855, 359, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UEDD', 'N/A', 'N/A', 43.99908173829317, 44.5610086619854, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMOZ', 'N/A', 'N/A', 43.78763917833567, 44.602551609277725, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULEV', 'N/A', 'N/A', 44.25814624875784, 43.23804393410683, 312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URME', 'small_airport', 'Yessentuki Airfield', 44.06, 42.829, 0, 'RU', 'RU-STA', 'Yessentuki', 'no', 'URME', '', '', 'Ессентуки'),
	('USOT', 'N/A', 'N/A', 44.054463654756546, 43.94168749451637, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKOD', 'N/A', 'N/A', 43.5267024859786, 43.998645544052124, 255, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNIN', 'N/A', 'N/A', 44.38864141702652, 43.99706035852432, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('URMN', 'medium_airport', 'Nalchik Airport', 43.512901306152344, 43.636600494384766, 1461, 'RU', 'RU-KB', 'Nalchik', 'yes', 'URMN', 'NAL', '', ''),
	('USOD', 'N/A', 'N/A', 44.19115539640188, 43.80579650402069, 252, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USOR', 'N/A', 'N/A', 44.13542781025171, 43.704417049884796, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZEN', 'N/A', 'N/A', 44.44353383034468, 43.744335025548935, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URMO', 'medium_airport', 'Vladikavkaz Beslan International Airport', 43.205101, 44.606602, 1673, 'RU', 'RU-SE', 'Beslan', 'yes', 'URMO', 'OGZ', '', 'Beslan Airport, Аэропорт Беслан, Аэропорт Владикавказ'),
	('UPYA', 'N/A', 'N/A', 43.9220704883337, 43.350233137607574, 487, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBUE', 'N/A', 'N/A', 44.8583535477519, 44.18286547064781, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UYUT', 'N/A', 'N/A', 43.97374290972948, 43.03589478135109, 746, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOTK', 'N/A', 'N/A', 44.31030582636595, 43.934228271245956, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USOM', 'N/A', 'N/A', 44.432121366262436, 44.36088144779205, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGMS', 'small_airport', 'Mestia Queen Tamar Airport', 43.053597, 42.749012, 4778, 'GE', 'GE-SZ', 'Mestia', 'yes', 'UGMS', '', '', ''),
	('UKAI', 'N/A', 'N/A', 44.844708144664764, 43.18597286939621, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGTQ', 'N/A', 'N/A', 43.10264725238085, 41.822506338357925, 754, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UGIZ', 'N/A', 'N/A', 43.07315871119499, 44.587152153253555, 604, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDYZ', 'large_airport', 'Zvartnots International Airport', 40.1473007202, 44.3959007263, 2838, 'AM', 'AM-ER', 'Yerevan', 'yes', 'UDYZ', 'EVN', '', 'UGEE, Erevan Airport, Erivan Airport, Аэропорт Звартноц, Аэропорт Ереван'),
	('UGSE', 'N/A', 'N/A', 40.08376467972994, 43.87453347444534, 939, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTCO', 'medium_airport', 'Ağrı Airport', 39.655642, 43.025742, 5462, 'TR', 'TR-04', 'Ağrı', 'yes', 'LTCO', 'AJI', '', ''),
	('UG22', 'medium_airport', 'Tbilisi Marneuli Air Base', 41.459202, 44.783199, 1305, 'GE', 'GE-KK', 'Tbilisi', 'no', '', '', '', 'UG22'),
	('UGSB', 'medium_airport', 'Batumi International Airport', 41.610298, 41.599701, 105, 'GE', 'GE-AJ', 'Batumi', 'yes', 'UGSB', 'BUS', '', 'Batumi, batumi, Black Sea'),
	('UDSG', 'medium_airport', 'Shirak International Airport', 40.750401, 43.859299, 5000, 'AM', 'AM-SH', 'Gyumri', 'yes', 'UDSG', 'LWN', '', 'UGEL'),
	('UGMT', 'N/A', 'N/A', 41.92131657153368, 44.71392586827278, 512, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDYE', 'medium_airport', 'Erebuni Airport', 40.122100830099996, 44.465000152600005, 2948, 'AM', 'AM-ER', 'Yerevan', 'no', 'UDYE', '', '', 'Аэропорт Эребуни'),
	('UGTB', 'large_airport', 'Tbilisi International Airport', 41.669201, 44.9547, 1624, 'GE', 'GE-TB', 'Tbilisi', 'yes', 'UGTB', 'TBS', '', 'თბილისის საერთაშორისო აეროპორტი'),
	('UG24', 'medium_airport', 'Tbilisi Soganlug Air Base', 41.649200439453125, 44.9364013671875, 1250, 'GE', 'GE-TB', 'Tbilisi', 'no', '', '', '', 'UG24'),
	('UGMM', 'closed', 'Mukhrani Airport', 41.916, 44.566, 1807, 'GE', 'GE-MM', 'Mukhrani', 'no', '', '', '', 'Muhrani Airport, UGMM'),
	('LTCF', 'medium_airport', 'Kars Airport', 40.562198638916016, 43.1150016784668, 5889, 'TR', 'TR-36', 'Kars', 'yes', 'LTCF', 'KSY', '', ''),
	('UD21', 'small_airport', 'Arzni Airport', 40.294102, 44.564602, 4416, 'AM', 'AM-KT', 'Nor Hachn', 'no', 'UD21', '', 'UD21', 'Yerevan Yeghvard'),
	('UDLS', 'small_airport', 'Stepanavan Airport', 41.048500061, 44.337200164799995, 4836, 'AM', 'AM-LO', 'Stepanavan', 'no', 'UDLS', '', '', 'Kalinino Airport'),
	('LTCT', 'medium_airport', 'Iğdır Airport', 39.976627, 43.876648, 3101, 'TR', 'TR-76', 'Iğdır', 'yes', 'LTCT', 'IGD', '', ''),
	('OITU', 'medium_airport', 'Maku National Airport', 39.191293, 44.928505, 3136, 'IR', 'IR-04', 'Showt', 'no', 'OITU', 'IMQ', '', 'Makou'),
	('LTCL', 'medium_airport', 'Siirt Airport', 37.97890090942383, 41.84040069580078, 2001, 'TR', 'TR-56', 'Siirt', 'no', 'LTCL', 'SXZ', '', ''),
	('OR0M', 'N/A', 'N/A', 37.09892235696316, 43.26780393719673, 1044, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTCK', 'medium_airport', 'Muş Airport', 38.747798919677734, 41.66120147705078, 4157, 'TR', 'TR-49', 'Muş', 'yes', 'LTCK', 'MSR', '', ''),
	('OITK', 'small_airport', 'Khoy Airport', 38.4275016784668, 44.97359848022461, 3981, 'IR', 'IR-04', 'Khoy', 'no', 'OITK', 'KHY', '', ''),
	('ORAY', 'N/A', 'N/A', 36.7335444688797, 43.52377250790596, 418, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTCI', 'medium_airport', 'Van Ferit Melen Airport', 38.46820068359375, 43.332298278808594, 5480, 'TR', 'TR-65', 'Van', 'yes', 'LTCI', 'VAN', '', ''),
	('LTMU', 'N/A', 'N/A', 38.786072731018066, 41.47055849432945, 1250, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OISW', 'N/A', 'N/A', 39.191029630601406, 44.92932915687561, 954, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTTA', 'N/A', 'N/A', 38.541831113398075, 42.33220115303993, 1751, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OSAQ', 'N/A', 'N/A', 37.02885501086712, 41.564186811447144, 413, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LTCV', 'medium_airport', 'Şırnak Şerafettin Elçi Airport', 37.3647, 42.0582, 2038, 'TR', 'TR-73', 'Şırnak', 'yes', 'LTCV', 'NKT', '', ''),
	('OSAJ', 'N/A', 'N/A', 36.89197517931461, 41.82883948087692, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z16L', 'N/A', 'N/A', 33.801842741668224, 41.447553634643555, 404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORAA', 'medium_airport', 'Al Asad Air Base', 33.7855987549, 42.4412002563, 618, 'IQ', 'IQ-AN', 'Hīt', 'no', 'ORAA', 'IQA', '', 'Qadisiyah Airbase'),
	('ORHA', 'N/A', 'N/A', 34.07210312783718, 42.335804253816605, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR0W', 'N/A', 'N/A', 34.93475016206503, 44.48423534631729, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORBD', 'medium_airport', 'Balad Southeast Airport / Joint Base Balad', 33.940201, 44.361599, 161, 'IQ', 'IQ-SD', 'Al Bakr', 'no', 'ORBD', '', 'OR9', 'Balad Southeast Air Base,Al-Bakir Air Base, Camp Anaconda, قاعدة البكر الجوية'),
	('ORTI', 'medium_airport', 'Al Taji Army Air Field', 33.52389907836914, 44.25669860839844, 121, 'IQ', 'IQ-BG', 'Taji', 'no', 'ORTI', '', '', ''),
	('OR0E', 'N/A', 'N/A', 34.53535985201597, 43.67739021778107, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORKK', 'medium_airport', 'Kirkuk Air Base', 35.469501, 44.3489, 1061, 'IQ', 'IQ-TS', 'Kirkuk', 'no', 'ORKK', 'KIK', '', ''),
	('ORAQ', 'N/A', 'N/A', 35.757077895104885, 43.26476812362671, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OR1F', 'N/A', 'N/A', 35.51271624863148, 44.284260123968124, 299, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORXE', 'N/A', 'N/A', 36.53181552886963, 43.585790544748306, 339, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR1E', 'N/A', 'N/A', 35.859667025506496, 42.142039239406586, 286, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR1C', 'N/A', 'N/A', 35.13494487851858, 43.72573435306549, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR1K', 'N/A', 'N/A', 34.60833705961704, 43.7758594751358, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORS2', 'N/A', 'N/A', 34.67421445995569, 43.544360250234604, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR33', 'heliport', 'Central Cascades Fire and EMS Heliport', 43.5267982483, -121.947998047, 4750, 'US', 'US-OR', 'Crescent Lake Junction', 'no', 'OR33', '', 'OR33', ''),
	('ORBR', 'small_airport', 'Bashur Airfield', 36.5336990356, 44.3399009705, 2079, 'IQ', 'IQ-AR', 'Bashur', 'no', 'ORBR', '', '', ''),
	('ORBM', 'medium_airport', 'Mosul International Airport', 36.305801, 43.1474, 719, 'IQ', 'IQ-NI', 'Mosul', 'no', 'ORBM', 'OSM', '', 'OSB'),
	('ORER', 'medium_airport', 'Erbil International Airport', 36.23759841918945, 43.963199615478516, 1341, 'IQ', 'IQ-AR', 'Arbil', 'yes', 'ORER', 'EBL', '', 'Irbil, Kurdistan, فروکه‌خانه‌ی نيوده‌وله‌تی هه‌ولير'),
	('OR0L', 'N/A', 'N/A', 34.16359830647707, 44.74732160568237, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORQW', 'medium_airport', 'Qayyarah West Airport', 35.7672, 43.125099, 749, 'IQ', 'IQ-NI', 'Qayyarah', 'no', 'ORQW', 'RQW', '', ''),
	('OR0T', 'N/A', 'N/A', 36.49052996188402, 43.34668189287186, 613, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR0H', 'N/A', 'N/A', 35.138707011938095, 44.133795350790024, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR0O', 'N/A', 'N/A', 34.91531353443861, 43.39315429329872, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORKI', 'N/A', 'N/A', 34.44533854722977, 44.59497928619385, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR0F', 'N/A', 'N/A', 36.28315061330795, 42.403051257133484, 301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORAT', 'medium_airport', 'Al Taqaddum Air Base', 33.33810043335, 43.597099304199, 275, 'IQ', 'IQ-AN', 'Al Habbaniyah', 'no', 'ORAT', 'TQD', '', 'Tammuz Airbase, Al Fallujah, Greene Field'),
	('ORAW', 'N/A', 'N/A', 33.159349747002125, 44.77511867880821, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR0S', 'N/A', 'N/A', 33.30645650625229, 44.24136534333229, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORT4', 'N/A', 'N/A', 33.52363530546427, 44.2568439245224, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORNI', 'medium_airport', 'Al Najaf International Airport', 31.989853, 44.404317, 103, 'IQ', 'IQ-NA', 'Najaf', 'yes', 'ORNI', 'NJF', '', ''),
	('ORAF', 'N/A', 'N/A', 33.25402032583952, 43.59320551156998, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR0I', 'N/A', 'N/A', 32.92894799262285, 44.62984576821327, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR0A', 'N/A', 'N/A', 33.59163701534271, 44.59498152136803, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORYA', 'N/A', 'N/A', 31.417036056518555, 43.18382039666176, 270, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z15N', 'N/A', 'N/A', 32.75471940636635, 44.12883996963501, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR0P', 'N/A', 'N/A', 32.970174215734005, 44.2707896232605, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR1A', 'N/A', 'N/A', 33.27894274145365, 44.494248032569885, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORHI', 'N/A', 'N/A', 32.40982588380575, 41.94864481687546, 366, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORBI', 'large_airport', 'Baghdad International Airport / New Al Muthana Air Base', 33.262501, 44.2346, 114, 'IQ', 'IQ-BG', 'Baghdad', 'yes', 'ORBI', 'BGW', '', 'SDA, BIAP, VBC, ORBS, Camp Sather, Saddam International Airport, Al Anbar Airport'),
	('OR0Q', 'N/A', 'N/A', 33.374898098409176, 43.563062846660614, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEUA', 'N/A', 'N/A', 30.34333035349846, 42.21211418509483, 447, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OERF', 'medium_airport', 'Rafha Domestic Airport', 29.626399993896484, 43.4906005859375, 1474, 'SA', 'SA-08', 'Rafha', 'yes', 'OERF', 'RAH', '', ''),
	('ORAB', 'N/A', 'N/A', 30.914377346634865, 43.67405220866203, 338, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEAR', 'N/A', 'N/A', 30.220160633325577, 42.30819493532181, 439, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORAS', 'N/A', 'N/A', 30.647822096943855, 44.56806153059006, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEGS', 'medium_airport', 'Gassim Airport', 26.302799, 43.774399, 2126, 'SA', 'SA-05', 'Buraidah', 'yes', 'OEGS', 'ELQ', '', ''),
	('OEHL', 'medium_airport', 'Ha''il Airport', 27.437901, 41.686298, 3331, 'SA', 'SA-06', 'Ha''il', 'yes', 'OEHL', 'HAS', '', 'Hail Airport'),
	('OESS', 'small_airport', 'Soltana Al-Ghat Airport', 26.000097, 44.880062, 2192, 'SA', 'SA-01', 'Al Ghat', 'no', 'OESS', '', '', ''),
	('OEAM', 'N/A', 'N/A', 25.344759598374367, 44.06487688422203, 742, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEPF', 'small_airport', 'Pump Station 6 Airport', 24.71030044555664, 44.964500427246094, 2530, 'SA', 'SA-01', '', 'no', 'OEPF', '', '', ''),
	('OEPI', 'small_airport', 'Pump Station 9 Airport', 24.276100158691406, 42.143699645996094, 3000, 'SA', 'SA-01', '', 'no', 'OEPI', '', '', ''),
	('OEDM', 'medium_airport', 'King Salman Abdulaziz Airport', 24.4499, 44.121201, 3026, 'SA', 'SA-01', 'Dawadmi', 'yes', 'OEDM', 'DWD', '', 'Al Dawadmi Airport'),
	('UKIL', 'N/A', 'N/A', 43.18887021392584, 46.86697706580162, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URMS', 'medium_airport', 'Magas Airport', 43.323268, 45.012568, 1165, 'RU', 'RU-IN', 'Sunzha', 'yes', 'URMS', 'IGT', '', 'Sleptsovskaya Airport, Ingushetiya Airport, Ingushetia Airport, Аэропорт Магас, Аэропорт Слепцовская, Аэропорт Ингушетия, Nazran'),
	('UKYA', 'N/A', 'N/A', 43.01262728869915, 47.43397414684296, -19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKHU', 'N/A', 'N/A', 42.57037930190563, 46.7290735244751, 1800, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URMG', 'medium_airport', 'Khankala Air Base', 43.2981, 45.7841, 548, 'RU', 'RU-CE', 'Grozny', 'no', 'XRMU', '', '', 'Khankala, Hankala, Ханкала'),
	('URML', 'medium_airport', 'Makhachkala Uytash International Airport', 42.816799, 47.652302, 12, 'RU', 'RU-DA', 'Makhachkala', 'yes', 'URML', 'MCX', '', ''),
	('UBFI', 'N/A', 'N/A', 39.59475137293339, 47.19592407345772, 370, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UBKY', 'N/A', 'N/A', 40.120555870234966, 48.14585343003273, -12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UG25', 'small_airport', 'Telavi Kurdgelauri Airport', 41.9534, 45.507999, 1496, 'GE', 'GE-KA', 'Telavi', 'no', 'UGGT', '', '', 'UG25'),
	('UBAA', 'N/A', 'N/A', 39.97574642300606, 46.99935883283615, 297, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBAG', 'N/A', 'N/A', 40.66433686763048, 47.514973282814026, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEE', 'small_airport', 'Yevlakh Airport', 40.631901, 47.141899, 49, 'AZ', 'AZ-YE', 'Yevlakh', 'no', 'UBEE', 'YLV', '', 'Аэропорт Евлах'),
	('UGLA', 'N/A', 'N/A', 41.81333251297474, 46.23206779360771, 350, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UG27', 'medium_airport', 'Vaziani Air Base', 41.62799835205078, 45.030799865722656, 1460, 'GE', 'GE-TB', 'Tbilisi', 'no', '', '', '', 'UG27'),
	('UGTS', 'N/A', 'N/A', 41.63449186831713, 46.013001054525375, 226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBSH', 'N/A', 'N/A', 41.136354357004166, 47.15978264808655, 328, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OITP', 'small_airport', 'Parsabad-Moghan Airport', 39.6036, 47.8815, 251, 'IR', 'IR-24', 'Parsabad', 'yes', 'OITP', 'PFQ', '', ''),
	('UGEJ', 'closed', 'Jermuk Airport', 39.823666, 45.67327, 0, 'AM', 'AM-VD', 'Jermuk', 'no', '', '', '', 'Аэропорт Джермук, UGEJ'),
	('UBBA', 'small_airport', 'Akstafa Airport', 41.123616, 45.420793, 1085, 'AZ', 'AZ-AGA', 'Akstafa', 'no', 'UBBA', '', '', 'Aghstafa Airport, Agstafa Airport, UB17'),
	('UG11', 'medium_airport', 'Dollyar Air Base', 40.8876, 45.957001, 1099, 'AZ', 'AZ-SKR', 'Dollyar', 'no', '', '', 'UB11', 'Dallyar Air Base, Аэродром Долляр, Аэродром Далляр'),
	('UGSH', 'N/A', 'N/A', 39.45072412490845, 46.346088498830795, 1493, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBGO', 'N/A', 'N/A', 40.742958784103394, 46.857133358716965, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBBQ', 'medium_airport', 'Gabala International Airport', 40.808617, 47.725389, 935, 'AZ', 'AZ-QAB', 'Gabala', 'yes', 'UBBQ', 'GBB', '', 'Qəbələ, Qabala'),
	('UBAD', 'N/A', 'N/A', 40.02432759851217, 47.448999881744385, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UG28', 'medium_airport', 'Bolshiye Shiraki Air Base', 41.37950134277344, 46.3672981262207, 1795, 'GE', 'GE-KA', 'Bolshiye Shiraki', 'no', '', '', '', 'UG28'),
	('UGMO', 'N/A', 'N/A', 40.92619087547064, 45.46318665146828, 685, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBBY', 'medium_airport', 'Zaqatala International Airport', 41.557823, 46.669464, 1279, 'AZ', 'AZ-ZAQ', 'Zaqatala', 'no', 'UBBY', 'ZTU', '', 'Zakataly Airport'),
	('UBGE', 'N/A', 'N/A', 40.52916057407856, 47.82948195934296, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBBG', 'medium_airport', 'Ganja International Airport', 40.737701, 46.3176, 1083, 'AZ', 'AZ-GA', 'Ganja', 'yes', 'UBBG', 'GNJ', '', 'Gyandzha Airport, Аэропорт Гянджа'),
	('UGBR', 'N/A', 'N/A', 39.54705532640219, 46.05675593018532, 1858, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UB13', 'medium_airport', 'Khojaly Airport', 39.901402, 46.786999, 2001, 'AZ', 'AZ-XCI', 'Khojaly', 'no', 'UBBS', '', 'UB13', 'UB13, Khankendi, Stepanakert, Khojaly'),
	('UBNA', 'N/A', 'N/A', 40.51657699048519, 46.828802078962326, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UB14', 'medium_airport', 'Kyurdamir Air Base', 40.27360153198242, 48.16360092163086, -35, 'AZ', 'AZ-KUR', 'Kyurdamir', 'no', '', '', '', ''),
	('UBBN', 'medium_airport', 'Nakhchivan Airport', 39.18880081176758, 45.45840072631836, 2863, 'AZ', 'AZ-NX', 'Nakhchivan', 'yes', 'UBBN', 'NAJ', '', 'Nakhichevan Airport, Аэропорт Нахичевань, UB15'),
	('OISB', 'N/A', 'N/A', 37.94086776673794, 47.66750290989876, 1720, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIMA', 'N/A', 'N/A', 37.11027882993221, 46.06423705816269, 1279, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OITR', 'medium_airport', 'Urmia Airport', 37.6680984497, 45.0686988831, 4343, 'IR', 'IR-04', 'Urmia', 'yes', 'OITR', 'OMH', '', ''),
	('OITM', 'small_airport', 'Sahand Airport', 37.347999572753906, 46.127899169921875, 4396, 'IR', 'IR-03', 'Maragheh', 'no', 'OITM', 'ACP', '', 'Maragheh Highway Strip'),
	('OITT', 'medium_airport', 'Tabriz International Airport', 38.1339, 46.235001, 4459, 'IR', 'IR-03', 'Tabriz', 'yes', 'OITT', 'TBZ', '', 'IRIAF'),
	('OITZ', 'medium_airport', 'Zanjan Airport', 36.7737007141, 48.3594017029, 5382, 'IR', 'IR-19', 'Zanjan', 'no', 'OITZ', 'JWN', '', ''),
	('OISH', 'N/A', 'N/A', 38.071247935295105, 45.72061970829964, 1280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OITL', 'medium_airport', 'Ardabil Airport', 38.3256988525, 48.4244003296, 4315, 'IR', 'IR-24', 'Ardabil', 'yes', 'OITL', 'ADU', '', ''),
	('OIPI', 'N/A', 'N/A', 36.72719802707434, 45.15654355287552, 1462, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIHS', 'medium_airport', 'Nojeh Air Base', 35.211601, 48.6534, 5609, 'IR', 'IR-13', 'Amirabad', 'no', 'OIHS', 'NUJ', '', 'Hamadan Air Base, Shahrokhi, Noje'),
	('Z17C', 'N/A', 'N/A', 33.934599347412586, 45.10139241814613, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORHL', 'N/A', 'N/A', 35.40363047271967, 45.63217297196388, 614, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIHH', 'medium_airport', 'Hamadan Airport', 34.869202, 48.552502, 5755, 'IR', 'IR-13', 'Hamadan', 'yes', 'OIHH', 'HDM', '', ''),
	('OICS', 'medium_airport', 'Sanandaj Airport', 35.24589920043945, 47.00920104980469, 4522, 'IR', 'IR-12', '', 'yes', 'OICS', 'SDG', '', ''),
	('OITS', 'small_airport', 'Saghez Airport', 36.211407, 46.313124, 4880, 'IR', 'IR-12', 'Saghez', 'no', 'OITS', '', '', 'Saqqez'),
	('Z14P', 'N/A', 'N/A', 35.23435693234205, 48.60089600086212, 1724, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OICC', 'medium_airport', 'Shahid Ashrafi Esfahani Airport', 34.3459014893, 47.1581001282, 4307, 'IR', 'IR-05', 'Kermanshah', 'yes', 'OICC', 'KSH', '', ''),
	('Z14N', 'N/A', 'N/A', 34.0685760229826, 46.59878835082054, 1326, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIKA', 'N/A', 'N/A', 34.3235082551837, 46.76986679434776, 1349, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORSU', 'medium_airport', 'Sulaymaniyah International Airport', 35.5617485046, 45.316738128699996, 2494, 'IQ', 'IQ-SW', 'Sulaymaniyah', 'yes', 'ORSU', 'ISU', 'OSO', 'Kurd, Kurdish, Kurdistan'),
	('ORAL', 'N/A', 'N/A', 32.123494036495686, 45.78557386994362, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z15I', 'N/A', 'N/A', 31.456675082445145, 47.28920057415962, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORAM', 'small_airport', 'Oram Airport', -9.632916666669997, 148.048055556, 3500, 'PG', 'PG-CPM', '', 'no', 'AYYO', 'RAX', 'ORAM', ''),
	('OICK', 'medium_airport', 'Khoram Abad Airport', 33.43539810180664, 48.282901763916016, 3782, 'IR', 'IR-15', '', 'yes', 'OICK', 'KHD', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OR0V', 'N/A', 'N/A', 32.1173594892025, 46.382063180208206, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORAN', 'N/A', 'N/A', 32.503491304814816, 45.33221885561943, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIMO', 'N/A', 'N/A', 31.572965271770954, 48.67093876004219, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIAD', 'medium_airport', 'Dezful Airport', 32.434399, 48.397598, 474, 'IR', 'IR-06', 'Dezful', 'yes', 'OIAD', 'DEF', '', 'Vahdati Air Base'),
	('OICI', 'medium_airport', 'Ilam Airport', 33.58660125732422, 46.40480041503906, 4404, 'IR', 'IR-16', 'Ilam', 'no', 'OICI', 'IIL', '', ''),
	('ORAI', 'N/A', 'N/A', 31.835631988942623, 46.30455985665321, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR1B', 'N/A', 'N/A', 32.48211611062288, 45.75707092881203, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z14S', 'N/A', 'N/A', 32.40265432745218, 48.18239629268646, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIAA', 'medium_airport', 'Abadan Airport', 30.367887, 48.230075, 10, 'IR', 'IR-06', 'Abadan', 'yes', 'OIAA', 'ABD', '', ''),
	('ORMM', 'medium_airport', 'Basra International Airport', 30.549101, 47.662102, 11, 'IQ', 'IQ-BA', 'Basra', 'yes', 'ORMM', 'BSR', '', 'Basrah'),
	('OKDI', 'small_airport', 'Udairi Army Air Field', 29.697599411010742, 47.43600082397461, 430, 'KW', 'KW-JA', 'Camp Buehring', 'no', 'OKDI', '', '', ''),
	('OEPA', 'medium_airport', 'Al Qaisumah/Hafr Al Batin Airport', 28.335199, 46.125099, 1174, 'SA', 'SA-04', 'Qaisumah', 'yes', 'OEPA', 'AQI', '', 'Qaisumah Domestic Airport'),
	('ORTL', 'medium_airport', 'Ali Air Base', 30.935801, 46.090099, 20, 'IQ', 'IQ-DQ', 'Nasiriyah', 'no', 'ORTL', 'XNH', '', 'Tallil Air Base, Camp Adder'),
	('OI1A', 'N/A', 'N/A', 30.66427443176508, 48.64511355757713, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORAZ', 'N/A', 'N/A', 30.226730704307556, 47.476331144571304, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OKAJ', 'medium_airport', 'Ahmed Al Jaber Air Base', 28.9347991943, 47.791900634799994, 409, 'KW', 'KW-AH', 'Ahmed Al Jaber AB', 'no', 'OKAJ', 'XIJ', '', ''),
	('OR1M', 'N/A', 'N/A', 30.134389959275723, 47.650605887174606, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OR0U', 'N/A', 'N/A', 30.354008898139, 47.10812821984291, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OKAS', 'medium_airport', 'Ali Al Salem Air Base', 29.344632, 47.511215, 472, 'KW', 'KW-JA', 'Al Damaikhi', 'no', 'OKAS', '', '', 'The Rock'),
	('ORSQ', 'N/A', 'N/A', 30.54563630372286, 46.604114323854446, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ORUQ', 'closed', 'Umm Qasr Airport', 30.021374, 47.921851, 0, 'IQ', 'IQ-BA', 'Umm Qasr', 'no', '', '', '', 'ORUQ, ORUQ'),
	('OKBK', 'large_airport', 'Kuwait International Airport', 29.226601, 47.968899, 206, 'KW', 'KW-FA', 'Kuwait City', 'yes', 'OKKK', 'KWI', '', 'OKBK, Al Mubarak Air Base'),
	('OE45', 'small_airport', 'Aramco Ras Khafji Airport', 28.3899, 48.516499, 50, 'SA', 'SA-04', 'Khafji', 'no', 'OE45', '', 'OE45', ''),
	('OE54', 'small_airport', 'Hafar Al Atk Airport', 25.99340057373047, 46.53670120239258, 1970, 'SA', 'SA-01', '', 'no', 'OE54', '', 'OE54', ''),
	('Z26G', 'N/A', 'N/A', 27.646396346390247, 47.9930005967617, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OERM', 'medium_airport', 'Ras Mishab Airport', 28.079599, 48.611, 13, 'SA', 'SA-04', 'Al Mishab', 'no', 'OERM', '', '', ''),
	('OEPK', 'small_airport', 'Ipsa 3 Airport', 27.954201, 46.742599, 1000, 'SA', 'SA-04', 'Hafar al Batin', 'no', 'OEPK', '', '', ''),
	('OEKK', 'medium_airport', 'King Khaled Military City Airport', 27.9009, 45.528198, 1352, 'SA', 'SA-04', 'King Khaled Military City', 'yes', 'OEKK', 'KMC', '', ''),
	('OE52', 'small_airport', 'Al Artawiyah South Airport', 26.611600875854492, 45.321998596191406, 1900, 'SA', 'SA-01', '', 'no', 'OE52', '', 'OE52', ''),
	('OEMU', 'N/A', 'N/A', 27.465609088540077, 47.944583147764206, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OERK', 'large_airport', 'King Khaled International Airport', 24.9576, 46.698799, 2049, 'SA', 'SA-01', 'Riyadh', 'yes', 'OERK', 'RUH', '', 'Riyad'),
	('OERA', 'N/A', 'N/A', 24.620764665305614, 46.91850855946541, 560, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OETH', 'small_airport', 'Thumamah Airport', 25.212999, 46.640999, 1870, 'SA', 'SA-01', '', 'no', 'OETH', '', 'OE44', ''),
	('OE51', 'small_airport', 'Al Kharj East Airport', 24.05150032043457, 47.65420150756836, 1650, 'SA', 'SA-01', '', 'no', 'OE51', '', 'OE51', ''),
	('OE53', 'small_airport', 'King Abdul Aziz Military Academy Airport', 24.942100524902344, 46.39120101928711, 2420, 'SA', 'SA-01', '', 'no', 'OE53', '', 'OE53', ''),
	('OE47', 'small_airport', 'Al Kharj Airport', 24.060722, 47.410805, 1500, 'SA', 'SA-01', 'Al Kharj', 'no', 'OEKJ', '', 'OE47', ''),
	('OEHW', 'small_airport', 'Hawtah Airport', 22.9678, 46.899502, 2091, 'SA', 'SA-01', 'Hawtah', 'no', 'OEHW', '', '', ''),
	('OEPC', 'small_airport', 'Pump Station 3 Airport', 25.1745, 47.4884, 1740, 'SA', 'SA-04', 'Wasea', 'no', 'OEPC', '', '', ''),
	('OEKN', 'N/A', 'N/A', 25.265277698636055, 48.178333193063736, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEKR', 'small_airport', 'Old Khurais Airport', 25.069599, 48.194901, 1300, 'SA', 'SA-04', 'Khurais oil field', 'no', 'OEKR', '', '', ''),
	('OERY', 'medium_airport', 'Riyadh Air Base', 24.725725, 46.722336, 2082, 'SA', 'SA-01', 'Riyadh', 'no', 'OERY', '', '', 'Riyad, XXN'),
	('OEPS', 'medium_airport', 'Prince Sultan Air Base', 24.0627, 47.580502, 1651, 'SA', 'SA-01', '', 'no', 'OEPS', 'AKH', '', 'OEKH'),
	('OERI', 'N/A', 'N/A', 24.66450311243534, 46.92513093352318, 595, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATE', 'medium_airport', 'Aktau Airport', 43.860093, 51.09086, 73, 'KZ', 'KZ-MAN', 'Aktau', 'yes', 'UATE', 'SCO', '', 'Akshukyr'),
	('UBGY', 'N/A', 'N/A', 40.350969694554806, 49.66983273625374, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBHA', 'N/A', 'N/A', 40.031987987458706, 48.90221893787384, -15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBXA', 'N/A', 'N/A', 41.44887160509825, 48.83436664938927, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBBB', 'large_airport', 'Heydar Aliyev International Airport', 40.467498779296875, 50.04669952392578, 10, 'AZ', 'AZ-BA', 'Baku', 'yes', 'UBBB', 'GYD', '', 'BAK, Bina International Airport, Heydər Əliyev adına beynəlxalq hava limanı'),
	('UBQA', 'N/A', 'N/A', 39.8319049179554, 48.96682396531105, -13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UB18', 'medium_airport', 'Baku Kala Air Base', 40.40660095214844, 50.200199127197266, 40, 'AZ', 'AZ-BA', 'Baku', 'no', '', '', '', 'UB18'),
	('UBSU', 'N/A', 'N/A', 40.80797653645277, 49.42886084318161, -15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UBQO', 'N/A', 'N/A', 40.13052027672529, 49.455490708351135, -11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBZA', 'N/A', 'N/A', 40.49512065947056, 49.97697740793228, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UB12', 'medium_airport', 'Nasosnaya Air Base', 40.591599, 49.5574, -13, 'AZ', 'AZ-SM', 'Nasosnaya', 'no', 'UBBI', '', 'UB12', 'UB12'),
	('UBSA', 'N/A', 'N/A', 39.65164504945278, 48.99264335632324, -20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBQB', 'N/A', 'N/A', 39.851936995983124, 49.34617504477501, -21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OINN', 'medium_airport', 'Nowshahr Airport', 36.664286, 51.46273, -61, 'IR', 'IR-02', 'Nowshahr', 'yes', 'OINN', 'NSH', '', 'Noshahr'),
	('OINJ', 'small_airport', 'Bishe Kola Air Base', 36.655102, 52.349602, -79, 'IR', 'IR-02', 'Amol', 'no', 'OINJ', 'BSM', '', ''),
	('UBBL', 'small_airport', 'Lankaran International Airport', 38.757919, 48.807042, 30, 'AZ', 'AZ-LA', 'Lankaran', 'yes', 'UBBL', 'LLK', '', 'UB10, Lenkoran'),
	('OINR', 'medium_airport', 'Ramsar Airport', 36.90701, 50.687316, -70, 'IR', 'IR-02', 'Ramsar', 'yes', 'OINR', 'RZR', '', ''),
	('UBBO', 'N/A', 'N/A', 39.00613624602556, 48.80400136113167, -26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIGG', 'medium_airport', 'Sardar-e-Jangal Airport', 37.323333, 49.617778, -40, 'IR', 'IR-01', 'Rasht', 'yes', 'OIGG', 'RAS', '', ''),
	('OIIK', 'medium_airport', 'Qazvin Airport', 36.240101, 50.0471, 4184, 'IR', 'IR-26', 'Qazvin', 'no', 'OIIK', 'GZW', '', 'Ghazvin'),
	('OI14', 'N/A', 'N/A', 35.943450182676315, 50.08256837725639, 1171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIID', 'small_airport', 'Doshan Tappeh Air Base', 35.702999, 51.475101, 4046, 'IR', 'IR-23', 'Tehran', 'no', 'OIID', '', '', ''),
	('OIIA', 'small_airport', 'Qazvin Azadi Airport', 35.952099, 50.450802, 3769, 'IR', 'IR-26', 'Gharpuz Abad', 'no', 'OIIA', '', '', ''),
	('OIIP', 'medium_airport', 'Payam Karaj International Airport', 35.7761, 50.826698, 4170, 'IR', 'IR-30', 'Karaj', 'yes', 'OIIP', 'PYK', '', ''),
	('OI23', 'heliport', 'Emh Regional Medical Center Heliport', 41.3650016784668, -82.09760284423828, 867, 'US', 'US-OH', 'Elyria', 'no', 'OI23', '', 'OI23', ''),
	('OIIC', 'small_airport', 'Kushke Nosrat Airport', 34.984001, 50.806198, 3008, 'IR', 'IR-25', 'Qāshqābolāq', 'no', 'OIIC', '', 'OI1B', ''),
	('OIIG', 'closed', 'Ghale Morghi Airport', 35.644798, 51.380699, 3627, 'IR', 'IR-23', 'Tehran', 'no', '', '', '', 'OIIG, OIIG'),
	('OIIE', 'large_airport', 'Imam Khomeini International Airport', 35.416099548339844, 51.152198791503906, 3305, 'IR', 'IR-23', 'Tehran', 'yes', 'OIIE', 'IKA', '', 'Ahmadabad'),
	('OI19', 'small_airport', 'Shahid Aryafar Airport', 35.5299, 51.505798, 3380, 'IR', 'IR-23', 'Firuzabad', 'no', 'OIIR', '', 'OI19', ''),
	('OIIM', 'medium_airport', 'Naja Airport', 35.776299, 50.881001, 4040, 'IR', 'IR-30', 'Karaj', 'no', 'OIIM', '', '', ''),
	('OIHR', 'small_airport', 'Arak Airport', 34.1381, 49.847301, 5440, 'IR', 'IR-00', 'Araak', 'no', 'OIHR', 'AJK', '', ''),
	('OIFK', 'medium_airport', 'Kashan Airport', 33.895302, 51.577, 3465, 'IR', 'IR-10', 'Kashan', 'yes', 'OIFK', 'KKS', '', ''),
	('OISI', 'N/A', 'N/A', 35.36025110632181, 51.987124979496, 1025, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OI03', 'small_airport', 'Garmsār Southwest Airport', 35.174198, 52.323299, 2717, 'IR', 'IR-20', 'Garmsār', 'no', 'OI03', '', 'OI03', ''),
	('OIII', 'large_airport', 'Mehrabad International Airport', 35.68920135498047, 51.31340026855469, 3962, 'IR', 'IR-23', 'Tehran', 'yes', 'OIII', 'THR', '', ''),
	('OIIQ', 'closed', 'Qom International Airport (under contstruction)', 34.58114, 50.657481, 3690, 'IR', 'IR-25', 'Qom', 'no', '', '', '', 'OIIQ'),
	('OIAW', 'medium_airport', 'Lieutenant General Qasem Soleimani International Airport', 31.3374, 48.762001, 66, 'IR', 'IR-06', 'Ahvaz', 'yes', 'OIAW', 'AWZ', '', 'Ahvaz, Ahvaz International Airport, Ahwaz'),
	('OIFV', 'small_airport', 'Zarrinshahr Airport', 32.32740020751953, 51.37730026245117, 5650, 'IR', 'IR-10', 'Zarrinshahr', 'no', 'OIFV', '', '', ''),
	('OI17', 'N/A', 'N/A', 31.921771466732025, 48.87749657034874, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIIF', 'N/A', 'N/A', 32.582674473524094, 52.00241446495056, 1523, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIFP', 'medium_airport', 'Badr Air Base', 32.621101, 51.696999, 5242, 'IR', 'IR-10', 'Esfahan', 'no', 'OIFP', '', '', 'Sepah Air Base'),
	('OIGO', 'N/A', 'N/A', 33.57258830219507, 50.427876859903336, 1763, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIAI', 'medium_airport', 'Shahid Asiyaee Airport', 32.001719, 49.268599, 1206, 'IR', 'IR-06', 'Masjed Soleyman', 'no', 'OIAI', 'QMJ', '', 'Shahid Asyaee'),
	('OIFH', 'small_airport', 'Shahid Vatanpour Army Air Base', 32.567166, 51.69111, 5310, 'IR', 'IR-10', 'Esfahan', 'no', 'OIFH', '', '', ''),
	('OIFM', 'medium_airport', 'Isfahan Shahid Beheshti International Airport', 32.750755, 51.861483, 5059, 'IR', 'IR-10', 'Isfahan', 'yes', 'OIFM', 'IFN', '', 'Esfahan'),
	('OIIH', 'N/A', 'N/A', 32.48532805591822, 51.826308220624924, 1556, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIFE', 'small_airport', 'Hesa Airport', 32.928902, 51.5611, 5256, 'IR', 'IR-10', 'Hesa', 'no', 'OIFE', 'IFH', '', ''),
	('OIFS', 'medium_airport', 'Shahrekord Airport', 32.2971992493, 50.842201232899995, 6723, 'IR', 'IR-14', 'Shahrekord', 'no', 'OIFS', 'CQD', '', ''),
	('OIMR', 'N/A', 'N/A', 32.35072575509548, 51.805196553468704, 1677, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OICZ', 'small_airport', 'Aligoodarz Airport', 33.38359832763672, 49.6963996887207, 6505, 'IR', 'IR-15', '', 'no', 'OICZ', '', '', ''),
	('Z14L', 'N/A', 'N/A', 32.952807918190956, 51.567757576704025, 1616, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIAM', 'medium_airport', 'Mahshahr Airport', 30.5562, 49.151901, 8, 'IR', 'IR-06', 'Mahshahr', 'yes', 'OIAM', 'MRX', '', ''),
	('OIBQ', 'medium_airport', 'Khark Airport', 29.260503, 50.322193, 17, 'IR', 'IR-18', 'Khark', 'no', 'OIBQ', 'KHK', '', ''),
	('OIAH', 'medium_airport', 'Gachsaran Airport', 30.333869, 50.833796, 2414, 'IR', 'IR-17', 'Gachsaran', 'yes', 'OIAH', 'GCH', '', ''),
	('OISY', 'medium_airport', 'Yasuj Airport', 30.702238, 51.542988, 5939, 'IR', 'IR-17', 'Yasuj', 'no', 'OISY', 'YES', '', 'Yasouj'),
	('OIBB', 'medium_airport', 'Bushehr Airport', 28.9447994232, 50.8345985413, 68, 'IR', 'IR-18', 'Bushehr', 'yes', 'OIBB', 'BUZ', '', ''),
	('OIAG', 'medium_airport', 'Aghajari Airport', 30.7444, 49.6772, 88, 'IR', 'IR-06', 'Aghajari', 'no', 'OIAG', 'AKW', '', ''),
	('OI02', 'N/A', 'N/A', 30.732650980353355, 50.11272802948952, 351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OI20', 'small_airport', 'Bahregan Airport', 29.840099, 50.272701, 20, 'IR', 'IR-18', 'Imam Hassan', 'no', 'OI20', 'IAQ', 'OI20', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('Z14O', 'N/A', 'N/A', 29.90705095231533, 50.4284231364727, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIBO', 'N/A', 'N/A', 29.376045987010002, 51.067013293504715, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIAJ', 'small_airport', 'Omidiyeh Airport', 30.835199, 49.534901, 85, 'IR', 'IR-06', 'Omidiyeh', 'no', 'OIAJ', 'OMI', '', ''),
	('OIBD', 'N/A', 'N/A', 29.098863825201988, 51.036267131567, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEDF', 'large_airport', 'King Fahd International Airport', 26.471201, 49.797901, 72, 'SA', 'SA-04', 'Ad Dammam', 'yes', 'OEDF', 'DMM', '', ''),
	('OETN', 'medium_airport', 'Ras Tanajib Airport', 27.8678, 48.7691, 30, 'SA', 'SA-04', 'As Saffaniyah', 'no', 'OETN', '', '', ''),
	('OBBS', 'medium_airport', 'Sheik Isa Air Base', 25.918399810791016, 50.590599060058594, 136, 'BH', 'BH-14', 'Sitrah', 'no', 'OBBS', '', '', 'Shakey''s Pizza, Shaikh-Isa Air Base'),
	('OBKH', 'small_airport', 'Sakhir Air Base', 26.034533, 50.524544, 49, 'BH', 'BH-14', 'Zallaq', 'no', 'OBKH', '', '', ''),
	('OIBJ', 'medium_airport', 'Jam Airport', 27.820499, 52.3522, 2173, 'IR', 'IR-18', 'Jam', 'no', 'OIBJ', 'KNR', '', 'Kangan, Tohid, OIBM'),
	('OERT', 'medium_airport', 'Ras Tanura Airport', 26.723101, 50.0308, 6, 'SA', 'SA-04', 'Ras Tanura', 'no', 'OERT', '', '', ''),
	('OEDR', 'large_airport', 'King Abdulaziz Air Base', 26.2654, 50.152, 84, 'SA', 'SA-04', 'Dhahran', 'no', 'OEDR', 'DHA', '', 'Dhahran international Airport, Dhahran Air Base, Dhahran Airport, Dhahran Airfield'),
	('OTBK', 'small_airport', 'Al Khawr Airport', 25.629601, 51.506699, 6, 'QA', 'QA-KH', 'Al Khawr', 'no', 'OTBK', '', '', 'Al Khor'),
	('OEJB', 'medium_airport', 'Jubail Airport', 27.039, 49.405102, 26, 'SA', 'SA-04', 'Jubail', 'no', 'OEJB', 'QJB', '', 'OEJL'),
	('OEAA', 'small_airport', 'Abu Ali Airport', 27.319099, 49.587101, 69, 'SA', 'SA-04', 'Al Jubail', 'no', 'OEAA', '', '', ''),
	('OEBQ', 'small_airport', 'Abqaiq Airport', 25.911301, 49.591202, 229, 'SA', 'SA-04', 'Buqayq', 'no', 'OEBQ', '', '', ''),
	('OEAL', 'N/A', 'N/A', 25.406300872564316, 49.48448672890663, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEJL', 'N/A', 'N/A', 26.941602677106857, 49.704158306121826, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OBBI', 'large_airport', 'Bahrain International Airport', 26.267295, 50.63764, 6, 'BH', 'BH-15', 'Manama', 'yes', 'OBBI', 'BAH', '', 'مطار البحرين الدولي'),
	('OEUD', 'small_airport', 'Udhailiyah Airport', 25.1511001587, 49.3288002014, 759, 'SA', 'SA-04', 'Udhailiyah', 'no', 'OEUD', '', '', ''),
	('OMAH', 'small_airport', 'Al Hamra Auxiliary Airport', 24.073999, 52.4636, 50, 'AE', 'AE-AZ', 'Al Shuweihat', 'no', 'OMAH', '', '', ''),
	('OTBH', 'medium_airport', 'Al Udeid Air Base', 25.1173000336, 51.3149986267, 130, 'QA', 'QA-RA', 'Ar Rayyan', 'no', 'OTBH', 'XJD', '', ''),
	('OTUB', 'N/A', 'N/A', 23.39413918554783, 50.04253149032593, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEAU', 'N/A', 'N/A', 24.135195650160313, 49.06732812523842, 298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEAH', 'medium_airport', 'Al-Ahsa International Airport', 25.285299, 49.485199, 588, 'SA', 'SA-04', 'Hofuf', 'yes', 'OEAH', 'HOF', '', ''),
	('OTHH', 'large_airport', 'Hamad International Airport', 25.273056, 51.608056, 13, 'QA', 'QA-DA', 'Doha', 'yes', 'OTHH', 'DOH', '', 'New Doha International Airport'),
	('OMAY', 'N/A', 'N/A', 23.76928936690092, 51.93716123700142, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMAU', 'N/A', 'N/A', 24.220561310648918, 52.00712665915489, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OTUS', 'N/A', 'N/A', 24.34115745127201, 51.602500677108765, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OTUI', 'N/A', 'N/A', 24.58982102572918, 51.727243065834045, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMAE', 'N/A', 'N/A', 22.729265838861465, 52.07080900669098, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEHR', 'small_airport', 'Haradh Airport', 24.09653, 49.22432, 110, 'SA', 'SA-04', 'Harad', 'no', 'OEHR', '', '', ''),
	('OTUA', 'N/A', 'N/A', 23.273564837872982, 50.40566861629486, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMDL', 'N/A', 'N/A', 24.51000016182661, 52.33527794480324, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEBT', 'N/A', 'N/A', 24.216027706861496, 51.45006090402603, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OTBD', 'medium_airport', 'Doha International Airport', 25.261101, 51.565102, 35, 'QA', 'QA-DA', 'Doha', 'no', 'OTBD', 'DIA', '', 'مطار الدوحة الدولى'),
	('UAZH', 'N/A', 'N/A', 43.34613248705864, 52.93372169137001, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT1J', 'small_airport', 'Cheleken East Airport', 39.411515, 53.199037, -43, 'TM', 'TM-B', 'Cheleken', 'no', '', '', '', 'Аэропорт Челекен, UT1J'),
	('TM0I', 'N/A', 'N/A', 41.54736936092377, 52.6117005944252, -24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT1H', 'small_airport', 'Balkanabat Airport', 39.480598, 54.366001, 5, 'TM', 'TM-B', 'Balkanabat', 'yes', '', 'BKN', '', 'Nebit Dag, Балканабат, UT1H'),
	('UTAK', 'medium_airport', 'Turkmenbashi International Airport', 40.063301, 53.007198, 279, 'TM', 'TM-B', 'Turkmenbashi', 'yes', 'UTAK', 'KRW', '', ''),
	('UT1F', 'small_airport', 'Yangadzha Airport', 40.038486, 53.32868, -20, 'TM', 'TM-B', 'Yangadzha', 'no', '', '', '', 'UT1F'),
	('OINZ', 'medium_airport', 'Sari Dasht-e Naz International Airport', 36.644408, 53.188761, 35, 'IR', 'IR-02', 'Sari', 'yes', 'OINZ', 'SRY', '', ''),
	('OIAQ', 'N/A', 'N/A', 37.748538963496685, 54.67671364545822, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIGA', 'N/A', 'N/A', 36.69855371117592, 53.68712246417999, 408, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIMX', 'small_airport', 'Soga Airport', 37.627899, 56.1731, 2460, 'IR', 'IR-27', 'Soga', 'no', 'OIMX', '', '', ''),
	('OING', 'medium_airport', 'Gorgan Airport', 36.909400939899996, 54.4012985229, -24, 'IR', 'IR-27', 'Gorgan', 'no', 'OING', 'GBT', '', ''),
	('OI24', 'heliport', 'Kokosing Heliport', 40.491172, -82.560722, 1095, 'US', 'US-OH', 'Fredericktown', 'no', 'OI24', '', 'OI24', ''),
	('OINE', 'small_airport', 'Kalaleh Airport', 37.383301, 55.452, 425, 'IR', 'IR-27', 'Kalaleh', 'no', 'OINE', 'KLM', '', ''),
	('OI1C', 'small_airport', 'Mehtar Kalateh Airport', 36.856899, 54.202202, -64, 'IR', 'IR-27', 'Mehtar Kalateh', 'no', 'OI1C', '', 'OI1C', ''),
	('OIAY', 'N/A', 'N/A', 37.65480011701584, 54.75045159459114, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIIS', 'small_airport', 'Semnan Municipal Airport', 35.591099, 53.495098, 3665, 'IR', 'IR-20', 'Semnan', 'yes', 'OIIS', 'SNX', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OIMJ', 'small_airport', 'Shahrud International Airport', 36.425301, 55.104198, 4215, 'IR', 'IR-20', 'Shahrud', 'no', 'OIMJ', 'RUD', '', ''),
	('OISU', 'N/A', 'N/A', 36.42152678221464, 55.674864649772644, 1045, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OI21', 'small_airport', 'Semnan New Airport', 35.3894, 53.671398, 3659, 'IR', 'IR-20', '', 'no', '', '', 'OI21', ''),
	('OIAR', 'N/A', 'N/A', 35.238902270793915, 52.5089867413044, 855, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIYY', 'medium_airport', 'Shahid Sadooghi Airport', 31.9048995972, 54.2765007019, 4054, 'IR', 'IR-21', 'Yazd', 'yes', 'OIYY', 'AZD', '', ''),
	('OINC', 'N/A', 'N/A', 32.742559276521206, 52.66745924949646, 2094, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIND', 'N/A', 'N/A', 33.53540316224098, 53.72834533452988, 1040, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OISA', 'small_airport', 'Abadeh Airport', 31.033006, 52.785988, 5320, 'IR', 'IR-07', 'Abadeh', 'no', 'OISA', '', '', 'Eqlid, فرودگاه آباده'),
	('OI05', 'closed', 'Dana Heliport', 41.655899, -83.646599, 625, 'US', 'US-OH', 'Toledo', 'no', '', '', '', 'OI05'),
	('OISD', 'small_airport', 'Darab Airport', 28.7216, 54.441299, 3600, 'IR', 'IR-07', 'Bargan', 'no', 'OISD', '', '', ''),
	('OISS', 'large_airport', 'Shiraz Shahid Dastghaib International Airport', 29.5392, 52.589802, 4927, 'IR', 'IR-07', 'Shiraz', 'yes', 'OISS', 'SYZ', '', ''),
	('OISO', 'small_airport', 'Zarqan Airport', 29.754728, 52.693691, 5500, 'IR', 'IR-07', 'Zarqan', 'no', 'OISO', '', '', 'Zargan, Zarghan'),
	('OISF', 'medium_airport', 'Fasa Airport', 28.8918, 53.723301, 4261, 'IR', 'IR-07', 'Fasa', 'no', 'OISF', 'FAZ', '', ''),
	('OIKR', 'medium_airport', 'Rafsanjan Airport', 30.298345, 56.048979, 5298, 'IR', 'IR-08', 'Rafsanjan', 'yes', 'OIKR', 'RJN', '', ''),
	('OISJ', 'small_airport', 'Jahrom Airport', 28.586700439499996, 53.5791015625, 3358, 'IR', 'IR-07', 'Jahrom', 'no', 'OISJ', 'JAR', '', ''),
	('OIKY', 'medium_airport', 'Sirjan Airport', 29.5509, 55.672699, 5846, 'IR', 'IR-08', 'Sirjan', 'no', 'OIKY', 'SYJ', '', ''),
	('Z14D', 'N/A', 'N/A', 30.035705789923668, 52.800074368715286, 1604, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OI13', 'small_airport', 'Mahmudabad Airport', 30, 53.71149826049805, 6970, 'IR', 'IR-07', '', 'no', 'OI13', '', 'OI13', ''),
	('OI0O', 'N/A', 'N/A', 29.23523772507906, 53.12735930085182, 1495, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMRS', 'small_airport', 'Al Saqr Field', 25.752944, 55.959234, 2, 'AE', 'AE-RK', 'Al Duhaisah', 'no', 'OMRS', '', '', ''),
	('OISR', 'medium_airport', 'Lamerd Airport', 27.3727, 53.188801, 1337, 'IR', 'IR-07', 'Lamerd', 'yes', 'OISR', 'LFM', '', ''),
	('OISL', 'medium_airport', 'Lar Airport', 27.6747, 54.383301, 2641, 'IR', 'IR-07', 'Lar', 'yes', 'OISL', 'LRR', '', ''),
	('OIBK', 'medium_airport', 'Kish International Airport', 26.5261993408, 53.980201721200004, 101, 'IR', 'IR-22', 'Kish Island', 'yes', 'OIBK', 'KIH', '', ''),
	('OIKQ', 'small_airport', 'Qeshm Dayrestan International Airport', 26.754639, 55.902353, 45, 'IR', 'IR-22', 'Dayrestan', 'yes', 'OIKQ', 'GSM', '', 'Qeshm Island'),
	('OIBH', 'small_airport', 'Bastak Airport', 27.21269989013672, 54.318599700927734, 1350, 'IR', 'IR-22', '', 'no', 'OIBH', '', '', ''),
	('OMUQ', 'closed', 'Umm Al Quwain Airport', 25.57715, 55.65068, 0, 'AE', 'AE-UQ', 'Meshara', 'no', '', '', '', 'OMUQ'),
	('OIBL', 'medium_airport', 'Bandar Lengeh International Airport', 26.532283, 54.82484, 67, 'IR', 'IR-22', 'Bandar Lengeh', 'yes', 'OIBL', 'BDH', '', ''),
	('OMRJ', 'small_airport', 'Jazirah Airport', 25.664957, 55.774413, 0, 'AE', 'AE-RK', '', 'no', 'OMRJ', '', 'OMRJ', ''),
	('OIBI', 'closed', 'Asalouyeh Airport', 27.482359, 52.612897, 15, 'IR', 'IR-18', 'Asalouyeh', 'no', '', '', '', 'AOY, OIBI, YEH, OI15'),
	('OIBP', 'medium_airport', 'Persian Gulf International Airport', 27.379601, 52.737701, 27, 'IR', 'IR-18', 'Khiyaroo', 'yes', 'OIBP', 'PGU', '', 'Asalouyeh, Khalije Fars, PSEEZ, Bandar Asalouyeh, Pars-Special-Zone, عسلویه'),
	('OIBV', 'medium_airport', 'Lavan Airport', 26.810742, 53.354302, 76, 'IR', 'IR-22', 'Lavan Airport', 'no', 'OIBV', 'LVP', '', ''),
	('OOKB', 'medium_airport', 'Khasab Airport', 26.171, 56.240601, 100, 'OM', 'OM-MU', 'Khasab', 'yes', 'OOKB', 'KHS', '', ''),
	('OIKP', 'small_airport', 'Havadarya Airport', 27.1583, 56.172501, 19, 'IR', 'IR-22', 'Bandar Abbas', 'no', 'OIKP', 'HDR', '', ''),
	('OMSJ', 'large_airport', 'Sharjah International Airport', 25.3286, 55.5172, 111, 'AE', 'AE-SH', 'Sharjah', 'yes', 'OMSJ', 'SHJ', '', ''),
	('OIBA', 'medium_airport', 'Abu Musa Island Airport', 25.8757, 55.033001, 23, 'IR', 'IR-22', 'Abu Musa', 'yes', 'OIBA', 'AEU', '', ''),
	('OMRK', 'medium_airport', 'Ras Al Khaimah International Airport', 25.613500595092773, 55.93880081176758, 102, 'AE', 'AE-RK', 'Ras Al Khaimah', 'yes', 'OMRK', 'RKT', '', ''),
	('OMDI', 'N/A', 'N/A', 25.61415195465088, 56.24467849731445, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMDC', 'N/A', 'N/A', 24.641188345849514, 55.106956511735916, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMDD', 'N/A', 'N/A', 24.949861317873, 55.51595404744148, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMAG', 'small_airport', 'KIZAD Airport', 24.726505, 54.832259, 50, 'AE', 'AE-AZ', '', 'no', 'OMAG', '', '', ''),
	('OMDW', 'large_airport', 'Al Maktoum International Airport', 24.896356, 55.161389, 114, 'AE', 'AE-DU', 'Jebel Ali', 'yes', 'OMDW', 'DWC', '', ''),
	('OMMZ', 'N/A', 'N/A', 23.65097913891077, 53.8241882622242, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OM11', 'small_airport', 'Abu Dhabi Northeast Airport - Suweihan Air Base', 24.526793, 54.974812, 88, 'AE', 'AE-AZ', 'Abu Dhabi', 'no', 'OMAW', '', '', 'OM11'),
	('OMDE', 'N/A', 'N/A', 24.88336030393839, 55.54751917719841, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMAB', 'small_airport', 'Buhasa Airport', 23.599701, 53.379398, 0, 'AE', 'AE-AZ', '', 'no', 'OMAB', '', '', ''),
	('OMAM', 'medium_airport', 'Al Dhafra Air Base', 24.248199462900004, 54.547698974599996, 77, 'AE', 'AE-AZ', '', 'no', 'OMAM', 'DHF', '', ''),
	('OOLK', 'small_airport', 'Lekhwair Airport', 22.804866, 55.372801, 354, 'OM', 'OM-ZA', 'Lekhwair', 'no', 'OOLK', 'LKW', '', ''),
	('OMAZ', 'small_airport', 'Zirku Airport', 24.862492, 53.077141, 14, 'AE', 'AE-AZ', 'Zirku Island', 'no', 'OMAZ', '', '', ''),
	('OMAA', 'large_airport', 'Zayed International Airport', 24.443764, 54.651718, 88, 'AE', 'AE-AZ', 'Abu Dhabi', 'yes', 'OMAA', 'AUH', '', 'Abu Dhabi International'),
	('OMAL', 'medium_airport', 'Al Ain International Airport', 24.261699676513672, 55.60919952392578, 869, 'AE', 'AE-AZ', 'Al Ain', 'yes', 'OMAL', 'AAN', '', ''),
	('OMAF', 'small_airport', 'Futaysi Airport', 24.378889, 54.316111, 0, 'AE', 'AE-AZ', 'Al Futaisi', 'no', 'OMAF', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OMAS', 'small_airport', 'Das Island Airport', 25.138234, 52.874429, 12, 'AE', 'AE-AZ', 'Das Island', 'no', 'OMAS', '', '', ''),
	('OMAN', 'N/A', 'N/A', 24.190385788679123, 55.71564495563507, 258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMAK', 'N/A', 'N/A', 24.102795235812664, 55.6090347468853, 222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMAR', 'small_airport', 'Arzanah Airport', 24.780872, 52.559871, 15, 'AE', 'AE-AZ', 'Arzanah Island', 'no', 'OMAR', '', '', ''),
	('OEST', 'N/A', 'N/A', 22.709000073373318, 53.28463062644005, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMDM', 'medium_airport', 'Al Minhad Air Base', 25.0268001556, 55.3661994934, 165, 'AE', 'AE-DU', 'Dubai', 'no', 'OMDM', 'NHD', '', ''),
	('OMAD', 'medium_airport', 'Al Bateen Executive Airport', 24.428301, 54.458099, 16, 'AE', 'AE-AZ', 'Abu Dhabi', 'no', 'OMAD', 'AZI', '', 'Former Abu Dhabi International Airport'),
	('OMDF', 'N/A', 'N/A', 25.114650540053844, 55.29437184333801, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMMY', 'N/A', 'N/A', 22.774194851517677, 55.063266903162, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OESB', 'small_airport', 'Shaibah Airport', 22.514781, 53.964114, 300, 'SA', 'SA-04', 'Shaybah', 'no', 'OESB', '', '', ''),
	('OMAI', 'N/A', 'N/A', 24.18252121657133, 53.86749476194382, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OOBR', 'small_airport', 'Buraimi Airport', 24.241626, 55.783674, 970, 'OM', 'OM-BU', 'Buraimi', 'no', 'OOBR', 'RMB', '', ''),
	('OMAQ', 'small_airport', 'Qarnayn Airport', 24.930599, 52.855099, 0, 'AE', 'AE-AZ', 'Qarnayn Island', 'no', 'OMAQ', '', '', ''),
	('OMBY', 'medium_airport', 'Sir Bani Yas Airport', 24.283611, 52.580278, 25, 'AE', 'AE-AZ', 'Sir Bani Yas', 'no', 'OMBY', 'XSB', 'OMBY', 'Yas Island'),
	('OMAJ', 'small_airport', 'Jebel Dhanna Airport', 24.187755, 52.613934, 43, 'AE', 'AE-AZ', 'Jebel Dhanna', 'no', 'OMAJ', '', '', ''),
	('OMAO', 'N/A', 'N/A', 25.268828943371773, 55.92560425400734, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMDU', 'N/A', 'N/A', 25.090196505188942, 55.132623463869095, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMSH', 'N/A', 'N/A', 25.154071301221848, 55.53578943014145, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMDB', 'large_airport', 'Dubai International Airport', 25.2527999878, 55.3643989563, 62, 'AE', 'AE-DU', 'Dubai', 'yes', 'OMDB', 'DXB', '', 'مطار دبي الدولي‎'),
	('UT77', 'heliport', 'Aladdin Air Heliport', 37.698287, -112.183392, 7540, 'US', 'US-UT', 'Bryce Canyon City', 'no', 'UT77', '', 'UT77', ''),
	('UTNN', 'medium_airport', 'Nukus Airport', 42.4884, 59.623299, 246, 'UZ', 'UZ-QR', 'Nukus', 'yes', 'UTNN', 'NCU', '', ''),
	('UTMN', 'N/A', 'N/A', 43.615042716264725, 59.267081916332245, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT1R', 'N/A', 'N/A', 43.75513784587383, 59.03223216533661, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTMQ', 'N/A', 'N/A', 44.02581363916397, 58.25483813881874, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT1O', 'N/A', 'N/A', 44.054233990609646, 57.54819184541702, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTKH', 'N/A', 'N/A', 42.36548602581024, 59.511382430791855, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTQO', 'N/A', 'N/A', 43.118471279740334, 58.37352767586708, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTOQ', 'N/A', 'N/A', 42.61121895164251, 59.44539338350296, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAT', 'medium_airport', 'Daşoguz Airport', 41.759853, 59.836149, 272, 'TM', 'TM-D', 'Daşoguz', 'yes', 'UTAT', 'TAZ', '', 'Tashauz Airport, Dashkhovuz, Dashhowuz, Dashoguz, Dasoguz, Дашогуз'),
	('OIMN', 'medium_airport', 'Bojnord Airport', 37.49300003051758, 57.30820083618164, 3499, 'IR', 'IR-28', 'Bojnord', 'yes', 'OIMN', 'BJB', '', 'Bojnourd'),
	('UTAA', 'large_airport', 'Ashgabat International Airport', 37.986801, 58.361, 692, 'TM', 'TM-S', 'Ashgabat', 'yes', 'UTAA', 'ASB', '', 'Saparmurat Turkmenbashy International Airport'),
	('UT1G', 'medium_airport', 'Ashgabat Bezmein Air Base', 38.012001, 58.195, 920, 'TM', 'TM-S', 'Ashgabat', 'no', '', '', '', 'Aktepe, Ak-Tepe, Ashkhabad Northwest, Актепе, Ак-Тепе, Безмеин, Ашхабад Северозападный, UT1G'),
	('UT55', 'heliport', 'LDS Hospital Heliport', 40.778192, -111.879515, 4729, 'US', 'US-UT', 'Salt Lake City', 'no', 'UT55', '', 'UT55', ''),
	('OICH', 'N/A', 'N/A', 36.59606248140335, 59.19285714626312, 1177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAN', 'N/A', 'N/A', 37.85190358757973, 58.79458710551262, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIJA', 'N/A', 'N/A', 36.96333836764097, 56.46549627184868, 906, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAJ', 'N/A', 'N/A', 38.130291402339935, 57.90645718574524, 247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIFR', 'N/A', 'N/A', 34.04952462762594, 58.315256237983704, 1462, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIGN', 'N/A', 'N/A', 34.381566010415554, 58.64133909344673, 1095, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIMS', 'medium_airport', 'Sabzevar National Airport', 36.16809844970703, 57.59519958496094, 3010, 'IR', 'IR-09', 'Sabzevar', 'yes', 'OIMS', 'AFZ', '', ''),
	('OIMM', 'large_airport', 'Mashhad International Airport', 36.235198974609375, 59.64099884033203, 3263, 'IR', 'IR-09', 'Mashhad', 'yes', 'OIMM', 'MHD', '', 'Shahid Hashemi Nejad Airport'),
	('OITO', 'N/A', 'N/A', 35.20206280052662, 59.16936635971069, 1229, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIMY', 'N/A', 'N/A', 36.24636109918356, 58.90517234802246, 1390, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIMB', 'medium_airport', 'Birjand International Airport', 32.896525, 59.281258, 4952, 'IR', 'IR-29', 'Birjand', 'yes', 'OIMB', 'XBJ', '', ''),
	('OIMT', 'medium_airport', 'Tabas Airport', 33.667801, 56.8927, 2312, 'IR', 'IR-21', 'Tabas', 'no', 'OIMT', 'TCX', '', ''),
	('OIKM', 'medium_airport', 'Bam Airport', 29.0842, 58.450001, 3231, 'IR', 'IR-08', 'Bam', 'yes', 'OIKM', 'BXR', '', ''),
	('OIKE', 'N/A', 'N/A', 30.25470446795225, 57.212780714035034, 1829, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIKJ', 'medium_airport', 'Jiroft Airport', 28.723519, 57.675037, 2663, 'IR', 'IR-08', 'Jiroft', 'no', 'OIKJ', 'JYR', '', 'Sabzevaran'),
	('OODI', 'N/A', 'N/A', 26.367863081395626, 56.35683685541153, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMDH', 'N/A', 'N/A', 25.862634479999542, 56.28644406795502, 401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIZJ', 'small_airport', 'Jask Airport', 25.654757, 57.801718, 19, 'IR', 'IR-22', 'Bandar-e-Jask', 'yes', 'OIZJ', 'JSK', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OIKB', 'medium_airport', 'Bandar Abbas International Airport', 27.218299865722656, 56.37779998779297, 22, 'IR', 'IR-22', 'Bandar Abbas', 'yes', 'OIKB', 'BND', '', ''),
	('OIRU', 'N/A', 'N/A', 27.321435995399952, 57.23897024989128, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OOKH', 'N/A', 'N/A', 25.94988975673914, 56.41855448484421, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OORU', 'N/A', 'N/A', 23.578909523785114, 57.506685107946396, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OOSH', 'small_airport', 'Sohar Airport', 24.38604, 56.62541, 20, 'OM', 'OM-BA', 'Sohar', 'yes', 'OOSH', 'OHS', '', 'Majis'),
	('OOSQ', 'small_airport', 'Saiq Airport', 23.075545, 57.643271, 6500, 'OM', 'OM-DA', 'Saiq', 'no', 'OOSQ', '', '', ''),
	('OMFJ', 'medium_airport', 'Fujairah International Airport', 25.1122, 56.324001, 152, 'AE', 'AE-FU', 'Fujairah', 'yes', 'OMFJ', 'FJR', '', ''),
	('OOIA', 'small_airport', 'Ibra Airport', 22.732778, 58.513611, 1500, 'OM', 'OM-SH', 'Ibra', 'no', 'OOIA', '', '', 'Al Yahmadi'),
	('OOMS', 'large_airport', 'Muscat International Airport', 23.5933, 58.284401, 48, 'OM', 'OM-MA', 'Muscat', 'yes', 'OOMS', 'MCT', '', 'Seeb International Airport, Masqat'),
	('OOIZ', 'small_airport', 'Izki Air Base', 22.892627, 57.759094, 1700, 'OM', 'OM-DA', 'Izki', 'no', 'OOIZ', '', '', ''),
	('OOAU', 'N/A', 'N/A', 23.75918112695217, 57.490249425172806, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OOSR', 'closed', 'Sur Airport', 22.537729, 59.479766, 20, 'OM', 'OM-SH', 'Sur', 'no', '', '', '', 'OOSR, SUH'),
	('OOAS', 'N/A', 'N/A', 23.640466891229153, 57.487768828868866, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OOII', 'small_airport', 'Ibri Airport', 23.18626, 56.43333, 1069, 'OM', 'OM-ZA', 'Ibri', 'no', 'OOII', '', '', ''),
	('OMKH', 'N/A', 'N/A', 25.286251567304134, 56.342778503894806, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSSW', 'small_airport', 'Wadi Halfa Airport', 21.802698, 31.521578, 933, 'SD', 'SD-01', 'Wadi Halfa', 'no', 'HSSW', 'WHF', '', ''),
	('HEBL', 'medium_airport', 'Abu Simbel Airport', 22.367657, 31.609962, 614, 'EG', 'EG-ASN', 'Abu Simbel', 'yes', 'HEBL', 'ABS', '', ''),
	('HSMN', 'medium_airport', 'Merowe Airport', 18.443333, 31.843333, 897, 'SD', 'SD-01', 'Merowe', 'no', 'HSMN', 'MWE', '', 'Merowe International'),
	('HSMR', 'small_airport', 'Merowe Town Airport', 18.455, 31.8185, 864, 'SD', 'SD-01', 'Merowe', 'no', 'HSMR', '', '', ''),
	('HSDN', 'medium_airport', 'Dongola Airport', 19.153900146499996, 30.430099487299998, 772, 'SD', 'SD-01', 'Dongola', 'yes', 'HSDN', 'DOG', '', ''),
	('HSDB', 'small_airport', 'Al Dabbah Airport', 18.0146, 30.9595, 843, 'SD', 'SD-01', 'Al Dabbah', 'no', 'HSDB', 'EDB', '', 'El Debba'),
	('HSSK', 'large_airport', 'Khartoum International Airport', 15.5895, 32.5532, 1265, 'SD', 'SD-03', 'Khartoum', 'yes', 'HSSK', 'KRT', '', 'HSSS'),
	('HSOM', 'medium_airport', 'Wadi Seidna Air Base', 15.815213, 32.51401, 0, 'SD', 'SD-03', 'Karari al-Balad', 'no', '', '', 'HSOM', 'Wadi Saidna, Wadi Sayyidna'),
	('HSRN', 'small_airport', 'Renk Airport', 11.644773, 32.81045, 1278, 'SS', 'SS-23', 'Renk', 'no', 'HSRN', '', '', 'Renk City'),
	('HSOB', 'medium_airport', 'El-Obeid Airport', 13.1532, 30.2327, 1927, 'SD', 'SD-09', 'El-Obeid', 'yes', 'HSOB', 'EBD', '', 'Al-Ubayyid'),
	('HSDH', 'N/A', 'N/A', 11.552476398646832, 30.41351169347763, 786, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSOW', 'N/A', 'N/A', 11.645186617970467, 32.81037077307701, 389, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSMH', 'N/A', 'N/A', 8.527336232364178, 32.063359916210175, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAHA', 'N/A', 'N/A', 8.773678354918957, 33.320565819740295, 408, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSOG', 'N/A', 'N/A', 8.954906165599823, 32.92918011546135, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSMZ', 'N/A', 'N/A', 9.075443297624588, 30.879625976085663, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSMG', 'N/A', 'N/A', 8.595468699932098, 31.949946731328964, 404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSKW', 'N/A', 'N/A', 9.976167976856232, 33.74980375170708, 454, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSTW', 'N/A', 'N/A', 10.023456662893295, 30.19159734249115, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSLY', 'N/A', 'N/A', 8.608295023441315, 30.718448907136917, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSLZ', 'N/A', 'N/A', 8.798277899622917, 30.668718069791794, 402, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSSM', 'medium_airport', 'Malakal Airport', 9.55897, 31.652201, 1291, 'SS', 'SS-23', 'Malakal', 'yes', 'HJMK', 'MAK', '', 'HSSM'),
	('HSNF', 'N/A', 'N/A', 8.439391627907753, 31.801299154758453, 407, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAAK', 'N/A', 'N/A', 9.312268942594528, 33.68136003613472, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSOS', 'N/A', 'N/A', 9.09101452678442, 32.74772509932518, 396, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSCY', 'N/A', 'N/A', 9.112086296081543, 30.76652929186821, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSMO', 'N/A', 'N/A', 8.782777078449726, 30.130736231803894, 397, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAGU', 'N/A', 'N/A', 8.474058508872986, 33.54827731847763, 410, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSOT', 'N/A', 'N/A', 10.130149573087692, 32.09503546357155, 395, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSTX', 'N/A', 'N/A', 10.116442814469337, 30.08499026298523, 428, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSNB', 'N/A', 'N/A', 9.323945939540863, 30.88862434029579, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSTY', 'N/A', 'N/A', 11.0475679859519, 30.562426149845123, 682, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSOR', 'N/A', 'N/A', 9.044593535363674, 32.03843638300896, 401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSNJ', 'N/A', 'N/A', 8.714906461536884, 31.26580685377121, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSDA', 'N/A', 'N/A', 9.176811687648296, 30.748891085386276, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AEE', 'small_airport', 'Adareil Airport', 10.053611, 32.959444, 1301, 'SS', 'SS-23', 'Adar', 'no', 'HJAR', 'AEE', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HSON', 'N/A', 'N/A', 9.750604256987572, 32.97676831483841, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSDD', 'small_airport', 'Keew Airstrip', 9.26371, 30.63692, 1319, 'SS', 'SS-20', 'Keew', 'no', '', '', 'HSDD', ''),
	('HSOJ', 'N/A', 'N/A', 8.668631315231323, 32.71714702248573, 402, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSNU', 'N/A', 'N/A', 9.868322722613811, 31.888900995254517, 393, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSOK', 'N/A', 'N/A', 8.158374577760696, 32.24282830953598, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSEE', 'N/A', 'N/A', 6.423396393656731, 31.55695527791977, 425, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSLQ', 'N/A', 'N/A', 7.848387323319912, 30.89396819472313, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSBO', 'N/A', 'N/A', 7.458164468407631, 31.4149309694767, 411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSEM', 'N/A', 'N/A', 7.163263633847237, 31.408701986074448, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAGZ', 'N/A', 'N/A', 8.079776801168919, 33.1041656434536, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSEQ', 'N/A', 'N/A', 6.6401587799191475, 32.91035905480385, 423, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSBC', 'N/A', 'N/A', 7.747123539447784, 31.690325438976288, 413, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSRQ', 'N/A', 'N/A', 7.336783781647682, 30.412866175174713, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAGF', 'N/A', 'N/A', 7.748655751347542, 33.265310972929, 411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSMB', 'N/A', 'N/A', 7.905139178037643, 31.88847318291664, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSMT', 'N/A', 'N/A', 8.131526000797749, 30.01452773809433, 395, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSRO', 'N/A', 'N/A', 6.553127467632294, 30.033911615610123, 434, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSOH', 'N/A', 'N/A', 8.164103776216507, 32.05355152487755, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSML', 'N/A', 'N/A', 8.040380515158176, 32.02892795205116, 411, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSYL', 'small_airport', 'Yirol Airport', 6.561571, 30.509892, 1424, 'SS', 'SS-18', 'Yirol', 'no', 'HJYL', '', '', 'HSYL'),
	('HSMA', 'N/A', 'N/A', 8.190550357103348, 32.15318486094475, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSDW', 'N/A', 'N/A', 6.331172324717045, 31.656515300273895, 426, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSMF', 'N/A', 'N/A', 8.074344992637634, 31.83549240231514, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSEH', 'N/A', 'N/A', 7.146621197462082, 31.702832132577896, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSER', 'N/A', 'N/A', 7.047971896827221, 33.002134412527084, 417, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSLR', 'N/A', 'N/A', 8.138206042349339, 31.406247317790985, 404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSBB', 'N/A', 'N/A', 7.59741235524416, 31.45066648721695, 409, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSMP', 'N/A', 'N/A', 8.317982777953148, 30.011485666036606, 396, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSBA', 'N/A', 'N/A', 7.477656081318855, 31.514762789011, 412, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSLE', 'N/A', 'N/A', 7.7411505952477455, 31.39942556619644, 408, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSNI', 'N/A', 'N/A', 8.370408229529858, 31.135973632335663, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSME', 'N/A', 'N/A', 8.414724357426167, 31.33261889219284, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSOI', 'N/A', 'N/A', 8.113512955605984, 32.28366807103157, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSPI', 'small_airport', 'Pibor Airport', 6.798561, 33.125904, 1377, 'SS', 'SS-20', 'Pibor Post', 'no', 'HJPB', '', '', 'HSPI'),
	('HSBR', 'small_airport', 'Bor Airport', 6.191942, 31.600408, 1394, 'SS', 'SS-20', 'Bor', 'no', 'HJBR', '', '', 'HSBR'),
	('HSAK', 'small_airport', 'Akobo Airport', 7.7779, 33.0027, 1352, 'SS', 'SS-20', 'Akobo', 'no', 'HJAK', '', '', 'HSAK, Ahobo'),
	('HSNK', 'N/A', 'N/A', 8.116355761885643, 31.961170434951782, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUMC', 'N/A', 'N/A', 3.8575416058301926, 31.656412929296494, 954, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSYE', 'small_airport', 'Yei Airport', 4.128965, 30.731817, 2000, 'SS', 'SS-17', 'Yei', 'no', 'HJYE', '', '', 'HSYE'),
	('HSMI', 'N/A', 'N/A', 5.360701493918896, 30.3461717069149, 582, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HJJJ', 'large_airport', 'Juba International Airport', 4.87201, 31.601101, 1513, 'SS', 'SS-17', 'Juba', 'yes', 'HJJJ', 'JUB', '', 'JIA, HSSJ'),
	('HSKR', 'N/A', 'N/A', 4.287465177476406, 33.5685820877552, 1967, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUKT', 'small_airport', 'Kitgum Airport', 3.2817, 32.8882, 3130, 'UG', 'UG-N', 'Kitgum', 'no', 'HUKT', '', '', ''),
	('HULA', 'N/A', 'N/A', 4.072845205664635, 33.10564801096916, 862, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUPD', 'N/A', 'N/A', 3.044309914112091, 33.37874248623848, 1105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSPK', 'N/A', 'N/A', 3.7919092923402786, 32.73212268948555, 1019, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSTR', 'small_airport', 'Torit Airport', 4.416769, 32.575707, 2050, 'SS', 'SS-19', 'Torit', 'no', 'HJTR', '', '', 'HSTR'),
	('HUAJ', 'small_airport', 'Adjumani Airport', 3.339239, 31.763854, 2611, 'UG', 'UG-N', 'Adjumani', 'no', 'HUAJ', '', '', ''),
	('HUAR', 'medium_airport', 'Arua Airport', 3.049152, 30.911714, 3951, 'UG', 'UG-N', 'Arua', 'yes', 'HUAR', 'RUA', '', ''),
	('HUKD', 'small_airport', 'Kidepo Airport', 3.7176, 33.7487, 4033, 'UG', 'UG-N', 'Kidepo Valley National Park', 'no', 'HUKD', '', '', 'Kipepo'),
	('HSUC', 'N/A', 'N/A', 4.658975936472416, 32.85873681306839, 627, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HSKP', 'small_airport', 'Kapoeta Airport', 4.780812, 33.586278, 2220, 'SS', 'SS-19', 'Kapoeta', 'no', 'HJKP', '', '', 'HSKP'),
	('HUKP', 'N/A', 'N/A', 3.365687169134617, 30.226490646600723, 1011, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUMD', 'N/A', 'N/A', 3.5977471992373466, 32.08980292081833, 682, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUKE', 'N/A', 'N/A', 3.4099338948726654, 30.969647616147995, 1231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUMY', 'N/A', 'N/A', 3.6441370099782944, 31.762741059064865, 975, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSKT', 'N/A', 'N/A', 4.2001063004136086, 33.48746582865715, 1088, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSUF', 'N/A', 'N/A', 5.0232695415616035, 32.47150272130966, 490, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUFP', 'small_airport', 'Fort Portal Airport', 0.7063, 30.2493, 5255, 'UG', 'UG-W', 'Fort Portal', 'no', 'HUFP', '', 'HUFP', ''),
	('HUKG', 'N/A', 'N/A', 1.4710883796215057, 30.937501788139343, 671, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUKR', 'N/A', 'N/A', 1.5556922927498817, 31.09491303563118, 664, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUPI', 'N/A', 'N/A', 2.2931113466620445, 31.025677621364594, 1604, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUPA', 'small_airport', 'Bugungu Airport', 2.202788, 31.554341, 2472, 'UG', 'UG-W', 'Bujenje', 'no', 'HUGG', '', '', ''),
	('HUKS', 'small_airport', 'Kasese Airport', 0.183, 30.1, 3146, 'UG', 'UG-W', 'Kasese', 'no', 'HUKS', 'KSE', '', ''),
	('HUMI', 'small_airport', 'Masindi Airport', 1.75806, 31.7367, 3850, 'UG', 'UG-W', 'Masindi', 'no', 'HUMI', 'KCU', '', ''),
	('HUGU', 'medium_airport', 'Gulu Airport', 2.8055601119995117, 32.27180099487305, 3510, 'UG', 'UG-N', 'Gulu', 'yes', 'HUGU', 'ULU', '', ''),
	('HUKM', 'N/A', 'N/A', 0.7838045060634613, 30.546245276927948, 1487, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FZCC', 'N/A', 'N/A', 1.9438418000936508, 30.06093129515648, 1200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUKF', 'small_airport', 'Kabalega Falls Airport', 2.326563, 31.497698, 2365, 'UG', 'UG-W', 'Pakuba', 'no', 'HUPA', 'PAF', '', ''),
	('FZKA', 'medium_airport', 'Bunia Airport', 1.565743, 30.220685, 4045, 'CD', 'CD-IT', 'Bunia', 'yes', 'FZKA', 'BUX', '', ''),
	('HUKK', 'small_airport', 'Kakira Airport', 0.4933, 33.281, 3962, 'UG', 'UG-E', 'Kakira', 'no', 'HUKK', '', '', ''),
	('HUNA', 'N/A', 'N/A', 0.5135199800133705, 32.63113930821419, 1138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUJI', 'small_airport', 'Jinja Airport', 0.453094, 33.19356, 3855, 'UG', 'UG-E', 'Jinja', 'no', 'HUJI', 'JIN', '', ''),
	('HULI', 'small_airport', 'Lira Airport', 2.25, 32.9169998169, 3580, 'UG', 'UG-N', 'Lira', 'no', 'HULI', '', '', ''),
	('HUEN', 'large_airport', 'Entebbe International Airport', 0.042386, 32.443501, 3782, 'UG', 'UG-C', 'Kampala', 'yes', 'HUEN', 'EBB', '', ''),
	('HUKJ', 'small_airport', 'Kajjansi Airfield', 0.1968, 32.55297, 3743, 'UG', 'UG-C', 'Kampala', 'no', 'HUKJ', 'KJJ', '', ''),
	('HUSO', 'medium_airport', 'Soroti Airport', 1.7276899814605713, 33.622798919677734, 3697, 'UG', 'UG-E', 'Soroti', 'yes', 'HUSO', 'SRT', '', ''),
	('HUOY', 'small_airport', 'Chobe Safari Lodge Airport', 2.239199, 32.14468, 3140, 'UG', 'UG-W', 'Lolim', 'no', '', '', 'HUOY', ''),
	('FZEQ', 'N/A', 'N/A', 1.2104101851582527, 30.084031373262405, 1586, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUKY', 'N/A', 'N/A', 1.808226965367794, 31.343611478805542, 627, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUZO', 'N/A', 'N/A', 2.5621620565652847, 30.50333172082901, 1296, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUBU', 'small_airport', 'Bundibugyo Airport', 0.67349, 30.025483, 3100, 'UG', 'UG-W', 'Bundibugyo', 'no', 'HUBU', '', '', ''),
	('HUNO', 'N/A', 'N/A', 0.8947762101888657, 30.356305986642838, 745, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUNK', 'N/A', 'N/A', 1.4076655358076096, 32.4641078710556, 1082, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUKH', 'N/A', 'N/A', 1.2468815222382545, 30.748300552368164, 631, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSPN', 'medium_airport', 'Port Sudan New International Airport', 19.4335994720459, 37.234100341796875, 135, 'SD', 'SD-26', 'Port Sudan', 'yes', 'HSPN', 'PZU', '', ''),
	('HSEX', 'N/A', 'N/A', 18.692577816545963, 35.37232741713524, 490, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSSP', 'small_airport', 'Port Sudan Air Base', 19.5765, 37.2159, 10, 'SD', 'SD-26', 'Port Sudan', 'no', 'HSSP', '', '', ''),
	('HSAT', 'small_airport', 'Atbara Airport', 17.710344314575195, 34.0570182800293, 1181, 'SD', 'SD-04', 'Atbara', 'yes', 'HSAT', 'ATB', '', ''),
	('HSNW', 'small_airport', 'New Halfa Airport', 15.3556, 35.727798, 1480, 'SD', 'SD-05', 'New Halfa', 'no', 'HSNW', 'NHF', '', ''),
	('HSKG', 'small_airport', 'Khashm El Girba Airport', 14.925, 35.877998, 1560, 'SD', 'SD-06', 'Khashm El Girba', 'no', 'HSKG', 'GBU', '', ''),
	('HSEW', 'N/A', 'N/A', 14.286010824143887, 35.788912028074265, 522, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HHTS', 'small_airport', 'Tessenei Airport', 15.104322, 36.681711, 2018, 'ER', 'ER-GB', 'Tessenei', 'no', 'HHTS', 'TES', '', ''),
	('HSKA', 'medium_airport', 'Kassala Airport', 15.387499809265137, 36.328800201416016, 1671, 'SD', 'SD-05', 'Kassala', 'yes', 'HSKA', 'KSL', '', ''),
	('HSGF', 'closed', 'Azaza Airport', 14.121428, 35.311861, 1640, 'SD', 'SD-06', 'Al Qadarif', 'no', '', '', '', 'HSGF, HSGF, GSU'),
	('HHTE', 'N/A', 'N/A', 15.100651681423187, 36.57863572239876, 588, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSEU', 'N/A', 'N/A', 13.448547720909119, 34.62129145860672, 439, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAHU', 'small_airport', 'Humera Airport', 13.83012, 36.88237, 1930, 'ET', 'ET-TI', 'Akwi', 'no', 'HAHU', 'HUE', '', 'Himera, Himora'),
	('HADA', 'N/A', 'N/A', 13.830823861062527, 36.88163638114929, 784, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HABD', 'medium_airport', 'Bahir Dar Airport', 11.6081, 37.321602, 5978, 'ET', 'ET-AM', 'Bahir Dar', 'yes', 'HABD', 'BJR', '', 'Dejazmach Belay Zeleke'),
	('HAPW', 'small_airport', 'Beles Airport', 11.3126, 36.4164, 3695, 'ET', 'ET-BE', 'Pawe', 'no', 'HAPW', 'PWI', '', 'Pawi'),
	('HAGN', 'medium_airport', 'Gondar Airport', 12.5199, 37.433998, 6449, 'ET', 'ET-AM', 'Azezo', 'yes', 'HAGN', 'GDQ', '', 'Atse Tewodros,, Emperor Tewodros');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HSDZ', 'small_airport', 'Damazin Airport', 11.7859, 34.3367, 1582, 'SD', 'SD-24', 'Ad Damazin', 'no', 'HSDZ', 'RSS', '', ''),
	('HAAG', 'N/A', 'N/A', 9.203972071409225, 33.7588369846344, 438, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HADD', 'small_airport', 'Dembidollo Airport', 8.554, 34.858002, 5200, 'ET', 'ET-OR', 'Dembidollo', 'yes', 'HADD', 'DEM', '', ''),
	('HAFN', 'small_airport', 'Fincha Airport', 9.584387, 37.377855, 7600, 'ET', 'ET-OR', 'Fincha', 'no', 'HAFN', 'FNH', '', ''),
	('HSPH', 'N/A', 'N/A', 10.577191337943077, 34.22374337911606, 659, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAAH', 'N/A', 'N/A', 9.200296439230442, 33.96036073565483, 492, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HASO', 'medium_airport', 'Asosa Airport', 10.018500328063965, 34.586299896240234, 5100, 'ET', 'ET-BE', 'Asosa', 'yes', 'HASO', 'ASO', '', ''),
	('HAHI', 'N/A', 'N/A', 8.474104776978493, 34.02808204293251, 435, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAHB', 'N/A', 'N/A', 8.610681518912315, 33.93072992563248, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSKX', 'N/A', 'N/A', 10.479925386607647, 33.899474143981934, 523, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAAN', 'N/A', 'N/A', 9.948248863220215, 34.19486314058304, 552, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAHH', 'N/A', 'N/A', 8.684665560722351, 34.03253182768822, 457, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSPD', 'N/A', 'N/A', 6.204450689256191, 33.99489238858223, 496, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAMT', 'small_airport', 'Mizan Teferi Airport', 6.9571, 35.5547, 4396, 'ET', 'ET-SW', 'Mizan Teferi', 'yes', 'HAMT', 'MTF', '', ''),
	('HATI', 'N/A', 'N/A', 6.57413586974144, 34.66756492853165, 595, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSPA', 'small_airport', 'Pochalla Airport', 7.178563, 34.097359, 2000, 'SS', 'SS-20', 'Pochalla', 'no', 'HJPO', '', '', 'HSPA, Pachella'),
	('HAJM', 'medium_airport', 'Jimma Airport', 7.66609001159668, 36.81660079956055, 5500, 'ET', 'ET-OR', 'Jimma', 'yes', 'HAJM', 'JIM', '', ''),
	('HATP', 'small_airport', 'Tippi Airport', 7.2024, 35.415, 1100, 'ET', 'ET-SW', 'Tippi', 'yes', 'HATP', 'TIE', '', ''),
	('HAGD', 'N/A', 'N/A', 7.152742333710194, 33.85534331202507, 434, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HABC', 'small_airport', 'Baco Airport', 5.783333, 36.55, 4300, 'ET', 'ET-SN', 'Baco', 'no', 'HABC', 'BCO', '', 'Jinka'),
	('HAUN', 'N/A', 'N/A', 6.259698830544949, 35.51899865269661, 1430, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSOZ', 'N/A', 'N/A', 5.713185667991638, 34.528071731328964, 517, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAGM', 'medium_airport', 'Gambela Airport', 8.12876, 34.563099, 1614, 'ET', 'ET-GA', 'Gambela', 'yes', 'HAGM', 'GMB', '', 'Gambela National Park'),
	('HKLK', 'medium_airport', 'Lokichoggio Airport', 4.20412015914917, 34.348201751708984, 2074, 'KE', 'KE-700', 'Lokichoggio', 'yes', 'HKLK', 'LKG', '', ''),
	('HATU', 'N/A', 'N/A', 4.332285560667515, 36.907355189323425, 656, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOC', 'N/A', 'N/A', 3.135163374245167, 37.42596119642258, 385, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAGI', 'N/A', 'N/A', 5.338279902935028, 37.02278360724449, 603, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUKN', 'N/A', 'N/A', 3.705381564795971, 34.87090542912483, 609, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUKO', 'small_airport', 'Kotido Airport', 2.953, 34.1232, 4020, 'UG', 'UG-N', 'Kotido', 'no', 'HUKO', '', '', ''),
	('HUMR', 'N/A', 'N/A', 2.8464242443442345, 35.05025312304497, 726, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HALF', 'N/A', 'N/A', 4.675660282373428, 35.711607187986374, 418, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HALN', 'N/A', 'N/A', 4.30402010679245, 36.23653918504715, 419, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKLW', 'N/A', 'N/A', 3.755907341837883, 35.833875238895416, 379, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HALU', 'N/A', 'N/A', 4.281467087566853, 36.26746952533722, 442, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HALH', 'N/A', 'N/A', 4.475305639207363, 35.91420605778694, 387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HALE', 'N/A', 'N/A', 5.2872371301054955, 35.83278179168701, 429, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUKU', 'N/A', 'N/A', 3.542015589773655, 34.207884818315506, 1665, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HALI', 'N/A', 'N/A', 4.28431861102581, 35.872754752635956, 420, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSG', 'N/A', 'N/A', 3.319152854382992, 37.06410571932793, 377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKLD', 'N/A', 'N/A', 3.7051083147525787, 36.26207739114761, 373, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKFG', 'small_airport', 'Kalokol Airport', 3.49161, 35.836777, 1245, 'KE', 'KE-700', 'Kalokol', 'no', 'HKFG', 'KLK', '', 'FER, Ferguson''s Gulf'),
	('HKLO', 'medium_airport', 'Lodwar Airport', 3.12197, 35.6087, 1715, 'KE', 'KE-700', 'Lodwar', 'no', 'HKLO', 'LOK', '', ''),
	('HALC', 'N/A', 'N/A', 4.114638045430183, 35.84373861551285, 444, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HSKY', 'N/A', 'N/A', 4.304928034543991, 34.07855272293091, 759, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKLG', 'small_airport', 'Lokitaung Airport', 4.319205, 35.688641, 1805, 'KE', 'KE-700', 'Lokitaung', 'no', 'HKLG', '', '', ''),
	('HUKA', 'N/A', 'N/A', 3.810933865606785, 34.36183288693428, 864, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUBK', 'N/A', 'N/A', 1.2096675485372543, 34.796173721551895, 1974, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUAA', 'N/A', 'N/A', 1.8954916298389435, 35.387928038835526, 817, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKUB', 'N/A', 'N/A', 0.1128314808011055, 37.42336392402649, 2446, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTD', 'N/A', 'N/A', 1.273142360150814, 35.06814390420914, 2037, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOU', 'N/A', 'N/A', 0.2386515587568283, 37.07764059305191, 1871, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HKIN', 'N/A', 'N/A', 1.0148003697395325, 37.391978949308395, 933, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUAM', 'N/A', 'N/A', 2.267470769584179, 35.028714537620544, 1618, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKRA', 'N/A', 'N/A', 0.3538665175437927, 36.89139738678932, 1770, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKLZ', 'N/A', 'N/A', 2.388530932366848, 35.64886853098869, 761, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSM', 'N/A', 'N/A', 0.5828544124960899, 36.43235832452774, 1964, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKZM', 'N/A', 'N/A', 0.8867694810032845, 35.19934505224228, 1963, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKNQ', 'N/A', 'N/A', 0.1331166923046112, 37.15896427631378, 1990, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKBN', 'N/A', 'N/A', 0.5099613592028618, 36.293968856334686, 1973, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOX', 'N/A', 'N/A', 2.636406272649765, 36.93217724561691, 1668, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPQ', 'N/A', 'N/A', 0.10725919157266617, 37.27898329496384, 2301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKRF', 'N/A', 'N/A', 0.6116291508078575, 36.79909139871597, 1749, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQL', 'N/A', 'N/A', 2.172251343727112, 36.906847804784775, 918, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKNX', 'N/A', 'N/A', 0.10103277862071991, 37.30059787631035, 2397, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKEL', 'medium_airport', 'Eldoret International Airport', 0.4044579863548279, 35.23889923095703, 6941, 'KE', 'KE-700', 'Eldoret', 'yes', 'HKEL', 'EDL', '', 'HKED'),
	('HKQH', 'N/A', 'N/A', 2.3142267018556595, 36.8869449198246, 816, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKRI', 'N/A', 'N/A', 0.6439226120710373, 36.42874851822853, 1879, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKNN', 'N/A', 'N/A', 0.01566711813211441, 36.90010026097298, 1793, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMI', 'small_airport', 'Maralal (Kisima) Airport', 0.95, 36.799999, 5940, 'KE', 'KE-700', 'Maralal', 'no', 'HKMI', '', '', ''),
	('HKII', 'N/A', 'N/A', 0.42548518627882004, 37.33236685395241, 1061, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPN', 'N/A', 'N/A', 2.2431109473109245, 36.67116925120354, 605, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKLY', 'small_airport', 'Loyengalani Airport', 2.75, 36.716999, 1195, 'KE', 'KE-400', 'Loyengalani', 'no', 'HKLY', 'LOY', '', ''),
	('HKRT', 'N/A', 'N/A', 0.5126801133155823, 36.694519221782684, 1874, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKEO', 'N/A', 'N/A', 0.6523618474602699, 35.381733030080795, 2194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUNP', 'N/A', 'N/A', 2.449410706758499, 34.39642757177353, 1183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKT', 'medium_airport', 'Kitale Airport', 0.971989, 34.958599, 6070, 'KE', 'KE-700', 'Kitale', 'no', 'HKKT', 'KTL', '', ''),
	('HKTR', 'N/A', 'N/A', 0.09477920830249786, 34.28973197937012, 1301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOS', 'N/A', 'N/A', 0.36789748817682266, 37.14131757616997, 1827, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKRR', 'N/A', 'N/A', 0.17286770045757294, 36.58267825841904, 1898, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKIB', 'N/A', 'N/A', 0.2698017284274101, 37.329193353652954, 2012, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKBI', 'N/A', 'N/A', 0.602647103369236, 36.01283133029938, 986, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKLV', 'N/A', 'N/A', 0.9690516069531441, 36.01662799715996, 826, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HK0E', 'N/A', 'N/A', 0.5985486879944801, 34.73042696714401, 1504, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKIM', 'N/A', 'N/A', 0.19657272845506668, 37.468946278095245, 1711, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSL', 'N/A', 'N/A', 0.9763465449213982, 37.31479570269585, 1300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQA', 'N/A', 'N/A', 1.171296201646328, 37.252332866191864, 1314, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQB', 'N/A', 'N/A', 1.734287515282631, 37.32163846492767, 733, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPW', 'N/A', 'N/A', 0.28998401015996933, 36.89183637499809, 1717, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUTO', 'small_airport', 'Tororo Airport', 0.683, 34.167, 3840, 'UG', 'UG-E', 'Tororo', 'no', 'HUTO', 'TRY', '', ''),
	('HKOT', 'N/A', 'N/A', 1.4647439494729042, 37.07277104258537, 887, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKRM', 'N/A', 'N/A', 0.6014293804764748, 36.73639789223671, 1849, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKRB', 'N/A', 'N/A', 0.25145407766103745, 36.80517062544823, 1794, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOI', 'N/A', 'N/A', 1.8074990808963776, 36.67865440249443, 1203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTS', 'N/A', 'N/A', 0.9915962442755699, 34.85554754734039, 1861, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKIF', 'N/A', 'N/A', 0.5980273336172104, 37.31976807117462, 1001, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPK', 'N/A', 'N/A', 2.0062293112277985, 36.828918009996414, 1341, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKNT', 'N/A', 'N/A', 0.04288718104362488, 37.201538532972336, 2218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQE', 'N/A', 'N/A', 0.6595887243747711, 36.86744973063469, 1755, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKED', 'small_airport', 'Eldoret Boma Airport', 0.536926, 35.280518, 7050, 'KE', 'KE-700', 'Eldoret', 'no', '', '', '', ''),
	('HKRG', 'N/A', 'N/A', 0.028861574828624725, 35.990854650735855, 1540, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSZ', 'N/A', 'N/A', 0.23269806057214737, 37.28045627474785, 1985, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKRL', 'N/A', 'N/A', 0.07563460618257523, 37.34779849648476, 2626, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HKPJ', 'N/A', 'N/A', 2.007628083229065, 37.49229535460472, 560, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSX', 'N/A', 'N/A', 0.12853983789682388, 35.22075220942497, 2017, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPP', 'N/A', 'N/A', 0.5045436322689056, 37.00637698173523, 1773, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKBH', 'N/A', 'N/A', 0.2369275689125061, 34.22813728451729, 1258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKIA', 'N/A', 'N/A', 0.2314649149775505, 37.36416354775429, 1719, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMF', 'N/A', 'N/A', 0.7144999131560326, 36.58460050821304, 1851, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKRD', 'N/A', 'N/A', 0.41841521859169006, 36.73815876245499, 1738, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKBA', 'small_airport', 'Busia Airport', 0.4570850133895874, 34.130279541015625, 3989, 'KE', 'KE-900', 'Busia', 'no', '', '', '', ''),
	('HKTX', 'N/A', 'N/A', 1.2067124247550964, 35.68705469369888, 960, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQN', 'N/A', 'N/A', 1.0774745419621468, 37.09177181124687, 1209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKIH', 'N/A', 'N/A', 1.0582330450415611, 37.43813753128052, 842, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKBJ', 'N/A', 'N/A', 0.7242846116423607, 36.04198336601257, 1003, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOJ', 'N/A', 'N/A', 1.340610645711422, 36.85678884387016, 1176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUMO', 'small_airport', 'Moroto Airport', 2.5051, 34.5946, 4170, 'UG', 'UG-N', 'Moroto', 'no', 'HUMO', '', '', ''),
	('HKIO', 'N/A', 'N/A', 0.635736845433712, 37.37983971834183, 1001, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTG', 'N/A', 'N/A', 0.5397161096334457, 35.72805047035217, 1878, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQR', 'N/A', 'N/A', 2.1415169164538383, 36.75959140062332, 1399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKRU', 'N/A', 'N/A', 0.4129445180296898, 36.651381701231, 1796, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKRX', 'N/A', 'N/A', 0.1880265399813652, 36.90786972641945, 1741, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUAD', 'N/A', 'N/A', 2.2846191376447678, 35.429125875234604, 687, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKG', 'small_airport', 'Kakamega Airport', 0.271342009306, 34.7873001099, 5020, 'KE', 'KE-900', 'Kakamega', 'no', 'HKKG', 'GGM', '', ''),
	('HKTF', 'N/A', 'N/A', 0.31884390860795975, 35.66469267010689, 1307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTL', 'N/A', 'N/A', 0.35504300147295, 34.5270936191082, 1329, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKER', 'N/A', 'N/A', 0.6105519086122513, 35.28410643339157, 2107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKBU', 'small_airport', 'Bungoma Airport', 0.5762079954147339, 34.55345153808594, 4726, 'KE', 'KE-900', 'Bungoma', 'no', '', '', '', ''),
	('HKSY', 'N/A', 'N/A', 1.7794837430119514, 36.806868463754654, 1288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HK0G', 'N/A', 'N/A', 0.029793642461299896, 37.024619579315186, 1864, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEJN', 'large_airport', 'King Abdulaziz International Airport', 21.6796, 39.156502, 48, 'SA', 'SA-02', 'Jeddah', 'yes', 'OEJN', 'JED', '', 'Mecca, Hajj'),
	('OETF', 'medium_airport', 'Ta’if Regional Airport', 21.483001, 40.543442, 4848, 'SA', 'SA-02', 'Ta’if', 'yes', 'OETF', 'TIF', '', 'Taif Airport'),
	('OEJF', 'medium_airport', 'King Faisal Naval Base', 21.348100662231445, 39.17300033569336, 7, 'SA', 'SA-02', 'Jeddah', 'no', 'OEJF', '', '', ''),
	('OE43', 'small_airport', 'Arfa Airport', 21.323601, 41.198299, 4155, 'SA', 'SA-02', 'Ta''if', 'no', 'OE43', '', 'OE43', ''),
	('OE49', 'small_airport', 'Mecca East Airport', 21.4375, 39.994202, 1210, 'SA', 'SA-02', 'Mecca', 'no', 'OE49', '', 'OE49', ''),
	('HHAS', 'medium_airport', 'Asmara International Airport', 15.291899681091309, 38.910701751708984, 7661, 'ER', 'ER-SK', 'Asmara', 'yes', 'HHAS', 'ASM', '', ''),
	('Z10Y', 'N/A', 'N/A', 15.682799331843853, 40.10447233915329, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAAR', 'N/A', 'N/A', 14.51231013983488, 40.1253305375576, -93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HHAG', 'small_airport', 'Agordat Airport', 15.53783, 37.855481, 0, 'ER', 'ER-GB', 'Agordat', 'no', 'HHAG', '', '', ''),
	('HHBA', 'small_airport', 'Barentu Airport', 15.122394, 37.614335, 0, 'ER', 'ER-GB', 'Barentu', 'no', 'HHBA', '', '', ''),
	('HHKE', 'N/A', 'N/A', 16.673087999224663, 38.50557133555412, 1730, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HHMS', 'medium_airport', 'Massawa International Airport', 15.670000076293945, 39.37009811401367, 194, 'ER', 'ER-SK', 'Massawa', 'yes', 'HHMS', 'MSW', '', ''),
	('HHAK', 'N/A', 'N/A', 15.570164322853088, 37.50951737165451, 540, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAAX', 'medium_airport', 'Axum Airport', 14.1468, 38.7728, 6959, 'ET', 'ET-TI', 'Axum', 'yes', 'HAAX', 'AXU', '', 'Aksum, Emperor Yohannes IV Airport'),
	('HAIN', 'N/A', 'N/A', 14.079695641994476, 38.27084496617317, 1892, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAST', 'N/A', 'N/A', 12.637086622416973, 39.01855990290642, 2393, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HALL', 'small_airport', 'Lalibella Airport', 11.975000381469727, 38.97999954223633, 6506, 'ET', 'ET-AM', 'Lalibela', 'no', 'HALL', 'LLI', '', ''),
	('HADT', 'small_airport', 'Debre Tabor Airport', 11.884808, 38.009241, 8490, 'ET', 'ET-AM', 'Debre Tabor', 'no', 'HADT', 'DBT', '', ''),
	('HASM', 'small_airport', 'Semera Airport', 11.7875, 40.9915, 1390, 'ET', 'ET-AF', 'Semera', 'yes', 'HASM', 'SZE', '', ''),
	('HAMK', 'medium_airport', 'Alula Aba Nega Airport', 13.4674, 39.533501, 7396, 'ET', 'ET-TI', 'Mekelle', 'yes', 'HAMK', 'MQX', '', ''),
	('HAAB', 'large_airport', 'Addis Ababa Bole International Airport', 8.97789, 38.799301, 7630, 'ET', 'ET-AA', 'Addis Ababa', 'yes', 'HAAB', 'ADD', '', 'Haile Selassie I, Bole International Airport'),
	('HAMA', 'small_airport', 'Mekane Selam Airport', 10.7254, 38.7415, 8405, 'ET', 'ET-AM', 'Mekane Selam', 'no', 'HAMA', 'MKS', '', ''),
	('HAAL', 'small_airport', 'Lideta Army Airport', 9.003685, 38.725498, 7749, 'ET', 'ET-AA', 'Addis Ababa', 'no', 'HAAL', '', '', ''),
	('HADM', 'small_airport', 'Debre Markos Airport', 10.321501, 37.741887, 8136, 'ET', 'ET-AM', 'Debre Markos', 'no', 'HADM', 'DBM', '', 'Debre Mark''os, Debre Marqos');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HADC', 'closed', 'Combolcha Airport', 11.0825, 39.711399, 6117, 'ET', 'ET-AM', 'Dessie', 'yes', '', '', '', 'HADC, DSE'),
	('HAHM', 'medium_airport', 'Harar Meda Airport', 8.7163, 39.0059, 6201, 'ET', 'ET-OR', 'Debre Zeyit', 'no', 'HAHM', 'QHR', '', 'አባጤናደጃ ደጃደጃ'),
	('HASL', 'N/A', 'N/A', 7.966763935983181, 39.11639168858528, 2266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAGB', 'small_airport', 'Robe Airport', 7.119033, 40.045166, 7892, 'ET', 'ET-OR', 'Goba', 'no', 'HAGB', 'GOB', '', ''),
	('HASK', 'small_airport', 'Shakiso Airport', 5.6923, 38.9764, 5815, 'ET', 'ET-OR', 'Shakiso', 'no', 'HASK', 'SKR', '', ''),
	('HAAM', 'medium_airport', 'Arba Minch Airport', 6.03939, 37.5905, 3901, 'ET', 'ET-SN', 'Arba Minch', 'yes', 'HAAM', 'AMH', '', 'Gantar, Minghi'),
	('HADO', 'small_airport', 'Dodola Airport', 7.02056, 39.051102, 8234, 'ET', 'ET-OR', 'Dodola', 'no', 'HADO', '', '', ''),
	('MYS', 'small_airport', 'Moyale Airport', 3.5623, 39.0433, 3887, 'ET', 'ET-OR', 'Moyale', 'no', '', 'MYS', '', ''),
	('HANG', 'small_airport', 'Negele Airport', 5.2897, 39.7023, 5230, 'ET', 'ET-OR', 'Negele Borana', 'no', 'HANG', 'EGL', '', 'Neghelle'),
	('HKSU', 'N/A', 'N/A', 3.8942308723926544, 40.31543433666229, 921, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HK0B', 'N/A', 'N/A', 3.925011232495308, 41.224028170108795, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOP', 'N/A', 'N/A', 3.3375363796949387, 39.41420629620552, 649, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKEW', 'small_airport', 'El Wak Airport', 2.732842, 40.927505, 0, 'KE', 'KE-500', 'El Wak', 'no', 'HKEW', '', '', ''),
	('HKMY', 'small_airport', 'Moyale Airport', 3.46972, 39.101398, 2790, 'KE', 'KE-400', 'Moyale (Lower)', 'no', 'HKMY', 'OYL', '', ''),
	('HKST', 'N/A', 'N/A', 3.55553325265646, 38.6446076631546, 698, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSS', 'N/A', 'N/A', 3.426617570221424, 40.229784697294235, 602, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKIG', 'N/A', 'N/A', 0.5914522334933281, 37.586630433797836, 862, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKWF', 'N/A', 'N/A', 2.212398312985897, 40.74881449341774, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPI', 'N/A', 'N/A', 2.0137016102671623, 37.518108040094376, 529, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMW', 'N/A', 'N/A', 0.1629016175866127, 38.193980008363724, 599, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQS', 'N/A', 'N/A', 1.5775569900870323, 37.81055822968483, 578, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKWJ', 'medium_airport', 'Wajir Airport', 1.73324, 40.091599, 770, 'KE', 'KE-500', 'Wajir', 'yes', 'HKWJ', 'WJR', '', ''),
	('HKUD', 'N/A', 'N/A', 0.01576736569404602, 38.20141464471817, 500, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKGT', 'small_airport', 'Garba Tula Airport', 0.533333, 38.516667, 2000, 'KE', 'KE-400', 'Garba Tula', 'no', 'HKGT', '', '', ''),
	('HKGI', 'N/A', 'N/A', 0.05876854062080383, 40.31724393367767, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOQ', 'N/A', 'N/A', 0.6668504700064659, 37.91034981608391, 765, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKIJ', 'N/A', 'N/A', 0.6098334118723869, 37.53007784485817, 991, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKGB', 'N/A', 'N/A', 0.7199511677026749, 39.180113822221756, 270, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKIE', 'N/A', 'N/A', 0.6949751079082489, 37.613870054483414, 898, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKON', 'N/A', 'N/A', 2.5064609572291374, 37.56564795970917, 428, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOB', 'N/A', 'N/A', 1.994592547416687, 37.91653499007225, 471, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMK', 'small_airport', 'Mulika Lodge Airport', 0.165083, 38.195141, 2230, 'KE', 'KE-400', 'Meru-Kinna', 'yes', 'HKMK', 'JJM', '', 'Meru National Park'),
	('HKIS', 'small_airport', 'Isiolo Airport', 0.338171, 37.591694, 3495, 'KE', 'KE-400', 'Isiolo', 'no', 'HKIS', '', '', ''),
	('HKGD', 'N/A', 'N/A', 0.41107267141342163, 41.00004941225052, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOF', 'N/A', 'N/A', 0.11901900172233582, 38.26815828680992, 527, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOO', 'N/A', 'N/A', 2.801385261118412, 39.48121905326843, 499, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSB', 'small_airport', 'Samburu Airport', 0.534069, 37.531991, 3295, 'KE', 'KE-700', 'Samburu', 'no', 'HKSB', 'UAS', '', 'Buffalo Spring'),
	('HKPX', 'N/A', 'N/A', 0.1243797317147255, 38.12983229756355, 666, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKIK', 'N/A', 'N/A', 0.6582268327474594, 37.70074188709259, 812, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKWA', 'N/A', 'N/A', 1.0162708908319473, 39.50566068291664, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKID', 'N/A', 'N/A', 1.0641000419855118, 37.72001087665558, 751, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKWC', 'N/A', 'N/A', 1.7819473519921303, 39.93405640125275, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQI', 'N/A', 'N/A', 2.544630467891693, 37.94431373476982, 678, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMB', 'small_airport', 'Marsabit Airport', 2.344254, 37.999996, 4395, 'KE', 'KE-400', 'Marsabit', 'no', 'HKMB', 'RBT', '', '6122'),
	('HKUE', 'N/A', 'N/A', 1.5548691898584366, 38.23081970214844, 380, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPU', 'N/A', 'N/A', 1.0902676731348038, 38.59953001141548, 336, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKGC', 'N/A', 'N/A', 0.3486023470759392, 40.881880670785904, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OEBA', 'medium_airport', 'King Saud Bin Abdulaziz (Al Baha) Airport', 20.298506, 41.636153, 5486, 'SA', 'SA-11', 'Al-Baha', 'yes', 'OEBA', 'ABT', '', 'Al-Aqiq'),
	('OEBH', 'medium_airport', 'Bisha Airport', 19.9844, 42.620899, 3887, 'SA', 'SA-14', 'Bisha', 'yes', 'OEBH', 'BHH', '', ''),
	('OE46', 'small_airport', 'Al Lidem Airport', 20.475900650024414, 44.75749969482422, 2225, 'SA', 'SA-01', '', 'no', 'OE46', '', 'OE46', ''),
	('OEGN', 'medium_airport', 'Jizan Regional Airport / King Abdullah bin Abdulaziz Airport', 16.9011, 42.5858, 20, 'SA', 'SA-09', 'Jizan', 'yes', 'OEGN', 'GIZ', '', 'Gizan');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OYSH', 'small_airport', 'Sadah Airport', 16.967542, 43.728103, 5938, 'YE', 'YE-SD', 'Sa''dah', 'no', 'OYSH', 'SYE', '', ''),
	('OEKM', 'medium_airport', 'King Khalid Air Base', 18.2973, 42.803501, 6778, 'SA', 'SA-14', 'Khamis Mushait', 'no', 'OEKM', 'KMX', '', ''),
	('OEAB', 'medium_airport', 'Abha International Airport', 18.2404, 42.656601, 6858, 'SA', 'SA-14', 'Abha', 'yes', 'OEAB', 'AHB', '', 'Abha Regional Airport'),
	('OE48', 'small_airport', 'Quz South Airport', 18.8932, 41.355, 200, 'SA', 'SA-02', 'Quz', 'no', 'OE48', '', 'OE48', ''),
	('OENG', 'medium_airport', 'Najran Domestic Airport', 17.611401, 44.419201, 3982, 'SA', 'SA-10', 'Najran', 'yes', 'OENG', 'EAM', '', ''),
	('OYBQ', 'small_airport', 'Al-Bough Airport', 17.350352, 44.625542, 3800, 'YE', 'YE-SD', 'Al-Bough', 'no', 'OYBQ', 'BUK', '', 'Albuq, Al Buq, Albuqa'),
	('OEKH', 'N/A', 'N/A', 18.041220121085644, 42.85086750984192, 2439, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OYBS', 'N/A', 'N/A', 16.00833334028721, 43.17777782678604, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OYZM', 'small_airport', 'Al-Hazm Airport', 16.200001, 44.783001, 3200, 'YE', 'YE-JA', 'Al-Hazm', 'no', 'OYZM', '', '', ''),
	('OYHD', 'medium_airport', 'Hodeidah International Airport', 14.753000259399414, 42.97629928588867, 41, 'YE', 'YE-HU', 'Hodeida', 'yes', 'OYHD', 'HOD', '', 'Al Hudaydah International Airport'),
	('OYSN', 'medium_airport', 'Sana''a International Airport', 15.476300239562988, 44.21969985961914, 7216, 'YE', 'YE-SN', 'Sana''a', 'yes', 'OYSN', 'SAH', '', ''),
	('HDAM', 'large_airport', 'Djibouti-Ambouli Airport', 11.5473, 43.1595, 49, 'DJ', 'DJ-DJ', 'Djibouti City', 'yes', 'HDAM', 'JIB', '', 'Camp Lemonnier'),
	('HDCH', 'small_airport', 'Chabelley Airport', 11.516799926757813, 43.0614013671875, 279, 'DJ', 'DJ-AR', 'Chabelley', 'no', 'HDCH', '', '', ''),
	('OY74', 'medium_airport', 'Al Anad Air Base', 13.1747, 44.765099, 900, 'YE', 'YE-LA', 'Al Anad', 'no', '', '', '', 'OY74'),
	('HDOB', 'small_airport', 'Obock Airport', 11.967000007629395, 43.266998291015625, 69, 'DJ', 'DJ-OB', 'Obock', 'no', 'HDOB', 'OBC', '', ''),
	('HHSB', 'medium_airport', 'Assab International Airport', 13.071800231933594, 42.64500045776367, 46, 'ER', 'ER-DK', 'Asab', 'yes', 'HHSB', 'ASA', '', ''),
	('OYTZ', 'medium_airport', 'Ta''izz International Airport', 13.6859998703, 44.139099121099996, 4838, 'YE', 'YE-TA', 'Ta''izz', 'yes', 'OYTZ', 'TAI', '', 'Ganed Airport'),
	('HDTJ', 'small_airport', 'Tadjoura Airport', 11.787037, 42.917376, 246, 'DJ', 'DJ-TA', 'Tadjoura', 'no', 'HDTJ', 'TDJ', '', ''),
	('HCMI', 'medium_airport', 'Berbera Airport', 10.385035, 44.936723, 30, 'SO', 'SO-WO', 'Berbera', 'yes', 'HCMI', 'BBO', '', ''),
	('HAJJ', 'medium_airport', 'Wilwal International Airport', 9.3325, 42.9121, 5954, 'ET', 'ET-SO', 'Jijiga', 'yes', 'HAJJ', 'JIJ', '', 'Garaad Wiil-Waal'),
	('Z09C', 'N/A', 'N/A', 11.04284729808569, 42.96819403767586, 469, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HDDK', 'small_airport', 'Dikhil Airport', 11.097958, 42.350556, 1520, 'DJ', 'DJ-DI', 'Dikhil', 'no', 'HDDK', '', '', ''),
	('HDAS', 'small_airport', 'Ali-Sabieh Airport', 11.146889, 42.72, 2313, 'DJ', 'DJ-AS', 'Ali-Sabieh', 'no', 'HDAS', 'AII', '', ''),
	('HCBK', 'N/A', 'N/A', 9.946115501224995, 43.14995661377907, 1469, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAJI', 'N/A', 'N/A', 9.362822882831097, 42.7894127368927, 1670, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HADR', 'medium_airport', 'Aba Tenna Dejazmach Yilma International Airport', 9.624699592590332, 41.85419845581055, 3827, 'ET', 'ET-DD', 'Dire Dawa', 'yes', 'HADR', 'DIR', '', ''),
	('HCMH', 'medium_airport', 'Egal International Airport', 9.513207, 44.082389, 4471, 'SO', 'SO-WO', 'Hargeisa', 'yes', 'HCMH', 'HGA', '', 'Madaarka Caalamiga a ee Cigaal, مطار هرجيسا إيغال الدولية‎)'),
	('HAKD', 'medium_airport', 'Kebri Dahar Airport', 6.732577, 44.241339, 1800, 'ET', 'ET-SO', 'Kebri Dahar', 'yes', 'HAKD', 'ABK', '', 'Kabri Dar'),
	('HCYE', 'N/A', 'N/A', 6.065266840159893, 43.7990140914917, 584, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAGO', 'medium_airport', 'Gode Airport', 5.93513011932, 43.5786018372, 834, 'ET', 'ET-SO', 'Gode', 'yes', 'HAGO', 'GDE', '', 'Iddiole'),
	('HIL', 'small_airport', 'Shilavo Airport', 6.077545, 44.763736, 1296, 'ET', 'ET-SO', 'Shilavo', 'yes', 'HASL', 'HIL', '', 'Shillavo, Shilabo, Scilave, ሺላቮ'),
	('HAKL', 'small_airport', 'Kelafo East Airport', 5.6570000648498535, 44.349998474121094, 1730, 'ET', 'ET-SO', 'Kelafo', 'no', 'HAKL', 'LFO', '', ''),
	('HCGR', 'N/A', 'N/A', 3.1550341844558716, 42.52452537417412, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKUI', 'N/A', 'N/A', 4.149301573634148, 42.079561203718185, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCWA', 'N/A', 'N/A', 3.828842304646969, 43.24813485145569, 374, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOH', 'N/A', 'N/A', 3.567112013697624, 41.51203081011772, 374, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCMJ', 'small_airport', 'Lugh Ganane Airport', 3.8124, 42.5459, 507, 'SO', 'SO-GE', 'Luuq', 'no', 'HCMJ', 'LGX', '', 'Luuq Ganaane'),
	('HKMA', 'small_airport', 'Mandera Airport', 3.934045, 41.844437, 805, 'KE', 'KE-500', 'Mandera', 'no', 'HKMA', 'NDE', '', ''),
	('GBM', 'small_airport', 'Garbaharey Airport', 3.32294, 42.21309, 755, 'SO', 'SO-GE', 'Garbaharey', 'no', '', 'GBM', '', 'Garbahaareey, Garba Harre'),
	('HCMB', 'small_airport', 'Baidoa Airport', 3.10192, 43.627137, 1820, 'SO', 'SO-BY', 'Baidoa', 'no', 'HCMB', 'BIB', '', ''),
	('HCMD', 'small_airport', 'Baardheere Airport', 2.330195, 42.311802, 396, 'SO', 'SO-GE', 'Baardheere', 'no', 'HCMD', 'BSY', '', 'Bardera'),
	('HCDU', 'N/A', 'N/A', 1.2683583050966263, 42.58848801255226, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCBD', 'N/A', 'N/A', 2.4283603951334953, 42.97124192118645, 327, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCAF', 'N/A', 'N/A', 2.0052824914455414, 44.986857175827026, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HC01', 'small_airport', 'Baledogle Airfield', 2.670742, 44.792897, 297, 'SO', 'SO-SH', 'Wanlaweyn', 'no', 'HC01', '', 'HC01', 'Wanlawayn Airport'),
	('OEWD', 'medium_airport', 'Wadi Al Dawasir Domestic Airport', 20.504299, 45.1996, 2062, 'SA', 'SA-01', 'Wadi Al Dawasir', 'yes', 'OEWD', 'WAE', '', ''),
	('OESL', 'small_airport', 'As-Sulayyil Airport', 20.464701, 45.619598, 2021, 'SA', 'SA-01', 'As-Sulayyil', 'no', 'OESL', 'SLF', '', ''),
	('OESH', 'medium_airport', 'Sharurah Domestic Airport', 17.4669, 47.121399, 2363, 'SA', 'SA-10', 'Sharurah', 'yes', 'OESH', 'SHW', '', ''),
	('OYBD', 'N/A', 'N/A', 14.099999964237213, 45.43333321809769, 1865, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OYAU', 'N/A', 'N/A', 15.321304611861706, 45.973921716213226, 971, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OYAB', 'small_airport', 'Abs Airport', 16.010983, 43.176771, 651, 'YE', 'YE-SN', 'Abs', 'no', 'OYBS', 'EAB', '', 'Abbs, Abbse');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OYMB', 'small_airport', 'Marib Airport', 15.469228, 45.327272, 3300, 'YE', 'YE-MA', 'Marib', 'no', 'OYMB', 'MYN', '', ''),
	('OYAT', 'medium_airport', 'Ataq Airport', 14.5513, 46.826199, 3735, 'YE', 'YE-SH', 'Ataq', 'no', 'OYAT', 'AXK', '', ''),
	('OYBN', 'small_airport', 'Beihan Airport', 14.781714, 45.719703, 3800, 'YE', 'YE-SH', 'Beihan', 'no', 'OYBN', 'BHN', '', ''),
	('OYAH', 'N/A', 'N/A', 15.552973710000515, 45.78451842069626, 982, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OYAS', 'N/A', 'N/A', 14.732743799686432, 47.731551826000214, 1097, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OYMS', 'small_airport', 'Mukeiras Airport', 13.9368, 45.657, 7080, 'YE', 'YE-BA', 'Mukayras', 'no', 'OYMS', 'UKR', '', 'Mukayras, OYMK'),
	('OYAA', 'medium_airport', 'Aden International Airport', 12.8295, 45.028801, 7, 'YE', 'YE-AD', 'Aden', 'yes', 'OYAA', 'ADE', '', 'RAF Khormaksar'),
	('HCMP', 'N/A', 'N/A', 8.567682020366192, 47.3454487323761, 633, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCLA', 'N/A', 'N/A', 11.17365125566721, 48.21473479270935, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCMW', 'small_airport', 'Garowe Airport', 8.457942, 48.567407, 1465, 'SO', 'SO-NU', 'Garowe', 'yes', 'HCGR', 'GGR', '', 'HCMW, Puntland, General Mohamed Abshir'),
	('HCMU', 'small_airport', 'Erigavo Airport', 10.642050549, 47.3879814148, 5720, 'SO', 'SO-SA', 'Erigavo', 'no', 'HCMU', 'ERA', '', ''),
	('HCGA', 'N/A', 'N/A', 6.983877159655094, 46.42061993479729, 423, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCDA', 'N/A', 'N/A', 6.180771812796593, 46.1941422522068, 359, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AAD', 'small_airport', 'Adado Airport', 6.095802, 46.6375, 1001, 'SO', 'SO-GA', 'Adado', 'no', '', 'AAD', '', 'Cadaado Airport'),
	('HAWR', 'small_airport', 'Warder Airport', 6.9724, 45.3334, 1850, 'ET', 'ET-SO', 'Warder', 'no', 'HAWR', 'WRA', '', ''),
	('HCMR', 'small_airport', 'Galcaio Airport', 6.78082990646, 47.45470047, 975, 'SO', 'SO-MU', 'Galcaio', 'yes', 'HCMR', 'GLK', '', 'Galkacyo Airport'),
	('HCDS', 'N/A', 'N/A', 5.472704842686653, 46.360555440187454, 252, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCDH', 'N/A', 'N/A', 5.317303016781807, 45.98519414663315, 282, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCMN', 'small_airport', 'Beledweyne Airport', 4.766976, 45.2388, 559, 'SO', 'SO-HI', 'Beledweyne', 'yes', 'HCMN', 'BLW', '', 'Belet Uen, Beletweyn, Duqow Ahmed Fiidow, Beletwene'),
	('HCML', 'N/A', 'N/A', 2.1214543282985687, 45.26813328266144, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCMM', 'medium_airport', 'Aden Adde International Airport', 2.0144400596618652, 45.3046989440918, 29, 'SO', 'SO-BN', 'Mogadishu', 'yes', 'HCMM', 'MGQ', '', 'HCCM'),
	('OEOM', 'small_airport', 'Umm Al Melh Border Guards Airport', 19.11176, 50.127353, 860, 'SA', 'SA-10', 'Umm Al Melh', 'no', 'OEOM', '', '', ''),
	('OYRM', 'N/A', 'N/A', 17.4649029225111, 50.592617243528366, 683, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OYTA', 'N/A', 'N/A', 18.398427329957485, 49.12556514143944, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OYBA', 'small_airport', 'Al Badie Airport', 18.720709, 50.835771, 908, 'YE', 'YE-HD', 'Dhula''', 'no', 'OYBA', '', '', ''),
	('OYAI', 'N/A', 'N/A', 14.703491628170013, 49.49627235531807, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OYRN', 'medium_airport', 'Riyan Mukalla International Airport', 14.6626, 49.375, 54, 'YE', 'YE-HD', 'Riyan', 'yes', 'OYRN', 'RIY', '', 'ريان المكلا الدولي'),
	('OY75', 'small_airport', 'Canoxy Airport', 15.6018, 49.0807, 3300, 'YE', 'YE-HD', 'Heru', 'no', 'OY75', '', 'OY75', ''),
	('OYSY', 'medium_airport', 'Seiyun Hadhramaut International Airport', 15.9661, 48.7883, 2097, 'YE', 'YE-HD', 'Seiyun', 'yes', 'OYSY', 'GXF', '', ''),
	('OYGD', 'medium_airport', 'Al Ghaydah International Airport', 16.193341, 52.174186, 134, 'YE', 'YE-MR', 'Al Ghaydah', 'yes', 'OYGD', 'AAY', '', 'ODAG'),
	('HCMF', 'small_airport', 'Bosaso / Bender Qassim International Airport', 11.275235, 49.139231, 3, 'SO', 'SO-BR', 'Bosaso', 'yes', 'HCMF', 'BSA', '', ''),
	('HCMA', 'small_airport', 'Caluula Airport', 11.9582, 50.748, 6, 'SO', 'SO-BR', 'Caluula', 'no', 'HCMA', 'ALU', '', 'Alula'),
	('HCBA', 'N/A', 'N/A', 10.44487327337265, 51.24645620584488, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCBG', 'N/A', 'N/A', 10.415944643318653, 51.32503643631935, 165, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCMG', 'small_airport', 'Gardo Airport', 9.545975, 49.119148, 2632, 'SO', 'SO-BR', 'Gardo', 'no', 'HCMG', 'GSR', '', ''),
	('HCME', 'small_airport', 'Eil Airport', 8.104, 49.82, 879, 'SO', 'SO-NU', 'Eyl', 'no', 'HCME', 'HCM', '', 'Eyl'),
	('OEAD', 'N/A', 'N/A', 21.21872216463089, 55.262250155210495, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OOYB', 'small_airport', 'Yibal Airport', 22.2015, 56.034401, 0, 'OM', 'OM-ZA', 'Yibal', 'no', 'OOYB', '', '', 'Jibal'),
	('BJQ', 'small_airport', 'Bahja Airport', 19.8730555556, 56.067777777799996, 515, 'OM', 'OM-WU', 'Bahja', 'no', '', 'BJQ', '', ''),
	('OOSL', 'N/A', 'N/A', 17.708832062780857, 54.62520316243172, 460, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OO42', 'small_airport', 'Manston Air Base', 16.990400314331055, 53.35879898071289, 3182, 'OM', 'OM-ZU', 'Manston', 'no', '', '', '', 'OO42'),
	('OYSI', 'N/A', 'N/A', 17.868706472218037, 52.698795050382614, 488, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OOMX', 'small_airport', 'Marmul Airport', 18.138999, 55.179005, 925, 'OM', 'OM-ZU', 'Marmul', 'no', 'OOMX', 'OMM', '', ''),
	('OOTH', 'medium_airport', 'Thumrait Air Base', 17.666, 54.024601, 1570, 'OM', 'OM-ZU', 'Thumrait', 'no', 'OOTH', 'TTH', '', ''),
	('OOSA', 'medium_airport', 'Salalah Airport', 17.038700103759766, 54.09130096435547, 73, 'OM', 'OM-ZU', 'Salalah', 'yes', 'OOSA', 'SLL', '', 'مطار صلالة'),
	('OYSQ', 'medium_airport', 'Socotra International Airport', 12.63070011138916, 53.905799865722656, 146, 'YE', 'YE-HD', 'Socotra Islands', 'yes', 'OYSQ', 'SCT', '', ''),
	('OOFD', 'small_airport', 'Fahud Airport', 22.354759, 56.484146, 552, 'OM', 'OM-ZA', 'Fahud', 'no', 'OOFD', 'FAU', '', ''),
	('OOMA', 'medium_airport', 'RAFO Masirah', 20.6754, 58.890499, 64, 'OM', 'OM-SH', 'Masirah', 'no', 'OOMA', 'MSH', '', ''),
	('OOGB', 'small_airport', 'Qarn Alam Airport', 21.377199, 57.056293, 443, 'OM', 'OM-WU', 'Ghaba', 'no', 'OOGB', 'RNM', '', ''),
	('OOAD', 'N/A', 'N/A', 22.492460645735264, 57.383370995521545, 328, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OOHA', 'small_airport', 'Haima Airport', 19.975608, 56.282444, 400, 'OM', 'OM-WU', 'Haima', 'no', 'OOHA', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OOJA', 'small_airport', 'Ja''Aluni Airport', 19.4749, 57.3083, 560, 'OM', 'OM-WU', 'Duqm', 'no', 'OOJA', 'JNJ', '', ''),
	('OODQ', 'N/A', 'N/A', 19.500013925135136, 57.64283046126366, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OOMK', 'N/A', 'N/A', 19.38998904079199, 56.397791504859924, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OOHY', 'N/A', 'N/A', 19.249511696398258, 57.071219980716705, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPQ', 'N/A', 'N/A', -2.106838971376419, 33.11169192194939, 1176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HRYN', 'small_airport', 'Nemba Airport', -2.33299994469, 30.2000007629, 4905, 'RW', 'RW-02', 'Nemba', 'no', 'HRYN', '', '', ''),
	('HTNR', 'small_airport', 'Ngara Airport', -2.54179, 30.7031, 5030, 'TZ', 'TZ-05', 'Ngara', 'no', 'HTNR', '', '', ''),
	('HTPP', 'N/A', 'N/A', -2.643818221986294, 32.6565545797348, 1260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HRKI', 'N/A', 'N/A', -2.2308817505836487, 30.181061625480652, 1454, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPO', 'N/A', 'N/A', -1.7296724393963814, 31.57905712723732, 1453, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HBBO', 'small_airport', 'Kirundo Airport', -2.544772, 30.094575, 4511, 'BI', 'BI-KI', 'Kirundo', 'yes', 'HBBO', 'KRE', '', ''),
	('HTMW', 'medium_airport', 'Mwanza Airport', -2.4444899559020996, 32.932701110839844, 3763, 'TZ', 'TZ-18', 'Mwanza', 'yes', 'HTMW', 'MWZ', '', ''),
	('HTBG', 'N/A', 'N/A', -1.5517564862966537, 31.10534280538559, 1545, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTNY', 'N/A', 'N/A', -2.602413296699524, 33.67608368396759, 1191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HRYR', 'large_airport', 'Kigali International Airport', -1.96863, 30.1395, 4859, 'RW', 'RW-01', 'Kigali', 'yes', 'HRYR', 'KGL', '', 'Gregoire Kayibanda International Airport, Kanombe International Airport'),
	('HUBY', 'N/A', 'N/A', -0.9282702952623367, 31.43815889954567, 1164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HUMA', 'small_airport', 'Mbarara Airport', -0.555278, 30.5994, 4600, 'UG', 'UG-W', 'Mbarara', 'no', 'HUMA', 'MBQ', '', 'Nyakisharara Airport'),
	('HUNY', 'N/A', 'N/A', -1.0749120265245438, 30.51596760749817, 1275, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLG', 'N/A', 'N/A', -1.2336381152272224, 31.326826214790344, 1168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTBU', 'small_airport', 'Bukoba Airport', -1.332, 31.8212, 3784, 'TZ', 'TZ-05', 'Bukoba', 'yes', 'HTBU', 'BKZ', '', ''),
	('HTNZ', 'N/A', 'N/A', -4.080243743956089, 33.15999627113342, 1164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLT', 'N/A', 'N/A', -4.185122810304165, 31.293340176343918, 1114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTGI', 'N/A', 'N/A', -2.813579924404621, 32.17238366603851, 1213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HBRU', 'N/A', 'N/A', -3.47138162702322, 30.23139998316765, 1584, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKF', 'N/A', 'N/A', -3.837912529706955, 30.640302300453186, 1338, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKU', 'N/A', 'N/A', -4.549200162291527, 30.10213315486908, 1240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTUR', 'small_airport', 'Urambo Airport', -5.075635, 32.079868, 3600, 'TZ', 'TZ-24', 'Urambo', 'no', 'HTUR', '', '', ''),
	('HTPC', 'N/A', 'N/A', -4.4258373230695724, 33.44946160912514, 1288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMD', 'small_airport', 'Mwadui Airport', -3.521332, 33.615542, 3970, 'TZ', 'TZ-22', 'Mwadui', 'no', 'HTMD', 'MWN', '', ''),
	('HTUN', 'N/A', 'N/A', -4.79377705603838, 30.712253898382187, 1167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTUY', 'N/A', 'N/A', -3.2106782868504524, 31.54646024107933, 1183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLY', 'N/A', 'N/A', -3.095134422183037, 32.01967343688011, 1227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTUV', 'small_airport', 'Uvinza Airport', -5.090771, 30.406772, 563, 'TZ', 'TZ-08', 'Uvinza', 'no', 'HTUV', '', '', ''),
	('HTSY', 'small_airport', 'Shinyanga Airport', -3.6093, 33.5035, 3800, 'TZ', 'TZ-22', 'Shinyanga', 'yes', 'HTSY', 'SHY', '', ''),
	('HTNW', 'N/A', 'N/A', -3.2292579486966133, 32.47337803244591, 1204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTTB', 'small_airport', 'Tabora Airport', -5.07639, 32.833302, 3868, 'TZ', 'TZ-24', 'Tabora', 'yes', 'HTTB', 'TBO', '', ''),
	('HTKB', 'small_airport', 'Kibondo Airport', -3.525979995727539, 30.650400161743164, 4262, 'TZ', 'TZ-08', 'Kibondo', 'no', 'HTKB', '', '', ''),
	('HTPM', 'N/A', 'N/A', -5.04278127104044, 31.799182891845703, 1092, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HBBK', 'small_airport', 'Gihohi Airport', -4.0342, 30.1318, 4065, 'BI', 'BI-RT', 'Gihohi', 'no', 'HBBK', '', '', ''),
	('HTIU', 'N/A', 'N/A', -4.818631410598755, 33.71245086193085, 1143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTNU', 'N/A', 'N/A', -4.804891794919968, 31.27653568983078, 1073, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKQ', 'N/A', 'N/A', -5.768897496163845, 31.72243505716324, 1071, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKR', 'N/A', 'N/A', -5.713095813989639, 31.831579953432083, 1072, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTUI', 'N/A', 'N/A', -5.905087664723396, 30.08329287171364, 1110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLC', 'N/A', 'N/A', -7.868107259273529, 32.4844229221344, 1170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPL', 'N/A', 'N/A', -7.449994459748268, 30.607727766036987, 794, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTNE', 'N/A', 'N/A', -6.631463058292866, 31.134948134422302, 983, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTDB', 'N/A', 'N/A', -7.917892076075077, 33.5524146258831, 1422, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTUS', 'N/A', 'N/A', -6.9090428575873375, 31.16683781147003, 923, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTSM', 'N/A', 'N/A', -7.599308006465435, 32.30610206723213, 1212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTON', 'N/A', 'N/A', -5.8389899879693985, 31.460057348012924, 1070, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HTIC', 'N/A', 'N/A', -7.107126340270042, 32.48167097568512, 1093, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLK', 'N/A', 'N/A', -6.159339286386967, 30.297908037900925, 1677, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTIG', 'N/A', 'N/A', -6.339285671710968, 31.849714815616608, 1114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTIO', 'N/A', 'N/A', -7.232709378004074, 32.06307873129845, 1009, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTSU', 'small_airport', 'Sumbawanga Airport', -7.948889, 31.610278, 5960, 'TZ', 'TZ-20', 'Sumbawanga', 'no', 'HTSU', 'SUT', '', ''),
	('HTIB', 'N/A', 'N/A', -7.204644083976746, 32.92572274804115, 1177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTUE', 'N/A', 'N/A', -6.783991903066635, 31.367912739515305, 981, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLH', 'N/A', 'N/A', -8.357382752001286, 32.10257738828659, 862, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTNS', 'N/A', 'N/A', -6.935679875314236, 33.53013128042221, 1247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMP', 'small_airport', 'Mpanda Airport', -6.355374, 31.084116, 3520, 'TZ', 'TZ-20', 'Mpanda', 'no', 'HTMP', 'NPY', '', ''),
	('HTPF', 'N/A', 'N/A', -5.784929394721985, 31.355160623788834, 1071, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTIY', 'small_airport', 'Inyonga Airport', -6.719232, 32.062657, 3790, 'TZ', 'TZ-20', 'Inyonga', 'no', 'HTIY', '', '', ''),
	('HTPK', 'N/A', 'N/A', -8.241601511836052, 30.570325255393982, 827, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTID', 'N/A', 'N/A', -6.321846283972263, 32.56232365965843, 1103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTSK', 'N/A', 'N/A', -5.627737864851952, 32.76172712445259, 1178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMB', 'small_airport', 'Mbeya Airport', -8.919444, 33.463889, 5600, 'TZ', 'TZ-14', 'Mbeya', 'no', 'HTMB', '', '', ''),
	('FLEE', 'small_airport', 'East Five Airport', -10.539075, 33.406194, 4200, 'ZM', 'ZM-10', 'Chidulka', 'no', 'FLEE', '', '', ''),
	('FLKS', 'small_airport', 'Kasama Airport', -10.210169, 31.123045, 4541, 'ZM', 'ZM-05', 'Kasama', 'yes', 'FLKS', 'KAA', '', ''),
	('HTCH', 'small_airport', 'Chunya Airport', -8.558318, 33.436368, 5000, 'TZ', 'TZ-14', 'Chunya', 'no', 'HTCH', '', '', ''),
	('HTGW', 'medium_airport', 'Songwe Airport', -8.919942, 33.273981, 4412, 'TZ', 'TZ-14', 'Mbeya', 'yes', 'HTGW', 'MBI', '', ''),
	('FLEB', 'small_airport', 'East Two Airport', -11.1034002304, 30.3381996155, 3900, 'ZM', 'ZM-05', 'Mofu', 'no', 'FLEB', '', '', ''),
	('FLIK', 'small_airport', 'Isoka Airport', -10.161962, 32.65975, 4462, 'ZM', 'ZM-10', 'Isoka', 'no', 'FLIK', '', '', ''),
	('FLEF', 'small_airport', 'East Six Airport', -11.134200096099999, 30.01720047, 3800, 'ZM', 'ZM-05', 'Chiwanangala', 'no', 'FLEF', '', '', ''),
	('FLCL', 'N/A', 'N/A', -10.58246724307537, 32.07971602678299, 1339, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLPK', 'small_airport', 'Mporokoso Airport', -9.3697, 30.128, 4787, 'ZM', 'ZM-05', 'Mporokoso', 'no', 'FLPK', '', '', ''),
	('FLSH', 'small_airport', 'Shiwa n''gandu Airport', -11.2009, 31.748199, 4600, 'ZM', 'ZM-10', 'Shiwa n''gandu', 'no', 'FLSH', '', '', ''),
	('FLKY', 'small_airport', 'Kasaba Bay Airport', -8.525, 30.663, 2780, 'ZM', 'ZM-05', 'Kasaba Bay', 'no', 'FLKY', 'ZKB', '', ''),
	('FLBA', 'small_airport', 'Mbala Airport', -8.85917, 31.336399, 5454, 'ZM', 'ZM-05', 'Mbala', 'no', 'FLBA', 'MMQ', '', ''),
	('FLLD', 'small_airport', 'Lundazi Airport', -12.28600025177002, 33.18600082397461, 3750, 'ZM', 'ZM-03', 'Lundazi', 'no', 'FLLD', '', '', ''),
	('FWLP', 'small_airport', 'Lifupa Airport', -13.05, 33.150002, 3326, 'MW', 'MW-KS', 'Lifupa', 'no', 'FWLP', '', '', ''),
	('FLMP', 'small_airport', 'Mpika Airport', -11.899366, 31.434681, 4600, 'ZM', 'ZM-10', 'Mpika', 'no', 'FLMP', '', '', ''),
	('FLCF', 'N/A', 'N/A', -11.884867139160633, 32.56830632686615, 640, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLCP', 'small_airport', 'Chipata Airport', -13.558300018310547, 32.58720016479492, 3360, 'ZM', 'ZM-03', 'Chipata', 'yes', 'FLCP', 'CIP', '', ''),
	('FWLI', 'N/A', 'N/A', -13.991034887731075, 33.3277952671051, 1139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLMF', 'medium_airport', 'Mfuwe Airport', -13.258899688720703, 31.936599731445313, 1853, 'ZM', 'ZM-03', 'Mfuwe', 'yes', 'FLMF', 'MFU', '', ''),
	('FLCT', 'N/A', 'N/A', -13.068291954696178, 31.76314875483513, 532, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLMQ', 'N/A', 'N/A', -11.747960485517979, 32.1637299656868, 721, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLSR', 'N/A', 'N/A', -13.280531130731106, 31.06651023030281, 1547, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLPU', 'N/A', 'N/A', -13.374396041035652, 31.54121831059456, 521, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLKZ', 'small_airport', 'Lukuzi Airport', -12.81190013885498, 32.06489944458008, 1801, 'ZM', 'ZM-03', 'Nansolo', 'no', 'FLKZ', '', '', ''),
	('FWKG', 'small_airport', 'Kasungu Airport', -13.0146, 33.468601, 3470, 'MW', 'MW-KS', 'Kasungu', 'no', 'FWKG', 'KBQ', '', ''),
	('FWLE', 'small_airport', 'Old Lilongwe Airport', -13.9659996033, 33.7018013, 3722, 'MW', 'MW-LI', 'Lilongwe', 'no', 'FWLE', '', '', ''),
	('FLMJ', 'N/A', 'N/A', -12.378078438341618, 32.16798886656761, 564, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWMC', 'small_airport', 'Mchinji Airport', -13.8, 32.900002, 3901, 'MW', 'MW-MC', 'Mchinji', 'no', 'FWMC', '', '', ''),
	('FLLN', 'N/A', 'N/A', -15.613041445612907, 30.422489494085312, 331, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLNI', 'N/A', 'N/A', -15.132592767477036, 30.801887065172195, 904, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLLH', 'N/A', 'N/A', -15.749816000461578, 30.40110692381859, 394, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVMI', 'N/A', 'N/A', -16.205197758972645, 31.68086662888527, 459, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLLW', 'N/A', 'N/A', -15.606847554445267, 30.39467453956604, 334, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLLF', 'N/A', 'N/A', -15.977376624941826, 30.396564602851868, 484, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLLP', 'N/A', 'N/A', -16.176205091178417, 30.047634690999985, 508, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FLAT', 'small_airport', 'Katete Airport', -14.12030029296875, 32.06439971923828, 3520, 'ZM', 'ZM-03', 'Katete', 'no', 'FLAT', '', '', ''),
	('FQSG', 'small_airport', 'Songo Airport', -15.6027, 32.773201, 2904, 'MZ', 'MZ-T', 'Songo', 'no', 'FQSG', '', '', ''),
	('FLLU', 'N/A', 'N/A', -15.685039646923542, 30.610049664974213, 351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLLJ', 'N/A', 'N/A', -15.665168836712837, 30.39024129509926, 362, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLEC', 'small_airport', 'East Three Airport', -14.1134996414, 30.1294994354, 2300, 'ZM', 'ZM-02', 'Luano', 'no', 'FLEC', '', '', ''),
	('FVCN', 'small_airport', 'Centenary Airport', -16.7341, 31.122, 4058, 'ZW', 'ZW-MC', '', 'no', 'FVCN', '', '', ''),
	('FQFU', 'small_airport', 'Furancungo Airport', -14.918600082397461, 33.628299713134766, 0, 'MZ', 'MZ-T', 'Furancungo', 'no', 'FQFU', '', '', ''),
	('FVMR', 'N/A', 'N/A', -16.18802960962057, 31.68579876422882, 458, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVMO', 'N/A', 'N/A', -15.81022571772337, 31.740999966859818, 439, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQTT', 'medium_airport', 'Chingozi Airport', -16.104799270629883, 33.640201568603516, 525, 'MZ', 'MZ-T', 'Tete', 'yes', 'FQTT', 'TET', '', ''),
	('FVAE', 'small_airport', 'Braebourne Airport', -16.66699981689453, 31.232999801635742, 3600, 'ZW', 'ZW-MC', 'Braebourne', 'no', 'FVAE', '', '', ''),
	('FLPE', 'small_airport', 'Petauke Airport', -14.2167, 31.2256, 3217, 'ZM', 'ZM-03', 'Petauke', 'no', 'FLPE', '', '', ''),
	('FQES', 'N/A', 'N/A', -15.734268240630627, 32.756951451301575, 337, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FLPT', 'N/A', 'N/A', -15.172703191637993, 31.906258016824722, 865, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVMD', 'small_airport', 'Mount Darwin Airport', -16.769199, 31.559799, 3240, 'ZW', 'ZW-MC', '', 'no', 'FVMD', '', '', ''),
	('FV76', 'small_airport', 'Kwekwe East Airport', -19.010799, 30.0252, 4025, 'ZW', 'ZW-MI', 'Kwekwe', 'no', 'FV76', '', 'FV76', ''),
	('FVMZ', 'N/A', 'N/A', -17.586890123784542, 31.034717559814453, 1296, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVCP', 'small_airport', 'Charles Prince Airport', -17.75160026550293, 30.924699783325195, 4845, 'ZW', 'ZW-HA', 'Harare', 'no', 'FVCP', '', '', ''),
	('FVYB', 'small_airport', 'Yomba Airport', -16.946664, 30.400914, 0, 'ZW', 'ZW-MW', 'Yomba', 'no', 'FVYB', '', '', ''),
	('FVHR', 'N/A', 'N/A', -17.698836475610733, 30.98960816860199, 1486, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVMT', 'medium_airport', 'Mutoko Airport', -17.4319, 32.184502, 3950, 'ZW', 'ZW-ME', 'Mutoko', 'no', 'FVMT', '', '', 'Mtoko'),
	('FVNB', 'N/A', 'N/A', -18.117712698876858, 32.840840220451355, 2008, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVCQ', 'N/A', 'N/A', -19.653602577745914, 32.424418330192566, 605, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVDA', 'small_airport', 'Dawsons Airport', -17.0049, 30.8961, 4762, 'ZW', 'ZW-MC', 'Mvurwi', 'no', 'FVDA', '', '', ''),
	('FV77', 'small_airport', 'Mhangura Airport', -16.910101, 30.2423, 4078, 'ZW', 'ZW-MW', '', 'no', 'FVGM', '', '', 'FV77, Mangula'),
	('FQCM', 'N/A', 'N/A', -18.656351566314697, 33.334196358919144, 505, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVNN', 'N/A', 'N/A', -18.136665523052216, 33.20227459073067, 596, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVMA', 'small_airport', 'Marondera Airport', -18.183001, 31.466999, 5370, 'ZW', 'ZW-ME', 'Marondera', 'no', 'FVMA', '', '', ''),
	('FVGB', 'small_airport', 'Gombera Airport', -16.958341, 30.358828, 3294, 'ZW', 'ZW-MW', 'Gombera Ranch', 'no', 'FVGB', '', '', ''),
	('FVIP', 'small_airport', 'Impinge Airport', -16.9071, 30.8003, 4800, 'ZW', 'ZW-MC', 'Impinge Ranch', 'no', 'FVIP', '', '', ''),
	('FVDO', 'N/A', 'N/A', -19.056911654770374, 31.775057315826416, 895, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVAB', 'small_airport', 'Aberdeen Airport', -18.195092, 32.675326, 4495, 'ZW', 'ZW-MA', 'Aberdeen', 'no', 'FVAB', '', '', ''),
	('FVGR', 'small_airport', 'Grand Reef Airport', -18.9775, 32.450802, 3333, 'ZW', 'ZW-MA', 'Mutare', 'no', 'FVGR', '', '', ''),
	('FVSA', 'N/A', 'N/A', -17.069846391677856, 31.875486820936203, 751, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVMU', 'small_airport', 'Mutare Airport', -18.997499465942, 32.627201080322, 3410, 'ZW', 'ZW-MA', 'Mutare', 'no', 'FVMU', 'UTA', '', ''),
	('FVCE', 'small_airport', 'Celina Airport', -17.517000198364258, 30.850000381469727, 4058, 'ZW', 'ZW-MC', 'Celina', 'no', 'FVCE', '', '', ''),
	('FVHA', 'large_airport', 'Robert Gabriel Mugabe International Airport', -17.931801, 31.0928, 4887, 'ZW', 'ZW-HA', 'Harare', 'yes', 'FVRG', 'HRE', '', 'FVHA,Harare'),
	('FVRU', 'N/A', 'N/A', -18.578342869877815, 32.11769789457321, 1401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVOT', 'small_airport', 'Kotwa Airport', -16.9848, 32.672699, 2450, 'ZW', 'ZW-ME', '', 'no', 'FVOT', '', '', ''),
	('FVNG', 'N/A', 'N/A', -18.49677186459303, 32.85454273223877, 802, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQCH', 'medium_airport', 'Chimoio Airport', -19.15130043029785, 33.42900085449219, 2287, 'MZ', 'MZ-B', 'Chimoio', 'yes', 'FQCH', 'VPY', '', ''),
	('FQCI', 'N/A', 'N/A', -19.407973252236843, 33.28085973858833, 585, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVZS', 'N/A', 'N/A', -20.598306767642498, 30.35169079899788, 802, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVRA', 'small_airport', 'Ratelshoek Airport', -20.234513, 32.79753, 3250, 'ZW', 'ZW-MA', 'Ratelshoek', 'no', 'FVRA', '', '', ''),
	('FVHY', 'small_airport', 'Hippo Valley Airport', -21.049999237060547, 31.66699981689453, 1420, 'ZW', 'ZW-MV', 'Chiredzi', 'no', 'FVHY', '', '', ''),
	('FVCI', 'N/A', 'N/A', -20.823670998215675, 33.3765672147274, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVCZ', 'medium_airport', 'Buffalo Range Airport', -21.008101, 31.5786, 1421, 'ZW', 'ZW-MV', 'Chiredzi', 'no', 'FVCZ', 'BFO', '', ''),
	('Z26Z', 'N/A', 'N/A', -22.374516539275646, 30.882588028907776, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVBC', 'N/A', 'N/A', -21.32237646728754, 30.26463210582733, 676, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVCJ', 'N/A', 'N/A', -21.247465051710606, 31.908427476882935, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVCL', 'N/A', 'N/A', -21.425729021430016, 30.73657214641571, 483, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FANQ', 'N/A', 'N/A', -22.414631992578506, 31.212855130434036, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVBB', 'small_airport', 'Beitbridge Airport', -22.197617, 30.012774, 1509, 'ZW', 'ZW-MS', 'Beitbridge', 'no', 'FVBB', '', '', ''),
	('FVDF', 'N/A', 'N/A', -21.188875883817673, 30.976496189832687, 466, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVMH', 'small_airport', 'Mahenye Airport', -21.231, 32.3336, 930, 'ZW', 'ZW-MA', 'Gonarezhou National Park', 'no', 'FVMH', 'MJW', '', ''),
	('FVNY', 'small_airport', 'Nyanyadzi Airport', -19.732999801635742, 32.43299865722656, 1850, 'ZW', 'ZW-MA', 'Nyanyadzi', 'no', 'FVNY', '', '', ''),
	('FVCH', 'small_airport', 'Chipinge Airport', -20.206699, 32.6283, 3720, 'ZW', 'ZW-MA', 'Chipinge', 'no', 'FVCH', 'CHJ', '', ''),
	('FAME', 'N/A', 'N/A', -22.087964415550232, 31.692737638950348, 463, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVZI', 'N/A', 'N/A', -20.937691032886505, 30.635523051023483, 605, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVDG', 'N/A', 'N/A', -21.602957993745804, 31.374931186437607, 439, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVCF', 'N/A', 'N/A', -19.907406605780125, 32.96941325068474, 959, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVCA', 'N/A', 'N/A', -21.58857598900795, 32.929345071315765, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVMC', 'small_airport', 'Hwange Main Camp Airfield', -18.724765, 26.956472, 3485, 'ZW', 'ZW-MN', '', 'no', 'FVMC', '', '', 'Hwange, Hwange Main, Hwange Main Camp'),
	('FVLS', 'small_airport', 'Lonestar Airfield', -21.061103, 31.889759, 1303, 'ZW', 'ZW-MV', 'Chiredzi', 'no', 'FVLS', '', 'FVLS', 'Lonestar, Pamushana, Malilangwe, Chiredzi'),
	('FVMV', 'medium_airport', 'Masvingo International Airport', -20.0553, 30.8591, 3595, 'ZW', 'ZW-MV', 'Masvingo', 'no', 'FVMV', 'MVZ', '', ''),
	('FVCX', 'N/A', 'N/A', -20.460871383547783, 32.20361441373825, 449, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVCY', 'N/A', 'N/A', -20.39434354752302, 32.10869908332825, 479, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FANW', 'N/A', 'N/A', -22.063951939344406, 31.436296552419662, 253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUNC', 'N/A', 'N/A', -21.50142263621092, 30.789005309343338, 473, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUNB', 'N/A', 'N/A', -22.321365885436535, 30.479665249586105, 379, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVCW', 'N/A', 'N/A', -21.008435636758804, 32.18147099018097, 376, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVCB', 'N/A', 'N/A', -20.43880920857191, 32.77506619691849, 982, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVCK', 'N/A', 'N/A', -21.532306261360645, 31.476909667253494, 473, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVMS', 'small_airport', 'Middle Sabi Airport', -20.216999053955078, 32.367000579833984, 1510, 'ZW', 'ZW-MA', 'Middle Sabi', 'no', 'FVMS', '', '', ''),
	('FVZA', 'N/A', 'N/A', -20.47974944114685, 30.40627732872963, 770, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVGT', 'small_airport', 'Gaths Mine Airport', -19.982999801635742, 30.5, 3454, 'ZW', 'ZW-MV', 'Gaths Mine', 'no', 'FVGT', '', '', ''),
	('FVDH', 'N/A', 'N/A', -20.13057578355074, 32.10550099611282, 589, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVBL', 'small_airport', 'Mabalauta Airport', -21.91699981689453, 31.466999053955078, 950, 'ZW', 'ZW-MV', 'Mabalauta', 'no', 'FVBL', '', '', ''),
	('FVBA', 'N/A', 'N/A', -21.57999660819769, 30.2207413315773, 574, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVKW', 'small_airport', 'Mkwasine Airport', -20.799999237060547, 31.816999435424805, 1620, 'ZW', 'ZW-MV', 'Mkwasine', 'no', 'FVKW', '', '', ''),
	('FVSH', 'small_airport', 'Zvishavane Airport', -20.289499, 30.0882, 3012, 'ZW', 'ZW-MI', 'Zvishavane', 'no', 'FVSH', '', '', ''),
	('FVBD', 'N/A', 'N/A', -21.66823524981737, 30.172696262598038, 583, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FVMG', 'N/A', 'N/A', -20.602288842201233, 31.16989776492119, 657, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HK0A', 'N/A', 'N/A', -1.4049206301569939, 35.00816613435745, 1611, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTZ', 'N/A', 'N/A', -0.5941860750317574, 36.42752319574356, 2051, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMG', 'small_airport', 'Magadi Airport', -1.9480570554733276, 36.28333282470703, 1955, 'KE', 'KE-700', 'Magadi', 'no', '', '', '', ''),
	('HKTU', 'N/A', 'N/A', -1.4138832315802574, 35.34737974405289, 1687, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOV', 'N/A', 'N/A', -1.783575788140297, 36.05744943022728, 755, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSF', 'N/A', 'N/A', -2.579217553138733, 36.91274017095566, 1240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKAM', 'medium_airport', 'Amboseli Airport', -2.645050048828125, 37.25310134887695, 3755, 'KE', 'KE-700', 'Amboseli National Park', 'yes', 'HKAM', 'ASV', '', 'Maasai Amboseli Game Reserve'),
	('HTOI', 'N/A', 'N/A', -2.6578857377171516, 34.39370512962341, 1420, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSI', 'N/A', 'N/A', -0.2432113140821457, 36.88089519739151, 1929, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQP', 'N/A', 'N/A', -2.6853079721331596, 37.178329825401306, 1135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKLX', 'N/A', 'N/A', -0.47981802374124527, 35.2445125579834, 1896, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKLI', 'N/A', 'N/A', -1.1066506057977676, 36.68864071369171, 2203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMM', 'small_airport', 'Migori Airport', -1.116, 34.485833, 4616, 'KE', 'KE-600', 'Migori', 'no', 'HKMJ', '', '', '6645'),
	('HKKS', 'small_airport', 'Kisii Airport', -0.672514, 34.690923, 4905, 'KE', 'KE-600', 'Kisii', 'no', 'HKKS', '', '', ''),
	('HKNY', 'medium_airport', 'Nanyuki Airport', -0.062399, 37.041008, 6250, 'KE', 'KE-200', 'Nanyuki', 'yes', 'HKNL', 'NYK', '', ''),
	('HKSD', 'N/A', 'N/A', -1.4939022436738014, 35.4100826382637, 1727, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPT', 'N/A', 'N/A', -0.39769817143678665, 36.215687692165375, 1806, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTNF', 'N/A', 'N/A', -2.0802100002765656, 34.63038682937622, 1347, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKNV', 'small_airport', 'Naivasha Airport', -0.787953, 36.433494, 6380, 'KE', 'KE-700', 'Naivasha', 'no', 'HKNV', '', '', 'Naivasha South');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HKOW', 'N/A', 'N/A', -1.8420657142996788, 35.86807161569595, 2136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKQ', 'N/A', 'N/A', -0.4363427683711052, 35.29796406626701, 2101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKHA', 'N/A', 'N/A', -0.4152572527527809, 34.14165839552879, 1147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOM', 'N/A', 'N/A', -0.7951391860842705, 36.29561930894852, 1949, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPZ', 'N/A', 'N/A', -0.16942474991083145, 37.133608907461166, 2369, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPF', 'N/A', 'N/A', -0.4529835283756256, 36.491820216178894, 2421, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOK', 'N/A', 'N/A', -0.49431268125772476, 36.35214865207672, 1992, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HK48', 'N/A', 'N/A', -1.2993716821074486, 35.06440848112106, 1561, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSQ', 'N/A', 'N/A', -0.3437495604157448, 36.915416568517685, 1922, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMM', 'N/A', 'N/A', -1.6807569935917854, 35.34456565976143, 1755, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKHM', 'N/A', 'N/A', -0.4625164344906807, 34.06232222914696, 1143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTSN', 'small_airport', 'Seronera Airport', -2.45806, 34.822498, 5080, 'TZ', 'TZ-13', 'Seronera', 'yes', 'HTSN', 'SEU', '', ''),
	('HKBE', 'N/A', 'N/A', -0.7765940576791763, 35.318307280540466, 1963, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTSI', 'N/A', 'N/A', -1.4247860759496689, 34.54102769494057, 1342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKNC', 'N/A', 'N/A', -0.4809737205505371, 36.1232028901577, 1804, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKBT', 'N/A', 'N/A', -1.1248577758669853, 35.197981148958206, 1708, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GTZ', 'small_airport', 'Kirawira B Aerodrome', -2.160833, 34.225556, 3970, 'TZ', 'TZ-13', 'Grumeti Game Reserve', 'no', 'HTGR', 'GTZ', '', 'Serengeti National Park'),
	('HKSO', 'N/A', 'N/A', -0.6243626028299332, 35.06584703922272, 1813, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMD', 'N/A', 'N/A', -2.0199917256832123, 36.03984296321869, 618, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQK', 'N/A', 'N/A', -0.7219564542174339, 36.28719672560692, 1898, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTM', 'N/A', 'N/A', -2.4025652557611465, 36.11904725432396, 623, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMZ', 'N/A', 'N/A', -1.5680666640400887, 34.886777848005295, 1416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKEM', 'small_airport', 'Embu Airport', -0.57327, 37.49726, 4150, 'KE', 'KE-400', 'Embu', 'no', 'HKEM', '', '', ''),
	('HKNI', 'small_airport', 'Nyeri Airport', -0.364414, 36.978485, 5830, 'KE', 'KE-200', 'Nyeri', 'no', 'HKNI', 'NYE', '', ''),
	('HTBT', 'N/A', 'N/A', -1.774275228381157, 34.09818023443222, 1377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQD', 'N/A', 'N/A', -1.8134763836860657, 36.018226146698, 1414, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKNK', 'small_airport', 'Nakuru Airport', -0.298067, 36.159302, 6234, 'KE', 'KE-700', 'Nakuru', 'yes', 'HKNK', 'NUU', '', ''),
	('HKPG', 'N/A', 'N/A', -1.916748471558094, 36.00426211953163, 1075, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKR', 'small_airport', 'Kericho Airport', -0.3899, 35.242093, 6446, 'KE', 'KE-700', 'Kericho', 'no', 'HKKR', 'KEY', '', ''),
	('HTLD', 'small_airport', 'Loliondo Airport', -2.06969, 35.5457, 6620, 'TZ', 'TZ-01', 'Loliondo', 'no', 'HTLD', '', '', ''),
	('HKNW', 'medium_airport', 'Nairobi Wilson Airport', -1.321720004081726, 36.81480026245117, 5536, 'KE', 'KE-110', 'Nairobi', 'yes', 'HKNW', 'WIL', '', 'WLN'),
	('HKSC', 'N/A', 'N/A', -0.6648864224553108, 36.31134867668152, 2106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPH', 'N/A', 'N/A', -0.8433907851576805, 36.25923380255699, 2018, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKLH', 'N/A', 'N/A', -1.0795549303293228, 34.87752065062523, 1755, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKAT', 'N/A', 'N/A', -1.5803025662899017, 36.81124359369278, 1698, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPB', 'N/A', 'N/A', -1.870662085711956, 34.64563339948654, 1577, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKI', 'medium_airport', 'Kisumu Airport', -0.0861390009522438, 34.72890090942383, 3734, 'KE', 'KE-600', 'Kisumu', 'yes', 'HKKI', 'KIS', '', ''),
	('HKKH', 'N/A', 'N/A', -1.2634455040097237, 35.0277940928936, 1575, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPV', 'N/A', 'N/A', -0.11196713894605637, 36.12446442246437, 1837, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQC', 'N/A', 'N/A', -1.7137793451547623, 35.559310019016266, 1955, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQO', 'N/A', 'N/A', -0.01743938773870468, 35.350813418626785, 2169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKV', 'N/A', 'N/A', -1.3629846274852753, 35.18947497010231, 1629, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKNP', 'N/A', 'N/A', -0.2943137660622597, 36.94608807563782, 1877, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPS', 'N/A', 'N/A', -0.042822472751140594, 37.14519292116165, 2176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOZ', 'N/A', 'N/A', -1.8065938353538513, 35.70386901497841, 2162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKC', 'N/A', 'N/A', -0.39220433682203293, 35.331178307533264, 2139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTW', 'small_airport', 'Tawi airfield', -2.73, 37.427, 3800, 'KE', 'KE-900', 'Tawi', 'no', 'HKTW', '', '', ''),
	('HKNS', 'N/A', 'N/A', -0.7451699674129486, 36.17107763886452, 2148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMU', 'small_airport', 'Musoma Airport', -1.503, 33.8021, 3806, 'TZ', 'TZ-13', 'Musoma', 'yes', 'HTMU', 'MUZ', '', ''),
	('HKLJ', 'N/A', 'N/A', -1.1453568935394287, 35.12482166290283, 1667, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTSR', 'N/A', 'N/A', -1.2943043187260628, 34.420011788606644, 1462, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HKNE', 'N/A', 'N/A', -0.6933309137821198, 36.31688207387924, 1964, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMN', 'N/A', 'N/A', -0.052246078848838806, 37.464696764945984, 3202, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKX', 'N/A', 'N/A', -1.4342807605862617, 35.195362865924835, 1551, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPA', 'N/A', 'N/A', -0.523030087351799, 36.18761524558067, 1851, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTY', 'N/A', 'N/A', -0.23191586136817932, 36.53319329023361, 2972, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKNO', 'small_airport', 'Narok Airport', -1.128103, 35.785685, 6311, 'KE', 'KE-700', 'Narok', 'no', 'HKNO', '', '', ''),
	('HKBD', 'N/A', 'N/A', -1.0834702849388123, 35.18559828400612, 1683, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKCH', 'N/A', 'N/A', -0.16143914312124252, 37.44519218802452, 2981, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOU', 'N/A', 'N/A', -1.7754346132278442, 35.27792304754257, 1863, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKIC', 'N/A', 'N/A', -1.2099126353859901, 34.730628579854965, 1540, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTP', 'N/A', 'N/A', -1.1803033947944641, 34.64399367570877, 1443, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKLP', 'N/A', 'N/A', -1.2715712562203407, 34.95531588792801, 1879, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKJ', 'N/A', 'N/A', -2.1201588213443756, 36.816131472587585, 1523, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HK0C', 'N/A', 'N/A', -0.008149892091751099, 36.368772983551025, 2366, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPR', 'N/A', 'N/A', -0.8175249025225639, 36.39070138335228, 1905, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKBM', 'N/A', 'N/A', -1.0141200944781303, 35.34228175878525, 1785, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPD', 'N/A', 'N/A', -1.29891537129879, 36.47503316402435, 1666, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTH', 'N/A', 'N/A', -1.0402364283800125, 36.9921313226223, 1553, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOL', 'N/A', 'N/A', -0.399358794093132, 36.23445421457291, 1787, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOY', 'N/A', 'N/A', -0.5028605461120605, 36.35694310069084, 1993, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKND', 'N/A', 'N/A', -0.8208548650145531, 36.290368884801865, 1895, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLX', 'N/A', 'N/A', -2.4767447635531425, 36.257964223623276, 945, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQF', 'N/A', 'N/A', -1.3783838599920273, 35.380304753780365, 1761, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKNB', 'N/A', 'N/A', -0.4522935301065445, 36.08556255698204, 1787, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKAH', 'N/A', 'N/A', -1.510951705276966, 37.034883946180344, 1603, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQM', 'N/A', 'N/A', -0.27396250516176224, 35.76732784509659, 2464, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTN', 'N/A', 'N/A', -2.2730055078864098, 35.80776795744896, 1215, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKNM', 'N/A', 'N/A', -0.14087263494729996, 36.91365882754326, 1870, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKRE', 'medium_airport', 'Moi Air Base', -1.2772699594499999, 36.8623008728, 5336, 'KE', 'KE-110', 'Nairobi', 'no', 'HKRE', '', '', 'RAF Eastleigh, Eastleigh Airport'),
	('HKJK', 'large_airport', 'Jomo Kenyatta International Airport', -1.31923997402, 36.9277992249, 5330, 'KE', 'KE-110', 'Nairobi', 'yes', 'HKJK', 'NBO', '', 'Jkia Airport, Embakasi Airport, Nairobi International Airport'),
	('HKQG', 'N/A', 'N/A', -1.606023944914341, 35.43847292661667, 1869, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKM', 'N/A', 'N/A', -1.1454859748482704, 36.917399168014526, 1560, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOV', 'N/A', 'N/A', -1.5617906302213669, 34.70195844769478, 1334, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQT', 'N/A', 'N/A', -0.46610791236162186, 36.191143691539764, 1843, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLR', 'N/A', 'N/A', -2.7254224196076393, 36.13561347126961, 1097, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKHB', 'small_airport', 'Homa Bay Airport', -0.587322, 34.476467, 4280, 'KE', 'KE-600', 'Homa Bay', 'no', 'HKHB', '', '', ''),
	('HKHY', 'N/A', 'N/A', -0.5846679210662842, 34.28575158119202, 1182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOE', 'N/A', 'N/A', -2.0153340697288513, 35.27353048324585, 1855, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z17N', 'N/A', 'N/A', -0.18971867859363556, 35.96189394593239, 1940, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKK', 'N/A', 'N/A', -0.9573632106184959, 36.5912926197052, 2073, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKE', 'small_airport', 'Keekorok Airport', -1.586345, 35.257455, 5800, 'KE', 'KE-700', 'Keekorok', 'no', 'HKKE', 'KEU', '', ''),
	('HKLQ', 'N/A', 'N/A', -1.4086224138736725, 35.110256373882294, 1525, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQZ', 'N/A', 'N/A', -0.3172067552804947, 35.922787338495255, 2187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTIS', 'N/A', 'N/A', -2.073105163872242, 34.51017424464226, 1309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSW', 'N/A', 'N/A', -0.04453439265489578, 37.129560112953186, 2157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTWK', 'small_airport', 'West Kilimanjaro Airport', -3.05, 37, 4300, 'TZ', 'TZ-09', 'West Kilimanjaro', 'no', 'HTWK', '', '', ''),
	('HTLF', 'N/A', 'N/A', -4.954742789268494, 35.32284200191498, 1258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOH', 'N/A', 'N/A', -3.367304541170597, 34.82371151447296, 1637, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKX', 'N/A', 'N/A', -5.428569093346596, 35.16652822494507, 1140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTEN', 'small_airport', 'Endulen Airport', -3.194243, 35.26315, 5442, 'TZ', 'TZ-01', 'Endulen', 'no', 'HTEN', '', '', ''),
	('HTSD', 'small_airport', 'Singida Airport', -4.810928, 34.724762, 5000, 'TZ', 'TZ-23', 'Singida', 'no', 'HTSD', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HTKZ', 'N/A', 'N/A', -4.837783724069595, 35.366265177726746, 1409, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLS', 'N/A', 'N/A', -2.877436950802803, 37.13420033454895, 1835, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLM', 'medium_airport', 'Lake Manyara Airport', -3.37631, 35.818298, 4150, 'TZ', 'TZ-26', 'Lake Manyara National Park', 'no', 'HTLM', 'LKY', '', ''),
	('HTLO', 'N/A', 'N/A', -2.820141278207302, 36.323207169771194, 1149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOA', 'N/A', 'N/A', -3.8684488087892532, 35.39635956287384, 1679, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTBA', 'N/A', 'N/A', -4.198983125388622, 35.01783862709999, 1740, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTND', 'N/A', 'N/A', -3.761049807071686, 36.02685704827309, 1076, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLP', 'N/A', 'N/A', -3.111603520810604, 34.66106280684471, 1613, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTIH', 'N/A', 'N/A', -4.319938346743584, 33.886810541152954, 1089, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMC', 'N/A', 'N/A', -3.1866584345698357, 33.79189968109131, 1329, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOF', 'N/A', 'N/A', -4.549367465078831, 37.02440947294235, 1181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMS', 'small_airport', 'Moshi Airport', -3.36333, 37.3269, 2801, 'TZ', 'TZ-09', 'Moshi', 'no', 'HTMS', 'QSI', '', ''),
	('HTNV', 'N/A', 'N/A', -3.221529833972454, 35.47634348273277, 2368, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTNO', 'N/A', 'N/A', -3.0308861285448074, 34.988313764333725, 1629, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKL', 'small_airport', 'Kirondatal Airport', -4.312575, 34.346453, 5033, 'TZ', 'TZ-23', 'Kirondatal', 'no', 'HTKL', '', '', ''),
	('HTDG', 'N/A', 'N/A', -3.9613863453269005, 35.146365612745285, 1322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTNH', 'N/A', 'N/A', -4.007814042270184, 36.075318306684494, 1106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKE', 'N/A', 'N/A', -3.1998931244015694, 34.43637326359749, 1420, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOS', 'N/A', 'N/A', -3.5000936686992645, 37.32386291027069, 715, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMQ', 'N/A', 'N/A', -5.491545684635639, 33.87628510594368, 1279, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTAR', 'medium_airport', 'Arusha Airport', -3.3677899837493896, 36.63330078125, 4550, 'TZ', 'TZ-01', 'Arusha', 'yes', 'HTAR', 'ARK', '', ''),
	('HTKJ', 'medium_airport', 'Kilimanjaro International Airport', -3.42941, 37.074501, 2932, 'TZ', 'TZ-01', 'Arusha', 'yes', 'HTKJ', 'JRO', '', ''),
	('HTIN', 'N/A', 'N/A', -7.797946706414223, 35.762997418642044, 1551, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLN', 'N/A', 'N/A', -6.135559491813183, 35.049128383398056, 840, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOM', 'N/A', 'N/A', -8.363882079720497, 36.10293611884117, 277, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPD', 'N/A', 'N/A', -6.917736567556858, 34.871027916669846, 1050, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKN', 'N/A', 'N/A', -5.758617594838142, 34.79928329586983, 1308, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLU', 'N/A', 'N/A', -8.391603045165539, 37.168790102005005, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMK', 'small_airport', 'Mikumi Airport', -7.333427906036377, 37.11635971069336, 1737, 'TZ', 'TZ-16', 'Mikumi', 'no', 'HTMK', '', '', ''),
	('HTKO', 'small_airport', 'Kongwa Airport', -6.150000095367432, 36.41699981689453, 3300, 'TZ', 'TZ-03', 'Kongwa', 'no', 'HTKO', '', '', ''),
	('HTOD', 'N/A', 'N/A', -6.325242295861244, 34.173543602228165, 1357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTIZ', 'N/A', 'N/A', -7.095891907811165, 35.977429300546646, 736, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTDO', 'medium_airport', 'Dodoma Airport', -6.17044, 35.752602, 3673, 'TZ', 'TZ-03', 'Dodoma', 'yes', 'HTDO', 'DOD', '', ''),
	('HTIF', 'N/A', 'N/A', -8.065028339624405, 36.69700473546982, 284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTDN', 'N/A', 'N/A', -7.719992324709892, 34.226718842983246, 1357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTDC', 'N/A', 'N/A', -8.04340772330761, 34.497615694999695, 995, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOJ', 'N/A', 'N/A', -7.267541214823723, 34.217861741781235, 1234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTIA', 'N/A', 'N/A', -8.18874690681696, 36.91208615899086, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKY', 'N/A', 'N/A', -6.565129347145557, 35.17374247312546, 1093, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTII', 'N/A', 'N/A', -8.070685118436813, 35.43247193098068, 1726, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKC', 'N/A', 'N/A', -6.376339718699455, 35.89856520295143, 1047, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLJ', 'N/A', 'N/A', -7.689370885491371, 36.98627561330795, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKS', 'small_airport', 'Kilosa Airport', -6.864605, 37.00845, 1567, 'TZ', 'TZ-16', 'Kilosa', 'no', 'HTKS', '', '', ''),
	('HTNC', 'N/A', 'N/A', -7.042519636452198, 34.72407817840576, 1070, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOY', 'N/A', 'N/A', -6.817615404725075, 34.21884074807167, 1217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTSH', 'small_airport', 'Mafinga Airport', -8.350000381469727, 35.29999923706055, 6300, 'TZ', 'TZ-04', 'Mafinga', 'no', 'HTSH', '', '', ''),
	('HTIR', 'medium_airport', 'Iringa Airport', -7.66863, 35.752102, 4678, 'TZ', 'TZ-04', 'Nduli', 'no', 'HTIR', 'IRI', '', ''),
	('HTOP', 'N/A', 'N/A', -6.139246188104153, 34.46333259344101, 1279, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTDU', 'N/A', 'N/A', -7.894917279481888, 34.58078742027283, 976, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMR', 'N/A', 'N/A', -7.684566713869572, 34.921364933252335, 806, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOB', 'N/A', 'N/A', -8.412118256092072, 35.092977583408356, 1913, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HTOR', 'N/A', 'N/A', -8.522210195660591, 35.178730487823486, 1854, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTSG', 'N/A', 'N/A', -10.762585625052452, 36.953120827674866, 819, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOT', 'N/A', 'N/A', -9.174169041216373, 35.96562311053276, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTNK', 'N/A', 'N/A', -9.447981342673302, 36.84902250766754, 331, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOW', 'N/A', 'N/A', -8.916601538658142, 36.126594096422195, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLL', 'small_airport', 'Liuli Airport', -11.116399765014648, 34.652198791503906, 1667, 'TZ', 'TZ-21', 'Liuli', 'no', 'HTLL', '', '', ''),
	('HTMF', 'small_airport', 'Mufindi Airport', -8.732040405273438, 35.3026008605957, 4175, 'TZ', 'TZ-04', 'Mufindi', 'no', 'HTMF', '', '', ''),
	('HTPW', 'N/A', 'N/A', -11.051756925880909, 37.336580604314804, 680, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTSO', 'small_airport', 'Songea Airport', -10.683, 35.583, 3445, 'TZ', 'TZ-21', 'Songea', 'no', 'HTSO', 'SGX', '', ''),
	('HTNM', 'N/A', 'N/A', -8.957968577742577, 37.33779162168503, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWKA', 'medium_airport', 'Karonga Airport', -9.953571, 33.893264, 1765, 'MW', 'MW-KR', 'Karonga', 'no', 'FWKA', 'KGJ', '', ''),
	('HTNL', 'N/A', 'N/A', -8.978976979851723, 36.8683947622776, 379, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMN', 'N/A', 'N/A', -10.96272200345993, 35.00953987240791, 1328, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOX', 'N/A', 'N/A', -9.022286273539066, 37.28969469666481, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWCB', 'small_airport', 'Chilumba Private Airport', -10.439073, 34.246055, 1611, 'MW', 'MW-KR', 'Chilumba', 'no', 'FWCB', '', '', ''),
	('FWCD', 'small_airport', 'Chelinda Malawi Airport', -10.55, 33.799999, 7759, 'MW', 'MW-RU', '', 'no', 'FWCD', 'CEH', '', ''),
	('HTRU', 'N/A', 'N/A', -8.656233809888363, 34.272423684597015, 1047, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTNJ', 'small_airport', 'Njombe Airport', -9.35, 34.799999, 6400, 'TZ', 'TZ-04', 'Njombe', 'no', 'HTNJ', 'JOM', '', ''),
	('HTLE', 'N/A', 'N/A', -9.967257678508759, 36.87877133488655, 524, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOC', 'N/A', 'N/A', -8.653130158782005, 35.86506083607674, 294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWDW', 'medium_airport', 'Dwangwa Airport', -12.517527, 34.131877, 1605, 'MW', 'MW-NK', 'Dwangwa', 'no', 'FWDW', 'DWA', '', ''),
	('FWKK', 'small_airport', 'Nkhota Kota Airport', -12.916999816894531, 34.266998291015625, 1720, 'MW', 'MW-NK', 'Nkhota Kota', 'no', 'FWKK', '', '', ''),
	('HTBS', 'small_airport', 'Mbesa Airport', -11.331675, 37.067816, 1980, 'TZ', 'TZ-21', 'Mbesa Mission', 'no', 'HTBS', '', '', ''),
	('FWCH', 'N/A', 'N/A', -12.499476224184036, 35.427671670913696, 944, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWUU', 'medium_airport', 'Mzuzu Airport', -11.4447, 34.011799, 4115, 'MW', 'MW-MZ', 'Mzuzu', 'no', 'FWUU', 'ZZU', '', ''),
	('FQLC', 'medium_airport', 'Lichinga Airport', -13.274, 35.2663, 4505, 'MZ', 'MZ-A', 'Lichinga', 'yes', 'FQLC', 'VXC', '', ''),
	('FQLI', 'N/A', 'N/A', -12.550685629248619, 36.25916764140129, 830, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPT', 'N/A', 'N/A', -11.606682166457176, 36.93239942193031, 407, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTTI', 'N/A', 'N/A', -11.610462740063667, 35.461828261613846, 656, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWKI', 'medium_airport', 'Lilongwe International Airport', -13.7894001007, 33.78099823, 4035, 'MW', 'MW-LI', 'Lilongwe', 'yes', 'FWKI', 'LLW', '', 'FWLI, Kamuzu International Airport'),
	('FWNK', 'N/A', 'N/A', -12.701001316308975, 34.80334013700485, 477, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPY', 'N/A', 'N/A', -11.642268039286137, 37.148403972387314, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWSM', 'small_airport', 'Salima Airport', -13.755893, 34.584188, 1688, 'MW', 'MW-SA', 'Salima', 'no', 'FWSM', 'LMB', '', 'Salima, Sengabay'),
	('FWCS', 'small_airport', 'Ntchisi Airport', -13.3758, 33.864498, 4301, 'MW', 'MW-NI', 'Ntchisi', 'no', 'FWCS', '', '', ''),
	('FWLK', 'small_airport', 'Likoma Island Airport', -12.079787, 34.736253, 1600, 'MW', 'MW-LK', 'Likoma Island', 'no', 'FWLK', 'LIX', '', ''),
	('HTMY', 'N/A', 'N/A', -11.303418539464474, 34.84253838658333, 569, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQMF', 'N/A', 'N/A', -14.93756365031004, 37.41504728794098, 621, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWCM', 'small_airport', 'Club Makokola Airport', -14.306483, 35.131477, 1587, 'MW', 'MW-MG', 'Club Makokola', 'no', 'FWCM', 'CMK', '', ''),
	('FWMN', 'N/A', 'N/A', -16.086964644491673, 35.68098574876785, 636, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQCB', 'small_airport', 'Cuamba Airport', -14.815, 36.529999, 1919, 'MZ', 'MZ-A', 'Cuamba', 'no', 'FQCB', 'FXO', '', ''),
	('FWML', 'N/A', 'N/A', -16.05178814381361, 35.54690480232239, 658, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWNE', 'N/A', 'N/A', -15.381379388272762, 34.94217798113823, 507, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWZA', 'small_airport', 'Zomba Airport', -15.386309, 35.383575, 2650, 'MW', 'MW-ZO', 'Zomba', 'no', 'FWZA', '', '', ''),
	('FQUG', 'small_airport', 'Ulongwe Airport', -14.7046, 34.352402, 4265, 'MZ', 'MZ-T', 'Ulongwe', 'no', 'FQUG', '', '', ''),
	('VJQ', 'small_airport', 'Gurue Airport', -15.5062, 36.9904, 2248, 'MZ', 'MZ-Q', 'Gurue', 'no', '', 'VJQ', '', ''),
	('VUU', 'small_airport', 'Mvuu Camp Airport', -14.838611, 35.301389, 1600, 'MW', 'MW-MH', 'Liwonde National Park', 'no', '', 'VUU', '', ''),
	('FWTK', 'small_airport', 'Mtakatata Airport', -14.217000007629395, 34.53300094604492, 1725, 'MW', 'MW-DE', 'Mtakatata', 'no', 'FWTK', '', '', ''),
	('FQQE', 'N/A', 'N/A', -16.85512114316225, 36.96379244327545, 186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWMY', 'small_airport', 'Monkey Bay Airport', -14.083600044299999, 34.9197006226, 1580, 'MW', 'MW-MG', 'Monkey Bay', 'no', 'FWMY', 'MYZ', '', ''),
	('FWMJ', 'N/A', 'N/A', -15.98848432302475, 35.52585929632187, 1983, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWMU', 'N/A', 'N/A', -16.12461816519499, 35.73455348610878, 653, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FWCL', 'medium_airport', 'Chileka International Airport', -15.679100036621094, 34.9739990234375, 2555, 'MW', 'MW-BL', 'Blantyre', 'yes', 'FWCL', 'BLZ', '', ''),
	('FWTH', 'N/A', 'N/A', -16.047902964055538, 35.143429934978485, 931, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MJS', 'small_airport', 'Maganja da Costa Airport', -17.3087, 37.5, 215, 'MZ', 'MZ-Q', 'Maganja', 'no', '', 'MJS', '', 'Olinga'),
	('FQDO', 'N/A', 'N/A', -19.57584835588932, 34.63363990187645, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RRM', 'small_airport', 'Marromeu Airport', -18.319259, 35.949501, 39, 'MZ', 'MZ-S', 'Marromeu', 'no', '', 'RRM', '', ''),
	('FWNS', 'N/A', 'N/A', -17.977075427770615, 35.704919546842575, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQQU', 'N/A', 'N/A', -18.39380655437708, 35.599886029958725, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQQL', 'medium_airport', 'Quelimane Airport', -17.855499267578125, 36.86909866333008, 36, 'MZ', 'MZ-Q', 'Quelimane', 'yes', 'FQQL', 'UEL', '', ''),
	('LBM', 'small_airport', 'Luabo Airport', -18.4139, 36.1068, 36, 'MZ', 'MZ-Q', 'Luabo', 'no', '', 'LBM', '', ''),
	('IMG', 'small_airport', 'Inhaminga Airport', -18.41, 35.0045, 1072, 'MZ', 'MZ-S', 'Inhaminga', 'no', '', 'IMG', '', ''),
	('CMZ', 'small_airport', 'Caia Airport', -17.8331, 35.3341, 156, 'MZ', 'MZ-S', 'Caia', 'no', '', 'CMZ', '', ''),
	('FVNA', 'N/A', 'N/A', -17.867152132093906, 33.914857506752014, 518, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FWSJ', 'small_airport', 'Nsanje Airport', -16.921115, 35.25269, 200, 'MW', 'MW-NS', 'Nsanje', 'no', 'FWSJ', '', '', ''),
	('FWNA', 'N/A', 'N/A', -17.167978025972843, 34.88265708088875, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('INE', 'small_airport', 'Chinde Airport', -18.59, 36.4489, 22, 'MZ', 'MZ-Q', 'Chinde', 'no', '', 'INE', '', ''),
	('FQBB', 'N/A', 'N/A', -20.63101664185524, 34.06597003340721, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQBE', 'N/A', 'N/A', -21.61425244063139, 35.33759951591492, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BCW', 'medium_airport', 'Benguera Island Airport', -21.8533, 35.438301, 0, 'MZ', 'MZ-I', 'Benguera Island', 'no', '', 'BCW', '', ''),
	('FQBA', 'N/A', 'N/A', -20.914434269070625, 34.28332194685936, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQ49', 'small_airport', 'Vila Franca do Save Airport', -21.164499282836914, 34.560699462890625, 98, 'MZ', 'MZ-I', 'Vila Franca do Save', 'no', 'FQ49', '', 'FQ49', ''),
	('FQVL', 'medium_airport', 'Vilankulo Airport', -22.018400192260742, 35.31330108642578, 46, 'MZ', 'MZ-I', 'Vilanculo', 'yes', 'FQVL', 'VNX', '', 'Vilanculos Airport'),
	('FQMB', 'N/A', 'N/A', -21.96743130683899, 35.42455270886421, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQBC', 'N/A', 'N/A', -21.547624357044697, 35.11962577700615, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BZB', 'medium_airport', 'Bazaruto Island Airport', -21.5411, 35.4729, 0, 'MZ', 'MZ-I', 'Bazaruto Island', 'no', '', 'BZB', '', ''),
	('FQME', 'N/A', 'N/A', -22.043729424476624, 34.15840655565262, 181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQBR', 'medium_airport', 'Beira Airport', -19.79640007019043, 34.90760040283203, 33, 'MZ', 'MZ-S', 'Beira', 'yes', 'FQBR', 'BEW', '', ''),
	('FVCG', 'N/A', 'N/A', -21.42521772533655, 33.865296095609665, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOE', 'N/A', 'N/A', -0.04916053265333176, 38.30877363681793, 370, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCBU', 'N/A', 'N/A', -1.14878810942173, 41.046491861343384, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPB', 'N/A', 'N/A', -0.8241221308708191, 37.71568179130554, 1021, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKUF', 'N/A', 'N/A', -2.32913576066494, 39.035275876522064, 271, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPC', 'N/A', 'N/A', -2.752814143896103, 37.87843868136406, 1206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKGA', 'small_airport', 'Garissa Airport', -0.463508, 39.6483, 475, 'KE', 'KE-500', 'Garissa', 'no', 'HKGA', 'GAS', '', ''),
	('HKLU', 'medium_airport', 'Manda Airport', -2.252431, 40.912892, 20, 'KE', 'KE-300', 'Lamu', 'yes', 'HKLU', 'LAU', '', ''),
	('HKEB', 'N/A', 'N/A', -0.8836272731423378, 37.60661646723747, 1067, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQJ', 'N/A', 'N/A', -2.669980153441429, 38.36269184947014, 547, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKHF', 'N/A', 'N/A', -1.583421640098095, 40.50661951303482, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPE', 'N/A', 'N/A', -2.62827280908823, 38.33898112177849, 565, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKU', 'small_airport', 'Kitui Airport', -1.372789978981018, 37.97809982299805, 3790, 'KE', 'KE-400', 'Kitui', 'no', 'HKKU', '', '', '6575'),
	('HKLN', 'N/A', 'N/A', -2.2284432873129845, 40.84529846906662, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKQQ', 'N/A', 'N/A', -2.638881616294384, 38.36467444896698, 517, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOR', 'N/A', 'N/A', -2.5298481434583664, 37.7310436964035, 1155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HK47', 'N/A', 'N/A', -1.3727790489792824, 37.97810912132263, 1144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKOD', 'N/A', 'N/A', -0.06952822208404541, 38.38246017694473, 353, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKB', 'small_airport', 'Kiambere Airport', -0.6330000162124634, 37.882999420166016, 2450, 'KE', 'KE-400', 'Kiambere', 'no', 'HKKB', '', '', '6022'),
	('HKMP', 'N/A', 'N/A', -2.5635457411408424, 37.54511430859566, 1206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKBR', 'small_airport', 'Bura East Airport', -1.1, 39.950001, 345, 'KE', 'KE-300', 'Bura', 'no', 'HKBR', '', '', ''),
	('HKMU', 'small_airport', 'Makindu Airport', -2.289713, 37.828621, 3513, 'KE', 'KE-400', 'Makindu', 'no', 'HKMU', '', '', ''),
	('HK01', 'N/A', 'N/A', -2.1696650236845016, 40.89638873934746, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKLA', 'N/A', 'N/A', -2.228802368044853, 40.970157980918884, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMV', 'N/A', 'N/A', -2.7530059218406677, 38.12156215310097, 866, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HKHC', 'N/A', 'N/A', -1.1900243908166885, 39.8145617544651, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKWI', 'N/A', 'N/A', -2.2677436843514442, 40.09324550628662, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMX', 'N/A', 'N/A', -2.2164903581142426, 38.3866873383522, 562, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSE', 'N/A', 'N/A', -0.11197954416275024, 37.78980553150177, 991, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMH', 'N/A', 'N/A', -2.75292981415987, 37.52525836229324, 1211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKHL', 'N/A', 'N/A', -1.8470972031354904, 40.09119763970375, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMT', 'small_airport', 'Mtito Andei Airport', -2.7170820236206055, 38.197566986083984, 2397, 'KE', 'KE-300', 'Mtito', 'no', '', '', '', ''),
	('HKHO', 'small_airport', 'Hola Airport', -1.522, 40.004002, 195, 'KE', 'KE-300', 'Hola', 'no', 'HKHO', 'HOA', '', ''),
	('HKVF', 'N/A', 'N/A', -3.573393076658249, 38.75983312726021, 533, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTSE', 'small_airport', 'Same Airport', -4.053634, 37.789462, 3000, 'TZ', 'TZ-09', 'Same', 'no', 'HTSE', '', '', ''),
	('HKWN', 'N/A', 'N/A', -3.18196389824152, 38.12796235084534, 904, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKWU', 'N/A', 'N/A', -3.4112629294395447, 38.11831220984459, 1074, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTK', 'N/A', 'N/A', -3.843558244407177, 39.80518877506256, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPN', 'N/A', 'N/A', -5.512233562767506, 38.96512180566788, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMO', 'large_airport', 'Moi International Airport', -4.03483, 39.5942, 200, 'KE', 'KE-300', 'Mombasa', 'yes', 'HKMO', 'MBA', '', 'Mombasa, Port Reitz'),
	('HKVE', 'N/A', 'N/A', -3.0942851677536964, 38.47488150000572, 561, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPE', 'medium_airport', 'Pemba Airport', -5.25726, 39.811401, 80, 'TZ', 'TZ-25', 'Chake Chake', 'no', 'HTPE', 'PMA', '', 'Chake Chake, Karume, Thabit Kombo Jecha, Wawi'),
	('HKUK', 'small_airport', 'Ukunda Airstrip', -4.29333, 39.571098, 98, 'KE', 'KE-300', 'Ukunda', 'no', 'HKUK', 'UKA', '', 'HKKA,6643'),
	('HKVL', 'N/A', 'N/A', -2.934422828257084, 38.59808027744293, 476, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKVG', 'N/A', 'N/A', -3.072117380797863, 39.21548813581467, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSR', 'N/A', 'N/A', -2.94867642223835, 38.25118526816368, 724, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKMQ', 'N/A', 'N/A', -2.94795423746109, 37.915221601724625, 786, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTA', 'N/A', 'N/A', -3.8078825175762177, 39.79740008711815, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKVH', 'N/A', 'N/A', -3.3578333258628845, 38.60848903656006, 542, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HK0H', 'N/A', 'N/A', -3.9820363372564316, 39.730810672044754, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKF', 'N/A', 'N/A', -3.0618049576878548, 39.33155670762062, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPG', 'N/A', 'N/A', -5.471007339656353, 38.95527541637421, 71, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKSH', 'N/A', 'N/A', -4.573041647672653, 39.44725289940834, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKWY', 'N/A', 'N/A', -3.515448309481144, 38.24825093150139, 954, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKPY', 'N/A', 'N/A', -3.516957052052021, 38.443037420511246, 780, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKWD', 'N/A', 'N/A', -3.2460274547338486, 38.18171426653862, 899, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKLT', 'small_airport', 'Loitokitok Airport', -2.9098849296569824, 37.52610778808594, 5320, 'KE', 'KE-700', 'Loitokitok', 'no', '', '', '', ''),
	('HKVO', 'small_airport', 'Voi Airport', -3.374539, 38.534748, 1900, 'KE', 'KE-300', 'Voi', 'no', 'HKVO', '', '', ''),
	('HKVB', 'N/A', 'N/A', -3.6638985201716423, 38.9450977742672, 438, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKVK', 'N/A', 'N/A', -3.341626413166523, 38.81431683897972, 432, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKVC', 'N/A', 'N/A', -3.850887045264244, 38.51519152522087, 617, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKUA', 'N/A', 'N/A', -3.442939817905426, 37.74055436253548, 728, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKL', 'small_airport', 'Kilaguni Airport', -2.91061, 38.065201, 2750, 'KE', 'KE-300', 'Kilaguni', 'no', 'HKKL', 'ILU', '', ''),
	('HKVD', 'N/A', 'N/A', -3.0486755445599556, 38.6897049844265, 361, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKTE', 'N/A', 'N/A', -3.221811130642891, 37.80120760202408, 910, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKKW', 'N/A', 'N/A', -4.170060530304909, 39.43396791815758, 419, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKVI', 'N/A', 'N/A', -3.4001947939395905, 38.94999101758003, 380, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKW', 'N/A', 'N/A', -3.6231135204434395, 37.78253272175789, 710, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKUC', 'N/A', 'N/A', -2.9901735484600067, 38.453858345746994, 477, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HKML', 'medium_airport', 'Malindi Airport', -3.2293100357055664, 40.10169982910156, 80, 'KE', 'KE-300', 'Malindi', 'yes', 'HKML', 'MYD', '', ''),
	('HKVA', 'N/A', 'N/A', -3.068544678390026, 39.22711282968521, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTTG', 'medium_airport', 'Tanga Airport', -5.09236, 39.071201, 129, 'TZ', 'TZ-25', 'Tanga', 'yes', 'HTTG', 'TGT', '', ''),
	('HTDA', 'large_airport', 'Julius Nyerere International Airport', -6.87811, 39.202599, 182, 'TZ', 'TZ-02', 'Dar es Salaam', 'yes', 'HTDA', 'DAR', '', 'HTJN, Mwalimu Julius K. Nyerere, Dar es Salaam International Airport'),
	('HTKG', 'N/A', 'N/A', -7.666748464107513, 37.92722851037979, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTQC', 'N/A', 'N/A', -7.6854196563363075, 38.089570105075836, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTAG', 'small_airport', 'Amani Beach Airport', -6.957292, 39.505588, 114, 'TZ', 'TZ-02', 'Somangira', 'no', 'HTAG', '', '', 'Amani Gomvu');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('HTOO', 'N/A', 'N/A', -6.148533001542091, 37.66132056713104, 373, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKP', 'N/A', 'N/A', -7.7501581236720085, 38.20813849568367, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMA', 'small_airport', 'Mafia Airport', -7.917478, 39.668502, 60, 'TZ', 'TZ-19', 'Kilindoni', 'yes', 'HTMA', 'MFA', '', ''),
	('HTPH', 'N/A', 'N/A', -7.884562276303768, 37.67804995179176, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLZ', 'N/A', 'N/A', -7.8194935619831085, 37.87741631269455, 259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTVI', 'N/A', 'N/A', -6.935464963316917, 39.49310213327408, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPA', 'N/A', 'N/A', -5.719353407621384, 38.82844716310501, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTOK', 'N/A', 'N/A', -6.249019615352154, 38.67783397436142, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTNT', 'N/A', 'N/A', -6.031131371855736, 38.769574016332626, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMG', 'small_airport', 'Morogoro Airport', -6.79722, 37.653099, 1676, 'TZ', 'TZ-16', 'Morogoro', 'no', 'HTMG', '', '', ''),
	('HTZA', 'large_airport', 'Abeid Amani Karume International Airport', -6.22202, 39.224899, 54, 'TZ', 'TZ-07', 'Zanzibar', 'yes', 'HTZA', 'ZNZ', '', 'HTAK, Zanzibar Airport, Kiembi Samaki'),
	('HTNG', 'small_airport', 'Ngerengere Air Force Base', -6.717083, 38.153944, 738, 'TZ', 'TZ-16', 'Ngerengere', 'no', 'HTNG', '', '', ''),
	('HTBB', 'small_airport', 'Kibambawe Airstrip', -7.748241, 38.001833, 485, 'TZ', 'TZ-19', 'Selous Game Reserve', 'no', 'HTBB', '', '', ''),
	('HTLQ', 'N/A', 'N/A', -7.772968634963036, 39.02020052075386, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKH', 'N/A', 'N/A', -7.529001273214817, 37.762205600738525, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLB', 'N/A', 'N/A', -9.42644689232111, 37.51915946602821, 506, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTKI', 'small_airport', 'Kilwa Airport', -8.91123, 39.508619, 50, 'TZ', 'TZ-12', 'Kilwa Masoko', 'no', 'HTKI', 'KIY', '', ''),
	('HTOG', 'N/A', 'N/A', -8.643286786973476, 37.67401322722435, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTNP', 'N/A', 'N/A', -11.206696406006813, 38.163244128227234, 265, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQMM', 'N/A', 'N/A', -11.031207516789436, 40.612472891807556, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMI', 'small_airport', 'Masasi Airport', -10.733, 38.766998, 1700, 'TZ', 'TZ-17', 'Masasi', 'no', 'HTMI', 'XMI', '', ''),
	('LMZ', 'small_airport', 'Palma Airport', -10.7506, 40.4702, 177, 'MZ', 'MZ-P', 'Palma', 'no', '', 'LMZ', '', ''),
	('HTLA', 'N/A', 'N/A', -9.041363149881363, 38.273255825042725, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLV', 'N/A', 'N/A', -8.527915589511395, 39.506907910108566, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTUB', 'N/A', 'N/A', -8.482072949409485, 38.54092821478844, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTLW', 'N/A', 'N/A', -9.798487722873688, 37.869499772787094, 592, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMT', 'medium_airport', 'Mtwara Airport', -10.336204, 40.181997, 371, 'TZ', 'TZ-17', 'Mtwara', 'yes', 'HTMT', 'MYW', '', ''),
	('NND', 'small_airport', 'Nangade Airport', -11.073, 39.68, 825, 'MZ', 'MZ-P', 'Nangade', 'no', '', 'NND', '', ''),
	('HTLI', 'small_airport', 'Lindi Airport', -9.851005, 39.75911, 100, 'TZ', 'TZ-12', 'Lindi', 'yes', 'HTLI', 'LDI', '', 'Kikwetu Airport'),
	('HTNA', 'small_airport', 'Nachingwea Airport', -10.3575, 38.779202, 1400, 'TZ', 'TZ-12', 'Nachingwea', 'no', 'HTNA', 'NCH', '', ''),
	('FQPC', 'N/A', 'N/A', -12.270985879004002, 40.11020064353943, 495, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTQB', 'N/A', 'N/A', -11.340161114931107, 38.30309048295021, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPZ', 'N/A', 'N/A', -12.243452332913876, 38.000207394361496, 260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQMT', 'N/A', 'N/A', -12.524853609502316, 39.654282331466675, 324, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQPM', 'N/A', 'N/A', -12.201401330530643, 40.56971713900566, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQPB', 'medium_airport', 'Pemba Airport', -12.991762161254883, 40.52401351928711, 331, 'MZ', 'MZ-P', 'Pemba / Porto Amelia', 'yes', 'FQPB', 'POL', '', ''),
	('FQPD', 'N/A', 'N/A', -12.429586909711361, 40.614257007837296, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQMP', 'medium_airport', 'Mocímboa da Praia Airport', -11.3618, 40.3549, 89, 'MZ', 'MZ-P', 'Mocímboa da Praia', 'no', 'FQMP', 'MZB', '', ''),
	('FQMO', 'N/A', 'N/A', -11.817427687346935, 40.60295328497887, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTQA', 'N/A', 'N/A', -11.856506131589413, 38.4227380156517, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTNI', 'N/A', 'N/A', -12.169462256133556, 37.54574507474899, 485, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTMJ', 'N/A', 'N/A', -12.287888824939728, 37.817775160074234, 295, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQPE', 'N/A', 'N/A', -12.35036987811327, 40.602339059114456, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQMD', 'medium_airport', 'Mueda Airport', -11.6729, 39.563099, 2789, 'MZ', 'MZ-P', 'Mueda', 'no', 'FQMD', 'MUD', '', ''),
	('HTPV', 'N/A', 'N/A', -12.466616816818714, 37.65998795628548, 311, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQPA', 'N/A', 'N/A', -13.407002985477448, 39.80245918035507, 306, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQMR', 'small_airport', 'Marrupa Airport', -13.2251, 37.552101, 2480, 'MZ', 'MZ-A', 'Marrupa', 'no', 'FQMR', '', '', ''),
	('MTU', 'small_airport', 'Montepuez Airport', -13.121899604797363, 39.052799224853516, 0, 'MZ', 'MZ-P', 'Montepuez', 'no', '', 'MTU', '', ''),
	('HTNQ', 'N/A', 'N/A', -11.611939631402493, 37.56426617503166, 333, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTME', 'N/A', 'N/A', -12.140778712928295, 38.31884801387787, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HTPU', 'N/A', 'N/A', -12.117973230779171, 37.68802687525749, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AME', 'small_airport', 'Alto Molocue Airport', -15.6102777778, 37.6813888889, 1950, 'MZ', 'MZ-Q', 'Alto Molocue', 'no', '', 'AME', '', ''),
	('FQLU', 'small_airport', 'Lumbo Airport', -15.0331, 40.6717, 33, 'MZ', 'MZ-N', 'Lumbo', 'no', 'FQLU', 'LFB', '', ''),
	('FQNP', 'medium_airport', 'Nampula Airport', -15.105600357055664, 39.28179931640625, 1444, 'MZ', 'MZ-N', 'Nampula', 'yes', 'FQNP', 'APL', '', ''),
	('FQNM', 'N/A', 'N/A', -16.163791827857494, 38.360817432403564, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQAG', 'small_airport', 'Angoche Airport', -16.18187, 39.945217, 121, 'MZ', 'MZ-N', 'Angoche', 'no', 'FQAG', 'ANO', '', ''),
	('FQAN', 'N/A', 'N/A', -16.550706513226032, 39.62058171629906, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQIL', 'N/A', 'N/A', -14.879027791321278, 40.04335105419159, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQNA', 'N/A', 'N/A', -14.21106856316328, 40.69679617881775, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQNC', 'small_airport', 'Nacala Airport', -14.4882, 40.7122, 410, 'MZ', 'MZ-N', 'Nacala', 'no', 'FQNC', 'MNC', '', ''),
	('FQQI', 'N/A', 'N/A', -17.27311458438635, 38.18093687295914, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCBR', 'N/A', 'N/A', -1.7422328889369965, 41.483421474695206, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HCMK', 'medium_airport', 'Kismayo Airport', -0.377353, 42.459202, 49, 'SO', 'SO-JH', 'Kismayo', 'no', 'HCMK', 'KMU', '', 'Kisimayu, كيسمايو المطار'),
	('KWY', 'medium_airport', 'Kiwayu Airport', -1.9605599641799927, 41.29750061035156, 21, 'KE', 'KE-300', 'Kiwayu', 'yes', '', 'KWY', '', 'Mkononi Airport'),
	('FMCH', 'medium_airport', 'Prince Said Ibrahim International Airport', -11.5337, 43.2719, 93, 'KM', 'KM-G', 'Moroni', 'yes', 'FMCH', 'HAH', '', 'Hahaia'),
	('FMCI', 'medium_airport', 'Mohéli Bandar Es Eslam Airport', -12.2981, 43.766399, 46, 'KM', 'KM-M', 'Fomboni', 'yes', 'FMCI', 'NWA', '', 'Mwali, Bandaressalam'),
	('FMCV', 'medium_airport', 'Ouani Airport', -12.131047, 44.430044, 62, 'KM', 'KM-A', 'Ouani', 'yes', 'FMCV', 'AJN', '', ''),
	('FMMW', 'N/A', 'N/A', -16.594866067171097, 44.453718066215515, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMNQ', 'medium_airport', 'Besalampy Airport', -16.74453, 44.482484, 125, 'MG', 'MG-M', 'Besalampy', 'yes', 'FMNQ', 'BPY', '', ''),
	('FMMO', 'small_airport', 'Maintirano Airport', -18.049999, 44.033001, 95, 'MG', 'MG-M', 'Maintirano', 'yes', 'FMMO', 'MXT', '', ''),
	('FMZJ', 'small_airport', 'Juan de Nova Airstrip', -17.05396, 42.7193, 3, 'TF', 'TF-U-A', 'Juan de Nova', 'no', 'FMZJ', '', '', ''),
	('FMMG', 'small_airport', 'Antsalova Airport', -18.701273, 44.614921, 551, 'MG', 'MG-M', 'Antsalova', 'yes', 'FMMG', 'WAQ', '', ''),
	('FMMR', 'small_airport', 'Morafenobe Airport', -17.850083, 44.920467, 748, 'MG', 'MG-M', 'Morafenobe', 'yes', 'FMMR', 'TVA', '', ''),
	('FMML', 'small_airport', 'Belo sur Tsiribihina Airport', -19.6867008209, 44.541900634799994, 154, 'MG', 'MG-U', 'Belo sur Tsiribihina', 'yes', 'FMML', 'BMD', '', ''),
	('FMMU', 'small_airport', 'Tambohorano Airport', -17.476101, 43.972801, 23, 'MG', 'MG-M', 'Tambohorano', 'yes', 'FMMU', 'WTA', '', ''),
	('DVD', 'small_airport', 'Andavadoaka Airport', -22.06608, 43.259573, 30, 'MG', 'MG-U', 'Andavadoaka', 'no', '', 'DVD', '', ''),
	('FMBL', 'N/A', 'N/A', -19.947712160646915, 44.590854942798615, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMSZ', 'small_airport', 'Ankazoabo Airport', -22.2964423522, 44.5315361023, 1411, 'MG', 'MG-U', 'Ankazoabo', 'no', 'FMSZ', 'WAK', '', ''),
	('FMAK', 'N/A', 'N/A', -22.291282564401627, 43.75777289271355, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMMF', 'N/A', 'N/A', -20.35395886749029, 44.64698284864426, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMSR', 'medium_airport', 'Morombe Airport', -21.753837, 43.374753, 16, 'MG', 'MG-U', 'Morombe', 'yes', 'FMSR', 'MXM', '', ''),
	('FMSJ', 'small_airport', 'Manja Airport', -21.426105, 44.316509, 787, 'MG', 'MG-U', 'Manja', 'yes', 'FMSJ', 'MJA', '', ''),
	('FMSN', 'small_airport', 'Samangoky Airport', -21.700000762939453, 43.733001708984375, 89, 'MG', 'MG-U', 'Tanandava', 'no', 'FMSN', 'TDV', '', ''),
	('FMMV', 'medium_airport', 'Morondava Airport', -20.2847, 44.3176, 30, 'MG', 'MG-U', 'Morondava', 'yes', 'FMMV', 'MOQ', '', ''),
	('FMNN', 'medium_airport', 'Fascene Airport', -13.3121, 48.3148, 36, 'MG', 'MG-D', 'Nosy Be', 'yes', 'FMNN', 'NOS', '', ''),
	('FMCR', 'N/A', 'N/A', -12.970957607030869, 45.15876621007919, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMCZ', 'medium_airport', 'Dzaoudzi Pamandzi International Airport', -12.809319, 45.281815, 23, 'YT', 'YT-U-A', 'Dzaoudzi', 'yes', 'FMCZ', 'DZA', '', ''),
	('FMNZ', 'small_airport', 'Ampampamena Airport', -13.484816, 48.632702, 49, 'MG', 'MG-D', '', 'no', 'FMNZ', 'IVA', '', ''),
	('FMAN', 'N/A', 'N/A', -15.02302285283804, 47.23234802484512, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMNW', 'medium_airport', 'Ambalabe Airport', -14.898799896240234, 47.993900299072266, 92, 'MG', 'MG-M', 'Antsohihy', 'yes', 'FMNW', 'WAI', '', ''),
	('BSV', 'small_airport', 'Besakoa Airport', -15.6725, 47.061667, 40, 'MG', 'MG-M', 'Besakoa', 'no', '', 'BSV', '', ''),
	('FMNM', 'medium_airport', 'Amborovy Airport', -15.666842, 46.351233, 87, 'MG', 'MG-M', 'Mahajanga', 'yes', 'FMNM', 'MJN', '', 'Philibert Tsiranana Airport, Mahajanga'),
	('FMAE', 'N/A', 'N/A', -14.718592129647732, 47.4740432202816, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMNL', 'medium_airport', 'Analalava Airport', -14.629514, 47.763555, 345, 'MG', 'MG-M', 'Analalava', 'yes', 'FMNL', 'HVA', '', ''),
	('FMAI', 'N/A', 'N/A', -14.955442249774933, 47.306358218193054, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMNP', 'small_airport', 'Mampikony Airport', -16.0722693402, 47.644164562200004, 0, 'MG', 'MG-M', 'Mampikony', 'yes', 'FMNP', 'WMP', '', ''),
	('FMNO', 'small_airport', 'Soalala Airport', -16.10169, 45.358837, 141, 'MG', 'MG-M', 'Soalala', 'yes', 'FMNO', 'DWB', '', ''),
	('FMNT', 'small_airport', 'Tsaratanana Airport', -16.751064, 47.619016, 1073, 'MG', 'MG-M', 'Tsaratanana', 'yes', 'FMNT', 'TTS', '', ''),
	('FMTA', 'N/A', 'N/A', -15.979579389095306, 47.63270303606987, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMNG', 'small_airport', 'Port Bergé Airport', -15.584286, 47.623587, 213, 'MG', 'MG-M', 'Port Bergé', 'yes', 'FMNG', 'WPB', '', ''),
	('FMAH', 'N/A', 'N/A', -15.022662095725536, 47.90947660803795, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMBA', 'N/A', 'N/A', -14.54262312501669, 48.69090959429741, 1134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FMAZ', 'N/A', 'N/A', -18.575123213231564, 47.23965212702751, 1375, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TZO', 'small_airport', 'Tsimiroro Airport', -18.345064, 45.015643, 755, 'MG', 'MG-U', 'Ankisatra', 'no', '', 'TZO', '', ''),
	('WAD', 'small_airport', 'Andriamena Airport', -17.631, 47.7233, 2475, 'MG', 'MG-M', 'Andriamena', 'no', '', 'WAD', '', ''),
	('FMMK', 'small_airport', 'Ankavandra Airport', -18.80501, 45.273467, 427, 'MG', 'MG-U', 'Ankavandra', 'yes', 'FMMK', 'JVA', '', ''),
	('FMNI', 'N/A', 'N/A', -18.90626572072506, 48.428394198417664, 923, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMAF', 'N/A', 'N/A', -18.012126870453358, 48.06679353117943, 944, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMMX', 'small_airport', 'Tsiroanomandidy Airport', -18.759677, 46.054065, 2776, 'MG', 'MG-T', 'Tsiroanomandidy', 'yes', 'FMMX', 'WTS', '', ''),
	('FMMB', 'N/A', 'N/A', -18.917000591754913, 48.218684792518616, 902, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMMP', 'small_airport', 'Amparafaravola Airport', -17.6545730219, 48.2144451141, 2576, 'MG', 'MG-A', 'Amparafaravola', 'no', 'FMMP', '', '', ''),
	('FMMN', 'medium_airport', 'Miandrivazo Airport', -19.562799, 45.450802, 203, 'MG', 'MG-U', 'Miandrivazo', 'yes', 'FMMN', 'ZVA', '', ''),
	('FMMI', 'large_airport', 'Ivato Airport', -18.7969, 47.478802, 4198, 'MG', 'MG-T', 'Antananarivo', 'yes', 'FMMI', 'TNR', '', ''),
	('FMMA', 'small_airport', 'Antananarivo Arivonimamo Airport', -19.028999, 47.171799, 4757, 'MG', 'MG-T', 'Arivonimamo', 'no', 'FMMA', '', '', ''),
	('FMAG', 'N/A', 'N/A', -17.89470847696066, 48.25141489505768, 794, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMMZ', 'small_airport', 'Ambatondrazaka Airport', -17.795378, 48.442583, 2513, 'MG', 'MG-A', 'Ambatondrazaka', 'yes', 'FMMZ', 'WAM', '', ''),
	('FMMJ', 'small_airport', 'Ambohijanahary Airport', -17.4644789611, 48.3267116547, 2496, 'MG', 'MG-A', 'Ambohijanahary', 'no', 'FMMJ', '', '', ''),
	('BZM', 'small_airport', 'Bemolanga Airport', -17.6925, 45.0888333333, 950, 'MG', 'MG-M', 'Bemolanga', 'no', '', 'BZM', '', ''),
	('AMY', 'small_airport', 'Ambatomainty Airport', -17.686667, 45.623889, 1025, 'MG', 'MG-M', '', 'no', 'FMMB', 'AMY', '', ''),
	('FMMC', 'small_airport', 'Malaimbandy Airport', -20.355390292099997, 45.5433726311, 597, 'MG', 'MG-U', 'Malaimbandy', 'no', 'FMMC', 'WML', '', ''),
	('FMSK', 'medium_airport', 'Manakara Airport', -22.119699, 48.021702, 33, 'MG', 'MG-F', 'Manakara', 'yes', 'FMSK', 'WVK', '', ''),
	('FMSM', 'medium_airport', 'Mananjary Airport', -21.201799, 48.358299, 20, 'MG', 'MG-F', 'Mananjary', 'yes', 'FMSM', 'MNJ', '', ''),
	('FMSI', 'small_airport', 'Ihosy Airport', -22.404720202399997, 46.1649370193, 2500, 'MG', 'MG-F', 'Ihosy', 'no', 'FMSI', 'IHO', '', ''),
	('FMIK', 'N/A', 'N/A', -21.124871000647545, 46.53150290250778, 801, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMSA', 'small_airport', 'Ambalavao Airport', -21.814891018799997, 46.914024353, 3189, 'MG', 'MG-F', 'Ambalavao', 'no', 'FMSA', '', '', ''),
	('AHY', 'small_airport', 'Ambatolhy Airport', -20.015833333299998, 45.535, 340, 'MG', 'MG-U', 'Ambatolahy', 'no', '', 'AHY', '', ''),
	('FMSB', 'small_airport', 'Antsoa Airport', -21.606983764699997, 45.136020183599996, 820, 'MG', 'MG-U', 'Beroroha', 'no', 'FMSB', 'WBO', '', ''),
	('FMSF', 'medium_airport', 'Fianarantsoa Airport', -21.441601, 47.111698, 3658, 'MG', 'MG-F', 'Fianarantsoa', 'yes', 'FMSF', 'WFI', '', ''),
	('FMME', 'small_airport', 'Antsirabe Airport', -19.839221, 47.063713, 4997, 'MG', 'MG-T', 'Antsirabe', 'no', 'FMME', 'ATJ', '', ''),
	('FMNK', 'N/A', 'N/A', -12.25599367171526, 49.25415873527527, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMNV', 'medium_airport', 'Vohemar Airport', -13.3758, 50.0028, 19, 'MG', 'MG-D', 'Vohemar', 'yes', 'FMNV', 'VOH', '', ''),
	('FMNE', 'small_airport', 'Ambilobe Airport', -13.1884, 48.987999, 72, 'MG', 'MG-D', '', 'no', 'FMNE', 'AMB', '', ''),
	('FMNA', 'medium_airport', 'Arrachart Airport', -12.3494, 49.291698, 374, 'MG', 'MG-D', 'Antisiranana', 'yes', 'FMNA', 'DIE', '', 'Diego-Suárez'),
	('FMNH', 'medium_airport', 'Antsirabe Airport', -14.9994, 50.320202, 20, 'MG', 'MG-D', 'Antsirabe', 'yes', 'FMNH', 'ANM', '', ''),
	('FMAD', 'N/A', 'N/A', -16.739388182759285, 49.972239285707474, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMNC', 'medium_airport', 'Mananara Nord Airport', -16.16390037536621, 49.773799896240234, 9, 'MG', 'MG-A', 'Mananara Nord', 'yes', 'FMNC', 'WMR', '', 'Avaratra Airport'),
	('FMNR', 'medium_airport', 'Maroantsetra Airport', -15.437742, 49.689081, 9, 'MG', 'MG-A', 'Maroantsetra', 'yes', 'FMNR', 'WMN', '', ''),
	('FMNS', 'medium_airport', 'Sambava Airport', -14.2786, 50.174702, 20, 'MG', 'MG-D', 'Sambava', 'yes', 'FMNS', 'SVB', '', ''),
	('FMND', 'medium_airport', 'Andapa Airport', -14.651700019836426, 49.620601654052734, 1552, 'MG', 'MG-D', '', 'no', 'FMND', 'ZWA', '', ''),
	('FMNX', 'small_airport', 'Mandritsara Airport', -15.845992, 48.834718, 1007, 'MG', 'MG-M', 'Mandritsara', 'yes', 'FMNX', 'WMA', '', ''),
	('FMAJ', 'N/A', 'N/A', -15.046442560851574, 49.31630730628967, 875, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMMY', 'small_airport', 'Vatomandry Airport', -19.383333, 48.95, 39, 'MG', 'MG-A', 'Vatomandry', 'no', 'FMMY', 'VAT', '', ''),
	('FMMS', 'medium_airport', 'Sainte Marie Airport', -17.093901, 49.8158, 7, 'MG', 'MG-A', 'Vohilava', 'yes', 'FMMS', 'SMS', '', ''),
	('FMMQ', 'small_airport', 'Atsinanana Airport', -19.58300018310547, 48.803001403808594, 33, 'MG', 'MG-A', 'Ilaka', 'no', 'FMMQ', 'ILK', '', ''),
	('FMBI', 'small_airport', 'Betainomby Airport', -18.1958013864, 49.348526001, 40, 'MG', 'MG-A', 'Betainomby', 'no', 'FMFZ', '', 'MBI', ''),
	('FMMT', 'medium_airport', 'Toamasina Ambalamanasy Airport', -18.109501, 49.392502, 22, 'MG', 'MG-A', 'Toamasina', 'yes', 'FMMT', 'TMM', '', ''),
	('FMMH', 'small_airport', 'Mahanoro Airport', -19.83300018310547, 48.79999923706055, 16, 'MG', 'MG-A', 'Mahanoro', 'no', 'FMMH', 'VVB', '', ''),
	('FSSF', 'small_airport', 'Frégate Island Airport', -4.582785, 55.944928, 610, 'SC', 'SC-15', 'Frégate Island', 'no', 'FSSF', 'FRK', '', ''),
	('FMEP', 'medium_airport', 'Pierrefonds Airport', -21.319362, 55.422506, 59, 'RE', 'RE-SR', 'Saint-Pierre', 'yes', 'FMEP', 'ZSE', '', 'Aéroport de Saint-Pierre - Pierrefonds'),
	('FMEE', 'large_airport', 'Roland Garros Airport', -20.890087, 55.518894, 66, 'RE', 'RE-SD', 'Sainte-Marie', 'yes', 'FMEE', 'RUN', '', 'Gillot Airport'),
	('FIMA', 'N/A', 'N/A', -10.371585264801979, 56.60889208316803, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FIPL', 'N/A', 'N/A', -20.12375995516777, 57.68163084983826, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FIMP', 'large_airport', 'Sir Seewoosagur Ramgoolam International Airport', -20.430201, 57.683601, 186, 'MU', 'MU-GP', 'Plaine Magnien', 'yes', 'FIMP', 'MRU', '', 'Plaisance International Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FUQO', 'N/A', 'N/A', -24.13885150104761, 31.196605414152145, 353, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUIE', 'N/A', 'N/A', -24.26676906645298, 30.75162649154663, 510, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUMA', 'small_airport', 'Fuma Airport', -6.3933, 142.4408, 466, 'PG', 'PG-WPD', 'Fuma', 'no', 'AYFU', 'FUM', 'FUMA', ''),
	('MWR', 'small_airport', 'Motswari Airport', -24.1903, 31.3864, 1160, 'ZA', 'ZA-MP', 'Motswari Private Game Reserve', 'no', '', 'MWR', '', ''),
	('FAHS', 'small_airport', 'Hoedspruit Air Force Base Airport', -24.368600845299998, 31.0487003326, 1743, 'ZA', 'ZA-NP', 'Hoedspruit', 'yes', 'FAHS', 'HDS', '', ''),
	('FUIL', 'N/A', 'N/A', -24.499379619956017, 31.04242980480194, 596, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQMC', 'N/A', 'N/A', -25.03193322569132, 32.74836704134941, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAMD', 'medium_airport', 'Malamala Airport', -24.816866, 31.544085, 1124, 'ZA', 'ZA-MP', 'Malamala', 'yes', 'FAMD', 'AAM', '', ''),
	('FAGD', 'N/A', 'N/A', -23.115102276206017, 31.427667438983917, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUXD', 'N/A', 'N/A', -25.31115721911192, 31.027126908302307, 883, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATV', 'N/A', 'N/A', -24.801974706351757, 31.421950310468674, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPB', 'N/A', 'N/A', -23.939505703747272, 32.153789699077606, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUQM', 'N/A', 'N/A', -24.103412479162216, 31.19936764240265, 307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUUB', 'N/A', 'N/A', -24.54018607735634, 31.20600476861, 496, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUNI', 'N/A', 'N/A', -22.82123778015375, 32.004116624593735, 254, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUHF', 'N/A', 'N/A', -23.548792339861393, 30.225179940462112, 652, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAIC', 'N/A', 'N/A', -24.29998453706503, 31.289206445217133, 405, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATB', 'small_airport', 'Thorny Bush Game Lodge Airport', -24.416086, 31.164232, 1900, 'ZA', 'ZA-MP', 'Hoedspruit', 'no', 'FATB', '', '', ''),
	('FUQH', 'N/A', 'N/A', -24.246752075850964, 31.35472074151039, 388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUQQ', 'N/A', 'N/A', -24.17314723134041, 31.3280788064003, 354, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUUF', 'N/A', 'N/A', -24.52553417533636, 31.119647473096848, 583, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUQG', 'N/A', 'N/A', -24.273267053067684, 31.407104283571243, 391, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUUC', 'N/A', 'N/A', -24.377196617424488, 31.77651733160019, 282, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASE', 'small_airport', 'Sabi Sabi Airport', -24.947375434199998, 31.4488477707, 1276, 'ZA', 'ZA-MP', 'Belfast', 'no', 'FASE', 'GSS', '', ''),
	('FUHE', 'N/A', 'N/A', -23.56875166296959, 30.14913484454155, 670, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAHT', 'small_airport', 'Hoedspruit Airport', -24.351699829101563, 30.949399948120117, 1801, 'ZA', 'ZA-NP', 'Hoedspruit', 'no', 'FAHT', '', '', ''),
	('FATU', 'N/A', 'N/A', -24.78271309286356, 31.35421648621559, 435, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQBI', 'small_airport', 'Bilene Airport', -25.265985, 33.238598, 118, 'MZ', 'MZ-G', 'Bilene', 'no', 'FQBI', '', '', ''),
	('FUXE', 'N/A', 'N/A', -25.258133970201015, 31.015920639038086, 997, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUUA', 'N/A', 'N/A', -23.83852656930685, 30.131660252809525, 802, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATD', 'N/A', 'N/A', -24.77741003036499, 31.385740488767624, 382, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAGI', 'small_airport', 'Giyani Airport', -23.2833, 30.65, 1584, 'ZA', 'ZA-NP', 'Giyani', 'no', 'FAGI', 'GIY', '', ''),
	('FAPO', 'small_airport', 'Pilgrims Rest Airport', -24.785147, 30.791899, 3802, 'ZA', 'ZA-MP', 'Mankolehlotlo', 'no', 'FAPO', '', '', ''),
	('FAGV', 'small_airport', 'Gravelotte Airport', -23.91670036315918, 30.700000762939453, 1650, 'ZA', 'ZA-NP', 'Gravelotte', 'no', 'FAGV', '', '', ''),
	('FUQK', 'N/A', 'N/A', -24.11459494382143, 31.135833263397217, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUHB', 'N/A', 'N/A', -25.096710920333862, 30.7954341173172, 1119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUQD', 'N/A', 'N/A', -23.931948244571686, 30.85740476846695, 444, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUIC', 'N/A', 'N/A', -24.158668667078018, 30.839259177446365, 447, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPH', 'medium_airport', 'Hendrik Van Eck Airport', -23.937200546299998, 31.1553993225, 1432, 'ZA', 'ZA-NP', 'Phalaborwa', 'yes', 'FAPH', 'PHW', '', ''),
	('FUNA', 'N/A', 'N/A', -22.565324865281582, 30.227482169866562, 592, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUCE', 'N/A', 'N/A', -24.866803027689457, 30.43183520436287, 1285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAJC', 'small_airport', 'Jackalberry Airstrip', -24.508666, 31.142142, 1850, 'ZA', 'ZA-NP', '', 'no', 'FAJC', '', '', ''),
	('FQCO', 'N/A', 'N/A', -24.523806497454643, 32.966248244047165, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUID', 'N/A', 'N/A', -24.51727967709303, 30.943529158830643, 686, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUIM', 'N/A', 'N/A', -24.51735444366932, 31.090545505285263, 563, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQRE', 'N/A', 'N/A', -25.23766167461872, 32.159860879182816, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUIK', 'N/A', 'N/A', -24.4661658257246, 31.084802895784378, 529, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUIN', 'N/A', 'N/A', -24.258673153817654, 31.080629378557205, 477, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FANN', 'N/A', 'N/A', -22.618860751390457, 30.17736241221428, 544, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FANG', 'small_airport', 'Ngala Airport', -24.389, 31.326, 3357, 'ZA', 'ZA-MP', 'Ngala', 'no', 'FANG', 'NGL', '', ''),
	('FUUD', 'N/A', 'N/A', -24.534715712070465, 31.10152155160904, 597, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FQRS', 'N/A', 'N/A', -25.310131944715977, 32.258518785238266, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQXA', 'small_airport', 'Xai-Xai Chongoene Airport', -24.895362, 33.749896, 0, 'MZ', 'MZ-G', 'Xai-Xai', 'yes', 'FQXA', 'VJB', '', ''),
	('FANI', 'N/A', 'N/A', -24.164161831140518, 31.345860958099365, 342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUXG', 'N/A', 'N/A', -25.295315086841583, 31.083783209323883, 861, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUIF', 'N/A', 'N/A', -24.137921445071697, 30.981701463460922, 352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUIJ', 'N/A', 'N/A', -24.155734330415726, 31.02505624294281, 392, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUIA', 'N/A', 'N/A', -24.16902869939804, 30.658498853445053, 468, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUIB', 'N/A', 'N/A', -24.098865129053593, 30.71648418903351, 476, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUII', 'N/A', 'N/A', -24.49154857546091, 31.08578860759735, 547, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASZ', 'medium_airport', 'Skukuza Airport', -24.960899353, 31.5886993408, 1020, 'ZA', 'ZA-MP', 'Skukuza', 'no', 'FASZ', 'SZK', '', ''),
	('FA0E', 'N/A', 'N/A', -22.770051509141922, 31.010874956846237, 438, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUQN', 'N/A', 'N/A', -24.12871476262808, 31.363975703716278, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATZ', 'medium_airport', 'Tzaneen Airport', -23.8244, 30.3293, 1914, 'ZA', 'ZA-NP', 'Tzaneen', 'no', 'FATZ', 'LTA', '', ''),
	('FUXH', 'N/A', 'N/A', -25.26780802756548, 31.0122849047184, 977, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATL', 'N/A', 'N/A', -24.525503665208817, 31.28979116678238, 478, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FANR', 'N/A', 'N/A', -22.507221177220345, 30.892069190740585, 384, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUQF', 'N/A', 'N/A', -24.245187006890774, 31.31586268544197, 389, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FULD', 'N/A', 'N/A', -24.78375982493162, 31.856743097305298, 252, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKC', 'N/A', 'N/A', -24.43004183471203, 31.259073168039322, 501, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUUE', 'N/A', 'N/A', -24.919549003243446, 31.62067338824272, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAIE', 'N/A', 'N/A', -24.107685573399067, 30.911958664655685, 451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUQP', 'N/A', 'N/A', -24.154250733554363, 31.304198652505875, 376, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FACC', 'small_airport', 'Arathusa Safari Lodge Airport', -24.744165, 31.522499, 1289, 'ZA', 'ZA-NP', 'Arathusa', 'no', 'FAAR', 'ASS', '', 'FACC'),
	('FAGO', 'small_airport', 'Gowrie Airport', -24.737165303599998, 31.5602874756, 1200, 'ZA', 'ZA-MP', '', 'no', 'FAGO', '', '', ''),
	('FATC', 'N/A', 'N/A', -24.593992866575718, 31.41511470079422, 439, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUOD', 'N/A', 'N/A', -24.011836163699627, 30.684555172920227, 504, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FABG', 'small_airport', 'Buffelshoek Airport', -24.702464, 31.587875, 1347, 'ZA', 'ZA-MP', '', 'no', 'FABG', '', '', ''),
	('FUQL', 'N/A', 'N/A', -24.117823988199234, 31.0212841629982, 362, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUQC', 'N/A', 'N/A', -24.053342677652836, 30.91180130839348, 468, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FATH', 'small_airport', 'Thohoyandou Airport', -23.0769, 30.3836, 2021, 'ZA', 'ZA-NP', 'Thohoyandou', 'no', 'FATH', 'THY', '', ''),
	('FUOE', 'N/A', 'N/A', -23.79697546362877, 30.44747918844223, 502, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUIG', 'N/A', 'N/A', -24.163457415997982, 30.98426789045334, 354, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAEH', 'N/A', 'N/A', -24.660485163331032, 30.18077552318573, 888, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAWQ', 'N/A', 'N/A', -25.04925325512886, 31.132027208805084, 550, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUHC', 'N/A', 'N/A', -24.956164844334126, 30.85079938173294, 1483, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQXI', 'N/A', 'N/A', -25.1995300501585, 33.50110933184624, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQB', 'N/A', 'N/A', -23.000119999051094, 30.074048191308975, 1218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUXF', 'N/A', 'N/A', -25.09506907314062, 31.02244198322296, 880, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAHY', 'N/A', 'N/A', -24.19965047389269, 30.81255555152893, 381, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALV', 'N/A', 'N/A', -24.99540388584137, 30.403282195329666, 1397, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALL', 'small_airport', 'Lydenburg Airport', -25.103300094604492, 30.414199829101563, 4882, 'ZA', 'ZA-MP', 'Lydenburg', 'no', 'FALL', '', '', ''),
	('FUQR', 'N/A', 'N/A', -23.97886510938406, 31.73612952232361, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALD', 'small_airport', 'Londolozi Airport', -24.7478, 31.4743, 1300, 'ZA', 'ZA-NP', 'Londolozi', 'no', 'FALD', 'LDZ', '', ''),
	('FUQE', 'N/A', 'N/A', -24.301614314317703, 31.40457585453987, 417, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUCD', 'N/A', 'N/A', -24.75983552634716, 30.35157859325409, 852, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAQI', 'N/A', 'N/A', -23.833410255610943, 31.570516973733902, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUNG', 'N/A', 'N/A', -27.594681680202484, 32.25323125720024, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FDST', 'small_airport', 'Siteki Airport', -26.471957, 31.942567, 2220, 'SZ', 'SZ-LU', 'Siteki', 'no', 'FDST', '', '', ''),
	('FUCC', 'N/A', 'N/A', -25.858170948922634, 30.613022446632385, 1093, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQPO', 'small_airport', 'Ponta do Ouro Airport', -26.826913, 32.838444, 92, 'MZ', 'MZ-L', 'Ponta do Ouro', 'no', 'FQPO', 'PDD', '', ''),
	('FDML', 'N/A', 'N/A', -26.499139107763767, 31.01517990231514, 1316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FDNT', 'N/A', 'N/A', -25.59443771839142, 31.324178874492645, 420, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAIV', 'small_airport', 'Ingwavuma Airport', -27.11709976196289, 32.00870132446289, 2100, 'ZA', 'ZA-NL', 'Ingwavuma', 'no', 'FAIV', '', '', ''),
	('FDTM', 'small_airport', 'Tambankulu Airport', -26.106429, 31.919489, 811, 'SZ', 'SZ-LU', 'Tambankulu', 'no', 'FDTM', '', '', ''),
	('FADH', 'small_airport', 'Durnacol Airport', -28.046100616455078, 30.006399154663086, 4317, 'ZA', 'ZA-NL', 'Durnacol', 'no', 'FADH', '', '', ''),
	('FQML', 'N/A', 'N/A', -26.04567714035511, 32.27774530649185, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAIA', 'small_airport', 'Itala Airport', -27.4867000579834, 31.171100616455078, 2665, 'ZA', 'ZA-NL', 'Itala', 'no', 'FAIA', '', '', ''),
	('FDBM', 'small_airport', 'Matata Airport', -26.867000579833984, 31.933000564575195, 500, 'SZ', 'SZ-LU', 'Big Bend', 'no', 'FDBM', '', '', ''),
	('FUOF', 'N/A', 'N/A', -27.668053172528744, 31.672193706035614, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQIA', 'small_airport', 'Inhaca Airport', -25.9971446991, 32.929351806599996, 10, 'MZ', 'MZ-L', 'Inhaca', 'no', 'FQIA', 'IHC', '', ''),
	('FABH', 'small_airport', 'Belfast Aerodrome', -25.6587417378, 30.041577816, 6250, 'ZA', 'ZA-MP', 'Belfast', 'no', 'FABH', '', '', ''),
	('FAUR', 'small_airport', 'Utrecht Airport', -27.680500030517578, 30.31679916381836, 4101, 'ZA', 'ZA-NL', 'Utrecht', 'no', 'FAUR', '', '', ''),
	('FAWW', 'N/A', 'N/A', -27.569272443652153, 32.65281289815903, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAHL', 'small_airport', 'Hluhluwe Airport', -28.0166049887, 32.2751712799, 249, 'ZA', 'ZA-NL', 'Hluhluwe', 'no', 'FAHL', 'HLW', '', ''),
	('FUQA', 'N/A', 'N/A', -27.405318394303322, 30.77674001455307, 1231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUOC', 'N/A', 'N/A', -25.379192121326923, 30.864581018686295, 939, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUXB', 'N/A', 'N/A', -25.317690074443817, 30.97284659743309, 910, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z27E', 'N/A', 'N/A', -26.633850038051605, 30.60556948184967, 1315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FULB', 'N/A', 'N/A', -25.549896955490112, 31.744097024202347, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FADQ', 'small_airport', 'Zulu Inyala Airport', -27.84939956665039, 32.30970001220703, 160, 'ZA', 'ZA-NL', 'Phinda', 'no', 'FADQ', 'PZL', '', ''),
	('FULA', 'N/A', 'N/A', -25.492592230439186, 31.702708303928375, 312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FABR', 'medium_airport', 'Barberton Airport', -25.717147, 30.974974, 2250, 'ZA', 'ZA-MP', 'Umjindi (Barberton)', 'no', 'FABR', '', 'ABR', 'FABN, FABR, bush air, barberton valley, bush pilots, CC Pocock'),
	('FDNG', 'small_airport', 'Piggs Peak Airport', -25.798056, 31.4125, 1410, 'SZ', 'SZ-HH', 'Ngonini', 'no', 'FDNG', '', '', ''),
	('FANE', 'small_airport', 'Fane Airport', -8.54927777778, 147.085833333, 4500, 'PG', 'PG-CPM', 'Fane Mission', 'no', 'AYFA', 'FNE', 'FANE', ''),
	('Z27G', 'N/A', 'N/A', -25.588709861040115, 30.62231943011284, 937, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FDUB', 'small_airport', 'Ubombo Ranches Airport', -26.7708, 31.936399, 0, 'SZ', 'SZ-LU', 'Big Bend', 'no', 'FDUB', '', '', ''),
	('FUCA', 'N/A', 'N/A', -25.88218677788973, 30.70788726210594, 1232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAKN', 'medium_airport', 'Kruger Mpumalanga International Airport', -25.3831996918, 31.1056003571, 2829, 'ZA', 'ZA-MP', 'Mpumalanga', 'yes', 'FAKN', 'MQP', '', ''),
	('FDKB', 'small_airport', 'Kubuta Airport', -26.881528, 31.488889, 1555, 'SZ', 'SZ-SH', 'Kubuta B', 'no', 'FDKB', '', '', ''),
	('FAVY', 'small_airport', 'Vryheid Airport', -27.78689956665039, 30.79640007019043, 3799, 'ZA', 'ZA-NL', 'Vryheid', 'no', 'FAVY', 'VYD', '', ''),
	('FANS', 'small_airport', 'Nelspruit Airport', -25.5, 30.9137992859, 2875, 'ZA', 'ZA-MP', 'Nelspruit', 'no', 'FANS', 'NLP', '', ''),
	('FUNH', 'N/A', 'N/A', -27.540480606257915, 32.085029035806656, 518, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQMA', 'large_airport', 'Maputo Airport', -25.920799, 32.572601, 145, 'MZ', 'MZ-MPM', 'Maputo', 'yes', 'FQMA', 'MPM', '', ''),
	('FUEA', 'N/A', 'N/A', -26.7696338519454, 30.47274649143219, 1437, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUNE', 'N/A', 'N/A', -27.59199645370245, 31.792225688695908, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z27C', 'N/A', 'N/A', -26.575636379420757, 30.238953977823257, 1693, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FDMH', 'small_airport', 'Mhlume Airport', -26.0242, 31.809999, 926, 'SZ', 'SZ-LU', 'Mhlume', 'no', 'FDMH', '', '', ''),
	('FUKA', 'N/A', 'N/A', -27.326986491680145, 32.55848988890648, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FDNH', 'small_airport', 'Nhlangano Airport', -27.119494, 31.212118, 3522, 'SZ', 'SZ-SH', 'Nhlangano', 'no', 'FDNH', '', '', ''),
	('FDBS', 'small_airport', 'Big Bend Sugar E Airport', -26.836111, 31.92, 541, 'SZ', 'SZ-LU', 'Big Bend', 'no', 'FDBS', '', '', ''),
	('FUQB', 'N/A', 'N/A', -26.88776236027479, 30.87391287088394, 1249, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQMU', 'N/A', 'N/A', -26.802870109677315, 32.8837551176548, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPL', 'small_airport', 'Pongola Airport', -27.3622, 31.606701, 942, 'ZA', 'ZA-NL', 'Pongola', 'no', 'FAPL', '', '', ''),
	('FUCB', 'N/A', 'N/A', -25.66772036254406, 30.952892303466797, 845, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAPF', 'small_airport', 'Piet Retief Airport', -26.9969005585, 30.840799331699998, 4423, 'ZA', 'ZA-MP', 'Piet Retief', 'no', 'FAPF', '', '', ''),
	('FACL', 'small_airport', 'Carolina Airport', -26.078100204467773, 30.092500686645508, 5420, 'ZA', 'ZA-MP', 'Carolina', 'no', 'FACL', '', '', ''),
	('FAWV', 'small_airport', 'White River Mercy Air', -25.319676, 30.970782, 2932, 'ZA', 'ZA-FS', 'White River', 'no', 'FAWV', '', '', ''),
	('FAMN', 'small_airport', 'Riverside Airport', -25.43, 31.5767, 1024, 'ZA', 'ZA-MP', 'Malelane', 'no', '', '', '', ''),
	('FDBH', 'N/A', 'N/A', -26.583010107278824, 30.9421107172966, 1493, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FDSM', 'small_airport', 'Simunye Airport', -26.200001, 31.933332, 673, 'SZ', 'SZ-LU', 'Simunye', 'no', 'FDSM', '', '', ''),
	('FDTH', 'N/A', 'N/A', -25.978848561644554, 31.7755588889122, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAON', 'small_airport', 'Ornate Lake - St Lucia Airport', -28.044900894165, 32.425399780273, 128, 'ZA', 'ZA-NL', 'Hluhluwe', 'no', 'FAON', '', '', 'Hell''s Gate Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FUOB', 'N/A', 'N/A', -25.393431968986988, 30.875477492809296, 885, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FDBT', 'small_airport', 'Tambuti Airport', -26.735201, 31.7759, 595, 'SZ', 'SZ-LU', 'Big Bend', 'no', 'FDBT', '', '', ''),
	('FAMU', 'medium_airport', 'Mkuze Airport', -27.626100540161133, 32.0443000793457, 400, 'ZA', 'ZA-NL', 'Mkuze', 'no', 'FAMU', 'MZQ', '', ''),
	('FAKP', 'small_airport', 'Komatipoort Airport', -25.44029998779297, 31.93000030517578, 541, 'ZA', 'ZA-MP', 'Komatipoort', 'no', 'FAKP', 'KOF', '', ''),
	('FAMX', 'small_airport', 'Mbazwana Airport', -27.481399536132813, 32.59389877319336, 195, 'ZA', 'ZA-NL', 'Mbazwana', 'no', 'FAMX', '', '', ''),
	('FADU', 'small_airport', 'Walkersons Field', -25.36278, 30.18778, 6041, 'ZA', 'ZA-MP', '', 'no', 'FADU', '', 'FADU', 'Lodge,Resort,Fly-inn'),
	('FDNS', 'small_airport', 'Nsoko Airport', -26.987222, 31.937222, 614, 'SZ', 'SZ-LU', 'Nsoko', 'no', 'FDNS', '', '', ''),
	('FUXA', 'N/A', 'N/A', -25.338109731674194, 30.995288640260696, 951, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FDNO', 'N/A', 'N/A', -27.023933418095112, 32.49302476644516, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FDMS', 'medium_airport', 'Matsapha Airport', -26.528999, 31.307501, 2075, 'SZ', 'SZ-MA', 'Manzini', 'no', 'FDMS', 'MTS', '', ''),
	('FDSK', 'large_airport', 'King Mswati III International Airport', -26.358611, 31.716944, 1092, 'SZ', 'SZ-LU', 'Mpaka', 'yes', 'FDSK', 'SHO', '', 'Sikhuphe International Airport'),
	('FAKB', 'small_airport', 'Kosibaai Airport', -27.018262, 32.750399, 140, 'ZA', 'ZA-NL', 'Kosi Bay', 'no', 'FAKB', '', '', ''),
	('FAUL', 'medium_airport', 'Prince Mangosuthu Buthelezi Airport', -28.3206005096, 31.4165000916, 1720, 'ZA', 'ZA-NL', 'Ulundi', 'no', 'FAUL', 'ULD', '', ''),
	('FADW', 'N/A', 'N/A', -28.13262652605772, 30.28699591755867, 1240, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUFB', 'N/A', 'N/A', -28.45764521509409, 30.014597475528717, 1111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FANB', 'N/A', 'N/A', -29.775603599846363, 30.715671479701996, 841, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAZC', 'N/A', 'N/A', -28.21580048650503, 31.658140271902084, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUND', 'N/A', 'N/A', -28.615138493478298, 31.40569567680359, 835, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FA92', 'N/A', 'N/A', -30.675721764564514, 30.242249071598053, 595, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUOA', 'N/A', 'N/A', -28.675188794732094, 30.97825437784195, 985, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FARC', 'N/A', 'N/A', -29.76167019456625, 30.34562587738037, 845, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUFC', 'N/A', 'N/A', -28.577247597277164, 31.762512177228928, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAMG', 'medium_airport', 'Margate Airport', -30.8574008942, 30.343000412, 495, 'ZA', 'ZA-NL', 'Margate', 'yes', 'FAMG', 'MGH', '', ''),
	('FAHC', 'small_airport', 'Howick Airport', -29.552799224853516, 30.21109962463379, 3619, 'ZA', 'ZA-NL', 'Howick', 'no', 'FAHC', '', '', ''),
	('FAPM', 'medium_airport', 'Pietermaritzburg Airport', -29.649000167799997, 30.3987007141, 2423, 'ZA', 'ZA-NL', 'Pietermaritzburg', 'yes', 'FAPM', 'PZB', '', ''),
	('FAES', 'small_airport', 'Eshowe Airport', -28.880199432373047, 31.45490074157715, 1601, 'ZA', 'ZA-NL', 'Eshowe', 'no', 'FAES', '', '', ''),
	('FARB', 'medium_airport', 'Richards Bay Airport', -28.740999221800003, 32.0920982361, 109, 'ZA', 'ZA-NL', 'Richards Bay', 'yes', 'FARB', 'RCB', '', ''),
	('FANP', 'N/A', 'N/A', -29.194351471960545, 30.014598816633224, 1387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FA89', 'small_airport', 'Suwanee Valley Airport', 30.373585, -82.71963, 133, 'US', 'US-FL', 'White Springs,', 'no', 'FA89', '', 'FA89', ''),
	('FACU', 'N/A', 'N/A', -29.489368312060833, 31.177742779254913, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUDA', 'N/A', 'N/A', -29.76644016802311, 30.580750107765198, 789, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUFA', 'N/A', 'N/A', -28.845696486532688, 30.04569634795189, 920, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUDD', 'N/A', 'N/A', -29.69216175377369, 30.45630231499672, 720, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FASM', 'small_airport', 'Siteka Airport', -29.325000762939453, 30.149200439453125, 4400, 'ZA', 'ZA-NL', 'Siteka', 'no', 'FASM', '', '', ''),
	('FUHA', 'N/A', 'N/A', -28.973745480179787, 30.398582071065903, 839, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAWU', 'N/A', 'N/A', -29.35756891965866, 30.431004613637924, 754, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUDC', 'N/A', 'N/A', -29.673557616770267, 30.469765216112137, 662, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUDB', 'N/A', 'N/A', -29.746435582637787, 30.417708456516266, 934, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FUNF', 'N/A', 'N/A', -28.428405113518238, 32.29552432894707, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FAVG', 'medium_airport', 'Virginia Airport', -29.770599, 31.058399, 20, 'ZA', 'ZA-NL', 'Durban', 'no', 'FAVG', 'VIR', '', ''),
	('FAIS', 'small_airport', 'Isithebe Airport', -29.10555648803711, 31.407499313354492, 313, 'ZA', 'ZA-NL', 'Nyoni', 'no', 'FAIS', '', '', ''),
	('FADD', 'small_airport', 'Dundee Airport', -28.1830997467041, 30.22249984741211, 4219, 'ZA', 'ZA-NL', 'Dundee', 'no', 'FADD', '', '', ''),
	('FAGY', 'small_airport', 'Greytown Airport', -29.1219997406, 30.586700439499996, 3531, 'ZA', 'ZA-NL', 'Greytown', 'no', 'FAGY', '', '', ''),
	('FUIH', 'N/A', 'N/A', -28.282815143465996, 31.959964334964752, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FALE', 'large_airport', 'King Shaka International Airport', -29.6144444444, 31.1197222222, 295, 'ZA', 'ZA-NL', 'Durban', 'yes', 'FALE', 'DUR', '', 'La Mercy Airport'),
	('FUTA', 'N/A', 'N/A', -29.41096566617489, 31.278883069753647, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FADK', 'small_airport', 'Mubatuba Airport', -28.36840057373047, 32.24810028076172, 210, 'ZA', 'ZA-NL', 'Mubatuba', 'no', 'FADK', 'DUK', 'FA65', ''),
	('FAEM', 'small_airport', 'Empangeni Airport', -28.719999313354492, 31.889999389648438, 251, 'ZA', 'ZA-NL', 'Empangeni', 'no', 'FAEM', 'EMG', '', ''),
	('FQIN', 'medium_airport', 'Inhambane Airport', -23.8764, 35.408501, 30, 'MZ', 'MZ-I', 'Inhambane', 'yes', 'FQIN', 'INH', '', ''),
	('FQMN', 'N/A', 'N/A', -24.705193899571896, 34.73252847790718, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FQMI', 'N/A', 'N/A', -23.866129852831364, 35.136661380529404, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('FQMX', 'N/A', 'N/A', -23.34593016654253, 35.33951550722122, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMAP', 'N/A', 'N/A', -24.691831469535828, 43.95091786980629, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMST', 'medium_airport', 'Toliara Airport', -23.3834, 43.7285, 29, 'MG', 'MG-U', 'Toliara', 'yes', 'FMST', 'TLE', '', ''),
	('FMSY', 'small_airport', 'Ampanihy Airport', -24.699699, 44.7342, 771, 'MG', 'MG-U', 'Ampanihy', 'no', 'FMSY', 'AMP', '', ''),
	('FMSV', 'small_airport', 'Betioky Airport', -23.732999801635742, 44.388999938964844, 919, 'MG', 'MG-U', 'Betioky', 'no', 'FMSV', 'BKU', '', ''),
	('FMBE', 'N/A', 'N/A', -24.0313096717, 45.02649709582329, 504, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMSD', 'medium_airport', 'Tôlanaro Airport', -25.038099, 46.9561, 29, 'MG', 'MG-U', 'Tôlanaro', 'yes', 'FMSD', 'FTU', '', 'Tolagnaro Airport, Marillac Airport, Fort-Dauphin'),
	('FMBT', 'N/A', 'N/A', -24.7171401232481, 45.059471279382706, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMSE', 'small_airport', 'Betroka Airport', -23.274307848299998, 46.12498283389999, 2841, 'MG', 'MG-U', 'Betroka', 'no', 'FMSE', '', '', ''),
	('FMTS', 'N/A', 'N/A', -24.839543737471104, 45.67522421479225, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMSL', 'small_airport', 'Bekily Airport', -24.235694754699995, 45.3045272827, 1270, 'MG', 'MG-U', 'Bekily', 'no', 'FMSL', 'OVA', '', ''),
	('FMAR', 'N/A', 'N/A', -25.004414096474648, 46.29776582121849, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMSG', 'small_airport', 'Farafangana Airport', -22.8053, 47.820599, 26, 'MG', 'MG-F', 'Farafangana', 'yes', 'FMSG', 'RVA', '', ''),
	('FMAL', 'N/A', 'N/A', -22.861332781612873, 45.803415924310684, 920, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMAO', 'N/A', 'N/A', -25.204023756086826, 46.07089474797249, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMAS', 'N/A', 'N/A', -24.173341691493988, 45.66363573074341, 530, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMAA', 'N/A', 'N/A', -24.383081384003162, 46.55605897307396, 352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMSU', 'small_airport', 'Vangaindrano Airport', -23.350766591499998, 47.581701278699995, 45, 'MG', 'MG-F', 'Vangaindrano', 'no', 'FMSU', 'VND', '', ''),
	('FMAM', 'N/A', 'N/A', -25.077212937176228, 46.39284700155258, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMAY', 'N/A', 'N/A', -24.053643755614758, 46.07491493225098, 437, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMRA', 'N/A', 'N/A', -22.645607069134712, 45.323759615421295, 800, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMBO', 'N/A', 'N/A', -23.423577770590782, 45.0392872095108, 318, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMAB', 'N/A', 'N/A', -24.820662327110767, 46.15362569689751, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FMTI', 'N/A', 'N/A', -25.33820863813162, 45.47618553042412, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USDB', 'medium_airport', 'Bovanenkovo Airport', 70.315278, 68.333611, 24, 'RU', 'RU-YAN', 'Bovanenkovo', 'yes', 'USDB', 'BVJ', '', 'HELIOPS, GAZPROM, LNG'),
	('UOOO', 'medium_airport', 'Norilsk-Alykel Airport', 69.31109619140625, 87.33219909667969, 574, 'RU', 'RU-KYA', 'Norilsk', 'yes', 'UOOO', 'NSK', '', ''),
	('UOIC', 'small_airport', 'Snezhnogorsk Airport', 68.07666778564453, 87.6449966430664, 102, 'RU', 'RU-KYA', 'Snezhnogorsk', 'no', 'UOIC', '', '', ''),
	('UOOW', 'medium_airport', 'Valek Airport', 69.39690399169922, 88.35368347167969, 108, 'RU', 'RU-KYA', 'Valek', 'no', 'UOOW', '', '', 'Аэропорт Валек'),
	('UUYI', 'medium_airport', 'Inta Airport', 66.053372, 60.105786, 184, 'RU', 'RU-KO', 'Inta', 'no', 'UUYI', 'INA', '', 'Аэропорт Инта'),
	('UKHT', 'N/A', 'N/A', 63.650435619056225, 62.10294619202614, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKHI', 'N/A', 'N/A', 62.42280028760433, 60.84547832608223, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHS', 'medium_airport', 'Sovetskiy Airport', 61.326622009277344, 63.60191345214844, 351, 'RU', 'RU-KHM', 'Sovetskiy', 'yes', 'USHS', 'OVS', '', 'Sovyetskiy Airport, Sovyetsky Airport, Sovetsky Airport, Аэропорт Советский'),
	('USSE', 'closed', 'Severouralsk Airport', 60.301666259765625, 60.07500076293945, 604, 'RU', 'RU-SVE', 'Severouralsk', 'no', '', '', '', 'Аэропорт Североуральск, USSE'),
	('UYUG', 'N/A', 'N/A', 61.26918990164995, 63.13837230205536, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USSQ', 'small_airport', 'Alapayevsk Airfield', 57.868108, 61.748304, 420, 'RU', 'RU-SVE', 'Alapayevsk', 'no', 'USSQ', '', 'USSQ', 'УССЯ, Алапаевск, Alapaevsk'),
	('UKEE', 'N/A', 'N/A', 57.10906125605106, 60.618208944797516, 262, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAS', 'N/A', 'N/A', 56.43764600157738, 61.98666259646416, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z25Z', 'N/A', 'N/A', 57.98833228647709, 60.23456856608391, 271, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USSS', 'large_airport', 'Koltsovo Airport', 56.743099212646, 60.802700042725, 764, 'RU', 'RU-SVE', 'Yekaterinburg', 'yes', 'USSS', 'SVX', '', ''),
	('USSK', 'medium_airport', 'Uktus Airport', 56.701698, 60.790001, 643, 'RU', 'RU-SVE', 'Yekaterinburg', 'no', 'USSK', '', '', 'Аэропорт Уктус'),
	('ULEA', 'N/A', 'N/A', 54.85299959778786, 60.00297054648399, 394, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USCG', 'small_airport', 'Chelyabinsk Shagol Airport', 55.2599983215332, 61.29999923706055, 830, 'RU', 'RU-CHE', '', 'no', 'USCG', '', '', 'Bakal Airport'),
	('UUVE', 'N/A', 'N/A', 54.37577426433563, 61.353178918361664, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTRO', 'N/A', 'N/A', 54.11195620894432, 61.5355221927166, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTRR', 'N/A', 'N/A', 53.91130719333887, 61.538404673337936, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHD', 'N/A', 'N/A', 56.0391166806221, 63.68083253502846, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USCC', 'medium_airport', 'Chelyabinsk Balandino Airport', 55.305801, 61.5033, 769, 'RU', 'RU-CHE', 'Chelyabinsk', 'yes', 'USCC', 'CEK', '', ''),
	('USCV', 'small_airport', 'Kalachevo Airfield', 54.952999114990234, 61.5, 0, 'RU', 'RU-CHE', 'Chelyabinsk', 'no', 'USCV', '', '', 'Аэродром Калачево'),
	('UAUU', 'medium_airport', 'Kostanay West Airport', 53.20690155029297, 63.55030059814453, 595, 'KZ', 'KZ-KUS', 'Kostanay', 'yes', 'UAUU', 'KSN', '', ''),
	('UAUT', 'small_airport', 'Turgay Airport', 49.632395, 63.4703, 445, 'KZ', 'KZ-KUS', 'Turgay', 'no', 'UAUT', '', '', 'УАУТ, Торгай'),
	('UAYR', 'N/A', 'N/A', 48.62600460648537, 61.2353789806366, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UAON', 'medium_airport', 'Yubileyniy Airfield', 46.052421, 63.249185, 328, 'KZ', 'KZ-KZY', 'Töretam', 'no', 'UAON', '', '', 'Yubileyniy Airfield, Yubileiniy Airfield, Yubileyny Airfield, Yubileiny Airfield, Аэродром Юбилейный'),
	('UATJ', 'N/A', 'N/A', 45.621962025761604, 63.21069985628128, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUYW', 'medium_airport', 'Vorkuta Airport', 67.488602, 63.993099, 604, 'RU', 'RU-KO', 'Vorkuta', 'yes', 'UUYW', 'VKT', '', ''),
	('USOE', 'N/A', 'N/A', 67.46462132781744, 64.307149797678, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USDD', 'medium_airport', 'Salekhard Airport', 66.5907974243164, 66.61100006103516, 218, 'RU', 'RU-YAN', 'Salekhard', 'yes', 'USDD', 'SLY', '', ''),
	('USHI', 'small_airport', 'Igrim Airport', 63.200391, 64.440136, 79, 'RU', 'RU-KHM', '', 'no', 'USHI', 'IRM', '', 'Аэропорт Игрим'),
	('USHB', 'medium_airport', 'Berezovo Airport', 63.92100143432617, 65.03050231933594, 98, 'RU', 'RU-KHM', '', 'no', 'USHB', 'EZV', '', 'Beryozovo Airport, Аэропорт Березово, Аэропорт Берёзово'),
	('UIGG', 'N/A', 'N/A', 62.727062702178955, 64.3572972714901, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHQ', 'N/A', 'N/A', 63.688055612146854, 66.69972226023674, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHN', 'medium_airport', 'Nyagan Airport', 62.110001, 65.614998, 361, 'RU', 'RU-KHM', 'Nyagan', 'yes', 'USHN', 'NYA', '', 'УСХН, Аэропорт Нягань'),
	('USHU', 'medium_airport', 'Uray Airport', 60.103298, 64.826698, 190, 'RU', 'RU-KHM', 'Uray', 'yes', 'USHU', 'URJ', '', 'Urai'),
	('UMEZ', 'N/A', 'N/A', 59.57953970879316, 65.89581459760666, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USSW', 'N/A', 'N/A', 58.094347938895226, 65.22623240947723, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTL', 'small_airport', 'Plekhanovo Airport', 57.144691, 65.469718, 308, 'RU', 'RU-TYU', 'Tyumen', 'no', 'USTL', '', '', 'Plekhanovo'),
	('UYAA', 'N/A', 'N/A', 56.66674118489027, 66.2478518486023, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTR', 'medium_airport', 'Roshchino International Airport', 57.16833, 65.31611, 378, 'RU', 'RU-TYU', 'Tyumen', 'yes', 'USTR', 'TJM', '', ''),
	('USUU', 'medium_airport', 'Kurgan Airport', 55.4753, 65.415604, 240, 'RU', 'RU-KGN', 'Kurgan', 'yes', 'USUU', 'KRO', '', ''),
	('USUK', 'closed', 'Kurtamysh Airfield', 54.918263, 64.471722, 0, 'RU', 'RU-KGN', 'Kurtamysh', 'no', '', '', '', 'Аэропорт Куртамыш, USUK'),
	('UVVV', 'N/A', 'N/A', 55.41054803878069, 64.94246765971184, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAUR', 'small_airport', 'Arkalyk North Airport', 50.318599700927734, 66.95279693603516, 1266, 'KZ', 'KZ-KUS', 'Arkalyk', 'no', 'UAUR', 'AYK', '', ''),
	('UAAL', 'N/A', 'N/A', 50.26011798530817, 66.91072672605515, 342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAZO', 'N/A', 'N/A', 45.51405608654022, 64.08623948693275, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNIZ', 'N/A', 'N/A', 63.6765955388546, 69.64245334267616, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHH', 'medium_airport', 'Khanty Mansiysk Airport', 61.0285, 69.086098, 76, 'RU', 'RU-KHM', 'Khanty-Mansiysk', 'yes', 'USHH', 'HMA', '', ''),
	('USTA', 'N/A', 'N/A', 59.14973448961973, 68.91722559928894, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVAG', 'N/A', 'N/A', 57.927290573716164, 69.00679215788841, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAPT', 'N/A', 'N/A', 54.9671034514904, 69.078848361969, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UACP', 'medium_airport', 'Petropavl Airport', 54.774702, 69.183273, 453, 'KZ', 'KZ-SEV', 'Petropavl', 'yes', 'UACP', 'PPK', '', ''),
	('UACK', 'medium_airport', 'Kokshetau Airport', 53.329102, 69.594597, 900, 'KZ', 'KZ-AKM', 'Kokshetau', 'yes', 'UACK', 'KOV', '', 'KOKCHETAV TROFIMOVKA'),
	('UAAJ', 'N/A', 'N/A', 51.852798610925674, 68.3661961555481, 302, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASJ', 'N/A', 'N/A', 51.28787912428379, 70.54520174860954, 320, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HRC', 'small_airport', 'Sary Su Airport', 48.3974, 70.1915, 1307, 'KZ', 'KZ-ULY', 'Zhayrem', 'no', '', 'HRC', '', 'Zhairem, Жайрем'),
	('UAKD', 'medium_airport', 'Zhezkazgan National Airport', 47.708953, 67.738094, 1250, 'KZ', 'KZ-ULY', 'Zhezkazgan', 'yes', 'UAKD', 'DZN', '', 'УАКД, Жезказган, Dzhezkazgan South'),
	('UAQR', 'N/A', 'N/A', 47.35111344605684, 70.61598613858223, 448, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USMM', 'medium_airport', 'Nadym Airport', 65.48090362548828, 72.69889831542969, 49, 'RU', 'RU-YAN', 'Nadym', 'yes', 'USMM', 'NYM', '', 'Аэропорт Надым'),
	('UPAN', 'N/A', 'N/A', 65.85040155798197, 74.52151089906693, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNIH', 'N/A', 'N/A', 63.50432530045509, 71.36307701468468, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USRK', 'medium_airport', 'Kogalym International Airport', 62.190399169921875, 74.53379821777344, 220, 'RU', 'RU-KHM', 'Kogalym', 'yes', 'USRK', 'KGP', '', ''),
	('USRR', 'medium_airport', 'Surgut Airport', 61.34370040893555, 73.40180206298828, 200, 'RU', 'RU-KHM', 'Surgut', 'yes', 'USRR', 'SGC', '', ''),
	('USUR', 'N/A', 'N/A', 60.65270494669676, 73.80016833543777, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USRN', 'medium_airport', 'Nefteyugansk Airport', 61.108299, 72.650002, 115, 'RU', 'RU-KHM', 'Nefteyugansk', 'yes', 'USRN', 'NFG', '', 'Аэропорт Нефтеюганск'),
	('UNOW', 'small_airport', 'Tevriz Airport', 57.50400161743164, 72.33100128173828, 217, 'RU', 'RU-OMS', 'Tevriz', 'no', 'UNOW', '', '', 'Аэропорт Тевриз'),
	('UNOT', 'small_airport', 'Tara Airport', 56.900001525878906, 74.30000305175781, 253, 'RU', 'RU-OMS', 'Tara', 'no', 'UNOT', '', '', 'Аэропорт Тара'),
	('ULYY', 'N/A', 'N/A', 54.97409865260124, 72.65414893627167, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULUZ', 'N/A', 'N/A', 55.08807845413685, 72.99614131450653, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOO', 'medium_airport', 'Omsk Central Airport', 54.96699905395508, 73.31050109863281, 311, 'RU', 'RU-OMS', 'Omsk', 'yes', 'UNOO', 'OMS', '', 'Omsk Tsentralny Airport'),
	('Z25X', 'N/A', 'N/A', 54.973455257713795, 73.55411231517792, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIRT', 'N/A', 'N/A', 54.77575968950987, 73.55783745646477, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOOK', 'N/A', 'N/A', 54.762716107070446, 73.30960795283318, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UACS', 'small_airport', 'Stepnogorsk Airport', 52.326747, 71.855652, 1060, 'KZ', 'KZ-AKM', 'Stepnogorsk', 'no', 'UACS', '', '', 'Aksu, Степногорска, Аксу'),
	('UACC', 'large_airport', 'Nursultan Nazarbayev International Airport', 51.027035, 71.467094, 1165, 'KZ', 'KZ-AST', 'Astana', 'yes', 'UACC', 'NQZ', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UAKK', 'medium_airport', 'Sary-Arka Airport', 49.670799, 73.334396, 1765, 'KZ', 'KZ-KAR', 'Karaganda', 'yes', 'UAKK', 'KGF', '', ''),
	('UAAQ', 'N/A', 'N/A', 49.67338979244232, 72.99023017287254, 500, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASI', 'N/A', 'N/A', 46.02524723857641, 73.48710089921951, 404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USDS', 'small_airport', 'Tarko-Sale Airport', 64.930485, 77.811295, 82, 'RU', 'RU-YAN', 'Tarko-Sale', 'no', 'USDS', 'TQL', '', ''),
	('USDU', 'small_airport', 'Urengoy Airport', 65.9599990845, 78.43699646, 56, 'RU', 'RU-YAN', 'Urengoy', 'no', 'USDU', 'UEN', '', 'Аэропорт Уренгой'),
	('USMU', 'medium_airport', 'Novy Urengoy Airport', 66.06939697265625, 76.52030181884766, 210, 'RU', 'RU-YAN', 'Novy Urengoy', 'yes', 'USMU', 'NUX', '', ''),
	('USNR', 'closed', 'Raduzhny Airport', 62.1586, 77.328903, 250, 'RU', 'RU-KHM', 'Raduzhnyi', 'no', '', '', '', 'RAT, USNR'),
	('USRO', 'medium_airport', 'Noyabrsk Airport', 63.18330001831055, 75.2699966430664, 446, 'RU', 'RU-YAN', 'Noyabrsk', 'yes', 'USRO', 'NOJ', '', ''),
	('UMEG', 'N/A', 'N/A', 61.03322457522154, 76.06020793318748, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USNN', 'medium_airport', 'Nizhnevartovsk Airport', 60.949299, 76.483597, 177, 'RU', 'RU-KHM', 'Nizhnevartovsk', 'yes', 'USNN', 'NJC', '', ''),
	('UNSS', 'medium_airport', 'Strezhevoy Airport', 60.7094, 77.660004, 164, 'RU', 'RU-TOM', 'Strezhevoy', 'no', 'UNSS', 'SWT', '', 'Аэропорт Стрежевой'),
	('UNIE', 'N/A', 'N/A', 59.14942804723978, 76.27970427274704, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTT', 'N/A', 'N/A', 60.445562303066254, 77.83772125840187, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNOA', 'N/A', 'N/A', 56.60405293107033, 76.56064555048943, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNLW', 'small_airport', 'Novy Vasyugan Airport', 58.586, 76.504, 246, 'RU', 'RU-TOM', 'Novy Vasyugan', 'no', 'UNLW', '', '', ''),
	('USEE', 'N/A', 'N/A', 56.3340725004673, 78.35811451077461, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZEG5', 'N/A', 'N/A', 55.198199562728405, 75.87145999073982, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XNOR', 'N/A', 'N/A', 54.65796813368797, 76.53729155659676, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNRR', 'N/A', 'N/A', 55.360754169523716, 78.29846888780594, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUP', 'N/A', 'N/A', 54.35089476406574, 77.35543102025986, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAKC', 'N/A', 'N/A', 50.73597572743893, 78.53948056697845, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASB', 'medium_airport', 'Ekibastuz Airport', 51.590999603271484, 75.21499633789063, 621, 'KZ', 'KZ-PAV', 'Ekibastuz', 'no', 'UASB', 'EKB', '', 'Аэропорт Экибастуз'),
	('USLL', 'N/A', 'N/A', 53.0531183257699, 78.63832086324692, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASP', 'medium_airport', 'Pavlodar Airport', 52.19499969482422, 77.07389831542969, 410, 'KZ', 'KZ-PAV', 'Pavlodar', 'yes', 'UASP', 'PWQ', '', 'Pavlodar South'),
	('UAAT', 'medium_airport', 'Taldykorgan Airport', 45.12255, 78.442758, 1925, 'KZ', 'KZ-JET', 'Taldykorgan', 'yes', 'UAAT', 'TDK', '', 'Taldy Kurgan Airport, Taldy Kurgan Northeast Airport, Аэропорт Талды-Курган'),
	('UAAH', 'medium_airport', 'Balkhash Airport', 46.894246, 75.004533, 1446, 'KZ', 'KZ-KAR', 'Balkhash', 'yes', 'UAAH', 'BXH', '', 'Balqash'),
	('USDP', 'small_airport', 'Krasnoselkup Airport', 65.717, 82.455, 101, 'RU', 'RU-YAN', 'Krasnoselkup', 'no', 'USDP', 'KKQ', '', 'Аэропорт Красноселькуп'),
	('UTTJ', 'N/A', 'N/A', 60.951814502477646, 78.76484736800194, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAU', 'N/A', 'N/A', 61.10565762966871, 80.24948671460152, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URAD', 'N/A', 'N/A', 61.73103477805853, 79.12274211645126, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAQ', 'N/A', 'N/A', 59.0622254088521, 80.8236899971962, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKER', 'N/A', 'N/A', 57.61532686650753, 79.45082232356071, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNCN', 'N/A', 'N/A', 53.992517441511154, 79.31336537003517, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('URUB', 'N/A', 'N/A', 51.58973727375269, 81.20472952723503, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMIO', 'N/A', 'N/A', 51.83286912739277, 79.7092317044735, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNBM', 'small_airport', 'Volchikha Airport', 52.025089, 80.337868, 0, 'RU', 'RU-ALT', 'Volchikha', 'no', 'UNBM', '', '', 'Аэропорт Волчиха, УНБМ'),
	('UASA', 'medium_airport', 'Ayaguz Airport', 47.919218, 80.452194, 2119, 'KZ', 'KZ-ABA', 'Ayaguz', 'no', 'UASA', '', '', 'Ayagoz'),
	('UASS', 'medium_airport', 'Semey Airport', 50.351295, 80.234398, 761, 'KZ', 'KZ-ABA', 'Semey', 'yes', 'UASS', 'PLX', '', 'Semipalatinsk Airport, Semey International Airport'),
	('UAKV', 'N/A', 'N/A', 50.53914114832878, 79.19471830129623, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAZA', 'N/A', 'N/A', 49.22039587050676, 81.31687447428703, 441, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASK', 'medium_airport', 'Ust-Kamenogorsk Airport', 50.036571, 82.493477, 939, 'KZ', 'KZ-VOS', 'Ust-Kamenogorsk (Oskemen)', 'yes', 'UASK', 'UKK', '', 'Ust-Kamennogorsk Airport, Аэропорт Усть-Каменногорск'),
	('UASR', 'N/A', 'N/A', 45.42485520243645, 79.93252471089363, 752, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZR', 'small_airport', 'Urzhar Airport', 47.09115, 81.66521, 0, 'KZ', 'KZ-ABA', 'Urzhar', 'yes', 'UASU', 'UZR', '', 'Urdzhar, Үржар, Урджар'),
	('UASN', 'N/A', 'N/A', 46.190701983869076, 80.83106070756912, 388, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCEB', 'N/A', 'N/A', 58.53589318692684, 85.86355939507484, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKAT', 'N/A', 'N/A', 56.36528737843037, 84.74285870790482, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNTT', 'medium_airport', 'Bogashevo Airport', 56.380298614502, 85.208297729492, 597, 'RU', 'RU-TOM', 'Tomsk', 'yes', 'UNTT', 'TOF', '', ''),
	('UNLL', 'small_airport', 'Kolpashevo Airport', 58.325298, 82.932503, 243, 'RU', 'RU-TOM', 'Kolpashevo', 'no', 'UNLL', '', '', ''),
	('UKEM', 'N/A', 'N/A', 55.331628397107124, 86.03868842124939, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNEE', 'medium_airport', 'Kemerovo Airport', 55.27009963989258, 86.1072006225586, 863, 'RU', 'RU-KEM', 'Kemerovo', 'yes', 'UNEE', 'KEJ', '', ''),
	('UNCC', 'small_airport', 'Gorodskoy Aeroport Airfield', 55.09573, 82.90945, 564, 'RU', 'RU-NVS', 'Novosibirsk', 'no', 'UNNG', '', '', 'Посадочная площадка Городской Аэропорт, Аэропорт Северный, Severny Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UNNE', 'medium_airport', 'Yeltsovka Airport', 55.0924, 83.004501, 617, 'RU', 'RU-NVS', 'Novosibirsk', 'no', 'UNNE', '', '', 'Eltsovka Airport, Аэропорт Ельцовка'),
	('XNET', 'N/A', 'N/A', 54.757904559373856, 85.1137076318264, 213, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBED', 'N/A', 'N/A', 54.73275348544121, 83.09679239988327, 156, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZCT5', 'N/A', 'N/A', 55.45165993273258, 85.96955940127373, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMOC', 'N/A', 'N/A', 55.168938003480434, 83.14312487840652, 215, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOJ', 'N/A', 'N/A', 53.58675420284271, 83.86170163750648, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKRN', 'N/A', 'N/A', 54.87430337816477, 82.98899486660957, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNNT', 'large_airport', 'Novosibirsk Tolmachevo Airport', 55.019756, 82.618675, 365, 'RU', 'RU-NVS', 'Novosibirsk', 'yes', 'UNNT', 'OVB', '', ''),
	('USTU', 'N/A', 'N/A', 53.125199005007744, 83.37614133954048, 227, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNBB', 'medium_airport', 'Barnaul Airport', 53.363800048828125, 83.53849792480469, 837, 'RU', 'RU-ALT', 'Barnaul', 'yes', 'UNBB', 'BAX', '', 'Аэропорт Барнаул, Barnaul West, Mikhaylovka, Novomikhaylovka'),
	('UNBG', 'medium_airport', 'Gorno-Altaysk Airport', 51.969204, 85.836539, 965, 'RU', 'RU-AL', 'Gorno-Altaysk', 'no', 'UNBG', 'RGK', '', 'Аэропорт Горно-Алтайск'),
	('UTTL', 'N/A', 'N/A', 52.06369802355766, 85.02176463603973, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USOG', 'N/A', 'N/A', 51.64092354476452, 84.31921228766441, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNCX', 'N/A', 'N/A', 51.560932360589504, 85.91708242893219, 375, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNBI', 'closed', 'Biysk Airport', 52.478686, 85.342513, 620, 'RU', 'RU-ALT', 'Biysk', 'yes', '', '', '', 'Аэропорт Бийск, UNBI'),
	('UCHA', 'N/A', 'N/A', 51.40253148972988, 83.52593287825584, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAN', 'N/A', 'N/A', 53.25245473533869, 83.95240858197212, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNBU', 'small_airport', 'Ust-Koksa Airport', 50.264711, 85.713489, 3235, 'RU', 'RU-AL', 'Ust-Koksa Airport', 'no', 'UNBU', '', '', 'Аэропорт Усть-Кокса'),
	('UAMA', 'N/A', 'N/A', 49.8002740368247, 84.21361193060875, 416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAKY', 'N/A', 'N/A', 47.78434284031391, 82.65692576766014, 575, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASE', 'N/A', 'N/A', 47.48747460544109, 84.8877963423729, 573, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZWTC', 'small_airport', 'Tacheng Airport', 46.672501, 83.340797, 0, 'CN', 'CN-65', 'Tacheng', 'yes', 'ZWTC', 'TCG', '', ''),
	('ZWKM', 'small_airport', 'Karamay Airport', 45.46655, 84.9527, 0, 'CN', 'CN-65', 'Karamay', 'yes', 'ZWKM', 'KRY', '', ''),
	('UOII', 'medium_airport', 'Igarka Airport', 67.437202, 86.621902, 82, 'RU', 'RU-KYA', 'Igarka', 'yes', 'UOII', 'IAA', '', ''),
	('UOIG', 'medium_airport', 'Svetlogorsk Airport', 66.839996, 88.403336, 394, 'RU', 'RU-KYA', 'Svetlogorsk', 'no', 'UOIG', 'SES', '', ''),
	('UPOO', 'N/A', 'N/A', 63.156835064291954, 87.97389730811119, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNIP', 'medium_airport', 'Podkamennaya Tunguska Airport', 61.589699, 89.994003, 213, 'RU', 'RU-KYA', 'Bor', 'no', 'UNIP', 'TGP', '', 'Аэропорт Подкаменная Тунгуска'),
	('Z26A', 'N/A', 'N/A', 56.562076695263386, 89.32947367429733, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNIA', 'small_airport', 'Aydara Airport', 58.5291, 88.4031, 373, 'RU', 'RU-KYA', 'Aydara', 'no', 'UNIA', '', 'UNIA', 'УНИА, Айдара'),
	('UUZZ', 'N/A', 'N/A', 55.2640263363719, 89.82522502541542, 394, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNWW', 'medium_airport', 'Spichenkovo Airport', 53.811401, 86.877197, 1024, 'RU', 'RU-KEM', 'Novokuznetsk', 'yes', 'UNWW', 'NOZ', '', ''),
	('UNKO', 'small_airport', 'Sharypovo Airport', 55.454914, 89.173882, 1099, 'RU', 'RU-KYA', 'Sharypovo', 'no', 'UNKO', '', '', 'Аэропорт Шарыпово, УНКО'),
	('ZWKN', 'medium_airport', 'Burqin Kanas Airport', 48.2223, 86.9959, 3921, 'CN', 'CN-65', 'Burqin', 'yes', 'ZWKN', 'KJI', '', ''),
	('UNBA', 'small_airport', 'Kosh-Agach Airport', 49.946443, 88.630096, 0, 'RU', 'RU-AL', 'Kosh-Agach', 'no', 'UNBA', '', '', 'Аэропорт Кош-Агач'),
	('ZMUL', 'small_airport', 'Ölgii Mongolei Airport', 48.993301, 89.922501, 5732, 'MN', 'MN-071', 'Ölgii', 'yes', 'ZMUL', 'ULG', '', 'Ulgii Mongolei'),
	('ZAWW', 'N/A', 'N/A', 47.750420942902565, 88.08435201644897, 755, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTNU', 'medium_airport', 'Urgench Airport', 41.58430099487305, 60.641700744628906, 320, 'UZ', 'UZ-XO', 'Urgench', 'yes', 'UTNU', 'UGC', '', ''),
	('UT1L', 'N/A', 'N/A', 42.081688195466995, 63.448379784822464, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT1E', 'small_airport', 'Pitnyak Airport', 41.124373, 61.414535, 358, 'TM', 'TM-L', 'Gazojak', 'no', '', '', '', 'UT1E'),
	('UT78', 'heliport', 'Timpanogos Regional Hospital Heliport', 40.312933, -111.714455, 4735, 'US', 'US-UT', 'Orem', 'no', 'UT78', '', 'UT78', ''),
	('UTAM', 'medium_airport', 'Mary International Airport', 37.62353, 61.895668, 728, 'TM', 'TM-M', 'Mary', 'yes', 'UTAM', 'MYP', '', ''),
	('UTAV', 'medium_airport', 'Türkmenabat International Airport', 38.930662, 63.563982, 649, 'TM', 'TM-L', 'Türkmenabat', 'yes', 'UTAV', 'CRZ', '', 'Turkmenabad Airport, Chardzhou Airport, Аэропорт Туркменабат, Аэропорт Туркменабад , Аэропорт Чарджоу, چهارجوی'),
	('UT52', 'heliport', 'Dixie Medical Center Heliport', 37.098174, -113.57579, 2700, 'US', 'US-UT', 'St George', 'no', 'UT52', '', 'UT52', ''),
	('UT50', 'closed', 'Allen Memorial Hospital Helipad', 38.578791, -109.563621, 3977, 'US', 'US-UT', 'Moab', 'no', '', '', '', 'UT50'),
	('UT58', 'heliport', 'Bonanza Power Plant Heliport', 40.08219909667969, -109.29199981689453, 5028, 'US', 'US-UT', 'Bonanza', 'no', 'UT58', '', 'UT58', ''),
	('Z14H', 'N/A', 'N/A', 36.4607048034668, 61.06190711259842, 301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OAQN', 'small_airport', 'Qala-i-Naw Airport', 34.985472, 63.117404, 2999, 'AF', 'AF-BDG', 'Qala-i-Naw', 'no', 'OAQN', 'LQN', '', ''),
	('OIMC', 'medium_airport', 'Sarakhs Airport', 36.501202, 61.064899, 945, 'IR', 'IR-09', 'Sarakhs', 'no', 'OIMC', 'CKT', '', ''),
	('OAHR', 'medium_airport', 'Herat - Khwaja Abdullah Ansari International Airport', 34.209999, 62.228298, 3206, 'AF', 'AF-HER', 'Guzara', 'yes', 'OAHR', 'HEA', '', ''),
	('OASD', 'small_airport', 'Shindand Air Base', 33.3913, 62.261002, 3773, 'AF', 'AF-FRA', 'Shindand', 'no', 'OASD', 'OAH', '', ''),
	('OAFR', 'small_airport', 'Farah Airport', 32.366667, 62.165347, 3083, 'AF', 'AF-FRA', 'Farah', 'no', 'OAFR', 'FAH', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OAZJ', 'small_airport', 'Zaranj Airport', 30.972222, 61.865833, 1572, 'AF', 'AF-NIM', 'Zaranj', 'yes', 'OAZJ', 'ZAJ', '', ''),
	('OIZB', 'medium_airport', 'Zabol Airport', 31.098301, 61.5439, 1628, 'IR', 'IR-11', 'Zabol', 'no', 'OIZB', 'ACZ', '', ''),
	('OP34', 'small_airport', 'Nok Kundi Airport', 28.819400787353516, 62.7307014465332, 2227, 'PK', 'PK-BA', 'Nok Kundi', 'no', 'OP34', '', 'OP34', ''),
	('OI0G', 'N/A', 'N/A', 28.238891288638115, 61.1807607114315, 1430, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIZH', 'medium_airport', 'Zahedan International Airport', 29.47570037841797, 60.90620040893555, 4564, 'IR', 'IR-11', 'Zahedan', 'yes', 'OIZH', 'ZAH', '', ''),
	('OIRA', 'N/A', 'N/A', 26.144108846783638, 61.51681333780289, 323, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OIZS', 'small_airport', 'Saravan Airport', 27.4193, 62.3158, 3930, 'IR', 'IR-11', 'Saravan', 'no', 'OIZS', '', '', ''),
	('OPTU', 'medium_airport', 'Turbat International Airport', 25.986400604248047, 63.03020095825195, 498, 'PK', 'PK-BA', 'Turbat', 'yes', 'OPTU', 'TUK', '', ''),
	('OIZI', 'medium_airport', 'Iranshahr Airport', 27.236099, 60.720001, 2040, 'IR', 'IR-11', 'Iranshahr', 'no', 'OIZI', 'IHR', '', ''),
	('OIZC', 'medium_airport', 'Chabahar Konarak International Airport', 25.44319, 60.382167, 13, 'IR', 'IR-11', 'Konarak', 'yes', 'OIZC', 'ZBR', 'ZBR', ''),
	('OIKO', 'N/A', 'N/A', 25.331804528832436, 60.35643517971039, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OP36', 'small_airport', 'Robray Airport', 26.251688, 63.129933, 1840, 'PK', 'PK-BA', 'Kech', 'no', 'OP36', '', 'OP36', ''),
	('OPJI', 'closed', 'Jiwani Airport', 25.067801, 61.805401, 186, 'PK', 'PK-BA', 'Jiwani', 'yes', '', '', '', 'OPJI, JIW'),
	('OPPI', 'medium_airport', 'Pasni Airport', 25.29050064086914, 63.34510040283203, 33, 'PK', 'PK-BA', 'Pasni', 'yes', 'OPPI', 'PSI', '', ''),
	('OPGD', 'medium_airport', 'Gwadar International Airport', 25.232391, 62.327671, 36, 'PK', 'PK-BA', 'Gwadar', 'yes', 'OPGD', 'GWD', '', ''),
	('UAOO', 'small_airport', 'Kyzylorda Airport', 44.706902, 65.592499, 433, 'KZ', 'KZ-KZY', 'Kyzylorda', 'yes', 'UAOO', 'KZO', '', 'Kyzylorda Southwest'),
	('UAZN', 'N/A', 'N/A', 43.461306877434254, 67.48233944177628, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UABK', 'N/A', 'N/A', 44.81760710477829, 65.55376589298248, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTCA', 'N/A', 'N/A', 39.66774132102728, 66.77035868167877, 671, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTSS', 'medium_airport', 'Samarkand Airport', 39.70050048828125, 66.98380279541016, 2224, 'UZ', 'UZ-SA', 'Samarkand', 'yes', 'UTSS', 'SKD', '', ''),
	('UTSA', 'medium_airport', 'Navoi Airport', 40.117199, 65.170799, 1140, 'UZ', 'UZ-NW', 'Navoi', 'yes', 'UTSA', 'NVI', '', ''),
	('UT76', 'closed', 'Phc Hospital Heliport', 40.716702, -111.889, 4250, 'US', 'US-UT', 'Salt Lake City', 'no', '', '', '', 'UT76'),
	('UT1P', 'small_airport', 'Kogon South Airport', 39.686776, 64.548161, 689, 'UZ', 'UZ-BU', 'Kogon', 'no', 'UT1P', '', 'UT1P', ''),
	('UTSM', 'small_airport', 'Tandy Bulak Airport', 41.76079177856445, 64.60240173339844, 716, 'UZ', 'UZ-NW', 'Tandy Bulak', 'no', 'UTSM', '', '', ''),
	('UTTM', 'N/A', 'N/A', 41.47081810981035, 64.67032805085182, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTBU', 'N/A', 'N/A', 39.76683419197798, 64.31118384003639, 219, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTBK', 'N/A', 'N/A', 39.72788751125336, 64.38824370503426, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTPS', 'N/A', 'N/A', 39.939840361475945, 66.10734611749649, 440, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTSB', 'medium_airport', 'Bukhara International Airport', 39.775002, 64.483299, 751, 'UZ', 'UZ-BU', 'Bukhara', 'yes', 'UTSB', 'BHK', '', 'Buhara Airport'),
	('UTDA', 'N/A', 'N/A', 39.8079963773489, 66.8440805375576, 617, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTKB', 'N/A', 'N/A', 39.1585199162364, 66.86262264847755, 652, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTQR', 'N/A', 'N/A', 38.74384269118309, 65.78114926815033, 381, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTSZ', 'N/A', 'N/A', 39.030000530183315, 66.77581161260605, 605, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTSK', 'small_airport', 'Karshi Airport', 38.802246, 65.773068, 1230, 'UZ', 'UZ-QA', 'Karshi', 'yes', 'UTSK', 'KSQ', 'UT1N', 'Qarshi Airport'),
	('OAMS', 'medium_airport', 'Mazar-i-Sharif International Airport', 36.706902, 67.209702, 1284, 'AF', 'AF-BAL', 'Mazar-i-Sharif', 'yes', 'OAMS', 'MZR', '', 'Mazari Sharif'),
	('UT56', 'heliport', 'American Fork Hospital Heliport', 40.379671, -111.768604, 4603, 'US', 'US-UT', 'American Fork', 'no', 'UT56', '', 'UT56', ''),
	('UT73', 'heliport', 'Diamond ''G'' Ranch Heliport', 37.23469924926758, -113.2770004272461, 3020, 'US', 'US-UT', 'Toquerville', 'no', 'UT73', '', 'UT73', ''),
	('UTBS', 'N/A', 'N/A', 38.803683780133724, 65.56452065706253, 343, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTSH', 'small_airport', 'Shahrisabz Airport', 39.068003, 66.758388, 1900, 'UZ', 'UZ-QA', 'Shahrisabz', 'no', 'UTSH', '', '', ''),
	('UTKS', 'N/A', 'N/A', 39.09219190478325, 66.91969469189644, 680, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAO', 'N/A', 'N/A', 38.04757945239544, 64.87049460411072, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTCQ', 'N/A', 'N/A', 38.945275247097015, 66.55626520514488, 535, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTQM', 'N/A', 'N/A', 38.83058700710535, 66.26612931489944, 453, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTMU', 'N/A', 'N/A', 38.90048369765282, 65.39469882845879, 323, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OADE', 'N/A', 'N/A', 36.64594016969204, 67.03200772404671, 433, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTSL', 'small_airport', 'Karshi-Khanabad Air Base', 38.833599, 65.921501, 1365, 'UZ', 'UZ-QA', 'Khanabad', 'no', 'UTSL', '', '', 'UTSL, K2 Air Base, Qarshi Khanabad Airport'),
	('UTYN', 'N/A', 'N/A', 38.58898267149925, 65.6098835170269, 356, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT51', 'heliport', 'Utah Valley Regional Medical Center Heliport', 40.24800109863281, -111.66600036621094, 4590, 'US', 'US-UT', 'Provo', 'no', 'UT51', '', 'UT51', ''),
	('UTCC', 'N/A', 'N/A', 39.09242793917656, 66.61520764231682, 553, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTYK', 'N/A', 'N/A', 38.975351862609386, 66.72683760523796, 599, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTKI', 'N/A', 'N/A', 39.16862949728966, 66.7150729894638, 619, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OAMN', 'medium_airport', 'Maymana Zahiraddin Faryabi Airport', 35.930801, 64.760902, 2743, 'AF', 'AF-FYB', 'Maymana', 'yes', 'OAMN', 'MMZ', '', 'Maimana'),
	('OAQA', 'small_airport', 'Qalat Airport', 32.133839, 66.898917, 5383, 'AF', 'AF-ZAB', 'Qalat', 'no', 'OAQA', '', '', ''),
	('OADY', 'N/A', 'N/A', 31.09194427728653, 64.06694456934929, 735, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OATN', 'small_airport', 'Tarinkot Airport', 32.604198, 65.865799, 4429, 'AF', 'AF-URU', 'Tarinkot', 'no', 'OATN', 'TII', '', 'Tarin Kowt'),
	('OAKN', 'medium_airport', 'Ahmad Shah Baba International Airport / Kandahar Airfield', 31.5058, 65.847801, 3337, 'AF', 'AF-KAN', 'Khvoshab', 'yes', 'OAKN', 'KDH', '', 'Kandahar International Airport'),
	('OPQT', 'medium_airport', 'Quetta International Airport', 30.251399993896484, 66.93779754638672, 5267, 'PK', 'PK-BA', 'Quetta', 'yes', 'OPQT', 'UET', '', ''),
	('OPPN', 'small_airport', 'Pishin Airport', 30.552457, 66.984768, 5075, 'PK', 'PK-BA', 'Pishin', 'no', 'OPPN', '', '', ''),
	('OP0G', 'N/A', 'N/A', 28.621310256421566, 65.47151729464531, 746, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OP28', 'small_airport', 'Dhingar Airport', 29.92329978942871, 66.74610137939453, 5215, 'PK', 'PK-BA', 'Dhingar', 'no', 'OP28', '', 'OP28', ''),
	('OPDB', 'small_airport', 'Dalbandin Airport', 28.878299713100002, 64.3998031616, 2800, 'PK', 'PK-BA', 'Dalbandin', 'yes', 'OPDB', 'DBA', '', 'OPXX'),
	('OPPG', 'medium_airport', 'Panjgur Airport', 26.954500198364258, 64.13249969482422, 3289, 'PK', 'PK-BA', 'Panjgur', 'yes', 'OPPG', 'PJG', '', ''),
	('OPKH', 'small_airport', 'Khuzdar Airport', 27.790599823, 66.6473007202, 4012, 'PK', 'PK-BA', 'Khuzdar', 'yes', 'OPKH', 'KDD', '', ''),
	('OP12', 'medium_airport', 'Shamsi Airfield', 27.8465, 65.160004, 2524, 'PK', 'PK-BA', 'Washuk', 'no', '', '', '', 'OP12, Bandari Air Base'),
	('OPKC', 'large_airport', 'Jinnah International Airport', 24.9065, 67.160797, 100, 'PK', 'PK-SD', 'Karachi', 'yes', 'OPKC', 'KHI', '', 'OPQR, OPHQ, Drigh Road Airstrip, Quaid-E-Azam International Airport'),
	('OPMR', 'medium_airport', 'Masroor Air Base', 24.893600463867188, 66.93879699707031, 35, 'PK', 'PK-SD', 'Karachi', 'no', 'OPMR', '', '', ''),
	('OPSF', 'medium_airport', 'Faisal Air Base', 24.87420082092285, 67.11849975585938, 29, 'PK', 'PK-SD', 'Karachi', 'no', 'OPSF', '', '', ''),
	('OPOR', 'small_airport', 'Ormara Airport', 25.276625, 64.588343, 10, 'PK', 'PK-BA', 'Ormara Raik', 'yes', 'OPOR', 'ORW', '', 'OPOP'),
	('OP1F', 'N/A', 'N/A', 24.865785464644432, 67.40962654352188, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATI', 'N/A', 'N/A', 42.88673982024193, 68.97627398371696, 237, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAKT', 'N/A', 'N/A', 43.46863601356745, 68.46835747361183, 374, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATM', 'N/A', 'N/A', 42.4000184610486, 69.28875356912613, 354, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASH', 'N/A', 'N/A', 42.46130123734474, 69.59981516003609, 467, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT31', 'heliport', 'American Stores Heliport', 40.763403, -111.890702, 4691, 'US', 'US-UT', 'Salt Lake City', 'no', 'UT31', '', 'UT31', ''),
	('UALN', 'N/A', 'N/A', 42.25929569453001, 70.12560367584229, 1099, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATD', 'N/A', 'N/A', 42.61816889047623, 69.2508615553379, 325, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAKF', 'N/A', 'N/A', 43.20739388465881, 70.50450012087822, 505, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAAB', 'N/A', 'N/A', 42.61595472693443, 69.59836855530739, 407, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAII', 'medium_airport', 'Shymkent Airport', 42.364200592041016, 69.47889709472656, 1385, 'KZ', 'KZ-YUZ', 'Shymkent', 'yes', 'UAII', 'CIT', '', 'Chimkent Airport, Аэропорт Шымкент, Аэропорт Чимкент'),
	('UAAS', 'N/A', 'N/A', 42.50140160322189, 69.80071932077408, 515, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTPO', 'N/A', 'N/A', 40.80300975590944, 71.18964180350304, 374, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTDL', 'medium_airport', 'Khujand Airport', 40.215401, 69.694702, 1450, 'TJ', 'TJ-SU', 'Khujand', 'yes', 'UTDL', 'LBD', '', 'Khodjend, Khodzhent, Leninabad, Khudzhand'),
	('UTTT', 'large_airport', 'Tashkent International Airport', 41.257900238, 69.2811965942, 1417, 'UZ', 'UZ-TO', 'Tashkent', 'yes', 'UTTT', 'TAS', '', ''),
	('UTSI', 'N/A', 'N/A', 40.80767780542374, 68.6868654191494, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAY', 'N/A', 'N/A', 39.405285492539406, 68.52295830845833, 1414, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTGI', 'N/A', 'N/A', 40.508193746209145, 68.80351915955544, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UA34', 'small_airport', 'Chardara Airport', 41.2765007019043, 67.97100067138672, 709, 'KZ', 'KZ-YUZ', 'Shardara', 'no', 'UA34', '', 'UA34', ''),
	('UTZR', 'N/A', 'N/A', 40.199853368103504, 68.85342344641685, 376, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTSY', 'N/A', 'N/A', 40.927410274744034, 68.62333193421364, 254, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASF', 'N/A', 'N/A', 41.45649008452892, 69.13841530680656, 422, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTZF', 'N/A', 'N/A', 40.78920241445303, 68.97742688655853, 293, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAMZ', 'N/A', 'N/A', 40.708986930549145, 68.58127892017365, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAI', 'small_airport', 'Utai Airstrip', -3.386, 141.5868, 707, 'PG', 'PG-SAN', 'Utai', 'no', 'ATUA', '', 'UTAI', ''),
	('UTPP', 'N/A', 'N/A', 40.88981844484806, 71.09217435121536, 472, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTDH', 'N/A', 'N/A', 40.27683578431606, 68.40044394135475, 308, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTTY', 'N/A', 'N/A', 41.027684323489666, 69.20031979680061, 343, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTCH', 'N/A', 'N/A', 41.08819495886564, 68.67482274770737, 296, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTDI', 'N/A', 'N/A', 40.47210160642862, 68.12494039535522, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASY', 'N/A', 'N/A', 41.70045644044876, 69.0050795674324, 404, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT0J', 'N/A', 'N/A', 40.37804961204529, 71.09421640634537, 569, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTQN', 'N/A', 'N/A', 40.546761229634285, 71.20424911379814, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTGS', 'N/A', 'N/A', 40.54301653057337, 68.91941115260124, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UTZO', 'N/A', 'N/A', 40.249827951192856, 68.98244708776474, 331, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT1Q', 'small_airport', 'Pakhtakor Airport', 40.25270080566406, 67.91079711914063, 1023, 'UZ', 'UZ-JI', 'Pakhtakor', 'no', 'UT1Q', '', 'UT1Q', ''),
	('UT1A', 'small_airport', 'Isfara Airport', 40.121545, 70.667209, 2814, 'TJ', 'TJ-SU', 'Isfara', 'no', '', '', '', 'UT1A'),
	('UT0L', 'N/A', 'N/A', 40.44698774814606, 70.98855659365654, 501, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UA30', 'medium_airport', 'Batken Airport', 40.042899, 70.83784, 3517, 'KG', 'KG-B', 'Batken', 'yes', 'UAFB', '', '', 'Batken'),
	('UTBB', 'N/A', 'N/A', 40.65441504120827, 69.19465318322182, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTZA', 'N/A', 'N/A', 40.86287900805473, 69.02906522154808, 295, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT63', 'heliport', 'Alta View Hospital Heliport', 40.57780075073242, -111.85399627685547, 4660, 'US', 'US-UT', 'Sandy', 'no', 'UT63', '', 'UT63', ''),
	('UAFI', 'small_airport', 'Isfana Airport', 39.824737, 69.56882, 4625, 'KG', 'KG-B', 'Isfana', 'yes', 'UAFI', '', '', 'Isfana Airport'),
	('UTTS', 'N/A', 'N/A', 41.19984392076731, 69.2389664053917, 392, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASG', 'N/A', 'N/A', 41.36211488395929, 68.98683875799179, 360, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTDJ', 'N/A', 'N/A', 40.26056718081236, 68.30739319324493, 308, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTGA', 'N/A', 'N/A', 40.74466399848461, 67.96526625752449, 258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTPA', 'N/A', 'N/A', 39.48232289403677, 67.6055172085762, 1034, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAAD', 'N/A', 'N/A', 42.170626893639565, 68.8399489223957, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UA66', 'small_airport', 'Chirchik Airport', 41.5168, 69.575401, 2296, 'UZ', 'UZ-TO', 'Chirchik', 'no', 'UTTC', '', 'UA66', ''),
	('UTDC', 'N/A', 'N/A', 40.679696537554264, 67.9986709356308, 260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTPB', 'N/A', 'N/A', 40.885572507977486, 71.18109047412872, 436, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTSD', 'N/A', 'N/A', 37.73271728307009, 67.57862493395805, 399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OAYW', 'small_airport', 'Yawan Airport', 37.563636, 70.444496, 5645, 'AF', 'AF-BDS', 'Yawan', 'no', 'OAYW', '', '', ''),
	('UTTU', 'N/A', 'N/A', 38.42019259929657, 68.10240224003792, 592, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTDN', 'N/A', 'N/A', 38.515559546649456, 67.84685343503952, 777, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTDD', 'medium_airport', 'Dushanbe Airport', 38.543301, 68.824997, 2575, 'TJ', 'TJ-DU', 'Dushanbe', 'yes', 'UTDD', 'DYU', '', ''),
	('UT45', 'heliport', 'State Capitol Helicopter Landing Site Heliport', 40.77688217163086, -111.88691711425781, 4350, 'US', 'US-UT', 'Salt Lake City', 'no', 'UT45', '', 'UT45', ''),
	('UT1M', 'small_airport', 'Kakaydy Airport', 37.624298095703125, 67.5176010131836, 1207, 'UZ', 'UZ-SU', 'Goran', 'no', 'UT1M', '', 'UT1M', ''),
	('OAUZ', 'medium_airport', 'Kunduz Airport', 36.6651, 68.910797, 1457, 'AF', 'AF-KDZ', 'Kunduz', 'no', 'OAUZ', 'UND', '', 'Konduz'),
	('AF07', 'small_airport', 'Khwaja Ghar South Airport', 37.061623, 69.487765, 1645, 'AF', 'AF-TAK', 'Khwaja Ghar', 'no', '', '', '', 'Khvej Ghar South'),
	('UT1B', 'small_airport', 'Moskovskiy Pyandzh Airport', 37.64039993286133, 69.64659881591797, 1624, 'TJ', 'TJ-KT', 'Ak-Mazar', 'no', '', '', '', 'UT1B'),
	('OAFZ', 'small_airport', 'Fayzabad Airport', 37.122148, 70.5201, 3872, 'AF', 'AF-BDS', 'Fayzabad', 'yes', 'OAFZ', 'FBD', '', ''),
	('UTDU', 'N/A', 'N/A', 37.37221967428923, 68.68295028805733, 394, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OATQ', 'small_airport', 'Taleqan Airport', 36.770699, 69.531998, 2606, 'AF', 'AF-TAK', 'Taleqan', 'no', 'OATQ', 'TQN', '', 'Taluqan, Taloqan'),
	('UT72', 'heliport', 'Two Jays #2 Heliport', 38.584352, -109.566789, 4200, 'US', 'US-UT', 'Moab', 'no', 'UT72', '', 'UT72', ''),
	('UTRA', 'N/A', 'N/A', 39.004020653665066, 70.29029801487923, 1304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTKV', 'N/A', 'N/A', 38.36411867290735, 69.98629063367844, 1471, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTDV', 'N/A', 'N/A', 38.20647418498993, 67.87817135453224, 512, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTDT', 'medium_airport', 'Qurghonteppa International Airport', 37.86640167236328, 68.86470031738281, 1473, 'TJ', 'TJ-KT', 'Kurgan-Tyube', 'yes', 'UTDT', 'KQT', '', 'Kurgan-Tube'),
	('UTDO', 'N/A', 'N/A', 38.248197957873344, 67.92943552136421, 500, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT46', 'heliport', 'Tooele Army Depot /South Area/ Heliport', 40.317444, -112.308559, 5355, 'US', 'US-UT', 'Tooele', 'no', 'UT46', '', 'UT46', ''),
	('OARZ', 'small_airport', 'Razer Airport', 36.029893, 70.714159, 0, 'AF', 'AF-BDS', 'Skazar', 'no', 'OARZ', 'KUR', '', ''),
	('OAJL', 'medium_airport', 'Jalalabad Airport', 34.399799, 70.498596, 1814, 'AF', 'AF-NAN', 'Jalalabad', 'no', 'OAJL', 'JAA', '', ''),
	('OAIX', 'medium_airport', 'Bagram Airfield', 34.946098, 69.264999, 4895, 'AF', 'AF-PAR', 'Bagram', 'no', 'OAIX', 'OAI', '', 'Bagram Air Base'),
	('OAKB', 'medium_airport', 'Kabul International Airport', 34.565899, 69.212303, 5877, 'AF', 'AF-KAB', 'Kabul', 'yes', 'OAKB', 'KBL', '', 'Hamid Karzai International Airport, Khwaja Rawash Airport'),
	('OAMU', 'N/A', 'N/A', 34.17206972837448, 69.0356196463108, 1930, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPPC', 'small_airport', 'Parachinar Airport', 33.902099609400004, 70.0716018677, 5800, 'PK', 'PK-KP', 'Parachinar', 'yes', 'OPPC', 'PAJ', '', ''),
	('OPTN', 'N/A', 'N/A', 32.358356304466724, 70.11722892522812, 741, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OAKS', 'small_airport', 'Khost Airport', 33.333401, 69.952003, 3756, 'AF', 'AF-KHO', 'Khost', 'yes', '', '', '', 'FOB Chapman, دخوست هوائی ډګر, Chapman, Khost International Airport, KHT, OAKS'),
	('OPMN', 'small_airport', 'Miram Shah Airport', 33.01470184326172, 70.06439971923828, 3022, 'PK', 'PK-KP', 'Miram Shah', 'no', 'OPMN', '', '', ''),
	('OPDI', 'medium_airport', 'Dera Ismael Khan Airport', 31.909400939941406, 70.89659881591797, 594, 'PK', 'PK-KP', 'Dera Ismael Khan', 'yes', 'OPDI', 'DSK', '', ''),
	('OPMH', 'N/A', 'N/A', 32.700497545301914, 69.83066037297249, 2074, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPBN', 'small_airport', 'Bannu Airport', 32.9729, 70.527901, 1325, 'PK', 'PK-KP', 'Bannu', 'yes', 'OPBN', 'BNP', '', ''),
	('OPWN', 'small_airport', 'Wana Airport', 32.3046989440918, 69.57039642333984, 4550, 'PK', 'PK-KP', 'Waana', 'no', 'OPWN', 'WAF', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OPZB', 'medium_airport', 'Zhob Airport', 31.358400344848633, 69.4636001586914, 4728, 'PK', 'PK-BA', 'Fort Sandeman', 'yes', 'OPZB', 'PZH', '', ''),
	('OAOG', 'small_airport', 'Urgun Airport', 32.939933, 69.150064, 7300, 'AF', 'AF-PKA', 'Urgun', 'no', 'OAOG', 'URN', '', 'Urgoon'),
	('OP11', 'small_airport', 'Mir Baz Airport', 31.191082, 70.183532, 2350, 'PK', 'PK-BA', 'Mir Baz', 'no', 'OP11', '', 'OP11', ''),
	('OAKA', 'N/A', 'N/A', 33.62790919840336, 69.23741117119789, 2366, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OASL', 'N/A', 'N/A', 33.36361102759838, 69.95527759194374, 1155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OP15', 'small_airport', 'Ouzkani Airport', 30.25078, 70.23205, 2331, 'PK', 'PK-PB', 'Khandor', 'no', 'OP15', '', 'OP15', ''),
	('OPJA', 'medium_airport', 'Shahbaz Air Base', 28.28420066833496, 68.44969940185547, 185, 'PK', 'PK-SD', 'Jacobabad', 'no', 'OPJA', 'JAG', '', ''),
	('OP33', 'small_airport', 'Kandhkot Airport', 28.27400016784668, 69.2760009765625, 250, 'PK', 'PK-SD', 'Kandhkot', 'no', 'OP33', '', 'OP33', ''),
	('OP31', 'small_airport', 'Kashmor Airport', 28.470600128173828, 69.5990982055664, 260, 'PK', 'PK-SD', 'Kashmor', 'no', 'OP31', '', 'OP31', ''),
	('OPLL', 'small_airport', 'Loralai Airport', 30.355499267578125, 68.6135025024414, 4631, 'PK', 'PK-BA', 'Loralai', 'no', 'OPLL', 'LRG', '', ''),
	('OP22', 'small_airport', 'Rajanpur Airport', 29.263999938964844, 70.1864013671875, 401, 'PK', 'PK-PB', 'Rajanpur', 'no', 'OP22', '', 'OP22', ''),
	('OPKP', 'N/A', 'N/A', 28.42894859611988, 71.23881071805954, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPDG', 'medium_airport', 'Dera Ghazi Khan Airport', 29.961000442504883, 70.48590087890625, 492, 'PK', 'PK-PB', 'Dera Ghazi Khan', 'yes', 'OPDG', 'DEA', '', ''),
	('OPSU', 'medium_airport', 'Sui Airport', 28.645099639892578, 69.1769027709961, 763, 'PK', 'PK-BA', 'Sui', 'no', 'OPSU', 'SUL', '', ''),
	('OPSB', 'small_airport', 'Sibi Airport', 29.571199, 67.8479, 436, 'PK', 'PK-BA', 'Sibi', 'no', 'OPSB', 'SBQ', '', ''),
	('OP18', 'small_airport', 'Kot Addu Airport', 30.49489974975586, 70.97109985351563, 423, 'PK', 'PK-PB', 'Kot  Addu', 'no', 'OP18', '', 'OP18', ''),
	('OPKS', 'N/A', 'N/A', 28.297807350754738, 70.489332228899, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OP14', 'small_airport', 'Belab Airport', 30.34000015258789, 70.55670166015625, 377, 'PK', 'PK-PB', 'Belab', 'no', 'OP14', '', 'OP14', ''),
	('OP13', 'small_airport', 'Mad Jamu Airport', 28.356199264526367, 70.6001968383789, 256, 'PK', 'PK-PB', 'Mad Jamu Kholelan', 'no', 'OP13', '', 'OP13', ''),
	('OPRK', 'medium_airport', 'Shaikh Zaid Airport', 28.383899688720703, 70.27960205078125, 271, 'PK', 'PK-PB', 'Rahim Yar Khan', 'yes', 'OPRK', 'RYK', '', 'Rahim Yar Khan Airport'),
	('OP29', 'N/A', 'N/A', 28.643320128321648, 70.63242092728615, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z24F', 'N/A', 'N/A', 29.99738473445177, 70.58564096689224, 129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPSN', 'medium_airport', 'Sehwan Sharif Airport', 26.473100662231445, 67.71720123291016, 121, 'PK', 'PK-SD', 'Sehwan Sharif', 'yes', 'OPSN', 'SYW', '', ''),
	('VIJR', 'medium_airport', 'Jaisalmer Airport', 26.8887, 70.864998, 751, 'IN', 'IN-RJ', '', 'yes', 'VIJR', 'JSA', '', 'Jaisalmer Air Force Station'),
	('OP37', 'small_airport', 'Pano Aqil Southeast Airport', 27.813100814819336, 69.16709899902344, 200, 'PK', 'PK-SD', 'Pano Aqil', 'no', 'OP37', '', 'OP37', ''),
	('OPBO', 'N/A', 'N/A', 26.967308297753334, 68.87890353798866, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPSK', 'medium_airport', 'Sukkur Airport', 27.722000122070313, 68.79170227050781, 196, 'PK', 'PK-SD', 'Mirpur Khas', 'yes', 'OPSK', 'SKZ', '', ''),
	('OPCO', 'N/A', 'N/A', 25.807693116366863, 70.29437988996506, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPKW', 'N/A', 'N/A', 27.206389009952545, 69.15638878941536, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPJM', 'N/A', 'N/A', 25.54599266499281, 68.32807168364525, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPMJ', 'medium_airport', 'Moenjodaro Airport', 27.3351993560791, 68.14309692382813, 154, 'PK', 'PK-SD', 'Moenjodaro', 'yes', 'OPMJ', 'MJD', '', ''),
	('OP1A', 'small_airport', 'Jam Nida Northwest Airport', 26.198099, 67.5037, 418, 'PK', 'PK-SD', 'Jam Nida', 'no', 'OPBT', '', 'OP1A', ''),
	('OP17', 'small_airport', 'Dadu West Airport', 26.740800857543945, 67.6666030883789, 128, 'PK', 'PK-SD', 'Dadu', 'no', 'OP17', 'DDU', 'OP17', ''),
	('OPMK', 'small_airport', 'Mirpur Khas Air Base', 25.682501, 69.0728, 180, 'PK', 'PK-SD', 'Mirpur Khas', 'no', 'OPMK', '', '', ''),
	('OPKD', 'small_airport', 'Hyderabad Airport', 25.3181, 68.366096, 130, 'PK', 'PK-SD', 'Hyderabad', 'yes', 'OPKD', 'HDD', '', ''),
	('OPNH', 'medium_airport', 'Shaheed Benazirabad Airport', 26.2194, 68.390099, 95, 'PK', 'PK-SD', 'Nawabashah', 'yes', 'OPNH', 'WNS', '', ''),
	('OPLR', 'N/A', 'N/A', 27.483036406338215, 68.1925119459629, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPKE', 'small_airport', 'Chore Airport', 25.525999069213867, 69.77179718017578, 200, 'PK', 'PK-SD', 'Chore', 'no', 'OPKE', '', '', ''),
	('VABU', 'N/A', 'N/A', 23.847388587892056, 69.72780033946037, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VANY', 'N/A', 'N/A', 23.223738446831703, 68.89340981841087, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPTH', 'small_airport', 'Talhar Airport', 24.84149932861328, 68.8384017944336, 28, 'PK', 'PK-SD', 'Badin', 'no', 'OPTH', 'BDN', '', ''),
	('VAMN', 'N/A', 'N/A', 22.839289382100105, 69.30471628904343, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VABJ', 'medium_airport', 'Bhuj Airport', 23.2877998352, 69.6701965332, 268, 'IN', 'IN-GJ', 'Bhuj', 'yes', 'VABJ', 'BHJ', '', 'Bhuj Rudra Mata Air Force Station, Shyamji Krishna Verma, Bhuj Airport'),
	('OPDA', 'N/A', 'N/A', 24.61415134370327, 68.08271795511246, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAKE', 'medium_airport', 'Kandla Airport', 23.1127, 70.100304, 96, 'IN', 'IN-GJ', 'Kandla', 'yes', 'VAKE', 'IXY', '', ''),
	('OP16', 'small_airport', 'UEPL Khaskheli Airstrip', 24.787201, 68.557198, 16, 'PK', 'PK-SD', 'Badin', 'no', 'OP16', '', 'OP16', 'Khorewah Airport'),
	('OPKF', 'small_airport', 'Gharo Airport', 24.729000091552734, 67.58760070800781, 20, 'PK', 'PK-SD', 'Gharo', 'no', 'OPKF', '', '', ''),
	('OPIL', 'N/A', 'N/A', 24.846787713468075, 70.09519815444946, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAMU', 'N/A', 'N/A', 22.83482249826193, 69.76541429758072, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UA36', 'small_airport', 'Lugovoy Airport', 42.972565, 72.728051, 2130, 'KZ', 'KZ-ZHA', 'Lugovoy', 'no', 'UA36', '', 'XAAL', ''),
	('UALE', 'N/A', 'N/A', 42.891874238848686, 74.74898412823677, 713, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UAKL', 'N/A', 'N/A', 42.80660144984722, 73.89188379049301, 806, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASD', 'N/A', 'N/A', 43.7007761746645, 73.74720320105553, 453, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAPO', 'N/A', 'N/A', 42.715671211481094, 71.70962736010551, 837, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAFW', 'medium_airport', 'Kant Air Base', 42.85319900512695, 74.84649658203125, 2549, 'KG', 'KG-C', 'Kant', 'no', 'UAFW', '', '', ''),
	('UAKB', 'N/A', 'N/A', 42.88908842951059, 73.92991974949837, 694, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCFM', 'N/A', 'N/A', 43.06127216666937, 74.47750836610794, 632, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UABH', 'N/A', 'N/A', 42.74240914732218, 74.54172536730766, 1169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASO', 'N/A', 'N/A', 43.000362887978554, 74.2987123131752, 648, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATL', 'N/A', 'N/A', 42.505703531205654, 72.2639662027359, 1271, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UABS', 'N/A', 'N/A', 42.91332520544529, 74.5096206665039, 704, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASC', 'N/A', 'N/A', 43.609969317913055, 74.2777356505394, 944, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UADD', 'medium_airport', 'Taraz Airport', 42.853599548339844, 71.30359649658203, 2184, 'KZ', 'KZ-ZHA', 'Taraz', 'yes', 'UADD', 'DMB', '', 'Aulie Ata'),
	('UTFN', 'N/A', 'N/A', 40.9848665446043, 71.55684158205986, 493, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTOL', 'N/A', 'N/A', 40.37306070327759, 71.37038245797157, 448, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAKR', 'N/A', 'N/A', 41.48132264614105, 71.72927811741829, 1288, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTQB', 'N/A', 'N/A', 40.623081140220165, 72.02264249324799, 450, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAOH', 'N/A', 'N/A', 40.5362456291914, 72.75274470448494, 954, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAFZ', 'small_airport', 'Kazarman Airport', 41.410291, 74.044418, 4298, 'KG', 'KG-J', 'Kazarman', 'yes', 'UAFZ', '', '', 'Kazarman Airport'),
	('UASV', 'N/A', 'N/A', 42.16620493680239, 73.93696591258049, 2077, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAOS', 'N/A', 'N/A', 40.59340585023165, 72.8491236269474, 892, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAD', 'N/A', 'N/A', 40.888259410858154, 72.408337444067, 485, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTKM', 'N/A', 'N/A', 40.44173363596201, 71.67550474405289, 486, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCFO', 'N/A', 'N/A', 40.60899719595909, 72.79321387410164, 882, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTUC', 'N/A', 'N/A', 41.07860907912254, 72.02863588929176, 470, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAAV', 'N/A', 'N/A', 40.52273936569691, 72.40725874900818, 646, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTFA', 'N/A', 'N/A', 40.72694431990385, 72.29249998927116, 473, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTFF', 'N/A', 'N/A', 40.35835012793541, 71.74470573663712, 606, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAIR', 'N/A', 'N/A', 40.27116157114506, 72.04906269907951, 891, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTQV', 'N/A', 'N/A', 40.38138158619404, 71.97610482573509, 667, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTFE', 'N/A', 'N/A', 40.30974682420492, 71.71243742108345, 700, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTMA', 'N/A', 'N/A', 40.48349931836128, 72.28089317679405, 605, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTUY', 'N/A', 'N/A', 41.01080384105444, 71.94874048233032, 439, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTUH', 'N/A', 'N/A', 41.04732412844896, 72.11685463786125, 477, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAMB', 'N/A', 'N/A', 40.975692719221115, 72.6291923224926, 603, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAJA', 'N/A', 'N/A', 40.944774225354195, 72.97756612300873, 782, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTTO', 'N/A', 'N/A', 40.505753606557846, 71.90213486552238, 484, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UASU', 'N/A', 'N/A', 40.89861609041691, 72.93063282966614, 718, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATO', 'N/A', 'N/A', 41.87801968306303, 72.86294907331467, 1094, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTCO', 'N/A', 'N/A', 41.04814689606428, 71.78535237908363, 493, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UT44', 'heliport', 'Davis Hospital & Medical Center Heliport', 41.09183, -111.99592, 4300, 'US', 'US-UT', 'Layton', 'no', 'UT44', '', 'UT44', ''),
	('UT1C', 'small_airport', 'Khorog Airport', 37.502222, 71.513333, 6700, 'TJ', 'TJ-GB', 'Khorog', 'no', 'UTOD', '', '', 'UT1C'),
	('OPMF', 'medium_airport', 'Muzaffarabad Airport', 34.3390007019043, 73.50859832763672, 2691, 'PK', 'PK-JK', 'Muzaffarabad', 'yes', 'OPMF', 'MFG', '', ''),
	('OPRT', 'medium_airport', 'Rawalakot Airport', 33.849700927734375, 73.79810333251953, 5479, 'PK', 'PK-JK', 'Rawalakot', 'yes', 'OPRT', 'RAZ', '', ''),
	('VISR', 'medium_airport', 'Sheikh ul Alam International Airport', 33.987099, 74.7742, 5429, 'IN', 'IN-JK', 'Srinagar', 'yes', 'VISR', 'SXR', '', 'Srinagar Air Force Station'),
	('OPSH', 'N/A', 'N/A', 34.12590757012367, 71.59377872943878, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPTA', 'small_airport', 'Tarbela Dam Airport', 33.9860992432, 72.61139678960001, 1114, 'PK', 'PK-KP', 'Tarbela', 'no', 'OPTA', 'TLB', '', ''),
	('OPPS', 'medium_airport', 'Peshawar International Airport', 33.993900299072266, 71.51460266113281, 1158, 'PK', 'PK-KP', 'Peshawar', 'yes', 'OPPS', 'PEW', '', ''),
	('OPCH', 'medium_airport', 'Chitral Airport', 35.886213, 71.799922, 4920, 'PK', 'PK-KP', 'Chitral', 'yes', 'OPCH', 'CJL', '', ''),
	('OP20', 'N/A', 'N/A', 33.87040168046951, 72.4014338850975, 311, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPCT', 'small_airport', 'Chirat Airport', 33.968101501464844, 71.96749877929688, 1192, 'PK', 'PK-KP', 'Nowshera', 'no', 'OPCT', '', '', ''),
	('VIAW', 'small_airport', 'Awantipura Air Force Station', 33.876598, 74.9757, 5393, 'IN', 'IN-JK', 'Awantipura', 'no', 'VIAW', '', '', 'Awantipora, Awantipur');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('OPSS', 'medium_airport', 'Saidu Sharif Airport', 34.8135986328125, 72.35279846191406, 3183, 'PK', 'PK-KP', 'Saidu Sharif', 'yes', 'OPSS', 'SDT', '', ''),
	('OPGT', 'medium_airport', 'Gilgit Airport', 35.918800354003906, 74.33360290527344, 4796, 'PK', 'PK-GB', 'Gilgit', 'yes', 'OPGT', 'GIL', '', ''),
	('OPCL', 'small_airport', 'Chilas Airport', 35.426700592, 74.081703186, 4146, 'PK', 'PK-GB', 'Chilas', 'no', 'OPCL', 'CHB', '', ''),
	('OPRS', 'medium_airport', 'Risalpur Air Base', 34.08110046386719, 71.97260284423828, 1050, 'PK', 'PK-KP', 'Risalpur', 'no', 'OPRS', '', '', ''),
	('OPLH', 'medium_airport', 'Walton Airport', 31.494323, 74.346914, 679, 'PK', 'PK-PB', 'Lahore', 'no', 'OPLH', '', '', 'Walton Aerodrome'),
	('OPMA', 'medium_airport', 'Mangla Airport', 33.05009841918945, 73.63839721679688, 902, 'PK', 'PK-PB', 'Mangla', 'no', 'OPMA', 'XJM', '', ''),
	('OPIS', 'large_airport', 'Islamabad International Airport', 33.549, 72.82566, 1761, 'PK', 'PK-PB', 'Attock', 'yes', 'OPIS', 'ISB', '', ''),
	('OP1Y', 'small_airport', 'Chandhar Airport', 32.0778007507, 73.79019927979999, 620, 'PK', 'PK-PB', 'Hafizabad', 'no', 'OP1Y', '', 'OP1Y', ''),
	('OPSW', 'small_airport', 'Sawan Airport', 26.9662, 68.878098, 160, 'PK', 'PK-SD', 'Sawan Gas Field', 'yes', 'OPSW', 'RZS', '', ''),
	('OP19', 'small_airport', 'Chashma Airport', 32.4244995117, 71.4585037231, 645, 'PK', 'PK-PB', 'Kundian', 'no', 'OP19', '', 'OP19', ''),
	('OPFA', 'medium_airport', 'Faisalabad International Airport', 31.364999771118164, 72.99479675292969, 591, 'PK', 'PK-PB', 'Faisalabad', 'yes', 'OPFA', 'LYP', '', 'OPLF'),
	('OPKT', 'small_airport', 'Kohat Airport', 33.5699996948, 71.4400024414, 1650, 'PK', 'PK-KP', 'Kohat', 'no', 'OPKT', 'OHT', '', ''),
	('VIJU', 'medium_airport', 'Jammu Airport', 32.688849, 74.838152, 996, 'IN', 'IN-JK', 'Jammu', 'yes', 'VIJU', 'IXJ', '', 'Satwari Airport'),
	('OPBG', 'small_airport', 'Bhagatanwala Airport', 32.056098938, 72.94840240479999, 600, 'PK', 'PK-PB', 'Bhagatanwala', 'no', 'OPBG', 'BHW', '', ''),
	('OP0K', 'N/A', 'N/A', 32.91018225252628, 72.77455642819405, 532, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPRN', 'small_airport', 'PAF Base Nur Khan', 33.616699, 73.099197, 1668, 'PK', 'PK-PB', 'Rawalpindi', 'no', 'OPRN', '', '', 'ISB, Chaklala Air Base, Islamabad International Airport, Islamabad, Benazir Bhutto International Airport, Pakistan Air Force Base Nur Khan'),
	('OP0O', 'N/A', 'N/A', 33.526921682059765, 72.25999340415001, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPQS', 'small_airport', 'Dhamial Army Airbase', 33.5602, 73.033203, 1581, 'PK', 'PK-PB', 'Rawalpindi', 'no', 'OPQS', '', '', 'Qasim Airport'),
	('OPLA', 'large_airport', 'Allama Iqbal International Airport', 31.521601, 74.403603, 712, 'PK', 'PK-PB', 'Lahore', 'yes', 'OPLA', 'LHE', '', 'OPLR'),
	('OPMI', 'medium_airport', 'Mianwali Air Base', 32.5630989074707, 71.5707015991211, 690, 'PK', 'PK-PB', 'Mianwali', 'no', 'OPMI', 'MWD', '', ''),
	('OP27', 'small_airport', 'Rahwali Airport', 32.23899841308594, 74.13099670410156, 745, 'PK', 'PK-PB', 'Rahwali', 'no', 'OP27', '', 'OP27', ''),
	('VIAR', 'medium_airport', 'Sri Guru Ram Dass Jee International Airport', 31.7096, 74.797302, 756, 'IN', 'IN-PB', 'Amritsar', 'yes', 'VIAR', 'ATQ', '', 'Amritsar Air Force Station'),
	('OP26', 'small_airport', 'Khewra Airport', 32.62910079956055, 73.02259826660156, 767, 'PK', 'PK-PB', 'Khewra', 'no', 'OP26', '', 'OP26', ''),
	('VI64', 'N/A', 'N/A', 33.37795950472355, 74.31528076529503, 926, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPSA', 'N/A', 'N/A', 33.54901973158121, 72.63111725449562, 520, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OP0T', 'N/A', 'N/A', 32.920665331184864, 71.69247642159462, 340, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OP25', 'small_airport', 'Gurha Salim Airport', 32.8785018921, 73.60530090329999, 800, 'PK', 'PK-PB', 'Gurha Salim', 'no', 'OP25', '', 'OP25', 'OP 922, XJM'),
	('OPST', 'medium_airport', 'Sialkot International Airport', 32.535557, 74.363892, 837, 'PK', 'PK-PB', 'Sialkot', 'yes', 'OPST', 'SKT', '', ''),
	('OPSR', 'medium_airport', 'Mushaf Air Base', 32.04859924316406, 72.66500091552734, 614, 'PK', 'PK-PB', 'Sargodha', 'no', 'OPSR', 'SGI', '', 'BHW'),
	('VIBT', 'medium_airport', 'Bhatinda Air Force Station', 30.2701, 74.755798, 662, 'IN', 'IN-PB', '', 'no', 'VIBT', 'BUP', '', ''),
	('OPOK', 'small_airport', 'Okara Cantonment Airstrip', 30.740999221800003, 73.3576965332, 568, 'PK', 'PK-PB', 'Okara', 'no', 'OPOK', '', '', ''),
	('VAFI', 'N/A', 'N/A', 30.89608669281006, 74.58326563239098, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VISG', 'N/A', 'N/A', 29.387763887643814, 73.90414774417877, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VI1P', 'N/A', 'N/A', 29.85009592026472, 74.02444660663605, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OPMT', 'medium_airport', 'Multan International Airport', 30.20319938659668, 71.41909790039063, 403, 'PK', 'PK-PB', 'Multan', 'yes', 'OPMT', 'MUX', '', 'Multan Air Base'),
	('OPRQ', 'medium_airport', 'Rafiqui Air Base', 30.758100509643555, 72.28250122070313, 492, 'PK', 'PK-PB', 'Shorkot', 'no', 'OPRQ', '', '', ''),
	('OPBW', 'medium_airport', 'Bahawalpur Airport', 29.348100662231445, 71.71800231933594, 392, 'PK', 'PK-PB', 'Bahawalpur', 'yes', 'OPBW', 'BHV', '', ''),
	('OP21', 'small_airport', 'Vehari Airport', 30.0914, 72.153801, 430, 'PK', 'PK-PB', 'Vehari', 'no', 'OP21', '', 'OP21', ''),
	('VA2A', 'small_airport', 'Phalodi Airport', 27.112899780273438, 72.38899993896484, 781, 'IN', 'IN-RJ', '', 'no', 'VA2A', '', 'VA2A', ''),
	('VI73', 'small_airport', 'Nagaur Airport', 27.20829963684082, 73.7114028930664, 950, 'IN', 'IN-RJ', '', 'no', 'VI73', '', 'VI73', ''),
	('VIKG', 'medium_airport', 'Kishangarh Airport Ajmer', 26.591007, 74.812956, 0, 'IN', 'IN-RJ', 'Ajmer (Kishangarh)', 'yes', 'VIKG', 'KQH', '', ''),
	('VASO', 'N/A', 'N/A', 25.92877808958292, 73.68489012122154, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAJI', 'N/A', 'N/A', 27.086738348007202, 71.35076567530632, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAJO', 'N/A', 'N/A', 26.434505246579647, 73.10168534517288, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VIUT', 'small_airport', 'Uttarlai Airport', 25.813, 71.4823, 500, 'IN', 'IN-RJ', '', 'no', 'VIUT', '', '', 'Uttarlai Air Force Station'),
	('VIJO', 'medium_airport', 'Jodhpur Airport', 26.251100540161133, 73.04889678955078, 717, 'IN', 'IN-RJ', 'Jodhpur', 'yes', 'VIJO', 'JDH', '', 'Jodhpur Air Force Station'),
	('VIBK', 'medium_airport', 'Nal Airport', 28.070601, 73.207199, 750, 'IN', 'IN-RJ', 'Bikaner', 'no', 'VIBK', 'BKB', '', 'Nal Air Force Station'),
	('VIPX', 'small_airport', 'Phalodi Air Force Station', 27.104866, 72.212894, 0, 'IN', 'IN-RJ', '', 'no', 'VIPX', '', '', ''),
	('VADG', 'N/A', 'N/A', 23.84742647409439, 73.84186908602715, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VA1H', 'small_airport', 'Ondwa Airport', 25.14150047302246, 74.61150360107422, 1450, 'IN', 'IN-RJ', '', 'no', 'VA1H', '', 'VA1H', ''),
	('VAUD', 'medium_airport', 'Maharana Pratap Airport', 24.617700576799997, 73.89610290530001, 1684, 'IN', 'IN-RJ', 'Udaipur', 'yes', 'VAUD', 'UDR', '', 'Dabok Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VAAH', 'medium_airport', 'Sardar Vallabh Bhai Patel International Airport', 23.0772, 72.634697, 189, 'IN', 'IN-GJ', 'Ahmedabad', 'yes', 'VAAH', 'AMD', '', 'Gandhinagar Air Force Station'),
	('VAUN', 'N/A', 'N/A', 23.601278476417065, 72.37408116459846, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VA38', 'small_airport', 'Sirohi Airport', 24.895099639892578, 72.84590148925781, 1000, 'IN', 'IN-RJ', '', 'no', 'VA38', '', 'VA38', ''),
	('VA51', 'small_airport', 'Banswara Airport', 23.589259, 74.314048, 700, 'IN', 'IN-RJ', '', 'no', '', '', 'VA51', ''),
	('VAJR', 'N/A', 'N/A', 25.154072977602482, 72.53079682588577, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VA74', 'small_airport', 'Abu Road Airport', 24.4942, 72.781502, 875, 'IN', 'IN-RJ', '', 'no', '', '', 'VA74', ''),
	('VARJ', 'N/A', 'N/A', 25.021136663854122, 73.8991391658783, 536, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VA1N', 'small_airport', 'Nimach Airport', 24.43079948425293, 74.8677978515625, 1617, 'IN', 'IN-MP', '', 'no', 'VA1N', '', 'VA1N', ''),
	('UAEN', 'N/A', 'N/A', 43.44694398343563, 77.0547567307949, 621, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UABL', 'N/A', 'N/A', 42.43862081319094, 76.12961277365685, 1621, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATK', 'N/A', 'N/A', 42.828712575137615, 75.33641204237938, 842, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAKP', 'N/A', 'N/A', 43.998854756355286, 77.13378131389618, 711, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UATY', 'N/A', 'N/A', 42.74081960320473, 78.3737213909626, 1617, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAKS', 'N/A', 'N/A', 43.732207641005516, 77.11986780166626, 496, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAFG', 'small_airport', 'Cholpon-Ata Airport', 42.64948, 77.058381, 5420, 'KG', 'KG-Y', 'Cholpon-Ata', 'no', 'UAFG', '', '', 'Cholpon-Ata Airport'),
	('UAPE', 'N/A', 'N/A', 43.37552011013031, 76.97666555643082, 657, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAAA', 'large_airport', 'Almaty International Airport', 43.354267, 77.042828, 2234, 'KZ', 'KZ-ALA', 'Almaty', 'yes', 'UAAA', 'ALA', '', 'Alma Ata'),
	('UAKE', 'N/A', 'N/A', 43.22305094450712, 78.71815592050552, 1371, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAAR', 'small_airport', 'Boralday Airport', 43.352052, 76.883039, 2313, 'KZ', 'KZ-ALM', 'Boralday', 'no', 'UAAR', 'BXJ', '', 'Burunday Airport, Almaty Northwest, Alma-Ata Northwest, Аэропорт Боралдай, Аэропорт Бурундай, Аэропорт Алма-Ата Северозападная'),
	('UCFL', 'N/A', 'N/A', 42.5857138261199, 76.7018111050129, 1652, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UABA', 'small_airport', 'Burana Airport', 42.753693, 75.33263, 0, 'KG', 'KG-C', 'Burana village', 'no', 'UABA', '', '', 'Burana Airport'),
	('UABN', 'N/A', 'N/A', 44.56573694944382, 76.63918867707253, 408, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCFP', 'N/A', 'N/A', 42.508333437144756, 78.40777784585953, 1700, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZWSH', 'medium_airport', 'Kashgar Airport', 39.5429000854, 76.0199966431, 4529, 'CN', 'CN-65', 'Kashgar', 'yes', 'ZWSH', 'KHG', '', 'Kashi Airport'),
	('UANA', 'N/A', 'N/A', 41.44166216254234, 76.12983226776123, 2128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAKA', 'N/A', 'N/A', 42.153398394584656, 77.56373316049576, 1711, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VITE', 'N/A', 'N/A', 34.65252812951803, 77.37571656703949, 3066, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VILH', 'medium_airport', 'Leh Kushok Bakula Rimpochee Airport', 34.135899, 77.546501, 10682, 'IN', 'IN-LA', 'Leh', 'yes', 'VILH', 'IXL', '', 'Leh Air Force Station'),
	('OPSD', 'medium_airport', 'Skardu Airport', 35.33549880981445, 75.53600311279297, 7316, 'PK', 'PK-GB', 'Skardu', 'yes', 'OPSD', 'KDU', '', ''),
	('VIKL', 'N/A', 'N/A', 34.52430848032236, 76.15565791726112, 2917, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VATH', 'N/A', 'N/A', 35.39504572749138, 77.92906075716019, 5080, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VIBR', 'medium_airport', 'Kullu Manali Airport', 31.876699, 77.154404, 3573, 'IN', 'IN-HP', 'Bhuntar', 'no', 'VIBR', 'KUU', '', ''),
	('VIUX', 'medium_airport', 'Udhampur Air Force Station', 32.902152, 75.155709, 2066, 'IN', 'IN-JK', 'Udhampur', 'no', 'VIUX', '', '', ''),
	('VIAX', 'small_airport', 'Adampur Airport', 31.4338, 75.758797, 775, 'IN', 'IN-PB', 'Adampur', 'yes', 'VIAX', 'AIP', '', 'Adampur Air Force Station'),
	('VIPK', 'medium_airport', 'Pathankot Airport', 32.233611, 75.634444, 1017, 'IN', 'IN-PB', 'Pathankot', 'yes', 'VIPK', 'IXP', '', ''),
	('VIGG', 'medium_airport', 'Kangra Airport', 32.164902, 76.263018, 2525, 'IN', 'IN-HP', 'Kangra', 'yes', 'VIGG', 'DHM', '', 'Dharamshala, Gaggal'),
	('VI88', 'small_airport', 'Beas Airport', 31.559999, 75.341301, 741, 'IN', 'IN-PB', 'Bhaini', 'no', 'VI88', '', 'VI88', 'Jallowal Airport'),
	('VISM', 'small_airport', 'Shimla Airport', 31.0818, 77.068001, 5072, 'IN', 'IN-HP', 'Jubbarhatti', 'no', 'VISM', 'SLV', '', ''),
	('VI70', 'small_airport', 'Pilani New Airport', 28.348800659179688, 75.59369659423828, 1100, 'IN', 'IN-RJ', '', 'no', 'VI70', '', 'VI70', ''),
	('VIDP', 'large_airport', 'Indira Gandhi International Airport', 28.55563, 77.09519, 777, 'IN', 'IN-DL', 'New Delhi', 'yes', 'VIDP', 'DEL', '', 'Palam Air Force Station'),
	('VI71', 'small_airport', 'Pinjore Airfield and Flying Club', 30.82457, 76.883652, 1700, 'IN', 'IN-HR', 'Gannan', 'no', 'VI71', '', 'VI71', 'Kalka'),
	('VIDX', 'small_airport', 'Hindon Airport / Hindon Air Force Station', 28.707701, 77.358902, 700, 'IN', 'IN-UP', 'Ghaziabad', 'yes', 'VIDX', 'HDO', '', ''),
	('VIHR', 'medium_airport', 'Hisar Airport', 29.179399, 75.755302, 700, 'IN', 'IN-HR', 'Hisar', 'yes', 'VIHR', 'HSS', '', 'Maharaja Agrasen Intl'),
	('VIAM', 'medium_airport', 'Ambala Air Force Station', 30.368099, 76.816704, 909, 'IN', 'IN-HR', 'Ambala', 'no', 'VIAM', '', 'VI18', ''),
	('VIDD', 'medium_airport', 'Safdarjung Airport', 28.585453, 77.203563, 705, 'IN', 'IN-DL', 'New Delhi', 'no', 'VIDD', '', '', ''),
	('VISX', 'N/A', 'N/A', 29.56056285649538, 75.00627681612968, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VA2B', 'small_airport', 'Dr. Bhimrao Ambedkar Airstrip', 28.904933, 77.677524, 732, 'IN', 'IN-UP', 'Meerut', 'no', 'VA2B', '', 'VA2B', ''),
	('VILD', 'medium_airport', 'Ludhiana Airport', 30.854700088500977, 75.95259857177734, 834, 'IN', 'IN-PB', '', 'no', 'VILD', 'LUH', '', ''),
	('VIPL', 'small_airport', 'Patiala Airport', 30.3148, 76.364502, 820, 'IN', 'IN-PB', '', 'no', 'VIPL', '', '', ''),
	('VIDN', 'medium_airport', 'Dehradun Jolly Grant Airport', 30.189243, 78.176651, 1831, 'IN', 'IN-UT', 'Dehradun (Jauligrant)', 'yes', 'VIDN', 'DED', '', 'Jauligrant, Jolly Grant'),
	('VIBW', 'small_airport', 'Bhiwani Airport', 28.837, 76.1791, 720, 'IN', 'IN-HR', 'Bhiwani', 'no', 'VIBW', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VIHX', 'small_airport', 'Halwara Air Force Station', 30.748501, 75.629799, 790, 'IN', 'IN-PB', 'Halwara', 'no', 'VIHX', '', '', 'Ludhiana International Airport'),
	('VICG', 'medium_airport', 'Chandigarh International Airport', 30.6735, 76.788498, 1012, 'IN', 'IN-CH', 'Chandigarh', 'yes', 'VICG', 'IXC', '', 'Chandigarh Air Force Station'),
	('VISP', 'small_airport', 'Sarsawa Air Force Station', 29.994303, 77.42456, 891, 'IN', 'IN-UP', 'Sherpur Naqeebpur', 'no', 'VISP', 'SWN', '', 'Sarsawan'),
	('VI40', 'small_airport', 'Karnal Airport', 29.714663, 77.037438, 829, 'IN', 'IN-HR', 'Niawal', 'no', 'VI40', '', 'VI40', ''),
	('VIAG', 'medium_airport', 'Agra Airport / Agra Air Force Station', 27.157683, 77.960942, 551, 'IN', 'IN-UP', 'Agra', 'yes', 'VIAG', 'AGR', '', 'Kheria Airport, Pandit Deen Dayal Upadhyay Airport, RAF Agra'),
	('VANI', 'N/A', 'N/A', 26.40763957053423, 75.86957305669785, 312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VANA', 'N/A', 'N/A', 27.72990893572569, 75.24057894945145, 438, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAMO', 'N/A', 'N/A', 27.30834648013115, 76.26567050814629, 421, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VASI', 'N/A', 'N/A', 25.408435240387917, 77.67091602087021, 455, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VI69', 'small_airport', 'Jhunjhunu Airport', 28.106700897216797, 75.37560272216797, 1110, 'IN', 'IN-RJ', '', 'no', 'VI69', '', 'VI69', ''),
	('VI20', 'small_airport', 'Narnaul Airport', 28.077101, 76.205002, 955, 'IN', 'IN-HR', '', 'no', 'VINL', '', 'VI20', ''),
	('VI76', 'small_airport', 'Band Tal Airport', 26.000099182128906, 78.26180267333984, 790, 'IN', 'IN-MP', '', 'no', 'VI76', '', 'VI76', ''),
	('VASW', 'N/A', 'N/A', 26.039073541760445, 76.36004000902176, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VIJP', 'medium_airport', 'Jaipur International Airport', 26.8242, 75.812202, 1263, 'IN', 'IN-RJ', 'Jaipur', 'yes', 'VIJP', 'JAI', '', ''),
	('VIGR', 'medium_airport', 'Gwalior Airport', 26.29330062866211, 78.22779846191406, 617, 'IN', 'IN-MP', 'Gwalior', 'yes', 'VIGR', 'GWL', '', 'Maharajpur Air Force Station'),
	('VIAH', 'small_airport', 'Aligarh Airport', 27.861437, 78.145404, 619, 'IN', 'IN-UP', 'Aligarh', 'yes', 'VIAH', 'HRH', '', 'Dhanipur'),
	('VIJN', 'small_airport', 'Jhansi Airport', 25.491199, 78.558403, 801, 'IN', 'IN-UP', '', 'no', 'VIJN', '', '', ''),
	('VILP', 'small_airport', 'Lalitpur Airport', 24.716999053955078, 78.41699981689453, 1204, 'IN', 'IN-UP', 'Lalitpur', 'no', 'VILP', '', '', ''),
	('VA2D', 'small_airport', 'Ratlam Airport', 23.381399154663086, 75.02559661865234, 1702, 'IN', 'IN-MP', '', 'no', 'VA2D', '', 'VA2D', ''),
	('VIKO', 'medium_airport', 'Kota Airport', 25.160200119, 75.84559631350001, 896, 'IN', 'IN-RJ', 'Kota', 'no', 'VIKO', 'KTU', '', ''),
	('VE85', 'small_airport', 'Bentayan Airport', 23.09510040283203, 75.88529968261719, 1666, 'IN', 'IN-MP', 'Ujjain', 'no', '', '', '', 'VE85'),
	('VAID', 'medium_airport', 'Devi Ahilyabai Holkar Airport', 22.7217998505, 75.8011016846, 1850, 'IN', 'IN-MP', 'Indore', 'yes', 'VAID', 'IDR', '', ''),
	('VABP', 'medium_airport', 'Raja Bhoj International Airport', 23.2875003815, 77.3374023438, 1711, 'IN', 'IN-MP', 'Bhopal', 'yes', 'VABP', 'BHO', '', ''),
	('VA1C', 'small_airport', 'Birlagram Airport', 23.4468994140625, 75.42030334472656, 1541, 'IN', 'IN-MP', '', 'no', 'VA1C', '', 'VA1C', ''),
	('VAGN', 'small_airport', 'Guna Airport', 24.654699, 77.347298, 1600, 'IN', 'IN-MP', '', 'no', 'VAGN', 'GUX', '', ''),
	('VAJH', 'N/A', 'N/A', 24.584709405899048, 76.22057721018791, 319, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAAM', 'N/A', 'N/A', 43.599705174565315, 79.42791178822517, 683, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAZR', 'N/A', 'N/A', 43.718417063355446, 79.47603687644005, 576, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZWYN', 'small_airport', 'Yining Airport', 43.955799, 81.330299, 0, 'CN', 'CN-65', 'Ili (Yining / Ghulja)', 'yes', 'ZWYN', 'YIN', '', 'Ghulja, Ili'),
	('ZWAX', 'medium_airport', 'Bole Alashankou Airport', 44.895461, 82.30007, 1253, 'CN', 'CN-65', 'Bole', 'yes', 'ZWBL', 'BPL', '', ''),
	('ZWAK', 'medium_airport', 'Aksu Hongqipo Airport', 41.262501, 80.291702, 3816, 'CN', 'CN-65', 'Aksu (Onsu)', 'yes', 'ZWAK', 'AKU', '', 'Ak-su, Akshu, Aqsu, Bharuka, Po-lu-chia, Aksu Wensu Air Base, Onsu'),
	('ZQIL', 'N/A', 'N/A', 40.67729227244854, 79.89498719573021, 1049, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZWTN', 'medium_airport', 'Hotan Airport', 37.03850173950195, 79.86489868164063, 4672, 'CN', 'CN-65', 'Hotan', 'yes', 'ZWTN', 'HTN', '', 'Khotan, Heitan Air Base'),
	('VI66', 'small_airport', 'Fukche Advanced Landing Ground', 32.937401, 79.213203, 13700, 'IN', 'IN-LA', 'Koyul', 'no', 'VI66', '', 'VI66', ''),
	('ZUAL', 'medium_airport', 'Ngari Gunsa Airport', 32.1, 80.053056, 14022, 'CN', 'CN-54', 'Shiquanhe', 'yes', 'ZUAL', 'NGQ', '', 'Ali Airport'),
	('VIDF', 'small_airport', 'Pithoragarh Airport', 29.593599, 80.239197, 4910, 'IN', 'IN-UT', 'Pithoragarh', 'no', 'VIDF', '', '', ''),
	('VNSR', 'small_airport', 'Sanfebagar Airport', 29.236629, 81.215317, 2280, 'NP', 'NP-P7', 'Sanfebagar', 'no', 'VNSR', 'FEB', '', ''),
	('VABR', 'N/A', 'N/A', 28.33774410188198, 79.46068793535233, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VNBT', 'small_airport', 'Baitadi Airport', 29.463421, 80.548968, 4200, 'NP', 'NP-P7', 'Baitadi', 'no', 'VNBT', 'BIT', '', ''),
	('VNDH', 'small_airport', 'Dhangarhi Airport', 28.755283, 80.583398, 690, 'NP', 'NP-P7', 'Dhangarhi', 'no', 'VNDH', 'DHI', '', ''),
	('VNMN', 'small_airport', 'Mahendranagar Airport', 28.9632, 80.147903, 650, 'NP', 'NP-P7', 'Mahendranagar', 'no', 'VNMN', 'XMG', '', ''),
	('VIPT', 'medium_airport', 'Pantnagar Airport', 29.0334, 79.473701, 769, 'IN', 'IN-UP', 'Pantnagar', 'yes', 'VIPT', 'PGH', '', 'Panthnagar'),
	('VNJU', 'N/A', 'N/A', 29.521178640425205, 82.14667350053787, 2722, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAPA', 'N/A', 'N/A', 28.468708992004395, 80.57337194681168, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VNJL', 'small_airport', 'Jumla Airport', 29.2742, 82.193298, 7700, 'NP', 'NP-P6', 'Jumla', 'yes', 'VNJL', 'JUM', '', ''),
	('VARD', 'N/A', 'N/A', 30.284670777618885, 79.16153624653816, 814, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VNST', 'small_airport', 'Simikot Airport', 29.9711, 81.818901, 9246, 'NP', 'NP-P6', 'Simikot', 'yes', 'VNST', 'IMK', '', ''),
	('VNSA', 'N/A', 'N/A', 28.636321239173412, 82.45007291436195, 1558, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VNCJ', 'N/A', 'N/A', 28.627342879772186, 82.19422683119774, 751, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VNBR', 'small_airport', 'Bajura Airport', 29.502001, 81.668999, 4300, 'NP', 'NP-P7', 'Bajura', 'no', 'VNBR', 'BJU', '', ''),
	('VNAC', 'N/A', 'N/A', 29.053064435720444, 81.34265407919884, 1944, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VARP', 'medium_airport', 'Swami Vivekananda Airport', 21.180401, 81.7388, 1041, 'IN', 'IN-CT', 'Raipur', 'yes', 'VERP', 'RPR', '', 'VARP, Mana Airport, Raipur Airport'),
	('VNBG', 'small_airport', 'Bajhang Airport', 29.539, 81.185402, 4100, 'NP', 'NP-P7', 'Bajhang', 'no', 'VNBG', 'BJH', '', ''),
	('VNSK', 'small_airport', 'Surkhet Airport', 28.586, 81.636002, 2400, 'NP', 'NP-P6', 'Surkhet', 'yes', 'VNSK', 'SKH', '', ''),
	('VIBY', 'medium_airport', 'Bareilly Air Force Station', 28.4221, 79.450798, 580, 'IN', 'IN-UP', 'Bareilly', 'yes', 'VIBY', 'BEK', '', 'Trishul Air Base'),
	('VNDL', 'small_airport', 'Darchula Airport', 29.668571, 80.548199, 2132, 'NP', 'NP-P7', 'Darchula', 'no', 'VNDL', 'DAP', '', ''),
	('VNDT', 'small_airport', 'Silgadi Doti Airport', 29.262226, 80.935968, 2100, 'NP', 'NP-P7', 'Silgadi Doti', 'yes', 'VNDT', 'SIH', '', ''),
	('VAAL', 'N/A', 'N/A', 25.324241369962692, 81.84188514947891, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VIKA', 'small_airport', 'Kanpur Civil Airport (Old)', 26.440857, 80.365029, 411, 'IN', 'IN-UP', 'Kanpur', 'no', 'VIKA', '', '', 'KNU'),
	('VIRB', 'small_airport', 'Fursatganj Airport', 26.248501, 81.380501, 360, 'IN', 'IN-UP', 'Tarauna', 'no', 'VERB', '', '', ''),
	('VNDG', 'small_airport', 'Tulsipur Airport', 28.111099, 82.294197, 2100, 'NP', 'NP-P5', 'Dang', 'no', 'VNDG', 'DNP', '', ''),
	('VAET', 'N/A', 'N/A', 26.92091714590788, 79.06207904219627, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VILK', 'medium_airport', 'Chaudhary Charan Singh International Airport', 26.7605991364, 80.8892974854, 410, 'IN', 'IN-UP', 'Lucknow', 'yes', 'VILK', 'LKO', '', 'Amausi International Airport'),
	('Z13T', 'N/A', 'N/A', 25.54545186460018, 81.88234806060791, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAST', 'N/A', 'N/A', 26.247621327638626, 82.0425783097744, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VIBL', 'small_airport', 'Bakshi Ka Talab Air Force Station', 26.9883, 80.893097, 385, 'IN', 'IN-UP', 'Lucknow', 'no', 'VIBL', '', '', ''),
	('VNNG', 'medium_airport', 'Nepalgunj Airport', 28.1036, 81.667, 540, 'NP', 'NP-P5', 'Nepalgunj', 'yes', 'VNNG', 'KEP', '', ''),
	('VAFA', 'N/A', 'N/A', 26.752043925225735, 82.15351179242134, 101, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAKT', 'N/A', 'N/A', 27.5004905462265, 82.03173458576202, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VI75', 'small_airport', 'IIT Kanpur Airport', 26.520399, 80.232904, 400, 'IN', 'IN-UP', 'Kanpur', 'no', '', '', '', 'Kalyanpur Airport, VI75'),
	('VECX', 'N/A', 'N/A', 26.404396444559097, 80.41737958788872, 127, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VABE', 'N/A', 'N/A', 25.855027064681053, 82.02481716871262, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEAB', 'medium_airport', 'Prayagraj Airport', 25.4401, 81.733902, 322, 'IN', 'IN-UP', 'Allahabad', 'yes', 'VEAB', 'IXD', 'VEAB', 'VIAL, Allahabad Bamrauli Airport, Bamrauli Air Force Station'),
	('VAMH', 'N/A', 'N/A', 27.3161718249321, 79.45175036787987, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAJB', 'medium_airport', 'Jabalpur Airport', 23.177799, 80.052002, 1624, 'IN', 'IN-MP', 'Jabalpur', 'yes', 'VAJB', 'JLR', '', ''),
	('VA1J', 'small_airport', 'Dhana Airport', 23.753599166870117, 78.85579681396484, 1706, 'IN', 'IN-MP', '', 'no', 'VA1J', '', 'VA1J', ''),
	('VIST', 'small_airport', 'Satna Airport', 24.56262, 80.852927, 1060, 'IN', 'IN-MP', '', 'yes', 'VEST', 'TNI', '', 'VIST'),
	('VAUM', 'N/A', 'N/A', 23.533688820898533, 80.80719083547592, 465, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VA1F', 'small_airport', 'Sidhi Airport', 24.402299880981445, 81.8147964477539, 1093, 'IN', 'IN-MP', '', 'no', 'VA1F', '', 'VA1F', ''),
	('VA1O', 'small_airport', 'Burhar Airport', 23.235200881958008, 81.50370025634766, 1500, 'IN', 'IN-MP', '', 'no', 'VA1O', '', 'VA1O', ''),
	('VI00', 'small_airport', 'Saifai Airport', 26.9202, 79.06277, 0, 'IN', 'IN-UP', 'Barauli Khurd', 'no', 'VI00', '', '', ''),
	('VA1G', 'medium_airport', 'Rewa Airport, Chorhata, REWA', 24.503401, 81.220299, 1000, 'IN', 'IN-MP', 'Rewa', 'yes', 'VA1G', 'REW', 'VA1G', ''),
	('VEKO', 'N/A', 'N/A', 24.819830507040024, 79.91857498884201, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZWNL', 'medium_airport', 'Xinyuan Nalati Airport', 43.4318, 83.3786, 3050, 'CN', 'CN-65', 'Xinyuan', 'yes', 'ZWNL', 'NLT', '', ''),
	('ZSHI', 'N/A', 'N/A', 44.33320585638285, 86.11658826470375, 462, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZWKC', 'small_airport', 'Kuqa Qiuci Airport', 41.677856, 82.872917, 3524, 'CN', 'CN-65', 'Kuqa', 'yes', 'ZWKC', 'KCA', '', 'Kucha'),
	('ZWKL', 'medium_airport', 'Korla Licheng Airport', 41.614979, 86.140817, 3041, 'CN', 'CN-65', 'Korla', 'yes', 'ZWKL', 'KRL', '', ''),
	('ZWCM', 'medium_airport', 'Qiemo Yudu Airport', 38.234516, 85.465462, 0, 'CN', 'CN-65', 'Qiemo', 'yes', 'ZWCM', 'IQM', '', 'Cherchen, Qarqan'),
	('VNLT', 'small_airport', 'Langtang Airport', 28.200000762939453, 85.58300018310547, 12000, 'NP', 'NP-P3', 'Langtang', 'no', 'VNLT', 'LTG', '', ''),
	('VNBL', 'small_airport', 'Baglung Airport', 28.212799, 83.666298, 3320, 'NP', 'NP-P4', 'Baglung', 'no', 'VNBL', 'BGL', '', ''),
	('VNDR', 'small_airport', 'Dhorpatan Airport', 28.492115, 83.050644, 8950, 'NP', 'NP-P4', 'Dhorpatan', 'no', 'VNDR', '', '', ''),
	('VNRP', 'small_airport', 'Rolpa Airport', 28.267292, 82.756496, 4100, 'NP', 'NP-P5', 'Rolpa', 'no', 'VNRP', 'RPA', '', ''),
	('VNPK', 'medium_airport', 'Pokhara Airport', 28.200621, 83.981203, 2712, 'NP', 'NP-P4', 'Pokhara', 'yes', 'VNPK', '', '', 'PKR'),
	('VNMA', 'small_airport', 'Manang Airport', 28.641399, 84.089203, 11001, 'NP', 'NP-P4', 'Ngawal', 'no', 'VNMA', 'NGX', '', ''),
	('VNJS', 'small_airport', 'Jomsom Airport', 28.780426, 83.723, 8976, 'NP', 'NP-P4', 'Jomsom', 'yes', 'VNJS', 'JMO', '', 'Jomosom'),
	('VNDP', 'small_airport', 'Dolpa Airport', 28.985659, 82.818703, 8200, 'NP', 'NP-P6', 'Dolpa', 'yes', 'VNDP', 'DOP', '', ''),
	('VI90', 'small_airport', 'Akbarpur Mahamaya Rajkiya Airport', 26.447599, 82.568199, 288, 'IN', 'IN-UP', 'Akbarpur', 'no', 'VI90', '', 'VI90', ''),
	('VNKT', 'large_airport', 'Tribhuvan International Airport', 27.6966, 85.3591, 4390, 'NP', 'NP-P3', 'Kathmandu', 'yes', 'VNKT', 'KTM', '', 'gaucharan'),
	('VAMR', 'N/A', 'N/A', 26.15588106215, 83.11632424592972, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEBN', 'N/A', 'N/A', 25.451211109757423, 82.85860553383827, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEPT', 'medium_airport', 'Jay Prakash Narayan Airport', 25.591299, 85.087997, 170, 'IN', 'IN-BR', 'Patna', 'yes', 'VEPT', 'PAT', '', 'Lok Nayah Jayprakash'),
	('VEDH', 'medium_airport', 'Darbhanga Airport', 26.192801, 85.916901, 156, 'IN', 'IN-BR', 'Darbhanga', 'yes', 'VEDH', 'DBR', 'VEDH', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VAMD', 'N/A', 'N/A', 26.329150423407555, 86.06033831834793, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VNSI', 'small_airport', 'Simara Airport', 27.159803, 84.980021, 450, 'NP', 'NP-P2', 'Simara', 'yes', 'VNSI', 'SIF', '', ''),
	('VERL', 'small_airport', 'Raxaul Airport', 26.9667, 84.833298, 259, 'IN', 'IN-BR', '', 'no', 'VERL', '', '', ''),
	('VNRC', 'small_airport', 'Ramechhap Airport', 27.393999, 86.061401, 1555, 'NP', 'NP-P3', 'Ramechhap', 'no', 'VNRC', 'RHP', '', ''),
	('VNMG', 'small_airport', 'Meghauli Airport', 27.5774, 84.22875, 600, 'NP', 'NP-P3', 'Meghauli', 'no', 'VNMG', 'MEY', '', ''),
	('VEBT', 'N/A', 'N/A', 25.59089418500662, 84.88485261797905, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAGH', 'N/A', 'N/A', 25.614874809980392, 83.55857580900192, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VNBW', 'medium_airport', 'Gautam Buddha International Airport', 27.505328, 83.412594, 358, 'NP', 'NP-P5', 'Siddharthanagar (Bhairahawa)', 'yes', 'VNBW', 'BWA', '', 'Bhairahawa Airport'),
	('VANC', 'N/A', 'N/A', 27.416889779269695, 83.88795286417007, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VARL', 'N/A', 'N/A', 26.772113889455795, 83.9022347331047, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEGK', 'medium_airport', 'Gorakhpur Airport', 26.739700317399997, 83.4496994019, 259, 'IN', 'IN-UP', 'Gorakhpur', 'yes', 'VEGK', 'GOP', '', 'Gorakhpur Air Force Station'),
	('VE1J', 'N/A', 'N/A', 25.78261647373438, 84.76347371935844, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VNJI', 'small_airport', 'Jiri Airport', 27.626313, 86.230581, 6000, 'NP', 'NP-P3', 'Jiri', 'no', 'VNJI', 'JIR', '', ''),
	('VNGK', 'small_airport', 'Palungtar Airport', 28.0385, 84.4664, 1500, 'NP', 'NP-P4', 'Gorkha', 'no', 'VNGK', 'GKH', '', 'Gorkha Airport'),
	('VNBP', 'small_airport', 'Bharatpur Airport', 27.678101, 84.429398, 600, 'NP', 'NP-P3', 'Bharatpur', 'yes', 'VNBP', 'BHR', '', ''),
	('VEMZ', 'medium_airport', 'Muzaffarpur Airport', 26.119101, 85.313698, 174, 'IN', 'IN-BR', 'Muzaffarpur', 'no', 'VEMZ', 'MZU', '', ''),
	('VNJP', 'medium_airport', 'Janakpur Airport', 26.708799, 85.922401, 256, 'NP', 'NP-P2', 'Janakpur', 'yes', 'VNJP', 'JKR', '', ''),
	('VARN', 'N/A', 'N/A', 25.253729782998562, 82.99087777733803, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEJS', 'medium_airport', 'Sonari Airport', 22.813786, 86.169739, 475, 'IN', 'IN-JH', 'Jamshedpur', 'no', 'VEJS', 'IXW', '', ''),
	('VADH', 'N/A', 'N/A', 24.925417341291904, 84.12959262728691, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VERC', 'medium_airport', 'Birsa Munda Airport', 23.314300537100003, 85.3217010498, 2148, 'IN', 'IN-JH', 'Ranchi', 'yes', 'VERC', 'IXR', '', ''),
	('VAKJ', 'medium_airport', 'Khajuraho Airport', 24.8172, 79.918602, 728, 'IN', 'IN-MP', 'Khajuraho', 'yes', 'VEKO', 'HJR', '', 'VAKJ'),
	('VE54', 'small_airport', 'Daltonganj Airport', 24.01930046081543, 84.09510040283203, 803, 'IN', 'IN-BR', '', 'no', 'VE54', '', 'VE54', ''),
	('VAAI', 'N/A', 'N/A', 22.99278013408184, 83.19380030035973, 585, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEBK', 'small_airport', 'Bokaro Airport', 23.643499, 86.148903, 715, 'IN', 'IN-BR', '', 'no', 'VEBK', '', '', ''),
	('VATE', 'N/A', 'N/A', 24.881692975759506, 84.8918205499649, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VABD', 'N/A', 'N/A', 24.609105437994003, 84.90474075078964, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEGY', 'medium_airport', 'Gaya Airport', 24.744301, 84.951202, 380, 'IN', 'IN-BR', 'Gaya', 'yes', 'VEGY', 'GAY', '', ''),
	('VA1D', 'small_airport', 'Muirpur Airport', 24.125200271606445, 83.04060363769531, 1122, 'IN', 'IN-UP', '', 'no', 'VA1D', '', 'VA1D', ''),
	('ZHUO', 'N/A', 'N/A', 43.67235213518143, 87.32344642281532, 1300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYUS', 'N/A', 'N/A', 43.95123515278101, 87.07928001880646, 739, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZWWW', 'large_airport', 'Ürümqi Diwopu International Airport', 43.907100677490234, 87.47419738769531, 2125, 'CN', 'CN-65', 'Ürümqi', 'yes', 'ZWWW', 'URC', '', ''),
	('ZYAG', 'N/A', 'N/A', 43.46656937152147, 87.53121614456177, 1542, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZWTP', 'N/A', 'N/A', 43.030747286975384, 89.09875810146332, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZTEE', 'N/A', 'N/A', 42.18073546886444, 87.18647539615631, 1100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZTIE', 'N/A', 'N/A', 40.6945700570941, 89.07502770423889, 851, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZCAR', 'N/A', 'N/A', 29.35207474976778, 89.31048274040222, 3800, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEBD', 'medium_airport', 'Bagdogra Airport', 26.68120002746582, 88.32859802246094, 412, 'IN', 'IN-WB', 'Siliguri', 'yes', 'VEBD', 'IXB', '', 'Bagdogra Air Force Station'),
	('VNRB', 'small_airport', 'Rajbiraj Airport', 26.510066, 86.733902, 250, 'NP', 'NP-P2', 'Rajbiraj', 'no', 'VNRB', 'RJB', '', ''),
	('VNVT', 'medium_airport', 'Biratnagar Airport', 26.48150062561035, 87.26399993896484, 236, 'NP', 'NP-P1', 'Biratnagar', 'yes', 'VNVT', 'BIR', '', ''),
	('VNLK', 'small_airport', 'Lukla Airport', 27.686768, 86.729479, 9380, 'NP', 'NP-P1', 'Lukla', 'yes', 'VNLK', 'LUA', '', 'Mount Everest, Tenzing Norgay, Sir Edmund Hillary'),
	('VERU', 'small_airport', 'Rupsi Airport', 26.141867, 89.907892, 131, 'IN', 'IN-AS', 'Rupsi', 'no', 'VERU', 'RUP', '', ''),
	('VAMG', 'N/A', 'N/A', 25.34629549831152, 86.48334547877312, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VECO', 'small_airport', 'Cooch Behar Airport', 26.3305, 89.467201, 138, 'IN', 'IN-WB', 'Cooch Behar', 'no', 'VECO', 'COH', '', ''),
	('VGSG', 'small_airport', 'Thakurgaon Airport', 26.016399, 88.403603, 176, 'BD', 'BD-5', 'Thakurgaon', 'no', 'VGSG', 'TKR', '', ''),
	('VNIL', 'N/A', 'N/A', 26.877492181956768, 87.9057052731514, 822, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VABC', 'N/A', 'N/A', 26.509201750159264, 87.01892718672752, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VGSD', 'medium_airport', 'Saidpur Airport', 25.759199142456055, 88.90889739990234, 125, 'BD', 'BD-5', 'Saidpur', 'yes', 'VGSD', 'SPD', '', ''),
	('VNPL', 'small_airport', 'Phaplu Airport', 27.517752, 86.585019, 7918, 'NP', 'NP-P1', 'Phaplu', 'no', 'VNPL', 'PPL', '', ''),
	('VNTJ', 'medium_airport', 'Taplejung Airport', 27.3509, 87.69525, 7990, 'NP', 'NP-P1', 'Taplejung', 'yes', 'VNTJ', 'TPJ', '', 'Suketar Airport'),
	('VNTR', 'small_airport', 'Tumling Tar Airport', 27.315001, 87.193298, 1700, 'NP', 'NP-P1', 'Tumling Tar', 'yes', 'VNTR', 'TMI', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VNBJ', 'small_airport', 'Bhojpur Airport', 27.1474, 87.050797, 4000, 'NP', 'NP-P1', 'Bhojpur', 'no', 'VNBJ', 'BHP', '', ''),
	('VNTH', 'small_airport', 'Thamkharka Airport', 27.04787, 86.858022, 5240, 'NP', 'NP-P1', 'Khotang Bazar', 'no', 'VNTH', '', '', ''),
	('VASR', 'N/A', 'N/A', 25.892193764448166, 86.58297032117844, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAKG', 'N/A', 'N/A', 26.075825840234756, 87.93976798653603, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VNSB', 'small_airport', 'Syangboche Airport', 27.8112, 86.7124, 12400, 'NP', 'NP-P1', 'Namche Bazaar', 'no', 'VNSB', 'SYH', '', 'Syanboche'),
	('VNKD', 'N/A', 'N/A', 27.180833257734776, 86.76972225308418, 1352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEPU', 'small_airport', 'Purnea Airport', 25.759599685668945, 87.41000366210938, 129, 'IN', 'IN-BR', '', 'no', 'VEPU', '', '', ''),
	('VASG', 'N/A', 'N/A', 26.774587891995907, 88.45192819833755, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VNKL', 'small_airport', 'Kangel Danda Airport', 27.4106333137, 86.6465950012, 0, 'NP', 'NP-P1', '', 'no', 'VNKL', '', '', ''),
	('VNLD', 'small_airport', 'Lamidanda Airport', 27.253099, 86.669998, 4100, 'NP', 'NP-P1', 'Lamidanda', 'no', 'VNLD', 'LDN', '', ''),
	('VQPR', 'medium_airport', 'Paro International Airport', 27.4032, 89.424599, 7364, 'BT', 'BT-11', 'Paro', 'yes', 'VQPR', 'PBH', '', 'སྤ་རོ་གནམ་ཐང༌།, paro gnam thang'),
	('VNRT', 'small_airport', 'Rumjatar Airport', 27.303499, 86.5504, 4500, 'NP', 'NP-P1', 'Rumjatar', 'yes', 'VNRT', 'RUM', '', ''),
	('VE44', 'medium_airport', 'Hashimara Air Force Station', 26.698299, 89.369102, 340, 'IN', 'IN-WB', 'Jalpaiguri', 'no', 'VEHX', '', 'VE44', ''),
	('VGLM', 'small_airport', 'Lalmonirhat Airport', 25.887624, 89.431254, 106, 'BD', 'BD-5', 'Lalmonirhat', 'no', 'VGLM', '', '', ''),
	('VNCG', 'small_airport', 'Bhadrapur Airport', 26.5708007812, 88.07959747310001, 300, 'NP', 'NP-P1', 'Bhadrapur', 'yes', 'VNCG', 'BDP', '', 'Chandragadhi Airport'),
	('VEPH', 'medium_airport', 'Panagarh Air Force Station', 23.474300384499998, 87.4274978638, 240, 'IN', 'IN-WB', '', 'no', 'VEPH', '', '', ''),
	('VAJA', 'N/A', 'N/A', 24.44687034934759, 86.70725584030151, 244, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VE41', 'small_airport', 'Giridih Airport', 24.201900482177734, 86.28980255126953, 1000, 'IN', 'IN-BR', '', 'no', 'VE41', '', 'VE41', ''),
	('VADR', 'N/A', 'N/A', 23.583261407911777, 87.33982801437378, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEBG', 'small_airport', 'Balurghat Airport', 25.2617, 88.795601, 78, 'IN', 'IN-WB', 'Balurghat', 'no', 'VEBG', 'RGH', '', ''),
	('VEBA', 'small_airport', 'Behala Airport', 22.50423, 88.293427, 10, 'IN', 'IN-WB', 'Behala', 'no', 'VEBA', '', '', 'Parnasree'),
	('VEMH', 'small_airport', 'Malda Airport', 25.01018, 88.126917, 79, 'IN', 'IN-WB', 'Malda', 'no', 'VEMH', 'LDA', '', 'English Bazar'),
	('VGRJ', 'medium_airport', 'Shah Mokhdum Airport', 24.43720054626465, 88.61650085449219, 64, 'BD', 'BD-5', 'Rajshahi', 'yes', 'VGRJ', 'RJH', '', ''),
	('VE31', 'small_airport', 'Barrackpore Air Force Station', 22.7810001373, 88.3591995239, 18, 'IN', 'IN-WB', 'Barrackpore', 'no', 'VEPI', '', 'VE31', ''),
	('VECC', 'large_airport', 'Netaji Subhash Chandra Bose International Airport', 22.654699, 88.446701, 16, 'IN', 'IN-WB', 'Kolkata', 'yes', 'VECC', 'CCU', '', 'Calcutta, Kolkatta, Dum Dum Air Force Station'),
	('VADM', 'N/A', 'N/A', 24.231178164482117, 87.26998284459114, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z12Q', 'N/A', 'N/A', 25.24954989552498, 87.01227352023125, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEDG', 'medium_airport', 'Kazi Nazrul Islam Airport', 23.6225, 87.243, 300, 'IN', 'IN-WB', 'Durgapur', 'yes', 'VEDG', 'RDP', '', 'Andal Airport, Durgapur Airport'),
	('VGIS', 'medium_airport', 'Ishurdi Airport', 24.1525, 89.0494, 45, 'BD', 'BD-5', 'Ishurdi', 'no', 'VGIS', 'IRD', '', ''),
	('VGBG', 'small_airport', 'Bogra Airport', 24.8668, 89.3165, 69, 'BD', 'BD-5', 'Bogra', 'no', 'VGBG', '', '', ''),
	('VE23', 'small_airport', 'Burnpur Airport', 23.631500244140625, 86.97550201416016, 310, 'IN', 'IN-WB', '', 'no', 'VE23', '', 'VE23', ''),
	('VGJR', 'medium_airport', 'Jessore Airport', 23.1838, 89.160797, 20, 'BD', 'BD-4', 'Jashore (Jessore)', 'yes', 'VGJR', 'JSR', '', ''),
	('VEDB', 'medium_airport', 'Dhanbad Airport', 23.834, 86.425301, 847, 'IN', 'IN-BR', '', 'no', 'VEDB', 'DBD', '', ''),
	('VAAG', 'N/A', 'N/A', 22.78390310704708, 87.3634859919548, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VGPH', 'N/A', 'N/A', 22.649276666343212, 89.64543789625168, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VARM', 'N/A', 'N/A', 24.187409207224846, 87.69722700119019, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAKM', 'N/A', 'N/A', 22.246230505406857, 69.66059401631355, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAKS', 'medium_airport', 'Keshod Airport', 21.317101, 70.270401, 167, 'IN', 'IN-GJ', 'Keshod', 'yes', 'VAKS', 'IXK', '', ''),
	('VADU', 'small_airport', 'Diu Airport', 20.714185, 70.921855, 31, 'IN', 'IN-DH', 'Diu', 'yes', 'VADU', 'DIU', 'VADU', 'VA1P'),
	('VAPR', 'medium_airport', 'Porbandar Airport', 21.649524, 69.656405, 23, 'IN', 'IN-GJ', 'Porbandar', 'yes', 'VAPR', 'PBD', '', ''),
	('VAAM', 'N/A', 'N/A', 21.62199430167675, 71.22691825032234, 130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VARK', 'medium_airport', 'Rajkot Airport', 22.3092002869, 70.77950286869999, 441, 'IN', 'IN-GJ', 'Rajkot', 'yes', 'VARK', 'RAJ', '', ''),
	('VAJM', 'medium_airport', 'Jamnagar Airport', 22.465499877929688, 70.01260375976563, 69, 'IN', 'IN-GJ', 'Jamnagar', 'yes', 'VAJM', 'JGA', '', 'Jamnagar Air Force Station'),
	('VABO', 'medium_airport', 'Vadodara Airport', 22.336201, 73.226303, 129, 'IN', 'IN-GJ', 'Vadodara', 'yes', 'VABO', 'BDQ', '', 'Civil Airport Harni'),
	('VADN', 'medium_airport', 'Daman Airport', 20.434401, 72.843201, 33, 'IN', 'IN-DH', 'Daman', 'no', 'VADN', 'NMB', '', ''),
	('VABV', 'medium_airport', 'Bhavnagar Airport', 21.752199173, 72.1852035522, 44, 'IN', 'IN-GJ', 'Bhavnagar', 'yes', 'VABV', 'BHU', '', ''),
	('VAOZ', 'medium_airport', 'Nashik Airport', 20.119101, 73.912903, 1900, 'IN', 'IN-MM', 'Nasik', 'yes', 'VAOZ', 'ISK', '', 'VA35'),
	('VANR', 'closed', 'Gandhinagar Airport', 19.963699, 73.807602, 1959, 'IN', 'IN-MM', 'Nashik', 'no', '', '', '', 'ISK, Nasik Road Airport, VANR'),
	('VADE', 'N/A', 'N/A', 19.8840744048357, 73.84062722325325, 562, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VASH', 'N/A', 'N/A', 21.324060559272766, 74.95734304189682, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VASU', 'medium_airport', 'Surat Airport', 21.1141, 72.741798, 16, 'IN', 'IN-GJ', 'Surat', 'yes', 'VASU', 'STV', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VASD', 'medium_airport', 'Shirdi Airport', 19.688752, 74.377354, 1926, 'IN', 'IN-MM', 'Kakadi', 'yes', 'VASD', 'SAG', '', 'Ahmednagar, Saibaba'),
	('VA53', 'small_airport', 'Dhulia Airport', 20.9265, 74.737099, 920, 'IN', 'IN-MM', '', 'no', '', '', 'VA53', ''),
	('VABA', 'N/A', 'N/A', 18.228980116546154, 74.58382532000542, 601, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VABB', 'large_airport', 'Chhatrapati Shivaji International Airport', 19.0886993408, 72.8678970337, 39, 'IN', 'IN-MM', 'Mumbai', 'yes', 'VABB', 'BOM', '', 'Bombay, Sahar International Airport'),
	('VARG', 'medium_airport', 'Ratnagiri Airport', 17.013599, 73.327797, 305, 'IN', 'IN-MM', '', 'no', 'VARG', 'RTC', '', ''),
	('VALO', 'N/A', 'N/A', 18.607862927019596, 73.37911784648895, 684, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VA1M', 'small_airport', 'Karad Airport', 17.285900115966797, 74.15809631347656, 1890, 'IN', 'IN-MM', '', 'no', 'VA1M', '', 'VA1M', ''),
	('VAPO', 'medium_airport', 'Pune Airport / Lohagaon Air Force Station', 18.5821, 73.919701, 1942, 'IN', 'IN-MM', 'Pune', 'yes', 'VAPO', 'PNQ', '', 'Lohegaon Airport, Lohegaon Air Force Station'),
	('VAKR', 'N/A', 'N/A', 18.473064489662647, 73.77979964017868, 573, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAPN', 'N/A', 'N/A', 18.492531962692738, 73.94134104251862, 572, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAJJ', 'small_airport', 'Juhu Aerodrome', 19.098100662231445, 72.83419799804688, 13, 'IN', 'IN-MM', 'Mumbai', 'no', 'VAJJ', '', '', 'Bombay'),
	('VOGO', 'N/A', 'N/A', 15.380838923156261, 73.82706686854362, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VOBM', 'N/A', 'N/A', 15.858402885496616, 74.61769178509712, 750, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAKP', 'medium_airport', 'Kolhapur Airport', 16.6647, 74.289398, 1996, 'IN', 'IN-MM', 'Kolhapur', 'yes', 'VAKP', 'KLH', '', ''),
	('VOML', 'medium_airport', 'Mangalore International Airport', 12.9612998962, 74.8900985718, 337, 'IN', 'IN-KA', 'Mangalore', 'yes', 'VOML', 'IXE', '', 'Bajpe Airport'),
	('VRMH', 'medium_airport', 'Hanimaadhoo Airport', 6.744229793548584, 73.17050170898438, 4, 'MV', 'MV-23', 'Haa Dhaalu Atoll', 'yes', 'VRMH', 'HAQ', '', ''),
	('VRMM', 'large_airport', 'Malé International Airport', 4.191830158233643, 73.52909851074219, 6, 'MV', 'MV-MLE', 'Malé', 'yes', 'VRMM', 'MLE', '', ''),
	('VRNT', 'small_airport', 'Thimarafushi Airport', 2.211, 73.1533, 6, 'MV', 'MV-08', 'Thimarafushi', 'yes', 'VRNT', 'TMF', '', ''),
	('VRMK', 'medium_airport', 'Kadhdhoo Airport', 1.8591699600219727, 73.52189636230469, 4, 'MV', 'MV-05', 'Kadhdhoo', 'yes', 'VRMK', 'KDO', '', ''),
	('VAKD', 'N/A', 'N/A', 21.856944411993027, 76.33305564522743, 329, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VA1L', 'small_airport', 'Amla Airport', 21.926399, 78.113602, 2435, 'IN', 'IN-MP', 'Amla', 'no', 'VA1L', '', 'VA1L', ''),
	('VAJL', 'N/A', 'N/A', 20.961389020085335, 75.62472224235535, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAAR', 'N/A', 'N/A', 20.813347846269608, 77.71800845861435, 339, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAAU', 'medium_airport', 'Aurangabad Airport', 19.862699508666992, 75.39810180664063, 1911, 'IN', 'IN-MM', 'Aurangabad', 'yes', 'VAAU', 'IXU', '', 'Chikkalthana Airport'),
	('VAKH', 'N/A', 'N/A', 21.80999033153057, 75.55466026067734, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAAK', 'medium_airport', 'Akola Airport', 20.698931, 77.056883, 999, 'IN', 'IN-MM', 'Akola', 'no', 'VAAK', 'AKD', '', 'Shioni Airport'),
	('VODG', 'medium_airport', 'Dundigul Air Force Academy', 17.627199173, 78.4033966064, 2013, 'IN', 'IN-TG', 'Hyderabad', 'no', 'VODG', '', '', ''),
	('VOBR', 'medium_airport', 'Bidar Airport / Bidar Air Force Station', 17.9081, 77.487099, 2178, 'IN', 'IN-KA', 'Bidar', 'no', 'VOBR', 'IXX', '', ''),
	('VO55', 'medium_airport', 'Murod Kond Airport', 18.411501, 76.464699, 2136, 'IN', 'IN-MM', 'Latur', 'yes', 'VALT', 'LTU', '', ''),
	('OMN', 'small_airport', 'Osmanabad Airport', 18.281, 76.0574, 2277, 'IN', 'IN-MM', 'Osmanabad', 'no', '', 'OMN', '', ''),
	('VOHY', 'medium_airport', 'Begumpet Airport', 17.4531, 78.467598, 1742, 'IN', 'IN-TG', 'Hyderabad', 'no', 'VOHY', 'BPM', '', 'Begumpet Air Force Station, HYD, Hyderabad Airport'),
	('VASL', 'medium_airport', 'Solapur Airport', 17.6280002594, 75.93479919430001, 1584, 'IN', 'IN-MM', 'Solapur', 'no', 'VASL', 'SSE', '', 'Sholapur'),
	('VOHS', 'large_airport', 'Rajiv Gandhi International Airport', 17.231318, 78.429855, 2024, 'IN', 'IN-TG', 'Hyderabad', 'yes', 'VOHS', 'HYD', '', 'Shamshabad, Hyderabad'),
	('VOND', 'medium_airport', 'Nanded Airport', 19.1833, 77.316704, 1250, 'IN', 'IN-MM', 'Nanded', 'yes', 'VOND', 'NDC', 'VOND', ''),
	('VOHK', 'small_airport', 'Hakimpet Airport', 17.553499, 78.524902, 2020, 'IN', 'IN-TG', 'Secunderabad', 'no', 'VOHK', '', '', 'Hakimpeth Air Force Station, Hakimpet Air Force Station, VO28'),
	('VAGU', 'N/A', 'N/A', 17.307917587459087, 76.96159601211548, 467, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VALA', 'N/A', 'N/A', 17.30615470558405, 78.56109514832497, 549, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAAD', 'N/A', 'N/A', 19.665442183613777, 78.54945302009583, 258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VOKP', 'small_airport', 'Baldota Koppal Aerodrome', 15.359481, 76.219411, 1700, 'IN', 'IN-KA', 'Basapur', 'no', 'VOKP', '', '', ''),
	('VO17', 'N/A', 'N/A', 15.161767154932022, 76.88153207302094, 470, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VO52', 'small_airport', 'Harihar Airport', 14.534533, 75.786879, 1750, 'IN', 'IN-KA', 'Harihar', 'no', 'VO52', '', 'VO52', ''),
	('VOPN', 'medium_airport', 'Sri Sathya Sai Airport', 14.1492996216, 77.7910995483, 1558, 'IN', 'IN-AP', 'Puttaparthi', 'no', 'VOPN', 'PUT', '', ''),
	('VOHB', 'N/A', 'N/A', 15.361838825047016, 75.08436664938927, 663, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VASA', 'N/A', 'N/A', 15.175049118697643, 76.63401737809181, 508, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VOYK', 'small_airport', 'Yelahanka Air Force Station', 13.135499954223633, 77.60600280761719, 3045, 'IN', 'IN-KA', 'Yelahanka', 'no', 'VOYK', '', '', ''),
	('VO95', 'small_airport', 'Hosur Airport', 12.661299705505371, 77.76719665527344, 3116, 'IN', 'IN-TN', '', 'no', 'VO95', '', 'VO95', ''),
	('VOSM', 'medium_airport', 'Salem Airport', 11.78330039978, 78.06559753418, 1008, 'IN', 'IN-TN', 'Salem', 'no', 'VOSM', 'SXV', '', ''),
	('VAYE', 'N/A', 'N/A', 13.0770218744874, 77.59908467531204, 914, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAKB', 'N/A', 'N/A', 13.187343142926693, 78.16592887043953, 836, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VOMY', 'small_airport', 'Mysore Airport', 12.23, 76.655833, 2349, 'IN', 'IN-KA', 'Mysore', 'yes', 'VOMY', 'MYQ', '', 'Mysuru, Mandakalli airport'),
	('VOBG', 'medium_airport', 'HAL Airport', 12.95, 77.668198, 2912, 'IN', 'IN-KA', 'Bangalore', 'no', 'VOBG', '', '', 'Bengaluru, Hindustan Airport, HAL Airport, Hindustan Aeronautics');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VOBL', 'large_airport', 'Kempegowda International Airport', 13.1979, 77.706299, 3000, 'IN', 'IN-KA', 'Bangalore', 'yes', 'VOBL', 'BLR', '', ''),
	('VOTK', 'N/A', 'N/A', 8.722291588783264, 78.02617505192757, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VOCI', 'large_airport', 'Cochin International Airport', 10.152, 76.401901, 30, 'IN', 'IN-KL', 'Kochi', 'yes', 'VOCI', 'COK', '', 'Cochin'),
	('VO26', 'small_airport', 'Kovilpatti Airport', 9.15389, 77.821198, 325, 'IN', 'IN-TN', 'Nallatinputhur', 'no', 'VO26', '', 'VO26', ''),
	('VOSX', 'small_airport', 'Coimbatore Air Force Station', 11.0136, 77.159698, 1250, 'IN', 'IN-TN', 'Sulur', 'no', 'VOSX', '', '', ''),
	('VOTV', 'large_airport', 'Thiruvananthapuram International Airport', 8.48212, 76.920097, 15, 'IN', 'IN-KL', 'Thiruvananthapuram', 'yes', 'VOTV', 'TRV', '', 'Thiruvananthapuram International Airport, Trivandrum Air Force Station'),
	('VOCC', 'small_airport', 'INS Garuda / Willingdon Island Naval Air Station', 9.946064, 76.271947, 8, 'IN', 'IN-KL', 'Kochi', 'no', 'VOCC', '', '', 'RAF Willingdon Island, Gochin, COK, Willingdon Island Air Base'),
	('VOCB', 'medium_airport', 'Coimbatore International Airport', 11.029999733, 77.0434036255, 1324, 'IN', 'IN-TN', 'Coimbatore', 'yes', 'VOCB', 'CJB', '', ''),
	('VOTR', 'medium_airport', 'Tiruchirappalli International Airport', 10.766223, 78.71774, 288, 'IN', 'IN-TN', 'Tiruchirappalli', 'yes', 'VOTR', 'TRZ', '', 'Trichy, Trichinopoly, RAF Kajamalai'),
	('VOMD', 'medium_airport', 'Madurai Airport', 9.83450984955, 78.09339904790001, 459, 'IN', 'IN-TN', 'Madurai', 'yes', 'VOMD', 'IXM', '', 'Madurai Air Force Station'),
	('VOCL', 'medium_airport', 'Calicut International Airport', 11.1368, 75.955299, 342, 'IN', 'IN-KL', 'Calicut', 'yes', 'VOCL', 'CCJ', '', ''),
	('VABL', 'N/A', 'N/A', 20.527807250618935, 81.08267068862915, 366, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VA1E', 'small_airport', 'Bhilai Airport', 21.294200897216797, 81.37950134277344, 1014, 'IN', 'IN-CT', '', 'no', 'VA1E', '', 'VA1E', ''),
	('VANP', 'medium_airport', 'Dr. Babasaheb Ambedkar International Airport', 21.092199, 79.047203, 1033, 'IN', 'IN-MM', 'Nagpur', 'yes', 'VANP', 'NAG', '', 'Sonegaon Airport, Sonegaon Air Force Station'),
	('VERP', 'N/A', 'N/A', 21.18100829422474, 81.73854991793633, 313, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VABI', 'medium_airport', 'Bilaspur Airport', 21.9884, 82.111, 899, 'IN', 'IN-CT', 'Bilaspur', 'yes', 'VEBU', 'PAB', '', 'VABI'),
	('VAGD', 'N/A', 'N/A', 21.52355555444956, 80.28769433498383, 301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VA1B', 'small_airport', 'Chanda Airport', 19.994699478149414, 79.22250366210938, 625, 'IN', 'IN-MM', '', 'no', 'VA1B', '', 'VA1B', ''),
	('VORG', 'small_airport', 'Basanth Nagar Airport', 18.701, 79.3923, 670, 'IN', 'IN-TG', 'Ramagundam', 'no', 'VORG', 'RMD', '', ''),
	('VOWA', 'small_airport', 'Warangal Airport', 17.9144, 79.602203, 935, 'IN', 'IN-TG', 'Warangal', 'no', 'VOWA', 'WGC', '', 'Mamnoor, Warrangal'),
	('VE46', 'N/A', 'N/A', 19.074414409697056, 82.03656882047653, 553, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VORY', 'medium_airport', 'Rajahmundry Airport', 17.105799, 81.813204, 151, 'IN', 'IN-AP', 'Madhurapudi', 'yes', 'VORY', 'RJA', '', ''),
	('VONS', 'small_airport', 'Nagarjuna Sagar Airport', 16.541574, 79.316504, 658, 'IN', 'IN-AP', 'Nagarjuna Sagar', 'no', 'VONS', '', '', ''),
	('VOBZ', 'medium_airport', 'Vijayawada Airport', 16.530399, 80.796799, 82, 'IN', 'IN-AP', 'Gannavaram', 'yes', 'VOBZ', 'VGA', '', ''),
	('VOCP', 'medium_airport', 'Kadapa Airport', 14.513154, 78.769183, 430, 'IN', 'IN-AP', 'Kadapa', 'yes', 'VOCP', 'CDP', '', 'Cuddapah'),
	('VATA', 'N/A', 'N/A', 16.8332564458251, 81.53125494718552, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VONV', 'N/A', 'N/A', 11.613006480038166, 79.52733680605888, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VOTP', 'small_airport', 'Tirupati Airport', 13.632499694800002, 79.543296814, 350, 'IN', 'IN-AP', 'Tirupati', 'yes', 'VOTP', 'TIR', '', ''),
	('VOVR', 'small_airport', 'Vellore Airport', 12.9088, 79.066803, 764, 'IN', 'IN-TN', 'Vellore', 'no', 'VOVR', '', '', ''),
	('VOTX', 'small_airport', 'Tambaram Air Force Station', 12.9072, 80.121902, 90, 'IN', 'IN-TN', 'Chennai', 'no', 'VOTX', '', '', ''),
	('VOPC', 'medium_airport', 'Pondicherry Airport', 11.968, 79.812, 134, 'IN', 'IN-PY', 'Puducherry (Pondicherry)', 'yes', 'VOPC', 'PNY', '', ''),
	('VOAR', 'small_airport', 'INS Rajali / Arakkonam Naval Air Station', 13.0712, 79.6912, 265, 'IN', 'IN-TN', 'Arakkonam', 'no', 'VOAR', '', '', 'Arkonam, Arakkonam'),
	('VOMM', 'large_airport', 'Chennai International Airport', 12.990005, 80.169296, 52, 'IN', 'IN-TN', 'Chennai', 'yes', 'VOMM', 'MAA', '', 'Madras'),
	('VCCV', 'small_airport', 'Vavuniya Airport', 8.741009, 80.497845, 299, 'LK', 'LK-4', 'Vavuniya', 'no', 'VCCV', '', '', 'VC13'),
	('VCCT', 'medium_airport', 'China Bay Airport', 8.5385103225708, 81.18190002441406, 6, 'LK', 'LK-5', 'Trincomalee', 'yes', 'VCCT', 'TRR', '', 'SLAF China Bay, RAF China Bay, Trincomalee Airport'),
	('VCKI', 'N/A', 'N/A', 9.305369965732098, 80.48759892582893, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VORM', 'small_airport', 'Ramnad Naval Air Station', 9.32509, 78.971497, 16, 'IN', 'IN-TN', 'Ramnad', 'no', 'VORM', '', '', 'Ramanathapuram'),
	('VOTJ', 'small_airport', 'Thanjavur Air Force Station', 10.723835, 79.109457, 253, 'IN', 'IN-TN', 'Thanjavur', 'no', 'VOTJ', 'TJV', '', 'Tanjavur, Tanjore Air Force Base'),
	('VCCA', 'medium_airport', 'Anuradhapura Airport', 8.301542, 80.42848, 324, 'LK', 'LK-7', 'Anuradhapura', 'no', 'VCCA', 'ACJ', '', 'SLAF Anuradhapura'),
	('VCCH', 'medium_airport', 'Hingurakgoda Air Force Base', 8.04981, 80.9814, 170, 'LK', 'LK-7', 'Polonnaruwa Town', 'no', 'VCCH', 'HIM', '', 'MNH, Minneriya Airport'),
	('VCPU', 'N/A', 'N/A', 7.9798973724246025, 79.85679119825363, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VCCW', 'small_airport', 'Weerawila Airport', 6.25449, 81.235199, 50, 'LK', 'LK-3', 'Weerawila', 'no', 'VCCW', 'WRZ', '', 'Wirawila Airport'),
	('VCCG', 'medium_airport', 'Ampara Airport', 7.336745, 81.623869, 150, 'LK', 'LK-5', 'Ampara', 'no', 'VCCG', 'ADP', '', 'GOY, Gal Oya Airport'),
	('VCCC', 'medium_airport', 'Colombo Ratmalana Airport', 6.821990013122559, 79.88619995117188, 22, 'LK', 'LK-1', 'Colombo', 'yes', 'VCCC', 'RML', '', ''),
	('VCCS', 'small_airport', 'Sigiriya Air Force Base', 7.95667, 80.7285, 630, 'LK', 'LK-2', 'Sigiriya', 'no', 'VCCS', 'GIU', '', 'VC15, SLAF Sigiriya'),
	('VCCN', 'small_airport', 'Katukurunda Air Force Base', 6.55212020874, 79.9775009155, 10, 'LK', 'LK-1', 'Kalutara', 'no', 'VCCN', 'KTY', 'VC14', 'SLAF Katukurunda'),
	('VCCB', 'medium_airport', 'Batticaloa Airport', 7.70576, 81.678802, 20, 'LK', 'LK-5', 'Batticaloa', 'yes', 'VCCB', 'BTC', '', ''),
	('VCCK', 'medium_airport', 'Koggala Airport', 5.993680000305176, 80.32029724121094, 10, 'LK', 'LK-3', 'Galle', 'yes', 'VCCK', 'KCT', '', 'SLAF Koggala'),
	('VCBI', 'large_airport', 'Bandaranaike International Colombo Airport', 7.180759906768799, 79.88410186767578, 30, 'LK', 'LK-1', 'Colombo', 'yes', 'VCBI', 'CMB', '', 'RAF Negombo, Katunayake International Airport'),
	('VCRI', 'large_airport', 'Mattala Rajapaksa International Airport', 6.284467, 81.124128, 157, 'LK', 'LK-3', 'Mattala', 'yes', 'VCRI', 'HRI', 'VCRI', 'Hambantota International Airport'),
	('VEJH', 'small_airport', 'Jharsuguda Airport', 21.9135, 84.0504, 751, 'IN', 'IN-OR', '', 'yes', 'VEJH', 'JRG', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VAPH', 'N/A', 'N/A', 20.464252643287182, 84.26613226532936, 525, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEHK', 'small_airport', 'Hirakud Airport', 21.5802, 84.005699, 658, 'IN', 'IN-OR', 'Sambalpur', 'no', 'VEHK', '', '', ''),
	('VEBS', 'medium_airport', 'Biju Patnaik Airport', 20.244400024399997, 85.8178024292, 138, 'IN', 'IN-OR', 'Bhubaneswar', 'yes', 'VEBS', 'BBI', '', ''),
	('VANO', 'N/A', 'N/A', 22.1921444311738, 85.5488021671772, 428, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VARI', 'N/A', 'N/A', 21.93669520318508, 83.34546491503716, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEUK', 'small_airport', 'Utkela Airport', 20.097401, 83.1838, 680, 'IN', 'IN-OR', '', 'no', 'VEUK', '', '', ''),
	('VAKO', 'N/A', 'N/A', 22.414156906306744, 82.71947622299194, 306, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VENP', 'small_airport', 'Nawapara Airport', 20.870001, 82.5196, 1058, 'IN', 'IN-CT', 'Nawapara', 'no', 'VENP', '', '', ''),
	('VARR', 'N/A', 'N/A', 21.82226076722145, 83.36414515972137, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAKI', 'N/A', 'N/A', 22.046112567186356, 85.37353277206421, 493, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VERK', 'medium_airport', 'Rourkela Airport', 22.256571, 84.815193, 659, 'IN', 'IN-OR', 'Rourkela', 'no', 'VERK', 'RRK', '', ''),
	('VABH', 'N/A', 'N/A', 19.719932600855827, 83.39427664875984, 412, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEKJ', 'small_airport', 'Kendujhar Airport', 21.696667, 85.581667, 0, 'IN', 'IN-OR', 'Gopinathapur', 'no', 'VEKJ', '', '', 'Keonjhar, Raisuon'),
	('VE36', 'small_airport', 'Nuagaon Airport', 20.511699676513672, 83.4480972290039, 656, 'IN', 'IN-OR', '', 'no', 'VE36', '', 'VE36', ''),
	('VE62', 'small_airport', 'Cuttack Airport', 20.549601, 85.886299, 115, 'IN', 'IN-OR', 'Bandalo', 'no', 'VE62', '', 'VE62', ''),
	('VADA', 'N/A', 'N/A', 21.032237894833088, 85.75426831841469, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAAN', 'N/A', 'N/A', 20.91101847589016, 85.03392487764359, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEJP', 'small_airport', 'Jeypore Airport', 18.879999, 82.552002, 1952, 'IN', 'IN-OR', 'Jeypore', 'no', 'VEJP', 'PYB', '', 'Jeypur, Jaypur'),
	('VOVZ', 'N/A', 'N/A', 17.721144407987595, 83.22121113538742, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAGP', 'N/A', 'N/A', 19.29790411144495, 84.87697452306747, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VECK', 'small_airport', 'Chakulia Airport', 22.4606, 86.707802, 430, 'IN', 'IN-JH', '', 'no', 'VECK', '', '', ''),
	('VEDX', 'small_airport', 'Kalaikunda Air Force Station', 22.3395, 87.2145, 200, 'IN', 'IN-WB', '', 'no', 'VEDX', '', '', 'VE60'),
	('FIMR', 'medium_airport', 'Sir Charles Gaetan Duval Airport', -19.7577, 63.361, 95, 'MU', 'MU-VP', 'Port Mathurin', 'yes', 'FIMR', 'RRG', '', 'Plaine Corail'),
	('VRMG', 'medium_airport', 'Gan International Airport', -0.692694, 73.151557, 6, 'MV', 'MV-01', 'Gan', 'yes', 'VRMG', 'GAN', '', 'Addu City'),
	('FJDG', 'medium_airport', 'Diego Garcia Naval Support Facility', -7.31327, 72.411102, 9, 'IO', 'IO-U-A', 'Diego Garcia', 'no', 'FJDG', 'NKW', '', 'Chagos'),
	('UERO', 'small_airport', 'Olenyok Airport', 68.514999, 112.480003, 847, 'RU', 'RU-SA', 'Olenyok', 'no', 'UERO', 'ONK', '', 'УЕРО, Olenek Airport, Аэропорт Оленёк, Аэропорт Оленек'),
	('UERS', 'medium_airport', 'Saskylakh Airport', 71.927902, 114.080002, 0, 'RU', 'RU-SA', 'Saskylakh', 'yes', 'UERS', 'SYS', '', 'УЕРС, Аэропорт Саскылах'),
	('UNIS', 'medium_airport', 'Severo-Yeniseysk Airport', 60.373299, 93.011703, 1706, 'RU', 'RU-KYA', 'Severo-Yeniseysk', 'yes', 'UNIS', 'VEO', '', 'Severo-Eniseisk Airport, Аэропорт Северо-Енисейск'),
	('UNIJ', 'small_airport', 'Yartsevo Airport', 60.255001, 90.195, 210, 'RU', 'RU-KYA', 'Yartsevo', 'no', 'UNIJ', 'YAE', '', 'Аэропорт Ярцево'),
	('UOOM', 'N/A', 'N/A', 56.97751130908728, 90.67472130060196, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USTE', 'N/A', 'N/A', 58.12769450247288, 93.47937270998955, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNKS', 'medium_airport', 'Achinsk Airport', 56.269185, 90.57511, 1033, 'RU', 'RU-KYA', 'Achinsk', 'no', 'UNKS', 'ACS', '', ''),
	('UBOA', 'N/A', 'N/A', 55.00237450003624, 90.92132046818733, 352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNAZ', 'heliport', 'Chilisu-Anzas Heliport', 52.682598, 88.358185, 1809, 'RU', 'RU-KEM', 'Chilisu-Anzas', 'no', '', '', 'UNAZ', 'УНАЗ, Чилису-Анзас'),
	('USOO', 'N/A', 'N/A', 56.10865328460932, 92.93679982423782, 315, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBAH', 'N/A', 'N/A', 55.36144584417343, 91.5287746489048, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIDD', 'N/A', 'N/A', 54.36306159943342, 91.98804572224617, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOD', 'N/A', 'N/A', 54.85682375729084, 91.0619093477726, 373, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMIB', 'N/A', 'N/A', 53.75798609107733, 91.7004020512104, 297, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNAA', 'medium_airport', 'Abakan International Airport', 53.740002, 91.385002, 831, 'RU', 'RU-KK', 'Abakan', 'yes', 'UNAA', 'ABA', '', ''),
	('UBER', 'N/A', 'N/A', 55.96203200519085, 93.01024675369263, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNKM', 'medium_airport', 'Krasnoyarsk Cheremshanka Airport', 56.177584, 92.545881, 833, 'RU', 'RU-KYA', 'Krasnoyarsk', 'yes', 'UNKM', 'KCY', '', 'Аэропорт Черемшанка'),
	('UKRK', 'N/A', 'N/A', 54.31387893855572, 91.52122467756271, 383, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNKL', 'large_airport', 'Krasnoyarsk International Airport', 56.173077, 92.492437, 942, 'RU', 'RU-KYA', 'Krasnoyarsk', 'yes', 'UNKL', 'KJA', '', 'Yemelyanovo'),
	('UNAU', 'small_airport', 'Shushenskoye Airport', 53.385176, 92.044718, 885, 'RU', 'RU-KYA', 'Kazantsevo', 'yes', 'UNAU', '', '', 'Shushenskoe Airport, Kazantsevo Airport, Аэропорт Шушенское, Аэропорт Казанцево'),
	('ZMUG', 'small_airport', 'Ulaangom Airport', 50.066588, 91.938273, 0, 'MN', 'MN-046', 'Ulaangom', 'yes', 'ZMUG', 'ULO', '', ''),
	('ZMKD', 'medium_airport', 'Khovd Airport', 47.9541015625, 91.6281967163086, 4898, 'MN', 'MN-043', 'Khovd', 'yes', 'ZMKD', 'HVD', '', 'Hovd, Kobdo'),
	('ZMBS', 'small_airport', 'Bulgan Sum Airport', 46.100601, 91.584198, 3921, 'MN', 'MN-043', 'Bulgan', 'no', 'ZMBS', 'HBU', '', ''),
	('UMOT', 'N/A', 'N/A', 58.18093568086624, 94.74470302462578, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UTAE', 'N/A', 'N/A', 57.17571012675762, 94.8903813958168, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNQA', 'closed', 'Aban Airport', 56.6847, 96.1203, 844, 'RU', 'RU-KYA', 'Aban', 'no', '', '', '', 'УНЯА, Абан, UNQA');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UNKB', 'small_airport', 'Boguchany Airport', 58.380615, 97.472336, 446, 'RU', 'RU-KYA', 'Boguchany', 'no', 'UNKB', 'BGS', '', 'Аэропорт Богучаны'),
	('UKAB', 'N/A', 'N/A', 56.12397640943527, 95.66277578473091, 320, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAGI', 'N/A', 'N/A', 55.266223065555096, 94.85011383891106, 371, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z26B', 'N/A', 'N/A', 56.20552562177181, 95.6356380879879, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHO', 'N/A', 'N/A', 55.76065041124821, 93.77126231789589, 366, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UURA', 'N/A', 'N/A', 55.96001900732517, 94.6628089249134, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USHX', 'N/A', 'N/A', 55.85681900382042, 93.97522866725922, 384, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNKY', 'medium_airport', 'Kyzyl Airport', 51.669399, 94.400597, 2123, 'RU', 'RU-TY', 'Kyzyl', 'yes', 'UNKY', 'KYZ', '', ''),
	('ZMBA', 'N/A', 'N/A', 49.672464430332184, 94.37236815690994, 1242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMAT', 'medium_airport', 'Altai Airport', 46.376399993896484, 96.22109985351563, 7260, 'MN', 'MN-065', 'Altai', 'yes', 'ZMAT', 'LTI', '', ''),
	('ZMDN', 'small_airport', 'Donoi Airport', 47.7093, 96.5258, 5800, 'MN', 'MN-057', 'Uliastai', 'yes', 'ZMDN', 'ULZ', '', 'New Uliastai Airport'),
	('UNIT', 'small_airport', 'Tura Mountain Airport', 64.333511, 100.432892, 2044, 'RU', 'RU-KYA', 'Tura', 'yes', 'UNIT', 'GOY', '', 'УНИТ, Тура / Горный, Tura Northeast'),
	('UNHT', 'heliport', 'Tura Heliport', 64.278786, 100.214164, 600, 'RU', 'RU-KYA', 'Tura', 'no', 'UNHT', '', 'UNHT', 'УНХТ, Тура - МВЛ'),
	('UNKI', 'small_airport', 'Kodinsk Airport', 58.479401, 99.093903, 990, 'RU', 'RU-KYA', '', 'no', 'UNKI', 'KNY', '', 'Аэропорт Кодинск, Кодинск'),
	('UINE', 'N/A', 'N/A', 55.907172448933125, 97.99354791641235, 376, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMHA', 'N/A', 'N/A', 51.51206083595753, 100.75582668185234, 1695, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNYS', 'N/A', 'N/A', 51.49411015212536, 98.06199565529823, 1115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKUB', 'N/A', 'N/A', 51.48459568619728, 98.05812612175941, 1112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMMN', 'medium_airport', 'Mörön Airport', 49.663299560546875, 100.0989990234375, 4272, 'MN', 'MN-041', 'Mörön', 'yes', 'ZMMN', 'MXV', '', 'Muren'),
	('ZMTL', 'small_airport', 'Tosontsengel Airport', 48.73887, 98.2941, 5610, 'MN', 'MN-057', 'Tosontsengel', 'no', 'ZMTL', 'TNZ', '', ''),
	('ZMHG', 'N/A', 'N/A', 50.4413890466094, 100.13361096382141, 1681, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMBH', 'medium_airport', 'Bayankhongor Airport', 46.163299560546875, 100.7040023803711, 6085, 'MN', 'MN-069', 'Bayankhongor', 'yes', 'ZMBH', 'BYN', '', ''),
	('UIBB', 'medium_airport', 'Bratsk Airport', 56.370601654052734, 101.697998046875, 1610, 'RU', 'RU-IRK', 'Bratsk', 'yes', 'UIBB', 'BTK', '', 'Аэропорт Братск'),
	('UI84', 'N/A', 'N/A', 58.03803563117981, 102.72017240524292, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIBS', 'small_airport', 'Ust-Ilimsk Airport', 58.136101, 102.565002, 1339, 'RU', 'RU-IRK', 'Ust-Ilimsk', 'no', 'UIBS', 'UIK', '', ''),
	('UIBV', 'medium_airport', 'Zheleznogorsk Airport', 56.487701, 104.106003, 1946, 'RU', 'RU-IRK', 'Zheleznogorsk-Ilimsky', 'no', 'UIBV', '', '', 'Аэропорт Железногорск'),
	('XIBM', 'N/A', 'N/A', 56.10414985567331, 101.43777921795845, 442, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVIM', 'N/A', 'N/A', 55.61170902103186, 103.12369912862778, 524, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVII', 'N/A', 'N/A', 55.48582389950752, 103.20759147405624, 440, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIIB', 'small_airport', 'Belaya Air Base', 52.915001, 103.574997, 1503, 'RU', 'RU-IRK', 'Usolye-Sibirskoye', 'no', 'UIIB', '', '', ''),
	('UIOO', 'closed', 'Ust-Ordynskiy Airport', 52.82, 104.739998, 1775, 'RU', 'RU-IRK', 'Ust-Ordynskiy', 'no', '', '', '', 'Ust-Ordynsky Airport, Аэропорт Усть-Ордынский, UIOO'),
	('UIII', 'medium_airport', 'Irkutsk International Airport', 52.268002, 104.389, 1675, 'RU', 'RU-IRK', 'Irkutsk', 'yes', 'UIII', 'IKT', '', ''),
	('UKYY', 'N/A', 'N/A', 51.6780761629343, 102.15944364666939, 745, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIIR', 'N/A', 'N/A', 52.36777771264315, 104.18333351612091, 437, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOYY', 'N/A', 'N/A', 52.55022995173931, 104.45359200239182, 455, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMBN', 'medium_airport', 'Bulgan Airport', 48.85499954223633, 103.47599792480469, 4311, 'MN', 'MN-067', 'Bulgan', 'yes', 'ZMBN', 'UGA', '', ''),
	('UIIG', 'N/A', 'N/A', 50.43452560901642, 103.37076857686043, 1045, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMED', 'N/A', 'N/A', 48.983094803988934, 104.1503794491291, 1279, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMHH', 'small_airport', 'Kharkhorin Airport', 47.246667, 102.826111, 4759, 'MN', 'MN-055', '', 'no', 'ZMHH', 'KHR', '', ''),
	('ZMAH', 'medium_airport', 'Arvaikheer Airport', 46.250301361083984, 102.802001953125, 5932, 'MN', 'MN-055', 'Arvaikheer', 'yes', 'ZMAH', 'AVK', '', ''),
	('ZMTG', 'small_airport', 'Tsetserleg Airport', 47.461476, 101.483804, 5530, 'MN', 'MN-073', 'Tsetserleg', 'no', 'ZMTG', 'TSZ', '', ''),
	('UIKK', 'small_airport', 'Kirensk Airport', 57.773, 108.064, 840, 'RU', 'RU-IRK', 'Kirensk', 'no', 'UIKK', 'KCK', '', ''),
	('UITT', 'medium_airport', 'Ust-Kut Airport', 56.856701, 105.730003, 2188, 'RU', 'RU-IRK', 'Ust-Kut', 'yes', 'UITT', 'UKX', '', 'Аэропорт Усть-Кут'),
	('UITK', 'small_airport', 'Kazachinskaya Airport', 56.280151, 107.567566, 1499, 'RU', 'RU-IRK', 'Kazachinskaya', 'no', 'UITK', '', '', ''),
	('UIIV', 'small_airport', 'Zhigalovo Airport', 54.79999923706055, 105.1500015258789, 0, 'RU', 'RU-IRK', '', 'no', 'UIIV', '', '', 'Аэропорт Жигалово'),
	('ULAG', 'N/A', 'N/A', 53.962223902344704, 105.91348171234131, 531, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UULL', 'N/A', 'N/A', 51.85040809214115, 107.73702442646027, 509, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKHZ', 'N/A', 'N/A', 53.21788139641285, 107.41033896803856, 492, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDZH', 'N/A', 'N/A', 50.67747876048088, 106.13831028342247, 576, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIUU', 'medium_airport', 'Baikal International Airport', 51.808614, 107.439652, 1690, 'RU', 'RU-BU', 'Ulan Ude', 'yes', 'UIUU', 'UUD', '', 'Mukhino Airport, Ulan-Ude Airport'),
	('UTUU', 'N/A', 'N/A', 53.011574260890484, 108.31972852349281, 469, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ZMUB', 'medium_airport', 'Buyant-Ukhaa International Airport', 47.843102, 106.766998, 4364, 'MN', 'MN-1', 'Ulaanbaatar', 'no', 'ZMUB', 'ULN', '', 'Chinggis Khaan International'),
	('ZMMA', 'N/A', 'N/A', 47.366732619702816, 107.45523378252983, 1463, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMMG', 'N/A', 'N/A', 45.73638875037432, 106.26944437623024, 1380, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UERP', 'medium_airport', 'Polyarny Airport', 66.400398, 112.029999, 1660, 'RU', 'RU-SA', 'Yakutia', 'yes', 'UERP', 'PYJ', '', 'Аэропорт Полярный, Alrosa, Kimberlite, Diamonds'),
	('UERA', 'medium_airport', 'Aykhal Airport', 65.959198, 111.546501, 0, 'RU', 'RU-SA', '', 'no', 'UERA', '', '', 'УЕРА, Аikhal Airport, Аэропорт Айхал, Alrosa, Kimberlite, Diamonds'),
	('UKIT', 'N/A', 'N/A', 55.82501906901598, 110.09795442223549, 461, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIUN', 'small_airport', 'Nizhneangarsk International Airport', 55.8008, 109.595001, 1545, 'RU', 'RU-BU', 'Nizhneangarsk', 'yes', 'UIUN', 'NZG', '', ''),
	('UBAU', 'N/A', 'N/A', 53.58740966767073, 109.71107125282288, 477, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USOZ', 'N/A', 'N/A', 52.52184011042118, 111.56453624367714, 951, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBAB', 'N/A', 'N/A', 51.406899467110634, 109.90008249878883, 788, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMDA', 'small_airport', 'Dadal Airport', 49.0124, 111.509, 3220, 'MN', 'MN-039', 'Dadal', 'no', 'ZMDA', '', '', ''),
	('ZMBD', 'small_airport', 'Binder Airport', 48.6067008972168, 110.60800170898438, 3422, 'MN', 'MN-039', 'Binder', 'no', 'ZMBD', '', '', ''),
	('ZMUH', 'N/A', 'N/A', 47.30444435030222, 110.60888886451721, 1037, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UERR', 'medium_airport', 'Mirny Airport', 62.534698486328125, 114.03900146484375, 1156, 'RU', 'RU-SA', 'Mirny', 'yes', 'UERR', 'MJZ', '', ''),
	('UERL', 'medium_airport', 'Lensk Airport', 60.7206001282, 114.825996399, 801, 'RU', 'RU-SA', 'Lensk', 'yes', 'UERL', 'ULK', '', ''),
	('UIKB', 'small_airport', 'Bodaybo Airport', 57.866100311299995, 114.242996216, 919, 'RU', 'RU-IRK', 'Bodaybo', 'yes', 'UIKB', 'ODO', '', 'Bodaibo Airport, Аэропорт Бодайбо'),
	('UOLV', 'N/A', 'N/A', 51.28268972039223, 115.85766211152077, 620, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USMO', 'N/A', 'N/A', 52.11225137114525, 113.49847465753555, 713, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDON', 'N/A', 'N/A', 51.9165463373065, 113.12101408839226, 686, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIAA', 'medium_airport', 'Chita-Kadala International Airport', 52.026299, 113.306, 2272, 'RU', 'RU-ZAB', 'Chita', 'yes', 'UIAA', 'HTA', '', ''),
	('UCHI', 'N/A', 'N/A', 52.07350384443998, 113.43287944793701, 650, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOLO', 'N/A', 'N/A', 51.019575744867325, 115.42770937085152, 625, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMCD', 'medium_airport', 'Choibalsan Airport', 48.13570022583008, 114.64600372314453, 2457, 'MN', 'MN-061', '', 'no', 'ZMCD', 'COQ', '', ''),
	('ZMBU', 'medium_airport', 'Baruun Urt Airport', 46.660301208496094, 113.28500366210938, 3205, 'MN', 'MN-051', '', 'no', 'ZMBU', 'UUN', '', ''),
	('USUN', 'N/A', 'N/A', 62.3824068903923, 117.02042117714882, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UENS', 'small_airport', 'Suntar Airport', 62.185001373291, 117.63500213623, 452, 'RU', 'RU-SA', 'Suntar', 'yes', 'UENS', 'SUY', '', 'УЕНС, Сунтар'),
	('ULRL', 'N/A', 'N/A', 58.99873651564121, 116.9205741584301, 330, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIAR', 'small_airport', 'Chara Airport', 56.913334, 118.269997, 2201, 'RU', 'RU-ZAB', 'Chara', 'no', 'UIAR', 'CZR', '', 'Chara Kyust-Kemda'),
	('UGAA', 'N/A', 'N/A', 51.546325385570526, 118.37444588541985, 707, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIAN', 'N/A', 'N/A', 52.00646471232176, 116.53305754065514, 479, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCHN', 'N/A', 'N/A', 52.337005734443665, 116.82743221521378, 604, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBAL', 'N/A', 'N/A', 51.56115800142288, 116.7039442062378, 656, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBMZ', 'medium_airport', 'Manzhouli Xijiao Airport', 49.566667, 117.33, 2231, 'CN', 'CN-15', 'Manzhouli', 'yes', 'ZBMZ', 'NZH', '', ''),
	('UIAE', 'medium_airport', 'Krasnokamensk Airport', 50.033108, 118.061142, 2139, 'RU', 'RU-ZAB', 'Krasnokamensk', 'no', 'UIAE', '', '', 'Аэропорт Краснокаменск'),
	('UBOZ', 'N/A', 'N/A', 50.3553581982851, 116.2582428753376, 656, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBOR', 'N/A', 'N/A', 50.39628133177757, 116.34335651993752, 663, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDAA', 'N/A', 'N/A', 50.22345453500748, 117.10134252905846, 717, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBLA', 'medium_airport', 'Hulunbuir Hailar Airport', 49.205002, 119.824997, 2169, 'CN', 'CN-15', 'Hailar', 'yes', 'ZBLA', 'HLD', '', 'Hailar Dongshan'),
	('ZBHZ', 'medium_airport', 'Holingol Huolinhe Airport', 45.487222, 119.407222, 0, 'CN', 'CN-15', 'Holingol', 'yes', 'ZBHZ', 'HUO', '', ''),
	('ZBES', 'medium_airport', 'Arxan Yi''ershi Airport', 47.3106, 119.9117, 2925, 'CN', 'CN-15', 'Arxan', 'yes', 'ZBES', 'YIE', '', ''),
	('ZWHM', 'medium_airport', 'Hami Airport', 42.8414, 93.669197, 2703, 'CN', 'CN-65', 'Hami', 'yes', 'ZWHM', 'HMI', '', 'Kumul, Qumul'),
	('ZWSS', 'medium_airport', 'Shanshan Airport', 42.911701, 90.247498, 0, 'CN', 'CN-65', 'Shanshan', 'no', 'ZWSS', 'SXJ', '', ''),
	('ZULS', 'medium_airport', 'Lhasa Gonggar Airport', 29.298001, 90.911951, 11713, 'CN', 'CN-54', 'Shannan (Gonggar)', 'yes', 'ZULS', 'LXA', '', ''),
	('VATZ', 'N/A', 'N/A', 26.759367026388645, 93.07919025421143, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VQ10', 'small_airport', 'Yongphulla Airport', 27.25627, 91.514633, 9000, 'BT', 'BT-41', 'Yongphulla', 'yes', 'VQTY', 'YON', '', 'Yonphula Airport, VQ10'),
	('VARB', 'N/A', 'N/A', 26.83659788221121, 92.7445176243782, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEGT', 'medium_airport', 'Lokpriya Gopinath Bordoloi International Airport', 26.10610008239746, 91.58589935302734, 162, 'IN', 'IN-AS', 'Guwahati', 'yes', 'VEGT', 'GAU', '', 'Borjhar Airport, Mountain Shadow Air Force Station'),
	('VQGP', 'medium_airport', 'Gelephu Airport', 26.88456, 90.46412, 980, 'BT', 'BT-31', 'Gelephu', 'no', 'VQGP', 'GLU', '', ''),
	('VEBI', 'medium_airport', 'Shillong Airport', 25.70359992980957, 91.97869873046875, 2910, 'IN', 'IN-ML', 'Shillong', 'yes', 'VEBI', 'SHL', '', 'Barapani Airport, Barapani Air Force Station, Umroi Airport'),
	('VETZ', 'medium_airport', 'Tezpur Airport', 26.7091007232666, 92.78469848632813, 240, 'IN', 'IN-AS', '', 'yes', 'VETZ', 'TEZ', '', 'Salonibari Airport, Tezpur Air Force Station'),
	('VATU', 'N/A', 'N/A', 25.661401078104973, 90.34545287489891, 532, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VAGR', 'N/A', 'N/A', 26.823252886533737, 93.21686580777168, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEKR', 'medium_airport', 'Kailashahar Airport', 24.308657, 92.00768, 79, 'IN', 'IN-TR', 'Kailashahar', 'no', 'VEKR', 'IXH', '', ''),
	('VEAT', 'medium_airport', 'Agartala - Maharaja Bir Bikram Airport', 23.886999, 91.240402, 46, 'IN', 'IN-TR', 'Agartala', 'yes', 'VEAT', 'IXA', '', 'Singerbhil Airport, Agartala Air Force Station'),
	('VEAZ', 'small_airport', 'Tuirial Airfield', 23.746214, 92.802846, 1093, 'IN', 'IN-MZ', 'Aizawl', 'no', 'VEAZ', '', '', ''),
	('VGBR', 'medium_airport', 'Barisal Airport', 22.801000595092773, 90.30120086669922, 23, 'BD', 'BD-1', 'Barisal', 'yes', 'VGBR', 'BZL', '', ''),
	('VEKU', 'medium_airport', 'Silchar Airport', 24.9129009247, 92.97869873050001, 352, 'IN', 'IN-AS', 'Silchar', 'yes', 'VEKU', 'IXS', '', 'Kumbhigram Air Force Station'),
	('VGTJ', 'small_airport', 'Tejgaon Airport', 23.778799057006836, 90.38269805908203, 24, 'BD', 'BD-3', 'Dhaka', 'no', 'VGTJ', '', '', ''),
	('VELP', 'medium_airport', 'Lengpui Airport', 23.840599, 92.619698, 1398, 'IN', 'IN-MZ', 'Aizawl (Lengpui)', 'yes', 'VELP', 'AJL', '', ''),
	('VGHS', 'N/A', 'N/A', 23.843347169458866, 90.3977832198143, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEKM', 'small_airport', 'Kamalpur Airport', 24.134325, 91.810769, 131, 'IN', 'IN-TR', 'Manik Bhandar', 'no', 'VEKM', 'IXQ', '', ''),
	('VEKW', 'small_airport', 'Khowai Airport', 24.061899, 91.603897, 95, 'IN', 'IN-TR', 'Khowai', 'no', 'VEKW', 'IXN', '', ''),
	('VGSH', 'small_airport', 'Shamshernagar Airport', 24.398333, 91.916944, 56, 'BD', 'BD-6', 'Shamshernagar', 'no', 'VGSH', 'ZHM', '', ''),
	('VGCM', 'small_airport', 'Comilla Airport', 23.437201, 91.189697, 25, 'BD', 'BD-2', 'Comilla', 'no', 'VGCM', 'CLA', '', ''),
	('VGSY', 'medium_airport', 'Osmany International Airport', 24.963832, 91.864843, 50, 'BD', 'BD-6', 'Sylhet', 'yes', 'VGSY', 'ZYL', '', ''),
	('ZMAZ', 'small_airport', 'Mazongshan Airport', 42.308371, 97.077148, 5462, 'CN', 'CN-62', 'Mazongshan', 'no', 'ZMAZ', '', '', ''),
	('ZLDH', 'medium_airport', 'Dunhuang Mogao International Airport', 40.161098, 94.809196, 0, 'CN', 'CN-62', 'Dunhuang', 'yes', 'ZLDH', 'DNH', '', ''),
	('ZYAJ', 'N/A', 'N/A', 40.09238127619028, 94.68201130628586, 1152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLGM', 'medium_airport', 'Golmud Airport', 36.4006, 94.786102, 9334, 'CN', 'CN-63', 'Golmud', 'yes', 'ZLGM', 'GOQ', '', ''),
	('ZYLS', 'medium_airport', 'Yushu Batang Airport', 32.836389, 97.036389, 12816, 'CN', 'CN-63', 'Yushu (Batang)', 'yes', 'ZLYS', 'YUS', '', ''),
	('ZBAT', 'N/A', 'N/A', 32.82693386077881, 97.12019383907318, 3917, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VE67', 'small_airport', 'Mechuka Advanced Landing Ground', 28.602458, 94.126139, 7900, 'IN', 'IN-AR', 'Kargong', 'no', 'VE67', '', 'VE67', ''),
	('ZUNZ', 'medium_airport', 'Nyingchi Mainling Airport', 29.303301, 94.335297, 9675, 'CN', 'CN-54', 'Nyingchi (Mainling)', 'yes', 'ZUNZ', 'LZY', '', 'Linzhi, Kang Ko'),
	('VEAN', 'medium_airport', 'Along Airport', 28.17530059814453, 94.802001953125, 900, 'IN', 'IN-AR', '', 'no', 'VEAN', 'IXV', '', ''),
	('ZUBD', 'medium_airport', 'Qamdo Bangda Airport', 30.553600311279297, 97.1082992553711, 14219, 'CN', 'CN-54', 'Bangda', 'yes', 'ZUBD', 'BPX', '', ''),
	('VYMK', 'medium_airport', 'Myitkyina Airport', 25.3836, 97.351898, 475, 'MM', 'MM-11', 'Myitkyina', 'yes', 'VYMK', 'MYT', '', ''),
	('VYNP', 'medium_airport', 'Nampong Air Base', 25.354400634799998, 97.2951965332, 459, 'MM', 'MM-11', 'Myitkyina', 'no', 'VYNP', '', '', ''),
	('VEDZ', 'small_airport', 'Daporijo Airport', 27.985500335699996, 94.22280120850002, 750, 'IN', 'IN-AR', 'Daporijo', 'no', 'VEDZ', 'DEP', '', 'Deparijo, Daparizo, Deparizo, DAE'),
	('VEMR', 'medium_airport', 'Dimapur Airport', 25.883899688699998, 93.77110290530001, 487, 'IN', 'IN-NL', 'Dimapur', 'yes', 'VEMR', 'DMU', '', ''),
	('VE48', 'N/A', 'N/A', 27.942066974937916, 96.13470152020454, 224, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VEJT', 'medium_airport', 'Jorhat Airport', 26.7315006256, 94.1754989624, 311, 'IN', 'IN-AS', 'Jorhat', 'yes', 'VEJT', 'JRH', '', 'Rowriah Airport, Jorhat Air Force Station'),
	('VYPT', 'medium_airport', 'Putao Airport', 27.32990074157715, 97.42630004882813, 1500, 'MM', 'MM-11', 'Putao', 'yes', 'VYPT', 'PBU', '', ''),
	('VE24', 'small_airport', 'Sookerating (Doomdooma) Airport', 27.5529, 95.570602, 400, 'IN', 'IN-AS', 'Sokriting T.E.', 'no', 'VE24', '', 'VE24', ''),
	('VEZO', 'medium_airport', 'Ziro Airport', 27.588301, 93.828102, 5403, 'IN', 'IN-AR', 'Ziro', 'no', 'VEZO', 'ZER', '', ''),
	('VYKI', 'small_airport', 'Kanti Airport', 25.9883, 95.6744, 6000, 'MM', 'MM-01', 'Kanti', 'yes', 'VYKI', 'KHM', '', ''),
	('VEMN', 'medium_airport', 'Dibrugarh Airport', 27.4839000702, 95.0168991089, 362, 'IN', 'IN-AS', 'Dibrugarh', 'yes', 'VEMN', 'DIB', '', 'Mohanbari Air Force Station'),
	('VE91', 'small_airport', 'Vijaynagar Advanced Landing Ground', 27.1935997009, 97.00370025630001, 4167, 'IN', 'IN-AR', '', 'no', 'VE91', '', 'VE91', ''),
	('VECA', 'small_airport', 'Chabua Air Force Station', 27.4622, 95.117699, 367, 'IN', 'IN-AS', 'Chabua', 'no', 'VECA', '', '', ''),
	('VELR', 'medium_airport', 'Lilabari North Lakhimpur Airport', 27.2955, 94.097603, 330, 'IN', 'IN-AS', 'Lilabari', 'yes', 'VELR', 'IXI', '', ''),
	('VEPG', 'small_airport', 'Pasighat Airport', 28.064786, 95.336952, 477, 'IN', 'IN-AR', 'Pasighat', 'no', 'VEPG', 'IXT', '', ''),
	('VYKL', 'small_airport', 'Kalay Airport', 23.188801, 94.051102, 439, 'MM', 'MM-01', 'Kalemyo', 'no', 'VYKL', 'KMV', '', ''),
	('VAIM', 'N/A', 'N/A', 24.867914132773876, 93.92765164375305, 785, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VYMO', 'medium_airport', 'Momeik Airport', 23.092500686645508, 96.64530181884766, 600, 'MM', 'MM-17', '', 'no', 'VYMO', 'MOE', '', ''),
	('VYHL', 'small_airport', 'Hommalinn Airport', 24.899599, 94.914001, 534, 'MM', 'MM-01', 'Hommalinn', 'no', 'VYHL', 'HOX', '', ''),
	('VEIM', 'medium_airport', 'Imphal Airport', 24.7600002289, 93.896697998, 2540, 'IN', 'IN-MN', 'Imphal', 'yes', 'VEIM', 'IMF', '', ''),
	('VYBM', 'small_airport', 'Banmaw Airport', 24.27044, 97.2476, 370, 'MM', 'MM-11', 'Banmaw', 'yes', 'VYBM', 'BMO', '', 'Banmaws, Bhamo'),
	('ZJIJ', 'N/A', 'N/A', 40.401652716100216, 99.78931993246078, 1155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZXIE', 'N/A', 'N/A', 39.55404348671436, 98.88449683785439, 1486, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLJQ', 'small_airport', 'Jiayuguan Airport', 39.856899, 98.3414, 5112, 'CN', 'CN-62', 'Jiayuguan', 'yes', 'ZLJQ', 'JGN', '', ''),
	('EJN', 'small_airport', 'Ejin Banner Taolai Airport', 42.0155, 101.0005, 3077, 'CN', 'CN-15', 'Ejin Banner', 'yes', 'ZBEN', 'EJN', '', ''),
	('ZDOO', 'N/A', 'N/A', 38.80715522915125, 100.66357478499413, 1583, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZQIN', 'N/A', 'N/A', 36.99066840112209, 100.85758075118065, 3142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ZUDC', 'medium_airport', 'Daocheng Yading Airport', 29.31632, 100.060317, 14472, 'CN', 'CN-51', 'Garzê (Daocheng)', 'yes', 'ZUDC', 'DCY', '', ''),
	('ZPLJ', 'medium_airport', 'Lijiang Sanyi International Airport', 26.68, 100.246002, 7359, 'CN', 'CN-53', 'Lijiang (Gucheng)', 'yes', 'ZPLJ', 'LJG', '', 'Yunlong Air Base'),
	('ZPDQ', 'medium_airport', 'Diqing Shangri-La Airport', 27.7936, 99.6772, 10761, 'CN', 'CN-53', 'Diqing (Shangri-La)', 'yes', 'ZPDQ', 'DIG', '', ''),
	('ZPDL', 'medium_airport', 'Dali Fengyi Airport', 25.649401, 100.319, 7050, 'CN', 'CN-53', 'Dali (Xiaguan)', 'yes', 'ZPDL', 'DLU', '', 'Dali Air Base'),
	('VYNM', 'small_airport', 'Naungmom Airport', 27.5, 97.81700134277344, 2200, 'MM', 'MM-11', 'Naungmom', 'no', 'VYNM', '', '', ''),
	('ZXIA', 'N/A', 'N/A', 25.445483922958374, 100.73469132184982, 1959, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZDEE', 'N/A', 'N/A', 24.208596646785736, 99.28416386246681, 1449, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZPLX', 'medium_airport', 'Dehong Mangshi Airport', 24.4011, 98.5317, 2890, 'CN', 'CN-53', 'Dehong (Mangshi)', 'yes', 'ZPMS', 'LUM', '', ''),
	('ZPSM', 'small_airport', 'Pu''er Simao Airport', 22.793301, 100.959, 0, 'CN', 'CN-53', 'Pu''er', 'yes', 'ZPSM', 'SYM', '', ''),
	('ZDII', 'N/A', 'N/A', 25.05202565342188, 99.16758880019188, 1661, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMEE', 'N/A', 'N/A', 23.7390099093318, 100.02452149987221, 1892, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VYLS', 'medium_airport', 'Lashio Airport', 22.9778995513916, 97.752197265625, 2450, 'MM', 'MM-17', 'Lashio', 'yes', 'VYLS', 'LSH', '', ''),
	('ZMDZ', 'medium_airport', 'Dalanzadgad Airport', 43.608628, 104.367734, 4787, 'MN', 'MN-053', 'Dalanzadgad', 'yes', 'ZMDZ', 'DLZ', '', ''),
	('ZMBR', 'small_airport', 'Bulagtai Resort Airport', 43.749304, 104.114985, 4659, 'MN', 'MN-053', 'Khankhongor', 'no', 'ZMBR', 'UGT', '', ''),
	('ZMGT', 'small_airport', 'Ovoot Airport', 43.01192, 101.333781, 5171, 'MN', 'MN-053', 'Ovoot Tolgoi', 'no', 'ZMGT', '', '', ''),
	('JIC', 'small_airport', 'Jinchang Jinchuan Airport', 38.542222, 102.348333, 4740, 'CN', 'CN-62', 'Jinchang', 'yes', 'ZLJC', 'JIC', '', ''),
	('ZLLL', 'large_airport', 'Lanzhou Zhongchuan International Airport', 36.515202, 103.620003, 6388, 'CN', 'CN-62', 'Lanzhou (Yongdeng)', 'yes', 'ZLLL', 'LHW', '', 'ZGC, Datong Air Base, 兰州中川国际机场'),
	('ZTAA', 'N/A', 'N/A', 35.306759141385555, 103.83579164743423, 1913, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZNYI', 'N/A', 'N/A', 33.98980859667063, 102.11608216166496, 3454, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYUZ', 'N/A', 'N/A', 35.91796785593033, 104.21805560588837, 1762, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLXN', 'medium_airport', 'Xining Caojiabao International Airport', 36.530093, 102.040062, 7119, 'CN', 'CN-63', 'Haidong (Huzhu Tu Autonomous County)', 'yes', 'ZLXN', 'XNN', '', 'Caojiabu, Caojiapu'),
	('ZUJZ', 'medium_airport', 'Jiuzhai Huanglong Airport', 32.853333, 103.682222, 11327, 'CN', 'CN-51', 'Ngawa (Songpan)', 'yes', 'ZUJZ', 'JZH', '', 'Aba'),
	('ZUGH', 'small_airport', 'Guanghan Airport', 30.9485, 104.3296, 1531, 'CN', 'CN-51', 'Deyang (Guanghan)', 'no', 'ZUGH', 'GHN', '', 'Civil Aviation Flight University of China'),
	('ZUMY', 'medium_airport', 'Mianyang Nanjiao Airport', 31.428101, 104.740997, 7874, 'CN', 'CN-51', 'Mianyang (Fucheng)', 'yes', 'ZUMY', 'MIG', '', ''),
	('ZUYB', 'small_airport', 'Yibin Caiba Airport', 28.800556, 104.545, 924, 'CN', 'CN-51', 'Yibin (Cuiping)', 'no', '', '', '', 'YBP, ZUYB'),
	('ZUUU', 'large_airport', 'Chengdu Shuangliu International Airport', 30.558257, 103.945966, 1625, 'CN', 'CN-51', 'Chengdu (Shuangliu)', 'yes', 'ZUUU', 'CTU', '', '成都双流国际机场'),
	('ZUCG', 'N/A', 'N/A', 30.73057997971773, 104.09293994307518, 501, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZUKD', 'medium_airport', 'Kangding Airport', 30.142464, 101.73872, 14042, 'CN', 'CN-51', 'Garzê (Kangding)', 'yes', 'ZUKD', 'KGT', '', ''),
	('ZUXJ', 'N/A', 'N/A', 30.42114157229662, 103.84437561035156, 460, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZXII', 'N/A', 'N/A', 30.70329587906599, 103.94971624016762, 511, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZCHE', 'N/A', 'N/A', 30.603212602436543, 104.01717558503151, 489, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZUXC', 'medium_airport', 'Xichang Qingshan Airport', 27.9891, 102.183998, 5112, 'CN', 'CN-51', 'Liangshan (Xichang)', 'yes', 'ZUXC', 'XIC', '', ''),
	('ZYUU', 'N/A', 'N/A', 25.737966410815716, 101.88148498535156, 1162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZPZT', 'small_airport', 'Zhaotong Airport', 27.327549, 103.75617, 0, 'CN', 'CN-53', 'Zhaotong (Zhaoyang)', 'yes', 'ZPZT', 'ZAT', '', ''),
	('ZREE', 'N/A', 'N/A', 26.53998177498579, 101.79847419261932, 1960, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZXIP', 'N/A', 'N/A', 25.592896454036236, 103.82930114865303, 1861, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZPWS', 'small_airport', 'Wenshan Puzhehei Airport', 23.5583, 104.3255, 5217, 'CN', 'CN-53', 'Wenshan', 'yes', 'ZPWS', 'WNH', '', ''),
	('ZWEE', 'N/A', 'N/A', 23.394460044801235, 103.33442598581314, 1291, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZPPP', 'large_airport', 'Kunming Changshui International Airport', 25.110313, 102.936743, 6903, 'CN', 'CN-53', 'Kunming', 'yes', 'ZPPP', 'KMG', '', ''),
	('ZZHO', 'N/A', 'N/A', 24.988149851560593, 103.64276379346848, 1853, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZUYI', 'medium_airport', 'Xingyi Wanfenglin Airport', 25.083423, 104.960804, 4150, 'CN', 'CN-52', 'Xingyi', 'yes', 'ZUYI', 'ACX', '', ''),
	('ZMTT', 'small_airport', 'Umnugobi/Tavan Tolgoi Airport', 43.773667, 105.578667, 4793, 'MN', 'MN-053', 'Tsogttsetsii', 'no', 'ZMTT', '', '', ''),
	('ZMKB', 'N/A', 'N/A', 43.14361095428467, 106.84388905763626, 1193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBUH', 'small_airport', 'Wuhai Airport', 39.7934, 106.7993, 3650, 'CN', 'CN-15', 'Wuhai', 'yes', 'ZBUH', 'WUA', '', '乌海机场'),
	('ZBYZ', 'medium_airport', 'Bayannur Tianjitai Airport', 40.926, 107.7428, 3400, 'CN', 'CN-15', 'Bavannur', 'yes', 'ZBYZ', 'RLK', '', ''),
	('ZLZW', 'medium_airport', 'Zhongwei Shapotou Airport', 37.573125, 105.154454, 8202, 'CN', 'CN-64', 'Zhongwei (Shapotou)', 'yes', 'ZLZW', 'ZHY', '', ''),
	('YEH', 'small_airport', 'Yinchuan Helanshan Air Base', 38.481899, 106.009003, 3770, 'CN', 'CN-64', 'Yinchuan', 'no', '', '', 'YEH', 'Xincheng'),
	('ZBAY', 'N/A', 'N/A', 38.748364225029945, 105.58414354920387, 1393, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLIC', 'medium_airport', 'Yinchuan Hedong International Airport', 38.322758, 106.393214, 3743, 'CN', 'CN-64', 'Yinchuan', 'yes', 'ZLIC', 'INC', '', ''),
	('ZLAA', 'N/A', 'N/A', 34.15308941155672, 108.59976768493652, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLQY', 'medium_airport', 'Qingyang Xifeng Airport', 35.802638, 107.598896, 0, 'CN', 'CN-62', 'Qingyang (Xifeng)', 'yes', 'ZLQY', 'IQN', '', 'Dingxi Air Base');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ZBOJ', 'N/A', 'N/A', 34.983332343399525, 108.5147175192833, 1394, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLGY', 'medium_airport', 'Guyuan Liupanshan Airport', 36.078889, 106.216944, 5727, 'CN', 'CN-64', 'Guyuan (Yuanzhou)', 'yes', 'ZLGY', 'GYU', '', ''),
	('ZBEE', 'N/A', 'N/A', 34.56010524183512, 105.86031809449196, 1092, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZTIA', 'N/A', 'N/A', 34.53129630535841, 107.47084066271782, 808, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLHZ', 'small_airport', 'Hanzhong Chenggu Airport', 33.133527, 107.203817, 0, 'CN', 'CN-61', 'Hanzhong (Chenggu)', 'yes', 'ZLHZ', 'HZG', '', ''),
	('ZUGU', 'medium_airport', 'Guangyuan Panlong Airport', 32.390254, 105.694571, 0, 'CN', 'CN-51', 'Guangyuan (Lizhou)', 'yes', 'ZUGU', 'GYS', '', ''),
	('ZZHI', 'N/A', 'N/A', 29.63653475046158, 105.77365189790726, 366, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZUCK', 'large_airport', 'Chongqing Jiangbei International Airport', 29.712254, 106.651895, 1365, 'CN', 'CN-50', 'Chongqing', 'yes', 'ZUCK', 'CKG', '', ''),
	('ZUNC', 'small_airport', 'Nanchong Gaoping Airport', 30.798104, 106.16415, 1145, 'CN', 'CN-51', 'Nanchong (Gaoping)', 'yes', 'ZUNC', 'NAO', '', ''),
	('ZUWX', 'small_airport', 'Wanzhou Wuqiao Airport', 30.8017, 108.433, 0, 'CN', 'CN-50', 'Wanzhou', 'yes', 'ZUWX', 'WXN', '', ''),
	('ZULZ', 'medium_airport', 'Luzhou Yunlong Airport', 29.030357, 105.468407, 0, 'CN', 'CN-51', 'Luzhou (Yunlong)', 'yes', 'ZULZ', 'LZO', '', ''),
	('ZBAI', 'N/A', 'N/A', 29.495896138250828, 106.35905787348747, 299, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZUAS', 'medium_airport', 'Anshun Huangguoshu Airport', 26.260556, 105.873333, 4812, 'CN', 'CN-52', 'Anshun (Xixiu)', 'yes', 'ZUAS', 'AVA', '', ''),
	('ZGUI', 'N/A', 'N/A', 26.41073651611805, 106.53201833367348, 1208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZUGY', 'large_airport', 'Guiyang Longdongbao International Airport', 26.541466, 106.803331, 3736, 'CN', 'CN-52', 'Guiyang (Nanming)', 'yes', 'ZUGY', 'KWE', '', 'Kaiyang Guiyang Air Base, Guiyang Air Base'),
	('ZTII', 'N/A', 'N/A', 23.720027916133404, 106.96027278900146, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBER', 'medium_airport', 'Erenhot Saiwusu International Airport', 43.4225, 112.096667, 3301, 'CN', 'CN-15', 'Erenhot', 'yes', 'ZBER', 'ERL', '', 'Saiwusu Airport'),
	('ZQAA', 'N/A', 'N/A', 40.73697879910469, 111.22980058193207, 1040, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBOW', 'medium_airport', 'Baotou Donghe Airport', 40.560001, 109.997002, 3321, 'CN', 'CN-15', 'Baotou', 'yes', 'ZBOW', 'BAV', '', 'Erliban'),
	('ZBHH', 'large_airport', 'Hohhot Baita International Airport', 40.849658, 111.824598, 3556, 'CN', 'CN-15', 'Hohhot', 'yes', 'ZBHH', 'HET', '', ''),
	('ZBDS', 'medium_airport', 'Ordos Ejin Horo Airport', 39.493514, 109.8599, 4557, 'CN', 'CN-15', 'Ordos', 'yes', 'ZBDS', 'DSN', '', 'Dongsheng'),
	('ZULL', 'N/A', 'N/A', 40.61435457319021, 108.9979438483715, 1024, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZHEZ', 'N/A', 'N/A', 39.05882757157087, 111.75226628780365, 1335, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYUI', 'N/A', 'N/A', 37.87340484559536, 110.07128030061722, 895, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLYL', 'small_airport', 'Yulin Yuyang Airport', 38.35971, 109.590927, 3891, 'CN', 'CN-61', 'Yulin', 'yes', 'ZLYL', 'UYN', '', ''),
	('ZYUL', 'N/A', 'N/A', 38.08660659939051, 109.43024218082428, 1053, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLXY', 'large_airport', 'Xi''an Xianyang International Airport', 34.447102, 108.751999, 1572, 'CN', 'CN-61', 'Xianyang (Weicheng)', 'yes', 'ZLXY', 'XIY', '', '西安咸阳国际机场, Xian'),
	('ZLSN', 'medium_airport', 'Xi''an Xiguan Airport', 34.376701, 109.120003, 0, 'CN', 'CN-61', 'Xi''an (Baqiao)', 'no', 'ZLSN', 'SIA', '', 'Lintong Air Base'),
	('ZHLY', 'medium_airport', 'Luoyang Beijiao Airport', 34.7411, 112.388, 840, 'CN', 'CN-41', 'Luoyang (Laocheng)', 'yes', 'ZHLY', 'LYA', '', ''),
	('ZBYC', 'medium_airport', 'Yuncheng Zhangxiao Airport', 35.116391, 111.031389, 1242, 'CN', 'CN-61', 'Yuncheng (Yanhu)', 'yes', 'ZBYC', 'YCU', '', 'Yuncheng Guangong Airport'),
	('ZLPC', 'small_airport', 'Pucheng Neifu Airport', 34.825791, 109.535547, 0, 'CN', 'CN-61', 'Weinan (Pucheng)', 'no', 'ZLPC', '', '', 'Test Flight Institute'),
	('ZYAL', 'N/A', 'N/A', 34.64298751205206, 109.24135968089104, 387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZZHB', 'N/A', 'N/A', 30.983599461615086, 112.05924063920975, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZHXF', 'medium_airport', 'Xiangyang Liuji Airport', 32.152222, 112.291666, 234, 'CN', 'CN-42', 'Xiangyang (Xiangzhou)', 'yes', 'ZHXF', 'XFN', '', 'Xiangyang,Xiangfan'),
	('ZHGH', 'medium_airport', 'Guangzhou MR Air Base / Guanghua Airport', 32.38866, 111.69425, 0, 'CN', 'CN-42', 'Xiangyang (Laohekou)', 'no', 'ZHGH', 'LHK', '', 'Guangzhou MR Air Base'),
	('ZLAK', 'small_airport', 'Ankang Fuqiang Airport', 32.75696, 108.87338, 1209, 'CN', 'CN-61', 'Ankang (Hanbin)', 'yes', 'ZLAK', 'AKA', '', ''),
	('ZQUT', 'N/A', 'N/A', 32.9724782332778, 111.88535213470459, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZHYC', 'medium_airport', 'Yichang Sanxia Airport', 30.554132, 111.482563, 673, 'CN', 'CN-42', 'Yichang (Xiaoting)', 'yes', 'ZHYC', 'YIH', '', ''),
	('ZHSS', 'closed', 'Former Shashi Airport', 30.324289, 112.279861, 112, 'CN', 'CN-42', 'Jingzhou (Shashi)', 'no', '', '', '', 'SHS, ZHSS'),
	('ZYUQ', 'N/A', 'N/A', 30.798616223037243, 111.81111350655556, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('JIQ', 'medium_airport', 'Qianjiang Wulingshan Airport', 29.5133333333, 108.831111111, 2075, 'CN', 'CN-50', 'Qianjiang', 'yes', 'ZUQJ', 'JIQ', '', 'Zhoubai'),
	('ZGCJ', 'medium_airport', 'Huaihua Zhijiang Airport', 27.443087, 109.704666, 882, 'CN', 'CN-43', 'Huaihua', 'yes', 'ZGCJ', 'HJJ', '', 'Chihkiang Airfield'),
	('ZLIA', 'N/A', 'N/A', 27.226464338600636, 111.67013749480247, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZGLG', 'medium_airport', 'Yongzhou Lingling Airport', 26.338661, 111.610043, 340, 'CN', 'CN-43', 'Yongzhou', 'yes', 'ZGLG', 'LLF', '', ''),
	('ZGZH', 'medium_airport', 'Liuzhou Bailian Airport / Bailian Air Base', 24.2075, 109.390999, 295, 'CN', 'CN-45', 'Liuzhou (Liujiang)', 'yes', 'ZGZH', 'LZH', '', 'Liujiang-Liuzhou Air Base'),
	('ZGKL', 'large_airport', 'Guilin Liangjiang International Airport', 25.219828, 110.039553, 570, 'CN', 'CN-45', 'Guilin (Lingui)', 'yes', 'ZGKL', 'KWL', '', ''),
	('ZGUL', 'N/A', 'N/A', 25.193812251091003, 110.32038599252701, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZGWZ', 'closed', 'Wuzhou Changzhoudao Airport', 23.456699, 111.248001, 89, 'CN', 'CN-45', 'Wuzhou (Changzhou)', 'no', '', '', '', 'WUZ, ZGWZ'),
	('ZGUU', 'N/A', 'N/A', 23.32995593547821, 110.00935703516006, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSAI', 'N/A', 'N/A', 42.351124472916126, 112.64825284481049, 1161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBXH', 'medium_airport', 'Xilinhot Airport', 43.91559982299805, 115.96399688720703, 0, 'CN', 'CN-15', 'Xilinhot', 'yes', 'ZBXH', 'XIL', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ZBUC', 'medium_airport', 'Ulanqab Jining Airport', 41.130266, 113.107274, 0, 'CN', 'CN-15', 'Ulanqab', 'yes', 'ZBUC', 'UCB', '', ''),
	('ZJII', 'N/A', 'N/A', 40.5027686432004, 116.10760912299156, 497, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLII', 'N/A', 'N/A', 39.75772138684988, 116.12493440508842, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKAA', 'N/A', 'N/A', 40.37924487143755, 115.9373764693737, 525, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZCHL', 'N/A', 'N/A', 40.285602919757366, 116.23265996575356, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLIL', 'N/A', 'N/A', 39.4566360488534, 116.00061401724815, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZZHA', 'N/A', 'N/A', 40.73948331177235, 114.93140995502472, 707, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZWUL', 'N/A', 'N/A', 39.40578807145357, 114.16377827525139, 1036, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZZHC', 'N/A', 'N/A', 41.30279649049044, 114.71661865711212, 1351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLUN', 'N/A', 'N/A', 37.91296508163214, 114.59162637591362, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBXZ', 'small_airport', 'Xinzhou Wutaishan Airport', 38.597456, 112.969173, 2527, 'CN', 'CN-14', 'Xinzhou', 'yes', 'ZBXZ', 'WUT', '', ''),
	('ZXIH', 'N/A', 'N/A', 37.49114781618118, 116.11676394939423, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBAG', 'N/A', 'N/A', 39.14971221238375, 115.28805881738663, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBXT', 'small_airport', 'Xingtai Dalian Airport', 36.8831, 114.4293, 280, 'CN', 'CN-13', 'Xingtai', 'no', 'ZBXT', 'XNT', '', '邢台褡裢机场'),
	('ZBSJ', 'medium_airport', 'Shijiazhuang Zhengding International Airport', 38.280701, 114.696999, 233, 'CN', 'CN-13', 'Shijiazhuang', 'yes', 'ZBSJ', 'SJW', '', 'Daguocun'),
	('ZBYN', 'large_airport', 'Taiyuan Wusu Airport', 37.746899, 112.627998, 2575, 'CN', 'CN-14', 'Taiyuan', 'yes', 'ZBYN', 'TYN', '', ''),
	('ZLUA', 'N/A', 'N/A', 37.779628448188305, 114.57653760910034, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKAI', 'N/A', 'N/A', 34.75323770195246, 114.33774903416634, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZZHE', 'N/A', 'N/A', 34.86296620219946, 113.73001143336296, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSHA', 'N/A', 'N/A', 34.449509382247925, 115.45931115746498, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBHD', 'medium_airport', 'Handan Airport', 36.525833, 114.425556, 229, 'CN', 'CN-13', 'Handan', 'yes', 'ZBHD', 'HDG', '', ''),
	('ZHAY', 'small_airport', 'Anyang Yindu Airport', 36.1339, 114.344002, 0, 'CN', 'CN-41', 'Anyang', 'no', 'ZHAY', 'AYN', '', ''),
	('ZHCC', 'large_airport', 'Zhengzhou Xinzheng International Airport', 34.526497, 113.849165, 495, 'CN', 'CN-41', 'Zhengzhou', 'yes', 'ZHCC', 'CGO', '', 'Xinzheng Airport'),
	('ZBCZ', 'small_airport', 'Changzhi Wangcun Airport', 36.247501, 113.125999, 0, 'CN', 'CN-14', 'Changzhi', 'yes', 'ZBCZ', 'CIH', '', ''),
	('HSJ', 'small_airport', 'Zhengzhou Shangjie Airport', 34.842153, 113.273983, 450, 'CN', 'CN-41', 'Zhengzhou', 'no', '', 'HSJ', '', ''),
	('ZHNY', 'small_airport', 'Nanyang Jiangying Airport', 32.982696, 112.617467, 840, 'CN', 'CN-41', 'Nanyang (Wancheng)', 'yes', 'ZHNY', 'NNY', '', ''),
	('ZRAA', 'N/A', 'N/A', 33.68549086153507, 112.89053946733475, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSFY', 'medium_airport', 'Fuyang Xiguan Airport', 32.882157, 115.734364, 104, 'CN', 'CN-34', 'Yingzhou, Fuyang', 'yes', 'ZSFY', 'FUG', '', ''),
	('ZCHH', 'N/A', 'N/A', 30.953918136656284, 113.912103921175, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMII', 'N/A', 'N/A', 32.54081726074219, 114.07913446426392, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBAL', 'N/A', 'N/A', 31.663299724459648, 113.8178001344204, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZGUA', 'N/A', 'N/A', 30.674302875995636, 114.63148936629295, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZGHA', 'large_airport', 'Changsha Huanghua International Airport', 28.189199, 113.220001, 217, 'CN', 'CN-43', 'Changsha (Changsha)', 'yes', 'ZGHA', 'CSX', '', '长沙黄花国际机场'),
	('ZSCN', 'large_airport', 'Nanchang Changbei International Airport', 28.864815, 115.90271, 143, 'CN', 'CN-36', 'Nanchang', 'yes', 'ZSCN', 'KHN', '', ''),
	('ZHHH', 'large_airport', 'Wuhan Tianhe International Airport', 30.774798, 114.213723, 113, 'CN', 'CN-42', 'Wuhan (Huangpi)', 'yes', 'ZHHH', 'WUH', '', ''),
	('ZSJJ', 'small_airport', 'Jiujiang Lushan Airport', 29.476944, 115.801111, 0, 'CN', 'CN-36', 'Jiujiang', 'yes', 'ZSJJ', 'JIU', '', 'Mahuiling Air Base'),
	('ZHEG', 'N/A', 'N/A', 30.087402015924454, 114.31438118219376, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZXIT', 'N/A', 'N/A', 28.421553075313568, 115.92344507575035, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMAA', 'N/A', 'N/A', 29.477212205529213, 115.80161958932877, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZDAT', 'N/A', 'N/A', 28.069244250655174, 112.95729741454124, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLEE', 'N/A', 'N/A', 26.58680509775877, 112.89284974336624, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSYC', 'medium_airport', 'Yichun Mingyueshan Airport', 27.8025, 114.3062, 430, 'CN', 'CN-36', 'Yichun', 'yes', 'ZSYC', 'YIC', '', ''),
	('ZLUU', 'N/A', 'N/A', 23.0834823846817, 113.07119473814964, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZWUU', 'N/A', 'N/A', 23.16469330340624, 113.36921095848083, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZGGG', 'large_airport', 'Guangzhou Baiyun International Airport', 23.392401, 113.299004, 50, 'CN', 'CN-44', 'Guangzhou (Huadu)', 'yes', 'ZGGG', 'CAN', '', ''),
	('HSC', 'N/A', 'N/A', 24.97797254472971, 113.42041566967964, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZGXN', 'small_airport', 'Xingning Air Base', 24.1492, 115.758003, 0, 'CN', 'CN-44', 'Meizhou (Xingning)', 'no', 'ZGXN', 'XIN', '', ''),
	('ZXIB', 'N/A', 'N/A', 22.55879335105419, 113.92553061246872, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZGMX', 'small_airport', 'Meizhou Meixian Changgangji International Airport', 24.263425, 116.097857, 312, 'CN', 'CN-44', 'Meizhou (Meixian)', 'yes', 'ZGMX', 'MXZ', '', ''),
	('ZKUU', 'N/A', 'N/A', 22.61444952338934, 114.37427133321762, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZGSZ', 'large_airport', 'Shenzhen Bao''an International Airport', 22.639299, 113.810997, 13, 'CN', 'CN-44', 'Shenzhen (Bao''an)', 'yes', 'ZGSZ', 'SZX', '', 'Baoan, Huangtian Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ZBCF', 'medium_airport', 'Chifeng Yulong Airport', 42.159723, 118.840971, 2018, 'CN', 'CN-15', 'Chifeng', 'yes', 'ZBCF', 'CIF', '', ''),
	('ZSHH', 'N/A', 'N/A', 40.149447955191135, 116.32331728935242, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZPIN', 'N/A', 'N/A', 40.9004021063447, 118.67763474583626, 473, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBBB', 'medium_airport', 'Beijing Xijiao Airport', 39.9608, 116.257004, 0, 'CN', 'CN-11', 'Beijing', 'no', 'ZBBB', '', '', 'BJS, Beijing City Airport'),
	('ZBNY', 'small_airport', 'Beijing Nanyuan Air Base', 39.782158, 116.386299, 0, 'CN', 'CN-11', 'Beijing', 'no', '', '', '', 'Nanyuan Air Base, NAY, ZBNY'),
	('ZGUO', 'N/A', 'N/A', 40.401132702827454, 116.88179075717926, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZZUU', 'N/A', 'N/A', 40.10177168995142, 117.88525119423866, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZFEE', 'N/A', 'N/A', 39.71774239093065, 118.00273418426514, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMUU', 'N/A', 'N/A', 42.15978071093559, 118.84093925356865, 618, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSHD', 'N/A', 'N/A', 39.96847562491894, 119.73059803247452, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZZHH', 'N/A', 'N/A', 39.81155198067427, 116.70722633600235, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBAA', 'large_airport', 'Beijing Capital International Airport', 40.080101013183594, 116.58499908447266, 116, 'CN', 'CN-11', 'Beijing', 'yes', 'ZBAA', 'PEK', '', 'BJS, Bejing, Peking, Olympics'),
	('ZYAA', 'N/A', 'N/A', 39.374411925673485, 117.09282919764519, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZCHG', 'N/A', 'N/A', 36.76826633512974, 116.63983583450317, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZTAN', 'N/A', 'N/A', 38.89818672090769, 117.65730232000351, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZCAA', 'N/A', 'N/A', 38.782245218753815, 117.06893607974052, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZXIZ', 'N/A', 'N/A', 38.42004742473364, 117.2989372909069, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBTJ', 'large_airport', 'Tianjin Binhai International Airport', 39.124401092499994, 117.346000671, 10, 'CN', 'CN-12', 'Tianjin', 'yes', 'ZBTJ', 'TSN', '', ''),
	('ZCAN', 'N/A', 'N/A', 38.40312235057354, 116.93105936050415, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZJIB', 'N/A', 'N/A', 36.67118679732084, 116.91930279135704, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSWF', 'medium_airport', 'Weifang Nanyuan Airport', 36.646702, 119.119003, 0, 'CN', 'CN-37', 'Weifang (Kuiwen)', 'yes', 'ZSWF', 'WEF', '', ''),
	('ZSJN', 'large_airport', 'Jinan Yaoqiang International Airport', 36.857201, 117.216003, 76, 'CN', 'CN-37', 'Jinan (Licheng)', 'yes', 'ZSJN', 'TNA', '', ''),
	('ZSHE', 'N/A', 'N/A', 37.506136670708656, 118.78945827484131, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSLY', 'medium_airport', 'Linyi Qiyang Airport', 35.052918, 118.411828, 177, 'CN', 'CN-37', 'Linyi', 'yes', 'ZSLY', 'LYI', '', ''),
	('ZZHU', 'N/A', 'N/A', 36.0284198820591, 119.43764716386795, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLAI', 'N/A', 'N/A', 36.43780745565891, 117.56972149014473, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLJN', 'medium_airport', 'Jining Qufu Airport', 35.292778, 116.346667, 134, 'CN', 'CN-37', 'Jining', 'yes', '', '', '', 'JNG, ZSJG'),
	('ZSXZ', 'medium_airport', 'Xuzhou Guanyin International Airport', 34.059056, 117.555278, 108, 'CN', 'CN-32', 'Xuzhou', 'yes', 'ZSXZ', 'XUZ', '', ''),
	('ZSSH', 'N/A', 'N/A', 33.79000011831522, 119.12333339452744, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZXIN', 'N/A', 'N/A', 36.00054871290922, 117.62560218572617, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZPIG', 'N/A', 'N/A', 36.29686374217272, 116.43981143832207, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z08T', 'N/A', 'N/A', 31.99747648090124, 118.81463795900345, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSYA', 'medium_airport', 'Yangzhou Taizhou Airport', 32.5634, 119.7198, 7, 'CN', 'CN-32', 'Yangzhou', 'yes', 'ZSYA', 'YTY', '', 'Yangtai Airport'),
	('ZMIN', 'N/A', 'N/A', 32.73346859961748, 118.05310294032097, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZDIA', 'N/A', 'N/A', 31.909857094287872, 117.65802204608917, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZMAN', 'N/A', 'N/A', 32.37924065440893, 118.79460275173187, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSBB', 'medium_airport', 'Bengbu Airport', 32.8477333333, 117.320244444, 100, 'CN', 'CN-34', 'Bengbu', 'no', 'ZSBB', 'BFU', '', ''),
	('ZSNJ', 'large_airport', 'Nanjing Lukou International Airport', 31.735032, 118.865949, 49, 'CN', 'CN-32', 'Nanjing', 'yes', 'ZSNJ', 'NKG', '', ''),
	('ZSOF', 'medium_airport', 'Hefei Xinqiao International Airport', 31.98779, 116.9769, 207, 'CN', 'CN-34', 'Hefei', 'yes', 'ZSOF', 'HFE', '', ''),
	('ZSWU', 'small_airport', 'Wuhu Wanli Airport / Wuhu Air Base', 31.3906, 118.408997, 34, 'CN', 'CN-34', 'Wuhu', 'no', 'ZSWU', 'WHU', '', ''),
	('ZSJU', 'medium_airport', 'Quzhou Airport', 28.965799, 118.899002, 0, 'CN', 'CN-33', 'Quzhou', 'yes', 'ZSJU', 'JUZ', '', ''),
	('ZSHO', 'N/A', 'N/A', 29.358688071370125, 119.17906567454338, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSAQ', 'medium_airport', 'Anqing Tianzhushan Airport / Anqing North Air Base', 30.582199, 117.050003, 0, 'CN', 'CN-34', 'Anqing', 'yes', 'ZSAQ', 'AQG', '', ''),
	('JUH', 'small_airport', 'Chizhou Jiuhuashan Airport', 30.7403, 117.6856, 60, 'CN', 'CN-34', 'Chizhou', 'yes', 'ZSJH', 'JUH', '', ''),
	('ZSJD', 'medium_airport', 'Jingdezhen Luojia Airport', 29.3386, 117.176003, 112, 'CN', 'CN-36', 'Jingdezhen', 'yes', 'ZSJD', 'JDZ', '', 'Fouliang Air Base'),
	('ZSTX', 'medium_airport', 'Tunxi International Airport', 29.733299255371094, 118.25599670410156, 0, 'CN', 'CN-34', 'Huangshan', 'yes', 'ZSTX', 'TXN', '', ''),
	('ZGAI', 'N/A', 'N/A', 26.00390173494816, 119.31285694241524, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RCFG', 'medium_airport', 'Matsu Nangan Airport', 26.1598, 119.958, 232, 'TW', 'TW-X-LK', 'Matsu (Nangan)', 'yes', 'RCFG', 'LZN', '', 'Matsu Islands'),
	('ZSWY', 'medium_airport', 'Nanping Wuyishan Airport', 27.7019, 118.000999, 614, 'CN', 'CN-35', 'Wuyishan', 'yes', 'ZSWY', 'WUS', '', ''),
	('ZSFZ', 'large_airport', 'Fuzhou Changle International Airport', 25.934669, 119.66318, 46, 'CN', 'CN-35', 'Fuzhou', 'yes', 'ZSFZ', 'FOC', 'FOC', ''),
	('ZZHN', 'N/A', 'N/A', 24.561674259603024, 117.65465900301933, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ZWAI', 'N/A', 'N/A', 23.427096493542194, 116.76210969686508, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('Z28W', 'N/A', 'N/A', 23.517868146300316, 119.58403408527374, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RCQC', 'medium_airport', 'Penghu Magong Airport', 23.568701, 119.627998, 103, 'TW', 'TW-PEN', 'Huxi', 'yes', 'RCQC', 'MZG', '', 'Magong, Makung'),
	('RCWA', 'small_airport', 'Wang''an Airport', 23.369108, 119.503598, 115, 'TW', 'TW-PEN', 'Wang''an', 'no', 'RCWA', 'WOT', '', ''),
	('ZLUO', 'N/A', 'N/A', 25.02640586346388, 118.80723729729652, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSQZ', 'medium_airport', 'Quanzhou Jinjiang International Airport', 24.7964, 118.589996, 39, 'CN', 'CN-35', 'Quanzhou', 'yes', 'ZSQZ', 'JJN', '', 'Jinjiang Air Base, Chin Chiang, Qingyang'),
	('RCCM', 'N/A', 'N/A', 23.213055543601513, 119.41750019788742, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSAM', 'large_airport', 'Xiamen Gaoqi International Airport', 24.54400062561035, 118.12799835205078, 59, 'CN', 'CN-35', 'Xiamen', 'yes', 'ZSAM', 'XMN', '', '厦门高崎国际机场'),
	('VGNA', 'N/A', 'N/A', 22.376343794167042, 90.32214000821114, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VGEG', 'medium_airport', 'Shah Amanat International Airport', 22.249599, 91.813301, 12, 'BD', 'BD-2', 'Chattogram (Chittagong)', 'yes', 'VGEG', 'CGP', '', 'M.A. Hannan International Airport'),
	('VGCB', 'medium_airport', 'Cox''s Bazar Airport', 21.452199935913086, 91.96389770507813, 12, 'BD', 'BD-2', 'Cox''s Bazar', 'yes', 'VGCB', 'CXB', '', ''),
	('VYSW', 'medium_airport', 'Sittwe Airport', 20.133165, 92.870693, 27, 'MM', 'MM-16', 'Sittwe', 'yes', 'VYSW', 'AKY', '', ''),
	('VYKP', 'medium_airport', 'Kyaukpyu Airport', 19.42639923095703, 93.53479766845703, 20, 'MM', 'MM-16', 'Kyaukpyu', 'yes', 'VYKP', 'KYP', '', ''),
	('VYMN', 'small_airport', 'Manaung Airport', 18.8458, 93.688904, 102, 'MM', 'MM-16', 'Manaung', 'no', 'VYMN', 'MGU', '', ''),
	('VABM', 'medium_airport', 'Belagavi Airport', 15.8593, 74.618301, 2487, 'IN', 'IN-KA', 'Belgaum', 'yes', 'VOBM', 'IXG', '', 'VABM'),
	('VOPB', 'medium_airport', 'Veer Savarkar International Airport / INS Utkrosh', 11.641208, 92.729643, 13, 'IN', 'IN-AN', 'Port Blair', 'yes', 'VOPB', 'IXZ', '', 'Port Blair Airport, Port Blair Air Force Station'),
	('VOCX', 'medium_airport', 'Car Nicobar Air Force Base', 9.153056, 92.819273, 5, 'IN', 'IN-AN', 'IAF Camp', 'no', 'VOCX', 'CBD', '', 'Carnicobar'),
	('VYMW', 'small_airport', 'Magway Airport', 20.1656, 94.941399, 279, 'MM', 'MM-03', 'Magway', 'yes', 'VYMW', 'MWQ', '', ''),
	('VYST', 'medium_airport', 'Shante Air Base', 20.941699981689453, 95.91449737548828, 630, 'MM', 'MM-04', 'Meiktila', 'no', 'VYST', '', '', ''),
	('VYKU', 'small_airport', 'Kyauktu Airport', 21.399999618530273, 94.13330078125, 1250, 'MM', 'MM-03', 'Kyauktu', 'no', 'VYKU', 'KYT', '', ''),
	('VYCZ', 'small_airport', 'Chanmyathazi Airport', 21.9405, 96.0896, 252, 'MM', 'MM-04', 'Mandalay', 'no', 'VYCZ', 'VBC', '', 'Mandalay'),
	('VYAN', 'small_airport', 'Ann Airport', 19.769199, 94.0261, 74, 'MM', 'MM-16', 'Aeng', 'no', 'VYAN', 'VBA', '', ''),
	('VYSL', 'small_airport', 'Salingyi Airport', 22.100000381469727, 95.01699829101563, 264, 'MM', 'MM-01', 'Salingyi', 'no', 'VYSL', '', '', ''),
	('VYHN', 'small_airport', 'Tilin Airport', 21.700000762939453, 94.0999984741211, 1385, 'MM', 'MM-03', 'Tilin', 'no', 'VYHN', 'TIO', '', ''),
	('VYML', 'medium_airport', 'Meiktila Air Base', 20.88640022277832, 95.89279174804688, 699, 'MM', 'MM-04', 'Meiktila', 'no', 'VYML', '', '', ''),
	('VYAS', 'small_airport', 'Anisakan Airport', 21.9554, 96.406097, 3000, 'MM', 'MM-04', 'Anisakan', 'no', 'VYAS', '', '', 'Maymo'),
	('VYPK', 'small_airport', 'Pauk Airport', 21.4492, 94.4869, 249, 'MM', 'MM-03', 'Pauk', 'no', 'VYPK', 'PAU', '', ''),
	('VYGG', 'small_airport', 'Gangaw Airport', 22.174699783325195, 94.1343994140625, 200, 'MM', 'MM-03', 'Gangaw', 'no', 'VYGG', 'GAW', '', ''),
	('VYHH', 'N/A', 'N/A', 20.747044309973717, 96.79202243685722, 1186, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VYMD', 'large_airport', 'Mandalay International Airport', 21.702199935913086, 95.97789764404297, 300, 'MM', 'MM-04', 'Mandalay', 'yes', 'VYMD', 'MDL', '', ''),
	('VYPU', 'small_airport', 'Pakhokku Airport', 21.4043, 95.11125, 151, 'MM', 'MM-03', 'Pakhokku', 'no', 'VYPU', 'PKK', '', ''),
	('VYMY', 'small_airport', 'Monywar Airport', 22.221638, 95.093479, 298, 'MM', 'MM-01', 'Monywar', 'no', 'VYMY', 'NYW', '', ''),
	('VYBG', 'small_airport', 'Bagan Airport', 21.178800582885742, 94.9301986694336, 312, 'MM', 'MM-04', 'Nyaung U', 'yes', 'VYBG', 'NYU', '', ''),
	('VYLK', 'medium_airport', 'Loikaw Airport', 19.691499710083008, 97.21479797363281, 2940, 'MM', 'MM-12', 'Loikaw', 'yes', 'VYLK', 'LIW', '', ''),
	('VYTO', 'small_airport', 'Taungoo Airport', 19.031299591064453, 96.40119934082031, 160, 'MM', 'MM-02', 'Taungoo', 'no', 'VYTO', '', '', ''),
	('VYBA', 'N/A', 'N/A', 17.303920090198517, 96.42758220434189, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VYYY', 'large_airport', 'Yangon International Airport', 16.907300949099998, 96.1332015991, 109, 'MM', 'MM-06', 'Yangon', 'yes', 'VYYY', 'RGN', '', 'Rangoon'),
	('VYTD', 'medium_airport', 'Thandwe Airport', 18.4606990814209, 94.30010223388672, 20, 'MM', 'MM-16', 'Thandwe', 'yes', 'VYTD', 'SNW', '', ''),
	('VYHB', 'small_airport', 'Hmawbi Air Base', 17.11669921875, 96.06670379638672, 69, 'MM', 'MM-06', 'Hmawbi', 'no', 'VYHB', '', '', 'Hmawby'),
	('VYNT', 'small_airport', 'Namtu Airport', 23.083, 97.383003, 2000, 'MM', 'MM-17', 'Namtu', 'no', 'VYNU', 'NMT', '', ''),
	('VYPY', 'small_airport', 'Pyay Airport', 18.824499130249023, 95.26599884033203, 120, 'MM', 'MM-02', 'Pye', 'no', 'VYPY', 'PRU', '', ''),
	('VYWA', 'N/A', 'N/A', 16.571894958615303, 94.93208885192871, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VYPN', 'small_airport', 'Pathein Airport', 16.815201, 94.7799, 20, 'MM', 'MM-07', 'Pathein', 'yes', 'VYPN', 'BSX', '', 'Bassein'),
	('VO94', 'medium_airport', 'Campbell Bay Airport / INS Baaz', 7.01304, 93.922798, 16, 'IN', 'IN-AN', 'Campbell Bay', 'no', 'VOBX', '', '', 'VO94'),
	('WITN', 'N/A', 'N/A', 5.876389034092426, 95.33749982714653, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WITL', 'medium_airport', 'Lhok Sukon Airport', 5.06951, 97.259201, 28, 'ID', 'ID-AC', 'Lhok Sukon-Sumatra Island', 'no', 'WITL', 'LSX', '', ''),
	('WITC', 'medium_airport', 'Cut Nyak Dhien Airport', 4.040631, 96.253538, 10, 'ID', 'ID-AC', 'Kuala Pesisir', 'yes', 'WITC', 'MEQ', '', ''),
	('WACA', 'N/A', 'N/A', 4.612211287021637, 95.62372773885727, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIMA', 'small_airport', 'Labuhan Bilik Airport', 2.5129, 100.179001, 18, 'ID', 'ID-SU', 'Labuhan Bilik-Sumatra Island', 'no', '', '', '', 'WIMA'),
	('WIMG', 'medium_airport', 'Tabing Airport', -0.874989, 100.351997, 9, 'ID', 'ID-SB', 'Padang', 'yes', '', '', '', 'WIMG'),
	('WITT', 'medium_airport', 'Sultan Iskandar Muda International Airport', 5.522872024010001, 95.42063713070002, 65, 'ID', 'ID-AC', 'Banda Aceh', 'yes', 'WITT', 'BTJ', '', 'WIAB');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WITK', 'medium_airport', 'Rembele Airport', 4.72113, 96.851943, 4648, 'ID', 'ID-AC', 'Takengon', 'yes', 'WITK', 'TXE', '', ''),
	('WIMT', 'small_airport', 'Tebing Tinggi Airport', 3.366667, 99.116669, 69, 'ID', 'ID-SU', 'Tabbing Tinggi-Sumatra Island', 'no', '', '', '', 'WIMT'),
	('KJX', 'small_airport', 'Kuala Batu Airport', 3.735749, 96.790109, 3, 'ID', 'ID-AC', 'Blangpidie', 'no', 'WITO', 'KJX', '', ''),
	('WIML', 'closed', 'Kisaran Airport', 2.97379, 99.600998, 96, 'ID', 'ID-SU', 'Kisaran', 'no', '', '', '', 'WIML, WIML'),
	('VTCT', 'medium_airport', 'Mae Fah Luang - Chiang Rai International Airport', 19.952299, 99.882896, 1280, 'TH', 'TH-57', 'Chiang Rai', 'yes', 'VTCT', 'CEI', '', ''),
	('ZPJH', 'medium_airport', 'Xishuangbanna Gasa International Airport', 21.974648, 100.762224, 1815, 'CN', 'CN-53', 'Jinghong (Gasa)', 'yes', 'ZPJH', 'JHG', '', 'Sipsong Panna'),
	('VYMT', 'small_airport', 'Mong Tong Airport', 20.29669952392578, 98.8989028930664, 1840, 'MM', 'MM-17', 'Mong Tong', 'no', 'VYMT', 'MGK', '', ''),
	('VYKG', 'medium_airport', 'Kengtung Airport', 21.301599502563477, 99.63600158691406, 2798, 'MM', 'MM-17', 'Kengtung', 'yes', 'VYKG', 'KET', '', ''),
	('VYNS', 'medium_airport', 'Namsang Airport', 20.890499114990234, 97.73590087890625, 3100, 'MM', 'MM-17', 'Namsang', 'no', 'VYNS', 'NMS', '', ''),
	('VYTL', 'medium_airport', 'Tachileik Airport', 20.483800888061523, 99.9354019165039, 1280, 'MM', 'MM-17', 'Tachileik', 'yes', 'VYTL', 'THL', '', ''),
	('VLHS', 'small_airport', 'Ban Huoeisay Airport', 20.257299, 100.436996, 1380, 'LA', 'LA-BK', 'Huay Xai', 'no', 'VLHS', 'HOE', '', 'Ban Houayxay, Ban Houei Sai, Ban Huay Xai, ສະໜາມບິນບໍ່ແກ້ວ,'),
	('VYTY', 'small_airport', 'Tanyang Airport', 22.482999801635742, 98.4000015258789, 250, 'MM', 'MM-17', 'Tanyang', 'no', 'VYTY', '', '', ''),
	('VYMS', 'medium_airport', 'Mong Hsat Airport', 20.516799926757813, 99.25679779052734, 1875, 'MM', 'MM-17', 'Mong Hsat', 'yes', 'VYMS', 'MOG', '', 'Monghsat Airport'),
	('VLXL', 'small_airport', 'Xienglom Airport', 19.6203, 100.815332, 1830, 'LA', 'LA-BK', 'Xienglom', 'no', 'VLXL', 'XIE', '', ''),
	('VTCI', 'small_airport', 'Pai Airport', 19.372054, 98.435904, 1676, 'TH', 'TH-58', 'Pai', 'no', 'VTCI', 'PYY', '', 'ท่าอากาศยานปาย'),
	('VTCN', 'medium_airport', 'Nan Airport', 18.807899475097656, 100.78299713134766, 685, 'TH', 'TH-55', '', 'yes', 'VTCN', 'NNT', '', ''),
	('VTCB', 'small_airport', 'Phayao Ban Chiang Kham Airport', 19.5, 100.28299713134766, 1272, 'TH', 'TH-56', 'Phayao Ban Chiang Kham', 'no', 'VTCB', '', '', ''),
	('VTSI', 'N/A', 'N/A', 18.881701044738293, 99.09242928028107, 324, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTCO', 'small_airport', 'Lamphun Airport', 18.546816, 99.012029, 925, 'TH', 'TH-51', '', 'yes', 'VTCO', '', '', ''),
	('VTSD', 'N/A', 'N/A', 18.830539248883724, 99.1385668516159, 320, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTPY', 'small_airport', 'Khunan Phumipol Airport', 17.23419952392578, 99.05789947509766, 492, 'TH', 'TH-63', '', 'no', 'VTPY', '', '', ''),
	('VTCC', 'large_airport', 'Chiang Mai International Airport', 18.766799926799997, 98.962600708, 1036, 'TH', 'TH-50', 'Chiang Mai', 'yes', 'VTCC', 'CNX', '', ''),
	('VTPO', 'medium_airport', 'Sukhothai Airport', 17.238000869750977, 99.81819915771484, 179, 'TH', 'TH-64', '', 'yes', 'VTPO', 'THS', '', ''),
	('VYPA', 'small_airport', 'Hpa-N Airport', 16.8937, 97.674599, 150, 'MM', 'MM-13', 'Hpa-N', 'no', 'VYPA', 'PAA', '', ''),
	('VTCL', 'medium_airport', 'Lampang Airport', 18.27090072631836, 99.50420379638672, 811, 'TH', 'TH-52', '', 'yes', 'VTCL', 'LPT', '', ''),
	('VTCY', 'small_airport', 'Nok Airfield', 18.6762, 99.11157, 0, 'TH', 'TH-50', '', 'no', 'VTCY', '', '', ''),
	('VTCS', 'small_airport', 'Mae Sariang Airport', 18.180962, 97.930627, 750, 'TH', 'TH-58', 'Mae Sariang', 'no', 'VTCS', '', '', ''),
	('VTCH', 'medium_airport', 'Mae Hong Son Airport', 19.3013, 97.9758, 929, 'TH', 'TH-58', 'Mae Hong Son', 'yes', 'VTCH', 'HGN', '', ''),
	('VTCP', 'medium_airport', 'Phrae Airport', 18.1322, 100.165001, 538, 'TH', 'TH-54', '', 'no', 'VTCP', 'PRH', '', ''),
	('VTPU', 'small_airport', 'Uttaradit Airport', 17.617000579833984, 100.0999984741211, 262, 'TH', 'TH-53', 'Uttaradit', 'no', 'VTPU', 'UTR', '', ''),
	('VTPT', 'medium_airport', 'Tak Airport', 16.896, 99.253304, 478, 'TH', 'TH-63', '', 'no', 'VTPT', 'TKT', '', ''),
	('VYMM', 'small_airport', 'Mawlamyine Airport', 16.444700241088867, 97.66069793701172, 52, 'MM', 'MM-15', 'Mawlamyine', 'yes', 'VYMM', 'MNU', '', ''),
	('VTBL', 'medium_airport', 'Khok Kathiam Airport', 14.8746, 100.663002, 123, 'TH', 'TH-16', '', 'no', 'VTBL', '', '', ''),
	('VTBH', 'small_airport', 'Sa Pran Nak Airport', 14.9493999481, 100.642997742, 95, 'TH', 'TH-16', '', 'no', 'VTBH', 'KKM', '', ''),
	('VTPM', 'medium_airport', 'Mae Sot Airport', 16.699899673461914, 98.54509735107422, 690, 'TH', 'TH-63', '', 'yes', 'VTPM', 'MAQ', '', ''),
	('VTLO', 'N/A', 'N/A', 14.774075634777546, 100.65260633826256, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTWA', 'N/A', 'N/A', 14.169461466372013, 100.69169238209724, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTPB', 'medium_airport', 'Phetchabun Airport', 16.6760005951, 101.194999695, 450, 'TH', 'TH-67', '', 'yes', 'VTPB', 'PHY', '', ''),
	('VTOK', 'N/A', 'N/A', 14.110483042895794, 101.00135654211044, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTV1', 'N/A', 'N/A', 14.423361383378506, 99.75001528859138, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTV9', 'N/A', 'N/A', 14.771085977554321, 100.7767403125763, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTPN', 'small_airport', 'Nakhon Sawan Airport', 15.673, 100.137001, 113, 'TH', 'TH-60', '', 'no', 'VTPN', '', '', ''),
	('VTON', 'N/A', 'N/A', 14.114656895399094, 100.9493824839592, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VYYE', 'small_airport', 'Ye Airport', 15.301361, 97.864288, 30, 'MM', 'MM-15', 'Ye', 'no', 'VYYE', 'XYE', '', ''),
	('VYDW', 'medium_airport', 'Dawei Airport', 14.103899955749512, 98.20359802246094, 84, 'MM', 'MM-05', 'Dawei', 'yes', 'VYDW', 'TVY', '', ''),
	('VTBG', 'N/A', 'N/A', 14.12596508860588, 99.44796144962311, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTBK', 'medium_airport', 'Kamphaeng Saen Airport', 14.1020002365, 99.9171981812, 30, 'TH', 'TH-72', 'Nakhon Pathom', 'no', 'VTBK', 'KDT', '', ''),
	('VTZ9', 'N/A', 'N/A', 16.398559547960758, 101.11084431409836, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTPI', 'medium_airport', 'Takhli Airport', 15.277299881, 100.29599762, 107, 'TH', 'TH-60', '', 'no', 'VTPI', 'TKH', '', ''),
	('VTPP', 'medium_airport', 'Phitsanulok Airport', 16.7829, 100.278999, 154, 'TH', 'TH-65', 'Phitsanulok', 'yes', 'VTPP', 'PHS', '', ''),
	('VYDA', 'N/A', 'N/A', 14.614978060126305, 97.98230051994324, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VTV8', 'N/A', 'N/A', 14.441479705274105, 101.01402148604393, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTT2', 'N/A', 'N/A', 13.091610074043274, 100.96832200884819, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTBR', 'N/A', 'N/A', 13.573602698743343, 99.75296124815941, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTBN', 'small_airport', 'Prachuap Khiri Khan Airport', 12.417200088500977, 99.86940002441406, 0, 'TH', 'TH-77', 'Prachuap Khiri Khan', 'no', 'VTBN', '', '', ''),
	('VTBU', 'medium_airport', 'U-Tapao International Airport', 12.679900169372559, 101.00499725341797, 42, 'TH', 'TH-21', 'Rayong', 'yes', 'VTBU', 'UTP', '', 'Utapao, U-Taphao, U-Tapao Royal Thai Navy Airfield'),
	('VTPH', 'medium_airport', 'Hua Hin Airport', 12.6361999512, 99.951499939, 62, 'TH', 'TH-76', 'Hua Hin', 'yes', 'VTPH', 'HHQ', '', ''),
	('VTBF', 'N/A', 'N/A', 12.832573056221008, 100.9494298696518, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTW6', 'N/A', 'N/A', 12.388974912464619, 99.95683372020721, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTZ4', 'N/A', 'N/A', 12.871940173208714, 99.79335486888885, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTBD', 'large_airport', 'Don Mueang International Airport', 13.9125995636, 100.607002258, 9, 'TH', 'TH-10', 'Bangkok', 'yes', 'VTBD', 'DMK', '', 'Old Bangkok International Airport, Don Muang Royal Thai Air Force Base'),
	('VTBP', 'small_airport', 'Prachuap Airport', 11.788399696350098, 99.80470275878906, 10, 'TH', 'TH-77', '', 'no', 'VTBP', '', '', ''),
	('VTSU', 'N/A', 'N/A', 13.539645597338676, 100.32951459288597, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTBS', 'large_airport', 'Suvarnabhumi Airport', 13.681099891662598, 100.74700164794922, 5, 'TH', 'TH-10', 'Bangkok', 'yes', 'VTBS', 'BKK', '', ''),
	('VYPW', 'small_airport', 'Palaw Airport', 12.959289, 98.641627, 150, 'MM', 'MM-05', 'Palaw', 'no', 'VYPW', '', '', ''),
	('VTPD', 'N/A', 'N/A', 12.9212411865592, 101.18378430604935, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTV4', 'N/A', 'N/A', 13.140630461275578, 101.04698270559311, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VYME', 'medium_airport', 'Myeik Airport', 12.439800262451172, 98.62149810791016, 75, 'MM', 'MM-05', 'Mkeik', 'yes', 'VYME', 'MGZ', '', ''),
	('VTPA', 'N/A', 'N/A', 12.90256429463625, 100.93319937586784, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTV5', 'N/A', 'N/A', 12.893354259431362, 100.9600692987442, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTBT', 'small_airport', 'Bang Phra Airport', 13.232426, 100.956802, 90, 'TH', 'TH-20', 'Bang Phra', 'no', 'VTBT', '', '', ''),
	('VTLA', 'N/A', 'N/A', 13.86859841644764, 100.5938047170639, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTPR', 'small_airport', 'Photharam Airport', 13.668600082397461, 99.73139953613281, 88, 'TH', 'TH-70', 'Photharam', 'no', 'VTPR', '', '', ''),
	('VTX6', 'N/A', 'N/A', 13.393197320401669, 101.00635081529617, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTSN', 'medium_airport', 'Cha Eian Airport', 8.47115039825, 99.9555969238, 44, 'TH', 'TH-80', 'Nakhon Si Thammarat', 'no', 'VTSN', '', '', 'NST'),
	('VTSM', 'medium_airport', 'Samui Airport', 9.54779, 100.061996, 64, 'TH', 'TH-84', 'Na Thon (Ko Samui Island)', 'yes', 'VTSM', 'USM', '', ''),
	('VTSE', 'medium_airport', 'Chumphon Airport', 10.7112, 99.361702, 18, 'TH', 'TH-86', 'Chumphon', 'yes', 'VTSE', 'CJM', '', ''),
	('VTSB', 'medium_airport', 'Surat Thani Airport', 9.13259983063, 99.135597229, 20, 'TH', 'TH-84', 'Surat Thani', 'yes', 'VTSB', 'URT', '', ''),
	('VYBP', 'small_airport', 'Bokpyinn Airport', 11.1494, 98.735901, 100, 'MM', 'MM-05', 'Bokpyinn', 'no', 'VYBP', 'VBP', '', 'VY03, Toungkomei Airport, Taungkamet, Bokpyin, Bokopyin'),
	('VTSF', 'medium_airport', 'Nakhon Si Thammarat Airport', 8.539620399475098, 99.9447021484375, 13, 'TH', 'TH-80', 'Nakhon Si Thammarat', 'yes', 'VTSF', 'NST', '', 'ท่าอากาศยานนครศรีธรรมราช'),
	('VTSR', 'medium_airport', 'Ranong Airport', 9.77762, 98.585503, 57, 'TH', 'TH-85', 'Ranong', 'yes', 'VTSR', 'UNN', '', ''),
	('VYKT', 'medium_airport', 'Kawthoung Airport', 10.049300193786621, 98.53800201416016, 180, 'MM', 'MM-05', 'Kawthoung', 'yes', 'VYKT', 'KAW', '', ''),
	('VTSS', 'medium_airport', 'Hat Yai International Airport', 6.93320989609, 100.392997742, 90, 'TH', 'TH-90', 'Hat Yai', 'yes', 'VTSS', 'HDY', '', ''),
	('VTST', 'medium_airport', 'Trang Airport', 7.50874, 99.6166, 67, 'TH', 'TH-92', 'Trang', 'yes', 'VTST', 'TST', '', ''),
	('VTT5', 'N/A', 'N/A', 8.167942017316818, 99.713024944067, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WMKL', 'medium_airport', 'Langkawi International Airport', 6.329730033874512, 99.72869873046875, 29, 'MY', 'MY-02', 'Langkawi', 'yes', 'WMKL', 'LGK', '', ''),
	('VTSP', 'large_airport', 'Phuket International Airport', 8.1132, 98.316902, 82, 'TH', 'TH-83', 'Phuket', 'yes', 'VTSP', 'HKT', '', ''),
	('VTSG', 'medium_airport', 'Krabi Airport', 8.09912014008, 98.9861984253, 82, 'TH', 'TH-81', 'Krabi', 'yes', 'VTSG', 'KBV', '', ''),
	('VTSH', 'medium_airport', 'Songkhla Airport', 7.186560153961182, 100.60800170898438, 12, 'TH', 'TH-90', '', 'no', 'VTSH', 'SGZ', '', ''),
	('VTSA', 'small_airport', 'Khoun Khan Airport', 6.661399841308594, 100.08000183105469, 18, 'TH', 'TH-91', '', 'no', 'VTSA', '', '', ''),
	('WMKA', 'medium_airport', 'Sultan Abdul Halim Airport', 6.189670085906982, 100.39800262451172, 15, 'MY', 'MY-02', 'Alor Satar', 'yes', 'WMKA', 'AOR', '', ''),
	('VTSW', 'small_airport', 'Phuket Airpark', 8.018733, 98.40291, 20, 'TH', 'TH-83', 'Talang', 'no', 'VTSW', '', '', ''),
	('VTZ0', 'N/A', 'N/A', 5.781465992331505, 101.15908786654472, 210, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTSK', 'medium_airport', 'Pattani Airport', 6.78546, 101.153999, 8, 'TH', 'TH-94', '', 'no', 'VTSK', 'PAN', '', ''),
	('WMPA', 'small_airport', 'Pulau Pangkor Airport', 4.244719982147217, 100.5530014038086, 19, 'MY', 'MY-08', 'Pangkor Island', 'yes', 'WMPA', 'PKG', '', ''),
	('WMKB', 'medium_airport', 'RMAF Butterworth Air Base', 5.46592, 100.390999, 11, 'MY', 'MY-07', 'Butterworth', 'no', 'WMKB', 'BWH', '', 'RAF Butterworth'),
	('WMKP', 'medium_airport', 'Penang International Airport', 5.297140121459961, 100.2770004272461, 11, 'MY', 'MY-07', 'Penang', 'yes', 'WMKP', 'PEN', '', ''),
	('WMBI', 'small_airport', 'Taiping (Tekah) Airport', 4.866432, 100.715381, 40, 'MY', 'MY-08', 'Taiping', 'no', 'WMBI', 'TPG', '', ''),
	('WMKI', 'medium_airport', 'Sultan Azlan Shah Airport', 4.567969799041748, 101.09200286865234, 130, 'MY', 'MY-08', 'Ipoh', 'yes', 'WMKI', 'IPH', '', ''),
	('WMBA', 'small_airport', 'Sitiawan Airport', 4.2222, 100.6993, 25, 'MY', 'MY-08', 'Sitiawan', 'no', 'WMBA', 'SWY', '', ''),
	('WIMH', 'small_airport', 'Helvetia Airport', 3.68306, 98.644203, 49, 'ID', 'ID-SU', 'Medan', 'no', '', '', '', 'WIMH'),
	('WIMM', 'large_airport', 'Kualanamu International Airport', 3.637847, 98.870566, 23, 'ID', 'ID-SU', 'Medan', 'yes', 'WIMM', 'KNO', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WIMU', 'medium_airport', 'Alas Leuser Airport', 3.391456, 97.863726, 419, 'ID', 'ID-AC', 'Kutacane', 'yes', 'WIMU', 'LSR', '', ''),
	('WIMK', 'medium_airport', 'Soewondo Air Force Base', 3.558425, 98.672275, 114, 'ID', 'ID-SU', 'Medan', 'no', 'WIMK', 'MES', '', 'Polonia International Airport, WIMM'),
	('WIMP', 'small_airport', 'Sibisa Airport', 2.601944, 98.96389, 4234, 'ID', 'ID-SU', 'Parapat-Sumatra Island', 'no', 'WIMP', 'SIW', '', 'Parapat Airport, Ajibata'),
	('WANT', 'N/A', 'N/A', 0.5892511457204819, 97.71880120038986, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAGO', 'N/A', 'N/A', 2.2702398151159286, 97.96681344509125, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIMS', 'medium_airport', 'Dr. Ferdinand Lumban Tobing Airport', 1.557127, 98.887145, 33, 'ID', 'ID-SU', 'Sibolga (Pinangsori)', 'yes', 'WIMS', 'FLZ', '', 'Pinangsori Airport'),
	('WIME', 'medium_airport', 'Aek Godang Airport', 1.4001, 99.430496, 922, 'ID', 'ID-SU', 'Padang Sidempuan', 'yes', 'WIME', 'AEG', '', ''),
	('WIBG', 'N/A', 'N/A', 0.8466667681932449, 100.37027791142464, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIMB', 'medium_airport', 'Binaka Airport', 1.16628, 97.704327, 20, 'ID', 'ID-SU', 'Gunungsitoli', 'yes', 'WIMB', 'GNS', '', ''),
	('WIMN', 'small_airport', 'Silangit Airport', 2.25973, 98.991898, 4700, 'ID', 'ID-SU', 'Siborong-Borong', 'yes', 'WIMN', 'DTB', '', 'Lake Toba, North Tapanuli'),
	('VLLB', 'medium_airport', 'Luang Phabang International Airport', 19.897300720214844, 102.16100311279297, 955, 'LA', 'LA-LP', 'Luang Phabang', 'yes', 'VLLB', 'LPQ', '', ''),
	('PCQ', 'small_airport', 'Boun Neau Airport', 21.6475, 101.9, 3050, 'LA', 'LA-PH', 'Phongsaly', 'no', 'VLFL', 'PCQ', '', 'Baun Neua, Bounneua, Bun Nua, Boun Nua'),
	('VLSN', 'medium_airport', 'Sam Neua Airport', 20.4184, 104.067001, 3281, 'LA', 'LA-HO', '', 'no', 'VLSN', 'NEU', '', ''),
	('VVCO', 'N/A', 'N/A', 21.73209697008133, 104.854476749897, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VLOS', 'small_airport', 'Oudomsay Airport', 20.68269920349121, 101.99400329589844, 1804, 'LA', 'LA-OU', 'Oudomsay', 'yes', 'VLOS', 'ODY', '', ''),
	('VLLN', 'small_airport', 'Luang Namtha Airport', 20.966999, 101.400002, 1968, 'LA', 'LA-LM', 'Luang Namtha', 'yes', 'VLLN', 'LXG', '', ''),
	('VVNS', 'small_airport', 'Na San Airport', 21.215301, 104.032803, 2133, 'VN', 'VN-NW', 'Mai Son', 'no', 'VVNS', 'SQH', '', ''),
	('VTPS', 'N/A', 'N/A', 18.06732438504696, 102.91088506579399, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTUD', 'medium_airport', 'Udon Thani Airport', 17.386400222800003, 102.788002014, 579, 'TH', 'TH-41', 'Udon Thani', 'yes', 'VTUD', 'UTH', '', ''),
	('VTT0', 'N/A', 'N/A', 17.522023916244507, 103.55117619037628, 163, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VLPV', 'small_airport', 'Phonesavanh Airport', 19.45490074157715, 103.21800231933594, 3628, 'LA', 'LA-XI', '', 'no', 'VLPV', '', '', ''),
	('VTUL', 'medium_airport', 'Loei Airport', 17.43910026550293, 101.72200012207031, 860, 'TH', 'TH-42', '', 'yes', 'VTUL', 'LOE', '', ''),
	('VTUI', 'medium_airport', 'Sakon Nakhon Airport', 17.195100784301758, 104.11900329589844, 529, 'TH', 'TH-47', '', 'yes', 'VTUI', 'SNO', '', ''),
	('VLSB', 'small_airport', 'Sayaboury Airport', 19.2436, 101.7093, 962, 'LA', 'LA-XA', 'Sainyabuli', 'no', 'VLSB', 'ZBY', '', ''),
	('VLTK', 'small_airport', 'Thakhek Airport', 17.377917, 104.857378, 449, 'LA', 'LA-KH', 'Thakhek', 'no', 'VLTK', 'THK', '', ''),
	('VTX5', 'N/A', 'N/A', 17.38750509917736, 101.30929693579674, 627, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTW8', 'N/A', 'N/A', 17.455099783837795, 104.04755428433418, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VLXK', 'small_airport', 'Xieng Khouang Airport', 19.450001, 103.157997, 3445, 'LA', 'LA-XI', 'Xieng Khouang', 'yes', 'VLXK', 'XKH', '', ''),
	('VLVT', 'medium_airport', 'Wattay International Airport', 17.988300323500003, 102.56300354, 564, 'LA', 'LA-VT', 'Vientiane', 'yes', 'VLVT', 'VTE', '', ''),
	('VLVV', 'N/A', 'N/A', 18.924967758357525, 102.45055228471756, 244, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTUW', 'medium_airport', 'Nakhon Phanom Airport', 17.383801, 104.642998, 587, 'TH', 'TH-48', 'Nakhon Phanom', 'yes', 'VTUW', 'KOP', '', ''),
	('VVPO', 'N/A', 'N/A', 18.18286757916212, 104.97540548443794, 527, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTUO', 'medium_airport', 'Buri Ram Airport', 15.2295, 103.252998, 590, 'TH', 'TH-31', 'Buriram', 'yes', 'VTUO', 'BFV', '', ''),
	('VTUJ', 'medium_airport', 'Surin Airport', 14.868300437927, 103.49800109863, 478, 'TH', 'TH-32', 'Surin', 'yes', 'VTUJ', 'PXR', '', 'Surin Bhakdi Airport'),
	('VTUK', 'medium_airport', 'Khon Kaen Airport', 16.466600418099997, 102.783996582, 670, 'TH', 'TH-40', 'Khon Kaen', 'yes', 'VTUK', 'KKC', '', ''),
	('VTPL', 'small_airport', 'Sak Long Airport', 16.824301, 101.250999, 500, 'TH', 'TH-67', '', 'no', 'VTPL', '', '', ''),
	('VTUC', 'N/A', 'N/A', 15.770579315721989, 101.9503153860569, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTBI', 'small_airport', 'Khao E To Airport', 14.0778, 101.379997, 80, 'TH', 'TH-25', 'Prachin Buri', 'no', 'VTBI', '', '', ''),
	('VTZ5', 'N/A', 'N/A', 14.631356298923492, 101.46566927433014, 346, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTUU', 'medium_airport', 'Ubon Ratchathani Airport', 15.2512998581, 104.870002747, 406, 'TH', 'TH-34', 'Ubon Ratchathani', 'yes', 'VTUU', 'UBP', '', ''),
	('VTPK', 'N/A', 'N/A', 14.163616597652435, 101.33718341588974, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTUN', 'small_airport', 'Khorat Airport', 14.9345, 102.079002, 729, 'TH', 'TH-30', 'Nakhon Ratchasima', 'no', 'VTUN', '', '', 'Korat Air Base'),
	('VTUQ', 'medium_airport', 'Nakhon Ratchasima Airport', 14.9495, 102.313004, 765, 'TH', 'TH-30', 'Chaloem Phra Kiat', 'no', 'VTUQ', 'NAK', '', ''),
	('VLSK', 'medium_airport', 'Savannakhet Airport', 16.55660057067871, 104.76000213623047, 509, 'LA', 'LA-SV', '', 'no', 'VLSK', 'ZVK', '', ''),
	('VT85', 'N/A', 'N/A', 16.65251847356558, 102.96778544783592, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTUV', 'medium_airport', 'Roi Et Airport', 16.1168, 103.774002, 451, 'TH', 'TH-45', 'Roi Et', 'yes', 'VTUV', 'ROI', '', ''),
	('VTLE', 'N/A', 'N/A', 16.159625686705112, 104.59326580166817, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTUR', 'small_airport', 'Rob Muang Airport', 16.07040023803711, 103.64600372314453, 459, 'TH', 'TH-45', '', 'no', 'VTUR', '', '', ''),
	('Z28Q', 'N/A', 'N/A', 14.954212121665478, 102.07376584410667, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTY6', 'N/A', 'N/A', 14.643235132098198, 101.30524188280106, 390, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTY3', 'N/A', 'N/A', 14.577114656567574, 101.25169470906258, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('VDSI', 'N/A', 'N/A', 13.352164216339588, 103.89991387724876, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VDKH', 'medium_airport', 'Kampong Chhnang Airport', 12.255032, 104.564657, 56, 'KH', 'KH-4', 'Kampong Chhnang', 'no', 'VDKH', 'KZC', '', ''),
	('VTY5', 'N/A', 'N/A', 12.709785886108875, 101.6307981312275, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VDPP', 'large_airport', 'Phnom Penh International Airport', 11.5466, 104.844002, 40, 'KH', 'KH-12', 'Phnom Penh (Pou Senchey)', 'yes', 'VDPP', 'PNH', '', 'Pochentong International Airport'),
	('VTBC', 'N/A', 'N/A', 12.632261328399181, 102.02598541975021, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMY', 'small_airport', 'Preah Vinhear Airport', 13.7597, 104.97173, 350, 'KH', 'KH-13', 'Tbeng Meanchey', 'no', '', 'OMY', '', ''),
	('VTTR', 'N/A', 'N/A', 12.25411243736744, 102.5184814631939, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VDKK', 'small_airport', 'Koh Kong Airport', 11.613397, 102.997084, 0, 'KH', 'KH-9', 'Krong Khemara Phoumin', 'no', 'VDKK', 'KKZ', '', ''),
	('VTKO', 'N/A', 'N/A', 11.717267632484436, 102.52018466591835, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTBW', 'small_airport', 'Watthana Nakhon Airport', 13.769203, 102.316017, 200, 'TH', 'TH-27', 'Watthana Nakhon', 'no', 'VTBW', '', '', ''),
	('PMM', 'small_airport', 'Ingenio Manuelita Airport', 3.598889, -76.303611, 3310, 'CO', 'CO-VAC', 'Palmira', 'no', '', '', 'PMM', ''),
	('VDSY', 'small_airport', 'Krakor Airport', 12.5385, 104.1486, 62, 'KH', 'KH-15', 'Krakor', 'no', 'VDSY', 'KZD', '', ''),
	('VTKA', 'N/A', 'N/A', 14.02306281030178, 101.70362681150436, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VDSR', 'closed', 'Siem Reap International Airport', 13.41155, 103.813044, 60, 'KH', 'KH-17', 'Siem Reap', 'yes', '', '', '', 'Angkor International Airport, REP, VDSR'),
	('VTKC', 'N/A', 'N/A', 12.0524388179183, 102.29695782065392, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VTBO', 'medium_airport', 'Trat Airport', 12.2746, 102.319, 105, 'TH', 'TH-23', 'Laem Ngop', 'yes', 'VTBO', 'TDX', '', ''),
	('VTY4', 'N/A', 'N/A', 13.39386485517025, 101.32055550813675, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VDBG', 'medium_airport', 'Battambang Airport', 13.0956, 103.223999, 59, 'KH', 'KH-2', 'Battambang', 'yes', 'VDBG', 'BBM', '', ''),
	('VDSV', 'small_airport', 'Sihanoukville International Airport', 10.569498, 103.631001, 33, 'KH', 'KH-18', 'Preah Sihanouk', 'yes', 'VDSV', 'KOS', '', 'Kompong Som'),
	('VVPQ', 'medium_airport', 'Phu Quoc International Airport', 10.1698, 103.9931, 37, 'VN', 'VN-SW', 'Phu Quoc Island', 'yes', 'VVPQ', 'PQC', '', ''),
	('WMKC', 'medium_airport', 'Sultan Ismail Petra Airport', 6.1668500900268555, 102.29299926757813, 16, 'MY', 'MY-03', 'Kota Baharu', 'yes', 'WMKC', 'KBR', '', ''),
	('WMPR', 'small_airport', 'LTS Pulau Redang Airport', 5.764804, 103.004942, 36, 'MY', 'MY-11', 'Redang', 'no', 'WMPR', 'RDN', '', ''),
	('VTSC', 'medium_airport', 'Narathiwat Airport', 6.5199198722839355, 101.74299621582031, 16, 'TH', 'TH-96', '', 'yes', 'VTSC', 'NAW', '', ''),
	('WMBT', 'medium_airport', 'Tioman Airport', 2.81818, 104.160004, 15, 'MY', 'MY-06', 'Tioman Island', 'yes', 'WMBT', 'TOD', '', 'Kampung Tekek, Sultan Ahmad Shah'),
	('WMKE', 'medium_airport', 'Kerteh Airport', 4.53722, 103.427002, 18, 'MY', 'MY-11', 'Kerteh', 'no', 'WMKE', 'KTE', '', ''),
	('WMKN', 'medium_airport', 'Sultan Mahmud Airport', 5.3826398849487305, 103.10299682617188, 21, 'MY', 'MY-11', 'Kuala Terengganu', 'yes', 'WMKN', 'TGG', '', ''),
	('WMAN', 'small_airport', 'Sungai Tiang Airport', 4.330277919769287, 102.3949966430664, 10, 'MY', 'MY-06', 'Taman Negara', 'no', 'WMAN', 'SXT', '', ''),
	('WMSA', 'medium_airport', 'Sultan Abdul Aziz Shah International Airport', 3.130579948425293, 101.54900360107422, 90, 'MY', 'MY-10', 'Subang', 'yes', 'WMSA', 'SZB', '', ''),
	('WMPU', 'N/A', 'N/A', 2.902698665857315, 101.66623681783676, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WMKD', 'medium_airport', 'Kuantan Airport', 3.7753899097442627, 103.20899963378906, 58, 'MY', 'MY-06', 'Kuantan', 'yes', 'WMKD', 'KUA', '', ''),
	('WMKF', 'small_airport', 'Simpang Airport', 3.1122500896453857, 101.7030029296875, 111, 'MY', 'MY-14', 'Kuala Lumpur', 'no', 'WMKF', '', '', ''),
	('WSAP', 'medium_airport', 'Paya Lebar Air Base', 1.36042, 103.910004, 65, 'SG', 'SG-04', 'Paya Lebar', 'no', 'WSAP', 'QPG', '', ''),
	('WIDD', 'medium_airport', 'Hang Nadim International Airport', 1.12103, 104.119003, 126, 'ID', 'ID-KR', 'Batam', 'yes', 'WIDD', 'BTH', '', 'WIKB'),
	('WMKJ', 'medium_airport', 'Senai International Airport', 1.64131, 103.669998, 135, 'MY', 'MY-01', 'Johor Bahru', 'yes', 'WMKJ', 'JHB', '', 'Sultan Ismail Airport'),
	('WSAG', 'medium_airport', 'Sembawang Air Base', 1.42526, 103.813004, 86, 'SG', 'SG-03', 'Sembawang', 'no', 'WSAG', '', '', 'RAF Sembawang, HMS Simbang'),
	('WMAZ', 'small_airport', 'Segamat Airport', 2.498023, 102.839756, 50, 'MY', 'MY-01', 'Segamat', 'no', 'WMAZ', '', '', ''),
	('WSSI', 'N/A', 'N/A', 1.2054688856005669, 103.71923312544823, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WMKK', 'large_airport', 'Kuala Lumpur International Airport', 2.74558, 101.709999, 69, 'MY', 'MY-10', 'Sepang', 'yes', 'WMKK', 'KUL', '', 'KLIA'),
	('WMAU', 'small_airport', 'Mersing Airport', 2.389148, 103.874183, 10, 'MY', 'MY-01', 'Mersing', 'no', 'WMAU', 'MEP', '', ''),
	('WSAC', 'medium_airport', 'Changi Air Base (East)', 1.3441400528, 104.009002686, 22, 'SG', 'SG-04', 'Singapore', 'no', 'WSAC', '', '', ''),
	('WIDN', 'small_airport', 'Raja Haji Fisabilillah International Airport', 0.92397, 104.53341, 52, 'ID', 'ID-KR', 'Tanjung Pinang-Bintan Island', 'yes', 'WIDN', 'TNJ', '', 'WIKN'),
	('WSSS', 'large_airport', 'Singapore Changi Airport', 1.35019, 103.994003, 22, 'SG', 'SG-04', 'Singapore', 'yes', 'WSSS', 'SIN', '', 'RAF Changi'),
	('WIDT', 'N/A', 'N/A', 1.0500000044703484, 103.38333338499069, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WMAP', 'medium_airport', 'Kluang Airport', 2.04138994217, 103.306999207, 150, 'MY', 'MY-01', 'Kluang', 'no', 'WMAP', '', '', ''),
	('WMAV', 'small_airport', 'Muar / Bakri Airport', 2.05215, 102.65795, 20, 'MY', 'MY-01', 'Muar', 'no', 'WMAV', '', '', ''),
	('WIBB', 'medium_airport', 'Sultan Syarif Kasim II International Airport / Roesmin Nurjadin AFB', 0.458647, 101.444321, 102, 'ID', 'ID-RI', 'Pekanbaru', 'yes', 'WIBB', 'PKU', '', 'Simpang Tiga'),
	('WIBL', 'small_airport', 'Sultan Syarif Haroen Setia Negara Airport', 0.499262, 101.923391, 42, 'ID', 'ID-RI', 'Pangkalan Kerinci', 'no', 'WIBL', '', '', 'Pelalawan'),
	('WMSK', 'N/A', 'N/A', 1.4310084655880928, 103.61902445554733, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WSSL', 'medium_airport', 'Seletar Airport', 1.41555, 103.86673, 36, 'SG', 'SG-02', 'Seletar', 'yes', 'WSSL', 'XSP', '', ''),
	('WIBS', 'small_airport', 'Sungai Pakning Bengkalis Airport', 1.37, 102.139999, 3, 'ID', 'ID-RI', 'Bengkalis-Sumatra Island', 'no', 'WIBS', 'SEQ', '', ''),
	('WIBD', 'medium_airport', 'Pinang Kampai Airport', 1.609114, 101.433492, 55, 'ID', 'ID-RI', 'Dumai', 'yes', 'WIBD', 'DUM', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WSAT', 'medium_airport', 'Tengah Air Base', 1.387561, 103.708291, 50, 'SG', 'SG-03', 'Western Water Catchment', 'no', 'WSAT', 'TGA', '', 'RAF Tengah'),
	('VVTX', 'small_airport', 'Tho Xuan Airport', 19.901667, 105.467778, 59, 'VN', 'VN-NC', 'Thanh Hóa', 'yes', 'VVTX', 'THD', '', 'Bai Thuong'),
	('VV03', 'small_airport', 'Haiphong Kien An Airport', 20.8034, 106.605003, 50, 'VN', 'VN-RRD', 'Haiphong (Kien An)', 'no', '', '', '', ''),
	('VVNB', 'large_airport', 'Noi Bai International Airport', 21.221201, 105.806999, 39, 'VN', 'VN-RRD', 'Hanoi (Soc Son)', 'yes', 'VVNB', 'HAN', '', 'Noibai Airport, Sân bay Quốc tế Nội Bài'),
	('ZBAH', 'N/A', 'N/A', 22.12057638913393, 107.12536454200745, 130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VVGL', 'medium_airport', 'Gia Lam Air Base', 21.040501, 105.886002, 50, 'VN', 'VN-RRD', 'Hanoi  (Long Bien)', 'no', 'VVGL', '', '', ''),
	('VVCI', 'medium_airport', 'Cat Bi International Airport', 20.81686, 106.722994, 6, 'VN', 'VN-RRD', 'Haiphong (Hai An)', 'yes', 'VVCI', 'HPH', '', 'Catbi Airport'),
	('VVKP', 'small_airport', 'Kep Air Base', 21.3946, 106.261002, 55, 'VN', 'VN-NE', 'Kep', 'no', 'VVKP', '', '', ''),
	('VVPD', 'N/A', 'N/A', 21.036183089017868, 105.49256309866905, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VLSP', 'small_airport', 'Sepon Airport', 16.95917, 105.98167, 702, 'LA', 'LA-SV', '', 'no', 'VLSP', '', '', ''),
	('VVDH', 'N/A', 'N/A', 17.515277825295925, 106.5908333659172, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VVVH', 'medium_airport', 'Vinh Airport', 18.7376003265, 105.67099762, 23, 'VN', 'VN-NC', 'Vinh', 'yes', 'VVVH', 'VII', '', ''),
	('VVCA', 'small_airport', 'Chu Lai Airport', 15.4033, 108.706001, 10, 'VN', 'VN-SCC', 'Tam Nghĩa', 'yes', 'VVCA', 'VCL', '', 'chu lai air base'),
	('VLPS', 'medium_airport', 'Pakse International Airport', 15.132100105285645, 105.78099822998047, 351, 'LA', 'LA-CH', 'Pakse', 'yes', 'VLPS', 'PKZ', '', ''),
	('Z19N', 'N/A', 'N/A', 16.67177975177765, 105.01029253005981, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VLSV', 'small_airport', 'Saravane Airport', 15.709439207700001, 106.410698891, 574, 'LA', 'LA-SL', 'Saravane', 'no', 'VLSV', 'VNA', '', ''),
	('VVPB', 'medium_airport', 'Phu Bai International Airport', 16.400628, 107.703094, 48, 'VN', 'VN-NC', 'Huế', 'yes', 'VVPB', 'HUI', '', 'Phubai'),
	('VVDN', 'medium_airport', 'Da Nang International Airport', 16.0439, 108.198997, 33, 'VN', 'VN-SCC', 'Da Nang', 'yes', 'VVDN', 'DAD', '', 'Danang, Cảng Hàng không Quốc tế Đà Nẵng'),
	('VDRK', 'medium_airport', 'Ratanakiri Airport', 13.729999542236328, 106.98699951171875, 0, 'KH', 'KH-16', 'Ratanakiri', 'no', 'VDRK', 'RBE', '', ''),
	('VVCL', 'closed', 'Cam Ly Airport', 11.950284, 108.411005, 4937, 'VN', 'VN-CH', '', 'no', '', '', '', 'VVCL, VVCL'),
	('VDST', 'heliport', 'Stung Treng Airport', 13.5319, 106.014999, 203, 'KH', 'KH-19', 'Stung Treng', 'no', 'VDST', 'TNX', '', ''),
	('VVBM', 'medium_airport', 'Buon Ma Thuot Airport', 12.668299675, 108.120002747, 1729, 'VN', 'VN-CH', 'Buon Ma Thuot', 'yes', 'VVBM', 'BMV', '', ''),
	('VDMK', 'small_airport', 'Mondulkiri Airport', 12.463648, 107.187252, 0, 'KH', 'KH-11', 'Sen Monorom', 'no', 'VDMK', 'MWV', '', ''),
	('VVDL', 'medium_airport', 'Lien Khuong Airport', 11.75, 108.366997, 3156, 'VN', 'VN-CH', 'Da Lat', 'yes', 'VVDL', 'DLI', '', 'Lienkhang'),
	('VDKC', 'small_airport', 'Kampong Cham Airport', 12.028657, 105.441165, 148, 'KH', 'KH-3', 'Kompong Cham', 'no', 'VDKC', '', '', ''),
	('VDKT', 'closed', 'Kratie Airport', 12.489017, 106.05469, 102, 'KH', 'KH-10', 'Kratie', 'no', '', '', '', 'KTI, VDKT'),
	('VVPK', 'medium_airport', 'Pleiku Airport', 14.004500389099121, 108.01699829101563, 2434, 'VN', 'VN-CH', 'Pleiku', 'yes', 'VVPK', 'PXU', '', ''),
	('VVPG', 'N/A', 'N/A', 11.300486214458942, 106.79192081093788, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VVBU', 'N/A', 'N/A', 11.820005290210247, 106.96279808878899, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VVCM', 'medium_airport', 'Cà Mau Airport', 9.177667, 105.177778, 6, 'VN', 'VN-SW', 'Ca Mau City', 'yes', 'VVCM', 'CAH', '', 'Moranc Airfield, Quan Long Airport'),
	('SOA', 'small_airport', 'Sóc Trăng Airport', 9.5814, 105.9602, 20, 'VN', 'VN-SW', 'Sóc Trăng', 'no', '', 'SOA', '', ''),
	('VVCN', 'N/A', 'N/A', 10.05108643323183, 105.76219439506531, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VVCT', 'medium_airport', 'Can Tho International Airport', 10.0851, 105.711998, 9, 'VN', 'VN-SW', 'Can Tho', 'yes', 'VVCT', 'VCA', '', 'Binh Thuy Air Base, Trà Nóc Airport'),
	('VV02', 'small_airport', 'Bien Hoa Air Base', 10.9766998291, 106.818000793, 79, 'VN', 'VN-SE', 'Bien Hoa', 'no', '', '', '', ''),
	('VVLO', 'N/A', 'N/A', 10.836474113166332, 106.95992723107338, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VVVT', 'small_airport', 'Vung Tau Airport', 10.375093, 107.096185, 13, 'VN', 'VN-SE', 'Vũng Tàu', 'no', 'VVVT', 'VTG', '', 'CSJ, Cap Saint Jacques Airfield, Vung Tau Air Base'),
	('VVCS', 'medium_airport', 'Con Dao Airport', 8.73183, 106.633003, 20, 'VN', 'VN-SE', 'Con Dao', 'yes', 'VVCS', 'VCS', '', 'Conson Airport'),
	('VVTS', 'large_airport', 'Tan Son Nhat International Airport', 10.8188, 106.652, 33, 'VN', 'VN-SE', 'Ho Chi Minh City', 'yes', 'VVTS', 'SGN', '', 'Tansonnhat, Sài Gòn, Saigon, Sân bay Quốc tế Tân Sơn Nhất, Tan Son Nhut Air Base, Tan Son Nhut Airfield'),
	('VVRG', 'medium_airport', 'Rach Gia Airport', 9.95802997234, 105.132379532, 7, 'VN', 'VN-SW', 'Rach Gia', 'yes', 'VVRG', 'VKG', '', ''),
	('WIDL', 'small_airport', 'Letung Airport', 2.96447, 105.75484, 33, 'ID', 'ID-KR', 'Bukit Padi', 'no', 'WIDL', 'LMU', '', ''),
	('WIDM', 'small_airport', 'Matak Airport', 3.34812, 106.258003, 10, 'ID', 'ID-KR', 'Palmatak', 'no', 'WIDM', 'MWK', '', 'WIOM, Medco E&P Natuna, Taremba'),
	('WIDO', 'N/A', 'N/A', 3.9061110466718674, 108.38805556297302, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZGZJ', 'closed', 'Zhanjiang Xintang Airport', 21.21469, 110.358406, 125, 'CN', 'CN-44', 'Zhanjiang (Xiashan)', 'no', '', '', '', 'ZHA, ZGZJ'),
	('ZGBH', 'medium_airport', 'Beihai Fucheng Airport', 21.5394, 109.293999, 75, 'CN', 'CN-45', 'Beihai (Yinhai)', 'yes', 'ZGBH', 'BHY', '', ''),
	('ZJHK', 'large_airport', 'Haikou Meilan International Airport', 19.9349, 110.459, 75, 'CN', 'CN-46', 'Haikou (Meilan)', 'yes', 'ZJHK', 'HAK', '', 'ZGHK'),
	('ZSUU', 'N/A', 'N/A', 21.396240815520287, 110.19930928945541, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZGYJ', 'small_airport', 'Yangjiang Heshan Airport', 21.961895, 112.102408, 33, 'CN', 'CN-44', 'Yangjiang', 'no', 'ZGYJ', '', '', ''),
	('ZJIA', 'N/A', 'N/A', 19.698243252933025, 109.72643405199051, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZDAN', 'N/A', 'N/A', 18.690619133412838, 109.15955990552902, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZJSY', 'large_airport', 'Sanya Phoenix International Airport', 18.3029, 109.412003, 92, 'CN', 'CN-46', 'Sanya (Tianya)', 'yes', 'ZJSY', 'SYX', '', ''),
	('ZWEN', 'N/A', 'N/A', 18.49622804671526, 109.98810768127441, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ZFEG', 'N/A', 'N/A', 18.287111967802048, 109.46267142891884, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VVPR', 'small_airport', 'Phan Rang Airport', 11.6335, 108.952003, 101, 'VN', 'VN-SCC', 'Phan Rang', 'no', 'VVPR', 'PHA', '', ''),
	('VVTH', 'medium_airport', 'Dong Tac Airport', 13.0496, 109.334, 20, 'VN', 'VN-SCC', 'Tuy Hoa', 'yes', 'VVTH', 'TBB', '', ''),
	('VVCR', 'medium_airport', 'Cam Ranh International Airport / Cam Ranh Air Base', 11.9982, 109.219002, 40, 'VN', 'VN-SCC', 'Cam Ranh', 'yes', 'VVCR', 'CXR', '', ''),
	('VVPC', 'medium_airport', 'Phu Cat Airport', 13.955, 109.042, 80, 'VN', 'VN-SCC', 'Quy Nohn', 'yes', 'VVPC', 'UIH', '', 'Phucat'),
	('VVNT', 'closed', 'Nha Trang Air Base', 12.2275, 109.192001, 20, 'VN', 'VN-SCC', 'Nha Trang', 'no', '', '', '', 'Nhatrang, BA 194, VVNT, NHA'),
	('WBGK', 'medium_airport', 'Mukah Airport', 2.881944, 112.043333, 20, 'MY', 'MY-13', 'Mukah', 'yes', 'WBGK', 'MKM', '', ''),
	('WIOI', 'small_airport', 'Singkawang Airport', 1.0756800174713135, 109.68800354003906, 276, 'ID', 'ID-KB', 'Sinkawang-Borneo Island', 'no', 'WIOI', '', '', ''),
	('WBGN', 'small_airport', 'Sematan Airport', 1.812678, 109.765391, 22, 'MY', 'MY-13', 'Sematan', 'no', 'WBGN', 'BSE', '', ''),
	('WIOS', 'medium_airport', 'Susilo Airport', 0.063851, 111.473572, 98, 'ID', 'ID-KB', 'Sintang', 'no', '', '', '', 'SQG, WIOS'),
	('WABE', 'N/A', 'N/A', 0.9200694411993027, 109.91580203175545, 724, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WBGT', 'small_airport', 'Tanjung Manis Airport', 2.17784, 111.202003, 15, 'MY', 'MY-13', 'Belawai', 'no', 'WBTM', 'TGC', '', ''),
	('WIOY', 'N/A', 'N/A', 0.8779999986290932, 109.8259998857975, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WBGG', 'medium_airport', 'Kuching International Airport', 1.487364, 110.352859, 89, 'MY', 'MY-13', 'Kuching', 'yes', 'WBGG', 'KCH', '', ''),
	('WBGS', 'medium_airport', 'Sibu Airport', 2.2616, 111.985001, 122, 'MY', 'MY-13', 'Sibu', 'yes', 'WBGS', 'SBW', '', ''),
	('WABN', 'small_airport', 'Kokonao Airport', -4.71075, 136.43515, 59, 'ID', 'ID-PT', 'Kokonao', 'no', 'WAYK', 'KOX', '', 'WABN, Kokonau'),
	('WMKU', 'N/A', 'N/A', 1.0215699300169945, 110.0507578253746, 550, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WACC', 'N/A', 'N/A', 0.7969637587666512, 109.33163121342659, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VHSK', 'medium_airport', 'Shek Kong Air Base', 22.4366, 114.080002, 50, 'HK', 'HK-NT', 'Islands', 'no', 'VHSK', '', '', 'Yuen Long Airport, RAF Sek Kong, 石崗機場'),
	('ZGUH', 'N/A', 'N/A', 22.252019718289375, 113.59028980135918, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VMMC', 'large_airport', 'Macau International Airport', 22.149599, 113.592003, 20, 'MO', 'MO-CAR', 'Nossa Senhora do Carmo', 'yes', 'VMMC', 'MFM', '', '澳門國際機場'),
	('VHHH', 'large_airport', 'Hong Kong International Airport', 22.308901, 113.915001, 28, 'HK', 'HK-NT', 'Hong Kong', 'yes', 'VHHH', 'HKG', '', 'Chek Lap Kok Airport, 赤鱲角機場'),
	('LAC', 'small_airport', 'Layang-Layang Airport', 7.37157, 113.844002, 7, 'MY', 'MY-12', 'Pulau Layang-Layang (Swallow Reef)', 'no', '', 'LAC', '', 'Pulau Layang-Layang, Swallow Reef, Layang-Layang Atoll'),
	('WBKK', 'medium_airport', 'Kota Kinabalu International Airport', 5.932743, 116.049324, 10, 'MY', 'MY-12', 'Kota Kinabalu', 'yes', 'WBKK', 'BKI', '', 'Lapangan Terbang Antarabangsa Kota Kinabalu, Jesselton Airfield'),
	('WBGQ', 'small_airport', 'Bakalalan Airport', 3.974, 115.617996, 2900, 'MY', 'MY-13', 'Bakalalan', 'yes', 'WBGQ', 'BKM', '', ''),
	('WBGF', 'small_airport', 'Long Lellang Airport', 3.4210000038099997, 115.153999329, 1400, 'MY', 'MY-13', 'Long Datih', 'yes', 'WBGF', 'LGL', '', ''),
	('WBSB', 'large_airport', 'Brunei International Airport', 4.9442, 114.928001, 73, 'BN', 'BN-BM', 'Bandar Seri Begawan', 'yes', 'WBSB', 'BWN', '', ''),
	('WBGM', 'medium_airport', 'Marudi Airport', 4.178734, 114.330318, 103, 'MY', 'MY-13', 'Marudi', 'yes', 'WBGM', 'MUR', '', ''),
	('WBAK', 'small_airport', 'Anduki Airport', 4.635158, 114.378748, 7, 'BN', 'BN-BE', 'Seria', 'yes', 'WBAK', '', '', 'Anduke, Kuala Belait'),
	('WBKG', 'small_airport', 'Keningau Airport', 5.355487, 116.164884, 1036, 'MY', 'MY-12', 'Keningau', 'no', 'WBKG', 'KGU', '', ''),
	('WALZ', 'N/A', 'N/A', 3.20226788520813, 115.40188908576965, 436, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKV', 'N/A', 'N/A', 4.304058998823166, 116.21746256947517, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WBKU', 'small_airport', 'Kuala Penyu Airport', 5.597195, 115.582695, 6, 'MY', 'MY-12', 'Kuala Penyu', 'no', 'WBKU', '', '', ''),
	('WMBN', 'N/A', 'N/A', 3.17224457859993, 113.04465606808662, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKY', 'N/A', 'N/A', 3.7149741500616074, 115.85088953375816, 807, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WBGR', 'medium_airport', 'Miri Airport', 4.32201, 113.987, 59, 'MY', 'MY-13', 'Miri', 'yes', 'WBGR', 'MYY', '', ''),
	('WAKH', 'N/A', 'N/A', 3.7982721626758575, 115.70633590221405, 961, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAQU', 'N/A', 'N/A', 3.6116038262844086, 115.69923430681229, 885, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WBGU', 'small_airport', 'Long Sukang Airport', 4.55222, 115.494003, 1200, 'MY', 'MY-13', 'Long Sukang', 'no', 'WBGU', 'LSU', '', ''),
	('WBGJ', 'medium_airport', 'Limbang Airport', 4.808300018310547, 115.01000213623047, 14, 'MY', 'MY-13', 'Limbang', 'yes', 'WBGJ', 'LMN', '', ''),
	('WANB', 'N/A', 'N/A', 3.5586808249354362, 115.55605888366699, 977, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WBMU', 'medium_airport', 'Mulu Airport', 4.048329830169678, 114.80500030517578, 80, 'MY', 'MY-13', 'Mulu', 'yes', 'WBMU', 'MZV', '', ''),
	('WAQJ', 'N/A', 'N/A', 3.900471366941929, 115.69011300802231, 946, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WBKL', 'medium_airport', 'Labuan Airport', 5.300680160522461, 115.25, 101, 'MY', 'MY-15', 'Labuan', 'yes', 'WBKL', 'LBU', '', ''),
	('WBGB', 'medium_airport', 'Bintulu Airport', 3.12385010719, 113.019996643, 74, 'MY', 'MY-13', 'Bintulu', 'yes', 'WBGB', 'BTU', '', ''),
	('WMLU', 'closed', 'Lutong Airport', 4.454601, 114.003518, 16, 'MY', 'MY-13', 'Lutong', 'no', '', '', '', 'WMLU, WMLU'),
	('WBGL', 'small_airport', 'Long Akah Airport', 3.310909, 114.785553, 289, 'MY', 'MY-13', 'Long Akah', 'no', 'WBGL', 'LKH', '', ''),
	('WBGI', 'small_airport', 'Long Seridan Airport', 3.976087, 115.067303, 607, 'MY', 'MY-13', 'Long Seridan', 'yes', 'WBGI', 'ODN', '', ''),
	('WASJ', 'N/A', 'N/A', 1.4040502533316612, 115.32592669129372, 522, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAQL', 'N/A', 'N/A', 1.7057380825281143, 114.97004047036171, 646, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIOP', 'medium_airport', 'Pangsuma Airport', 0.8355780243873596, 112.93699645996094, 297, 'ID', 'ID-KB', 'Putussibau-Borneo Island', 'yes', 'WIOP', 'PSU', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WALN', 'N/A', 'N/A', 1.7992864921689034, 114.90435808897018, 591, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADT', 'small_airport', 'Tambolaka Airport', -9.409224, 119.242558, 161, 'ID', 'ID-NT', 'Radamata', 'yes', 'WATK', 'TMC', '', 'WRRT, WADT'),
	('WMKT', 'N/A', 'N/A', 1.0143088549375534, 112.71382078528404, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WBGP', 'small_airport', 'Kapit Airport', 2.01052374505, 112.931468248, 65, 'MY', 'MY-13', 'Kapit', 'no', 'WBGP', 'KPI', '', ''),
	('WBGC', 'small_airport', 'Belaga Airport', 2.652143, 113.767043, 200, 'MY', 'MY-13', 'Belaga', 'no', 'WBGC', 'BLG', '', ''),
	('RCLM', 'N/A', 'N/A', 20.706466510891914, 116.72124937176704, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPBT', 'N/A', 'N/A', 15.735532231628895, 119.82479810714722, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPUI', 'small_airport', 'Iba Airport', 15.3247556686, 119.969497681, 11, 'PH', 'PH-ZMB', 'Iba', 'no', 'RPUI', '', '', 'Paliparan ng Iba'),
	('RPBO', 'N/A', 'N/A', 15.782068893313408, 119.79297190904617, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CUJ', 'small_airport', 'Culion Airport', 11.8553, 119.9378, 155, 'PH', 'PH-PLW', 'Culion', 'no', '', 'CUJ', '', 'Patag Airstrip'),
	('RPTP', 'N/A', 'N/A', 9.044180139899254, 117.63329833745956, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPLM', 'N/A', 'N/A', 11.050585806369781, 119.51918050646782, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPSV', 'small_airport', 'San Vicente Airport', 10.524298, 119.272899, 24, 'PH', 'PH-PLW', 'San Vicente', 'yes', 'RPSV', 'SWL', '', ''),
	('RPVP', 'medium_airport', 'Puerto Princesa International Airport / PAF Antonio Bautista Air Base', 9.74212, 118.759003, 71, 'PH', 'PH-PLW', 'Puerto Princesa', 'yes', 'RPVP', 'PPS', '', ''),
	('RPRI', 'N/A', 'N/A', 8.548915944993496, 117.43596330285072, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPEN', 'N/A', 'N/A', 11.201915368437767, 119.41660523414612, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPTI', 'N/A', 'N/A', 8.714876286685467, 117.35224083065987, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPMU', 'small_airport', 'Cagayan de Sulu Airport', 7.014, 118.496002, 0, 'PH', 'PH-TAW', 'Mapun', 'no', 'RPMU', 'CDY', '', ''),
	('WBKR', 'small_airport', 'Ranau Airport', 5.957793, 116.680191, 1800, 'MY', 'MY-12', 'Ranau', 'no', 'WBKR', 'RNU', '', ''),
	('WBKB', 'small_airport', 'Kota Belud Airport', 6.36516, 116.471001, 46, 'MY', 'MY-12', 'Kota Belud', 'no', 'WBKB', '', '', ''),
	('WBKT', 'small_airport', 'Kudat Airport', 6.924111, 116.837068, 10, 'MY', 'MY-12', 'Kudat', 'yes', 'WBKT', 'KUD', '', ''),
	('WBKS', 'medium_airport', 'Sandakan Airport', 5.900899887084961, 118.05899810791016, 46, 'MY', 'MY-12', 'Sandakan', 'yes', 'WBKS', 'SDK', '', ''),
	('WBKW', 'medium_airport', 'Tawau Airport', 4.31338, 118.12152, 57, 'MY', 'MY-12', 'Tawau', 'yes', 'WBKW', 'TWU', '', ''),
	('WALV', 'small_airport', 'Bunyu Airport', 3.45572, 117.866997, 118, 'ID', 'ID-KU', 'Bunju Island', 'no', 'WAQB', 'BYQ', '', 'WALV, WRLV, WA1C'),
	('WMLA', 'N/A', 'N/A', 5.406172312796116, 118.3963979780674, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAQM', 'small_airport', 'Robert Atty Bessing', 3.575278, 116.619722, 26, 'ID', 'ID-KU', 'Malinau', 'yes', 'WAQM', 'LNU', '', 'WRLM, WALM'),
	('WAQA', 'N/A', 'N/A', 4.135893881320953, 117.66742140054703, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WACN', 'N/A', 'N/A', 4.4176096469163895, 117.49909311532974, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAQQ', 'N/A', 'N/A', 3.3266667276620865, 117.56944432854652, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WBKD', 'medium_airport', 'Lahad Datu Airport', 5.03241, 118.32376, 45, 'MY', 'MY-12', 'Lahad Datu', 'yes', 'WBKD', 'LDU', '', ''),
	('WAQD', 'N/A', 'N/A', 2.837499864399433, 117.37333327531815, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WBKA', 'small_airport', 'Semporna Airport', 4.454596, 118.595023, 60, 'MY', 'MY-12', 'Semporna', 'no', 'WBKA', 'SMM', '', ''),
	('RPMN', 'medium_airport', 'Sanga Sanga Airport', 5.048196, 119.743338, 15, 'PH', 'PH-TAW', 'Bongao', 'yes', 'RPMN', 'TWT', '', 'SGS'),
	('WALP', 'N/A', 'N/A', 2.7191581204533577, 117.12896391749382, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WALA', 'N/A', 'N/A', 0.3837255388498306, 117.54253819584846, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WATY', 'N/A', 'N/A', 1.1934790760278702, 116.95600658655167, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WALC', 'N/A', 'N/A', 0.12167740613222122, 117.47658625245094, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAQT', 'N/A', 'N/A', 2.153610996901989, 117.43111118674278, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAQC', 'small_airport', 'Berau/Maratua Airport', 2.19759, 118.599361, 43, 'ID', 'ID-KI', '', 'no', 'WAQC', 'RTU', '', ''),
	('WRLJ', 'small_airport', 'Tanjung Bara Airport', 0.5605, 117.64435, 48, 'ID', 'ID-KI', 'Sangata', 'no', 'WALB', '', '', ''),
	('WALW', 'N/A', 'N/A', 1.1216649413108826, 116.85125067830086, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPCC', 'medium_airport', 'Cocos (Keeling) Islands Airport', -12.19134, 96.833696, 10, 'CC', 'CC-U-A', 'West Island', 'yes', 'YPCC', 'CCK', '', ''),
	('WIGM', 'small_airport', 'Muko Muko Airport', -2.541058, 101.087651, 24, 'ID', 'ID-BE', 'Muko Muko', 'yes', 'WIGM', 'MPC', '', 'WIPU, Mukomuko, Muko-Muko'),
	('WIMO', 'N/A', 'N/A', -0.01850724220275879, 98.3012156188488, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIEE', 'N/A', 'N/A', -0.7883334159851074, 100.28638869524002, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIEB', 'N/A', 'N/A', -2.1002239733934402, 99.70424875617027, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIET', 'N/A', 'N/A', -0.8751380816102028, 100.35200044512749, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAMR', 'N/A', 'N/A', -2.8578531369566917, 100.21413758397102, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIJB', 'N/A', 'N/A', -1.5433001518249512, 102.17859998345375, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIJI', 'N/A', 'N/A', -2.0961111411452293, 101.47111102938652, 794, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIDS', 'small_airport', 'Dabo Airport', -0.479611, 104.579498, 95, 'ID', 'ID-KR', 'Pasirkuning-Singkep Island', 'no', 'WIDS', 'SIQ', '', 'WIKS');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WIJJ', 'N/A', 'N/A', -1.6380200162529945, 103.64399716258049, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIBJ', 'medium_airport', 'Japura Airport', -0.352808, 102.334999, 62, 'ID', 'ID-RI', 'Rengat-Sumatra Island', 'no', 'WIBJ', 'RGT', '', 'WIPR'),
	('WIPD', 'small_airport', 'Banding Agung Airport', -4.78702, 103.932999, 2100, 'ID', 'ID-SS', 'Pasar Bandingagung', 'no', 'WIPD', '', '', ''),
	('WILP', 'small_airport', 'Muhammad Taufiq Kiemas Airport', -5.211562, 103.936501, 118, 'ID', 'ID-LA', 'Krui', 'no', 'WILP', 'TFY', '', ''),
	('WIPB', 'small_airport', 'Silampari Airport', -3.288165, 102.91449, 371, 'ID', 'ID-SS', 'Lubuk Linggau', 'no', 'WIPB', 'LLJ', 'LLG', ''),
	('WIPP', 'medium_airport', 'Sultan Mahmud Badaruddin II Airport', -2.897653, 104.698147, 49, 'ID', 'ID-SS', 'Palembang', 'yes', 'WIPP', 'PLM', '', ''),
	('WIGG', 'N/A', 'N/A', -3.861110955476761, 102.33944445848465, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAPM', 'N/A', 'N/A', -4.0247223526239395, 103.37861090898514, 620, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIPQ', 'medium_airport', 'Pendopo Airport', -3.2860701084136963, 103.87999725341797, 184, 'ID', 'ID-SS', 'Talang Gudang-Sumatra Island', 'yes', 'WIPQ', 'PDO', '', ''),
	('WILB', 'N/A', 'N/A', -5.921050496399403, 104.55795362591743, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIKT', 'N/A', 'N/A', -2.7452778071165085, 107.75305554270744, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIKK', 'N/A', 'N/A', -2.162499837577343, 106.13805547356606, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WILL', 'medium_airport', 'Radin Inten II International Airport', -5.246803, 105.182531, 282, 'ID', 'ID-LA', 'Bandar Lampung', 'yes', 'WILL', 'TKG', '', 'WIIT, WICT'),
	('WILM', 'N/A', 'N/A', -4.611507877707481, 105.23214384913445, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WILW', 'N/A', 'N/A', -5.05097072571516, 105.65495789051056, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIHP', 'small_airport', 'Pondok Cabe Air Base', -6.3369598388671875, 106.76499938964844, 200, 'ID', 'ID-JK', 'Jakarta', 'no', 'WIHP', 'PCB', '', 'WIPC,WIIP'),
	('WACU', 'N/A', 'N/A', -6.756320223212242, 106.8117119371891, 536, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WICA', 'medium_airport', 'Kertajati International Airport', -6.648924, 108.166692, 134, 'ID', 'ID-JB', 'Kertajati', 'yes', 'WICA', 'KJT', '', ''),
	('WICM', 'small_airport', 'Cibeureum Airport', -7.3466, 108.246002, 1148, 'ID', 'ID-JB', 'Tasikmalaya-Java Island', 'no', 'WICM', 'TSY', '', 'WIAM, wiriadinata'),
	('WI1B', 'small_airport', 'Suparlan Batujajar Airport', -6.903611, 107.475556, 2150, 'ID', 'ID-JB', 'Bandung', 'no', '', '', '', 'WI1B, WIIB'),
	('WIHG', 'N/A', 'N/A', -5.64442053437233, 106.56231075525284, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIII', 'large_airport', 'Soekarno-Hatta International Airport', -6.1255698204, 106.65599823, 34, 'ID', 'ID-BT', 'Jakarta', 'yes', 'WIII', 'CGK', '', 'JKT, Cengkareng, Java'),
	('WIHK', 'N/A', 'N/A', -6.531593352556229, 107.65934228897095, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WI1C', 'small_airport', 'Rumpin Airport', -6.371861, 106.621861, 223, 'ID', 'ID-JB', 'Rumpin', 'no', '', '', '', 'WI1C'),
	('WICD', 'small_airport', 'Penggung Airport', -6.757, 108.538849, 89, 'ID', 'ID-JB', 'Cirebon-Java Island', 'no', 'WICD', 'CBN', '', 'cakrabhuwana, cakrabuana, WIIC'),
	('WAJT', 'N/A', 'N/A', -6.67796116322279, 108.25202152132988, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WICK', 'N/A', 'N/A', -6.982610486447811, 107.57239311933517, 662, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WICC', 'medium_airport', 'Husein Sastranegara International Airport', -6.90063, 107.575996, 2436, 'ID', 'ID-JB', 'Bandung', 'yes', 'WICC', 'BDO', '', 'WIIB'),
	('WIHC', 'small_airport', 'Wiladatika Airport', -6.356027, 106.900796, 210, 'ID', 'ID-JK', '', 'no', 'WIHC', '', '', ''),
	('WIRR', 'N/A', 'N/A', -6.293333396315575, 106.5680555999279, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIHJ', 'N/A', 'N/A', -6.53867170214653, 106.75546556711197, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WICN', 'N/A', 'N/A', -7.719900123775005, 108.48900005221367, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIHH', 'medium_airport', 'Halim Perdanakusuma International Airport', -6.266610145568848, 106.89099884033203, 84, 'ID', 'ID-JK', 'Jakarta', 'yes', 'WIHH', 'HLP', '', 'WIIH,WIIX,WIID'),
	('WIHI', 'N/A', 'N/A', -6.493055708706379, 105.66555574536324, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPXM', 'medium_airport', 'Christmas Island Airport', -10.449382, 105.690931, 916, 'CX', 'CX-U-A', 'Flying Fish Cove', 'yes', 'YPXM', 'XCH', '', ''),
	('WABQ', 'N/A', 'N/A', -0.5822267755866051, 110.47276765108109, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIOK', 'medium_airport', 'Rahadi Osman Airport', -1.816845, 109.963331, 46, 'ID', 'ID-KB', 'Ketapang', 'yes', 'WIOK', 'KTG', '', 'Ketapang, Rahadi Usman'),
	('WAKX', 'N/A', 'N/A', -0.8650114014744759, 111.66385263204575, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WACD', 'N/A', 'N/A', -0.7311343029141426, 110.37709727883339, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WIOO', 'medium_airport', 'Supadio Airport', -0.150711, 109.403999, 10, 'ID', 'ID-KB', 'Pontianak', 'yes', 'WIOO', 'PNK', '', ''),
	('WALB', 'N/A', 'N/A', -0.7100856676697731, 110.49902021884918, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAGI', 'N/A', 'N/A', -2.7051999047398567, 111.6729998588562, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WARN', 'N/A', 'N/A', -0.43253906071186066, 112.32682138681412, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WARC', 'small_airport', 'Ngloram Airport', -7.19484166667, 111.548166667, 131, 'ID', 'ID-JT', 'Tjepu-Java Island', 'no', 'WARC', 'CPF', '', 'Cepu, WRSC'),
	('WAHL', 'medium_airport', 'Tunggul Wulung Airport', -7.64506, 109.033997, 69, 'ID', 'ID-JT', 'Cilacap', 'yes', 'WAHL', 'CXP', '', 'WIIL, WIHL'),
	('WAHP', 'N/A', 'N/A', -7.462096586823463, 109.4179330766201, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WI1G', 'small_airport', 'Gading Wonosari Airport', -7.916590213775635, 110.56400299072266, 702, 'ID', 'ID-YO', 'Wonosari-Java Island', 'no', 'WI1G', '', 'WI1G', ''),
	('WAHS', 'N/A', 'N/A', -6.976388767361641, 110.37722200155258, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKA', 'N/A', 'N/A', -7.721802145242691, 109.0202634036541, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAHQ', 'N/A', 'N/A', -7.516505867242813, 110.75521320104599, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAHU', 'small_airport', 'Dewadaru Airport', -5.80091, 110.47838, 35, 'ID', 'ID-JT', 'Karimunjawa', 'yes', 'WAHU', 'KWB', '', 'Karimun Jawa, Karimun Java');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WAHH', 'N/A', 'N/A', -7.786666676402092, 110.43194442987442, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WARI', 'small_airport', 'Iswahyudi Airport', -7.61577, 111.433998, 361, 'ID', 'ID-JI', 'Madiun-Java Island', 'no', 'WARI', '', '', 'WIAR'),
	('WAGS', 'N/A', 'N/A', -2.499128133058548, 112.97501027584076, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAGK', 'N/A', 'N/A', -0.9402778744697571, 114.89388898015022, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAGG', 'medium_airport', 'Tjilik Riwut Airport', -2.22513, 113.943001, 82, 'ID', 'ID-KT', 'Palangkaraya', 'yes', 'WAGG', 'PKY', '', 'WRBP, WAOP'),
	('WALE', 'small_airport', 'Melalan Airport', -0.203611, 115.760002, 330, 'ID', 'ID-KI', 'Melak-Borneo Island', 'no', 'WALE', 'GHS', '', 'WRLE, West Kutai'),
	('WAGA', 'N/A', 'N/A', -1.1263889819383621, 113.87472242116928, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAGM', 'N/A', 'N/A', -1.6691668331623077, 114.89388898015022, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAON', 'medium_airport', 'Warukin Airport', -2.21656, 115.435997, 197, 'ID', 'ID-KS', 'Tanta-Tabalong', 'yes', 'WAON', 'TJG', '', 'WRBN'),
	('WAGT', 'N/A', 'N/A', -1.4692309498786926, 113.08220475912094, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAGP', 'small_airport', 'Purukcahu Airport', -0.688364, 114.444658, 442, 'ID', 'ID-KT', '', 'no', 'WAGP', '', '', ''),
	('WAOH', 'small_airport', 'Mekar Putih Airport', -3.98991, 116.101997, 197, 'ID', 'ID-KS', 'Mekar Putih', 'no', 'WAOH', '', '', ''),
	('WAGF', 'small_airport', 'Seruyan Kuala Pembuang Airport', -3.376062, 112.536521, 13, 'ID', 'ID-KT', 'Seruyan', 'yes', 'WAGF', 'KLP', '', 'Kota Waringin Timur'),
	('WAOO', 'medium_airport', 'Syamsudin Noor International Airport', -3.44236, 114.763, 66, 'ID', 'ID-KS', 'Landasan Ulin', 'yes', 'WAOO', 'BDJ', '', 'WRBB, Banjarmasin, Banjarbaru'),
	('WAOK', 'small_airport', 'Gusti Syamsir Alam Airport', -3.29472, 116.165001, 4, 'ID', 'ID-KS', 'Stagen', 'yes', 'WAOK', 'KBU', '', 'WRBK, Stagen Airport'),
	('WAOC', 'small_airport', 'Batu Licin Airport', -3.41241, 115.995003, 3, 'ID', 'ID-KS', 'Batu Licin', 'no', 'WAOC', 'BTW', '', 'WRBC'),
	('WARA', 'medium_airport', 'Abdul Rachman Saleh Airport', -7.929099, 112.714233, 1726, 'ID', 'ID-JI', 'Malang', 'yes', 'WARA', 'MLG', '', 'WIAS, Malang, Singosari'),
	('WARR', 'large_airport', 'Juanda International Airport', -7.37983, 112.787003, 9, 'ID', 'ID-JI', 'Surabaya', 'yes', 'WARR', 'SUB', '', 'WRSJ'),
	('WARP', 'N/A', 'N/A', -6.9564566016197205, 115.93106970191002, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADY', 'N/A', 'N/A', -8.310555405914783, 114.34027791023254, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WARE', 'N/A', 'N/A', -8.243333213031292, 113.69611099362373, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WARW', 'N/A', 'N/A', -5.723611079156399, 112.67666682600975, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WART', 'small_airport', 'Trunojoyo Airport', -7.0242, 113.89023, 10, 'ID', 'ID-JI', 'Sumenep-Madura Island', 'no', 'WART', 'SUP', 'TRJ', 'WRST'),
	('WADE', 'N/A', 'N/A', -8.139268532395363, 114.6155646443367, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAPZ', 'N/A', 'N/A', -7.67251655459404, 113.03686067461967, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADA', 'small_airport', 'Selaparang Airport', -8.56056, 116.095097, 52, 'ID', 'ID-NB', 'Mataram', 'no', 'WADA', 'AMI', '', 'WRRA'),
	('WADD', 'large_airport', 'Ngurah Rai (Bali) International Airport', -8.74817, 115.167, 14, 'ID', 'ID-BA', 'Denpasar', 'yes', 'WADD', 'DPS', '', 'WRRR'),
	('YTHV', 'small_airport', 'Thevenard Island Airport', -21.459321, 115.014256, 0, 'AU', 'AU-WA', '', 'no', 'YTHV', '', '', ''),
	('YDAA', 'N/A', 'N/A', -21.881646551191807, 114.00924369692802, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMSW', 'N/A', 'N/A', -22.44744412600994, 116.04306980967522, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCSE', 'N/A', 'N/A', -22.46847365051508, 115.24890080094337, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCSD', 'N/A', 'N/A', -21.444099470973015, 115.94678476452827, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBWX', 'small_airport', 'Barrow Island Airport', -20.864401, 115.405998, 26, 'AU', 'AU-WA', '', 'no', 'YBWX', 'BWB', '', ''),
	('YOLW', 'small_airport', 'Onslow Airport', -21.670161, 115.114902, 7, 'AU', 'AU-WA', '', 'no', 'YOLW', 'ONS', '', ''),
	('YEXM', 'small_airport', 'Exmouth Airport', -22.040677, 114.102663, 0, 'AU', 'AU-WA', '', 'no', 'YEXM', 'EXM', '', ''),
	('YPLM', 'medium_airport', 'Learmonth Airport', -22.235201, 114.090024, 19, 'AU', 'AU-WA', 'Exmouth', 'yes', 'YPLM', 'LEA', '', 'RAAF Learmonth'),
	('YMDR', 'small_airport', 'Minderoo Station Airport', -21.993059, 115.053066, 0, 'AU', 'AU-WA', '', 'no', 'YMDR', '', '', ''),
	('YRHL', 'small_airport', 'Red Hill Station Airport', -21.969539, 116.062408, 0, 'AU', 'AU-WA', '', 'no', 'YRHL', '', '', ''),
	('YMDZ', 'small_airport', 'Mardi Station Airport', -21.210079, 115.962367, 0, 'AU', 'AU-WA', '', 'no', 'YMDZ', '', '', ''),
	('WRLH', 'small_airport', 'Tanah Grogot Airport', -1.885541, 116.256809, 17, 'ID', 'ID-KI', 'Tanah Grogot', 'no', 'WRLH', 'TNB', '', ''),
	('WALS', 'medium_airport', 'Aji Pangeran Tumenggung Pranoto International Airport', -0.374478, 117.250128, 82, 'ID', 'ID-KI', 'Samarinda', 'yes', 'WALS', 'AAP', '', 'Sungai Siring Airport'),
	('WALQ', 'small_airport', 'Muara Badak Pujangan Airport', -0.306075, 117.416, 49, 'ID', 'ID-KI', 'Muara Badak-Borneo Island', 'no', 'WALQ', '', '', ''),
	('WALL', 'large_airport', 'Sultan Aji Muhammad Sulaiman Sepinggan International Airport', -1.268342, 116.89452, 12, 'ID', 'ID-KI', 'Balikpapan', 'yes', 'WALL', 'BPN', '', 'WRLL, Balikpapan Airport, Sepinggan Airport, Sepinggang Airfield'),
	('WAFF', 'medium_airport', 'Mutiara - SIS Al-Jufrie Airport', -0.916462, 119.908647, 284, 'ID', 'ID-ST', 'Palu', 'yes', 'WAFF', 'PLW', '', 'WAML'),
	('WRLE', 'N/A', 'N/A', -0.25332994759082794, 116.59756690263748, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WALT', 'small_airport', 'Tanjung Santan Airport', -0.0929730013013, 117.45300293, 121, 'ID', 'ID-KI', 'Santan-Borneo Island', 'no', 'WALT', 'TSX', '', 'WRLT'),
	('WRLY', 'heliport', 'Senipah Heliport', -0.975679, 117.147701, 38, 'ID', 'ID-KI', 'Senipah', 'no', 'WALY', '', '', 'WRLY, WW98, SZH'),
	('WAFN', 'small_airport', 'Seko Airport', -2.271704, 119.898334, 3510, 'ID', 'ID-SN', '', 'no', 'WAFN', '', '', ''),
	('WAFJ', 'small_airport', 'Tampa Padang Airport', -2.590017, 119.025051, 49, 'ID', 'ID-SR', 'Mamuju', 'no', 'WAFJ', 'MJU', '', 'WAAJ, WAWJ'),
	('WAAA', 'large_airport', 'Hasanuddin International Airport', -5.06163, 119.554001, 47, 'ID', 'ID-SN', 'Ujung Pandang', 'yes', 'WAAA', 'UPG', '', ''),
	('WAFS', 'small_airport', 'Sumarorong Airport', -3.150399, 119.302277, 3033, 'ID', 'ID-SR', 'Sumarorong', 'no', 'WAFS', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WAFT', 'N/A', 'N/A', -3.045714721083641, 119.82298046350479, 871, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADB', 'small_airport', 'Sultan Muhammad Salahuddin Airport', -8.537184, 118.685002, 3, 'ID', 'ID-NB', 'Bima', 'yes', 'WADB', 'BMU', '', 'WRRB, PBW, Palibelo Airport, Bima, Raba Airfield'),
	('WAPU', 'small_airport', 'Kufar Airport', -3.462637, 130.790593, 19, 'ID', 'ID-MA', '', 'no', 'WAPU', '', '', ''),
	('WATK', 'N/A', 'N/A', -9.412222132086754, 119.24694433808327, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADL', 'medium_airport', 'Lombok International Airport', -8.757792, 116.275435, 319, 'ID', 'ID-NB', 'Mataram', 'yes', 'WADL', 'LOP', '', 'Bandara Udara Internasional Lombok'),
	('WADS', 'small_airport', 'Sumbawa Besar Airport', -8.48904, 117.412003, 16, 'ID', 'ID-NB', 'Sumbawa Island', 'yes', 'WADS', 'SWQ', '', 'WRRS'),
	('WATO', 'small_airport', 'Komodo Airport', -8.480694, 119.888306, 66, 'ID', 'ID-NT', 'Labuan Bajo', 'yes', 'WATO', 'LBJ', '', 'Komodo Labuan Bajo International Airport, Mutiara II Airport, WRKO'),
	('YPPD', 'medium_airport', 'Port Hedland International Airport', -20.3777999878, 118.625999451, 33, 'AU', 'AU-WA', 'Port Hedland', 'yes', 'YPPD', 'PHE', '', ''),
	('YSRK', 'N/A', 'N/A', -20.899468548595905, 117.65469074249268, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMBL', 'small_airport', 'Marble Bar Airport', -21.163299560546875, 119.83300018310547, 194, 'AU', 'AU-WA', '', 'no', 'YMBL', 'MBB', '', ''),
	('YCOG', 'small_airport', 'Coongan Airport', -20.683300018310547, 119.66699981689453, 0, 'AU', 'AU-WA', '', 'no', 'YCOG', '', '', ''),
	('YPKA', 'medium_airport', 'Karratha Airport', -20.712200164799995, 116.773002625, 29, 'AU', 'AU-WA', 'Karratha', 'yes', 'YPKA', 'KTA', '', ''),
	('YCWY', 'small_airport', 'Coolawanyah Airport', -21.7946, 117.755, 1195, 'AU', 'AU-WA', 'Coolawanyah Station', 'no', 'YCWY', 'COY', '', ''),
	('YROE', 'small_airport', 'Roebourne Airport', -20.763898, 117.155199, 0, 'AU', 'AU-WA', 'Roebourne', 'no', 'YROE', 'RBU', '', ''),
	('YCPG', 'small_airport', 'Coppins Gap Airport', -20.950000762939453, 120.03299713134766, 0, 'AU', 'AU-WA', '', 'no', 'YCPG', '', '', ''),
	('YPOR', 'N/A', 'N/A', -21.509566828608513, 119.36254665255547, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSOL', 'N/A', 'N/A', -22.254722379148006, 117.84944459795952, 609, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWDC', 'closed', 'Wodgina Airport', -21.141701, 118.692001, 0, 'AU', 'AU-WA', '', 'no', '', '', '', 'YWDC'),
	('YPNW', 'small_airport', 'Pannawonica Airport', -21.628708, 116.319315, 0, 'AU', 'AU-WA', '', 'no', 'YPNW', '', '', ''),
	('YPOT', 'N/A', 'N/A', -21.71796675771475, 119.44287613034248, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMDB', 'small_airport', 'Mundabullangana Airport', -20.50949, 118.059479, 39, 'AU', 'AU-WA', 'Mundabullangana', 'no', 'YMDB', '', '', ''),
	('YCHK', 'small_airport', 'Christmas Creek Airport', -22.3543, 119.6426, 1462, 'AU', 'AU-WA', 'Christmas Creek Mine', 'yes', 'YCHK', 'CKW', '', 'Graeme Rowley Aerodrome'),
	('YCPR', 'small_airport', 'Cape Preston Airport', -20.978656, 116.271363, 77, 'AU', 'AU-WA', 'Cape Preston', 'no', 'YCPR', '', '', ''),
	('YYYA', 'small_airport', 'Mugarinya Airport', -21.285426, 118.385282, 439, 'AU', 'AU-WA', 'Yandeyarra Station', 'no', 'YYYA', '', '', ''),
	('YRDM', 'small_airport', 'Redmont Airport', -21.977036, 119.017038, 0, 'AU', 'AU-WA', '', 'no', 'YRDM', '', '', ''),
	('YTOO', 'N/A', 'N/A', -22.48696479946375, 118.46719220280647, 697, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLGA', 'small_airport', 'Mulga Downs Airport', -22.107200622558594, 118.47100067138672, 0, 'AU', 'AU-WA', '', 'no', 'YLGA', '', '', ''),
	('YPDO', 'small_airport', 'Pardoo Airport', -20.119428, 119.571945, 0, 'AU', 'AU-WA', 'Pardoo', 'no', 'YPDO', 'PRD', '', ''),
	('YMUJ', 'small_airport', 'Munjina Airport', -22.366100311279297, 118.68099975585938, 0, 'AU', 'AU-WA', '', 'no', 'YMUJ', '', '', ''),
	('YMST', 'small_airport', 'Millstream Station Field', -21.623761, 117.081299, 1043, 'AU', 'AU-WA', 'Chichester National Park', 'no', 'YMST', '', '', 'Millstream,Chichester,National,Park'),
	('YFDF', 'small_airport', 'Fortescue - Dave Forrest Aerodrome', -22.290754, 119.437143, 1555, 'AU', 'AU-WA', 'Cloudbreak Village', 'no', 'YFDF', 'KFE', '', ''),
	('YMLA', 'small_airport', 'Malina Airport', -20.88330078125, 118.03299713134766, 0, 'AU', 'AU-WA', '', 'no', 'YMLA', '', '', ''),
	('YWIT', 'small_airport', 'Wittenoom Airport', -22.224992, 118.353739, 444, 'AU', 'AU-WA', '', 'no', 'YWIT', 'WIT', '', ''),
	('YHMY', 'N/A', 'N/A', -22.280126586556435, 117.6707848906517, 595, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHIL', 'small_airport', 'Hillside Airport', -21.718283, 119.440334, 935, 'AU', 'AU-WA', 'Hillside', 'no', 'YHIL', 'HLL', '', ''),
	('YCAO', 'N/A', 'N/A', -25.043266899883747, 115.31312718987465, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNNT', 'small_airport', 'Nantarra Airport', -22.537159, 115.492601, 0, 'AU', 'AU-WA', '', 'no', 'YNNT', '', '', ''),
	('YEUD', 'small_airport', 'Eudamulla Station Airport', -24.443452, 115.609769, 0, 'AU', 'AU-WA', '', 'no', 'YEUD', '', '', ''),
	('YCOY', 'small_airport', 'Coral Bay Airport', -23.128851, 113.780626, 5, 'AU', 'AU-WA', '', 'no', 'YCOY', '', '', ''),
	('YLYN', 'small_airport', 'Lyndon Airport', -23.641301, 115.235392, 735, 'AU', 'AU-WA', '', 'no', 'YLYN', '', '', ''),
	('YMIX', 'small_airport', 'Middalya Homestead Airport', -23.906709, 114.7649, 433, 'AU', 'AU-WA', 'Minilya', 'no', 'YMIX', '', '', ''),
	('YGIF', 'small_airport', 'Gifford Creek Station Airport', -24.049999237060547, 116.21700286865234, 0, 'AU', 'AU-WA', '', 'no', 'YGIF', '', '', ''),
	('AU50', 'N/A', 'N/A', -24.404627233743668, 113.49239498376846, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNYG', 'small_airport', 'Nyang Airport', -23.033300399780273, 115.03299713134766, 0, 'AU', 'AU-WA', '', 'no', 'YNYG', '', '', ''),
	('YYIN', 'N/A', 'N/A', -24.65446326881647, 116.17234066128731, 281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YEDM', 'small_airport', 'Edmund Station Airport', -23.75, 116.0999984741211, 0, 'AU', 'AU-WA', '', 'no', 'YEDM', '', '', ''),
	('YBDX', 'small_airport', 'Barradale Airport', -22.863300323486328, 114.96299743652344, 0, 'AU', 'AU-WA', '', 'no', 'YBDX', '', '', ''),
	('YWPL', 'small_airport', 'Winning Pool North Airport', -23.100000381469727, 114.53299713134766, 0, 'AU', 'AU-WA', '', 'no', 'YWPL', '', '', ''),
	('YCAR', 'medium_airport', 'Carnarvon Airport', -24.880091, 113.670752, 13, 'AU', 'AU-WA', 'Carnarvon', 'yes', 'YCAR', 'CVQ', '', ''),
	('YMRX', 'N/A', 'N/A', -23.49427878856659, 115.54207921028137, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGAR', 'small_airport', 'Gnaraloo Station Airport', -23.791549682617188, 113.52893829345703, 10, 'AU', 'AU-WA', '', 'no', 'YGAR', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YCAA', 'closed', 'Calga NDB', -33.403301, 151.212006, 0, 'AU', 'AU-NSW', '', 'no', '', '', '', 'YCAA, YCAA'),
	('YGIR', 'small_airport', 'Giralia Airport', -22.679977, 114.371088, 0, 'AU', 'AU-WA', '', 'no', 'YGIR', '', '', ''),
	('YWRR', 'small_airport', 'Warroora Homestead Airport', -23.44609, 113.84853, 20, 'AU', 'AU-WA', 'Warroora Homestead', 'no', 'YWRR', '', '', ''),
	('YMLI', 'N/A', 'N/A', -24.90544728934765, 114.21312510967255, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCSA', 'N/A', 'N/A', -23.6551446095109, 115.1479509472847, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YYNR', 'small_airport', 'Yanrey Airport', -22.516700744628906, 114.80000305175781, 80, 'AU', 'AU-WA', '', 'no', 'YYNR', '', '', ''),
	('YWMY', 'small_airport', 'Williambury Airport', -23.856875, 115.14262, 0, 'AU', 'AU-WA', '', 'no', 'YWMY', '', '', ''),
	('YDGT', 'small_airport', 'Dalgety Downs Station Airport', -25.267532, 116.221396, 0, 'AU', 'AU-WA', '', 'no', 'YDGT', '', '', ''),
	('YGSC', 'small_airport', 'Gascoyne Junction Airport', -25.0546, 115.2026, 499, 'AU', 'AU-WA', 'Gascoyne Junction', 'no', 'YGSC', 'GSC', '', ''),
	('YCAV', 'N/A', 'N/A', -23.476076647639275, 113.79690170288086, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YYLG', 'small_airport', 'Yallalong Homestead Airport', -27.426300048828125, 115.51799774169922, 0, 'AU', 'AU-WA', '', 'no', 'YYLG', '', '', ''),
	('YMEE', 'N/A', 'N/A', -27.97289427369833, 116.03522568941116, 284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSHK', 'medium_airport', 'Shark Bay Airport', -25.897294, 113.575802, 111, 'AU', 'AU-WA', 'Denham', 'yes', 'YSHK', 'MJK', '', 'Monkey Mia Airport'),
	('YTML', 'small_airport', 'Tamala Airport', -26.645243, 113.742144, 3, 'AU', 'AU-WA', 'Shark Bay', 'no', 'YTML', '', '', ''),
	('YUSL', 'small_airport', 'Useless Loop Airport', -26.157923, 113.394817, 62, 'AU', 'AU-WA', 'Useless Loop', 'no', 'YUSL', 'USL', '', ''),
	('AU44', 'N/A', 'N/A', -26.069899164140224, 116.1542397737503, 317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBLB', 'small_airport', 'Billabong Road House Airport', -26.816699981689453, 114.61699676513672, 0, 'AU', 'AU-WA', '', 'no', 'YBLB', '', '', ''),
	('YMSS', 'small_airport', 'Murchison Shire Airport', -26.890219, 115.960842, 0, 'AU', 'AU-WA', '', 'no', 'YMSS', '', '', ''),
	('YKAD', 'N/A', 'N/A', -26.4074632152915, 114.452745616436, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBBL', 'small_airport', 'Billabalong Airport', -27.417679, 115.834423, 0, 'AU', 'AU-WA', '', 'no', 'YBBL', '', '', ''),
	('YCSB', 'N/A', 'N/A', -26.085762418806553, 115.22039338946342, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWEE', 'small_airport', 'Wooleen Homestead Airport', -27.08169937133789, 116.1500015258789, 0, 'AU', 'AU-WA', '', 'no', 'YWEE', '', '', ''),
	('AU89', 'N/A', 'N/A', -28.436573445796967, 113.73564675450325, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDRA', 'small_airport', 'Dongara Airport', -29.298128, 114.927334, 0, 'AU', 'AU-WA', 'Dongara', 'no', 'YDRA', 'DOX', '', ''),
	('YKAA', 'N/A', 'N/A', -28.43668844550848, 113.73562842607498, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGEL', 'medium_airport', 'Geraldton Airport', -28.796101, 114.707001, 121, 'AU', 'AU-WA', 'Geraldton', 'yes', 'YGEL', 'GET', '', ''),
	('YMEW', 'small_airport', 'Mingenew Airport', -29.268131, 115.443048, 0, 'AU', 'AU-WA', '', 'no', 'YMEW', '', '', ''),
	('YCVS', 'small_airport', 'Cervantes Airport', -30.48538, 115.085642, 0, 'AU', 'AU-WA', '', 'no', 'YCVS', '', '', ''),
	('AU18', 'N/A', 'N/A', -30.686085484921932, 115.98445773124695, 195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRAT', 'small_airport', 'Abrolhos Rat Island', -28.7197, 113.7845, 16, 'AU', 'AU-WA', '', 'no', 'YRAT', '', '', ''),
	('YLEA', 'small_airport', 'Leeman Airport', -29.969974, 114.983066, 2, 'AU', 'AU-WA', 'Leeman', 'no', 'YLEA', '', '', ''),
	('YCNH', 'small_airport', 'Carnarmah Airport', -29.68374, 115.893662, 925, 'AU', 'AU-WA', 'Carnarmah', 'no', 'YCNH', '', '', ''),
	('YWAK', 'N/A', 'N/A', -28.699665293097496, 114.90984588861465, 242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTHS', 'small_airport', 'Three Springs Airport', -29.527910929900003, 115.858039856, 900, 'AU', 'AU-WA', '', 'no', 'YTHS', '', '', ''),
	('YMRW', 'small_airport', 'Morawa Airport', -29.2017, 116.022003, 270, 'AU', 'AU-WA', '', 'no', 'YMRW', 'MWB', '', ''),
	('YEEB', 'small_airport', 'Eneabba Airport', -29.832500457763672, 115.24600219726563, 0, 'AU', 'AU-WA', 'Eneabba', 'no', 'YEEB', 'ENB', '', ''),
	('YKAB', 'N/A', 'N/A', -28.299736864864826, 113.5957632958889, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMWA', 'small_airport', 'Mullewa Airport', -28.475, 115.516998, 290, 'AU', 'AU-WA', '', 'no', 'YMWA', 'MXU', '', ''),
	('YDOG', 'N/A', 'N/A', -28.70876871049404, 115.817781239748, 319, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YJUU', 'N/A', 'N/A', -30.576202757656574, 115.23478657007217, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YJNB', 'small_airport', 'Jurien Bay Airport', -30.302699, 115.055551, 15, 'AU', 'AU-WA', 'Jurien Bay', 'no', 'YJNB', 'JUR', '', ''),
	('YSEN', 'small_airport', 'Serpentine Airport', -32.394966, 115.870987, 9, 'AU', 'AU-WA', '', 'no', 'YSEN', '', '', ''),
	('YSOU', 'N/A', 'N/A', -32.67196789383888, 115.79020455479622, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPEA', 'medium_airport', 'RAAF Base Pearce', -31.667800903320313, 116.01499938964844, 149, 'AU', 'AU-WA', 'Bullsbrook', 'no', 'YPEA', '', '', ''),
	('YPJT', 'medium_airport', 'Perth Jandakot Airport', -32.09749984741211, 115.88099670410156, 99, 'AU', 'AU-WA', 'Perth', 'no', 'YPJT', 'JAD', '', ''),
	('YHAR', 'N/A', 'N/A', -33.02193749696016, 115.70217490196228, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBUN', 'small_airport', 'Bunbury Airport', -33.3783, 115.677002, 53, 'AU', 'AU-WA', '', 'no', 'YBUN', 'BUY', '', ''),
	('YCOI', 'small_airport', 'Collie Airport', -33.3666992188, 116.217002869, 818, 'AU', 'AU-WA', 'Collie', 'no', 'YCOI', 'CIE', '', ''),
	('YMWR', 'N/A', 'N/A', -31.9583598151803, 116.18759572505951, 238, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLOW', 'N/A', 'N/A', -31.521049439907074, 116.1452405154705, 259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YEAA', 'N/A', 'N/A', -31.96160562336445, 115.86976021528244, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YPIJ', 'N/A', 'N/A', -32.5803791731596, 115.88524952530861, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWAR', 'N/A', 'N/A', -32.78781317174435, 115.78885093331337, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGIG', 'small_airport', 'RAAF Gingin', -31.465299606323242, 115.86299896240234, 247, 'AU', 'AU-WA', '', 'no', 'YGIG', '', '', ''),
	('YPII', 'N/A', 'N/A', -32.69260682165623, 116.07518211007118, 268, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRTI', 'small_airport', 'Rottnest Island Airport', -32.006699, 115.540001, 12, 'AU', 'AU-WA', '', 'no', 'YRTI', 'RTS', '', ''),
	('YBLN', 'small_airport', 'Busselton Margaret River Regional Airport', -33.688423, 115.401596, 55, 'AU', 'AU-WA', 'Busselton', 'yes', 'YBLN', 'BQB', '', ''),
	('YGAD', 'small_airport', 'HMAS Stirling Military Airport', -32.240778, 115.685096, 9, 'AU', 'AU-WA', 'Garden Island', 'no', 'YGAD', '', '', ''),
	('YPIA', 'N/A', 'N/A', -32.66670875251293, 115.88163524866104, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWAN', 'closed', 'Wallan Airport', -37.43330001831055, 144.98800659179688, 290, 'AU', 'AU-VIC', '', 'no', '', '', '', 'YWAN, YWAN'),
	('YHAV', 'N/A', 'N/A', -33.09468302875757, 115.71711346507072, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBOO', 'N/A', 'N/A', -31.340024806559086, 116.18484646081924, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMUL', 'small_airport', 'Murray Field', -32.508301, 115.842003, 56, 'AU', 'AU-WA', '', 'no', 'YMUL', '', '', ''),
	('YPPH', 'large_airport', 'Perth International Airport', -31.94029998779297, 115.96700286865234, 67, 'AU', 'AU-WA', 'Perth', 'yes', 'YPPH', 'PER', '', ''),
	('YSOO', 'N/A', 'N/A', -32.79070492833853, 115.67077159881592, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMGT', 'small_airport', 'Margaret River Airport', -33.930599, 115.099998, 374, 'AU', 'AU-WA', '', 'no', 'YMGT', 'MQZ', '', ''),
	('YNAU', 'small_airport', 'Nannup Airport', -34.03329849243164, 115.73300170898438, 0, 'AU', 'AU-WA', '', 'no', 'YNAU', '', '', ''),
	('YAUG', 'small_airport', 'Tallinup-Augusta Airport', -34.328604, 115.157029, 103, 'AU', 'AU-WA', 'Augusta', 'no', 'YAUG', '', '', ''),
	('YPEE', 'N/A', 'N/A', -34.65969767421484, 116.1519107222557, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YEBV', 'N/A', 'N/A', -33.894260600209236, 115.03909349441528, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMJM', 'small_airport', 'Manjimup Airport', -34.26530075073242, 116.13999938964844, 940, 'AU', 'AU-WA', '', 'no', 'YMJM', 'MJP', '', ''),
	('YBUC', 'closed', 'Butch Airport', -33.807251, 115.10067, 0, 'AU', 'AU-WA', 'Cowaramup', 'no', '', '', '', 'YBUC, YBUC'),
	('YLUW', 'small_airport', 'Leeuwin Estate Airport', -34.020973, 115.064471, 0, 'AU', 'AU-WA', 'Margaret River', 'no', 'YLUW', '', '', ''),
	('YBRY', 'small_airport', 'Barimunya Airport', -22.673900604248, 119.16600036621, 2082, 'AU', 'AU-WA', '', 'no', 'YBRY', 'BYP', '', ''),
	('YTOR', 'N/A', 'N/A', -23.912442214787006, 116.56032085418701, 392, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTHR', 'small_airport', 'Three Rivers Homestead Airport', -25.138328, 119.105061, 0, 'AU', 'AU-WA', '', 'no', 'YTHR', '', '', ''),
	('YMVR', 'small_airport', 'Mount Vernon Station Airport', -24.224541, 118.251622, 1326, 'AU', 'AU-WA', '', 'no', 'YMVR', '', '', ''),
	('YPBO', 'medium_airport', 'Paraburdoo Airport', -23.1711006165, 117.745002747, 1406, 'AU', 'AU-WA', 'Paraburdoo', 'yes', 'YPBO', 'PBO', '', ''),
	('YRLE', 'small_airport', 'Rocklea Airport', -22.88330078125, 117.44999694824219, 0, 'AU', 'AU-WA', '', 'no', 'YRLE', '', '', ''),
	('YTOM', 'N/A', 'N/A', -22.746482267975807, 117.86968722939491, 692, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YADH', 'closed', 'Ashburton Downs Homestead Airstrip', -23.406506, 117.084174, 0, 'AU', 'AU-WA', 'Ashburton Downs Homestead', 'no', '', '', '', 'YADH, YADH'),
	('YMYI', 'small_airport', 'Marymia Airport', -25.101788, 119.762845, 0, 'AU', 'AU-WA', '', 'no', 'YMYI', '', '', ''),
	('YMAU', 'small_airport', 'Mount Augusta Airport', -24.301734, 116.906676, 0, 'AU', 'AU-WA', '', 'no', 'YMAU', '', '', ''),
	('YAHD', 'small_airport', 'Ashburton Downs Airport', -23.380787, 117.025573, 0, 'AU', 'AU-WA', '', 'no', 'YAHD', '', '', ''),
	('YRRG', 'small_airport', 'Rhodes Ridge Airport', -23.101636, 119.358867, 0, 'AU', 'AU-WA', '', 'no', 'YRRG', '', '', ''),
	('YRYH', 'small_airport', 'Roy Hill Station Airport', -22.625815891, 119.959030151, 0, 'AU', 'AU-WA', '', 'no', 'YRYH', 'RHL', '', ''),
	('YPGP', 'N/A', 'N/A', -23.401929326355457, 117.88452878594398, 387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMCE', 'small_airport', 'Mount Clere Homestead Airport', -25.100000381469727, 117.58300018310547, 0, 'AU', 'AU-WA', '', 'no', 'YMCE', '', '', ''),
	('YKDD', 'small_airport', 'Koodaideri Mine Airport', -22.504291, 119.07683, 1473, 'AU', 'AU-WA', 'Koodaideri Mine', 'no', 'YKDD', 'OOD', '', 'Gudai-Darri'),
	('YBUO', 'small_airport', 'Bulloo Downs Station Airport', -24.013905, 119.555805, 1899, 'AU', 'AU-WA', '', 'no', '', '', '', ''),
	('YSAH', 'small_airport', 'Sandhill Airport', -22.799999237060547, 119.61699676513672, 0, 'AU', 'AU-WA', '', 'no', 'YSAH', '', '', ''),
	('YBGD', 'small_airport', 'Boolgeeda', -22.54, 117.275, 1871, 'AU', 'AU-WA', '', 'no', 'YBGD', 'OCM', '', ''),
	('YCWA', 'small_airport', 'Coondewanna Airport', -22.96669960022, 118.81300354004, 2300, 'AU', 'AU-WA', 'Coondewanna', 'no', 'YCWA', 'CJF', '', ''),
	('YANG', 'small_airport', 'West Angelas Airport', -23.1355555556, 118.707222222, 2340, 'AU', 'AU-WA', '', 'no', 'YANG', 'WLP', '', 'West Angelas Mine'),
	('YTOP', 'N/A', 'N/A', -24.20423772186041, 116.48563608527184, 369, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNWN', 'medium_airport', 'Newman Airport', -23.417800903299998, 119.803001404, 1724, 'AU', 'AU-WA', 'Newman', 'yes', 'YNWN', 'ZNE', '', ''),
	('YPIX', 'small_airport', 'Pia Airport', -27.188883, 116.28242, 0, 'AU', 'AU-WA', '', 'no', 'YPIX', '', '', ''),
	('YERO', 'small_airport', 'Erong Station Airport', -25.560305, 116.660172, 0, 'AU', 'AU-WA', '', 'no', 'YERO', '', '', ''),
	('YELE', 'small_airport', 'Belele Airport', -26.367431, 118.039175, 0, 'AU', 'AU-WA', '', 'no', 'YELE', '', '', ''),
	('YPLU', 'small_airport', 'Plutonic Airport', -25.3333, 119.425003, 0, 'AU', 'AU-WA', '', 'no', 'YPLU', '', '', ''),
	('YMEK', 'medium_airport', 'Meekatharra Airport', -26.6117000579834, 118.5479965209961, 1713, 'AU', 'AU-WA', '', 'yes', 'YMEK', 'MKR', '', ''),
	('YRDY', 'small_airport', 'Reedys Airport', -27.124358, 118.279386, 0, 'AU', 'AU-WA', '', 'no', 'YRDY', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YFOR', 'small_airport', 'Fortnum Airport', -25.33329963684082, 118.36699676513672, 0, 'AU', 'AU-WA', '', 'no', 'YFOR', '', '', ''),
	('YBBE', 'small_airport', 'Big Bell Airport', -27.328351, 117.671771, 1404, 'AU', 'AU-WA', 'Big Bell', 'no', 'YBBE', '', '', 'BBE'),
	('YDGA', 'small_airport', 'Dalgaranga Gold Mine Airport', -27.830277777800003, 117.316388889, 1459, 'AU', 'AU-WA', '', 'no', 'YDGA', 'DGD', '', ''),
	('YMOG', 'medium_airport', 'Mount Magnet Airport', -28.116100311279297, 117.84200286865234, 1354, 'AU', 'AU-WA', '', 'yes', 'YMOG', 'MMG', '', ''),
	('YMGO', 'small_airport', 'Murgoo Airport', -27.36669921875, 116.41699981689453, 0, 'AU', 'AU-WA', '', 'no', 'YMGO', '', '', ''),
	('YCUE', 'small_airport', 'Cue Airport', -27.4508, 117.917515, 442, 'AU', 'AU-WA', '', 'no', 'YCUE', 'CUY', '', ''),
	('YDGU', 'small_airport', 'DeGrussa Airport', -25.558384, 119.287534, 1823, 'AU', 'AU-WA', '', 'no', 'YDGU', '', '', 'DeGrussa Copper Mine'),
	('YMNF', 'small_airport', 'Manfred Airport', -26.450000762939453, 116.55000305175781, 0, 'AU', 'AU-WA', '', 'no', 'YMNF', '', '', ''),
	('YKNM', 'small_airport', 'Koonmarra Airport', -26.274628, 117.78896, 0, 'AU', 'AU-WA', '', 'no', 'YKNM', '', '', ''),
	('YSAN', 'small_airport', 'Sandstone Airport', -27.979999542236328, 119.2969970703125, 0, 'AU', 'AU-WA', 'Sandstone', 'no', 'YSAN', 'NDS', '', ''),
	('YHSL', 'small_airport', 'Horseshoe Lights Airport', -25.350000381469727, 118.61699676513672, 0, 'AU', 'AU-WA', '', 'no', 'YHSL', '', '', ''),
	('YPLL', 'small_airport', 'Peak Hill Airport', -25.611306, 118.696654, 1873, 'AU', 'AU-WA', 'Peak Hill', 'no', 'YPLL', '', '', ''),
	('YMHE', 'N/A', 'N/A', -26.030094511806965, 117.3356656730175, 400, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDGR', 'small_airport', 'Dalgaranga Airport', -27.791440356099997, 116.993322372, 0, 'AU', 'AU-WA', '', 'no', 'YDGR', '', '', ''),
	('YERA', 'small_airport', 'Errabiddy Homestead Airport', -25.5, 117.16699981689453, 0, 'AU', 'AU-WA', '', 'no', 'YERA', '', '', ''),
	('YGID', 'small_airport', 'Gidgee Airport', -27.270000457763672, 119.40499877929688, 0, 'AU', 'AU-WA', '', 'no', 'YGID', '', '', ''),
	('YBOY', 'small_airport', 'Booylgoo Springs Airport', -27.75, 119.9000015258789, 0, 'AU', 'AU-WA', '', 'no', 'YBOY', '', '', ''),
	('YMUX', 'small_airport', 'Mileura Airport', -26.36669921875, 117.33300018310547, 0, 'AU', 'AU-WA', '', 'no', 'YMUX', '', '', ''),
	('YYUM', 'small_airport', 'Yuinmery Airport', -28.562999725341797, 119.01899719238281, 0, 'AU', 'AU-WA', '', 'no', 'YYUM', '', '', ''),
	('YMEV', 'N/A', 'N/A', -28.341643698513508, 116.93187341094017, 331, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOUN', 'small_airport', 'Youanmi Airport', -28.614999771118164, 118.84200286865234, 0, 'AU', 'AU-WA', '', 'no', 'YOUN', '', '', ''),
	('YYAL', 'small_airport', 'Yalgoo Airport', -28.355300903299998, 116.683998108, 0, 'AU', 'AU-WA', 'Yalgoo', 'no', 'YYAL', 'YLG', '', ''),
	('YBUG', 'small_airport', 'Bulga Downs Station Airport', -28.5, 119.73300170898438, 0, 'AU', 'AU-WA', '', 'no', 'YBUG', '', '', ''),
	('YDMF', 'small_airport', 'Diemal Find Airport', -29.667416, 119.292213, 0, 'AU', 'AU-WA', '', 'no', 'YDMF', '', '', ''),
	('YDWU', 'small_airport', 'Dalwallinu Airport', -30.199814, 116.655364, 0, 'AU', 'AU-WA', '', 'no', 'YDWU', '', '', ''),
	('YKAE', 'small_airport', 'Kalannie Airport', -30.360004, 117.121634, 0, 'AU', 'AU-WA', '', 'no', 'YKAE', '', '', ''),
	('YROT', 'small_airport', 'Rothsay Mine Airport', -29.293772, 116.890068, 1033, 'AU', 'AU-WA', 'Rothsay', 'no', 'YROT', '', '', ''),
	('YBEC', 'small_airport', 'Beacon Airport', -30.474864, 117.879932, 0, 'AU', 'AU-WA', '', 'no', 'YBEC', '', '', ''),
	('YPYF', 'small_airport', 'Paynes Find Airport', -29.262055, 117.668958, 0, 'AU', 'AU-WA', '', 'no', 'YPYF', '', '', ''),
	('YBIU', 'small_airport', 'Ballidu Airport', -30.593299865722656, 116.77999877929688, 0, 'AU', 'AU-WA', '', 'no', 'YBIU', '', '', ''),
	('YKRK', 'N/A', 'N/A', -28.690453246235847, 117.76095360517502, 350, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCHE', 'N/A', 'N/A', -28.951352387666702, 119.56993639469147, 451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWOH', 'small_airport', 'Wongan Hills Airport', -30.880036, 116.727172, 0, 'AU', 'AU-WA', '', 'no', 'YWOH', '', '', ''),
	('YKBG', 'small_airport', 'Koolyanobbing Range Airport', -30.840599060058594, 119.52899932861328, 0, 'AU', 'AU-WA', '', 'no', 'YKBG', '', '', ''),
	('YBCB', 'small_airport', 'Bencubbin Airport', -30.821446, 117.867165, 0, 'AU', 'AU-WA', '', 'no', 'YBCB', '', '', ''),
	('YPJI', 'small_airport', 'Perenjori Airport', -29.426497, 116.283803, 0, 'AU', 'AU-WA', '', 'no', 'YPJI', '', '', ''),
	('YWDG', 'small_airport', 'Windarling Airport', -30.032277, 119.386489, 1502, 'AU', 'AU-WA', 'Windarling Mine', 'no', 'YWDG', 'WRN', '', ''),
	('YGUL', 'small_airport', 'Gullewa Airport', -28.646236, 116.310158, 0, 'AU', 'AU-WA', '', 'no', 'YGUL', '', '', ''),
	('YMRD', 'N/A', 'N/A', -30.180059261620045, 119.29926797747612, 436, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDME', 'small_airport', 'Mount Dimer Airport', -30.40169906616211, 119.83000183105469, 0, 'AU', 'AU-WA', '', 'no', 'YDME', '', '', ''),
	('YGGE', 'small_airport', 'Golden Grove Airport', -28.764898, 116.972656, 1180, 'AU', 'AU-WA', '', 'no', 'YGGE', '', '', ''),
	('YKAR', 'N/A', 'N/A', -29.216111227869987, 116.68666675686836, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMKB', 'small_airport', 'Mukinbudin Airport', -30.918453, 118.254808, 0, 'AU', 'AU-WA', '', 'no', 'YMKB', '', '', ''),
	('YWGN', 'small_airport', 'Wagin Airport', -33.33330154418945, 117.36699676513672, 0, 'AU', 'AU-WA', '', 'no', 'YWGN', '', '', ''),
	('YKNG', 'small_airport', 'Katanning Airport', -33.699423, 117.65703, 0, 'AU', 'AU-WA', '', 'no', 'YKNG', 'KNI', '', ''),
	('YWAA', 'N/A', 'N/A', -32.94140115380287, 117.86624059081078, 370, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKAI', 'N/A', 'N/A', -33.17502424120903, 118.08539539575577, 342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMVH', 'small_airport', 'Marvel Loch Airport', -31.465733, 119.530842, 0, 'AU', 'AU-WA', '', 'no', 'YMVH', '', '', ''),
	('YCUN', 'small_airport', 'Cunderdin Airport', -31.6222, 117.217003, 705, 'AU', 'AU-WA', '', 'no', 'YCUN', '', '', ''),
	('YNRG', 'small_airport', 'Narrogin Airport', -32.93, 117.080002, 1080, 'AU', 'AU-WA', 'Narrogin', 'no', 'YNRG', 'NRG', '', ''),
	('YHLM', 'small_airport', 'Hillman Farm Airport', -33.263882, 116.819448, 0, 'AU', 'AU-WA', 'Darkan', 'no', 'YHLM', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YBEV', 'small_airport', 'Beverley Airport', -32.13330078125, 116.94999694824219, 0, 'AU', 'AU-WA', '', 'no', 'YBEV', '', '', ''),
	('YMEA', 'N/A', 'N/A', -32.34642148017883, 119.18748378753662, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWKM', 'small_airport', 'Wyalkatchem Airport', -31.2026341022, 117.378873825, 0, 'AU', 'AU-WA', 'Wyalkatchem', 'no', 'YWKM', '', '', ''),
	('YNTM', 'small_airport', 'Northam Airport', -31.62784, 116.686993, 500, 'AU', 'AU-WA', '', 'no', 'YNTM', '', '', ''),
	('YLVY', 'small_airport', 'Lake Varley Airport', -32.719561, 119.505758, 0, 'AU', 'AU-WA', '', 'no', 'YLVY', '', '', ''),
	('YLKG', 'small_airport', 'Lake King Airport', -33.079200744628906, 119.76599884033203, 1276, 'AU', 'AU-WA', '', 'no', 'YLKG', '', '', ''),
	('YBLD', 'small_airport', 'Brooklands Airport', -31.823078, 116.799291, 0, 'AU', 'AU-WA', '', 'no', 'YBLD', '', '', ''),
	('YSCR', 'small_airport', 'Southern Cross Airport', -31.24, 119.360001, 354, 'AU', 'AU-WA', '', 'no', 'YSCR', 'SQC', '', ''),
	('YCIG', 'small_airport', 'Corrigin Airport', -32.337981, 117.827425, 0, 'AU', 'AU-WA', '', 'no', 'YCIG', '', '', ''),
	('YNAA', 'N/A', 'N/A', -32.67102241516113, 118.16996812820435, 309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMHL', 'small_airport', 'Mount Holland Airport', -32.112824, 119.765739, 0, 'AU', 'AU-WA', '', 'no', 'YMHL', '', '', ''),
	('YRAV', 'small_airport', 'Ravensthorpe Airport', -33.539033, 119.949613, 0, 'AU', 'AU-WA', '', 'no', 'YRAV', '', '', ''),
	('YGOM', 'small_airport', 'Goomalling Airport', -31.359895, 116.891291, 0, 'AU', 'AU-WA', '', 'no', 'YGOM', '', '', ''),
	('YDUM', 'small_airport', 'Dumbleyung Airport', -33.33330154418945, 117.75, 0, 'AU', 'AU-WA', '', 'no', 'YDUM', '', '', ''),
	('YBRO', 'small_airport', 'Bruce Rock Airport', -31.887467, 118.115133, 0, 'AU', 'AU-WA', '', 'no', 'YBRO', '', '', ''),
	('YKDN', 'small_airport', 'Kondinin Airport', -32.467409, 118.269882, 0, 'AU', 'AU-WA', '', 'no', 'YKDN', '', '', ''),
	('YWGM', 'small_airport', 'White Gum Air Park', -31.863947, 116.936094, 1000, 'AU', 'AU-WA', 'York', 'no', 'YWGM', '', 'YWGM', 'Whitegum, WhiteGum Farm, White Gum, White Gum Air Park, Hangar Rental, Hangar Accommodation, White Gum Aviation'),
	('YBON', 'N/A', 'N/A', -31.297040060162544, 116.26376509666443, 306, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKEB', 'small_airport', 'Kellerberrin Airport', -31.616819, 117.718787, 0, 'AU', 'AU-WA', '', 'no', 'YKEB', '', '', ''),
	('YDON', 'small_airport', 'Dowerin Airport', -31.169831, 117.046988, 0, 'AU', 'AU-WA', '', 'no', 'YDON', '', '', ''),
	('YQDG', 'small_airport', 'Quairading Airport', -32.004992, 117.417605, 0, 'AU', 'AU-WA', '', 'no', 'YQDG', '', '', ''),
	('YWSX', 'small_airport', 'Westonia Airport', -31.319016, 118.684766, 0, 'AU', 'AU-WA', '', 'no', 'YWSX', '', '', ''),
	('YYRK', 'small_airport', 'York Airport', -31.855100631713867, 116.79900360107422, 0, 'AU', 'AU-WA', '', 'no', 'YYRK', '', '', ''),
	('YFTA', 'small_airport', 'Forrestania Airport', -32.580002, 119.703003, 0, 'AU', 'AU-WA', '', 'no', 'YFTA', '', '', ''),
	('YDVE', 'small_airport', 'Dale River Airport', -32.28329849243164, 116.55000305175781, 0, 'AU', 'AU-WA', '', 'no', 'YDVE', '', '', ''),
	('YNRB', 'small_airport', 'Narembeen Airport', -32.107465, 118.407109, 1001, 'AU', 'AU-WA', '', 'no', 'YNRB', '', '', ''),
	('YKNP', 'small_airport', 'Kununoppin Airport', -31.123497, 117.906046, 0, 'AU', 'AU-WA', '', 'no', 'YKNP', '', '', ''),
	('YWAI', 'N/A', 'N/A', -32.664640098810196, 118.31139028072357, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWRC', 'small_airport', 'Wave Rock Airport', -32.426700592041016, 118.90799713134766, 0, 'AU', 'AU-WA', '', 'no', 'YWRC', '', '', ''),
	('YNDG', 'small_airport', 'Newdegate Airport', -33.10426, 119.018143, 1070, 'AU', 'AU-WA', '', 'no', 'YNDG', '', '', ''),
	('YKKN', 'small_airport', 'Kin Kin Retreat Airstrip', -34.378925, 116.322362, 400, 'AU', 'AU-WA', '', 'no', 'YKKN', '', '', ''),
	('YKEE', 'N/A', 'N/A', -34.22415152192116, 118.21173682808876, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSHN', 'small_airport', 'Shannon River Airport', -34.74617, 116.491728, 0, 'AU', 'AU-WA', '', 'no', 'YSHN', '', '', ''),
	('YABA', 'medium_airport', 'Albany Airport', -34.94329833984375, 117.80899810791016, 233, 'AU', 'AU-WA', 'Albany', 'yes', 'YABA', 'ALH', '', 'ABA, YPAL'),
	('YCRN', 'small_airport', 'Cranbrook Airport', -34.28329849243164, 117.55000305175781, 0, 'AU', 'AU-WA', '', 'no', 'YCRN', '', '', ''),
	('YJGP', 'small_airport', 'Jerramungup Airport', -33.918212, 118.904482, 0, 'AU', 'AU-WA', '', 'no', 'YJGP', '', '', ''),
	('YKOJ', 'small_airport', 'Kojonup Airport', -33.762523, 117.136574, 0, 'AU', 'AU-WA', '', 'no', 'YKOJ', '', '', ''),
	('YKOO', 'N/A', 'N/A', -34.347714856266975, 116.95179462432861, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLOO', 'N/A', 'N/A', -34.987878017127514, 118.05597603321075, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRAA', 'N/A', 'N/A', -34.37987320125103, 119.33461099863052, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YFRK', 'small_airport', 'Frankland Airport', -34.424752, 117.026281, 800, 'AU', 'AU-WA', 'Frankland River', 'no', 'YFRK', '', '', ''),
	('YGNW', 'small_airport', 'Gnowangerup Airport', -33.978316, 118.012819, 0, 'AU', 'AU-WA', '', 'no', 'YGNW', '', '', ''),
	('YWPE', 'small_airport', 'Walpole Airport', -34.953651, 116.695383, 0, 'AU', 'AU-WA', 'North Walpole', 'no', 'YWPE', '', '', ''),
	('YDEK', 'small_airport', 'Denmark Airport', -34.94499969482422, 117.39700317382813, 230, 'AU', 'AU-WA', 'Denmark', 'no', 'YDEK', '', '', ''),
	('YBOP', 'small_airport', 'Boyup Brook Airport', -33.900001525878906, 116.46700286865234, 0, 'AU', 'AU-WA', '', 'no', 'YBOP', '', '', ''),
	('YKED', 'N/A', 'N/A', -34.31057967245579, 118.18389013409615, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UEST', 'medium_airport', 'Tiksi Airport', 71.697700500488, 128.90299987793, 26, 'RU', 'RU-SA', 'Tiksi', 'yes', 'UEST', 'IKS', '', 'УЕСТ, Аеропорт Тикси'),
	('UEBS', 'small_airport', 'Sakkyryr Airport', 67.792, 130.394, 1686, 'RU', 'RU-SA', 'Batagay-Alyta', 'yes', 'UEBS', 'SUK', '', 'УЕБС, Саккырыр, Батагаы-Алыта'),
	('UEBW', 'small_airport', 'Verkhoyansk Airport', 67.54309844970703, 133.3988037109375, 0, 'RU', 'RU-SA', '', 'no', 'UEBW', '', '', 'Verhoyansk Airport, Аэропорт Верхоянск'),
	('UEBB', 'small_airport', 'Batagay Airport', 67.648002624512, 134.69500732422, 696, 'RU', 'RU-SA', 'Batagay', 'yes', 'UEBB', 'BQJ', '', 'УЕББ, Батагай'),
	('DPT', 'small_airport', 'Deputatskiy Airport', 69.392503, 139.890012, 950, 'RU', 'RU-SA', 'Deputatskiy', 'yes', 'UEBD', 'DPT', '', 'УЕБД, Deputatsky Airport, Аэропорт Депутатский, Deputy Airport');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UEKG', 'small_airport', 'Kuberganya Airport', 67.765668, 144.509096, 0, 'RU', 'RU-SA', '', 'no', 'UEKG', '', '', ''),
	('UEVV', 'N/A', 'N/A', 66.79527774453163, 123.36249992251396, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UENI', 'small_airport', 'Verkhnevilyuisk Airport', 63.458057403564, 120.26916503906, 411, 'RU', 'RU-SA', 'Verkhnevilyuisk', 'yes', 'UENI', 'VHV', '', 'УЕНИ, Verkhneviluisk Airport, Verhnevilyuisk Airport, Verhneviluisk Airport, Аэропорт Верхневилюйск'),
	('UENK', 'medium_airport', 'Kyzyl-Syr Airport', 63.8849983215332, 122.7770004272461, 331, 'RU', 'RU-SA', 'Kyzyl-Syr', 'no', 'UENK', '', '', 'Аэропорт Кызыл-Сыр'),
	('UENW', 'medium_airport', 'Vilyuisk Airport', 63.756668, 121.693336, 361, 'RU', 'RU-SA', 'Vilyuisk', 'yes', 'UENW', 'VYI', '', 'УЕНВ, Вилюйск'),
	('UEMO', 'medium_airport', 'Olyokminsk Airport', 60.401833, 120.476094, 656, 'RU', 'RU-SA', 'Olyokminsk', 'yes', 'UEMO', 'OLZ', '', 'Olekminsk Airport, Аэропорт Олёкминск, Аэропорт Олекминск, УЕМО'),
	('ZYMH', 'medium_airport', 'Mohe Gulian Airport', 52.916871, 122.422759, 1836, 'CN', 'CN-23', 'Mohe', 'yes', 'ZYMH', 'OHE', '', ''),
	('ZXIU', 'N/A', 'N/A', 48.046986758708954, 122.6989933848381, 322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBUL', 'small_airport', 'Ulanhot Yilelite Airport', 46.195333, 122.008333, 0, 'CN', 'CN-15', 'Ulanhot', 'yes', 'ZBUL', 'HLH', '', ''),
	('UCEC', 'N/A', 'N/A', 63.37160523980856, 125.54318949580193, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAG', 'N/A', 'N/A', 63.689417503774166, 125.9851285815239, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCED', 'N/A', 'N/A', 62.088443487882614, 126.73305362462997, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UEMS', 'small_airport', 'Sangar Airport', 63.9594, 127.42, 200, 'RU', 'RU-SA', 'Sangar', 'no', 'UEMS', '', '', 'УЕМС, Аэропорт Сангар'),
	('UTOC', 'N/A', 'N/A', 58.93579747527838, 126.28958657383919, 279, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UEEA', 'small_airport', 'Aldan Airport', 58.60279846191406, 125.40899658203125, 2241, 'RU', 'RU-SA', 'Aldan', 'no', 'UEEA', 'ADH', '', ''),
	('UHBI', 'closed', 'Magdagachi Airport', 53.472467, 125.798094, 1211, 'RU', 'RU-AMU', 'Magdagachi', 'no', '', '', '', 'UHBI, GDG'),
	('UHBW', 'small_airport', 'Tynda Airport', 55.284936, 124.77901, 2001, 'RU', 'RU-AMU', 'Tynda', 'no', 'UHBW', 'TYD', '', 'Sigikta Airport'),
	('UHBE', 'small_airport', 'Zeya Airport', 53.687023, 127.090972, 905, 'RU', 'RU-AMU', 'Zeya', 'no', 'UHBE', 'EYA', '', 'Аэропорт Зея'),
	('ZYHE', 'medium_airport', 'Heihe Aihui Airport', 50.171621, 127.308884, 1047, 'CN', 'CN-23', 'Heihe', 'yes', 'ZYHE', 'HEK', '', ''),
	('ZCHF', 'N/A', 'N/A', 49.234414771199226, 125.33441215753555, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('JGD', 'medium_airport', 'Daxing''anling Elunchun Airport', 50.371389, 124.1175, 1205, 'CN', 'CN-23', 'Jiagedaqi', 'yes', 'ZYJD', 'JGD', '', 'Jagdaqi, Jiagedaqi'),
	('ZKEE', 'N/A', 'N/A', 49.073083251714706, 125.77064797282219, 343, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHBB', 'medium_airport', 'Ignatyevo Airport', 50.42539978027344, 127.41200256347656, 638, 'RU', 'RU-AMU', 'Blagoveschensk', 'yes', 'UHBB', 'BQS', '', 'Blagoveschensk Airport, Blagoveshchensk Airport, Аэропорт Игнатьево, Аэропорт Благовещенск'),
	('ZHAB', 'N/A', 'N/A', 45.59901639819145, 126.65809616446495, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DQA', 'small_airport', 'Daqing Sa''ertu Airport', 46.750883, 125.138642, 496, 'CN', 'CN-23', 'Daqing', 'yes', 'ZYDQ', 'DQA', '', ''),
	('ZHAA', 'N/A', 'N/A', 45.67162714898586, 126.52210280299187, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZXIL', 'N/A', 'N/A', 45.25974813848734, 126.89344793558121, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYHB', 'large_airport', 'Harbin Taiping International Airport', 45.623402, 126.25, 457, 'CN', 'CN-23', 'Harbin', 'yes', 'ZYHB', 'HRB', '', ''),
	('ZSHU', 'N/A', 'N/A', 45.40596306324005, 126.3168016076088, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYQQ', 'medium_airport', 'Qiqihar Sanjiazi Airport', 47.239601135253906, 123.91799926757813, 477, 'CN', 'CN-23', 'Qiqihar', 'yes', 'ZYQQ', 'NDG', '', ''),
	('UEWD', 'small_airport', 'Dzhargalakh Airport', 67.2672, 130.5319, 1400, 'RU', 'RU-SA', 'Dzhargalakh', 'no', 'UEWD', '', '', 'УЕВД, Аэродром Джаргалах'),
	('UEEE', 'medium_airport', 'Yakutsk Airport', 62.093299865722656, 129.77099609375, 325, 'RU', 'RU-SA', 'Yakutsk', 'yes', 'UEEE', 'YKS', '', ''),
	('UEMM', 'medium_airport', 'Magan Airport', 62.103484, 129.545288, 577, 'RU', 'RU-SA', 'Magan', 'no', 'UEMM', 'GYG', '', 'УЕММ, Маган'),
	('UZEY', 'N/A', 'N/A', 54.174102656543255, 127.98955902457237, 425, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZEA', 'N/A', 'N/A', 54.63310740888119, 127.84443899989128, 409, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHHG', 'small_airport', 'Bomnak Airfield', 54.71275, 128.8577, 1199, 'RU', 'RU-AMU', 'Bomnak', 'no', 'UHHG', '', 'UHHG', 'УХХГ, Бомнак'),
	('USHM', 'N/A', 'N/A', 51.98607824742794, 127.64245435595512, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHBN', 'small_airport', 'Novokievsky Uval Airport', 51.6603, 128.9329, 591, 'RU', 'RU-AMU', 'Novokievsky Uval', 'no', 'UHBN', '', 'UHBN', 'УХБН, Новокиевский Увал'),
	('UHBS', 'small_airport', 'Svobodny Airport', 51.45500183105469, 128.09832763671875, 600, 'RU', 'RU-AMU', 'Svobodny', 'no', 'UHBS', '', '', ''),
	('USEH', 'N/A', 'N/A', 51.26432195305824, 128.7201225757599, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USEB', 'N/A', 'N/A', 51.17068737745285, 128.4433937072754, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBEG', 'N/A', 'N/A', 50.769177451729774, 128.7764874100685, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UZAA', 'N/A', 'N/A', 50.19121203571558, 129.504042416811, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHBA', 'small_airport', 'Arkhara Airport', 49.4165, 130.0673, 420, 'RU', 'RU-AMU', 'Arkhara', 'no', 'UHBA', '', '', 'УХБА, Архара'),
	('UYEK', 'N/A', 'N/A', 50.58078646659851, 128.8817985355854, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKUN', 'N/A', 'N/A', 49.75570276379585, 127.56505206227303, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYJX', 'medium_airport', 'Jixi Xingkaihu Airport', 45.293, 131.193, 760, 'CN', 'CN-23', 'Jixi', 'yes', 'ZYJX', 'JXA', '', ''),
	('ZYJM', 'medium_airport', 'Jiamusi Dongjiao Airport', 46.843399, 130.464996, 262, 'CN', 'CN-23', 'Jiamusi', 'yes', 'ZYJM', 'JMU', '', ''),
	('ZWUM', 'N/A', 'N/A', 47.7179403975606, 128.8307087123394, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZCHQ', 'N/A', 'N/A', 46.793027222156525, 130.26961728930473, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAMG', 'N/A', 'N/A', 59.167058542370796, 131.92111507058144, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UAMD', 'N/A', 'N/A', 60.90433873236179, 132.0388376712799, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UEQM', 'small_airport', 'Ust-Mil Airstrip', 59.631249, 133.089694, 0, 'RU', 'RU-SA', 'Ust-Mil', 'no', 'UEQM', '', '', ''),
	('UCHU', 'N/A', 'N/A', 54.52224366366863, 134.42567244172096, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHBP', 'small_airport', 'Ekimchan Airport', 53.076099, 132.951004, 1781, 'RU', 'RU-AMU', 'Ekimchan', 'no', 'UHBP', '', '', 'Аэропорт Экимчан'),
	('UHHM', 'N/A', 'N/A', 51.136211939156055, 132.94183552265167, 379, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBII', 'N/A', 'N/A', 48.582823388278484, 133.04403752088547, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UBAS', 'N/A', 'N/A', 48.4002859890461, 132.78304249048233, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYFY', 'medium_airport', 'Fuyuan Dongji Aiport', 48.197219, 134.36298, 0, 'CN', 'CN-23', 'Fuyuan', 'yes', 'ZYFY', 'FYJ', '', ''),
	('UHB1', 'small_airport', 'Birofeld Air Base', 48.459999, 132.660004, 0, 'RU', 'RU-YEV', 'Birofeld', 'no', 'XHHB', '', '', 'Birofeld Severozapadniy Air Base, Birofeld Northwest Air Base, Аэродром Бирофельд Северозападный, UHB1'),
	('UHHD', 'N/A', 'N/A', 45.88000729680061, 133.73890578746796, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UDZZ', 'N/A', 'N/A', 62.192010283470154, 135.86309552192688, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USON', 'N/A', 'N/A', 59.76516768336296, 137.68353447318077, 384, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USOL', 'N/A', 'N/A', 60.25768227875233, 137.51251503825188, 383, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUSM', 'N/A', 'N/A', 60.74767090380192, 135.12765303254128, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUSY', 'N/A', 'N/A', 60.48112001270056, 135.14631047844887, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UEQN', 'small_airport', 'Allakh-Yun Airport', 61.1431, 138.0313, 1940, 'RU', 'RU-SA', 'Allakh-Yun', 'no', 'UEQN', '', 'UEQN', 'УЕЯН, Аллах-Юнь'),
	('UHNA', 'small_airport', 'Munuk Airport', 56.4321, 138.0449, 15, 'RU', 'RU-KHA', 'Ayan', 'no', 'UHNA', '', '', 'УХНА, Аэропорт Мунук, Аян'),
	('UHNX', 'N/A', 'N/A', 57.64229580760002, 136.16159364581108, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHHY', 'small_airport', 'Chumikan Airport', 54.695999, 135.285995, 0, 'RU', 'RU-KHA', 'Chumikan', 'no', 'UHHY', '', '', 'Аэропорт Чумикан'),
	('UHNI', 'N/A', 'N/A', 55.01759201288223, 135.40741458535194, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UIMM', 'N/A', 'N/A', 52.43945270776749, 136.47333294153214, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHHO', 'small_airport', 'Troitskoye Airport', 49.444833, 136.571033, 93, 'RU', 'RU-KHA', 'Troitskoye', 'no', 'UHHO', '', '', 'УХХО, Троицкое'),
	('UKHF', 'N/A', 'N/A', 48.43692362308502, 135.14184907078743, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHKD', 'medium_airport', 'Dzemgi Airport', 50.605598, 137.080994, 89, 'RU', 'RU-KHA', 'Komsomolsk-na-Amur', 'yes', 'UHKD', '', '', ''),
	('UTOP', 'N/A', 'N/A', 48.62009033560753, 135.11979058384895, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHHT', 'small_airport', 'Khabarovsk MVL Airport', 48.525484, 135.152478, 262, 'RU', 'RU-KHA', 'Khabarovsk', 'no', 'UHHT', '', '', 'Аэропорт Хабаровск'),
	('UHK1', 'small_airport', 'Kalinka Airport', 48.407329, 135.411571, 151, 'RU', 'RU-KHA', 'Blagodatnoye', 'no', 'UHK1', '', '', 'Blagodatnoye Air Base, Аэродром Благодатное'),
	('UHHH', 'medium_airport', 'Khabarovsk Novy Airport', 48.528338, 135.188588, 244, 'RU', 'RU-KHA', 'Khabarovsk', 'yes', 'UHHH', 'KHV', '', 'Аэропорт Хабаровск-Новый'),
	('UAMM', 'N/A', 'N/A', 50.03140468150377, 136.29664465785027, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHK2', 'small_airport', 'Garovka Air Base', 48.395946, 135.223477, 290, 'RU', 'RU-KHA', 'Khabarovsk', 'no', 'UHK2', '', '', 'Аэродром Гаровка'),
	('UKHB', 'N/A', 'N/A', 48.46250385046005, 135.150895267725, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKHO', 'N/A', 'N/A', 47.99763444811106, 135.08861660957336, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHTZ', 'N/A', 'N/A', 47.597602754831314, 138.3688299357891, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHWE', 'small_airport', 'Yedinka Airport', 47.178201, 138.657357, 98, 'RU', 'RU-PRI', 'Yedinka', 'no', 'UHWE', 'EDN', '', ''),
	('UTER', 'N/A', 'N/A', 45.08244574069977, 136.5913487970829, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHTG', 'small_airport', 'Amgu Airport', 45.84126, 137.673568, 10, 'RU', 'RU-PRI', 'Amgu', 'no', 'UHTG', 'AEM', '', 'Амгу, УХТГ'),
	('UHOI', 'N/A', 'N/A', 57.35540606081486, 139.49856609106064, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHNN', 'medium_airport', 'Nikolayevsk-na-Amure Airport', 53.154999, 140.649994, 170, 'RU', 'RU-KHA', 'Nikolayevsk-na-Amure Airport', 'yes', 'UHNN', 'NLI', '', 'Nikolaevsk-na-Amure Airport, Nikolayevsk-on-Amur Airport, Аэропорт Николаевск-на-Амуре'),
	('UHNB', 'small_airport', 'Bogorodskoye Airport', 52.381041, 140.449378, 150, 'RU', 'RU-KHA', 'Bogorodskoye', 'yes', 'UHNB', 'BQG', '', 'Bogorodskoe Airport, Аэропорт Богородское, УХНБ'),
	('UHNH', 'N/A', 'N/A', 52.97563165426254, 138.81831496953964, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHNM', 'N/A', 'N/A', 51.72466713935137, 140.22849664092064, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHKG', 'medium_airport', 'Kamenny Ruchey Naval Air Base', 49.235703, 140.1931, 659, 'RU', 'RU-KHA', 'Sovetskaya Gavan', 'no', 'UHKG', '', '', 'Монгохто, Каменный Ручей'),
	('XHKP', 'N/A', 'N/A', 49.03086461126804, 140.22813811898232, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJCW', 'medium_airport', 'Wakkanai Airport', 45.4042015076, 141.800994873, 30, 'JP', 'JP-01', 'Wakkanai', 'yes', 'RJCW', 'WKJ', '', ''),
	('USVT', 'N/A', 'N/A', 47.25075859576464, 138.7896953523159, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJER', 'medium_airport', 'Rishiri Airport', 45.2420005798, 141.186004639, 112, 'JP', 'JP-01', 'Rishiri', 'yes', 'RJER', 'RIS', '', ''),
	('RJCR', 'small_airport', 'Rebun Airport', 45.4550018311, 141.039001465, 92, 'JP', 'JP-01', 'Rebun', 'no', 'RJCR', 'RBJ', '', ''),
	('UUSR', 'N/A', 'N/A', 66.25603873282671, 143.32414850592613, 226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UEMA', 'medium_airport', 'Moma Airport', 66.450861, 143.261551, 656, 'RU', 'RU-SA', 'Khonuu', 'yes', 'UEMA', 'MQJ', '', 'Аэропорт Мома'),
	('UUSN', 'N/A', 'N/A', 63.24285753071308, 143.1751884520054, 741, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHOO', 'medium_airport', 'Okhotsk Airport', 59.410065, 143.056503, 45, 'RU', 'RU-KHA', 'Okhotsk', 'yes', 'UHOO', 'OHO', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UHSO', 'small_airport', 'Zonalnoye Airport', 50.6692008972, 142.761001587, 479, 'RU', 'RU-SAK', 'Tymovskoye', 'no', 'UHSO', 'ZZO', '', 'Zonalnoe Airport, Аэропорт Зональное'),
	('UHSN', 'N/A', 'N/A', 51.78388897329569, 143.14194425940514, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULEO', 'N/A', 'N/A', 49.27150771021843, 142.92886957526207, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USMI', 'N/A', 'N/A', 49.73810579627752, 142.85928681492805, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULEI', 'N/A', 'N/A', 49.396529495716095, 142.88510978221893, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ULOQ', 'N/A', 'N/A', 46.617617793381214, 142.81255066394806, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHSS', 'medium_airport', 'Yuzhno-Sakhalinsk Airport', 46.885461, 142.717466, 59, 'RU', 'RU-SAK', 'Yuzhno-Sakhalinsk', 'yes', 'UHSS', 'UUS', '', 'Аэропорт Южно-Сахалинск, Khomutovo'),
	('USOJ', 'N/A', 'N/A', 47.153487615287304, 142.76361599564552, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USOK', 'N/A', 'N/A', 47.26218480616808, 142.76817619800568, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UMYA', 'N/A', 'N/A', 65.16331784427166, 147.07395002245903, 587, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UYAG', 'N/A', 'N/A', 62.54565015435219, 149.52304556965828, 489, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHSI', 'small_airport', 'Iturup Airport', 45.256389, 147.95549, 387, 'RU', 'RU-SAK', 'Kurilsk', 'yes', 'UHSI', 'ITU', '', ''),
	('ZXIM', 'N/A', 'N/A', 42.39024147391319, 123.37003201246262, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBTL', 'medium_airport', 'Tongliao Airport', 43.556702, 122.199997, 2395, 'CN', 'CN-15', 'Tongliao', 'yes', 'ZBTL', 'TGO', '', ''),
	('ZSHN', 'N/A', 'N/A', 41.8703106790781, 123.4393934905529, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYFX', 'small_airport', 'Fuxin Airport', 42.069014, 121.718122, 548, 'CN', 'CN-21', 'Xihe, Fuxin', 'no', 'ZYFX', '', '', ''),
	('ZXIG', 'N/A', 'N/A', 40.58003906160593, 120.69995686411858, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZJIZ', 'N/A', 'N/A', 41.186910308897495, 121.16676360368729, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYCY', 'medium_airport', 'Chaoyang Airport', 41.538101, 120.434998, 568, 'CN', 'CN-21', 'Shuangta, Chaoyang', 'yes', 'ZYCY', 'CHG', '', ''),
	('ZYYK', 'medium_airport', 'Yingkou Lanqi Airport', 40.542524, 122.3586, 0, 'CN', 'CN-21', 'Yingkou (Laobian)', 'yes', 'ZYYK', 'YKH', '', ''),
	('ZYAS', 'medium_airport', 'Anshan Teng''ao Airport / Anshan Air Base', 41.105301, 122.853996, 0, 'CN', 'CN-21', 'Anshan', 'yes', 'ZYAS', 'AOG', '', ''),
	('ZSHY', 'N/A', 'N/A', 41.82347059249878, 123.29764142632484, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZWAA', 'N/A', 'N/A', 39.66996118426323, 121.76616087555885, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYXC', 'N/A', 'N/A', 40.49785919487476, 120.657619535923, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYJZ', 'small_airport', 'Jinzhou Xiaolingzi Air Base', 41.101398, 121.061996, 0, 'CN', 'CN-21', 'Jinzhou (Taihe)', 'no', '', '', '', 'Xiaolingzi Air Base'),
	('ZYTX', 'large_airport', 'Shenyang Taoxian International Airport', 41.639801, 123.483002, 198, 'CN', 'CN-21', 'Hunnan, Shenyang', 'yes', 'ZYTX', 'SHE', '', ''),
	('ZYYY', 'medium_airport', 'Shenyang Dongta Airport', 41.784401, 123.496002, 0, 'CN', 'CN-21', 'Dadong, Shenyang', 'no', 'ZYYY', '', '', ''),
	('ZSUI', 'N/A', 'N/A', 40.29937740415335, 120.36128282546997, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZFUU', 'N/A', 'N/A', 42.078872211277485, 121.65994361042976, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLIY', 'N/A', 'N/A', 41.277936436235905, 123.07867214083672, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYUH', 'N/A', 'N/A', 40.74948526918888, 120.8787989616394, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSYT', 'small_airport', 'Yantai Laishan Airport', 37.396825, 121.369571, 59, 'CN', 'CN-37', 'Yantai', 'no', '', '', '', 'YNT, ZSYT'),
	('ZLUS', 'N/A', 'N/A', 38.91524791717529, 121.23660564422607, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSWH', 'medium_airport', 'Weihai Dashuibo Airport', 37.187099, 122.228996, 145, 'CN', 'CN-37', 'Weihai', 'yes', 'ZSWH', 'WEH', '', 'Dashuipo, Yancheng Air Base'),
	('ZJIH', 'N/A', 'N/A', 39.29229240864515, 121.76266595721245, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZNAA', 'N/A', 'N/A', 37.804763093590736, 120.80944195389748, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZHEE', 'N/A', 'N/A', 36.96294341236353, 120.58949902653694, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYCH', 'medium_airport', 'Changhai Airport', 39.266667, 122.666944, 80, 'CN', 'CN-21', 'Dalian (Changhai)', 'yes', 'ZYCH', 'CNI', '', ''),
	('ZYTL', 'large_airport', 'Dalian Zhoushuizi International Airport', 38.965719, 121.538477, 107, 'CN', 'CN-21', 'Dalian (Ganjingzi)', 'yes', 'ZYTL', 'DLC', '', 'Dalian Air Base'),
	('ZJIO', 'N/A', 'N/A', 36.33122015744448, 120.02554267644882, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZQIG', 'N/A', 'N/A', 36.1590987816453, 120.3913114964962, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSRG', 'medium_airport', 'Rugao Air Base', 32.258341, 120.501131, 0, 'CN', 'CN-32', 'Rugao (Nantong)', 'no', 'ZSRG', 'RUG', '', ''),
	('ZSNT', 'N/A', 'N/A', 32.06833340227604, 120.98166659474373, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSPD', 'large_airport', 'Shanghai Pudong International Airport', 31.1434, 121.805, 13, 'CN', 'CN-31', 'Shanghai (Pudong)', 'yes', 'ZSPD', 'PVG', '', ''),
	('ZYAP', 'N/A', 'N/A', 31.334073655307293, 121.62159115076065, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSWX', 'medium_airport', 'Sunan Shuofang International Airport', 31.494400024399997, 120.429000854, 24, 'CN', 'CN-32', 'Wuxi', 'yes', 'ZSWX', 'WUX', '', 'Wuxi Airport'),
	('ZSSZ', 'medium_airport', 'Suzhou Guangfu Airport', 31.2631, 120.401001, 0, 'CN', 'CN-32', 'Suzhou', 'no', 'ZSSZ', 'SZV', '', ''),
	('ZCHA', 'N/A', 'N/A', 31.324200443923473, 121.40949591994286, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSYN', 'medium_airport', 'Yancheng Nanyang International Airport', 33.425833, 120.203056, 0, 'CN', 'CN-32', 'Yancheng (Tinghu)', 'yes', 'ZSYN', 'YNZ', '', ''),
	('ZYON', 'N/A', 'N/A', 31.66417110711336, 121.51913970708847, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSSS', 'large_airport', 'Shanghai Hongqiao International Airport', 31.198104, 121.33426, 10, 'CN', 'CN-31', 'Shanghai (Minhang)', 'yes', 'ZSSS', 'SHA', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ZSLQ', 'medium_airport', 'Taizhou Luqiao Airport', 28.562201, 121.429001, 0, 'CN', 'CN-33', 'Huangyan', 'yes', 'ZSLQ', 'HYN', '', ''),
	('ZSNB', 'large_airport', 'Ningbo Lishe International Airport', 29.82670021057129, 121.46199798583984, 13, 'CN', 'CN-33', 'Ningbo', 'yes', 'ZSNB', 'NGB', '', ''),
	('ZSZS', 'medium_airport', 'Zhoushan Putuoshan Airport', 29.9342, 122.362, 3, 'CN', 'CN-33', 'Zhoushan', 'yes', 'ZSZS', 'HSN', '', ''),
	('ZSYW', 'medium_airport', 'Yiwu Airport', 29.3446998596, 120.031997681, 262, 'CN', 'CN-33', 'Yiwu', 'yes', 'ZSYW', 'YIW', '', ''),
	('ZYOO', 'N/A', 'N/A', 29.923902936279774, 121.57398506999016, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZBEI', 'N/A', 'N/A', 29.26833651959896, 120.35347267985344, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZHEN', 'N/A', 'N/A', 30.705562345683575, 120.67976877093315, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZSWZ', 'large_airport', 'Wenzhou Longwan International Airport', 27.912201, 120.851997, 13, 'CN', 'CN-33', 'Wenzhou', 'yes', 'ZSWZ', 'WNZ', '', '温州永强机场, Wenzhou Yongqiang Airport'),
	('RCMT', 'medium_airport', 'Matsu Beigan Airport', 26.224199, 120.002998, 41, 'TW', 'TW-X-LK', 'Matsu (Beigan)', 'yes', 'RCMT', 'MFK', '', 'Matsu Islands'),
	('RCKU', 'medium_airport', 'Chiayi Airport', 23.46179962158203, 120.39299774169922, 85, 'TW', 'TW-CYQ', 'Chiayi City', 'yes', 'RCKU', 'CYI', '', 'Shueishang Airport, 嘉義航空站, 水上機場'),
	('RCPO', 'medium_airport', 'Hsinchu Air Base', 24.8180007935, 120.939002991, 26, 'TW', 'TW-HSZ', 'Hsinchu City', 'no', 'RCPO', 'HSZ', '', ''),
	('RCSQ', 'medium_airport', 'Pingtung North Airport', 22.700199127197266, 120.48200225830078, 97, 'TW', 'TW-PIF', 'Pingtung', 'yes', 'RCSQ', 'PIF', '', ''),
	('RCDI', 'medium_airport', 'Longtan Air Base', 24.853588, 121.236392, 790, 'TW', 'TW-TAO', 'Longtan', 'no', 'RCDI', '', '', ''),
	('RCHU', 'N/A', 'N/A', 23.89889806509018, 121.5694311261177, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RCQS', 'medium_airport', 'Chihhang Air Base', 22.7931, 121.181999, 121, 'TW', 'TW-TTT', 'Taitung City', 'no', 'RCQS', '', '', 'Jhihhang Airport'),
	('RCAY', 'medium_airport', 'Gangshan Air Force Base', 22.782499, 120.263, 34, 'TW', 'TW-KHH', 'Kaohsiung (Gangshan)', 'no', 'RCAY', '', '', 'Kangshan, Air Force Academy, 空軍官校'),
	('RCKH', 'large_airport', 'Kaohsiung International Airport', 22.577101, 120.349998, 31, 'TW', 'TW-KHH', 'Kaohsiung (Xiaogang)', 'yes', 'RCKH', 'KHH', '', 'Siaogang International Airport, 高雄國際航空站, 小港國際機場'),
	('RCMQ', 'medium_airport', 'Taichung International Airport / Ching Chuang Kang Air Base', 24.2647, 120.621002, 663, 'TW', 'TW-TXG', 'Taichung (Qingshui)', 'yes', 'RCMQ', 'RMQ', '', '臺中清泉崗機場'),
	('Z28T', 'N/A', 'N/A', 22.705189660191536, 120.28066456317902, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RCFN', 'medium_airport', 'Taitung Airport', 22.7549991607666, 121.10199737548828, 143, 'TW', 'TW-TTT', 'Taitung City', 'yes', 'RCFN', 'TTT', '', 'Fengnin Airport, 台東機場'),
	('RCGM', 'closed', 'Taoyuan Air Base', 25.054217, 121.240827, 144, 'TW', 'TW-TAO', 'Taoyuan (Dayuan)', 'no', '', '', '', 'Taiyoun Airbase, Taoyuan Naval Base, 太陽空軍基地; RGCM, RCGM'),
	('RCGI', 'small_airport', 'Lyudao Airport', 22.673900604248047, 121.46600341796875, 28, 'TW', 'TW-TTT', 'Lyudao', 'no', 'RCGI', 'GNI', '', 'Green Island'),
	('RCSS', 'medium_airport', 'Taipei Songshan Airport', 25.069400787353516, 121.552001953125, 18, 'TW', 'TW-TPE', 'Taipei City', 'yes', 'RCSS', 'TSA', '', 'Sungshan Airport, 台北松山機場, 臺北松山機場'),
	('RCTA', 'N/A', 'N/A', 22.587032318115234, 121.00082069635391, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RCHA', 'N/A', 'N/A', 23.879172429442406, 121.54812812805176, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RCNN', 'medium_airport', 'Tainan International Airport / Tainan Air Base', 22.950399, 120.206001, 63, 'TW', 'TW-TNN', 'Tainan (Rende)', 'yes', 'RCNN', 'TNN', '', '臺南機場, 臺南航空站'),
	('RCTP', 'large_airport', 'Taiwan Taoyuan International Airport', 25.0777, 121.233002, 106, 'TW', 'TW-TAO', 'Taoyuan', 'yes', 'RCTP', 'TPE', '', 'Taoyuan County, Dayuan District. 臺灣桃園國際機場'),
	('RCDC', 'medium_airport', 'Pingtung South Airport', 22.672399520874023, 120.46199798583984, 78, 'TW', 'TW-PIF', 'Pingtung', 'no', 'RCDC', '', '', ''),
	('ROYN', 'medium_airport', 'Yonaguni Airport', 24.467298, 122.979827, 70, 'JP', 'JP-47', 'Yonaguni', 'yes', 'ROYN', 'OGN', '', ''),
	('RCYU', 'medium_airport', 'Hualien Airport', 24.023099899291992, 121.61799621582031, 52, 'TW', 'TW-HUA', 'Hualien City', 'yes', 'RCYU', 'HUN', '', '花蓮機場'),
	('ZYTN', 'medium_airport', 'Tonghua Sanyuanpu Airport', 42.2538888889, 125.703333333, 1200, 'CN', 'CN-22', 'Tonghua', 'yes', 'ZYTN', 'TNH', '', 'Tonghua Liuhe Airport'),
	('ZYJL', 'small_airport', 'Jilin Ertaizi Airport', 44.002652, 126.395244, 0, 'CN', 'CN-22', 'Jilin', 'no', 'ZYJL', 'JIL', '', ''),
	('ZQUU', 'N/A', 'N/A', 43.157646618783474, 124.29389342665672, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZCHC', 'N/A', 'N/A', 43.73459346592426, 125.25405541062355, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZGON', 'N/A', 'N/A', 43.526201248168945, 124.78478819131851, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZYCC', 'large_airport', 'Changchun Longjia International Airport', 43.996201, 125.684998, 706, 'CN', 'CN-22', 'Changchun', 'yes', 'ZYCC', 'CGQ', '', ''),
	('ZKSS', 'N/A', 'N/A', 39.65286914259195, 126.66996583342552, 513, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKSI', 'N/A', 'N/A', 40.08551985025406, 124.40678134560585, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKUI', 'N/A', 'N/A', 40.15178181231022, 124.49903503060341, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKSC', 'medium_airport', 'Sunchon Air Base', 39.412463, 125.890273, 141, 'KP', 'KP-02', 'Sunchon', 'no', 'ZKSC', '', '', ''),
	('ZKUA', 'N/A', 'N/A', 40.69878816604614, 124.59202140569687, 276, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZLAN', 'closed', 'Lanzhou City Airport', 36.033333, 103.86667, 5040, 'CN', 'CN-62', 'Lanzhou (Chengguan)', 'no', '', '', '', 'LHW, ZLAN'),
	('ZKPD', 'N/A', 'N/A', 39.92753639817238, 125.20775511860847, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKPA', 'N/A', 'N/A', 39.90278296172619, 125.48933923244476, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKPN', 'N/A', 'N/A', 39.50445782393217, 125.96463471651077, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZFEC', 'N/A', 'N/A', 40.54464563727379, 124.23304662108421, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKSD', 'medium_airport', 'Sondok Airport', 39.745201, 127.473999, 12, 'KP', 'KP-08', 'Sŏndŏng-ni', 'yes', 'ZKSD', 'DSO', '', ''),
	('ZKKW', 'N/A', 'N/A', 39.73193362355232, 125.11073961853981, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKYO', 'N/A', 'N/A', 39.75358173251152, 125.90246871113777, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKPY', 'medium_airport', 'Pyongyang Sunan International Airport', 39.224098, 125.669998, 117, 'KP', 'KP-01', 'Pyongyang', 'yes', 'ZKPY', 'FNJ', '', ''),
	('RKSO', 'medium_airport', 'Osan Air Base', 37.091457, 127.029448, 38, 'KR', 'KR-41', 'Pyeongtaek', 'no', 'RKSO', 'OSN', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('RKTP', 'small_airport', 'Seosan Air Base', 36.703999, 126.486, 39, 'KR', 'KR-44', 'Seosan', 'no', 'RKTP', 'HMY', 'RK6U', ''),
	('RK0D', 'N/A', 'N/A', 38.15474644303322, 127.31395035982132, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RK52', 'small_airport', 'Yongin (G-501) Airport', 37.286747, 127.225446, 243, 'KR', 'KR-41', 'Pogong-ro', 'no', 'RKRY', '', 'RK52', 'Yangin, RKRY, RK52, G 501, G-501'),
	('ZKKE', 'N/A', 'N/A', 38.66393230855465, 126.58750668168068, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKAG', 'N/A', 'N/A', 38.130117394030094, 125.84897205233574, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKKN', 'N/A', 'N/A', 38.48216202110052, 126.85845986008644, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RK18', 'small_airport', 'G 233 Airport', 38.083162, 127.269037, 340, 'KR', 'KR-41', 'Munam', 'no', 'RK18', '', 'RK18', ''),
	('ZKHJ', 'N/A', 'N/A', 38.0595763027668, 125.86873188614845, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RK0K', 'N/A', 'N/A', 37.7152182161808, 126.56025990843773, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RK0Y', 'N/A', 'N/A', 38.24889063835144, 127.37843334674835, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKSD', 'heliport', 'N 200 Heliport', 37.171691, 126.916266, 155, 'KR', 'KR-41', '', 'no', 'RKSD', '', 'RK8F', ''),
	('ZKCA', 'N/A', 'N/A', 38.42564485967159, 125.0191368162632, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKWS', 'medium_airport', 'Wonsan Kalma International Airport', 39.166801, 127.486, 7, 'KP', 'KP-07', 'Wonsan', 'yes', 'ZKWS', 'WOS', '', ''),
	('ZKSK', 'N/A', 'N/A', 38.23798779398203, 126.120645403862, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RK0N', 'N/A', 'N/A', 37.909399420022964, 127.00835689902306, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RK0C', 'N/A', 'N/A', 38.026494942605495, 127.36718505620956, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKON', 'N/A', 'N/A', 37.932221330702305, 125.41947260499, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RK0O', 'N/A', 'N/A', 37.64699589461088, 127.15126633644104, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKSW', 'medium_airport', 'Suwon Airport', 37.239399, 127.007004, 88, 'KR', 'KR-41', 'Suwon', 'no', 'RKSW', 'SWU', '', ''),
	('ZKHW', 'N/A', 'N/A', 38.653518967330456, 125.7887515425682, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKAN', 'N/A', 'N/A', 38.251831009984016, 125.96387520432472, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKSI', 'large_airport', 'Incheon International Airport', 37.469101, 126.450996, 23, 'KR', 'KR-28', 'Seoul', 'yes', 'RKSI', 'ICN', '', ''),
	('ZKHA', 'N/A', 'N/A', 38.006543666124344, 125.7786937057972, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKKA', 'N/A', 'N/A', 39.158270470798016, 126.04031324386597, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RK0M', 'N/A', 'N/A', 37.89501305669546, 126.97054356336594, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKKK', 'N/A', 'N/A', 38.68946358561516, 126.60384804010391, 247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKSG', 'medium_airport', 'Camp Humphreys (A-511) Desiderio Army Airfield', 36.962363, 127.031126, 51, 'KR', 'KR-41', 'Pyeongtaek', 'no', 'RKSG', '', '', ''),
	('ZKKD', 'N/A', 'N/A', 38.71830202639103, 126.68239250779152, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKSS', 'large_airport', 'Gimpo International Airport', 37.5583, 126.791, 59, 'KR', 'KR-11', 'Seoul', 'yes', 'RKSS', 'GMP', '', ''),
	('ZKKB', 'N/A', 'N/A', 38.719115406274796, 126.72125592827797, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKAK', 'N/A', 'N/A', 38.54845315217972, 125.3372186422348, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKRN', 'small_airport', 'Icheon (G-510) Airfield', 37.200715, 127.469215, 255, 'KR', 'KR-41', 'Jinsangmi-ro', 'no', 'RKRN', '', '', ''),
	('ZKYN', 'N/A', 'N/A', 38.9095713570714, 125.23243814706802, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKSM', 'N/A', 'N/A', 38.356287963688374, 126.2193475663662, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKWN', 'N/A', 'N/A', 39.09713890403509, 127.39943996071815, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKKC', 'N/A', 'N/A', 38.674752339720726, 126.92430898547173, 152, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKHO', 'N/A', 'N/A', 38.61349370330572, 127.45184630155563, 587, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKCG', 'N/A', 'N/A', 38.552031219005585, 124.83262002468109, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKSN', 'N/A', 'N/A', 38.70279885828495, 126.28508180379868, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKTA', 'small_airport', 'Taean Airport', 36.593781, 126.29662, 16, 'KR', 'KR-44', 'Taean', 'no', 'RKTA', 'QDY', '', ''),
	('RKRB', 'small_airport', 'Bucheon (G-103) Airfield', 37.474918, 126.747272, 92, 'KR', 'KR-28', 'Ilsin-ro', 'no', 'RKRB', '', 'RK53', ''),
	('RK0W', 'N/A', 'N/A', 38.029028959572315, 127.14152052998543, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKCH', 'N/A', 'N/A', 38.1306592002511, 125.24616748094559, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKHE', 'N/A', 'N/A', 34.697815887629986, 126.51795476675034, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKJM', 'small_airport', 'Mokpo Air Base', 34.758979, 126.380324, 23, 'KR', 'KR-46', 'Gonghang-ro (Mokpo)', 'no', 'RKJM', '', '', 'RKJM, MPK'),
	('RKJK', 'medium_airport', 'Gunsan Airport / Gunsan Air Base', 35.903801, 126.615997, 29, 'KR', 'KR-45', 'Gunsan', 'yes', 'RKJK', 'KUV', '', 'Kunsan'),
	('RKJB', 'large_airport', 'Muan International Airport', 34.991406, 126.382814, 35, 'KR', 'KR-46', 'Muan (Piseo-ri)', 'yes', 'RKJB', 'MWX', '', 'Gwangju, Mokpo, Muan, MWX, RKJB'),
	('RKBE', 'N/A', 'N/A', 34.611226469278336, 127.20572993159294, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKJJ', 'medium_airport', 'Gwangju Airport', 35.123173, 126.805444, 39, 'KR', 'KR-29', 'Gwangju', 'yes', 'RKJJ', 'KWJ', '', ''),
	('RK6D', 'small_airport', 'G 710 Airport', 35.342098, 127.029999, 173, 'KR', 'KR-46', 'Geumseong-myeon', 'no', 'RK6D', '', 'RK6D', ''),
	('RKGI', 'N/A', 'N/A', 33.204027973115444, 126.27130776643753, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('RKPC', 'large_airport', 'Jeju International Airport', 33.512058, 126.492548, 118, 'KR', 'KR-49', 'Jeju City', 'yes', 'RKPC', 'CJU', '', ''),
	('RKPD', 'medium_airport', 'Jeongseok Airport', 33.3996009827, 126.711997986, 1171, 'KR', 'KR-49', 'Jeju Island', 'no', 'RKPD', 'JDG', '', 'Cheju'),
	('ROKR', 'small_airport', 'Kerama Airport', 26.168337, 127.293423, 156, 'JP', 'JP-47', 'Zamami', 'no', 'ROKR', 'KJP', '', ''),
	('ROKJ', 'medium_airport', 'Kumejima Airport', 26.363445, 126.71384, 23, 'JP', 'JP-47', 'Kumejima', 'yes', 'ROKJ', 'UEO', '', ''),
	('RORT', 'medium_airport', 'Tarama Airport', 24.653900146499996, 124.675003052, 36, 'JP', 'JP-47', 'Tarama', 'yes', 'RORT', 'TRA', '', ''),
	('RORS', 'medium_airport', 'Miyako Shimojishima Airport', 24.8267, 125.144997, 54, 'JP', 'JP-47', 'Miyakojima', 'no', 'RORS', 'SHI', '', 'Shimoji Airport'),
	('ROMY', 'medium_airport', 'Miyako Airport', 24.782800674399997, 125.294998169, 150, 'JP', 'JP-47', 'Miyako City', 'yes', 'ROMY', 'MMY', '', ''),
	('ROIG', 'closed', 'Ishigaki Airport', 24.3445, 124.187, 93, 'JP', 'JP-47', 'Ishigaki', 'no', '', '', '', 'Ishigaki Auxiliary Field #2, ROIG'),
	('RORH', 'small_airport', 'Hateruma Airport', 24.059751, 123.80558, 43, 'JP', 'JP-47', 'Taketomi', 'no', 'RORH', 'HTR', '', ''),
	('ZYYJ', 'medium_airport', 'Yanji Chaoyangchuan Airport', 42.8828010559, 129.451004028, 624, 'CN', 'CN-22', 'Yanji', 'yes', 'ZYYJ', 'YNJ', '', ''),
	('ZYMD', 'medium_airport', 'Mudanjiang Hailang International Airport', 44.5241012573, 129.569000244, 883, 'CN', 'CN-23', 'Mudanjiang', 'yes', 'ZYMD', 'MDG', '', 'Mudanjiang'),
	('ZKHM', 'N/A', 'N/A', 39.996826238930225, 127.6122821867466, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKSG', 'N/A', 'N/A', 41.674061827361584, 129.67687726020813, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKIW', 'N/A', 'N/A', 40.360009744763374, 128.71887892484665, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NBS', 'medium_airport', 'Changbaishan Airport', 42.066944, 127.602222, 2874, 'CN', 'CN-22', 'Baishan', 'yes', 'ZYBS', 'NBS', '', ''),
	('ZKHR', 'N/A', 'N/A', 41.249790340662, 129.5635861158371, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKHE', 'N/A', 'N/A', 41.429191902279854, 129.6481928229332, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKKP', 'N/A', 'N/A', 40.68180073052645, 128.14989030361176, 1231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKKI', 'N/A', 'N/A', 40.917584002017975, 129.30981159210205, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKHY', 'N/A', 'N/A', 41.37775484472513, 128.2042072713375, 998, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKHU', 'N/A', 'N/A', 39.79208819568157, 127.53590002655983, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZCHO', 'N/A', 'N/A', 41.943940334022045, 128.85094240307808, 1001, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKIO', 'N/A', 'N/A', 40.39683010429144, 128.86223942041397, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ZKKY', 'N/A', 'N/A', 41.56043842434883, 129.6304987370968, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKTB', 'heliport', 'Paekado Helipad', 37.025726, 125.997423, 151, 'KR', 'KR-28', 'Paekado (Ul-do)', 'no', 'RKTB', '', '', 'RKTB, Ul-do, Paekado'),
	('RKTY', 'medium_airport', 'Yecheon Airbase', 36.630373, 128.34971, 354, 'KR', 'KR-47', 'Yecheon-ri', 'no', 'RKTY', 'YEC', '', ''),
	('RKNN', 'medium_airport', 'Gangneung Airport (K-18)', 37.753601, 128.943915, 35, 'KR', 'KR-42', 'Gangneung', 'no', 'RKNN', 'KAG', '', 'K-18'),
	('RK21', 'small_airport', 'G-413 Airport', 38.382541, 128.458071, 23, 'KR', 'KR-42', 'Goseong', 'no', 'RK21', '', 'RK21', ''),
	('ZKHN', 'N/A', 'N/A', 38.65805558860302, 127.65024662017822, 441, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKES', 'N/A', 'N/A', 36.837903186678886, 128.57922658324242, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKTE', 'small_airport', 'Seongmu Airport', 36.568199, 127.5, 258, 'KR', 'KR-43', '', 'no', 'RKTE', '', '', ''),
	('RK0Z', 'N/A', 'N/A', 38.2164553552866, 127.65641927719116, 247, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKNY', 'medium_airport', 'Yangyang International Airport', 38.061298, 128.669006, 241, 'KR', 'KR-42', 'Gonghang-ro', 'yes', 'RKNY', 'YNY', '', 'RKNY, YNY, Yangyang, Gonghang'),
	('RKTI', 'medium_airport', 'Jungwon Air Base/Chungju Airport', 37.03024, 127.886353, 281, 'KR', 'KR-43', 'Gimseang-ro', 'no', 'RKTI', 'JWO', 'RKTV', ''),
	('ZKWB', 'N/A', 'N/A', 39.23350106924772, 127.62426808476448, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKNW', 'medium_airport', 'Wonju Airport / Hoengseong Air Base (K-38/K-46)', 37.437113, 127.960051, 329, 'KR', 'KR-42', 'Wonju', 'yes', 'RKNW', 'WJU', '', 'Wonju, Hoengseong Air Base, K-38, K-46, WJU, RKNW, RKNH'),
	('RK22', 'small_airport', 'G-313 Airport', 38.120023, 127.686067, 460, 'KR', 'KR-42', 'Hwacheon', 'no', 'RK22', '', 'RK22', ''),
	('RK0P', 'N/A', 'N/A', 37.50118464231491, 127.63015016913414, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RK0Q', 'N/A', 'N/A', 37.92947005480528, 127.75745049118996, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RK0F', 'N/A', 'N/A', 38.13912358134985, 128.00871714949608, 195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RK0E', 'N/A', 'N/A', 38.07570610195398, 127.52122610807419, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKPU', 'medium_airport', 'Ulsan Airport', 35.59349823, 129.352005005, 45, 'KR', 'KR-31', 'Ulsan', 'yes', 'RKPU', 'USN', '', ''),
	('RJFR', 'medium_airport', 'Kitakyushu Airport', 33.845901, 131.035004, 21, 'JP', 'JP-40', 'Kitakyushu', 'yes', 'RJFR', 'KKJ', '', 'kitakyushu, kokuraminami'),
	('RJDT', 'medium_airport', 'Tsushima Airport', 34.2849006653, 129.330993652, 213, 'JP', 'JP-42', 'Tsushima', 'yes', 'RJDT', 'TSJ', '', ''),
	('RKTN', 'medium_airport', 'Daegu Airport', 35.896872, 128.65531, 116, 'KR', 'KR-27', 'Daegu', 'yes', 'RKTN', 'TAE', '', ''),
	('RKPK', 'large_airport', 'Gimhae International Airport', 35.179501, 128.938004, 6, 'KR', 'KR-26', 'Busan', 'yes', 'RKPK', 'PUS', '', '김해국제공항, 金海國際空港, Kimhae, Pusan'),
	('RKTH', 'medium_airport', 'Pohang Airport (G-815/K-3)', 35.987955, 129.420383, 70, 'KR', 'KR-47', 'Pohang', 'yes', 'RKTH', 'KPO', '', ''),
	('RKPS', 'medium_airport', 'Sacheon Airport / Sacheon Air Base', 35.088591, 128.071747, 25, 'KR', 'KR-48', 'Sacheon', 'yes', 'RKPS', 'HIN', '', ''),
	('RKJY', 'medium_airport', 'Yeosu Airport', 34.84230041503906, 127.61699676513672, 53, 'KR', 'KR-46', 'Yeosu', 'yes', 'RKJY', 'RSU', '', ''),
	('RJOZ', 'small_airport', 'Ozuki Airfield', 34.0453, 131.052002, 13, 'JP', 'JP-35', 'Shimonoseki', 'no', 'RJOZ', '', '', ''),
	('RJFA', 'medium_airport', 'JASDF Ashiya Air Base', 33.883099, 130.653, 98, 'JP', 'JP-40', 'Ashiya', 'no', 'RJFA', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('RK0J', 'N/A', 'N/A', 36.179442666471004, 127.83554971218109, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RKCH', 'small_airport', 'Namji', 35.429275, 128.510378, 26, 'KR', 'KR-48', 'Namji', 'no', 'RKCH', '', '', 'rescue, runway'),
	('RJFT', 'medium_airport', 'Kumamoto Airport', 32.83729934692383, 130.85499572753906, 642, 'JP', 'JP-43', 'Kumamoto', 'yes', 'RJFT', 'KMJ', '', ''),
	('RJDB', 'medium_airport', 'Iki Airport', 33.7490005493, 129.785003662, 41, 'JP', 'JP-42', 'Iki', 'yes', 'RJDB', 'IKI', '', ''),
	('RJFU', 'medium_airport', 'Nagasaki Airport', 32.916901, 129.914001, 15, 'JP', 'JP-42', 'Nagasaki', 'yes', 'RJFU', 'NGS', '', ''),
	('RJFS', 'medium_airport', 'Saga Airport', 33.149700164799995, 130.302001953, 6, 'JP', 'JP-41', 'Saga', 'yes', 'RJFS', 'HSG', '', ''),
	('RJDM', 'small_airport', 'JGSDF Metabaru Airfield', 33.325445, 130.413787, 49, 'JP', 'JP-41', 'Yoshinogari', 'no', 'RJDM', '', '', ''),
	('RJFE', 'medium_airport', 'Fukue Airport', 32.666302, 128.832993, 273, 'JP', 'JP-42', 'Goto', 'yes', 'RJFE', 'FUJ', '', 'Goto-Fukue, Goto Tsubaki'),
	('RJDU', 'small_airport', 'JMSDF Omura Air Base', 32.928046, 129.934168, 0, 'JP', 'JP-42', 'Nagasaki', 'no', 'RJDU', 'OMJ', '', 'Omura Airport'),
	('RJFK', 'large_airport', 'Kagoshima Airport', 31.8034, 130.718994, 906, 'JP', 'JP-46', 'Kagoshima', 'yes', 'RJFK', 'KOJ', '', ''),
	('RJFZ', 'medium_airport', 'JASDF Tsuiki Air Base', 33.685001, 131.039993, 55, 'JP', 'JP-40', 'Tsuiki', 'no', 'RJFZ', '', '', '築城飛行場, Tsuiki Hikōjō, Tsuiki Airbase'),
	('RJFY', 'medium_airport', 'JMSDF Kanoya Air Base', 31.36672, 130.838805, 214, 'JP', 'JP-46', 'Kanoya', 'no', 'RJFY', '', '', ''),
	('RJDA', 'small_airport', 'Amakusa Airport', 32.482498, 130.158997, 340, 'JP', 'JP-43', 'Amakusa', 'yes', 'RJDA', 'AXJ', '', ''),
	('RJDK', 'small_airport', 'Kamigoto Airport', 33.013576, 129.192363, 263, 'JP', 'JP-42', 'Shinkamigoto', 'no', 'RJDK', '', '', ''),
	('RJDO', 'small_airport', 'Ojika Airport', 33.1907997131, 129.089996338, 30, 'JP', 'JP-42', 'Ojika', 'no', 'RJDO', '', '', ''),
	('RJFF', 'large_airport', 'Fukuoka Airport', 33.585899353027344, 130.4510040283203, 32, 'JP', 'JP-40', 'Fukuoka', 'yes', 'RJFF', 'FUK', '', 'Itazuke Air Base'),
	('RJFG', 'medium_airport', 'New Tanegashima Airport', 30.605100631699997, 130.990997314, 768, 'JP', 'JP-46', 'Tanegashima', 'yes', 'RJFG', 'TNE', '', ''),
	('RJKI', 'medium_airport', 'Kikai Airport', 28.321300506599997, 129.927993774, 21, 'JP', 'JP-46', 'Kikai', 'yes', 'RJKI', 'KKX', '', ''),
	('RJX4', 'N/A', 'N/A', 30.784425996243954, 130.27077689766884, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJX8', 'small_airport', 'Suwanose-jima Airport', 29.60624, 129.70221, 351, 'JP', 'JP-46', 'Toshima', 'no', '', '', 'RJX8', ''),
	('RJFC', 'medium_airport', 'Yakushima Airport', 30.385599, 130.658997, 124, 'JP', 'JP-46', 'Yakushima', 'yes', 'RJFC', 'KUM', '', ''),
	('RJKA', 'medium_airport', 'Amami Airport', 28.430599212646484, 129.71299743652344, 27, 'JP', 'JP-46', 'Amami', 'yes', 'RJKA', 'ASJ', '', ''),
	('RJKB', 'medium_airport', 'Okinoerabu Airport', 27.425501, 128.701004, 101, 'JP', 'JP-46', 'Wadomari', 'yes', 'RJKB', 'OKE', '', ''),
	('RORE', 'medium_airport', 'Iejima Airport', 26.722537, 127.786801, 246, 'JP', 'JP-47', 'Ie', 'no', 'RORE', 'IEJ', '', ''),
	('ROTM', 'medium_airport', 'Futenma Marine Corps Air Station', 26.2743, 127.755997, 247, 'JP', 'JP-47', '', 'no', 'ROTM', '', '', 'Futenma MCAS'),
	('RODN', 'large_airport', 'Kadena Air Base', 26.351667, 127.769444, 143, 'JP', 'JP-47', '', 'no', 'RODN', 'DNA', '', ''),
	('ROAH', 'large_airport', 'Naha Airport / JASDF Naha Air Base', 26.195801, 127.646004, 12, 'JP', 'JP-47', 'Naha', 'yes', 'ROAH', 'OKA', '', '那覇空港, Naha Kūkō?, AHA, Naha AFB'),
	('RODE', 'small_airport', 'Iejima Auxiliary Air Base', 26.725953, 127.765217, 184, 'JP', 'JP-47', 'Ie', 'no', 'RODE', '', '', ''),
	('RORY', 'medium_airport', 'Yoron Airport', 27.044001, 128.401993, 52, 'JP', 'JP-46', 'Yoron', 'yes', 'RORY', 'RNJ', '', ''),
	('RJKN', 'medium_airport', 'Tokunoshima Airport', 27.836399, 128.880997, 17, 'JP', 'JP-46', 'Amagi', 'yes', 'RJKN', 'TKN', '', ''),
	('UROA', 'N/A', 'N/A', 43.218864351511, 132.58740216493607, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UUGG', 'N/A', 'N/A', 43.34845058619976, 132.05901816487312, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UEMR', 'small_airport', 'Aryktakh Airport', 63.561388, 125.255277, 0, 'RU', 'RU-SA', '', 'no', 'UEMR', '', '', ''),
	('UHU1', 'small_airport', 'Zolotaya Dolina Air Base', 42.959999, 133.115005, 60, 'RU', 'RU-PRI', 'Zolotaya Dolina', 'no', 'XHWI', '', '', 'Unashi Air Base, Аэродром Золотая Долина'),
	('UNOS', 'medium_airport', 'Omsk Severny Airport', 54.974998, 73.555, 380, 'RU', 'RU-OMS', 'Omsk', 'no', 'UNOS', '', '', 'Omsk North Airport, Аэропорт Омск Северный'),
	('UARS', 'N/A', 'N/A', 44.14307244122028, 133.26859295368195, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKHR', 'N/A', 'N/A', 44.45038855075836, 132.12559148669243, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCHR', 'N/A', 'N/A', 44.32244651019573, 132.54519894719124, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHWW', 'large_airport', 'Vladivostok International Airport', 43.396256, 132.148155, 59, 'RU', 'RU-PRI', 'Artyom', 'yes', 'UHWW', 'VVO', '', 'Vladivostok-Knevichi Airport'),
	('UMNN', 'N/A', 'N/A', 43.424090556800365, 132.42349818348885, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USPA', 'N/A', 'N/A', 44.612792283296585, 132.88655698299408, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UCHG', 'N/A', 'N/A', 44.083034209907055, 133.86878371238708, 269, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UVOZ', 'N/A', 'N/A', 43.90522822737694, 131.92403867840767, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJOA', 'medium_airport', 'Hiroshima Airport', 34.4361, 132.919006, 1088, 'JP', 'JP-34', 'Hiroshima', 'yes', 'RJOA', 'HIJ', '', '広島空港'),
	('RJOH', 'medium_airport', 'Yonago Kitaro Airport / JASDF Miho Air Base', 35.492199, 133.235992, 20, 'JP', 'JP-31', 'Yonago', 'yes', 'RJOH', 'YGJ', '', 'miho, yonago'),
	('RJOS', 'medium_airport', 'Tokushima Awaodori Airport / JMSDF Tokushima Air Base', 34.132801, 134.606995, 26, 'JP', 'JP-36', 'Tokushima', 'yes', 'RJOS', 'TKS', '', 'Tokushima'),
	('RJOM', 'medium_airport', 'Matsuyama Airport', 33.82720184326172, 132.6999969482422, 25, 'JP', 'JP-38', 'Matsuyama', 'yes', 'RJOM', 'MYJ', '', ''),
	('RJOC', 'medium_airport', 'Izumo Enmusubi Airport', 35.413601, 132.889999, 15, 'JP', 'JP-32', 'Izumo', 'yes', 'RJOC', 'IZO', '', 'izumo, enmusubi, en-musubi'),
	('RJOR', 'medium_airport', 'Tottori Sand Dunes Conan Airport', 35.530102, 134.167007, 65, 'JP', 'JP-31', 'Tottori', 'yes', 'RJOR', 'TTJ', '', 'tottori'),
	('RJOT', 'medium_airport', 'Takamatsu Airport', 34.214199066199996, 134.01600647, 607, 'JP', 'JP-37', 'Takamatsu', 'yes', 'RJOT', 'TAK', '', ''),
	('RJOW', 'medium_airport', 'Iwami Airport', 34.676399231, 131.789993286, 184, 'JP', 'JP-32', 'Masuda', 'yes', 'RJOW', 'IWJ', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('RJKS', 'small_airport', 'Kasaoka Air Station', 34.476022, 133.488961, 1, 'JP', 'JP-33', 'Kasaoka', 'no', '', '', 'RJKS', '笠岡ふれあい空港, Kasaoka Agricultural Airfield, Kasaoka Community Airport, Kasaoka Farm Road Airport'),
	('RJOI', 'medium_airport', 'Iwakuni Kintaikyo Airport / Marine Corps Air Station Iwakuni', 34.146333, 132.247238, 7, 'JP', 'JP-35', 'Iwakuni', 'yes', 'RJOI', 'IWK', '', 'MCAS Iwakuni, Iwakuni Air Base'),
	('RJOB', 'medium_airport', 'Okayama Momotaro Airport', 34.756901, 133.854996, 806, 'JP', 'JP-33', 'Okayama', 'yes', 'RJOB', 'OKJ', '', 'okayama'),
	('RJNO', 'medium_airport', 'Oki Global Geopark Airport', 36.178388, 133.323566, 311, 'JP', 'JP-32', 'Okinoshima', 'yes', 'RJNO', 'OKI', '', 'oki, okinoshima, geopark, global, sekai'),
	('RJDC', 'medium_airport', 'Yamaguchi Ube Airport', 33.930000305200004, 131.279006958, 23, 'JP', 'JP-35', 'Ube', 'yes', 'RJDC', 'UBJ', '', ''),
	('RJOF', 'medium_airport', 'JASDF Hofu Airfield', 34.034746, 131.548716, 7, 'JP', 'JP-35', 'Hofu', 'no', 'RJOF', '', '', ''),
	('RJBK', 'small_airport', 'Kohnan Airport', 34.590801, 133.932999, 3, 'JP', 'JP-33', 'Okayama', 'no', 'RJBK', '', '', ''),
	('RJBT', 'medium_airport', 'Konotori Tajima Airport', 35.512798, 134.787003, 584, 'JP', 'JP-28', 'Toyooka', 'yes', 'RJBT', 'TJH', '', 'tajima, toyooka'),
	('RJFM', 'medium_airport', 'Miyazaki Airport', 31.877199173, 131.449005127, 20, 'JP', 'JP-45', 'Miyazaki', 'yes', 'RJFM', 'KMI', '', ''),
	('RJFO', 'medium_airport', 'Oita Airport', 33.479400634799994, 131.736999512, 19, 'JP', 'JP-44', 'Oita', 'yes', 'RJFO', 'OIT', '', ''),
	('RJFN', 'small_airport', 'JASDF Nyūtabaru Air Base', 32.083599, 131.451004, 259, 'JP', 'JP-45', 'Shintomi', 'no', 'RJFN', '', '', ''),
	('RJOK', 'medium_airport', 'Kochi Ryoma Airport', 33.546101, 133.669006, 42, 'JP', 'JP-39', 'Nankoku', 'yes', 'RJOK', 'KCZ', '', 'Kochi, Nankoku, RJOK, KCZ'),
	('RJTD', 'N/A', 'N/A', 33.026269264519215, 131.5055049955845, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHWP', 'small_airport', 'Plastun Airport', 44.814999, 136.292007, 66, 'RU', 'RU-PRI', 'Plastun', 'yes', 'UHWP', 'TLY', '', 'Аэропорт Пластун'),
	('UHWK', 'small_airport', 'Kavalerovo Airport', 44.2726, 135.029, 730, 'RU', 'RU-PRI', 'Kavalerovo', 'no', 'UHWK', 'KVR', '', 'УХВК, Кавалерово'),
	('DHG', 'small_airport', 'Dalnegorsk Airport', 44.558748, 135.490005, 833, 'RU', 'RU-PRI', 'Dalnegorsk', 'no', '', 'DHG', '', ''),
	('RJNW', 'medium_airport', 'Noto Satoyama Airport', 37.293098, 136.962006, 718, 'JP', 'JP-17', 'Wajima', 'yes', 'RJNW', 'NTQ', '', 'Noto, Wajima'),
	('RJSD', 'medium_airport', 'Sado Airport', 38.0601997375, 138.414001465, 88, 'JP', 'JP-15', 'Sado', 'yes', 'RJSD', 'SDS', '', ''),
	('RJNT', 'medium_airport', 'Toyama Airport', 36.64830017089844, 137.18800354003906, 95, 'JP', 'JP-16', 'Toyama', 'yes', 'RJNT', 'TOY', '', ''),
	('RJOG', 'N/A', 'N/A', 34.94579549878836, 137.14637160301208, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJNG', 'medium_airport', 'Gifu Airport', 35.3941, 136.869995, 128, 'JP', 'JP-21', 'Gifu', 'no', 'RJNG', 'QGU', '', ''),
	('RJBE', 'medium_airport', 'Kobe Airport', 34.6328010559082, 135.2239990234375, 22, 'JP', 'JP-28', 'Kobe', 'yes', 'RJBE', 'UKB', '', ''),
	('RJNF', 'medium_airport', 'Fukui Airport', 36.1427993774, 136.223999023, 19, 'JP', 'JP-18', '', 'no', 'RJNF', 'FKJ', '', ''),
	('RJSZ', 'N/A', 'N/A', 35.01412142068148, 138.53070884943008, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJNK', 'medium_airport', 'Komatsu Airport / JASDF Komatsu Air Base', 36.3946, 136.406998, 36, 'JP', 'JP-17', 'Kanazawa', 'yes', 'RJNK', 'KMQ', '', ''),
	('RJNH', 'medium_airport', 'JASDF Hamamatsu Air Base', 34.750198, 137.703003, 150, 'JP', 'JP-22', 'Hamamatsu', 'no', 'RJNH', '', '', ''),
	('rjns', 'medium_airport', 'Mount Fuji Shizuoka Airport', 34.796043, 138.187752, 433, 'JP', 'JP-22', 'Makinohara / Shimada', 'yes', 'RJNS', 'FSZ', '', ''),
	('RJAF', 'medium_airport', 'Shinshu-Matsumoto Airport', 36.166801, 137.923004, 2182, 'JP', 'JP-20', 'Matsumoto', 'yes', 'RJAF', 'MMJ', '', ''),
	('RJNA', 'medium_airport', 'Nagoya Airport / JASDF Komaki Air Base', 35.255759, 136.924095, 52, 'JP', 'JP-23', 'Nagoya', 'yes', 'RJNA', 'NKM', '', 'Komaki Airport, Nagoya Airfield'),
	('RJOO', 'large_airport', 'Osaka International Airport', 34.7855, 135.438004, 50, 'JP', 'JP-27', 'Osaka', 'yes', 'RJOO', 'ITM', '', 'OSA, Itami'),
	('RJNY', 'medium_airport', 'JASDF Shizuhama Air Base', 34.812801, 138.298004, 23, 'JP', 'JP-22', 'Yaizu', 'no', 'RJNY', '', '', ''),
	('RJOY', 'medium_airport', 'Yao Airport', 34.59629821777344, 135.60299682617188, 39, 'JP', 'JP-27', 'Yao', 'no', 'RJOY', '', '', ''),
	('RJGG', 'large_airport', 'Chubu Centrair International Airport', 34.858398, 136.804993, 15, 'JP', 'JP-23', 'Tokoname', 'yes', 'RJGG', 'NGO', '', ''),
	('RJBB', 'large_airport', 'Kansai International Airport', 34.427299, 135.244003, 26, 'JP', 'JP-27', 'Osaka', 'yes', 'RJBB', 'KIX', '', 'OSA'),
	('RJOE', 'small_airport', 'JGSDF Akeno Airfield', 34.533298, 136.671997, 20, 'JP', 'JP-24', 'Ise', 'no', 'RJOE', '', '', ''),
	('RJBD', 'medium_airport', 'Nanki Shirahama Airport', 33.6622009277, 135.363998413, 298, 'JP', 'JP-30', 'Shirahama', 'yes', 'RJBD', 'SHM', '', ''),
	('RJCA', 'small_airport', 'JGSDF Camp Asahikawa Airfield', 43.794734, 142.365432, 377, 'JP', 'JP-01', 'Asahikawa', 'no', 'RJCA', '', '', 'Camp Asahikawa, RJCA'),
	('RJCO', 'medium_airport', 'Sapporo Okadama Airport', 43.117447, 141.38134, 25, 'JP', 'JP-01', 'Sapporo', 'yes', 'RJCO', 'OKD', '', 'RJCO, OKD, Sapporo, Okadama'),
	('RJBI', 'small_airport', 'Skyport Bibai', 43.38992, 141.85892, 65, 'JP', 'JP-01', 'Bibai', 'no', '', '', 'RJBI', 'Bibai Municipal Agricultural Airfield, Nakasorachi District Agricultural Airfield'),
	('RJSB', 'N/A', 'N/A', 42.53685940057039, 141.25489085912704, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJCY', 'small_airport', 'JASDF Yakumo Airbase', 42.245955, 140.265729, 65, 'JP', 'JP-01', 'Yakumo', 'no', 'RJCY', '', '', 'RJCY, Yakumo, JASDF, QRN'),
	('RJEC', 'medium_airport', 'Asahikawa Airport', 43.670799, 142.447006, 721, 'JP', 'JP-01', 'Higashikagura', 'yes', 'RJEC', 'AKJ', '', ''),
	('RJTI', 'heliport', 'Tokyo Heliport', 35.635924, 139.839475, 14, 'JP', 'JP-13', 'Edogawa, Tokyo', 'no', 'RJTI', '', '', 'QXO'),
	('RJCC', 'large_airport', 'New Chitose Airport', 42.7752, 141.692001, 82, 'JP', 'JP-01', 'Sapporo', 'yes', 'RJCC', 'CTS', '', ''),
	('RJNR', 'N/A', 'N/A', 44.38460435718298, 142.44260162115097, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJEO', 'medium_airport', 'Okushiri Airport', 42.0717010498, 139.432998657, 161, 'JP', 'JP-01', 'Okushiri Island', 'yes', 'RJEO', 'OIR', '', ''),
	('RJ04', 'small_airport', 'Shikabe Airfield', 42.045033, 140.793293, 63, 'JP', 'JP-01', 'Shikabe', 'no', 'RJ04', '', 'RJ04', 'Asahikoku Shikabe'),
	('RJCH', 'medium_airport', 'Hakodate Airport', 41.77, 140.822006, 151, 'JP', 'JP-01', 'Hakodate', 'yes', 'RJCH', 'HKD', '', ''),
	('RJSA', 'medium_airport', 'Aomori Airport', 40.73469924926758, 140.6909942626953, 664, 'JP', 'JP-02', 'Aomori', 'yes', 'RJSA', 'AOJ', '', ''),
	('RJSK', 'medium_airport', 'Akita Airport', 39.615601, 140.218994, 313, 'JP', 'JP-05', 'Akita', 'yes', 'RJSK', 'AXT', '', ''),
	('RJSR', 'medium_airport', 'Odate Noshiro Airport', 40.191898, 140.371002, 292, 'JP', 'JP-05', 'Kitaakita', 'yes', 'RJSR', 'ONJ', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('RJSM', 'medium_airport', 'Misawa Airport / Misawa Air Base', 40.703201, 141.367996, 119, 'JP', 'JP-02', 'Misawa', 'yes', 'RJSM', 'MSJ', '', ''),
	('RJSI', 'medium_airport', 'Iwate Hanamaki Airport', 39.4286, 141.134995, 297, 'JP', 'JP-03', 'Hanamaki', 'yes', 'RJSI', 'HNA', '', 'Morioka'),
	('RJSO', 'small_airport', 'JMSDF Ōminato Base', 41.232808, 141.132171, 24, 'JP', 'JP-02', 'Mutsu', 'no', 'RJSO', '', '', ''),
	('RJSH', 'medium_airport', 'JMSDF Hachinohe Air Base / Hachinohe Airport', 40.551181, 141.465428, 152, 'JP', 'JP-02', 'Hachinohe', 'no', 'RJSH', 'HHE', '', ''),
	('RJFH', 'small_airport', 'Fukushima (Iizaka) Skypark', 37.82322, 140.38767, 1318, 'JP', 'JP-07', 'Ozaso', 'no', '', '', 'RJFH', 'Fukushima Iizaka, Fukushima Municipal Agricultural Airfield'),
	('RJSS', 'large_airport', 'Sendai Airport', 38.139702, 140.917007, 15, 'JP', 'JP-04', 'Natori', 'yes', 'RJSS', 'SDJ', '', ''),
	('RJSU', 'small_airport', 'JGSDF Kasuminome Airfield', 38.2356, 140.923004, 20, 'JP', 'JP-04', 'Sendai', 'no', 'RJSU', '', '', ''),
	('RJST', 'medium_airport', 'JASDF Matsushima Air Base', 38.4049, 141.220001, 7, 'JP', 'JP-04', 'Ishinomaki', 'no', 'RJST', '', '', '松島飛行場, 松島基地'),
	('RJSC', 'medium_airport', 'Yamagata Airport', 38.4119, 140.371002, 353, 'JP', 'JP-06', 'Higashine', 'yes', 'RJSC', 'GAJ', '', ''),
	('RJSN', 'medium_airport', 'Niigata Airport', 37.9558982849, 139.121002197, 29, 'JP', 'JP-15', 'Niigata', 'yes', 'RJSN', 'KIJ', '', ''),
	('RJSY', 'medium_airport', 'Shonai Airport', 38.812199, 139.787003, 86, 'JP', 'JP-06', 'Shonai', 'yes', 'RJSY', 'SYO', '', ''),
	('RJSF', 'medium_airport', 'Fukushima Airport', 37.22740173339844, 140.43099975585938, 1221, 'JP', 'JP-07', 'Sukagawa', 'yes', 'RJSF', 'FKS', '', '福島空港'),
	('RJTF', 'medium_airport', 'Chofu Airport', 35.6717, 139.528, 141, 'JP', 'JP-13', 'Chofu', 'yes', 'RJTF', '', '', ''),
	('RJTT', 'large_airport', 'Tokyo Haneda International Airport', 35.552299, 139.779999, 35, 'JP', 'JP-13', 'Tokyo', 'yes', 'RJTT', 'HND', '', 'TYO, Haneda'),
	('RJTC', 'small_airport', 'Tachikawa Airfield', 35.7121, 139.403243, 312, 'JP', 'JP-13', 'Tachikawa', 'no', 'RJTC', '', '', ''),
	('RJAH', 'medium_airport', 'Ibaraki Airport / JASDF Hyakuri Air Base', 36.181099, 140.414993, 105, 'JP', 'JP-08', 'Omitama', 'yes', 'RJAH', 'IBR', '', 'ibaraki, hyakuri'),
	('RJAN', 'small_airport', 'Niijima Airport', 34.3694000244, 139.268997192, 92, 'JP', 'JP-13', 'Niijima Village', 'yes', 'RJAN', '', '', ''),
	('RJTK', 'medium_airport', 'JGSDF Kisarazu Airfield', 35.3983, 139.910004, 10, 'JP', 'JP-12', 'Kisarazu', 'no', 'RJTK', '', '', ''),
	('RJAZ', 'small_airport', 'Kozushima Airport', 34.189998626699996, 139.134002686, 452, 'JP', 'JP-13', 'Kozushima', 'no', 'RJAZ', '', '', ''),
	('RJTL', 'medium_airport', 'JMSDF Shimofusa Air Base', 35.798901, 140.011002, 98, 'JP', 'JP-12', 'Matsudo', 'no', 'RJTL', '', '', ''),
	('RJAK', 'small_airport', 'JGSDF Kasumigaura Airfield', 36.034698, 140.192993, 92, 'JP', 'JP-08', 'Tsuchiura', 'no', 'RJAK', '', '', ''),
	('RJTR', 'heliport', 'Camp Zama Kastner Army Heliport', 35.512771, 139.393437, 360, 'JP', 'JP-14', 'Sagamihara / Zama', 'no', 'RJTR', '', '', ''),
	('RJOJ', 'N/A', 'N/A', 35.97633574157953, 139.52414274215698, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJTO', 'medium_airport', 'Oshima Airport', 34.782001495399996, 139.36000061, 130, 'JP', 'JP-13', 'Izu Oshima', 'yes', 'RJTO', 'OIM', '', ''),
	('RJTA', 'medium_airport', 'JMSDF Atsugi Air Base / Naval Air Facility Atsugi', 35.454601, 139.449997, 205, 'JP', 'JP-14', 'Ayase / Yamato', 'no', 'RJTA', 'NJA', '', 'Atsugi NAF'),
	('RJTM', 'N/A', 'N/A', 36.298655457794666, 139.15847674012184, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJTU', 'medium_airport', 'Utsunomiya Airport', 36.5145, 139.87101, 334, 'JP', 'JP-09', 'Utsunomiya', 'no', 'RJTU', '', '', 'QUT'),
	('RJTJ', 'medium_airport', 'Iruma Air Base', 35.8419, 139.410995, 295, 'JP', 'JP-13', 'Sayama', 'no', 'RJTJ', '', '', 'Johnson Air Base'),
	('RJMO', 'N/A', 'N/A', 35.930283553898335, 139.97433677315712, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJAI', 'N/A', 'N/A', 36.0239177942276, 140.26666447520256, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJTY', 'large_airport', 'Yokota Air Base', 35.748501, 139.348007, 463, 'JP', 'JP-13', 'Fussa', 'no', 'RJTY', 'OKO', '', ''),
	('RJTQ', 'medium_airport', 'Miyakejima Airport', 34.073600769, 139.559997559, 67, 'JP', 'JP-13', 'Miyakejima', 'yes', 'RJTQ', 'MYE', '', ''),
	('RJRY', 'N/A', 'N/A', 35.90627074241638, 140.24214014410973, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJGO', 'N/A', 'N/A', 35.31824637204409, 138.87248933315277, 671, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJAA', 'large_airport', 'Narita International Airport', 35.764702, 140.386002, 141, 'JP', 'JP-12', 'Narita', 'yes', 'RJAA', 'NRT', '', 'TYO, Tokyo, Tokyo Narita Airport, New Tokyo International Airport'),
	('RJMR', 'N/A', 'N/A', 35.91635886579752, 139.9937528371811, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJTH', 'medium_airport', 'Hachijojima Airport', 33.115002, 139.785995, 303, 'JP', 'JP-13', 'Hachijojima', 'yes', 'RJTH', 'HAC', '', ''),
	('RJOD', 'N/A', 'N/A', 42.4999662861228, 143.44178304076195, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJCN', 'medium_airport', 'Nakashibetsu Airport', 43.5774993896, 144.960006714, 234, 'JP', 'JP-01', 'Nakashibetsu', 'yes', 'RJCN', 'SHB', '', ''),
	('RJCS', 'medium_airport', 'JASDF Kenebetsu Airfield', 43.425154, 144.741354, 0, 'JP', 'JP-01', 'Betsukai', 'no', 'RJCS', '', '', 'RJCS, Kenebetsu, JASDF'),
	('UHSM', 'small_airport', 'Yuzhno-Kurilsk Mendeleyevo Airport', 43.961066, 145.684977, 584, 'RU', 'RU-SAK', 'Yuzhno-Kurilsk', 'no', 'UHSM', 'DEE', '', 'Mendeleevo Airport, Yuzhno-Kurilsk Airport, Island Kunashir Airport, Аэропорт Менделеево, Аэропорт Южно-Курильск, Аэропорт острова Кунашир'),
	('RJCM', 'medium_airport', 'Memanbetsu Airport', 43.8805999756, 144.164001465, 135, 'JP', 'JP-01', 'Ōzora', 'yes', 'RJCM', 'MMB', '', ''),
	('RJBO', 'N/A', 'N/A', 43.47975008189678, 144.43381816148758, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UYUN', 'N/A', 'N/A', 43.998556695878506, 145.79300299286842, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJCK', 'medium_airport', 'Kushiro Airport', 43.041, 144.192993, 327, 'JP', 'JP-01', 'Kushiro', 'yes', 'RJCK', 'KUH', '', ''),
	('RJKT', 'N/A', 'N/A', 43.78002069890499, 143.73073920607567, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJCB', 'medium_airport', 'Tokachi-Obihiro Airport', 42.7332992554, 143.216995239, 505, 'JP', 'JP-01', 'Obihiro', 'yes', 'RJCB', 'OBO', '', ''),
	('RJEB', 'medium_airport', 'Monbetsu Airport', 44.303901672399995, 143.404006958, 80, 'JP', 'JP-01', 'Monbetsu', 'yes', 'RJEB', 'MBE', '', ''),
	('RJOU', 'N/A', 'N/A', 43.076219111680984, 142.87659779191017, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJX2', 'closed', 'Aibetsu Airport', 43.882207, 142.609506, 1027, 'JP', 'JP-01', 'Aibetsu', 'no', '', '', '', 'Daicolo-Aibetsu Airfield, RJX2'),
	('RJCT', 'medium_airport', 'Tokachi Airport', 42.890499, 143.158005, 281, 'JP', 'JP-01', 'Obihiro', 'no', 'RJCT', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UHSB', 'small_airport', 'Burevestnik Airport', 44.919998, 147.621994, 79, 'RU', 'RU-SAK', 'Kurilsk', 'no', 'UHSB', 'BVV', '', 'Iturup Airport, Аэропорт Буревестник, Tennei Airfield'),
	('RCKW', 'medium_airport', 'Hengchun Airport', 22.041099548339844, 120.7300033569336, 46, 'TW', 'TW-PIF', 'Hengchung', 'yes', 'RCKW', 'HCN', '', ''),
	('RCLY', 'medium_airport', 'Lanyu Airport', 22.027000427246094, 121.53500366210938, 44, 'TW', 'TW-TTT', 'Orchid Island', 'yes', 'RCLY', 'KYD', '', 'Lanyu Auxiliary Station'),
	('RPUA', 'small_airport', 'Pamalican Airstrip', 11.35946, 120.72668, 0, 'PH', 'PH-PLW', 'Agutaya', 'no', 'RPUA', '', '', 'Amanpulo'),
	('RPBA', 'N/A', 'N/A', 18.18143092095852, 121.74535274505615, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPUY', 'medium_airport', 'Cauayan Airport', 16.9298992157, 121.752998352, 200, 'PH', 'PH-ISA', 'Cauayan City', 'yes', 'RPUY', 'CYZ', '', ''),
	('RPUQ', 'small_airport', 'Vigan Airport', 17.555299758911133, 120.35600280761719, 16, 'PH', 'PH-ILS', 'Vigan City', 'no', 'RPUQ', '', '', ''),
	('Z25M', 'N/A', 'N/A', 18.604903779923916, 121.06159955263138, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPPA', 'N/A', 'N/A', 17.065737918019295, 122.42782920598984, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPPS', 'N/A', 'N/A', 18.402120396494865, 120.66622540354729, 550, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPSC', 'N/A', 'N/A', 18.503737561404705, 122.14896038174629, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPLI', 'medium_airport', 'Laoag International Airport', 18.176121, 120.531034, 25, 'PH', 'PH-ILN', 'Laoag City', 'yes', 'RPLI', 'LAO', '', 'Gabu Airfield, Laoag Airfield'),
	('RPDC', 'N/A', 'N/A', 17.383781857788563, 122.24815294146538, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPNM', 'N/A', 'N/A', 18.868997432291508, 121.25706195831299, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPKA', 'N/A', 'N/A', 18.080232180655003, 121.09969317913055, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPNA', 'N/A', 'N/A', 18.86302549391985, 121.28374010324478, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPMK', 'N/A', 'N/A', 18.130471296608448, 121.68574646115303, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPNU', 'N/A', 'N/A', 18.88441577553749, 121.25742405653, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPUT', 'medium_airport', 'Tuguegarao Airport', 17.6433676823, 121.733150482, 70, 'PH', 'PH-CAG', 'Tuguegarao City', 'yes', 'RPUT', 'TUG', '', 'Tugegarao'),
	('RPBM', 'N/A', 'N/A', 15.689701996743679, 120.33071994781494, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPLV', 'small_airport', 'Fort Magsaysay Airport', 15.4347, 121.091003, 200, 'PH', 'PH-NUE', 'Santa Rosa', 'no', 'RPLV', '', '', 'Fort Magsaysay'),
	('RPPN', 'N/A', 'N/A', 15.674108639359474, 120.60028240084648, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPST', 'N/A', 'N/A', 14.097411297261715, 121.11655175685883, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPPR', 'N/A', 'N/A', 14.288252145051956, 122.80098125338554, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPNC', 'N/A', 'N/A', 14.08417996019125, 123.0925016105175, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPNP', 'N/A', 'N/A', 15.744429118931293, 120.63847437500954, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPNB', 'N/A', 'N/A', 15.42535588145256, 120.6301175057888, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPBL', 'small_airport', 'Balesin Island Airport', 14.419365, 122.039402, 25, 'PH', 'PH-BAS', 'Balesin', 'no', 'RPLE', 'BSI', '', 'RPBL'),
	('CGG', 'small_airport', 'Casiguran Airport', 16.1941, 122.0651, 48, 'PH', 'PH-AUR', 'Casiguran', 'no', '', 'CGG', '', ''),
	('RPSP', 'medium_airport', 'Bohol-Panglao International Airport', 9.573045, 123.770143, 42, 'PH', 'PH-BOH', 'Panglao', 'yes', 'RPSP', 'TAG', '', ''),
	('RPSO', 'N/A', 'N/A', 15.384096466004848, 120.62422648072243, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RP14', 'closed', 'Magat River Multipurpose Project  Airstrip', 16.829927, 121.499659, 384, 'PH', 'PH-ISA', 'Ramon', 'no', '', '', '', 'Ambatali, MRMP, Magat River Management Project, Magat Dam, RP0D'),
	('RPLC', 'medium_airport', 'Clark International Airport / Clark Air Base', 15.186, 120.559998, 484, 'PH', 'PH-PAM', 'Mabalacat', 'yes', 'RPLC', 'CRK', '', 'Diosdado Macapagal International Airport, Paliparang Pandaigdig ng Diosdado Macapagal, Pangyatung Sulapawan ning Clark, Paliparang Pandaigdig ng Clark'),
	('RPSU', 'N/A', 'N/A', 15.254501849412918, 120.67832216620445, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPUF', 'small_airport', 'Basa Air Base', 14.98724, 120.492554, 151, 'PH', 'PH-PAM', 'Floridablanca', 'no', 'RPUF', '', '', 'Lieutenant Cesar Basa Air Base'),
	('RPUG', 'small_airport', 'Lingayen Airport', 16.034966, 120.242191, 7, 'PH', 'PH-PAN', 'Lingayen', 'no', 'RPUG', '', '', ''),
	('RPLS', 'medium_airport', 'Danilo Atienza Air Base', 14.4954, 120.903999, 8, 'PH', 'PH-CAV', 'Cavite', 'no', 'RPLS', 'SGL', '', 'NSP, Sangley Point Air Base, Sangley Point International Airport'),
	('RPNE', 'N/A', 'N/A', 16.87057066708803, 120.77910214662552, 1142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPUD', 'medium_airport', 'Daet Airport', 14.1292, 122.980003, 10, 'PH', 'PH-CAN', 'Daet', 'no', 'RPUD', 'DTE', '', ''),
	('DSG', 'small_airport', 'Dilasag Airport', 16.445833333299998, 122.206805556, 60, 'PH', 'PH-AUR', 'Dilasag', 'no', '', 'DSG', '', ''),
	('RPDI', 'N/A', 'N/A', 16.5214291960001, 122.26407274603844, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPTL', 'N/A', 'N/A', 15.580912940204144, 120.06852954626083, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPLY', 'small_airport', 'Alabat Island Airport', 14.232, 121.929001, 6, 'PH', 'PH-QUE', 'Perez', 'no', 'RPLY', '', '', ''),
	('RPLB', 'medium_airport', 'Subic Bay International Airport / Naval Air Station Cubi Point', 14.7944, 120.271004, 64, 'PH', 'PH-ZMB', 'Olongapo', 'yes', 'RPLB', 'SFS', '', 'Paliparang Pandaigdig ng Look ng Subic, Naval Air Station Cubi Point'),
	('RPES', 'N/A', 'N/A', 15.763194523751736, 121.03285878896713, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPUX', 'small_airport', 'Plaridel Airport', 14.890855, 120.852914, 20, 'PH', 'PH-BUL', 'Plaridel', 'no', 'RPUX', '', '', 'Plaridel'),
	('RPUS', 'medium_airport', 'San Fernando Airport', 16.595600128173828, 120.3030014038086, 13, 'PH', 'PH-LUN', '', 'yes', 'RPUS', 'SFE', '', ''),
	('RPLX', 'small_airport', 'Corregidor Airport (Kindley Field)', 14.3913, 120.607002, 102, 'PH', 'PH-CAV', 'Corregidor', 'no', 'RPLX', '', '', ''),
	('RPUZ', 'small_airport', 'Bagabag Airport', 16.6192, 121.251999, 820, 'PH', 'PH-NUV', '', 'no', 'RPUZ', '', '', ''),
	('RPLJ', 'small_airport', 'Jomalig Island Airport', 14.704161, 122.331133, 36, 'PH', 'PH-QUE', 'Jomalig', 'no', 'RPLJ', '', '', 'Jomalig'),
	('RPBI', 'N/A', 'N/A', 16.052169017493725, 120.58203801512718, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('RPUR', 'medium_airport', 'Dr Juan C Angara Airport', 15.729309, 121.500034, 108, 'PH', 'PH-AUR', 'Baler', 'yes', 'RPUR', 'BQA', '', 'Baler, Dr. Juan C. Angara'),
	('RPUB', 'medium_airport', 'Loakan Airport', 16.375099182128906, 120.62000274658203, 4251, 'PH', 'PH-BEN', 'Baguio City', 'yes', 'RPUB', 'BAG', '', 'Baguio Airport'),
	('RPLL', 'large_airport', 'Ninoy Aquino International Airport', 14.5086, 121.019997, 75, 'PH', 'PH-00', 'Manila', 'yes', 'RPLL', 'MNL', '', 'Manila International Airport'),
	('RPUH', 'medium_airport', 'San Jose Airport', 12.361499786399998, 121.04699707, 14, 'PH', 'PH-MDC', 'San Jose', 'yes', 'RPUH', 'SJI', '', 'McGuire Field'),
	('RPLP', 'closed', 'Legazpi City International Airport', 13.1575, 123.735, 66, 'PH', 'PH-ALB', 'Legazpi City', 'yes', '', '', '', 'LGP, RPLP'),
	('RPUM', 'medium_airport', 'Mamburao Airport', 13.208048, 120.605457, 13, 'PH', 'PH-MDC', 'Mamburao', 'no', 'RPUM', 'MBO', '', ''),
	('RPSF', 'N/A', 'N/A', 12.281361669301987, 122.62341946363449, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPVE', 'medium_airport', 'Godofredo P. Ramos Airport', 11.9245, 121.954002, 7, 'PH', 'PH-AKL', 'Caticlan', 'yes', 'RPVE', 'MPH', '', 'Godofredo P. Ramos Airport'),
	('RPUN', 'medium_airport', 'Naga Airport', 13.58489990234375, 123.2699966430664, 142, 'PH', 'PH-CAS', 'Naga', 'yes', 'RPUN', 'WNP', '', ''),
	('RPCA', 'N/A', 'N/A', 13.844072967767715, 120.63390210270882, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPLU', 'medium_airport', 'Lubang Airport', 13.8554, 120.105003, 43, 'PH', 'PH-MDC', '', 'no', 'RPLU', 'LBX', '', ''),
	('RPLG', 'N/A', 'N/A', 12.53466110676527, 121.48280292749405, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPVK', 'medium_airport', 'Kalibo International Airport', 11.679400444, 122.375999451, 14, 'PH', 'PH-AKL', 'Kalibo', 'yes', 'RPVK', 'KLO', '', ''),
	('RPVV', 'medium_airport', 'Francisco B. Reyes (Busuanga) Airport', 12.121865, 120.100801, 148, 'PH', 'PH-PLW', 'Coron', 'yes', 'RPVV', 'USU', '', 'Busuanga Airport'),
	('RPSR', 'N/A', 'N/A', 12.075094766914845, 121.3884861767292, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPLA', 'small_airport', 'Pinamalayan Airport', 12.9858, 121.426003, 92, 'PH', 'PH-MDR', 'Pinamalayan', 'no', 'RPLA', '', 'RP11', ''),
	('RPUK', 'small_airport', 'Calapan National Airport', 13.422641, 121.201687, 11, 'PH', 'PH-MDR', 'Calapan', 'no', 'RPUK', '', '', 'Calapan, Mindoro'),
	('RPVU', 'medium_airport', 'Tugdan Airport', 12.3109998703, 122.084999084, 10, 'PH', 'PH-ROM', 'Tablas Island', 'yes', 'RPVU', 'TBH', '', 'Romblon Airport, Alcantara, Barangay Tugdan, Tablas Airport'),
	('RPVJ', 'medium_airport', 'Moises R. Espinosa Airport', 12.369682, 123.630095, 49, 'PH', 'PH-MAS', 'Masbate', 'yes', 'RPVJ', 'MBT', '', 'Masbate, Moises R. Espinoza'),
	('RPUW', 'medium_airport', 'Marinduque Airport', 13.361000061035156, 121.82599639892578, 32, 'PH', 'PH-MAD', 'Gasan', 'no', 'RPUW', 'MRQ', '', ''),
	('RPAL', 'N/A', 'N/A', 11.35873842984438, 120.72766944766045, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RP12', 'small_airport', 'Pagbilao Grande Island Airport', 13.9002, 121.744003, 13, 'PH', 'PH-QUE', 'Pagbilao', 'no', 'RP12', '', 'RP12', ''),
	('RPUL', 'small_airport', 'Basilio Fernando Air Base', 13.955, 121.125, 1220, 'PH', 'PH-BTG', 'Lipa', 'no', 'RPUL', '', '', ''),
	('RPVR', 'medium_airport', 'Roxas Airport', 11.597700119018555, 122.75199890136719, 10, 'PH', 'PH-CAP', 'Roxas City', 'yes', 'RPVR', 'RXS', '', ''),
	('RPLO', 'small_airport', 'Cuyo Airport', 10.8581, 121.069, 0, 'PH', 'PH-PLW', 'Cuyo', 'yes', 'RPLO', 'CYU', '', ''),
	('RPVB', 'medium_airport', 'Bacolod-Silay Airport', 10.7764, 123.014999, 82, 'PH', 'PH-NEC', 'Bacolod City', 'yes', 'RPVB', 'BCD', '', ''),
	('RPHA', 'N/A', 'N/A', 10.515095852315426, 123.44718128442764, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPCG', 'N/A', 'N/A', 9.56937175244093, 121.18691191077232, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPVD', 'medium_airport', 'Sibulan Airport', 9.334183, 123.30191, 15, 'PH', 'PH-NER', 'Dumaguete City', 'yes', 'RPVD', 'DGT', '', ''),
	('RPVS', 'medium_airport', 'Evelio Javier Airport', 10.766644, 121.932506, 23, 'PH', 'PH-ANT', 'San Jose', 'no', 'RPVS', 'EUQ', '', 'Antique Airport'),
	('RPSQ', 'N/A', 'N/A', 9.210437536239624, 123.46884191036224, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPHC', 'N/A', 'N/A', 10.510352365672588, 123.4359459578991, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPMG', 'medium_airport', 'Dipolog Airport', 8.601983, 123.341875, 12, 'PH', 'PH-ZAN', 'Dipolog', 'yes', 'RPMG', 'DPL', '', ''),
	('RPSE', 'N/A', 'N/A', 10.466549545526505, 122.6907666027546, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPVI', 'medium_airport', 'Iloilo International Airport', 10.833017, 122.493358, 27, 'PH', 'PH-ILI', 'Cabatuan', 'yes', 'RPVI', 'ILO', '', ''),
	('RP16', 'small_airport', 'Seahawk Lz Airstrip', 6.65417, 121.980003, 1011, 'PH', 'PH-BAS', '', 'no', 'RP16', '', 'RP16', 'Seahawk LZ'),
	('RPMJ', 'medium_airport', 'Jolo Airport', 6.0536699295043945, 121.01100158691406, 118, 'PH', 'PH-SLU', '', 'yes', 'RPMJ', 'JOL', '', ''),
	('RPNO', 'N/A', 'N/A', 7.707114033401012, 122.16473624110222, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPMZ', 'medium_airport', 'Zamboanga International Airport', 6.922420024871826, 122.05999755859375, 33, 'PH', 'PH-ZAS', 'Zamboanga City', 'yes', 'RPMZ', 'ZAM', '', ''),
	('RPMX', 'small_airport', 'Liloy Airport', 8.102059, 122.670422, 0, 'PH', 'PH-ZAN', 'Liloy', 'no', 'RPMX', '', '', ''),
	('RPMP', 'medium_airport', 'Pagadian Airport', 7.825632, 123.459635, 5, 'PH', 'PH-ZAS', 'Pagadian', 'yes', 'RPMP', 'PAG', '', ''),
	('RPMV', 'small_airport', 'Ipil Airport', 7.784898, 122.6015, 0, 'PH', 'PH-ZSI', 'Ipil', 'no', 'RPMV', 'IPE', '', ''),
	('WAMG', 'small_airport', 'Jalaluddin Airport', 0.63711899519, 122.849998474, 105, 'ID', 'ID-GO', 'Gorontalo-Celebes Island', 'yes', 'WAMG', 'GTO', '', ''),
	('WAFY', 'N/A', 'N/A', 1.1028948426246643, 121.41447231173515, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAFL', 'N/A', 'N/A', 1.1227817460894585, 120.79531610012054, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPSA', 'N/A', 'N/A', 12.417838163673878, 124.27388146519661, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPVW', 'small_airport', 'Borongan Airport', 11.674262, 125.479259, 7, 'PH', 'PH-EAS', 'Borongan City', 'no', 'RPVW', 'BPA', '', ''),
	('RPVC', 'medium_airport', 'Calbayog Airport', 12.072699546813965, 124.54499816894531, 12, 'PH', 'PH-WSA', 'Calbayog City', 'yes', 'RPVC', 'CYP', '', ''),
	('RPVQ', 'small_airport', 'Biliran Airport', 11.5159178299, 124.428985119, 0, 'PH', 'PH-BIL', '', 'no', 'RPVQ', '', '', ''),
	('RPVY', 'small_airport', 'Catbalogan Airport', 11.810647, 124.828806, 0, 'PH', 'PH-WSA', 'Catbalogan', 'no', 'RPVY', '', '', ''),
	('RPUV', 'medium_airport', 'Virac Airport', 13.576399803161621, 124.20600128173828, 121, 'PH', 'PH-CAT', 'Virac', 'yes', 'RPUV', 'VRC', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('RPVF', 'medium_airport', 'Catarman National Airport', 12.50161, 124.635258, 6, 'PH', 'PH-NSA', 'Catarman', 'yes', 'RPVF', 'CRM', '', ''),
	('RPLZ', 'small_airport', 'Bacon Community Airport', 13.006983, 124.025731, 120, 'PH', 'PH-SOR', 'Sorsogon', 'no', 'RPLZ', '', '', ''),
	('RPSS', 'N/A', 'N/A', 10.659837909042835, 124.3701745569706, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPMS', 'medium_airport', 'Surigao Airport', 9.755838325629998, 125.480947495, 20, 'PH', 'PH-SUN', 'Surigao City', 'yes', 'RPMS', 'SUG', '', ''),
	('RPNS', 'small_airport', 'Siargao Airport', 9.8591, 126.014, 10, 'PH', 'PH-SUN', 'Del Carmen', 'yes', 'RPNS', 'IAO', '', 'Sayak Airport'),
	('RP13', 'closed', 'Nonoc Airport', 9.809309, 125.595318, 10, 'PH', 'PH-SUN', 'Surigao City (Nonoc Island)', 'no', '', '', '', 'RP13'),
	('RPMW', 'medium_airport', 'Tandag Airport', 9.072002, 126.17132, 16, 'PH', 'PH-SUR', 'Tandag', 'yes', 'RPMW', 'TDG', '', ''),
	('RP15', 'small_airport', 'Isabel PASAR Airport', 10.912339, 124.437856, 16, 'PH', 'PH-LEY', 'Isabel', 'no', 'RP15', '', 'RP15', ''),
	('RPSG', 'N/A', 'N/A', 9.16920192539692, 125.56043431162834, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPVO', 'medium_airport', 'Ormoc Airport', 11.057715, 124.565622, 83, 'PH', 'PH-LEY', 'Ormoc City', 'no', 'RPVO', 'OMC', '', ''),
	('RPMH', 'medium_airport', 'Camiguin Airport', 9.253894, 124.709115, 53, 'PH', 'PH-CAM', 'Mambajao', 'yes', 'RPMH', 'CGM', '', ''),
	('RPVG', 'small_airport', 'Guiuan Airport', 11.0354995728, 125.741996765, 7, 'PH', 'PH-EAS', 'Guiuan', 'no', 'RPVG', '', 'GUI', ''),
	('RPVH', 'small_airport', 'Hilongos Airport', 10.37567, 124.7611, 12, 'PH', 'PH-LEY', 'Hilongos', 'no', 'RPVH', '', '', ''),
	('RPVA', 'medium_airport', 'Daniel Z. Romualdez Airport', 11.227761, 125.027783, 10, 'PH', 'PH-LEY', 'Tacloban City', 'yes', 'RPVA', 'TAC', 'DZR', 'Tacloban, Daniel Z. Romualdez, Naval Station Dioscoro Papa'),
	('RPME', 'medium_airport', 'Bancasi Airport', 8.9515, 125.4788, 141, 'PH', 'PH-AGN', 'Butuan', 'yes', 'RPME', 'BXU', '', ''),
	('RPVM', 'large_airport', 'Mactan Cebu International Airport', 10.309261, 123.97974, 31, 'PH', 'PH-CEB', 'Lapu-Lapu City', 'yes', 'RPVM', 'CEB', '', 'Mactan Air Base, Opon Airfield'),
	('CGM', 'N/A', 'N/A', 9.253806173801422, 124.70849454402924, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPSB', 'small_airport', 'Bantayan Airport', 11.1624, 123.7848, 60, 'PH', 'PH-CEB', 'Santa Fe', 'no', 'RPSB', '', '', ''),
	('RPSM', 'small_airport', 'Maasin Airport', 10.185695, 124.783244, 328, 'PH', 'PH-SLE', 'Maasin', 'no', 'RPSM', '', '', ''),
	('RPVT', 'closed', 'Tagbilaran Airport', 9.665442, 123.853533, 38, 'PH', 'PH-BOH', 'Tagbilaran City', 'no', '', '', '', 'RPVT, TAG'),
	('RPBG', 'N/A', 'N/A', 6.912782192230225, 124.92504000663757, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPMQ', 'medium_airport', 'Mati National Airport', 6.949091, 126.27368, 156, 'PH', 'PH-DAO', 'Mati', 'no', 'RPMQ', 'MXI', '', 'Mati, Imelda R. Marcos, Tugpahanan sa Mati, Paliparan ng Mati'),
	('RPHI', 'N/A', 'N/A', 7.3864442110061646, 125.82877904176712, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPBN', 'N/A', 'N/A', 7.612616121768951, 126.56854346394539, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPKO', 'N/A', 'N/A', 8.107382096350193, 123.87743532657623, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPTN', 'N/A', 'N/A', 7.248309776186943, 125.84359332919121, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPMD', 'large_airport', 'Francisco Bangoy International Airport', 7.12552, 125.646004, 96, 'PH', 'PH-DAS', 'Davao', 'yes', 'RPMD', 'DVO', '', 'Davao International Airport'),
	('RPMO', 'medium_airport', 'Labo Airport', 8.17851, 123.842003, 75, 'PH', 'PH-MSC', 'Ozamiz', 'yes', 'RPMO', 'OZC', '', 'Barangay Labo, Ozamiz, Misamis Airfield'),
	('RPMR', 'medium_airport', 'General Santos International Airport', 6.05800008774, 125.096000671, 505, 'PH', 'PH-SCO', 'General Santos', 'yes', 'RPMR', 'GES', '', 'Tambler Airport'),
	('LWA', 'small_airport', 'Lebak Rural Airport', 6.6739, 124.0581, 16, 'PH', 'PH-SUK', 'Lebak', 'no', '', 'LWA', '', 'Doña Annie Sabala Vallite Alabastro Memorial Private, Lorenzo Palileo'),
	('RPMI', 'small_airport', 'Maria Cristina (Iligan) Airport', 8.13049, 124.214996, 1300, 'PH', 'PH-LAN', 'Balo-i', 'no', 'RPMI', 'IGN', '', 'Iligan Airport, Balo-i'),
	('RPKL', 'N/A', 'N/A', 6.560197100043297, 124.05298188328743, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RP17', 'small_airport', 'Malita Airport', 6.402734, 125.619264, 16, 'PH', 'PH-DVO', 'Malita', 'no', 'RP17', '', 'RP17', ''),
	('RPGU', 'N/A', 'N/A', 6.694900318980217, 125.36203399300575, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPTM', 'N/A', 'N/A', 7.095800042152405, 125.38990303874016, 728, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('XMA', 'small_airport', 'Maramag Airport', 7.7538, 125.0333, 919, 'PH', 'PH-BUK', 'Maramag', 'no', '', 'XMA', '', 'Oadi'),
	('RPKP', 'N/A', 'N/A', 6.661778055131435, 124.61173430085182, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPML', 'small_airport', 'Lumbia Airfield', 8.41562, 124.611, 601, 'PH', 'PH-MSR', 'Cagayan de Oro', 'no', 'RPML', '', '', 'CGY, Cagayan de Oro Airport, Lumbia Airport'),
	('RPAN', 'N/A', 'N/A', 7.308104932308197, 126.14677593111992, 627, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPMC', 'medium_airport', 'Cotabato (Awang) Airport', 7.164753, 124.209938, 189, 'PH', 'PH-MDN', 'Datu Odin Sinsuat', 'yes', 'RPMC', 'CBO', '', 'Awang, Kutawatu'),
	('RPMB', 'medium_airport', 'Rajah Buayan Air Base', 6.10644, 125.235001, 28, 'PH', 'PH-SCO', 'General Santos City', 'no', 'RPMB', '', '', 'GES, Paliparang Pandaigdig ng Heneral Santos, Tugpahanang Internasyonal sa Heneral Santos'),
	('RPMM', 'small_airport', 'Malabang Airport', 7.616911, 124.057961, 27, 'PH', 'PH-LAS', 'Malabang', 'no', 'RPMM', 'MLP', '', ''),
	('RPKI', 'N/A', 'N/A', 6.41118697822094, 124.93476256728172, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPNF', 'N/A', 'N/A', 7.390990890562534, 125.57202950119972, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPDA', 'N/A', 'N/A', 7.228397727012634, 125.45721888542175, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RPMF', 'medium_airport', 'Bislig Airport', 8.195052, 126.321015, 12, 'PH', 'PH-SUR', 'Bislig', 'no', 'RPMF', 'BPH', '', ''),
	('WAMS', 'small_airport', 'Miangas Airport', 5.560419, 126.580095, 9, 'ID', 'ID-SA', 'Miangas', 'no', 'WAMS', '', '', ''),
	('WAMN', 'small_airport', 'Melangguane Airport', 4.00694, 126.672997, 3, 'ID', 'ID-SA', 'Karakelong Island', 'no', 'WAMN', 'MNA', '', ''),
	('WAMH', 'medium_airport', 'Naha Airport', 3.68321, 125.528, 16, 'ID', 'ID-SA', 'Tahuna-Sangihe Island', 'yes', 'WAMH', 'NAH', '', ''),
	('WAMD', 'small_airport', 'Jailolo/Kuripasai Airport', 1.1169999837875366, 127.48300170898438, 50, 'ID', 'ID-MU', 'Kuripasai-Celebes Island', 'no', 'WAMD', '', '', ''),
	('WAMM', 'medium_airport', 'Sam Ratulangi Airport', 1.54926, 124.926003, 264, 'ID', 'ID-SA', 'Manado', 'yes', 'WAMM', 'MDC', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WAEE', 'N/A', 'N/A', 0.8311109617352486, 127.38027781248093, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAMB', 'small_airport', 'Kotamubagu/Mopait Airport', 0.6835, 124.2757, 606, 'ID', 'ID-SA', 'Kotamubagu-Celebes Island', 'no', 'WAMB', '', '', ''),
	('WA98', 'heliport', 'Cascade Heliport', 47.512346, -120.488691, 860, 'US', 'US-WA', 'Cashmere', 'no', 'WA98', '', 'WA98', ''),
	('WAEG', 'N/A', 'N/A', 1.836666762828827, 127.78694450855255, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXM', 'N/A', 'N/A', 0.4683421924710274, 127.94501647353172, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAEW', 'medium_airport', 'Pitu Airport', 2.04599, 128.324997, 49, 'ID', 'ID-MU', 'Gotalalamo-Morotai Island', 'no', 'WAEW', 'OTI', '', ''),
	('WAEK', 'N/A', 'N/A', 1.1869445443153381, 127.89499998092651, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAEM', 'N/A', 'N/A', 0.9194444864988327, 128.38249996304512, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('C23', 'small_airport', 'Peleliu Airport', 6.99744, 134.232055, 9, 'PW', 'PW-350', 'Peleliu', 'no', '', '', 'C23', 'Babelthuap Island'),
	('PTRO', 'medium_airport', 'Babelthuap Airport', 7.36731, 134.544236, 176, 'PW', 'PW-004', 'Babelthuap Island', 'yes', 'PTRO', 'ROR', 'ROR', ''),
	('ANG', 'small_airport', 'Angaur', 6.906829, 134.145386, 20, 'PW', 'PW-010', 'Angaur Island', 'no', '', '', 'ANG', ''),
	('PTYA', 'medium_airport', 'Yap International Airport', 9.49891, 138.082993, 91, 'FM', 'FM-YAP', 'Yap Island', 'yes', 'PTYA', 'YAP', 'T11', ''),
	('TT02', 'small_airport', 'Ulithi Airport', 10.0198, 139.789993, 6, 'FM', 'FM-YAP', 'Falalop Island', 'no', '', 'ULI', 'TT02', 'Ulithi Airport, TT02'),
	('TT01', 'small_airport', 'Pagan Airstrip', 18.12317, 145.763347, 34, 'MP', 'MP-U-A', 'Shomu-Shon, Pagan', 'no', 'TT01', '', 'TT01', ''),
	('PGRO', 'medium_airport', 'Rota International Airport', 14.1743, 145.242996, 607, 'MP', 'MP-U-A', 'Rota Island', 'yes', 'PGRO', 'ROP', 'GRO', ''),
	('PGSN', 'medium_airport', 'Saipan International Airport', 15.119, 145.729004, 215, 'MP', 'MP-U-A', 'I Fadang, Saipan', 'yes', 'PGSN', 'SPN', 'GSN', 'Francisco C. Ada'),
	('PGWT', 'medium_airport', 'Tinian International Airport', 14.998101, 145.61923, 271, 'MP', 'MP-U-A', 'Tinian Island', 'yes', 'PGWT', 'TIQ', 'TNI', ''),
	('PGUM', 'large_airport', 'Antonio B. Won Pat International Airport', 13.4834, 144.796005, 298, 'GU', 'GU-U-A', 'Hagåtña', 'yes', 'PGUM', 'GUM', 'GUM', 'Agana'),
	('PGUA', 'medium_airport', 'Andersen Air Force Base', 13.584, 144.929998, 627, 'GU', 'GU-U-A', 'Yigo', 'no', 'PGUA', 'UAM', 'UAM', ''),
	('PTIF', 'N/A', 'N/A', 7.376938462257385, 143.90863180160522, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PTHO', 'N/A', 'N/A', 6.676198281347752, 149.3000230193138, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAFP', 'medium_airport', 'Kasiguncu Airport', -1.41675, 120.657997, 174, 'ID', 'ID-ST', 'Poso-Celebes Island', 'no', 'WAFP', 'PSJ', '', 'WAMP'),
	('WAND', 'N/A', 'N/A', -2.6305848732590675, 121.09646111726761, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAWS', 'small_airport', 'Soroako Airport', -2.530582, 121.356096, 1388, 'ID', 'ID-SN', 'Soroako', 'no', 'WAWS', 'SQR', '', 'WAAS'),
	('WAFU', 'small_airport', 'Tanjung Api Airport', -0.865437, 121.628625, 49, 'ID', 'ID-ST', 'Tojo Una-Una', 'yes', 'WAFU', 'OJU', '', 'Ampana'),
	('WAFW', 'medium_airport', 'Syukuran Aminuddin Amir Airport', -1.035893, 122.773934, 56, 'ID', 'ID-ST', 'Luwok', 'no', 'WAFW', 'LUW', '', 'Bubung Airport, WAMW'),
	('WAFK', 'N/A', 'N/A', -2.1238887682557106, 120.29388874769211, 978, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAFO', 'N/A', 'N/A', -2.2032999247312546, 121.66029989719391, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAFM', 'small_airport', 'Andi Jemma Airport', -2.55803, 120.323997, 164, 'ID', 'ID-SN', 'Masamba', 'yes', 'WAFM', 'MXB', '', 'WAWM'),
	('WAWP', 'N/A', 'N/A', -4.344999901950359, 121.52222201228142, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WALR', 'medium_airport', 'Juwata International Airport / Suharnoko Harbani AFB', 3.325145, 117.564169, 23, 'ID', 'ID-KU', 'Tarakan', 'yes', 'WAQQ', 'TRK', 'TRK', 'WRLR, WALR, WAQQ, TRK, JUWATA, TARAKAN'),
	('WAFD', 'small_airport', 'Bua - Palopo Lagaligo Airport', -3.082997, 120.245018, 14, 'ID', 'ID-SN', 'Palopo', 'yes', 'WAFD', 'LLO', '', 'Palopo Lagaligo'),
	('WAWW', 'small_airport', 'Haluoleo Airport', -4.08161, 122.417999, 538, 'ID', 'ID-SG', 'Kendari', 'yes', 'WAWW', 'KDI', '', 'WAAU, Wolter Monginsidi Airport'),
	('WAWB', 'small_airport', 'Betoambari Airport', -5.48688, 122.569, 164, 'ID', 'ID-SG', 'Bau Bau', 'no', 'WAWB', 'BUW', '', 'WAAB'),
	('WAWD', 'medium_airport', 'Matahora Airport', -5.293996, 123.634, 88, 'ID', 'ID-SG', 'Wangi-wangi Island', 'yes', 'WAWD', 'WNI', '', ''),
	('WAWR', 'N/A', 'N/A', -4.7619445994496346, 122.57000014185905, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAWH', 'small_airport', 'Selayar - Haji Aroeppala Airport', -6.17921, 120.437479, 13, 'ID', 'ID-SN', 'Benteng', 'yes', 'WAWH', 'KSR', '', 'Haji Aroeppala, Lagaligo Airport'),
	('WATL', 'N/A', 'N/A', -8.275000043213367, 122.99999982118607, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WATW', 'N/A', 'N/A', -8.366388939321041, 123.4380555152893, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WATU', 'N/A', 'N/A', -9.668055586516857, 120.2988888323307, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WATC', 'small_airport', 'Frans Xavier Seda Airport', -8.639514, 122.238135, 115, 'ID', 'ID-NT', 'Waioti', 'yes', 'WATC', 'MOF', '', 'WRKC, Fransiskus Xavierius Seda, Maumere, Wai Oti'),
	('WATB', 'small_airport', 'Bajawa Soa Airport', -8.707435, 121.057427, 4326, 'ID', 'ID-NT', 'Soa', 'no', 'WATB', 'BJW', '', 'Turelelo'),
	('WATT', 'small_airport', 'El Tari Airport', -10.1716, 123.670998, 335, 'ID', 'ID-NT', 'Kupang', 'yes', 'WATT', 'KOE', '', 'WRKK'),
	('WATE', 'small_airport', 'H. Hasan Aroeboesman (Ende) Airport', -8.849114, 121.66101, 49, 'ID', 'ID-NT', 'Ende', 'yes', 'WATE', 'ENE', '', 'WRKE, Isi'),
	('WATG', 'small_airport', 'Frans Sales Lega Airport', -8.596171, 120.478177, 3510, 'ID', 'ID-NT', 'Satar Tacik', 'yes', 'WATG', 'RTG', '', 'WRKG, Ruteng, Satar Tacik Airport'),
	('WATS', 'small_airport', 'Sabu-Tardanu Airport', -10.4924, 121.8482, 71, 'ID', 'ID-NT', 'Sabu-Sawu Island', 'no', 'WATS', 'SAU', '', 'WRKS, Tardamu, Sawu'),
	('WATR', 'small_airport', 'David Constantijn Saudale Airport', -10.7673, 123.0747, 470, 'ID', 'ID-NT', 'Ba''a - Rote Island', 'no', 'WATR', 'RTI', '', 'WRKR, Roti Airport, Lekunik Airport'),
	('YOAP', 'small_airport', 'One Arm Point Airport', -16.445423, 123.068388, 30, 'AU', 'AU-WA', 'Dampier Peninsula', 'no', 'YOAP', '', '', 'Ardyaloon'),
	('YCLQ', 'small_airport', 'Cape Leveque Airport', -16.401203, 122.932148, 0, 'AU', 'AU-WA', 'Dampier Peninsula', 'no', 'YCLQ', '', '', 'Kooljaman, Kooljamin'),
	('YCTI', 'small_airport', 'Cockatoo Island Airport', -16.095918, 123.610654, 372, 'AU', 'AU-WA', 'Kimbolton', 'no', 'YCTI', '', '', ''),
	('YLBD', 'small_airport', 'Lombadina Airport', -16.515333, 122.923509, 154, 'AU', 'AU-WA', 'Dampier Peninsula', 'no', 'YLBD', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YBGB', 'small_airport', 'Beagle Bay Airport', -17.0165, 122.6464, 124, 'AU', 'AU-WA', 'Dampier Peninsula', 'no', 'YBGB', 'BEE', '', ''),
	('YLGB', 'small_airport', 'La Grange Bay Airport', -18.6833, 121.807999, 96, 'AU', 'AU-WA', '', 'no', 'YLGB', '', '', ''),
	('YAPA', 'small_airport', 'Anna Plains Airport', -19.266700744628906, 121.51699829101563, 0, 'AU', 'AU-WA', '', 'no', 'YAPA', '', '', ''),
	('YDBY', 'medium_airport', 'Derby Airport', -17.37193, 123.66221, 24, 'AU', 'AU-WA', 'Derby', 'no', 'YDBY', 'DRB', '', ''),
	('YBRM', 'medium_airport', 'Broome International Airport', -17.948789, 122.227407, 56, 'AU', 'AU-WA', 'Broome', 'yes', 'YBRM', 'BME', '', ''),
	('YSHG', 'small_airport', 'Shay Gap Airport', -20.4247, 120.140999, 620, 'AU', 'AU-WA', 'Shay Gap', 'no', 'YSHG', 'SGP', '', ''),
	('YMUC', 'small_airport', 'Muccan Station Airport', -20.658899307250977, 120.06700134277344, 300, 'AU', 'AU-WA', 'Muccan Station', 'no', 'YMUC', 'MUQ', '', ''),
	('YNUL', 'small_airport', 'Nullagine Airport', -21.913299560546875, 120.197998046875, 381, 'AU', 'AU-WA', '', 'no', 'YNUL', 'NLL', '', ''),
	('YBOE', 'N/A', 'N/A', -22.263649441301823, 121.37190341949463, 439, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTCF', 'small_airport', 'Tracies Field', -22.316699981689453, 122.06700134277344, 0, 'AU', 'AU-WA', '', 'no', 'YTCF', '', '', ''),
	('YCNF', 'small_airport', 'Camp Nifty Airport', -21.6717, 121.586998, 295, 'AU', 'AU-WA', '', 'no', 'YCNF', 'NIF', '', ''),
	('YWAL', 'small_airport', 'Wallal Airport', -19.7735996246, 120.649002075, 0, 'AU', 'AU-WA', 'Wallal', 'no', 'YWAL', 'WLA', '', ''),
	('YWWG', 'small_airport', 'Warrawagine Airport', -20.8442001343, 120.702003479, 0, 'AU', 'AU-WA', '', 'no', 'YWWG', 'WRW', '', ''),
	('YWWI', 'small_airport', 'Woodie Woodie Airport', -21.64551, 121.191184, 0, 'AU', 'AU-WA', 'Woodie Woodie', 'no', 'YWWI', 'WWI', '', ''),
	('YPUN', 'small_airport', 'Punmu Airport', -22.066699981689453, 123.16699981689453, 0, 'AU', 'AU-WA', '', 'no', 'YPUN', '', '', ''),
	('AU52', 'N/A', 'N/A', -22.427086159586906, 120.85195362567902, 441, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBRE', 'N/A', 'N/A', -19.771994948387146, 121.09036400914192, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YEMC', 'N/A', 'N/A', -20.93397181481123, 120.08350521326065, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBRB', 'N/A', 'N/A', -20.570999532938004, 123.2687097787857, 281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTEF', 'medium_airport', 'Telfer Airport', -21.715, 122.228996, 970, 'AU', 'AU-WA', '', 'no', 'YTEF', 'TEF', '', ''),
	('YMDI', 'small_airport', 'Mandora Airport', -19.7383003235, 120.837997437, 0, 'AU', 'AU-WA', 'Mandora', 'no', 'YMDI', 'MQA', '', ''),
	('YBBC', 'small_airport', 'Bamboo Creek Airport', -20.944599151611328, 120.16500091552734, 0, 'AU', 'AU-WA', 'Bamboo Creek Gold Mine', 'no', 'YBBC', '', '', ''),
	('WAEO', 'N/A', 'N/A', -1.7821820452809334, 125.48213168978691, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAES', 'N/A', 'N/A', -2.097777798771858, 125.96388906240463, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAPT', 'small_airport', 'Taliabu Island Airport', -1.6426299810409546, 124.55899810791016, 9, 'ID', 'ID-MU', 'Tikong-Taliabu Island', 'no', 'WAPT', 'TAX', '', ''),
	('WAPN', 'small_airport', 'Emalamo Sanana Airport', -2.097833, 125.963833, 11, 'ID', 'ID-MU', 'Sanana', 'no', 'WAES', 'SQN', '', ''),
	('WAPR', 'small_airport', 'Namlea Airport', -3.236887, 127.100215, 41, 'ID', 'ID-MA', 'Namlea', 'no', 'WAPR', '', '', 'NAM'),
	('WAPG', 'small_airport', 'Namrole Airport', -3.85522, 126.700902, 31, 'ID', 'ID-MA', 'Namrole', 'no', 'WAPG', 'NRE', '', ''),
	('WATM', 'small_airport', 'Alor Island - Mali Airport', -8.13234, 124.597, 10, 'ID', 'ID-NT', 'Kabola', 'yes', 'WATM', 'ARD', '', ''),
	('WPAT', 'small_airport', 'Atauro Airport', -8.243133, 125.606378, 29, 'TL', 'TL-AT', 'Vila', 'no', 'WPAT', 'AUT', '', 'Atauro'),
	('WA44', 'small_airport', 'Maranggo Airport', -5.76457, 123.917, 169, 'ID', 'ID-SG', 'Waha-Tomea Island', 'no', 'WAWC', 'TQQ', 'WA44', ''),
	('WATQ', 'small_airport', 'John Becker Airport', -8.015716, 127.200179, 6, 'ID', 'ID-NT', 'Pur-Pura', 'no', 'WATQ', '', '', 'WAPQ, Bandar Udara John Becker, Kisar, Wonreli'),
	('WPEC', 'medium_airport', 'Cakung Airport', -8.486479, 126.399981, 1771, 'TL', 'TL-BA', 'Baucau', 'no', 'WPEC', 'BCH', '', 'English Madeira airport'),
	('WPDL', 'medium_airport', 'Presidente Nicolau Lobato International Airport', -8.546562, 125.524507, 154, 'TL', 'TL-DI', 'Dili', 'yes', 'WPDL', 'DIL', '', 'Komoro, Comoro'),
	('WPDB', 'medium_airport', 'Suai Airport', -9.30331039428711, 125.28700256347656, 96, 'TL', 'TL-CO', 'Suai', 'no', 'WPDB', 'UAI', '', 'Covalima Airport'),
	('WPMN', 'small_airport', 'Maliana Airport', -8.97224, 125.214996, 0, 'TL', 'TL-BO', 'Maliana', 'no', 'WPMN', 'MPT', '', 'Maliana'),
	('WPOC', 'medium_airport', 'Rota Do Sândalo Oecusse Airport', -9.19806, 124.343002, 0, 'TL', 'TL-OE', 'Oecussi-Ambeno', 'no', 'WPOC', 'OEC', '', 'Oe-Kusi Ambenu, Ocussi, Oekussi, Oekusi, Okusi, Oé-Cusse'),
	('WATA', 'N/A', 'N/A', -9.074767380952835, 124.90364894270897, 310, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YFWY', 'small_airport', 'Faraway Bay Airport', -13.980799674987793, 127.18099975585938, 0, 'AU', 'AU-WA', '', 'no', 'YFWY', '', '', ''),
	('YTTI', 'small_airport', 'Troughton Is Airport', -13.7517, 126.148003, 8, 'AU', 'AU-WA', '', 'no', 'YTTI', '', '', ''),
	('YKAL', 'small_airport', 'Kalumburu Airport', -14.28784, 126.633182, 29, 'AU', 'AU-WA', 'Kalumburu', 'no', 'YKAL', 'UBU', '', ''),
	('YKRJ', 'N/A', 'N/A', -16.273617893457413, 127.19081059098244, 325, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKLI', 'N/A', 'N/A', -16.12833335995674, 123.78000006079674, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMHT', 'small_airport', 'Mount Hart Station Airport', -16.823294, 124.913768, 0, 'AU', 'AU-WA', 'Wunaamin Miliwundi Ranges', 'no', 'YMHT', '', '', ''),
	('YKIB', 'N/A', 'N/A', -16.698393635451794, 123.83332595229149, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOOB', 'closed', 'Cooranbong Airport', -33.0601117475, 151.461896896, 0, 'AU', 'AU-NSW', '', 'no', '', '', '', 'YOOB, YOOB'),
	('YTHD', 'small_airport', 'Theda Station Airport', -14.790567, 126.498041, 700, 'AU', 'AU-WA', 'Drysdale River', 'no', 'YTHD', 'TDN', '', ''),
	('YBYS', 'small_airport', 'Beverley Springs Airport', -16.732756, 125.439105, 385, 'AU', 'AU-WA', 'Wunaamin Miliwundi Ranges', 'no', 'YBYS', 'BVZ', '', 'Charnley River Station'),
	('YDGN', 'small_airport', 'Doongan Airport', -15.386429, 126.302235, 0, 'AU', 'AU-WA', 'Drysdale River', 'no', 'YDGN', 'DNG', '', 'Doongan Station, King Edward River'),
	('YDRD', 'small_airport', 'Drysdale River Airport', -15.71357, 126.381097, 360, 'AU', 'AU-WA', 'Drysdale River', 'no', 'YDRD', 'DRY', '', ''),
	('YMIP', 'small_airport', 'Mitchell Plateau Airport', -14.790817, 125.825729, 0, 'AU', 'AU-WA', 'Mitchell Plateau', 'no', 'YMIP', 'MIH', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YTST', 'small_airport', 'Truscott-Mungalalu Airport', -14.089699745178, 126.3809967041, 181, 'AU', 'AU-WA', 'Anjo Peninsula', 'no', 'YTST', 'TTX', '', ''),
	('YBAN', 'small_airport', 'Mount Barnett Airport', -16.741453, 125.905608, 1339, 'AU', 'AU-WA', 'Wunaamin Miliwundi Ranges', 'no', 'YBAN', 'MBN', '', 'Wananami'),
	('YGIB', 'small_airport', 'Gibb River Airport', -16.418661, 126.445685, 509, 'AU', 'AU-WA', 'Gibb', 'no', 'YGIB', 'GBV', '', ''),
	('YPJN', 'N/A', 'N/A', -15.964547283947468, 125.05274936556816, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSLG', 'small_airport', 'Silent Grove Airport', -17.066699981689453, 125.25, 0, 'AU', 'AU-WA', '', 'no', 'YSLG', '', '', ''),
	('YCIN', 'medium_airport', 'RAAF Base Curtin', -17.580458, 123.828449, 300, 'AU', 'AU-WA', 'Derby', 'no', 'YCIN', 'DCN', '', ''),
	('YBOS', 'N/A', 'N/A', -18.113192841410637, 125.62914177775383, 113, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDEY', 'N/A', 'N/A', -17.986397109925747, 124.16218936443329, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMCW', 'N/A', 'N/A', -18.197288811206818, 127.49317243695259, 423, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMNT', 'small_airport', 'Mornington Station Airport', -17.393600463867188, 126.22899627685547, 0, 'AU', 'AU-WA', '', 'no', 'YMNT', '', '', ''),
	('YMJD', 'N/A', 'N/A', -18.84435597807169, 124.92652550339699, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWDJ', 'small_airport', 'Windjana Grove Airport', -17.421387587, 124.925107956, 0, 'AU', 'AU-WA', '', 'no', 'YWDJ', '', '', ''),
	('YTAB', 'small_airport', 'Tableland Homestead Airport', -17.2833003998, 126.900001526, 0, 'AU', 'AU-WA', '', 'no', 'YTAB', 'TBL', '', ''),
	('YFTZ', 'medium_airport', 'Fitzroy Crossing Airport', -18.183596, 125.559783, 368, 'AU', 'AU-WA', '', 'no', 'YFTZ', 'FIZ', '', ''),
	('YELA', 'N/A', 'N/A', -17.923223711550236, 124.82885956764221, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDEB', 'N/A', 'N/A', -17.397858425974846, 124.35465887188911, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCRK', 'small_airport', 'Christmas Creek Station Airport', -18.8728, 125.934, 540, 'AU', 'AU-WA', 'Wangkat Jungka', 'no', 'YCRK', 'CXQ', '', ''),
	('YHAD', 'N/A', 'N/A', -17.52220932394266, 126.1227348446846, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMGR', 'small_airport', 'Margaret River (Station) Airport', -18.6217002869, 126.883003235, 289, 'AU', 'AU-WA', '', 'no', 'YMGR', 'MGV', '', ''),
	('YNPD', 'small_airport', 'Napier Downs Airport', -17.319175, 124.82156, 282, 'AU', 'AU-WA', '', 'no', 'YNPD', '', '', ''),
	('YLOU', 'small_airport', 'Louisa Downs Airport', -18.716699600219727, 126.71700286865234, 0, 'AU', 'AU-WA', '', 'no', 'YLOU', '', '', ''),
	('LDW', 'small_airport', 'Lansdowne Airport', -17.6128, 126.743, 1190, 'AU', 'AU-WA', 'Lansdowne Station', 'no', '', 'LDW', '', ''),
	('YMYR', 'small_airport', 'Myroodan Station Airport', -18.123996, 124.270261, 0, 'AU', 'AU-WA', '', 'no', 'YMYR', 'MYO', '', ''),
	('YNKA', 'small_airport', 'Noonkanbah Airport', -18.4946994781, 124.851997375, 0, 'AU', 'AU-WA', '', 'no', 'YNKA', 'NKB', '', ''),
	('YELI', 'N/A', 'N/A', -17.562845796346664, 124.8357667028904, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCAJ', 'small_airport', 'Cadjebut Airport', -18.700000762939453, 125.9000015258789, 0, 'AU', 'AU-WA', '', 'no', 'YCAJ', '', '', ''),
	('YDED', 'N/A', 'N/A', -18.661975152790546, 125.30836299061775, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CBC', 'small_airport', 'Cherrabun Airport', -18.917777777800005, 125.537777778, 540, 'AU', 'AU-WA', '', 'no', '', 'CBC', '', ''),
	('YBDF', 'small_airport', 'Bedford Downs Airport', -17.286699295, 127.462997437, 1750, 'AU', 'AU-WA', '', 'no', 'YBDF', 'BDW', '', ''),
	('YMHO', 'small_airport', 'Mount House Airport', -17.051917, 125.712491, 948, 'AU', 'AU-WA', 'Wunaamin Miliwundi Ranges', 'no', 'YMHO', 'MHO', '', ''),
	('YHAK', 'N/A', 'N/A', -18.995322100818157, 125.51138117909431, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FSL', 'small_airport', 'Fossil Downs Airport', -18.1321, 125.7873, 414, 'AU', 'AU-WA', 'Fossil Downs Station', 'no', '', 'FSL', '', ''),
	('YHAC', 'N/A', 'N/A', -22.38600142300129, 124.8191012442112, 351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANE', 'N/A', 'N/A', -0.050301142036914825, 131.0015657544136, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAEL', 'N/A', 'N/A', -0.6372221186757088, 127.5019446015358, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WASN', 'small_airport', 'Marinda Airport', -0.423056, 130.773333, 9, 'ID', 'ID-PB', 'Waisai', 'yes', 'WASN', 'RJM', '', ''),
	('WASQ', 'N/A', 'N/A', -0.39976414293050766, 129.89773124456406, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAMJ', 'small_airport', 'Gebe Airport', -0.078889, 129.457993, 125, 'ID', 'ID-MU', 'Gebe Island', 'no', 'WAMJ', 'GEB', '', ''),
	('WASS', 'closed', 'Jefman Airport', -0.926358, 131.121002, 10, 'ID', 'ID-PB', 'Jefman', 'no', '', '', '', 'SOQ, WASS, Sorong'),
	('WAPC', 'small_airport', 'Bandanaira Airport', -4.5214, 129.9054, 100, 'ID', 'ID-MA', 'Bandanaira', 'yes', 'WAPC', 'NDA', '', 'Banda-Naira'),
	('WAPA', 'small_airport', 'Amahai Airport', -3.347851, 128.927093, 29, 'ID', 'ID-MA', 'Amahai', 'no', 'WAPA', 'AHI', '', ''),
	('WAPB', 'small_airport', 'Bula Airport', -3.10996, 130.509995, 10, 'ID', 'ID-MA', 'Bula', 'no', 'WAPB', '', '', ''),
	('WAPP', 'medium_airport', 'Pattimura International Airport', -3.71026, 128.089005, 33, 'ID', 'ID-MA', 'Ambon', 'yes', 'WAPP', 'AMQ', '', ''),
	('JIO', 'small_airport', 'Jos Orno Imsula Airport', -8.140402, 127.908758, 43, 'ID', 'ID-MA', 'Tiakur', 'yes', 'WAPM', 'JIO', '', 'Moa Island, Leti Islands'),
	('YSNK', 'N/A', 'N/A', -11.422777846455574, 130.65361127257347, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLAE', 'small_airport', 'La Belle Downs Airstrip', -13.113074, 130.499125, 119, 'AU', 'AU-NT', '', 'no', 'YLAE', '', '', 'Labelle Downs Station, Labelle Homestead'),
	('YPHU', 'small_airport', 'Port Hurd Airstrip', -11.690986, 130.197805, 39, 'AU', 'AU-NT', 'Bathurst Island', 'no', 'YPHU', '', '', ''),
	('YAPK', 'N/A', 'N/A', -13.086286224424839, 131.03659987449646, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMXC', 'N/A', 'N/A', -11.550685353577137, 130.58538794517517, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPCM', 'small_airport', 'Pickertaramoor Airstrip', -11.762351, 130.880878, 325, 'AU', 'AU-NT', 'Pickertaramoor', 'no', 'YPCM', '', 'YPCM', 'Tiwi College'),
	('YPDN', 'large_airport', 'Darwin International Airport / RAAF Darwin', -12.41497, 130.88185, 103, 'AU', 'AU-NT', 'Darwin', 'yes', 'YPDN', 'DRW', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YDII', 'N/A', 'N/A', -12.632295191287994, 130.37176072597504, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLAB', 'N/A', 'N/A', -13.859066851437092, 129.93118152022362, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWKD', 'small_airport', 'Woodycupaldiya Airfield', -13.8665, 129.988, 100, 'AU', 'AU-NT', 'Woodycupaldiya', 'no', 'YWKD', '', 'YWKD', ''),
	('YDLV', 'small_airport', 'Delissaville Airport', -12.550000190734863, 130.68499755859375, 34, 'AU', 'AU-NT', '', 'no', 'YDLV', 'DLV', '', ''),
	('YLAY', 'N/A', 'N/A', -13.917548730969429, 129.93963226675987, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLAD', 'N/A', 'N/A', -13.104554079473019, 130.1610915362835, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLAA', 'N/A', 'N/A', -14.020063430070877, 129.82154041528702, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBCR', 'small_airport', 'Batchelor Airport', -13.05663, 131.028804, 0, 'AU', 'AU-NT', '', 'no', 'YBCR', '', '', ''),
	('YLEN', 'N/A', 'N/A', -11.577476933598518, 131.05957567691803, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDMN', 'small_airport', 'Daly River Airport', -13.749806, 130.693878, 0, 'AU', 'AU-NT', 'Nauiyu', 'no', 'YDMN', 'DVR', '', 'TG Bae'),
	('YBTI', 'medium_airport', 'Bathurst Island Airport', -11.764966, 130.615774, 67, 'AU', 'AU-NT', 'Wurrumiyanga', 'no', 'YBTI', 'BRT', '', ''),
	('YSNB', 'medium_airport', 'Snake Bay Airport', -11.417674, 130.648481, 173, 'AU', 'AU-NT', 'Milikapiti', 'yes', 'YSNK', 'SNB', '', 'YSNB, Austin Strip, RAAF Melville Island'),
	('YRAK', 'N/A', 'N/A', -11.619948036968708, 130.29709294438362, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLAC', 'N/A', 'N/A', -13.946729823946953, 129.7763353586197, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGPT', 'medium_airport', 'Garden Point Airport', -11.399686, 130.425568, 90, 'AU', 'AU-NT', 'Pirlangimpi', 'no', 'YGPT', 'GPN', '', ''),
	('YMCM', 'N/A', 'N/A', -13.727055564522743, 131.03302627801895, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPME', 'small_airport', 'Palmer Airport', -12.83329963684082, 130.93299865722656, 0, 'AU', 'AU-NT', '', 'no', 'YPME', '', '', ''),
	('YMKT', 'small_airport', 'Emkaytee (Unlic) Airport', -12.610144, 131.053333, 78, 'AU', 'AU-NT', 'Weddell', 'no', 'YMKT', '', '', 'MKT Airfield, Top End Flying Club'),
	('YDAN', 'N/A', 'N/A', -14.063449837267399, 129.91287678480148, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKUA', 'N/A', 'N/A', -16.450680904090405, 129.00740414857864, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YEPT', 'small_airport', 'Emu Point Airstrip', -14.172778, 130.319717, 235, 'AU', 'AU-NT', '', 'no', 'YEPT', '', '', 'Mulyung'),
	('YBVY', 'small_airport', 'Bullo River Valley Airport', -15.466699600219727, 129.76699829101563, 0, 'AU', 'AU-NT', '', 'no', 'YBVY', '', '', ''),
	('YFRV', 'small_airport', 'Oombulgurri Airport', -15.1647, 127.8401, 22, 'AU', 'AU-WA', 'Oombulgurri', 'no', 'YFRV', 'FVR', 'YFRV', 'Forrest River'),
	('YKUU', 'N/A', 'N/A', -15.50197385251522, 128.53406757116318, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKUC', 'N/A', 'N/A', -15.393860377371311, 129.25705522298813, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDAW', 'N/A', 'N/A', -14.14419673383236, 130.09112253785133, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKUD', 'N/A', 'N/A', -14.54338151961565, 129.52631950378418, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKUN', 'N/A', 'N/A', -16.62273656576872, 128.56766358017921, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDAB', 'N/A', 'N/A', -14.230324141681194, 130.0089454650879, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLAR', 'N/A', 'N/A', -14.115080684423447, 129.78896632790565, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBRD', 'N/A', 'N/A', -15.34789603203535, 130.27961567044258, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKUF', 'N/A', 'N/A', -15.769503749907017, 130.0491052865982, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKDM', 'small_airport', 'Kidman Springs Airport', -16.11669921875, 130.9530029296875, 88, 'AU', 'AU-NT', '', 'no', 'YKDM', '', '', ''),
	('YWTL', 'small_airport', 'Waterloo Airport', -16.6299991607666, 129.32000732421875, 132, 'AU', 'AU-NT', '', 'no', 'YWTL', 'WLO', '', ''),
	('YNKR', 'N/A', 'N/A', -15.576666668057442, 130.47499984502792, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHBR', 'small_airport', 'Humbert River Airport', -16.489669799804688, 130.63027954101563, 0, 'AU', 'AU-NT', '', 'no', 'YHBR', 'HUB', '', ''),
	('YLGU', 'small_airport', 'Legune Airport', -15.215372, 129.448629, 26, 'AU', 'AU-NT', '', 'no', 'YLGU', '', '', ''),
	('YAAL', 'small_airport', 'Yarralin Airport', -16.44309, 130.87884, 0, 'AU', 'AU-NT', '', 'no', 'YAAL', '', '', ''),
	('YWYM', 'small_airport', 'Wyndham Airport', -15.5114, 128.153, 14, 'AU', 'AU-WA', '', 'no', 'YWYM', 'WYN', '', ''),
	('YAUV', 'small_airport', 'Auvergne Airport', -15.699999809265137, 130, 0, 'AU', 'AU-NT', '', 'no', 'YAUV', 'AVG', '', ''),
	('YEQO', 'small_airport', 'El Questro Airport', -16.00830078125, 127.9749984741211, 0, 'AU', 'AU-WA', '', 'no', 'YEQO', '', '', ''),
	('YKUE', 'N/A', 'N/A', -14.214342199265957, 129.85102236270905, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPKU', 'medium_airport', 'East Kimberley Regional (Kununurra) Airport', -15.7781, 128.707993, 145, 'AU', 'AU-WA', 'Kununurra', 'yes', 'YPKU', 'KNX', '', ''),
	('YDAI', 'N/A', 'N/A', -14.21396467834711, 129.9691978096962, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTBR', 'small_airport', 'Timber Creek Airport', -15.62, 130.445007, 16, 'AU', 'AU-NT', '', 'no', 'YTBR', 'TBK', '', ''),
	('YPKT', 'medium_airport', 'Port Keats Airport', -14.249701, 129.529538, 91, 'AU', 'AU-NT', 'Wadeye', 'no', 'YPKT', 'PKT', '', ''),
	('YARG', 'small_airport', 'Argyle Airport', -16.6369, 128.451004, 522, 'AU', 'AU-WA', '', 'yes', 'YARG', 'GYL', '', ''),
	('YKIL', 'small_airport', 'Kildurk Airport', -16.431699752807617, 129.61500549316406, 0, 'AU', 'AU-NT', '', 'no', 'YKIL', '', '', ''),
	('LLL', 'small_airport', 'Lissadell Airport', -16.661, 128.594, 374, 'AU', 'AU-WA', 'Lissadell Station', 'no', '', 'LLL', '', ''),
	('YPGH', 'small_airport', 'Pigeon Hole Airport', -16.820474, 131.205577, 0, 'AU', 'AU-NT', '', 'no', 'YPGH', '', '', ''),
	('YPUA', 'small_airport', 'Palumpa Airport', -14.339982, 129.864062, 0, 'AU', 'AU-NT', 'Nganmarriyanga', 'no', 'YPUA', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NRY', 'small_airport', 'Newry Airport', -16.0442, 129.2638, 304, 'AU', 'AU-NT', 'Newry', 'no', '', 'NRY', '', ''),
	('YVRD', 'small_airport', 'Victoria River Downs Airport', -16.402124, 131.004974, 89, 'AU', 'AU-NT', 'Victoria River', 'no', 'YVRD', 'VCD', '', ''),
	('AGY', 'small_airport', 'Argyle Downs Airport', -16.508604, 128.922485, 407, 'AU', 'AU-WA', 'Argyle Downs', 'no', '', 'AGY', '', 'AGY'),
	('YKIR', 'small_airport', 'Kirkimbie Station Airport', -17.7791996002, 129.210006714, 0, 'AU', 'AU-NT', 'Kirkimbie', 'no', 'YKIR', 'KBB', '', ''),
	('YGDN', 'small_airport', 'Gordon Downs Airport', -18.6781005859375, 128.5919952392578, 800, 'AU', 'AU-WA', 'Gordon Downs', 'no', 'YGDN', 'GDD', '', ''),
	('YBDU', 'small_airport', 'Birrindudu Airport', -18.384522, 129.437592, 0, 'AU', 'AU-NT', '', 'no', 'YBDU', '', '', ''),
	('YHLC', 'medium_airport', 'Halls Creek Airport', -18.2339, 127.669998, 1346, 'AU', 'AU-WA', '', 'no', 'YHLC', 'HCQ', '', ''),
	('YTKY', 'small_airport', 'Turkey Creek Airport', -17.0408000946, 128.205993652, 0, 'AU', 'AU-WA', 'Turkey Creek', 'no', 'YTKY', 'TKY', '', ''),
	('YHAL', 'N/A', 'N/A', -19.166236482560635, 128.1749403476715, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRSK', 'small_airport', 'Ringer Soak Airport', -18.78860092163086, 128.62399291992188, 0, 'AU', 'AU-WA', '', 'no', 'YRSK', '', '', ''),
	('YFLO', 'small_airport', 'Flora Valley Airport', -18.297844, 128.455897, 0, 'AU', 'AU-WA', '', 'no', 'YFLO', 'FVL', '', ''),
	('YHOO', 'small_airport', 'Hooker Creek Airport', -18.3367004395, 130.638000488, 320, 'AU', 'AU-NT', 'Lajamanu', 'yes', 'YHOO', 'HOK', '', ''),
	('YWAV', 'small_airport', 'Wave Hill Airport', -17.393299102783203, 131.1179962158203, 201, 'AU', 'AU-NT', '', 'no', 'YWAV', 'WAV', '', ''),
	('YLIM', 'small_airport', 'Limbunya Airport', -17.2355995178, 129.882003784, 0, 'AU', 'AU-NT', 'Limbunya', 'no', 'YLIM', 'LIB', '', ''),
	('YNES', 'small_airport', 'Nelson Springs Airport', -17.299999237060547, 129.2830047607422, 0, 'AU', 'AU-NT', '', 'no', 'YNES', '', '', ''),
	('YHAS', 'N/A', 'N/A', -17.786792144179344, 127.67013922333717, 435, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKKG', 'small_airport', 'Kalkgurung Airport', -17.431900024414063, 130.80799865722656, 646, 'AU', 'AU-NT', '', 'yes', 'YKKG', 'KFG', '', ''),
	('YHAM', 'N/A', 'N/A', -17.920975349843502, 130.26367664337158, 342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBIL', 'small_airport', 'Billiluna Airport', -19.566699981699998, 127.666999817, 1000, 'AU', 'AU-WA', '', 'no', 'YBIL', 'BIW', '', ''),
	('YINW', 'small_airport', 'Inverway Airport', -17.8411006927, 129.643005371, 0, 'AU', 'AU-NT', 'Inverway', 'no', 'YINW', 'IVW', '', ''),
	('YMSF', 'small_airport', 'Mount Sanford Station Airport', -16.978300094604492, 130.55499267578125, 231, 'AU', 'AU-NT', '', 'no', 'YMSF', 'MTD', '', ''),
	('YORV', 'small_airport', 'Ord River Airport', -17.34079933166504, 128.91200256347656, 390, 'AU', 'AU-WA', 'Ord River', 'no', 'YORV', 'ODR', '', ''),
	('YSUJ', 'small_airport', 'Supplejack Downs Airport', -19.266700744628906, 129.9499969482422, 0, 'AU', 'AU-NT', '', 'no', 'YSUJ', '', '', ''),
	('YNIC', 'small_airport', 'Nicholson Airport', -18.049999237060547, 128.89999389648438, 0, 'AU', 'AU-WA', '', 'no', 'YNIC', 'NLS', '', ''),
	('YBUU', 'heliport', 'Bungle Heliport', -17.544565, 128.307617, 0, 'AU', 'AU-WA', 'Bungle Bungle', 'no', 'YBUU', '', '', 'Pumululu'),
	('YYAG', 'small_airport', 'Yagga Yagga Airport', -20.966699600219727, 128.08299255371094, 0, 'AU', 'AU-WA', '', 'no', 'YYAG', '', '', ''),
	('YTGT', 'small_airport', 'The Granites Airport', -20.5483, 130.347, 0, 'AU', 'AU-NT', 'The Granites Gold Mine', 'no', 'YTGT', 'GTS', '', ''),
	('YHAI', 'N/A', 'N/A', -19.89222329109907, 128.87569829821587, 416, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGE', 'small_airport', 'Mulan Airport', -20.1089, 127.619, 978, 'AU', 'AU-WA', 'Lake Gregory', 'no', '', 'LGE', 'YUAN', 'Paruku'),
	('YBGO', 'small_airport', 'Balgo Hill Airport', -20.1483, 127.973, 1440, 'AU', 'AU-WA', 'Balgo', 'no', 'YBGO', 'BQW', '', ''),
	('YRBT', 'small_airport', 'Rabbit Flat Airport', -20.183300018310547, 130.01699829101563, 0, 'AU', 'AU-NT', '', 'no', 'YRBT', '', '', ''),
	('YHAH', 'N/A', 'N/A', -21.357269324362278, 127.85536050796509, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTAN', 'small_airport', 'Tanami Downs Airport', -20.573654174804688, 129.74012756347656, 0, 'AU', 'AU-NT', '', 'no', 'YTAN', '', '', ''),
	('YVNS', 'small_airport', 'Vaughan Springs Airport', -22.33329963684082, 130.86700439453125, 0, 'AU', 'AU-NT', '', 'no', 'YVNS', '', '', ''),
	('YYGG', 'small_airport', 'Yagga Yagga Airport', -20.890600204467773, 127.9489974975586, 0, 'AU', 'AU-WA', '', 'no', 'YYGG', '', '', ''),
	('YWCM', 'small_airport', 'Wilson''s Camp Airport', -20.10140037536621, 129.12600708007813, 0, 'AU', 'AU-NT', '', 'no', 'YWCM', '', '', ''),
	('YTMN', 'small_airport', 'Tanami Airport', -19.91670036315918, 129.72500610351563, 427, 'AU', 'AU-NT', '', 'no', 'YTMN', '', '', ''),
	('WASI', 'small_airport', 'Inanwatan Airport', -2.127447, 132.160056, 9, 'ID', 'ID-PB', 'Inanwatan', 'no', 'WASI', 'INX', '', ''),
	('WANF', 'N/A', 'N/A', -1.6162974759936333, 133.63220304250717, 159, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUZ', 'N/A', 'N/A', -0.5532907694578171, 133.15489009022713, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANG', 'N/A', 'N/A', -1.4236478134989738, 133.51923778653145, 1374, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WA1A', 'N/A', 'N/A', -0.8939594775438309, 131.28697112202644, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WASU', 'small_airport', 'Wasu Airport', -5.96170944919, 147.19822526, 34, 'PG', 'PG-MPL', 'Wasu', 'no', 'AYWS', 'WSU', 'WASU', ''),
	('WAML', 'N/A', 'N/A', -1.3779902458190918, 133.59418362379074, 1142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUK', 'N/A', 'N/A', -0.8097223564982414, 133.0552777647972, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WA0K', 'N/A', 'N/A', -0.9357355535030365, 134.87208053469658, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WASO', 'medium_airport', 'Babo Airport', -2.53224, 133.438995, 10, 'ID', 'ID-PB', 'Babo', 'no', 'WASO', 'BXB', '', ''),
	('WAUW', 'N/A', 'N/A', -2.720332257449627, 134.50596168637276, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAWM', 'N/A', 'N/A', -1.3304081931710243, 133.91071736812592, 1952, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WARS', 'medium_airport', 'Achmad Yani Airport', -6.970732, 110.373244, 10, 'ID', 'ID-JT', 'Semarang', 'yes', 'WAHS', 'SRG', '', 'WIIS, WARS'),
	('WABW', 'small_airport', 'Waren Airport', -1.6285300254822, 134.12399291992, 29, 'ID', 'ID-PB', 'Momi-Papua Island', 'no', 'WABW', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WASA', 'N/A', 'N/A', -1.1597221344709396, 132.46527761220932, 465, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAAF', 'N/A', 'N/A', -0.9420387446880341, 132.29840621352196, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUB', 'N/A', 'N/A', -2.1008331701159477, 133.51361095905304, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAJY', 'small_airport', 'Werur Airport', -0.420096, 132.1886, 35, 'ID', 'ID-PB', 'Mar', 'yes', 'WAUE', '', '', 'Tambrauw, Sansapor Airfield'),
	('WASC', 'small_airport', 'Abresso Airport', -1.496771, 134.175, 52, 'ID', 'ID-PB', 'Ransiki-Papua Island', 'no', 'WASC', 'RSK', '', ''),
	('WAXO', 'N/A', 'N/A', -1.386604830622673, 133.87433990836143, 1968, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAST', 'small_airport', 'Teminabuan Airport', -1.44545, 132.021139, 141, 'ID', 'ID-PB', 'Atinjoe', 'no', 'WAST', 'TXM', '', ''),
	('WAWA', 'N/A', 'N/A', -1.230083853006363, 133.94792586565018, 2039, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUM', 'N/A', 'N/A', -1.5913888067007065, 133.2958334684372, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUU', 'N/A', 'N/A', -0.8938887342810631, 134.05027762055397, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WW16', 'N/A', 'N/A', -1.3877162709832191, 132.99668312072754, 552, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANH', 'N/A', 'N/A', -4.283672533929348, 134.974427819252, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WASF', 'medium_airport', 'Fakfak Airport', -2.920508, 132.267011, 462, 'ID', 'ID-PB', 'Fakfak', 'yes', 'WASF', 'FKQ', '', ''),
	('WASK', 'medium_airport', 'Kaimana Airport', -3.6446, 133.695116, 19, 'ID', 'ID-PB', 'Kaimana', 'yes', 'WASK', 'KNG', '', ''),
	('WABH', 'N/A', 'N/A', -3.0422456189990044, 133.87764617800713, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAPF', 'medium_airport', 'Karel Sadsuitubun Airport', -5.760278, 132.759444, 78, 'ID', 'ID-MA', 'Langgur', 'yes', 'WAPF', 'LUV', '', 'Tual Baru'),
	('WAPL', 'small_airport', 'Dumatubin Airport', -5.66162, 132.731003, 10, 'ID', 'ID-MA', 'Langgur', 'no', 'WAPL', '', '', 'LUV'),
	('WAPD', 'small_airport', 'Rar Gwamar Airport', -5.7722201347399995, 134.212005615, 61, 'ID', 'ID-MA', 'Dobo-Warmar Island', 'no', 'WAPD', 'DOB', '', ''),
	('WAPO', 'small_airport', 'Larat Airport', -7.1282, 131.7673, 108, 'ID', 'ID-MA', 'Kepulauan Larat', 'no', 'WAPO', '', '', ''),
	('WAPS', 'N/A', 'N/A', -7.848055399954319, 131.33472204208374, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAPK', 'small_airport', 'Benjina Airport', -6.06613, 134.273971, 82, 'ID', 'ID-MA', 'Maikoor Island', 'no', 'WAPK', 'BJK', '', 'Nangasuri'),
	('WA1B', 'small_airport', 'Aru Airport', -6.57342004776001, 134.14700317382813, 165, 'ID', 'ID-MA', 'Fekfetal / Jerdera-Trangan Island', 'no', 'WA1B', '', 'WA1B', ''),
	('WAPI', 'small_airport', 'Saumlaki/Olilit Airport', -7.98861, 131.306, 218, 'ID', 'ID-MA', 'Saumlaki-Yamdena Island', 'no', 'WAPI', '', '', 'SXK'),
	('YVSH', 'small_airport', 'Vashon Head Airport', -11.142987, 131.981832, 0, 'AU', 'AU-NT', '', 'no', 'YVSH', '', '', ''),
	('YSMP', 'small_airport', 'Smith Point Airport', -11.133566, 132.15957, 0, 'AU', 'AU-NT', '', 'no', 'YSMP', 'SHU', '', ''),
	('YCKI', 'small_airport', 'Croker Island Airport', -11.165, 132.483002, 16, 'AU', 'AU-NT', '', 'no', 'YCKI', 'CKI', '', ''),
	('YMIJ', 'small_airport', 'Minjilang Airport', -11.160058, 132.539549, 25, 'AU', 'AU-NT', '', 'no', 'YMIJ', '', '', ''),
	('YALJ', 'N/A', 'N/A', -12.662569619715214, 134.7773614525795, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMCC', 'N/A', 'N/A', -11.549342572689056, 132.91939303278923, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCPX', 'N/A', 'N/A', -12.586069330573082, 131.30876317620277, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHA', 'N/A', 'N/A', -12.19685833901167, 134.28555876016617, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHF', 'N/A', 'N/A', -12.163970097899437, 134.02134105563164, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRIN', 'N/A', 'N/A', -13.139384239912033, 131.3759060204029, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHB', 'N/A', 'N/A', -12.055716142058372, 134.7625270485878, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPNC', 'small_airport', 'Pine Creek Airport', -13.825914, 131.845764, 0, 'AU', 'AU-NT', '', 'no', 'YPNC', '', '', ''),
	('YRNG', 'small_airport', 'Ramingining Airport', -12.356399536132813, 134.8979949951172, 206, 'AU', 'AU-NT', '', 'yes', 'YRNG', 'RAM', '', ''),
	('YMDY', 'small_airport', 'Mount Bundey Airport', -12.890000343322754, 131.9080047607422, 150, 'AU', 'AU-NT', '', 'no', 'YMDY', '', '', ''),
	('YBBS', 'N/A', 'N/A', -13.37791208177805, 131.4979675412178, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKAX', 'N/A', 'N/A', -12.838465869426727, 133.92119765281677, 242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDEA', 'small_airport', 'Delara Airfield', -13.66875, 134.2911, 488, 'AU', 'AU-NT', 'Bulman', 'no', 'YDEA', '', 'DELR', ''),
	('YKPG', 'N/A', 'N/A', -12.567099407315254, 132.32582822442055, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YALK', 'N/A', 'N/A', -12.564725317060947, 134.2728491127491, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHH', 'N/A', 'N/A', -12.29342121630907, 134.62929010391235, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YALO', 'N/A', 'N/A', -12.54038393497467, 134.11370381712914, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YALU', 'N/A', 'N/A', -13.150457739830017, 134.85060095787048, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHC', 'N/A', 'N/A', -12.240803316235542, 134.06576067209244, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMGD', 'medium_airport', 'Maningrida Airport', -12.0560998917, 134.23399353, 123, 'AU', 'AU-NT', 'Maningrida', 'yes', 'YMGD', 'MNG', '', ''),
	('YKAU', 'N/A', 'N/A', -12.251828871667385, 133.80505934357643, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMUN', 'N/A', 'N/A', -13.805467933416367, 134.43300291895866, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMCG', 'N/A', 'N/A', -12.480241768062115, 133.07059541344643, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHU', 'N/A', 'N/A', -12.055702395737171, 134.6190270781517, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YGBI', 'small_airport', 'South Goulburn Is Airport', -11.65, 133.382004, 19, 'AU', 'AU-NT', '', 'no', 'YGBI', 'GBL', '', ''),
	('YNHD', 'N/A', 'N/A', -12.359489388763905, 134.1404503583908, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMCN', 'N/A', 'N/A', -12.125839479267597, 133.85942101478577, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKAV', 'N/A', 'N/A', -12.326789908111095, 133.99305492639542, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCOO', 'small_airport', 'Cooinda Airport', -12.903300285339355, 132.53199768066406, 13, 'AU', 'AU-NT', '', 'no', 'YCOO', 'CDA', '', ''),
	('YNHN', 'N/A', 'N/A', -12.31869500130415, 134.70452830195427, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMCI', 'N/A', 'N/A', -11.936216689646244, 132.82506689429283, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKAZ', 'N/A', 'N/A', -12.647110372781754, 134.0722069144249, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YJAB', 'small_airport', 'Jabiru Airport', -12.658056, 132.894638, 85, 'AU', 'AU-NT', '', 'no', 'YJAB', 'JAB', '', ''),
	('YGPA', 'N/A', 'N/A', -13.472136408090591, 132.26840123534203, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPDD', 'N/A', 'N/A', -11.343110874295235, 132.58942633867264, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMCA', 'N/A', 'N/A', -12.255981601774693, 133.65844622254372, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCWC', 'N/A', 'N/A', -12.65538264065981, 131.71291127800941, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHY', 'N/A', 'N/A', -12.205365300178528, 134.01187554001808, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHE', 'closed', 'Newhaven Airport', -38.524667, 145.327578, 46, 'AU', 'AU-VIC', 'Newhaven', 'no', '', '', '', 'YNHE, YNHE'),
	('YCPD', 'small_airport', 'Cape Don Airport', -11.298299789428711, 131.82699584960938, 0, 'AU', 'AU-NT', '', 'no', 'YCPD', '', '', ''),
	('YGMD', 'small_airport', 'Goomadeer Airport', -12.100000381469727, 133.66700744628906, 0, 'AU', 'AU-NT', '', 'no', 'YGMD', '', '', ''),
	('YOEN', 'small_airport', 'Oenpelli Airport', -12.325, 133.005997, 30, 'AU', 'AU-NT', '', 'no', 'YOEN', 'OPI', '', ''),
	('YCAN', 'small_airport', 'Cannon Hill Community Airport', -12.3549, 132.94495, 61, 'AU', 'AU-NT', 'Cannon Hill', 'no', 'YCAN', '', '', ''),
	('YOPC', 'N/A', 'N/A', -12.582596875727177, 131.73142299056053, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNAB', 'small_airport', 'Nabarlek Airport', -12.308300018310547, 133.31300354003906, 0, 'AU', 'AU-NT', '', 'no', 'YNAB', '', '', ''),
	('YMUE', 'small_airport', 'Mount Borradale Airport', -12.097731, 132.888479, 0, 'AU', 'AU-NT', '', 'no', 'YMUE', '', '', ''),
	('YMGB', 'small_airport', 'Milingimbi Airport', -12.0944004059, 134.893997192, 53, 'AU', 'AU-NT', 'Milingimbi Island', 'yes', 'YMGB', 'MGT', '', ''),
	('MIZ', 'small_airport', 'Mainoru Airstrip', -14.0533, 134.0942, 365, 'AU', 'AU-NT', 'Mainoru', 'no', '', 'MIZ', '', ''),
	('YKAW', 'N/A', 'N/A', -12.765352539718151, 133.888970464468, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDLW', 'small_airport', 'Daly Waters Airport', -16.264695066399998, 133.383378983, 700, 'AU', 'AU-NT', 'Daly Waters', 'no', 'YDLW', 'DYW', '', 'Daly Waters Airfield, RAAF Daly Waters'),
	('YKHG', 'small_airport', 'Katherine Gorge Airport', -14.385302, 132.39315, 0, 'AU', 'AU-NT', '', 'no', 'YKHG', '', '', ''),
	('RPV', 'small_airport', 'Roper Valley Airport', -14.9215, 134.05, 237, 'AU', 'AU-NT', 'Roper Valley', 'no', '', 'RPV', '', ''),
	('YKAS', 'N/A', 'N/A', -14.924296438694, 133.0621960759163, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKLE', 'small_airport', 'Killarney Airport', -16.25, 131.7469940185547, 194, 'AU', 'AU-NT', '', 'no', 'YKLE', '', '', ''),
	('YBMY', 'small_airport', 'Bamyili Airport', -14.520000457763672, 132.88299560546875, 215, 'AU', 'AU-NT', '', 'no', 'YBMY', '', '', ''),
	('YKAK', 'N/A', 'N/A', -14.265876822173595, 132.83056184649467, 228, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDMR', 'small_airport', 'Delamere Station Airport', -15.619999885559082, 131.63699340820313, 0, 'AU', 'AU-NT', '', 'no', 'YDMR', '', '', ''),
	('YOOO', 'small_airport', 'Mooloola Homestead Airport', -16.33329963684082, 131.5, 0, 'AU', 'AU-NT', '', 'no', 'YOOO', '', '', ''),
	('YHFD', 'N/A', 'N/A', -16.736516542732716, 133.50411102175713, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNGU', 'medium_airport', 'Ngukurr Airport', -14.7228, 134.746994, 45, 'AU', 'AU-NT', '', 'no', 'YNGU', 'RPM', '', ''),
	('YTNR', 'small_airport', 'Tanumbirini Airport', -16.450000762939453, 134.64999389648438, 0, 'AU', 'AU-NT', '', 'no', 'YTNR', '', '', ''),
	('YKAQ', 'N/A', 'N/A', -14.446775391697884, 132.273618131876, 104, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWSC', 'N/A', 'N/A', -15.661084167659283, 132.67295837402344, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHOV', 'small_airport', 'Hodgeson River Airfield', -15.54594, 134.0956, 385, 'AU', 'AU-NT', 'Hodgeson River', 'no', 'YHOV', '', '', ''),
	('YISV', 'small_airport', 'Innesvale Airport', -15.383299827575684, 131.26699829101563, 0, 'AU', 'AU-NT', '', 'no', 'YISV', '', '', ''),
	('YHDD', 'small_airport', 'Hodgson Downs Airport', -15.219347, 134.071237, 0, 'AU', 'AU-NT', '', 'no', 'YHDD', '', '', ''),
	('YMTJ', 'small_airport', 'Montejinni Airstrip', -16.645279, 131.758052, 573, 'AU', 'AU-NT', '', 'no', 'YMTJ', '', '', ''),
	('YHIV', 'N/A', 'N/A', -16.547452323138714, 132.90846571326256, 261, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRRB', 'small_airport', 'Roper Bar Airport', -14.734814, 134.525485, 92, 'AU', 'AU-NT', 'Roper Bar', 'no', 'YRRB', 'RPB', '', ''),
	('YWLO', 'N/A', 'N/A', -15.292929522693157, 131.5794289112091, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YUPG', 'small_airport', 'Urapunga Airport', -14.705199, 134.562424, 0, 'AU', 'AU-NT', '', 'no', 'YUPG', '', '', ''),
	('YMKA', 'small_airport', 'Mararanka Homestead Airport', -14.928779, 133.135457, 0, 'AU', 'AU-NT', '', 'no', 'YMKA', '', '', ''),
	('YNUT', 'small_airport', 'Nutwood Downs Airport', -15.8074, 134.1459, 500, 'AU', 'AU-NT', 'Nutwood Downs', 'no', 'YNUT', 'UTD', '', ''),
	('YPTN', 'medium_airport', 'Tindal Airport', -14.521100044250488, 132.3780059814453, 443, 'AU', 'AU-NT', '', 'no', 'YPTN', 'KTR', '', 'RAAF Base Tindal'),
	('YDWF', 'small_airport', 'Delamere Range Facility Airport', -15.746700286865234, 131.9199981689453, 223, 'AU', 'AU-NT', '', 'no', 'YDWF', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YMVY', 'small_airport', 'Mount Valley Airport', -14.0833, 133.817001, 0, 'AU', 'AU-NT', '', 'no', 'YMVY', 'MNV', '', ''),
	('YORO', 'N/A', 'N/A', -14.818002507090569, 133.70031371712685, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YUCH', 'small_airport', 'Ucharonidge Airport', -17.672401428222656, 134.24090576171875, 0, 'AU', 'AU-NT', 'Ucharonidge Station', 'no', 'YUCH', '', '', ''),
	('YBTU', 'N/A', 'N/A', -18.712919019162655, 134.0807729959488, 323, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCAC', 'small_airport', 'Cattle Creek Airport', -17.607000351, 131.548995972, 0, 'AU', 'AU-NT', '', 'no', 'YCAC', 'CTR', '', ''),
	('YELL', 'small_airport', 'Elliott Airport', -17.527429580688477, 133.52989196777344, 0, 'AU', 'AU-NT', 'Elliott', 'no', 'YELL', '', '', ''),
	('YTEK', 'heliport', 'Sikorsky Helitech Heliport', -27.433, 153.115, 20, 'AU', 'AU-QLD', 'Pinkenba - Brisbane', 'no', 'YTEK', '', 'YTEK', ''),
	('YTNK', 'medium_airport', 'Tennant Creek Airport', -19.6343994140625, 134.18299865722656, 1236, 'AU', 'AU-NT', 'Tennant Creek', 'yes', 'YTNK', 'TCA', '', ''),
	('YHLN', 'small_airport', 'Helen Springs Airstrip', -18.438942, 133.878407, 963, 'AU', 'AU-NT', '', 'no', 'YHLN', '', '', ''),
	('YBNY', 'small_airport', 'Brunchilly Airport', -18.86956, 134.494736, 0, 'AU', 'AU-NT', '', 'no', 'YBNY', '', '', ''),
	('YNCW', 'small_airport', 'Newcastle Waters Airport', -17.334944, 133.439777, 800, 'AU', 'AU-NT', 'Pamayu', 'no', 'YNCW', '', '', ''),
	('YEVA', 'small_airport', 'Eva Downs Airport', -18.0009994507, 134.863006592, 0, 'AU', 'AU-NT', 'Eva Downs', 'no', 'YEVA', 'EVD', '', ''),
	('YCFD', 'small_airport', 'Camfield Airport', -17.021699905395508, 131.32699584960938, 0, 'AU', 'AU-NT', '', 'no', 'YCFD', 'CFI', '', ''),
	('YYND', 'small_airport', 'Yuendumu Airport', -22.2542, 131.781998, 2205, 'AU', 'AU-NT', '', 'no', 'YYND', 'YUE', '', ''),
	('YTIT', 'small_airport', 'Ti Tree Airport', -22.131701, 133.419998, 0, 'AU', 'AU-NT', '', 'no', 'YTIT', '', '', ''),
	('YMNA', 'small_airport', 'Mount Allan Airport', -22.274999618530273, 132.2169952392578, 0, 'AU', 'AU-NT', '', 'no', 'YMNA', '', '', ''),
	('YBRC', 'small_airport', 'Barrow Creek Airport', -21.542202, 133.871959, 0, 'AU', 'AU-NT', '', 'no', 'YBRC', '', '', ''),
	('YMYW', 'small_airport', 'Murray Downs Airport', -21.04829978942871, 134.68299865722656, 0, 'AU', 'AU-NT', '', 'no', 'YMYW', '', '', ''),
	('YKUR', 'small_airport', 'Kurundi Airport', -20.51, 134.6706, 1340, 'AU', 'AU-NT', 'Kurundi Station', 'no', 'YKUR', 'KRD', 'YKUR', ''),
	('YUTS', 'small_airport', 'Utopia Station Airport', -22.233299255371094, 134.5800018310547, 0, 'AU', 'AU-NT', '', 'no', 'YUTS', '', '', ''),
	('YWLA', 'small_airport', 'Willowra Airport', -21.27669906616211, 132.6230010986328, 0, 'AU', 'AU-NT', '', 'no', 'YWLA', '', '', ''),
	('YALR', 'N/A', 'N/A', -22.387216463685036, 133.0607409775257, 651, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNTJ', 'N/A', 'N/A', -21.519518494606018, 133.9894464612007, 482, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YUTP', 'small_airport', 'Utopia Airport', -22.05500030517578, 134.7899932861328, 0, 'AU', 'AU-NT', '', 'no', 'YUTP', '', '', ''),
	('YDLD', 'small_airport', 'Delmore Downs Airport', -22.458599090576172, 134.88400268554688, 0, 'AU', 'AU-NT', '', 'no', 'YDLD', '', '', ''),
	('YMNN', 'small_airport', 'Mount Denison Airport', -22.141700744628906, 132.07000732421875, 0, 'AU', 'AU-NT', '', 'no', 'YMNN', '', '', ''),
	('YWBI', 'small_airport', 'Warrabri Airport', -21, 134.39700317382813, 383, 'AU', 'AU-NT', '', 'no', 'YWBI', '', '', ''),
	('YANN', 'small_airport', 'Anningie Airport', -21.83169937133789, 133.125, 0, 'AU', 'AU-NT', '', 'no', 'YANN', '', '', ''),
	('YWAC', 'small_airport', 'Wauchope Airport', -20.640614, 134.215276, 1186, 'AU', 'AU-NT', 'Wauchope', 'no', 'YWAC', 'WAU', '', ''),
	('WALG', 'small_airport', 'Tanjung Harapan Airport', 2.835833, 117.373611, 20, 'ID', 'ID-KU', 'Tanjung Selor-Borneo Island', 'yes', 'WAQD', 'TJS', '', ''),
	('WABB', 'medium_airport', 'Frans Kaisiepo Airport', -1.19002, 136.108002, 46, 'ID', 'ID-PA', 'Biak', 'yes', 'WABB', 'BIK', '', ''),
	('WADQ', 'N/A', 'N/A', -2.784416936337948, 137.3109868168831, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXQ', 'N/A', 'N/A', -2.3896360024809837, 136.5131615102291, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKI', 'N/A', 'N/A', -2.643512450158596, 138.40900182724, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABO', 'closed', 'Sudjarwo Tjondronegoro Airport', -1.87438, 136.23946, 50, 'ID', 'ID-PA', 'Serui', 'no', '', '', '', 'ZRI, WABO'),
	('WAKQ', 'N/A', 'N/A', -2.4721159413456917, 137.98836082220078, 377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKF', 'N/A', 'N/A', -2.7468137070536613, 137.92008563876152, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WASP', 'N/A', 'N/A', -2.329770438373089, 138.74877646565437, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKW', 'N/A', 'N/A', -2.6357856765389442, 138.09808149933815, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WASR', 'medium_airport', 'Rendani Airport', -0.891833, 134.048996, 23, 'ID', 'ID-PB', 'Manokwari', 'yes', 'WAUU', 'MKW', '', ''),
	('WAKC', 'N/A', 'N/A', -2.300788164138794, 138.03268253803253, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WALF', 'N/A', 'N/A', -4.262814000248909, 137.89258539676666, 1002, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYL', 'N/A', 'N/A', -3.9772221073508263, 137.62027770280838, 2421, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAOF', 'N/A', 'N/A', -3.568209707736969, 138.43526601791382, 1690, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVC', 'N/A', 'N/A', -3.70833333581686, 138.20027768611908, 1936, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABJ', 'N/A', 'N/A', -3.7340138107538223, 137.1179124712944, 1525, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADM', 'N/A', 'N/A', -3.0190247297286987, 137.28444278240204, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABA', 'N/A', 'N/A', -3.8163992017507553, 137.42522701621056, 1852, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANS', 'N/A', 'N/A', -4.026781618595123, 138.25298488140106, 2789, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADJ', 'N/A', 'N/A', -3.691476993262768, 137.22201347351074, 1952, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABI', 'medium_airport', 'Nabire Airport', -3.368586, 135.496702, 20, 'ID', 'ID-PT', 'Nabire', 'yes', '', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WADF', 'N/A', 'N/A', -2.987223118543625, 138.10634538531303, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADV', 'N/A', 'N/A', -3.371727503836155, 138.5865506529808, 303, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADU', 'N/A', 'N/A', -3.650733567774296, 138.55440616607666, 1628, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WACW', 'N/A', 'N/A', -3.1848841533064842, 136.91054195165634, 125, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADR', 'N/A', 'N/A', -3.305700905621052, 137.94375747442245, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADX', 'N/A', 'N/A', -3.3578430488705635, 138.52057948708534, 228, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXP', 'N/A', 'N/A', -4.025517962872982, 136.2116526067257, 1706, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVB', 'N/A', 'N/A', -3.6845672875642776, 138.67762327194214, 1360, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABY', 'small_airport', 'Kebo Airstrip', -3.8248, 136.385844, 5845, 'ID', 'ID-PT', 'Kebo', 'no', 'WABY', '', '', ''),
	('WACY', 'N/A', 'N/A', -3.7079886719584465, 136.74275323748589, 2019, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WZ11', 'N/A', 'N/A', -3.9991991221904755, 137.65325948596, 2309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADN', 'N/A', 'N/A', -3.15950408577919, 137.09939181804657, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WA0U', 'N/A', 'N/A', -3.9790865778923035, 138.36284592747688, 2339, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKM', 'N/A', 'N/A', -3.7998566776514053, 136.47742375731468, 1766, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANY', 'N/A', 'N/A', -3.6561328545212746, 138.42419117689133, 1597, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANO', 'N/A', 'N/A', -4.319067299365997, 138.35190162062645, 1568, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WALD', 'N/A', 'N/A', -4.228468984365463, 138.3937619626522, 1839, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADP', 'N/A', 'N/A', -3.8684675842523575, 137.46872529387474, 2322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVT', 'N/A', 'N/A', -3.9255865663290024, 138.45553904771805, 2099, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANR', 'N/A', 'N/A', -4.388391338288784, 138.23364838957787, 513, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKZ', 'N/A', 'N/A', -3.9823293685913086, 138.53317201137543, 2140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABT', 'small_airport', 'Enarotali Airport', -3.925739, 136.378634, 5807, 'ID', 'ID-PT', 'Enarotali', 'no', 'WAYE', 'EWI', '', ''),
	('WAKL', 'small_airport', 'Bomakia Airport', -5.806483, 139.867647, 30, 'ID', 'ID-PS', 'Bomakia', 'no', 'WAKL', '', 'BXG', ''),
	('WAOE', 'N/A', 'N/A', -3.5371121764183044, 138.37604463100433, 1361, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABP', 'medium_airport', 'Mozes Kilangin Airport', -4.52978, 136.887388, 103, 'ID', 'ID-PT', 'Timika', 'yes', 'WAYY', 'TIM', 'WAYY', 'WABP'),
	('WABX', 'N/A', 'N/A', -3.740999959409237, 136.85900017619133, 1724, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKS', 'N/A', 'N/A', -2.8781557828187943, 137.76823461055756, 120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANZ', 'N/A', 'N/A', -3.7249506264925003, 138.42949122190475, 2142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYG', 'N/A', 'N/A', -4.603055566549301, 137.65916660428047, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAJC', 'N/A', 'N/A', -3.270619623363018, 138.6134111881256, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WX53', 'N/A', 'N/A', -3.623467907309532, 136.59622818231583, 1900, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANQ', 'N/A', 'N/A', -4.225649647414684, 138.19485157728195, 1362, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAOI', 'small_airport', 'Iskandar Airport', -2.7052, 111.672997, 75, 'ID', 'ID-KT', 'Pangkalanbun', 'yes', 'WAGI', 'PKN', '', 'WRBI'),
	('WADW', 'small_airport', 'Umbu Mehang Kunda Airport', -9.66922, 120.302002, 33, 'ID', 'ID-NT', 'Waingapu-Sumba Island', 'yes', 'WATU', 'WGP', '', 'WRRW, WADW, WATU, Mau Hau Airport, Waingapu Airport'),
	('WANW', 'N/A', 'N/A', -4.312083832919598, 138.51950347423553, 2241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABD', 'small_airport', 'Moanamani Airport', -4.00659, 136.037704, 5204, 'ID', 'ID-PT', 'Moanamani', 'no', 'WABD', 'ONI', '', ''),
	('WZ14', 'N/A', 'N/A', -3.238775096833706, 137.33393892645836, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAMA', 'small_airport', 'Gamarmalamo Airport', 1.83833, 127.786003, 157, 'ID', 'ID-MU', 'Galela-Celebes Island', 'no', 'WAEG', 'GLX', '', ''),
	('WANP', 'N/A', 'N/A', -4.309007339179516, 138.24647337198257, 1006, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABC', 'small_airport', 'Akimuga Airstrip', -4.6043, 137.6576, 164, 'ID', 'ID-PP', 'Akimuga', 'no', 'WAYG', '', '', ''),
	('WAOG', 'small_airport', 'Sebuku Airport', -3.626667, 116.368614, 7, 'ID', 'ID-KS', '', 'no', 'WAOG', '', '', ''),
	('WACZ', 'N/A', 'N/A', -4.202808625996113, 137.23055139183998, 2097, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WACF', 'N/A', 'N/A', -4.004635289311409, 135.78710407018661, 1507, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WXY6', 'N/A', 'N/A', -4.023787267506123, 137.95294761657715, 2798, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADC', 'N/A', 'N/A', -3.262764774262905, 138.1484431028366, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANN', 'N/A', 'N/A', -4.242556616663933, 138.33181858062744, 1857, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WACT', 'N/A', 'N/A', -4.066387787461281, 135.7903455197811, 1399, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABF', 'small_airport', 'Kornasoren Airport', -0.935842, 134.872298, 13, 'ID', 'ID-PA', 'Kornasoren', 'yes', 'WABF', 'FOO', 'WA23', 'Numfor'),
	('WABZ', 'N/A', 'N/A', -3.8015032187104225, 138.5874666273594, 2133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABK', 'N/A', 'N/A', -3.684401996433735, 138.47900614142418, 1547, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANL', 'N/A', 'N/A', -3.6863932013511658, 136.0632562637329, 1407, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WAOA', 'N/A', 'N/A', -3.9105910062789917, 136.22972398996353, 1764, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WATP', 'N/A', 'N/A', -3.5385645925998688, 135.9488108754158, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYK', 'N/A', 'N/A', -4.711388982832432, 136.4361110329628, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WXX8', 'N/A', 'N/A', -3.718581385910511, 136.41520276665688, 1770, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WACG', 'N/A', 'N/A', -3.2736488431692123, 137.55801513791084, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABR', 'N/A', 'N/A', -2.973833866417408, 137.22329378128052, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYY', 'medium_airport', 'Mozes Kilangin Airport', -4.52978, 136.887388, 103, 'ID', 'ID-PT', 'Timika', 'yes', 'WAYY', 'TIM', 'WAYY', 'WABP'),
	('WAYB', 'N/A', 'N/A', -3.7397778779268265, 137.03092485666275, 2230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAJV', 'N/A', 'N/A', -3.7283338978886604, 138.71056661009789, 1320, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKR', 'N/A', 'N/A', -3.6657945066690445, 138.36190670728683, 1500, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANM', 'N/A', 'N/A', -3.6676593124866486, 137.80779361724854, 1490, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADK', 'N/A', 'N/A', -3.149488717317581, 137.43483558297157, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAEN', 'N/A', 'N/A', -3.949686884880066, 136.3380029797554, 1782, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANV', 'N/A', 'N/A', -4.28151972591877, 138.0673809349537, 1446, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WT86', 'N/A', 'N/A', -3.674452006816864, 136.56838238239288, 1566, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKG', 'small_airport', 'Agats Airport', -5.543288, 138.134911, 17, 'ID', 'ID-PS', 'Agats', 'no', 'WAKG', '', '', ''),
	('WACX', 'N/A', 'N/A', -3.7027664110064507, 136.7139033973217, 1584, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKU', 'N/A', 'N/A', -4.5994701236486435, 138.3843594789505, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANU', 'N/A', 'N/A', -4.238347560167313, 138.4655959904194, 2074, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXJ', 'N/A', 'N/A', -4.546952806413174, 138.55225056409836, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABM', 'N/A', 'N/A', -3.96097831428051, 135.93962833285332, 1531, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANK', 'N/A', 'N/A', -4.07225277274847, 136.71409249305725, 1437, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WANX', 'N/A', 'N/A', -3.589049130678177, 138.39719250798225, 1433, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVA', 'N/A', 'N/A', -3.701111152768135, 137.96027764678, 1760, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABS', 'N/A', 'N/A', -3.821944333612919, 137.83805564045906, 2223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAED', 'N/A', 'N/A', -5.602134168148041, 138.46592634916306, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WXX7', 'N/A', 'N/A', -3.9938779547810555, 137.9159116744995, 2807, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WACV', 'N/A', 'N/A', -3.961920440196991, 135.48200950026512, 1817, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WABV', 'N/A', 'N/A', -3.990449421107769, 135.8533515036106, 1600, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAEF', 'N/A', 'N/A', -6.185046918690205, 138.63718628883362, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAEJ', 'N/A', 'N/A', -6.181948967278004, 138.38563174009323, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAEB', 'N/A', 'N/A', -6.058487221598625, 138.3834470808506, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHX', 'N/A', 'N/A', -12.816942147910595, 136.47170171141624, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBNI', 'N/A', 'N/A', -13.19811288267374, 136.22699975967407, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOHN', 'N/A', 'N/A', -11.780007183551788, 136.53903275728226, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YALZ', 'N/A', 'N/A', -13.24743166565895, 135.84879398345947, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOHJ', 'N/A', 'N/A', -12.21245002001524, 136.23497664928436, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOHA', 'N/A', 'N/A', -12.086011357605457, 136.8101392686367, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOHM', 'N/A', 'N/A', -12.262139953672886, 136.01036220788956, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BCZ', 'small_airport', 'Milyakburra Airport', -13.780833333299999, 136.201666667, 85, 'AU', 'AU-NT', 'Bickerton Island', 'no', '', 'BCZ', 'YBIC', ''),
	('YBLE', 'small_airport', 'Biloela Airport', -24.320816, 150.509627, 643, 'AU', 'AU-QLD', 'Biloela', 'no', 'YBLE', 'ZBL', '', ''),
	('YBLI', 'small_airport', 'Bald Hills Airport', -30.330653, 152.458323, 4042, 'AU', 'AU-NSW', 'Hernani', 'no', 'YBLI', '', '', ''),
	('YNHW', 'N/A', 'N/A', -12.008142471313477, 136.46814599633217, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBLO', 'N/A', 'N/A', -13.053981363773346, 136.16994246840477, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGTE', 'medium_airport', 'Groote Eylandt Airport', -13.972405, 136.458553, 53, 'AU', 'AU-NT', 'Groote Eylandt', 'yes', 'YGTE', 'GTE', '', ''),
	('YBKL', 'N/A', 'N/A', -12.95831736177206, 136.60012632608414, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YALW', 'N/A', 'N/A', -13.766785115003586, 135.80483570694923, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBLJ', 'N/A', 'N/A', -13.219685889780521, 136.39539912343025, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOHB', 'N/A', 'N/A', -12.412965930998325, 136.38660326600075, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOHI', 'N/A', 'N/A', -12.192663364112377, 136.2934175133705, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHOA', 'small_airport', 'Howard Island Airport', -12.095000267028809, 135.36199951171875, 0, 'AU', 'AU-NT', '', 'no', 'YHOA', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YNHG', 'N/A', 'N/A', -12.310570925474167, 135.9605871140957, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPGV', 'medium_airport', 'Gove Airport', -12.269399642899998, 136.817993164, 192, 'AU', 'AU-NT', 'Nhulunbuy', 'yes', 'YPGV', 'GOV', '', ''),
	('YNHM', 'N/A', 'N/A', -12.540128454566002, 135.1759748160839, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMGJ', 'N/A', 'N/A', -12.65380248427391, 135.19444450736046, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHT', 'N/A', 'N/A', -11.933063417673111, 135.08861437439919, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOHC', 'N/A', 'N/A', -12.911711297929287, 136.25230684876442, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOHD', 'N/A', 'N/A', -12.762687765061855, 136.5697878599167, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOHL', 'N/A', 'N/A', -12.891052588820457, 136.35711506009102, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHQ', 'N/A', 'N/A', -12.668375596404076, 135.37506356835365, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHR', 'N/A', 'N/A', -11.771944127976894, 135.90234115719795, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSKI', 'N/A', 'N/A', -12.223617397248745, 136.70508831739426, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHK', 'N/A', 'N/A', -12.255268804728985, 135.44456362724304, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOHG', 'N/A', 'N/A', -12.077238857746124, 136.27047926187515, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGAN', 'small_airport', 'Gan Gan Airport', -13.047853, 135.952914, 0, 'AU', 'AU-NT', 'Gan Gan', 'no', 'YGAN', '', '', ''),
	('YBLF', 'N/A', 'N/A', -12.889010086655617, 135.46730428934097, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWRV', 'small_airport', 'Walker River Airport', -13.593299865722656, 135.7550048828125, 0, 'AU', 'AU-NT', '', 'no', 'YWRV', '', '', ''),
	('YUBK', 'N/A', 'N/A', -13.873660415410995, 136.78725108504295, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHI', 'N/A', 'N/A', -12.252630181610584, 135.09758412837982, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOHE', 'N/A', 'N/A', -12.973541915416718, 136.50241881608963, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHZ', 'N/A', 'N/A', -12.689592875540257, 136.63172408938408, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YELD', 'medium_airport', 'Elcho Island Airport', -12.019399642899998, 135.570999146, 101, 'AU', 'AU-NT', 'Elcho Island', 'yes', 'YELD', 'ELC', '', ''),
	('YOHH', 'N/A', 'N/A', -12.160254903137684, 136.17466986179352, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHO', 'N/A', 'N/A', -12.340508736670017, 135.99692434072495, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOHF', 'N/A', 'N/A', -12.592760436236858, 136.2291683256626, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHJ', 'N/A', 'N/A', -12.147416174411774, 135.56252673268318, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLEV', 'small_airport', 'Lake Evella Airport', -12.498900413513184, 135.80599975585938, 256, 'AU', 'AU-NT', '', 'yes', 'YLEV', 'LEL', '', ''),
	('YBAY', 'N/A', 'N/A', -13.146340548992157, 135.81736743450165, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBRL', 'small_airport', 'Borroloola Airport', -16.0753, 136.302002, 55, 'AU', 'AU-NT', '', 'no', 'YBRL', 'BOX', '', ''),
	('YNUM', 'small_airport', 'Numbulwar Airport', -14.2717, 135.716995, 31, 'AU', 'AU-NT', '', 'no', 'YNUM', 'NUB', '', ''),
	('YMHU', 'small_airport', 'McArthur River Mine Airport', -16.4424991608, 136.083999634, 131, 'AU', 'AU-NT', 'McArthur River Mine', 'yes', 'YMHU', 'MCV', '', ''),
	('YBSN', 'N/A', 'N/A', -16.650933288037777, 135.84667190909386, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCCF', 'small_airport', 'Cape Crawford Airport', -16.687676, 135.730097, 0, 'AU', 'AU-NT', 'McArthur', 'no', 'YCCF', '', '', ''),
	('YPUG', 'small_airport', 'Pungalina Airport', -16.721944, 137.423333, 200, 'AU', 'AU-NT', '', 'no', 'YPUG', '', '', ''),
	('YNAT', 'N/A', 'N/A', -15.59212189167738, 135.42993128299713, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YALT', 'small_airport', 'Althorpe Island Airstrip', -35.370791, 136.86164, 278, 'AU', 'AU-SA', 'Althorpe Island', 'no', 'YALT', '', '', ''),
	('YALQ', 'N/A', 'N/A', -15.129357688128948, 135.01055091619492, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YALV', 'N/A', 'N/A', -14.616390243172646, 135.49040481448174, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRBR', 'small_airport', 'Robinson River Airport', -16.7182998657, 136.945007324, 0, 'AU', 'AU-NT', '', 'no', 'YRBR', 'RRV', '', ''),
	('YALG', 'small_airport', 'Adels Grove Airport', -18.694729, 138.527727, 0, 'AU', 'AU-QLD', '', 'no', 'YALG', '', '', ''),
	('YWHL', 'small_airport', 'Walhallow Airport', -17.778228, 135.658241, 740, 'AU', 'AU-NT', 'Creswell', 'no', 'YWHL', '', '', ''),
	('YMOD', 'N/A', 'N/A', -18.574540838599205, 138.58617961406708, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGLP', 'small_airport', 'Gallipolli Airport', -19.14181, 137.87412, 865, 'AU', 'AU-NT', 'Nicholson', 'no', 'YGLP', '', '', ''),
	('YBWT', 'small_airport', 'Bowthorn Airport', -18.08329963684082, 138.27499389648438, 0, 'AU', 'AU-QLD', '', 'no', 'YBWT', '', '', ''),
	('YTET', 'N/A', 'N/A', -17.947728037834167, 135.91377943754196, 222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWOR', 'small_airport', 'Wollogorang Airport', -17.2199, 137.93453, 199, 'AU', 'AU-NT', '', 'no', 'YWOR', 'WLL', '', ''),
	('YMTA', 'small_airport', 'Mittebah Airport', -18.8093, 137.0815, 865, 'AU', 'AU-NT', '', 'no', 'YMTA', 'MIY', '', ''),
	('YCNY', 'small_airport', 'Century Mine Airport', -18.759331, 138.709651, 416, 'AU', 'AU-QLD', '', 'no', 'YCNY', '', '', ''),
	('YNUJ', 'small_airport', 'Nudjaburra Airport', -17.966699600219727, 137.93299865722656, 0, 'AU', 'AU-NT', '', 'no', 'YNUJ', '', '', ''),
	('YBNM', 'small_airport', 'Benmara Airport', -17.918759, 136.897717, 0, 'AU', 'AU-NT', '', 'no', 'YBNM', '', '', ''),
	('YKFC', 'small_airport', 'Kingfisher Camp Airport', -17.84945, 138.28871, 0, 'AU', 'AU-QLD', '', 'no', 'YKFC', '', '', ''),
	('YCVH', 'N/A', 'N/A', -17.208440490067005, 137.35354632139206, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YHEG', 'small_airport', 'Hells Gate Airport', -17.455555, 138.348899, 0, 'AU', 'AU-QLD', '', 'no', 'YHEG', '', '', ''),
	('YUDL', 'small_airport', 'Undilla Airport', -19.625, 138.63299560546875, 0, 'AU', 'AU-QLD', '', 'no', 'YUDL', '', '', ''),
	('YANL', 'small_airport', 'Anthony Lagoon Airport', -18.018079031, 135.535068512, 0, 'AU', 'AU-NT', '', 'no', 'YANL', 'AYL', '', ''),
	('YMOS', 'N/A', 'N/A', -17.62419730424881, 137.58070796728134, 287, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMSE', 'N/A', 'N/A', -19.510756507515907, 138.3673395216465, 253, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YALX', 'small_airport', 'Alexandria Homestead Airport', -19.060199737548828, 136.7100067138672, 0, 'AU', 'AU-NT', '', 'no', 'YALX', 'AXL', '', ''),
	('YLAH', 'small_airport', 'Lawn Hill Airport', -18.57453, 138.586106, 122, 'AU', 'AU-QLD', '', 'no', 'YLAH', 'LWH', '', ''),
	('YBRU', 'small_airport', 'Brunette Downs Airport', -18.637472, 135.938355, 700, 'AU', 'AU-NT', '', 'no', 'YBRU', 'BTD', '', ''),
	('YWML', 'small_airport', 'Westmoreland Airport', -17.32098, 138.238134, 0, 'AU', 'AU-QLD', '', 'no', 'YWML', '', '', ''),
	('YKIA', 'small_airport', 'Kiana Station Airport', -17.24169921875, 136.1750030517578, 0, 'AU', 'AU-NT', '', 'no', 'YKIA', '', '', ''),
	('YMYH', 'small_airport', 'Mallapunyah Springs Airport', -16.966699600219727, 135.7830047607422, 0, 'AU', 'AU-NT', '', 'no', 'YMYH', '', '', ''),
	('YMOI', 'N/A', 'N/A', -18.40651486068964, 137.47145846486092, 274, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRBM', 'small_airport', 'Redbank Mine Airport', -17.183300018310547, 137.76699829101563, 0, 'AU', 'AU-NT', '', 'no', 'YRBM', '', '', ''),
	('YHCS', 'small_airport', 'Herbertvale Cattleyard Airport', -18.958611, 138.062222, 815, 'AU', 'AU-QLD', '', 'no', 'YHCS', '', '', ''),
	('YTEA', 'N/A', 'N/A', -19.290839172899723, 136.0796968638897, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTER', 'N/A', 'N/A', -18.953349888324738, 135.20102083683014, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDYD', 'small_airport', 'Derry Downs Airport', -22.08329963684082, 135.33299255371094, 0, 'AU', 'AU-NT', '', 'no', 'YDYD', '', '', ''),
	('YSDN', 'small_airport', 'Soudan Station Airport', -20.043907, 137.019253, 735, 'AU', 'AU-NT', '', 'no', 'YSDN', '', '', ''),
	('YLKN', 'small_airport', 'Lake Nash Airport', -20.9807, 137.9178, 640, 'AU', 'AU-NT', 'Alpurrurulam', 'no', 'YLKN', 'LNH', '', ''),
	('YALP', 'small_airport', 'Alpurrurulam Airport', -20.984932, 137.832949, 651, 'AU', 'AU-NT', 'Alpurrurulam', 'no', 'YALP', '', '', ''),
	('YELK', 'small_airport', 'Elkedra Airport', -21.172500610399997, 135.444000244, 0, 'AU', 'AU-NT', '', 'no', 'YELK', 'EKD', '', ''),
	('YBAW', 'small_airport', 'Barkly Downs Airport', -20.4958333333, 138.474722222, 810, 'AU', 'AU-QLD', '', 'no', 'YBAW', 'BKP', '', ''),
	('YHDY', 'small_airport', 'Headingly Airport', -21.33329963684082, 138.2830047607422, 0, 'AU', 'AU-QLD', '', 'no', 'YHDY', 'HIP', '', ''),
	('YUDG', 'small_airport', 'Urandangi Airport', -21.59000015258789, 138.35800170898438, 0, 'AU', 'AU-QLD', '', 'no', 'YUDG', '', '', ''),
	('YMCR', 'small_airport', 'Manners Creek Airport', -22.100000381469727, 137.98300170898438, 0, 'AU', 'AU-NT', '', 'no', 'YMCR', 'MFP', '', ''),
	('YMDS', 'small_airport', 'Macdonald Downs Airport', -22.444000244099996, 135.199005127, 0, 'AU', 'AU-NT', '', 'no', 'YMDS', 'MNW', '', ''),
	('YLDS', 'N/A', 'N/A', -22.20464888960123, 138.7121146917343, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCDT', 'small_airport', 'Carandotta Airport', -21.966699600219727, 138.61700439453125, 0, 'AU', 'AU-QLD', '', 'no', 'YCDT', '', '', ''),
	('YLUC', 'small_airport', 'Lucy Creek Airport', -22.466699600219727, 136.26699829101563, 0, 'AU', 'AU-NT', '', 'no', 'YLUC', '', '', ''),
	('YARD', 'small_airport', 'Argadargada Airport', -21.676700592041016, 136.67799377441406, 0, 'AU', 'AU-NT', '', 'no', 'YARD', '', '', ''),
	('YAMJ', 'small_airport', 'Ampilatwatja Airport', -21.654955, 135.23097, 1290, 'AU', 'AU-NT', 'Ampilatwatja', 'no', 'YAMJ', '', '', ''),
	('YTMY', 'small_airport', 'Tobermorey Airport', -22.255800247192383, 137.9530029296875, 0, 'AU', 'AU-NT', 'Tobermorey', 'no', 'YTMY', 'TYP', '', ''),
	('YAMM', 'small_airport', 'Ammaroo Airport', -21.738300323486328, 135.24200439453125, 0, 'AU', 'AU-NT', '', 'no', 'YAMM', 'AMX', '', ''),
	('YEPR', 'small_airport', 'Epenarra Airport', -20.433300018310547, 135.26699829101563, 0, 'AU', 'AU-NT', '', 'no', 'YEPR', '', '', ''),
	('YAUS', 'small_airport', 'Austral Downs Airport', -20.5, 137.75, 0, 'AU', 'AU-NT', '', 'no', 'YAUS', 'AWP', '', ''),
	('YBKS', 'small_airport', 'Barkly Wayside Inn Airport', -19.709199905395508, 135.81900024414063, 0, 'AU', 'AU-NT', '', 'no', 'YBKS', '', '', ''),
	('YRKS', 'small_airport', 'Rocklands Airport', -19.86669921875, 138.10000610351563, 0, 'AU', 'AU-QLD', '', 'no', 'YRKS', '', '', ''),
	('YCCK', 'small_airport', 'Canteen Creek Airport', -20.650800704956055, 135.5850067138672, 0, 'AU', 'AU-NT', '', 'no', 'YCCK', '', '', ''),
	('YORT', 'small_airport', 'Ooratippra Airport', -21.905799865722656, 136.06900024414063, 0, 'AU', 'AU-NT', '', 'no', 'YORT', '', '', ''),
	('YAVD', 'small_airport', 'Avon Downs Airport', -20.033300399780273, 137.51699829101563, 0, 'AU', 'AU-NT', '', 'no', 'YAVD', '', '', ''),
	('YCMW', 'small_airport', 'Camooweal Airport', -19.911699, 138.125, 241, 'AU', 'AU-QLD', '', 'no', 'YCMW', 'CML', '', ''),
	('YWRA', 'small_airport', 'Wooroona Airport', -20.481700897216797, 138.16799926757813, 0, 'AU', 'AU-QLD', '', 'no', 'YWRA', '', '', ''),
	('YANW', 'small_airport', 'Annitowa Airport', -21.200017, 136.451139, 901, 'AU', 'AU-NT', '', 'no', 'YANW', '', '', ''),
	('YURL', 'N/A', 'N/A', -22.457220442593098, 137.7210469543934, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAJI', 'small_airport', 'Mararena Sarmi Airport', -1.873077, 138.753275, 10, 'ID', 'ID-PA', 'Sarmi', 'no', 'WAJI', 'ZRM', '', 'Mararena, Orai'),
	('AYBW', 'small_airport', 'Blackwara Airport', -2.618211, 141.091971, 58, 'PG', 'PG-SAN', '', 'no', 'AYBW', '', '', ''),
	('WAJJ', 'large_airport', 'Dortheys Hiyo Eluay International Airport', -2.579627, 140.519857, 289, 'ID', 'ID-PA', 'Sentani', 'yes', 'WAJJ', 'DJJ', '', 'Bandar Udara Internasional Dortheys Hiyo Eluay, Sentani International Airport, Hollandia, Jayapura'),
	('AYVN', 'medium_airport', 'Vanimo Airport', -2.6926, 141.3028, 10, 'PG', 'PG-SAN', 'Vanimo', 'yes', 'AYVN', 'VAI', '', ''),
	('WACE', 'N/A', 'N/A', -2.0376530662178993, 139.11389619112015, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WASB', 'small_airport', 'Stenkol Airport', -2.1033, 133.5164, 51, 'ID', 'ID-PB', 'Bintuni', 'no', 'WAUB', 'NTI', '', 'ZKL, Steenkool'),
	('WAWJ', 'N/A', 'N/A', -3.666459694504738, 139.0583512187004, 952, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AYYI', 'small_airport', 'Yili Airstrip', -3.5322, 142.1645, 1500, 'PG', 'PG-SAN', 'Yili', 'no', 'AYYI', '', 'YILI', ''),
	('WAZZ', 'N/A', 'N/A', -4.181873984634876, 141.1983798444271, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAQG', 'N/A', 'N/A', -4.816612713038921, 140.22276788949966, 1619, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXT', 'N/A', 'N/A', -4.443275034427643, 138.7610323727131, 1998, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYH', 'small_airport', 'Mapenduma Airstrip', -4.30893, 138.246504, 3313, 'ID', 'ID-PP', 'Mapenduma', 'no', 'WAYH', '', 'MAP', ''),
	('AYUY', 'N/A', 'N/A', -5.372304059565067, 141.6237272322178, 1003, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAOY', 'N/A', 'N/A', -4.794316850602627, 140.69442227482796, 2275, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXY', 'N/A', 'N/A', -4.047428593039513, 139.35739070177078, 1668, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYM', 'N/A', 'N/A', -4.376576878130436, 139.08355504274368, 1284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYDM', 'N/A', 'N/A', -4.973223879933357, 141.90874099731445, 874, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAMP', 'small_airport', 'Indonesia Morowali Industrial Park (IMIP) Airport', -2.799322, 122.141385, 24, 'ID', 'ID-ST', 'Morowali', 'no', 'WAMP', 'MWS', '', ''),
	('WAZY', 'N/A', 'N/A', -3.9167677983641624, 140.54420471191406, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYXY', 'small_airport', 'Yebil Airstrip', -3.4625, 141.9559, 1400, 'PG', 'PG-SAN', 'Yebil', 'no', 'AYXY', '', 'YBL', ''),
	('AYTR', 'N/A', 'N/A', -5.343986637890339, 142.21465677022934, 770, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYOF', 'N/A', 'N/A', -5.556399486958981, 141.03285267949104, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYYV', 'small_airport', 'Yawa Airstrip', -4.1003, 142.1351, 120, 'PG', 'PG-ESW', 'Yawa', 'no', 'AYYV', '', 'YAWA', ''),
	('WAXK', 'N/A', 'N/A', -3.8504454866051674, 138.86027187108994, 1771, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYP', 'N/A', 'N/A', -4.441770315170288, 139.30958837270737, 1735, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYXS', 'small_airport', 'Sisamin Airstrip', -5.1363, 142.284, 1675, 'PG', 'PG-SAN', 'Sisamin', 'no', 'AYXS', '', 'SIS', ''),
	('WAUF', 'N/A', 'N/A', -4.394090361893177, 140.436732172966, 943, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYYM', 'N/A', 'N/A', -4.855755865573883, 141.22017994523048, 959, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVI', 'N/A', 'N/A', -4.258360527455807, 139.97112795710564, 986, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAQH', 'N/A', 'N/A', -4.8208291456103325, 140.23745253682137, 1348, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WA0C', 'N/A', 'N/A', -3.9994224160909653, 140.819930434227, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYHT', 'small_airport', 'Hotmin Airstrip', -4.5845, 141.5742, 196, 'PG', 'PG-ESW', 'Hotmin Mission', 'no', 'AYHT', '', 'HOT', ''),
	('AYOX', 'small_airport', 'Moi Airstrip', -4.1615, 141.2478, 240, 'PG', 'PG-SAN', 'Moi', 'no', 'AYOX', '', 'MOI', ''),
	('AYKG', 'small_airport', 'Kopiago Airport', -5.3883, 142.4977, 4445, 'PG', 'PG-HE', 'Kopiago', 'no', 'AYKG', 'KPA', 'KGO', ''),
	('WAZL', 'N/A', 'N/A', -4.425783678889275, 140.02167373895645, 1878, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WXZ1', 'N/A', 'N/A', -2.998490072786808, 140.0391300022602, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAAB', 'N/A', 'N/A', -3.9674625545740128, 141.191396266222, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYLT', 'N/A', 'N/A', -5.379274785518646, 141.7664748430252, 1626, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXW', 'N/A', 'N/A', -4.767892062664032, 138.9838519692421, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYYG', 'small_airport', 'Yemin Airstrip', -3.967, 142.2912, 230, 'PG', 'PG-SAN', 'Yemin', 'no', 'AYYG', '', 'YMN', ''),
	('AYZY', 'small_airport', 'Yilui Airstrip', -3.9292, 142.2045, 265, 'PG', 'PG-SAN', 'Yilui', 'no', 'AYZY', '', 'YLU', ''),
	('WAUQ', 'N/A', 'N/A', -3.959193639457226, 139.9013413488865, 452, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYFE', 'small_airport', 'Feramin Airport', -5.208, 141.6988, 4655, 'PG', 'PG-SAN', 'Feramin', 'no', 'AYFE', 'FRQ', 'FMN', 'Feranmin'),
	('WAYD', 'N/A', 'N/A', -4.328254200518131, 139.09898668527603, 1975, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUC', 'N/A', 'N/A', -4.4857364147901535, 140.21981209516525, 1370, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUR', 'N/A', 'N/A', -4.2922790721058846, 140.63999444246292, 250, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUL', 'N/A', 'N/A', -4.742967300117016, 140.8484660089016, 1309, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXG', 'N/A', 'N/A', -4.259651340544224, 139.04659554362297, 1764, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYQL', 'N/A', 'N/A', -4.774101711809635, 141.01277232170105, 1054, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXV', 'N/A', 'N/A', -4.561525247991085, 138.91466975212097, 1217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYQW', 'small_airport', 'Sumwari Airstrip', -4.7508, 142.3686, 465, 'PG', 'PG-ESW', 'Sumwari', 'no', 'AYQW', '', 'SMR', ''),
	('AYUA', 'small_airport', 'Utai Airstrip', -3.386, 141.5868, 707, 'PG', 'PG-SAN', 'Utai', 'no', 'AYUA', '', 'UTAI', ''),
	('WAVU', 'N/A', 'N/A', -4.539482519030571, 140.46207815408707, 1954, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXE', 'N/A', 'N/A', -4.750494249165058, 139.3533119559288, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WASL', 'N/A', 'N/A', -3.5371235758066177, 139.78218600153923, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAWN', 'small_airport', 'Arung Palakka Airport', -4.459582, 120.310436, 130, 'ID', 'ID-SN', 'Bone', 'no', 'WAWN', 'APD', '', ''),
	('WAYN', 'N/A', 'N/A', -4.58047840744257, 139.3545627593994, 846, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXS', 'N/A', 'N/A', -4.571088999509811, 138.98689225316048, 1053, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('WAXZ', 'N/A', 'N/A', -4.03123140335083, 139.78638499975204, 877, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXA', 'N/A', 'N/A', -4.18834213167429, 139.34227511286736, 1919, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYAI', 'N/A', 'N/A', -3.143223412334919, 142.34679445624352, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAOP', 'N/A', 'N/A', -4.770998060703278, 139.8269435763359, 1292, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVV', 'medium_airport', 'Wamena Airport', -4.097324, 138.952417, 5435, 'ID', 'ID-PP', 'Wamena', 'yes', 'WAVV', 'WMX', '', 'WAJW'),
	('WAJK', 'small_airport', 'Kiwirok Airstrip', -4.713481, 140.740271, 5470, 'ID', 'ID-PP', 'Kiwirok', 'yes', 'WAJK', '', '', ''),
	('LTF', 'small_airport', 'Leitre Airport', -2.8337, 141.6257, 32, 'PG', 'PG-SAN', 'Leitre', 'no', '', 'LTF', 'LRE', ''),
	('WAMK', 'small_airport', 'Kuabang Airport', 1.18528, 127.896004, 40, 'ID', 'ID-MU', 'Kao-Celebes Island', 'no', 'WAEK', 'KAZ', '', 'WAMK'),
	('WX43', 'N/A', 'N/A', -4.7251540794968605, 140.7922960817814, 1670, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TAD', 'small_airport', 'Perry Stokes Airport', 37.2593994141, -104.341003418, 5762, 'US', 'US-CO', 'Trinidad', 'no', 'KTAD', 'TAD', 'TAD', ''),
	('AYIY', 'N/A', 'N/A', -4.902794100344181, 141.62063285708427, 762, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYLN', 'N/A', 'N/A', -5.474632680416107, 141.967915892601, 1259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVO', 'N/A', 'N/A', -4.432676285505295, 140.16683846712112, 1683, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVP', 'N/A', 'N/A', -4.316315688192844, 140.2667659521103, 1203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAZH', 'N/A', 'N/A', -4.372540153563023, 140.69686889648438, 326, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYF', 'N/A', 'N/A', -4.334856793284416, 139.11089926958084, 1701, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYU', 'small_airport', 'Wangbe Airstrip', -3.868616, 137.468316, 7645, 'ID', 'ID-PT', 'Wangbe', 'no', 'WAYU', '', 'WBG', ''),
	('AYTO', 'N/A', 'N/A', -3.600432761013508, 141.05159640312195, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYUB', 'N/A', 'N/A', -4.883290082216263, 141.52523204684258, 672, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAZK', 'N/A', 'N/A', -4.585272520780563, 140.5339179933071, 1601, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYC', 'N/A', 'N/A', -4.314406290650368, 139.32956099510193, 2502, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUX', 'N/A', 'N/A', -4.143185131251812, 141.25872910022736, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAWK', 'N/A', 'N/A', -4.479314535856247, 139.64990705251694, 1789, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAZS', 'N/A', 'N/A', -4.455582685768604, 140.02519369125366, 1871, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYBI', 'N/A', 'N/A', -3.021855801343918, 141.16523176431656, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYOV', 'N/A', 'N/A', -5.389584191143513, 141.51527613401413, 449, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYAA', 'N/A', 'N/A', -4.100571870803833, 141.6695871949196, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAZU', 'N/A', 'N/A', -4.234115369617939, 140.00038862228394, 1042, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYEL', 'small_airport', 'Eliptamin Airport', -5.0412, 141.6779, 4825, 'PG', 'PG-SAN', 'Eliptamin', 'no', 'AYEL', 'EPT', 'ELP', ''),
	('AYZW', 'small_airport', 'Siawi Airstrip', -4.061, 141.4197, 230, 'PG', 'PG-SAN', 'Siawi', 'no', 'AYZW', '', 'SII', ''),
	('AYYP', 'N/A', 'N/A', -4.628223739564419, 141.09413892030716, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYT', 'N/A', 'N/A', -4.1271897777915, 139.53137129545212, 1442, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYI', 'N/A', 'N/A', -4.400501176714897, 139.20058071613312, 1725, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WADZ', 'N/A', 'N/A', -3.2954397797584534, 141.07268750667572, 382, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVQ', 'N/A', 'N/A', -4.261457473039627, 140.19830748438835, 844, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYTH', 'N/A', 'N/A', -5.117188096046448, 141.41844257712364, 1437, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAZQ', 'N/A', 'N/A', -4.461119100451469, 140.7564416527748, 349, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAZE', 'N/A', 'N/A', -3.9954081550240517, 139.67204064130783, 741, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXD', 'N/A', 'N/A', -4.345889054238796, 139.17891338467598, 1798, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYAE', 'N/A', 'N/A', -3.4766672551631927, 142.03987509012222, 544, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYJ', 'N/A', 'N/A', -4.551200419664383, 139.33651953935623, 765, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXU', 'N/A', 'N/A', -4.033113978803158, 138.9094676077366, 1653, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYUP', 'N/A', 'N/A', -5.280705615878105, 141.54101461172104, 1490, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXC', 'N/A', 'N/A', -4.466093257069588, 138.94295543432236, 1713, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYXB', 'small_airport', 'Buluwo Airstrip', -3.6753, 142.0151, 600, 'PG', 'PG-SAN', 'Buluwo', 'no', 'AYXB', '', 'BWO', ''),
	('WAWT', 'small_airport', 'Pongtiku Airport', -3.04474, 119.821999, 2884, 'ID', 'ID-SN', 'Makale', 'no', 'WAFT', 'TTR', '', 'WAAT, Tana Toraja'),
	('WAZG', 'N/A', 'N/A', -4.572594724595547, 140.94840064644814, 164, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIF', 'N/A', 'N/A', -3.2101284340023994, 141.35751396417618, 297, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAZO', 'N/A', 'N/A', -4.664610251784325, 140.67700400948524, 1553, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYFR', 'small_airport', 'Frieda River Airport', -4.610468, 141.960138, 217, 'PG', 'PG-ESW', 'Frieda River', 'no', 'AYFR', 'FAQ', 'FRR', ''),
	('TLF', 'small_airport', 'Telefomin Airport', -5.12608, 141.641922, 4950, 'PG', 'PG-SAN', 'Telefomin', 'no', 'AYTE', 'TFM', 'TLF', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AYZN', 'N/A', 'N/A', -2.9988447949290276, 142.04352870583534, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYQV', 'small_airport', 'Sinow Airstrip', -3.9925, 141.5537, 183, 'PG', 'PG-SAN', 'Sinow', 'no', 'AYQV', '', '', ''),
	('AYNU', 'N/A', 'N/A', -3.6765672639012337, 142.48473063111305, 261, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXB', 'N/A', 'N/A', -4.550452418625355, 139.7345718741417, 1935, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAWZ', 'N/A', 'N/A', -4.219331704080105, 139.03401598334312, 1648, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAWY', 'N/A', 'N/A', -3.9016126468777657, 138.76421481370926, 1697, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIT', 'small_airport', 'Iteri Airstrip', -4.2418, 141.5234, 242, 'PG', 'PG-ESW', 'Iteri', 'no', 'AYIT', '', 'ITR', ''),
	('WAWF', 'N/A', 'N/A', -3.8358576223254204, 138.92167881131172, 1952, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYLR', 'N/A', 'N/A', -5.430471785366535, 141.9423758983612, 977, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYTB', 'small_airport', 'Tabubil Airport', -5.27861, 141.225998, 1570, 'PG', 'PG-WPD', 'Tabubil', 'yes', 'AYTB', 'TBG', '', ''),
	('WAZT', 'N/A', 'N/A', -4.28520742803812, 140.02649322152138, 1036, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIB', 'small_airport', 'Ibil Airstrip', -4.6828, 141.0316, 870, 'PG', 'PG-SAN', 'Ibil', 'no', 'AYIB', '', 'IBIL', ''),
	('AYOA', 'small_airport', 'Kwomtari Airstrip', -3.598, 141.3614, 366, 'PG', 'PG-SAN', 'Kwomtari', 'no', 'AYOA', '', 'KWO', ''),
	('WAVN', 'N/A', 'N/A', -4.452228583395481, 140.130106061697, 1558, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAJG', 'N/A', 'N/A', -4.444166533648968, 140.88166683912277, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAME', 'small_airport', 'Buli Airport', 0.917144, 128.382116, 7, 'ID', 'ID-MU', 'Pekaulang', 'yes', 'WAEM', 'PGQ', '', ''),
	('WAOU', 'small_airport', 'Sanggu Airport', -1.6693, 114.898003, 23, 'ID', 'ID-KT', 'Buntok', 'no', 'WAGM', '', '', ''),
	('WAWL', 'N/A', 'N/A', -3.7317855656147003, 139.28676456212997, 558, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAQF', 'N/A', 'N/A', -4.821996912360191, 140.35309240221977, 1555, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYRV', 'small_airport', 'May River Airstrip', -4.3615, 141.785, 107, 'PG', 'PG-ESW', 'May River', 'no', 'AYRV', 'MRH', 'MRV', ''),
	('WAOV', 'N/A', 'N/A', -5.278060622513294, 140.68148955702782, 461, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYSI', 'small_airport', 'Seltamin Airstrip', -5.4122, 141.8252, 4285, 'PG', 'PG-WPD', 'Seltamin', 'no', 'AYSI', '', 'SLT', ''),
	('WAZP', 'N/A', 'N/A', -4.031359143555164, 140.08167073130608, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVR', 'N/A', 'N/A', -4.217403195798397, 140.20515650510788, 1075, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAZJ', 'N/A', 'N/A', -4.60559394210577, 140.6347967684269, 1476, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAGN', 'N/A', 'N/A', -2.965092882514, 139.9881286919117, 264, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVS', 'N/A', 'N/A', -4.31861836463213, 140.21287366747856, 1261, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WA0S', 'N/A', 'N/A', -3.99085845798254, 140.4452919960022, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYGV', 'N/A', 'N/A', -3.9006956666707993, 141.1802650988102, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYZS', 'N/A', 'N/A', -2.9151219874620438, 141.29670917987823, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GUE', 'small_airport', 'Guriaso (Keraso) Airport', -3.583167, 141.5895, 400, 'PG', 'PG-SAN', 'Guriaso', 'no', '', 'GUE', 'KSO', 'Kiraso'),
	('WATN', 'N/A', 'N/A', -4.836676977574825, 139.71449196338654, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAZF', 'N/A', 'N/A', -4.632531031966209, 140.49748554825783, 2135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXN', 'N/A', 'N/A', -3.8819104805588722, 139.31083738803864, 936, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIO', 'small_airport', 'Imonda Airport', -3.328, 141.1573, 990, 'PG', 'PG-SAN', 'Imonda', 'no', 'AYIO', 'IMD', 'IMO', ''),
	('AYBB', 'small_airport', 'Bak Airstrip', -5.2685, 142.097, 5440, 'PG', 'PG-SAN', 'Bak', 'no', 'AYBB', '', 'BAK', ''),
	('WAJN', 'N/A', 'N/A', -3.7854672968387604, 139.38474118709564, 461, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYOR', 'N/A', 'N/A', -3.3218826726078987, 141.85799807310104, 632, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXH', 'N/A', 'N/A', -3.993382081389427, 139.49208676815033, 721, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVM', 'N/A', 'N/A', -4.463867358863354, 140.26252269744873, 1439, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUG', 'N/A', 'N/A', -4.697705693542957, 140.72239369153976, 1591, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUP', 'N/A', 'N/A', -4.540701247751713, 140.56651130318642, 1312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVK', 'N/A', 'N/A', -4.464856423437595, 140.392936617136, 1945, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYFS', 'small_airport', 'Fas Airstrip', -3.1983, 141.472, 1219, 'PG', 'PG-SAN', 'Fugari', 'no', 'AYFS', '', 'FAS', ''),
	('AYSO', 'small_airport', 'Selbang Airport', -5.315, 141.752, 5130, 'PG', 'PG-WPD', 'Selbang', 'no', 'AYSO', 'SBC', 'SEL', ''),
	('WAUN', 'N/A', 'N/A', -4.369340278208256, 140.3924824297428, 922, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYYD', 'small_airport', 'Yatoam Airstrip', -5.0949, 142.3846, 2060, 'PG', 'PG-HE', 'Yatoam', 'no', 'AYYD', '', '', ''),
	('WAWI', 'N/A', 'N/A', -3.6939942464232445, 138.9372356235981, 853, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXL', 'N/A', 'N/A', -4.247664883732796, 139.16896998882294, 2451, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYYB', 'N/A', 'N/A', -5.2742066234350204, 142.03329160809517, 1850, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYTT', 'small_airport', 'Tarakbits Airport', -5.614, 141.0421, 281, 'PG', 'PG-WPD', 'Tarakbits', 'no', 'AYTT', 'TRJ', 'TRT', 'Tarakpits, Tarabits');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AYTN', 'small_airport', 'Tekin Airport', -5.243667, 142.165194, 5785, 'PG', 'PG-SAN', 'Tekin', 'no', 'AYTN', 'TKW', 'TEK', ''),
	('WAOX', 'N/A', 'N/A', -5.416191034018993, 140.43626368045807, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYOH', 'small_airport', 'Okisai Airstrip', -4.7065, 141.9006, 310, 'PG', 'PG-SAN', 'Okisai', 'no', 'AYOH', '', 'OKS', ''),
	('AYGU', 'N/A', 'N/A', -3.5607441142201424, 142.21771717071533, 284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAQE', 'N/A', 'N/A', -4.891179129481316, 140.742399841547, 1295, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVZ', 'N/A', 'N/A', -4.620386995375156, 140.53131267428398, 1991, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAWG', 'N/A', 'N/A', -4.649892300367355, 138.7523402273655, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVF', 'N/A', 'N/A', -5.0045765563845634, 139.73652094602585, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUA', 'N/A', 'N/A', -4.670809172093868, 140.5742758512497, 1914, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAOR', 'N/A', 'N/A', -5.39970550686121, 140.19872099161148, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVL', 'N/A', 'N/A', -4.439939707517624, 140.48444420099258, 943, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAJO', 'medium_airport', 'Oksibil Airport', -4.9071, 140.6277, 4315, 'ID', 'ID-PP', 'Oksibil', 'yes', 'WAJO', 'OKL', '', 'Gunung Bintang'),
	('WASG', 'N/A', 'N/A', -3.6799488589167595, 140.2295981347561, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYA', 'N/A', 'N/A', -4.060589857399464, 139.74749207496643, 1161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAWX', 'N/A', 'N/A', -3.8587288185954094, 139.1003756225109, 1930, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAOW', 'N/A', 'N/A', -5.1446763798594475, 140.967256128788, 669, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WW43', 'N/A', 'N/A', -4.762036129832268, 140.78047648072243, 1839, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIN', 'small_airport', 'Busilmin Airstrip', -4.9166, 141.1548, 5450, 'PG', 'PG-SAN', 'Busilmin', 'no', 'AYIN', '', 'BSM', ''),
	('AYHQ', 'small_airport', 'Hauna Airstrip', -4.2994, 142.2305, 73, 'PG', 'PG-ESW', 'Hauna', 'no', 'AYHQ', '', 'HNA', ''),
	('WAYQ', 'small_airport', 'Paro Airstrip', -4.388644, 138.233939, 1685, 'ID', 'ID-PP', 'Paro', 'no', 'WAYQ', '', 'PAR', ''),
	('WAJU', 'closed', 'Ubrub Airport', -3.675686, 140.885067, 1370, 'ID', 'ID-PA', 'Ubrub', 'no', '', '', '', 'WAJU, WAJU, UBR'),
	('WAWC', 'N/A', 'N/A', -4.051925987005234, 138.79648581147194, 1909, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYGQ', 'small_airport', 'Gawa Airstrip', -5.259, 142.233, 6500, 'PG', 'PG-SAN', 'Gawa', 'no', 'AYGQ', '', 'GAWA', ''),
	('AYSY', 'small_airport', 'Serra Airstrip', -2.9739, 141.9297, 37, 'PG', 'PG-SAN', 'Serai', 'no', 'AYSY', '', 'SER', ''),
	('WAWV', 'N/A', 'N/A', -4.13500539958477, 139.37775269150734, 1446, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYOJ', 'small_airport', 'Oksapmin Airport', -5.2261, 142.2259, 5140, 'PG', 'PG-SAN', 'Oksapmin', 'no', 'AYOJ', 'OKP', 'OKN', ''),
	('WAZD', 'N/A', 'N/A', -3.7296458333730698, 139.75832104682922, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAXR', 'N/A', 'N/A', -4.345852844417095, 138.7569822371006, 2412, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAUV', 'N/A', 'N/A', -4.677701443433762, 141.5657253563404, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAYO', 'N/A', 'N/A', -4.69006173312664, 139.75523605942726, 1579, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAVY', 'N/A', 'N/A', -4.585960507392883, 140.4998181760311, 1892, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKJ', 'N/A', 'N/A', -7.979166805744171, 138.85250017046928, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYML', 'small_airport', 'Mougulu Airport', -6.280859, 142.420775, 825, 'PG', 'PG-WPD', 'Mougulu', 'no', 'AYML', 'GUV', 'MGU', ''),
	('AYSA', 'small_airport', 'Suabi Airport', -6.10444444444, 142.278333333, 465, 'PG', 'PG-WPD', '', 'no', 'AYSA', 'SBE', 'SUA', ''),
	('WAOM', 'closed', 'Beringin Airport', -0.942549, 114.89399, 126, 'ID', 'ID-KT', 'Murateweh', 'no', '', '', '', 'WRBM, WAOM, WAGK, GXA'),
	('AYHB', 'small_airport', 'Habi Airport', -6.32, 142.4893, 993, 'PG', 'PG-WPD', 'Habi', 'no', 'AYHB', 'HBD', 'HABI', ''),
	('AYKI', 'small_airport', 'Kiunga Airport', -6.1257100105285645, 141.28199768066406, 88, 'PG', 'PG-WPD', 'Kiunga', 'yes', 'AYKI', 'UNG', '', ''),
	('WAMT', 'medium_airport', 'Sultan Babullah Airport', 0.831012, 127.381611, 49, 'ID', 'ID-MU', 'Sango', 'yes', 'WAEE', 'TTE', '', ''),
	('AYPC', 'small_airport', 'Pangoa Airport', -7.0226, 141.5605, 60, 'PG', 'PG-WPD', 'Pangoa', 'no', 'AYPC', 'PGB', 'PGA', ''),
	('AYDW', 'small_airport', 'Dewara Airstrip', -8.3802, 142.4475, 25, 'PG', 'PG-WPD', 'Dewara', 'no', 'AYDW', '', 'DWR', ''),
	('AYST', 'small_airport', 'Sturt Island Airport', -8.1525, 142.268444444, 40, 'PG', 'PG-WPD', '', 'no', 'AYST', '', 'STI', ''),
	('DBP', 'small_airport', 'Debepare Airport', -6.30861111111, 141.905555556, 360, 'PG', 'PG-WPD', 'Debepare', 'no', 'AYDB', 'DBP', 'DBP', 'Debepari'),
	('NOM', 'small_airport', 'Nomad River Airport', -6.294, 142.234166667, 305, 'PG', 'PG-WPD', 'Nomad River', 'no', '', 'NOM', 'NDR', ''),
	('AYAK', 'N/A', 'N/A', -7.344430759549141, 141.26861348748207, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIM', 'small_airport', 'Kungim Airport', -5.671, 141.03, 349, 'PG', 'PG-WPD', 'Kungim', 'no', 'AYIM', 'KGM', 'KNM', 'Kungum'),
	('AYXH', 'N/A', 'N/A', -6.392739750444889, 142.26627945899963, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAEC', 'N/A', 'N/A', -6.0629551112651825, 139.2670051753521, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKP', 'small_airport', 'Kepi Airport', -6.5418, 139.3318, 67, 'ID', 'ID-PS', 'Kepi', 'no', 'WAKP', 'KEI', '', ''),
	('AYHL', 'small_airport', 'Hesalibi Airstrip', -6.6, 142.3502, 305, 'PG', 'PG-WPD', 'Hesalibi', 'no', 'AYHL', '', 'HLB', ''),
	('AYHW', 'small_airport', 'Haewenai Airstrip', -5.7219, 141.3205, 220, 'PG', 'PG-WPD', 'Haewenai', 'no', 'AYHW', '', '', ''),
	('WAKO', 'small_airport', 'Okaba Airport', -8.0946, 139.7233, 23, 'ID', 'ID-PS', 'Okaba', 'no', 'WAKO', 'OKQ', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AYGS', 'small_airport', 'Gasuke Airport', -6.1028, 141.7393, 157, 'PG', 'PG-WPD', 'Gasuke', 'no', 'AYGS', 'GBC', 'GSK', ''),
	('AYFU', 'small_airport', 'Fuma Airport', -6.3933, 142.4408, 466, 'PG', 'PG-WPD', 'Fuma', 'no', 'AYFU', 'FUM', 'FUMA', ''),
	('ABP', 'small_airport', 'Atkamba Airport', -6.06462, 141.095173, 150, 'PG', 'PG-WPD', 'Atkamba Mission', 'no', '', 'ABP', 'AKA', ''),
	('AYRG', 'small_airport', 'Rumginae Airport', -5.89722222222, 141.271666667, 160, 'PG', 'PG-WPD', '', 'no', 'AYRG', 'RMN', 'RMG', ''),
	('AYLL', 'N/A', 'N/A', -7.009967677295208, 141.4936275780201, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYSU', 'N/A', 'N/A', -8.046677000820637, 141.72221839427948, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKE', 'small_airport', 'Bade Airport', -7.175902, 139.58333, 59, 'ID', 'ID-PS', 'Bade', 'no', 'WAKE', 'BXD', '', ''),
	('AYKH', 'N/A', 'N/A', -5.753215290606022, 141.99289351701736, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYHH', 'small_airport', 'Honinabi Airport', -6.2457, 142.1771, 452, 'PG', 'PG-WPD', 'Honinabi', 'no', 'AYHH', 'HNN', 'HBI', 'Honinabe'),
	('AYET', 'N/A', 'N/A', -7.237355299293995, 141.10644087195396, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYRW', 'N/A', 'N/A', -8.437122479081154, 141.5133936703205, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAKD', 'small_airport', 'Mindiptana Airport', -5.876929, 140.70946, 121, 'ID', 'ID-PS', 'Mindiptana-Papua Island', 'no', 'WAKD', 'MDP', '', ''),
	('AYOB', 'N/A', 'N/A', -7.59200032800436, 141.3239599764347, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WAEH', 'N/A', 'N/A', -5.6906286254525185, 139.35083717107773, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYDQ', 'small_airport', 'Dimisisi Airstrip', -8.6298, 142.2162, 166, 'PG', 'PG-WPD', 'Dimisisi', 'no', 'AYDQ', '', 'DIM', ''),
	('WAKK', 'medium_airport', 'Mopah International Airport', -8.523898, 140.419693, 10, 'ID', 'ID-PS', 'Merauke', 'yes', 'WAKK', 'MKQ', '', ''),
	('AYXW', 'small_airport', 'Weam Airport', -8.6184, 141.1381, 50, 'PG', 'PG-WPD', 'Weam', 'no', 'AYXW', 'WEP', 'WEAM', ''),
	('AYBH', 'N/A', 'N/A', -8.855427391827106, 141.2576374411583, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYRF', 'N/A', 'N/A', -8.753943666815758, 141.91116973757744, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYGZ', 'N/A', 'N/A', -8.608852252364159, 141.91912427544594, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMAA', 'small_airport', 'Mabuiag Island Airport', -9.950168, 142.19523, 0, 'AU', 'AU-QLD', 'Mabuiag Island', 'yes', 'YMAA', 'UBB', '', ''),
	('AYEH', 'N/A', 'N/A', -8.714054524898529, 141.64379373192787, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHID', 'medium_airport', 'Horn Island Airport', -10.585628, 142.292653, 43, 'AU', 'AU-QLD', 'Horn', 'yes', 'YHID', 'HID', '', ''),
	('YNPE', 'small_airport', 'Northern Peninsula Airport', -10.946194, 142.455081, 34, 'AU', 'AU-QLD', 'Bamaga', 'yes', 'YNPE', 'ABM', '', 'YBAM, Bamaga Airport, Bamaga Injinoo Airport, Somerset'),
	('YBAU', 'small_airport', 'Badu Island Airport', -10.14955, 142.173665, 14, 'AU', 'AU-QLD', 'Badu Island', 'yes', 'YBAU', 'BDD', '', ''),
	('YKUB', 'small_airport', 'Kubin Island Airport', -10.22648, 142.219619, 15, 'AU', 'AU-QLD', 'Kubin Island', 'yes', 'YKUB', 'KUG', '', ''),
	('YBOI', 'small_airport', 'Boigu Island Airport', -9.23278, 142.218002, 23, 'AU', 'AU-QLD', 'Boigu Island', 'yes', 'YBOI', 'GIC', '', ''),
	('YWEH', 'N/A', 'N/A', -11.866721324622631, 142.0105943083763, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTTE', 'small_airport', 'Ti Tree Airport', -13.984239, 141.655255, 0, 'AU', 'AU-QLD', 'Aurukun', 'no', 'YTTE', '', '', ''),
	('YBSG', 'small_airport', 'RAAF Base Scherger', -12.6239, 142.087006, 145, 'AU', 'AU-QLD', 'Mission River', 'no', 'YBSG', '', '', ''),
	('YMEU', 'small_airport', 'Merluna Airport', -13.0649, 142.4536, 276, 'AU', 'AU-QLD', 'Merluna', 'no', 'YMEU', 'MLV', '', ''),
	('YKRV', 'small_airport', 'Kendall River Airport', -13.74389, 142.130985, 0, 'AU', 'AU-QLD', '', 'no', 'YKRV', '', '', ''),
	('YAUR', 'small_airport', 'Aurukun Airport', -13.354019, 141.720028, 31, 'AU', 'AU-QLD', 'Aurukun', 'yes', 'YAUR', 'AUU', '', ''),
	('YMPN', 'N/A', 'N/A', -12.05105647444725, 141.9071450829506, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWTV', 'small_airport', 'Watson River Airport', -13.228739, 142.235548, 0, 'AU', 'AU-QLD', '', 'no', 'YWTV', '', '', ''),
	('YMEP', 'small_airport', 'Merapah Airport', -13.724541, 142.411394, 0, 'AU', 'AU-QLD', '', 'no', 'YMEP', '', '', ''),
	('YWEP', 'N/A', 'N/A', -12.145161107182503, 142.14912995696068, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWEB', 'N/A', 'N/A', -13.762172050774097, 141.8537449836731, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBWP', 'medium_airport', 'Weipa Airport', -12.677493, 141.922618, 63, 'AU', 'AU-QLD', 'Weipa', 'yes', 'YBWP', 'WEI', '', ''),
	('YWNI', 'small_airport', 'Wathanin Airport', -13.704303, 141.554085, 0, 'AU', 'AU-QLD', 'Aurukun', 'no', 'YWNI', '', '', ''),
	('YSOW', 'small_airport', 'Southwell Airport', -14.51669979095459, 142.0330047607422, 0, 'AU', 'AU-QLD', '', 'no', 'YSOW', '', '', ''),
	('YMTI', 'small_airport', 'Mornington Island Airport', -16.662500381469727, 139.17799377441406, 33, 'AU', 'AU-QLD', '', 'yes', 'YMTI', 'ONG', '', ''),
	('YKOW', 'medium_airport', 'Kowanyama Airport', -15.485369, 141.752572, 35, 'AU', 'AU-QLD', 'Kowanyama', 'yes', 'YKOW', 'KWM', '', ''),
	('YSGD', 'small_airport', 'Strathgordon Airport', -14.795000076293945, 142.43299865722656, 0, 'AU', 'AU-QLD', '', 'no', 'YSGD', '', '', ''),
	('YBBH', 'N/A', 'N/A', -16.481647677719593, 139.2872142791748, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDBR', 'small_airport', 'Dunbar Airport', -16.047203, 142.393915, 15, 'AU', 'AU-QLD', 'Maramie', 'no', 'YDBR', 'DNB', '', ''),
	('YIKM', 'small_airport', 'Inkerman Airport', -16.229225, 141.434607, 6, 'AU', 'AU-QLD', 'Inkerman', 'no', 'YIKM', 'IKP', '', ''),
	('YPMP', 'small_airport', 'Pormpuraaw Airport', -14.896451, 141.60908, 10, 'AU', 'AU-QLD', 'Pormpuraaw', 'yes', 'YPMP', 'EDR', '', 'Edward River Airport'),
	('YDOR', 'small_airport', 'Dorunda Airport', -16.5537, 141.8238, 58, 'AU', 'AU-QLD', 'Dorunda Outstation', 'no', 'YDOR', 'DRD', '', ''),
	('YKLA', 'small_airport', 'Koolatah Airport', -15.888484, 142.439461, 0, 'AU', 'AU-QLD', 'Maramie', 'no', 'YKLA', 'KOH', '', ''),
	('YWEA', 'N/A', 'N/A', -16.373356506228447, 141.49350374937057, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YRTP', 'small_airport', 'Rutland Plains Airport', -15.644963, 141.844373, 15, 'AU', 'AU-QLD', 'Yagoonya', 'no', 'YRTP', 'RTP', '', ''),
	('YNTN', 'medium_airport', 'Normanton Airport', -17.68409, 141.069664, 73, 'AU', 'AU-QLD', 'Normanton', 'yes', 'YNTN', 'NTN', '', ''),
	('YMOC', 'N/A', 'N/A', -19.510628432035446, 138.9418199658394, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSWE', 'small_airport', 'Sweers Island Resort Airport', -17.124289, 139.603602, 23, 'AU', 'AU-QLD', 'Sweers Island', 'no', 'YSWE', '', '', ''),
	('YKML', 'small_airport', 'Kamileroi Airport', -19.375, 140.0570068359375, 91, 'AU', 'AU-QLD', '', 'no', 'YKML', 'KML', '', ''),
	('YIFY', 'small_airport', 'Iffley Airport', -18.899999618530273, 141.2169952392578, 43, 'AU', 'AU-QLD', '', 'no', 'YIFY', 'IFF', '', ''),
	('YAGD', 'small_airport', 'Augustus Downs Airport', -18.514999389648438, 139.8780059814453, 46, 'AU', 'AU-QLD', '', 'no', 'YAGD', 'AUD', '', ''),
	('YBKT', 'small_airport', 'Burketown Airport', -17.748600006103516, 139.53399658203125, 21, 'AU', 'AU-QLD', '', 'yes', 'YBKT', 'BUC', '', ''),
	('YVRS', 'small_airport', 'Vanrook Station Airport', -16.963300704956055, 141.9499969482422, 43, 'AU', 'AU-QLD', '', 'no', 'YVRS', 'VNR', '', ''),
	('YWDL', 'small_airport', 'Wondoola Airport', -18.5750007629, 140.891998291, 58, 'AU', 'AU-QLD', 'Wondoola', 'no', 'YWDL', 'WON', '', ''),
	('YDMG', 'small_airport', 'Doomadgee Airport', -17.9403, 138.822006, 153, 'AU', 'AU-QLD', '', 'yes', 'YDMG', 'DMD', '', ''),
	('YCRY', 'small_airport', 'Croydon Airport', -18.225000381469727, 142.25799560546875, 107, 'AU', 'AU-QLD', '', 'no', 'YCRY', 'CDQ', '', ''),
	('YLOR', 'small_airport', 'Lorraine Airport', -18.99329948425293, 139.90699768066406, 61, 'AU', 'AU-QLD', '', 'no', 'YLOR', 'LOA', '', ''),
	('YDLT', 'small_airport', 'Delta Downs Airport', -16.99169921875, 141.31700134277344, 15, 'AU', 'AU-QLD', '', 'no', 'YDLT', 'DDN', '', ''),
	('YGDS', 'small_airport', 'Gregory Downs Airport', -18.625, 139.23300170898438, 52, 'AU', 'AU-QLD', '', 'no', 'YGDS', 'GGD', '', ''),
	('YBKW', 'N/A', 'N/A', -19.22074131667614, 140.35285905003548, 77, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWER', 'small_airport', 'Wernadinga Airport', -18.124077, 139.956121, 0, 'AU', 'AU-QLD', '', 'no', 'YWER', '', '', ''),
	('YBTK', 'small_airport', 'Bentinck Island Airport', -17.086702346801758, 139.56578063964844, 45, 'AU', 'AU-QLD', '', 'no', 'YBTK', '', '', ''),
	('YESC', 'small_airport', 'Escott Airport', -17.725000381469727, 139.41700744628906, 15, 'AU', 'AU-QLD', '', 'no', 'YESC', '', '', ''),
	('YCLC', 'N/A', 'N/A', -17.62408599257469, 141.18597015738487, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKMB', 'small_airport', 'Karumba Airport', -17.45669937133789, 140.8300018310547, 5, 'AU', 'AU-QLD', '', 'yes', 'YKMB', 'KRB', '', ''),
	('YCBE', 'small_airport', 'Canobie Airport', -19.479400634799998, 140.927001953, 0, 'AU', 'AU-QLD', 'Canobie', 'no', 'YCBE', 'CBY', '', ''),
	('YAML', 'small_airport', 'Armraynald Airport', -17.954826, 139.759794, 0, 'AU', 'AU-QLD', '', 'no', 'YAML', '', '', ''),
	('YMAB', 'N/A', 'N/A', -17.330209091305733, 141.88874065876007, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YINV', 'small_airport', 'Inverleigh Airport', -18.005244, 140.535543, 0, 'AU', 'AU-QLD', '', 'no', 'YINV', '', '', ''),
	('YDOO', 'small_airport', 'Donors Hill Airport', -18.708776, 140.553846, 0, 'AU', 'AU-QLD', '', 'no', 'YDOO', '', '', ''),
	('YLOV', 'small_airport', 'Lotus Vale Airport', -17.048299789399998, 141.37600708, 0, 'AU', 'AU-QLD', 'Lotus Vale', 'no', 'YLOV', 'LTV', '', ''),
	('YSXB', 'N/A', 'N/A', -20.009212531149387, 142.48472660779953, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMOL', 'N/A', 'N/A', -20.58882113546133, 139.33912843465805, 386, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMLL', 'small_airport', 'Millungera Airport', -19.858299255371094, 141.56199645996094, 0, 'AU', 'AU-QLD', '', 'no', 'YMLL', '', '', ''),
	('YERS', 'N/A', 'N/A', -20.582443177700043, 141.08422949910164, 120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMOJ', 'N/A', 'N/A', -20.106162317097187, 139.81084942817688, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMDE', 'N/A', 'N/A', -21.673491038382053, 140.5200058221817, 336, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGON', 'small_airport', 'Mount Gordon Airport', -19.77265, 139.40425, 900, 'AU', 'AU-QLD', 'Mount Gordon Mine', 'no', 'YGON', 'GPD', '', ''),
	('YKYN', 'small_airport', 'Kynuna Airport', -21.598769, 141.942871, 669, 'AU', 'AU-QLD', 'Kynuna', 'no', 'YKYN', '', '', ''),
	('YMCK', 'small_airport', 'Mckinley Airport', -21.281368, 141.298334, 0, 'AU', 'AU-QLD', '', 'no', 'YMCK', '', '', ''),
	('YROS', 'N/A', 'N/A', -20.314282290637493, 140.1694679260254, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOSB', 'small_airport', 'Osborne Mine Airport', -22.0816993713, 140.554992676, 285, 'AU', 'AU-QLD', '', 'no', 'YOSB', 'OSO', '', ''),
	('YJLC', 'small_airport', 'Julia Creek Airport', -20.66830062866211, 141.72300720214844, 404, 'AU', 'AU-QLD', '', 'yes', 'YJLC', 'JCK', '', ''),
	('YGDV', 'small_airport', 'Galdeville Airport', -20.249334, 142.4393, 0, 'AU', 'AU-QLD', '', 'no', 'YGDV', '', '', ''),
	('YCLH', 'N/A', 'N/A', -19.817906990647316, 140.16329616308212, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKAJ', 'small_airport', 'Kajabbi Airport', -20.033300399780273, 140.0330047607422, 0, 'AU', 'AU-QLD', '', 'no', 'YKAJ', '', '', ''),
	('YDAJ', 'small_airport', 'Dajarra Airport', -21.70829963684082, 139.5330047607422, 335, 'AU', 'AU-QLD', '', 'no', 'YDAJ', 'DJR', '', ''),
	('YMHA', 'N/A', 'N/A', -21.008491963148117, 139.39775615930557, 370, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBEA', 'N/A', 'N/A', -20.307366214692593, 142.19967976212502, 130, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTMO', 'small_airport', 'The Monument Airport', -21.811100006104, 139.92399597168, 949, 'AU', 'AU-QLD', 'Phosphate Hill', 'no', 'YTMO', 'PHQ', '', 'Phosphate Hill Airport'),
	('YSBO', 'small_airport', 'Stanbroke Airport', -21.566699981689453, 139.7169952392578, 0, 'AU', 'AU-QLD', '', 'no', 'YSBO', '', '', ''),
	('YMOP', 'N/A', 'N/A', -20.753913447260857, 139.99767020344734, 369, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YAOR', 'small_airport', 'Ardmore Airport', -21.649999618530273, 139.18299865722656, 0, 'AU', 'AU-QLD', '', 'no', 'YAOR', '', '', ''),
	('YDEV', 'small_airport', 'Devoncourt Airport', -21.216699600219727, 140.23300170898438, 0, 'AU', 'AU-QLD', '', 'no', 'YDEV', '', '', ''),
	('YTEE', 'small_airport', 'Trepell Airport', -21.834999084473, 140.88800048828, 891, 'AU', 'AU-QLD', 'Trepell', 'no', 'YTEE', 'TQP', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YCRP', 'N/A', 'N/A', -20.59655360877514, 140.2448406815529, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMOF', 'N/A', 'N/A', -21.334980838000774, 139.88222301006317, 347, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCGH', 'small_airport', 'Clonagh Airport', -20.13330078125, 140.68299865722656, 0, 'AU', 'AU-QLD', '', 'no', 'YCGH', '', '', ''),
	('YGNA', 'small_airport', 'Granada Airport', -20.100000381469727, 140.36700439453125, 0, 'AU', 'AU-QLD', '', 'no', 'YGNA', '', '', ''),
	('YBMA', 'medium_airport', 'Mount Isa Airport', -20.663900375399997, 139.488998413, 1121, 'AU', 'AU-QLD', 'Mount Isa', 'yes', 'YBMA', 'ISA', '', ''),
	('YHMD', 'N/A', 'N/A', -21.40224862843752, 142.40249142050743, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBHK', 'small_airport', 'Bushy Park Airport', -21.266700744628906, 139.7169952392578, 0, 'AU', 'AU-QLD', '', 'no', 'YBHK', '', '', ''),
	('YCCY', 'medium_airport', 'Cloncurry Airport', -20.668600082399998, 140.503997803, 616, 'AU', 'AU-QLD', 'Cloncurry', 'yes', 'YCCY', 'CNJ', '', ''),
	('YESE', 'small_airport', 'Elrose Airport', -20.9764, 141.0066, 645, 'AU', 'AU-QLD', 'Elrose Mine', 'no', 'YESE', 'ERQ', 'YESE', ''),
	('YCTH', 'small_airport', 'Chatsworth Airport', -21.966699600219727, 140.3000030517578, 0, 'AU', 'AU-QLD', '', 'no', 'YCTH', '', '', ''),
	('YCLO', 'N/A', 'N/A', -21.075149551033974, 140.2804210782051, 258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YAND', 'small_airport', 'Answer Downs Airport', -21.66670036315918, 140.98300170898438, 0, 'AU', 'AU-QLD', '', 'no', 'YAND', '', '', ''),
	('YCLN', 'N/A', 'N/A', -20.273868776857853, 140.22525697946548, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTKS', 'small_airport', 'Toorak Research Station Airport', -21.04170036315918, 141.78700256347656, 128, 'AU', 'AU-QLD', '', 'no', 'YTKS', '', '', ''),
	('YMOK', 'N/A', 'N/A', -20.119876451790333, 139.7110690176487, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHLD', 'N/A', 'N/A', -20.500756166875362, 140.24303153157234, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMOH', 'N/A', 'N/A', -20.942911952733994, 139.96450290083885, 389, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYND', 'N/A', 'N/A', -1.4613234624266624, 143.06464657187462, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MMV', 'small_airport', 'Mal Airport', -1.39139, 144.17131, 6, 'PG', 'PG-MRL', 'Mal Island', 'no', 'AYMM', 'MMV', 'MAL', ''),
	('AYVW', 'N/A', 'N/A', -1.7358338087797165, 142.8359167277813, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYYZ', 'small_airport', 'Yambaitok', -4.995345, 143.96143, 637, 'PG', 'PG-ESW', 'Yambaitok', 'no', 'AYYZ', '', 'YTK', ''),
	('AYKZ', 'small_airport', 'Kairiru Airstrip', -3.3687, 143.5546, 60, 'PG', 'PG-ESW', 'Kairiru Island', 'no', 'AYKZ', '', 'KAI', ''),
	('AYDK', 'small_airport', 'Munduku Airport', -4.6204, 143.4516, 100, 'PG', 'PG-ESW', 'Munduku', 'no', 'AYDK', 'MDM', 'MUN', ''),
	('AYRM', 'small_airport', 'Maramuni Airport', -5.13, 143.4829, 5160, 'PG', 'PG-EPW', 'Maramuni', 'no', 'AYRM', 'MWI', 'MAR', ''),
	('AIO', 'small_airport', 'Aiome Airport', -5.145699978, 144.7307003, 350, 'PG', 'PG-MPM', 'Aiome', 'no', 'AYAO', 'AIE', 'AIO', ''),
	('AYWH', 'N/A', 'N/A', -4.895538054406643, 145.32206162810326, 696, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYAN', 'N/A', 'N/A', -4.599580429494381, 143.8434036076069, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYUG', 'small_airport', 'Brugam Airstrip', -3.6381, 142.8379, 595, 'PG', 'PG-ESW', 'Wa''ahun', 'no', 'AYUG', '', 'BRG', ''),
	('AYYQ', 'small_airport', 'Yagrombok Airstrip', -3.585, 142.6285, 1509, 'PG', 'PG-ESW', 'Yagrombok', 'no', 'AYYQ', '', 'YMK', 'Yagrumbok'),
	('AYDS', 'small_airport', 'Dusin Airport', -5.184135, 144.411965, 6300, 'PG', 'PG-MPM', 'Dusin', 'no', 'AYDS', '', 'DUS', ''),
	('AYBS', 'small_airport', 'Begesin Airstrip', -5.3889, 145.4472, 980, 'PG', 'PG-MPM', 'Begesin', 'no', 'AYBS', '', 'BGI', 'BEG, Bagasin'),
	('AYGO', 'small_airport', 'Gokto Airstrip', -4.9136, 144.49, 259, 'PG', 'PG-MPM', 'Gokto', 'no', 'AYGO', '', 'GTO', ''),
	('AYYU', 'small_airport', 'Mui Airstrip', -4.7912, 144.3113, 132, 'PG', 'PG-MPM', 'Mui', 'no', 'AYYU', '', 'MUI', ''),
	('AYAU', 'small_airport', 'Arou Airstrip', -5.4951, 142.5137, 4830, 'PG', 'PG-HE', 'Arou', 'no', 'AYAU', '', '', ''),
	('AYQU', 'small_airport', 'Tsumba Airstrip', -4.6581, 144.6082, 89, 'PG', 'PG-MPM', 'Tsumba Mission', 'no', 'AYQU', '', 'TSU', ''),
	('AYSJ', 'small_airport', 'Simbai Airport', -5.278611111110001, 144.544722222, 5804, 'PG', 'PG-MPM', 'Simbai', 'no', 'AYSJ', 'SIM', 'SAI', ''),
	('AYUN', 'small_airport', 'Bunam Airstrip', -4.6564, 144.2517, 48, 'PG', 'PG-ESW', 'Bunam', 'no', 'AYUN', '', 'BNM', ''),
	('AYUQ', 'small_airport', 'Kumbwareta Airstrip', -5.5078, 144.1171, 4067, 'PG', 'PG-WHM', 'Kumbwareta', 'no', 'AYUQ', '', 'KUM', ''),
	('AYLF', 'N/A', 'N/A', -5.527619048953056, 144.06572878360748, 1499, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIR', 'small_airport', 'Inaru Airstrip', -4.6316, 142.8913, 178, 'PG', 'PG-ESW', 'Inaru', 'no', 'AYIR', '', 'INR', ''),
	('AYZB', 'small_airport', 'Sibilanga Airstrip', -3.4458, 142.501, 2330, 'PG', 'PG-SAN', 'Sibilanga Mission', 'no', 'AYZB', '', 'SIB', ''),
	('AYSR', 'small_airport', 'Sangera Airstrip', -3.9678, 143.2763, 127, 'PG', 'PG-ESW', 'Sangera', 'no', 'AYSR', '', 'SGA', ''),
	('AYQA', 'N/A', 'N/A', -4.595987610518932, 143.5219493508339, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYMD', 'medium_airport', 'Madang Airport', -5.20707988739, 145.789001465, 20, 'PG', 'PG-MPM', 'Madang', 'yes', 'AYMD', 'MAG', '', ''),
	('AYWV', 'small_airport', 'Warasai Airstrip', -4.012, 142.51, 150, 'PG', 'PG-SAN', 'Warasai', 'no', 'AYWV', '', 'WSI', ''),
	('AYPR', 'N/A', 'N/A', -4.91908248513937, 143.1609410047531, 701, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIP', 'small_airport', 'Iropena Airstrip', -5.032639, 143.871117, 5190, 'PG', 'PG-EPW', 'Iropena', 'no', 'AYIP', '', 'IRP', ''),
	('AYYK', 'N/A', 'N/A', -5.1097627356648445, 143.91768783330917, 1124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAF', 'small_airport', 'Daup Airport', -4.7403, 145.9515, 280, 'PG', 'PG-MPM', '', 'no', '', 'DAF', 'DAUP', ''),
	('AYHJ', 'small_airport', 'Hewa Airstrip', -5.1914, 142.9595, 5000, 'PG', 'PG-EPW', 'Hewa', 'no', 'AYHJ', '', 'HEWA', ''),
	('AYAV', 'N/A', 'N/A', -3.7772074341773987, 142.62261226773262, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AYJE', 'small_airport', 'Yomneri Airstrip', -5.237, 144.6007, 6100, 'PG', 'PG-MPM', 'Yomneri', 'no', 'AYJE', '', '', ''),
	('AYGE', 'small_airport', 'Geigorobi Airstrip', -4.1055, 143.3056, 74, 'PG', 'PG-ESW', 'Geigorobi', 'no', 'AYGE', '', 'GEI', ''),
	('AYJL', 'N/A', 'N/A', -5.422527082264423, 145.01114264130592, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYPE', 'N/A', 'N/A', -5.445676892995834, 143.17020490765572, 2226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYTV', 'N/A', 'N/A', -5.565849244594574, 142.56683483719826, 1690, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYAQ', 'small_airport', 'Kompiam Airport', -5.38166666667, 143.924722222, 5100, 'PG', 'PG-EPW', '', 'no', 'AYAQ', 'KPM', 'KOM', ''),
	('RUU', 'small_airport', 'Ruti Airport', -5.334444444440001, 144.256666667, 1710, 'PG', 'PG-WHM', 'Kawbenaberi', 'no', '', 'RUU', 'RUTI', ''),
	('AYDP', 'small_airport', 'Tsendiap Airstrip', -5.3599, 144.4462, 1565, 'PG', 'PG-JI', 'Tsendiap', 'no', 'AYDP', '', 'TNP', ''),
	('AGG', 'small_airport', 'Angoram Airport', -4.057077, 144.073841, 75, 'PG', 'PG-ESW', 'Angoram', 'no', '', 'AGG', 'ANG', ''),
	('AYKR', 'small_airport', 'Kar Kar Airport', -4.557, 145.9404, 130, 'PG', 'PG-MPM', 'Kar Kar Island', 'no', 'AYKR', 'KRX', 'KKR', ''),
	('AYAG', 'N/A', 'N/A', -4.3366022408008575, 144.48101341724396, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYWN', 'small_airport', 'Nugwaia Airstrip', -3.8183, 142.835, 279, 'PG', 'PG-ESW', 'Nugwaia', 'no', 'AYWN', '', 'NUG', 'Nunguaiia'),
	('AYSK', 'N/A', 'N/A', -5.1239050179719925, 144.32264149188995, 1902, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYPK', 'N/A', 'N/A', -5.0136300176382065, 144.8424281179905, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYLZ', 'small_airport', 'Slai Airstrip', -4.0322, 143.1831, 77, 'PG', 'PG-ESW', 'Slai', 'no', 'AYLZ', '', 'SLAI', ''),
	('AYBJ', 'N/A', 'N/A', -5.364618189632893, 144.69054624438286, 1216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYJS', 'N/A', 'N/A', -4.746514856815338, 145.00735446810722, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYKL', 'small_airport', 'Kafle Airstrip', -3.75, 142.59, 850, 'PG', 'PG-SAN', 'Kafle', 'no', 'AYKL', '', 'KFL', ''),
	('AYSQ', 'small_airport', 'Sepik Plains Airport', -3.8821, 143.6734, 230, 'PG', 'PG-ESW', 'Sepik Plains', 'no', 'AYSQ', 'SPV', 'SPP', ''),
	('AYCB', 'N/A', 'N/A', -4.806332811713219, 144.7151778638363, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYAO', 'N/A', 'N/A', -4.365081936120987, 144.0615364909172, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYON', 'N/A', 'N/A', -5.487450957298279, 144.60732087492943, 922, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYFK', 'small_airport', 'Foroko Airstrip', -5.3283, 144.8944, 412, 'PG', 'PG-MPM', 'Foroko', 'no', 'AYFK', '', 'FRO', ''),
	('AYKJ', 'small_airport', 'Kanainj Airport', -5.2903, 144.7072, 4064, 'PG', 'PG-MPM', 'Kanainj', 'no', 'AYKJ', 'KNE', 'KNJ', ''),
	('AUJ', 'small_airport', 'Ambunti Airport', -4.21566666667, 142.823166667, 50, 'PG', 'PG-ESW', 'Ambunti', 'no', 'AYAT', 'AUJ', 'AMI', ''),
	('TBE', 'small_airport', 'Timbunke Airport', -4.196633, 143.519222, 24, 'PG', 'PG-ESW', 'Timbunke', 'no', 'AYTV', 'TBE', 'TIM', ''),
	('AYRT', 'small_airport', 'Kirinbit Airstrip', -4.2839, 143.1512, 60, 'PG', 'PG-ESW', 'Kirinbit', 'no', 'AYRT', '', 'KBT', 'Kilimbit'),
	('AYYL', 'N/A', 'N/A', -4.091125801205635, 143.38688492774963, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYUW', 'N/A', 'N/A', -5.509874559938908, 142.63924732804298, 1566, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYEM', 'small_airport', 'Eleme Airstrip', -4.8141, 143.9103, 233, 'PG', 'PG-ESW', 'Eleme', 'no', 'AYEM', '', 'ELM', ''),
	('AYPB', 'N/A', 'N/A', -5.372183360159397, 142.97575816512108, 1884, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYTM', 'small_airport', 'Tamo Airstrip', -4.7246, 144.1529, 140, 'PG', 'PG-ESW', 'Tamo', 'no', 'AYTM', '', 'TAMO', ''),
	('AYHF', 'N/A', 'N/A', -3.698209673166275, 143.0579026043415, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYWK', 'medium_airport', 'Wewak International Airport', -3.58383011818, 143.669006348, 19, 'PG', 'PG-ESW', 'Wewak', 'yes', 'AYWK', 'WWK', '', ''),
	('AYOU', 'small_airport', 'Kombaku Airstrip', -5.3817, 144.6355, 5400, 'PG', 'PG-MPM', 'Kombaku', 'no', 'AYOU', '', 'KBK', ''),
	('AYYJ', 'small_airport', 'Yanungen Airstrip', -3.4574, 142.54, 1880, 'PG', 'PG-SAN', 'Yanungen', 'no', 'AYYJ', '', 'YGN', ''),
	('APR', 'small_airport', 'April River Airport', -4.67666666667, 142.540138889, 220, 'PG', 'PG-ESW', 'April River', 'no', 'AYPE', 'APR', 'APR', ''),
	('AYTX', 'small_airport', 'Matak Airstrip', -6.174544, 146.392339, 4164, 'PG', 'PG-MPL', 'Matak', 'no', 'AYTX', '', 'MTK', 'Bayamasu School'),
	('AYRN', 'small_airport', 'Norambi Airstrip.', -6.9125, 145.6731, 5100, 'PG', 'PG-EHG', 'Norambi', 'no', 'AYRN', '', 'NMB', ''),
	('AYOQ', 'small_airport', 'Komaio Airport', -7.2714, 143.5952, 28, 'PG', 'PG-GPK', 'Komaio', 'no', 'AYOQ', 'KCJ', 'KOI', ''),
	('AYPJ', 'N/A', 'N/A', -6.498380564153194, 143.50982308387756, 786, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UAE', 'small_airport', 'Mount Aue Airport', -6.23416666667, 144.664722222, 4250, 'PG', 'PG-JI', '', 'no', 'AYAE', 'UAE', 'AUE', ''),
	('AYBY', 'small_airport', 'Wuyabo Airstrip', -6.8378, 145.8732, 6400, 'PG', 'PG-EHG', 'Wuyabo', 'no', 'AYBY', '', 'WUO', ''),
	('AYTD', 'small_airport', 'Teredau Airport', -7.3205, 144.6384, 100, 'PG', 'PG-GPK', 'Tetehui', 'no', 'AYTD', '', '', ''),
	('AYYT', 'small_airport', 'Mount Tauwa Airstrip', -6.7293, 144.303, 3700, 'PG', 'PG-SHM', 'Mount Tauwa', 'no', 'AYYT', '', 'MTA', ''),
	('AYNB', 'N/A', 'N/A', -7.537553496658802, 145.90606659650803, 1307, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYMR', 'small_airport', 'Moro Airport', -6.36332988739, 143.238006592, 2740, 'PG', 'PG-SHM', 'Moro', 'yes', 'AYMR', 'MXH', '', ''),
	('MYY', 'small_airport', 'Menyamya Airport', -7.21166666667, 146.019361111, 3880, 'PG', 'PG-MPL', 'Menyamya', 'no', 'AYMC', 'MYX', 'MYY', ''),
	('AYLC', 'small_airport', 'Lake Campbell Airstrip', -6.7486, 142.6037, 585, 'PG', 'PG-WPD', 'Lake Campbell', 'no', 'AYLC', '', '', ''),
	('AYKK', 'small_airport', 'Kikori Airport', -7.42438, 144.250076, 50, 'PG', 'PG-GPK', 'Kikori', 'yes', 'AYKK', 'KRI', '', ''),
	('KZF', 'small_airport', 'Kaintiba Airport', -7.50025, 146.033833333, 2050, 'PG', 'PG-GPK', 'Kaintiba', 'no', 'AYKT', 'KZF', 'KNT', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AYGW', 'small_airport', 'Guwasa Airport', -6.465838, 145.083968, 4800, 'PG', 'PG-EHG', 'Guwasa', 'no', 'AYGW', '', '', ''),
	('AYLA', 'closed', 'Lae Airfield', -6.731666, 146.996368, 50, 'PG', 'PG-MPL', 'Lae', 'no', '', '', '', 'Lae Drome, Lae Aerodrome, Old Lae Airfield, AYLA'),
	('AYEG', 'small_airport', 'Mengina Airstrip', -6.4836, 144.986, 4224, 'PG', 'PG-CPK', 'Mengina', 'no', 'AYEG', '', 'MEN', ''),
	('AYMV', 'N/A', 'N/A', -7.418921068310738, 143.12175437808037, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYPU', 'small_airport', 'Walluanda Airport', -6.475161, 143.987222, 6050, 'PG', 'PG-SHM', 'Puri', 'no', 'AYWZ', 'WLU', '', 'AYPU, Puri Airport'),
	('AYBA', 'N/A', 'N/A', -7.497115842998028, 144.8215927183628, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYOO', 'N/A', 'N/A', -6.067921221256256, 142.85974726080894, 1541, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYMU', 'N/A', 'N/A', -5.782693438231945, 144.55726012587547, 1552, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYSS', 'N/A', 'N/A', -7.621509991586208, 142.8680245578289, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYSB', 'small_airport', 'Sirebi Airstrip', -7.2196, 144.2352, 115, 'PG', 'PG-GPK', 'Sirebi', 'no', 'AYSB', '', '', ''),
	('AYBT', 'small_airport', 'Batri Airstrip', -6.5522, 143.9441, 4510, 'PG', 'PG-SHM', 'Batri', 'no', 'AYBT', '', 'BTR', ''),
	('AYTF', 'N/A', 'N/A', -6.058686040341854, 143.033589720726, 1499, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYOZ', 'small_airport', 'Kora Airstrip', -6.4304, 145.0931, 5745, 'PG', 'PG-EHG', 'Kora', 'no', 'AYOZ', '', 'KORA', ''),
	('AYNT', 'small_airport', 'Kantobo Airstrip', -6.7227, 143.5636, 1385, 'PG', 'PG-SHM', 'Kantobo', 'no', 'AYNT', '', 'KNO', 'KAB, Kandobo, Kantobel, Iamagu'),
	('AYPW', 'small_airport', 'Panakawa Airport', -7.67205555556, 143.124722222, 42, 'PG', 'PG-WPD', '', 'no', 'AYPW', '', '', ''),
	('AYGY', 'small_airport', 'Guavi Airstrip', -6.87, 142.7537, 303, 'PG', 'PG-WPD', 'Guavi', 'no', 'AYGY', '', '', ''),
	('AYOW', 'small_airport', 'Koroba Airport', -5.6952, 142.7441, 5638, 'PG', 'PG-HE', 'Koroba', 'no', 'AYOW', 'KDE', '', ''),
	('AYAW', 'N/A', 'N/A', -8.00621185451746, 142.74828225374222, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIH', 'N/A', 'N/A', -7.390314303338528, 145.16592130064964, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYYR', 'small_airport', 'Yasuru Airport', -6.6015, 146.1813, 1520, 'PG', 'PG-MPL', 'Yasuru', 'yes', 'AYYR', 'KSX', 'YAS', ''),
	('AYTW', 'small_airport', 'Tawa Airport', -7.4463, 146.1067, 5020, 'PG', 'PG-MPL', 'Tawa', 'no', 'AYTW', 'TWY', 'TAWA', ''),
	('AYVP', 'small_airport', 'Woposali Airstrip', -6.6577, 144.2974, 2009, 'PG', 'PG-SHM', 'Woposali', 'no', 'AYVP', '', 'WOS', 'Wopasali'),
	('AYTA', 'small_airport', 'Tari Airport', -5.845, 142.947998, 5500, 'PG', 'PG-HE', 'Tari', 'yes', 'AYTA', 'TIZ', '', ''),
	('AYGH', 'small_airport', 'Guhu Airstrip', -5.6957, 146.1116, 3, 'PG', 'PG-MPM', 'Guhu', 'no', 'AYGH', '', 'GUHU', ''),
	('AYWW', 'N/A', 'N/A', -6.696104630827904, 145.80909222364426, 1656, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYUL', 'small_airport', 'Musula Airstrip', -6.8385, 142.8983, 740, 'PG', 'PG-WPD', 'Musula', 'no', 'AYUL', '', 'MSL', ''),
	('AYNH', 'small_airport', 'Nahu Airstrip', -5.842728, 146.112601, 6520, 'PG', 'PG-MPM', 'Gumbarami', 'no', 'AYNH', '', 'NAHU', ''),
	('AYHY', 'small_airport', 'Huya Airstrip', -6.2734, 142.7061, 2611, 'PG', 'PG-HE', 'Huya', 'no', 'AYHY', '', 'HUYA', ''),
	('AYMH', 'medium_airport', 'Mount Hagen Kagamuga Airport', -5.828212, 144.299412, 5388, 'PG', 'PG-WHM', 'Mount Hagen', 'yes', 'AYMH', 'HGU', '', ''),
	('AYTC', 'small_airport', 'Tapila Airstrip', -8.4188, 142.9043, 48, 'PG', 'PG-WPD', 'Mutam', 'no', 'AYTC', '', 'TPL', ''),
	('AYNY', 'small_airport', 'Nambaiyufa Airport', -6.2412, 145.2424, 5550, 'PG', 'PG-CPK', 'Nambaiyufa', 'no', 'AYNY', 'NBA', 'NBF', ''),
	('AYMI', 'N/A', 'N/A', -5.720849744975567, 144.92186352610588, 1983, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYDY', 'small_airport', 'Sindeni Airstrip', -7.0077, 145.7965, 5710, 'PG', 'PG-EHG', 'Sindeni', 'no', 'AYDY', '', 'SDI', ''),
	('AYUX', 'small_airport', 'Usarumpia Airstrip', -6.9858, 145.8102, 5820, 'PG', 'PG-EHG', 'Usarumpia', 'no', 'AYUX', '', 'URP', ''),
	('AYPG', 'small_airport', 'Pangia Airport', -6.386, 144.1084, 5340, 'PG', 'PG-SHM', 'Pangia', 'no', 'AYPG', 'PGN', 'PNA', ''),
	('AYWF', 'small_airport', 'Wawoi Falls Airport', -6.9523, 142.6557, 370, 'PG', 'PG-WPD', 'Wavoi Falls', 'no', 'AYWF', 'WAJ', 'WWF', 'Wavwoi Falls'),
	('AYHX', 'small_airport', 'Herowena Airstrip', -6.6229, 145.1972, 4695, 'PG', 'PG-EHG', 'Herowana', 'no', 'AYHX', '', 'HRW', ''),
	('AYBF', 'N/A', 'N/A', -7.84711092710495, 143.2417993247509, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYLG', 'N/A', 'N/A', -5.832555703818798, 145.0977060198784, 2560, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYHN', 'small_airport', 'Habina Airstrip', -6.6671, 146, 6200, 'PG', 'PG-EHG', 'Habina', 'no', 'AYHN', '', 'HAA', ''),
	('AYHA', 'small_airport', 'Haia Airport', -6.707421, 144.997398, 2434, 'PG', 'PG-CPK', '', 'no', 'AYHA', '', 'HAIA', ''),
	('AYOK', 'small_airport', 'Komako Airport', -7.3984, 145.8827, 3960, 'PG', 'PG-GPK', 'Komako', 'no', 'AYOK', 'HOC', 'KMA', ''),
	('AYDI', 'N/A', 'N/A', -5.740451663732529, 145.2272768318653, 1354, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYUC', 'small_airport', 'Umba Airport', -7.0214, 145.966, 5950, 'PG', 'PG-MPL', 'Umba', 'no', 'AYUC', 'UMC', 'UMBA', ''),
	('AYXE', 'small_airport', 'Yeva Airport', -7.548, 146.188, 4510, 'PG', 'PG-MPL', 'Yeva', 'no', 'AYXE', 'YVD', 'YEVA', ''),
	('AYGP', 'small_airport', 'Gusap Airport', -6.053196, 145.959047, 1504, 'PG', 'PG-MPL', 'Gusap', 'no', 'AYGP', 'GAP', 'GSP', ''),
	('AYMM', 'N/A', 'N/A', -6.370922662317753, 143.17491352558136, 868, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYOL', 'N/A', 'N/A', -5.730720609426498, 144.8464299738407, 1609, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYUS', 'small_airport', 'Suame Airstrip', -8.3684, 142.5862, 71, 'PG', 'PG-WPD', 'Suame', 'no', 'AYUS', '', '', ''),
	('AYOI', 'N/A', 'N/A', -7.038744762539864, 145.73406144976616, 1456, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TBQ', 'small_airport', 'Tarabo Airport', -6.46666666667, 145.532222222, 6100, 'PG', 'PG-EHG', 'Tarabo', 'no', 'AYTR', 'TBQ', 'TRB', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AYXM', 'N/A', 'N/A', -6.063374876976013, 142.87680566310883, 1555, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYHU', 'N/A', 'N/A', -7.3928191512823105, 146.0025630891323, 1369, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYUD', 'heliport', 'Kais-Udave Helicopter landing site', -8.7819, 147.2785, 3300, 'PG', 'PG-CPM', '', 'no', 'AYUD', '', '', ''),
	('KMF', 'small_airport', 'Kamina Airport', -7.64925, 145.956944444, 2157, 'PG', 'PG-GPK', 'Hoieti', 'no', 'AYKD', 'KMF', 'KMN', ''),
	('AYRI', 'small_airport', 'Karimui Airport', -6.4921, 144.823, 3640, 'PG', 'PG-CPK', 'Karimui', 'no', 'AYRI', 'KMR', 'KRI', ''),
	('AYWO', 'small_airport', 'Wonenara Airport', -6.796861111110001, 145.891944444, 5028, 'PG', 'PG-EHG', 'Wonenara', 'no', 'AYWO', 'WOA', 'WOA', ''),
	('AYTS', 'small_airport', 'Tsewi Airport', -7.0695, 146.1272, 4185, 'PG', 'PG-MPL', 'Tsewi', 'no', 'AYTS', 'TSW', 'TSE', ''),
	('AYKM', 'medium_airport', 'Kerema Airport', -7.96361017227, 145.770996094, 10, 'PG', 'PG-GPK', 'Kerema', 'yes', 'AYKM', 'KMA', '', ''),
	('AYZQ', 'small_airport', 'Sopise Airstrip', -6.7887, 144.1593, 3450, 'PG', 'PG-SHM', 'Sopise', 'no', 'AYZQ', '', 'SPS', 'Sopese'),
	('AYNO', 'small_airport', 'Nomane Airport', -6.32183, 145.070667, 6032, 'PG', 'PG-CPK', 'Namane', 'no', 'AYNO', 'NMN', 'NOM', ''),
	('AYOD', 'small_airport', 'Obura Airstrip', -6.5507, 145.9728, 5600, 'PG', 'PG-EHG', 'Obura', 'no', 'AYOD', '', 'OBU', ''),
	('AYAJ', 'N/A', 'N/A', -5.961468368768692, 143.0604176223278, 1981, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYTL', 'small_airport', 'Talbakul Airstrip', -6.3708, 144.7167, 3500, 'PG', 'PG-CPK', 'Talbakul', 'no', 'AYTL', '', 'TLK', ''),
	('KAK', 'small_airport', 'Kar Airport', -6.2452, 143.5516, 4965, 'PG', 'PG-SHM', 'Kar', 'no', '', 'KAK', 'KAR', ''),
	('AYKX', 'N/A', 'N/A', -7.028696872293949, 145.76764181256294, 1777, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYVA', 'small_airport', 'Vailala Airstrip', -7.7677, 145.4857, 85, 'PG', 'PG-GPK', 'Hepa', 'no', 'AYVA', '', '', ''),
	('AYDD', 'small_airport', 'Dobu Airstrip', -6.6305, 144.6383, 3115, 'PG', 'PG-CPK', 'Dobu', 'no', 'AYDD', '', 'DOBU', ''),
	('AYPA', 'small_airport', 'Somokopa Airstrip', -7.0838, 142.514, 489, 'PG', 'PG-WPD', 'Somokopa', 'no', 'AYPA', '', '', ''),
	('AYCH', 'medium_airport', 'Chimbu Airport', -6.024290084838867, 144.9709930419922, 4974, 'PG', 'PG-CPK', 'Kundiawa', 'yes', 'AYCH', 'CMU', '', ''),
	('AYIC', 'N/A', 'N/A', -7.897537797689438, 145.39673388004303, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYKQ', 'N/A', 'N/A', -6.5160586684942245, 144.70721393823624, 1139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYPI', 'small_airport', 'Kapi Airstrip', -6.371, 144.6839, 3408, 'PG', 'PG-CPK', 'Kapi', 'no', 'AYPI', '', 'KAPI', ''),
	('AYKW', 'N/A', 'N/A', -7.976312935352325, 142.82205998897552, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYGM', 'small_airport', 'Gema Airstrip', -6.803088, 145.775866, 5370, 'PG', 'PG-EHG', 'Gema', 'no', 'AYGM', '', 'GEMA', ''),
	('AYBN', 'N/A', 'N/A', -6.891799941658974, 143.68180006742477, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIU', 'small_airport', 'Ialibu Airport', -6.2782, 143.9944, 6736, 'PG', 'PG-SHM', 'Ialibu', 'no', 'AYIU', 'IAL', 'IBU', 'Lalibu'),
	('AYBO', 'N/A', 'N/A', -6.373166665434837, 144.63699996471405, 1006, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYAY', 'N/A', 'N/A', -6.337946243584156, 145.9040129184723, 1632, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BLI', 'medium_airport', 'Bellingham International Airport', 48.79280090332031, -122.53800201416016, 170, 'US', 'US-WA', 'Bellingham', 'yes', 'KBLI', 'BLI', 'BLI', ''),
	('AYRR', 'small_airport', 'Tiri Airstrip', -6.6815, 144.1842, 4545, 'PG', 'PG-SHM', 'Tiri', 'no', 'AYRR', '', 'TIRI', ''),
	('AYNN', 'N/A', 'N/A', -5.840611048042774, 143.5072222352028, 2350, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYKU', 'small_airport', 'Kuri Airport', -7.135083, 143.276111, 35, 'PG', 'PG-GPK', 'Kuri', 'no', 'AYKU', 'KUQ', 'KURI', ''),
	('AYII', 'small_airport', 'Imane Airport', -6.7524, 146.1072, 3860, 'PG', 'PG-MPL', 'Imane', 'no', 'AYII', 'IMN', 'IMN', 'Imani'),
	('ADC', 'small_airport', 'Andakombe Airport', -7.13722222222, 145.744722222, 3600, 'PG', 'PG-EHG', 'Andekombe', 'no', 'AYAN', 'ADC', 'ADK', ''),
	('AYAX', 'N/A', 'N/A', -7.3511480167508125, 146.19418010115623, 1245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIW', 'N/A', 'N/A', -8.283304832875729, 142.87035763263702, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NPG', 'small_airport', 'Nipa Airport', -6.1454, 143.4531, 5765, 'PG', 'PG-SHM', 'Nipa', 'no', '', 'NPG', '', ''),
	('AYMG', 'small_airport', 'Magleri Airstrip', -4.052061, 141.986281, 100, 'PG', 'PG-SAN', 'Magleri', 'no', 'AYMG', '', 'MAG', ''),
	('AYGD', 'small_airport', 'Gimi Airstrip', -6.6482, 145.4003, 5096, 'PG', 'PG-EHG', 'Amusa', 'no', 'AYGD', '', 'GIMI', ''),
	('AYGA', 'medium_airport', 'Goroka Airport', -6.081689834590001, 145.391998291, 5282, 'PG', 'PG-EHG', 'Goronka', 'yes', 'AYGA', 'GKA', '', ''),
	('AYNE', 'small_airport', 'Negarbo(Negabo) Airport', -6.567778, 144.703058, 4500, 'PG', 'PG-CPK', 'Negarbo', 'no', 'AYNE', 'GBF', 'NBO', ''),
	('AYMW', 'small_airport', 'Marawaka Airport', -6.9736, 145.8849, 6050, 'PG', 'PG-EHG', 'Marawaka', 'no', 'AYMW', 'MWG', 'MWK', ''),
	('AYNQ', 'N/A', 'N/A', -7.484668716788292, 143.82227092981339, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYAD', 'N/A', 'N/A', -7.020682767033577, 145.8221836388111, 1645, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYUO', 'small_airport', 'Omaura Airstrip', -6.3679, 145.9902, 4860, 'PG', 'PG-EHG', 'Omaura', 'no', 'AYUO', '', 'ORA', ''),
	('AYSM', 'small_airport', 'Samberigi Airstrip', -6.7193, 143.9338, 3830, 'PG', 'PG-SHM', 'Samberigi Mission', 'no', 'AYSM', '', 'SGI', ''),
	('AYEV', 'N/A', 'N/A', -6.606434024870396, 143.90070274472237, 1108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYQM', 'small_airport', 'Simogu Airstrip', -6.8008, 145.7134, 4990, 'PG', 'PG-EHG', 'Simogu', 'no', 'AYQM', '', 'SMG', ''),
	('AYWD', 'medium_airport', 'Wapenamanda Airport', -5.635293, 143.892231, 5889, 'PG', 'PG-EPW', 'Wapenamanda', 'yes', 'AYWD', 'WBM', '', ''),
	('AYMN', 'medium_airport', 'Mendi Airport', -6.14774, 143.656998, 5680, 'PG', 'PG-SHM', 'Mendi', 'yes', 'AYMN', 'MDU', '', ''),
	('AYHO', 'small_airport', 'Haivaro Airport', -6.9406, 143.059, 180, 'PG', 'PG-GPK', 'Haivaro', 'no', 'AYHO', 'HIT', 'HWO', 'Haiwaro');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('DMN', 'medium_airport', 'Deming Municipal Airport', 32.262298584, -107.721000671, 4314, 'US', 'US-NM', 'Deming', 'no', 'KDMN', 'DMN', 'DMN', ''),
	('AYUU', 'N/A', 'N/A', -7.401210777461529, 145.8150328695774, 1143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYPO', 'small_airport', 'Mapoda Airport', -7.979, 143.1694, 45, 'PG', 'PG-WPD', 'Mapoda', 'no', 'AYPO', 'MPF', 'MPO', 'Mapodo'),
	('AYFO', 'small_airport', 'Fogomaiu Airstrip', -6.5096, 143.0794, 737, 'PG', 'PG-SHM', 'Fogomaiu', 'no', 'AYFO', '', 'FGM', 'Fogoma''iu, Fogomaio'),
	('AYGB', 'N/A', 'N/A', -6.877850107848644, 143.72188344597816, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYXG', 'small_airport', 'Sugu Airstrip', -6.3907, 143.5565, 4105, 'PG', 'PG-SHM', 'Sugu', 'no', 'AYXG', '', 'SUGU', ''),
	('AYWB', 'small_airport', 'Wabo Airport', -6.98944444444, 145.075111111, 132, 'PG', 'PG-GPK', 'Wabo', 'no', 'AYWB', 'WAO', 'WABO', ''),
	('AGK', 'small_airport', 'Kagua Airport', -6.396388888890001, 143.853611111, 5350, 'PG', 'PG-SHM', 'Kagua', 'no', '', 'AGK', '', ''),
	('AYQB', 'small_airport', 'Simbari Airstrip', -6.9623, 145.6448, 3560, 'PG', 'PG-EHG', 'Simbari', 'no', 'AYQB', '', 'SBR', ''),
	('AYTU', 'N/A', 'N/A', -5.718212462961674, 142.69734621047974, 1860, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYEN', 'small_airport', 'Engati Airstrip', -6.9179, 146.1053, 3715, 'PG', 'PG-MPL', 'Engati', 'no', 'AYEN', 'EGA', 'EGT', ''),
	('AYLI', 'N/A', 'N/A', -9.006455205380917, 142.69816294312477, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMAE', 'small_airport', 'Murray Island Airport', -9.915105, 144.054644, 300, 'AU', 'AU-QLD', 'Murray Island', 'yes', 'YMAE', 'MYI', '', 'Mer Island, Maer Island'),
	('AYDL', 'small_airport', 'Kondobol Airport', -8.5336, 142.5049, 132, 'PG', 'PG-WPD', 'Kondobol', 'no', 'AYDL', 'KPF', 'KDB', 'Kondubol, Kondobal'),
	('AYDU', 'medium_airport', 'Daru Airport', -9.08676, 143.207993, 20, 'PG', 'PG-WPD', 'Daru', 'yes', 'AYDU', 'DAU', '', ''),
	('AYXP', 'N/A', 'N/A', -8.78790445625782, 142.88205340504646, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YYKI', 'small_airport', 'Yorke Island Airport', -9.752801, 143.405673, 10, 'AU', 'AU-QLD', 'Yorke Island', 'yes', 'YYKI', 'OKR', '', 'Masig Island'),
	('YYMI', 'small_airport', 'Yam Island Airport', -9.899187, 142.774265, 0, 'AU', 'AU-QLD', 'Yam Island', 'yes', 'YYMI', 'XMY', '', ''),
	('KPL', 'small_airport', 'Kapal Airport', -8.630184, 142.823756, 170, 'PG', 'PG-WPD', 'Kapal', 'no', '', 'KPL', 'KPL', ''),
	('AYUR', 'small_airport', 'Upiara Airport', -8.5411, 142.6503, 52, 'PG', 'PG-WPD', 'Upiara', 'no', 'AYUR', 'UPR', 'UPA', ''),
	('YCCT', 'small_airport', 'Coconut Island Airport', -10.05, 143.070007, 3, 'AU', 'AU-QLD', '', 'yes', 'YCCT', 'CNC', '', ''),
	('YSII', 'small_airport', 'Saibai Island Airport', -9.37833, 142.625, 15, 'AU', 'AU-QLD', 'Saibai Island', 'yes', 'YSII', 'SBR', '', ''),
	('MQO', 'small_airport', 'Malam Airport', -8.70916666667, 142.649722222, 126, 'PG', 'PG-WPD', 'Malam', 'no', 'AYMQ', 'MQO', 'MAA', ''),
	('YWBS', 'small_airport', 'Warraber Island Airport', -10.20829963684082, 142.8249969482422, 3, 'AU', 'AU-QLD', 'Sue Islet', 'yes', 'YWBS', 'SYU', '', ''),
	('YCTP', 'N/A', 'N/A', -13.956386782228947, 143.1826190650463, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWEG', 'N/A', 'N/A', -13.789198994636536, 142.5512297451496, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWVN', 'N/A', 'N/A', -13.314486220479012, 142.8867343068123, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWAT', 'small_airport', 'Wattle Hills Airport', -12.637238, 143.041391, 0, 'AU', 'AU-QLD', '', 'no', 'YWAT', '', '', ''),
	('YHKI', 'N/A', 'N/A', -11.982333920896053, 143.26820254325867, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHTL', 'small_airport', 'Heathlands Airport', -11.7369, 142.576996, 0, 'AU', 'AU-QLD', 'Shelburne', 'no', 'YHTL', 'HAT', '', ''),
	('YCOE', 'medium_airport', 'Coen Airport', -13.761133, 143.113311, 532, 'AU', 'AU-QLD', 'Coen', 'yes', 'YCOE', 'CUQ', '', ''),
	('YARC', 'N/A', 'N/A', -13.436287343502045, 142.92895942926407, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMOT', 'small_airport', 'Moreton Airport', -12.444199562099998, 142.638000488, 0, 'AU', 'AU-QLD', 'Moreton', 'no', 'YMOT', 'MET', '', ''),
	('YBTV', 'small_airport', 'Batavia Downs Airport', -12.6592, 142.675003, 0, 'AU', 'AU-QLD', '', 'no', 'YBTV', 'BVW', '', ''),
	('YLHR', 'medium_airport', 'Lockhart River Airport', -12.7869, 143.304993, 77, 'AU', 'AU-QLD', 'Lockhart River', 'yes', 'YLHR', 'IRG', '', ''),
	('RKY', 'small_airport', 'Rokeby Airport', -13.6434, 142.641, 362, 'AU', 'AU-QLD', 'Rokeby', 'no', '', 'RKY', '', ''),
	('YSVP', 'small_airport', 'Silver Plains Airport', -13.9754, 143.5537, 48, 'AU', 'AU-QLD', 'Silver Plains', 'no', 'YSVP', 'SSP', 'YSVP', ''),
	('YPPS', 'N/A', 'N/A', -13.153619393706322, 142.7767762541771, 120, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMMH', 'N/A', 'N/A', -16.376031674444675, 143.99021744728088, 160, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YYDN', 'N/A', 'N/A', -14.30326446890831, 143.31110626459122, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKLG', 'small_airport', 'Kalinga Airport', -15.202823, 143.850217, 0, 'AU', 'AU-QLD', '', 'no', 'YKLG', '', '', ''),
	('YLND', 'small_airport', 'Lakeland Airport', -15.841213, 144.849118, 930, 'AU', 'AU-QLD', 'Lakeland Downs', 'no', 'YLND', 'LKD', '', ''),
	('YSTB', 'small_airport', 'Strathburn Airport', -14.477416, 142.824628, 0, 'AU', 'AU-QLD', 'Holroyd River', 'no', 'YSTB', '', '', ''),
	('YDDF', 'small_airport', 'Drumduff Airport', -16.052124, 143.013339, 0, 'AU', 'AU-QLD', 'Palmer', 'no', 'YDDF', 'DFP', '', 'Drumduff Station'),
	('YMGV', 'small_airport', 'Musgrave Airport', -14.7757, 143.5047, 302, 'AU', 'AU-QLD', 'Musgrave', 'no', 'YMGV', 'MVU', '', ''),
	('YMDW', 'small_airport', 'Maitland Downs Airport', -16.22330093383789, 144.7030029296875, 0, 'AU', 'AU-QLD', '', 'no', 'YMDW', '', '', ''),
	('YGGL', 'small_airport', 'Glen Garland Airport', -14.866700172424316, 143.2830047607422, 0, 'AU', 'AU-QLD', '', 'no', 'YGGL', '', '', ''),
	('YMYY', 'small_airport', 'Mary Valley Airport', -15.047093, 143.757777, 0, 'AU', 'AU-QLD', '', 'no', 'YMYY', '', '', ''),
	('YKVA', 'N/A', 'N/A', -15.711633078753948, 143.7481851875782, 191, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSLN', 'small_airport', 'Strathleven Airport', -15.898300170898438, 143.38299560546875, 0, 'AU', 'AU-QLD', '', 'no', 'YSLN', '', '', ''),
	('YBMD', 'small_airport', 'Bloomfield River Airport', -15.8736000061, 145.330001831, 0, 'AU', 'AU-QLD', '', 'no', 'YBMD', 'BFC', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YKPR', 'small_airport', 'Kalpowar Airport', -14.89, 144.22, 90, 'AU', 'AU-QLD', 'Kalpower', 'no', 'YKPR', 'KPP', '', ''),
	('YWMP', 'small_airport', 'Wrotham Park Airport', -16.658915, 143.999263, 152, 'AU', 'AU-QLD', 'Wrotham Park', 'no', 'YWMP', 'WPK', '', ''),
	('YWEF', 'N/A', 'N/A', -14.0802538767457, 142.99490422010422, 192, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKJN', 'N/A', 'N/A', -15.88515255600214, 143.51134032011032, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLRA', 'small_airport', 'Laura Airport', -15.560495, 144.451418, 627, 'AU', 'AU-QLD', '', 'no', 'YLRA', 'LUU', '', ''),
	('YSMY', 'small_airport', 'Strathmay Airport', -14.883299827575684, 142.802001953125, 0, 'AU', 'AU-QLD', '', 'no', 'YSMY', '', '', ''),
	('YHHY', 'small_airport', 'Highbury Airport', -16.424148, 143.14534, 0, 'AU', 'AU-QLD', 'Highbury', 'no', 'YHHY', 'HIG', '', ''),
	('YCFL', 'small_airport', 'Cape Flattery Airport', -14.970832, 145.311667, 3609, 'AU', 'AU-QLD', '', 'no', 'YCFL', 'CQP', '', ''),
	('YLZI', 'small_airport', 'Lizard Island Airport', -14.673273, 145.454571, 70, 'AU', 'AU-QLD', '', 'no', 'YLZI', 'LZR', '', ''),
	('YJNY', 'small_airport', 'Jonroy Airport', -16.5, 144.39999389648438, 0, 'AU', 'AU-QLD', '', 'no', 'YJNY', '', '', ''),
	('YPIN', 'small_airport', 'Pinnacle Airport', -15.66670036315918, 143.5500030517578, 0, 'AU', 'AU-QLD', '', 'no', 'YPIN', '', '', ''),
	('YBIZ', 'small_airport', 'Bizant Airport', -14.7402777778, 144.119444444, 65, 'AU', 'AU-QLD', 'Lakefield National Park', 'no', 'YBIZ', 'BZP', '', ''),
	('YCKN', 'medium_airport', 'Cooktown Airport', -15.443649, 145.183221, 26, 'AU', 'AU-QLD', '', 'yes', 'YCKN', 'CTN', '', ''),
	('YKLB', 'small_airport', 'Koolburra Airport', -15.318900108337402, 143.9550018310547, 350, 'AU', 'AU-QLD', 'Koolburra', 'no', 'YKLB', 'KKP', '', ''),
	('YGAM', 'small_airport', 'Gamboola Airport', -16.54412, 143.668155, 0, 'AU', 'AU-QLD', 'Gamboola', 'no', 'YGAM', 'GBP', '', 'Gamboola Station'),
	('YDIX', 'small_airport', 'Dixie Airport', -15.1174944348, 143.316049576, 580, 'AU', 'AU-QLD', 'New Dixie', 'no', 'YDIX', 'DXD', '', ''),
	('YVVL', 'small_airport', 'Violet Vale Airport', -14.733714, 143.589334, 0, 'AU', 'AU-QLD', '', 'no', 'YVVL', '', '', ''),
	('YBVE', 'N/A', 'N/A', -16.513274610042572, 144.18459355831146, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHPV', 'small_airport', 'Hope Vale Airport', -15.2923, 145.1035, 228, 'AU', 'AU-QLD', 'Hope Vale', 'no', 'YHPV', 'HPE', 'YHPV', ''),
	('YSVN', 'small_airport', 'Strathaven Airport', -14.899999618530273, 142.9669952392578, 0, 'AU', 'AU-QLD', '', 'no', 'YSVN', '', '', ''),
	('YCBY', 'small_airport', 'Daintree Airport', -16.219341278076172, 145.4247283935547, 0, 'AU', 'AU-QLD', '', 'no', 'YCBY', '', '', ''),
	('YJWB', 'small_airport', 'Jowalbinna Airport', -15.73330020904541, 144.26699829101563, 0, 'AU', 'AU-QLD', '', 'no', 'YJWB', '', '', ''),
	('YYAK', 'small_airport', 'Yalkulka Airport', -16.731384, 145.347425, 0, 'AU', 'AU-QLD', '', 'no', 'YYAK', '', '', ''),
	('YCOK', 'N/A', 'N/A', -15.685927122831345, 145.21507278084755, 136, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLFD', 'small_airport', 'Lakefield Airport', -14.9207, 144.203, 107, 'AU', 'AU-QLD', 'Lakefield', 'no', 'YLFD', 'LFP', '', ''),
	('YNMN', 'small_airport', 'New Moon Airport', -19.2, 145.773, 1099, 'AU', 'AU-QLD', 'Basalt', 'no', 'YNMN', 'NMP', 'YNMN', ''),
	('YLKD', 'small_airport', 'Lucky Downs Airport', -18.910527, 144.996843, 0, 'AU', 'AU-QLD', '', 'no', 'YLKD', '', '', ''),
	('YWDT', 'small_airport', 'Wyandotte Airport', -18.753838, 144.840761, 0, 'AU', 'AU-QLD', '', 'no', 'YWDT', '', '', ''),
	('YFSA', 'small_airport', 'Forsayth Airport', -18.58658, 143.565903, 0, 'AU', 'AU-QLD', '', 'no', 'YFSA', '', '', ''),
	('YDRV', 'N/A', 'N/A', -18.77678744494915, 144.6922990679741, 507, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YIFL', 'small_airport', 'Innisfail Airport', -17.559401, 146.011993, 46, 'AU', 'AU-QLD', '', 'no', 'YIFL', 'IFL', '', ''),
	('YCMK', 'small_airport', 'Camel Creek Airport', -18.857807, 145.476481, 0, 'AU', 'AU-QLD', '', 'no', 'YCMK', '', '', ''),
	('YBNP', 'N/A', 'N/A', -17.339073456823826, 145.56672245264053, 777, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMSP', 'small_airport', 'Mount Surprise Airport', -18.131584, 144.288066, 0, 'AU', 'AU-QLD', '', 'no', 'YMSP', '', '', ''),
	('YLCK', 'N/A', 'N/A', -19.39658861607313, 145.85005089640617, 332, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLHS', 'small_airport', 'Lyndhurst Airport', -19.1958007812, 144.371002197, 0, 'AU', 'AU-QLD', 'Lyndhurst', 'no', 'YLHS', 'LTP', '', ''),
	('YABI', 'small_airport', 'Abingdon Downs Airport', -17.608814, 143.183531, 573, 'AU', 'AU-QLD', 'Abingdon Downs', 'no', 'YABI', 'ABG', '', ''),
	('YMRT', 'small_airport', 'Mount Garnet Airport', -17.70592, 145.148217, 657, 'AU', 'AU-QLD', '', 'no', 'YMRT', '', '', ''),
	('YUDA', 'small_airport', 'Undara Airport', -18.200000762939453, 144.60000610351563, 0, 'AU', 'AU-QLD', '', 'no', 'YUDA', 'UDA', '', ''),
	('YTVA', 'small_airport', 'Talavera Airport', -19.210481, 143.663656, 0, 'AU', 'AU-QLD', '', 'no', 'YTVA', '', '', ''),
	('YROB', 'small_airport', 'Robinhood Airport', -18.844999313354492, 143.7100067138672, 460, 'AU', 'AU-QLD', '', 'no', 'YROB', 'ROH', '', ''),
	('YGNV', 'small_airport', 'Greenvale Airport', -18.9966, 145.0136, 0, 'AU', 'AU-QLD', '', 'no', 'YGNV', 'GVP', '', ''),
	('YGTN', 'small_airport', 'Georgetown Airport', -18.302676, 143.530925, 995, 'AU', 'AU-QLD', 'Georgetown', 'no', 'YGTN', 'GTT', '', ''),
	('YDIM', 'small_airport', 'Dimbulah Airport', -17.128651, 145.09577, 0, 'AU', 'AU-QLD', '', 'no', 'YDIM', '', '', ''),
	('YDAG', 'small_airport', 'Dagworth Airport', -17.940673, 143.594985, 0, 'AU', 'AU-QLD', '', 'no', 'YDAG', '', '', ''),
	('YCHS', 'N/A', 'N/A', -19.650762788951397, 144.14275243878365, 856, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCGO', 'small_airport', 'Chillagoe Airport', -17.138386, 144.528494, 1110, 'AU', 'AU-QLD', 'Chillagoe', 'no', 'YCGO', 'LLG', '', ''),
	('YIGM', 'small_airport', 'Ingham Airport', -18.664149, 146.145804, 49, 'AU', 'AU-QLD', '', 'no', 'YIGM', 'IGH', '', ''),
	('YHLG', 'small_airport', 'Hillgrove Airport', -19.642499923706055, 145.7969970703125, 0, 'AU', 'AU-QLD', '', 'no', 'YHLG', '', '', ''),
	('YCDW', 'N/A', 'N/A', -18.178682327270508, 145.95018982887268, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCJU', 'small_airport', 'Conjuboy Airport', -18.68515, 144.748292, 0, 'AU', 'AU-QLD', '', 'no', 'YCJU', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YOTN', 'small_airport', 'Ootann Airport', -17.442825, 144.64672, 0, 'AU', 'AU-QLD', '', 'no', 'YOTN', '', '', ''),
	('YWDV', 'small_airport', 'Mount Full Stop Airport', -19.67, 144.8852, 1918, 'AU', 'AU-QLD', 'Wando Vale', 'no', 'YWDV', 'MFL', '', ''),
	('YCPN', 'small_airport', 'Carpentaria Downs Airport', -18.718481, 144.313028, 1585, 'AU', 'AU-QLD', 'Carpentaria Downs', 'no', 'YCPN', 'CFP', '', ''),
	('YBWR', 'small_airport', 'Bolwarra Airport', -17.388299942, 144.169006348, 0, 'AU', 'AU-QLD', '', 'no', 'YBWR', 'BCK', '', ''),
	('YSPK', 'small_airport', 'Spring Creek Airport', -18.637704, 144.545672, 0, 'AU', 'AU-QLD', '', 'no', 'YSPK', 'SCG', '', ''),
	('YMBA', 'medium_airport', 'Mareeba Airport', -17.070277, 145.424228, 1560, 'AU', 'AU-QLD', 'Mareeba', 'no', 'YMBA', 'MRG', '', ''),
	('YGUW', 'small_airport', 'Gunnawarra Airport', -17.950000762939453, 145.16700744628906, 0, 'AU', 'AU-QLD', '', 'no', 'YGUW', '', '', ''),
	('RLP', 'small_airport', 'Rosella Plains Airport', -18.4253, 144.4587, 1855, 'AU', 'AU-QLD', 'Rosella Plains', 'no', '', 'RLP', '', ''),
	('YBWM', 'small_airport', 'Bulimba Airport', -16.8808002472, 143.479003906, 470, 'AU', 'AU-QLD', '', 'no', 'YBWM', 'BIP', '', ''),
	('YMLE', 'N/A', 'N/A', -19.579599760472775, 145.25976464152336, 461, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGHG', 'small_airport', 'Glen Harding Airport - CLOSED', -18.248608, 145.125958, 0, 'AU', 'AU-QLD', '', 'no', 'YGHG', '', '', ''),
	('YBTS', 'small_airport', 'Battery Downs Airport', -19.433300018310547, 145.85000610351563, 0, 'AU', 'AU-QLD', '', 'no', 'YBTS', '', '', ''),
	('YKID', 'small_airport', 'Kidston Airport', -18.8700008392334, 144.17300415039063, 494, 'AU', 'AU-QLD', '', 'no', 'YKID', '', '', ''),
	('YBCS', 'medium_airport', 'Cairns International Airport', -16.885799408, 145.755004883, 10, 'AU', 'AU-QLD', 'Cairns', 'yes', 'YBCS', 'CNS', '', ''),
	('YEIN', 'small_airport', 'Einasleigh Airport', -18.503299713100002, 144.093994141, 0, 'AU', 'AU-QLD', 'Einasleigh', 'no', 'YEIN', 'EIH', '', ''),
	('YHTN', 'small_airport', 'Herberton Airport', -17.433300018310547, 145.39999389648438, 0, 'AU', 'AU-QLD', '', 'no', 'YHTN', '', '', ''),
	('YWRS', 'N/A', 'N/A', -19.319318868219852, 144.08015996217728, 746, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGRU', 'small_airport', 'Glen Ruth Airport', -18.08329963684082, 145.39999389648438, 0, 'AU', 'AU-QLD', '', 'no', 'YGRU', '', '', ''),
	('YDKI', 'small_airport', 'Dunk Island Airport', -17.93913, 146.141447, 6, 'AU', 'AU-QLD', 'Dunk Island', 'no', 'YDKI', 'DKI', '', ''),
	('YATN', 'small_airport', 'Atherton Airport', -17.2616996765, 145.51499939, 2450, 'AU', 'AU-QLD', 'Atherton', 'no', 'YATN', '', '', ''),
	('YRDN', 'N/A', 'N/A', -17.125435508787632, 144.39325779676437, 357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTUY', 'small_airport', 'Tully Airport', -17.934582, 145.938134, 0, 'AU', 'AU-QLD', '', 'no', 'YTUY', '', '', ''),
	('YMAF', 'N/A', 'N/A', -17.36275602132082, 143.75107795000076, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSMR', 'small_airport', 'Strathmore Airport', -17.862709, 142.557788, 0, 'AU', 'AU-QLD', 'Strathmore', 'no', 'YSMR', 'STH', '', ''),
	('YKYW', 'N/A', 'N/A', -22.25746426731348, 143.61102372407913, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YFWD', 'N/A', 'N/A', -22.288418300449848, 145.80178320407867, 286, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDNB', 'small_airport', 'Doongmabulla Airport', -22.065948, 146.244063, 0, 'AU', 'AU-QLD', '', 'no', 'YDNB', '', '', ''),
	('YOIT', 'small_airport', 'Orielton Airport', -22.062854, 144.139037, 0, 'AU', 'AU-QLD', 'Tablederry', 'no', 'YOIT', '', '', ''),
	('YWTN', 'medium_airport', 'Winton Airport', -22.36359977722168, 143.08599853515625, 638, 'AU', 'AU-QLD', '', 'yes', 'YWTN', 'WIN', '', ''),
	('YRMD', 'small_airport', 'Richmond Airport', -20.701900482177734, 143.11500549316406, 676, 'AU', 'AU-QLD', '', 'yes', 'YRMD', 'RCM', '', 'RAAF Base Richmond'),
	('YBWO', 'small_airport', 'Bowen Downs Airport', -22.4641, 144.99785, 768, 'AU', 'AU-QLD', 'Upper Cornish Creek', 'no', 'YBWO', '', '', ''),
	('YCFE', 'N/A', 'N/A', -21.713817045092583, 143.38491797447205, 254, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTCK', 'small_airport', 'Torrens Creek Airport', -20.783300399780273, 145, 0, 'AU', 'AU-QLD', '', 'no', 'YTCK', '', '', ''),
	('YBNC', 'small_airport', 'Bannockburn Airport', -21.799999237060547, 145.08299255371094, 0, 'AU', 'AU-QLD', '', 'no', 'YBNC', '', '', ''),
	('YULC', 'N/A', 'N/A', -22.0293165743351, 145.97413837909698, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHUG', 'small_airport', 'Hughenden Airport', -20.815000534057617, 144.22500610351563, 1043, 'AU', 'AU-QLD', '', 'yes', 'YHUG', 'HGD', '', ''),
	('YRDS', 'small_airport', 'Richmond Downs Airfield', -20.577274, 143.301061, 900, 'AU', 'AU-QLD', 'Richmond', 'no', 'YRDS', '', '', ''),
	('YNDS', 'small_airport', 'Natal Downs Airport', -21.090556, 146.152614, 0, 'AU', 'AU-QLD', '', 'no', 'YNDS', '', '', ''),
	('YCHA', 'N/A', 'N/A', -20.43231926858425, 143.85276898741722, 349, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPND', 'N/A', 'N/A', -20.530281588435173, 145.38382932543755, 413, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSIE', 'N/A', 'N/A', -21.509865559637547, 144.98946368694305, 302, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGGS', 'small_airport', 'Gregory Springs Airport', -19.710002, 144.372999, 0, 'AU', 'AU-QLD', '', 'no', 'YGGS', '', '', ''),
	('AYMO', 'medium_airport', 'Momote Airport', -2.06189, 147.423996, 12, 'PG', 'PG-MRL', 'Manus Island', 'yes', 'AYMO', 'MAS', '', ''),
	('AYEE', 'N/A', 'N/A', -1.651371717453003, 149.96704816818237, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYEU', 'small_airport', 'Eloaua Airstrip', -1.5601, 149.6318, 25, 'PG', 'PG-NIK', 'Eloaua Island', 'no', 'AYEU', '', 'ELO', ''),
	('AYIX', 'small_airport', 'Witu Airport', -4.689522, 149.440112, 25, 'PG', 'PG-WBK', 'Garove Island', 'no', 'AYIX', 'WIU', 'WITU', ''),
	('AYLX', 'small_airport', 'Long Island Airport', -5.3604, 147.0177, 116, 'PG', 'PG-MPM', 'Long Island', 'no', 'AYLX', 'LSJ', 'LIS', ''),
	('BAJ', 'small_airport', 'Bali Airport', -4.8833333333299995, 149.133333333, 90, 'PG', 'PG-WBK', 'Unea Island', 'no', '', 'BAJ', 'BALI', ''),
	('SSS', 'small_airport', 'Siassi Airport', -5.5965, 147.8106, 1250, 'PG', 'PG-MPL', 'Siassi', 'no', '', 'SSS', 'SSI', 'Sema, Semo'),
	('AYCG', 'N/A', 'N/A', -5.458964891731739, 148.43241691589355, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYWS', 'small_airport', 'Wasu Airport', -5.96170944919, 147.19822526, 34, 'PG', 'PG-MPL', 'Wasu', 'no', 'AYWS', 'WSU', 'WASU', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AYQO', 'small_airport', 'Sopu Airport', -8.3038, 147.1659, 6580, 'PG', 'PG-CPM', 'Sopu', 'no', 'AYQO', 'SPH', 'SOPU', ''),
	('AYVB', 'small_airport', 'Tobou Airstrip', -6.4026, 147.4223, 4732, 'PG', 'PG-MPL', 'Tobou', 'no', 'AYVB', '', 'TOB', ''),
	('AYRO', 'N/A', 'N/A', -7.834841161966324, 146.53360471129417, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IOP', 'small_airport', 'Ioma Airport', -8.3614, 147.84, 95, 'PG', 'PG-NPP', 'Ioma', 'no', '', 'IOP', 'IOMA', ''),
	('AYNZ', 'medium_airport', 'Nadzab Airport', -6.569803, 146.725977, 239, 'PG', 'PG-MPL', 'Lae', 'yes', 'AYNZ', 'LAE', '', 'MFO'),
	('AYSN', 'N/A', 'N/A', -6.0241106897592545, 149.7862820327282, 455, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYLP', 'small_airport', 'Leron Plains Airport', -6.3917, 146.3434, 680, 'PG', 'PG-MPL', 'Leron Plains', 'no', 'AYLP', 'LPN', 'LPS', ''),
	('AYEW', 'N/A', 'N/A', -6.284107267856598, 147.58251786231995, 1792, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYGF', 'small_airport', 'Guari Airport', -8.1286, 146.8722, 6450, 'PG', 'PG-CPM', 'Guari', 'no', 'AYGF', 'GUG', 'GAI', ''),
	('AYPD', 'N/A', 'N/A', -6.445166878402233, 147.51605540513992, 919, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYER', 'small_airport', 'Erume Airport', -8.2538, 146.9747, 6690, 'PG', 'PG-CPM', 'Erume', 'no', 'AYER', 'ERU', 'EME', ''),
	('KBM', 'small_airport', 'Kabwum', -6.15547222222, 147.191472222, 4450, 'PG', 'PG-MPL', '', 'no', 'AYKB', 'KBM', 'KBM', ''),
	('AYGG', 'small_airport', 'Garasa Airport', -7.980713, 147.213461, 2539, 'PG', 'PG-MPL', 'Au', 'no', 'AYGG', 'GRL', 'GSA', ''),
	('AYNS', 'N/A', 'N/A', -5.724529400467873, 147.86672785878181, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYTI', 'small_airport', 'Tapini Airport', -8.35666666667, 146.989166667, 3100, 'PG', 'PG-CPM', 'Tapini', 'yes', 'AYTI', 'TPI', 'TAP', ''),
	('MXK', 'small_airport', 'Mindik Airport', -6.47166666667, 147.441138889, 4200, 'PG', 'PG-MPL', 'Mindik', 'no', 'AYMI', 'MXK', 'MIK', ''),
	('AYYE', 'small_airport', 'Yalumet Airport', -6.09, 147.0117, 2600, 'PG', 'PG-MPL', 'Yalumet', 'no', 'AYYE', 'KYX', 'YLT', ''),
	('AYDN', 'small_airport', 'Dinangat Airport', -6.1546, 146.6772, 5309, 'PG', 'PG-MPL', 'Dinangat', 'no', 'AYDN', 'DNU', 'DIN', 'Diningat'),
	('AYSV', 'small_airport', 'Sauren Airport', -5.9701, 148.8543, 46, 'PG', 'PG-WBK', 'Sauren', 'no', 'AYSV', 'SXW', 'SAU', 'Souren'),
	('DAO', 'small_airport', 'Dabo Airport', -8.431944444440001, 147.843055556, 118, 'PG', 'PG-NPP', '', 'no', '', 'DAO', 'DABO', ''),
	('AYBC', 'N/A', 'N/A', -5.863469839096069, 146.49243414402008, 2082, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYAS', 'N/A', 'N/A', -8.023240864276886, 147.2721652686596, 540, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYKC', 'N/A', 'N/A', -6.19285985827446, 149.5481787621975, 98, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYOM', 'N/A', 'N/A', -7.8273846209049225, 147.08078742027283, 773, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYFI', 'N/A', 'N/A', -6.621918082237244, 147.85408303141594, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MPG', 'small_airport', 'Makini Airport', -6.532222222220001, 147.651166667, 2530, 'PG', 'PG-MPL', 'Makini', 'no', 'AYMJ', 'MPG', 'MAK', ''),
	('LNC', 'small_airport', 'Lengbati Airport', -6.384611111110001, 147.368638889, 5750, 'PG', 'PG-MPL', '', 'no', 'AYLT', 'LNC', 'LNG', ''),
	('AYOE', 'small_airport', 'Konge Airport', -6.2239, 147.2152, 5900, 'PG', 'PG-MPL', 'Konge', 'no', 'AYOE', 'KGB', 'KGE', ''),
	('AYLB', 'small_airport', 'Lab Lab Airport', -5.7204, 148.0566, 160, 'PG', 'PG-MPL', 'Lab Lab Mission', 'no', 'AYLB', 'LAB', 'LAB', 'Lablab'),
	('AYNA', 'small_airport', 'Nankina Airport', -5.837, 146.4533, 5800, 'PG', 'PG-MPM', 'Gwarawon', 'no', 'AYNA', 'NKN', 'NKN', ''),
	('AYSZ', 'small_airport', 'Samanzing Airstrip', -6.4513, 147.0673, 6042, 'PG', 'PG-MPL', 'Samanzing', 'no', 'AYSZ', '', 'SMZ', ''),
	('AYHE', 'small_airport', 'Heiweni Airport', -7.4223, 146.4276, 3480, 'PG', 'PG-MPL', 'Heiweni', 'no', 'AYHE', 'HNI', 'HWI', ''),
	('AYLS', 'small_airport', 'Lese Airport', -8.2799, 146.2765, 40, 'PG', 'PG-GPK', 'Lese', 'no', 'AYLS', 'LNG', 'LESE', ''),
	('AYTP', 'small_airport', 'Tep Tep Airport', -5.9553, 146.5595, 7011, 'PG', 'PG-MPM', 'Teptep', 'no', 'AYTP', 'TEP', 'TEP', ''),
	('AYSW', 'N/A', 'N/A', -6.139445677399635, 147.27884888648987, 1285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IDN', 'small_airport', 'Indagen Airport', -6.22663, 147.244, 5788, 'PG', 'PG-MPL', 'Indagen', 'no', 'AYID', 'IDN', 'IGN', ''),
	('AYBP', 'N/A', 'N/A', -7.7433885633945465, 147.0207542181015, 889, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYGI', 'N/A', 'N/A', -7.876397296786308, 147.14273750782013, 757, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYSD', 'N/A', 'N/A', -5.626942589879036, 146.46263167262077, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYBG', 'N/A', 'N/A', -6.346849836409092, 146.94155395030975, 1333, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYNM', 'small_airport', 'Kasonombe Airport', -6.3819, 146.9859, 5800, 'PG', 'PG-MPL', 'Kasonombe', 'no', 'AYNM', 'KSB', 'KNB', ''),
	('AYIS', 'small_airport', 'Isan Airstrip', -5.9781, 146.61975, 6955, 'PG', 'PG-MPL', 'Isan', 'no', 'AYIS', '', 'ISAN', ''),
	('AYLO', 'small_airport', 'Lowai Airport', -6.3344, 146.6458, 2900, 'PG', 'PG-MPL', 'Lowai', 'no', 'AYLO', 'LWI', 'LOW', ''),
	('AYBU', 'N/A', 'N/A', -7.221166826784611, 146.65127769112587, 668, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYEA', 'N/A', 'N/A', -8.27146790921688, 147.0720809698105, 2237, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYYW', 'small_airport', 'Yawan Airstrip', -6.1339, 146.8438, 4870, 'PG', 'PG-MPL', 'Yawan', 'no', 'AYYW', '', 'YWN', ''),
	('AYTZ', 'small_airport', 'Tekadu Airport', -7.6808, 146.5503, 1310, 'PG', 'PG-MPL', 'Tekadu', 'no', 'AYTZ', 'TKB', 'TKD', ''),
	('WTT', 'small_airport', 'Wantoat Airport', -6.1325, 146.467777778, 3900, 'PG', 'PG-MPL', 'Wantoat', 'no', 'AYWC', 'WTT', 'WNT', 'Wontoat'),
	('AYZM', 'small_airport', 'Wasum Airport', -6.0491, 149.337, 175, 'PG', 'PG-WBK', 'Wasum', 'no', 'AYZM', 'WUM', 'WSM', ''),
	('AYWE', 'small_airport', 'Wangeto Airstrip', -5.743216, 146.148414, 4255, 'PG', 'PG-MPM', 'Wangeto', 'no', 'AYWE', '', '', ''),
	('AYSX', 'small_airport', 'Masa Airport', -6.345, 147.591, 5900, 'PG', 'PG-MPL', 'Masa', 'no', 'AYSX', 'MBV', 'MASA', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AYDE', 'N/A', 'N/A', -6.144760139286518, 147.10693359375, 1462, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYES', 'small_airport', 'Meselia Airport', -6.1364, 149.1183, 180, 'PG', 'PG-WBK', 'Demgulu', 'no', 'AYES', 'MFZ', '', 'Mesalia, Mesilia'),
	('AYWU', 'small_airport', 'Wau Airport', -7.345556, 146.718611, 3600, 'PG', 'PG-MPL', 'Wau', 'no', 'AYWU', 'WUG', 'WAU', ''),
	('AYXI', 'small_airport', 'Sim Airport', -7.75, 146.9273, 5460, 'PG', 'PG-MPL', 'Sim', 'no', 'AYXI', 'SMJ', 'SIM', ''),
	('KAQ', 'small_airport', 'Kamulai Airport', -8.150694444440001, 146.834, 5800, 'PG', 'PG-CPM', 'Kamulai Mission', 'no', 'AYKH', 'KAQ', 'KML', ''),
	('AYQS', 'small_airport', 'Sialum Airport', -6.0908, 147.5955, 170, 'PG', 'PG-MPL', 'Sialum', 'no', 'AYQS', 'SXA', 'SLU', ''),
	('AYMK', 'small_airport', 'Mok Airport', -5.730238, 149.056583, 1050, 'PG', 'PG-WBK', 'Mok', 'no', 'AYMK', '', 'MOK', ''),
	('AYSP', 'N/A', 'N/A', -6.074903346598148, 146.811263859272, 884, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYRL', 'small_airport', 'Maralina Airstrip', -6.9015, 146.3698, 431, 'PG', 'PG-MPL', 'Maralina', 'no', 'AYRL', '', '', ''),
	('BWJ', 'small_airport', 'Bawan Airport', -6.396944444440001, 146.881666667, 4700, 'PG', 'PG-MPL', '', 'no', '', 'BWJ', 'BWN', ''),
	('AYOG', 'N/A', 'N/A', -6.466553807258606, 147.3638717830181, 1779, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KIQ', 'small_airport', 'Kira Airport', -8.065111111110001, 147.332027778, 1700, 'PG', 'PG-NPP', 'Kira', 'no', 'AYRA', 'KIQ', 'KIRA', ''),
	('AYUT', 'small_airport', 'Bunguwat Airstrip', -6.005, 146.7205, 5740, 'PG', 'PG-MPL', 'Bunguwat', 'no', 'AYUT', '', 'BWT', ''),
	('AYOP', 'N/A', 'N/A', -8.451893404126167, 147.21141457557678, 1920, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYEB', 'small_airport', 'Embessa Airport', -9.447, 148.7628, 131, 'PG', 'PG-NPP', 'Embessa', 'no', 'AYEB', 'EMS', 'EMB', ''),
	('AYPY', 'large_airport', 'Port Moresby Jacksons International Airport', -9.443380355834961, 147.22000122070313, 146, 'PG', 'PG-NCD', 'Port Moresby', 'yes', 'AYPY', 'POM', '', ''),
	('AYKO', 'N/A', 'N/A', -8.884744606912136, 147.73121282458305, 376, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PPX', 'small_airport', 'Param Airport', -9.99, 149.477, 4490, 'PG', 'PG-MBA', 'Nepesi', 'no', '', 'PPX', 'PAM', ''),
	('AYGC', 'N/A', 'N/A', -9.226015470921993, 148.4950616955757, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('APP', 'small_airport', 'Asapa Airport', -8.979167, 148.103611, 1930, 'PG', 'PG-NPP', '', 'no', '', 'APP', 'APA', ''),
	('UUU', 'small_airport', 'Manumu Airport', -9.0746, 147.5735, 1800, 'PG', 'PG-CPM', 'Manumu', 'no', '', 'UUU', 'MMU', ''),
	('AYJO', 'small_airport', 'Yongai Airport', -8.5289, 147.4603, 6500, 'PG', 'PG-CPM', 'Yongai', 'no', 'AYJO', 'KGH', 'YON', ''),
	('AYGR', 'medium_airport', 'Girua Airport', -8.80453968048, 148.309005737, 311, 'PG', 'PG-NPP', 'Popondetta', 'yes', 'AYGR', 'PNP', '', ''),
	('AYNJ', 'N/A', 'N/A', -9.473676234483719, 148.32934319972992, 317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYNW', 'N/A', 'N/A', -9.983935989439487, 149.7291786968708, 621, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIK', 'N/A', 'N/A', -9.201468899846077, 148.26423928141594, 778, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KGW', 'small_airport', 'Kagi Airport', -9.135916666670001, 147.669444444, 4200, 'PG', 'PG-CPM', 'Kagi', 'no', 'AYKQ', 'KGW', 'KAGI', ''),
	('AYMA', 'small_airport', 'Manari Airport', -9.1908, 147.6219, 2630, 'PG', 'PG-CPM', 'Manari', 'no', 'AYMA', 'MRM', 'MRI', 'Manare'),
	('AYSF', 'N/A', 'N/A', -9.594966061413288, 148.64022016525269, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AZB', 'small_airport', 'Amazon Bay Airport', -10.2991666667, 149.338333333, 12, 'PG', 'PG-CPM', '', 'no', '', 'AZB', 'AZB', ''),
	('AYWT', 'small_airport', 'Woitape Airport', -8.54583333333, 147.2525, 5200, 'PG', 'PG-CPM', 'Fatima Mission', 'yes', 'AYWT', 'WTP', 'WTP', ''),
	('KUP', 'small_airport', 'Kupiano Airport', -10.0736, 148.218, 90, 'PG', 'PG-CPM', 'Kupiano', 'no', '', 'KUP', 'KPN', ''),
	('AYLU', 'N/A', 'N/A', -10.181385464966297, 148.70445102453232, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYWG', 'N/A', 'N/A', -9.337491765618324, 149.15686190128326, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYEO', 'small_airport', 'Emo River Airstrip', -9.1234, 148.0415, 2240, 'PG', 'PG-NPP', 'Emo Mission', 'no', 'AYEO', 'EMO', 'EMO', ''),
	('AUP', 'small_airport', 'Agaun Airport', -9.930833, 149.385667, 3200, 'PG', 'PG-MBA', '', 'no', 'AYAG', 'AUP', 'AUN', ''),
	('AYUE', 'small_airport', 'Uroubi Airport', -9.5162, 148.5591, 481, 'PG', 'PG-NPP', 'Uroubi', 'no', 'AYUE', 'URU', 'URO', ''),
	('AYAL', 'N/A', 'N/A', -9.984506629407406, 149.72857162356377, 622, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYHG', 'N/A', 'N/A', -9.13649171590805, 147.59835854172707, 977, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYNC', 'N/A', 'N/A', -9.143587835133076, 147.68419459462166, 1546, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYFA', 'N/A', 'N/A', -8.548874706029892, 147.08619073033333, 1342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYEI', 'small_airport', 'Milei Airstrip', -9.0794, 147.602, 2160, 'PG', 'PG-CPM', 'Milei', 'no', 'AYEI', '', 'MIL', ''),
	('TDB', 'small_airport', 'Tetebedi Airport', -9.1586, 148.0686, 3365, 'PG', 'PG-NPP', 'Tetebedi', 'no', 'AYTF', 'TDB', 'TEB', 'Tetabedi'),
	('AYEF', 'N/A', 'N/A', -9.15388785302639, 147.65980705618858, 1182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYGX', 'N/A', 'N/A', -9.002013802528381, 148.23698848485947, 750, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYDR', 'N/A', 'N/A', -9.461811818182468, 147.92048200964928, 530, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYAZ', 'N/A', 'N/A', -8.605205789208412, 147.59287163615227, 352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYQQ', 'N/A', 'N/A', -8.674650862812996, 147.26242259144783, 1768, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYPN', 'N/A', 'N/A', -9.07598678022623, 149.31996569037437, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYRK', 'N/A', 'N/A', -8.817000053822994, 146.52438327670097, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYBE', 'N/A', 'N/A', -9.618039093911648, 148.7453556060791, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AYPQ', 'small_airport', 'Pumani Airport', -9.7469, 149.4766, 427, 'PG', 'PG-MBA', 'Pumani', 'no', 'AYPQ', 'PMN', 'PMN', ''),
	('AYRE', 'N/A', 'N/A', -9.970483034849167, 149.83233153820038, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MAP', 'small_airport', 'Mamai Airport', -10.290833, 149.519167, 90, 'PG', 'PG-CPM', 'Mamai', 'no', '', 'MAP', 'MAM', ''),
	('AYSG', 'small_airport', 'Sila Airport', -9.07355555556, 148.38925, 2230, 'PG', 'PG-NPP', 'Sila Mission', 'no', 'AYSG', 'SIL', 'SILA', ''),
	('AFR', 'small_airport', 'Afore Airstrip', -9.13867, 148.390701, 2500, 'PG', 'PG-NPP', '', 'no', 'AYAF', 'AFR', 'AFE', ''),
	('AYYO', 'N/A', 'N/A', -9.632800631225109, 148.04832234978676, 1057, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYKN', 'small_airport', 'Kubuna Airstrip', -8.6917, 146.7566, 200, 'PG', 'PG-CPM', 'Kubuna Mission', 'no', 'AYKN', '', '', ''),
	('YPAM', 'small_airport', 'Palm Island Airport', -18.755300521850586, 146.58099365234375, 28, 'AU', 'AU-QLD', '', 'yes', 'YPAM', 'PMK', '', ''),
	('YBEG', 'small_airport', 'Bening Field Airport', -19.653334, 146.293671, 1014, 'AU', 'AU-QLD', '', 'no', 'YBEG', '', '', ''),
	('YAYR', 'small_airport', 'Ayr Airport', -19.595832, 147.324495, 41, 'AU', 'AU-QLD', 'Ayr', 'no', 'YAYR', 'AYR', '', ''),
	('YPUK', 'N/A', 'N/A', -19.44596640765667, 146.41841903328896, 345, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBTL', 'medium_airport', 'Townsville Airport / RAAF Base Townsville', -19.252904, 146.766512, 18, 'AU', 'AU-QLD', 'Townsville', 'yes', 'YBTL', 'TSV', '', 'RAAF Base Garbutt, RAAF Base Townsville'),
	('YINH', 'N/A', 'N/A', -18.633668795228004, 146.49475067853928, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCSW', 'N/A', 'N/A', -19.418232701718807, 146.5417791903019, 556, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCOT', 'N/A', 'N/A', -19.53108061105013, 146.33870109915733, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDOP', 'small_airport', 'Donnington Airpark', -19.602078, 146.843204, 76, 'AU', 'AU-QLD', 'Donnington', 'no', 'YDOP', '', '', ''),
	('YBOH', 'N/A', 'N/A', -19.583425261080265, 146.7799772322178, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMCS', 'small_airport', 'Macrossan Airport', -20.013053, 146.483728, 0, 'AU', 'AU-QLD', '', 'no', 'YMCS', '', '', ''),
	('YCSV', 'small_airport', 'Collinsville Airport', -20.59670066833496, 147.86000061035156, 180, 'AU', 'AU-QLD', '', 'no', 'YCSV', 'KCE', '', ''),
	('YSUT', 'N/A', 'N/A', -21.339685432612896, 147.97986209392548, 318, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YEGS', 'N/A', 'N/A', -22.001504749059677, 146.9186232984066, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSAB', 'N/A', 'N/A', -22.375305108726025, 149.46041241288185, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YFTC', 'N/A', 'N/A', -21.563629768788815, 148.44804123044014, 229, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHAB', 'small_airport', 'Hideaway Bay Airport', -20.103896, 148.445892, 0, 'AU', 'AU-QLD', '', 'no', 'YHAB', '', '', ''),
	('YMPE', 'small_airport', 'Mount Cooper Airport', -20.524647, 146.789323, 0, 'AU', 'AU-QLD', '', 'no', 'YMPE', '', '', ''),
	('YMCL', 'small_airport', 'Mount Coolon Airport', -21.387231, 147.331295, 239, 'AU', 'AU-QLD', '', 'no', 'YMCL', '', '', ''),
	('YCHT', 'small_airport', 'Charters Towers Airport', -20.0431, 146.272995, 955, 'AU', 'AU-QLD', '', 'no', 'YCHT', 'CXT', '', ''),
	('YPYA', 'small_airport', 'Palmyra Airstrip', -21.21157, 149.07654, 50, 'AU', 'AU-QLD', '', 'no', 'YPYA', '', '', ''),
	('YPRO', 'N/A', 'N/A', -20.588890872895718, 148.655017465353, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSHR', 'small_airport', 'Shute Harbour/Whitsunday Airport', -20.276127, 148.754979, 40, 'AU', 'AU-QLD', 'Shute Harbour', 'no', 'YSHR', 'WSY', '', ''),
	('YLAK', 'small_airport', 'Lakeside Airpark', -20.680866, 148.630348, 0, 'AU', 'AU-QLD', 'Lakeside', 'no', 'YLAK', '', '', ''),
	('YMRB', 'medium_airport', 'Moranbah Airport', -22.057800293, 148.07699585, 770, 'AU', 'AU-QLD', 'Moranbah', 'yes', 'YMRB', 'MOV', '', ''),
	('YBHM', 'medium_airport', 'Hamilton Island Airport', -20.3581008911, 148.95199585, 15, 'AU', 'AU-QLD', 'Hamilton Island', 'yes', 'YBHM', 'HTI', '', ''),
	('YBWN', 'small_airport', 'Bowen Airport', -20.017999, 148.215245, 8, 'AU', 'AU-QLD', 'Bowen', 'no', 'YBWN', 'ZBO', '', ''),
	('YBWI', 'small_airport', 'Burdekin Falls Dam Airport', -20.59564, 147.095504, 0, 'AU', 'AU-QLD', '', 'no', 'YBWI', '', '', ''),
	('YEGF', 'N/A', 'N/A', -21.479079835116863, 147.6957969367504, 259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YADM', 'small_airport', 'Yandan Mine Airport', -21.274992, 146.989697, 0, 'AU', 'AU-QLD', '', 'no', 'YADM', '', '', ''),
	('YBMK', 'medium_airport', 'Mackay Airport', -21.170816, 149.182588, 19, 'AU', 'AU-QLD', 'Mackay', 'yes', 'YBMK', 'MKY', '', ''),
	('YYAC', 'small_airport', 'Yacamunda Airport', -21.378643, 147.100201, 0, 'AU', 'AU-QLD', '', 'no', 'YYAC', '', '', ''),
	('YBPN', 'medium_airport', 'Proserpine Whitsunday Coast Airport', -20.494416, 148.553583, 82, 'AU', 'AU-QLD', 'Proserpine', 'yes', 'YBPN', 'PPP', '', ''),
	('YLIN', 'small_airport', 'Lindeman Island Airport', -20.4535999298, 149.039993286, 0, 'AU', 'AU-QLD', 'Lindeman Island', 'no', 'YLIN', 'LDC', '', ''),
	('YNVD', 'N/A', 'N/A', -20.60671951621771, 146.30814358592033, 259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRVW', 'N/A', 'N/A', -20.10153718292713, 146.90905138850212, 284, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWIE', 'small_airport', 'Wirralie Gold Mine Airport', -21.126559, 147.272887, 0, 'AU', 'AU-QLD', '', 'no', 'YWIE', '', '', ''),
	('YRUD', 'small_airport', 'Rudal River Airport', -22.558073, 122.14806, 0, 'AU', 'AU-WA', '', 'no', 'YRUD', '', '', ''),
	('YCTC', 'small_airport', 'Cotten Creek Airport', -22.818276, 122.584792, 1254, 'AU', 'AU-WA', 'Parnnguar', 'no', 'YCTC', '', '', 'Telfer'),
	('YJIG', 'small_airport', 'Jiggalong Mission Airport', -23.36669921875, 120.78299713134766, 0, 'AU', 'AU-WA', '', 'no', 'YJIG', '', '', ''),
	('YNEW', 'N/A', 'N/A', -25.2384864538908, 122.06663489341736, 527, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGIA', 'small_airport', 'Ginbata Airport', -22.5812, 120.03553, 1409, 'AU', 'AU-WA', 'Ginbata', 'no', 'YGIA', 'GBW', '', ''),
	('YSLV', 'small_airport', 'Sylvania Homestead Airport', -23.55757, 120.047064, 0, 'AU', 'AU-WA', '', 'no', 'YSLV', '', '', ''),
	('YCGI', 'small_airport', 'Carnegie Station Airport', -25.79746, 122.942154, 0, 'AU', 'AU-WA', '', 'no', 'YCGI', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YDKG', 'N/A', 'N/A', -27.60194443166256, 122.33388885855675, 536, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWLU', 'medium_airport', 'Wiluna Airport', -26.629199981689453, 120.22100067138672, 1649, 'AU', 'AU-WA', '', 'yes', 'YWLU', 'WUN', '', ''),
	('YBJW', 'small_airport', 'Banjawarn Airport', -27.66670036315918, 121.5999984741211, 0, 'AU', 'AU-WA', '', 'no', 'YBJW', '', '', ''),
	('YBWG', 'small_airport', 'Bronzewing Airport', -27.365601, 121.036003, 1645, 'AU', 'AU-WA', '', 'no', 'YBWG', '', '', ''),
	('YERH', 'small_airport', 'Earaheedy Airport', -25.617558, 121.578445, 0, 'AU', 'AU-WA', '', 'no', 'YERH', '', '', ''),
	('YBLU', 'small_airport', 'Bellevue Airport', -27.612302, 120.594435, 1555, 'AU', 'AU-WA', '', 'no', 'YBLU', '', '', ''),
	('YABS', 'small_airport', 'Albion Downs Airport', -27.283300399780273, 120.38300323486328, 0, 'AU', 'AU-WA', '', 'no', 'YABS', '', '', ''),
	('YLRG', 'small_airport', 'Lorna Glen Homestead Airport', -26.231386, 121.558549, 0, 'AU', 'AU-WA', '', 'no', 'YLRG', '', '', ''),
	('YGRP', 'N/A', 'N/A', -25.672306269407272, 121.36090368032455, 532, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPNI', 'small_airport', 'Prenti Downs Airport', -26.523921, 122.81142, 0, 'AU', 'AU-WA', '', 'no', 'YPNI', '', '', ''),
	('YMNE', 'medium_airport', 'Mount Keith Airport', -27.28733, 120.554937, 1792, 'AU', 'AU-WA', '', 'no', 'YMNE', 'WME', '', ''),
	('YCOS', 'small_airport', 'Cosmo Newbery Airport', -27.985963, 122.904853, 0, 'AU', 'AU-WA', 'Cosmo Newbery', 'no', 'YCOS', '', '', ''),
	('YLST', 'medium_airport', 'Leinster Airport', -27.843299865722656, 120.7030029296875, 1631, 'AU', 'AU-WA', '', 'yes', 'YLST', 'LER', '', ''),
	('YMCU', 'small_airport', 'Mount Mcclure Airport', -27.469999313354492, 120.91699981689453, 0, 'AU', 'AU-WA', '', 'no', 'YMCU', '', '', ''),
	('YDUK', 'small_airport', 'Duketon Airport', -27.977972, 122.295545, 0, 'AU', 'AU-WA', 'Bandya', 'no', 'YDUK', '', '', ''),
	('YYLR', 'small_airport', 'Yeelirrie Airport', -27.277060037800002, 120.095672607, 0, 'AU', 'AU-WA', '', 'no', 'YYLR', 'KYF', '', ''),
	('YLAW', 'small_airport', 'Lawlers Airport', -28.091764, 120.538516, 1598, 'AU', 'AU-WA', '', 'no', 'YLAW', '', '', ''),
	('YWGW', 'small_airport', 'Wongawol Airport', -26.118462, 121.959674, 0, 'AU', 'AU-WA', '', 'no', 'YWGW', '', '', ''),
	('YYAB', 'N/A', 'N/A', -27.566965743899345, 120.53010195493698, 475, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLWY', 'small_airport', 'Lake Way Airport', -26.94499969482422, 120.47000122070313, 0, 'AU', 'AU-WA', '', 'no', 'YLWY', '', '', ''),
	('YJUN', 'small_airport', 'Jundee Airport', -26.4217, 120.577003, 562, 'AU', 'AU-WA', '', 'no', 'YJUN', '', '', ''),
	('YKAG', 'N/A', 'N/A', -27.91131477802992, 120.03367111086845, 445, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDLO', 'small_airport', 'Darlot Airport', -27.873611, 121.271666, 1513, 'AU', 'AU-WA', '', 'no', 'YDLO', '', '', ''),
	('YKAF', 'N/A', 'N/A', -27.540054135024548, 121.8431031703949, 494, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTTB', 'N/A', 'N/A', -28.39324403554201, 121.19964703917503, 477, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLEO', 'medium_airport', 'Leonora Airport', -28.87809944152832, 121.31500244140625, 1217, 'AU', 'AU-WA', 'Leonora', 'yes', 'YLEO', 'LNO', '', ''),
	('YWDA', 'small_airport', 'Windarra Airport', -28.48061, 122.244415, 0, 'AU', 'AU-WA', 'Laverton', 'no', 'YWDA', 'WND', '', ''),
	('YTBX', 'N/A', 'N/A', -28.153369389474392, 120.93904808163643, 517, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMGS', 'small_airport', 'Mount Morgans Airport', -28.789648, 122.038348, 0, 'AU', 'AU-WA', '', 'no', 'YMGS', '', '', ''),
	('YPKG', 'medium_airport', 'Kalgoorlie Boulder Airport', -30.791543, 121.464586, 1203, 'AU', 'AU-WA', 'Broadwood', 'yes', 'YPKG', 'KGI', '', ''),
	('YPOP', 'small_airport', 'Porphyry Airport', -29.775926, 122.268906, 0, 'AU', 'AU-WA', 'Kookynie', 'no', 'YPOP', '', '', ''),
	('YJEY', 'small_airport', 'Jeedamya Airport', -29.408029, 121.271163, 0, 'AU', 'AU-WA', '', 'no', 'YJEY', '', '', ''),
	('YKAO', 'N/A', 'N/A', -30.89720819145441, 121.19478553533554, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGDL', 'N/A', 'N/A', -30.29005229473114, 121.77722543478012, 384, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCTW', 'N/A', 'N/A', -28.321271650493145, 122.40580916404724, 474, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSRD', 'small_airport', 'Sunrise Dam Airport', -29.099022, 122.456253, 0, 'AU', 'AU-WA', 'Laverton', 'no', 'YSRD', '', '', ''),
	('YYER', 'small_airport', 'Yerilla Airport', -29.467599868774414, 121.83000183105469, 0, 'AU', 'AU-WA', '', 'no', 'YYER', '', '', ''),
	('YKOK', 'small_airport', 'Kookynie Airport', -29.34328, 121.493168, 0, 'AU', 'AU-WA', '', 'no', 'YKOK', '', '', ''),
	('YMMI', 'small_airport', 'Murrin Murrin Airport', -28.705299, 121.89099, 1535, 'AU', 'AU-WA', 'Murrin Murrin', 'no', 'YMMI', 'WUI', '', ''),
	('YYRN', 'small_airport', 'Yamarna Airport', -28.15567, 123.676829, 0, 'AU', 'AU-WA', 'Cosmo Newbery', 'no', 'YYRN', '', '', ''),
	('YORW', 'small_airport', 'Orient Well Airport', -29.199199676513672, 121.43800354003906, 0, 'AU', 'AU-WA', '', 'no', 'YORW', '', '', ''),
	('YCAI', 'small_airport', 'Callion Airport', -30.120342, 120.571334, 0, 'AU', 'AU-WA', '', 'no', 'YCAI', '', '', ''),
	('YPCS', 'small_airport', 'Pinnacles Homestead Airport', -28.200000762939453, 120.43299865722656, 0, 'AU', 'AU-WA', '', 'no', 'YPCS', '', '', ''),
	('YJRX', 'N/A', 'N/A', -28.323627300560474, 122.01918661594391, 435, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLTN', 'small_airport', 'Laverton Airport', -28.614267, 122.428673, 1530, 'AU', 'AU-WA', 'Laverton', 'yes', 'YLTN', 'LVO', '', ''),
	('YEJI', 'small_airport', 'East Jaurdi Airport', -30.7695, 120.312, 1448, 'AU', 'AU-WA', '', 'no', 'YEJI', '', '', ''),
	('YSED', 'N/A', 'N/A', -28.684233874082565, 120.96977859735489, 371, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGRS', 'N/A', 'N/A', -28.763333223760128, 122.43777796626091, 444, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSNC', 'small_airport', 'Sinclair Airport', -28.338849, 120.854438, 1435, 'AU', 'AU-WA', 'Sinclair', 'no', 'YSNC', '', '', ''),
	('YZAN', 'small_airport', 'Zanthus Airport', -31.036351, 123.567889, 0, 'AU', 'AU-WA', '', 'no', 'YZAN', '', '', ''),
	('YESP', 'medium_airport', 'Esperance Airport', -33.684399, 121.822998, 470, 'AU', 'AU-WA', 'Esperance', 'yes', 'YESP', 'EPR', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YKBL', 'small_airport', 'Kambalda Airport', -31.1907, 121.5978, 1073, 'AU', 'AU-WA', 'Kambalda', 'no', 'YKBL', 'KDB', '', ''),
	('YCNN', 'small_airport', 'Coonana Airport', -31.016700744628906, 123.16699981689453, 0, 'AU', 'AU-WA', '', 'no', 'YCNN', '', '', ''),
	('YSOH', 'N/A', 'N/A', -32.19469495117664, 122.84145131707191, 363, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBAL', 'small_airport', 'Balladonia Airport', -32.346793, 123.614945, 0, 'AU', 'AU-WA', '', 'no', 'YBAL', '', '', ''),
	('YNSM', 'small_airport', 'Norseman Airport', -32.203, 121.758127, 263, 'AU', 'AU-WA', '', 'no', 'YNSM', 'NSM', '', ''),
	('YKRE', 'N/A', 'N/A', -30.976328663527966, 122.54200503230095, 351, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNOV', 'small_airport', 'Nova Airport', -31.845857, 123.192246, 962, 'AU', 'AU-WA', '', 'no', 'YNOV', '', '', ''),
	('YLJN', 'N/A', 'N/A', -32.31777783483267, 120.55472239851952, 319, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCLG', 'small_airport', 'Coolgardie Airport    (Bullabulling)?', -30.97645, 121.079979, 0, 'AU', 'AU-WA', '', 'no', 'YCLG', '', '', ''),
	('YBFM', 'N/A', 'N/A', -33.75322334468365, 122.36271098256111, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMBP', 'N/A', 'N/A', -33.87660328298807, 122.61352613568306, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YESS', 'N/A', 'N/A', -33.791916221380234, 121.95752218365669, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHPE', 'small_airport', 'Hopetoun Airport', -33.900001525878906, 120.15799713134766, 0, 'AU', 'AU-WA', '', 'no', 'YHPE', '', '', ''),
	('YNRV', 'small_airport', 'Ravensthorpe Airport', -33.7971992493, 120.208000183, 197, 'AU', 'AU-WA', '', 'no', 'YNRV', 'RVT', '', ''),
	('YORL', 'small_airport', 'Orleans Farm Airport', -33.78329849243164, 122.94999694824219, 0, 'AU', 'AU-WA', '', 'no', 'YORL', '', '', ''),
	('YPTJ', 'small_airport', 'Patjarr Airport', -24.6189002991, 126.327003479, 1493, 'AU', 'AU-WA', 'Patjarr', 'no', 'YPTJ', '', '', ''),
	('YWBR', 'small_airport', 'Warburton Airport', -26.125538, 126.583158, 1500, 'AU', 'AU-WA', 'Warburton', 'no', 'YWBR', '', '', ''),
	('YTJI', 'small_airport', 'Tjirrkarli Airport', -26.006201, 125.462494, 0, 'AU', 'AU-WA', 'Gibson Desert South', 'no', 'YTJI', '', '', ''),
	('YSTV', 'N/A', 'N/A', -26.5329235419631, 125.61948135495186, 478, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSTN', 'N/A', 'N/A', -27.155399210751057, 124.58404451608658, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKAN', 'small_airport', 'Kanandah Airport', -30.899822, 124.862065, 0, 'AU', 'AU-WA', '', 'no', 'YKAN', '', '', ''),
	('YTJU', 'small_airport', 'Tjuntjuntjarra Airport', -29.344938, 127.107348, 740, 'AU', 'AU-WA', '', 'no', 'YTJU', '', '', ''),
	('YTRA', 'small_airport', 'Tropicana Airport', -29.185995, 124.550366, 1104, 'AU', 'AU-WA', 'Tropicana Gold Mine', 'no', 'YTRA', '', '', ''),
	('YTRP', 'N/A', 'N/A', -29.278803169727325, 124.68329161405563, 347, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRAW', 'small_airport', 'Rawlinna Airport', -31.01298, 125.326989, 0, 'AU', 'AU-WA', '', 'no', 'YRAW', '', '', ''),
	('YWOX', 'small_airport', 'Woorlba Airport', -32.393869, 123.988717, 0, 'AU', 'AU-WA', '', 'no', 'YWOX', '', '', ''),
	('YCAG', 'small_airport', 'Caiguna Airport', -32.280457, 125.477943, 87, 'AU', 'AU-WA', '', 'no', 'YCAG', 'CGV', '', ''),
	('YMAD', 'small_airport', 'Madura Airport', -31.887825, 127.025573, 0, 'AU', 'AU-WA', '', 'no', 'YMAD', '', '', ''),
	('YCKY', 'small_airport', 'Cocklebiddy Airport', -32.042741, 126.09122, 290, 'AU', 'AU-WA', '', 'no', 'YCKY', '', '', ''),
	('YKBO', 'N/A', 'N/A', -31.00293081253767, 126.58262997865677, 167, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDPT', 'small_airport', 'Depot Outcamp Airport', -31.572200775146484, 125.18699645996094, 0, 'AU', 'AU-WA', '', 'no', 'YDPT', '', '', ''),
	('YKCH', 'N/A', 'N/A', -31.028030924499035, 124.18744459748268, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRWA', 'small_airport', 'Rawlinna Station Airport', -31.030762, 125.19467, 0, 'AU', 'AU-WA', '', 'no', 'YRWA', '', '', ''),
	('YORA', 'small_airport', 'Moonerah Airport', -31.691413, 126.590523, 0, 'AU', 'AU-WA', '', 'no', 'YORA', '', '', ''),
	('YHAG', 'small_airport', 'Haig Airport', -31.006449, 126.077728, 0, 'AU', 'AU-WA', '', 'no', 'YHAG', '', '', ''),
	('YADD', 'small_airport', 'Arubiddy Airport', -31.813752, 125.919725, 0, 'AU', 'AU-WA', '', 'no', 'YADD', '', '', ''),
	('YNHV', 'small_airport', 'New Haven Airport', -22.728300094604492, 131.14500427246094, 0, 'AU', 'AU-NT', '', 'no', 'YNHV', '', '', ''),
	('YHAF', 'N/A', 'N/A', -22.810940109193325, 127.73477330803871, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKNT', 'small_airport', 'Kintore Airport', -23.264999389648438, 129.38699340820313, 0, 'AU', 'AU-NT', '', 'no', 'YKNT', '', '', ''),
	('YWAX', 'small_airport', 'Wanarn Airport', -25.29755210876465, 127.5564193725586, 0, 'AU', 'AU-WA', 'Wanarn', 'no', 'YWAX', '', '', ''),
	('YAYE', 'medium_airport', 'Ayers Rock Connellan Airport', -25.185913, 130.97703, 1626, 'AU', 'AU-NT', 'Yulara', 'yes', 'YAYE', 'AYQ', '', 'Ayers Rock,Uluru'),
	('YNRR', 'small_airport', 'Nyrripi Airport', -22.645299911499023, 130.56500244140625, 0, 'AU', 'AU-NT', '', 'no', 'YNRR', '', '', ''),
	('YDVR', 'small_airport', 'Docker River Airport', -24.859533, 129.122209, 589, 'AU', 'AU-NT', 'Kaltukatjara', 'no', 'YDVR', 'DKV', '', ''),
	('YJUK', 'small_airport', 'Tjukurla Airport', -24.370710372924805, 128.7393341064453, 0, 'AU', 'AU-WA', '', 'no', 'YJUK', '', '', ''),
	('YGLS', 'small_airport', 'Giles Airport', -25.043699, 128.296005, 579, 'AU', 'AU-WA', 'Warakurna', 'no', 'YGLS', '', '', ''),
	('YNYP', 'small_airport', 'Nypari Airport', -26.200000762939453, 130.23300170898438, 0, 'AU', 'AU-SA', '', 'no', 'YNYP', '', '', ''),
	('YLSY', 'small_airport', 'Mount Lindsay Airport', -27.018299102783203, 129.88499450683594, 0, 'AU', 'AU-SA', '', 'no', 'YLSY', '', '', ''),
	('YAMT', 'small_airport', 'Amata Airport', -26.097363, 131.202732, 695, 'AU', 'AU-SA', '', 'no', 'YAMT', 'AMT', '', ''),
	('YWNL', 'small_airport', 'Wingellina Airport', -26.0667, 128.949997, 2218, 'AU', 'AU-WA', 'Wingellina', 'no', 'YWNL', '', '', ''),
	('YMDV', 'small_airport', 'Mount Davies Airport', -26.16670036315918, 129.13299560546875, 0, 'AU', 'AU-SA', '', 'no', 'YMDV', '', '', ''),
	('YJAM', 'small_airport', 'Jameson Airport', -25.850000381469727, 127.68299865722656, 0, 'AU', 'AU-WA', '', 'no', 'YJAM', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YBSR', 'small_airport', 'Blackstone Airport', -25.9867000579834, 128.28799438476563, 0, 'AU', 'AU-WA', '', 'no', 'YBSR', '', '', ''),
	('YOKV', 'small_airport', 'Oak Valley Airport', -29.516700744628906, 130.86700439453125, 0, 'AU', 'AU-SA', '', 'no', 'YOKV', '', '', ''),
	('YSTL', 'N/A', 'N/A', -28.367901854217052, 127.52383276820183, 393, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOOK', 'small_airport', 'Cook Airport', -30.61829948425293, 130.406005859375, 0, 'AU', 'AU-SA', '', 'no', 'YOOK', '', '', ''),
	('YHGS', 'small_airport', 'Hughes Siding Airport', -30.716622, 129.50808, 0, 'AU', 'AU-SA', '', 'no', 'YHGS', '', '', ''),
	('YFRT', 'medium_airport', 'Forrest Airport', -30.83662, 128.112811, 511, 'AU', 'AU-WA', '', 'no', 'YFRT', 'FOS', '', ''),
	('YMBX', 'small_airport', 'Mundrabilla Airport', -31.86720085144043, 127.85399627685547, 120, 'AU', 'AU-WA', 'Mundrabilla', 'no', 'YMBX', '', '', ''),
	('YBOV', 'small_airport', 'Border Village Airport', -31.639400482177734, 129.01199340820313, 308, 'AU', 'AU-SA', 'Border Village', 'no', 'YBOV', '', '', ''),
	('YECL', 'small_airport', 'Eucla Airport', -31.707084, 128.877243, 22, 'AU', 'AU-WA', '', 'no', 'YECL', 'EUC', '', ''),
	('YMDT', 'small_airport', 'Mundrabilla Motel Airport', -31.82670021057129, 128.22999572753906, 0, 'AU', 'AU-WA', '', 'no', 'YMDT', '', '', ''),
	('YNUB', 'small_airport', 'Nullabor Motel Airport', -31.441699981689453, 130.90199279785156, 67, 'AU', 'AU-SA', '', 'no', 'YNUB', 'NUR', '', ''),
	('YCEU', 'N/A', 'N/A', -31.540681198239326, 129.22241404652596, 94, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YERL', 'small_airport', 'Erldunda Airport', -25.206106, 133.254161, 0, 'AU', 'AU-NT', 'Ghan', 'no', 'YERL', 'EDD', '', ''),
	('YNPB', 'small_airport', 'Napperby Airport', -22.5312, 132.7632, 2135, 'AU', 'AU-NT', 'Napperby', 'no', 'YNPB', 'NPP', '', ''),
	('YHAA', 'small_airport', 'Haasts Bluff Airport', -23.454999923706, 131.85299682617, 2269, 'AU', 'AU-NT', '', 'no', 'YHAA', '', '', ''),
	('YROV', 'small_airport', 'Ross River Airport', -23.599199295043945, 134.51699829101563, 0, 'AU', 'AU-NT', '', 'no', 'YROV', '', '', ''),
	('YHGR', 'small_airport', 'Hugh River Airport', -24.449255, 133.708732, 0, 'AU', 'AU-NT', '', 'no', 'YHGR', '', '', ''),
	('YHBY', 'small_airport', 'Henbury Airport', -24.584, 133.236, 0, 'AU', 'AU-NT', 'Ghan', 'no', 'YHBY', 'HRY', '', ''),
	('YKCS', 'small_airport', 'Kings Creek Airport', -24.421285, 131.819458, 615, 'AU', 'AU-NT', 'Petermann', 'no', 'YKCS', 'KCS', '', ''),
	('YGDR', 'small_airport', 'The Garden Airport', -23.286699295043945, 134.44000244140625, 0, 'AU', 'AU-NT', '', 'no', 'YGDR', '', '', ''),
	('ANZ', 'small_airport', 'Angus Downs Airport', -25.0325, 132.2748, 1724, 'AU', 'AU-NT', 'Angus Downs Station', 'no', 'YADN', 'ANZ', '', ''),
	('YIDR', 'small_airport', 'Idracowra Airport', -25.06329917907715, 133.73300170898438, 0, 'AU', 'AU-NT', '', 'no', 'YIDR', '', '', ''),
	('YWLH', 'small_airport', 'Wallara Ranch Airport', -24.649999618530273, 132.31700134277344, 0, 'AU', 'AU-NT', '', 'no', 'YWLH', '', '', ''),
	('YABL', 'small_airport', 'Ambalindum Airport', -23.35187, 134.732434, 1966, 'AU', 'AU-NT', 'Ambalindum', 'no', 'YABL', '', '', ''),
	('YBSP', 'small_airport', 'Bond Springs Airport', -23.516695, 133.849525, 0, 'AU', 'AU-NT', 'Burt Plain', 'no', 'YBSP', '', '', 'Alice Springs Gliding Club'),
	('YMEI', 'small_airport', 'Mereenie Airport', -23.976699829101563, 131.56199645996094, 735, 'AU', 'AU-NT', '', 'no', 'YMEI', '', '', ''),
	('YARN', 'small_airport', 'Areyonga Airport', -24.091565, 132.271228, 0, 'AU', 'AU-NT', 'Mereenie', 'no', 'YARN', '', '', ''),
	('AU20', 'N/A', 'N/A', -22.812053225934505, 132.60648250579834, 567, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMYV', 'small_airport', 'Maryvale Airport', -24.647992, 134.026358, 0, 'AU', 'AU-NT', '', 'no', 'YMYV', '', '', ''),
	('YBAS', 'medium_airport', 'Alice Springs Airport', -23.806588, 133.903427, 1789, 'AU', 'AU-NT', 'Alice Springs', 'yes', 'YBAS', 'ASP', '', ''),
	('YNWT', 'small_airport', 'Narwietooma Airport', -23.228786, 132.629378, 0, 'AU', 'AU-NT', '', 'no', 'YNWT', '', '', ''),
	('YABU', 'small_airport', 'Amburla Airport', -23.339897, 133.172332, 0, 'AU', 'AU-NT', 'Burt Plain', 'no', 'YABU', '', '', ''),
	('YHMB', 'small_airport', 'Hermannsburg Airport', -23.926485, 132.807798, 593, 'AU', 'AU-NT', 'Hermannsburg (Ntaria)', 'no', 'YHMB', 'HMG', '', ''),
	('YALC', 'small_airport', 'Alcoota Station Airport', -22.83329963684082, 134.4499969482422, 0, 'AU', 'AU-NT', '', 'no', 'YALC', '', '', ''),
	('YHTS', 'small_airport', 'Harts Range Airport', -22.985000610351563, 134.91799926757813, 0, 'AU', 'AU-NT', '', 'no', 'YHTS', '', '', ''),
	('YKCA', 'small_airport', 'Kings Canyon Airport', -24.260229, 131.488924, 2100, 'AU', 'AU-NT', 'Petermann', 'no', 'YKCA', 'KBJ', '', ''),
	('YMBZ', 'small_airport', 'Mount Ebenezer Airport', -25.169763, 132.643107, 0, 'AU', 'AU-NT', '', 'no', 'YMBZ', '', '', ''),
	('YMDK', 'small_airport', 'Mount Riddock Airport', -23.033300399780273, 134.68299865722656, 0, 'AU', 'AU-NT', '', 'no', 'YMDK', '', '', ''),
	('YRNW', 'small_airport', 'Ringwood Airport', -23.82830047607422, 134.96200561523438, 0, 'AU', 'AU-NT', '', 'no', 'YRNW', '', '', ''),
	('YALD', 'N/A', 'N/A', -22.801734432578087, 134.4032844901085, 603, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YALM', 'small_airport', 'Allambie Airport', -24.265335, 134.402927, 0, 'AU', 'AU-NT', '', 'no', 'YALM', '', '', ''),
	('1RSU', 'N/A', 'N/A', -23.521307408809662, 133.6791528761387, 711, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YIMP', 'small_airport', 'Impadna Airport', -25.153831, 133.579681, 0, 'AU', 'AU-NT', '', 'no', 'YIMP', '', '', ''),
	('YLBG', 'small_airport', 'Mount Liebig Airport', -23.24329948425293, 131.25999450683594, 0, 'AU', 'AU-NT', '', 'no', 'YLBG', '', '', ''),
	('YMWE', 'small_airport', 'Mount Wedge Airport', -22.737199783325195, 132.1510009765625, 559, 'AU', 'AU-NT', '', 'no', 'YMWE', '', '', ''),
	('YPAY', 'small_airport', 'Papunya Airport', -23.246700286865234, 131.9029998779297, 620, 'AU', 'AU-NT', '', 'no', 'YPAY', '', '', ''),
	('YSTT', 'small_airport', 'Santa Teresa Airport', -24.11829948425293, 134.38999938964844, 0, 'AU', 'AU-NT', '', 'no', 'YSTT', '', '', ''),
	('YDPW', 'small_airport', 'Deep Well Airport', -24.297968, 134.143261, 0, 'AU', 'AU-NT', '', 'no', 'YDPW', '', '', ''),
	('YNCS', 'small_airport', 'New Crown Airport', -25.679926, 134.838553, 0, 'AU', 'AU-NT', '', 'no', 'YNCS', '', '', ''),
	('YMVG', 'closed', 'Mount Cavenagh Airport', -25.963929, 133.208542, 1752, 'AU', 'AU-NT', 'Ghan', 'no', '', '', '', 'MKV, YMVG, YMVG, MKV'),
	('YUMU', 'small_airport', 'Umuwa Airport', -26.4867000579834, 132.0399932861328, 0, 'AU', 'AU-SA', '', 'no', 'YUMU', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YWTA', 'N/A', 'N/A', -27.72881794720888, 134.12314876914024, 279, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YALI', 'N/A', 'N/A', -25.84126129746437, 133.29374492168427, 509, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YFNE', 'small_airport', 'Finke Airport', -25.5946998596, 134.582992554, 0, 'AU', 'AU-NT', 'Finke', 'no', 'YFNE', 'FIK', '', ''),
	('YEVP', 'small_airport', 'Everard Park Airport', -27.016700744628906, 132.7169952392578, 0, 'AU', 'AU-SA', '', 'no', 'YEVP', '', '', ''),
	('YTYN', 'small_airport', 'Tieyon Airport', -26.216699600219727, 133.91700744628906, 0, 'AU', 'AU-SA', '', 'no', 'YTYN', '', '', ''),
	('YTCY', 'small_airport', 'Tarcoonyinna Airport', -26.757104, 133.358574, 0, 'AU', 'AU-SA', 'De Rose Hill', 'no', 'YTCY', '', '', ''),
	('YWLB', 'small_airport', 'Welbourn Hill Airport', -27.342199, 134.086606, 0, 'AU', 'AU-SA', '', 'no', 'YWLB', '', '', ''),
	('YDRL', 'small_airport', 'De Rose Hill Airport', -26.435838, 133.259954, 0, 'AU', 'AU-SA', 'De Rose Hill', 'no', 'YDRL', '', '', ''),
	('YCDH', 'small_airport', 'Cadney Homestead Airport', -27.907286, 134.056377, 287, 'AU', 'AU-SA', 'Coober Pedy', 'no', 'YCDH', '', '', ''),
	('YIDK', 'small_airport', 'Indulkana Airport', -26.965435, 133.321989, 401, 'AU', 'AU-SA', 'Indulkana', 'no', 'YIDK', 'IDK', '', ''),
	('YALB', 'N/A', 'N/A', -25.55831339210272, 134.0701501071453, 322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YALA', 'small_airport', 'Marla Airport', -27.334298, 133.627696, 328, 'AU', 'AU-SA', 'Marla', 'no', 'YALA', 'MRP', '', ''),
	('YUMB', 'small_airport', 'Umbeara Airport', -25.746700286865234, 133.70199584960938, 0, 'AU', 'AU-NT', '', 'no', 'YUMB', '', '', ''),
	('YERN', 'small_airport', 'Ernabella Airport', -26.2632999420166, 132.1820068359375, 707, 'AU', 'AU-SA', '', 'no', 'YERN', 'ERB', '', ''),
	('YCSP', 'small_airport', 'Curtin Springs Airport', -25.333921, 131.759308, 0, 'AU', 'AU-NT', '', 'no', 'YCSP', '', '', ''),
	('YLAM', 'small_airport', 'Lambina Airport', -26.913299560546875, 134.05799865722656, 0, 'AU', 'AU-SA', '', 'no', 'YLAM', '', '', ''),
	('YAKG', 'small_airport', 'Arckaringa Airport', -27.946699142456055, 134.7449951171875, 0, 'AU', 'AU-SA', '', 'no', 'YAKG', '', '', ''),
	('YMIB', 'small_airport', 'Mintabie Airport', -27.329685, 133.302784, 366, 'AU', 'AU-SA', 'Mintabie', 'no', 'YMIB', '', '', ''),
	('YKEN', 'small_airport', 'Kenmore Park Airport', -26.33329963684082, 132.4669952392578, 0, 'AU', 'AU-SA', '', 'no', 'YKEN', '', '', ''),
	('YGDW', 'small_airport', 'Granite Downs Airport', -26.948299, 133.606995, 337, 'AU', 'AU-SA', '', 'no', 'YGDW', '', '', ''),
	('YTDM', 'small_airport', 'Todmorden Airport', -27.12420082092285, 134.77000427246094, 0, 'AU', 'AU-SA', '', 'no', 'YTDM', '', '', ''),
	('YMUP', 'small_airport', 'Mulga Park Airport', -25.860000610399997, 131.649993896, 0, 'AU', 'AU-NT', '', 'no', 'YMUP', 'MUP', '', ''),
	('YFRG', 'small_airport', 'Fregon Airport', -26.774999618530273, 132.01699829101563, 528, 'AU', 'AU-SA', '', 'no', 'YFRG', '', '', ''),
	('YMGG', 'small_airport', 'Mulgathing Airport', -30.227378, 133.988335, 0, 'AU', 'AU-SA', '', 'no', 'YMGG', '', '', ''),
	('YBUL', 'small_airport', 'Bulgunnia Airport', -30.184458, 134.905157, 0, 'AU', 'AU-SA', 'Bulgunnia', 'no', 'YBUL', '', '', ''),
	('YMAI', 'small_airport', 'Manguri Airport', -28.986814, 134.391354, 0, 'AU', 'AU-SA', 'Manguri', 'no', 'YMAI', '', '', ''),
	('YWNA', 'small_airport', 'Wilgena Airport', -30.766700744628906, 134.72999572753906, 0, 'AU', 'AU-SA', '', 'no', 'YWNA', '', '', ''),
	('YEMJ', 'small_airport', 'Emu Junction Airport', -28.63330078125, 132.18299865722656, 0, 'AU', 'AU-SA', '', 'no', 'YEMJ', '', '', ''),
	('YCBP', 'medium_airport', 'Coober Pedy Airport', -29.038312, 134.722166, 740, 'AU', 'AU-SA', 'Coober Pedy', 'yes', 'YCBP', 'CPD', '', ''),
	('YMTC', 'small_airport', 'Mount Clarence Airport', -28.826959, 134.352123, 712, 'AU', 'AU-SA', 'Mount Clarence Station', 'no', 'YMTC', '', '', ''),
	('YCGR', 'N/A', 'N/A', -29.870095811784267, 133.5725922882557, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBTN', 'small_airport', 'Barton Siding Airport', -30.524589, 132.675254, 0, 'AU', 'AU-SA', '', 'no', 'YBTN', '', '', ''),
	('YWSI', 'small_airport', 'Wirrida Siding Airport', -29.566699981689453, 134.51699829101563, 0, 'AU', 'AU-SA', '', 'no', 'YWSI', '', '', ''),
	('YEYD', 'small_airport', 'Evelyn Downs Airport', -28.204700469970703, 134.48800659179688, 0, 'AU', 'AU-SA', '', 'no', 'YEYD', '', '', ''),
	('YWYB', 'small_airport', 'Wynbring Airport', -30.55827, 133.53398, 0, 'AU', 'AU-SA', '', 'no', 'YWYB', '', '', ''),
	('YIGR', 'small_airport', 'Ingomar Airport', -29.63330078125, 134.79299926757813, 0, 'AU', 'AU-SA', '', 'no', 'YIGR', '', '', ''),
	('YBDS', 'small_airport', 'Birthday Siding Airport', -30.288867, 134.528275, 0, 'AU', 'AU-SA', 'Tarcoola', 'no', 'YBDS', '', '', ''),
	('YJAC', 'small_airport', 'Jacinth Ambrosia Airport', -30.901, 132.183667, 419, 'AU', 'AU-SA', '', 'no', 'YJAC', '', '', ''),
	('YODA', 'small_airport', 'Ooldea Airport', -30.45669937133789, 131.822998046875, 0, 'AU', 'AU-SA', '', 'no', 'YODA', '', '', ''),
	('YTAR', 'small_airport', 'Tarcoola Airport', -30.702871, 134.58282, 400, 'AU', 'AU-SA', 'Tarcoola', 'no', 'YTAR', 'TAQ', '', ''),
	('YMRA', 'small_airport', 'Maralinga Airport', -30.163299560546875, 131.625, 0, 'AU', 'AU-SA', '', 'no', 'YMRA', '', '', ''),
	('YLLA', 'small_airport', 'Mobella Airport', -29.79829978942871, 133.34500122070313, 0, 'AU', 'AU-SA', '', 'no', 'YLLA', '', '', ''),
	('YMBR', 'N/A', 'N/A', -28.269546926021576, 134.14911970496178, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCWH', 'small_airport', 'Commonwealth Hill Airport', -29.957231, 134.151789, 0, 'AU', 'AU-SA', '', 'no', 'YCWH', '', '', ''),
	('YQUA', 'small_airport', 'Quarry2 Airport', -30.29146, 134.526815, 604, 'AU', 'AU-SA', 'Tarcoola', 'no', 'YQUA', '', '', ''),
	('YCED', 'N/A', 'N/A', -31.886998638510704, 132.28297591209412, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKBY', 'small_airport', 'Streaky Bay Airport', -32.836621, 134.292991, 69, 'AU', 'AU-SA', '', 'no', 'YKBY', 'KBY', '', ''),
	('YCHR', 'small_airport', 'Childra Airport', -31.700000762939453, 134.83299255371094, 0, 'AU', 'AU-SA', '', 'no', 'YCHR', '', '', ''),
	('YFLS', 'small_airport', 'Flinders Island Airport', -33.730989, 134.501, 0, 'AU', 'AU-SA', '', 'no', 'YFLS', '', '', ''),
	('YCDU', 'medium_airport', 'Ceduna Airport', -32.13059997558594, 133.7100067138672, 77, 'AU', 'AU-SA', '', 'yes', 'YCDU', 'CED', '', ''),
	('YYTA', 'small_airport', 'Yalata Mission Airport', -31.4706, 131.824997, 0, 'AU', 'AU-SA', 'Yalata Mission', 'no', 'YYTA', 'KYI', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YKDL', 'small_airport', 'Kondoolka Airport', -32.02389907836914, 134.86099243164063, 0, 'AU', 'AU-SA', '', 'no', 'YKDL', '', '', ''),
	('YPNG', 'small_airport', 'Penong Airport', -31.916700363159, 133, 78, 'AU', 'AU-SA', 'Penong', 'no', 'YPNG', 'PEY', '', ''),
	('YELN', 'small_airport', 'Elliston Airport', -33.638302, 134.899994, 20, 'AU', 'AU-SA', 'Elliston', 'no', 'YELN', '', '', ''),
	('YNUE', 'small_airport', 'Numery Airport', -23.983299255371094, 135.39999389648438, 0, 'AU', 'AU-NT', '', 'no', 'YNUE', '', '', ''),
	('YTLT', 'small_airport', 'Tarlton Downs Airport', -22.63330078125, 136.8000030517578, 0, 'AU', 'AU-NT', '', 'no', 'YTLT', '', '', ''),
	('YMQA', 'small_airport', 'Marqua Airport', -22.80579948425293, 137.25100708007813, 0, 'AU', 'AU-NT', 'Marqua', 'no', 'YMQA', 'MQE', '', ''),
	('YIKL', 'small_airport', 'Baikal Airport', -22.7632999420166, 136.16299438476563, 0, 'AU', 'AU-NT', '', 'no', 'YIKL', '', '', ''),
	('YHKT', 'small_airport', 'Huckitta Airport', -22.943300247192383, 135.44700622558594, 0, 'AU', 'AU-NT', '', 'no', 'YHKT', '', '', ''),
	('YMNS', 'small_airport', 'Mount Swan Airport', -22.624696, 135.034512, 1641, 'AU', 'AU-NT', '', 'no', 'YMNS', 'MSF', '', ''),
	('YATL', 'small_airport', 'Atula Airport', -23.255344, 136.388955, 915, 'AU', 'AU-NT', 'Anatye', 'no', 'YATL', '', '', ''),
	('YJVS', 'small_airport', 'Jervois Airport', -22.913299560546875, 136.1199951171875, 331, 'AU', 'AU-NT', '', 'no', 'YJVS', '', '', ''),
	('YCWI', 'small_airport', 'Cowarie Airport', -27.711700439453125, 138.3280029296875, 52, 'AU', 'AU-SA', '', 'no', 'YCWI', 'CWR', '', ''),
	('YHMT', 'small_airport', 'Hamilton Airport', -26.719999313354492, 135.072998046875, 0, 'AU', 'AU-SA', '', 'no', 'YHMT', '', '', ''),
	('YMAC', 'small_airport', 'Macumba Airport', -27.261699676513672, 135.63800048828125, 0, 'AU', 'AU-SA', '', 'no', 'YMAC', '', '', ''),
	('YMUG', 'small_airport', 'Mungeranie Airport', -28.009199142456055, 138.65699768066406, 0, 'AU', 'AU-SA', 'Mungeranie', 'no', 'YMUG', 'MNE', '', ''),
	('YOAD', 'small_airport', 'Old Andado Airport', -25.38330078125, 135.41700744628906, 0, 'AU', 'AU-NT', '', 'no', 'YOAD', '', '', ''),
	('YSAR', 'small_airport', 'Mount Sarah Airport', -27.043100357055664, 135.24200439453125, 0, 'AU', 'AU-SA', '', 'no', 'YSAR', '', '', ''),
	('YOOD', 'small_airport', 'Oodnadatta Airport', -27.562473, 135.442946, 118, 'AU', 'AU-SA', '', 'no', 'YOOD', 'ODD', '', ''),
	('YADO', 'small_airport', 'Andado Airport', -25.407772, 135.290794, 549, 'AU', 'AU-NT', 'Ghan', 'no', 'YADO', '', '', ''),
	('YKLR', 'small_airport', 'Kalamurina Airport', -27.716699600219727, 138.26199340820313, 0, 'AU', 'AU-SA', '', 'no', 'YKLR', '', '', ''),
	('YDLH', 'small_airport', 'Dalhousie Airport', -26.423045, 135.509276, 397, 'AU', 'AU-SA', '', 'no', 'YDLH', '', '', 'DALH'),
	('YMTX', 'small_airport', 'Mount Dare Airport', -26.06170082092285, 135.2469940185547, 0, 'AU', 'AU-SA', '', 'no', 'YMTX', '', '', ''),
	('YOLD', 'small_airport', 'Olympic Dam Airport', -30.483861, 136.876699, 344, 'AU', 'AU-SA', 'Olympic Dam', 'yes', 'YOLD', 'OLP', '', ''),
	('YLEC', 'medium_airport', 'Leigh Creek Airport', -30.598301, 138.425995, 856, 'AU', 'AU-SA', '', 'no', 'YLEC', 'LGH', '', ''),
	('YMUK', 'small_airport', 'Mulka Airport', -28.34779930114746, 138.64999389648438, 0, 'AU', 'AU-SA', 'Mulka', 'no', 'YMUK', 'MVK', '', ''),
	('YROO', 'N/A', 'N/A', -30.039335153996944, 138.05859848856926, 148, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNPA', 'small_airport', 'Nilpinna Airport', -28.482348, 135.912466, 450, 'AU', 'AU-SA', '', 'no', 'YNPA', '', '', ''),
	('YSTC', 'small_airport', 'Stuart Creek Airport', -29.716699600219727, 137.06300354003906, 122, 'AU', 'AU-SA', 'Stuart Creek', 'no', 'YSTC', '', '', ''),
	('YCOB', 'N/A', 'N/A', -30.20928729325533, 135.23110538721085, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKGA', 'small_airport', 'Kingoonya Airport', -30.914376, 135.307252, 0, 'AU', 'AU-SA', 'Kingoonya', 'no', 'YKGA', '', '', ''),
	('YBIK', 'closed', 'Bindook NDB', -34.166698, 150.100006, 0, 'AU', 'AU-NSW', '', 'no', '', '', '', 'YBIK, YBIK'),
	('YWMC', 'medium_airport', 'William Creek Aerodrome', -28.905854, 136.3406, 253, 'AU', 'AU-SA', 'William Creek', 'no', 'YWMC', '', '', 'WMC, William Creek'),
	('YVIV', 'small_airport', 'Mount Vivian Airport', -30.5801, 135.72535, 0, 'AU', 'AU-SA', 'Mount Vivian', 'no', 'YVIV', '', '', ''),
	('YLYH', 'N/A', 'N/A', -30.272913984954357, 138.3665245771408, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTHT', 'N/A', 'N/A', -29.98510591685772, 135.39873987436295, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNWL', 'small_airport', 'North Well Airport', -30.839328, 135.297822, 0, 'AU', 'AU-SA', '', 'no', 'YNWL', '', '', ''),
	('YPKI', 'small_airport', 'Parakylia Airport', -30.399999618530273, 136.39199829101563, 0, 'AU', 'AU-SA', '', 'no', 'YPKI', '', '', ''),
	('YBBO', 'small_airport', 'Bon Bon Airport', -30.4067, 135.479996, 0, 'AU', 'AU-SA', 'Bon Bon', 'no', 'YBBO', '', '', ''),
	('YPKE', 'small_airport', 'Peake Airport', -28.25, 135.89999389648438, 0, 'AU', 'AU-SA', '', 'no', 'YPKE', '', '', ''),
	('YEDA', 'small_airport', 'Etadunna Airport', -28.740801, 138.589005, 0, 'AU', 'AU-SA', 'Etadunna', 'no', 'YEDA', 'ETD', '', ''),
	('YPMH', 'small_airport', 'Prominent Hill Airport', -29.716, 135.5244, 745, 'AU', 'AU-SA', 'Mount Eba', 'yes', 'YPMH', 'PXH', '', ''),
	('YRXB', 'small_airport', 'Roxby Downs Station Airport', -30.708437, 136.71067, 0, 'AU', 'AU-SA', '', 'no', 'YRXB', '', '', ''),
	('YDLK', 'small_airport', 'Dulkaninna Airport', -29.0132999420166, 138.4810028076172, 0, 'AU', 'AU-SA', 'Dulkaninna', 'no', 'YDLK', 'DLK', '', ''),
	('YMEB', 'small_airport', 'Mount Eba Airport', -30.178595, 135.673599, 0, 'AU', 'AU-SA', 'Mount Eba', 'no', 'YMEB', '', '', ''),
	('YAMK', 'small_airport', 'Andamooka Airport', -30.438299, 137.136993, 76, 'AU', 'AU-SA', '', 'no', 'YAMK', 'ADO', '', ''),
	('YMDD', 'N/A', 'N/A', -29.712617620825768, 138.2274417579174, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMLR', 'small_airport', 'Muloorina Airport', -29.246700286865234, 137.91000366210938, 0, 'AU', 'AU-SA', '', 'no', 'YMLR', '', '', ''),
	('YMRE', 'small_airport', 'Marree Airport', -29.663299560546875, 138.06500244140625, 50, 'AU', 'AU-SA', '', 'no', 'YMRE', 'RRE', '', ''),
	('YANK', 'small_airport', 'Anna Creek Airport', -28.89678, 136.170795, 300, 'AU', 'AU-SA', '', 'no', 'YANK', '', '', ''),
	('YJST', 'small_airport', 'Hubert Wilkins Airstrip', -33.1920845053, 138.615531921, 0, 'AU', 'AU-SA', 'Jamestown', 'no', 'YJST', '', '', ''),
	('YPDE', 'N/A', 'N/A', -33.66069920361042, 136.1421713232994, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YCVA', 'small_airport', 'Clare Valley Aerodrome', -33.710292, 138.584916, 1120, 'AU', 'AU-SA', 'Clare', 'no', 'YCVA', '', '', ''),
	('YSIA', 'small_airport', 'Siam Airport', -32.557498931884766, 136.70899963378906, 0, 'AU', 'AU-SA', 'Siam', 'no', 'YSIA', '', '', ''),
	('YHTA', 'small_airport', 'Hiltaba Airport', -32.14250183105469, 135.0989990234375, 0, 'AU', 'AU-SA', '', 'no', 'YHTA', '', '', ''),
	('YRYK', 'small_airport', 'Rawnsley Park Airport', -31.653528213500977, 138.60952758789063, 0, 'AU', 'AU-SA', '', 'no', 'YRYK', '', '', ''),
	('AU22', 'N/A', 'N/A', -32.81978376209736, 137.55240753293037, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YQRN', 'small_airport', 'Quorn Airport', -32.325651, 138.105612, 293, 'AU', 'AU-SA', '', 'no', 'YQRN', '', '', ''),
	('YHAW', 'small_airport', 'Wilpena Pound Airport', -31.855907, 138.468079, 321, 'AU', 'AU-SA', 'Hawker', 'no', 'YHAW', 'HWK', '', ''),
	('YQUU', 'N/A', 'N/A', -31.516813226044178, 138.62461656332016, 514, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNIG', 'small_airport', 'Nonning Airport', -32.52190017700195, 136.49400329589844, 0, 'AU', 'AU-SA', '', 'no', 'YNIG', '', '', ''),
	('YCWL', 'small_airport', 'Cowell Airport', -33.666698, 136.891998, 39, 'AU', 'AU-SA', '', 'no', 'YCWL', 'CCW', '', ''),
	('YKOL', 'small_airport', 'Kolendo Airport', -32.41579818725586, 136.29800415039063, 0, 'AU', 'AU-SA', '', 'no', 'YKOL', '', '', ''),
	('YCEE', 'medium_airport', 'Cleve Airport', -33.709702, 136.505005, 589, 'AU', 'AU-SA', '', 'no', 'YCEE', 'CVC', '', ''),
	('YCRT', 'small_airport', 'Carrieton Airport', -32.41669845581055, 138.51699829101563, 0, 'AU', 'AU-SA', '', 'no', 'YCRT', '', '', ''),
	('YCRR', 'N/A', 'N/A', -33.37415646761656, 138.20689603686333, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKWG', 'small_airport', 'Kangaroo Well Airport', -31.78499984741211, 135.63800048828125, 0, 'AU', 'AU-SA', '', 'no', 'YKWG', '', '', ''),
	('YWHA', 'medium_airport', 'Whyalla Airport', -33.05889892578125, 137.51400756835938, 41, 'AU', 'AU-SA', 'Whyalla', 'yes', 'YWHA', 'WYA', '', ''),
	('YWUD', 'small_airport', 'Wudinna Airport', -33.043301, 135.447006, 310, 'AU', 'AU-SA', '', 'no', 'YWUD', 'WUD', '', ''),
	('YPIR', 'medium_airport', 'Port Pirie Airport', -33.238899, 137.994995, 40, 'AU', 'AU-SA', '', 'no', 'YPIR', 'PPI', '', ''),
	('YPWR', 'small_airport', 'Woomera Airfield', -31.14419937133789, 136.81700134277344, 548, 'AU', 'AU-SA', 'Woomera', 'yes', 'YPWR', 'UMR', '', 'RAAF'),
	('YORP', 'N/A', 'N/A', -31.438524574041367, 138.73194336891174, 668, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YYOO', 'small_airport', 'Yalymboo Airport', -31.803300857543945, 136.86000061035156, 0, 'AU', 'AU-SA', '', 'no', 'YYOO', '', '', ''),
	('YBOC', 'small_airport', 'Booleroo Centre Airport', -32.88989, 138.366382, 418, 'AU', 'AU-SA', '', 'no', 'YBOC', '', '', ''),
	('YMGN', 'small_airport', 'Mount Gunson Airport', -31.4597, 137.174443333, 285, 'AU', 'AU-SA', 'Mount Gunson', 'no', 'YMGN', 'GSN', '', ''),
	('YCDB', 'small_airport', 'Coondambo Airport', -31.053413, 135.864401, 0, 'AU', 'AU-SA', 'Glendambo', 'no', 'YCDB', '', '', ''),
	('YAMN', 'small_airport', 'El Alamein Landing', -32.537548, 137.693283, 175, 'AU', 'AU-SA', 'Port Augusta', 'no', 'YAMN', '', '', ''),
	('YMOE', 'small_airport', 'Moonaree Airport', -31.966100692749023, 135.875, 0, 'AU', 'AU-SA', '', 'no', 'YMOE', '', '', ''),
	('YMPA', 'small_airport', 'Minnipa Airport', -32.843299865722656, 135.14500427246094, 155, 'AU', 'AU-SA', '', 'no', 'YMPA', 'MIN', '', ''),
	('YPAG', 'medium_airport', 'Port Augusta Airport', -32.506900787353516, 137.7169952392578, 56, 'AU', 'AU-SA', '', 'yes', 'YPAG', 'PUG', '', ''),
	('YIMB', 'small_airport', 'Kimba Airport', -33.093182, 136.466315, 763, 'AU', 'AU-SA', 'Kimba', 'no', 'YIMB', '', '', ''),
	('YGLD', 'small_airport', 'Glendambo Airport', -30.981583, 135.777744, 0, 'AU', 'AU-SA', 'Glendambo', 'no', 'YGLD', '', '', ''),
	('YLOK', 'small_airport', 'Lock Airport', -33.5442008972168, 135.6929931640625, 350, 'AU', 'AU-SA', 'Lock', 'no', 'YLOK', 'LOC', '', ''),
	('YORR', 'small_airport', 'Orroroo Airport', -32.791013, 138.672068, 381, 'AU', 'AU-SA', '', 'no', 'YORR', '', '', ''),
	('YKKH', 'small_airport', 'Kokatha Airport', -31.29170036315918, 135.24200439453125, 0, 'AU', 'AU-SA', '', 'no', 'YKKH', '', '', ''),
	('YWIR', 'N/A', 'N/A', -31.190808825194836, 136.21984764933586, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLVD', 'small_airport', 'Lake Everard Airport', -31.733299255371094, 135.02699279785156, 0, 'AU', 'AU-SA', '', 'no', 'YLVD', '', '', ''),
	('YMIV', 'small_airport', 'Mount Ive Airport', -32.44419860839844, 136.06900024414063, 0, 'AU', 'AU-SA', '', 'no', 'YMIV', '', '', ''),
	('YBLM', 'small_airport', 'Blinman Airport', -31.118600845336914, 138.7259979248047, 1991, 'AU', 'AU-SA', '', 'no', 'YBLM', '', '', ''),
	('YRDA', 'small_airport', 'Yardea Airport', -32.40999984741211, 135.48500061035156, 0, 'AU', 'AU-SA', '', 'no', 'YRDA', '', '', ''),
	('YMWO', 'small_airport', 'Mahanewo Airport', -31.718299865722656, 136.43299865722656, 0, 'AU', 'AU-SA', '', 'no', 'YMWO', '', '', ''),
	('YWRK', 'N/A', 'N/A', -34.955836683511734, 137.31376692652702, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTBB', 'small_airport', 'Tumby Bay Airport', -34.361698, 136.095001, 11, 'AU', 'AU-SA', '', 'no', 'YTBB', '', '', ''),
	('YARS', 'small_airport', 'Ardrossan Airport', -34.4471888889, 137.888291667, 92, 'AU', 'AU-SA', '', 'no', 'YARS', '', '', ''),
	('YGWA', 'small_airport', 'Goolwa Airport', -35.480085, 138.744267, 32, 'AU', 'AU-SA', 'Goolwa', 'no', 'YGWA', '', '', ''),
	('YBVA', 'small_airport', 'Balaklava Airport', -34.090958, 138.339801, 0, 'AU', 'AU-SA', '', 'no', 'YBVA', '', '', ''),
	('YCOF', 'small_airport', 'Coffin Bay Airport', -34.589022, 135.509115, 0, 'AU', 'AU-SA', 'Coffin Bay', 'no', 'YCOF', '', '', ''),
	('YROK', 'small_airport', 'Rocky River Airport', -35.93000030517578, 136.72000122070313, 0, 'AU', 'AU-SA', '', 'no', 'YROK', '', '', ''),
	('YWGI', 'small_airport', 'Wedge Island Airstrip', -35.150398, 136.461235, 5, 'AU', 'AU-SA', '', 'no', 'YWGI', '', '', ''),
	('YJOH', 'N/A', 'N/A', -35.81136379390955, 137.73545891046524, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPPF', 'small_airport', 'Adelaide Parafield Airport', -34.793300628699996, 138.632995605, 57, 'AU', 'AU-SA', 'Adelaide', 'no', 'YPPF', '', '', ''),
	('YCVG', 'small_airport', 'Calvin Grove Airport', -34.692333, 138.580899, 0, 'AU', 'AU-SA', '', 'no', 'YCVG', '', '', ''),
	('YHON', 'small_airport', 'Honeymoon Airport', -31.753633, 140.664992, 419, 'AU', 'AU-SA', 'Honeymoon Uranium Mine', 'no', 'YHON', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YMIN', 'small_airport', 'Minlaton Airport', -34.743801, 137.529087, 0, 'AU', 'AU-SA', '', 'no', 'YMIN', 'XML', '', ''),
	('YCMM', 'small_airport', 'Cummins Town Airport', -34.253133, 135.709616, 0, 'AU', 'AU-SA', '', 'no', 'YCMM', '', '', ''),
	('YMLD', 'small_airport', 'Maitland Airport', -34.39117, 137.707717, 0, 'AU', 'AU-SA', '', 'no', 'YMLD', '', '', ''),
	('YCUS', 'small_airport', 'Cummins Airport', -34.215147, 135.634455, 197, 'AU', 'AU-SA', '', 'no', 'YCUS', '', '', ''),
	('YYOR', 'small_airport', 'Yorketown Airport', -35.003564, 137.619295, 0, 'AU', 'AU-SA', '', 'no', 'YYOR', 'ORR', '', ''),
	('YKSC', 'medium_airport', 'Kingscote Airport', -35.71390151977539, 137.52099609375, 24, 'AU', 'AU-SA', '', 'yes', 'YKSC', 'KGC', '', ''),
	('YPSH', 'small_airport', 'Penneshaw Airport', -35.7558462874, 137.962875366, 0, 'AU', 'AU-SA', 'Ironstone', 'no', 'YPSH', 'PEA', '', ''),
	('YGAW', 'small_airport', 'Gawler Airport', -34.599934, 138.719055, 70, 'AU', 'AU-SA', '', 'no', 'YGAW', '', '', ''),
	('YTHI', 'small_airport', 'Thistle Island Airport', -35.02470016479492, 136.17999267578125, 120, 'AU', 'AU-SA', 'Thistle Island', 'no', 'YTHI', '', '', ''),
	('YWDI', 'N/A', 'N/A', -34.47595328092575, 137.36251920461655, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPDA', 'small_airport', 'Parndana Airport', -35.807, 137.264, 545, 'AU', 'AU-SA', 'Kangaroo Island', 'no', 'YPDA', 'PDN', 'YPDA', ''),
	('YADG', 'small_airport', 'Aldinga Airport', -35.288753, 138.49421, 110, 'AU', 'AU-SA', 'Aldinga', 'no', 'YADG', '', '', ''),
	('YPED', 'medium_airport', 'RAAF Base Edinburgh', -34.705705, 138.615564, 67, 'AU', 'AU-SA', 'Adelaide', 'no', 'YPED', '', '', ''),
	('YPLC', 'medium_airport', 'Port Lincoln Airport', -34.6053009033, 135.880004883, 36, 'AU', 'AU-SA', 'Port Lincoln', 'yes', 'YPLC', 'PLO', '', ''),
	('YPAD', 'large_airport', 'Adelaide International Airport', -34.947512, 138.533393, 20, 'AU', 'AU-SA', 'Adelaide', 'yes', 'YPAD', 'ADL', '', ''),
	('YCPP', 'N/A', 'N/A', -33.9696729183197, 137.65980765223503, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNOA', 'N/A', 'N/A', -35.17163950949907, 138.49410831928253, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKDI', 'small_airport', 'Kadina Airport', -33.96963, 137.659748, 42, 'AU', 'AU-SA', '', 'no', 'YKDI', '', '', ''),
	('YCUM', 'N/A', 'N/A', -34.5891522243619, 135.50768494606018, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLLT', 'small_airport', 'Lower Light Airport', -34.515999, 138.426457, 55, 'AU', 'AU-SA', '', 'no', 'YLLT', '', '', ''),
	('YMWX', 'small_airport', 'Marion Downs Airport', -23.363702, 139.649663, 0, 'AU', 'AU-QLD', 'Marion Downs', 'no', 'YMWX', 'MXD', '', ''),
	('YUNY', 'small_airport', 'Cluny Airport', -24.516700744628906, 139.61700439453125, 90, 'AU', 'AU-QLD', '', 'no', 'YUNY', 'CZY', '', ''),
	('BHT', 'small_airport', 'Brighton Downs Airport', -23.363333, 141.562778, 390, 'AU', 'AU-QLD', 'Brighton Downs', 'no', 'YBTD', 'BHT', '', ''),
	('YGLE', 'small_airport', 'Glengyle Airport', -24.808300018310547, 139.60000610351563, 91, 'AU', 'AU-QLD', '', 'no', 'YGLE', 'GLG', '', ''),
	('YDPD', 'small_airport', 'Davenport Downs Airport', -24.149999618530273, 141.10800170898438, 95, 'AU', 'AU-QLD', '', 'no', 'YDPD', 'DVP', '', ''),
	('YBIE', 'medium_airport', 'Bedourie Airport', -24.346099853515625, 139.4600067138672, 300, 'AU', 'AU-QLD', '', 'yes', 'YBIE', 'BEU', '', ''),
	('YMNK', 'small_airport', 'Monkira Airport', -24.816699981689453, 140.5330047607422, 107, 'AU', 'AU-QLD', '', 'no', 'YMNK', 'ONR', '', ''),
	('YGLO', 'small_airport', 'Glenormiston Airport', -22.8883, 138.824997, 158, 'AU', 'AU-QLD', '', 'no', 'YGLO', 'GLM', '', ''),
	('SRM', 'small_airport', 'Sandringham Airport', -24.0568, 139.0821, 313, 'AU', 'AU-QLD', 'Sandringham Station', 'no', '', 'SRM', '', ''),
	('YBOU', 'medium_airport', 'Boulia Airport', -22.913299560546875, 139.89999389648438, 542, 'AU', 'AU-QLD', '', 'yes', 'YBOU', 'BQL', '', ''),
	('KDS', 'small_airport', 'Kamaran Downs Airport', -24.3388, 139.2785, 322, 'AU', 'AU-QLD', 'Kamaran Downs', 'no', '', 'KDS', '', ''),
	('YROX', 'N/A', 'N/A', -22.51555647701025, 138.83385971188545, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSPV', 'small_airport', 'Springvale Airport', -23.549999, 140.699997, 0, 'AU', 'AU-QLD', '', 'no', 'YSPV', 'KSV', '', ''),
	('YCLL', 'N/A', 'N/A', -23.76033179461956, 141.14656001329422, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTIW', 'N/A', 'N/A', -27.669451273977757, 140.0961470603943, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBDV', 'medium_airport', 'Birdsville Airport', -25.897499084472656, 139.34800720214844, 159, 'AU', 'AU-QLD', '', 'yes', 'YBDV', 'BVI', '', ''),
	('YMHW', 'small_airport', 'Mount Howitt Airport', -26.511699676513672, 142.2830047607422, 105, 'AU', 'AU-QLD', '', 'no', 'YMHW', '', '', ''),
	('YCFH', 'small_airport', 'Clifton Hills Airport', -27.018299, 138.891998, 105, 'AU', 'AU-SA', 'Clifton Hills', 'no', 'YCFH', 'CFH', '', ''),
	('YNAP', 'small_airport', 'Nappa Merrie Airport', -27.549201, 141.158416, 55, 'AU', 'AU-QLD', '', 'no', 'YNAP', 'NMR', '', ''),
	('YBEO', 'small_airport', 'Betoota Airport', -25.694791, 140.738339, 91, 'AU', 'AU-QLD', '', 'no', 'YBEO', 'BTX', '', ''),
	('YRSB', 'small_airport', 'Roseberth Airport', -25.825737, 139.627476, 55, 'AU', 'AU-QLD', '', 'no', 'YRSB', 'RSB', '', ''),
	('YOOM', 'small_airport', 'Moomba Airport', -28.0994, 140.197006, 143, 'AU', 'AU-SA', 'Moomba', 'no', 'YOOM', 'MOO', '', ''),
	('WAN', 'small_airport', 'Waverney Airport', -25.3563, 141.9254, 570, 'AU', 'AU-QLD', 'Waverney', 'no', '', 'WAN', '', ''),
	('OXO', 'small_airport', 'Orientos Airport', -28.0598, 141.5361, 375, 'AU', 'AU-QLD', 'Orientos', 'no', '', 'OXO', '', ''),
	('YARY', 'small_airport', 'Arrabury Airport', -26.69639, 141.048718, 334, 'AU', 'AU-QLD', 'Tanbar', 'no', 'YARY', 'AAB', '', ''),
	('YSGW', 'small_airport', 'South Galway Airport', -25.6833, 142.108002, 116, 'AU', 'AU-QLD', '', 'no', 'YSGW', 'ZGL', '', ''),
	('YINM', 'N/A', 'N/A', -27.61913001537323, 141.0730929672718, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKMN', 'N/A', 'N/A', -27.36955851316452, 141.93152323365211, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDRH', 'small_airport', 'Durham Downs Airport', -27.075000762939453, 141.89999389648438, 116, 'AU', 'AU-QLD', '', 'no', 'YDRH', 'DHD', '', ''),
	('YMNY', 'small_airport', 'Morney Airport', -25.358299255371094, 141.43299865722656, 104, 'AU', 'AU-QLD', '', 'no', 'YMNY', 'OXY', '', ''),
	('YINN', 'small_airport', 'Innamincka Airport', -27.697589, 140.739498, 54, 'AU', 'AU-SA', '', 'no', 'YINN', 'INM', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YINA', 'N/A', 'N/A', -25.694861970841885, 140.7380448281765, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTNB', 'small_airport', 'Tanbar Airport', -25.847799301147, 141.92799377441, 344, 'AU', 'AU-QLD', 'Tanbar Station', 'no', 'YTNB', 'TXR', '', ''),
	('YIMT', 'small_airport', 'Innamincka Township Airport', -27.74169921875, 140.7449951171875, 0, 'AU', 'AU-SA', 'Innamincka Township', 'no', 'YIMT', '', '', ''),
	('YDRI', 'small_airport', 'Durrie Airport', -25.684999465942383, 140.22799682617188, 58, 'AU', 'AU-QLD', '', 'no', 'YDRI', 'DRR', '', ''),
	('YCOD', 'small_airport', 'Cordillo Downs Airport', -26.74530029296875, 140.63800048828125, 125, 'AU', 'AU-SA', 'Cordillo Downs', 'no', 'YCOD', 'ODL', '', ''),
	('YJAK', 'small_airport', 'Jackson Airport', -27.6382999420166, 142.4080047607422, 106, 'AU', 'AU-QLD', '', 'no', 'YJAK', '', '', ''),
	('YLLE', 'small_airport', 'Ballera Airport', -27.405633, 141.809458, 385, 'AU', 'AU-QLD', '', 'no', 'YLLE', 'BBL', '', ''),
	('YPDI', 'small_airport', 'Pandie Pandie Airport', -26.122248, 139.403501, 0, 'AU', 'AU-SA', '', 'no', 'YPDI', 'PDE', '', ''),
	('YTOA', 'small_airport', 'Toolachie Airport', -28.408300399780273, 140.80999755859375, 0, 'AU', 'AU-SA', '', 'no', 'YTOA', '', '', ''),
	('YTNE', 'small_airport', 'Tenneco Station One Airport', -28.735452, 140.039978, 0, 'AU', 'AU-SA', '', 'no', 'YTNE', '', '', ''),
	('YUBT', 'N/A', 'N/A', -30.234115161001682, 139.10568103194237, 528, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YFTN', 'small_airport', 'Mount Fitton Talc Airport', -29.90920066833496, 139.4739990234375, 0, 'AU', 'AU-SA', '', 'no', 'YFTN', '', '', ''),
	('YTEC', 'small_airport', 'Tenneco Station Three Airport', -30.336700439453125, 139.6649932861328, 0, 'AU', 'AU-SA', '', 'no', 'YTEC', '', '', ''),
	('YTOS', 'small_airport', 'Tenneco Station Two Airport', -29.565992, 139.941359, 0, 'AU', 'AU-SA', '', 'no', 'YTOS', '', '', ''),
	('YBEE', 'small_airport', 'Beverley Airport', -30.18670082092285, 139.55799865722656, 116, 'AU', 'AU-SA', '', 'no', 'YBEE', '', '', ''),
	('YOMI', 'small_airport', 'Omicron Station Airport', -28.760427, 141.208788, 0, 'AU', 'AU-QLD', '', 'no', 'YOMI', '', '', ''),
	('YWMA', 'small_airport', 'Wonnaminta Stat Airport', -30.651100158691406, 142.3419952392578, 610, 'AU', 'AU-NSW', '', 'no', 'YWMA', '', '', ''),
	('YMYT', 'small_airport', 'Merty Merty Airport', -28.582713, 140.303264, 0, 'AU', 'AU-SA', '', 'no', 'YMYT', 'RTY', '', ''),
	('YMNP', 'small_airport', 'Murnpeowie Airport', -29.591699600219727, 139.052001953125, 0, 'AU', 'AU-SA', '', 'no', 'YMNP', '', '', ''),
	('YWLN', 'small_airport', 'Wooltana Airport', -30.42169952392578, 139.43600463867188, 0, 'AU', 'AU-SA', '', 'no', 'YWLN', '', '', ''),
	('YMWT', 'small_airport', 'Moolawatana Airport', -29.9069, 139.765, 265, 'AU', 'AU-SA', 'Moolawatana Station', 'no', 'YMWT', 'MWT', '', ''),
	('YBLG', 'small_airport', 'Bollards Lagoon Airport', -28.981855, 140.857666, 0, 'AU', 'AU-SA', '', 'no', 'YBLG', '', '', ''),
	('YNQI', 'N/A', 'N/A', -30.899523943662643, 140.95749109983444, 64, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWSD', 'small_airport', 'Westward Downs Airport', -30.71137, 141.397648, 0, 'AU', 'AU-NSW', 'Broughams Gate', 'no', 'YWSD', '', '', ''),
	('YEPL', 'small_airport', 'Epsilon Airport', -28.294707, 141.197743, 0, 'AU', 'AU-QLD', '', 'no', 'YEPL', '', '', ''),
	('YTIB', 'medium_airport', 'Tibooburra Airport', -29.451099, 142.057999, 584, 'AU', 'AU-NSW', '', 'no', 'YTIB', 'TYB', '', ''),
	('YARK', 'small_airport', 'Arkaroola Airport', -30.406700134277344, 139.3459930419922, 0, 'AU', 'AU-SA', '', 'no', 'YARK', '', '', ''),
	('YWEO', 'small_airport', 'Wertaloona Airport', -30.649999618530273, 139.35000610351563, 0, 'AU', 'AU-SA', '', 'no', 'YWEO', '', '', ''),
	('YDGI', 'small_airport', 'Dullingari Airport', -28.13330078125, 140.8820037841797, 0, 'AU', 'AU-SA', '', 'no', 'YDGI', '', '', ''),
	('YBLC', 'small_airport', 'Balcanoona Airport', -30.535, 139.337006, 144, 'AU', 'AU-SA', '', 'no', 'YBLC', 'LCN', '', ''),
	('YNRL', 'small_airport', 'Naryilco Airport', -28.549999237060547, 141.91700744628906, 0, 'AU', 'AU-QLD', '', 'no', 'YNRL', '', '', ''),
	('YYUN', 'small_airport', 'Yunta Airport', -32.58330154418945, 139.5500030517578, 0, 'AU', 'AU-SA', '', 'no', 'YYUN', '', '', ''),
	('YSCA', 'small_airport', 'Scotia Sanctuary Airport', -33.207199096699995, 141.17300415, 177, 'AU', 'AU-NSW', '', 'no', 'YSCA', '', '', ''),
	('YLAN', 'small_airport', 'Langawirra Airport', -31.442361, 142.137766, 0, 'AU', 'AU-NSW', '', 'no', 'YLAN', '', '', ''),
	('YMED', 'small_airport', 'Menindee Airport', -32.366699, 142.404999, 0, 'AU', 'AU-NSW', 'Menindee', 'no', 'YMED', '', '', ''),
	('YTAD', 'small_airport', 'Tandou Lake Airport', -32.665885, 142.066773, 0, 'AU', 'AU-NSW', '', 'no', 'YTAD', '', '', ''),
	('YTNN', 'small_airport', 'Tenneco Station Four Airport', -31.183300018310547, 139.38299560546875, 0, 'AU', 'AU-SA', '', 'no', 'YTNN', '', '', ''),
	('YACS', 'small_airport', 'Acacia Downs Airport', -31.41670036315918, 141.89999389648438, 0, 'AU', 'AU-NSW', '', 'no', 'YACS', '', '', ''),
	('YERU', 'small_airport', 'Erudina Airport', -31.434499740600586, 139.4250030517578, 0, 'AU', 'AU-SA', '', 'no', 'YERU', '', '', ''),
	('YTEN', 'small_airport', 'Tenneco Station Five Airport', -31.975000381469727, 139.20700073242188, 0, 'AU', 'AU-SA', '', 'no', 'YTEN', '', '', ''),
	('YSTR', 'small_airport', 'Strathearn Airport', -31.766700744628906, 140.33299255371094, 0, 'AU', 'AU-SA', '', 'no', 'YSTR', '', '', ''),
	('YMTW', 'small_airport', 'Martins Well Airport', -31.473600387573242, 139.11099243164063, 0, 'AU', 'AU-SA', '', 'no', 'YMTW', '', '', ''),
	('YWNG', 'N/A', 'N/A', -32.453495264053345, 141.25628873705864, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OZKL', 'small_airport', 'Koralta Station Airpirt', -31.624885, 142.296143, 400, 'AU', 'AU-NSW', '', 'no', 'OZKL', '', '', ''),
	('YKOA', 'small_airport', 'Manna Hill Airport', -32.427842, 140.006164, 1194, 'AU', 'AU-SA', 'Mannahill', 'no', '', '', '', ''),
	('YWPA', 'small_airport', 'Wirrealpa Airport', -31.13330078125, 138.9669952392578, 0, 'AU', 'AU-SA', '', 'no', 'YWPA', '', '', ''),
	('YBHI', 'medium_airport', 'Broken Hill Airport', -32.0013999939, 141.472000122, 958, 'AU', 'AU-NSW', 'Broken Hill', 'yes', 'YBHI', 'BHQ', '', ''),
	('YPTB', 'small_airport', 'Peterborough Airport', -33.005001068115234, 138.85800170898438, 0, 'AU', 'AU-SA', '', 'no', 'YPTB', '', '', ''),
	('YCNA', 'small_airport', 'Corona Station Airport', -31.290800094604492, 141.45199584960938, 748, 'AU', 'AU-NSW', '', 'no', 'YCNA', '', '', ''),
	('YPMB', 'small_airport', 'Plumbago Airport', -32.05329895019531, 139.8719940185547, 0, 'AU', 'AU-SA', '', 'no', 'YPMB', '', '', ''),
	('YKOM', 'N/A', 'N/A', -33.08377683162689, 140.33010005950928, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YMIA', 'medium_airport', 'Mildura Airport', -34.229198455799995, 142.085998535, 167, 'AU', 'AU-VIC', 'Mildura', 'yes', 'YMIA', 'MQL', '', ''),
	('YRLO', 'small_airport', 'Rollo''s Aerodrome', -35.0371, 139.1869, 374, 'AU', 'AU-SA', 'Pallamana', 'no', 'YRLO', '', '', ''),
	('YPNN', 'small_airport', 'Pinnaroo Airport', -35.253299713134766, 140.9429931640625, 76, 'AU', 'AU-SA', '', 'no', 'YPNN', '', '', ''),
	('YKNV', 'small_airport', 'Kaniva Airport', -36.340918, 141.267964, 446, 'AU', 'AU-VIC', 'Kaniva', 'no', 'YKNV', '', '', ''),
	('YRBW', 'small_airport', 'Rainbow Airport', -35.907826, 141.977863, 0, 'AU', 'AU-VIC', '', 'no', 'YRBW', '', '', ''),
	('YHPN', 'medium_airport', 'Hopetoun Airport', -35.715302, 142.360001, 256, 'AU', 'AU-VIC', '', 'no', 'YHPN', 'HTU', '', ''),
	('YWKI', 'small_airport', 'Waikerie Airport', -34.179573, 140.033026, 138, 'AU', 'AU-SA', '', 'no', 'YWKI', '', '', ''),
	('YSFL', 'N/A', 'N/A', -34.343859516084194, 139.3085414171219, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNHL', 'small_airport', 'Nhill Airport', -36.310088, 141.643375, 454, 'AU', 'AU-VIC', 'Nhill', 'no', 'YNHL', '', '', ''),
	('YBOR', 'small_airport', 'Bordertown Airport', -36.268104, 140.721991, 265, 'AU', 'AU-SA', 'Bordertown', 'no', 'YBOR', '', '', ''),
	('YLYK', 'small_airport', 'Lyndoch Airport', -34.61828, 138.911362, 0, 'AU', 'AU-SA', 'Lyndoch', 'no', 'YLYK', '', '', ''),
	('YTIN', 'small_airport', 'Tintinara Airport', -35.870445, 140.07283, 0, 'AU', 'AU-SA', '', 'no', 'YTIN', '', '', ''),
	('YTFA', 'small_airport', 'Truro Flat Airpark', -34.3963, 139.379817, 0, 'AU', 'AU-SA', 'Truro Flat', 'no', 'YTFA', '', '', ''),
	('YOUY', 'small_airport', 'Ouyen Airport', -35.088819, 142.354778, 0, 'AU', 'AU-VIC', 'Ouyen', 'no', 'YOUY', 'OYN', '', ''),
	('YSEA', 'small_airport', 'Sedan Airfield', -34.569014, 139.334139, 289, 'AU', 'AU-SA', '', 'no', 'YSEA', '', '', ''),
	('AU14', 'N/A', 'N/A', -34.261421486735344, 140.58943703770638, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCLB', 'small_airport', 'Claremont Airbase', -34.992641, 138.927215, 1494, 'AU', 'AU-SA', 'Brukunga', 'no', 'YCLB', '', '', ''),
	('YWKB', 'medium_airport', 'Warracknabeal Airport', -36.32109832763672, 142.41900634765625, 397, 'AU', 'AU-VIC', '', 'no', 'YWKB', 'WKB', '', ''),
	('YFFT', 'small_airport', 'Farrell Flat Airport', -33.846753, 138.777419, 0, 'AU', 'AU-SA', '', 'no', 'YFFT', '', '', ''),
	('YTAI', 'N/A', 'N/A', -35.32064896076918, 139.79230150580406, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMAM', 'N/A', 'N/A', -34.555466026067734, 139.59303304553032, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMBD', 'small_airport', 'Murray Bridge Airport', -35.066202, 139.227326, 180, 'AU', 'AU-SA', '', 'no', 'YMBD', '', '', 'Pallamana Aerodrome, Pallamanna Airfield'),
	('YWTO', 'small_airport', 'Wentworth Airport', -34.088299, 141.891998, 37, 'AU', 'AU-NSW', 'Wentworth', 'no', 'YWTO', '', '', ''),
	('YLOX', 'small_airport', 'Loxton Airport', -34.474998, 140.662994, 38, 'AU', 'AU-SA', '', 'no', 'YLOX', '', '', ''),
	('YNIN', 'small_airport', 'Meningie Airport', -35.701002, 139.345522, 0, 'AU', 'AU-SA', 'Meningie', 'no', 'YNIN', '', '', ''),
	('YSYN', 'small_airport', 'Strathalbyn Airport', -35.317766, 139.000023, 0, 'AU', 'AU-SA', 'Strathalbyn', 'no', 'YSYN', '', '', ''),
	('YREN', 'medium_airport', 'Renmark Airport', -34.1964, 140.673996, 115, 'AU', 'AU-SA', '', 'no', 'YREN', 'RMK', '', ''),
	('YHML', 'medium_airport', 'Hamilton Airport', -37.64889907836914, 142.06500244140625, 803, 'AU', 'AU-VIC', '', 'no', 'YHML', 'HLT', '', ''),
	('YCLE', 'small_airport', 'Callendale Airport', -37.24330139160156, 140.44500732421875, 0, 'AU', 'AU-SA', '', 'no', 'YCLE', '', '', ''),
	('YLUI', 'small_airport', 'Lucindale Airport', -36.97169876098633, 140.3520050048828, 0, 'AU', 'AU-SA', '', 'no', 'YLUI', '', '', ''),
	('YWBL', 'small_airport', 'Warrnambool Airport', -38.2952995300293, 142.44700622558594, 242, 'AU', 'AU-VIC', '', 'no', 'YWBL', 'WMB', '', ''),
	('YEDE', 'small_airport', 'Edenhope Airport', -37.020219, 141.266889, 0, 'AU', 'AU-VIC', '', 'no', 'YEDE', '', '', ''),
	('YHSM', 'medium_airport', 'Horsham Airport', -36.669700622558594, 142.17300415039063, 445, 'AU', 'AU-VIC', '', 'no', 'YHSM', 'HSM', '', ''),
	('YGMP', 'small_airport', 'Grampians Airport', -37.048346, 142.270367, 0, 'AU', 'AU-VIC', '', 'no', 'YGMP', '', '', ''),
	('YNRC', 'small_airport', 'Naracoorte Airport', -36.985298, 140.725006, 169, 'AU', 'AU-SA', '', 'no', 'YNRC', 'NAC', '', ''),
	('YCNQ', 'small_airport', 'Coonawarra Airport', -37.277187, 140.811759, 0, 'AU', 'AU-SA', '', 'no', 'YCNQ', '', '', ''),
	('YSDW', 'small_airport', 'Strathdownie Airport', -37.7317008972168, 141.125, 0, 'AU', 'AU-VIC', '', 'no', 'YSDW', '', '', ''),
	('YMCT', 'small_airport', 'Millicent Airport', -37.58359909057617, 140.36599731445313, 56, 'AU', 'AU-SA', '', 'no', 'YMCT', 'MLR', '', ''),
	('YPOD', 'medium_airport', 'Portland Airport', -38.31809997558594, 141.4709930419922, 265, 'AU', 'AU-VIC', '', 'yes', 'YPOD', 'PTJ', '', ''),
	('YMTG', 'medium_airport', 'Mount Gambier Airport', -37.744382, 140.780561, 0, 'AU', 'AU-SA', 'Mount Gambier', 'yes', 'YMTG', 'MGB', '', ''),
	('YPOO', 'N/A', 'N/A', -38.360614366829395, 142.2679017484188, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCNG', 'small_airport', 'Cooranga Airport', -36.81999969482422, 140.2729949951172, 0, 'AU', 'AU-SA', '', 'no', 'YCNG', '', '', ''),
	('YRBE', 'small_airport', 'Robe Airport', -37.1753636288, 139.805231094, 65, 'AU', 'AU-SA', 'Robe', 'no', 'YRBE', '', '', ''),
	('YVVA', 'small_airport', 'Victoria Valley Airport', -37.5, 142.27000427246094, 0, 'AU', 'AU-VIC', '', 'no', 'YVVA', '', '', ''),
	('YPDY', 'small_airport', 'Padthaway Station Airport', -36.61669921875, 140.48300170898438, 0, 'AU', 'AU-SA', '', 'no', 'YPDY', '', '', ''),
	('YKIG', 'small_airport', 'Kingston Airport', -36.823299407958984, 139.875, 2, 'AU', 'AU-SA', '', 'no', 'YKIG', '', '', ''),
	('YBAR', 'medium_airport', 'Barcaldine Airport', -23.566268, 145.302086, 878, 'AU', 'AU-QLD', 'Barcaldine', 'yes', 'YBAR', 'BCI', '', ''),
	('YSTO', 'small_airport', 'Stonehenge Airport', -24.352599, 143.297482, 166, 'AU', 'AU-QLD', 'Stonehenge', 'no', 'YSTO', '', '', ''),
	('YILF', 'small_airport', 'Ilfracombe Airport', -23.475813, 144.529811, 720, 'AU', 'AU-QLD', '', 'no', 'YILF', '', '', ''),
	('YISF', 'small_airport', 'Isisford Airport', -24.25830078125, 144.4250030517578, 694, 'AU', 'AU-QLD', '', 'no', 'YISF', 'ISI', '', ''),
	('YWLF', 'N/A', 'N/A', -25.168737955391407, 143.32859873771667, 149, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YEMM', 'N/A', 'N/A', -25.308439806103706, 146.00901067256927, 375, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YALH', 'small_airport', 'Albilbah Airport', -24.712305, 144.290861, 0, 'AU', 'AU-QLD', '', 'no', 'YALH', '', '', ''),
	('YBCK', 'medium_airport', 'Blackall Airport', -24.431678, 145.429716, 928, 'AU', 'AU-QLD', 'Blackall', 'yes', 'YBCK', 'BKQ', '', ''),
	('YWBY', 'N/A', 'N/A', -22.929667085409164, 144.41740348935127, 204, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YJRO', 'small_airport', 'Jericho Airport', -23.585154, 146.132981, 0, 'AU', 'AU-QLD', '', 'no', 'YJRO', '', '', ''),
	('YMOY', 'N/A', 'N/A', -25.074883438646793, 142.89214879274368, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWWX', 'N/A', 'N/A', -24.123698696494102, 145.58397263288498, 318, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMTB', 'small_airport', 'Muttaburra Airport', -22.58329963684082, 144.5330047607422, 230, 'AU', 'AU-QLD', '', 'no', 'YMTB', 'UTB', '', ''),
	('YISD', 'small_airport', 'Isis Downs Airport', -24.216283, 144.626341, 0, 'AU', 'AU-QLD', '', 'no', 'YISD', '', '', ''),
	('YJED', 'N/A', 'N/A', -25.093616992235184, 143.55232000350952, 157, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLRE', 'medium_airport', 'Longreach Airport', -23.4342, 144.279999, 627, 'AU', 'AU-QLD', 'Longreach', 'yes', 'YLRE', 'LRE', '', ''),
	('YGWD', 'small_airport', 'Galway Downs Airport', -25.188049, 142.688777, 0, 'AU', 'AU-QLD', '', 'no', 'YGWD', '', '', ''),
	('YACD', 'small_airport', 'Alice Downs Station Airport', -24.269521, 145.488553, 991, 'AU', 'AU-QLD', 'Alice Downs', 'no', 'YACD', '', '', ''),
	('YTME', 'N/A', 'N/A', -23.414914906024933, 143.82942080497742, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMHN', 'N/A', 'N/A', -23.119148053228855, 144.74802643060684, 221, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMIU', 'N/A', 'N/A', -23.267125189304352, 145.27699828147888, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YAMC', 'small_airport', 'Aramac Airport', -22.95788, 145.249504, 232, 'AU', 'AU-QLD', '', 'no', 'YAMC', 'AXC', '', ''),
	('YONE', 'N/A', 'N/A', -23.301212713122368, 145.0151650607586, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNBH', 'N/A', 'N/A', -24.09534640610218, 143.16049128770828, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMNO', 'small_airport', 'Maneroo Airport', -23.369229, 143.894787, 0, 'AU', 'AU-QLD', '', 'no', 'YMNO', '', '', ''),
	('YMBO', 'N/A', 'N/A', -23.30898743122816, 143.4444746375084, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPTH', 'N/A', 'N/A', -23.106078319251537, 143.6155816912651, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YJDA', 'small_airport', 'Jundah Airport', -24.838045, 143.061962, 145, 'AU', 'AU-QLD', 'Jundah', 'no', 'YJDA', 'JUN', '', ''),
	('YDRE', 'N/A', 'N/A', -22.901739589869976, 143.98003846406937, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRES', 'N/A', 'N/A', -25.22136826068163, 143.2816967368126, 147, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSPF', 'small_airport', 'Springfield Airport', -24.297984, 144.878313, 767, 'AU', 'AU-QLD', 'Isisford', 'no', 'YSPF', '', '', ''),
	('YBDD', 'N/A', 'N/A', -24.81004849076271, 143.00619140267372, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWAH', 'N/A', 'N/A', -24.450438022613525, 144.1105368733406, 190, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YAUT', 'N/A', 'N/A', -23.148951083421707, 145.20194873213768, 232, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTGM', 'medium_airport', 'Thargomindah Airport', -27.986368, 143.812065, 433, 'AU', 'AU-QLD', 'Thargomindah', 'yes', 'YTGM', 'XTG', '', ''),
	('YTHY', 'small_airport', 'Thylungra Airport', -26.093047, 143.45136, 165, 'AU', 'AU-QLD', '', 'no', 'YTHY', 'TYG', '', ''),
	('YKRL', 'N/A', 'N/A', -25.905581675469875, 142.80369490385056, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWYA', 'small_airport', 'Wyandra Airport', -27.266700744628906, 145.99000549316406, 244, 'AU', 'AU-QLD', '', 'no', 'YWYA', '', '', ''),
	('YBGT', 'small_airport', 'Budgerygar Airport', -25.3700008392334, 143.7729949951172, 0, 'AU', 'AU-QLD', '', 'no', 'YBGT', '', '', ''),
	('YNOC', 'small_airport', 'Nockatunga Airport', -27.71933, 142.707753, 0, 'AU', 'AU-QLD', 'Noccundra', 'no', 'YNOC', '', '', ''),
	('YQLP', 'medium_airport', 'Quilpie Airport', -26.612199783325195, 144.2530059814453, 655, 'AU', 'AU-QLD', '', 'yes', 'YQLP', 'ULP', '', ''),
	('YWDH', 'medium_airport', 'Windorah Airport', -25.41309928894043, 142.66700744628906, 452, 'AU', 'AU-QLD', '', 'yes', 'YWDH', 'WNR', '', ''),
	('YNOO', 'small_airport', 'Nooyeah Downs Airport', -28.042483, 143.558881, 0, 'AU', 'AU-QLD', '', 'no', 'YNOO', '', '', ''),
	('YNCD', 'small_airport', 'Noccundra Airport', -27.809878, 142.593641, 0, 'AU', 'AU-QLD', '', 'no', 'YNCD', '', '', ''),
	('YADA', 'small_airport', 'Adavale Airfield', -25.894945, 144.569827, 814, 'AU', 'AU-QLD', 'Adavale', 'no', 'YADA', '', '', ''),
	('YPVD', 'small_airport', 'Plevna Downs Airport', -26.66670036315918, 142.58299255371094, 0, 'AU', 'AU-QLD', '', 'no', 'YPVD', '', '', ''),
	('YYWA', 'small_airport', 'Yowah Airport', -27.952928, 144.627661, 0, 'AU', 'AU-QLD', '', 'no', 'YYWA', '', '', ''),
	('YDNV', 'small_airport', 'Dynevor Downs Airport', -28.094095, 144.364986, 0, 'AU', 'AU-QLD', '', 'no', 'YDNV', '', '', ''),
	('YTII', 'small_airport', 'Trinidad Airport', -25.600000381469727, 143.91700744628906, 0, 'AU', 'AU-QLD', '', 'no', 'YTII', '', '', ''),
	('YRSV', 'small_airport', 'Rosevale Resort Airport', -27.13330078125, 145.89999389648438, 0, 'AU', 'AU-QLD', '', 'no', 'YRSV', '', '', ''),
	('YODL', 'small_airport', 'Ourdel Airport', -25.350000381469727, 142.63299560546875, 0, 'AU', 'AU-QLD', '', 'no', 'YODL', '', '', ''),
	('YCMU', 'medium_airport', 'Cunnamulla Airport', -28.030000686645508, 145.6219940185547, 630, 'AU', 'AU-QLD', '', 'yes', 'YCMU', 'CMA', '', ''),
	('YEMG', 'small_airport', 'Eromanga Airport', -26.7000007629, 143.266998291, 166, 'AU', 'AU-QLD', '', 'no', 'YEMG', '', '', ''),
	('YEUO', 'small_airport', 'Eulo Airport', -28.16670036315918, 145.04200744628906, 152, 'AU', 'AU-QLD', '', 'no', 'YEUO', '', '', ''),
	('YBKE', 'medium_airport', 'Bourke Airport', -30.039199829101563, 145.95199584960938, 352, 'AU', 'AU-NSW', '', 'yes', 'YBKE', 'BRK', '', ''),
	('YTLE', 'N/A', 'N/A', -30.31769648194313, 145.39843797683716, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YYCA', 'N/A', 'N/A', -30.504497922956944, 142.91138604283333, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKAY', 'small_airport', 'Kayrunnera Airport', -30.679257, 142.537136, 0, 'AU', 'AU-NSW', '', 'no', 'YKAY', '', '', ''),
	('YHRD', 'small_airport', 'Hungerford Airport', -28.996261, 144.453145, 0, 'AU', 'AU-QLD', '', 'no', 'YHRD', '', '', ''),
	('YLOH', 'small_airport', 'Louth Airport', -30.531414, 145.128413, 0, 'AU', 'AU-NSW', 'Louth', 'no', 'YLOH', '', '', ''),
	('YYLD', 'small_airport', 'Yalda Downs Homestead Airport', -30.26140022277832, 142.9770050048828, 0, 'AU', 'AU-NSW', '', 'no', 'YYLD', '', '', ''),
	('YEGA', 'small_airport', 'Engonnia Airport', -29.311175, 145.857475, 0, 'AU', 'AU-NSW', '', 'no', 'YEGA', '', '', ''),
	('YALN', 'small_airport', 'Allandy Airport', -30.38835, 142.625198, 0, 'AU', 'AU-NSW', 'Packsaddle', 'no', 'YALN', '', '', ''),
	('YWHC', 'small_airport', 'White Cliffs Airport', -30.853300094604492, 143.07200622558594, 162, 'AU', 'AU-NSW', '', 'no', 'YWHC', '', '', ''),
	('YNNM', 'N/A', 'N/A', -30.170405320823193, 143.89874696731567, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWAG', 'small_airport', 'Wanaaring Airport', -29.712125, 144.170955, 0, 'AU', 'AU-NSW', '', 'no', 'YWAG', '', '', ''),
	('YTLP', 'small_airport', 'Tilpa Airport', -30.925497, 144.419403, 0, 'AU', 'AU-NSW', 'Tilpa', 'no', 'YTLP', '', '', ''),
	('YMLN', 'small_airport', 'Monolon Airport', -30.203041, 143.217591, 0, 'AU', 'AU-NSW', '', 'no', 'YMLN', '', '', ''),
	('YCLA', 'small_airport', 'Clare Station Airport', -33.406898498535156, 143.94000244140625, 266, 'AU', 'AU-NSW', '', 'no', 'YCLA', '', '', ''),
	('YHLS', 'small_airport', 'Hillston Airport', -33.49330139160156, 145.5229949951172, 403, 'AU', 'AU-NSW', '', 'no', 'YHLS', '', '', ''),
	('YWCA', 'small_airport', 'Wilcannia Airport', -31.522082, 143.378358, 250, 'AU', 'AU-NSW', '', 'no', 'YWCA', 'WIO', '', ''),
	('YCBA', 'medium_airport', 'Cobar Airport', -31.538299560546875, 145.79400634765625, 724, 'AU', 'AU-NSW', '', 'yes', 'YCBA', 'CAZ', '', ''),
	('YIVO', 'small_airport', 'Ivanhoe Airport', -32.88330078125, 144.30999755859375, 330, 'AU', 'AU-NSW', '', 'no', 'YIVO', '', '', ''),
	('YPCE', 'small_airport', 'Pooncarie Airport', -33.373263, 142.586439, 50, 'AU', 'AU-NSW', '', 'no', 'YPCE', '', '', ''),
	('YLMU', 'small_airport', 'Mungo Lodge Airport', -33.7458244463, 143.001308441, 0, 'AU', 'AU-NSW', 'Mungo', 'no', 'YLMU', '', '', ''),
	('YDNK', 'small_airport', 'Darnick Airport', -32.88330078125, 143.58299255371094, 0, 'AU', 'AU-NSW', '', 'no', 'YDNK', '', '', ''),
	('YJER', 'small_airport', 'Jerilderie Airport', -35.369998931884766, 145.72500610351563, 110, 'AU', 'AU-NSW', '', 'no', 'YJER', '', '', ''),
	('YLLR', 'small_airport', 'Lake Leagur Airport', -35.983299255371094, 143.8000030517578, 0, 'AU', 'AU-VIC', '', 'no', 'YLLR', '', '', ''),
	('YCHL', 'small_airport', 'Charlton Airport', -36.25, 143.300003, 458, 'AU', 'AU-VIC', 'Charlton', 'no', 'YCHL', '', '', ''),
	('YECH', 'medium_airport', 'Echuca Airport', -36.15719985961914, 144.76199340820313, 323, 'AU', 'AU-VIC', '', 'no', 'YECH', 'ECH', '', ''),
	('YGBW', 'small_airport', 'Gunbower Airport', -35.966675, 144.381509, 0, 'AU', 'AU-VIC', '', 'no', 'YGBW', '', '', ''),
	('YWDS', 'small_airport', 'Woodside Airstrip', -34.958588, 138.890668, 1226, 'AU', 'AU-SA', 'Woodside', 'no', 'YWDS', '', '', ''),
	('YFIL', 'small_airport', 'Finley Airport', -35.658918, 145.561214, 380, 'AU', 'AU-NSW', '', 'no', 'YFIL', 'FLY', '', ''),
	('YMOM', 'small_airport', 'Moulamein Airport', -35.0583856071, 144.021320343, 233, 'AU', 'AU-NSW', 'Moulamein', 'no', 'YMOM', '', '', ''),
	('YBLA', 'medium_airport', 'Benalla Airport', -36.551899, 146.007004, 569, 'AU', 'AU-VIC', '', 'no', 'YBLA', 'BLN', '', ''),
	('YKTA', 'small_airport', 'Kotta Airport', -36.1797981262207, 144.52499389648438, 0, 'AU', 'AU-VIC', '', 'no', 'YKTA', '', '', ''),
	('YSHT', 'medium_airport', 'Shepparton Airport', -36.428341, 145.391473, 374, 'AU', 'AU-VIC', '', 'no', 'YSHT', 'SHT', '', ''),
	('YDLQ', 'medium_airport', 'Deniliquin Airport', -35.5593986511, 144.945999146, 316, 'AU', 'AU-NSW', 'Deniliquin', 'no', 'YDLQ', 'DNQ', '', ''),
	('YCOH', 'small_airport', 'Cohuna Airport', -35.826478, 144.213812, 0, 'AU', 'AU-VIC', '', 'no', 'YCOH', '', '', ''),
	('YMAG', 'small_airport', 'Manangatang Airport', -35.046783, 142.861705, 0, 'AU', 'AU-VIC', '', 'no', 'YMAG', '', '', ''),
	('YQBK', 'small_airport', 'Quambatook Airport', -35.856642, 143.514469, 0, 'AU', 'AU-VIC', '', 'no', 'YQBK', '', '', ''),
	('YPYD', 'small_airport', 'Pyramid Hill Airport', -36.060618, 144.126763, 0, 'AU', 'AU-VIC', '', 'no', 'YPYD', '', '', ''),
	('YBIR', 'small_airport', 'Birchip Airport', -35.999699, 142.917007, 340, 'AU', 'AU-VIC', '', 'no', 'YBIR', '', '', ''),
	('YWYF', 'small_airport', 'Wycheproof Airport', -36.0583, 143.242996, 107, 'AU', 'AU-VIC', '', 'no', 'YWYF', '', '', ''),
	('YYWG', 'small_airport', 'Yarrawonga Airport', -36.028900146484375, 146.0290069580078, 423, 'AU', 'AU-VIC', '', 'no', 'YYWG', '', '', ''),
	('YKER', 'medium_airport', 'Kerang Airport', -35.751399993896484, 143.93899536132813, 254, 'AU', 'AU-VIC', '', 'no', 'YKER', 'KRA', '', ''),
	('YDOD', 'small_airport', 'Donald Airport', -36.360298, 143.007996, 409, 'AU', 'AU-VIC', '', 'no', 'YDOD', '', '', ''),
	('YBBT', 'small_airport', 'Boort Airport', -36.138637, 143.722994, 298, 'AU', 'AU-VIC', 'Wedderburn', 'no', 'YBBT', '', '', ''),
	('YCNO', 'small_airport', 'Conargo Airport', -35.313771, 145.106214, 0, 'AU', 'AU-NSW', '', 'no', 'YCNO', '', '', ''),
	('YGGI', 'small_airport', 'Goolgowi Airport', -33.996397, 145.716169, 0, 'AU', 'AU-NSW', '', 'no', 'YGGI', '', '', ''),
	('YROI', 'small_airport', 'Robinvale Airport', -34.642887, 142.773042, 87, 'AU', 'AU-VIC', 'Robinvale', 'no', 'YROI', 'RBC', '', ''),
	('YCLY', 'small_airport', 'Coleambally Airport', -34.802158, 145.846664, 0, 'AU', 'AU-NSW', '', 'no', 'YCLY', '', '', ''),
	('YRYW', 'N/A', 'N/A', -36.541527807712555, 144.24115553498268, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YUNG', 'N/A', 'N/A', -36.26544803380966, 143.78554210066795, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NYA', 'small_airport', 'Natya Airport', -35.162805, 143.367798, 0, 'AU', 'AU-VIC', '', 'no', '', '', '', ''),
	('YBER', 'closed', 'Berwick Airport', -38.0397768866, 145.336031914, 0, 'AU', 'AU-VIC', 'Berwick', 'no', '', '', '', 'YBER, YBER'),
	('YHAY', 'medium_airport', 'Hay Airport', -34.531399, 144.830002, 305, 'AU', 'AU-NSW', '', 'no', 'YHAY', 'HXX', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YBRN', 'medium_airport', 'Balranald Airport', -34.624834, 143.577114, 210, 'AU', 'AU-NSW', '', 'no', 'YBRN', 'BZD', '', ''),
	('YBMM', 'small_airport', 'Bamawm Airport', -36.25, 144.63299560546875, 0, 'AU', 'AU-VIC', '', 'no', 'YBMM', '', '', ''),
	('YSLK', 'small_airport', 'Sea Lake Airport', -35.530594, 142.889879, 56, 'AU', 'AU-VIC', '', 'no', 'YSLK', '', '', ''),
	('YKYB', 'small_airport', 'Kyabram Airport', -36.332482365299995, 144.972066879, 340, 'AU', 'AU-VIC', 'Private Airfield in the Shire of Campaspe', 'no', 'YKYB', '', '', ''),
	('YGTH', 'medium_airport', 'Griffith Airport', -34.2508010864, 146.067001343, 439, 'AU', 'AU-NSW', 'Griffith', 'yes', 'YGTH', 'GFF', '', ''),
	('YSWH', 'medium_airport', 'Swan Hill Airport', -35.37580108642578, 143.5330047607422, 234, 'AU', 'AU-VIC', '', 'no', 'YSWH', 'SWH', '', ''),
	('YTOC', 'small_airport', 'Tocumwal Airport', -35.81169891357422, 145.60800170898438, 372, 'AU', 'AU-NSW', '', 'no', 'YTOC', 'TCW', '', 'RAAF Station Tocumwal'),
	('YELM', 'small_airport', 'Elmore Airport', -36.4901793786, 144.647197723, 0, 'AU', 'AU-VIC', '', 'no', 'YELM', '', '', ''),
	('YLCS', 'small_airport', 'Locksley Field', -36.814998626708984, 145.34800720214844, 165, 'AU', 'AU-VIC', '', 'no', 'YLCS', '', '', ''),
	('YBSS', 'small_airport', 'Bacchus Marsh Airport', -37.733333, 144.421667, 520, 'AU', 'AU-VIC', 'Bacchus Marsh', 'no', 'YBSS', '', '', ''),
	('YBDG', 'small_airport', 'Bendigo Airport', -36.739399, 144.330002, 705, 'AU', 'AU-VIC', '', 'yes', 'YBDG', 'BXG', '', ''),
	('YKTN', 'small_airport', 'Kyneton Airport', -37.2262620936, 144.44729805, 1650, 'AU', 'AU-VIC', 'Kyneton', 'no', 'YKTN', '', '', ''),
	('YCEM', 'small_airport', 'Coldstream Airport', -37.727669, 145.408371, 76, 'AU', 'AU-VIC', 'Coldstream', 'no', 'YCEM', '', '', ''),
	('YGNE', 'small_airport', 'Gnarwarre Airstrip', -38.165, 144.1075, 420, 'AU', 'AU-VIC', '', 'no', 'YGNE', '', '', ''),
	('YTDN', 'small_airport', 'Tooradin Airport', -38.215856, 145.4232, 3, 'AU', 'AU-VIC', '', 'no', 'YTDN', '', '', ''),
	('YMAN', 'N/A', 'N/A', -37.14539632201195, 146.16368114948273, 354, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSTA', 'small_airport', 'Saint Arnaud Airport', -36.6367, 143.186005, 639, 'AU', 'AU-VIC', '', 'no', 'YSTA', '', '', ''),
	('YTQY', 'small_airport', 'Torquay Airport', -38.299999, 144.365005, 9, 'AU', 'AU-VIC', 'Torquay', 'no', 'YTQY', '', '', ''),
	('YMPH', 'small_airport', 'Mount Elephant Airport', -37.902928, 143.177537, 0, 'AU', 'AU-VIC', '', 'no', 'YMPH', '', '', ''),
	('YSHH', 'N/A', 'N/A', -36.68017119169235, 145.24428203701973, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLOY', 'small_airport', 'Longwarry Airport', -38.108299255371094, 145.7779998779297, 0, 'AU', 'AU-VIC', '', 'no', 'YLOY', '', '', ''),
	('YPKL', 'small_airport', 'Puckapunyal (Military) Airport', -37, 145.06300354003906, 168, 'AU', 'AU-VIC', '', 'no', 'YPKL', '', '', ''),
	('YANE', 'N/A', 'N/A', -38.25997084379196, 144.09254282712936, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRSY', 'small_airport', 'Romsey Airport', -37.391667, 144.738333, 1500, 'AU', 'AU-VIC', 'Romsey', 'no', 'YRSY', '', '', ''),
	('YBLP', 'N/A', 'N/A', -37.853185683488846, 142.62089923024178, 185, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBUP', 'small_airport', 'Bunyip Airport', -38.016700744628906, 145.75, 0, 'AU', 'AU-VIC', '', 'no', 'YBUP', '', '', ''),
	('YLED', 'small_airport', 'Lethbridge Airpark', -37.921233, 144.103058, 790, 'AU', 'AU-VIC', '', 'no', 'YLED', '', 'YLED', ''),
	('YMEN', 'medium_airport', 'Melbourne Essendon Airport', -37.7281, 144.901993, 282, 'AU', 'AU-VIC', 'Essendon Fields', 'yes', 'YMEN', 'MEB', '', ''),
	('YRAG', 'small_airport', 'Raglan Airport', -37.3773873391, 143.305664062, 0, 'AU', 'AU-VIC', '', 'no', 'YRAG', '', '', ''),
	('YMEO', 'small_airport', 'Merton Airport', -36.967704, 145.707616, 1101, 'AU', 'AU-VIC', 'Merton', 'no', 'YMEO', '', '', ''),
	('YAPO', 'small_airport', 'Apollo Bay Airport', -38.77493, 143.661175, 0, 'AU', 'AU-VIC', '', 'no', 'YAPO', '', '', ''),
	('YCOA', 'N/A', 'N/A', -38.20418290793896, 143.134593218565, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLIL', 'small_airport', 'Lilydale Airport', -37.693, 145.367, 242, 'AU', 'AU-VIC', '', 'no', 'YLIL', '', '', ''),
	('YCES', 'small_airport', 'Ceres Airport', -38.14830017089844, 144.25799560546875, 0, 'AU', 'AU-VIC', '', 'no', 'YCES', '', '', ''),
	('YELS', 'small_airport', 'Baddaginnie (Earlston) Airport', -36.551196, 145.805061, 0, 'AU', 'AU-VIC', 'Baddaginnie', 'no', 'YELS', '', '', ''),
	('YMFD', 'small_airport', 'Mansfield Airport', -37.073875, 146.120669, 1050, 'AU', 'AU-VIC', '', 'no', 'YMFD', '', '', ''),
	('YNGB', 'small_airport', 'Nagambie Airport', -36.73830032348633, 145.125, 0, 'AU', 'AU-VIC', '', 'no', 'YNGB', '', '', ''),
	('YPEF', 'small_airport', 'Penfield Airfield', -37.5133018494, 144.697998047, 1150, 'AU', 'AU-VIC', 'Sunbury', 'no', 'YPEF', '', '', 'Sunbury Airfield'),
	('YMAR', 'N/A', 'N/A', -36.971394047141075, 143.28582242131233, 312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWBE', 'N/A', 'N/A', -37.85630542784929, 144.61734250187874, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBLT', 'small_airport', 'Ballarat Airport', -37.51169967651367, 143.79100036621094, 1433, 'AU', 'AU-VIC', '', 'no', 'YBLT', '', '', ''),
	('YBRS', 'small_airport', 'Barwon Heads Airport', -38.256145, 144.427895, 50, 'AU', 'AU-VIC', 'Connewarre', 'no', 'YBRS', '', '', ''),
	('YNVE', 'small_airport', 'Navarre Airport', -36.920929, 143.091103, 0, 'AU', 'AU-VIC', '', 'no', 'YNVE', '', '', ''),
	('YCAL', 'small_airport', 'Castlemaine Airport', -37.13330078125, 144.16700744628906, 0, 'AU', 'AU-VIC', '', 'no', 'YCAL', '', '', ''),
	('YCFF', 'closed', 'Dadswells Bridge Airport', -36.925057, 142.504821, 0, 'AU', 'AU-VIC', 'Dadswells Bridge', 'no', '', '', '', 'YCFF, YCFF'),
	('YLOD', 'small_airport', 'Longwood Airport', -36.801648, 145.459868, 0, 'AU', 'AU-VIC', '', 'no', 'YLOD', '', '', ''),
	('YMAV', 'medium_airport', 'Avalon Airport', -38.039398, 144.468994, 35, 'AU', 'AU-VIC', 'Lara', 'yes', 'YMAV', 'AVV', '', 'Lara, Geelong'),
	('YNNG', 'small_airport', 'Nar Nar Goon Airstrip', -38.067402, 145.57565, 148, 'AU', 'AU-VIC', '', 'no', 'YNNG', '', '', ''),
	('YMML', 'large_airport', 'Melbourne International Airport', -37.673302, 144.843002, 434, 'AU', 'AU-VIC', 'Melbourne', 'yes', 'YMML', 'MEL', '', ''),
	('YCDE', 'small_airport', 'Cobden airport', -38.323419, 143.056626, 460, 'AU', 'AU-VIC', 'Camperdown', 'no', 'YCDE', '', '', ''),
	('YKUW', 'small_airport', 'Kurweeton Airport', -38.04999923706055, 143.14999389648438, 0, 'AU', 'AU-VIC', '', 'no', 'YKUW', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YDRN', 'small_airport', 'Drouin Airport', -38.208972, 145.831097, 330, 'AU', 'AU-VIC', 'Drouin', 'no', 'YDRN', '', '', 'Drouin, YDRN'),
	('YNEE', 'N/A', 'N/A', -37.44174689054489, 143.46221432089806, 368, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLEG', 'small_airport', 'Leongatha Airport', -38.493099212646484, 145.86000061035156, 263, 'AU', 'AU-VIC', '', 'no', 'YLEG', '', '', ''),
	('YSLE', 'small_airport', 'St Leonards Airfield', -38.170101165771484, 144.68899536132813, 47, 'AU', 'AU-VIC', '', 'no', 'YSLE', '', '', ''),
	('YOLA', 'small_airport', 'Colac Airport', -38.286701, 143.679993, 450, 'AU', 'AU-VIC', 'Colac', 'no', 'YOLA', 'XCO', '', ''),
	('YMBU', 'small_airport', 'Maryborough Airport', -37.03310012817383, 143.70899963378906, 766, 'AU', 'AU-VIC', '', 'no', 'YMBU', '', '', ''),
	('YNNR', 'N/A', 'N/A', -37.78078984469175, 143.02512556314468, 230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBGR', 'small_airport', 'Bridgewater Airport', -36.619558, 143.952109, 91, 'AU', 'AU-VIC', 'Bridgewater On Loddon', 'no', 'YBGR', '', '', ''),
	('YFSK', 'small_airport', 'Fiskville Airport', -37.6781143165, 144.220790863, 0, 'AU', 'AU-VIC', 'Fiskville', 'no', 'YFSK', '', '', ''),
	('YSWL', 'medium_airport', 'Stawell Airport', -37.07170104980469, 142.74099731445313, 807, 'AU', 'AU-VIC', '', 'no', 'YSWL', 'SWC', '', ''),
	('YPID', 'heliport', 'Phillip Island Heliport', -38.520689, 145.328457, 13, 'AU', 'AU-VIC', 'Newhaven', 'no', 'YPID', '', '', ''),
	('YSBE', 'N/A', 'N/A', -37.529707588255405, 144.7481019794941, 283, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YARA', 'medium_airport', 'Ararat Airport', -37.309978, 142.988688, 1008, 'AU', 'AU-VIC', 'Ararat', 'no', 'YARA', 'ARY', '', ''),
	('YKIN', 'N/A', 'N/A', -37.47667293995619, 145.26647374033928, 522, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTYA', 'small_airport', 'Tyabb Airport', -38.266826, 145.179406, 88, 'AU', 'AU-VIC', 'Tyabb', 'no', 'YTYA', '', '', 'Westernport'),
	('YMEL', 'small_airport', 'Melton Airport', -37.621793, 144.565053, 204, 'AU', 'AU-VIC', 'Melton', 'no', 'YMEL', '', '', 'Foggarty''s Field,'),
	('YSTE', 'N/A', 'N/A', -37.23103053867817, 142.6768085360527, 222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNGW', 'small_airport', 'Skydive Nagambie Airport', -36.788471, 145.039724, 475, 'AU', 'AU-VIC', '', 'no', 'YNGW', '', '', ''),
	('YMPC', 'small_airport', 'RAAF Williams, Point Cook Base', -37.932201, 144.753006, 14, 'AU', 'AU-VIC', 'Point Cook', 'no', 'YMPC', '', '', ''),
	('YEUA', 'small_airport', 'Euroa Aerodrome', -36.7447013855, 145.513000488, 555, 'AU', 'AU-VIC', 'Euroa', 'no', 'YEUA', '', '', ''),
	('YYEA', 'small_airport', 'Yeaburn Airport', -37.175904, 145.323056, 0, 'AU', 'AU-VIC', '', 'no', 'YYEA', '', '', ''),
	('YMNG', 'small_airport', 'Mangalore Airport', -36.888301849365234, 145.1840057373047, 467, 'AU', 'AU-VIC', '', 'no', 'YMNG', '', '', ''),
	('YTGG', 'small_airport', 'Taggerty Airport', -37.35049819946289, 145.6999969482422, 0, 'AU', 'AU-VIC', '', 'no', 'YTGG', '', '', ''),
	('YDER', 'small_airport', 'Derrinallum Airport', -37.934166666699994, 143.227777778, 600, 'AU', 'AU-VIC', '', 'no', 'YDER', '', '', ''),
	('YRID', 'small_airport', 'Riddell Airport', -37.478705, 144.721098, 1150, 'AU', 'AU-VIC', 'Riddell', 'no', 'YRID', '', '', ''),
	('YMMB', 'medium_airport', 'Melbourne Moorabbin Airport', -37.975799560546875, 145.1020050048828, 50, 'AU', 'AU-VIC', 'Melbourne', 'yes', 'YMMB', 'MBW', '', ''),
	('YTRF', 'N/A', 'N/A', -40.63232973217964, 144.68743354082108, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHTR', 'small_airport', 'Hunter Island Airport', -40.522671, 144.741499, 102, 'AU', 'AU-TAS', 'Hunter Island', 'no', 'YHTR', '', '', ''),
	('YSMI', 'medium_airport', 'Smithton Airport', -40.834999084472656, 145.08399963378906, 31, 'AU', 'AU-TAS', '', 'no', 'YSMI', 'SIO', '', ''),
	('YSRN', 'small_airport', 'Strahan Airport', -42.154998779296875, 145.29200744628906, 20, 'AU', 'AU-TAS', '', 'yes', 'YSRN', 'SRN', '', ''),
	('YWYY', 'medium_airport', 'Wynyard Airport', -40.997039, 145.726, 62, 'AU', 'AU-TAS', 'Burnie', 'yes', 'YWYY', 'BWT', '', ''),
	('YQNS', 'small_airport', 'Queenstown Airport', -42.075001, 145.531998, 867, 'AU', 'AU-TAS', '', 'no', 'YQNS', 'UEE', '', ''),
	('YKII', 'medium_airport', 'King Island Airport', -39.877498626708984, 143.8780059814453, 132, 'AU', 'AU-TAS', '', 'yes', 'YKII', 'KNS', '', ''),
	('YZHN', 'small_airport', 'Zeehan Airport', -41.888804, 145.350768, 0, 'AU', 'AU-TAS', '', 'no', 'YZHN', '', '', ''),
	('YTHM', 'N/A', 'N/A', -40.451393611729145, 144.91384327411652, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWRT', 'small_airport', 'Waratah Airport', -41.45000076293945, 145.5500030517578, 0, 'AU', 'AU-TAS', '', 'no', 'YWRT', '', '', ''),
	('YBFR', 'small_airport', 'Balfour Airport', -41.259033262799996, 144.886064529, 0, 'AU', 'AU-TAS', '', 'no', 'YBFR', '', '', ''),
	('YQUN', 'N/A', 'N/A', -42.778178080916405, 145.5666209757328, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBHB', 'small_airport', 'Bathurst Harbour Airport', -43.421336, 146.162131, 0, 'AU', 'AU-TAS', 'Southwest', 'no', 'YBHB', '', '', 'Melaleuca'),
	('YBTR', 'medium_airport', 'Blackwater Airport', -23.603099822998047, 148.8070068359375, 657, 'AU', 'AU-QLD', '', 'yes', 'YBTR', 'BLT', '', ''),
	('YATU', 'N/A', 'N/A', -24.03790321201086, 148.4077213704586, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBLK', 'N/A', 'N/A', -23.654923997819424, 149.3379244208336, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCGL', 'small_airport', 'Cungelella Airport', -24.6853, 147.15701, 1302, 'AU', 'AU-QLD', 'Mantuan Downs', 'no', 'YCGL', '', '', ''),
	('YCDV', 'small_airport', 'Caldervale Station Airport', -25.108299255371094, 146.83299255371094, 0, 'AU', 'AU-QLD', '', 'no', 'YCDV', '', '', ''),
	('YBAB', 'small_airport', 'Baralaba', -24.19357, 149.843166, 340, 'AU', 'AU-QLD', 'Baralaba', 'no', 'YBAB', '', '', ''),
	('YMOU', 'small_airport', 'Moura Airport', -24.6117000579834, 149.9949951171875, 147, 'AU', 'AU-QLD', '', 'no', 'YMOU', '', '', ''),
	('YDYS', 'medium_airport', 'Dysart Airport', -22.6222, 148.363998, 670, 'AU', 'AU-QLD', '', 'no', 'YDYS', 'DYA', '', ''),
	('YTIE', 'N/A', 'N/A', -23.24285589158535, 148.35622116923332, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YACI', 'small_airport', 'Arcadia Airport', -25.210916, 148.668365, 0, 'AU', 'AU-QLD', '', 'no', 'YACI', '', '', ''),
	('YROA', 'N/A', 'N/A', -25.08563708513975, 148.2836790382862, 431, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOAY', 'small_airport', 'Oaky Creek Airport', -23.057324, 148.495846, 177, 'AU', 'AU-QLD', '', 'no', 'YOAY', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YTMA', 'N/A', 'N/A', -24.649700671434402, 149.62560832500458, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YEML', 'medium_airport', 'Emerald Airport', -23.5674991608, 148.179000854, 624, 'AU', 'AU-QLD', 'Emerald', 'yes', 'YEML', 'EMD', '', ''),
	('YCMT', 'medium_airport', 'Clermont Airport', -22.7731, 147.621002, 908, 'AU', 'AU-QLD', '', 'no', 'YCMT', 'CMQ', '', ''),
	('YKIU', 'small_airport', 'Kaiuroo Airport', -23.088925, 149.431925, 0, 'AU', 'AU-QLD', '', 'no', 'YKIU', '', '', ''),
	('YLUN', 'N/A', 'N/A', -23.253362774848938, 149.56539899110794, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCSL', 'small_airport', 'Consuelo Airport', -24.652244, 148.4697, 0, 'AU', 'AU-QLD', '', 'no', 'YCSL', '', '', ''),
	('YTMB', 'small_airport', 'Tambo Airport', -24.838854, 146.293355, 457, 'AU', 'AU-QLD', '', 'no', 'YTMB', '', '', ''),
	('YMMU', 'small_airport', 'Middlemount Airport', -22.801444, 148.706796, 547, 'AU', 'AU-QLD', '', 'no', 'YMMU', 'MMM', '', ''),
	('YDRG', 'small_airport', 'Duaringa Airstrip', -23.7372, 149.6647, 495, 'AU', 'AU-QLD', 'Duaringa', 'no', 'YDRG', '', 'YDRG', ''),
	('YMWN', 'N/A', 'N/A', -24.38324935734272, 148.32603201270103, 261, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YYBE', 'small_airport', 'Yarrabee Mine Airport', -23.262014, 149.01652, 0, 'AU', 'AU-QLD', '', 'no', 'YYBE', '', '', ''),
	('YBLW', 'N/A', 'N/A', -24.114124216139317, 149.47651103138924, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGPE', 'N/A', 'N/A', -22.610619328916073, 149.94822219014168, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGRN', 'N/A', 'N/A', -22.938371188938618, 149.34432461857796, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSPI', 'small_airport', 'Springsure Airport', -24.130167, 148.086047, 0, 'AU', 'AU-QLD', '', 'no', 'YSPI', '', '', ''),
	('YING', 'small_airport', 'Ingelara Airport', -24.997027028, 148.333282471, 0, 'AU', 'AU-QLD', 'Rewan', 'no', 'YING', '', '', ''),
	('YAPH', 'N/A', 'N/A', -23.646111264824867, 146.58361092209816, 383, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTTS', 'N/A', 'N/A', -22.952898032963276, 149.43150758743286, 96, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRLL', 'small_airport', 'Rolleston Airport', -24.460939, 148.627424, 0, 'AU', 'AU-QLD', '', 'no', 'YRLL', '', '', ''),
	('YTUG', 'small_airport', 'Trugananni Airport', -24.466699600219727, 149.26699829101563, 0, 'AU', 'AU-QLD', '', 'no', 'YTUG', '', '', ''),
	('YCEL', 'small_airport', 'Capella Airport', -23.095104, 148.006241, 826, 'AU', 'AU-QLD', 'Capella', 'no', 'YCEL', '', '', ''),
	('YTAM', 'small_airport', 'Taroom Airport', -25.801701, 149.899994, 240, 'AU', 'AU-QLD', '', 'no', 'YTAM', 'XTO', '', ''),
	('YMVN', 'small_airport', 'Morven Airport', -26.39876, 147.124958, 0, 'AU', 'AU-QLD', '', 'no', 'YMVN', '', '', ''),
	('YDLC', 'small_airport', 'Dulacca Airport', -26.642113, 149.730016, 0, 'AU', 'AU-QLD', '', 'no', 'YDLC', '', '', ''),
	('YMIT', 'small_airport', 'Mitchell Airport', -26.483299255371094, 147.93699645996094, 1144, 'AU', 'AU-QLD', '', 'no', 'YMIT', 'MTQ', '', ''),
	('YBCV', 'medium_airport', 'Charleville Airport', -26.4132995605, 146.261993408, 1003, 'AU', 'AU-QLD', 'Charleville', 'yes', 'YBCV', 'CTL', '', ''),
	('YSRT', 'small_airport', 'Surat Airport', -27.159519, 149.076919, 0, 'AU', 'AU-QLD', '', 'no', 'YSRT', '', '', ''),
	('YSGE', 'small_airport', 'St George Airport', -28.049699783325195, 148.59500122070313, 656, 'AU', 'AU-QLD', '', 'yes', 'YSGE', 'SGO', '', ''),
	('YBND', 'small_airport', 'Bendick Murrell Airstrip', -34.174167, 148.471944, 1194, 'AU', 'AU-NSW', 'Bendick Murrell', 'no', 'YBND', '', '', ''),
	('YBLL', 'small_airport', 'Bollon Airport', -28.051247, 147.481799, 182, 'AU', 'AU-QLD', '', 'no', 'YBLL', 'BLS', '', ''),
	('YINJ', 'small_airport', 'Injune Airport', -25.851, 148.5497, 401, 'AU', 'AU-QLD', 'Injune', 'no', 'YINJ', 'INJ', '', ''),
	('YAUA', 'small_airport', 'Augathella Airport', -25.7549991607666, 146.58700561523438, 0, 'AU', 'AU-QLD', '', 'no', 'YAUA', '', '', ''),
	('YSEK', 'N/A', 'N/A', -26.290009282529354, 148.46108481287956, 395, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YROM', 'medium_airport', 'Roma Airport', -26.545000076300003, 148.774993896, 1032, 'AU', 'AU-QLD', 'Roma', 'yes', 'YROM', 'RMA', '', ''),
	('YMOR', 'medium_airport', 'Moree Airport', -29.498899459799997, 149.845001221, 701, 'AU', 'AU-NSW', 'Moree', 'yes', 'YMOR', 'MRZ', '', ''),
	('YWLG', 'medium_airport', 'Walgett Airport', -30.032801, 148.126007, 439, 'AU', 'AU-NSW', '', 'no', 'YWLG', 'WGE', '', ''),
	('YMGI', 'small_airport', 'Mungindi Airport', -28.966613, 149.052978, 600, 'AU', 'AU-NSW', '', 'no', 'YMGI', '', '', ''),
	('YQBE', 'small_airport', 'Quambone Royona Airport', -30.879199981689453, 147.8419952392578, 489, 'AU', 'AU-NSW', '', 'no', 'YQBE', '', '', ''),
	('YBRJ', 'small_airport', 'Burren Junction Airport', -30.159024, 148.974706, 547, 'AU', 'AU-NSW', '', 'no', 'YBRJ', '', '', ''),
	('YPLG', 'small_airport', 'Pilliga Airport', -30.36669921875, 148.88299560546875, 0, 'AU', 'AU-NSW', '', 'no', 'YPLG', '', '', ''),
	('YCLM', 'small_airport', 'Collymongle Airport', -29.478408, 148.78649, 0, 'AU', 'AU-NSW', '', 'no', 'YCLM', '', '', ''),
	('YLII', 'N/A', 'N/A', -28.980221673846245, 147.81477347016335, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLRD', 'medium_airport', 'Lightning Ridge Airport', -29.452857, 147.977146, 540, 'AU', 'AU-NSW', '', 'yes', 'YLRD', 'LHG', '', ''),
	('YTWD', 'N/A', 'N/A', -28.49429491907358, 149.45617899298668, 187, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCBR', 'small_airport', 'Collarenebri Airport', -29.523239, 148.578243, 152, 'AU', 'AU-NSW', '', 'no', 'YCBR', 'CRB', '', ''),
	('YBCL', 'small_airport', 'Boolcarrol Station Airport', -30.035418, 149.373278, 0, 'AU', 'AU-NSW', '', 'no', 'YBCL', '', '', ''),
	('YWDE', 'N/A', 'N/A', -30.58221459388733, 148.31893399357796, 142, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCON', 'N/A', 'N/A', -30.259426832199097, 148.8222312927246, 155, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNBR', 'medium_airport', 'Narrabri Airport', -30.3192005157, 149.82699585, 788, 'AU', 'AU-NSW', 'Narrabri', 'yes', 'YNBR', 'NAA', '', ''),
	('YGDA', 'small_airport', 'Goodooga Airport', -29.074493, 147.387021, 459, 'AU', 'AU-NSW', '', 'no', 'YGDA', '', '', ''),
	('YBRW', 'medium_airport', 'Brewarrina Airport', -29.975792, 146.81438, 414, 'AU', 'AU-NSW', '', 'no', 'YBRW', 'BWQ', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YBYR', 'small_airport', 'Byrock Airport', -30.658232, 146.394689, 480, 'AU', 'AU-NSW', 'Byrock', 'no', 'YBYR', '', '', ''),
	('YUND', 'N/A', 'N/A', -29.596814922988415, 146.6110736131668, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTOG', 'small_airport', 'Togo Station Airport', -30.08299, 149.53684, 0, 'AU', 'AU-NSW', '', 'no', 'YTOG', '', '', ''),
	('YGAH', 'small_airport', 'Greenbah Airport', -30.12582778930664, 149.4345703125, 0, 'AU', 'AU-NSW', '', 'no', 'YGAH', '', '', ''),
	('YKEY', 'N/A', 'N/A', -29.487392865121365, 149.51301142573357, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDBI', 'medium_airport', 'Dirranbandi Airport', -28.587912, 148.217161, 567, 'AU', 'AU-QLD', '', 'no', 'YDBI', 'DRN', '', ''),
	('YMIR', 'small_airport', 'Miranda Downs Airport', -17.328899, 141.886002, 0, 'AU', 'AU-QLD', 'Miranda Downs', 'no', 'YMIR', 'MWY', '', ''),
	('YCBC', 'N/A', 'N/A', -30.33688433468342, 148.47002908587456, 143, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNUR', 'N/A', 'N/A', -30.294282473623753, 149.4935904443264, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBMI', 'small_airport', 'Boomi Airport', -28.728373, 149.595181, 618, 'AU', 'AU-NSW', '', 'no', 'YBMI', '', '', ''),
	('YTEL', 'N/A', 'N/A', -29.594973921775818, 149.40729171037674, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWWA', 'small_airport', 'Wee Waa Airport', -30.25830078125, 149.4080047607422, 190, 'AU', 'AU-NSW', '', 'no', 'YWWA', 'WEW', '', ''),
	('YERY', 'N/A', 'N/A', -29.981769919395447, 146.4563973248005, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCRA', 'small_airport', 'Carinda Airport', -30.45829963684082, 147.70799255371094, 131, 'AU', 'AU-NSW', '', 'no', 'YCRA', '', '', ''),
	('YWMG', 'small_airport', 'Weilmoringle Airport', -29.235668, 146.922092, 0, 'AU', 'AU-NSW', '', 'no', 'YWMG', '', '', ''),
	('YTMS', 'small_airport', 'Tambar Springs Airport', -31.313893, 149.839439, 0, 'AU', 'AU-NSW', '', 'no', 'YTMS', '', '', ''),
	('YTWN', 'small_airport', 'Tooraweenah Airport', -31.44306, 148.897796, 1365, 'AU', 'AU-NSW', '', 'no', 'YTWN', '', '', ''),
	('YBAD', 'small_airport', 'Baradine Airport', -30.954999923706055, 149.0919952392578, 0, 'AU', 'AU-NSW', '', 'no', 'YBAD', '', '', ''),
	('YEUL', 'small_airport', 'Eulalia Airport', -31.031573, 148.175815, 0, 'AU', 'AU-NSW', '', 'no', 'YEUL', '', '', ''),
	('YWEL', 'small_airport', 'Wellington Airport', -32.462711, 148.990896, 426, 'AU', 'AU-NSW', '', 'no', 'YWEL', '', '', ''),
	('YFVW', 'small_airport', 'Fairview Airport', -32.790693, 148.723778, 0, 'AU', 'AU-NSW', '', 'no', 'YFVW', '', '', ''),
	('YRIM', 'N/A', 'N/A', -31.206297241151333, 147.92806327342987, 173, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPKS', 'medium_airport', 'Parkes Airport', -33.131401062, 148.238998413, 1069, 'AU', 'AU-NSW', 'Parkes', 'yes', 'YPKS', 'PKE', '', ''),
	('YFBS', 'medium_airport', 'Forbes Airport', -33.363602, 147.934998, 760, 'AU', 'AU-NSW', 'Forbes', 'no', 'YFBS', 'FRB', '', ''),
	('YMDG', 'medium_airport', 'Mudgee Airport', -32.564794, 149.609452, 1545, 'AU', 'AU-NSW', 'Mudgee', 'no', 'YMDG', 'DGE', '', ''),
	('YHRG', 'small_airport', 'Haddon Rig Airport', -31.465953, 147.895525, 0, 'AU', 'AU-NSW', '', 'no', 'YHRG', '', '', ''),
	('YORG', 'medium_airport', 'Orange Airport', -33.382014, 149.131262, 3115, 'AU', 'AU-NSW', 'Orange', 'no', 'YORG', 'OAG', '', ''),
	('YCNM', 'medium_airport', 'Coonamble Airport', -30.980946, 148.377833, 604, 'AU', 'AU-NSW', '', 'yes', 'YCNM', 'CNB', '', ''),
	('YBST', 'N/A', 'N/A', -33.723631873726845, 147.50611290335655, 206, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGLN', 'small_airport', 'Glencoe Airport', -31.620644, 148.19885, 0, 'AU', 'AU-NSW', '', 'no', 'YGLN', '', '', ''),
	('YGGG', 'N/A', 'N/A', -32.297504022717476, 149.55846905708313, 444, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWRN', 'medium_airport', 'Warren Airport', -31.733299, 147.802994, 669, 'AU', 'AU-NSW', '', 'no', 'YWRN', '', '', 'QRR'),
	('YRYL', 'small_airport', 'Rylstone Aerodrome', -32.770903, 149.993227, 1995, 'AU', 'AU-NSW', 'Rylstone', 'no', 'YRYL', '', '', ''),
	('YBTH', 'medium_airport', 'Bathurst Airport', -33.406817, 149.651161, 2435, 'AU', 'AU-NSW', 'Bathurst', 'yes', 'YBTH', 'BHS', '', ''),
	('YTLL', 'small_airport', 'Tullamore Airport', -32.610622, 147.598239, 0, 'AU', 'AU-NSW', '', 'no', 'YTLL', '', '', ''),
	('YMEY', 'small_airport', 'Mullaley Airport', -31.100000381469727, 149.91700744628906, 0, 'AU', 'AU-NSW', '', 'no', 'YMEY', '', '', ''),
	('YLCG', 'small_airport', 'Lake Cargelligo Airport', -33.282822, 146.375447, 169, 'AU', 'AU-NSW', '', 'no', 'YLCG', '', '', ''),
	('YPKH', 'small_airport', 'Peak Hill Airport', -32.731204, 148.21098, 0, 'AU', 'AU-NSW', '', 'no', 'YPKH', '', '', ''),
	('YSDU', 'medium_airport', 'Dubbo City Regional Airport', -32.2167015076, 148.574996948, 935, 'AU', 'AU-NSW', 'Dubbo', 'yes', 'YSDU', 'DBO', '', ''),
	('YTGI', 'small_airport', 'Trangie Airport', -31.97641, 148.003929, 0, 'AU', 'AU-NSW', '', 'no', 'YTGI', '', '', ''),
	('YNRM', 'medium_airport', 'Narromine Airport', -32.214699, 148.225006, 782, 'AU', 'AU-NSW', '', 'no', 'YNRM', 'QRM', '', ''),
	('YEAB', 'small_airport', 'Euabalong Airport', -33.137268, 146.424494, 0, 'AU', 'AU-NSW', '', 'no', 'YEAB', '', '', ''),
	('YGIL', 'small_airport', 'Gilgandra Airport', -31.697099, 148.636458, 320, 'AU', 'AU-NSW', '', 'no', 'YGIL', '', '', ''),
	('YCSI', 'small_airport', 'Cassilis Rotherw Airport', -32.002201080322266, 149.96099853515625, 1545, 'AU', 'AU-NSW', '', 'no', 'YCSI', '', '', ''),
	('YPRE', 'small_airport', 'Premer Betoota Airport', -31.476900100708008, 149.9029998779297, 1257, 'AU', 'AU-NSW', '', 'no', 'YPRE', '', '', ''),
	('YCAH', 'small_airport', 'Coolah Airport', -31.773864, 149.615322, 504, 'AU', 'AU-NSW', '', 'no', 'YCAH', 'CLH', '', ''),
	('YOLY', 'small_airport', 'Oxley Station Airport', -31.0132999420166, 147.71099853515625, 518, 'AU', 'AU-NSW', '', 'no', 'YOLY', '', '', ''),
	('YBUT', 'small_airport', 'Butheroo Station Airport', -31.76451, 149.424296, 1389, 'AU', 'AU-NSW', 'Butheroo', 'no', 'YBUT', '', '', 'Neilrex'),
	('YCWW', 'small_airport', 'Canowindra Airport', -33.54280090332031, 148.66299438476563, 1073, 'AU', 'AU-NSW', '', 'no', 'YCWW', '', '', ''),
	('YNYM', 'small_airport', 'Nymagee Airport', -32.053972, 146.31227, 0, 'AU', 'AU-NSW', '', 'no', 'YNYM', '', '', ''),
	('YCUA', 'small_airport', 'Cudal Airport', -33.278026, 148.768708, 491, 'AU', 'AU-NSW', '', 'no', 'YCUA', 'CUG', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YTOT', 'small_airport', 'Tottenham Airport', -32.256163, 147.369264, 238, 'AU', 'AU-NSW', '', 'no', 'YTOT', '', '', ''),
	('YNYN', 'small_airport', 'Nyngan Airport', -31.550645, 147.202973, 569, 'AU', 'AU-NSW', '', 'no', 'YNYN', 'NYN', '', ''),
	('YELG', 'small_airport', 'Elengerah Airport', -31.865877, 147.978008, 0, 'AU', 'AU-NSW', '', 'no', 'YELG', '', '', ''),
	('YEGG', 'N/A', 'N/A', -33.37850868701935, 149.5176176726818, 658, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWOW', 'N/A', 'N/A', -32.338662184774876, 148.52834701538086, 325, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPAA', 'N/A', 'N/A', -32.9375434666872, 147.70986378192902, 255, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCBB', 'medium_airport', 'Coonabarabran Airport', -31.3325, 149.266998, 2117, 'AU', 'AU-NSW', '', 'no', 'YCBB', 'COJ', '', ''),
	('YCDO', 'small_airport', 'Condobolin Airport', -33.06565, 147.21316, 650, 'AU', 'AU-NSW', '', 'no', 'YCDO', 'CBX', '', ''),
	('YBDM', 'N/A', 'N/A', -31.8079998716712, 148.1654231250286, 214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMAY', 'medium_airport', 'Albury Airport', -36.066758, 146.959148, 539, 'AU', 'AU-NSW', 'Albury', 'yes', 'YMAY', 'ABX', '', ''),
	('YYNG', 'medium_airport', 'Young Airport', -34.2556, 148.248001, 1267, 'AU', 'AU-NSW', '', 'no', 'YYNG', 'NGA', '', ''),
	('YADY', 'small_airport', 'Adaminaby Airport', -35.997799, 148.796005, 3346, 'AU', 'AU-NSW', 'Adaminaby', 'no', 'YADY', '', '', ''),
	('YBUY', 'small_airport', 'Bunyan Airfield', -36.1342008376, 149.131979942, 2540, 'AU', 'AU-NSW', '', 'no', 'YBUY', '', '', 'canberra gliding club'),
	('YWGT', 'medium_airport', 'Wangaratta Airport', -36.41579818725586, 146.3070068359375, 504, 'AU', 'AU-VIC', '', 'no', 'YWGT', 'WGT', '', ''),
	('YBEI', 'N/A', 'N/A', -35.34133583307266, 146.28585889935493, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCWR', 'medium_airport', 'Cowra Airport', -33.846894, 148.648007, 966, 'AU', 'AU-NSW', '', 'no', 'YCWR', 'CWT', '', ''),
	('YCRL', 'small_airport', 'Crookwell Airport', -34.499961, 149.461377, 0, 'AU', 'AU-NSW', 'Crookwell', 'no', 'YCRL', '', '', ''),
	('YCUR', 'small_airport', 'Cabramurra Airport', -35.92688751220703, 148.39254760742188, 0, 'AU', 'AU-NSW', 'Cabramurra Township', 'no', 'YCUR', '', '', ''),
	('YNAR', 'medium_airport', 'Narrandera Airport', -34.7022018433, 146.511993408, 474, 'AU', 'AU-NSW', 'Narrandera', 'yes', 'YNAR', 'NRA', '', ''),
	('YGEI', 'N/A', 'N/A', -36.381978280842304, 148.18051636219025, 419, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHBK', 'small_airport', 'Holbrook Airport', -35.680142, 147.322418, 267, 'AU', 'AU-NSW', '', 'no', 'YHBK', '', '', ''),
	('YAVN', 'N/A', 'N/A', -36.006274558603764, 146.73759028315544, 153, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGDO', 'small_airport', 'Gundaroo Airport', -35.0505, 149.2559, 1860, 'AU', 'AU-NSW', '', 'yes', 'YGDO', '', '', ''),
	('YGTP', 'N/A', 'N/A', -33.98372333496809, 148.41958969831467, 395, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YJIN', 'small_airport', 'Jindabyne Airport', -36.429087, 148.599722, 3400, 'AU', 'AU-NSW', 'Jindabyne', 'no', 'YJIN', '', '', 'QJD'),
	('YGNF', 'small_airport', 'Grenfell Airport', -34, 148.132995605, 1080, 'AU', 'AU-NSW', 'Grenfell', 'no', 'YGNF', 'GFE', '', ''),
	('YCRG', 'medium_airport', 'Corryong Airport', -36.18280029296875, 147.88800048828125, 963, 'AU', 'AU-VIC', '', 'no', 'YCRG', 'CYG', '', ''),
	('YTMU', 'medium_airport', 'Tumut Airport', -35.26832, 148.240526, 878, 'AU', 'AU-NSW', '', 'no', 'YTMU', 'TUM', '', ''),
	('YGLB', 'medium_airport', 'Goulburn Airport', -34.810298919677734, 149.7259979248047, 2141, 'AU', 'AU-NSW', '', 'no', 'YGLB', 'GUL', '', ''),
	('YERI', 'N/A', 'N/A', -35.06493587046862, 147.68770962953568, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCOR', 'medium_airport', 'Corowa Airport', -35.994701, 146.356995, 469, 'AU', 'AU-NSW', '', 'no', 'YCOR', 'CWW', '', ''),
	('YTUU', 'N/A', 'N/A', -35.76258011162281, 147.8869427740574, 605, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLEE', 'small_airport', 'Leeton Airport', -34.499788, 146.446646, 460, 'AU', 'AU-NSW', '', 'no', 'YLEE', '', '', ''),
	('YILA', 'small_airport', 'Milawa Vineyard Airport', -36.4561968657, 146.43306303, 0, 'AU', 'AU-VIC', '', 'no', 'YILA', '', '', ''),
	('YITT', 'small_airport', 'Mitta Mitta Airport', -36.513879, 147.359018, 820, 'AU', 'AU-VIC', '', 'no', 'YITT', '', '', 'Victorian Aerial Fire Bases'),
	('YKHA', 'small_airport', 'Khancoban Airport', -36.215919970399995, 148.113742828, 0, 'AU', 'AU-NSW', '', 'no', 'YKHA', '', '', ''),
	('YSWG', 'medium_airport', 'Wagga Wagga City Airport', -35.163484, 147.46832, 724, 'AU', 'AU-NSW', 'Wagga Wagga', 'yes', 'YSWG', 'WGA', '', 'RAAF Base Wagga'),
	('YCOM', 'medium_airport', 'Cooma Snowy Mountains Airport', -36.300445, 148.972408, 3088, 'AU', 'AU-NSW', 'Cooma', 'yes', 'YCOM', 'OOM', '', ''),
	('YHAE', 'small_airport', 'Harden Airport', -34.562798, 148.392687, 0, 'AU', 'AU-NSW', '', 'no', 'YHAE', '', '', ''),
	('YWWL', 'medium_airport', 'West Wyalong Airport', -33.9371986389, 147.190994263, 859, 'AU', 'AU-NSW', 'West Wyalong', 'no', 'YWWL', 'WWY', '', ''),
	('YFDN', 'small_airport', 'Federation Hsd Airport', -35.01169967651367, 147.37399291992188, 709, 'AU', 'AU-NSW', '', 'no', 'YFDN', '', '', ''),
	('YTGV', 'small_airport', 'The Grove Airport', -34.68600082397461, 148.10400390625, 0, 'AU', 'AU-NSW', '', 'no', 'YTGV', '', '', ''),
	('YNAD', 'N/A', 'N/A', -34.41101901233196, 146.85945063829422, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBCH', 'small_airport', 'Beechworth Airstrip', -36.393333, 146.696389, 2000, 'AU', 'AU-VIC', 'Beechworth', 'no', 'YBCH', '', '', ''),
	('YBID', 'small_airport', 'Binda', -34.30256, 149.357668, 2450, 'AU', 'AU-NSW', '', 'no', 'YBID', '', '', ''),
	('YOPS', 'N/A', 'N/A', -34.734274819493294, 149.95819553732872, 705, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCTM', 'medium_airport', 'Cootamundra Airport', -34.624283, 148.036641, 1110, 'AU', 'AU-NSW', '', 'no', 'YCTM', 'CMD', '', ''),
	('YSCB', 'medium_airport', 'Canberra International Airport', -35.3069, 149.195007, 1886, 'AU', 'AU-ACT', 'Canberra', 'yes', 'YSCB', 'CBR', '', 'RAAF Base Fairbairn'),
	('YPFT', 'small_airport', 'Cooma/Polo Flat Airport', -36.228277, 149.149942, 2701, 'AU', 'AU-NSW', '', 'no', 'YPFT', '', '', 'Closed to FWA'),
	('YHOL', 'N/A', 'N/A', -36.239427253603935, 147.52181366086006, 880, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTEM', 'medium_airport', 'Temora Airport', -34.421398, 147.511993, 921, 'AU', 'AU-NSW', 'Temora', 'no', 'YTEM', 'TEM', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YGBO', 'small_airport', 'Gabo Island Airport', -37.565913, 149.91114, 96, 'AU', 'AU-VIC', 'Mallacoota', 'no', 'YGBO', '', '', ''),
	('YFSG', 'N/A', 'N/A', -36.76225382834673, 149.80376556515694, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YLKE', 'small_airport', 'Lakes Entrance Airport', -37.852699279785156, 147.95799255371094, 0, 'AU', 'AU-VIC', '', 'no', 'YLKE', '', '', ''),
	('YMCO', 'small_airport', 'Mallacoota Airport', -37.59830093383789, 149.72000122070313, 31, 'AU', 'AU-VIC', '', 'no', 'YMCO', 'XMC', '', ''),
	('YWSL', 'medium_airport', 'West Sale Airport', -38.090827, 146.965335, 72, 'AU', 'AU-VIC', 'Sale', 'no', 'YWSL', 'SXE', '', ''),
	('YPOK', 'small_airport', 'Porepunkah Airport', -36.717731, 146.890039, 935, 'AU', 'AU-VIC', '', 'no', 'YPOK', 'MBF', '', 'Victorian Aerial Fire Bases'),
	('YMES', 'medium_airport', 'RAAF Base East Sale', -38.0989, 147.149002, 23, 'AU', 'AU-VIC', '', 'no', 'YMES', '', '', ''),
	('YGRL', 'small_airport', 'Great Lakes Vi Airport', -37.842201, 148, 184, 'AU', 'AU-VIC', '', 'no', 'YGRL', '', '', ''),
	('YHEE', 'N/A', 'N/A', -37.3491657525301, 146.7658406496048, 1634, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCNR', 'small_airport', 'Cann River Airport', -37.516700744628906, 149.16700744628906, 0, 'AU', 'AU-VIC', '', 'no', 'YCNR', '', '', ''),
	('YBOM', 'small_airport', 'Bombala Airport', -36.904999, 149.182007, 2415, 'AU', 'AU-NSW', '', 'no', 'YBOM', '', '', ''),
	('YBNS', 'medium_airport', 'Bairnsdale Airport', -37.887539, 147.569379, 165, 'AU', 'AU-VIC', 'Bairnsdale', 'no', 'YBNS', 'BSJ', '', ''),
	('YYRM', 'small_airport', 'Yarram Airport', -38.5667, 146.755005, 15, 'AU', 'AU-VIC', '', 'no', 'YYRM', '', '', ''),
	('YBRA', 'small_airport', 'Benambra Airport', -36.9668665594, 147.699143887, 2200, 'AU', 'AU-VIC', '', 'no', 'YBRA', '', '', 'Victorian Aerial Fire Bases'),
	('AU36', 'N/A', 'N/A', -37.892250046133995, 146.77233025431633, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSAA', 'N/A', 'N/A', -38.03794797509909, 147.19063460826874, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHOT', 'medium_airport', 'Mount Hotham Airport', -37.0475006104, 147.333999634, 4260, 'AU', 'AU-VIC', 'Mount Hotham', 'yes', 'YHOT', 'MHU', '', ''),
	('YORB', 'small_airport', 'Orbost Airport', -37.790000915527344, 148.61000061035156, 28, 'AU', 'AU-VIC', '', 'no', 'YORB', 'RBS', '', ''),
	('WHL', 'small_airport', 'Welshpool Airport', -38.682382, 146.445331, 35, 'AU', 'AU-VIC', 'Welshpool', 'no', '', 'WHL', '', ''),
	('YJBO', 'N/A', 'N/A', -37.856792248785496, 146.91661342978477, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDEG', 'small_airport', 'Delegate Airport', -37.0614013671875, 148.94200134277344, 2546, 'AU', 'AU-NSW', '', 'no', 'YDEG', '', '', ''),
	('YMBT', 'small_airport', 'Mount Beauty Airport', -36.731576, 147.168903, 1100, 'AU', 'AU-VIC', 'Mount Beauty', 'no', 'YMBT', '', '', 'Victorian Aerial Fire Bases'),
	('YMER', 'medium_airport', 'Merimbula Airport', -36.9085998535, 149.901000977, 7, 'AU', 'AU-NSW', 'Merimbula', 'yes', 'YMER', 'MIM', '', ''),
	('YLTV', 'medium_airport', 'Latrobe Valley Airport', -38.211004, 146.470817, 180, 'AU', 'AU-VIC', 'Morwell', 'no', 'YLTV', 'TGN', '', 'Traralgon, Morwell'),
	('YWOD', 'N/A', 'N/A', -42.167181596159935, 147.4463027715683, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDEL', 'N/A', 'N/A', -42.16315157711506, 146.4822681248188, 673, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBDP', 'small_airport', 'Flinders Island Aviation (Bridport)', -41.023798, 147.416791, 0, 'AU', 'AU-TAS', 'Bridport', 'no', 'YBDP', '', '', ''),
	('YSTH', 'small_airport', 'St Helens Airport', -41.336700439453125, 148.28199768066406, 48, 'AU', 'AU-TAS', '', 'no', 'YSTH', 'HLS', '', ''),
	('YLDB', 'small_airport', 'Lady Barron (Flinders Is) Airport', -40.20000076293945, 148.25, 0, 'AU', 'AU-TAS', '', 'no', 'YLDB', '', '', ''),
	('YDPO', 'medium_airport', 'Devonport Airport', -41.1697006226, 146.429992676, 33, 'AU', 'AU-TAS', 'Devonport', 'yes', 'YDPO', 'DPO', '', ''),
	('YSWA', 'small_airport', 'Swansea Airport', -42.099425, 148.070362, 9, 'AU', 'AU-TAS', '', 'no', 'YSWA', '', '', ''),
	('YFRI', 'small_airport', 'Friendly Beaches Airport', -42, 148.25900268554688, 0, 'AU', 'AU-TAS', '', 'no', 'YFRI', '', '', ''),
	('YSCC', 'N/A', 'N/A', -40.89818559587002, 147.86121681332588, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSWI', 'small_airport', 'Swan Island Airport', -40.72956, 148.116549, 26, 'AU', 'AU-TAS', 'Swan Island', 'no', 'YSWI', '', '', ''),
	('YCBN', 'small_airport', 'Cape Barren Island Airport', -40.391700744628906, 148.01699829101563, 0, 'AU', 'AU-TAS', '', 'no', 'YCBN', 'CBI', '', ''),
	('YLGD', 'small_airport', 'Longdown Airport', -41.691234, 147.143296, 0, 'AU', 'AU-TAS', '', 'no', 'YLGD', '', '', ''),
	('YMLT', 'medium_airport', 'Launceston Airport', -41.54529953, 147.214004517, 562, 'AU', 'AU-TAS', 'Launceston', 'yes', 'YMLT', 'LST', '', ''),
	('YSHE', 'N/A', 'N/A', -41.42978500574827, 146.2641517817974, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKCK', 'small_airport', 'Killiecrankie Airport', -39.848801, 147.858002, 0, 'AU', 'AU-TAS', '', 'no', 'YKCK', '', '', ''),
	('YTUN', 'small_airport', 'Tunbridge Airport', -42.112892, 147.364431, 745, 'AU', 'AU-TAS', '', 'no', 'YTUN', '', '', ''),
	('YGTO', 'small_airport', 'Georgetown Airport', -41.079491, 146.839061, 131, 'AU', 'AU-TAS', 'Georgetown', 'no', 'YGTO', 'GEE', '', ''),
	('YCAE', 'small_airport', 'Campbell Town Airport', -41.96722412109375, 147.53054809570313, 710, 'AU', 'AU-TAS', '', 'no', 'YCAE', '', '', ''),
	('YFLI', 'small_airport', 'Flinders Island Airport', -40.091702, 147.992996, 10, 'AU', 'AU-TAS', 'Flinders Island', 'yes', 'YFLI', 'FLS', '', ''),
	('YCKD', 'small_airport', 'Clarke Island Airport', -40.516700744628906, 148.13299560546875, 0, 'AU', 'AU-TAS', '', 'no', 'YCKD', '', '', ''),
	('YVAF', 'small_airport', 'Valley Field Airport', -41.808754, 147.296525, 0, 'AU', 'AU-TAS', '', 'no', 'YVAF', '', '', ''),
	('YLAG', 'small_airport', 'Lagoon Bay Airport', -42.886934, 147.954863, 0, 'AU', 'AU-TAS', '', 'no', 'YLAG', '', '', ''),
	('YGVE', 'small_airport', 'Glendevie Airport', -43.231595, 147.000182, 0, 'AU', 'AU-TAS', '', 'no', 'YGVE', '', '', ''),
	('YSFY', 'small_airport', 'Sandfly Airport', -42.982337, 147.209287, 0, 'AU', 'AU-TAS', '', 'no', 'YSFY', '', '', ''),
	('YDAR', 'small_airport', 'Darlington Airport', -42.571856, 148.070726, 0, 'AU', 'AU-TAS', 'Runnymede', 'no', 'YDAR', '', '', 'Darlington-Maria Island-Fossil Cliffs Airfield, W34'),
	('YTUA', 'small_airport', 'Triabunna Airport', -42.51369857788086, 147.8979949951172, 0, 'AU', 'AU-TAS', '', 'no', 'YTUA', '', '', ''),
	('YMHB', 'medium_airport', 'Hobart International Airport', -42.836101532, 147.509994507, 13, 'AU', 'AU-TAS', 'Hobart', 'yes', 'YMHB', 'HBA', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YBYI', 'small_airport', 'Bruny Island Airport', -43.2342, 147.380005, 0, 'AU', 'AU-TAS', '', 'no', 'YBYI', '', '', ''),
	('YCBG', 'small_airport', 'Hobart Cambridge Airport', -42.82638, 147.478637, 67, 'AU', 'AU-TAS', '', 'no', 'YCBG', '', '', ''),
	('UESS', 'medium_airport', 'Cherskiy Airport', 68.7406005859375, 161.33799743652344, 20, 'RU', 'RU-SA', 'Cherskiy', 'yes', 'UESS', 'CYX', '', 'Chersky Airport, Аэропорт Черский'),
	('UHMP', 'medium_airport', 'Pevek Airport', 69.783302, 170.597, 11, 'RU', 'RU-CHU', 'Apapelgino', 'yes', 'UHMP', 'PWE', '', 'УХМП, Аэропорт Певек'),
	('UESU', 'medium_airport', 'Zyryanka Airport', 65.7485, 150.8889, 140, 'RU', 'RU-SA', 'Zyryanka', 'yes', 'UESU', 'ZKP', '', 'УЕСУ, Аэропорт Зырянка'),
	('UHMS', 'medium_airport', 'Seymchan Airport', 62.920780181884766, 152.4227752685547, 679, 'RU', 'RU-MAG', 'Seymchan', 'no', 'UHMS', '', '', 'Аэропорт Сеймчан'),
	('USIN', 'N/A', 'N/A', 62.263080440461636, 150.75297117233276, 344, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHMT', 'medium_airport', 'Magadan-13 Airport', 59.62329864501953, 150.9219970703125, 164, 'RU', 'RU-MAG', 'Magadan', 'no', 'UHMT', '', '', 'Аэропорт Магадан-13'),
	('UHMM', 'medium_airport', 'Sokol Airport', 59.9109992980957, 150.72000122070313, 574, 'RU', 'RU-MAG', 'Magadan', 'yes', 'UHMM', 'GDX', '', ''),
	('USEK', 'N/A', 'N/A', 48.05061511695385, 153.2616238296032, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHMF', 'medium_airport', 'Omsukchan Airport', 62.457001, 155.744995, 1732, 'RU', 'RU-MAG', 'Omsukchan', 'yes', 'UHMF', '', '', 'Аэропорт Омсукчан'),
	('UHJI', 'small_airport', 'Icha Airport', 55.595402, 155.619003, 0, 'RU', 'RU-KAM', 'Icha', 'no', '', '', '', 'Аэропорт Ича, УХЯИ'),
	('USEJ', 'N/A', 'N/A', 50.707715302705765, 156.3168203830719, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USEM', 'N/A', 'N/A', 50.72527505457401, 156.20613545179367, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPAT', 'N/A', 'N/A', 52.91035037487745, 156.88104674220085, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USEI', 'N/A', 'N/A', 50.67115746438503, 156.12379565835, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHQO', 'small_airport', 'Sobolevo Airport', 54.30701, 155.973673, 87, 'RU', 'RU-KAM', 'Sobolevo', 'no', 'UHPS', '', '', 'UHQO'),
	('USEU', 'N/A', 'N/A', 50.18873702734709, 155.75982257723808, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHMN', 'small_airport', 'Omolon Airport', 65.239998, 160.539993, 0, 'RU', 'RU-CHU', 'Omolon', 'yes', 'UHMN', '', '', 'Аэропорт Омолон'),
	('UHMW', 'medium_airport', 'Severo-Evensk Airport', 61.921786, 159.229059, 32, 'RU', 'RU-MAG', 'Evensk', 'no', 'UHMW', 'SWV', '', 'Аэропорт Северо-Эвенск'),
	('UHGK', 'N/A', 'N/A', 63.747008219361305, 159.92279335856438, 565, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UEVE', 'N/A', 'N/A', 62.18390967696905, 159.08858433365822, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHMG', 'medium_airport', 'Chaybukha Airport', 61.834999, 160.548004, 207, 'RU', 'RU-MAG', 'Chaybukha', 'yes', 'UHMG', '', '', 'Airport Chaibukha, Airport Gizhiga, Аэропорт Чайбуха, Аэропорт Гижига'),
	('UHPL', 'medium_airport', 'Palana Airport', 59.082064, 159.891577, 112, 'RU', 'RU-KAM', 'Palana', 'no', 'UHPL', '', '', 'Аэропорт Палана'),
	('UHPG', 'small_airport', 'Tigil Airport', 57.784, 158.729996, 430, 'RU', 'RU-KAM', 'Tigil', 'no', 'UHPG', '', '', 'Аэропорт Тигиль'),
	('UKLH', 'medium_airport', 'Khmelnytskyi Airport', 49.359699, 26.933399, 1150, 'UA', 'UA-68', 'Khmelnytskyi', 'no', 'UKLH', 'HMJ', '', 'Khmelnitskiy, Khmelnytskyi Ruzhichnaya'),
	('UHPM', 'small_airport', 'Milkovo Airport', 54.680580139160156, 158.5485076904297, 410, 'RU', 'RU-KAM', 'Milkovo', 'no', 'UHPM', '', '', 'Аэропорт Мильково'),
	('UYEL', 'N/A', 'N/A', 54.2945371940732, 158.15160512924194, 243, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UESB', 'N/A', 'N/A', 55.93809932470322, 158.71077239513397, 475, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHPO', 'heliport', 'Kozyrevsk Heliport', 56.090092, 159.876308, 331, 'RU', 'RU-KAM', 'Kozyrevsk', 'no', 'UHPO', '', '', 'Kozyrevsk Airport'),
	('UHPP', 'medium_airport', 'Yelizovo Airport', 53.16764, 158.451863, 131, 'RU', 'RU-KAM', 'Petropavlovsk-Kamchatsky', 'yes', 'UHPP', 'PKC', '', ''),
	('UHPH', 'small_airport', 'Khalaktyrka Airport', 53.026245, 158.721972, 95, 'RU', 'RU-KAM', 'Petropavlovsk-Kamchatskiy', 'no', 'UHPH', '', '', 'Аэропорт Халактырка'),
	('UPAK', 'N/A', 'N/A', 53.05051624774933, 158.31562355160713, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPAB', 'N/A', 'N/A', 53.043870739638805, 158.30424919724464, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPAU', 'N/A', 'N/A', 53.042352609336376, 158.31167981028557, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UOSO', 'N/A', 'N/A', 57.92985577136278, 162.02065631747246, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHPK', 'small_airport', 'Ust''-Kamchatsk Airport', 56.238854, 162.689989, 200, 'RU', 'RU-KAM', 'Ust''-Kamchatsk (Krutoberegovo)', 'yes', 'UHPK', '', 'UKCH', 'УКЧ'),
	('UTIC', 'N/A', 'N/A', 62.48645480722189, 165.3392779827118, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHPT', 'small_airport', 'Tilichiki Airport', 60.384238, 166.02503, 7, 'RU', 'RU-KAM', 'Korf', 'no', 'UHPT', '', '', 'Korf Airport, Аэропорт Тиличики, Аэропорт Корф'),
	('UHPX', 'small_airport', 'Nikolskoye Airport', 55.1783332824707, 166.04833984375, 49, 'RU', 'RU-KAM', 'Nikolskoye', 'no', 'UHPX', '', '', 'Аэропорт Никольское, Bering Island, Commander Islands, Nikolsky'),
	('UBIL', 'N/A', 'N/A', 65.53879994899035, 168.84465470910072, 182, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UPEK', 'N/A', 'N/A', 66.90184257924557, 169.55999806523323, 519, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHMO', 'small_airport', 'Markovo Airport', 64.665446, 170.417626, 75, 'RU', 'RU-CHU', 'Markovo', 'yes', 'UHMO', 'KVM', '', 'Аэропорт Марково'),
	('UHPA', 'small_airport', 'Ust-Pakhachi Airport', 60.556587, 169.107707, 10, 'RU', 'RU-KAM', 'Ust-Pakhachi', 'no', 'UHPA', '', '', 'Аэропорт Усть-Пахачи, Пахачи, Pakhachi'),
	('PAAT', 'small_airport', 'Casco Cove Coast Guard Station', 52.829797, 173.173796, 40, 'US', 'US-AK', 'Attu', 'no', 'PAAT', 'ATU', 'ATU', ''),
	('PASY', 'medium_airport', 'Eareckson Air Station', 52.71229935, 174.1139984, 95, 'US', 'US-AK', 'Shemya', 'no', 'PASY', 'SYA', 'SYA', ''),
	('UAND', 'N/A', 'N/A', 64.80164710432291, 177.5807672739029, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UHMA', 'medium_airport', 'Ugolny Yuri Ryktheu Airport', 64.734902, 177.740997, 194, 'RU', 'RU-CHU', 'Anadyr', 'yes', 'UHMA', 'DYR', '', 'Аnadyr Airport, Аэропорт Анадырь'),
	('UANY', 'N/A', 'N/A', 66.42203629016876, 177.5828343629837, 305, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PTKK', 'medium_airport', 'Chuuk International Airport', 7.461870193481445, 151.84300231933594, 11, 'FM', 'FM-TRK', 'Weno Island', 'yes', 'PTKK', 'TKK', 'TKK', ''),
	('PTPN', 'medium_airport', 'Pohnpei International Airport', 6.985099792480469, 158.20899963378906, 10, 'FM', 'FM-PNI', 'Pohnpei Island', 'yes', 'PTPN', 'PNI', 'PNI', 'Ponape');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('PTMO', 'N/A', 'N/A', 6.678188145160675, 159.7597485780716, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PTPI', 'N/A', 'N/A', 6.21130708605051, 160.70451334118843, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PKMA', 'small_airport', 'Eniwetok Airport', 11.340700149536133, 162.3280029296875, 13, 'MH', 'MH-ENI', 'Eniwetok Atoll', 'yes', 'PKMA', 'ENT', '', ''),
	('PTSA', 'medium_airport', 'Kosrae International Airport', 5.35698, 162.957993, 11, 'FM', 'FM-KSA', 'Okat', 'yes', 'PTSA', 'KSA', 'TTK', 'Caroline Islands Airport'),
	('PWAK', 'medium_airport', 'Wake Island Airfield', 19.282437, 166.636637, 14, 'UM', 'UM-79', 'Wake Island', 'yes', 'PWAK', 'AWK', 'AWK', ''),
	('PKRN', 'N/A', 'N/A', 11.522727012634277, 165.56515216827393, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BII', 'N/A', 'N/A', 11.522681415081024, 165.56523352861404, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PKWA', 'medium_airport', 'Bucholz Army Air Field', 8.720120429992676, 167.73199462890625, 9, 'MH', 'MH-KWA', 'Kwajalein', 'yes', 'PKWA', 'KWA', 'KWA', ''),
	('PKWO', 'N/A', 'N/A', 10.173751898109913, 166.00283280014992, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PKRG', 'N/A', 'N/A', 11.157226413488388, 166.8873730301857, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UJAP', 'small_airport', 'Ujae Atoll Airport', 8.92805957794, 165.761993408, 29, 'MH', 'MH-UJA', 'Ujae Atoll', 'yes', '', 'UJE', '', ''),
	('PKLA', 'N/A', 'N/A', 9.330806024372578, 166.81989043951035, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EAL', 'small_airport', 'Elenak Airport', 9.319305555560002, 166.847777778, 16, 'MH', 'MH-KWA', 'Mejato Island', 'no', '', 'EAL', '', ''),
	('LML', 'small_airport', 'Las Malvinas Airport', 3.770833, -71.823889, 709, 'CO', 'CO-MET', 'Puerto Gaitán', 'no', '', '', 'LML', ''),
	('PKRO', 'small_airport', 'Dyess Army Air Field', 9.39689, 167.470993, 9, 'MH', 'MH-KWA', 'Roi-Namur', 'no', 'PKRO', '', 'ROI', 'FreeFlight'),
	('PKLE', 'N/A', 'N/A', 8.92139632254839, 166.26489803195, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3N0', 'small_airport', 'Namorik Airport', 5.633005, 168.125631, 15, 'MH', 'MH-NMK', 'Namorik Atoll', 'yes', '3N0', 'NDK', '3N0', 'Namdrik'),
	('PKAR', 'N/A', 'N/A', 7.451817691326141, 168.55087414383888, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PKLO', 'N/A', 'N/A', 7.762802392244339, 168.26527252793312, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PKLI', 'N/A', 'N/A', 9.823260940611362, 169.30830538272858, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PKAI', 'N/A', 'N/A', 10.216538161039352, 169.98264089226723, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MJB', 'N/A', 'N/A', 10.283256433904171, 170.8689558506012, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('03N', 'small_airport', 'Utirik Airport', 11.222219, 169.851429, 4, 'MH', 'MH-UTI', 'Utirik Island', 'yes', '03N', 'UTK', '03N', ''),
	('LIK', 'N/A', 'N/A', 9.822779148817062, 169.3062986433506, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('3N1', 'small_airport', 'Maloelap Island Airport', 8.70444, 171.229996, 4, 'MH', 'MH-MAL', 'Maloelap Island', 'yes', '3N1', 'MAV', '3N1', ''),
	('KBT', 'small_airport', 'Kaben Airport', 8.90056, 170.843994, 0, 'MH', 'MH-MAL', 'Kaben', 'yes', '', 'KBT', '', ''),
	('N36', 'small_airport', 'Wotje Airport', 9.458333, 170.238611, 4, 'MH', 'MH-WTJ', 'Wotje', 'yes', 'N36', 'WTE', 'N36', ''),
	('N55', 'small_airport', 'Jaluit Airport', 5.909213, 169.637256, 4, 'MH', 'MH-JAL', 'Jabor Jaluit Atoll', 'yes', 'N55', 'UIT', 'N55', ''),
	('PKJB', 'N/A', 'N/A', 7.565366327762604, 168.96203488111496, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MLIP', 'small_airport', 'Mili Island Airport', 6.084754, 171.731419, 4, 'MH', 'MH-MIL', 'Mili Island', 'yes', '1Q9', 'MIJ', '1Q9', ''),
	('PKMJ', 'medium_airport', 'Marshall Islands International Airport', 7.06476, 171.272003, 6, 'MH', 'MH-MAJ', 'Majuro Atoll', 'yes', 'PKMJ', 'MAJ', 'MAJ', ''),
	('PKJA', 'N/A', 'N/A', 7.749017849564552, 168.97736191749573, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EJT', 'small_airport', 'Enejit Airport', 6.0404, 171.9846, 30, 'MH', 'MH-MIL', 'Enejit Island', 'yes', '', 'EJT', '', 'Enajet'),
	('TBV', 'small_airport', 'Tabal Airstrip', 8.3027, 171.1615, 32, 'MH', 'MH-AUR', 'Tabal Island', 'no', '', 'TBV', '', ''),
	('PKAU', 'N/A', 'N/A', 8.145496286451817, 171.17323771119118, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AIP', 'small_airport', 'Ailinglaplap Airok Airport', 7.279422, 168.8257, 16, 'MH', 'MH-ALL', 'Bigatyelang Island', 'yes', '', 'AIC', '', ''),
	('EBO', 'small_airport', 'Ebon Airport', 4.5982, 168.752, 8, 'MH', 'MH-EBO', 'Ebon Atoll', 'no', '', 'EBO', '', ''),
	('NGTU', 'small_airport', 'Butaritari Airport', 3.08583, 172.811005, 5, 'KI', 'KI-G', 'Butaritari', 'yes', 'NGTU', 'BBG', '', 'Makin'),
	('NGMN', 'small_airport', 'Makin Island Airport', 3.37444, 172.992004, 0, 'KI', 'KI-G', 'Makin Island', 'no', 'NGMN', 'MTK', '', ''),
	('NGUK', 'small_airport', 'Aranuka Airport', 0.185278, 173.636993, 6, 'KI', 'KI-G', 'Buariki', 'yes', 'NGUK', 'AAK', '', 'Tarawa'),
	('NGMK', 'small_airport', 'Marakei Airport', 2.05861, 173.270996, 10, 'KI', 'KI-G', 'Marakei', 'no', 'NGMK', 'MZK', '', ''),
	('NGMA', 'small_airport', 'Maiana Airport', 1.00361, 173.031006, 8, 'KI', 'KI-G', 'Maiana', 'no', 'NGMA', 'MNK', '', ''),
	('NGTA', 'medium_airport', 'Bonriki International Airport', 1.38164, 173.147003, 9, 'KI', 'KI-G', 'Tarawa', 'yes', 'NGTA', 'TRW', '', 'Bonriki, Mullinix'),
	('NGAB', 'small_airport', 'Abaiang Airport', 1.79861, 173.041, 26, 'KI', 'KI-G', 'Abaiang', 'no', 'NGAB', 'ABF', '', ''),
	('NGTB', 'small_airport', 'Abemama Airport', 0.490759, 173.830287, 8, 'KI', 'KI-G', 'Abemama', 'no', 'NGTB', 'AEA', '', ''),
	('NGKT', 'small_airport', 'Kuria Airport', 0.218611, 173.442001, 0, 'KI', 'KI-G', 'Kuria', 'no', 'NGKT', 'KUC', '', ''),
	('AYMZ', 'N/A', 'N/A', -2.8113888949155807, 151.99111104011536, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYSE', 'small_airport', 'Simberi Airport', -2.66222222222, 151.997777778, 10, 'PG', 'PG-NIK', 'Simberi Island', 'no', 'AYSE', 'NIS', 'SBI', ''),
	('AYKV', 'medium_airport', 'Kavieng Airport', -2.57940006256, 150.807998657, 7, 'PG', 'PG-NIK', 'Kavieng', 'yes', 'AYKV', 'KVG', '', ''),
	('AYNG', 'small_airport', 'Manguna Airport', -5.577778, 151.792333, 187, 'PG', 'PG-EBR', 'Manguna', 'no', 'AYNG', 'MFO', 'MGA', ''),
	('CPI', 'small_airport', 'Cape Orford Airport', -5.44833333333, 152.081944444, 20, 'PG', 'PG-EBR', '', 'no', '', 'CPI', 'COF', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AYOY', 'small_airport', 'Open Bay Airport', -4.794727, 151.696195, 33, 'PG', 'PG-EBR', 'Maitanakunai', 'no', 'AYOY', 'OPB', 'OBY', ''),
	('AYHK', 'medium_airport', 'Hoskins Airport', -5.463846, 150.407327, 66, 'PG', 'PG-WBK', 'Kimbe', 'yes', 'AYHK', 'HKN', '', ''),
	('AYLV', 'N/A', 'N/A', -5.336512997746468, 151.6628234088421, 383, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYVL', 'small_airport', 'Talasea Airport', -5.2726, 150.0089, 44, 'PG', 'PG-WBK', 'Talasea', 'no', 'AYVL', 'TLW', 'TLS', ''),
	('AYKY', 'small_airport', 'Londolovit Airport', -3.04361009598, 152.628997803, 167, 'PG', 'PG-NIK', 'Londolovit', 'yes', 'AYKY', 'LNV', '', 'Lihir Island, Kunaye'),
	('AYNX', 'N/A', 'N/A', -3.667319342494011, 152.43576273322105, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SMP', 'small_airport', 'San Martin Airport', 28.123504, -110.680947, 184, 'MX', 'MX-SON', 'Empalme', 'no', '', '', 'SMP', ''),
	('SULE', 'N/A', 'N/A', -4.974712170660496, 151.2965114414692, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYXO', 'N/A', 'N/A', -4.981098175048828, 152.01078683137894, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BOV', 'small_airport', 'Boang Airport', -3.3834, 153.2812, 85, 'PG', 'PG-NIK', 'Boang Island', 'no', '', 'BOV', 'BOG', ''),
	('AYTK', 'medium_airport', 'Tokua Airport', -4.34046, 152.380005, 49, 'PG', 'PG-EBR', 'Kokopo', 'yes', 'AYTK', 'RAB', '', ''),
	('AYLE', 'small_airport', 'Lele Airstrip', -5.2192, 151.3938, 1600, 'PG', 'PG-EBR', 'Leli', 'no', 'AYLE', '', 'LELE', 'Leli'),
	('AYZI', 'N/A', 'N/A', -4.528488144278526, 153.05362477898598, 63, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYGL', 'N/A', 'N/A', -5.5270688608288765, 151.57299041748047, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYBL', 'N/A', 'N/A', -5.330684557557106, 151.00822314620018, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYIL', 'N/A', 'N/A', -5.667269602417946, 151.09934449195862, 795, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYUZ', 'small_airport', 'Uvol Airport', -6.0178, 150.9557, 15, 'PG', 'PG-EBR', 'Uvol', 'no', 'AYUZ', 'UVO', 'UVOL', ''),
	('AYGT', 'N/A', 'N/A', -6.270815581083298, 150.33176645636559, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ASZ', 'small_airport', 'Asirim Airport', -6.009722222220001, 150.368611111, 1050, 'PG', 'PG-WBK', '', 'no', '', 'ASZ', 'ASM', ''),
	('AYJB', 'N/A', 'N/A', -5.651687979698181, 151.50672912597656, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYWJ', 'N/A', 'N/A', -9.338770508766174, 150.51006719470024, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CVL', 'small_airport', 'Cape Vogel Airport', -9.67, 150.019722222, 20, 'PG', 'PG-MBA', '', 'no', '', 'CVL', 'CVG', ''),
	('VIV', 'small_airport', 'Vivigani Airfield', -9.30333333333, 150.318888889, 117, 'PG', 'PG-MBA', 'Vivigani', 'no', '', 'VIV', 'VIV', ''),
	('AYMS', 'small_airport', 'Misima Island Airport', -10.689200401299999, 152.837997437, 26, 'PG', 'PG-MBA', 'Misima Island', 'yes', 'AYMS', 'MIS', '', ''),
	('AYDO', 'small_airport', 'Doini Airport', -10.7009, 150.7218, 31, 'PG', 'PG-MBA', 'Castori Islets', 'no', 'AYDO', 'DOI', 'DOI', ''),
	('WED', 'small_airport', 'Wedau Airport', -10.0954, 150.0826, 90, 'PG', 'PG-MBA', 'Wedau', 'no', '', 'WED', 'WDU', ''),
	('AYKA', 'small_airport', 'Losuia Airport', -8.505820274353027, 151.08099365234375, 27, 'PG', 'PG-MBA', 'Losuia', 'yes', 'AYKA', 'LSA', '', 'Formerly Kiriwina Airport'),
	('AYGJ', 'N/A', 'N/A', -9.226570688188076, 152.94532120227814, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ESA', 'small_airport', 'Estrella Airport', 28.639387, -108.773046, 4551, 'MX', 'MX-SON', 'Sahuaripa', 'no', '', '', 'ESA', ''),
	('AYSL', 'N/A', 'N/A', -9.964840337634087, 151.16213232278824, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SAM', 'small_airport', 'Salamo Airport', -9.6701, 150.7903, 30, 'PG', 'PG-MBA', 'Salamo', 'no', '', 'SAM', 'SAO', 'Fergusson Is.'),
	('AYGN', 'medium_airport', 'Gurney Airport', -10.3114995956, 150.333999634, 88, 'PG', 'PG-MBA', 'Gurney', 'yes', 'AYGN', 'GUR', '', ''),
	('AYSC', 'N/A', 'N/A', -10.739150829613209, 151.7257359623909, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TGL', 'small_airport', 'Tagula Airport', -11.3311111111, 153.202916667, 59, 'PG', 'PG-MBA', 'Sudest Island', 'no', 'AYTG', 'TGL', 'TAG', ''),
	('YWIS', 'small_airport', 'Williamson Airport', -22.474254, 150.179222, 89, 'AU', 'AU-QLD', '', 'no', 'YWIS', '', '', ''),
	('YCII', 'N/A', 'N/A', -22.23905861377716, 150.30192151665688, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHOY', 'small_airport', 'Hollins Bay Airport', -22.273807, 150.040326, 0, 'AU', 'AU-QLD', '', 'no', 'YHOY', '', '', ''),
	('NIS', 'small_airport', 'Nissan Island Airport', -4.49972009659, 154.225997925, 52, 'PG', 'PG-NSB', 'Nissan Island', 'no', 'AYIA', 'IIS', 'NIS', ''),
	('AYBK', 'medium_airport', 'Buka Airport', -5.4223198890686035, 154.67300415039063, 11, 'PG', 'PG-NSB', 'Buka Island', 'yes', 'AYBK', 'BUA', '', ''),
	('AYSH', 'small_airport', 'Sabah Airport', -5.5765, 155.0489, 10, 'PG', 'PG-NSB', 'Sabah', 'no', 'AYSH', 'SBV', 'SAB', ''),
	('AGGC', 'small_airport', 'Choiseul Bay Airport', -6.711944, 156.396111, 0, 'SB', 'SB-CH', '', 'yes', 'AGGC', 'CHY', '', ''),
	('AGEV', 'small_airport', 'Geva Airport', -7.575829982757568, 156.5970001220703, 0, 'SB', 'SB-WE', 'Liangia', 'no', 'AGEV', 'GEF', '', ''),
	('AGGM', 'medium_airport', 'Munda Airport', -8.32797, 157.263, 10, 'SB', 'SB-WE', 'Munda', 'yes', 'AGGM', 'MUA', '', ''),
	('TOK', 'small_airport', 'Torokina Airport', -6.2015, 155.063, 130, 'PG', 'PG-NSB', 'Torokina', 'no', '', 'TOK', 'TKN', 'Torakina'),
	('AGGO', 'small_airport', 'Mono Airport', -7.416940212249756, 155.56500244140625, 0, 'SB', 'SB-WE', 'Stirling Island', 'yes', 'AGGO', 'MNY', '', ''),
	('RAW', 'small_airport', 'Arawa Airport', -6.220556, 155.571389, 20, 'PG', 'PG-NSB', 'Arawa', 'no', '', 'RAW', 'ARA', ''),
	('AGBA', 'small_airport', 'Barakoma Airport', -7.912779808044434, 156.70599365234375, 0, 'SB', 'SB-WE', 'Barakoma', 'no', 'AGBA', 'VEV', '', ''),
	('AYVO', 'small_airport', 'Tonu Airport', -6.6552, 155.4326, 300, 'PG', 'PG-NSB', 'Tonu', 'no', 'AYVO', 'TON', 'TONU', ''),
	('AYWQ', 'small_airport', 'Wakunai Airport', -5.8603, 155.2223, 20, 'PG', 'PG-NSB', 'Wakunai', 'no', 'AYWQ', 'WKN', 'WAI', ''),
	('AGKU', 'small_airport', 'Kukudu Airport', -8.0262, 156.94783, 32, 'SB', 'SB-WE', 'Kolombangara Island', 'no', 'AGKU', 'KUE', '', 'Kukundu'),
	('AYUI', 'N/A', 'N/A', -6.731635518372059, 155.68413600325584, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('AGRC', 'small_airport', 'Ringi Cove Airport', -8.12639045715332, 157.14300537109375, 0, 'SB', 'SB-WE', 'Ringi Cove', 'no', 'AGRC', 'RIN', '', ''),
	('AYIQ', 'small_airport', 'Aropa Airport', -6.305417, 155.728139, 20, 'PG', 'PG-NSB', 'Kieta', 'yes', 'AYIQ', 'KIE', 'KIA', ''),
	('AGGE', 'small_airport', 'Ballalae Airport', -6.990745, 155.886656, 5, 'SB', 'SB-WE', 'Ballalae', 'yes', 'AGGE', 'BAS', '', ''),
	('AGGN', 'small_airport', 'Nusatupe Airport', -8.09778022766, 156.863998413, 13, 'SB', 'SB-WE', 'Gizo', 'yes', 'AGGN', 'GZO', '', ''),
	('AGGF', 'small_airport', 'Fera/Maringe Airport', -8.1075, 159.576996, 0, 'SB', 'SB-IS', 'Fera Island', 'yes', 'AGGF', 'FRE', '', 'Santa Isabel Islands'),
	('AGRM', 'small_airport', 'Ramata Airport', -8.168060302734375, 157.64300537109375, 0, 'SB', 'SB-WE', 'Ramata', 'yes', 'AGRM', 'RBV', '', ''),
	('AGGV', 'small_airport', 'Suavanao Airport', -7.58556, 158.731003, 0, 'SB', 'SB-IS', 'Suavanao', 'yes', 'AGGV', 'VAO', '', ''),
	('AGOB', 'small_airport', 'Manaoba Airport', -8.325008, 160.80051, 14, 'SB', 'SB-ML', 'Manaoba', 'yes', 'AGOB', 'MHM', '', ''),
	('AGKW', 'small_airport', 'Kwailabesi Airport', -8.360508, 160.775127, 52, 'SB', 'SB-ML', 'Kwailabesi', 'no', 'AGKW', 'KWS', '', ''),
	('AGKG', 'small_airport', 'Kaghau Airport', -7.3305, 157.585, 30, 'SB', 'SB-CH', 'Kagau Island', 'yes', 'AGKG', 'KGE', '', 'Kagau Island'),
	('AGGY', 'small_airport', 'Yandina Airport', -9.092816, 159.21841, 60, 'SB', 'SB-CE', 'Yandina', 'yes', 'AGGY', 'XYA', '', ''),
	('AGAF', 'small_airport', 'Afutara Aerodrome', -9.19138888889, 160.948611111, 23, 'SB', 'SB-ML', 'Bila', 'yes', 'AGAF', 'AFT', '', ''),
	('AGGJ', 'small_airport', 'Avu Avu Airport', -9.86833333333, 160.410555556, 25, 'SB', 'SB-GU', '', 'no', 'AGGJ', 'AVU', '', ''),
	('AGGZ', 'N/A', 'N/A', -8.507157303392887, 157.6880693435669, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AGGH', 'large_airport', 'Honiara International Airport', -9.428, 160.054993, 28, 'SB', 'SB-GU', 'Honiara', 'yes', 'AGGH', 'HIR', '', 'Henderson Field'),
	('AGGU', 'small_airport', 'Marau Airport', -9.861669540409999, 160.824996948, 0, 'SB', 'SB-GU', 'Marau', 'yes', 'AGGU', 'RUS', '', ''),
	('AGBT', 'N/A', 'N/A', -8.562027923762798, 158.11930552124977, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AGGA', 'small_airport', 'Gwaunaru''u Airport', -8.70257, 160.682007, 5, 'SB', 'SB-ML', 'Auki', 'yes', 'AGGA', 'AKS', '', ''),
	('BPF', 'small_airport', 'Batuna Aerodrome', -8.56202777778, 158.119305556, 24, 'SB', 'SB-WE', 'Batuna Mission Station', 'no', 'AGBT', 'BPF', '', ''),
	('AGGD', 'N/A', 'N/A', -8.738504201173782, 158.20238828659058, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AGAT', 'small_airport', 'Uru Harbour Airport', -8.87333, 161.011002, 0, 'SB', 'SB-ML', 'Atoifi', 'yes', 'AGAT', 'ATD', '', ''),
	('AGGS', 'small_airport', 'Sege Airport', -8.57889, 157.876007, 0, 'SB', 'SB-WE', 'Sege', 'no', 'AGGS', 'EGM', '', ''),
	('AGGI', 'small_airport', 'Babanakira Airport', -9.7475, 159.839005, 0, 'SB', 'SB-GU', 'Mbambanakira', 'yes', 'AGGI', 'MBU', '', 'Mbambanakira Airport'),
	('AGOK', 'small_airport', 'Gatokae Aerodrome', -8.738358, 158.202836, 70, 'SB', 'SB-WE', 'Gatokae', 'yes', 'AGOK', 'GTA', '', ''),
	('AGGR', 'small_airport', 'Rennell/Tingoa Airport', -11.55, 160.062778, 0, 'SB', 'SB-RB', 'Rennell Island', 'yes', 'AGGR', 'RNL', '', ''),
	('AGGB', 'small_airport', 'Bellona/Anua Airport', -11.302222222200001, 159.798333333, 60, 'SB', 'SB-RB', 'Anua', 'yes', 'AGGB', 'BNY', '', ''),
	('AGNA', 'small_airport', 'Nana Airport', -10.6758, 162.2049, 60, 'SB', 'SB-MK', 'Star Harbor', 'no', 'AGNA', 'NAZ', '', ''),
	('AGGK', 'small_airport', 'Ngorangora Airport', -10.449700355500001, 161.897994995, 54, 'SB', 'SB-MK', 'Kirakira', 'yes', 'AGGK', 'IRA', '', ''),
	('AGGP', 'small_airport', 'Parasi Airport', -9.641670227050781, 161.4250030517578, 0, 'SB', 'SB-ML', 'Parasi', 'no', 'AGGP', 'PRS', '', ''),
	('AGGT', 'small_airport', 'Santa Ana Airport', -10.847994, 162.454108, 3, 'SB', 'SB-MK', 'Santa Ana Island', 'yes', 'AGGT', 'NNB', '', ''),
	('AGAR', 'small_airport', 'Ulawa Airport', -9.86054358262, 161.979546547, 40, 'SB', 'SB-MK', 'Arona', 'no', 'AGAR', 'RNA', '', ''),
	('NWWQ', 'small_airport', 'Mueo Airport', -21.316456, 164.999399, 0, 'NC', 'NC-U-A', 'Népoui', 'no', 'NWWQ', 'PDC', '', ''),
	('NWWC', 'small_airport', 'Île Art - Waala Airport', -19.720521, 163.661077, 306, 'NC', 'NC-U-A', 'Waala', 'yes', 'NWWC', 'BMY', '', 'Belep Islands Airport'),
	('NWWY', 'small_airport', 'Ouaco Airport', -20.855494, 164.535542, 69, 'NC', 'NC-U-A', 'Ouaco', 'no', 'NWWY', '', '', ''),
	('NWWP', 'small_airport', 'Poum / Malabou Airport', -20.289155, 164.09935, 6, 'NC', 'NC-U-A', 'Malabou', 'no', 'NWWP', 'PUV', '', ''),
	('NWWD', 'medium_airport', 'Koné Airport', -21.053551, 164.838768, 23, 'NC', 'NC-U-A', 'Koné', 'yes', 'NWWD', 'KNQ', '', ''),
	('NWWK', 'small_airport', 'Koumac Airport', -20.546323, 164.255648, 42, 'NC', 'NC-U-A', 'Koumac', 'yes', 'NWWK', 'KOC', '', ''),
	('ANYN', 'medium_airport', 'Nauru International Airport', -0.547458, 166.919006, 22, 'NR', 'NR-14', 'Yaren District', 'yes', 'ANYN', 'INU', '', 'ANAU'),
	('AGGL', 'small_airport', 'Santa Cruz/Graciosa Bay/Luova Airport', -10.7203, 165.794998, 18, 'SB', 'SB-TE', 'Santa Cruz/Graciosa Bay/Luova', 'yes', 'AGGL', 'SCZ', '', ''),
	('NVSC', 'small_airport', 'Sola Airport', -13.8516998291, 167.537002563, 7, 'VU', 'VU-TOB', 'Sola', 'yes', 'NVSC', 'SLH', '', 'Vanua Lava Airport'),
	('NVSD', 'small_airport', 'Torres Airstrip', -13.3280000687, 166.638000488, 75, 'VU', 'VU-TOB', 'Loh/Linua', 'yes', 'NVSD', 'TOH', '', 'Loh Island,'),
	('NVSA', 'small_airport', 'Mota Lava Airport', -13.6660003662, 167.712005615, 63, 'VU', 'VU-TOB', 'Ablow', 'yes', 'NVSA', 'MTV', '', ''),
	('NVSR', 'small_airport', 'Redcliffe Airport', -15.472000122099999, 167.835006714, 36, 'VU', 'VU-PAM', 'Redcliffe', 'yes', 'NVSR', 'RCL', '', ''),
	('NVSS', 'medium_airport', 'Santo Pekoa International Airport', -15.505000114399998, 167.220001221, 184, 'VU', 'VU-SAM', 'Luganville', 'yes', 'NVSS', 'SON', '', ''),
	('NVSP', 'small_airport', 'Norsup Airport', -16.0797, 167.401001, 23, 'VU', 'VU-MAP', 'Norsup', 'yes', 'NVSP', 'NUS', '', ''),
	('NVSQ', 'medium_airport', 'Gaua Island Airport', -14.218099594099998, 167.587005615, 100, 'VU', 'VU-TOB', 'Gaua Island', 'yes', 'NVSQ', 'ZGU', '', 'Banks Islands'),
	('NVSM', 'small_airport', 'Lamen Bay Airport', -16.584199905400002, 168.158996582, 7, 'VU', 'VU-SEE', 'Lamen Bay', 'yes', 'NVSM', 'LNB', '', ''),
	('NVSF', 'small_airport', 'Craig Cove Airport', -16.264999, 167.923996, 69, 'VU', 'VU-MAP', 'Craig Cove', 'yes', 'NVSF', 'CCV', '', ''),
	('NVSG', 'small_airport', 'Longana Airport', -15.3066997528, 167.966995239, 167, 'VU', 'VU-PAM', 'Longana', 'yes', 'NVSG', 'LOD', '', ''),
	('NVSH', 'small_airport', 'Sara Airport', -15.4708003998, 168.151992798, 493, 'VU', 'VU-PAM', 'Pentecost Island', 'yes', 'NVSH', 'SSR', '', ''),
	('NVSW', 'small_airport', 'Walaha Airport', -15.411999702500001, 167.690994263, 151, 'VU', 'VU-PAM', 'Walaha', 'yes', 'NVSW', 'WLH', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NVSL', 'small_airport', 'Lamap Airport', -16.4611228, 167.829253, 7, 'VU', 'VU-MAP', 'Lamap', 'yes', 'NVSL', 'LPM', '', 'Malekoula Airport'),
	('NVSU', 'small_airport', 'Uléi Airport', -16.3297, 168.3011, 170, 'VU', 'VU-MAP', 'Ambrym Island', 'yes', 'NVSU', 'ULB', '', ''),
	('NVSV', 'small_airport', 'Valesdir Airport', -16.796100616500002, 168.177001953, 10, 'VU', 'VU-SEE', 'Epi Island', 'yes', 'NVSV', 'VLS', '', ''),
	('NVSN', 'small_airport', 'Maewo-Naone Airport', -15, 168.082992554, 509, 'VU', 'VU-PAM', 'Maewo Island', 'yes', 'NVSN', 'MWF', '', ''),
	('NVSO', 'small_airport', 'Lonorore Airport', -15.865599632299999, 168.17199707, 43, 'VU', 'VU-PAM', 'Lonorore', 'yes', 'NVSO', 'LNE', '', 'Pentecost Island'),
	('NVSZ', 'small_airport', 'North West Santo Airport', -14.881699562099998, 166.557998657, 50, 'VU', 'VU-SAM', 'Olpoi', 'yes', 'NVSZ', 'OLJ', '', 'Lajmoli Airport, Olpoi Airport'),
	('NVSX', 'small_airport', 'Southwest Bay Airport', -16.4864, 167.4472, 68, 'VU', 'VU-MAP', 'Malekula Island', 'yes', 'NVSX', 'SWJ', '', ''),
	('NVVV', 'large_airport', 'Bauerfield International Airport', -17.699301, 168.320007, 70, 'VU', 'VU-SEE', 'Port Vila', 'yes', 'NVVV', 'VLI', '', 'Efate Field, Vila Field, McDonald Field, Bauer Field'),
	('NVST', 'small_airport', 'Tongoa Airport', -16.8910999298, 168.550994873, 443, 'VU', 'VU-SEE', 'Tongoa Island', 'yes', 'NVST', 'TGH', '', ''),
	('NVVQ', 'closed', 'Quoin Hill Airfield', -17.540001, 168.442001, 16, 'VU', 'VU-SEE', 'Quoin Hill', 'no', '', '', '', 'NVVQ, NVVQ, UIQ'),
	('NWWL', 'medium_airport', 'Lifou Airport', -20.774799346923828, 167.24000549316406, 92, 'NC', 'NC-U-A', 'Lifou', 'yes', 'NWWL', 'LIF', '', ''),
	('NWDU', 'N/A', 'N/A', -22.168907783925533, 166.43312886357307, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NWWS', 'closed', 'Plaine des Lacs Airport', -22.270616, 166.926301, 902, 'NC', 'NC-U-A', 'Plaine des Lacs', 'no', '', '', '', 'NWWS, NWWS'),
	('NWWB', 'small_airport', 'Bourail - Poé Airport', -21.609604, 165.397103, 7, 'NC', 'NC-U-A', 'Poé', 'no', 'NWWB', '', '', ''),
	('NWYA', 'N/A', 'N/A', -21.969312876462936, 166.6721123456955, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NWWU', 'medium_airport', 'Touho Airport', -20.790127, 165.259524, 10, 'NC', 'NC-U-A', 'Touho', 'yes', 'NWWU', 'TOU', '', ''),
	('NWWT', 'small_airport', 'Oua Tom Airport', -21.819700241088867, 165.86099243164063, 98, 'NC', 'NC-U-A', 'La Foa', 'no', 'NWWT', '', '', ''),
	('NWWV', 'medium_airport', 'Ouvéa Airport', -20.640600204467773, 166.572998046875, 23, 'NC', 'NC-U-A', 'Ouvéa', 'yes', 'NWWV', 'UVE', '', ''),
	('NWWW', 'medium_airport', 'La Tontouta International Airport', -22.014601, 166.212997, 52, 'NC', 'NC-U-A', 'Nouméa (La Tontouta)', 'yes', 'NWWW', 'NOU', '', 'Aéroport de Nouméa - La Tontouta'),
	('NWWM', 'medium_airport', 'Nouméa Magenta Airport', -22.25812, 166.472783, 10, 'NC', 'NC-U-A', 'Nouméa', 'yes', 'NWWM', 'GEA', '', 'l''Aéroport de Nouméa Magenta'),
	('NWWR', 'medium_airport', 'Maré Airport', -21.481700897216797, 168.03799438476563, 141, 'NC', 'NC-U-A', 'Maré', 'yes', 'NWWR', 'MEE', '', ''),
	('NWWO', 'closed', 'Île Ouen/Edmond Cané Airport', -22.460295, 166.782718, 7, 'NC', 'NC-U-A', 'Ouara', 'no', '', '', '', 'NWWO, NWWO, IOU'),
	('NWWH', 'small_airport', 'Nesson Airport', -21.257288, 165.61821, 10, 'NC', 'NC-U-A', 'Houailou', 'no', 'NWWH', 'HLU', '', ''),
	('NWWX', 'N/A', 'N/A', -21.52027789503336, 165.97166687250137, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NWBO', 'N/A', 'N/A', -22.041734866797924, 166.03186905384064, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NVVF', 'small_airport', 'Futuna Airport', -19.516399383499998, 170.231994629, 95, 'VU', 'VU-TAE', 'Futuna Island', 'yes', 'NVVF', 'FTA', '', ''),
	('NVVK', 'small_airport', 'Lenakel Airport', -19.5161, 169.2625, 246, 'VU', 'VU-TAE', 'Lenakel', 'no', 'NVVK', '', '', ''),
	('NVIS', 'N/A', 'N/A', -18.738014437258244, 169.19099181890488, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NVVI', 'small_airport', 'Ipota Airport', -18.856389, 169.283333, 23, 'VU', 'VU-TAE', 'Ipota', 'yes', 'NVVI', 'IPA', '', ''),
	('NVVD', 'small_airport', 'Dillon''s Bay Airport', -18.7693996429, 169.00100708, 630, 'VU', 'VU-TAE', 'Dillon''s Bay', 'yes', 'NVVD', 'DLY', '', ''),
	('NVVW', 'medium_airport', 'Tanna Airport', -19.45509910583496, 169.2239990234375, 19, 'VU', 'VU-TAE', '', 'yes', 'NVVW', 'TAH', '', ''),
	('NVVB', 'small_airport', 'Aniwa Airport', -19.2346, 169.6009, 69, 'VU', 'VU-TAE', 'Aniwa', 'yes', 'NVVB', 'AWD', '', ''),
	('NVVA', 'small_airport', 'Aneityum Airport', -20.2492008209, 169.770996094, 7, 'VU', 'VU-TAE', 'Anatom Island', 'yes', 'NVVA', 'AUY', '', 'Anelghowhat Airport, Anatom Airport'),
	('NGTM', 'small_airport', 'Tamana Island Airport', -2.48583, 175.970001, 0, 'KI', 'KI-G', 'Tamana Island', 'no', 'NGTM', 'TMN', '', ''),
	('NGTO', 'small_airport', 'Nonouti Airport', -0.639722, 174.427994, 10, 'KI', 'KI-G', 'Nonouti', 'no', 'NGTO', 'NON', '', ''),
	('NGON', 'small_airport', 'Onotoa Airport', -1.79611, 175.526001, 7, 'KI', 'KI-G', 'Onotoa', 'no', 'NGON', 'OOT', '', ''),
	('NGTE', 'medium_airport', 'Tabiteuea North Airport', -1.22447, 174.776001, 7, 'KI', 'KI-G', '', 'no', 'NGTE', 'TBF', '', ''),
	('NGTS', 'small_airport', 'Tabiteuea South Airport', -1.47444, 175.063995, 0, 'KI', 'KI-G', 'Tabiteuea South', 'no', 'NGTS', 'TSU', '', ''),
	('NGBR', 'small_airport', 'Beru Airport', -1.35472, 176.007004, 6, 'KI', 'KI-G', 'Beru', 'no', 'NGBR', 'BEZ', '', ''),
	('NGNU', 'small_airport', 'Nikunau Airport', -1.31444001198, 176.410003662, 6, 'KI', 'KI-G', 'Nikunau', 'no', 'NGNU', 'NIG', '', ''),
	('NGTR', 'small_airport', 'Arorae Island Airport', -2.616233, 176.802209, 0, 'KI', 'KI-G', 'Arorae Island', 'no', 'NGTR', 'AIS', '', ''),
	('NGFU', 'medium_airport', 'Funafuti International Airport', -8.525, 179.195999, 9, 'TV', 'TV-FUN', 'Funafuti', 'yes', 'NGFU', 'FUN', '', ''),
	('NFNR', 'small_airport', 'Rotuma Airport', -12.482500076293945, 177.0709991455078, 22, 'FJ', 'FJ-R', 'Rotuma', 'yes', 'NFNR', 'RTA', '', 'Elsee'),
	('NFNS', 'small_airport', 'Savusavu Airport', -16.803394, 179.340587, 17, 'FJ', 'FJ-N', 'Savusavu', 'yes', 'NFNS', 'SVU', '', ''),
	('NFSW', 'small_airport', 'Yasawa Island Airport', -16.7589, 177.544998, 29, 'FJ', 'FJ-W', 'Yasawa Island', 'yes', 'NFSW', 'YAS', '', ''),
	('NFNL', 'medium_airport', 'Labasa Airport', -16.4667, 179.339996, 44, 'FJ', 'FJ-N', 'Labasa', 'yes', 'NFNL', 'LBS', '', ''),
	('NFMA', 'small_airport', 'Mana Island Airport', -17.672844, 177.0985, 0, 'FJ', 'FJ-W', 'Mana Island', 'yes', 'NFMA', 'MNF', '', ''),
	('NFNO', 'small_airport', 'Koro Island Airport', -17.3458003998, 179.42199707, 358, 'FJ', 'FJ-E', 'Koro Island', 'yes', 'NFNO', 'KXF', '', ''),
	('NFVL', 'small_airport', 'Vatulele Airport', -18.512500762939453, 177.63900756835938, 36, 'FJ', 'FJ-W', 'Vatulele', 'no', 'NFVL', 'VTF', '', ''),
	('NFKD', 'small_airport', 'Vunisea Airport', -19.058099746699998, 178.156997681, 6, 'FJ', 'FJ-E', 'Vunisea', 'yes', 'NFKD', 'KDV', '', 'Kadavu Island'),
	('NFND', 'N/A', 'N/A', -18.255304656922817, 178.04916322231293, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NFCS', 'seaplane_base', 'Castaway Island Seaplane Base', -17.7358, 177.129, 0, 'FJ', 'FJ-W', 'Castaway Island', 'no', 'NFCS', 'CST', '', ''),
	('NFNV', 'closed', 'Vatukoula Airport', -17.499603, 177.863075, 156, 'FJ', 'FJ-W', 'Vatukoula', 'no', '', '', '', 'NFNV, NFNV, VAU'),
	('NFNA', 'medium_airport', 'Nausori International Airport', -18.04330062866211, 178.5590057373047, 17, 'FJ', 'FJ-C', 'Nausori', 'yes', 'NFNA', 'SUV', '', ''),
	('NFFA', 'small_airport', 'Ba Airport', -17.530799, 177.690506, 20, 'FJ', 'FJ-W', 'Ba', 'no', 'NFFA', '', '', 'BFJ'),
	('NFMO', 'small_airport', 'Moala Airport', -18.566699981699998, 179.951004028, 13, 'FJ', 'FJ-E', 'Moala', 'yes', 'NFMO', 'MFJ', '', ''),
	('BXL', 'seaplane_base', 'Blue Lagoon Seaplane Base', -16.943, 177.368, 0, 'FJ', 'FJ-W', 'Nanuya Lailai Island', 'no', '', 'BXL', '', ''),
	('NFFN', 'medium_airport', 'Nadi International Airport', -17.755399703979492, 177.4429931640625, 59, 'FJ', 'FJ-W', 'Nadi', 'yes', 'NFFN', 'NAN', '', ''),
	('NFNB', 'small_airport', 'Levuka Airfield', -17.7110996246, 178.759002686, 11, 'FJ', 'FJ-E', 'Bureta', 'yes', 'NFNB', 'LEV', '', ''),
	('NFNG', 'small_airport', 'Ngau Airport', -18.115600585899998, 179.339996338, 50, 'FJ', 'FJ-E', 'Ngau', 'yes', 'NFNG', 'NGI', '', ''),
	('NFRS', 'seaplane_base', 'Treasure Island Seaplane Base', -17.6554, 177.2654, 0, 'FJ', 'FJ-W', 'Treasure Island Resort', 'no', 'NFRS', '', '', ''),
	('NFFO', 'small_airport', 'Malolo Lailai Island Airport', -17.778448, 177.196996, 10, 'FJ', 'FJ-W', 'Malolo Lailai Island', 'yes', 'NFFO', 'PTF', '', ''),
	('YMTO', 'small_airport', 'Monto Airport', -24.892267, 151.101787, 757, 'AU', 'AU-QLD', '', 'no', 'YMTO', 'MNQ', '', ''),
	('YGKL', 'small_airport', 'Great Keppel Is Airport', -23.184575, 150.94164, 21, 'AU', 'AU-QLD', 'Great Keppel Island', 'no', 'YGKL', 'GKL', '', ''),
	('YTNG', 'medium_airport', 'Thangool Airport', -24.494863, 150.577967, 644, 'AU', 'AU-QLD', 'Biloela', 'yes', 'YTNG', 'THG', '', ''),
	('YPAN', 'N/A', 'N/A', -23.3206607401371, 150.36296501755714, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YURR', 'N/A', 'N/A', -24.95918031781912, 153.3149752020836, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBUB', 'N/A', 'N/A', -24.11287497729063, 152.7154701948166, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YEMP', 'small_airport', 'Emu Park Authorised Landing Area', -23.255188, 150.81439, 0, 'AU', 'AU-QLD', 'Emu Park', 'no', 'YEMP', '', '', ''),
	('YCDS', 'small_airport', 'Childers Airport', -25.2530800689, 152.335395813, 0, 'AU', 'AU-QLD', '', 'no', 'YCDS', '', '', ''),
	('YTDR', 'small_airport', 'Theodore Airport', -24.986796, 150.093076, 171, 'AU', 'AU-QLD', '', 'no', 'YTDR', 'TDR', '', ''),
	('YGLA', 'medium_airport', 'Gladstone Airport', -23.869763, 151.225439, 64, 'AU', 'AU-QLD', 'Gladstone', 'yes', 'YGLA', 'GLT', '4680', ''),
	('YSMK', 'N/A', 'N/A', -24.124940559267998, 150.44810995459557, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YPAC', 'small_airport', 'Pacific Haven Airport', -25.241123, 152.542849, 0, 'AU', 'AU-QLD', '', 'no', 'YPAC', '', '', ''),
	('YBRK', 'medium_airport', 'Rockhampton Airport', -23.380019, 150.475359, 34, 'AU', 'AU-QLD', 'Rockhampton', 'yes', 'YBRK', 'ROK', '', ''),
	('YHEW', 'small_airport', 'Hedlow Airport', -23.221954, 150.603139, 0, 'AU', 'AU-QLD', 'Mulara', 'no', 'YHEW', '', '', ''),
	('YMIO', 'N/A', 'N/A', -23.323888778686523, 150.69583341479301, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YAWT', 'small_airport', 'Agnes Water private Airport', -24.20224, 151.8925, 60, 'AU', 'AU-QLD', 'Agnes Water', 'no', 'YAWT', '', '', 'owner charges landing fees'),
	('YBUD', 'medium_airport', 'Bundaberg Airport', -24.905039, 152.322612, 107, 'AU', 'AU-QLD', 'Bundaberg', 'yes', 'YBUD', 'BDB', '', ''),
	('YMUA', 'small_airport', 'Monduran Airport', -24.881687, 151.914396, 0, 'AU', 'AU-QLD', '', 'no', 'YMUA', '', '', ''),
	('YSMH', 'N/A', 'N/A', -22.740904614329338, 150.65449833869934, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGLL', 'N/A', 'N/A', -23.81688516587019, 150.82002952694893, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMTN', 'N/A', 'N/A', -24.521234594285488, 150.01057773828506, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYT', 'N/A', 'N/A', -24.112885370850563, 152.71543622016907, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMLS', 'small_airport', 'Miles Airport', -26.806447, 150.168953, 304, 'AU', 'AU-QLD', '', 'no', 'YMLS', 'WLE', '', ''),
	('YTLI', 'N/A', 'N/A', -28.05494572967291, 151.93103849887848, 466, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YNAN', 'small_airport', 'Nanango Airport', -26.689222, 151.988425, 0, 'AU', 'AU-QLD', '', 'no', 'YNAN', '', '', ''),
	('YTGA', 'small_airport', 'Tangalooma Airport', -27.137693, 153.364141, 0, 'AU', 'AU-QLD', '', 'no', 'YTGA', 'TAN', '', 'Cowan Cowan'),
	('YCXA', 'small_airport', 'Cooloola Village Airpark', -25.977335, 153.003759, 9, 'AU', 'AU-QLD', '', 'no', 'YCXA', '', '', ''),
	('YNSH', 'small_airport', 'Noosa Airport', -26.423177, 153.064935, 1, 'AU', 'AU-QLD', '', 'no', 'YNSH', 'NSV', '', ''),
	('YCAT', 'N/A', 'N/A', -27.1018847823143, 152.8935295343399, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTWB', 'small_airport', 'Toowoomba Airport', -27.543365, 151.919112, 2086, 'AU', 'AU-QLD', 'Toowoomba', 'no', 'YTWB', 'TWB', '', ''),
	('YDAE', 'N/A', 'N/A', -27.219219356775284, 151.49482369422913, 377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YADR', 'small_airport', 'Aldersyde Airstrip', -26.663222, 150.194392, 1001, 'AU', 'AU-QLD', 'Miles', 'no', 'YADR', '', '', ''),
	('YZCE', 'small_airport', 'Churchable Airstrip', -27.429915, 152.378454, 0, 'AU', 'AU-QLD', 'Churchable', 'no', 'YZCE', '', '', ''),
	('YDAC', 'N/A', 'N/A', -27.1939804404974, 151.11618876457214, 333, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBOA', 'small_airport', 'Boonah Airport', -28.017458, 152.676459, 318, 'AU', 'AU-QLD', '', 'no', 'YBOA', '', '', ''),
	('YGAA', 'N/A', 'N/A', -25.360975228250027, 151.1089262366295, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LYN', 'N/A', 'N/A', -27.474460378289223, 152.40474209189415, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCAU', 'N/A', 'N/A', -27.0472277328372, 153.05138736963272, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YRED', 'small_airport', 'Redcliffe Airport', -27.205605, 153.068712, 2, 'AU', 'AU-QLD', 'Redcliffe', 'no', 'YRED', '', '', ''),
	('YWEI', 'N/A', 'N/A', -27.345683835446835, 153.42564895749092, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YWYR', 'N/A', 'N/A', -27.667499966919422, 151.85444444417953, 533, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBBN', 'large_airport', 'Brisbane International Airport', -27.384199142456055, 153.11700439453125, 13, 'AU', 'AU-QLD', 'Brisbane', 'yes', 'YBBN', 'BNE', '', ''),
	('YAMB', 'medium_airport', 'RAAF Base Amberley', -27.640976, 152.713688, 91, 'AU', 'AU-QLD', '', 'no', 'YAMB', '', '', ''),
	('YKBN', 'small_airport', 'Kooralbyn Airport', -28.089331, 152.846544, 94, 'AU', 'AU-QLD', '', 'no', 'YKBN', '', '', ''),
	('YURA', 'N/A', 'N/A', -25.330977402627468, 153.0654153227806, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDAY', 'small_airport', 'Dalby Airport', -27.158476, 151.263428, 1137, 'AU', 'AU-QLD', '', 'no', 'YDAY', 'DBY', '', ''),
	('YBIN', 'small_airport', 'Biggenden Airport', -25.521259, 152.046329, 0, 'AU', 'AU-QLD', '', 'no', 'YBIN', '', '', ''),
	('YBOK', 'medium_airport', 'Oakey Army Aviation Centre', -27.409262, 151.736727, 1335, 'AU', 'AU-QLD', '', 'yes', 'YBOK', 'OKY', '', 'Swartz Barracks'),
	('YDAD', 'N/A', 'N/A', -27.049537785351276, 151.27565503120422, 364, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGAY', 'small_airport', 'Gayndah Airport', -25.615939, 151.62055, 369, 'AU', 'AU-QLD', 'Gayndah', 'no', 'YGAY', 'GAH', '', ''),
	('YDUN', 'small_airport', 'Dunwich Airport', -27.519005, 153.427618, 260, 'AU', 'AU-QLD', 'North Stradbroke Island', 'no', 'YDUN', 'SRR', '', 'Straddie'),
	('YOAK', 'N/A', 'N/A', -27.350263372063637, 151.51592954993248, 369, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCAB', 'small_airport', 'Caboolture Airport', -27.076027, 152.987376, 12, 'AU', 'AU-QLD', 'Caboolture', 'no', 'YCAB', '', '', ''),
	('YSPT', 'small_airport', 'Southport Airport', -27.921848, 153.371469, 2, 'AU', 'AU-QLD', '', 'no', 'YSPT', 'SHQ', '', ''),
	('YWWS', 'N/A', 'N/A', -28.01549781113863, 153.06890800595284, 97, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGAS', 'small_airport', 'Gatton Airpark', -27.589508, 152.257032, 460, 'AU', 'AU-QLD', 'Gatton', 'no', 'YGAS', '', '', ''),
	('YCCA', 'medium_airport', 'Chinchilla Airport', -26.771947, 150.617571, 1028, 'AU', 'AU-QLD', 'Chinchilla', 'no', 'YCCA', 'CCL', '', ''),
	('YPWH', 'small_airport', 'Pittsworth Airport', -27.733721, 151.632365, 1690, 'AU', 'AU-QLD', 'Pittsworth', 'no', 'YPWH', '', '', ''),
	('YLAP', 'N/A', 'N/A', -28.022971786558628, 150.02885788679123, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YTLH', 'N/A', 'N/A', -27.07153558731079, 152.38262593746185, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BDF', 'N/A', 'N/A', -27.41858661174774, 152.4013727903366, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YAUB', 'N/A', 'N/A', -25.944716781377792, 150.6106562912464, 298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGYM', 'small_airport', 'Gympie Airport', -26.290149, 152.702998, 260, 'AU', 'AU-QLD', '', 'no', 'YGYM', 'GYP', '', ''),
	('YMDA', 'small_airport', 'Mundubbera Airport', -25.591699600219727, 151.31700134277344, 122, 'AU', 'AU-QLD', '', 'no', 'YMDA', '', '', ''),
	('YBAF', 'small_airport', 'Brisbane Archerfield Airport', -27.572351, 153.004167, 63, 'AU', 'AU-QLD', 'Brisbane', 'no', 'YBAF', '', '', 'RAAF Station Archerfield, ACF'),
	('YB1', 'N/A', 'N/A', -27.433265671133995, 152.41211280226707, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKCY', 'N/A', 'N/A', -26.971230693161488, 152.56647884845734, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCFN', 'small_airport', 'Clifton Airport', -27.927507, 151.848178, 1450, 'AU', 'AU-QLD', '', 'no', 'YCFN', '', '', ''),
	('YMMN', 'small_airport', 'Millmerran Airport', -27.860097, 151.271996, 1312, 'AU', 'AU-QLD', 'Millmerran', 'no', 'YMMN', '', '', ''),
	('YRAI', 'N/A', 'N/A', -25.58866325765848, 153.06460976600647, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YHBA', 'medium_airport', 'Hervey Bay Airport', -25.320127, 152.880662, 60, 'AU', 'AU-QLD', 'Hervey Bay', 'yes', 'YHBA', 'HVB', '', ''),
	('YTAA', 'small_airport', 'Tara Airport', -27.163054, 150.476423, 360, 'AU', 'AU-QLD', '', 'no', 'YTAA', 'XTR', '', ''),
	('YWIN', 'N/A', 'N/A', -27.721148170530796, 152.64413014054298, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWOA', 'N/A', 'N/A', -26.974623687565327, 152.66724675893784, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMYB', 'small_airport', 'Maryborough Airport', -25.513528, 152.713603, 38, 'AU', 'AU-QLD', 'Maryborough', 'no', 'YMYB', 'MBH', '', ''),
	('YJBR', 'N/A', 'N/A', -26.959958374500275, 151.23616442084312, 381, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWSG', 'small_airport', 'Watts Bridge Airport', -27.09830093383789, 152.4600067138672, 61, 'AU', 'AU-QLD', '', 'no', 'YWSG', '', '', ''),
	('YCLS', 'N/A', 'N/A', -27.481539398431778, 151.3855916261673, 359, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWND', 'small_airport', 'Wondai Airport', -26.277392, 151.861673, 320, 'AU', 'AU-QLD', '', 'no', 'YWND', 'WDI', '', ''),
	('YCDR', 'small_airport', 'Caloundra Airport', -26.80336, 153.104975, 12, 'AU', 'AU-QLD', 'Caloundra', 'no', 'YCDR', 'CUD', '', ''),
	('YWOF', 'N/A', 'N/A', -27.097192592918873, 152.6034352183342, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOAA', 'N/A', 'N/A', -27.22918275743723, 151.61290481686592, 413, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YKRY', 'medium_airport', 'Kingaroy Airport', -26.581077, 151.839927, 1492, 'AU', 'AU-QLD', '', 'no', 'YKRY', 'KGY', '', ''),
	('YRBB', 'small_airport', 'Rainbow Beach Airport', -25.85211, 153.069248, 0, 'AU', 'AU-QLD', '', 'no', 'YRBB', '', '', ''),
	('YHEC', 'small_airport', 'Heck Field Airport', -27.7675, 153.339444, 0, 'AU', 'AU-QLD', '', 'no', 'YHEC', '', '', ''),
	('YBCM', 'small_airport', 'Coominya', -27.3907447666, 152.466545105, 340, 'AU', 'AU-QLD', '', 'no', 'YBCM', '', '', ''),
	('YFRH', 'N/A', 'N/A', -27.605055794119835, 152.37251043319702, 105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LGRS', 'small_airport', 'Logan Reserve Airport', -27.705986, 153.109996, 0, 'AU', 'AU-QLD', '', 'no', 'LGRS', '', 'LGRS', ''),
	('YLYD', 'small_airport', 'Lyndley Airport', -26.827307, 151.23009, 0, 'AU', 'AU-QLD', '', 'no', 'YLYD', '', '', ''),
	('YBWW', 'medium_airport', 'Toowoomba Wellcamp Airport', -27.558332, 151.793335, 1509, 'AU', 'AU-QLD', 'Toowoomba', 'yes', 'YBWW', 'WTB', '', 'Brisbane West Wellcamp'),
	('YBSU', 'medium_airport', 'Sunshine Coast Airport', -26.593324, 153.08319, 15, 'AU', 'AU-QLD', 'Maroochydore', 'yes', 'YBSU', 'MCY', '', 'YBMC');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YPLI', 'small_airport', 'Palmers Island/Yamba Airport', -29.445876, 153.270628, 0, 'AU', 'AU-NSW', '', 'no', 'YPLI', '', '', ''),
	('YASF', 'small_airport', 'Ashford Airport', -29.317096, 151.056207, 0, 'AU', 'AU-NSW', '', 'no', 'YASF', '', '', ''),
	('YSEW', 'N/A', 'N/A', -30.155641436576843, 153.16465750336647, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOAM', 'N/A', 'N/A', -30.57460382580757, 150.6613478064537, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCHB', 'small_airport', 'Cherrabah Airport', -28.4301, 152.08895, 2228, 'AU', 'AU-QLD', 'Cherrabah Homestead Resort', 'no', 'YCHB', 'CRH', '', ''),
	('YWVL', 'small_airport', 'Woodville Airport', -30.416099548339844, 151.7550048828125, 3707, 'AU', 'AU-NSW', '', 'no', 'YWVL', '', '', ''),
	('YCNX', 'small_airport', 'Cooranga Airport', -29.095166, 150.775822, 0, 'AU', 'AU-NSW', '', 'no', 'YCNX', '', '', ''),
	('YWRL', 'small_airport', 'Warialda Airport', -29.5362, 150.535955, 1140, 'AU', 'AU-NSW', '', 'no', 'YWRL', '', '', ''),
	('YKEL', 'small_airport', 'Kelvin Station Airport', -30.655000686645508, 151.63800048828125, 3383, 'AU', 'AU-NSW', '', 'no', 'YKEL', '', '', ''),
	('YUPH', 'small_airport', 'Upper Horton Wyl Airport', -30.1065, 150.40428, 1253, 'AU', 'AU-NSW', 'Upper Horton', 'no', 'YUPH', '', '', ''),
	('YWAF', 'N/A', 'N/A', -30.928542762994766, 150.8005155622959, 358, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCFS', 'medium_airport', 'Coffs Harbour Airport', -30.320601, 153.115997, 18, 'AU', 'AU-NSW', 'Coffs Harbour', 'yes', 'YCFS', 'CFS', '', 'RAAF Base Coffs Harbour'),
	('YBBA', 'small_airport', 'Barraba Airport', -30.393709, 150.597678, 0, 'AU', 'AU-NSW', '', 'no', 'YBBA', '', '', ''),
	('YBGY', 'small_airport', 'Biniguy Airport', -29.504999, 150.192001, 785, 'AU', 'AU-NSW', '', 'no', 'YBGY', '', '', ''),
	('YTEX', 'N/A', 'N/A', -28.834650814533234, 151.15260377526283, 300, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YBNA', 'medium_airport', 'Ballina Byron Gateway Airport', -28.833236, 153.561471, 7, 'AU', 'AU-NSW', 'Ballina', 'yes', 'YBNA', 'BNK', '', ''),
	('YBOB', 'N/A', 'N/A', -28.61727386713028, 150.33274859189987, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YCAS', 'small_airport', 'Casino Airport', -28.881304, 153.060724, 86, 'AU', 'AU-NSW', '', 'no', 'YCAS', 'CSI', '', ''),
	('YTYH', 'small_airport', 'Tyagarah Airport', -28.5946960394, 153.551101685, 0, 'AU', 'AU-NSW', '', 'no', 'YTYH', '', '', ''),
	('YGLI', 'medium_airport', 'Glen Innes Airport', -29.676029, 151.691156, 3433, 'AU', 'AU-NSW', 'Glen Innes', 'no', 'YGLI', 'GLI', '', ''),
	('YBCG', 'medium_airport', 'Gold Coast Airport', -28.165962, 153.506641, 21, 'AU', 'AU-QLD', 'Gold Coast', 'yes', 'YBCG', 'OOL', '', ''),
	('YTFD', 'small_airport', 'Tenterfield Airport', -28.99155, 151.930103, 2617, 'AU', 'AU-NSW', 'Tenterfield', 'no', 'YTFD', '', '', ''),
	('YSUN', 'N/A', 'N/A', -30.455194227397442, 150.98632603883743, 922, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YIVL', 'medium_airport', 'Inverell Airport', -29.888299942, 151.143997192, 2667, 'AU', 'AU-NSW', 'Inverell', 'no', 'YIVL', 'IVR', '', ''),
	('YSPE', 'small_airport', 'Stanthorpe Airport', -28.620113, 151.983281, 2938, 'AU', 'AU-QLD', '', 'no', 'YSPE', 'SNH', '', ''),
	('YSWK', 'small_airport', 'South West Rocks Airport', -30.9246, 153.0276, 7, 'AU', 'AU-NSW', 'South West Rocks', 'no', 'YSWK', '', 'YSWK', 'SWRK'),
	('YILW', 'small_airport', 'Inglewood Airport', -28.4188, 151.0955, 840, 'AU', 'AU-QLD', 'Inglewood', 'no', 'YILW', '', '', ''),
	('YNOB', 'N/A', 'N/A', -28.29584129154682, 153.32629099488258, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDNR', 'small_airport', 'Dunmore Manila Airport', -30.658100128173828, 150.875, 1391, 'AU', 'AU-NSW', '', 'no', 'YDNR', '', '', ''),
	('YMUR', 'small_airport', 'Murwillumbah Airport', -28.33169937133789, 153.41299438476563, 0, 'AU', 'AU-NSW', '', 'no', 'YMUR', '', '', ''),
	('YKEP', 'small_airport', 'Lake Keepit Airport', -30.8911034242, 150.526149273, 0, 'AU', 'AU-NSW', '', 'no', 'YKEP', '', '', ''),
	('YLIS', 'medium_airport', 'Lismore Airport', -28.830689, 153.258419, 35, 'AU', 'AU-NSW', 'Lismore', 'yes', 'YLIS', 'LSY', '', ''),
	('YARM', 'medium_airport', 'Armidale Airport', -30.528099060099997, 151.617004395, 3556, 'AU', 'AU-NSW', 'Armidale', 'yes', 'YARM', 'ARM', '', ''),
	('YEVD', 'small_airport', 'Evans Head Aerodrome', -29.101786, 153.419255, 20, 'AU', 'AU-NSW', '', 'no', 'YEVD', 'EVH', '', 'RAAF Base Evans Head'),
	('YBOG', 'small_airport', 'Boggabri Airport', -30.716699600219727, 150.0500030517578, 0, 'AU', 'AU-NSW', '', 'no', 'YBOG', '', '', ''),
	('YBIA', 'small_airport', 'Bingara Airport', -29.815165, 150.534351, 970, 'AU', 'AU-NSW', '', 'no', 'YBIA', '', '', ''),
	('YBLS', 'N/A', 'N/A', -30.46111587435007, 150.6440806388855, 539, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWYL', 'N/A', 'N/A', -28.76061648130417, 151.03739216923714, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YINO', 'small_airport', 'Inverell North Airport', -29.773774, 151.165974, 0, 'AU', 'AU-NSW', '', 'no', 'YINO', '', '', ''),
	('YORU', 'N/A', 'N/A', -28.618479520082474, 151.12248346209526, 304, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YGDI', 'small_airport', 'Goondiwindi Airport', -28.5214, 150.320007, 714, 'AU', 'AU-QLD', '', 'no', 'YGDI', 'GOO', '', ''),
	('YPRD', 'N/A', 'N/A', -29.877792075276375, 151.48104518651962, 894, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWCK', 'small_airport', 'Warwick Airport', -28.149401, 151.942993, 1500, 'AU', 'AU-QLD', '', 'no', 'YWCK', 'WAZ', '', ''),
	('YSGR', 'small_airport', 'South Grafton Airport', -29.70829963684082, 152.92799377441406, 6, 'AU', 'AU-NSW', '', 'no', 'YSGR', '', '', ''),
	('YGFN', 'medium_airport', 'Clarence Valley Regional Airport', -29.754795, 153.031234, 110, 'AU', 'AU-NSW', 'Grafton', 'no', 'YGFN', 'GFN', '', ''),
	('YBYL', 'small_airport', 'Baryulgil Airstrip', -29.21829, 152.61611, 422, 'AU', 'AU-NSW', 'Baryulgil', 'no', 'YBYL', '', '', ''),
	('YMND', 'small_airport', 'Maitland Airport', -32.701265, 151.492912, 85, 'AU', 'AU-NSW', '', 'no', 'YMND', 'MTL', '', ''),
	('YQDI', 'small_airport', 'Quirindi Airport', -31.498177, 150.521708, 1054, 'AU', 'AU-NSW', '', 'no', 'YQDI', 'UIR', '', ''),
	('YKAT', 'small_airport', 'Katoomba Airport', -33.668301, 150.322998, 1000, 'AU', 'AU-NSW', '', 'no', 'YKAT', '', '', ''),
	('YWOM', 'small_airport', 'Woolomin Airport', -31.316699981689453, 151.13299560546875, 0, 'AU', 'AU-NSW', '', 'no', 'YWOM', '', '', ''),
	('YGGO', 'small_airport', 'Goonoo Goonoo Airport', -31.298701, 150.920613, 0, 'AU', 'AU-NSW', '', 'no', 'YGGO', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('YEES', 'small_airport', 'Elderslie Airport', -32.599700927734375, 151.33999633789063, 112, 'AU', 'AU-NSW', '', 'no', 'YEES', '', '', ''),
	('YSTW', 'medium_airport', 'Tamworth Airport', -31.077898, 150.845484, 1334, 'AU', 'AU-NSW', 'Tamworth', 'yes', 'YSTW', 'TMW', '', ''),
	('YWCH', 'small_airport', 'Walcha Airport', -31.009492, 151.547442, 0, 'AU', 'AU-NSW', '', 'no', 'YWCH', 'WLC', '', ''),
	('YLMQ', 'small_airport', 'Lake Macquarie Airport', -33.065975, 151.646283, 5, 'AU', 'AU-NSW', 'City of Lake Macquarie', 'no', 'YLMQ', 'BEO', '', 'YPEC, Belmont, Pelican'),
	('YMVM', 'small_airport', 'Mangrove Mountain Airport', -33.285122, 151.212738, 920, 'AU', 'AU-NSW', 'Mangrove Mountain', 'no', 'YMVM', '', '', 'gliding'),
	('YCHY', 'N/A', 'N/A', -32.42525026202202, 150.08045062422752, 291, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWVA', 'small_airport', 'Warnervale Airport', -33.240278, 151.429722, 25, 'AU', 'AU-NSW', 'Warnervale', 'no', 'YWVA', '', '', ''),
	('YSCO', 'small_airport', 'Scone Airport', -32.038012, 150.831966, 745, 'AU', 'AU-NSW', '', 'no', 'YSCO', 'NSO', '', ''),
	('YWLM', 'medium_airport', 'Newcastle Airport', -32.79499816894531, 151.83399963378906, 31, 'AU', 'AU-NSW', 'Williamtown', 'yes', 'YWLM', 'NTL', '', 'RAAF Base Williamtown'),
	('YRAO', 'N/A', 'N/A', -32.75577653199434, 151.61494329571724, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YMUU', 'N/A', 'N/A', -31.974155344069004, 150.81113398075104, 281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YDFD', 'small_airport', 'Dexfield Park', -31.42166667, 152.75833333, 30, 'AU', 'AU-NSW', 'Wauchope', 'no', 'YDFD', '', '', ''),
	('YDOC', 'small_airport', 'Dochra Airfield', -32.650065, 151.209003, 185, 'AU', 'AU-NSW', 'Singleton', 'no', 'YDOC', '', '', 'military'),
	('YGDH', 'medium_airport', 'Gunnedah Airport', -30.957511, 150.248981, 863, 'AU', 'AU-NSW', '', 'no', 'YGDH', 'GUH', '', ''),
	('YFST', 'small_airport', 'Forster (Wallis Is) Airport', -32.202489, 152.481136, 4, 'AU', 'AU-NSW', '', 'no', 'YFST', 'FOT', '', ''),
	('YCNK', 'small_airport', 'Cessnock Airport', -32.787498, 151.341995, 210, 'AU', 'AU-NSW', '', 'no', 'YCNK', 'CES', '', ''),
	('YCMH', 'small_airport', 'Camden Haven Airport', -31.665000915527344, 152.74200439453125, 2, 'AU', 'AU-NSW', '', 'no', 'YCMH', '', '', ''),
	('YTRE', 'medium_airport', 'Taree Airport', -31.888599, 152.514008, 38, 'AU', 'AU-NSW', 'Taree', 'yes', 'YTRE', 'TRO', '', ''),
	('YELR', 'closed', 'Elderslie Airport', -15.7, 145.1, 0, 'AU', 'AU-QLD', '', 'no', '', '', '', 'YELR, YELR'),
	('YSGT', 'small_airport', 'Singleton Airport', -32.600832, 151.193056, 46, 'AU', 'AU-NSW', 'Singleton', 'no', 'YSGT', 'SIX', '', ''),
	('YSMB', 'small_airport', 'Somersby Airstrip', -33.367681, 151.299806, 860, 'AU', 'AU-NSW', 'Gosford', 'no', 'YSMB', 'GOS', 'YSMB', ''),
	('YLKS', 'small_airport', 'The Lakes Aerodrome', -31.714851, 152.724287, 7, 'AU', 'AU-NSW', '', 'no', 'YLKS', '', '', ''),
	('YOBR', 'small_airport', 'Old Bar Heritage Airport', -31.9653, 152.591003, 10, 'AU', 'AU-NSW', '', 'no', 'YOBR', '', '', ''),
	('YWKW', 'small_airport', 'Warkworth Airport', -32.548161, 151.024274, 0, 'AU', 'AU-NSW', 'Warkworth', 'no', 'YWKW', '', '', ''),
	('YGCR', 'small_airport', 'Gloucester Airport', -32.053261, 151.97613, 0, 'AU', 'AU-NSW', '', 'no', 'YGCR', '', '', ''),
	('YSRI', 'medium_airport', 'RAAF Base Richmond', -33.604652, 150.783051, 67, 'AU', 'AU-NSW', 'Richmond', 'no', 'YSRI', 'XRH', '', 'military'),
	('YWBH', 'small_airport', 'Wallabadah Airport', -31.57658, 150.934081, 0, 'AU', 'AU-NSW', '', 'no', 'YWBH', '', '', ''),
	('YKMP', 'medium_airport', 'Kempsey Airport', -31.07232, 152.765313, 54, 'AU', 'AU-NSW', '', 'no', 'YKMP', 'KPS', '', ''),
	('YPMQ', 'medium_airport', 'Port Macquarie Airport', -31.4358005524, 152.863006592, 12, 'AU', 'AU-NSW', 'Port Macquarie', 'yes', 'YPMQ', 'PQQ', '', ''),
	('YWBN', 'small_airport', 'Wedderburn Aerodrome', -34.181346, 150.808854, 850, 'AU', 'AU-NSW', 'Wedderburn', 'no', 'YWBN', '', '', ''),
	('YMRY', 'medium_airport', 'Moruya Airport', -35.8978004456, 150.143997192, 14, 'AU', 'AU-NSW', 'Moruya', 'yes', 'YMRY', 'MYA', '', 'RAAF Moruya'),
	('YSBK', 'medium_airport', 'Sydney Bankstown Airport', -33.923618, 150.990792, 29, 'AU', 'AU-NSW', 'Sydney', 'no', 'YSBK', 'BWU', '', ''),
	('YBEY', 'N/A', 'N/A', -34.81539521366358, 150.66097766160965, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSHW', 'small_airport', 'Holsworthy (Military) Airport', -33.995575, 150.951962, 76, 'AU', 'AU-NSW', 'Luscombe', 'no', 'YSHW', '', '', ''),
	('YSHL', 'medium_airport', 'Shellharbour Airport', -34.5611, 150.789001, 31, 'AU', 'AU-NSW', 'Albion Park Rail', 'yes', 'YSHL', 'WOL', '', 'YWOL, RAAF Albion Park, Illawarra Regional Airport, Albion Park Aerodrome, Wollongong Airport'),
	('YKIS', 'N/A', 'N/A', -33.83182346820831, 150.74584230780602, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YSCN', 'medium_airport', 'Camden Airport', -34.038338, 150.686406, 230, 'AU', 'AU-NSW', 'Cobbitty', 'no', 'YSCN', 'CDU', '', ''),
	('YMIG', 'small_airport', 'Mittagong Airport', -34.450184, 150.497411, 0, 'AU', 'AU-NSW', 'Mittagong', 'no', 'YMIG', '', '', 'Mittgong'),
	('YRBN', 'small_airport', 'Robertson Airstrip', -34.6449, 150.6421, 1860, 'AU', 'AU-NSW', 'Carrington Falls', 'no', 'YRBN', '', 'YRBN', ''),
	('RSE', 'seaplane_base', 'Rose Bay Seaplane Base', -33.869, 151.262, 0, 'AU', 'AU-NSW', 'Sydney', 'no', 'YRAY', 'RSE', '', ''),
	('YSNW', 'medium_airport', 'Naval Air Station Nowra - HMAS Albatross', -34.9466, 150.542451, 400, 'AU', 'AU-NSW', 'Nowra Hill', 'no', 'YSNW', 'NOA', '', ''),
	('YWLX', 'N/A', 'N/A', -33.87604504823685, 150.66021770238876, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YWIO', 'small_airport', 'Wilton Airport', -34.21999, 150.67076, 0, 'AU', 'AU-NSW', 'Wilton', 'no', 'YWIO', '', '', ''),
	('YJBY', 'small_airport', 'Jervis Bay Airport', -35.147202, 150.697006, 200, 'AU', 'AU-ACT', 'Jervis Bay Territory', 'no', 'YJBY', '', '', 'RAAF Jervis Bay'),
	('YSSY', 'large_airport', 'Sydney Kingsford Smith International Airport', -33.94609832763672, 151.177001953125, 21, 'AU', 'AU-NSW', 'Sydney', 'yes', 'YSSY', 'SYD', '', 'RAAF Station Mascot'),
	('YCAW', 'N/A', 'N/A', -34.83114715665579, 150.57897582650185, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('YOAS', 'small_airport', 'The Oaks Airport', -34.084097, 150.559602, 909, 'AU', 'AU-NSW', 'The Oaks', 'no', 'YOAS', '', '', ''),
	('YLHI', 'small_airport', 'Lord Howe Island Airport', -31.538204, 159.07546, 5, 'AU', 'AU-NSW', 'Lord Howe Island', 'yes', 'YLHI', 'LDH', '', ''),
	('NWWE', 'medium_airport', 'Île des Pins Airport', -22.588899612426758, 167.45599365234375, 315, 'NC', 'NC-U-A', 'Île des Pins', 'yes', 'NWWE', 'ILP', '', ''),
	('YSNF', 'medium_airport', 'Norfolk Island International Airport', -29.041887, 167.939616, 371, 'NF', 'NF-U-A', 'Burnt Pine', 'yes', 'YSNF', 'NLK', '', ''),
	('NZQU', 'N/A', 'N/A', -44.294444248080254, 168.11522394418716, -3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NZMF', 'small_airport', 'Milford Sound Airport', -44.673302, 167.923004, 10, 'NZ', 'NZ-STL', '', 'no', 'NZMF', 'MFN', '', ''),
	('NZQE', 'N/A', 'N/A', -44.18500006198883, 168.19199994206429, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZMJ', 'small_airport', 'Martins Bay Aerodrome', -44.365971, 168.016255, 348, 'NZ', 'NZ-STL', 'Jamestown', 'no', 'NZMJ', '', '', ''),
	('NZ17', 'N/A', 'N/A', -43.997403010725975, 168.66154789924622, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZGY', 'small_airport', 'Glenorchy Airport', -44.871700286865234, 168.3979949951172, 1260, 'NZ', 'NZ-OTA', '', 'no', 'NZGY', '', '', ''),
	('NZWS', 'medium_airport', 'Westport Airport', -41.737111, 171.579033, 13, 'NZ', 'NZ-WTC', 'Westport', 'yes', 'NZWS', 'WSZ', '', ''),
	('NZKM', 'small_airport', 'Karamea Airport', -41.236698, 172.104996, 30, 'NZ', 'NZ-WTC', '', 'no', 'NZKM', '', '', ''),
	('NZMR', 'small_airport', 'Murchison Airport', -41.79669952392578, 172.31500244140625, 531, 'NZ', 'NZ-TAS', 'Murchison', 'no', 'NZMR', '', '', ''),
	('NZFO', 'N/A', 'N/A', -43.461269326508045, 170.01743227243423, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZHT', 'small_airport', 'Haast Aerodrome', -43.865299, 169.041, 13, 'NZ', 'NZ-WTC', 'Haast', 'no', 'NZHT', '', '', ''),
	('NZWA', 'N/A', 'N/A', -44.6608742326498, 169.23957958817482, 322, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZDR', 'N/A', 'N/A', -43.5259497910738, 171.95213109254837, 197, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZHO', 'N/A', 'N/A', -43.221175745129585, 170.163846462965, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZOF', 'small_airport', 'Omaha Flats Airport', -36.346792, 174.75894, 15, 'NZ', 'NZ-AUK', '', 'no', 'NZOF', '', '', ''),
	('NZFJ', 'small_airport', 'Franz Josef Aerodrome', -43.36309814453125, 170.13400268554688, 240, 'NZ', 'NZ-WTC', '', 'no', 'NZFJ', 'WHO', '', ''),
	('NZGM', 'small_airport', 'Greymouth Airport', -42.4617, 171.190002, 10, 'NZ', 'NZ-WTC', '', 'no', 'NZGM', 'GMN', '', ''),
	('NZPH', 'small_airport', 'Pudding Hill Aerodrome', -43.594200134277344, 171.531005859375, 1558, 'NZ', 'NZ-CAN', '', 'no', 'NZPH', '', '', ''),
	('NZRI', 'small_airport', 'Rangitata Island Airport', -44.084999084472656, 171.41600036621094, 288, 'NZ', 'NZ-CAN', 'Rangitata Island', 'no', 'NZRI', '', '', ''),
	('NZOU', 'medium_airport', 'Oamaru Airport', -44.970001220703125, 171.08200073242188, 99, 'NZ', 'NZ-OTA', '', 'yes', 'NZOU', 'OAM', '', ''),
	('NZLA', 'N/A', 'N/A', -43.234104327857494, 172.49131008982658, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZSF', 'N/A', 'N/A', -43.38369883596897, 171.91160693764687, 365, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZTU', 'medium_airport', 'Timaru Airport', -44.302799224853516, 171.22500610351563, 89, 'NZ', 'NZ-CAN', '', 'yes', 'NZTU', 'TIU', '', ''),
	('NZRB', 'N/A', 'N/A', -43.682148568332195, 172.15177237987518, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZMC', 'medium_airport', 'Mount Cook Airport', -43.764999, 170.132996, 2153, 'NZ', 'NZ-CAN', '', 'no', 'NZMC', 'MON', '', ''),
	('NZWL', 'small_airport', 'West Melton Aerodrome', -43.4767, 172.397003, 312, 'NZ', 'NZ-CAN', '', 'no', 'NZWL', '', '', ''),
	('NZWF', 'medium_airport', 'Wanaka Airport', -44.722954, 169.248419, 1142, 'NZ', 'NZ-OTA', 'Wanaka', 'yes', 'NZWF', 'WKA', '', 'Luggate Airport'),
	('NZUK', 'medium_airport', 'Pukaki Airport', -44.2350006104, 170.117996216, 1575, 'NZ', 'NZ-CAN', 'Twitzel', 'no', 'NZUK', 'TWZ', '', ''),
	('NZHK', 'medium_airport', 'Hokitika Airfield', -42.713600158691406, 170.98500061035156, 146, 'NZ', 'NZ-WTC', '', 'yes', 'NZHK', 'HKK', '', ''),
	('NZFF', 'small_airport', 'Forest Field Aerodrome', -43.385799407958984, 172.36099243164063, 381, 'NZ', 'NZ-CAN', '', 'no', 'NZFF', '', '', ''),
	('NZMH', 'heliport', 'Wairarapa Hospital Heliport', -40.9474983215332, 175.6750030517578, 367, 'NZ', 'NZ-WGN', 'Masterton', 'no', 'NZMH', '', '', ''),
	('NZTL', 'small_airport', 'Tekapo Aerodrome', -44.005299, 170.444, 2496, 'NZ', 'NZ-CAN', '', 'no', 'NZTL', '', '', ''),
	('NZAS', 'small_airport', 'Ashburton Aerodrome', -43.90330123901367, 171.7969970703125, 302, 'NZ', 'NZ-CAN', '', 'no', 'NZAS', 'ASG', '', ''),
	('NZWC', 'N/A', 'N/A', -44.43827502429485, 169.3898494541645, 385, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZMV', 'N/A', 'N/A', -43.57647858560085, 171.17053180933, 621, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZHP', 'N/A', 'N/A', -42.60083746165037, 171.6990315914154, 211, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZGT', 'medium_airport', 'Glentanner Airport', -43.906700134277344, 170.1280059814453, 1824, 'NZ', 'NZ-CAN', 'Glentanner Station', 'no', 'NZGT', 'GTN', '', 'Lake Pukaki'),
	('NZCW', 'N/A', 'N/A', -44.9790858104825, 169.2175555229187, 316, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZMW', 'small_airport', 'Makarora Airstrip', -44.2317008972168, 169.22999572753906, 1142, 'NZ', 'NZ-OTA', '', 'no', 'NZMW', '', '', ''),
	('NZWM', 'small_airport', 'Waimate Airport', -44.790343, 171.090087, 79, 'NZ', 'NZ-CAN', 'Waimate', 'no', 'NZWM', '', '', ''),
	('NZMN', 'N/A', 'N/A', -43.277251683175564, 171.20750561356544, 537, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZPL', 'N/A', 'N/A', -43.64147957414389, 170.90326488018036, 483, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZOA', 'small_airport', 'Omarama Glider Airport', -44.486698150634766, 169.98599243164063, 1381, 'NZ', 'NZ-CAN', '', 'no', 'NZOA', '', '', ''),
	('NZKK', 'medium_airport', 'Kerikeri Airport', -35.259148, 173.913317, 492, 'NZ', 'NZ-NTL', 'Kerikeri', 'yes', 'NZKK', 'KKE', '', 'Bay of Islands Airport'),
	('NZGB', 'small_airport', 'Great Barrier Aerodrome', -36.24140167236328, 175.4720001220703, 20, 'NZ', 'NZ-AUK', 'Claris', 'no', 'NZGB', 'GBZ', '', ''),
	('NZRW', 'small_airport', 'Ruawai Aerodrome', -36.097198486328125, 173.9770050048828, 62, 'NZ', 'NZ-NTL', '', 'no', 'NZRW', '', '', ''),
	('NZSL', 'small_airport', 'Springhill Airport', -36.32360076904297, 174.55599975585938, 102, 'NZ', 'NZ-AUK', '', 'no', 'NZSL', '', '', ''),
	('NZOX', 'small_airport', 'Okiwi Station Airport', -36.1464, 175.419006, 10, 'NZ', 'NZ-AUK', '', 'no', 'NZOX', '', '', ''),
	('NZKO', 'small_airport', 'Kaikohe Airport', -35.451099, 173.817001, 571, 'NZ', 'NZ-NTL', 'Kaikohe', 'no', 'NZKO', 'KKO', '', ''),
	('NZDA', 'small_airport', 'Dargaville Aerodrome', -35.939701080322266, 173.8939971923828, 10, 'NZ', 'NZ-NTL', '', 'no', 'NZDA', 'DGR', '', ''),
	('NZWQ', 'small_airport', 'Waitiki Aerodrome', -34.52782, 172.83805, 190, 'NZ', 'NZ-NTL', 'Te Kao', 'no', 'NZWQ', '', '', ''),
	('NZWR', 'medium_airport', 'Whangarei Airport', -35.769253, 174.363713, 133, 'NZ', 'NZ-NTL', 'Whangarei', 'yes', 'NZWR', 'WRE', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NZKF', 'small_airport', 'Kaipara Flats Airport', -36.40639877319336, 174.58700561523438, 112, 'NZ', 'NZ-AUK', '', 'no', 'NZKF', '', '', ''),
	('NZKD', 'small_airport', 'Motu Kaikoura Island Aerodrome', -36.1781005859375, 175.32400512695313, 400, 'NZ', 'NZ-AUK', 'Kaikoura Island', 'no', 'NZKD', '', '', ''),
	('NZKT', 'medium_airport', 'Kaitaia Airport', -35.069837, 173.287053, 270, 'NZ', 'NZ-NTL', 'Awanui', 'yes', 'NZKT', 'KAT', '', ''),
	('NZRR', 'small_airport', 'Ruatoria Airfield', -37.882951, 178.289723, 250, 'NZ', 'NZ-GIS', '', 'no', 'NZRR', '', '', ''),
	('NZWP', 'medium_airport', 'RNZAF Base Auckland-Whenuapai', -36.78779983520508, 174.6300048828125, 100, 'NZ', 'NZ-AUK', '', 'no', 'NZWP', '', '', ''),
	('NZSD', 'small_airport', 'Stratford Airport', -39.31890106201172, 174.30999755859375, 951, 'NZ', 'NZ-TKI', 'Stratford', 'no', 'NZSD', '', '', ''),
	('NZKC', 'small_airport', 'Kelly Field', -37.256099700927734, 175.07200622558594, 52, 'NZ', 'NZ-WKO', '', 'no', 'NZKC', '', '', ''),
	('NZWT', 'small_airport', 'Whitianga Airport', -36.828731, 175.682802, 10, 'NZ', 'NZ-WKO', 'Whitianga', 'no', 'NZWT', 'WTZ', '', ''),
	('NZTG', 'medium_airport', 'Tauranga Airport', -37.67190170288086, 176.1959991455078, 13, 'NZ', 'NZ-BOP', 'Tauranga', 'yes', 'NZTG', 'TRG', '', ''),
	('NZME', 'small_airport', 'Mercer1 PDZ Airport', -37.2575, 175.115005, 30, 'NZ', 'NZ-WKO', '', 'no', 'NZME', '', '', ''),
	('NZAA', 'large_airport', 'Auckland International Airport', -37.01199, 174.786331, 23, 'NZ', 'NZ-AUK', 'Auckland', 'yes', 'NZAA', 'AKL', '', ''),
	('NZWV', 'small_airport', 'Waihi Beach Airport', -37.43, 175.951996, 3, 'NZ', 'NZ-BOP', '', 'no', 'NZWV', '', '', ''),
	('NZRA', 'small_airport', 'Raglan Aerodrome', -37.804699, 174.860001, 10, 'NZ', 'NZ-WKO', 'Raglan', 'no', 'NZRA', 'RAG', '', ''),
	('NZAR', 'medium_airport', 'Ardmore Airport', -37.029701232910156, 174.97300720214844, 111, 'NZ', 'NZ-AUK', 'Manurewa', 'no', 'NZAR', 'AMZ', '', ''),
	('NZCX', 'small_airport', 'Coromandel Aerodrome', -36.79169845581055, 175.50900268554688, 10, 'NZ', 'NZ-WKO', '', 'no', 'NZCX', 'CMV', '', ''),
	('NZKE', 'small_airport', 'Waiheke Reeve Airport', -36.808899, 175.085999, 226, 'NZ', 'NZ-AUK', '', 'no', 'NZKE', 'WIK', '', ''),
	('NZMZ', 'small_airport', 'Matakana Island Airport', -37.599998474121094, 176.08299255371094, 95, 'NZ', 'NZ-BOP', 'Matakana Island', 'no', 'NZMZ', '', '', ''),
	('NZTT', 'small_airport', 'Te Kuiti Aerodrome', -38.30351, 175.147805, 161, 'NZ', 'NZ-WKO', 'Te Kuiti', 'no', 'NZTT', '', '', ''),
	('NZTA', 'small_airport', 'Te Aroha Airfield', -37.474700927734375, 175.6179962158203, 30, 'NZ', 'NZ-WKO', '', 'no', 'NZTA', '', '', ''),
	('NZMA', 'small_airport', 'Matamata Glider Airport', -37.734402, 175.742004, 180, 'NZ', 'NZ-WKO', '', 'no', 'NZMA', 'MTA', '', ''),
	('NZHN', 'medium_airport', 'Hamilton International Airport', -37.8666992188, 175.332000732, 172, 'NZ', 'NZ-WKO', 'Hamilton', 'yes', 'NZHN', 'HLZ', '', ''),
	('NZPI', 'small_airport', 'Parakai Aerodrome', -36.651901, 174.436005, 49, 'NZ', 'NZ-AUK', '', 'no', 'NZPI', '', '', ''),
	('NZAP', 'medium_airport', 'Taupo Airport', -38.73970031738281, 176.08399963378906, 1335, 'NZ', 'NZ-WKO', 'Taupo', 'yes', 'NZAP', 'TUO', '', ''),
	('NZNP', 'medium_airport', 'New Plymouth Airport', -39.00859832763672, 174.1790008544922, 97, 'NZ', 'NZ-TKI', 'New Plymouth', 'yes', 'NZNP', 'NPL', '', ''),
	('NZNF', 'small_airport', 'Norfolk Airport', -39.205122, 174.222565, 875, 'NZ', 'NZ-TKI', 'Inglewood', 'no', 'NZNF', '', '', ''),
	('NZTH', 'small_airport', 'Thames Aerodrome', -37.1567, 175.550003, 10, 'NZ', 'NZ-WKO', '', 'no', 'NZTH', 'TMZ', '', ''),
	('NZCG', 'small_airport', 'Centennial Park Aerodrome', -38.665278, 176.134722, 1506, 'NZ', 'NZ-WKO', 'Taupo', 'no', 'NZCG', '', '', ''),
	('NZUN', 'small_airport', 'Pauanui Aerodrome', -37.021068, 175.863626, 20, 'NZ', 'NZ-WKO', 'Pauanui', 'no', 'NZUN', '', '', ''),
	('NZDY', 'small_airport', 'Drury Airfield', -37.09639, 174.975281, 100, 'NZ', 'NZ-AUK', '', 'no', 'NZDY', '', '', ''),
	('NZNE', 'small_airport', 'North Shore Aerodrome', -36.656700134277344, 174.65499877929688, 210, 'NZ', 'NZ-AUK', 'Dairy Flat', 'no', 'NZNE', '', '', 'Dairy Flat Airfield'),
	('NZES', 'small_airport', 'Wharepapa South Airport', -38.14830017089844, 175.5500030517578, 443, 'NZ', 'NZ-WKO', '', 'no', 'NZES', '', '', ''),
	('NZTS', 'small_airport', 'Taharoa Aerodrome', -38.18109893798828, 174.70799255371094, 69, 'NZ', 'NZ-WKO', 'Taharoa', 'no', 'NZTS', 'THH', '', ''),
	('NZTE', 'small_airport', 'Te Kowhai Airfield', -37.744202, 175.160995, 49, 'NZ', 'NZ-WKO', 'Te Kowhai', 'no', 'NZTE', '', '', ''),
	('NZLD', 'small_airport', 'Limestone Downs Airport', -37.47999954223633, 174.7449951171875, 596, 'NZ', 'NZ-WKO', 'Limestone Downs', 'no', 'NZLD', '', '', ''),
	('NZTO', 'small_airport', 'Tokoroa Airfield', -38.236698, 175.891998, 1220, 'NZ', 'NZ-WKO', 'Tokoroa', 'no', 'NZTO', 'TKZ', '', ''),
	('NZGR', 'small_airport', 'Great Mercury Airport', -36.593635, 175.764598, 180, 'NZ', 'NZ-WKO', 'Great Mercury Island / Ahuahu', 'no', 'NZGR', '', '', ''),
	('NZPR', 'N/A', 'N/A', -36.574314795434475, 174.3704031407833, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZTN', 'small_airport', 'Turangi Airport', -38.968299865722656, 175.81399536132813, 1220, 'NZ', 'NZ-WKO', '', 'no', 'NZTN', '', '', ''),
	('NZTM', 'small_airport', 'Taumarunui Airport', -38.83940124511719, 175.26199340820313, 902, 'NZ', 'NZ-MWT', '', 'no', 'NZTM', '', '', ''),
	('NZMK', 'small_airport', 'Motueka Airport', -41.123299, 172.988998, 39, 'NZ', 'NZ-TAS', '', 'no', 'NZMK', 'MZP', '', ''),
	('NZWU', 'medium_airport', 'Wanganui Airport', -39.96220016479492, 175.02499389648438, 27, 'NZ', 'NZ-MWT', 'Wanganui', 'yes', 'NZWU', 'WAG', '', ''),
	('NZCL', 'N/A', 'N/A', -41.45580243319273, 174.01435643434525, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZPN', 'small_airport', 'Picton Aerodrome', -41.346099853516, 173.95599365234, 161, 'NZ', 'NZ-MBH', 'Koromiko', 'yes', 'NZPN', 'PCN', '', ''),
	('NZFL', 'N/A', 'N/A', -39.895633198320866, 175.6532523036003, 252, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZOT', 'small_airport', 'Otaki Airport', -40.785582, 175.1513, 114, 'NZ', 'NZ-WGN', 'Otaki', 'yes', 'NZOT', '', '', ''),
	('NZLE', 'small_airport', 'Lake Station Airport', -41.75920104980469, 172.74600219726563, 1709, 'NZ', 'NZ-TAS', '', 'no', 'NZLE', '', '', ''),
	('NZPM', 'medium_airport', 'Palmerston North Airport', -40.320599, 175.617004, 151, 'NZ', 'NZ-MWT', 'Palmerston North', 'yes', 'NZPM', 'PMR', '', ''),
	('NZKP', 'N/A', 'N/A', -40.5605424195528, 175.33542931079865, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZWB', 'medium_airport', 'Woodbourne Airport', -41.5182991027832, 173.8699951171875, 109, 'NZ', 'NZ-MBH', 'Blenheim', 'yes', 'NZWB', 'BHE', '', ''),
	('NZHA', 'small_airport', 'Hawera Airport', -39.55329895019531, 174.26699829101563, 371, 'NZ', 'NZ-TKI', 'Hawera', 'no', 'NZHA', '', '', ''),
	('NZSO', 'seaplane_base', 'Marlborough Sounds Water Aerodrome', -41.0088996887207, 174.08900451660156, 0, 'NZ', 'NZ-MBH', 'Malborough Sounds', 'no', 'NZSO', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NZML', 'small_airport', 'Molesworth Airport', -42.08300018310547, 173.2830047607422, 2813, 'NZ', 'NZ-MBH', 'Molesworth', 'no', 'NZML', '', '', ''),
	('NZOM', 'small_airport', 'Omaka Blenheim Airport', -41.540001, 173.921997, 102, 'NZ', 'NZ-MBH', 'Blenheim', 'no', 'NZOM', '', '', ''),
	('NZFI', 'small_airport', 'Feilding Airport', -40.25579833984375, 175.60499572753906, 214, 'NZ', 'NZ-MWT', 'Feilding', 'no', 'NZFI', '', '', ''),
	('NZRU', 'small_airport', 'Waiouru Airport', -39.4463996887207, 175.6580047607422, 2686, 'NZ', 'NZ-MWT', '', 'no', 'NZRU', '', '', ''),
	('NZFT', 'small_airport', 'Flat Point Aerodrome', -41.243385, 175.960228, 46, 'NZ', 'NZ-WGN', 'Flat Point', 'no', 'NZFT', '', '', ''),
	('NZPW', 'small_airport', 'Papawai Airfield', -41.104009, 175.500326, 128, 'NZ', 'NZ-WGN', 'Papawai', 'no', 'NZPW', '', '', ''),
	('NZOH', 'medium_airport', 'RNZAF Base Ohakea', -40.20600128173828, 175.38800048828125, 164, 'NZ', 'NZ-MWT', '', 'no', 'NZOH', 'OHA', '', ''),
	('NZVR', 'small_airport', 'Taihape Airport', -39.685001373291016, 175.78900146484375, 1550, 'NZ', 'NZ-MWT', 'Taihape', 'no', 'NZVR', '', '', ''),
	('NZPP', 'medium_airport', 'Paraparaumu Airport', -40.904701232910156, 174.98899841308594, 22, 'NZ', 'NZ-WGN', '', 'no', 'NZPP', 'PPQ', '', ''),
	('NZMS', 'medium_airport', 'Hood Airport', -40.974634, 175.63454, 364, 'NZ', 'NZ-WGN', 'Masterton', 'no', 'NZMS', 'MRO', '', ''),
	('NZAN', 'small_airport', 'Alfredton Airport', -40.69810104370117, 175.8560028076172, 500, 'NZ', 'NZ-MWT', 'Alfredton', 'no', 'NZAN', '', '', ''),
	('NZMT', 'small_airport', 'Martinborough Airport', -41.21419906616211, 175.48599243164063, 0, 'NZ', 'NZ-WGN', 'Martinborough', 'no', 'NZMT', '', '', ''),
	('NZWN', 'large_airport', 'Wellington International Airport', -41.3272018433, 174.804992676, 41, 'NZ', 'NZ-WGN', 'Wellington', 'yes', 'NZWN', 'WLG', '', ''),
	('NZTB', 'N/A', 'N/A', -40.86293701082468, 173.03616374731064, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZNS', 'medium_airport', 'Nelson Airport', -41.298302, 173.220993, 17, 'NZ', 'NZ-NSN', 'Nelson', 'yes', 'NZNS', 'NSN', '', ''),
	('NZFP', 'small_airport', 'Foxpine Aerodrome', -40.45669937133789, 175.27000427246094, 39, 'NZ', 'NZ-MWT', '', 'no', 'NZFP', '', '', ''),
	('NZDV', 'small_airport', 'Dannevirke Aerodrome', -40.22829818725586, 176.07899475097656, 640, 'NZ', 'NZ-MWT', '', 'no', 'NZDV', '', '', ''),
	('NZTK', 'small_airport', 'Takaka Airport', -40.813301, 172.774994, 102, 'NZ', 'NZ-TAS', '', 'no', 'NZTK', 'KTF', '', ''),
	('NZBL', 'N/A', 'N/A', -41.74409329891205, 174.273122549057, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZHR', 'small_airport', 'Hanmer Springs Airport', -42.55080032348633, 172.82699584960938, 1109, 'NZ', 'NZ-CAN', '', 'no', 'NZHR', '', '', ''),
	('NZFE', 'N/A', 'N/A', -43.317467384040356, 172.51120805740356, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZKI', 'small_airport', 'Kaikoura Airport', -42.424999, 173.604996, 20, 'NZ', 'NZ-CAN', '', 'no', 'NZKI', 'KBZ', '', ''),
	('NZCH', 'large_airport', 'Christchurch International Airport', -43.48939895629883, 172.53199768066406, 123, 'NZ', 'NZ-CAN', 'Christchurch', 'yes', 'NZCH', 'CHC', '', ''),
	('NZRT', 'small_airport', 'Rangiora Airfield', -43.290001, 172.542007, 180, 'NZ', 'NZ-CAN', 'Rangiora', 'no', 'NZRT', '', '', ''),
	('NZLI', 'N/A', 'N/A', -43.6393877863884, 172.5272060930729, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZAM', 'N/A', 'N/A', -42.76623152196407, 172.89337813854218, 183, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZWK', 'medium_airport', 'Whakatane Airport', -37.92060089111328, 176.91400146484375, 20, 'NZ', 'NZ-BOP', '', 'yes', 'NZWK', 'WHK', '', ''),
	('NZOP', 'small_airport', 'Opotiki Airport', -38.022499084472656, 177.3070068359375, 30, 'NZ', 'NZ-BOP', '', 'no', 'NZOP', '', '', ''),
	('NZGS', 'medium_airport', 'Gisborne Airport', -38.6633, 177.977997, 15, 'NZ', 'NZ-GIS', 'Gisborne', 'yes', 'NZGS', 'GIS', '', ''),
	('NZWO', 'medium_airport', 'Wairoa Airport', -39.012118, 177.404395, 42, 'NZ', 'NZ-HKB', 'Wairoa', 'no', 'NZWO', 'WIR', '', ''),
	('NZRK', 'small_airport', 'Rangitaiki Airfield', -38.88639831542969, 176.36399841308594, 2323, 'NZ', 'NZ-BOP', '', 'no', 'NZRK', '', '', ''),
	('NZRL', 'seaplane_base', 'Rotorua Lakes Water Aerodrome', -38.08330154418945, 176.26699829101563, 0, 'NZ', 'NZ-BOP', 'Lake Rotorua', 'no', 'NZRL', '', '', ''),
	('NZOI', 'small_airport', 'Motiti Island Airport', -37.632999420166016, 176.41700744628906, 135, 'NZ', 'NZ-BOP', 'Motiti Island', 'no', 'NZOI', '', '', ''),
	('NZRO', 'medium_airport', 'Rotorua Regional Airport', -38.1092, 176.317001, 935, 'NZ', 'NZ-BOP', 'Rotorua', 'yes', 'NZRO', 'ROT', '', ''),
	('NZAE', 'small_airport', 'Mount Tarawera Airport', -38.233001708984375, 176.51699829101563, 3100, 'NZ', 'NZ-BOP', 'Mount Tarawera', 'no', 'NZAE', '', '', ''),
	('NZGA', 'small_airport', 'Galatea Airfield', -38.4039, 176.744003, 594, 'NZ', 'NZ-BOP', '', 'no', 'NZGA', '', '', ''),
	('NZKY', 'small_airport', 'Kowhai Aerodrome', -39.8461, 176.423004, 840, 'NZ', 'NZ-HKB', 'Kowhai', 'no', 'NZKY', '', '', ''),
	('NZYP', 'small_airport', 'Waipukurau Airport', -39.996700286865234, 176.53700256347656, 430, 'NZ', 'NZ-HKB', '', 'no', 'NZYP', '', '', ''),
	('NZHS', 'small_airport', 'Hastings Aerodrome', -39.646702, 176.766998, 72, 'NZ', 'NZ-HKB', 'Bridge Pa', 'no', 'NZHS', '', '', ''),
	('NZPO', 'small_airport', 'Pōrangahau Aerodrome', -40.279264, 176.6502, 200, 'NZ', 'NZ-HKB', 'Pōrangahau', 'no', 'NZPO', '', '', ''),
	('NZNR', 'medium_airport', 'Hawke''s Bay Airport', -39.465801, 176.869995, 6, 'NZ', 'NZ-HKB', 'Napier', 'yes', 'NZNR', 'NPE', '', ''),
	('NZQT', 'N/A', 'N/A', -45.08364334702492, 168.7460920214653, 360, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZCB', 'small_airport', 'Centre Bush Aerodrome', -46.040000915527344, 168.31199645996094, 255, 'NZ', 'NZ-STL', 'Centre Bush', 'no', 'NZCB', '', '', ''),
	('NZRC', 'small_airport', 'Ryan''s Creek Aerodrome', -46.8997, 168.100998, 62, 'NZ', 'NZ-STL', 'Oban', 'no', 'NZRC', 'SZS', '', 'stewart island,rakiura'),
	('NZMO', 'medium_airport', 'Manapouri Airport', -45.5331, 167.649994, 687, 'NZ', 'NZ-STL', '', 'no', 'NZMO', 'TEU', '', ''),
	('NZTZ', 'closed', 'Te Anau Airport', -45.462799, 167.701004, 791, 'NZ', 'NZ-STL', '', 'no', '', '', '', 'NZTZ'),
	('NZQN', 'medium_airport', 'Queenstown International Airport', -45.021099, 168.738998, 1171, 'NZ', 'NZ-OTA', 'Queenstown', 'yes', 'NZQN', 'ZQN', '', ''),
	('NZNV', 'medium_airport', 'Invercargill Airport', -46.41239929199219, 168.31300354003906, 5, 'NZ', 'NZ-STL', 'Invercargill', 'yes', 'NZNV', 'IVC', '', ''),
	('NZRV', 'N/A', 'N/A', -46.454872749745846, 167.84938663244247, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NZRX', 'small_airport', 'Roxburgh Aerodrome', -45.51169967651367, 169.31700134277344, 463, 'NZ', 'NZ-OTA', '', 'no', 'NZRX', '', '', ''),
	('NZCS', 'small_airport', 'Cromwell Racecourse Aerodrome', -45.04859924316406, 169.17100524902344, 856, 'NZ', 'NZ-OTA', '', 'no', 'NZCS', '', '', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NZVL', 'small_airport', 'Mandeville Aerodrome', -45.990299, 168.811996, 351, 'NZ', 'NZ-STL', '', 'no', 'NZVL', '', '', ''),
	('NZGC', 'small_airport', 'Gore3 Airport', -46.1567, 168.897995, 200, 'NZ', 'NZ-STL', '', 'no', 'NZGC', '', '', ''),
	('NZOR', 'heliport', 'Oamaru Hospital Heliport', -45.099344, 170.967479, 13, 'NZ', 'NZ-OTA', 'Oamaru', 'no', 'NZOR', '', '', ''),
	('NZTI', 'small_airport', 'Taieri Airport', -45.860001, 170.358002, 92, 'NZ', 'NZ-OTA', '', 'no', 'NZTI', '', '', ''),
	('NZLX', 'medium_airport', 'Alexandra Aerodrome', -45.210495, 169.371113, 752, 'NZ', 'NZ-OTA', 'Alexandra', 'no', 'NZLX', 'ALR', '', ''),
	('NZBA', 'small_airport', 'Balclutha Aerodrome', -46.245459, 169.74864, 22, 'NZ', 'NZ-OTA', 'Balclutha', 'no', 'NZBA', '', '', ''),
	('NZDN', 'medium_airport', 'Dunedin International Airport', -45.928101, 170.197998, 4, 'NZ', 'NZ-OTA', 'Dunedin', 'yes', 'NZDN', 'DUD', '', ''),
	('NZWD', 'medium_airport', 'Williams Field Skiway', -77.867401, 167.057007, 68, 'AQ', 'AQ-U-A', 'McMurdo Station', 'no', 'NZWD', '', '', 'Willies Field'),
	('NZIR', 'closed', 'McMurdo Station Ice Runway', -77.854391, 166.464387, 1, 'AQ', 'AQ-U-A', 'McMurdo Station', 'no', '', '', '', 'NZIR, NZIR'),
	('ND223', 'N/A', 'N/A', 60.435414500534534, 22.228281497955322, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND222', 'N/A', 'N/A', 57.70579978823662, 11.987025439739227, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO28', 'N/A', 'N/A', 59.32953838258982, 18.069893270730972, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND224', 'N/A', 'N/A', 55.48780135810375, 8.41115266084671, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND21', 'heliport', 'Standing Rock Hospital Heliport', 46.095475, -100.627486, 1637, 'US', 'US-ND', 'Fort Yates', 'no', 'ND21', '', 'ND21', ''),
	('NO80', 'N/A', 'N/A', 55.17611961811781, 10.491735935211182, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO90', 'N/A', 'N/A', 64.12905503064394, -21.917313784360886, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO81', 'N/A', 'N/A', 60.46347510069609, 17.415324300527573, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO88', 'N/A', 'N/A', 61.29809573292732, 7.3227109014987946, 121, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO85', 'N/A', 'N/A', 60.39769325405359, 5.323922485113144, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO84', 'N/A', 'N/A', 59.579968862235546, 9.175668060779572, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO82', 'N/A', 'N/A', 60.452481396496296, 22.278471440076828, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('N079', 'N/A', 'N/A', 56.132455207407475, 10.196824818849564, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO71', 'N/A', 'N/A', 59.32149410247803, 17.88575515151024, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO00', 'N/A', 'N/A', 59.927678033709526, 10.69890484213829, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO86', 'N/A', 'N/A', 56.03184454143047, 14.15284976363182, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO78', 'N/A', 'N/A', 59.91824872791767, 10.804681777954102, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO74', 'N/A', 'N/A', 56.691256910562515, 16.314948946237564, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO98', 'N/A', 'N/A', 67.8520204871893, 20.231571793556213, 548, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO89', 'N/A', 'N/A', 63.42690031975508, 10.397156774997711, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND31', 'N/A', 'N/A', 55.68572524935007, 12.577425688505173, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO22', 'N/A', 'N/A', 63.794698901474476, 19.347884953022003, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO41', 'N/A', 'N/A', 63.01678720861673, 7.3543381690979, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NOD7', 'N/A', 'N/A', 64.1418843716383, -21.926784217357635, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO55', 'N/A', 'N/A', 60.18694169819355, 24.927216321229935, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO16', 'N/A', 'N/A', 60.36697290837765, 5.357439815998077, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO94', 'N/A', 'N/A', 57.73440856486559, 12.934885919094086, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO95', 'N/A', 'N/A', 56.16114445030689, 15.588106960058212, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO29', 'N/A', 'N/A', 60.21194189786911, 20.24231493473053, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NORD9', 'N/A', 'N/A', 60.145176351070404, 24.983514547348022, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO13', 'N/A', 'N/A', 55.68399991840124, 12.59321004152298, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO19', 'N/A', 'N/A', 58.914604000747204, 5.73102593421936, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NOD2', 'N/A', 'N/A', 69.64797366410494, 18.98746445775032, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND13', 'N/A', 'N/A', 55.642541348934174, 12.080291211605072, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND27', 'heliport', 'St Aloisius Medical Center Heliport', 47.76689910888672, -99.931396484375, 1595, 'US', 'US-ND', 'Harvey', 'no', 'ND27', '', 'ND27', ''),
	('NOD1', 'N/A', 'N/A', 55.73067303746939, 9.114895910024643, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO32', 'N/A', 'N/A', 60.4002158716321, 6.2609414756298065, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO83', 'N/A', 'N/A', 59.916695058345795, 10.72804793715477, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO27', 'N/A', 'N/A', 55.58362830430269, 12.987802773714066, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO52', 'N/A', 'N/A', 60.47865942120552, 6.830050349235535, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO35', 'N/A', 'N/A', 55.6132885068655, 12.976387292146683, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND06', 'N/A', 'N/A', 55.93411523848772, 12.300026714801788, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NO61', 'N/A', 'N/A', 63.41233592480421, 10.4044908285141, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO23', 'N/A', 'N/A', 58.15367069095373, 8.029057681560516, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO96', 'N/A', 'N/A', 66.0380582883954, 12.720348984003067, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO26', 'N/A', 'N/A', 55.70272911339998, 12.572353184223175, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO58', 'N/A', 'N/A', 62.25007206201553, 25.18401101231575, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO38', 'N/A', 'N/A', 61.86402942985296, 28.901107013225555, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND17', 'N/A', 'N/A', 55.609387904405594, 12.730357199907303, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO97U', 'N/A', 'N/A', 58.32481641322374, 11.845469176769257, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ND15', 'N/A', 'N/A', 59.96371887624264, 10.668721050024033, 331, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO21', 'N/A', 'N/A', 59.90747295320034, 10.753355026245117, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NO53', 'N/A', 'N/A', 59.949192367494106, 10.734265297651291, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ADPE', 'N/A', 'N/A', 49.60864093154669, 6.126836836338043, 261, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLAI', 'small_airport', 'Slai Airstrip', -4.0322, 143.1831, 77, 'PG', 'PG-ESW', 'Slai', 'no', 'AYLZ', '', 'SLAI', ''),
	('PYLA', 'N/A', 'N/A', 44.589154310524464, -1.2147590517997742, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AANM', 'N/A', 'N/A', 51.22858285903931, 4.404841214418411, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ABBA', 'N/A', 'N/A', 46.56437091529369, 0.8655859529972076, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RYAA', 'N/A', 'N/A', 52.37320013344288, 4.891369789838791, -4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VIMY', 'N/A', 'N/A', 50.37957485765219, 2.773890048265457, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CCNE', 'N/A', 'N/A', 43.2068021222949, 2.36409991979599, 144, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DIJK', 'N/A', 'N/A', 52.69081391394138, 5.295434296131134, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNAU', 'N/A', 'N/A', 48.40210385620594, 2.699873149394989, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('COTR', 'N/A', 'N/A', 49.62350908666849, 6.153008937835693, 331, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ARC1', 'N/A', 'N/A', 48.87380015105009, 2.2950379550457, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FNSI', 'N/A', 'N/A', 15.875249840319157, -61.58231198787689, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('WMIL', 'N/A', 'N/A', 51.88016586005688, 4.6447281539440155, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DJMA', 'N/A', 'N/A', 49.61692124605179, 6.1401017010211945, 314, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NDST', 'N/A', 'N/A', 44.85838405787945, 5.978499054908752, 1764, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CBRE', 'N/A', 'N/A', 4.938470162451267, -52.337417006492615, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PYBR', 'N/A', 'N/A', 52.37301204353571, 4.948893785476685, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VMTE', 'N/A', 'N/A', 48.56632813811302, 2.714073210954666, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('BEUJ', 'N/A', 'N/A', 47.256007343530655, -1.5247106552124023, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VIER', 'N/A', 'N/A', 45.76222714036703, 4.822782129049301, 290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TICE', 'N/A', 'N/A', 50.836769454181194, 4.351784437894821, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MLLU', 'N/A', 'N/A', 44.08458285033703, 3.0216649174690247, 342, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('QRIS', 'N/A', 'N/A', 42.836889289319515, 2.6217547059059143, 651, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('STVL', 'N/A', 'N/A', 43.269844092428684, 5.3958959877491, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRUY', 'N/A', 'N/A', 52.31424417346716, 4.9417756497859955, -3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ARCS', 'N/A', 'N/A', 47.03302323818207, 5.777678489685059, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRET', 'N/A', 'N/A', 45.18496613949537, 5.73541983962059, 215, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FRA01', 'N/A', 'N/A', 48.58201839029789, 7.751534879207611, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FRPO', 'N/A', 'N/A', 49.2082280293107, 5.423478931188583, 357, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ABBY', 'N/A', 'N/A', 47.46642094105482, 3.7486808001995087, 296, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('STBR', 'N/A', 'N/A', 51.481746174395084, -0.19103989005088806, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('MRGR', 'N/A', 'N/A', 51.482831463217735, -0.00522226095199585, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('STPL', 'N/A', 'N/A', 51.513738222420216, -0.0983467698097229, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HAMCP', 'N/A', 'N/A', 51.40263743698597, -0.3359869122505188, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('TTPBA', 'N/A', 'N/A', 54.584581553936005, -1.2280681729316711, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HILLS', 'N/A', 'N/A', 54.46126498281956, -6.085386425256729, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GLIA', 'N/A', 'N/A', 54.60894305258989, -5.899195969104767, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GFVDC', 'N/A', 'N/A', 56.87632463872433, -5.43128103017807, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SLND', 'N/A', 'N/A', 55.95211151987314, -3.1750693917274475, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('BIKM', 'N/A', 'N/A', 51.50186374783516, -0.14065638184547424, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RNBW', 'N/A', 'N/A', 35.63128028064966, 139.78212878108025, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KDMAX', 'N/A', 'N/A', 32.16703534126282, -110.88023498654366, 829, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KNOXF', 'N/A', 'N/A', 37.88325022906065, -85.96534833312035, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('JSCNS', 'N/A', 'N/A', 29.551388695836067, -95.09786993265152, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KSCPS', 'N/A', 'N/A', 28.522204980254173, -80.68096026778221, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA3', 'N/A', 'N/A', 35.65145183354616, -118.47770243883133, 776, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA4', 'N/A', 'N/A', 35.9444198012352, -118.47880527377129, 1111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA2', 'N/A', 'N/A', 39.38577979803085, -117.09083899855614, 2549, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAC6', 'N/A', 'N/A', 38.894918113946915, -79.76086914539337, 804, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAC5', 'N/A', 'N/A', 38.77826079726219, -79.38670992851257, 600, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USAC8', 'N/A', 'N/A', 39.20269053429365, -117.08109900355339, 1859, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USC07', 'N/A', 'N/A', 38.866332806646824, -79.57800194621086, 1260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USC01', 'N/A', 'N/A', 63.60054451972246, -147.55389109253883, 1296, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USC02', 'N/A', 'N/A', 63.58543932437897, -147.7768211066723, 1036, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LR00', 'N/A', 'N/A', 46.353115774691105, -122.06505194306374, 1000, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LIBH', 'heliport', 'Marina di Ginosa Heliport', 40.424107, 16.887501, 26, 'IT', 'IT-75', 'Marina di Ginosa', 'no', 'LIBH', '', '', ''),
	('VVBF', 'N/A', 'N/A', 10.771528109908104, 106.70454919338226, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLT', 'heliport', 'Ascot Racecourse Heliport', 51.42639923095703, -0.6591669917106628, 220, 'GB', 'GB-ENG', 'Ascot Heath', 'no', 'EGLT', '', '', ''),
	('WMMT', 'N/A', 'N/A', 3.1160030141472816, 101.66598692536354, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('4CA1', 'heliport', 'City National Bank Heliport', 34.047704, -118.254116, 453, 'US', 'US-CA', 'Los Angeles', 'no', '4CA1', '', '4CA1', ''),
	('OBAR', 'N/A', 'N/A', 25.141022689640522, 55.185762494802475, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KWHH', 'N/A', 'N/A', 38.89712154865265, -77.03652262687683, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NK80', 'heliport', 'Rainbow Air Heliport', 43.08890151977539, -79.06230163574219, 583, 'US', 'US-NY', 'Niagara Falls', 'no', 'NK80', '', 'NK80', ''),
	('AT07', 'N/A', 'N/A', -68.4718169644475, 78.79293099045753, 1528, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('AYLK', 'N/A', 'N/A', -8.885294124484062, 147.7311860024929, 386, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EGLW', 'heliport', 'London Heliport', 51.46972274779999, -0.179444000125, 18, 'GB', 'GB-ENG', 'London', 'no', 'EGLW', '', '', ''),
	('FYVF', 'small_airport', 'Veronica Gliding Center', -23.433285, 18.269556, 4347, 'NA', 'NA-KH', 'Veronica', 'no', 'FYVF', '', '', 'Veronica Flying'),
	('HEGH', 'N/A', 'N/A', 29.97720245271921, 31.126152276992798, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('KCGX', 'closed', 'Chicago Meigs Airport', 41.85879898071289, -87.60790252685547, 593, 'US', 'US-IL', 'Chicago', 'no', '', '', '', 'Mayor Daley, KCGX, CGX'),
	('KJRB', 'N/A', 'N/A', 40.70160649716854, -74.00925502181053, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LFPI', 'heliport', 'Paris Issy-les-Moulineaux Heliport', 48.832987, 2.273043, 112, 'FR', 'FR-IDF', 'Issy-les-Moulineaux, Hauts-de-Seine', 'no', 'LFPI', '', '', 'JDP'),
	('NZFX', 'small_airport', 'Phoenix Airfield', -77.956389, 166.766667, 18, 'AQ', 'AQ-U-A', 'McMurdo Station', 'no', 'NZFX', '', '', ''),
	('PTNG', 'N/A', 'N/A', 5.783707313239574, 157.1671423316002, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('RJT1', 'small_airport', 'Honda Airport', 35.97633, 139.524125, 0, 'JP', 'JP-11', 'Kawajima', 'no', '', '', 'RJT1', 'rjt1, rjoj, honda, kawataya, kawajima, okegawa'),
	('RJTIH', 'N/A', 'N/A', 35.63599392771721, 139.83797639608383, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SMDH', 'N/A', 'N/A', -22.946692407131195, -43.198214918375015, 321, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('T004', 'N/A', 'N/A', -44.788981564342976, 167.75271579623222, 200, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VHHX', 'closed', 'Hong Kong International Airport Kai Tak', 22.320304, 114.198074, 28, 'HK', 'HK-KLN', 'Kowloon City', 'no', '', '', '', 'checkerboard, kowloon, Kaitak, RAF Kai Tak, HKG, VHHX'),
	('VOLC1', 'N/A', 'N/A', 48.83238449692726, 2.2737260162830353, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VOLC5', 'N/A', 'N/A', 48.88920944184065, 2.238953411579132, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VOLC2', 'N/A', 'N/A', 48.731932416558266, 2.3694969713687897, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VOLC3', 'N/A', 'N/A', 49.0151472017169, 2.562481015920639, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VOLC4', 'N/A', 'N/A', 48.94210260361433, 2.422395944595337, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAT99', 'N/A', 'N/A', 41.88982844352722, 12.49070629477501, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA5', 'N/A', 'N/A', 46.081395260989666, 13.199818432331085, 111, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA3', 'N/A', 'N/A', 45.48378702253103, 9.148152619600296, 132, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IPS29', 'N/A', 'N/A', 45.43532822281122, 10.968627780675888, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA10', 'N/A', 'N/A', 46.740023754537106, 11.959730833768845, 2257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IPS14', 'N/A', 'N/A', 41.89461249858141, 12.483102232217789, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA24', 'N/A', 'N/A', 43.07431239634752, 12.606597393751144, 375, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ITA11', 'N/A', 'N/A', 39.98782575130463, 15.720229893922806, 608, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IPS7', 'N/A', 'N/A', 46.34559117257595, 11.061333417892456, 528, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA27', 'N/A', 'N/A', 43.4411209076643, 13.60899567604065, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA20', 'N/A', 'N/A', 45.8147893846035, 9.075237214565277, 198, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IPS27', 'N/A', 'N/A', 38.906654454767704, 16.58464640378952, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA9', 'N/A', 'N/A', 46.892929784953594, 11.120664775371552, 2180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA7', 'N/A', 'N/A', 43.77279046922922, 11.256428360939026, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IPS88', 'N/A', 'N/A', 44.64615326374769, 10.925772786140442, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA26', 'N/A', 'N/A', 44.83761169016361, 11.619312465190887, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA0', 'N/A', 'N/A', 39.796588607132435, 18.368297070264816, 57, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA8', 'N/A', 'N/A', 45.76405607163906, 7.826609015464783, 1449, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IPS17', 'N/A', 'N/A', 41.933935694396496, 12.45477631688118, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA23', 'N/A', 'N/A', 46.48065783083439, 13.522413074970245, 1736, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA42', 'N/A', 'N/A', 42.084652706980705, 13.54525700211525, 854, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA1', 'N/A', 'N/A', 46.26739975064993, 12.3295359313488, 636, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA16', 'N/A', 'N/A', 39.596588015556335, 16.517096310853958, 239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA4', 'N/A', 'N/A', 43.55534244328737, 10.341783910989761, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA12', 'N/A', 'N/A', 45.73832932859659, 7.754306048154831, 1349, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IPS4', 'N/A', 'N/A', 45.736931562423706, 7.488884925842285, 542, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IPS21', 'N/A', 'N/A', 45.478123873472214, 9.12396177649498, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IPS23', 'N/A', 'N/A', 45.81898368895054, 9.065903574228287, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA21', 'N/A', 'N/A', 46.549736112356186, 11.562812626361847, 1114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA22', 'N/A', 'N/A', 41.08473625034094, 16.270997375249863, 536, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA18', 'N/A', 'N/A', 44.80322074145079, 10.331363081932068, 95, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA6', 'N/A', 'N/A', 40.93183424323797, 14.331581443548203, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA19', 'N/A', 'N/A', 41.89857680350542, 12.476812452077866, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA17', 'N/A', 'N/A', 35.90997654944658, 14.425869584083557, 109, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IPS20', 'N/A', 'N/A', 45.44965624809265, 12.305852472782135, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA91', 'N/A', 'N/A', 40.92055991292, 8.712847083806992, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA86', 'N/A', 'N/A', 42.214807234704494, 14.583897292613983, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA88', 'N/A', 'N/A', 44.40984830260277, 8.925504237413406, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA83', 'N/A', 'N/A', 45.66911727190018, 7.694370746612549, 610, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA87', 'N/A', 'N/A', 40.29978912323713, 8.505815863609314, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA85', 'N/A', 'N/A', 40.670678950846195, 8.68890792131424, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA82', 'N/A', 'N/A', 41.07536695897579, 14.3269944190979, 66, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA84', 'N/A', 'N/A', 45.94428140670061, 13.627827912569046, 138, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA74', 'N/A', 'N/A', 35.89487940073013, 14.415203779935837, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA77', 'N/A', 'N/A', 35.92207498848438, 14.492309242486954, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA78', 'N/A', 'N/A', 44.494274854660034, 11.346482187509537, 161, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA70', 'N/A', 'N/A', 42.32899256050587, 13.688886165618896, 1425, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA73', 'N/A', 'N/A', 46.79443068802357, 11.939113587141037, 880, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA79', 'N/A', 'N/A', 37.05342002213001, 15.295431911945343, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA72', 'N/A', 'N/A', 44.493516124784946, 11.343238055706024, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA80', 'N/A', 'N/A', 44.49228532612324, 11.310013085603714, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA71', 'N/A', 'N/A', 45.49812376499176, 12.419304549694061, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA76', 'N/A', 'N/A', 39.70594301819801, 8.991146385669708, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA48', 'N/A', 'N/A', 41.56362388283014, 14.655025005340576, 746, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITAP1', 'N/A', 'N/A', 43.72320648282766, 10.39408653974533, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('VAT01', 'N/A', 'N/A', 41.90218236297369, 12.454400360584259, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA97', 'N/A', 'N/A', 40.56225433945656, 8.163498044013977, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA96', 'N/A', 'N/A', 42.71702170372009, 12.113596200942993, 327, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('ITA93', 'N/A', 'N/A', 46.61531813442707, 12.302669137716293, 2368, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA99', 'N/A', 'N/A', 43.93557574599981, 12.449405640363693, 721, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA94', 'N/A', 'N/A', 38.9068515971303, 17.02160820364952, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA98', 'N/A', 'N/A', 45.608553662896156, 7.744211554527283, 448, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('ITA95', 'N/A', 'N/A', 35.90292904525995, 14.505246877670288, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA37', 'N/A', 'N/A', 38.624726459383965, -90.18568396568298, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA32', 'N/A', 'N/A', 34.51725695282221, -93.04617807269096, 317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA57', 'N/A', 'N/A', 38.708091862499714, -77.08636611700058, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA39', 'N/A', 'N/A', 38.66048835217953, -90.06210342049599, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA66', 'N/A', 'N/A', 41.44943956285715, -71.39936819672585, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA51', 'N/A', 'N/A', 40.06361894309521, -82.34639436006546, 282, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA53', 'N/A', 'N/A', 29.362407624721527, -98.47979709506035, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA34', 'N/A', 'N/A', 38.03559098392725, -78.50347995758057, 177, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA55', 'N/A', 'N/A', 35.250567868351936, -75.52888333797455, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA60', 'N/A', 'N/A', 33.34905467927456, -118.32571506500244, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA54', 'N/A', 'N/A', 47.01242621988058, -120.20170614123344, 1081, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA64', 'N/A', 'N/A', 35.68516183644533, -121.16774797439575, 480, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA52', 'N/A', 'N/A', 62.03927792608738, -150.0858262181282, 79, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA50', 'N/A', 'N/A', 38.9304630830884, -77.07045838236809, 118, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA38', 'N/A', 'N/A', 38.621651977300644, -84.59231525659561, 281, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA65', 'N/A', 'N/A', 25.982185900211334, -80.14055281877518, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA33', 'N/A', 'N/A', 41.76312357187271, -78.58882069587708, 552, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA56', 'N/A', 'N/A', 35.52117694169283, -111.372851729393, 1492, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA31', 'N/A', 'N/A', 41.32093023508787, -74.66170504689217, 549, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA35', 'N/A', 'N/A', 40.69321822375059, -74.26219940185547, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA59', 'N/A', 'N/A', 38.46114791929722, -105.3255370259285, 1929, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA69', 'N/A', 'N/A', 39.09071434289217, -94.42560866475105, 305, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA68', 'N/A', 'N/A', 34.6111211925745, -111.84238627552986, 967, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA07', 'N/A', 'N/A', 36.43910128623247, -105.54589882493019, 2170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA67', 'N/A', 'N/A', 47.20052517950535, -91.36715456843376, 220, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA81', 'N/A', 'N/A', 35.562822595238686, -83.49858105182648, 2025, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA80', 'N/A', 'N/A', 36.382248513400555, -94.20381903648376, 365, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA71', 'N/A', 'N/A', 46.00037544965744, -112.44647651910782, 2412, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA62', 'N/A', 'N/A', 42.88919538259506, -73.21557998657227, 263, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA73', 'N/A', 'N/A', 32.83182118088007, -84.85396921634674, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA70', 'N/A', 'N/A', 41.46980557590723, -71.2981966137886, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA72', 'N/A', 'N/A', 32.57856834679842, -110.8508849143982, 1175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA74', 'N/A', 'N/A', 42.570439986884594, -88.55625852942467, 319, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA61', 'N/A', 'N/A', 38.77208601683378, -104.86291900277138, 2311, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA5', 'N/A', 'N/A', 37.995729334652424, -123.02309095859528, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA36', 'N/A', 'N/A', 30.212652795016766, -88.97299870848656, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA42', 'N/A', 'N/A', 35.456534028053284, -97.51731991767883, 362, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA78', 'N/A', 'N/A', 38.06145787239075, -105.09427785873413, 2758, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA28', 'N/A', 'N/A', 18.344228267669678, -66.75273925065994, 409, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA45', 'N/A', 'N/A', 46.585797406733036, -112.0182953774929, 1258, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA46', 'N/A', 'N/A', 38.186966478824615, -84.87530261278152, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA77', 'N/A', 'N/A', 38.89044754207134, -77.06971764564514, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA27', 'N/A', 'N/A', 18.47061563283205, -66.12321764230728, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA20', 'N/A', 'N/A', 13.535050302743912, 144.8027604818344, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA48', 'N/A', 'N/A', 18.343961387872696, -64.92957964539528, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA43', 'N/A', 'N/A', 17.933609895408154, -67.1922867000103, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('USA44', 'N/A', 'N/A', 44.262572564184666, -72.58077666163445, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA47', 'N/A', 'N/A', 44.29134026169777, -68.69075372815132, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA41', 'N/A', 'N/A', 15.248762257397175, 145.7959681749344, 242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA40', 'N/A', 'N/A', 17.755967192351818, -64.56724718213081, 76, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA76', 'N/A', 'N/A', 33.671132661402225, -111.16234168410301, 571, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA05', 'N/A', 'N/A', 44.45971257984638, -110.83133831620216, 2239, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA06', 'N/A', 'N/A', 39.96558152139187, -75.18090695142746, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA08', 'N/A', 'N/A', 44.257454574108124, -71.4395110309124, 492, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA03', 'N/A', 'N/A', 36.05800833553076, -107.95996427536011, 1863, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA04', 'N/A', 'N/A', 38.607907332479954, -75.06342440843582, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA09', 'N/A', 'N/A', 47.957079112529755, -118.98343607783318, 294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA91', 'N/A', 'N/A', 38.910880610346794, -77.4431437253952, 90, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('USA01', 'N/A', 'N/A', 38.889354541897774, -77.0335279405117, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IBE17', 'N/A', 'N/A', 43.300185576081276, -2.2601035237312317, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IBE93', 'N/A', 'N/A', 40.20336505025625, -8.407561182975769, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IBE99', 'N/A', 'N/A', 42.28483870625496, -8.66066426038742, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IBE91', 'N/A', 'N/A', 41.44594196230173, -8.300875872373581, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IBE53', 'N/A', 'N/A', 42.340618930757046, -3.704652786254883, 879, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IBE61', 'N/A', 'N/A', 42.59951815009117, -5.566594898700714, 843, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA23', 'N/A', 'N/A', 39.40981339663267, -3.122607171535492, 757, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA27', 'N/A', 'N/A', 40.94789229333401, -4.117830544710159, 986, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT13', 'N/A', 'N/A', 40.96307158470154, -8.174815624952316, 336, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA16', 'N/A', 'N/A', 43.55731051415205, -5.9177979826927185, 27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA32', 'N/A', 'N/A', 43.55452436953783, -7.146061509847641, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT12', 'N/A', 'N/A', 39.42033536732197, -9.50907826423645, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA28', 'N/A', 'N/A', 43.386028334498405, -8.406472206115723, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IBE14', 'N/A', 'N/A', 41.36849485337734, 2.1900781989097595, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA8', 'N/A', 'N/A', 43.26642997562885, -2.9278233647346497, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA7', 'N/A', 'N/A', 41.211644634604454, -6.6860805451869965, 269, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA18', 'N/A', 'N/A', 37.41333693265915, -5.990258306264877, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT15', 'N/A', 'N/A', 40.32177250832319, -7.614080160856247, 1992, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT11', 'N/A', 'N/A', 41.1588242277503, -8.630768805742264, 84, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA4', 'N/A', 'N/A', 28.45617201179266, -16.251434236764908, 39, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA15', 'N/A', 'N/A', 39.85699363052845, -4.033924341201782, 473, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT8', 'N/A', 'N/A', 41.14172916859388, -8.58101338148117, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA10', 'N/A', 'N/A', 37.377274967730045, -5.986398607492447, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA24', 'N/A', 'N/A', 41.362772695720196, 2.165388911962509, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT6', 'N/A', 'N/A', 41.527443900704384, -8.622323423624039, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA11', 'N/A', 'N/A', 39.45819340646267, -0.3565424680709839, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT4', 'N/A', 'N/A', 38.198130168020725, -7.496940940618515, 123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT5', 'N/A', 'N/A', 38.774697817862034, -9.091468155384064, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT7', 'N/A', 'N/A', 38.763345032930374, -9.09277617931366, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA26', 'N/A', 'N/A', 37.87659030407667, -4.777807742357254, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT3', 'N/A', 'N/A', 41.55469447374344, -8.376895040273666, 406, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA3', 'N/A', 'N/A', 43.475692234933376, -3.795505464076996, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA21', 'N/A', 'N/A', 37.38579198718071, -5.993078202009201, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPN27', 'N/A', 'N/A', 42.45770573616028, -6.055505722761154, 864, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT17', 'N/A', 'N/A', 38.78741718828678, -9.390302002429962, 499, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('IBE75', 'N/A', 'N/A', 37.41333391517401, -5.990609228610992, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA5', 'N/A', 'N/A', 38.35456699132919, -2.262909561395645, 564, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA13', 'N/A', 'N/A', 41.65601961314678, -0.878356397151947, 209, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('SPA6', 'N/A', 'N/A', 28.069472573697567, -16.72693759202957, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA2', 'N/A', 'N/A', 39.85800080001354, -4.020497649908066, 589, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA19', 'N/A', 'N/A', 40.95238599926233, -4.132508933544159, 971, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA17', 'N/A', 'N/A', 43.26878998428583, -2.934209704399109, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA20', 'N/A', 'N/A', 41.66651878505945, -0.9050609171390533, 189, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT16', 'N/A', 'N/A', 37.088281363248825, -7.974687963724136, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA12', 'N/A', 'N/A', 40.58891549706459, -4.147211015224457, 1071, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA22', 'N/A', 'N/A', 42.88122218102217, -8.544042706489563, 262, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA25', 'N/A', 'N/A', 36.740536987781525, -5.165876001119614, 720, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA14', 'N/A', 'N/A', 40.453000254929066, -3.6885251104831696, 678, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT14', 'N/A', 'N/A', 41.550010330975056, -8.42711627483368, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA29', 'N/A', 'N/A', 43.3836368098855, -4.292768239974976, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA1', 'N/A', 'N/A', 42.51162014901638, -2.61764332652092, 456, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA9', 'N/A', 'N/A', 40.41757598519325, -3.683914393186569, 666, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT2', 'N/A', 'N/A', 38.694015964865685, -9.234269857406616, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('PRT9', 'N/A', 'N/A', 38.691607005894184, -9.215938746929169, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('SPA30', 'N/A', 'N/A', 28.757370673120022, -17.889859825372696, 2272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EUA2', 'N/A', 'N/A', 45.99413026124239, -67.23290160298347, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CA80', 'closed', 'San Bernardino County Medical Center Heliport', 34.1278, -117.267997, 1124, 'US', 'US-CA', 'San Bernardino', 'no', '', '', '', 'CA80'),
	('CAN15', 'N/A', 'N/A', 52.26079110056162, -117.27769553661346, 1931, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN01', 'N/A', 'N/A', 43.86242117732763, -79.42252323031425, 257, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN16', 'N/A', 'N/A', 45.42424567043781, -75.69882318377495, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN21', 'N/A', 'N/A', 44.49143171310425, -63.91811326146126, -2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN02', 'N/A', 'N/A', 45.252112559974194, -66.07588514685631, 51, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN07', 'N/A', 'N/A', 44.38651777803898, -79.68933910131454, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN06', 'N/A', 'N/A', 54.56866465508938, -130.70853620767593, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN10', 'N/A', 'N/A', 48.70151415467262, -53.08560535311699, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN05', 'N/A', 'N/A', 49.73021641373634, -54.178046733140945, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN14', 'N/A', 'N/A', 44.64635744690895, -63.57810527086258, 73, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN04', 'N/A', 'N/A', 43.59442591667175, -79.6349523961544, 208, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN11', 'N/A', 'N/A', 60.71354549378157, -135.04712998867035, 707, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA37', 'N/A', 'N/A', 44.30804405361414, -78.29997271299362, 207, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN12', 'N/A', 'N/A', 47.62486640363932, -52.662741243839264, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN13', 'N/A', 'N/A', 49.19814828783274, -113.30997213721275, 1158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN08', 'N/A', 'N/A', 46.36821426451206, -72.49725222587585, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EUA1', 'N/A', 'N/A', 49.77190498262644, -96.8175619840622, 241, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN03', 'N/A', 'N/A', 53.546242117881775, -113.49663779139519, 708, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN09', 'N/A', 'N/A', 49.05878372490406, -113.90419855713844, 1323, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN99', 'N/A', 'N/A', 46.811903938651085, -71.20523616671562, 55, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EUA3', 'N/A', 'N/A', 48.43040082603693, -123.44757154583931, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN88', 'N/A', 'N/A', 47.57083397358656, -52.68097713589668, 126, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN19', 'N/A', 'N/A', 45.47040514647961, -73.53615179657936, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EUA63', 'N/A', 'N/A', 47.52121914178133, -52.62400612235069, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EUA64', 'N/A', 'N/A', 61.26731101423502, -117.52492100000381, 150, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN17', 'N/A', 'N/A', 42.90436461567879, -78.89937400817871, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EUA70', 'N/A', 'N/A', 45.86441393941641, -66.45109578967094, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN20', 'N/A', 'N/A', 46.29741031676531, -67.52769693732262, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EUA60', 'N/A', 'N/A', 49.159950613975525, -122.94250667095184, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UEA65', 'N/A', 'N/A', 44.677916653454304, -63.611997216939926, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EUA62', 'N/A', 'N/A', 48.43437921255827, -123.47267612814903, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EUA61', 'N/A', 'N/A', 48.41973636299372, -123.37016254663467, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CAN18', 'N/A', 'N/A', 43.084229193627834, -79.07987013459206, 195, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAN50', 'N/A', 'N/A', 44.35730550438166, -75.97894996404648, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NA35', 'N/A', 'N/A', 44.641796015203, -63.55943664908409, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CA053', 'N/A', 'N/A', 47.57150821387768, -52.70240753889084, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CA052', 'N/A', 'N/A', 49.28313408046961, -122.9359620809555, 280, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CA054', 'N/A', 'N/A', 45.595248229801655, -64.78005141019821, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CA051', 'N/A', 'N/A', 50.419200137257576, -104.58206087350845, 574, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CAD54', 'N/A', 'N/A', 43.11632551252842, -79.07104566693306, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CA24', 'heliport', 'Scripps Memorial Hospital La Jolla Heliport', 32.886279, -117.225502, 340, 'US', 'US-CA', 'La Jolla', 'no', 'CA24', '', 'CA24', ''),
	('CA17', 'closed', 'Peterson Airport', 37.723499, -120.889999, 158, 'US', 'US-CA', 'Riverbank', 'no', '', '', '', 'CA17'),
	('CA27', 'heliport', 'Alcatraz Heliport', 37.825912, -122.421448, 135, 'US', 'US-CA', 'San Francisco', 'no', 'CA27', '', 'CA27', ''),
	('CA23', 'heliport', 'Maguire-California Hospital Helipad', 34.034999, -118.266202, 376, 'US', 'US-CA', 'Los Angeles', 'no', 'CA23', '', 'CA23', ''),
	('CA36', 'closed', 'American Display Heliport', 33.55445, -117.608449, 918, 'US', 'US-CA', 'Rancho Santa Margarita', 'no', '', '', '', 'CA36'),
	('CA12', 'heliport', 'IPP Adelanto Heliport', 34.54846, -117.436321, 2980, 'US', 'US-CA', 'Adelanto', 'no', 'CA12', '', 'CA12', ''),
	('CA26', 'heliport', 'Hall of Justice Heliport', 37.774898529052734, -122.40499877929688, 118, 'US', 'US-CA', 'San Francisco', 'no', 'CA26', '', 'CA26', ''),
	('CA33', 'heliport', 'Santa Clara Valley Medical Center Heliport', 37.313264, -121.934354, 148, 'US', 'US-CA', 'San Jose', 'no', 'CA33', '', 'CA33', 'County Medical Center Heliport'),
	('CA31', 'heliport', 'Sanger Heliport', 36.732200622558594, -119.55500030517578, 374, 'US', 'US-CA', 'Sanger', 'no', 'CA31', '', 'CA31', ''),
	('CA01', 'heliport', 'Burney Sheriff''s Station Heliport', 40.885121, -121.669368, 3127, 'US', 'US-CA', 'Burney', 'no', 'CA01', '', 'CA01', ''),
	('CA14', 'closed', 'U of C - Richmond Field Station Heliport', 37.913799, -122.332002, 17, 'US', 'US-CA', 'Richmond', 'no', '', '', '', 'CA14'),
	('CA15', 'heliport', 'Sierra Nevada Memorial Hospital Heliport', 39.227474, -121.04763, 2450, 'US', 'US-CA', 'Grass Valley', 'no', 'CA15', '', 'CA15', ''),
	('CA30', 'closed', 'Commodore Heliport', 37.810799, -122.415001, 10, 'US', 'US-CA', 'San Francisco', 'no', '', '', '', 'CA30'),
	('CA067', 'N/A', 'N/A', 45.49981288611889, -73.5436275601387, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CA02', 'closed', 'Patterson Airport', 37.468488, -121.16927, 168, 'US', 'US-CA', 'Patterson', 'no', '', '', '', 'CA02'),
	('CA43', 'heliport', 'Barton Memorial Hospital Heliport', 38.91130065917969, -119.99700164794922, 6298, 'US', 'US-CA', 'South Lake Tahoe', 'no', 'CA43', '', 'CA43', ''),
	('CA25', 'heliport', 'Mark Twain St Joseph''s Hospital Heliport', 38.19071, -120.669215, 1033, 'US', 'US-CA', 'San Andreas', 'no', 'CA25', '', 'CA25', ''),
	('CA37', 'heliport', 'Dominican Hospital Heliport', 36.990655, -121.982508, 115, 'US', 'US-CA', 'Santa Cruz', 'no', 'CA37', '', 'CA37', 'Dominican Santa Cruz Hospital'),
	('CA29', 'heliport', 'Fontana Police Heliport', 34.101716, -117.433729, 1314, 'US', 'US-CA', 'Fontana', 'no', 'CA29', '', 'CA29', ''),
	('CA08', 'heliport', 'SCE Energy Control Center Heliport', 34.083494, -118.144148, 475, 'US', 'US-CA', 'Alhambra', 'no', 'CA08', '', 'CA08', ''),
	('SU01', 'small_airport', 'Campo di volo Porto Pino', 39.012206, 8.601758, 0, 'IT', 'IT-88', 'Sant’Anna Arresi (SU)', 'no', '', '', 'SU01', ''),
	('LCMD', 'N/A', 'N/A', 47.4955128505826, -123.31581205129623, 222, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('LUDD', 'N/A', 'N/A', 47.629321217536926, -122.33871772885323, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI75', 'N/A', 'N/A', 56.128627359867096, -3.9368587732315063, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI79', 'N/A', 'N/A', 51.24870378524065, 0.629911869764328, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI70', 'N/A', 'N/A', 50.869532972574234, 0.33868342638015747, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI73', 'N/A', 'N/A', 53.21587711572647, -4.185476750135422, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI77', 'N/A', 'N/A', 54.22638092190027, -4.699128270149231, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI78', 'N/A', 'N/A', 55.21152477711439, -6.579339802265167, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI74', 'N/A', 'N/A', 51.450152434408665, -9.819030314683914, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI76', 'N/A', 'N/A', 57.27851014584303, -5.739621967077255, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI72', 'N/A', 'N/A', 52.64976974576712, -3.160914033651352, 129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('54', 'N/A', 'N/A', 51.570114232599735, -2.7063824236392975, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI05', 'N/A', 'N/A', 53.69468528777361, -6.475735008716583, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('52', 'N/A', 'N/A', 54.71339263021946, -5.806564539670944, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI99', 'N/A', 'N/A', 55.95377918332815, -3.9972813427448273, 99, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI50', 'N/A', 'N/A', 51.00233685225248, 0.5435389280319214, -20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI14', 'N/A', 'N/A', 51.676814183592796, -4.920208901166916, 23, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI16', 'N/A', 'N/A', 51.24104339629412, -0.5908656120300293, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI01', 'N/A', 'N/A', 53.56183212250471, -9.889111965894699, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI19', 'N/A', 'N/A', 52.71630696952343, -4.040999561548233, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI51', 'N/A', 'N/A', 53.5266925022006, -7.345449775457382, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('53', 'N/A', 'N/A', 52.859938591718674, -4.1091808676719666, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('UKI13', 'N/A', 'N/A', 57.47611653059721, -4.225493967533112, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI02', 'N/A', 'N/A', 51.17634382098913, -0.3713540732860565, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('56', 'N/A', 'N/A', 51.129892989993095, 1.3206727802753448, 137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI11', 'N/A', 'N/A', 55.16394842416048, -6.810571253299713, 74, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI12', 'N/A', 'N/A', 51.144764833152294, -2.6987166702747345, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI21', 'N/A', 'N/A', 53.227563835680485, -1.612170785665512, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI18', 'N/A', 'N/A', 51.47380046546459, -9.38817098736763, -1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI06', 'N/A', 'N/A', 52.52436205744743, -0.6373532116413116, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI07', 'N/A', 'N/A', 51.75058163702488, -0.342215895652771, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI15', 'N/A', 'N/A', 53.1421160325408, -8.925993740558624, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI04', 'N/A', 'N/A', 56.322995983064175, -7.113950997591019, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI08', 'N/A', 'N/A', 56.57923076301813, -4.004395008087158, 107, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI09', 'N/A', 'N/A', 54.40214306116104, -5.6537505984306335, 22, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('55', 'N/A', 'N/A', 55.826073847711086, -4.251563251018524, 38, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI17', 'N/A', 'N/A', 54.85451638698578, -5.797894299030304, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI83', 'N/A', 'N/A', 50.18370050936937, -4.268085211515427, 56, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('57', 'N/A', 'N/A', 54.121602438390255, -0.905984491109848, 89, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI03', 'N/A', 'N/A', 57.494877576828, -4.219934195280075, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('GB069', 'N/A', 'N/A', 51.89518220722675, 1.480458676815033, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI98', 'N/A', 'N/A', 52.166740112006664, 0.037261247634887695, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI91', 'N/A', 'N/A', 51.03539742529392, -0.11366307735443115, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKA99', 'N/A', 'N/A', 52.1094910427928, -0.42188286781311035, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI85', 'N/A', 'N/A', 52.469841465353966, -3.6029385030269623, 226, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI97', 'N/A', 'N/A', 52.65653997659683, -7.256928384304047, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI86', 'N/A', 'N/A', 52.25826680660248, -3.6583422124385834, 317, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI95', 'N/A', 'N/A', 52.57142510265112, -0.6535765528678894, 46, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI89', 'N/A', 'N/A', 53.3480205014348, -2.728056013584137, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI90', 'N/A', 'N/A', 53.97203106433153, -1.5148499608039856, 81, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI92', 'N/A', 'N/A', 53.71835142374039, -6.3331907987594604, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI94', 'N/A', 'N/A', 50.408670119941235, -4.204889684915543, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI93', 'N/A', 'N/A', 55.772872902452946, -2.013954073190689, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI87', 'N/A', 'N/A', 54.210816733539104, -2.3708613216876984, 294, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI88', 'N/A', 'N/A', 54.99789588153362, -7.315852493047714, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI20', 'N/A', 'N/A', 54.966086223721504, -5.95643162727356, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI31', 'N/A', 'N/A', 53.64339776337147, -2.3379944264888763, 341, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI30', 'N/A', 'N/A', 53.32953840494156, -2.671440839767456, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('58', 'N/A', 'N/A', 54.21580798923969, -5.884643197059631, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI41', 'N/A', 'N/A', 55.37761386483908, -3.753119856119156, 721, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI96', 'N/A', 'N/A', 52.12427772581577, -6.929619759321213, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI46', 'N/A', 'N/A', 54.07380077987909, -4.653022438287735, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI33', 'N/A', 'N/A', 54.36756704002619, -5.58064877986908, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI49', 'N/A', 'N/A', 52.14072000235319, -7.932545095682144, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI35', 'N/A', 'N/A', 53.71231343597174, -1.8829496204853058, 166, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI36', 'N/A', 'N/A', 54.20367266982794, -4.641302973031998, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI34', 'N/A', 'N/A', 52.77034543454647, -3.465491831302643, 251, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI43', 'N/A', 'N/A', 53.220359086990356, -4.163197875022888, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI38', 'N/A', 'N/A', 52.041229493916035, -9.531704485416412, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI32', 'N/A', 'N/A', 53.62226363271475, -1.7722360789775848, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI40', 'N/A', 'N/A', 51.88201289623976, -5.268354266881943, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKIF1', 'N/A', 'N/A', 58.88994712382555, -2.8895334899425507, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKI44', 'N/A', 'N/A', 54.23856485635042, -4.407376348972321, 72, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CRB95', 'N/A', 'N/A', 23.105447329580784, -82.44106248021126, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB98', 'N/A', 'N/A', 18.466340862214565, -66.13625407218933, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB76', 'N/A', 'N/A', 18.480465039610863, -69.91879463195801, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB74', 'N/A', 'N/A', 23.144263923168182, -82.3449245095253, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB64', 'N/A', 'N/A', 19.572819136083126, -72.24332749843597, 843, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB90', 'N/A', 'N/A', 23.122765012085438, -82.3864620923996, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB84', 'N/A', 'N/A', 15.296004675328732, -61.38506546616554, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB86', 'N/A', 'N/A', 26.539595872163773, -76.96167647838593, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB69', 'N/A', 'N/A', 14.614633060991764, -60.90297415852547, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB58', 'N/A', 'N/A', 17.103378362953663, -61.784516125917435, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB94', 'N/A', 'N/A', 12.10600420832634, -68.93564075231552, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB37', 'N/A', 'N/A', 18.516162559390068, -77.81962484121323, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB66', 'N/A', 'N/A', 19.751212187111378, -79.72336113452911, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB92', 'N/A', 'N/A', 25.08682832121849, -77.35137775540352, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB61', 'N/A', 'N/A', 12.054317370057106, -61.74551501870155, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB89', 'N/A', 'N/A', 18.50009612739086, -69.33743074536324, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB88', 'N/A', 'N/A', 25.07943782955408, -77.32251539826393, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB93', 'N/A', 'N/A', 12.111422941088676, -68.93225267529488, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB85', 'N/A', 'N/A', 23.150751516222954, -82.35556349158287, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB53', 'N/A', 'N/A', 12.072384059429169, -68.86163771152496, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB54', 'N/A', 'N/A', 25.077519044280052, -77.32482880353928, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB55', 'N/A', 'N/A', 11.951872408390045, -66.6766744852066, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB97', 'N/A', 'N/A', 23.040120117366314, -81.49603351950645, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB60', 'N/A', 'N/A', 13.157837837934494, -61.24216675758362, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB63', 'N/A', 'N/A', 17.482179030776024, -62.98672333359718, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB91', 'N/A', 'N/A', 12.047951817512512, -61.73728063702583, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB56', 'N/A', 'N/A', 13.711019307374954, -60.94200745224953, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB68', 'N/A', 'N/A', 18.070639930665493, -63.08551624417305, 59, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB79', 'N/A', 'N/A', 23.143440149724483, -82.38103955984116, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB71', 'N/A', 'N/A', 26.500579454004765, -76.97967901825905, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB42', 'N/A', 'N/A', 18.54399014264345, -72.33701750636101, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CB46', 'N/A', 'N/A', 11.989595331251621, -68.64342123270035, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB77', 'N/A', 'N/A', 17.76888035237789, -64.87078160047531, 115, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB72', 'N/A', 'N/A', 14.649024680256844, -61.078734397888184, 289, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB28', 'N/A', 'N/A', 13.264864012598991, -59.5952171087265, 233, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB65', 'N/A', 'N/A', 16.80038195103407, -62.20168590545654, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB39', 'N/A', 'N/A', 17.504244223237038, -62.99617454409599, 151, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB82', 'N/A', 'N/A', 15.583474449813366, -61.473842561244965, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB57', 'N/A', 'N/A', 21.867520697414875, -84.95116487145424, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB99', 'N/A', 'N/A', 12.028320729732513, -68.23736697435379, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB81', 'N/A', 'N/A', 18.476673401892185, -69.8862487077713, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB27', 'N/A', 'N/A', 19.605003632605076, -72.2187589108944, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB21', 'N/A', 'N/A', 10.653394907712936, -61.511570513248444, 30, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB10', 'N/A', 'N/A', 19.4509244710207, -70.69460034370422, 231, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB12', 'N/A', 'N/A', 15.89799765497446, -61.322789043188095, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB09', 'N/A', 'N/A', 18.615599423646927, -68.71696159243584, 140, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB16', 'N/A', 'N/A', 18.018637262284756, -66.61943569779396, 106, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB08', 'N/A', 'N/A', 20.021289847791195, -75.82947000861168, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB32', 'N/A', 'N/A', 10.834128856658936, -60.909879952669144, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB24', 'N/A', 'N/A', 23.141962587833405, -82.35660687088966, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB38', 'N/A', 'N/A', 17.346857227385044, -62.83551290631294, 203, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('CRB34', 'N/A', 'N/A', 18.213088363409042, -63.11850070953369, 1, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB11', 'N/A', 'N/A', 23.135062605142593, -82.359519302845, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB05', 'N/A', 'N/A', 23.132491372525692, -81.6781197488308, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB13', 'N/A', 'N/A', 18.39736182242632, -75.01280575990677, 124, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB30', 'N/A', 'N/A', 18.449974358081818, -69.97498869895935, 67, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB35', 'N/A', 'N/A', 19.968532137572765, -75.8711077272892, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB02', 'N/A', 'N/A', 25.075609982013702, -77.34451398253441, 31, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB40', 'N/A', 'N/A', 23.113280050456524, -82.43549019098282, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB18', 'N/A', 'N/A', 18.462902940809727, -66.08426883816719, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB70', 'N/A', 'N/A', 17.952279075980186, -77.1314486861229, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB36', 'N/A', 'N/A', 21.511535234749317, -71.13347008824348, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB25', 'N/A', 'N/A', 23.15737422555685, -82.31668621301651, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB31', 'N/A', 'N/A', 13.157589733600616, -61.22916206717491, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB03', 'N/A', 'N/A', 26.501658707857132, -78.67548644542694, 19, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB04', 'N/A', 'N/A', 12.576024122536182, -70.01086726784706, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB15', 'N/A', 'N/A', 25.054366551339626, -77.36021250486374, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB01', 'N/A', 'N/A', 12.613617293536663, -70.05164086818695, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB33', 'N/A', 'N/A', 18.520189225673676, -77.82121628522873, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB07', 'N/A', 'N/A', 23.101967498660088, -82.39359498023987, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB26', 'N/A', 'N/A', 18.471306636929512, -69.88523796200752, 36, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB06', 'N/A', 'N/A', 23.1593419611454, -81.23706579208374, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB22', 'N/A', 'N/A', 18.47516767680645, -69.91863682866096, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB19', 'N/A', 'N/A', 25.085169039666653, -77.32523649930954, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB20', 'N/A', 'N/A', 19.760984145104885, -72.20092758536339, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB14', 'N/A', 'N/A', 10.997374132275581, -63.777761310338974, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB62', 'N/A', 'N/A', 18.001894243061543, -76.7729526758194, 83, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB80', 'N/A', 'N/A', 22.06459566950798, -80.46434819698334, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB83', 'N/A', 'N/A', 18.474472984671593, -69.89780053496361, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB29', 'N/A', 'N/A', 18.479016311466694, -69.86883446574211, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB75', 'N/A', 'N/A', 46.19653545320034, 8.848677724599838, 421, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB87', 'N/A', 'N/A', 11.128725931048393, -63.91626477241516, 11, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB78', 'N/A', 'N/A', 22.401409707963467, -79.9795925617218, 135, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB17', 'N/A', 'N/A', 11.125120036303997, -63.93257483839989, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB73', 'N/A', 'N/A', 19.392922706902027, -70.52439853549004, 194, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB23', 'N/A', 'N/A', 18.466630540788174, -66.10597148537636, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB41', 'N/A', 'N/A', 18.467553220689297, -66.11023172736168, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB67', 'N/A', 'N/A', 18.022991493344307, -76.78405970335007, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB96', 'N/A', 'N/A', 18.421929851174355, -64.61634144186974, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CRB59', 'N/A', 'N/A', 17.901025749742985, -62.851303070783615, 52, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE91', 'N/A', 'N/A', 50.6686881557107, 7.206387966871262, 212, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE05', 'heliport', 'Wilmington Country Club Heliport', 39.80009841918945, -75.61630249023438, 360, 'US', 'US-DE', 'Greenville', 'no', 'DE05', '', 'DE05', ''),
	('ED09', 'N/A', 'N/A', 47.073906138539314, 15.391358882188797, 377, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE31', 'closed', 'Greenville Heliport', 39.766701, -75.583298, 80, 'US', 'US-DE', 'Wilmington', 'no', '', '', '', 'DE31'),
	('DE37', 'N/A', 'N/A', 49.98109884560108, 7.899806946516037, 298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE92', 'N/A', 'N/A', 46.208539344370365, 6.148795187473297, 379, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE55', 'N/A', 'N/A', 46.94650523364544, 7.444132715463638, 554, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE08', 'heliport', 'Barcroft Company Heliport', 38.78150177001953, -75.1052017211914, 8, 'US', 'US-DE', 'Lewes', 'no', 'DE08', '', 'DE08', ''),
	('DE16', 'heliport', 'Rollins Building Heliport', 39.79084, -75.547805, 595, 'US', 'US-DE', 'Wilmington', 'no', 'DE16', '', 'DE16', ''),
	('DEU11', 'N/A', 'N/A', 46.17782402783632, 6.127489060163498, 395, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE66', 'N/A', 'N/A', 45.9836183488369, 7.782545238733292, 3094, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE02', 'heliport', 'Delaware State Police Heliport', 39.20009994506836, -75.53299713134766, 50, 'US', 'US-DE', 'Dover', 'no', 'DE02', '', 'DE02', '');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('DE10', 'small_airport', 'Kimbowrosa Farm Airport', 38.966800689697266, -75.46630096435547, 40, 'US', 'US-DE', 'Milford', 'no', 'DE10', '', 'DE10', ''),
	('DE53', 'N/A', 'N/A', 50.96622124314308, 10.305840075016022, 402, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE30', 'heliport', 'Bracebridge Iii Heliport', 39.735599517822266, -75.5353012084961, 125, 'US', 'US-DE', 'Wilmington', 'no', 'DE30', '', 'DE30', ''),
	('DE81', 'N/A', 'N/A', 47.40829344838858, 9.30556207895279, 646, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DEO6', 'N/A', 'N/A', 48.18474266678095, 16.312269419431686, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE12', 'closed', 'Owens Field', 38.80527, -75.413575, 50, 'US', 'US-DE', 'Ellendale', 'no', '', '', '', 'DE12'),
	('DE77', 'N/A', 'N/A', 52.433330565690994, 10.794260948896408, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE76', 'N/A', 'N/A', 53.736947514116764, 11.878342777490616, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE78', 'N/A', 'N/A', 51.4870398491621, 7.043842971324921, 49, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('HERM', 'N/A', 'N/A', 51.91165801137686, 8.839471936225891, 387, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EDX1', 'N/A', 'N/A', 54.175368659198284, 7.889978438615799, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE51', 'N/A', 'N/A', 51.16757769137621, 13.679607063531876, 172, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE36', 'N/A', 'N/A', 47.126692682504654, 8.752925992012024, 909, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DE63', 'N/A', 'N/A', 47.54143327474594, 7.620356529951096, 273, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E789', 'N/A', 'N/A', 44.98716562986374, 14.903161972761154, 47, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EEU8', 'N/A', 'N/A', 45.81580728292465, 14.126913249492645, 545, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE76', 'N/A', 'N/A', 49.29627321660519, 17.382480651140213, 201, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E369', 'N/A', 'N/A', 46.099464632570744, 18.220134526491165, 516, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE23', 'N/A', 'N/A', 45.332265347242355, 14.455761015415192, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E025', 'N/A', 'N/A', 45.83782687783241, 15.235420167446136, 158, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('OMNT', 'N/A', 'N/A', 45.89972488582134, 15.948060303926468, 965, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EEU60', 'N/A', 'N/A', 45.81827122718096, 16.01804807782173, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE74', 'N/A', 'N/A', 45.9785395860672, 13.651666939258575, 102, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE72', 'N/A', 'N/A', 50.07973674684763, 15.813497453927994, 291, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E0321', 'N/A', 'N/A', 49.58010960370302, 15.941782593727112, 616, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E015', 'N/A', 'N/A', 45.344067737460136, 19.01219353079796, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E823', 'N/A', 'N/A', 47.79919624328613, 18.736749440431595, 145, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE73', 'N/A', 'N/A', 46.07812196016312, 18.22362095117569, 171, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E024', 'N/A', 'N/A', 44.82285853475332, 15.840075016021729, 225, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('E011', 'N/A', 'N/A', 46.272503323853016, 14.37683880329132, 418, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE75', 'N/A', 'N/A', 47.872617691755295, 20.009936839342117, 1036, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EEU9', 'N/A', 'N/A', 49.26139645278454, 19.358507841825485, 533, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE02', 'N/A', 'N/A', 50.516340024769306, 15.230658799409866, 461, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE09', 'N/A', 'N/A', 48.77993322908878, 18.57769086956978, 350, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE07', 'N/A', 'N/A', 44.70368966460228, 18.53108435869217, 463, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE03', 'N/A', 'N/A', 48.80206849426031, 16.80410474538803, 169, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE78', 'N/A', 'N/A', 49.959665313363075, 15.289351344108582, 216, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE33', 'N/A', 'N/A', 43.80776412785053, 15.916244387626648, 53, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE68', 'N/A', 'N/A', 45.156625248491764, 18.006729930639267, 88, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE05', 'N/A', 'N/A', 49.704754538834095, 16.889272928237915, 426, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE66', 'N/A', 'N/A', 46.154853254556656, 15.650911331176758, 326, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE10', 'N/A', 'N/A', 48.99907372891903, 20.76725408434868, 570, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE77', 'N/A', 'N/A', 45.25077883154154, 14.57621231675148, 54, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE04', 'N/A', 'N/A', 47.21701540052891, 18.553884476423264, 112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE08', 'N/A', 'N/A', 45.58937720954418, 13.861134499311447, 426, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE71', 'N/A', 'N/A', 42.39195439964533, 16.258904188871384, 42, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE65', 'N/A', 'N/A', 44.23084203153849, 15.178386569023132, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE69', 'N/A', 'N/A', 50.00014252960682, 14.558693915605545, 301, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EEU99', 'N/A', 'N/A', 48.16324878484011, 17.136784940958023, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE70', 'N/A', 'N/A', 44.034116081893444, 16.193464994430542, 298, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE37', 'N/A', 'N/A', 45.988750755786896, 15.467244386672974, 218, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EE12', 'N/A', 'N/A', 46.562852784991264, 17.018970251083374, 320, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE01', 'N/A', 'N/A', 48.724654242396355, 17.761381566524506, 349, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE06', 'N/A', 'N/A', 47.7941245213151, 18.980690985918045, 325, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE67', 'N/A', 'N/A', 43.51528264582157, 16.247286647558212, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE36', 'N/A', 'N/A', 45.11961009353399, 13.80070835351944, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE38', 'N/A', 'N/A', 47.64895800501108, 18.31876829266548, 128, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE30', 'N/A', 'N/A', 46.25804051756859, 15.946889966726303, 260, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE32', 'N/A', 'N/A', 48.54134436696768, 21.458821445703506, 498, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE64', 'N/A', 'N/A', 43.72142683714628, 15.85448831319809, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE29', 'N/A', 'N/A', 43.34604062139988, 18.68735119700432, 619, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE41', 'N/A', 'N/A', 45.8510448038578, 13.791546374559402, 223, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE63', 'N/A', 'N/A', 49.0513214841485, 14.441236853599548, 445, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE62', 'N/A', 'N/A', 50.18717363476753, 12.754379957914352, 417, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE45', 'N/A', 'N/A', 46.36214442551136, 14.089854508638382, 507, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE24', 'N/A', 'N/A', 45.495106279850006, 15.52804782986641, 178, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE42', 'N/A', 'N/A', 46.91366493701935, 17.889255434274673, 180, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE39', 'N/A', 'N/A', 49.77920427918434, 14.65635135769844, 376, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE35', 'N/A', 'N/A', 48.67986738681793, 17.563672363758087, 529, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE31', 'N/A', 'N/A', 46.076982356607914, 18.22799652814865, 162, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE44', 'N/A', 'N/A', 48.7061433121562, 20.510170608758926, 362, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE40', 'N/A', 'N/A', 47.55217585712671, 17.760231345891953, 266, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EEU43', 'N/A', 'N/A', 46.36963751167059, 14.100608378648758, 570, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EEU85', 'N/A', 'N/A', 49.17541153728962, 18.862879425287247, 415, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE34', 'N/A', 'N/A', 43.860800452530384, 18.401741534471512, 599, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE50', 'N/A', 'N/A', 46.24893341213465, 20.14909341931343, 131, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE60', 'N/A', 'N/A', 45.50877917557955, 14.910594373941422, 362, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE58', 'N/A', 'N/A', 48.18248525261879, 17.094514220952988, 449, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE49', 'N/A', 'N/A', 46.16506341844797, 14.304765611886978, 409, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE56', 'N/A', 'N/A', 45.01376040279865, 16.909157037734985, 838, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE51', 'N/A', 'N/A', 48.17122869193554, 19.856900721788406, 484, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EEU70', 'N/A', 'N/A', 46.80508676916361, 17.43563801050186, 193, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE47', 'N/A', 'N/A', 45.85144244134426, 18.2954004406929, 119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE61', 'N/A', 'N/A', 50.49030248075724, 15.135044306516647, 285, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE53', 'N/A', 'N/A', 48.65820687264204, 20.60039386153221, 474, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE57', 'N/A', 'N/A', 43.78175273537636, 19.288595616817474, 295, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE59', 'N/A', 'N/A', 45.30765775591135, 18.41124951839447, 116, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE46', 'N/A', 'N/A', 45.830265395343304, 14.929174482822418, 217, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE54', 'N/A', 'N/A', 47.550007961690426, 19.00116741657257, 445, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE48', 'N/A', 'N/A', 46.007891334593296, 15.313330739736557, 248, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('CEE01', 'N/A', 'N/A', 49.19558744877577, 20.213236659765244, 2589, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EER01', 'N/A', 'N/A', 48.46156507730484, 18.913540095090866, 698, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE55', 'N/A', 'N/A', 49.87314496189356, 16.313400864601135, 352, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EES29', 'N/A', 'N/A', 45.81648588180542, 15.973544865846634, 174, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE15', 'N/A', 'N/A', 50.21877910941839, 12.871553152799606, 556, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE16', 'N/A', 'N/A', 43.175676092505455, 17.668084055185318, 440, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EEU30', 'N/A', 'N/A', 48.141946010291576, 17.10066184401512, 175, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE11', 'N/A', 'N/A', 47.76350174099207, 18.084769695997238, 114, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE21', 'N/A', 'N/A', 44.224508330225945, 15.530797094106674, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE27', 'N/A', 'N/A', 48.15348520874977, 17.099646627902985, 235, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE17', 'N/A', 'N/A', 47.5311865657568, 21.624250262975693, 122, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE22', 'N/A', 'N/A', 49.9450496211648, 15.263199806213379, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('EE25', 'N/A', 'N/A', 46.9823519513011, 17.282397598028183, 255, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE14', 'N/A', 'N/A', 42.71045733243227, 18.360359519720078, 401, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE18', 'N/A', 'N/A', 43.87238156050444, 18.38630586862564, 813, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE19', 'N/A', 'N/A', 44.87805034965277, 18.80971446633339, 110, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE13', 'N/A', 'N/A', 43.50391309708357, 16.613609343767166, 686, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE28', 'N/A', 'N/A', 45.6822919473052, 14.4693124294281, 588, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EEU40', 'N/A', 'N/A', 43.33712864667177, 17.81514421105385, 45, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE26', 'N/A', 'N/A', 46.24683424830437, 13.585640788078308, 205, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('EE20', 'N/A', 'N/A', 50.7327339425683, 14.984363615512848, 1000, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC78', 'N/A', 'N/A', 46.91253371536732, 10.86200326681137, 3393, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC76', 'N/A', 'N/A', 47.65839535742998, 15.81192210316658, 810, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC81', 'N/A', 'N/A', 46.769884787499905, 8.425360321998596, 3028, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC99', 'N/A', 'N/A', 48.7006551772356, 9.016454368829727, 513, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC71', 'N/A', 'N/A', 47.801385931670666, 11.009647697210312, 968, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC85', 'N/A', 'N/A', 46.32697764784098, 7.209130525588989, 2875, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC89', 'N/A', 'N/A', 51.05464395135641, 7.133091688156128, 108, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC82', 'N/A', 'N/A', 46.78745124489069, 8.04102748632431, 2259, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC87', 'N/A', 'N/A', 46.083852499723434, 7.404491454362869, 2105, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC96', 'N/A', 'N/A', 46.173046343028545, 7.416965961456299, 970, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC95', 'N/A', 'N/A', 46.92466467618942, 13.240652829408646, 932, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC12', 'N/A', 'N/A', 46.916807144880295, 13.253874331712723, 801, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC90', 'N/A', 'N/A', 48.45041077584028, 8.763828724622726, 395, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC33', 'N/A', 'N/A', 48.569172620773315, 7.804276496171951, 139, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC91', 'N/A', 'N/A', 51.16097208112478, 7.1335668861866, 103, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC84', 'N/A', 'N/A', 46.346183605492115, 7.209706753492355, 2514, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC77', 'N/A', 'N/A', 54.29361619055271, 9.683293998241425, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC79', 'N/A', 'N/A', 45.940803587436676, 7.729037404060364, 3669, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC72', 'N/A', 'N/A', 50.97643978893757, 11.023667603731155, 196, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC97', 'N/A', 'N/A', 47.43039183318615, 11.295481324195862, 2230, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC93', 'N/A', 'N/A', 46.297739557921886, 8.048225194215775, 1374, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC07', 'N/A', 'N/A', 51.93643156439066, 8.878594189882278, 141, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC74', 'N/A', 'N/A', 47.50810146331787, 9.779965728521347, 1051, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC92', 'N/A', 'N/A', 47.65243113040924, 15.869028568267822, 695, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC86', 'N/A', 'N/A', 46.43003650009632, 6.125822067260742, 1523, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC83', 'N/A', 'N/A', 47.47553173452616, 12.430183589458466, 1958, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC98', 'N/A', 'N/A', 54.383696503937244, 13.697830885648727, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC73', 'N/A', 'N/A', 47.55556616932154, 10.735699385404587, 830, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC94', 'N/A', 'N/A', 47.19901442527771, 11.398804038763046, 869, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC70', 'N/A', 'N/A', 47.86022152751684, 16.827768981456757, 117, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC69', 'N/A', 'N/A', 47.65791121870279, 15.806160718202591, 788, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC67', 'N/A', 'N/A', 51.74144435673952, 7.906070351600647, 87, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC65', 'N/A', 'N/A', 47.01399531215429, 6.907281875610352, 651, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC55', 'N/A', 'N/A', 51.04225616902113, 13.017550259828568, 237, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DCF66', 'N/A', 'N/A', 47.40060053765774, 9.32472288608551, 588, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC68', 'N/A', 'N/A', 46.27306189388037, 7.437531352043152, 1270, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC64', 'N/A', 'N/A', 48.3148817718029, 15.422860980033875, 508, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC88', 'N/A', 'N/A', 46.60895761102438, 14.145620316267014, 843, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC14', 'N/A', 'N/A', 51.03871397674084, 6.983769088983536, 43, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DCF62', 'N/A', 'N/A', 48.03049050271511, 11.203131079673767, 575, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC09', 'N/A', 'N/A', 47.464951761066914, 12.20359817147255, 1825, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC63', 'N/A', 'N/A', 47.38503199070692, 11.742846518754959, 632, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('DAC54', 'N/A', 'N/A', 51.31590686738491, 9.394959658384323, 557, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UKA90', 'N/A', 'N/A', 47.91066348552704, 13.790706396102905, 428, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC80', 'N/A', 'N/A', 47.24919252097607, 9.343994110822678, 2528, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAH66', 'N/A', 'N/A', 50.09006526321173, 7.341038882732391, 302, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC01', 'N/A', 'N/A', 46.60316437482834, 13.672202825546265, 2137, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC45', 'N/A', 'N/A', 47.70979519933462, 16.331696659326553, 506, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC11', 'N/A', 'N/A', 47.81631678342819, 12.998204380273819, 413, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC41', 'N/A', 'N/A', 50.94835940748453, 11.348948031663895, 312, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC18', 'N/A', 'N/A', 46.98174208402634, 9.717553853988647, 839, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC15', 'N/A', 'N/A', 46.42497148364782, 6.09945148229599, 1671, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC19', 'N/A', 'N/A', 47.05019574612379, 9.437492340803146, 539, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC13', 'N/A', 'N/A', 47.87726629525423, 13.275621235370636, 1112, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC36', 'N/A', 'N/A', 47.01743893325329, 7.741958051919937, 751, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC23', 'N/A', 'N/A', 47.116179428994656, 10.49075111746788, 875, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC22', 'N/A', 'N/A', 51.536225862801075, 14.640829414129257, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DCF20', 'N/A', 'N/A', 50.82843717187643, 6.907884925603867, 65, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC39', 'N/A', 'N/A', 47.419172152876854, 7.072108089923859, 403, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DCF48', 'N/A', 'N/A', 50.819715298712254, 6.9292353093624115, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC44', 'N/A', 'N/A', 47.208590246737, 11.460958421230316, 2242, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC27', 'N/A', 'N/A', 46.54573794454336, 13.903757482767105, 800, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC46', 'N/A', 'N/A', 46.06679733842611, 6.932580918073654, 1814, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAH99', 'N/A', 'N/A', 49.79241248220205, 9.938793629407883, 188, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC02', 'N/A', 'N/A', 47.571788504719734, 10.960689783096313, 940, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC21', 'N/A', 'N/A', 46.920568607747555, 14.83425959944725, 622, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC04', 'N/A', 'N/A', 52.24584013223648, 8.904145359992981, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC35', 'N/A', 'N/A', 48.39839771389961, 9.991650134325027, 489, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC43', 'N/A', 'N/A', 46.584661826491356, 7.083741277456284, 829, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC48', 'N/A', 'N/A', 51.49014048278332, 8.058182001113892, 184, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DFC10', 'N/A', 'N/A', 47.70376995205879, 12.012574821710587, 1804, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC10', 'N/A', 'N/A', 47.05405678600073, 12.957379817962646, 3119, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DC68', 'N/A', 'N/A', 51.857138089835644, 10.34032791852951, 577, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DCF22', 'N/A', 'N/A', 48.258210718631744, 15.373843610286713, 236, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC24', 'N/A', 'N/A', 48.15061256289482, 16.905355900526047, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC32', 'N/A', 'N/A', 47.35166162252426, 8.489975184202194, 853, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC06', 'N/A', 'N/A', 50.73830220848322, 8.285455405712128, 267, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC05', 'N/A', 'N/A', 47.638607025146484, 15.830946117639542, 894, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC17', 'N/A', 'N/A', 49.317123368382454, 8.441468328237534, 129, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC59', 'N/A', 'N/A', 46.233791671693325, 7.3640598356723785, 584, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC31', 'N/A', 'N/A', 47.80448354780674, 13.112386018037796, 1256, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC40', 'N/A', 'N/A', 51.339111328125, 9.940169155597687, 354, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC26', 'N/A', 'N/A', 51.18397168815136, 9.059662073850632, 199, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC25', 'N/A', 'N/A', 46.813852563500404, 7.164195477962494, 558, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC16', 'N/A', 'N/A', 47.46283683925867, 8.18128913640976, 510, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC60', 'N/A', 'N/A', 47.13306661695242, 7.060558497905731, 1603, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC20', 'N/A', 'N/A', 47.68059767782688, 10.90015098452568, 886, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC34', 'N/A', 'N/A', 46.348942928016186, 7.432723939418793, 1603, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC66', 'N/A', 'N/A', 46.518051847815514, 6.567036062479019, 397, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC62', 'N/A', 'N/A', 50.98821301013231, 12.43940681219101, 234, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC42', 'N/A', 'N/A', 47.15666435658932, 10.213051289319992, 2647, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC29', 'N/A', 'N/A', 48.37914012372494, 16.308439671993256, 272, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC38', 'N/A', 'N/A', 48.406291119754314, 9.25819605588913, 797, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('DAC52', 'N/A', 'N/A', 46.97954401373863, 8.254014551639557, 2076, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DCF30', 'N/A', 'N/A', 46.78792867809534, 14.970080852508545, 2123, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC03', 'N/A', 'N/A', 47.46494673192501, 10.71684256196022, 1068, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC37', 'N/A', 'N/A', 47.05571975558996, 8.48384901881218, 1770, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC28', 'N/A', 'N/A', 46.55726909637451, 7.835128605365753, 2884, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC49', 'N/A', 'N/A', 50.85143677890301, 9.115640223026276, 245, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC57', 'N/A', 'N/A', 51.73145681619644, 7.534055113792419, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DCF39', 'N/A', 'N/A', 52.47810501605272, 13.196822851896286, 78, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC50', 'N/A', 'N/A', 45.99822532385588, 7.348368465900421, 1796, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC58', 'N/A', 'N/A', 48.33473917096853, 15.338821113109589, 965, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC56', 'N/A', 'N/A', 47.42178127169609, 10.34196138381958, 2181, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC51', 'N/A', 'N/A', 46.980200819671154, 8.664657175540924, 1290, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC53', 'N/A', 'N/A', 51.778038404881954, 9.409782886505127, 92, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DAC61', 'N/A', 'N/A', 47.42097996175289, 10.984832793474197, 2923, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD68', 'N/A', 'N/A', 60.52384492009878, 5.264102518558502, 12, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD96', 'N/A', 'N/A', 60.42726192623377, 5.534588545560837, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD95', 'N/A', 'N/A', 60.10862488299608, 25.40585830807686, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD91', 'N/A', 'N/A', 57.584470734000206, 9.941891133785248, 26, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD73', 'N/A', 'N/A', 58.6744936555624, 13.217954635620117, 50, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD93', 'N/A', 'N/A', 59.723036885261536, 22.49926060438156, 4, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD81', 'N/A', 'N/A', 68.45936615020037, 17.48301610350609, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD85', 'N/A', 'N/A', 55.40246821939945, 12.211271971464157, 16, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD86', 'N/A', 'N/A', 59.27027899771929, 16.12675443291664, 44, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD99', 'N/A', 'N/A', 55.52127197384834, 9.714239537715912, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD79', 'N/A', 'N/A', 56.02825842797756, 14.14741337299347, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD97', 'N/A', 'N/A', 54.95339635759592, 11.990357637405396, 20, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD72', 'N/A', 'N/A', 62.390219159424305, 17.344893515110016, 32, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD75', 'N/A', 'N/A', 55.347741432487965, 11.078635901212692, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD80', 'N/A', 'N/A', 69.47095692157745, 25.497046262025833, 154, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD87', 'N/A', 'N/A', 67.36395835876465, 26.631120443344116, 179, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD98', 'N/A', 'N/A', 54.92582894861698, 9.595745354890823, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD94', 'N/A', 'N/A', 57.64856580644846, 11.720051318407059, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD71', 'N/A', 'N/A', 60.90829096734524, 7.2123536467552185, 631, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD74', 'N/A', 'N/A', 55.298784747719765, 10.847130864858627, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD69', 'N/A', 'N/A', 78.2302938401699, 15.39059892296791, 459, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD77', 'N/A', 'N/A', 64.14364155381918, -21.878687292337418, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD89', 'N/A', 'N/A', 62.9087994620204, 27.65148237347603, 168, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD78', 'N/A', 'N/A', 57.88599092513323, 11.578482538461685, 85, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD90', 'N/A', 'N/A', 64.89542450755835, -23.713209182024002, 25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD53', 'N/A', 'N/A', 68.36167372763157, 18.769320845603943, 398, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD70', 'N/A', 'N/A', 62.88244105875492, 17.872848361730576, 15, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('UNE04', 'N/A', 'N/A', 57.11325891315937, 12.403197437524796, 35, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD76', 'N/A', 'N/A', 55.98194573074579, 12.3957958817482, 40, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD83', 'N/A', 'N/A', 60.37734668701887, 5.381215810775757, 578, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD29', 'N/A', 'N/A', 63.82331237196922, -20.975868701934814, 7, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD41', 'N/A', 'N/A', 63.81549708545208, -22.70433247089386, 37, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD19', 'N/A', 'N/A', 64.73004017025232, -13.985496014356613, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD08', 'N/A', 'N/A', 66.50365054607391, 25.739387422800064, 82, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD13', 'N/A', 'N/A', 60.401039980351925, 5.2108557522296906, 60, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD56', 'N/A', 'N/A', 78.06250926107168, 13.617439270019531, 3, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD39', 'N/A', 'N/A', 56.8571113049984, 14.833846092224121, 176, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

INSERT INTO airports ( ident, airport_type, name, latitude_deg, longitude_deg, elevation_ft, iso_country, iso_region, municipality, scheduled_service, gps_code, iata_code, local_code, keywords ) VALUES
	('NRD38', 'N/A', 'N/A', 69.32551614940166, 16.117855310440063, -25, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD03', 'N/A', 'N/A', 54.973707385361195, 11.890760511159897, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD47', 'N/A', 'N/A', 59.96765300631523, 16.01087138056755, 100, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD57', 'N/A', 'N/A', 59.87118702381849, 8.492199182510376, 576, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD45', 'N/A', 'N/A', 60.46511963009834, 22.73456186056137, 68, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD02', 'N/A', 'N/A', 54.95296083390713, 11.869736909866333, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD36', 'N/A', 'N/A', 61.12406127154827, 10.489609837532043, 370, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD16', 'N/A', 'N/A', 60.99260989576578, 25.67207470536232, 146, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD40', 'N/A', 'N/A', 63.40203557163477, -19.13023978471756, 58, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD14', 'N/A', 'N/A', 59.82483007013798, 22.970577031373978, 61, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD25', 'N/A', 'N/A', 55.3280221670866, 8.761571198701859, 34, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD21', 'N/A', 'N/A', 59.947806000709534, 20.87748482823372, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD20', 'N/A', 'N/A', 59.52519714832306, 16.26902014017105, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD30', 'N/A', 'N/A', 65.07378671318293, -22.722049802541733, 10, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD34', 'N/A', 'N/A', 59.95813753455877, 12.167141139507294, 134, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD15', 'N/A', 'N/A', 57.735784873366356, 10.63079908490181, 2, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD31', 'N/A', 'N/A', 66.18711099028587, -18.951424956321716, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD11', 'N/A', 'N/A', 62.96654909849167, 7.771306782960892, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD33', 'N/A', 'N/A', 56.69494293630123, 16.33942410349846, 69, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD12', 'N/A', 'N/A', 57.68792487680912, 11.900064647197723, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD28', 'N/A', 'N/A', 63.45151361078024, 10.384051948785782, -27, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD49', 'N/A', 'N/A', 71.16940274834633, 25.783398896455765, 305, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD50', 'N/A', 'N/A', 62.01865743845701, -6.776925623416901, 41, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD52', 'N/A', 'N/A', 69.25328627228737, -53.51768732070923, 21, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD27', 'N/A', 'N/A', 55.70907153189182, 9.556097388267517, 6, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD07', 'N/A', 'N/A', 56.10516842454672, 9.68501016497612, 170, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD43', 'N/A', 'N/A', 55.8776668086648, 13.518708050251007, 62, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD48', 'N/A', 'N/A', 61.993336379528046, 25.67091330885887, 80, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD46', 'N/A', 'N/A', 55.152844078838825, 8.741837292909622, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD35', 'N/A', 'N/A', 55.876787044107914, 12.84254014492035, 8, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD82', 'N/A', 'N/A', 66.0881482064724, 20.937442034482956, 24, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD37', 'N/A', 'N/A', 68.15300557762384, 14.649964570999146, 17, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD51', 'N/A', 'N/A', 62.00784847140312, -6.7633165419101715, 18, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD06', 'N/A', 'N/A', 63.84556967765093, 11.085160821676254, 48, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD09', 'N/A', 'N/A', 59.297073259949684, 18.669281154870987, 13, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD10', 'N/A', 'N/A', 58.38215634226799, 15.945522487163544, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD24', 'N/A', 'N/A', 55.25334678590298, 11.97662204504013, 86, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD01', 'N/A', 'N/A', 64.16372559964657, -21.86053767800331, 0, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD26', 'N/A', 'N/A', 78.2357132434845, 15.4900561273098, 133, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD18', 'N/A', 'N/A', 59.25589933991432, 17.2198024392128, 28, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD05', 'N/A', 'N/A', 61.21346566826105, 26.008330732584, 93, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD04', 'N/A', 'N/A', 63.868178352713585, -22.67532527446747, 33, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD22', 'N/A', 'N/A', 56.657863073050976, 16.353110522031784, 5, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD32', 'N/A', 'N/A', 66.46118748933077, -15.960756093263626, 29, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD42', 'N/A', 'N/A', 63.82382199168205, 20.268099904060364, 9, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD44', 'N/A', 'N/A', 57.44895111769438, 9.774217754602432, 70, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD23', 'N/A', 'N/A', 57.087053060531616, 12.24250853061676, 14, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('DYE3I', 'N/A', 'N/A', 65.18224351108074, -43.81792366504669, 2485, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD84', 'N/A', 'N/A', 72.57981687784195, -38.46004977822304, 3214, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('NRD55', 'N/A', 'N/A', 75.63301261514425, -35.983847826719284, 2665, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A'),
	('FF', 'N/A', 'N/A', 27.466679960489273, -82.3243997991085, 75, 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A');

